diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index d51b820..abc005c 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -498,7 +498,6 @@ information is initialized.
 \end{chunk}
 
 \defun{restart0}{Non-interactive restarts}
-\calls{restart0}{compressopen}
 \calls{restart0}{interpopen}
 \calls{restart0}{operationopen}
 \calls{restart0}{categoryopen}
@@ -506,7 +505,6 @@ information is initialized.
 \calls{restart0}{getEnv}
 \begin{chunk}{defun restart0}
 (defun restart0 ()
-  (compressopen)    ;; set up the compression tables
   (interpopen)      ;; open up the interpreter database
   (operationopen)   ;; all of the operations known to the system
   (categoryopen)    ;; answer hasCategory question
@@ -36684,9 +36682,8 @@ page~\pageref{TheFrameMechanism}.
 \section{Database structure}
 In order to understand this program you need to understand some details
 of the structure of the databases it reads. Axiom has 5 databases,
-the interp.daase, operation.daase, category.daase, compress.daase, and
-browse.daase. The compress.daase is special and does not follow the
-normal database format.
+the interp.daase, operation.daase, category.daase, and
+browse.daase. 
 
 \subsection{kaf File Format}
 This documentation refers to kaf files which are random access files.
@@ -36720,9 +36717,6 @@ data so that the very long names don't take up so much space.
 We could probably remove the compression algorithm as 64k is no
 longer considered 'huge'. The database-abbreviation routine
 handles this on read and write-compress handles this on write.
-The squeeze routine is used to compress the keys, the unsqueeze
-routine uncompresses them. Making these two routines disappear
-should remove all of the compression.
 
 Indeed, a faster optimization is to simply read the whole database
 into the image before it is saved. The system would be easier to
@@ -36943,30 +36937,6 @@ database is opened and the ..-stream-stamp* variable matches the
 position information in the database then the database is NOT
 read in and is assumed to match the in-core version
 
-\defvar{*compressvector*}
-\begin{chunk}{initvars}
-(defvar *compressvector* nil "a vector of things to compress in the databases")
-
-\end{chunk}
-
-\defvar{*compressVectorLength*}
-\begin{chunk}{initvars}
-(defvar *compressVectorLength* 0 "length of the compress vector")
-
-\end{chunk}
-
-\defvar{*compress-stream*}
-\begin{chunk}{initvars}
-(defvar *compress-stream* nil "an stream containing the compress vector")
-
-\end{chunk}
-
-\defvar{*compress-stream-stamp*}
-\begin{chunk}{initvars}
-(defvar *compress-stream-stamp* 0 "*compress-stream* (position . time)")
-
-\end{chunk}
-
 \defvar{*interp-stream*}
 \begin{chunk}{initvars}
 (defvar *interp-stream* nil "an open stream to the interpreter database")
@@ -37030,7 +37000,6 @@ This is indexed by (domain . category)
 \end{chunk}
 
 \defun{resethashtables}{Reset all hash tables before saving system}
-\calls{resethashtables}{compressopen}
 \calls{resethashtables}{interpopen}
 \calls{resethashtables}{operationopen}
 \calls{resethashtables}{browseopen}
@@ -37044,8 +37013,6 @@ This is indexed by (domain . category)
 \uses{resethashtables}{*category-stream-stamp*}
 \uses{resethashtables}{*operation-stream-stamp*}
 \uses{resethashtables}{*interp-stream-stamp*}
-\uses{resethashtables}{*compress-stream-stamp*}
-\uses{resethashtables}{*compressvector*}
 \uses{resethashtables}{*allconstructors*}
 \uses{resethashtables}{*operation-hash*}
 \uses{resethashtables}{*hascategory-hash*}
@@ -37055,15 +37022,11 @@ This is indexed by (domain . category)
  (declare (special *sourcefiles* *interp-stream* *operation-stream*
                     *category-stream* *browse-stream* *category-stream-stamp*
                     *operation-stream-stamp* *interp-stream-stamp*
-                    *compress-stream-stamp* *compressvector*
                     *allconstructors* *operation-hash* *hascategory-hash*))
  (setq *hascategory-hash* (make-hash-table :test #'equal))
  (setq *operation-hash* (make-hash-table))
  (setq *allconstructors* nil)
- (setq *compressvector* nil)
  (setq *sourcefiles* nil)
- (setq *compress-stream-stamp* '(0 . 0))
- (compressopen)
  (setq *interp-stream-stamp* '(0 . 0))
  (interpopen)
  (setq *operation-stream-stamp* '(0 . 0))
@@ -37194,7 +37157,6 @@ Format of an entry in interp.daase:
     ancestors            -- used to compute new category updates
   )
 \end{verbatim}
-\calls{interpOpen}{unsqueeze}
 \calls{interpOpen}{make-database}
 \calls{interpOpen}{DaaseName}
 \usesdollar{interpOpen}{spadroot}
@@ -37216,7 +37178,6 @@ Format of an entry in interp.daase:
    (file-position *interp-stream* pos)
    (setq constructors (read *interp-stream*))
    (dolist (item constructors)
-    (setq item (unsqueeze item))
     (setq *allconstructors* (adjoin (first item) *allconstructors*))
     (setq dbstruct (make-database))
     (setf (get (car item) 'database) dbstruct)
@@ -37263,7 +37224,6 @@ Format of an entry in browse.daase:
      predicates
  )
 \end{verbatim}
-\calls{browseOpen}{unsqueeze}
 \usesdollar{browseOpen}{spadroot}
 \uses{browseOpen}{*allconstructors*}
 \uses{browseOpen}{*browse-stream*}
@@ -37283,7 +37243,6 @@ Format of an entry in browse.daase:
    (file-position *browse-stream* pos)
    (setq constructors (read *browse-stream*))
    (dolist (item constructors)
-    (setq item (unsqueeze item))
     (unless (setq dbstruct (get (car item) 'database))
      (format t "browseOpen:~%")
      (format t "the browse database contains a contructor ~a~%" item)
@@ -37303,7 +37262,6 @@ Format of an entry in browse.daase:
 \end{chunk}
 
 \defun{categoryOpen}{Open the category database}
-\calls{categoryOpen}{unsqueeze}
 \usesdollar{categoryOpen}{spadroot}
 \uses{categoryOpen}{*hasCategory-hash*}
 \uses{categoryOpen}{*category-stream*}
@@ -37324,14 +37282,12 @@ Format of an entry in browse.daase:
    (setq keys (read *category-stream*))
    (setq *hasCategory-hash* (make-hash-table :test #'equal))
    (dolist (item keys)
-    (setq item (unsqueeze item))
     (setf (gethash (first item) *hasCategory-hash*) (second item))))
   (format t "~&")))
 
 \end{chunk}
 
 \defun{operationOpen}{Open the operations database}
-\calls{operationOpen}{unsqueeze}
 \usesdollar{operationOpen}{spadroot}
 \uses{operationOpen}{*operation-hash*}
 \uses{operationOpen}{*operation-stream*}
@@ -37351,7 +37307,6 @@ Format of an entry in browse.daase:
    (file-position *operation-stream* pos)
    (setq operations (read *operation-stream*))
    (dolist (item operations)
-    (setq item (unsqueeze item))
     (setf (gethash (car item) *operation-hash*) (cdr item))))
   (format t "~&")))
 
@@ -37460,7 +37415,6 @@ Format of an entry in browse.daase:
 
 \defun{getdatabase}{Get constructor information for a database key}
 \calls{getdatabase}{warn}
-\calls{getdatabase}{unsqueeze}
 \usesdollar{getdatabase}{spadroot}
 \uses{getdatabase}{*miss*}
 \uses{getdatabase}{*hascategory-hash*}
@@ -37589,7 +37543,7 @@ Format of an entry in browse.daase:
   (when (numberp data)      ;fetch the real data
    (when *miss* (format t "getdatabase miss: ~20a ~a~%" constructor key))
    (file-position stream data)
-   (setq data (unsqueeze (read stream)))
+   (setq data (read stream))
    (case key ; cache the result of the database read
     (operation           (setf (gethash constructor *operation-hash*) data))
     (hascategory         (setf (gethash constructor *hascategory-hash*) data))
@@ -37882,7 +37836,6 @@ constructor abbreviation to pamphlet file name.
 \calls{make-databases}{saveUsersHashTable}
 \calls{make-databases}{mkDependentsHashTable}
 \calls{make-databases}{saveDependentsHashTable}
-\calls{make-databases}{write-compress}
 \calls{make-databases}{write-browsedb}
 \calls{make-databases}{write-operationdb}
 \calls{make-databases}{write-categorydb}
@@ -37894,7 +37847,6 @@ constructor abbreviation to pamphlet file name.
 \calls{make-databases}{write-warmdata}
 \usesdollar{make-databases}{constructorList}
 \uses{make-databases}{*sourcefiles*}
-\uses{make-databases}{*compressvector*}
 \uses{make-databases}{*allconstructors*}
 \uses{make-databases}{*operation-hash*}
 \begin{chunk}{defun make-databases}
@@ -37956,7 +37908,7 @@ constructor abbreviation to pamphlet file name.
     (format nil "~a.daase~a" root ext))
   )
  (let (d)
-  (declare (special |$constructorList| *sourcefiles* *compressvector*
+  (declare (special |$constructorList| *sourcefiles*
                     *allconstructors* *operation-hash*))
   (do-symbols (symbol)
    (when (get symbol 'database)
@@ -37964,7 +37916,6 @@ constructor abbreviation to pamphlet file name.
   (setq *hascategory-hash* (make-hash-table :test #'equal))
   (setq *operation-hash* (make-hash-table))
   (setq *allconstructors* nil)
-  (setq *compressvector* nil)
   (withSpecialConstructors)
   (localdatabase nil
      (list (list '|dir| (namestring (truename "./")) ))
@@ -37989,7 +37940,6 @@ constructor abbreviation to pamphlet file name.
   (|mkDependentsHashTable|)
   (|saveDependentsHashTable|)
 ; (|buildGloss|)
-  (write-compress)
   (write-browsedb)
   (write-operationdb)
  ; note: genCategoryTable creates a new *hascategory-hash* table
@@ -38012,9 +37962,6 @@ constructor abbreviation to pamphlet file name.
         ; does gethash calls into it rather than doing a getdatabase call.
   (write-interpdb)
   (write-warmdata)
-  (when (probe-file (final-name "compress"))
-        (delete-file (final-name "compress")))
-  (rename-file "compress.build" (final-name "compress"))
   (when (probe-file (final-name "interp"))
         (delete-file (final-name "interp")))
   (rename-file "interp.build" (final-name "interp"))
@@ -38093,147 +38040,6 @@ constructor abbreviation to pamphlet file name.
 
 \end{chunk}
 
-\subsection{compress.daase}
-The compress database is special. It contains a list of symbols.
-The character string name of a symbol in the other databases is
-represented by a negative number. To get the real symbol back you
-take the absolute value of the number and use it as a byte index
-into the compress database. In this way long symbol names become
-short negative numbers.
-
-\defun{compressOpen}{Set up compression vectors for the databases}
-\calls{compressOpen}{DaaseName}
-\usesdollar{compressOpen}{spadroot}
-\uses{compressOpen}{*compressvector*}
-\uses{compressOpen}{*compressVectorLength*}
-\uses{compressOpen}{*compress-stream*}
-\uses{compressOpen}{*compress-stream-stamp*}
-\begin{chunk}{defun compressOpen}
-(defun compressOpen ()
- (let (lst stamp pos)
-  (declare (special $spadroot *compressvector* *compressVectorLength*
-                    *compress-stream* *compress-stream-stamp*))
-  (setq *compress-stream*
-    (open (DaaseName "compress.daase"  nil) :direction :input))
-  (setq stamp (read *compress-stream*))
-  (unless (equal stamp *compress-stream-stamp*)
-   (format t "   Re-reading compress.daase")
-   (setq *compress-stream-stamp* stamp)
-   (setq pos (car stamp))
-   (file-position *compress-stream* pos)
-   (setq lst (read *compress-stream*))
-   (setq *compressVectorLength* (car lst))
-   (setq *compressvector*
-     (make-array (car lst) :initial-contents (cdr lst))))))
-
-\end{chunk}
-
-\defvar{*attributes*}
-\begin{chunk}{initvars}
-(defvar *attributes* 
-      '(|nil| |infinite| |arbitraryExponent| |approximate| |complex|
-        |shallowMutable| |canonical| |noetherian| |central|
-        |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed|
-        |noZeroDivisors| |rightUnitary| |leftUnitary|
-        |additiveValuation| |unitsKnown| |canonicalUnitNormal|
-        |multiplicativeValuation| |finiteAggregate| |shallowlyMutable|
-        |commutative|) "The list of known algebra attributes")
-
-\end{chunk}
-
-\defun{write-compress}{Write out the compress database}
-\calls{write-compress}{allConstructors}
-\calls{write-compress}{allOperations}
-\uses{write-compress}{*compress-stream*}
-\uses{write-compress}{*attributes*}
-\uses{write-compress}{*compressVectorLength*}
-\begin{chunk}{defun write-compress}
-(defun write-compress ()
- (let (compresslist masterpos out)
-  (declare (special *compress-stream* *attributes* *compressVectorLength*))
-  (close *compress-stream*)
-  (setq out (open "compress.build" :direction :output))
-  (princ "                              " out)
-  (finish-output out)
-  (setq masterpos (file-position out))
-  (setq compresslist
-        (append (|allConstructors|) (|allOperations|) *attributes*))
-  (push "algebra" compresslist)
-  (push "failed" compresslist)
-  (push 'signature compresslist)
-  (push '|ofType| compresslist)
-  (push '|Join| compresslist)
-  (push 'and compresslist)
-  (push '|nobranch| compresslist)
-  (push 'category compresslist)
-  (push '|category| compresslist)
-  (push '|domain| compresslist)
-  (push '|package| compresslist)
-  (push 'attribute compresslist)
-  (push '|isDomain| compresslist)
-  (push '|ofCategory| compresslist)
-  (push '|Union| compresslist)
-  (push '|Record| compresslist)
-  (push '|Mapping| compresslist)
-  (push '|Enumeration| compresslist)
-  (setq *compressVectorLength* (length compresslist))
-  (setq *compressvector*
-    (make-array *compressVectorLength* :initial-contents compresslist))
-  (print (cons (length compresslist) compresslist) out)
-  (finish-output out)
-  (file-position out 0)
-  (print (cons masterpos (get-universal-time)) out)
-  (finish-output out)
-  (close out)))
-
-\end{chunk}
-
-\defun{squeeze}{Compress an expression using the compress vector}
-This function is used to minimize the size of the databases by 
-replacing symbols with indexes into the compression vector.
-\uses{squeeze}{*compressvector*}
-\begin{chunk}{defun squeeze}
-(defun squeeze (expr)
- (declare (special *compressvector*))
- (let (leaves pos (bound (length *compressvector*)))
-  (labels (
-   (flat (expr)
-    (when (and (numberp expr) (< expr 0) (>= expr bound))
-     (print expr)
-     (break "squeeze found a negative number"))
-    (if (atom expr)
-     (unless (or (null expr)
-                 (and (symbolp expr) (char= (schar (symbol-name expr) 0) #\*)))
-      (setq leaves (adjoin expr leaves)))
-     (progn
-      (flat (car expr))
-      (flat (cdr expr))))))
-  (setq leaves nil)
-  (flat expr)
-  (dolist (leaf leaves)
-   (when (setq pos (position leaf *compressvector*))
-     (nsubst (- pos) leaf expr)))
-  expr)))
-
-\end{chunk}
-
-\defun{unsqueeze}{Uncompress an expression using the compress vector}
-This function is used to recover symbols from the databases by
-using integers as indexes into the compression vector.
-\uses{unsqueeze}{*compressvector*}
-\begin{chunk}{defun unsqueeze}
-(defun unsqueeze (expr)
- (declare (special *compressvector*))
-  (cond ((atom expr)
-         (cond ((and (numberp expr) (<= expr 0))
-                (svref *compressVector* (- expr)))
-               (t expr)))
-        (t (rplaca expr (unsqueeze (car expr)))
-           (rplacd expr (unsqueeze (cdr expr)))
-           expr)))
-
-\end{chunk}
-
 \subsection{Building the interp.daase from hash tables} 
 \begin{verbatim}
  format of an entry in interp.daase:
@@ -38295,9 +38101,9 @@ Here I'll try to outline the interp database write procedure
 
     (setq opalistpos (file-position out))
 
-; 5b. We get the "operationalist", compress it, and write it out
+; 5b. We get the "operationalist" and write it out
 
-    (print (squeeze (database-operationalist struct)) out)
+    (print (database-operationalist struct) out)
 
 ; 5c. We make sure it was written
 
@@ -38308,9 +38114,9 @@ Here I'll try to outline the interp database write procedure
 
     (setq cmodemappos (file-position out))
 
-; 6b. We get the "constructormodemap", compress it, and write it out
+; 6b. We get the "constructormodemap" and write it out
 
-    (print (squeeze (database-constructormodemap struct)) out)
+    (print (database-constructormodemap struct) out)
 
 ; 6c. We make sure it was written
 
@@ -38321,9 +38127,9 @@ Here I'll try to outline the interp database write procedure
 
     (setq modemapspos (file-position out))
 
-; 7b. We get the "modemaps", compress it, and write it out
+; 7b. We get the "modemaps" and write it out
 
-    (print (squeeze (database-modemaps struct)) out)
+    (print (database-modemaps struct) out)
 
 ; 7c. We make sure it was written
 
@@ -38340,9 +38146,9 @@ Here I'll try to outline the interp database write procedure
         (first (last (pathname-directory (database-object struct)))))))
 
 ; 9. We write the "constructorcategory", if it is a category, else nil
-; 9a. Get the constructorcategory and compress it
+; 9a. Get the constructorcategory 
 
-    (setq concategory (squeeze (database-constructorcategory struct)))
+    (setq concategory (database-constructorcategory struct))
 
 ; 9b. If we have any data we write it out, else we don't write it
 ;     Note that if there is no data then the byte index for the
@@ -38378,11 +38184,11 @@ Here I'll try to outline the interp database write procedure
 
     (setq defaultdomain (database-defaultdomain struct))
 
-; 11. The ancestor data might exist. If it does we fetch it, 
-;     compress it, and write it out. If it does not we place
+; 11. The ancestor data might exist. If it does we fetch it
+;     and write it out. If it does not we place
 ;     and immediate value of nil in the key-value table
 
-    (setq ancestors (squeeze (gethash constructor *ancestors-hash*))) ;cattable.boot
+    (setq ancestors (gethash constructor *ancestors-hash*)) ;cattable.boot
     (if ancestors
      (progn
       (setq ancestorspos (file-position out))
@@ -38407,9 +38213,9 @@ Here I'll try to outline the interp database write procedure
 
   (setq masterpos (file-position out))
 
-; 15. We compress and print the key-value table
+; 15. We print the key-value table
 
-  (print (mapcar #'squeeze master) out)
+  (print master out)
 
 ; 16. We make sure we write the table
 
@@ -38442,7 +38248,6 @@ Here I'll try to outline the interp database write procedure
 \end{verbatim}
 
 \defun{write-interpdb}{Write the interp database}
-\calls{write-interpdb}{squeeze}
 \usesdollar{write-interpdb}{spadroot}
 \uses{write-interpdb}{*ancestors-hash*}
 \uses{write-interpdb}{*print-pretty*}
@@ -38462,13 +38267,13 @@ Here I'll try to outline the interp database write procedure
    (let (struct)
     (setq struct (get constructor 'database))
     (setq opalistpos (file-position out))
-    (print (squeeze (database-operationalist struct)) out)
+    (print (database-operationalist struct) out)
     (finish-output out)
     (setq cmodemappos (file-position out))
-    (print (squeeze (database-constructormodemap struct)) out)
+    (print (database-constructormodemap struct) out)
     (finish-output out)
     (setq modemapspos (file-position out))
-    (print (squeeze (database-modemaps struct)) out)
+    (print (database-modemaps struct) out)
     (finish-output out)
     (if (consp (database-object struct)) ; if asharp code ...
      (setq obj
@@ -38477,7 +38282,7 @@ Here I'll try to outline the interp database write procedure
      (setq obj
       (pathname-name
         (first (last (pathname-directory (database-object struct)))))))
-    (setq concategory (squeeze (database-constructorcategory struct)))
+    (setq concategory (database-constructorcategory struct))
     (if concategory  ; if category then write data else write nil
      (progn
       (setq categorypos (file-position out))
@@ -38489,8 +38294,7 @@ Here I'll try to outline the interp database write procedure
     (setq cosig (database-cosig struct))
     (setq kind (database-constructorkind struct))
     (setq defaultdomain (database-defaultdomain struct))
-    (setq ancestors
-     (squeeze (gethash constructor *ancestors-hash*))) ;cattable.boot
+    (setq ancestors (gethash constructor *ancestors-hash*)) ;cattable.boot
     (if ancestors
      (progn
       (setq ancestorspos (file-position out))
@@ -38502,7 +38306,7 @@ Here I'll try to outline the interp database write procedure
       ancestorspos) master)))
   (finish-output out)
   (setq masterpos (file-position out))
-  (print (mapcar #'squeeze master) out)
+  (print master out)
   (finish-output out)
   (file-position out 0)
   (print (cons masterpos (get-universal-time)) out)
@@ -38534,7 +38338,6 @@ time stamp at the top of the file and close the file.
 
 \defun{write-browsedb}{Write the browse database}
 \calls{write-browsedb}{allConstructors}
-\calls{write-browsedb}{squeeze}
 \usesdollar{write-browsedb}{spadroot}
 \uses{write-browsedb}{*sourcefiles*}
 \uses{write-browsedb}{*print-pretty*}
@@ -38554,21 +38357,21 @@ time stamp at the top of the file and close the file.
      ; sourcefile is small. store the string directly
     (setq src (gethash constructor *sourcefiles*))
     (setq formpos (file-position out))
-    (print (squeeze (database-constructorform struct)) out)
+    (print (database-constructorform struct) out)
     (finish-output out)
     (setq docpos (file-position out))
     (print (database-documentation struct) out)
     (finish-output out)
     (setq attpos (file-position out))
-    (print (squeeze (database-attributes struct)) out)
+    (print (database-attributes struct) out)
     (finish-output out)
     (setq predpos (file-position out))
-    (print (squeeze (database-predicates struct)) out)
+    (print (database-predicates struct) out)
     (finish-output out)
     (push (list constructor src formpos docpos attpos predpos) master)))
   (finish-output out)
   (setq masterpos (file-position out))
-  (print (mapcar #'squeeze master) out)
+  (print master out)
   (finish-output out)
   (file-position out 0)
   (print (cons masterpos (get-universal-time)) out)
@@ -38583,7 +38386,6 @@ database format.
 
 \defun{write-categorydb}{Write the category database}
 \calls{write-categorydb}{genCategoryTable}
-\calls{write-categorydb}{squeeze}
 \uses{write-categorydb}{*print-pretty*}
 \uses{write-categorydb}{*hasCategory-hash*}
 \begin{chunk}{defun write-categorydb}
@@ -38601,12 +38403,12 @@ database format.
      (setq pos value)
      (progn
       (setq pos (file-position out))
-      (print (squeeze value) out)
+      (print value out)
       (finish-output out)))
      (push (list key pos) master))
      *hasCategory-hash*)
   (setq pos (file-position out))
-  (print (mapcar #'squeeze master) out)
+  (print master out)
   (finish-output out)
   (file-position out 0)
   (print (cons pos (get-universal-time)) out)
@@ -38619,7 +38421,6 @@ database format.
 This is a single table of operations hash table information, dumped in the 
 database format.
 \defun{write-operationdb}{Write the operations database}
-\calls{write-operationdb}{squeeze}
 \uses{write-operationdb}{*operation-hash*}
 \begin{chunk}{defun write-operationdb}
 (defun write-operationdb ()
@@ -38630,13 +38431,13 @@ database format.
   (finish-output out)
   (maphash #'(lambda (key value)
    (setq pos (file-position out))
-   (print (squeeze value) out)
+   (print value out)
    (finish-output out)
    (push (cons key pos) master))
    *operation-hash*)
   (finish-output out)
   (setq pos (file-position out))
-  (print (mapcar #'squeeze master) out)
+  (print master out)
   (file-position out 0)
   (print (cons pos (get-universal-time)) out)
   (finish-output out)
@@ -53733,7 +53534,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun compileBoot}
 \getchunk{defun compiledLookup}
 \getchunk{defun compiledLookupCheck}
-\getchunk{defun compressOpen}
 \getchunk{defun computeDomainVariableAlist}
 \getchunk{defun condErrorMsg}
 \getchunk{defun conOpPage}
@@ -54980,7 +54780,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun spleI}
 \getchunk{defun spleI1}
 \getchunk{defun splitIntoOptionBlocks}
-\getchunk{defun squeeze}
 \getchunk{defun stackTraceOptionError}
 \getchunk{defun startsComment?}
 \getchunk{defun startsNegComment?}
@@ -55053,7 +54852,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun unifyStruct}
 \getchunk{defun unifyStructVar}
 \getchunk{defun unparseInputForm}
-\getchunk{defun unsqueeze}
 \getchunk{defun untrace}
 \getchunk{defun untraceDomainConstructor}
 \getchunk{defun untraceDomainConstructor,keepTraced?}
@@ -55084,7 +54882,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun wrap}
 \getchunk{defun write-browsedb}
 \getchunk{defun write-categorydb}
-\getchunk{defun write-compress}
 \getchunk{defun writeHiFi}
 \getchunk{defun writeHistModesAndValues}
 \getchunk{defun writeInputLines}
diff --git a/changelog b/changelog
index 6f89121..913ad30 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,11 @@
+20140712 tpd src/axiom-website/patches.html 20140712.01.tpd.patch
+20140712 tpd books/bookvol5  remove compression
+20140712 tpd src/interp/util.lisp remove compression
+20140712 tpd src/share/algebra/browse.daase no compression
+20140712 tpd src/share/algebra/category.daase no compression
+20140712 tpd src/share/algebra/interp.daase no compression
+20140712 tpd src/share/algebra/operation.daase no compression
+20140712 tpd src/share/algebra/compress.daase deleted
 20140710 tpd src/axiom-website/patches.html 20140710.04.tpd.patch
 20140710 tpd books/bookvol5 GCL 2.6.10 assoc sematics change requires GETL fix
 20140710 tpd src/axiom-website/patches.html 20140710.03.tpd.patch
diff --git a/patch b/patch
index 29c10d0..314945b 100644
--- a/patch
+++ b/patch
@@ -1,4 +1,3 @@
-books/bookvol5 GCL 2.6.10 assoc sematics change requires a GETL fix
+books/bookvol5, src/interp/util.lisp, *.daase
 
-port to GCL 2.6.10 runs into a semantics change in assoc handling
-of list arguments. GETL handles this with the new fix.
+remove the database compression
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 477c1cb..6e150b4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4544,6 +4544,8 @@ books/bookvol4 add a section on changing GCL2 versions
 zips/gcl-2.6.10.tgz add the latest gcl and all of its patches
 <a href="patches/20140710.04.tpd.patch">20140710.04.tpd.patch</a>
 books/bookvol5 GCL 2.6.10 assoc sematics change requires GETL fix
+<a href="patches/20140712.01.tpd.patch">20140712.01.tpd.patch</a>
+books/bookvol5  remove compression
  </body>
 </html>
 
diff --git a/src/interp/util.lisp.pamphlet b/src/interp/util.lisp.pamphlet
index 959193d..9f07faf 100644
--- a/src/interp/util.lisp.pamphlet
+++ b/src/interp/util.lisp.pamphlet
@@ -140,7 +140,6 @@ After this function is called the image is clean and can be saved.
   (|resetWorkspaceVariables|)
   (|initHist|)
   (|initNewWorld|)
-  (compressopen)
   (interpopen)
   (|start| :fin)
 #+:CCL
diff --git a/src/share/algebra/browse.daase b/src/share/algebra/browse.daase
index 3fa727e..800b954 100644
--- a/src/share/algebra/browse.daase
+++ b/src/share/algebra/browse.daase
@@ -1,5160 +1,5160 @@
 
-(2394220 . 3613822956)       
-(-18 A S) 
+(2502193 . 3614189654)       
+(|OneDimensionalArrayAggregate&| A S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
 NIL 
 NIL 
-(-19 S) 
+(|OneDimensionalArrayAggregate| S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-20 S) 
+(|AbelianGroup&| S) 
 ((|constructor| (NIL "The class of abelian groups, \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\br \\tab{5}\\spad{-(-x) = x}\\br \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x.}"))) 
 NIL 
 NIL 
-(-21) 
+(|AbelianGroup|) 
 ((|constructor| (NIL "The class of abelian groups, \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\br \\tab{5}\\spad{-(-x) = x}\\br \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x.}"))) 
 NIL 
 NIL 
-(-22 S) 
+(|AbelianMonoid&| S) 
 ((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with an additive identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{5}\\spad{ 0+x=x }\\br \\tab{5}\\spad{rightIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{4}\\spad{ x+0=x }")) (* (($ (|NonNegativeInteger|) $) "\\spad{n * \\spad{x}} is left-multiplication by a non negative integer")) (|zero?| (((|Boolean|) $) "\\spad{zero?(x)} tests if \\spad{x} is equal to 0.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|Zero|) (($) "0 is the additive identity element."))) 
 NIL 
 NIL 
-(-23) 
+(|AbelianMonoid|) 
 ((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with an additive identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{5}\\spad{ 0+x=x }\\br \\tab{5}\\spad{rightIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{4}\\spad{ x+0=x }")) (* (($ (|NonNegativeInteger|) $) "\\spad{n * \\spad{x}} is left-multiplication by a non negative integer")) (|zero?| (((|Boolean|) $) "\\spad{zero?(x)} tests if \\spad{x} is equal to 0.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|Zero|) (($) "0 is the additive identity element."))) 
 NIL 
 NIL 
-(-24 S) 
+(|AbelianSemiGroup&| S) 
 ((|constructor| (NIL "The class of all additive (commutative) semigroups, \\spadignore{i.e.} a set with a commutative and associative operation \\spadop{+}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x+y)+z = x+(y+z) }\\br \\tab{6}\\spad{commutative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x+y = \\spad{y+x} }")) (* (($ (|PositiveInteger|) $) "\\spad{n*x} computes the left-multiplication of \\spad{x} by the positive integer \\spad{n.} This is equivalent to adding \\spad{x} to itself \\spad{n} times.")) (+ (($ $ $) "\\spad{x+y} computes the sum of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-25) 
+(|AbelianSemiGroup|) 
 ((|constructor| (NIL "The class of all additive (commutative) semigroups, \\spadignore{i.e.} a set with a commutative and associative operation \\spadop{+}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x+y)+z = x+(y+z) }\\br \\tab{6}\\spad{commutative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x+y = \\spad{y+x} }")) (* (($ (|PositiveInteger|) $) "\\spad{n*x} computes the left-multiplication of \\spad{x} by the positive integer \\spad{n.} This is equivalent to adding \\spad{x} to itself \\spad{n} times.")) (+ (($ $ $) "\\spad{x+y} computes the sum of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-26 S) 
+(|AlgebraicallyClosedField&| S) 
 ((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
 NIL 
 NIL 
-(-27) 
+(|AlgebraicallyClosedField|) 
 ((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-28 S R) 
+(|AlgebraicallyClosedFunctionSpace&| S R) 
 ((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible, and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible. The returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; The returned roots display as \\spad{'y1},...,\\spad{'yn}. Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y.}")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y.}"))) 
 NIL 
 NIL 
-(-29 R) 
+(|AlgebraicallyClosedFunctionSpace| R) 
 ((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible, and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible. The returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; The returned roots display as \\spad{'y1},...,\\spad{'yn}. Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y.}")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y.}"))) 
-((-4622 . T) (-4620 . T) (-4619 . T) ((-4627 "*") . T) (-4618 . T) (-4623 . T) (-4617 . T) (-2623 . T)) 
+((|unitsKnown| . T) (|leftUnitary| . T) (|rightUnitary| . T) ((|commutative| "*") . T) (|noZeroDivisors| . T) (|canonicalUnitNormal| . T) (|canonicalsClosed| . T) (|nil| . T)) 
 NIL 
-(-30) 
+(|PlaneAlgebraicCurvePlot|) 
 ((|constructor| (NIL "Plot a NON-SINGULAR plane algebraic curve p(x,y) = 0.")) (|refine| (($ $ (|DoubleFloat|)) "\\indented{1}{refine(p,x) is not documented} \\blankline \\spad{X} sketch:=makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT \\spad{X} refined:=refine(sketch,0.1)")) (|makeSketch| (($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|)))) "\\indented{1}{makeSketch(p,x,y,a..b,c..d) creates an ACPLOT of the} \\indented{1}{curve \\spad{p = 0} in the region a \\spad{<=} \\spad{x} \\spad{<=} \\spad{b,} \\spad{c} \\spad{<=} \\spad{y} \\spad{<=} \\spad{d.}} \\indented{1}{More specifically, 'makeSketch' plots a non-singular algebraic curve} \\indented{1}{\\spad{p = 0} in an rectangular region xMin \\spad{<=} \\spad{x} \\spad{<=} xMax,} \\indented{1}{yMin \\spad{<=} \\spad{y} \\spad{<=} yMax. The user inputs} \\indented{1}{\\spad{makeSketch(p,x,y,xMin..xMax,yMin..yMax)}.} \\indented{1}{Here \\spad{p} is a polynomial in the variables \\spad{x} and \\spad{y} with} \\indented{1}{integer coefficients \\spad{(p} belongs to the domain} \\indented{1}{\\spad{Polynomial Integer}). The case} \\indented{1}{where \\spad{p} is a polynomial in only one of the variables is} \\indented{1}{allowed.\\space{2}The variables \\spad{x} and \\spad{y} are input to specify the} \\indented{1}{the coordinate axes.\\space{2}The horizontal axis is the x-axis and} \\indented{1}{the vertical axis is the y-axis.\\space{2}The rational numbers} \\indented{1}{xMin,...,yMax specify the boundaries of the region in} \\indented{1}{which the curve is to be plotted.} \\blankline \\spad{X} makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT"))) 
 NIL 
 NIL 
-(-31 K |symb| |PolyRing| E |ProjPt|) 
+(|AffineAlgebraicSetComputeWithGroebnerBasis| K |symb| |PolyRing| E |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|affineRationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(f,d)} returns all points on the curve \\axiom{f} in the extension of the ground field of degree \\axiom{d}. For \\axiom{d > 1} this only works if \\axiom{K} is a \\axiomType{LocallyAlgebraicallyClosedField}"))) 
 NIL 
 NIL 
-(-32 K |symb| |PolyRing| E |ProjPt|) 
+(|AffineAlgebraicSetComputeWithResultant| K |symb| |PolyRing| E |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-33 K) 
+(|AffinePlane| K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-34 K) 
+(|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-35 -3832 K) 
+(|AffineSpace| |dim| K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-36 R -3958) 
+(|AlgebraicFunction| R F) 
 ((|constructor| (NIL "This package provides algebraic functions over an integral domain.")) (|iroot| ((|#2| |#1| (|Integer|)) "\\spad{iroot(p, \\spad{n)}} should be a non-exported function.")) (|definingPolynomial| ((|#2| |#2|) "\\spad{definingPolynomial(f)} returns the defining polynomial of \\spad{f} as an element of \\spad{F}. Error: if \\spad{f} is not a kernel.")) (|minPoly| (((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{minPoly(k)} returns the defining polynomial of \\spad{k}.")) (** ((|#2| |#2| (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{q}} is \\spad{x} raised to the rational power \\spad{q}.")) (|droot| (((|OutputForm|) (|List| |#2|)) "\\spad{droot(l)} should be a non-exported function.")) (|inrootof| ((|#2| (|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{inrootof(p, \\spad{x)}} should be a non-exported function.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is an algebraic operator, that is, an \\spad{n}th root or implicit algebraic operator.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}. Error: if \\spad{op} is not an algebraic operator, that is, an \\spad{n}th root or implicit algebraic operator.")) (|rootOf| ((|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-37 K) 
+((|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|AffineSpaceCategory| K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,n)} test if the point is rational according to \\spad{n.}")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(lp,n) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n)} of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(p,n) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,n)} returns p**n, that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,n)} returns the orbit of the point \\spad{p} according to \\spad{n,} that is orbit(p,n) = \\spad{\\{} \\spad{p,} p**n, p**(n**2), p**(n**3), ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K,} that is, for \\spad{q=} char \\spad{K,} orbit(p) = \\spad{\\{} \\spad{p,} p**q, p**(q**2), p**(q**3), ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a affine point.")) (|affinePoint| (($ (|List| |#1|)) "\\spad{affinePoint creates} a affine point from a list"))) 
 NIL 
 NIL 
-(-38 S) 
+(|Aggregate&| S) 
 ((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \"finiteAggregate\" is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, for example \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4625))) 
-(-39) 
+((|HasAttribute| |#1| (QUOTE |finiteAggregate|))) 
+(|Aggregate|) 
 ((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \"finiteAggregate\" is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, for example \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-40) 
+(|ArcHyperbolicFunctionCategory|) 
 ((|constructor| (NIL "Category for the inverse hyperbolic trigonometric functions.")) (|atanh| (($ $) "\\spad{atanh(x)} returns the hyperbolic arc-tangent of \\spad{x.}")) (|asinh| (($ $) "\\spad{asinh(x)} returns the hyperbolic arc-sine of \\spad{x.}")) (|asech| (($ $) "\\spad{asech(x)} returns the hyperbolic arc-secant of \\spad{x.}")) (|acsch| (($ $) "\\spad{acsch(x)} returns the hyperbolic arc-cosecant of \\spad{x.}")) (|acoth| (($ $) "\\spad{acoth(x)} returns the hyperbolic arc-cotangent of \\spad{x.}")) (|acosh| (($ $) "\\spad{acosh(x)} returns the hyperbolic arc-cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-41 |Key| |Entry|) 
+(|AssociationListAggregate| |Key| |Entry|) 
 ((|constructor| (NIL "An association list is a list of key entry pairs which may be viewed as a table. It is a poor mans version of a table: searching for a key is a linear operation.")) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) "\\spad{assoc(k,u)} returns the element \\spad{x} in association list \\spad{u} stored with key \\spad{k,} or \"failed\" if \\spad{u} has no key \\spad{k.}"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-42 S R) 
+(|Algebra&| S R) 
 ((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\br \\tab{5}\\spad{(b+c)::% = (b::\\%) + (c::\\%)}\\br \\tab{5}\\spad{(b*c)::% = (b::\\%) * (c::\\%)}\\br \\tab{5}\\spad{(1::R)::% = 1::%}\\br \\tab{5}\\spad{b*x = (b::\\%)*x}\\br \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#2|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
 NIL 
 NIL 
-(-43 R) 
+(|Algebra| R) 
 ((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\br \\tab{5}\\spad{(b+c)::% = (b::\\%) + (c::\\%)}\\br \\tab{5}\\spad{(b*c)::% = (b::\\%) * (c::\\%)}\\br \\tab{5}\\spad{(1::R)::% = 1::%}\\br \\tab{5}\\spad{b*x = (b::\\%)*x}\\br \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#1|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-44 UP) 
+(|AlgFactor| UP) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in \\spadtype{AlgebraicNumber}.")) (|doublyTransitive?| (((|Boolean|) |#1|) "\\spad{doublyTransitive?(p)} is \\spad{true} if \\spad{p} is irreducible over over the field \\spad{K} generated by its coefficients, and if \\spad{p(X) / \\spad{(X} - a)} is irreducible over \\spad{K(a)} where \\spad{p(a) = 0}.")) (|split| (((|Factored| |#1|) |#1|) "\\spad{split(p)} returns a prime factorisation of \\spad{p} over its splitting field.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p} over the field generated by its coefficients.") (((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|))) "\\spad{factor(p, [a1,...,an])} returns a prime factorisation of \\spad{p} over the field generated by its coefficients and a1,...,an."))) 
 NIL 
 NIL 
-(-45 -3958 UP UPUP -1704) 
+(|AlgebraicFunctionField| F UP UPUP |modulus|) 
 ((|constructor| (NIL "Function field defined by f(x, \\spad{y)} = 0.")) (|knownInfBasis| (((|Void|) (|NonNegativeInteger|)) "\\spad{knownInfBasis(n)} is not documented"))) 
-((-4618 |has| (-433 |#2|) (-388)) (-4623 |has| (-433 |#2|) (-388)) (-4617 |has| (-433 |#2|) (-388)) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-433 |#2|) (QUOTE (-169))) (|HasCategory| (-433 |#2|) (QUOTE (-171))) (|HasCategory| (-433 |#2|) (QUOTE (-373))) (|HasCategory| (-433 |#2|) (QUOTE (-388))) (-3836 (|HasCategory| (-433 |#2|) (QUOTE (-388))) (|HasCategory| (-433 |#2|) (QUOTE (-373)))) (|HasCategory| (-433 |#2|) (QUOTE (-394))) (|HasCategory| (-433 |#2|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| (-433 |#2|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-433 |#2|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-394))) (-3836 (|HasCategory| (-433 |#2|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-12 (|HasCategory| (-433 |#2|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-433 |#2|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-12 (|HasCategory| (-433 |#2|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-433 |#2|) (QUOTE (-373))))) (-12 (|HasCategory| (-433 |#2|) (QUOTE (-247))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-433 |#2|) (QUOTE (-247))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (|HasCategory| (-433 |#2|) (QUOTE (-373))))) 
-(-46 R -3958) 
+((|noZeroDivisors| |has| (|Fraction| |#2|) (|Field|)) (|canonicalUnitNormal| |has| (|Fraction| |#2|) (|Field|)) (|canonicalsClosed| |has| (|Fraction| |#2|) (|Field|)) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Fraction| |#2|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|))) (OR (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Finite|))) (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (OR (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (AND (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (AND (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|))))) (AND (|HasCategory| (|Fraction| |#2|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|Fraction| |#2|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|))))) 
+(|AlgebraicManipulations| R F) 
 ((|constructor| (NIL "AlgebraicManipulations provides functions to simplify and expand expressions involving algebraic operators.")) (|rootKerSimp| ((|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)) "\\spad{rootKerSimp(op,f,n)} should be local but conditional.")) (|rootSimp| ((|#2| |#2|) "\\spad{rootSimp(f)} transforms every radical of the form \\spad{(a * b**(q*n+r))**(1/n)} appearing in \\spad{f} into \\spad{b**q * (a * b**r)**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{b.}")) (|rootProduct| ((|#2| |#2|) "\\spad{rootProduct(f)} combines every product of the form \\spad{(a**(1/n))**m * (a**(1/s))**t} into a single power of a root of \\spad{a}, and transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form.")) (|rootPower| ((|#2| |#2|) "\\spad{rootPower(f)} transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form if \\spad{m} and \\spad{n} have a common factor.")) (|ratPoly| (((|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{ratPoly(f)} returns a polynomial \\spad{p} such that \\spad{p} has no algebraic coefficients, and \\spad{p(f) = 0}.")) (|ratDenom| ((|#2| |#2| (|List| (|Kernel| |#2|))) "\\spad{ratDenom(f, [a1,...,an])} removes the ai's which are algebraic from the denominators in \\spad{f.}") ((|#2| |#2| (|List| |#2|)) "\\spad{ratDenom(f, [a1,...,an])} removes the ai's which are algebraic kernels from the denominators in \\spad{f.}") ((|#2| |#2| |#2|) "\\spad{ratDenom(f, a)} removes \\spad{a} from the denominators in \\spad{f} if \\spad{a} is an algebraic kernel.") ((|#2| |#2|) "\\spad{ratDenom(f)} rationalizes the denominators appearing in \\spad{f} by moving all the algebraic quantities into the numerators.")) (|rootSplit| ((|#2| |#2|) "\\spad{rootSplit(f)} transforms every radical of the form \\spad{(a/b)**(1/n)} appearing in \\spad{f} into \\spad{a**(1/n) / b**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{a} and \\spad{b.}")) (|coerce| (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(x)} \\undocumented")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(x)} \\undocumented")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -456) (|devaluate| |#1|))))) 
-(-47 OV E P) 
+((AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |FunctionSpace|) (|devaluate| |#1|))))) 
+(|AlgebraicMultFact| OV E P) 
 ((|constructor| (NIL "This package factors multivariate polynomials over the domain of \\spadtype{AlgebraicNumber} by allowing the user to specify a list of algebraic numbers generating the particular extension to factor over.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))) "\\spad{factor(p,lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list lan. \\spad{p} is presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list lan."))) 
 NIL 
 NIL 
-(-48 R A) 
+(|AlgebraPackage| R A) 
 ((|constructor| (NIL "AlgebraPackage assembles a variety of useful functions for general algebras.")) (|basis| (((|Vector| |#2|) (|Vector| |#2|)) "\\spad{basis(va)} selects a basis from the elements of va.")) (|radicalOfLeftTraceForm| (((|List| |#2|)) "\\spad{radicalOfLeftTraceForm()} returns basis for null space of \\spad{leftTraceMatrix()}, if the algebra is associative, alternative or a Jordan algebra, then this space equals the radical (maximal nil ideal) of the algebra.")) (|basisOfCentroid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfCentroid()} returns a basis of the centroid, \\spadignore{i.e.} the endomorphism ring of \\spad{A} considered as \\spad{(A,A)}-bimodule.")) (|basisOfRightNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfRightNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as left module. Note that right nucloid coincides with right nucleus if \\spad{A} has a unit.")) (|basisOfLeftNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfLeftNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as right module. Note that left nucloid coincides with left nucleus if \\spad{A} has a unit.")) (|basisOfCenter| (((|List| |#2|)) "\\spad{basisOfCenter()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{commutator(x,a) = 0} and \\spad{associator(x,a,b) = associator(a,x,b) = associator(a,b,x) = 0} for all \\spad{a},b in \\spad{A}.")) (|basisOfNucleus| (((|List| |#2|)) "\\spad{basisOfNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{associator(x,a,b) = associator(a,x,b) = associator(a,b,x) = 0} for all \\spad{a},b in \\spad{A}.")) (|basisOfMiddleNucleus| (((|List| |#2|)) "\\spad{basisOfMiddleNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,x,b)} for all \\spad{a},b in \\spad{A}.")) (|basisOfRightNucleus| (((|List| |#2|)) "\\spad{basisOfRightNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,b,x)} for all \\spad{a},b in \\spad{A}.")) (|basisOfLeftNucleus| (((|List| |#2|)) "\\spad{basisOfLeftNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(x,a,b)} for all \\spad{a},b in \\spad{A}.")) (|basisOfRightAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfRightAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = a*x}.")) (|basisOfLeftAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfLeftAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = x*a}.")) (|basisOfCommutingElements| (((|List| |#2|)) "\\spad{basisOfCommutingElements()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = commutator(x,a)} for all \\spad{a} in \\spad{A}.")) (|biRank| (((|NonNegativeInteger|) |#2|) "\\spad{biRank(x)} determines the number of linearly independent elements in \\spad{x}, \\spad{x*bi}, \\spad{bi*x}, \\spad{bi*x*bj}, \\spad{i,j=1,...,n}, where \\spad{b=[b1,...,bn]} is a basis. Note that if \\spad{A} has a unit, then doubleRank, weakBiRank, and biRank coincide.")) (|weakBiRank| (((|NonNegativeInteger|) |#2|) "\\spad{weakBiRank(x)} determines the number of linearly independent elements in the \\spad{bi*x*bj}, \\spad{i,j=1,...,n}, where \\spad{b=[b1,...,bn]} is a basis.")) (|doubleRank| (((|NonNegativeInteger|) |#2|) "\\spad{doubleRank(x)} determines the number of linearly independent elements in \\spad{b1*x},...,\\spad{x*bn}, where \\spad{b=[b1,...,bn]} is a basis.")) (|rightRank| (((|NonNegativeInteger|) |#2|) "\\spad{rightRank(x)} determines the number of linearly independent elements in \\spad{b1*x},...,\\spad{bn*x}, where \\spad{b=[b1,...,bn]} is a basis.")) (|leftRank| (((|NonNegativeInteger|) |#2|) "\\spad{leftRank(x)} determines the number of linearly independent elements in \\spad{x*b1},...,\\spad{x*bn}, where \\spad{b=[b1,...,bn]} is a basis."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-323)))) 
-(-49 R |n| |ls| |gamma|) 
+((|HasCategory| |#1| (QUOTE (|EuclideanDomain|)))) 
+(|AlgebraGivenByStructuralConstants| R |n| |ls| |gamma|) 
 ((|constructor| (NIL "AlgebraGivenByStructuralConstants implements finite rank algebras over a commutative ring, given by the structural constants \\spad{gamma} with respect to a fixed basis \\spad{[a1,..,an]}, where \\spad{gamma} is an \\spad{n}-vector of \\spad{n} by \\spad{n} matrices \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{ai * aj = \\spad{gammaij1} * \\spad{a1} + \\spad{...} + gammaijn * an}. The symbols for the fixed basis have to be given as a list of symbols.")) (|coerce| (($ (|Vector| |#1|)) "\\spad{coerce(v)} converts a vector to a member of the algebra by forming a linear combination with the basis element. Note: the vector is assumed to have length equal to the dimension of the algebra."))) 
-((-4622 |has| |#1| (-582)) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) 
-(-50 |Key| |Entry|) 
+((|unitsKnown| |has| |#1| (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|AssociationList| |Key| |Entry|) 
 ((|constructor| (NIL "\\spadtype{AssociationList} implements association lists. These may be viewed as lists of pairs where the first part is a key and the second is the stored value. For example, the key might be a string with a persons employee identification number and the value might be a record with personnel data."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-869))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119)))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-869)))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))))) 
-(-51 S R E) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|OrderedSet|))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))))) 
+(|AbelianMonoidRing&| S R E) 
 ((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i, elements of the ordered abelian monoid, are thought of as exponents or monomials. The monomials commute with each other, and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least, only the non-zero terms are ever operated on.")) (/ (($ $ |#2|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c.}")) (|coefficient| ((|#2| $ |#3|) "\\spad{coefficient(p,e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p,} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#2| |#3|) "\\spad{monomial(r,e)} makes a term from a coefficient \\spad{r} and an exponent e.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|degree| ((|#3| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p.}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388)))) 
-(-52 R E) 
+((|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|AbelianMonoidRing| R E) 
 ((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i, elements of the ordered abelian monoid, are thought of as exponents or monomials. The monomials commute with each other, and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least, only the non-zero terms are ever operated on.")) (/ (($ $ |#1|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(p,e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p,} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,e)} makes a term from a coefficient \\spad{r} and an exponent e.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|degree| ((|#2| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p.}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p.}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-53) 
+(|AlgebraicNumber|) 
 ((|constructor| (NIL "Algebraic closure of the rational numbers, with mathematical =")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| $ (QUOTE (-1075))) (|HasCategory| $ (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-54) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| $ (QUOTE (|Ring|))) (|HasCategory| $ (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|AnonymousFunction|) 
 ((|constructor| (NIL "This domain implements anonymous functions"))) 
 NIL 
 NIL 
-(-55 R |lVar|) 
+(|AntiSymm| R |lVar|) 
 ((|constructor| (NIL "The domain of antisymmetric polynomials.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,p)} changes each coefficient of \\spad{p} by the application of \\spad{f.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the homogeneous degree of \\spad{p.}")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(p)} tests if \\spad{p} is a 0-form, \\spadignore{i.e.} if degree(p) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(p)} tests if all of the terms of \\spad{p} have the same degree.")) (|exp| (($ (|List| (|Integer|))) "\\spad{exp([i1,...in])} returns \\spad{u_1\\^{i_1} \\spad{...} u_n\\^{i_n}}")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th multiplicative generator, a basis term.")) (|coefficient| ((|#1| $ $) "\\spad{coefficient(p,u)} returns the coefficient of the term in \\spad{p} containing the basis term \\spad{u} if such a term exists, and 0 otherwise. Error: if the second argument \\spad{u} is not a basis element.")) (|reductum| (($ $) "\\spad{reductum(p)}, where \\spad{p} is an antisymmetric polynomial, returns \\spad{p} minus the leading term of \\spad{p} if \\spad{p} has at least two terms, and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(p)} returns the leading basis term of antisymmetric polynomial \\spad{p.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the leading coefficient of antisymmetric polynomial \\spad{p.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-56 S) 
+(|AnyFunctions1| S) 
 ((|constructor| (NIL "\\spadtype{AnyFunctions1} implements several utility functions for working with \\spadtype{Any}. These functions are used to go back and forth between objects of \\spadtype{Any} and objects of other types.")) (|retract| ((|#1| (|Any|)) "\\spad{retract(a)} tries to convert \\spad{a} into an object of type \\spad{S}. If possible, it returns the object. Error: if no such retraction is possible.")) (|retractable?| (((|Boolean|) (|Any|)) "\\spad{retractable?(a)} tests if \\spad{a} can be converted into an object of type \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") (|Any|)) "\\spad{retractIfCan(a)} tries change \\spad{a} into an object of type \\spad{S}. If it can, then such an object is returned. Otherwise, \"failed\" is returned.")) (|coerce| (((|Any|) |#1|) "\\spad{coerce(s)} creates an object of \\spadtype{Any} from the object \\spad{s} of type \\spad{S}."))) 
 NIL 
 NIL 
-(-57) 
+(|Any|) 
 ((|constructor| (NIL "\\spadtype{Any} implements a type that packages up objects and their types in objects of \\spadtype{Any}. Roughly speaking that means that if \\spad{s : \\spad{S}} then when converted to \\spadtype{Any}, the new object will include both the original object and its type. This is a way of converting arbitrary objects into a single type without losing any of the original information. Any object can be converted to one of \\spadtype{Any}.")) (|showTypeInOutput| (((|String|) (|Boolean|)) "\\spad{showTypeInOutput(bool)} affects the way objects of \\spadtype{Any} are displayed. If \\spad{bool} is \\spad{true} then the type of the original object that was converted to \\spadtype{Any} will be printed. If \\spad{bool} is false, it will not be printed.")) (|obj| (((|None|) $) "\\spad{obj(a)} essentially returns the original object that was converted to \\spadtype{Any} except that the type is forced to be \\spadtype{None}.")) (|dom| (((|SExpression|) $) "\\spad{dom(a)} returns a \\spadgloss{LISP} form of the type of the original object that was converted to \\spadtype{Any}.")) (|objectOf| (((|OutputForm|) $) "\\spad{objectOf(a)} returns a printable form of the original object that was converted to \\spadtype{Any}.")) (|domainOf| (((|OutputForm|) $) "\\spad{domainOf(a)} returns a printable form of the type of the original object that was converted to \\spadtype{Any}.")) (|any| (($ (|SExpression|) (|None|)) "\\spad{any(type,object)} is a technical function for creating an \\spad{object} of \\spadtype{Any}. Arugment \\spad{type} is a \\spadgloss{LISP} form for the \\spad{type} of \\spad{object}."))) 
 NIL 
 NIL 
-(-58) 
+(|ApplicationProgramInterface|) 
 ((|constructor| (NIL "This package contains useful functions that expose Axiom system internals")) (|reportInstantiations| (((|Void|) (|Boolean|)) "\\indented{1}{A debugging tool to show instantiation information} \\blankline \\spad{X} reportInstantiations(true) \\spad{X} 1 \\spad{X} reportInstantiations(false)")) (|summary| (((|Void|)) "\\indented{1}{summary() prints a short list of useful console commands} \\blankline \\spad{X} summary()")) (|credits| (((|Void|)) "\\indented{1}{credits() prints a list of people who contributed to Axiom} \\blankline \\spad{X} credits()")) (|getAncestors| (((|Set| (|Symbol|)) (|Symbol|)) "\\indented{1}{The getAncestor(s) takes a category and returns the list of domains} \\indented{1}{that have that category as ancestors} \\blankline \\spad{X} getAncestors 'IndexedAggregate")) (|getDomains| (((|Set| (|Symbol|)) (|Symbol|)) "\\indented{1}{The getDomains(s) takes a category and returns the list of domains} \\indented{1}{that have that category} \\blankline \\spad{X} getDomains 'IndexedAggregate"))) 
 NIL 
 NIL 
-(-59 R M P) 
+(|ApplyUnivariateSkewPolynomial| R M P) 
 ((|constructor| (NIL "\\spad{ApplyUnivariateSkewPolynomial} (internal) allows univariate skew polynomials to be applied to appropriate modules.")) (|apply| ((|#2| |#3| (|Mapping| |#2| |#2|) |#2|) "\\spad{apply(p, \\spad{f,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = f(m)}. \\spad{f} must be an R-pseudo linear map on \\spad{M.}"))) 
 NIL 
 NIL 
-(-60 |Base| R -3958) 
+(|ApplyRules| |Base| R F) 
 ((|constructor| (NIL "This package apply rewrite rules to expressions, calling the pattern matcher.")) (|localUnquote| ((|#3| |#3| (|List| (|Symbol|))) "\\spad{localUnquote(f,ls)} is a local function.")) (|applyRules| ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|)) "\\spad{applyRules([r1,...,rn], expr, \\spad{n)}} applies the rules r1,...,rn to \\spad{f} a most \\spad{n} times.") ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|) "\\spad{applyRules([r1,...,rn], expr)} applies the rules r1,...,rn to \\spad{f} an unlimited number of times, \\spadignore{i.e.} until none of r1,...,rn is applicable to the expression."))) 
 NIL 
 NIL 
-(-61 S R |Row| |Col|) 
+(|TwoDimensionalArrayCategory&| S R |Row| |Col|) 
 ((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\indented{1}{map!(f,a)\\space{2}assign \\spad{a(i,j)} to \\spad{f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map!(-,arr)")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $ |#2|) "\\indented{1}{map(f,a,b,r) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{when both \\spad{a(i,j)} and \\spad{b(i,j)} exist;} \\indented{1}{else \\spad{c(i,j) = f(r, b(i,j))} when \\spad{a(i,j)} does not exist;} \\indented{1}{else \\spad{c(i,j) = f(a(i,j),r)} when \\spad{b(i,j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,j) = f(r,r)}.} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,3,10) \\spad{X} map(adder,arr1,arr2,17)") (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\indented{1}{map(f,a,b) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(adder,arr,arr)") (($ (|Mapping| |#2| |#2|) $) "\\indented{1}{map(f,a) returns \\spad{b}, where \\spad{b(i,j) = f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(-,arr) \\spad{X} map((x \\spad{+->} \\spad{x} + x),arr)")) (|setColumn!| (($ $ (|Integer|) |#4|) "\\indented{1}{setColumn!(m,j,v) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{acol:=construct([1,2,3,4,5]::List(INT))$T2} \\spad{X} \\spad{setColumn!(arr,1,acol)$T1}")) (|setRow!| (($ $ (|Integer|) |#3|) "\\indented{1}{setRow!(m,i,v) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{arow:=construct([1,2,3,4]::List(INT))$T2} \\spad{X} \\spad{setRow!(arr,1,arow)$T1}")) (|qsetelt!| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{qsetelt!(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} qsetelt!(arr,1,1,17)")) (|setelt| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{setelt(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} setelt(arr,1,1,17)")) (|parts| (((|List| |#2|) $) "\\indented{1}{parts(m) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} parts(arr)")) (|column| ((|#4| $ (|Integer|)) "\\indented{1}{column(m,j) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} column(arr,1)")) (|row| ((|#3| $ (|Integer|)) "\\indented{1}{row(m,i) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} row(arr,1)")) (|qelt| ((|#2| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} qelt(arr,1,1)")) (|elt| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{elt(m,i,j,r) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1,6) \\spad{X} elt(arr,1,10,6)") ((|#2| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(m) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(m) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(m) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(m) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(m) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(m) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#2|) "\\indented{1}{fill!(m,r) fills \\spad{m} with r's} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} fill!(arr,10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\indented{1}{new(m,n,r) is an m-by-n array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
 NIL 
 NIL 
-(-62 R |Row| |Col|) 
+(|TwoDimensionalArrayCategory| R |Row| |Col|) 
 ((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map!(f,a)\\space{2}assign \\spad{a(i,j)} to \\spad{f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map!(-,arr)")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) "\\indented{1}{map(f,a,b,r) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{when both \\spad{a(i,j)} and \\spad{b(i,j)} exist;} \\indented{1}{else \\spad{c(i,j) = f(r, b(i,j))} when \\spad{a(i,j)} does not exist;} \\indented{1}{else \\spad{c(i,j) = f(a(i,j),r)} when \\spad{b(i,j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,j) = f(r,r)}.} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,3,10) \\spad{X} map(adder,arr1,arr2,17)") (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\indented{1}{map(f,a,b) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(adder,arr,arr)") (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(f,a) returns \\spad{b}, where \\spad{b(i,j) = f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(-,arr) \\spad{X} map((x \\spad{+->} \\spad{x} + x),arr)")) (|setColumn!| (($ $ (|Integer|) |#3|) "\\indented{1}{setColumn!(m,j,v) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{acol:=construct([1,2,3,4,5]::List(INT))$T2} \\spad{X} \\spad{setColumn!(arr,1,acol)$T1}")) (|setRow!| (($ $ (|Integer|) |#2|) "\\indented{1}{setRow!(m,i,v) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{arow:=construct([1,2,3,4]::List(INT))$T2} \\spad{X} \\spad{setRow!(arr,1,arow)$T1}")) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{qsetelt!(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} qsetelt!(arr,1,1,17)")) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{setelt(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} setelt(arr,1,1,17)")) (|parts| (((|List| |#1|) $) "\\indented{1}{parts(m) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} parts(arr)")) (|column| ((|#3| $ (|Integer|)) "\\indented{1}{column(m,j) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} column(arr,1)")) (|row| ((|#2| $ (|Integer|)) "\\indented{1}{row(m,i) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} row(arr,1)")) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} qelt(arr,1,1)")) (|elt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{elt(m,i,j,r) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1,6) \\spad{X} elt(arr,1,10,6)") ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(m) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(m) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(m) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(m) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(m) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(m) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#1|) "\\indented{1}{fill!(m,r) fills \\spad{m} with r's} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} fill!(arr,10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\indented{1}{new(m,n,r) is an m-by-n array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-63 A B) 
+(|OneDimensionalArrayFunctions2| A B) 
 ((|constructor| (NIL "This package provides tools for operating on one-dimensional arrays with unary and binary functions involving different underlying types")) (|map| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)) "\\indented{1}{map(f,a) applies function \\spad{f} to each member of one-dimensional array} \\indented{1}{\\spad{a} resulting in a new one-dimensional array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} map(x+->x+2,[i for \\spad{i} in 1..10])$T1")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{reduce(f,a,r) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{one-dimensional array \\spad{a} and an accumulant initialized to \\spad{r.}} \\indented{1}{For example, \\spad{reduce(_+$Integer,[1,2,3],0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f.}} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,[i for \\spad{i} in 1..10],0)$T1")) (|scan| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{scan(f,a,r) successively applies} \\indented{1}{\\spad{reduce(f,x,r)} to more and more leading sub-arrays} \\indented{1}{x of one-dimensional array \\spad{a}.} \\indented{1}{More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then} \\indented{1}{\\spad{scan(f,a,r)} returns} \\indented{1}{\\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,[i for \\spad{i} in 1..10],0)$T1"))) 
 NIL 
 NIL 
-(-64 S) 
+(|OneDimensionalArray| S) 
 ((|constructor| (NIL "This is the domain of 1-based one dimensional arrays")) (|oneDimensionalArray| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{oneDimensionalArray(n,s) creates an array from \\spad{n} copies of element \\spad{s}} \\blankline \\spad{X} oneDimensionalArray(10,0.0)") (($ (|List| |#1|)) "\\indented{1}{oneDimensionalArray(l) creates an array from a list of elements \\spad{l}} \\blankline \\spad{X} oneDimensionalArray \\spad{[i**2} for \\spad{i} in 1..10]"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-65 R) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|TwoDimensionalArray| R) 
 ((|constructor| (NIL "A TwoDimensionalArray is a two dimensional array with 1-based indexing for both rows and columns.")) (|shallowlyMutable| ((|attribute|) "One may destructively alter TwoDimensionalArray's."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-66 -4095) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|Asp10| |name|) 
 ((|constructor| (NIL "\\spadtype{ASP10} produces Fortran for Type 10 ASPs, needed for NAG routine d02kef. This ASP computes the values of a set of functions, for example: \\blankline \\tab{5}SUBROUTINE COEFFN(P,Q,DQDL,X,ELAM,JINT)\\br \\tab{5}DOUBLE PRECISION ELAM,P,Q,X,DQDL\\br \\tab{5}INTEGER JINT\\br \\tab{5}P=1.0D0\\br \\tab{5}Q=((-1.0D0*X**3)+ELAM*X*X-2.0D0)/(X*X)\\br \\tab{5}DQDL=1.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-67 -4095) 
+(|Asp12| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp12} produces Fortran for Type 12 ASPs, needed for NAG routine d02kef etc., for example: \\blankline \\tab{5}SUBROUTINE MONIT (MAXIT,IFLAG,ELAM,FINFO)\\br \\tab{5}DOUBLE PRECISION ELAM,FINFO(15)\\br \\tab{5}INTEGER MAXIT,IFLAG\\br \\tab{5}IF(MAXIT.EQ.-1)THEN\\br \\tab{7}PRINT*,\"Output from Monit\"\\br \\tab{5}ENDIF\\br \\tab{5}PRINT*,MAXIT,IFLAG,ELAM,(FINFO(I),I=1,4)\\br \\tab{5}RETURN\\br \\tab{5}END\\")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP12}."))) 
 NIL 
 NIL 
-(-68 -4095) 
+(|Asp19| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp19} produces Fortran for Type 19 ASPs, evaluating a set of functions and their jacobian at a given point, for example: \\blankline \\tab{5}SUBROUTINE LSFUN2(M,N,XC,FVECC,FJACC,LJC)\\br \\tab{5}DOUBLE PRECISION FVECC(M),FJACC(LJC,N),XC(N)\\br \\tab{5}INTEGER M,N,LJC\\br \\tab{5}INTEGER I,J\\br \\tab{5}DO 25003 I=1,LJC\\br \\tab{7}DO 25004 J=1,N\\br \\tab{9}FJACC(I,J)=0.0D0\\br 25004 CONTINUE\\br 25003 CONTINUE\\br \\tab{5}FVECC(1)=((XC(1)-0.14D0)*XC(3)+(15.0D0*XC(1)-2.1D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+15.0D0*XC(2))\\br \\tab{5}FVECC(2)=((XC(1)-0.18D0)*XC(3)+(7.0D0*XC(1)-1.26D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+7.0D0*XC(2))\\br \\tab{5}FVECC(3)=((XC(1)-0.22D0)*XC(3)+(4.333333333333333D0*XC(1)-0.953333\\br \\tab{4}&3333333333D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))\\br \\tab{5}FVECC(4)=((XC(1)-0.25D0)*XC(3)+(3.0D0*XC(1)-0.75D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+3.0D0*XC(2))\\br \\tab{5}FVECC(5)=((XC(1)-0.29D0)*XC(3)+(2.2D0*XC(1)-0.6379999999999999D0)*\\br \\tab{4}&XC(2)+1.0D0)/(XC(3)+2.2D0*XC(2))\\br \\tab{5}FVECC(6)=((XC(1)-0.32D0)*XC(3)+(1.666666666666667D0*XC(1)-0.533333\\br \\tab{4}&3333333333D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))\\br \\tab{5}FVECC(7)=((XC(1)-0.35D0)*XC(3)+(1.285714285714286D0*XC(1)-0.45D0)*\\br \\tab{4}&XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))\\br \\tab{5}FVECC(8)=((XC(1)-0.39D0)*XC(3)+(XC(1)-0.39D0)*XC(2)+1.0D0)/(XC(3)+\\br \\tab{4}&XC(2))\\br \\tab{5}FVECC(9)=((XC(1)-0.37D0)*XC(3)+(XC(1)-0.37D0)*XC(2)+1.285714285714\\br \\tab{4}&286D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(10)=((XC(1)-0.58D0)*XC(3)+(XC(1)-0.58D0)*XC(2)+1.66666666666\\br \\tab{4}&6667D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(11)=((XC(1)-0.73D0)*XC(3)+(XC(1)-0.73D0)*XC(2)+2.2D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(12)=((XC(1)-0.96D0)*XC(3)+(XC(1)-0.96D0)*XC(2)+3.0D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333\\br \\tab{4}&3333D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X\\br \\tab{4}&C(2))\\br \\tab{5}FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3\\br \\tab{4}&)+XC(2))\\br \\tab{5}FJACC(1,1)=1.0D0\\br \\tab{5}FJACC(1,2)=-15.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)\\br \\tab{5}FJACC(1,3)=-1.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)\\br \\tab{5}FJACC(2,1)=1.0D0\\br \\tab{5}FJACC(2,2)=-7.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)\\br \\tab{5}FJACC(2,3)=-1.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)\\br \\tab{5}FJACC(3,1)=1.0D0\\br \\tab{5}FJACC(3,2)=((-0.1110223024625157D-15*XC(3))-4.333333333333333D0)/(\\br \\tab{4}&XC(3)**2+8.666666666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(3,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+8.666666\\br \\tab{4}&666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)**2)\\br \\tab{5}FJACC(4,1)=1.0D0\\br \\tab{5}FJACC(4,2)=-3.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)\\br \\tab{5}FJACC(4,3)=-1.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)\\br \\tab{5}FJACC(5,1)=1.0D0\\br \\tab{5}FJACC(5,2)=((-0.1110223024625157D-15*XC(3))-2.2D0)/(XC(3)**2+4.399\\br \\tab{4}&999999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)\\br \\tab{5}FJACC(5,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+4.399999\\br \\tab{4}&999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)\\br \\tab{5}FJACC(6,1)=1.0D0\\br \\tab{5}FJACC(6,2)=((-0.2220446049250313D-15*XC(3))-1.666666666666667D0)/(\\br \\tab{4}&XC(3)**2+3.333333333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(6,3)=(0.2220446049250313D-15*XC(2)-1.0D0)/(XC(3)**2+3.333333\\br \\tab{4}&333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)**2)\\br \\tab{5}FJACC(7,1)=1.0D0\\br \\tab{5}FJACC(7,2)=((-0.5551115123125783D-16*XC(3))-1.285714285714286D0)/(\\br \\tab{4}&XC(3)**2+2.571428571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(7,3)=(0.5551115123125783D-16*XC(2)-1.0D0)/(XC(3)**2+2.571428\\br \\tab{4}&571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)**2)\\br \\tab{5}FJACC(8,1)=1.0D0\\br \\tab{5}FJACC(8,2)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(8,3)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(9,1)=1.0D0\\br \\tab{5}FJACC(9,2)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*\\br \\tab{4}&*2)\\br \\tab{5}FJACC(9,3)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*\\br \\tab{4}&*2)\\br \\tab{5}FJACC(10,1)=1.0D0\\br \\tab{5}FJACC(10,2)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(10,3)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(11,1)=1.0D0\\br \\tab{5}FJACC(11,2)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(11,3)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(12,1)=1.0D0\\br \\tab{5}FJACC(12,2)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(12,3)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(13,1)=1.0D0\\br \\tab{5}FJACC(13,2)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(13,3)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(14,1)=1.0D0\\br \\tab{5}FJACC(14,2)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(14,3)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(15,1)=1.0D0\\br \\tab{5}FJACC(15,2)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(15,3)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-69 -4095) 
+(|Asp1| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp1} produces Fortran for Type 1 ASPs, needed for various NAG routines. Type 1 ASPs take a univariate expression (in the symbol \\spad{x)} and turn it into a Fortran Function like the following: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION F(X)\\br \\tab{5}DOUBLE PRECISION X\\br \\tab{5}F=DSIN(X)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-70 -4095) 
+(|Asp20| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp20} produces Fortran for Type 20 ASPs, for example: \\blankline \\tab{5}SUBROUTINE QPHESS(N,NROWH,NCOLH,JTHCOL,HESS,X,HX)\\br \\tab{5}DOUBLE PRECISION HX(N),X(N),HESS(NROWH,NCOLH)\\br \\tab{5}INTEGER JTHCOL,N,NROWH,NCOLH\\br \\tab{5}HX(1)=2.0D0*X(1)\\br \\tab{5}HX(2)=2.0D0*X(2)\\br \\tab{5}HX(3)=2.0D0*X(4)+2.0D0*X(3)\\br \\tab{5}HX(4)=2.0D0*X(4)+2.0D0*X(3)\\br \\tab{5}HX(5)=2.0D0*X(5)\\br \\tab{5}HX(6)=(-2.0D0*X(7))+(-2.0D0*X(6))\\br \\tab{5}HX(7)=(-2.0D0*X(7))+(-2.0D0*X(6))\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-71 -4095) 
+(|Asp24| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp24} produces Fortran for Type 24 ASPs which evaluate a multivariate function at a point (needed for NAG routine e04jaf), for example: \\blankline \\tab{5}SUBROUTINE FUNCT1(N,XC,FC)\\br \\tab{5}DOUBLE PRECISION FC,XC(N)\\br \\tab{5}INTEGER N\\br \\tab{5}FC=10.0D0*XC(4)**4+(-40.0D0*XC(1)*XC(4)**3)+(60.0D0*XC(1)**2+5\\br \\tab{4}&.0D0)*XC(4)**2+((-10.0D0*XC(3))+(-40.0D0*XC(1)**3))*XC(4)+16.0D0*X\\br \\tab{4}&C(3)**4+(-32.0D0*XC(2)*XC(3)**3)+(24.0D0*XC(2)**2+5.0D0)*XC(3)**2+\\br \\tab{4}&(-8.0D0*XC(2)**3*XC(3))+XC(2)**4+100.0D0*XC(2)**2+20.0D0*XC(1)*XC(\\br \\tab{4}&2)+10.0D0*XC(1)**4+XC(1)**2\\br \\tab{5}RETURN\\br \\tab{5}END\\br")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) "\\spadtype{FortranExpression} and turns it into an ASP. coerce(f) takes an object from the appropriate instantiation of"))) 
 NIL 
 NIL 
-(-72 -4095) 
+(|Asp27| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp27} produces Fortran for Type 27 ASPs, needed for NAG routine f02fjf ,for example: \\blankline \\tab{5}FUNCTION DOT(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION W(N),Z(N),RWORK(LRWORK)\\br \\tab{5}INTEGER N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)\\br \\tab{5}DOT=(W(16)+(-0.5D0*W(15)))*Z(16)+((-0.5D0*W(16))+W(15)+(-0.5D0*W(1\\br \\tab{4}&4)))*Z(15)+((-0.5D0*W(15))+W(14)+(-0.5D0*W(13)))*Z(14)+((-0.5D0*W(\\br \\tab{4}&14))+W(13)+(-0.5D0*W(12)))*Z(13)+((-0.5D0*W(13))+W(12)+(-0.5D0*W(1\\br \\tab{4}&1)))*Z(12)+((-0.5D0*W(12))+W(11)+(-0.5D0*W(10)))*Z(11)+((-0.5D0*W(\\br \\tab{4}&11))+W(10)+(-0.5D0*W(9)))*Z(10)+((-0.5D0*W(10))+W(9)+(-0.5D0*W(8))\\br \\tab{4}&)*Z(9)+((-0.5D0*W(9))+W(8)+(-0.5D0*W(7)))*Z(8)+((-0.5D0*W(8))+W(7)\\br \\tab{4}&+(-0.5D0*W(6)))*Z(7)+((-0.5D0*W(7))+W(6)+(-0.5D0*W(5)))*Z(6)+((-0.\\br \\tab{4}&5D0*W(6))+W(5)+(-0.5D0*W(4)))*Z(5)+((-0.5D0*W(5))+W(4)+(-0.5D0*W(3\\br \\tab{4}&)))*Z(4)+((-0.5D0*W(4))+W(3)+(-0.5D0*W(2)))*Z(3)+((-0.5D0*W(3))+W(\\br \\tab{4}&2)+(-0.5D0*W(1)))*Z(2)+((-0.5D0*W(2))+W(1))*Z(1)\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-73 -4095) 
+(|Asp28| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp28} produces Fortran for Type 28 ASPs, used in NAG routine f02fjf, for example: \\blankline \\tab{5}SUBROUTINE IMAGE(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION Z(N),W(N),IWORK(LRWORK),RWORK(LRWORK)\\br \\tab{5}INTEGER N,LIWORK,IFLAG,LRWORK\\br \\tab{5}W(1)=0.01707454969713436D0*Z(16)+0.001747395874954051D0*Z(15)+0.00\\br \\tab{4}&2106973900813502D0*Z(14)+0.002957434991769087D0*Z(13)+(-0.00700554\\br \\tab{4}&0882865317D0*Z(12))+(-0.01219194009813166D0*Z(11))+0.0037230647365\\br \\tab{4}&3087D0*Z(10)+0.04932374658377151D0*Z(9)+(-0.03586220812223305D0*Z(\\br \\tab{4}&8))+(-0.04723268012114625D0*Z(7))+(-0.02434652144032987D0*Z(6))+0.\\br \\tab{4}&2264766947290192D0*Z(5)+(-0.1385343580686922D0*Z(4))+(-0.116530050\\br \\tab{4}&8238904D0*Z(3))+(-0.2803531651057233D0*Z(2))+1.019463911841327D0*Z\\br \\tab{4}&(1)\\br \\tab{5}W(2)=0.0227345011107737D0*Z(16)+0.008812321197398072D0*Z(15)+0.010\\br \\tab{4}&94012210519586D0*Z(14)+(-0.01764072463999744D0*Z(13))+(-0.01357136\\br \\tab{4}&72105995D0*Z(12))+0.00157466157362272D0*Z(11)+0.05258889186338282D\\br \\tab{4}&0*Z(10)+(-0.01981532388243379D0*Z(9))+(-0.06095390688679697D0*Z(8)\\br \\tab{4}&)+(-0.04153119955569051D0*Z(7))+0.2176561076571465D0*Z(6)+(-0.0532\\br \\tab{4}&5555586632358D0*Z(5))+(-0.1688977368984641D0*Z(4))+(-0.32440166056\\br \\tab{4}&67343D0*Z(3))+0.9128222941872173D0*Z(2)+(-0.2419652703415429D0*Z(1\\br \\tab{4}&))\\br \\tab{5}W(3)=0.03371198197190302D0*Z(16)+0.02021603150122265D0*Z(15)+(-0.0\\br \\tab{4}&06607305534689702D0*Z(14))+(-0.03032392238968179D0*Z(13))+0.002033\\br \\tab{4}&305231024948D0*Z(12)+0.05375944956767728D0*Z(11)+(-0.0163213312502\\br \\tab{4}&9967D0*Z(10))+(-0.05483186562035512D0*Z(9))+(-0.04901428822579872D\\br \\tab{4}&0*Z(8))+0.2091097927887612D0*Z(7)+(-0.05760560341383113D0*Z(6))+(-\\br \\tab{4}&0.1236679206156403D0*Z(5))+(-0.3523683853026259D0*Z(4))+0.88929961\\br \\tab{4}&32269974D0*Z(3)+(-0.2995429545781457D0*Z(2))+(-0.02986582812574917\\br \\tab{4}&D0*Z(1))\\br \\tab{5}W(4)=0.05141563713660119D0*Z(16)+0.005239165960779299D0*Z(15)+(-0.\\br \\tab{4}&01623427735779699D0*Z(14))+(-0.01965809746040371D0*Z(13))+0.054688\\br \\tab{4}&97337339577D0*Z(12)+(-0.014224695935687D0*Z(11))+(-0.0505181779315\\br \\tab{4}&6355D0*Z(10))+(-0.04353074206076491D0*Z(9))+0.2012230497530726D0*Z\\br \\tab{4}&(8)+(-0.06630874514535952D0*Z(7))+(-0.1280829963720053D0*Z(6))+(-0\\br \\tab{4}&.305169742604165D0*Z(5))+0.8600427128450191D0*Z(4)+(-0.32415033802\\br \\tab{4}&68184D0*Z(3))+(-0.09033531980693314D0*Z(2))+0.09089205517109111D0*\\br \\tab{4}&Z(1)\\br \\tab{5}W(5)=0.04556369767776375D0*Z(16)+(-0.001822737697581869D0*Z(15))+(\\br \\tab{4}&-0.002512226501941856D0*Z(14))+0.02947046460707379D0*Z(13)+(-0.014\\br \\tab{4}&45079632086177D0*Z(12))+(-0.05034242196614937D0*Z(11))+(-0.0376966\\br \\tab{4}&3291725935D0*Z(10))+0.2171103102175198D0*Z(9)+(-0.0824949256021352\\br \\tab{4}&4D0*Z(8))+(-0.1473995209288945D0*Z(7))+(-0.315042193418466D0*Z(6))\\br \\tab{4}&+0.9591623347824002D0*Z(5)+(-0.3852396953763045D0*Z(4))+(-0.141718\\br \\tab{4}&5427288274D0*Z(3))+(-0.03423495461011043D0*Z(2))+0.319820917706851\\br \\tab{4}&6D0*Z(1)\\br \\tab{5}W(6)=0.04015147277405744D0*Z(16)+0.01328585741341559D0*Z(15)+0.048\\br \\tab{4}&26082005465965D0*Z(14)+(-0.04319641116207706D0*Z(13))+(-0.04931323\\br \\tab{4}&319055762D0*Z(12))+(-0.03526886317505474D0*Z(11))+0.22295383396730\\br \\tab{4}&01D0*Z(10)+(-0.07375317649315155D0*Z(9))+(-0.1589391311991561D0*Z(\\br \\tab{4}&8))+(-0.328001910890377D0*Z(7))+0.952576555482747D0*Z(6)+(-0.31583\\br \\tab{4}&09975786731D0*Z(5))+(-0.1846882042225383D0*Z(4))+(-0.0703762046700\\br \\tab{4}&4427D0*Z(3))+0.2311852964327382D0*Z(2)+0.04254083491825025D0*Z(1)\\br \\tab{5}W(7)=0.06069778964023718D0*Z(16)+0.06681263884671322D0*Z(15)+(-0.0\\br \\tab{4}&2113506688615768D0*Z(14))+(-0.083996867458326D0*Z(13))+(-0.0329843\\br \\tab{4}&8523869648D0*Z(12))+0.2276878326327734D0*Z(11)+(-0.067356038933017\\br \\tab{4}&95D0*Z(10))+(-0.1559813965382218D0*Z(9))+(-0.3363262957694705D0*Z(\\br \\tab{4}&8))+0.9442791158560948D0*Z(7)+(-0.3199955249404657D0*Z(6))+(-0.136\\br \\tab{4}&2463839920727D0*Z(5))+(-0.1006185171570586D0*Z(4))+0.2057504515015\\br \\tab{4}&423D0*Z(3)+(-0.02065879269286707D0*Z(2))+0.03160990266745513D0*Z(1\\br \\tab{4}&)\\br \\tab{5}W(8)=0.126386868896738D0*Z(16)+0.002563370039476418D0*Z(15)+(-0.05\\br \\tab{4}&581757739455641D0*Z(14))+(-0.07777893205900685D0*Z(13))+0.23117338\\br \\tab{4}&45834199D0*Z(12)+(-0.06031581134427592D0*Z(11))+(-0.14805474755869\\br \\tab{4}&52D0*Z(10))+(-0.3364014128402243D0*Z(9))+0.9364014128402244D0*Z(8)\\br \\tab{4}&+(-0.3269452524413048D0*Z(7))+(-0.1396841886557241D0*Z(6))+(-0.056\\br \\tab{4}&1733845834199D0*Z(5))+0.1777789320590069D0*Z(4)+(-0.04418242260544\\br \\tab{4}&359D0*Z(3))+(-0.02756337003947642D0*Z(2))+0.07361313110326199D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(9)=0.07361313110326199D0*Z(16)+(-0.02756337003947642D0*Z(15))+(-\\br \\tab{4}&0.04418242260544359D0*Z(14))+0.1777789320590069D0*Z(13)+(-0.056173\\br \\tab{4}&3845834199D0*Z(12))+(-0.1396841886557241D0*Z(11))+(-0.326945252441\\br \\tab{4}&3048D0*Z(10))+0.9364014128402244D0*Z(9)+(-0.3364014128402243D0*Z(8\\br \\tab{4}&))+(-0.1480547475586952D0*Z(7))+(-0.06031581134427592D0*Z(6))+0.23\\br \\tab{4}&11733845834199D0*Z(5)+(-0.07777893205900685D0*Z(4))+(-0.0558175773\\br \\tab{4}&9455641D0*Z(3))+0.002563370039476418D0*Z(2)+0.126386868896738D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(10)=0.03160990266745513D0*Z(16)+(-0.02065879269286707D0*Z(15))+0\\br \\tab{4}&.2057504515015423D0*Z(14)+(-0.1006185171570586D0*Z(13))+(-0.136246\\br \\tab{4}&3839920727D0*Z(12))+(-0.3199955249404657D0*Z(11))+0.94427911585609\\br \\tab{4}&48D0*Z(10)+(-0.3363262957694705D0*Z(9))+(-0.1559813965382218D0*Z(8\\br \\tab{4}&))+(-0.06735603893301795D0*Z(7))+0.2276878326327734D0*Z(6)+(-0.032\\br \\tab{4}&98438523869648D0*Z(5))+(-0.083996867458326D0*Z(4))+(-0.02113506688\\br \\tab{4}&615768D0*Z(3))+0.06681263884671322D0*Z(2)+0.06069778964023718D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(11)=0.04254083491825025D0*Z(16)+0.2311852964327382D0*Z(15)+(-0.0\\br \\tab{4}&7037620467004427D0*Z(14))+(-0.1846882042225383D0*Z(13))+(-0.315830\\br \\tab{4}&9975786731D0*Z(12))+0.952576555482747D0*Z(11)+(-0.328001910890377D\\br \\tab{4}&0*Z(10))+(-0.1589391311991561D0*Z(9))+(-0.07375317649315155D0*Z(8)\\br \\tab{4}&)+0.2229538339673001D0*Z(7)+(-0.03526886317505474D0*Z(6))+(-0.0493\\br \\tab{4}&1323319055762D0*Z(5))+(-0.04319641116207706D0*Z(4))+0.048260820054\\br \\tab{4}&65965D0*Z(3)+0.01328585741341559D0*Z(2)+0.04015147277405744D0*Z(1)\\br \\tab{5}W(12)=0.3198209177068516D0*Z(16)+(-0.03423495461011043D0*Z(15))+(-\\br \\tab{4}&0.1417185427288274D0*Z(14))+(-0.3852396953763045D0*Z(13))+0.959162\\br \\tab{4}&3347824002D0*Z(12)+(-0.315042193418466D0*Z(11))+(-0.14739952092889\\br \\tab{4}&45D0*Z(10))+(-0.08249492560213524D0*Z(9))+0.2171103102175198D0*Z(8\\br \\tab{4}&)+(-0.03769663291725935D0*Z(7))+(-0.05034242196614937D0*Z(6))+(-0.\\br \\tab{4}&01445079632086177D0*Z(5))+0.02947046460707379D0*Z(4)+(-0.002512226\\br \\tab{4}&501941856D0*Z(3))+(-0.001822737697581869D0*Z(2))+0.045563697677763\\br \\tab{4}&75D0*Z(1)\\br \\tab{5}W(13)=0.09089205517109111D0*Z(16)+(-0.09033531980693314D0*Z(15))+(\\br \\tab{4}&-0.3241503380268184D0*Z(14))+0.8600427128450191D0*Z(13)+(-0.305169\\br \\tab{4}&742604165D0*Z(12))+(-0.1280829963720053D0*Z(11))+(-0.0663087451453\\br \\tab{4}&5952D0*Z(10))+0.2012230497530726D0*Z(9)+(-0.04353074206076491D0*Z(\\br \\tab{4}&8))+(-0.05051817793156355D0*Z(7))+(-0.014224695935687D0*Z(6))+0.05\\br \\tab{4}&468897337339577D0*Z(5)+(-0.01965809746040371D0*Z(4))+(-0.016234277\\br \\tab{4}&35779699D0*Z(3))+0.005239165960779299D0*Z(2)+0.05141563713660119D0\\br \\tab{4}&*Z(1)\\br \\tab{5}W(14)=(-0.02986582812574917D0*Z(16))+(-0.2995429545781457D0*Z(15))\\br \\tab{4}&+0.8892996132269974D0*Z(14)+(-0.3523683853026259D0*Z(13))+(-0.1236\\br \\tab{4}&679206156403D0*Z(12))+(-0.05760560341383113D0*Z(11))+0.20910979278\\br \\tab{4}&87612D0*Z(10)+(-0.04901428822579872D0*Z(9))+(-0.05483186562035512D\\br \\tab{4}&0*Z(8))+(-0.01632133125029967D0*Z(7))+0.05375944956767728D0*Z(6)+0\\br \\tab{4}&.002033305231024948D0*Z(5)+(-0.03032392238968179D0*Z(4))+(-0.00660\\br \\tab{4}&7305534689702D0*Z(3))+0.02021603150122265D0*Z(2)+0.033711981971903\\br \\tab{4}&02D0*Z(1)\\br \\tab{5}W(15)=(-0.2419652703415429D0*Z(16))+0.9128222941872173D0*Z(15)+(-0\\br \\tab{4}&.3244016605667343D0*Z(14))+(-0.1688977368984641D0*Z(13))+(-0.05325\\br \\tab{4}&555586632358D0*Z(12))+0.2176561076571465D0*Z(11)+(-0.0415311995556\\br \\tab{4}&9051D0*Z(10))+(-0.06095390688679697D0*Z(9))+(-0.01981532388243379D\\br \\tab{4}&0*Z(8))+0.05258889186338282D0*Z(7)+0.00157466157362272D0*Z(6)+(-0.\\br \\tab{4}&0135713672105995D0*Z(5))+(-0.01764072463999744D0*Z(4))+0.010940122\\br \\tab{4}&10519586D0*Z(3)+0.008812321197398072D0*Z(2)+0.0227345011107737D0*Z\\br \\tab{4}&(1)\\br \\tab{5}W(16)=1.019463911841327D0*Z(16)+(-0.2803531651057233D0*Z(15))+(-0.\\br \\tab{4}&1165300508238904D0*Z(14))+(-0.1385343580686922D0*Z(13))+0.22647669\\br \\tab{4}&47290192D0*Z(12)+(-0.02434652144032987D0*Z(11))+(-0.04723268012114\\br \\tab{4}&625D0*Z(10))+(-0.03586220812223305D0*Z(9))+0.04932374658377151D0*Z\\br \\tab{4}&(8)+0.00372306473653087D0*Z(7)+(-0.01219194009813166D0*Z(6))+(-0.0\\br \\tab{4}&07005540882865317D0*Z(5))+0.002957434991769087D0*Z(4)+0.0021069739\\br \\tab{4}&00813502D0*Z(3)+0.001747395874954051D0*Z(2)+0.01707454969713436D0*\\br \\tab{4}&Z(1)\\br \\tab{5}RETURN\\br \\tab{5}END\\br"))) 
 NIL 
 NIL 
-(-74 -4095) 
+(|Asp29| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp29} produces Fortran for Type 29 ASPs, needed for NAG routine f02fjf, for example: \\blankline \\tab{5}SUBROUTINE MONIT(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)\\br \\tab{5}DOUBLE PRECISION D(K),F(K)\\br \\tab{5}INTEGER K,NEXTIT,NEVALS,NVECS,ISTATE\\br \\tab{5}CALL F02FJZ(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)\\br \\tab{5}RETURN\\br \\tab{5}END\\br")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP29}."))) 
 NIL 
 NIL 
-(-75 -4095) 
+(|Asp30| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp30} produces Fortran for Type 30 ASPs, needed for NAG routine f04qaf, for example: \\blankline \\tab{5}SUBROUTINE APROD(MODE,M,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION X(N),Y(M),RWORK(LRWORK)\\br \\tab{5}INTEGER M,N,LIWORK,IFAIL,LRWORK,IWORK(LIWORK),MODE\\br \\tab{5}DOUBLE PRECISION A(5,5)\\br \\tab{5}EXTERNAL F06PAF\\br \\tab{5}A(1,1)=1.0D0\\br \\tab{5}A(1,2)=0.0D0\\br \\tab{5}A(1,3)=0.0D0\\br \\tab{5}A(1,4)=-1.0D0\\br \\tab{5}A(1,5)=0.0D0\\br \\tab{5}A(2,1)=0.0D0\\br \\tab{5}A(2,2)=1.0D0\\br \\tab{5}A(2,3)=0.0D0\\br \\tab{5}A(2,4)=0.0D0\\br \\tab{5}A(2,5)=-1.0D0\\br \\tab{5}A(3,1)=0.0D0\\br \\tab{5}A(3,2)=0.0D0\\br \\tab{5}A(3,3)=1.0D0\\br \\tab{5}A(3,4)=-1.0D0\\br \\tab{5}A(3,5)=0.0D0\\br \\tab{5}A(4,1)=-1.0D0\\br \\tab{5}A(4,2)=0.0D0\\br \\tab{5}A(4,3)=-1.0D0\\br \\tab{5}A(4,4)=4.0D0\\br \\tab{5}A(4,5)=-1.0D0\\br \\tab{5}A(5,1)=0.0D0\\br \\tab{5}A(5,2)=-1.0D0\\br \\tab{5}A(5,3)=0.0D0\\br \\tab{5}A(5,4)=-1.0D0\\br \\tab{5}A(5,5)=4.0D0\\br \\tab{5}IF(MODE.EQ.1)THEN\\br \\tab{7}CALL F06PAF('N',M,N,1.0D0,A,M,X,1,1.0D0,Y,1)\\br \\tab{5}ELSEIF(MODE.EQ.2)THEN\\br \\tab{7}CALL F06PAF('T',M,N,1.0D0,A,M,Y,1,1.0D0,X,1)\\br \\tab{5}ENDIF\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-76 -4095) 
+(|Asp31| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp31} produces Fortran for Type 31 ASPs, needed for NAG routine d02ejf, for example: \\blankline \\tab{5}SUBROUTINE PEDERV(X,Y,PW)\\br \\tab{5}DOUBLE PRECISION X,Y(*)\\br \\tab{5}DOUBLE PRECISION PW(3,3)\\br \\tab{5}PW(1,1)=-0.03999999999999999D0\\br \\tab{5}PW(1,2)=10000.0D0*Y(3)\\br \\tab{5}PW(1,3)=10000.0D0*Y(2)\\br \\tab{5}PW(2,1)=0.03999999999999999D0\\br \\tab{5}PW(2,2)=(-10000.0D0*Y(3))+(-60000000.0D0*Y(2))\\br \\tab{5}PW(2,3)=-10000.0D0*Y(2)\\br \\tab{5}PW(3,1)=0.0D0\\br \\tab{5}PW(3,2)=60000000.0D0*Y(2)\\br \\tab{5}PW(3,3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-77 -4095) 
+(|Asp33| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp33} produces Fortran for Type 33 ASPs, needed for NAG routine d02kef. The code is a dummy ASP: \\blankline \\tab{5}SUBROUTINE REPORT(X,V,JINT)\\br \\tab{5}DOUBLE PRECISION V(3),X\\br \\tab{5}INTEGER JINT\\br \\tab{5}RETURN\\br \\tab{5}END")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP33}."))) 
 NIL 
 NIL 
-(-78 -4095) 
+(|Asp34| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp34} produces Fortran for Type 34 ASPs, needed for NAG routine f04mbf, for example: \\blankline \\tab{5}SUBROUTINE MSOLVE(IFLAG,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION RWORK(LRWORK),X(N),Y(N)\\br \\tab{5}INTEGER I,J,N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)\\br \\tab{5}DOUBLE PRECISION W1(3),W2(3),MS(3,3)\\br \\tab{5}IFLAG=-1\\br \\tab{5}MS(1,1)=2.0D0\\br \\tab{5}MS(1,2)=1.0D0\\br \\tab{5}MS(1,3)=0.0D0\\br \\tab{5}MS(2,1)=1.0D0\\br \\tab{5}MS(2,2)=2.0D0\\br \\tab{5}MS(2,3)=1.0D0\\br \\tab{5}MS(3,1)=0.0D0\\br \\tab{5}MS(3,2)=1.0D0\\br \\tab{5}MS(3,3)=2.0D0\\br \\tab{5}CALL F04ASF(MS,N,X,N,Y,W1,W2,IFLAG)\\br \\tab{5}IFLAG=-IFLAG\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-79 -4095) 
+(|Asp35| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp35} produces Fortran for Type 35 ASPs, needed for NAG routines c05pbf, c05pcf, for example: \\blankline \\tab{5}SUBROUTINE FCN(N,X,FVEC,FJAC,LDFJAC,IFLAG)\\br \\tab{5}DOUBLE PRECISION X(N),FVEC(N),FJAC(LDFJAC,N)\\br \\tab{5}INTEGER LDFJAC,N,IFLAG\\br \\tab{5}IF(IFLAG.EQ.1)THEN\\br \\tab{7}FVEC(1)=(-1.0D0*X(2))+X(1)\\br \\tab{7}FVEC(2)=(-1.0D0*X(3))+2.0D0*X(2)\\br \\tab{7}FVEC(3)=3.0D0*X(3)\\br \\tab{5}ELSEIF(IFLAG.EQ.2)THEN\\br \\tab{7}FJAC(1,1)=1.0D0\\br \\tab{7}FJAC(1,2)=-1.0D0\\br \\tab{7}FJAC(1,3)=0.0D0\\br \\tab{7}FJAC(2,1)=0.0D0\\br \\tab{7}FJAC(2,2)=2.0D0\\br \\tab{7}FJAC(2,3)=-1.0D0\\br \\tab{7}FJAC(3,1)=0.0D0\\br \\tab{7}FJAC(3,2)=0.0D0\\br \\tab{7}FJAC(3,3)=3.0D0\\br \\tab{5}ENDIF\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-80 |nameOne| |nameTwo| |nameThree|) 
+(|Asp41| |nameOne| |nameTwo| |nameThree|) 
 ((|constructor| (NIL "\\spadtype{Asp41} produces Fortran for Type 41 ASPs, needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions, and their derivatives \\spad{wrt} Y(i) and also a continuation parameter EPS, for example: \\blankline \\tab{5}SUBROUTINE FCN(X,EPS,Y,F,N)\\br \\tab{5}DOUBLE PRECISION EPS,F(N),X,Y(N)\\br \\tab{5}INTEGER N\\br \\tab{5}F(1)=Y(2)\\br \\tab{5}F(2)=Y(3)\\br \\tab{5}F(3)=(-1.0D0*Y(1)*Y(3))+2.0D0*EPS*Y(2)**2+(-2.0D0*EPS)\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACOBF(X,EPS,Y,F,N)\\br \\tab{5}DOUBLE PRECISION EPS,F(N,N),X,Y(N)\\br \\tab{5}INTEGER N\\br \\tab{5}F(1,1)=0.0D0\\br \\tab{5}F(1,2)=1.0D0\\br \\tab{5}F(1,3)=0.0D0\\br \\tab{5}F(2,1)=0.0D0\\br \\tab{5}F(2,2)=0.0D0\\br \\tab{5}F(2,3)=1.0D0\\br \\tab{5}F(3,1)=-1.0D0*Y(3)\\br \\tab{5}F(3,2)=4.0D0*EPS*Y(2)\\br \\tab{5}F(3,3)=-1.0D0*Y(1)\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACEPS(X,EPS,Y,F,N)\\br \\tab{5}DOUBLE PRECISION EPS,F(N),X,Y(N)\\br \\tab{5}INTEGER N\\br \\tab{5}F(1)=0.0D0\\br \\tab{5}F(2)=0.0D0\\br \\tab{5}F(3)=2.0D0*Y(2)**2-2.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-81 |nameOne| |nameTwo| |nameThree|) 
+(|Asp42| |nameOne| |nameTwo| |nameThree|) 
 ((|constructor| (NIL "\\spadtype{Asp42} produces Fortran for Type 42 ASPs, needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions, and their derivatives \\spad{wrt} Y(i) and also a continuation parameter EPS, for example: \\blankline \\tab{5}SUBROUTINE G(EPS,YA,YB,BC,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),YB(N),BC(N)\\br \\tab{5}INTEGER N\\br \\tab{5}BC(1)=YA(1)\\br \\tab{5}BC(2)=YA(2)\\br \\tab{5}BC(3)=YB(2)-1.0D0\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACOBG(EPS,YA,YB,AJ,BJ,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),AJ(N,N),BJ(N,N),YB(N)\\br \\tab{5}INTEGER N\\br \\tab{5}AJ(1,1)=1.0D0\\br \\tab{5}AJ(1,2)=0.0D0\\br \\tab{5}AJ(1,3)=0.0D0\\br \\tab{5}AJ(2,1)=0.0D0\\br \\tab{5}AJ(2,2)=1.0D0\\br \\tab{5}AJ(2,3)=0.0D0\\br \\tab{5}AJ(3,1)=0.0D0\\br \\tab{5}AJ(3,2)=0.0D0\\br \\tab{5}AJ(3,3)=0.0D0\\br \\tab{5}BJ(1,1)=0.0D0\\br \\tab{5}BJ(1,2)=0.0D0\\br \\tab{5}BJ(1,3)=0.0D0\\br \\tab{5}BJ(2,1)=0.0D0\\br \\tab{5}BJ(2,2)=0.0D0\\br \\tab{5}BJ(2,3)=0.0D0\\br \\tab{5}BJ(3,1)=0.0D0\\br \\tab{5}BJ(3,2)=1.0D0\\br \\tab{5}BJ(3,3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACGEP(EPS,YA,YB,BCEP,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),YB(N),BCEP(N)\\br \\tab{5}INTEGER N\\br \\tab{5}BCEP(1)=0.0D0\\br \\tab{5}BCEP(2)=0.0D0\\br \\tab{5}BCEP(3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-82 -4095) 
+(|Asp49| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp49} produces Fortran for Type 49 ASPs, needed for NAG routines e04dgf, e04ucf, for example: \\blankline \\tab{5}SUBROUTINE OBJFUN(MODE,N,X,OBJF,OBJGRD,NSTATE,IUSER,USER)\\br \\tab{5}DOUBLE PRECISION X(N),OBJF,OBJGRD(N),USER(*)\\br \\tab{5}INTEGER N,IUSER(*),MODE,NSTATE\\br \\tab{5}OBJF=X(4)*X(9)+((-1.0D0*X(5))+X(3))*X(8)+((-1.0D0*X(3))+X(1))*X(7)\\br \\tab{4}&+(-1.0D0*X(2)*X(6))\\br \\tab{5}OBJGRD(1)=X(7)\\br \\tab{5}OBJGRD(2)=-1.0D0*X(6)\\br \\tab{5}OBJGRD(3)=X(8)+(-1.0D0*X(7))\\br \\tab{5}OBJGRD(4)=X(9)\\br \\tab{5}OBJGRD(5)=-1.0D0*X(8)\\br \\tab{5}OBJGRD(6)=-1.0D0*X(2)\\br \\tab{5}OBJGRD(7)=(-1.0D0*X(3))+X(1)\\br \\tab{5}OBJGRD(8)=(-1.0D0*X(5))+X(3)\\br \\tab{5}OBJGRD(9)=X(4)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-83 -4095) 
+(|Asp4| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp4} produces Fortran for Type 4 ASPs, which take an expression in X(1) \\spad{..} X(NDIM) and produce a real function of the form: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION FUNCTN(NDIM,X)\\br \\tab{5}DOUBLE PRECISION X(NDIM)\\br \\tab{5}INTEGER NDIM\\br \\tab{5}FUNCTN=(4.0D0*X(1)*X(3)**2*DEXP(2.0D0*X(1)*X(3)))/(X(4)**2+(2.0D0*\\br \\tab{4}&X(2)+2.0D0)*X(4)+X(2)**2+2.0D0*X(2)+1.0D0)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-84 -4095) 
+(|Asp50| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp50} produces Fortran for Type 50 ASPs, needed for NAG routine e04fdf, for example: \\blankline \\tab{5}SUBROUTINE LSFUN1(M,N,XC,FVECC)\\br \\tab{5}DOUBLE PRECISION FVECC(M),XC(N)\\br \\tab{5}INTEGER I,M,N\\br \\tab{5}FVECC(1)=((XC(1)-2.4D0)*XC(3)+(15.0D0*XC(1)-36.0D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+15.0D0*XC(2))\\br \\tab{5}FVECC(2)=((XC(1)-2.8D0)*XC(3)+(7.0D0*XC(1)-19.6D0)*XC(2)+1.0D0)/(X\\br \\tab{4}&C(3)+7.0D0*XC(2))\\br \\tab{5}FVECC(3)=((XC(1)-3.2D0)*XC(3)+(4.333333333333333D0*XC(1)-13.866666\\br \\tab{4}&66666667D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))\\br \\tab{5}FVECC(4)=((XC(1)-3.5D0)*XC(3)+(3.0D0*XC(1)-10.5D0)*XC(2)+1.0D0)/(X\\br \\tab{4}&C(3)+3.0D0*XC(2))\\br \\tab{5}FVECC(5)=((XC(1)-3.9D0)*XC(3)+(2.2D0*XC(1)-8.579999999999998D0)*XC\\br \\tab{4}&(2)+1.0D0)/(XC(3)+2.2D0*XC(2))\\br \\tab{5}FVECC(6)=((XC(1)-4.199999999999999D0)*XC(3)+(1.666666666666667D0*X\\br \\tab{4}&C(1)-7.0D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))\\br \\tab{5}FVECC(7)=((XC(1)-4.5D0)*XC(3)+(1.285714285714286D0*XC(1)-5.7857142\\br \\tab{4}&85714286D0)*XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))\\br \\tab{5}FVECC(8)=((XC(1)-4.899999999999999D0)*XC(3)+(XC(1)-4.8999999999999\\br \\tab{4}&99D0)*XC(2)+1.0D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(9)=((XC(1)-4.699999999999999D0)*XC(3)+(XC(1)-4.6999999999999\\br \\tab{4}&99D0)*XC(2)+1.285714285714286D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(10)=((XC(1)-6.8D0)*XC(3)+(XC(1)-6.8D0)*XC(2)+1.6666666666666\\br \\tab{4}&67D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(11)=((XC(1)-8.299999999999999D0)*XC(3)+(XC(1)-8.299999999999\\br \\tab{4}&999D0)*XC(2)+2.2D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(12)=((XC(1)-10.6D0)*XC(3)+(XC(1)-10.6D0)*XC(2)+3.0D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333\\br \\tab{4}&3333D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X\\br \\tab{4}&C(2))\\br \\tab{5}FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3\\br \\tab{4}&)+XC(2))\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-85 -4095) 
+(|Asp55| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp55} produces Fortran for Type 55 ASPs, needed for NAG routines e04dgf and e04ucf, for example: \\blankline \\tab{5}SUBROUTINE CONFUN(MODE,NCNLN,N,NROWJ,NEEDC,X,C,CJAC,NSTATE,IUSER\\br \\tab{4}&,USER)\\br \\tab{5}DOUBLE PRECISION C(NCNLN),X(N),CJAC(NROWJ,N),USER(*)\\br \\tab{5}INTEGER N,IUSER(*),NEEDC(NCNLN),NROWJ,MODE,NCNLN,NSTATE\\br \\tab{5}IF(NEEDC(1).GT.0)THEN\\br \\tab{7}C(1)=X(6)**2+X(1)**2\\br \\tab{7}CJAC(1,1)=2.0D0*X(1)\\br \\tab{7}CJAC(1,2)=0.0D0\\br \\tab{7}CJAC(1,3)=0.0D0\\br \\tab{7}CJAC(1,4)=0.0D0\\br \\tab{7}CJAC(1,5)=0.0D0\\br \\tab{7}CJAC(1,6)=2.0D0*X(6)\\br \\tab{5}ENDIF\\br \\tab{5}IF(NEEDC(2).GT.0)THEN\\br \\tab{7}C(2)=X(2)**2+(-2.0D0*X(1)*X(2))+X(1)**2\\br \\tab{7}CJAC(2,1)=(-2.0D0*X(2))+2.0D0*X(1)\\br \\tab{7}CJAC(2,2)=2.0D0*X(2)+(-2.0D0*X(1))\\br \\tab{7}CJAC(2,3)=0.0D0\\br \\tab{7}CJAC(2,4)=0.0D0\\br \\tab{7}CJAC(2,5)=0.0D0\\br \\tab{7}CJAC(2,6)=0.0D0\\br \\tab{5}ENDIF\\br \\tab{5}IF(NEEDC(3).GT.0)THEN\\br \\tab{7}C(3)=X(3)**2+(-2.0D0*X(1)*X(3))+X(2)**2+X(1)**2\\br \\tab{7}CJAC(3,1)=(-2.0D0*X(3))+2.0D0*X(1)\\br \\tab{7}CJAC(3,2)=2.0D0*X(2)\\br \\tab{7}CJAC(3,3)=2.0D0*X(3)+(-2.0D0*X(1))\\br \\tab{7}CJAC(3,4)=0.0D0\\br \\tab{7}CJAC(3,5)=0.0D0\\br \\tab{7}CJAC(3,6)=0.0D0\\br \\tab{5}ENDIF\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-86 -4095) 
+(|Asp6| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp6} produces Fortran for Type 6 ASPs, needed for NAG routines c05nbf, c05ncf. These represent vectors of functions of X(i) and look like: \\blankline \\tab{5}SUBROUTINE FCN(N,X,FVEC,IFLAG) \\tab{5}DOUBLE PRECISION X(N),FVEC(N) \\tab{5}INTEGER N,IFLAG \\tab{5}FVEC(1)=(-2.0D0*X(2))+(-2.0D0*X(1)**2)+3.0D0*X(1)+1.0D0 \\tab{5}FVEC(2)=(-2.0D0*X(3))+(-2.0D0*X(2)**2)+3.0D0*X(2)+(-1.0D0*X(1))+1. \\tab{4}&0D0 \\tab{5}FVEC(3)=(-2.0D0*X(4))+(-2.0D0*X(3)**2)+3.0D0*X(3)+(-1.0D0*X(2))+1. \\tab{4}&0D0 \\tab{5}FVEC(4)=(-2.0D0*X(5))+(-2.0D0*X(4)**2)+3.0D0*X(4)+(-1.0D0*X(3))+1. \\tab{4}&0D0 \\tab{5}FVEC(5)=(-2.0D0*X(6))+(-2.0D0*X(5)**2)+3.0D0*X(5)+(-1.0D0*X(4))+1. \\tab{4}&0D0 \\tab{5}FVEC(6)=(-2.0D0*X(7))+(-2.0D0*X(6)**2)+3.0D0*X(6)+(-1.0D0*X(5))+1. \\tab{4}&0D0 \\tab{5}FVEC(7)=(-2.0D0*X(8))+(-2.0D0*X(7)**2)+3.0D0*X(7)+(-1.0D0*X(6))+1. \\tab{4}&0D0 \\tab{5}FVEC(8)=(-2.0D0*X(9))+(-2.0D0*X(8)**2)+3.0D0*X(8)+(-1.0D0*X(7))+1. \\tab{4}&0D0 \\tab{5}FVEC(9)=(-2.0D0*X(9)**2)+3.0D0*X(9)+(-1.0D0*X(8))+1.0D0 \\tab{5}RETURN \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-87 -4095) 
+(|Asp73| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp73} produces Fortran for Type 73 ASPs, needed for NAG routine d03eef, for example: \\blankline \\tab{5}SUBROUTINE PDEF(X,Y,ALPHA,BETA,GAMMA,DELTA,EPSOLN,PHI,PSI)\\br \\tab{5}DOUBLE PRECISION ALPHA,EPSOLN,PHI,X,Y,BETA,DELTA,GAMMA,PSI\\br \\tab{5}ALPHA=DSIN(X)\\br \\tab{5}BETA=Y\\br \\tab{5}GAMMA=X*Y\\br \\tab{5}DELTA=DCOS(X)*DSIN(Y)\\br \\tab{5}EPSOLN=Y+X\\br \\tab{5}PHI=X\\br \\tab{5}PSI=Y\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-88 -4095) 
+(|Asp74| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp74} produces Fortran for Type 74 ASPs, needed for NAG routine d03eef, for example: \\blankline \\tab{5} SUBROUTINE BNDY(X,Y,A,B,C,IBND)\\br \\tab{5} DOUBLE PRECISION A,B,C,X,Y\\br \\tab{5} INTEGER IBND\\br \\tab{5} IF(IBND.EQ.0)THEN\\br \\tab{7} A=0.0D0\\br \\tab{7} B=1.0D0\\br \\tab{7} C=-1.0D0*DSIN(X)\\br \\tab{5} ELSEIF(IBND.EQ.1)THEN\\br \\tab{7} A=1.0D0\\br \\tab{7} B=0.0D0\\br \\tab{7} C=DSIN(X)*DSIN(Y)\\br \\tab{5} ELSEIF(IBND.EQ.2)THEN\\br \\tab{7} A=1.0D0\\br \\tab{7} B=0.0D0\\br \\tab{7} C=DSIN(X)*DSIN(Y)\\br \\tab{5} ELSEIF(IBND.EQ.3)THEN\\br \\tab{7} A=0.0D0\\br \\tab{7} B=1.0D0\\br \\tab{7} C=-1.0D0*DSIN(Y)\\br \\tab{5} ENDIF\\br \\tab{5} END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-89 -4095) 
+(|Asp77| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp77} produces Fortran for Type 77 ASPs, needed for NAG routine d02gbf, for example: \\blankline \\tab{5}SUBROUTINE FCNF(X,F)\\br \\tab{5}DOUBLE PRECISION X\\br \\tab{5}DOUBLE PRECISION F(2,2)\\br \\tab{5}F(1,1)=0.0D0\\br \\tab{5}F(1,2)=1.0D0\\br \\tab{5}F(2,1)=0.0D0\\br \\tab{5}F(2,2)=-10.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-90 -4095) 
+(|Asp78| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp78} produces Fortran for Type 78 ASPs, needed for NAG routine d02gbf, for example: \\blankline \\tab{5}SUBROUTINE FCNG(X,G)\\br \\tab{5}DOUBLE PRECISION G(*),X\\br \\tab{5}G(1)=0.0D0\\br \\tab{5}G(2)=0.0D0\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-91 -4095) 
+(|Asp7| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp7} produces Fortran for Type 7 ASPs, needed for NAG routines d02bbf, d02gaf. These represent a vector of functions of the scalar \\spad{X} and the array \\spad{Z,} and look like: \\blankline \\tab{5}SUBROUTINE FCN(X,Z,F)\\br \\tab{5}DOUBLE PRECISION F(*),X,Z(*)\\br \\tab{5}F(1)=DTAN(Z(3))\\br \\tab{5}F(2)=((-0.03199999999999999D0*DCOS(Z(3))*DTAN(Z(3)))+(-0.02D0*Z(2)\\br \\tab{4}&**2))/(Z(2)*DCOS(Z(3)))\\br \\tab{5}F(3)=-0.03199999999999999D0/(X*Z(2)**2)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-92 -4095) 
+(|Asp80| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp80} produces Fortran for Type 80 ASPs, needed for NAG routine d02kef, for example: \\blankline \\tab{5}SUBROUTINE BDYVAL(XL,XR,ELAM,YL,YR)\\br \\tab{5}DOUBLE PRECISION ELAM,XL,YL(3),XR,YR(3)\\br \\tab{5}YL(1)=XL\\br \\tab{5}YL(2)=2.0D0\\br \\tab{5}YR(1)=1.0D0\\br \\tab{5}YR(2)=-1.0D0*DSQRT(XR+(-1.0D0*ELAM))\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-93 -4095) 
+(|Asp8| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp8} produces Fortran for Type 8 ASPs, needed for NAG routine d02bbf. This ASP prints intermediate values of the computed solution of an ODE and might look like: \\blankline \\tab{5}SUBROUTINE OUTPUT(XSOL,Y,COUNT,M,N,RESULT,FORWRD)\\br \\tab{5}DOUBLE PRECISION Y(N),RESULT(M,N),XSOL\\br \\tab{5}INTEGER M,N,COUNT\\br \\tab{5}LOGICAL FORWRD\\br \\tab{5}DOUBLE PRECISION X02ALF,POINTS(8)\\br \\tab{5}EXTERNAL X02ALF\\br \\tab{5}INTEGER I\\br \\tab{5}POINTS(1)=1.0D0\\br \\tab{5}POINTS(2)=2.0D0\\br \\tab{5}POINTS(3)=3.0D0\\br \\tab{5}POINTS(4)=4.0D0\\br \\tab{5}POINTS(5)=5.0D0\\br \\tab{5}POINTS(6)=6.0D0\\br \\tab{5}POINTS(7)=7.0D0\\br \\tab{5}POINTS(8)=8.0D0\\br \\tab{5}COUNT=COUNT+1\\br \\tab{5}DO 25001 I=1,N\\br \\tab{7} RESULT(COUNT,I)=Y(I)\\br 25001 CONTINUE\\br \\tab{5}IF(COUNT.EQ.M)THEN\\br \\tab{7}IF(FORWRD)THEN\\br \\tab{9}XSOL=X02ALF()\\br \\tab{7}ELSE\\br \\tab{9}XSOL=-X02ALF()\\br \\tab{7}ENDIF\\br \\tab{5}ELSE\\br \\tab{7} XSOL=POINTS(COUNT)\\br \\tab{5}ENDIF\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-94 -4095) 
+(|Asp9| |name|) 
 ((|constructor| (NIL "\\spadtype{Asp9} produces Fortran for Type 9 ASPs, needed for NAG routines d02bhf, d02cjf, d02ejf. These ASPs represent a function of a scalar \\spad{X} and a vector \\spad{Y,} for example: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION G(X,Y)\\br \\tab{5}DOUBLE PRECISION X,Y(*)\\br \\tab{5}G=X+Y(1)\\br \\tab{5}RETURN\\br \\tab{5}END \\blankline If the user provides a constant value for \\spad{G,} then extra information is added via COMMON blocks used by certain routines. This specifies that the value returned by \\spad{G} in this case is to be ignored.")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-95 R L) 
+(|AssociatedEquations| R L) 
 ((|constructor| (NIL "\\spadtype{AssociatedEquations} provides functions to compute the associated equations needed for factoring operators")) (|associatedEquations| (((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|)) "\\spad{associatedEquations(op, \\spad{m)}} returns \\spad{[w, eq, \\spad{lw,} lop]} such that \\spad{eq(w) = 0} where \\spad{w} is the given minor, and \\spad{lw_i = lop_i(w)} for all the other minors.")) (|uncouplingMatrices| (((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{uncouplingMatrices(M)} returns \\spad{[A_1,...,A_n]} such that if \\spad{y = [y_1,...,y_n]} is a solution of \\spad{y' = \\spad{M} \\spad{y},} then \\spad{[$y_j',y_j'',...,y_j^{(n)}$] = $A_j \\spad{y$}} for all j's.")) (|associatedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|)) "\\spad{associatedSystem(op, \\spad{m)}} returns \\spad{[M,w]} such that the \\spad{m}-th associated equation system to \\spad{L} is \\spad{w' = \\spad{M} \\spad{w}.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388)))) 
-(-96 S) 
+((|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|ArrayStack| S) 
 ((|constructor| (NIL "A stack represented as a flexible array.")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$ArrayStack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(ArrayStack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$ArrayStack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} less?(a,9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} push!(9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|arrayStack| (($ (|List| |#1|)) "\\indented{1}{arrayStack([x,y,...,z]) creates an array stack with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last element \\spad{z.}} \\blankline \\spad{E} c:ArrayStack INT:= arrayStack [1,2,3,4,5]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-97) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|AdditiveValuationAttribute|) 
 ((|constructor| (NIL "The class of all euclidean domains such that \\spad{euclideanSize(a*b) = euclideanSize(a)+euclideanSize(b)}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-98) 
+(|ApproximateAttribute|) 
 ((|constructor| (NIL "An approximation to the real numbers."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-99) 
+(|ArbitraryExponentAttribute|) 
 ((|constructor| (NIL "Approximate numbers with arbitrarily large exponents"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-100) 
+(|ArbitraryPrecisionAttribute|) 
 ((|constructor| (NIL "Approximate numbers for which the user can set the precision for subsequent calculations."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-101) 
+(|CanonicalClosedAttribute|) 
 ((|constructor| (NIL "The class of all integral domains such that \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-102) 
+(|CanonicalAttribute|) 
 ((|constructor| (NIL "The class of all domains which have canonical represenntation, that is, mathematically equal elements ahve the same data structure."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-103) 
+(|CentralAttribute|) 
 ((|constructor| (NIL "Central is \\spad{true} if, given an algebra over a ring \\spad{R,} the image of \\spad{R} is the center of the algebra. For example, the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-104) 
+(|CommutativeStarAttribute|) 
 ((|constructor| (NIL "The class of all commutative semigroups in multiplicative notation. In other words domain \\spad{D} with \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative. Typially applied to rings."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-105) 
+(|CanonicalUnitNormalAttribute|) 
 ((|constructor| (NIL "The class of all integral domains such that we can choose a canonical representative for each class of associate elements. That is, \\spad{associates?(a,b)} returns \\spad{true} if and only if \\spad{unitCanonical(a)} = \\spad{unitCanonical(b)}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-106) 
+(|FiniteAggregateAttribute|) 
 ((|constructor| (NIL "The class of all aggregates with a finite number of arguments"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-107) 
+(|JacobiIdentityAttribute|) 
 ((|constructor| (NIL "JacobiIdentity means that \\spad{[x,[y,z]]+[y,[z,x]]+[z,[x,y]] = 0} holds. See LieAlgebra."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-108) 
+(|LazyRepresentationAttribute|) 
 ((|constructor| (NIL "The class of all domains which have a lazy representation"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-109) 
+(|LeftUnitaryAttribute|) 
 ((|constructor| (NIL "LeftUnitary is \\spad{true} if \\spad{1 * \\spad{x} = \\spad{x}} for all \\spad{x.}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-110) 
+(|MultiplicativeValuationAttribute|) 
 ((|constructor| (NIL "The class of all euclidean domains such that \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-111) 
+(|NotherianAttribute|) 
 ((|constructor| (NIL "Notherian is \\spad{true} if all of its ideals are finitely generated."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-112) 
+(|NullSquareAttribute|) 
 ((|constructor| (NIL "NullSquare means that \\spad{[x,x] = 0} holds. See LieAlgebra."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-113) 
+(|NoZeroDivisorsAttribute|) 
 ((|constructor| (NIL "The class of all semirings such that \\spad{x * \\spad{y} \\spad{~=} 0} implies both \\spad{x} and \\spad{y} are non-zero."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-114) 
+(|PartiallyOrderedSetAttribute|) 
 ((|constructor| (NIL "PartiallyOrderedSet is \\spad{true} if a set with \\spad{<} is transitive, but \\spad{not(a \\spad{<b} or a = b)}. It does not imply \\spad{b < a}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-115 S) 
+(|ArcTrigonometricFunctionCategory&| S) 
 ((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x.}")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x.}")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x.}")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x.}")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x.}")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-116) 
+(|ArcTrigonometricFunctionCategory|) 
 ((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x.}")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x.}")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x.}")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x.}")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x.}")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-117) 
+(|ShallowlyMutableAttribute|) 
 ((|constructor| (NIL "The class of all domains which have immediate components that are updateable in place (mutable). The properties of any component domain are irrevelant to the ShallowlyMutableAttribute."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-118) 
+(|AttributeButtons|) 
 ((|constructor| (NIL "\\axiomType{AttributeButtons} implements a database and associated adjustment mechanisms for a set of attributes. \\blankline For ODEs these attributes are \"stiffness\", \"stability\" (\\spadignore{i.e.} how much affect the cosine or sine component of the solution has on the stability of the result), \"accuracy\" and \"expense\" (\\spadignore{i.e.} how expensive is the evaluation of the ODE). All these have bearing on the cost of calculating the solution given that reducing the step-length to achieve greater accuracy requires considerable number of evaluations and calculations. \\blankline The effect of each of these attributes can be altered by increasing or decreasing the button value. \\blankline For Integration there is a button for increasing and decreasing the preset number of function evaluations for each method. This is automatically used by ANNA when a method fails due to insufficient workspace or where the limit of function evaluations has been reached before the required accuracy is achieved.")) (|setButtonValue| (((|Float|) (|String|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,routineName,n)} sets the value of the button of attribute \\spad{attributeName} to routine \\spad{routineName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,n)} sets the value of all buttons of attribute \\spad{attributeName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|setAttributeButtonStep| (((|Float|) (|Float|)) "\\axiom{setAttributeButtonStep(n)} sets the value of the steps for increasing and decreasing the button values. \\axiom{n} must be greater than 0 and less than 1. The preset value is 0.5.")) (|resetAttributeButtons| (((|Void|)) "\\axiom{resetAttributeButtons()} resets the Attribute buttons to a neutral level.")) (|getButtonValue| (((|Float|) (|String|) (|String|)) "\\axiom{getButtonValue(routineName,attributeName)} returns the current value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|decrease| (((|Float|) (|String|)) "\\axiom{decrease(attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{decrease(routineName,attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|increase| (((|Float|) (|String|)) "\\axiom{increase(attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{increase(routineName,attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\"."))) 
-((-4625 . T)) 
+((|finiteAggregate| . T)) 
 NIL 
-(-119) 
+(|AttributeRegistry|) 
 ((|constructor| (NIL "This category exports the attributes in the AXIOM Library")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\".")) (|canonical| ((|attribute|) "\\spad{canonical} is \\spad{true} if and only if distinct elements have distinct data structures. For example, a domain of mathematical objects which has the \\spad{canonical} attribute means that two objects are mathematically equal if and only if their data structures are equal.")) (|multiplicativeValuation| ((|attribute|) "\\spad{multiplicativeValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}.")) (|additiveValuation| ((|attribute|) "\\spad{additiveValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)+euclideanSize(b)}.")) (|noetherian| ((|attribute|) "\\spad{noetherian} is \\spad{true} if all of its ideals are finitely generated.")) (|central| ((|attribute|) "\\spad{central} is \\spad{true} if, given an algebra over a ring \\spad{R,} the image of \\spad{R} is the center of the algebra, For example, the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra.")) (|partiallyOrderedSet| ((|attribute|) "\\spad{partiallyOrderedSet} is \\spad{true} if a set with \\spadop{<} which is transitive, but \\spad{not(a < \\spad{b} or a = \\spad{b)}} does not necessarily imply \\spad{b<a}.")) (|arbitraryPrecision| ((|attribute|) "\\spad{arbitraryPrecision} means the user can set the precision for subsequent calculations.")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalsClosed} is \\spad{true} if \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}.")) (|canonicalUnitNormal| ((|attribute|) "\\spad{canonicalUnitNormal} is \\spad{true} if we can choose a canonical representative for each class of associate elements, that is \\spad{associates?(a,b)} returns \\spad{true} if and only if \\spad{unitCanonical(a) = unitCanonical(b)}.")) (|noZeroDivisors| ((|attribute|) "\\spad{noZeroDivisors} is \\spad{true} if \\spad{x * \\spad{y} \\~~= 0} implies both \\spad{x} and \\spad{y} are non-zero.")) (|rightUnitary| ((|attribute|) "\\spad{rightUnitary} is \\spad{true} if \\spad{x * 1 = \\spad{x}} for all \\spad{x.}")) (|leftUnitary| ((|attribute|) "\\spad{leftUnitary} is \\spad{true} if \\spad{1 * \\spad{x} = \\spad{x}} for all \\spad{x.}")) (|unitsKnown| ((|attribute|) "\\spad{unitsKnown} is \\spad{true} if a monoid (a multiplicative semigroup with a 1) has \\spad{unitsKnown} means that the operation \\spadfun{recip} can only return \"failed\" if its argument is not a unit.")) (|shallowlyMutable| ((|attribute|) "\\spad{shallowlyMutable} is \\spad{true} if its values have immediate components that are updateable (mutable). Note that the properties of any component domain are irrevelant to the \\spad{shallowlyMutable} proper.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} is \\spad{true} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative.")) (|finiteAggregate| ((|attribute|) "\\spad{finiteAggregate} is \\spad{true} if it is an aggregate with a finite number of elements."))) 
-((-4625 . T) ((-4627 "*") . T) (-4626 . T) (-4622 . T) (-4620 . T) (-4619 . T) (-4618 . T) (-4623 . T) (-4617 . T) (-4616 . T) (-4615 . T) (-4614 . T) (-4613 . T) (-4621 . T) (-4624 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4612 . T) (-2642 . T)) 
+((|finiteAggregate| . T) ((|commutative| "*") . T) (|shallowlyMutable| . T) (|unitsKnown| . T) (|leftUnitary| . T) (|rightUnitary| . T) (|noZeroDivisors| . T) (|canonicalUnitNormal| . T) (|canonicalsClosed| . T) (|arbitraryPrecision| . T) (|partiallyOrderedSet| . T) (|central| . T) (|noetherian| . T) (|additiveValuation| . T) (|multiplicativeValuation| . T) (|NullSquare| . T) (|JacobiIdentity| . T) (|canonical| . T) (|approximate| . T)) 
 NIL 
-(-120) 
+(|UnitsKnownAttribute|) 
 ((|constructor| (NIL "The class of all monoids (multiplicative semigroups with a 1) such that the operation recop can only return \"failed\" if its argument is not a unit."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-121 R) 
+(|Automorphism| R) 
 ((|constructor| (NIL "Automorphism \\spad{R} is the multiplicative group of automorphisms of \\spad{R.}")) (|morphism| (($ (|Mapping| |#1| |#1| (|Integer|))) "\\spad{morphism(f)} returns the morphism given by \\spad{f^n(x) = f(x,n)}.") (($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|)) "\\spad{morphism(f, \\spad{g)}} returns the invertible morphism given by \\spad{f,} where \\spad{g} is the inverse of \\spad{f..}") (($ (|Mapping| |#1| |#1|)) "\\spad{morphism(f)} returns the non-invertible morphism given by \\spad{f.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-122) 
+(|AxiomServer|) 
 ((|constructor| (NIL "This package provides a functions to support a web server for the new Axiom Browser functions."))) 
 NIL 
 NIL 
-(-123 R UP) 
+(|BalancedFactorisation| R UP) 
 ((|constructor| (NIL "This package provides balanced factorisations of polynomials.")) (|balancedFactorisation| (((|Factored| |#2|) |#2| (|List| |#2|)) "\\spad{balancedFactorisation(a, [b1,...,bn])} returns a factorisation \\spad{a = \\spad{p1^e1} \\spad{...} pm^em} such that each \\spad{pi} is balanced with respect to \\spad{[b1,...,bm]}.") (((|Factored| |#2|) |#2| |#2|) "\\spad{balancedFactorisation(a, \\spad{b)}} returns a factorisation \\spad{a = \\spad{p1^e1} \\spad{...} pm^em} such that each \\spad{pi} is balanced with respect to \\spad{b.}"))) 
 NIL 
 NIL 
-(-124 S) 
+(|BasicType&| S) 
 ((|constructor| (NIL "BasicType is the basic category for describing a collection of elements with = (equality).")) (~= (((|Boolean|) $ $) "\\spad{x~=y} tests if \\spad{x} and \\spad{y} are not equal.")) (= (((|Boolean|) $ $) "\\spad{x=y} tests if \\spad{x} and \\spad{y} are equal."))) 
 NIL 
 NIL 
-(-125) 
+(|BasicType|) 
 ((|constructor| (NIL "BasicType is the basic category for describing a collection of elements with = (equality).")) (~= (((|Boolean|) $ $) "\\spad{x~=y} tests if \\spad{x} and \\spad{y} are not equal.")) (= (((|Boolean|) $ $) "\\spad{x=y} tests if \\spad{x} and \\spad{y} are equal."))) 
 NIL 
 NIL 
-(-126 S) 
+(|BalancedBinaryTree| S) 
 ((|constructor| (NIL "\\spadtype{BalancedBinaryTree(S)} is the domain of balanced binary trees (bbtree). A balanced binary tree of \\spad{2**k} leaves, for some \\spad{k > 0}, is symmetric, that is, the left and right subtree of each interior node have identical shape. In general, the left and right subtree of a given node can differ by at most leaf node.")) (|mapDown!| (($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|)) "\\indented{1}{mapDown!(t,p,f) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. Let \\spad{l} and \\spad{r} denote the left and} \\indented{1}{right subtrees of \\spad{t.} The root value \\spad{x} of \\spad{t} is replaced by \\spad{p.}} \\indented{1}{Then f(value \\spad{l,} value \\spad{r,} \\spad{p),} where \\spad{l} and \\spad{r} denote the left} \\indented{1}{and right subtrees of \\spad{t,} is evaluated producing two values} \\indented{1}{pl and \\spad{pr.} Then \\spad{mapDown!(l,pl,f)} and \\spad{mapDown!(l,pr,f)}} \\indented{1}{are evaluated.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder3(i:Integer,j:Integer,k:Integer):List Integer \\spad{==} [i+j,j+k] \\spad{X} mapDown!(t2,4::INT,adder3) \\spad{X} \\spad{t2}") (($ $ |#1| (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapDown!(t,p,f) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. The root value \\spad{x} is} \\indented{1}{replaced by \\spad{q} \\spad{:=} f(p,x). The mapDown!(l,q,f) and} \\indented{1}{mapDown!(r,q,f) are evaluated for the left and right subtrees} \\indented{1}{l and \\spad{r} of \\spad{t.}} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder(i:Integer,j:Integer):Integer \\spad{==} i+j \\spad{X} mapDown!(t2,4::INT,adder) \\spad{X} \\spad{t2}")) (|mapUp!| (($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(t,t1,f) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced \\spad{by}} \\indented{1}{f(l,r,l1,r1) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes. Values \\spad{l1} and \\spad{r1} are values at the} \\indented{1}{corresponding nodes of a balanced binary tree \\spad{t1,} of identical} \\indented{1}{shape at \\spad{t.}} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder4(i:INT,j:INT,k:INT,l:INT):INT \\spad{==} i+j+k+l \\spad{X} mapUp!(t2,t2,adder4) \\spad{X} \\spad{t2}") ((|#1| $ (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(t,f) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced \\spad{by}} \\indented{1}{f(l,r) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} mapUp!(t2,adder) \\spad{X} \\spad{t2}")) (|setleaves!| (($ $ (|List| |#1|)) "\\indented{1}{setleaves!(t, \\spad{ls)} sets the leaves of \\spad{t} in left-to-right order} \\indented{1}{to the elements of ls.} \\blankline \\spad{X} t1:=balancedBinaryTree(4, 0) \\spad{X} setleaves!(t1,[1,2,3,4])")) (|balancedBinaryTree| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{balancedBinaryTree(n, \\spad{s)} creates a balanced binary tree with} \\indented{1}{n nodes each with value \\spad{s.}} \\blankline \\spad{X} balancedBinaryTree(4, 0)"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-127 R) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|Bezier| R) 
 ((|constructor| (NIL "Provide linear, quadratic, and cubic spline bezier curves")) (|cubicBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A cubic Bezier curve is a simple interpolation between the} \\indented{1}{starting point, a left-middle point,, a right-middle point,} \\indented{1}{and the ending point based on a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1], the left-middle point b=[x2,y2],} \\indented{1}{the right-middle point c=[x3,y3] and an endpoint d=[x4,y4]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)^3} \\spad{x1} + 3t(1-t)^2 \\spad{x2} + 3t^2 (1-t) \\spad{x3} + \\spad{t^3} x4,} \\indented{10}{(1-t)^3 \\spad{y1} + 3t(1-t)^2 \\spad{y2} + 3t^2 (1-t) \\spad{y3} + \\spad{t^3} y4]} \\blankline \\spad{X} n:=cubicBezier([2.0,2.0],[2.0,4.0],[6.0,4.0],[6.0,2.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]")) (|quadraticBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A quadratic Bezier curve is a simple interpolation between the} \\indented{1}{starting point, a middle point, and the ending point based on} \\indented{1}{a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1], a middle point b=[x2,y2],} \\indented{1}{and an endpoint c=[x3,y3]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)^2} \\spad{x1} + 2t(1-t) \\spad{x2} + \\spad{t^2} x3,} \\indented{10}{(1-t)^2 \\spad{y1} + 2t(1-t) \\spad{y2} + \\spad{t^2} y3]} \\blankline \\spad{X} n:=quadraticBezier([2.0,2.0],[4.0,4.0],[6.0,2.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]")) (|linearBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A linear Bezier curve is a simple interpolation between the} \\indented{1}{starting point and the ending point based on a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1] and an endpoint b=[x2,y2]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)*x1} + t*x2, \\spad{(1-t)*y1} + t*y2]} \\blankline \\spad{X} n:=linearBezier([2.0,2.0],[4.0,4.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]"))) 
 NIL 
 NIL 
-(-128 R UP M |Row| |Col|) 
+(|BezoutMatrix| R UP M |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{BezoutMatrix} contains functions for computing resultants and discriminants using Bezout matrices.")) (|bezoutDiscriminant| ((|#1| |#2|) "\\spad{bezoutDiscriminant(p)} computes the discriminant of a polynomial \\spad{p} by computing the determinant of a Bezout matrix.")) (|bezoutResultant| ((|#1| |#2| |#2|) "\\spad{bezoutResultant(p,q)} computes the resultant of the two polynomials \\spad{p} and \\spad{q} by computing the determinant of a Bezout matrix.")) (|bezoutMatrix| ((|#3| |#2| |#2|) "\\spad{bezoutMatrix(p,q)} returns the Bezout matrix for the two polynomials \\spad{p} and \\spad{q.}")) (|sylvesterMatrix| ((|#3| |#2| |#2|) "\\spad{sylvesterMatrix(p,q)} returns the Sylvester matrix for the two polynomials \\spad{p} and \\spad{q.}"))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4627 "*")))) 
-(-129) 
+((|HasAttribute| |#1| (QUOTE (|commutative| "*")))) 
+(|BasicFunctions|) 
 ((|constructor| (NIL "A Domain which implements a table containing details of points at which particular functions have evaluation problems.")) (|bfEntry| (((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|)) "\\spad{bfEntry(k)} returns the entry in the \\axiomType{BasicFunctions} table corresponding to \\spad{k}")) (|bfKeys| (((|List| (|Symbol|))) "\\spad{bfKeys()} returns the names of each function in the \\axiomType{BasicFunctions} table"))) 
-((-4625 . T)) 
+((|finiteAggregate| . T)) 
 NIL 
-(-130 A S) 
+(|BagAggregate&| A S) 
 ((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects, and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks, queues, and dequeues.")) (|inspect| ((|#2| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#2| $) "\\spad{insert!(x,u)} inserts item \\spad{x} into bag u.")) (|extract!| ((|#2| $) "\\spad{extract!(u)} destructively removes a (random) item from bag u.")) (|bag| (($ (|List| |#2|)) "\\spad{bag([x,y,...,z])} creates a bag with elements x,y,...,z.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
 NIL 
 NIL 
-(-131 S) 
+(|BagAggregate| S) 
 ((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects, and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks, queues, and dequeues.")) (|inspect| ((|#1| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#1| $) "\\spad{insert!(x,u)} inserts item \\spad{x} into bag u.")) (|extract!| ((|#1| $) "\\spad{extract!(u)} destructively removes a (random) item from bag u.")) (|bag| (($ (|List| |#1|)) "\\spad{bag([x,y,...,z])} creates a bag with elements x,y,...,z.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-132) 
+(|BinaryExpansion|) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating binary expansions.")) (|binary| (($ (|Fraction| (|Integer|))) "\\indented{1}{binary(r) converts a rational number to a binary expansion.} \\blankline \\spad{X} binary(22/7)")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(b)} returns the fractional part of a binary expansion.")) (|coerce| (((|RadixExpansion| 2) $) "\\spad{coerce(b)} converts a binary expansion to a radix expansion with base 2.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(b)} converts a binary expansion to a rational number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-592) (QUOTE (-931))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-592) (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-171))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-1049))) (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1165))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-592) (QUOTE (-247))) (|HasCategory| (-592) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-592) (LIST (QUOTE -547) (QUOTE (-1191)) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -303) (QUOTE (-592)) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-574))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (QUOTE (-869)))) (|HasCategory| (-592) (LIST (QUOTE -654) (QUOTE (-592)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (|HasCategory| (-592) (QUOTE (-169))))) 
-(-133) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|RealConstant|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|StepThrough|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|Integer|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Eltable|) (QUOTE (|Integer|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))))) 
+(|BinaryFile|) 
 ((|constructor| (NIL "This domain provides an implementation of binary files. Data is accessed one byte at a time as a small integer.")) (|position!| (((|SingleInteger|) $ (|SingleInteger|)) "\\spad{position!(f, i)} sets the current byte-position to i.")) (|position| (((|SingleInteger|) $) "\\spad{position(f)} returns the current byte-position in the file \\spad{f.}")) (|readIfCan!| (((|Union| (|SingleInteger|) "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f,} if possible. If \\spad{f} is not open for reading, or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
-(-134) 
+(|Bits|) 
 ((|constructor| (NIL "\\spadtype{Bits} provides logical functions for Indexed Bits.")) (|bits| (($ (|NonNegativeInteger|) (|Boolean|)) "\\spad{bits(n,b)} creates bits with \\spad{n} values of \\spad{b}"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-141) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-141) (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-141) (QUOTE (-1119))) (-12 (|HasCategory| (-141) (LIST (QUOTE -325) (QUOTE (-141)))) (|HasCategory| (-141) (QUOTE (-1119))))) 
-(-135) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Boolean|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Boolean|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Boolean|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Boolean|) (LIST (QUOTE |Evalable|) (QUOTE (|Boolean|)))) (|HasCategory| (|Boolean|) (QUOTE (|SetCategory|))))) 
+(|BlasLevelOne|) 
 ((|constructor| (NIL "This package provides an interface to the Blas library (level 1)")) (|zaxpy| (((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{zaxpy(n,da,x,incx,y,incy)} computes a \\spad{y} = a*x + \\spad{y} for each of the chosen elements of the vectors \\spad{x} and \\spad{y} and a constant multiplier a Note that the vector \\spad{y} is modified with the results. \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} b:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(5,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,3,b,3) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(4,2.0,a,2,b,2)")) (|izamax| (((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{izamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum. \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} izamax(5,a,1) \\spad{--} should be 3 \\spad{X} izamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(3,a,1) \\spad{--} should be 2 \\spad{X} izamax(3,a,2) \\spad{--} should be 1")) (|isamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|)) "\\spad{isamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum. \\blankline \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3 \\spad{X} isamax(3,a,1) \\spad{--} should be 1 \\spad{X} isamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,2) \\spad{--} should be 0 \\spad{X} isamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} isamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3")) (|idamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|)) "\\spad{idamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum. \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3 \\spad{X} idamax(3,a,1) \\spad{--} should be 1 \\spad{X} idamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,2) \\spad{--} should be 0 \\spad{X} idamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} idamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3")) (|icamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|)) "\\spad{icamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum \\blankline \\spad{X} a:PRIMARR(COMPLEX(FLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} icamax(5,a,1) \\spad{--} should be 3 \\spad{X} icamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(3,a,1) \\spad{--} should be 2 \\spad{X} icamax(3,a,2) \\spad{--} should be 1")) (|dznrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{dznrm2 returns} the norm of a complex vector. It computes sqrt(sum(v*conjugate(v))) \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} dznrm2(5,a,1) \\spad{--} should be 18.028 \\spad{X} dznrm2(3,a,2) \\spad{--} should be 13.077 \\spad{X} dznrm2(3,a,1) \\spad{--} should be 11.269 \\spad{X} dznrm2(3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(-3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(1,a,1) \\spad{--} should be 5.0 \\spad{X} dznrm2(1,a,2) \\spad{--} should be 5.0")) (|dzasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{dzasum takes} the sum over all of the array where each element of the array sum is the sum of the absolute value of the real part and the absolute value of the imaginary part of each array element: \\indented{3}{for \\spad{i} in array do sum = sum + (real(a(i)) + imag(a(i)))} \\blankline \\spad{X} d:PRIMARR(COMPLEX(DFLOAT)):=[[1.0+2.0*\\%i,-3.0+4.0*\\%i,5.0-6.0*\\%i]] \\spad{X} dzasum(3,d,1) \\spad{--} 21.0 \\spad{X} dzasum(3,d,2) \\spad{--} 14.0 \\spad{X} dzasum(-3,d,1) \\spad{--} 0.0")) (|dswap| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dswap swaps} elements from the first vector with the second Note that the arrays are modified in place. \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,1) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(3,dx,2,dy,2) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,-1)")) (|dscal| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dscal scales} each element of the vector by the scalar so dscal(n,da,dx,incx) = da*dx for \\spad{n} elements, incremented by incx Note that the \\spad{dx} array is modified in place. \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(6,2.0,dx,1) \\spad{X} \\spad{dx} \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(3,0.5,dx,1) \\spad{X} \\spad{dx}")) (|drot| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{drot computes} a 2D plane Givens rotation spanned by two coordinate axes. It modifies the arrays in place. The call drot(n,dx,incx,dy,incy,c,s) has the \\spad{dx} array which contains the \\spad{y} axis locations and dy which contains the \\spad{y} axis locations. They are rotated in parallel where \\spad{c} is the cosine of the angle and \\spad{s} is the sine of the angle and \\spad{c^2+s^2} = 1 \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[6,0, 1.0, 4.0, -1.0, -1.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[5.0, 1.0, -4.0, 4.0, -4.0]] \\spad{X} drot(5,dx,1,dy,1,0.707106781,0.707106781) \\spad{--} rotate by 45 degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified \\spad{X} drot(5,dx,1,dy,1,0.707106781,-0.707106781) \\spad{--} rotate by \\spad{-45} degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified")) (|drotg| (((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{drotg computes} a 2D plane Givens rotation spanned by two coordinate axes. \\blankline \\spad{X} a:MATRIX(DFLOAT):=[[6,5,0],[5,1,4],[0,4,3]] \\spad{X} drotg(elt(a,1,1),elt(a,1,2),0.0D0,0.0D0)")) (|dnrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dnrm2 takes} the norm of the vector, ||x|| \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, -4.0, 5.0, -7.0, 9.0]] \\spad{X} dnrm2(3,a,1) \\spad{--} 7.0710678118654755 = \\spad{sqrt(3.0^2} + \\spad{-4.0^2} + 5.0^2) \\spad{X} dnrm2(5,a,1) \\spad{--} 13.416407864998739 = sqrt(180.0) \\spad{X} dnrm2(3,a,2) \\spad{--} 10.72380529476361 = sqrt(115.0)")) (|ddot| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{ddot(n,x,incx,y,incy)} computes the vector dot product of elements from the vector \\spad{x} and the vector \\spad{y} If the indicies are negative the elements are taken relative to the far end of the vector. \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0]] \\spad{X} y:PRIMARR(DFLOAT):=[[5.0,6.0,7.0,8.0,9.0]] \\spad{X} ddot(0,a,1,b,1) \\spad{--} handle 0 elements \\spad{==>} 0 \\spad{X} ddot(3,a,1,b,1) \\spad{--} (1,2,3) * (5,6,7) \\spad{==>} 38.0 \\spad{X} ddot(3,a,1,b,2) \\spad{--} increment = 2 in \\spad{b} (1,2,3) * (5,7,9) \\spad{==>} 46.0 \\spad{X} ddot(3,a,2,b,1) \\spad{--} increment = 2 in a (1,3,5) * (5,6,7) \\spad{==>} 58.0 \\spad{X} ddot(3,a,1,b,-2) \\spad{--} increment = \\spad{-2} in \\spad{b} (1,2,3) * (9,7,5) \\spad{==>} 38.0 \\spad{X} ddot(2,a,-2,b,1) \\spad{--} increment = \\spad{-2} in a (5,3,1) * (5,6,7) \\spad{==>} 50.0 \\spad{X} ddot(3,a,-2,b,-2) \\spad{--} (5,3,1) * (9,7,5) \\spad{==>} 71.0")) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dcopy(n,x,incx,y,incy)} copies \\spad{y} from \\spad{x} for each of the chosen elements of the vectors \\spad{x} and \\spad{y} Note that the vector \\spad{y} is modified with the results. \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} y:PRIMARR(DFLOAT):=[[0.0,0.0,0.0,0.0,0.0,0.0]] \\spad{X} dcopy(6,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[[1.0,2.0,3.0]] \\spad{X} n:PRIMARR(DFLOAT):=[[0.0,0.0,0.0,0.0,0.0,0.0]] \\spad{X} dcopy(3,m,1,n,2) \\spad{X} \\spad{n}")) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{daxpy(n,da,x,incx,y,incy)} computes a \\spad{y} = a*x + \\spad{y} for each of the chosen elements of the vectors \\spad{x} and \\spad{y} and a constant multiplier a Note that the vector \\spad{y} is modified with the results. \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} y:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} daxpy(6,2.0,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[[1.0,2.0,3.0]] \\spad{X} n:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} daxpy(3,-2.0,m,1,n,2) \\spad{X} \\spad{n}")) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dasum(n,array,incx)} computes the sum of \\spad{n} elements in \\spad{array} using a stride of \\spad{incx} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} dasum(6,dx,1) \\spad{X} dasum(3,dx,2)")) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) "\\spad{dcabs1(z)} computes \\spad{(+} (abs (realpart \\spad{z))} (abs (imagpart z))) \\blankline \\spad{X} t1:Complex DoubleFloat \\spad{:=} complex(1.0,0) \\spad{X} dcabs1(t1)"))) 
 NIL 
 NIL 
-(-136) 
+(|BlowUpWithHamburgerNoether|) 
 ((|constructor| (NIL "This domain is part of the PAFF package"))) 
 ((|HamburgerNoether| . T)) 
 NIL 
-(-137) 
+(|BlowUpMethodCategory|) 
 NIL 
 NIL 
 NIL 
-(-138) 
+(|BlowUpWithQuadTrans|) 
 ((|constructor| (NIL "This domain is part of the PAFF package"))) 
 ((|QuadraticTransform| . T)) 
 NIL 
-(-139 K |symb| |PolyRing| E BLMET) 
+(|BlowUpPackage| K |symb| |PolyRing| E BLMET) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|stepBlowUp| (((|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) (|:| |recPoint| (|AffinePlane| |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) |#5| |#1|) "\\spad{stepBlowUp(pol,pt,n)} blow-up the point \\spad{pt} on the curve defined by \\spad{pol} in the affine neighbourhood specified by \\spad{n.}")) (|quadTransform| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|NonNegativeInteger|) |#5|) "\\spad{quadTransform(pol,n,chart)} apply the quadratique transformation to \\spad{pol} specified by \\spad{chart} has in quadTransform(pol,chart) and extract x**n to it, where \\spad{x} is the variable specified by the first integer in \\spad{chart} (blow-up exceptional coordinate).")) (|applyTransform| ((|#3| |#3| |#5|) "quadTransform(pol,chart) apply the quadratique transformation to pol specified by chart which consist of 3 integers. The last one indicates which varibles is set to 1, the first on indicates which variable remains unchange, and the second one indicates which variable oon which the transformation is applied. For example, [2,3,1] correspond to the following: \\spad{x} \\spad{->} 1, \\spad{y} \\spad{->} \\spad{y,} \\spad{z} \\spad{->} \\spad{yz} (here the variable are [x,y,z] in BlUpRing)."))) 
 NIL 
 NIL 
-(-140 R S) 
+(|BiModule| R S) 
 ((|constructor| (NIL "A \\spadtype{BiModule} is both a left and right module with respect to potentially different rings. \\blankline Axiom\\br \\tab{5}\\spad{r*(x*s) = (r*x)*s}")) (|rightUnitary| ((|attribute|) "\\spad{x * 1 = \\spad{x}}")) (|leftUnitary| ((|attribute|) "\\spad{1 * \\spad{x} = \\spad{x}}"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-141) 
+(|Boolean|) 
 ((|constructor| (NIL "\\spadtype{Boolean} is the elementary logic with 2 values: \\spad{true} and \\spad{false}")) (|test| (((|Boolean|) $) "\\spad{test(b)} returns \\spad{b} and is provided for compatibility with the new compiler.")) (|implies| (($ $ $) "\\spad{implies(a,b)} returns the logical implication of Boolean \\spad{a} and \\spad{b.}")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical negation of \\spad{a} or \\spad{b.}")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical negation of \\spad{a} and \\spad{b.}")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive or of Boolean \\spad{a} and \\spad{b.}")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical inclusive or of Boolean \\spad{a} and \\spad{b.}")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of Boolean \\spad{a} and \\spad{b.}")) (|not| (($ $) "\\spad{not \\spad{n}} returns the negation of \\spad{n.}")) (^ (($ $) "\\spad{^ \\spad{n}} returns the negation of \\spad{n.}")) (|false| (($) "\\spad{false} is a logical constant.")) (|true| (($) "\\spad{true} is a logical constant."))) 
 NIL 
 NIL 
-(-142 A) 
+(|BasicOperatorFunctions1| A) 
 ((|constructor| (NIL "This package exports functions to set some commonly used properties of operators, including properties which contain functions.")) (|constantOpIfCan| (((|Union| |#1| "failed") (|BasicOperator|)) "\\spad{constantOpIfCan(op)} returns \\spad{a} if \\spad{op} is the constant nullary operator always returning \\spad{a}, \"failed\" otherwise.")) (|constantOperator| (((|BasicOperator|) |#1|) "\\spad{constantOperator(a)} returns a nullary operator op such that \\spad{op()} always evaluate to \\spad{a}.")) (|derivative| (((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|)) "\\spad{derivative(op)} returns the value of the \"\\%diff\" property of \\spad{op} if it has one, and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{derivative(op, foo)} attaches foo as the \"\\%diff\" property of op. If \\spad{op} has an \"\\%diff\" property \\spad{f,} then applying a derivation \\spad{D} to op(a) returns \\spad{f(a) * D(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|)))) "\\spad{derivative(op, [foo1,...,foon])} attaches [foo1,...,foon] as the \"\\%diff\" property of op. If \\spad{op} has an \"\\%diff\" property \\spad{[f1,...,fn]} then applying a derivation \\spad{D} to \\spad{op(a1,...,an)} returns \\spad{f1(a1,...,an) * D(a1) + \\spad{...} + fn(a1,...,an) * D(an)}.")) (|evaluate| (((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|)) "\\spad{evaluate(op)} returns the value of the \"\\%eval\" property of \\spad{op} if it has one, and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{evaluate(op, foo)} attaches foo as the \"\\%eval\" property of op. If \\spad{op} has an \"\\%eval\" property \\spad{f,} then applying \\spad{op} to a returns the result of \\spad{f(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|))) "\\spad{evaluate(op, foo)} attaches foo as the \"\\%eval\" property of op. If \\spad{op} has an \"\\%eval\" property \\spad{f,} then applying \\spad{op} to \\spad{(a1,...,an)} returns the result of \\spad{f(a1,...,an)}.") (((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|)) "\\spad{evaluate(op, [a1,...,an])} checks if \\spad{op} has an \"\\%eval\" property \\spad{f.} If it has, then \\spad{f(a1,...,an)} is returned, and \"failed\" otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-869)))) 
-(-143) 
+((|HasCategory| |#1| (QUOTE (|OrderedSet|)))) 
+(|BasicOperator|) 
 ((|constructor| (NIL "Basic system operators. A basic operator is an object that can be applied to a list of arguments from a set, the result being a kernel over that set.")) (|setProperties| (($ $ (|AssociationList| (|String|) (|None|))) "\\spad{setProperties(op, \\spad{l)}} sets the property list of \\spad{op} to \\spad{l.} Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|setProperty| (($ $ (|String|) (|None|)) "\\spad{setProperty(op, \\spad{s,} \\spad{v)}} attaches property \\spad{s} to op, and sets its value to \\spad{v.} Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|property| (((|Union| (|None|) "failed") $ (|String|)) "\\spad{property(op, \\spad{s)}} returns the value of property \\spad{s} if it is attached to op, and \"failed\" otherwise.")) (|deleteProperty!| (($ $ (|String|)) "\\spad{deleteProperty!(op, \\spad{s)}} unattaches property \\spad{s} from op. Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|assert| (($ $ (|String|)) "\\spad{assert(op, \\spad{s)}} attaches property \\spad{s} to op. Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|has?| (((|Boolean|) $ (|String|)) "\\spad{has?(op, \\spad{s)}} tests if property \\spad{s} is attached to op.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op, \\spad{s)}} tests if the name of \\spad{op} is \\spad{s.}")) (|input| (((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $) "\\spad{input(op)} returns the \"\\%input\" property of \\spad{op} if it has one attached, \"failed\" otherwise.") (($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|)))) "\\spad{input(op, foo)} attaches foo as the \"\\%input\" property of op. If \\spad{op} has a \"\\%input\" property \\spad{f,} then \\spad{op(a1,...,an)} gets converted to InputForm as \\spad{f(a1,...,an)}.")) (|display| (($ $ (|Mapping| (|OutputForm|) (|OutputForm|))) "\\spad{display(op, foo)} attaches foo as the \"\\%display\" property of op. If \\spad{op} has a \"\\%display\" property \\spad{f,} then \\spad{op(a)} gets converted to OutputForm as \\spad{f(a)}. Argument \\spad{op} must be unary.") (($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) "\\spad{display(op, foo)} attaches foo as the \"\\%display\" property of op. If \\spad{op} has a \"\\%display\" property \\spad{f,} then \\spad{op(a1,...,an)} gets converted to OutputForm as \\spad{f(a1,...,an)}.") (((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $) "\\spad{display(op)} returns the \"\\%display\" property of \\spad{op} if it has one attached, and \"failed\" otherwise.")) (|comparison| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{comparison(op, foo?)} attaches foo? as the \"\\%less?\" property to op. If \\spad{op1} and \\spad{op2} have the same name, and one of them has a \"\\%less?\" property \\spad{f,} then \\spad{f(op1, op2)} is called to decide whether \\spad{op1 < op2}.")) (|equality| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{equality(op, foo?)} attaches foo? as the \"\\%equal?\" property to op. If \\spad{op1} and \\spad{op2} have the same name, and one of them has an \"\\%equal?\" property \\spad{f,} then \\spad{f(op1, op2)} is called to decide whether \\spad{op1} and \\spad{op2} should be considered equal.")) (|weight| (($ $ (|NonNegativeInteger|)) "\\spad{weight(op, \\spad{n)}} attaches the weight \\spad{n} to op.") (((|NonNegativeInteger|) $) "\\spad{weight(op)} returns the weight attached to op.")) (|nary?| (((|Boolean|) $) "\\spad{nary?(op)} tests if \\spad{op} has arbitrary arity.")) (|unary?| (((|Boolean|) $) "\\spad{unary?(op)} tests if \\spad{op} is unary.")) (|nullary?| (((|Boolean|) $) "\\spad{nullary?(op)} tests if \\spad{op} is nullary.")) (|arity| (((|Union| (|NonNegativeInteger|) "failed") $) "\\spad{arity(op)} returns \\spad{n} if \\spad{op} is n-ary, and \"failed\" if \\spad{op} has arbitrary arity.")) (|operator| (($ (|Symbol|) (|NonNegativeInteger|)) "\\spad{operator(f, \\spad{n)}} makes \\spad{f} into an n-ary operator.") (($ (|Symbol|)) "\\spad{operator(f)} makes \\spad{f} into an operator with arbitrary arity.")) (|copy| (($ $) "\\spad{copy(op)} returns a copy of op.")) (|properties| (((|AssociationList| (|String|) (|None|)) $) "\\spad{properties(op)} returns the list of all the properties currently attached to op.")) (|name| (((|Symbol|) $) "\\spad{name(op)} returns the name of op."))) 
 NIL 
 NIL 
-(-144 -3958 UP) 
+(|BoundIntegerRoots| F UP) 
 ((|constructor| (NIL "\\spadtype{BoundIntegerRoots} provides functions to find lower bounds on the integer roots of a polynomial.")) (|integerBound| (((|Integer|) |#2|) "\\spad{integerBound(p)} returns a lower bound on the negative integer roots of \\spad{p,} and 0 if \\spad{p} has no negative integer roots."))) 
 NIL 
 NIL 
-(-145 |p|) 
+(|BalancedPAdicInteger| |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} p-adic numbers are represented as sum(i = 0.., a[i] * p^i), where the a[i] lie in \\spad{-(p} - 1)/2,...,(p - 1)/2."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-146 |p|) 
+(|BalancedPAdicRational| |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(i = k.., a[i] * p^i), where the a[i] lie in \\spad{-(p} - 1)/2,...,(p - 1)/2."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-145 |#1|) (QUOTE (-931))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-145 |#1|) (QUOTE (-169))) (|HasCategory| (-145 |#1|) (QUOTE (-171))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-145 |#1|) (QUOTE (-1049))) (|HasCategory| (-145 |#1|) (QUOTE (-842))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-145 |#1|) (QUOTE (-1165))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| (-145 |#1|) (QUOTE (-247))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -145) (|devaluate| |#1|)))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -325) (LIST (QUOTE -145) (|devaluate| |#1|)))) (|HasCategory| (-145 |#1|) (LIST (QUOTE -303) (LIST (QUOTE -145) (|devaluate| |#1|)) (LIST (QUOTE -145) (|devaluate| |#1|)))) (|HasCategory| (-145 |#1|) (QUOTE (-323))) (|HasCategory| (-145 |#1|) (QUOTE (-574))) (|HasCategory| (-145 |#1|) (QUOTE (-869))) (-3836 (|HasCategory| (-145 |#1|) (QUOTE (-842))) (|HasCategory| (-145 |#1|) (QUOTE (-869)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-145 |#1|) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-145 |#1|) (QUOTE (-931)))) (|HasCategory| (-145 |#1|) (QUOTE (-169))))) 
-(-147 A S) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|RealConstant|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|StepThrough|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |BalancedPAdicInteger|) (|devaluate| |#1|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |BalancedPAdicInteger|) (|devaluate| |#1|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |BalancedPAdicInteger|) (|devaluate| |#1|)) (LIST (QUOTE |BalancedPAdicInteger|) (|devaluate| |#1|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|BalancedPAdicInteger| |#1|) (QUOTE (|CharacteristicNonZero|))))) 
+(|BinaryRecursiveAggregate&| A S) 
 ((|constructor| (NIL "A binary-recursive aggregate has 0, 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,x)} sets the right child of \\spad{t} to be \\spad{x.}")) (|setleft!| (($ $ $) "\\spad{setleft!(a,b)} sets the left child of \\axiom{a} to be \\spad{b.}")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,\"right\",b)} (also written \\axiom{b . right \\spad{:=} \\spad{b})} is equivalent to \\axiom{setright!(a,b)}.") (($ $ "left" $) "\\spad{setelt(a,\"left\",b)} (also written \\axiom{a . left \\spad{:=} \\spad{b})} is equivalent to \\axiom{setleft!(a,b)}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626))) 
-(-148 S) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|))) 
+(|BinaryRecursiveAggregate| S) 
 ((|constructor| (NIL "A binary-recursive aggregate has 0, 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,x)} sets the right child of \\spad{t} to be \\spad{x.}")) (|setleft!| (($ $ $) "\\spad{setleft!(a,b)} sets the left child of \\axiom{a} to be \\spad{b.}")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,\"right\",b)} (also written \\axiom{b . right \\spad{:=} \\spad{b})} is equivalent to \\axiom{setright!(a,b)}.") (($ $ "left" $) "\\spad{setelt(a,\"left\",b)} (also written \\axiom{a . left \\spad{:=} \\spad{b})} is equivalent to \\axiom{setleft!(a,b)}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-149 UP) 
+(|BrillhartTests| UP) 
 ((|constructor| (NIL "This package has no description")) (|noLinearFactor?| (((|Boolean|) |#1|) "\\spad{noLinearFactor?(p)} returns \\spad{true} if \\spad{p} can be shown to have no linear factor by a theorem of Lehmer, \\spad{false} else. \\spad{I} insist on the fact that \\spad{false} does not mean that \\spad{p} has a linear factor.")) (|brillhartTrials| (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{brillhartTrials(n)} sets to \\spad{n} the number of tests in \\spadfun{brillhartIrreducible?} and returns the previous value.") (((|NonNegativeInteger|)) "\\spad{brillhartTrials()} returns the number of tests in \\spadfun{brillhartIrreducible?}.")) (|brillhartIrreducible?| (((|Boolean|) |#1| (|Boolean|)) "\\spad{brillhartIrreducible?(p,noLinears)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart, \\spad{false} else. If \\spad{noLinears} is \\spad{true}, we are being told \\spad{p} has no linear factors \\spad{false} does not mean that \\spad{p} is reducible.") (((|Boolean|) |#1|) "\\spad{brillhartIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart, \\spad{false} is inconclusive."))) 
 NIL 
 NIL 
-(-150) 
+(|BasicStochasticDifferential|) 
 ((|constructor| (NIL "Based on Symbol: a domain of symbols representing basic stochastic differentials, used in StochasticDifferential(R) in the underlying sparse multivariate polynomial representation. \\blankline We create new \\spad{BSD} only by coercion from Symbol using a special function introduce! first of all to add to a private set SDset. We allow a separate function convertIfCan which will check whether the argument has previously been declared as a BSD.")) (|getSmgl| (((|Union| (|Symbol|) "failed") $) "\\indented{1}{getSmgl(bsd) returns the semimartingale \\axiom{S} related} \\indented{1}{to the basic stochastic differential \\axiom{bsd} \\spad{by}} \\indented{1}{\\axiom{introduce!}} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} getSmgl(dt::BSD)")) (|copyIto| (((|Table| (|Symbol|) $)) "\\indented{1}{copyIto() returns the table relating semimartingales} \\indented{1}{to basic stochastic differentials.} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyIto()")) (|copyBSD| (((|List| $)) "\\indented{1}{copyBSD() returns \\axiom{setBSD} as a list of \\axiom{BSD}.} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|d| (((|Union| $ (|Integer|)) (|Symbol|)) "\\spad{d(X)} returns \\axiom{dX} if \\axiom{tableIto(X)=dX} and otherwise returns \\axiom{0}")) (|introduce!| (((|Union| $ "failed") (|Symbol|) (|Symbol|)) "\\indented{1}{introduce!(X,dX) returns \\axiom{dX} as \\axiom{BSD} if it} \\indented{1}{isn't already in \\axiom{BSD}} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|convert| (($ (|Symbol|)) "\\spad{convert(dX)} transforms \\axiom{dX} into a \\axiom{BSD} if possible and otherwise produces an error.")) (|convertIfCan| (((|Union| $ "failed") (|Symbol|)) "\\spad{convertIfCan(ds)} transforms \\axiom{dX} into a \\axiom{BSD} if possible (if \\axiom{introduce(X,dX)} has been invoked previously)."))) 
 NIL 
 NIL 
-(-151 S) 
+(|BinarySearchTree| S) 
 ((|constructor| (NIL "BinarySearchTree(S) is the domain of a binary trees where elements are ordered across the tree. A binary search tree is either empty or has a value which is an \\spad{S,} and a right and left which are both BinaryTree(S) Elements are ordered across the tree.")) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) "\\indented{1}{split(x,b) splits binary tree \\spad{b} into two trees, one with elements} \\indented{1}{greater than \\spad{x,} the other with elements less than \\spad{x.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} split(3,t1)")) (|insertRoot!| (($ |#1| $) "\\indented{1}{insertRoot!(x,b) inserts element \\spad{x} as a root of binary search tree \\spad{b.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} insertRoot!(5,t1)")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(x,b) inserts element \\spad{x} as leaves into binary search tree \\spad{b.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} insert!(5,t1)")) (|binarySearchTree| (($ (|List| |#1|)) "\\indented{1}{binarySearchTree(l) is not documented} \\blankline \\spad{X} binarySearchTree [1,2,3,4]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-152 S) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|BitAggregate&| S) 
 ((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{b}.")) (^ (($ $) "\\spad{^ \\spad{b}} returns the logical not of bit aggregate \\axiom{b}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{b}."))) 
 NIL 
 NIL 
-(-153) 
+(|BitAggregate|) 
 ((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{b}.")) (^ (($ $) "\\spad{^ \\spad{b}} returns the logical not of bit aggregate \\axiom{b}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{b}."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-154 A S) 
+(|BinaryTreeCategory&| A S) 
 ((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right}, both binary trees.")) (|node| (($ $ |#2| $) "\\spad{node(left,v,right)} creates a binary tree with value \\spad{v}, a binary tree \\spad{left}, and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
 NIL 
 NIL 
-(-155 S) 
+(|BinaryTreeCategory| S) 
 ((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right}, both binary trees.")) (|node| (($ $ |#1| $) "\\spad{node(left,v,right)} creates a binary tree with value \\spad{v}, a binary tree \\spad{left}, and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-156 S) 
+(|BinaryTournament| S) 
 ((|constructor| (NIL "BinaryTournament creates a binary tournament with the elements of \\spad{ls} as values at the nodes.")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(x,b) inserts element \\spad{x} as leaves into binary tournament \\spad{b.}} \\blankline \\spad{X} t1:=binaryTournament [1,2,3,4] \\spad{X} insert!(5,t1) \\spad{X} \\spad{t1}")) (|binaryTournament| (($ (|List| |#1|)) "\\indented{1}{binaryTournament(ls) creates a binary tournament with the} \\indented{1}{elements of \\spad{ls} as values at the nodes.} \\blankline \\spad{X} binaryTournament [1,2,3,4]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-157 S) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|BinaryTree| S) 
 ((|constructor| (NIL "\\spadtype{BinaryTree(S)} is the domain of all binary trees. A binary tree over \\spad{S} is either empty or has a \\spadfun{value} which is an \\spad{S} and a \\spadfun{right} and \\spadfun{left} which are both binary trees.")) (|binaryTree| (($ $ |#1| $) "\\indented{1}{binaryTree(l,v,r) creates a binary tree with} \\indented{1}{value \\spad{v} with left subtree \\spad{l} and right subtree \\spad{r.}} \\blankline \\spad{X} t1:=binaryTree([1,2,3]) \\spad{X} t2:=binaryTree([4,5,6]) \\spad{X} binaryTree(t1,[7,8,9],t2)") (($ |#1|) "\\indented{1}{binaryTree(v) is an non-empty binary tree} \\indented{1}{with value \\spad{v,} and left and right empty.} \\blankline \\spad{X} t1:=binaryTree([1,2,3])"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-158) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|CancellationAbelianMonoid|) 
 ((|constructor| (NIL "This is an \\spadtype{AbelianMonoid} with the cancellation property, \\spadignore{i.e.} \\tab{5}\\spad{ a+b = a+c \\spad{=>} \\spad{b=c} }.\\br This is formalised by the partial subtraction operator, which satisfies the Axioms\\br \\tab{5}\\spad{c = a+b \\spad{<=>} \\spad{c-b} = a}")) (|subtractIfCan| (((|Union| $ "failed") $ $) "\\spad{subtractIfCan(x, \\spad{y)}} returns an element \\spad{z} such that \\spad{z+y=x} or \"failed\" if no such element exists."))) 
 NIL 
 NIL 
-(-159) 
+(|CachableSet|) 
 ((|constructor| (NIL "A cachable set is a set whose elements keep an integer as part of their structure.")) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) "\\spad{setPosition(x, \\spad{n)}} associates the integer \\spad{n} to \\spad{x.}")) (|position| (((|NonNegativeInteger|) $) "\\spad{position(x)} returns the integer \\spad{n} associated to \\spad{x.}"))) 
 NIL 
 NIL 
-(-160) 
+(|CardinalNumber|) 
 ((|constructor| (NIL "Members of the domain CardinalNumber are values indicating the cardinality of sets, both finite and infinite. Arithmetic operations are defined on cardinal numbers as follows. \\blankline If \\spad{x = \\spad{#X}} and \\spad{y = \\spad{#Y}} then\\br \\tab{5}\\spad{x+y = \\#(X+Y)} \\tab{5}disjoint union\\br \\tab{5}\\spad{x-y = \\#(X-Y)} \\tab{5}relative complement\\br \\tab{5}\\spad{x*y = \\#(X*Y)} \\tab{5}cartesian product\\br \\tab{5}\\spad{x**y = \\#(X**Y)} \\tab{4}\\spad{X**Y = \\spad{g|} g:Y->X} \\blankline The non-negative integers have a natural construction as cardinals\\br \\spad{0 = \\#\\{\\}}, \\spad{1 = \\{0\\}}, \\spad{2 = \\{0, 1\\}}, ..., \\spad{n = \\{i| 0 \\spad{<=} \\spad{i} < n\\}}. \\blankline That \\spad{0} acts as a zero for the multiplication of cardinals is equivalent to the axiom of choice. \\blankline The generalized continuum hypothesis asserts \\spad{\\br} \\spad{2**Aleph \\spad{i} = Aleph(i+1)} and is independent of the axioms of set theory [Goedel 1940]. \\blankline Three commonly encountered cardinal numbers are\\br \\tab{5}\\spad{a = \\spad{#Z}} \\tab{5}countable infinity\\br \\tab{5}\\spad{c = \\spad{#R}} \\tab{5}the continuum\\br \\tab{5}\\spad{f = \\# \\spad{g} | g:[0,1]->R\\} \\blankline In this domain, these values are obtained using\\br \\tab{5}\\spad{a \\spad{:=} Aleph 0}, \\spad{c \\spad{:=} 2**a}, \\spad{f \\spad{:=} 2**c}.")) (|generalizedContinuumHypothesisAssumed| (((|Boolean|) (|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed(bool)} \\indented{1}{is used to dictate whether the hypothesis is to be assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} a:=Aleph 0 \\spad{X} c:=2**a \\spad{X} f:=2**c")) (|generalizedContinuumHypothesisAssumed?| (((|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed?()} \\indented{1}{tests if the hypothesis is currently assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed?")) (|countable?| (((|Boolean|) $) "\\indented{1}{countable?(\\spad{a}) determines} \\indented{1}{whether \\spad{a} is a countable cardinal,} \\indented{1}{\\spadignore{i.e.} an integer or \\spad{Aleph 0}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} countable? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} countable? \\spad{A0} \\spad{X} A1:=Aleph 1 \\spad{X} countable? \\spad{A1}")) (|finite?| (((|Boolean|) $) "\\indented{1}{finite?(\\spad{a}) determines whether} \\indented{1}{\\spad{a} is a finite cardinal, \\spadignore{i.e.} an integer.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} finite? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} finite? \\spad{A0}")) (|Aleph| (($ (|NonNegativeInteger|)) "\\indented{1}{Aleph(n) provides the named (infinite) cardinal number.} \\blankline \\spad{X} A0:=Aleph 0")) (** (($ $ $) "\\indented{1}{\\spad{x**y} returns \\spad{\\#(X**Y)} where \\spad{X**Y} is defined} \\indented{2}{as \\spad{\\{g| g:Y->X\\}}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2**c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1**c2} \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} \\spad{A1**A1}")) (- (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{x - \\spad{y}} returns an element \\spad{z} such that} \\indented{1}{\\spad{z+y=x} or \"failed\" if no such element exists.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2-c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1-c2}")) (|commutative| ((|attribute| "*") "a domain \\spad{D} has \\spad{commutative(\"*\")} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative."))) 
-(((-4627 "*") . T)) 
+(((|commutative| "*") . T)) 
 NIL 
-(-161 |minix| -3832 S T$) 
+(|CartesianTensorFunctions2| |minix| |dim| S T$) 
 ((|constructor| (NIL "This package provides functions to enable conversion of tensors given conversion of the components.")) (|map| (((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{map(f,ts)} does a componentwise conversion of the tensor \\spad{ts} to a tensor with components of type \\spad{T.}")) (|reshape| (((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{reshape(lt,ts)} organizes the list of components \\spad{lt} into a tensor with the same shape as \\spad{ts.}"))) 
 NIL 
 NIL 
-(-162 |minix| -3832 R) 
+(|CartesianTensor| |minix| |dim| R) 
 ((|constructor| (NIL "CartesianTensor(minix,dim,R) provides Cartesian tensors with components belonging to a commutative ring \\spad{R.} These tensors can have any number of indices. Each index takes values from \\spad{minix} to \\spad{minix + dim - 1}.")) (|sample| (($) "\\spad{sample()} returns an object of type \\spad{%.}")) (|unravel| (($ (|List| |#3|)) "\\spad{unravel(t)} produces a tensor from a list of components such that \\indented{2}{\\spad{unravel(ravel(t)) = t}.}")) (|ravel| (((|List| |#3|) $) "\\indented{1}{ravel(t) produces a list of components from a tensor such that} \\indented{3}{\\spad{unravel(ravel(t)) = t}.} \\blankline \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} tn:CartesianTensor(1,2,Integer):=n \\spad{X} ravel \\spad{tn}")) (|leviCivitaSymbol| (($) "\\indented{1}{leviCivitaSymbol() is the rank \\spad{dim} tensor defined \\spad{by}} \\indented{1}{\\spad{leviCivitaSymbol()(i1,...idim) = +1/0/-1}} \\indented{1}{if \\spad{i1,...,idim} is an even/is nota /is an odd permutation} \\indented{1}{of \\spad{minix,...,minix+dim-1}.} \\blankline \\spad{X} lcs:CartesianTensor(1,2,Integer):=leviCivitaSymbol()")) (|kroneckerDelta| (($) "\\indented{1}{kroneckerDelta() is the rank 2 tensor defined \\spad{by}} \\indented{4}{\\spad{kroneckerDelta()(i,j)}} \\indented{7}{\\spad{= 1\\space{2}if \\spad{i} = \\spad{j}}} \\indented{7}{\\spad{= 0 if\\space{2}i \\spad{\\^=} \\spad{j}}} \\blankline \\spad{X} delta:CartesianTensor(1,2,Integer):=kroneckerDelta()")) (|reindex| (($ $ (|List| (|Integer|))) "\\indented{1}{reindex(t,[i1,...,idim]) permutes the indices of \\spad{t.}} \\indented{1}{For example, if \\spad{r = reindex(t, [4,1,2,3])}} \\indented{1}{for a rank 4 tensor \\spad{t,}} \\indented{1}{then \\spad{r} is the rank for tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(l,i,j,k)}.} \\blankline \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} tn:CartesianTensor(1,2,Integer):=n \\spad{X} p:=product(tn,tn) \\spad{X} reindex(p,[4,3,2,1])")) (|transpose| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{transpose(t,i,j) exchanges the \\spad{i}-th and \\spad{j}-th} \\indented{1}{indices of \\spad{t.} For example, if \\spad{r = transpose(t,2,3)}} \\indented{1}{for a rank 4 tensor \\spad{t,} then \\spad{r} is the rank 4 tensor} \\indented{1}{given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(i,k,j,l)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} tm:CartesianTensor(1,2,Integer):=m \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} transpose(tn,1,2)") (($ $) "\\indented{1}{transpose(t) exchanges the first and last indices of \\spad{t.}} \\indented{1}{For example, if \\spad{r = transpose(t)} for a rank 4} \\indented{1}{tensor \\spad{t,} then \\spad{r} is the rank 4 tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(l,j,k,i)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} transpose(Tm)")) (|contract| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{contract(t,i,j) is the contraction of tensor \\spad{t} which} \\indented{1}{sums along the \\spad{i}-th and \\spad{j}-th indices.} \\indented{1}{For example,\\space{2}if} \\indented{1}{\\spad{r = contract(t,1,3)} for a rank 4 tensor \\spad{t,} then} \\indented{1}{\\spad{r} is the rank 2 \\spad{(= 4 - 2)} tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j) = sum(h=1..dim,t(h,i,h,j))}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tmv:=contract(Tm,2,1)") (($ $ (|Integer|) $ (|Integer|)) "\\indented{1}{contract(t,i,s,j) is the inner product of tenors \\spad{s} and \\spad{t}} \\indented{1}{which sums along the \\spad{k1}-th index of} \\indented{1}{t and the \\spad{k2}-th index of \\spad{s.}} \\indented{1}{For example, if \\spad{r = contract(s,2,t,1)} for rank 3 tensors} \\indented{1}{rank 3 tensors \\spad{s} and \\spad{t}, then \\spad{r} is} \\indented{1}{the rank 4 \\spad{(= 3 + 3 - 2)} tensor\\space{2}given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = sum(h=1..dim,s(i,h,j)*t(h,k,l))}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tmv:=contract(Tm,2,Tv,1)")) (* (($ $ $) "\\indented{1}{s*t is the inner product of the tensors \\spad{s} and \\spad{t} which contracts} \\indented{1}{the last index of \\spad{s} with the first index of \\spad{t,} that is,} \\indented{5}{\\spad{t*s = contract(t,rank \\spad{t,} \\spad{s,} 1)}} \\indented{5}{\\spad{t*s = sum(k=1..N, t[i1,..,iN,k]*s[k,j1,..,jM])}} \\indented{1}{This is compatible with the use of \\spad{M*v} to denote} \\indented{1}{the matrix-vector inner product.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tm*Tv")) (|product| (($ $ $) "\\indented{1}{product(s,t) is the outer product of the tensors \\spad{s} and \\spad{t.}} \\indented{1}{For example, if \\spad{r = product(s,t)} for rank 2 tensors} \\indented{1}{s and \\spad{t,} then \\spad{r} is a rank 4 tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = s(i,j)*t(k,l)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} Tn:CartesianTensor(1,2,Integer):=n \\spad{X} Tmn:=product(Tm,Tn)")) (|elt| ((|#3| $ (|List| (|Integer|))) "\\indented{1}{elt(t,[i1,...,iN]) gives a component of a rank \\spad{N} tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} tp:CartesianTensor(1,2,Integer):=[tn,tn] \\spad{X} tq:CartesianTensor(1,2,Integer):=[tp,tp] \\spad{X} elt(tq,[2,2,2,2,2])") ((|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j,k,l) gives a component of a rank 4 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} tp:CartesianTensor(1,2,Integer):=[tn,tn] \\spad{X} elt(tp,2,2,2,2) \\spad{X} tp[2,2,2,2]") ((|#3| $ (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j,k) gives a component of a rank 3 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} elt(tn,2,2,2) \\spad{X} tn[2,2,2]") ((|#3| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j) gives a component of a rank 2 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} elt(tm,2,2) \\spad{X} tm[2,2]") ((|#3| $ (|Integer|)) "\\indented{1}{elt(t,i) gives a component of a rank 1 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} elt(tv,2) \\spad{X} tv[2]") ((|#3| $) "\\indented{1}{elt(t) gives the component of a rank 0 tensor.} \\blankline \\spad{X} \\spad{tv:CartesianTensor(1,2,Integer):=8} \\spad{X} elt(tv) \\spad{X} tv[]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{rank(t) returns the tensorial rank of \\spad{t} (that is, the} \\indented{1}{number of indices).\\space{2}This is the same as the graded module} \\indented{1}{degree.} \\blankline \\spad{X} CT:=CARTEN(1,2,Integer) \\spad{X} \\spad{t0:CT:=8} \\spad{X} rank \\spad{t0}")) (|coerce| (($ (|List| $)) "\\indented{1}{coerce([t_1,...,t_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv]") (($ (|List| |#3|)) "\\indented{1}{coerce([r_1,...,r_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v") (($ (|SquareMatrix| |#2| |#3|)) "\\indented{1}{coerce(m) views a matrix as a rank 2 tensor.} \\blankline \\spad{X} v:SquareMatrix(2,Integer):=[[1,2],[3,4]] \\spad{X} tv:CartesianTensor(1,2,Integer):=v") (($ (|DirectProduct| |#2| |#3|)) "\\indented{1}{coerce(v) views a vector as a rank 1 tensor.} \\blankline \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} tv:CartesianTensor(1,2,Integer):=v"))) 
 NIL 
 NIL 
-(-163) 
+(|CharacterClass|) 
 ((|constructor| (NIL "This domain allows classes of characters to be defined and manipulated efficiently.")) (|alphanumeric| (($) "\\spad{alphanumeric()} returns the class of all characters for which alphanumeric? is true.")) (|alphabetic| (($) "\\spad{alphabetic()} returns the class of all characters for which alphabetic? is true.")) (|lowerCase| (($) "\\spad{lowerCase()} returns the class of all characters for which lowerCase? is true.")) (|upperCase| (($) "\\spad{upperCase()} returns the class of all characters for which upperCase? is true.")) (|hexDigit| (($) "\\spad{hexDigit()} returns the class of all characters for which hexDigit? is true.")) (|digit| (($) "\\spad{digit()} returns the class of all characters for which digit? is true.")) (|charClass| (($ (|List| (|Character|))) "\\spad{charClass(l)} creates a character class which contains exactly the characters given in the list \\spad{l.}") (($ (|String|)) "\\spad{charClass(s)} creates a character class which contains exactly the characters given in the string \\spad{s.}"))) 
-((-4625 . T) (-4615 . T) (-4626 . T)) 
-((|HasCategory| (-168) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-168) (QUOTE (-394))) (|HasCategory| (-168) (QUOTE (-869))) (|HasCategory| (-168) (QUOTE (-1119))) (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-394)))) (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-1119)))))) 
-(-164 R Q A) 
+((|finiteAggregate| . T) (|partiallyOrderedSet| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Character|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Character|) (QUOTE (|Finite|))) (|HasCategory| (|Character|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|Finite|)))) (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))))) 
+(|CommonDenominator| R Q A) 
 ((|constructor| (NIL "CommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator([q1,...,qn])} returns \\spad{[[p1,...,pn], \\spad{d]}} such that \\spad{qi = pi/d} and \\spad{d} is a common denominator for the qi's.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator([q1,...,qn])} returns \\spad{[p1,...,pn]} such that \\spad{qi = pi/d} where \\spad{d} is a common denominator for the qi's.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator([q1,...,qn])} returns a common denominator \\spad{d} for q1,...,qn."))) 
 NIL 
 NIL 
-(-165) 
+(|ComplexDoubleFloatMatrix|) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:CDFMAT:=qnew(3,4)"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-191 (-237)) (QUOTE (-1119))) (-12 (|HasCategory| (-191 (-237)) (LIST (QUOTE -325) (LIST (QUOTE -191) (QUOTE (-237))))) (|HasCategory| (-191 (-237)) (QUOTE (-1119)))) (|HasCategory| (-191 (-237)) (QUOTE (-323))) (|HasCategory| (-191 (-237)) (QUOTE (-582))) (|HasAttribute| (-191 (-237)) (QUOTE (-4627 "*"))) (|HasCategory| (-191 (-237)) (QUOTE (-194))) (|HasCategory| (-191 (-237)) (QUOTE (-388)))) 
-(-166) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Complex| (|DoubleFloat|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Complex|) (QUOTE (|DoubleFloat|))))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|SetCategory|)))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|IntegralDomain|))) (|HasAttribute| (|Complex| (|DoubleFloat|)) (QUOTE (|commutative| "*"))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|CommutativeRing|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|Field|)))) 
+(|ComplexDoubleFloatVector|) 
 ((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) "\\indented{1}{vector(l) converts the list \\spad{l} to a vector.} \\blankline \\spad{X} t1:List(Complex(DoubleFloat)):=[1+2*\\%i,3+4*\\%i,-5-6*\\%i] \\spad{X} t2:CDFVEC:=vector(t1)")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(n) creates a new uninitialized vector of length \\spad{n.}} \\blankline \\spad{X} t1:CDFVEC:=qnew 7"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-191 (-237)) (QUOTE (-1119))) (|HasCategory| (-191 (-237)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-191 (-237)) (QUOTE (-869))) (-3836 (|HasCategory| (-191 (-237)) (QUOTE (-869))) (|HasCategory| (-191 (-237)) (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-191 (-237)) (QUOTE (-25))) (|HasCategory| (-191 (-237)) (QUOTE (-23))) (|HasCategory| (-191 (-237)) (QUOTE (-21))) (|HasCategory| (-191 (-237)) (QUOTE (-743))) (|HasCategory| (-191 (-237)) (QUOTE (-1075))) (-12 (|HasCategory| (-191 (-237)) (QUOTE (-1030))) (|HasCategory| (-191 (-237)) (QUOTE (-1075)))) (-12 (|HasCategory| (-191 (-237)) (LIST (QUOTE -325) (LIST (QUOTE -191) (QUOTE (-237))))) (|HasCategory| (-191 (-237)) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-191 (-237)) (LIST (QUOTE -325) (LIST (QUOTE -191) (QUOTE (-237))))) (|HasCategory| (-191 (-237)) (QUOTE (-869)))) (-12 (|HasCategory| (-191 (-237)) (LIST (QUOTE -325) (LIST (QUOTE -191) (QUOTE (-237))))) (|HasCategory| (-191 (-237)) (QUOTE (-1119)))))) 
-(-167) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|SetCategory|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|OrderedSet|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|AbelianSemiGroup|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|AbelianMonoid|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|AbelianGroup|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|Monoid|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|Ring|))) (AND (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|RadicalCategory|))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|Ring|)))) (AND (|HasCategory| (|Complex| (|DoubleFloat|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Complex|) (QUOTE (|DoubleFloat|))))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Complex| (|DoubleFloat|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Complex|) (QUOTE (|DoubleFloat|))))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Complex| (|DoubleFloat|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Complex|) (QUOTE (|DoubleFloat|))))) (|HasCategory| (|Complex| (|DoubleFloat|)) (QUOTE (|SetCategory|)))))) 
+(|CombinatorialFunctionCategory|) 
 ((|constructor| (NIL "Category for the usual combinatorial functions.")) (|permutation| (($ $ $) "\\spad{permutation(n, \\spad{m)}} returns the number of permutations of \\spad{n} objects taken \\spad{m} at a time. Note that \\spad{permutation(n,m) = n!/(n-m)!}.")) (|factorial| (($ $) "\\spad{factorial(n)} computes the factorial of \\spad{n} (denoted in the literature by \\spad{n!}) Note that \\spad{n! = \\spad{n} (n-1)! when \\spad{n} > 0}; also, \\spad{0! = 1}.")) (|binomial| (($ $ $) "\\indented{1}{binomial(n,r) returns the \\spad{(n,r)} binomial coefficient} \\indented{1}{(often denoted in the literature by \\spad{C(n,r)}).} \\indented{1}{Note that \\spad{C(n,r) = n!/(r!(n-r)!)} where \\spad{n \\spad{>=} \\spad{r} \\spad{>=} 0}.} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
-(-168) 
+(|Character|) 
 ((|constructor| (NIL "This domain provides the basic character data type.")) (|alphanumeric?| (((|Boolean|) $) "\\spad{alphanumeric?(c)} tests if \\spad{c} is either a letter or number, for example, one of 0..9, a..z or A..Z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]")) (|lowerCase?| (((|Boolean|) $) "\\spad{lowerCase?(c)} tests if \\spad{c} is an lower case letter, for example, one of a..z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase? \\spad{c} for \\spad{c} in chars]")) (|upperCase?| (((|Boolean|) $) "\\spad{upperCase?(c)} tests if \\spad{c} is an upper case letter, for example, one of A..Z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase? \\spad{c} for \\spad{c} in chars]")) (|alphabetic?| (((|Boolean|) $) "\\spad{alphabetic?(c)} tests if \\spad{c} is a letter, for example, one of a..z or A..Z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphabetic? \\spad{c} for \\spad{c} in chars]")) (|hexDigit?| (((|Boolean|) $) "\\spad{hexDigit?(c)} tests if \\spad{c} is a hexadecimal numeral, for example, one of 0..9, a..f or A..F. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [hexDigit? \\spad{c} for \\spad{c} in chars]")) (|digit?| (((|Boolean|) $) "\\spad{digit?(c)} tests if \\spad{c} is a digit character, for example, one of 0..9. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [digit? \\spad{c} for \\spad{c} in chars]")) (|lowerCase| (($ $) "\\spad{lowerCase(c)} converts an upper case letter to the corresponding lower case letter. If \\spad{c} is not an upper case letter, then it is returned unchanged. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase \\spad{c} for \\spad{c} in chars]")) (|upperCase| (($ $) "\\spad{upperCase(c)} converts a lower case letter to the corresponding upper case letter. If \\spad{c} is not a lower case letter, then it is returned unchanged. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase \\spad{c} for \\spad{c} in chars]")) (|escape| (($) "\\spad{escape()} provides the escape character, \\spad{_}, which is used to allow quotes and other characters within strings. \\blankline \\spad{X} escape()")) (|quote| (($) "\\spad{quote()} provides the string quote character, \\spad{\"}. \\blankline \\spad{X} quote()")) (|space| (($) "\\spad{space()} provides the blank character. \\blankline \\spad{X} space()")) (|char| (($ (|String|)) "\\spad{char(s)} provides a character from a string \\spad{s} of length one. \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [\"a\",\"A\",\"X\",\"8\",\"+\"]]") (($ (|Integer|)) "\\spad{char(i)} provides a character corresponding to the integer code i. It is always \\spad{true} that \\spad{ord char \\spad{i} = i}. \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [97,65,88,56,43]]")) (|ord| (((|Integer|) $) "\\spad{ord(c)} provides an integral code corresponding to the character \\spad{c.} It is always \\spad{true} that \\spad{char ord \\spad{c} = \\spad{c}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [ord \\spad{c} for \\spad{c} in chars]"))) 
 NIL 
 NIL 
-(-169) 
+(|CharacteristicNonZero|) 
 ((|constructor| (NIL "Rings of Characteristic Non Zero")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(x)} returns the \\spad{p}th root of \\spad{x} where \\spad{p} is the characteristic of the ring."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-170 R) 
+(|CharacteristicPolynomialPackage| R) 
 ((|constructor| (NIL "This package provides a characteristicPolynomial function for any matrix over a commutative ring.")) (|characteristicPolynomial| ((|#1| (|Matrix| |#1|) |#1|) "\\spad{characteristicPolynomial(m,r)} computes the characteristic polynomial of the matrix \\spad{m} evaluated at the point \\spad{r.} In particular, if \\spad{r} is the polynomial \\spad{'x,} then it returns the characteristic polynomial expressed as a polynomial in \\spad{'x.}"))) 
 NIL 
 NIL 
-(-171) 
+(|CharacteristicZero|) 
 ((|constructor| (NIL "Rings of Characteristic Zero."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-172 -3958 UP UPUP) 
+(|ChangeOfVariable| F UP UPUP) 
 ((|constructor| (NIL "Tools to send a point to infinity on an algebraic curve.")) (|chvar| (((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|) "\\spad{chvar(f(x,y), p(x,y))} returns \\spad{[g(z,t), q(z,t), c1(z), c2(z), \\spad{n]}} such that under the change of variable \\spad{x = c1(z)}, \\spad{y = \\spad{t} * c2(z)}, one gets \\spad{f(x,y) = g(z,t)}. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x, \\spad{y)} = 0}. The algebraic relation between \\spad{z} and \\spad{t} is \\spad{q(z, \\spad{t)} = 0}.")) (|eval| ((|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{eval(p(x,y), f(x), g(x))} returns \\spad{p(f(x), \\spad{y} * g(x))}.")) (|goodPoint| ((|#1| |#3| |#3|) "\\spad{goodPoint(p, \\spad{q)}} returns an integer a such that a is neither a pole of \\spad{p(x,y)} nor a branch point of \\spad{q(x,y) = 0}.")) (|rootPoly| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) "\\spad{rootPoly(g, \\spad{n)}} returns \\spad{[m, \\spad{c,} \\spad{P]}} such that \\spad{c * \\spad{g} \\spad{**} (1/n) = \\spad{P} \\spad{**} (1/m)} thus if \\spad{y**n = \\spad{g},} then \\spad{z**m = \\spad{P}} where \\spad{z = \\spad{c} * \\spad{y}.}")) (|radPoly| (((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|) "\\spad{radPoly(p(x, y))} returns \\spad{[c(x), \\spad{n]}} if \\spad{p} is of the form \\spad{y**n - c(x)}, \"failed\" otherwise.")) (|mkIntegral| (((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|) "\\spad{mkIntegral(p(x,y))} returns \\spad{[c(x), q(x,z)]} such that \\spad{z = \\spad{c} * \\spad{y}} is integral. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x, \\spad{y)} = 0}. The algebraic relation between \\spad{x} and \\spad{z} is \\spad{q(x, \\spad{z)} = 0}."))) 
 NIL 
 NIL 
-(-173 R CR) 
+(|ComplexIntegerSolveLinearPolynomialEquation| R CR) 
 ((|constructor| (NIL "This package provides the generalized euclidean algorithm which is needed as the basic step for factoring polynomials.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} where (fi relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g} = sum \\spad{ai} prod \\spad{fj} \\spad{(j} \\spad{\\=} i) or equivalently g/prod \\spad{fj} = sum (ai/fi) or returns \"failed\" if no such list exists"))) 
 NIL 
 NIL 
-(-174 A S) 
+(|Collection&| A S) 
 ((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named construct. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, For example, list for List, flexibleArray for FlexibleArray, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#2| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#2| (|Mapping| |#2| |#2| |#2|) $) "\\spad{reduce(f,u)} reduces the binary operation \\spad{f} across u. For example, if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)} returns \\axiom{f(..f(f(x,y),...),z)}. Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.} Error: if \\spad{u} is empty. \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) "\\axiom{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#2|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-1119))) (|HasAttribute| |#1| (QUOTE -4625))) 
-(-175 S) 
+((|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (|HasAttribute| |#1| (QUOTE |finiteAggregate|))) 
+(|Collection| S) 
 ((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named construct. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, For example, list for List, flexibleArray for FlexibleArray, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#1| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#1| (|Mapping| |#1| |#1| |#1|) $) "\\spad{reduce(f,u)} reduces the binary operation \\spad{f} across u. For example, if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)} returns \\axiom{f(..f(f(x,y),...),z)}. Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.} Error: if \\spad{u} is empty. \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) "\\axiom{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#1|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-176 |n| K Q) 
+(|CliffordAlgebra| |n| K Q) 
 ((|constructor| (NIL "CliffordAlgebra(n, \\spad{K,} \\spad{Q)} defines a vector space of dimension \\spad{2**n} over \\spad{K,} given a quadratic form \\spad{Q} on \\spad{K**n}. \\blankline If \\spad{e[i]}, \\spad{1<=i<=n} is a basis for \\spad{K**n} then 1, \\spad{e[i]} (\\spad{1<=i<=n}), \\spad{e[i1]*e[i2]} (\\spad{1<=i1<i2<=n}),...,\\spad{e[1]*e[2]*..*e[n]} is a basis for the Clifford Algebra. \\blankline The algebra is defined by the relations\\br \\tab{5}\\spad{e[i]*e[j] = -e[j]*e[i]} (\\spad{i \\~~= j}),\\br \\tab{5}\\spad{e[i]*e[i] = Q(e[i])} \\blankline Examples of Clifford Algebras are: gaussians, quaternions, exterior algebras and spin algebras.")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} computes the multiplicative inverse of \\spad{x} or \"failed\" if \\spad{x} is not invertible.")) (|coefficient| ((|#2| $ (|List| (|PositiveInteger|))) "\\spad{coefficient(x,[i1,i2,...,iN])} extracts the coefficient of \\spad{e(i1)*e(i2)*...*e(iN)} in \\spad{x.}")) (|monomial| (($ |#2| (|List| (|PositiveInteger|))) "\\spad{monomial(c,[i1,i2,...,iN])} produces the value given by \\spad{c*e(i1)*e(i2)*...*e(iN)}.")) (|e| (($ (|PositiveInteger|)) "\\spad{e(n)} produces the appropriate unit element."))) 
-((-4620 . T) (-4619 . T) (-4622 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-177) 
+(|TwoDimensionalPlotClipping|) 
 ((|constructor| (NIL "Automatic clipping for 2-dimensional plots The purpose of this package is to provide reasonable plots of functions with singularities.")) (|clipWithRanges| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{clipWithRanges(pointLists,xMin,xMax,yMin,yMax)} performs clipping on a list of lists of points, \\spad{pointLists}. Clipping is done within the specified ranges of \\spad{xMin}, \\spad{xMax} and \\spad{yMin}, \\spad{yMax}. This function is used internally by the \\fakeAxiomFun{iClipParametric} subroutine in this package.")) (|clipParametric| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clipParametric(p,frac,sc)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clipParametric(p)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.")) (|clip| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{clip(ll)} performs two-dimensional clipping on a list of lists of points, \\spad{ll}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|)))) "\\spad{clip(l)} performs two-dimensional clipping on a curve \\spad{l,} which is a list of points; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clip(p,frac,sc)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the graph of one variable \\spad{y = f(x)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\spadfun{clip} function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clip(p)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the graph of one variable, \\spad{y = f(x)}; the default parameters \\spad{1/4} for the fraction and \\spad{5/1} for the scale are used in the \\spadfun{clip} function."))) 
 NIL 
 NIL 
-(-178 UP |Par|) 
+(|ComplexRootPackage| UP |Par|) 
 ((|constructor| (NIL "This package provides functions complexZeros for finding the complex zeros of univariate polynomials with complex rational number coefficients. The results are to any user specified precision and are returned as either complex rational number or complex floating point numbers depending on the type of the second argument which specifies the precision.")) (|complexZeros| (((|List| (|Complex| |#2|)) |#1| |#2|) "\\spad{complexZeros(poly, eps)} finds the complex zeros of the univariate polynomial \\spad{poly} to precision eps with solutions returned as complex floats or rationals depending on the type of eps."))) 
 NIL 
 NIL 
-(-179) 
+(|Color|) 
 ((|constructor| (NIL "Color() specifies a domain of 27 colors provided in the Axiom system (the colors mix additively).")) (|color| (($ (|Integer|)) "\\spad{color(i)} returns a color of the indicated hue i.")) (|numberOfHues| (((|PositiveInteger|)) "\\spad{numberOfHues()} returns the number of total hues, set in totalHues.")) (|hue| (((|Integer|) $) "\\spad{hue(c)} returns the hue index of the indicated color \\spad{c.}")) (|blue| (($) "\\spad{blue()} returns the position of the blue hue from total hues.")) (|green| (($) "\\spad{green()} returns the position of the green hue from total hues.")) (|yellow| (($) "\\spad{yellow()} returns the position of the yellow hue from total hues.")) (|red| (($) "\\spad{red()} returns the position of the red hue from total hues.")) (+ (($ $ $) "\\spad{c1 + \\spad{c2}} additively mixes the two colors \\spad{c1} and \\spad{c2.}")) (* (($ (|DoubleFloat|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}") (($ (|PositiveInteger|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}"))) 
 NIL 
 NIL 
-(-180 R -3958) 
+(|CombinatorialFunction| R F) 
 ((|constructor| (NIL "Provides combinatorial functions over an integral domain.")) (|ipow| ((|#2| (|List| |#2|)) "\\spad{ipow(l)} should be local but conditional.")) (|iidprod| ((|#2| (|List| |#2|)) "\\spad{iidprod(l)} should be local but conditional.")) (|iidsum| ((|#2| (|List| |#2|)) "\\spad{iidsum(l)} should be local but conditional.")) (|iipow| ((|#2| (|List| |#2|)) "\\spad{iipow(l)} should be local but conditional.")) (|iiperm| ((|#2| (|List| |#2|)) "\\spad{iiperm(l)} should be local but conditional.")) (|iibinom| ((|#2| (|List| |#2|)) "\\spad{iibinom(l)} should be local but conditional.")) (|iifact| ((|#2| |#2|) "\\spad{iifact(x)} should be local but conditional.")) (|product| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{product(f(n), \\spad{n} = a..b)} returns f(a) * \\spad{...} * f(b) as a formal product.") ((|#2| |#2| (|Symbol|)) "\\spad{product(f(n), \\spad{n)}} returns the formal product P(n) which verifies P(n+1)/P(n) = f(n).")) (|summation| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{summation(f(n), \\spad{n} = a..b)} returns f(a) + \\spad{...} + f(b) as a formal sum.") ((|#2| |#2| (|Symbol|)) "\\spad{summation(f(n), \\spad{n)}} returns the formal sum S(n) which verifies S(n+1) - S(n) = f(n).")) (|factorials| ((|#2| |#2| (|Symbol|)) "\\spad{factorials(f, \\spad{x)}} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") ((|#2| |#2|) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials.")) (|factorial| ((|#2| |#2|) "\\spad{factorial(n)} returns the factorial of \\spad{n,} \\spadignore{i.e.} \\spad{n!;}")) (|permutation| ((|#2| |#2| |#2|) "\\spad{permutation(n, \\spad{r)}} returns the number of permutations of \\spad{n} objects taken \\spad{r} at a time, \\spadignore{i.e.} n!/(n-r)!.")) (|binomial| ((|#2| |#2| |#2|) "\\indented{1}{binomial(n, \\spad{r)} returns the number of subsets of \\spad{r} objects} \\indented{1}{taken among \\spad{n} objects, \\spadignore{i.e.} n!/(r! * (n-r)!);} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]")) (** ((|#2| |#2| |#2|) "\\spad{a \\spad{**} \\spad{b}} is the formal exponential a**b.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a combinatorial operator.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a combinatorial operator."))) 
 NIL 
 NIL 
-(-181 I) 
+(|IntegerCombinatoricFunctions| I) 
 ((|constructor| (NIL "The \\spadtype{IntegerCombinatoricFunctions} package provides some standard functions in combinatorics.")) (|stirling2| ((|#1| |#1| |#1|) "\\spad{stirling2(n,m)} returns the Stirling number of the second kind denoted \\spad{SS[n,m]}.")) (|stirling1| ((|#1| |#1| |#1|) "\\spad{stirling1(n,m)} returns the Stirling number of the first kind denoted \\spad{S[n,m]}.")) (|permutation| ((|#1| |#1| |#1|) "\\spad{permutation(n)} returns \\spad{!P(n,r) = n!/(n-r)!}. This is the number of permutations of \\spad{n} objects taken \\spad{r} at a time.")) (|partition| ((|#1| |#1|) "\\spad{partition(n)} returns the number of partitions of the integer \\spad{n.} This is the number of distinct ways that \\spad{n} can be written as a sum of positive integers.")) (|multinomial| ((|#1| |#1| (|List| |#1|)) "\\spad{multinomial(n,[m1,m2,...,mk])} returns the multinomial coefficient \\spad{n!/(m1! \\spad{m2!} \\spad{...} mk!)}.")) (|factorial| ((|#1| |#1|) "\\spad{factorial(n)} returns \\spad{n!}. this is the product of all integers between 1 and \\spad{n} (inclusive). Note that \\spad{0!} is defined to be 1.")) (|binomial| ((|#1| |#1| |#1|) "\\indented{1}{\\spad{binomial(n,r)} returns the binomial coefficient} \\indented{1}{\\spad{C(n,r) = n!/(r! (n-r)!)}, where \\spad{n \\spad{>=} \\spad{r} \\spad{>=} 0}.} \\indented{1}{This is the number of combinations of \\spad{n} objects taken \\spad{r} at a time.} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
-(-182) 
+(|CombinatorialOpsCategory|) 
 ((|constructor| (NIL "CombinatorialOpsCategory is the category obtaining by adjoining summations and products to the usual combinatorial operations.")) (|product| (($ $ (|SegmentBinding| $)) "\\spad{product(f(n), \\spad{n} = a..b)} returns f(a) * \\spad{...} * f(b) as a formal product.") (($ $ (|Symbol|)) "\\spad{product(f(n), \\spad{n)}} returns the formal product P(n) which verifies P(n+1)/P(n) = f(n).")) (|summation| (($ $ (|SegmentBinding| $)) "\\spad{summation(f(n), \\spad{n} = a..b)} returns f(a) + \\spad{...} + f(b) as a formal sum.") (($ $ (|Symbol|)) "\\spad{summation(f(n), \\spad{n)}} returns the formal sum S(n) which verifies S(n+1) - S(n) = f(n).")) (|factorials| (($ $ (|Symbol|)) "\\spad{factorials(f, \\spad{x)}} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") (($ $) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials."))) 
 NIL 
 NIL 
-(-183) 
+(|Commutator|) 
 ((|constructor| (NIL "A type for basic commutators")) (|mkcomm| (($ $ $) "\\spad{mkcomm(i,j)} is not documented") (($ (|Integer|)) "\\spad{mkcomm(i)} is not documented"))) 
 NIL 
 NIL 
-(-184) 
+(|CommonOperators|) 
 ((|constructor| (NIL "This package exports the elementary operators, with some semantics already attached to them. The semantics that is attached here is not dependent on the set in which the operators will be applied.")) (|operator| (((|BasicOperator|) (|Symbol|)) "\\spad{operator(s)} returns an operator with name \\spad{s,} with the appropriate semantics if \\spad{s} is known. If \\spad{s} is not known, the result has no semantics."))) 
 NIL 
 NIL 
-(-185 R UP UPUP) 
+(|CommuteUnivariatePolynomialCategory| R UP UPUP) 
 ((|constructor| (NIL "A package for swapping the order of two variables in a tower of two UnivariatePolynomialCategory extensions.")) (|swap| ((|#3| |#3|) "\\spad{swap(p(x,y))} returns p(y,x)."))) 
 NIL 
 NIL 
-(-186) 
+(|Comparable|) 
 ((|constructor| (NIL "The class of set equipped with possibly unnatural linear order (needed for technical reasons).")) (|smaller?| (((|Boolean|) $ $) "\\spad{smaller?(x, \\spad{y)}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-187 S R) 
+(|ComplexCategory&| S R) 
 ((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1.}")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) $) "\\spad{polarCoordinates(x)} returns \\spad{(r,} phi) such that \\spad{x} = \\spad{r} * exp(\\%i * phi).")) (|argument| ((|#2| $) "\\spad{argument(x)} returns the angle made by (0,1) and (0,x).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(x)).")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(x, \\spad{r)}} returns the exact quotient of \\spad{x} by \\spad{r,} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#2| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(x)")) (|real| ((|#2| $) "\\spad{real(x)} returns real part of \\spad{x.}")) (|imag| ((|#2| $) "\\spad{imag(x)} returns imaginary part of \\spad{x.}")) (|conjugate| (($ $) "\\spad{conjugate(x + \\spad{%i} \\spad{y)}} returns \\spad{x} - \\spad{%i} \\spad{y.}")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(-1) = \\%i.")) (|complex| (($ |#2| |#2|) "\\spad{complex(x,y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(-1)"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-574))) (|HasCategory| |#2| (QUOTE (-1030))) (|HasCategory| |#2| (QUOTE (-1211))) (|HasCategory| |#2| (QUOTE (-1084))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-388))) (|HasAttribute| |#2| (QUOTE -4621)) (|HasAttribute| |#2| (QUOTE -4624)) (|HasCategory| |#2| (QUOTE (-323))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-869)))) 
-(-188 R) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#2| (QUOTE (|RadicalCategory|))) (|HasCategory| |#2| (QUOTE (|TranscendentalFunctionCategory|))) (|HasCategory| |#2| (QUOTE (|RealNumberSystem|))) (|HasCategory| |#2| (QUOTE (|RealConstant|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasAttribute| |#2| (QUOTE |additiveValuation|)) (|HasAttribute| |#2| (QUOTE |multiplicativeValuation|)) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) 
+(|ComplexCategory| R) 
 ((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1.}")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) "\\spad{polarCoordinates(x)} returns \\spad{(r,} phi) such that \\spad{x} = \\spad{r} * exp(\\%i * phi).")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the angle made by (0,1) and (0,x).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(x)).")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(x, \\spad{r)}} returns the exact quotient of \\spad{x} by \\spad{r,} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#1| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(x)")) (|real| ((|#1| $) "\\spad{real(x)} returns real part of \\spad{x.}")) (|imag| ((|#1| $) "\\spad{imag(x)} returns imaginary part of \\spad{x.}")) (|conjugate| (($ $) "\\spad{conjugate(x + \\spad{%i} \\spad{y)}} returns \\spad{x} - \\spad{%i} \\spad{y.}")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(-1) = \\%i.")) (|complex| (($ |#1| |#1|) "\\spad{complex(x,y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(-1)"))) 
-((-4618 -3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4621 |has| |#1| (-6 -4621)) (-4624 |has| |#1| (-6 -4624)) (-4001 . T) (-2623 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|additiveValuation| |has| |#1| (ATTRIBUTE |additiveValuation|)) (|multiplicativeValuation| |has| |#1| (ATTRIBUTE |multiplicativeValuation|)) (|complex| . T) (|nil| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-189 RR PR) 
+(|ComplexFactorization| RR PR) 
 ((|constructor| (NIL "This package has no description")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} factorizes the polynomial \\spad{p} with complex coefficients."))) 
 NIL 
 NIL 
-(-190 R S) 
+(|ComplexFunctions2| R S) 
 ((|constructor| (NIL "This package extends maps from underlying rings to maps between complex over those rings.")) (|map| (((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)) "\\spad{map(f,u)} maps \\spad{f} onto real and imaginary parts of u."))) 
 NIL 
 NIL 
-(-191 R) 
+(|Complex| R) 
 ((|constructor| (NIL "\\spadtype{Complex(R)} creates the domain of elements of the form \\spad{a + \\spad{b} * i} where \\spad{a} and \\spad{b} come from the ring \\spad{R,} and \\spad{i} is a new element such that \\spad{i**2 = -1}."))) 
-((-4618 -3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4621 |has| |#1| (-6 -4621)) (-4624 |has| |#1| (-6 -4624)) (-4001 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-373)))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-1211))) (-12 (|HasCategory| |#1| (QUOTE (-1030))) (|HasCategory| |#1| (QUOTE (-1211)))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-850))) (|HasCategory| |#1| (QUOTE (-1084))) (-12 (|HasCategory| |#1| (QUOTE (-1084))) (|HasCategory| |#1| (QUOTE (-1211)))) (|HasCategory| |#1| (QUOTE (-574))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-323))) (-3836 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-373)))) (|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-247))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-373)))) (|HasCategory| |#1| (QUOTE (-247))) (-12 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-394)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-850)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-1211))))) (-12 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-388))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-931))))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-931))))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasAttribute| |#1| (QUOTE -4621)) (|HasAttribute| |#1| (QUOTE -4624)) (-12 (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-373))))) 
-(-192 R S CS) 
+((|noZeroDivisors| OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|additiveValuation| |has| |#1| (ATTRIBUTE |additiveValuation|)) (|multiplicativeValuation| |has| |#1| (ATTRIBUTE |multiplicativeValuation|)) (|complex| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|))) (AND (|HasCategory| |#1| (QUOTE (|RadicalCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (|HasCategory| |#1| (QUOTE (|RealConstant|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (OR (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (OR (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OpenMath|))) (|HasCategory| |#1| (QUOTE (|RealNumberSystem|))) (AND (|HasCategory| |#1| (QUOTE (|RealNumberSystem|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (AND (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|Finite|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|OpenMath|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|RealConstant|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|))))) (AND (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))))) (OR (AND (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))))) (OR (AND (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasAttribute| |#1| (QUOTE |additiveValuation|)) (|HasAttribute| |#1| (QUOTE |multiplicativeValuation|)) (AND (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))))) 
+(|ComplexPattern| R S CS) 
 ((|constructor| (NIL "This package supports converting complex expressions to patterns")) (|convert| (((|Pattern| |#1|) |#3|) "\\spad{convert(cs)} converts the complex expression \\spad{cs} to a pattern"))) 
 NIL 
 NIL 
-(-193) 
+(|SubSpaceComponentProperty|) 
 ((|constructor| (NIL "This domain implements some global properties of subspaces.")) (|copy| (($ $) "\\spad{copy(x)} is not documented")) (|solid| (((|Boolean|) $ (|Boolean|)) "\\spad{solid(x,b)} is not documented")) (|close| (((|Boolean|) $ (|Boolean|)) "\\spad{close(x,b)} is not documented")) (|solid?| (((|Boolean|) $) "\\spad{solid?(x)} is not documented")) (|closed?| (((|Boolean|) $) "\\spad{closed?(x)} is not documented")) (|new| (($) "\\spad{new()} is not documented"))) 
 NIL 
 NIL 
-(-194) 
+(|CommutativeRing|) 
 ((|constructor| (NIL "The category of commutative rings with unity, \\spadignore{i.e.} rings where \\spadop{*} is commutative, and which have a multiplicative identity element.")) (|commutative| ((|attribute| "*") "multiplication is commutative."))) 
-(((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-195 R) 
+(|ContinuedFraction| R) 
 ((|constructor| (NIL "\\spadtype{ContinuedFraction} implements general continued fractions. This version is not restricted to simple, finite fractions and uses the \\spadtype{Stream} as a representation. The arithmetic functions assume that the approximants alternate below/above the convergence point. This is enforced by ensuring the partial numerators and partial denominators are greater than 0 in the Euclidean domain view of \\spad{R} (\\spadignore{i.e.} \\spad{sizeLess?(0, x)}).")) (|complete| (($ $) "\\spad{complete(x)} causes all entries in \\spadvar{x} to be computed. Normally entries are only computed as needed. If \\spadvar{x} is an infinite continued fraction, a user-initiated interrupt is necessary to stop the computation.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,n)} causes the first \\spadvar{n} entries in the continued fraction \\spadvar{x} to be computed. Normally entries are only computed as needed.")) (|denominators| (((|Stream| |#1|) $) "\\spad{denominators(x)} returns the stream of denominators of the approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|numerators| (((|Stream| |#1|) $) "\\spad{numerators(x)} returns the stream of numerators of the approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|convergents| (((|Stream| (|Fraction| |#1|)) $) "\\spad{convergents(x)} returns the stream of the convergents of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|approximants| (((|Stream| (|Fraction| |#1|)) $) "\\spad{approximants(x)} returns the stream of approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be infinite and periodic with period 1.")) (|reducedForm| (($ $) "\\spad{reducedForm(x)} puts the continued fraction \\spadvar{x} in reduced form, \\spadignore{i.e.} the function returns an equivalent continued fraction of the form \\spad{continuedFraction(b0,[1,1,1,...],[b1,b2,b3,...])}.")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} extracts the whole part of \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{wholePart(x) = b0}.")) (|partialQuotients| (((|Stream| |#1|) $) "\\spad{partialQuotients(x)} extracts the partial quotients in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialQuotients(x) = [b0,b1,b2,b3,...]}.")) (|partialDenominators| (((|Stream| |#1|) $) "\\spad{partialDenominators(x)} extracts the denominators in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialDenominators(x) = [b1,b2,b3,...]}.")) (|partialNumerators| (((|Stream| |#1|) $) "\\spad{partialNumerators(x)} extracts the numerators in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialNumerators(x) = [a1,a2,a3,...]}.")) (|reducedContinuedFraction| (($ |#1| (|Stream| |#1|)) "\\spad{reducedContinuedFraction(b0,b)} constructs a continued fraction in the following way: if \\spad{b = [b1,b2,...]} then the result is the continued fraction \\spad{b0 + 1/(b1 + 1/(b2 + ...))}. That is, the result is the same as \\spad{continuedFraction(b0,[1,1,1,...],[b1,b2,b3,...])}.")) (|continuedFraction| (($ |#1| (|Stream| |#1|) (|Stream| |#1|)) "\\spad{continuedFraction(b0,a,b)} constructs a continued fraction in the following way: if \\spad{a = [a1,a2,...]} and \\spad{b = [b1,b2,...]} then the result is the continued fraction \\spad{b0 + \\spad{a1/(b1} + \\spad{a2/(b2} + ...))}.") (($ (|Fraction| |#1|)) "\\spad{continuedFraction(r)} converts the fraction \\spadvar{r} with components of type \\spad{R} to a continued fraction over \\spad{R}."))) 
-(((-4627 "*") . T) (-4618 . T) (-4623 . T) (-4617 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") . T) (|noZeroDivisors| . T) (|canonicalUnitNormal| . T) (|canonicalsClosed| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-196 R) 
+(|CoordinateSystems| R) 
 ((|constructor| (NIL "CoordinateSystems provides coordinate transformation functions for plotting. Functions in this package return conversion functions which take points expressed in other coordinate systems and return points with the corresponding Cartesian coordinates.")) (|conical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|) "\\spad{conical(a,b)} transforms from conical coordinates to Cartesian coordinates: \\spad{conical(a,b)} is a function which will map the point \\spad{(lambda,mu,nu)} to \\spad{x = lambda*mu*nu/(a*b)}, \\spad{y = lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))}, \\spad{z = lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))}.")) (|toroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{toroidal(a)} transforms from toroidal coordinates to Cartesian coordinates: \\spad{toroidal(a)} is a function which will map the point \\spad{(u,v,phi)} to \\spad{x = a*sinh(v)*cos(phi)/(cosh(v)-cos(u))}, \\spad{y = a*sinh(v)*sin(phi)/(cosh(v)-cos(u))}, \\spad{z = a*sin(u)/(cosh(v)-cos(u))}.")) (|bipolarCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolarCylindrical(a)} transforms from bipolar cylindrical coordinates to Cartesian coordinates: \\spad{bipolarCylindrical(a)} is a function which will map the point \\spad{(u,v,z)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))}, \\spad{y = a*sin(u)/(cosh(v)-cos(u))}, \\spad{z}.")) (|bipolar| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolar(a)} transforms from bipolar coordinates to Cartesian coordinates: \\spad{bipolar(a)} is a function which will map the point \\spad{(u,v)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))}, \\spad{y = a*sin(u)/(cosh(v)-cos(u))}.")) (|oblateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{oblateSpheroidal(a)} transforms from oblate spheroidal coordinates to Cartesian coordinates: \\spad{oblateSpheroidal(a)} is a function which will map the point \\spad{(xi,eta,phi)} to \\spad{x = a*sinh(xi)*sin(eta)*cos(phi)}, \\spad{y = a*sinh(xi)*sin(eta)*sin(phi)}, \\spad{z = a*cosh(xi)*cos(eta)}.")) (|prolateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{prolateSpheroidal(a)} transforms from prolate spheroidal coordinates to Cartesian coordinates: \\spad{prolateSpheroidal(a)} is a function which will map the point \\spad{(xi,eta,phi)} to \\spad{x = a*sinh(xi)*sin(eta)*cos(phi)}, \\spad{y = a*sinh(xi)*sin(eta)*sin(phi)}, \\spad{z = a*cosh(xi)*cos(eta)}.")) (|ellipticCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{ellipticCylindrical(a)} transforms from elliptic cylindrical coordinates to Cartesian coordinates: \\spad{ellipticCylindrical(a)} is a function which will map the point \\spad{(u,v,z)} to \\spad{x = a*cosh(u)*cos(v)}, \\spad{y = a*sinh(u)*sin(v)}, \\spad{z}.")) (|elliptic| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{elliptic(a)} transforms from elliptic coordinates to Cartesian coordinates: \\spad{elliptic(a)} is a function which will map the point \\spad{(u,v)} to \\spad{x = a*cosh(u)*cos(v)}, \\spad{y = a*sinh(u)*sin(v)}.")) (|paraboloidal| (((|Point| |#1|) (|Point| |#1|)) "\\spad{paraboloidal(pt)} transforms \\spad{pt} from paraboloidal coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v,phi)} to \\spad{x = u*v*cos(phi)}, \\spad{y = u*v*sin(phi)}, \\spad{z = 1/2 * \\spad{(u**2} - v**2)}.")) (|parabolicCylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolicCylindrical(pt)} transforms \\spad{pt} from parabolic cylindrical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v,z)} to \\spad{x = 1/2*(u**2 - v**2)}, \\spad{y = u*v}, \\spad{z}.")) (|parabolic| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolic(pt)} transforms \\spad{pt} from parabolic coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v)} to \\spad{x = 1/2*(u**2 - v**2)}, \\spad{y = u*v}.")) (|spherical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{spherical(pt)} transforms \\spad{pt} from spherical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta,phi)} to \\spad{x = r*sin(phi)*cos(theta)}, \\spad{y = r*sin(phi)*sin(theta)}, \\spad{z = r*cos(phi)}.")) (|cylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cylindrical(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta,z)} to \\spad{x = \\spad{r} * cos(theta)}, \\spad{y = \\spad{r} * sin(theta)}, \\spad{z}.")) (|polar| (((|Point| |#1|) (|Point| |#1|)) "\\spad{polar(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta)} to \\spad{x = \\spad{r} * cos(theta)} ,{} \\spad{y = \\spad{r} * sin(theta)}.")) (|cartesian| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cartesian(pt)} returns the Cartesian coordinates of point \\spad{pt.}"))) 
 NIL 
 NIL 
-(-197 R |PolR| E) 
+(|CharacteristicPolynomialInMonogenicalAlgebra| R |PolR| E) 
 ((|constructor| (NIL "This package implements characteristicPolynomials for monogenic algebras using resultants")) (|characteristicPolynomial| ((|#2| |#3|) "\\spad{characteristicPolynomial(e)} returns the characteristic polynomial of \\spad{e} using resultants"))) 
 NIL 
 NIL 
-(-198 R S CS) 
+(|ComplexPatternMatch| R S CS) 
 ((|constructor| (NIL "This package supports matching patterns involving complex expressions")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(cexpr, pat, res)} matches the pattern \\spad{pat} to the complex expression cexpr. res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
-((|HasCategory| (-980 |#2|) (LIST (QUOTE -908) (|devaluate| |#1|)))) 
-(-199 R) 
+((|HasCategory| (|Polynomial| |#2|) (LIST (QUOTE |PatternMatchable|) (|devaluate| |#1|)))) 
+(|CRApackage| R) 
 ((|constructor| (NIL "This package has no documentation")) (|multiEuclideanTree| (((|List| |#1|) (|List| |#1|) |#1|) "\\spad{multiEuclideanTree(l,r)} \\undocumented{}")) (|chineseRemainder| (((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|)) "\\spad{chineseRemainder(llv,lm)} returns a list of values, each of which corresponds to the Chinese remainder of the associated element of \\axiom{llv} and axiom{lm}. This is more efficient than applying chineseRemainder several times.") ((|#1| (|List| |#1|) (|List| |#1|)) "\\spad{chineseRemainder(lv,lm)} returns a value \\axiom{v} such that, if \\spad{x} is \\axiom{lv.i} modulo \\axiom{lm.i} for all \\axiom{i}, then \\spad{x} is \\axiom{v} modulo \\axiom{lm(1)*lm(2)*...*lm(n)}.")) (|modTree| (((|List| |#1|) |#1| (|List| |#1|)) "\\spad{modTree(r,l)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-200 R UP) 
+(|ComplexRootFindingPackage| R UP) 
 ((|constructor| (NIL "\\spadtype{ComplexRootFindingPackage} provides functions to find all roots of a polynomial \\spad{p} over the complex number by using Plesken's idea to calculate in the polynomial ring modulo \\spad{f} and employing the Chinese Remainder Theorem. In this first version, the precision (see digits) is not increased when this is necessary to avoid rounding errors. Hence it is the user's responsibility to increase the precision if necessary. Note also, if this package is called with \\spadignore{e.g.} \\spadtype{Fraction Integer}, the precise calculations could require a lot of time. Also note that evaluating the zeros is not necessarily a good check whether the result is correct: already evaluation can cause rounding errors.")) (|startPolynomial| (((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|) "\\spad{startPolynomial(p)} uses the ideas of Schoenhage's variant of Graeffe's method to construct circles which separate roots to get a good start polynomial, \\spadignore{i.e.} one whose image under the Chinese Remainder Isomorphism has both entries of norm smaller and greater or equal to 1. In case the roots are found during internal calculations. The corresponding factors are in factors which are otherwise 1.")) (|setErrorBound| ((|#1| |#1|) "\\spad{setErrorBound(eps)} changes the internal error bound, by default being 10 \\spad{**} (-3) to eps, if \\spad{R} is a member in the category \\spadtype{QuotientFieldCategory Integer}. The internal globalDigits is set to \\em \\spad{ceiling(1/r)**2*10} being 10**7 by default.")) (|schwerpunkt| (((|Complex| |#1|) |#2|) "\\spad{schwerpunkt(p)} determines the 'Schwerpunkt' of the roots of the polynomial \\spad{p} of degree \\spad{n,} \\spadignore{i.e.} the center of gravity, which is coeffient of \\spad{x**(n-1)} divided by \\spad{n} times coefficient of \\spad{x**n}.")) (|rootRadius| ((|#1| |#2|) "\\spad{rootRadius(p)} calculates the root radius of \\spad{p} with a maximal error quotient of 1+globalEps, where globalEps is the internal error bound, which can be set by setErrorBound.") ((|#1| |#2| |#1|) "\\spad{rootRadius(p,errQuot)} calculates the root radius of \\spad{p} with a maximal error quotient of errQuot.")) (|reciprocalPolynomial| ((|#2| |#2|) "\\spad{reciprocalPolynomial(p)} calulates a polynomial which has exactly the inverses of the non-zero roots of \\spad{p} as roots, and the same number of 0-roots.")) (|pleskenSplit| (((|Factored| |#2|) |#2| |#1|) "\\spad{pleskenSplit(poly, eps)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of poly, in general of degree \"degree \\spad{poly} -1\". Then a divisor cascade is calculated and the best splitting is chosen, as soon as the error is small enough.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{pleskenSplit(poly,eps,info)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of poly, in general of degree \"degree \\spad{poly} -1\". Then a divisor cascade is calculated and the best splitting is chosen, as soon as the error is small enough. If \\spad{info} is true, then information messages are issued.")) (|norm| ((|#1| |#2|) "\\spad{norm(p)} determines sum of absolute values of coefficients Note that this function depends on abs.")) (|graeffe| ((|#2| |#2|) "\\spad{graeffe \\spad{p}} determines \\spad{q} such that \\spad{q(-z**2) = p(z)*p(-z)}. Note that the roots of \\spad{q} are the squares of the roots of \\spad{p.}")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} tries to factor \\spad{p} into linear factors with error atmost globalEps, the internal error bound, which can be set by setErrorBound. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1|) "\\spad{factor(p, eps)} tries to factor \\spad{p} into linear factors with error atmost eps. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{factor(p, eps, info)} tries to factor \\spad{p} into linear factors with error atmost eps. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization. If info is true, then information messages are given.")) (|divisorCascade| (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|) "\\spad{divisorCascade(p,tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p,} both monic. A sequence of divisions is calculated using the remainder, made monic, as divisor for the the next division. The result contains also the error of the factorizations, \\spadignore{i.e.} the norm of the remainder polynomial.") (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|)) "\\spad{divisorCascade(p,tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p,} both monic. A sequence of divisions are calculated using the remainder, made monic, as divisor for the the next division. The result contains also the error of the factorizations, \\spadignore{i.e.} the norm of the remainder polynomial. If info is true, then information messages are issued.")) (|complexZeros| (((|List| (|Complex| |#1|)) |#2| |#1|) "\\spad{complexZeros(p, eps)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by eps.") (((|List| (|Complex| |#1|)) |#2|) "\\spad{complexZeros(p)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by the package constant globalEps which you may change by setErrorBound."))) 
 NIL 
 NIL 
-(-201 S ST) 
+(|CyclicStreamTools| S ST) 
 ((|constructor| (NIL "This package provides tools for working with cyclic streams.")) (|computeCycleEntry| ((|#2| |#2| |#2|) "\\indented{1}{computeCycleEntry(x,cycElt), where cycElt is a pointer to a} \\indented{1}{node in the cyclic part of the cyclic stream \\spad{x,} returns a} \\indented{1}{pointer to the first node in the cycle} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} computeCycleEntry(q,cycleElt(q))")) (|computeCycleLength| (((|NonNegativeInteger|) |#2|) "\\indented{1}{computeCycleLength(s) returns the length of the cycle of a} \\indented{1}{cyclic stream \\spad{t,} where \\spad{s} is a pointer to a node in the} \\indented{1}{cyclic part of \\spad{t.}} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} computeCycleLength(cycleElt(q))")) (|cycleElt| (((|Union| |#2| "failed") |#2|) "\\indented{1}{cycleElt(s) returns a pointer to a node in the cycle if the stream} \\indented{1}{s is cyclic and returns \"failed\" if \\spad{s} is not cyclic} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} cycleElt \\spad{q} \\spad{X} r:=[1,2,3]::Stream(Integer) \\spad{X} cycleElt \\spad{r}"))) 
 NIL 
 NIL 
-(-202 R -3958) 
+(|ComplexTrigonometricManipulations| R F) 
 ((|constructor| (NIL "\\spadtype{ComplexTrigonometricManipulations} provides function that compute the real and imaginary parts of complex functions.")) (|complexForm| (((|Complex| (|Expression| |#1|)) |#2|) "\\spad{complexForm(f)} returns \\spad{[real \\spad{f,} imag f]}.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real \\spad{f}.}")) (|imag| (((|Expression| |#1|) |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| (((|Expression| |#1|) |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f, \\spad{x)}} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
-(-203 R) 
+(|CoerceVectorMatrixPackage| R) 
 ((|constructor| (NIL "CoerceVectorMatrixPackage is an unexposed, technical package for data conversions")) (|coerce| (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))) "\\spad{coerce(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix \\spad{R}} as vector over \\spadtype{Matrix Fraction Polynomial \\spad{R}}")) (|coerceP| (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|))) "\\spad{coerceP(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix \\spad{R}} as vector over \\spadtype{Matrix Polynomial \\spad{R}}"))) 
 NIL 
 NIL 
-(-204) 
+(|CycleIndicators|) 
 ((|constructor| (NIL "Polya-Redfield enumeration by cycle indices.")) (|skewSFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{skewSFunction(li1,li2)} is the S-function \\indented{1}{of the partition difference \\spad{li1 - li2}} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|SFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|))) "\\spad{SFunction(li)} is the S-function of the partition \\spad{li} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|wreath| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{wreath(s1,s2)} is the cycle index of the wreath product \\indented{1}{of the two groups whose cycle indices are \\spad{s1} and} \\indented{1}{\\spad{s2}.}")) (|eval| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval \\spad{s}} is the sum of the coefficients of a cycle index.")) (|cup| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cup(s1,s2)}, introduced by Redfield, \\indented{1}{is the scalar product of two cycle indices, in which the} \\indented{1}{power sums are retained to produce a cycle index.}")) (|cap| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cap(s1,s2)}, introduced by Redfield, \\indented{1}{is the scalar product of two cycle indices.}")) (|graphs| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{graphs \\spad{n}} is the cycle index of the group induced on \\indented{1}{the edges of a graph by applying the symmetric function to the} \\indented{1}{n nodes.}")) (|dihedral| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{dihedral \\spad{n}} is the cycle index of the \\indented{1}{dihedral group of degree \\spad{n.}}")) (|cyclic| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{cyclic \\spad{n}} is the cycle index of the \\indented{1}{cyclic group of degree \\spad{n.}}")) (|alternating| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{alternating \\spad{n}} is the cycle index of the \\indented{1}{alternating group of degree \\spad{n.}}")) (|elementary| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{elementary \\spad{n}} is the \\spad{n} th elementary symmetric \\indented{1}{function expressed in terms of power sums.}")) (|powerSum| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{powerSum \\spad{n}} is the \\spad{n} th power sum symmetric \\indented{1}{function.}")) (|complete| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{complete \\spad{n}} is the \\spad{n} th complete homogeneous \\indented{1}{symmetric function expressed in terms of power sums.} \\indented{1}{Alternatively it is the cycle index of the symmetric} \\indented{1}{group of degree \\spad{n.}}"))) 
 NIL 
 NIL 
-(-205) 
+(|CyclotomicPolynomialPackage|) 
 ((|constructor| (NIL "This package has no description")) (|cyclotomicFactorization| (((|Factored| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)) "\\spad{cyclotomicFactorization(n)} \\undocumented{}")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} \\undocumented{}")) (|cyclotomicDecomposition| (((|List| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)) "\\spad{cyclotomicDecomposition(n)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-206) 
+(|d01AgentsPackage|) 
 ((|constructor| (NIL "\\axiomType{d01AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical integration routine. It contains functions \\axiomFun{rangeIsFinite} to test the input range and \\axiomFun{functionIsContinuousAtEndPoints} to check for continuity at the end points of the range.")) (|changeName| (((|Result|) (|Symbol|) (|Symbol|) (|Result|)) "\\spad{changeName(s,t,r)} changes the name of item \\axiom{s} in \\axiom{r} to \\axiom{t}.")) (|commaSeparate| (((|String|) (|List| (|String|))) "\\spad{commaSeparate(l)} produces a comma separated string from a list of strings.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{singularitiesOf(args)} returns a list of potential singularities of the function within the given range")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,var,range)} returns a list of possible problem points by looking at the zeros of the denominator of the function if it can be retracted to \\axiomType{Polynomial DoubleFloat}.")) (|functionIsOscillatory| (((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsOscillatory(a)} tests whether the function \\spad{a.fn} has many zeros of its derivative.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(x)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{x}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(x)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{x}")) (|functionIsContinuousAtEndPoints| (((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsContinuousAtEndPoints(args)} uses power series limits to check for problems at the end points of the range of \\spad{args}.")) (|rangeIsFinite| (((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{rangeIsFinite(args)} tests the endpoints of \\spad{args.range} for infinite end points."))) 
 NIL 
 NIL 
-(-207) 
+(|d01ajfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01ajfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AJF, a general numerical integration routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AJF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-208) 
+(|d01akfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01akfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AKF, a numerical integration routine which is is suitable for oscillating, non-singular functions. The function \\axiomFun{measure} measures the usefulness of the routine D01AKF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-209) 
+(|d01alfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01alfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ALF, a general numerical integration routine which can handle a list of singularities. The function \\axiomFun{measure} measures the usefulness of the routine D01ALF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-210) 
+(|d01amfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01amfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AMF, a general numerical integration routine which can handle infinite or semi-infinite range of the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AMF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-211) 
+(|d01anfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01anfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ANF, a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x)} or sin(\\omega \\spad{x).} The function \\axiomFun{measure} measures the usefulness of the routine D01ANF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-212) 
+(|d01apfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01apfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01APF, a general numerical integration routine which can handle end point singularities of the algebraico-logarithmic form w(x) = (x-a)^c * (b-x)^d. The function \\axiomFun{measure} measures the usefulness of the routine D01APF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-213) 
+(|d01aqfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01aqfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AQF, a general numerical integration routine which can solve an integral of the form /home/bjd/Axiom/anna/hypertex/bitmaps/d01aqf.xbm The function \\axiomFun{measure} measures the usefulness of the routine D01AQF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-214) 
+(|d01asfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01asfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ASF, a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x)} or sin(\\omega \\spad{x)} on an semi-infinite range. The function \\axiomFun{measure} measures the usefulness of the routine D01ASF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-215) 
+(|d01fcfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01fcfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01FCF, a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-216) 
+(|d01gbfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d01gbfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01GBF, a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
-(-217) 
+(|d01TransformFunctionType|) 
 NIL 
 NIL 
 NIL 
-(-218) 
+(|d01WeightsPackage|) 
 ((|constructor| (NIL "\\axiom{d01WeightsPackage} is a package for functions used to investigate whether a function can be divided into a simpler function and a weight function. The types of weights investigated are those giving rise to end-point singularities of the algebraico-logarithmic type, and trigonometric weights.")) (|exprHasLogarithmicWeights| (((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasLogarithmicWeights} looks for logarithmic weights giving rise to singularities of the function at the end-points.")) (|exprHasAlgebraicWeight| (((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasAlgebraicWeight} looks for algebraic weights giving rise to singularities of the function at the end-points.")) (|exprHasWeightCosWXorSinWX| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasWeightCosWXorSinWX} looks for trigonometric weights in an expression of the form \\axiom{cos \\omega \\spad{x}} or \\axiom{sin \\omega \\spad{x},} returning the value of \\omega (\\notequal 1) and the operator."))) 
 NIL 
 NIL 
-(-219) 
+(|d02AgentsPackage|) 
 ((|constructor| (NIL "\\indented{1}{Author: Brian Dupee} Date Created: May 1994 Date Last Updated: January 1997 Description:")) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{intermediateResultsIF(o)} returns a value corresponding to the required number of intermediate results required and, therefore, an indication of how much this would affect the step-length of the calculation. It returns a value in the range [0,1].")) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{accuracyIF(o)} returns the intensity value of the accuracy requirements of the input ODE. A request of accuracy of 10^-6 corresponds to the neutral intensity. It returns a value in the range [0,1].")) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{expenseOfEvaluationIF(o)} returns the intensity value of the cost of evaluating the input ODE. This is in terms of the number of ``operational units''. It returns a value in the range [0,1].\\indent{20} 400 ``operation units'' \\spad{->} 0.75 200 ``operation units'' \\spad{->} 0.5 83 ``operation units'' \\spad{->} 0.25 \\indent{15} exponentiation = 4 units ,{} function calls = 10 units.")) (|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{systemSizeIF(ode)} returns the intensity value of the size of the system of ODEs. 20 equations corresponds to the neutral value. It returns a value in the range [0,1].")) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityOfODEIF(ode)} calculates the intensity values of stiffness of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian). \\blankline It returns two values in the range [0,1].")) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityFactor(me)} calculates the stability and stiffness factor of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian).")) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{eval(mat,symbols,values)} evaluates a multivariable matrix at given \\spad{values} for each of a list of variables")) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) "\\spad{jacobian(v,w)} is a local function to make a jacobian matrix")) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{sparsityIF(m)} calculates the sparsity of a jacobian matrix")) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) "\\spad{combineFeatureCompatibility(C1,L)} is for interacting attributes") (((|Float|) (|Float|) (|Float|)) "\\spad{combineFeatureCompatibility(C1,C2)} is for interacting attributes"))) 
 NIL 
 NIL 
-(-220) 
+(|d02bbfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d02bbfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BBF, a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BBF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-221) 
+(|d02bhfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d02bhfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BHF, a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BHF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-222) 
+(|d02cjfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d02cjfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02CJF, a ODE routine which uses an Adams-Moulton-Bashworth method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02CJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-223) 
+(|d02ejfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d02ejfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02EJF, a ODE routine which uses a backward differentiation formulae method to handle a stiff system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02EJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
-(-224) 
+(|d03AgentsPackage|) 
 ((|constructor| (NIL "\\axiom{d03AgentsPackage} contains a set of computational agents for use with Partial Differential Equation solvers.")) (|elliptic?| (((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{elliptic?(r)} \\undocumented{}")) (|central?| (((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{central?(f,g,l)} \\undocumented{}")) (|subscriptedVariables| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{subscriptedVariables(e)} \\undocumented{}")) (|varList| (((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|)) "\\spad{varList(s,n)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-225) 
+(|d03eefAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d03eefAnnaType} is a domain of \\axiomType{PartialDifferentialEquationsSolverCategory} for the NAG routines D03EEF/D03EDF."))) 
 NIL 
 NIL 
-(-226) 
+(|d03fafAnnaType|) 
 ((|constructor| (NIL "\\axiomType{d03fafAnnaType} is a domain of \\axiomType{PartialDifferentialEquationsSolverCategory} for the NAG routine D03FAF."))) 
 NIL 
 NIL 
-(-227 S) 
+(|Database| S) 
 ((|constructor| (NIL "This domain implements a simple view of a database whose fields are indexed by symbols")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(l)} makes a database out of a list")) (- (($ $ $) "\\spad{db1-db2} returns the difference of databases \\spad{db1} and \\spad{db2} \\spadignore{i.e.} consisting of elements in \\spad{db1} but not in \\spad{db2}")) (+ (($ $ $) "\\spad{db1+db2} returns the merge of databases \\spad{db1} and \\spad{db2}")) (|fullDisplay| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{fullDisplay(db,start,end \\spad{)}} prints full details of entries in the range \\axiom{start..end} in \\axiom{db}.") (((|Void|) $) "\\spad{fullDisplay(db)} prints full details of each entry in \\axiom{db}.") (((|Void|) $) "\\spad{fullDisplay(x)} displays \\spad{x} in detail")) (|display| (((|Void|) $) "\\spad{display(db)} prints a summary line for each entry in \\axiom{db}.") (((|Void|) $) "\\spad{display(x)} displays \\spad{x} in some form")) (|elt| (((|DataList| (|String|)) $ (|Symbol|)) "\\spad{elt(db,s)} returns the \\axiom{s} field of each element of \\axiom{db}.") (($ $ (|QueryEquation|)) "\\spad{elt(db,q)} returns all elements of \\axiom{db} which satisfy \\axiom{q}.") (((|String|) $ (|Symbol|)) "\\spad{elt(x,s)} returns an element of \\spad{x} indexed by \\spad{s}"))) 
 NIL 
 NIL 
-(-228 -3958 UP UPUP R) 
+(|DoubleResultantPackage| F UP UPUP R) 
 ((|constructor| (NIL "This package provides functions for computing the residues of a function on an algebraic curve.")) (|doubleResultant| ((|#2| |#4| (|Mapping| |#2| |#2|)) "\\spad{doubleResultant(f, \\spad{')}} returns p(x) whose roots are rational multiples of the residues of \\spad{f} at all its finite poles. Argument ' is the derivation to use."))) 
 NIL 
 NIL 
-(-229 -3958 FP) 
+(|DistinctDegreeFactorize| F FP) 
 ((|constructor| (NIL "Package for the factorization of a univariate polynomial with coefficients in a finite field. The algorithm used is the \"distinct degree\" algorithm of Cantor-Zassenhaus, modified to use trace instead of the norm and a table for computing Frobenius as suggested by Naudin and Quitte .")) (|irreducible?| (((|Boolean|) |#2|) "\\spad{irreducible?(p)} tests whether the polynomial \\spad{p} is irreducible.")) (|tracePowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{tracePowMod(u,k,v)} produces the sum of \\spad{u**(q**i)} for \\spad{i} running and \\spad{q=} size \\spad{F}")) (|trace2PowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{trace2PowMod(u,k,v)} produces the sum of u**(2**i) for \\spad{i} running from 1 to \\spad{k} all computed modulo the polynomial \\spad{v.}")) (|exptMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{exptMod(u,k,v)} raises the polynomial \\spad{u} to the \\spad{k}th power modulo the polynomial \\spad{v.}")) (|separateFactors| (((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|)))) "\\spad{separateFactors(lfact)} takes the list produced by separateDegrees and produces the complete list of factors.")) (|separateDegrees| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|) "\\spad{separateDegrees(p)} splits the square free polynomial \\spad{p} into factors each of which is a product of irreducibles of the same degree.")) (|distdfact| (((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|)) "\\spad{distdfact(p,sqfrflag)} produces the complete factorization of the polynomial \\spad{p} returning an internal data structure. If argument \\spad{sqfrflag} is true, the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#2|) |#2|) "\\spad{factorSquareFree(p)} produces the complete factorization of the square free polynomial \\spad{p.}")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} produces the complete factorization of the polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-230) 
+(|DecimalExpansion|) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions.")) (|decimal| (($ (|Fraction| (|Integer|))) "\\spad{decimal(r)} converts a rational number to a decimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(d)} returns the fractional part of a decimal expansion.")) (|coerce| (((|RadixExpansion| 10) $) "\\spad{coerce(d)} converts a decimal expansion to a radix expansion with base 10.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(d)} converts a decimal expansion to a rational number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-592) (QUOTE (-931))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-592) (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-171))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-1049))) (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1165))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-592) (QUOTE (-247))) (|HasCategory| (-592) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-592) (LIST (QUOTE -547) (QUOTE (-1191)) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -303) (QUOTE (-592)) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-574))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (QUOTE (-869)))) (|HasCategory| (-592) (LIST (QUOTE -654) (QUOTE (-592)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (|HasCategory| (-592) (QUOTE (-169))))) 
-(-231 R -3958) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|RealConstant|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|StepThrough|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|Integer|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Eltable|) (QUOTE (|Integer|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))))) 
+(|ElementaryFunctionDefiniteIntegration| R F) 
 ((|constructor| (NIL "\\spadtype{ElementaryFunctionDefiniteIntegration} provides functions to compute definite integrals of elementary functions.")) (|innerint| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{innerint(f, \\spad{x,} a, \\spad{b,} ignore?)} should be local but conditional")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}"))) 
 NIL 
 NIL 
-(-232 R) 
+(|RationalFunctionDefiniteIntegration| R) 
 ((|constructor| (NIL "Definite integration of rational functions. \\spadtype{RationalFunctionDefiniteIntegration} provides functions to compute definite integrals of rational functions.")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|)))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}"))) 
 NIL 
 NIL 
-(-233 R1 R2) 
+(|DegreeReductionPackage| R1 R2) 
 ((|constructor| (NIL "This package has no description")) (|expand| (((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)) "\\spad{expand(f,n)} \\undocumented{}")) (|reduce| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reduce(p)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-234 S) 
+(|Dequeue| S) 
 ((|constructor| (NIL "Linked list implementation of a Dequeue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|top!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} top! a \\spad{X} a")) (|reverse!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} reverse! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} push! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|insertTop!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insertTop! a \\spad{X} a")) (|insertBottom!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insertBottom! a \\spad{X} a")) (|extractTop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extractTop! a \\spad{X} a")) (|extractBottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extractBottom! a \\spad{X} a")) (|bottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} bottom! a \\spad{X} a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} top a")) (|height| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} height a")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} depth a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Dequeue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Dequeue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Dequeue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} less?(a,9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insert! (8,a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} enqueue! (9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} dequeue! a \\spad{X} a")) (|dequeue| (($) "\\blankline \\spad{X} a:Dequeue INT:= dequeue \\spad{()}") (($ (|List| |#1|)) "\\indented{1}{dequeue([x,y,...,z]) creates a dequeue with first (top or front)} \\indented{1}{element \\spad{x,} second element y,...,and last (bottom or back) element \\spad{z.}} \\blankline \\spad{E} g:Dequeue INT:= dequeue [1,2,3,4,5]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-235 |CoefRing| |listIndVar|) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|DeRhamComplex| |CoefRing| |listIndVar|) 
 ((|constructor| (NIL "The deRham complex of Euclidean space, that is, the class of differential forms of arbitary degree over a coefficient ring. See Flanders, Harley, Differential Forms, With Applications to the Physical Sciences, New York, Academic Press, 1963.")) (|exteriorDifferential| (($ $) "\\spad{exteriorDifferential(df)} returns the exterior derivative (gradient, curl, divergence, ...) of the differential form \\spad{df.}")) (|totalDifferential| (($ (|Expression| |#1|)) "\\spad{totalDifferential(x)} returns the total differential (gradient) form for element \\spad{x.}")) (|map| (($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $) "\\spad{map(f,df)} replaces each coefficient \\spad{x} of differential form \\spad{df} by \\spad{f(x)}.")) (|degree| (((|Integer|) $) "\\spad{degree(df)} returns the homogeneous degree of differential form \\spad{df.}")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(df)} tests if differential form \\spad{df} is a 0-form, \\spadignore{i.e.} if degree(df) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(df)} tests if all of the terms of differential form \\spad{df} have the same degree.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th basis term for a differential form.")) (|coefficient| (((|Expression| |#1|) $ $) "\\spad{coefficient(df,u)}, where \\spad{df} is a differential form, returns the coefficient of \\spad{df} containing the basis term \\spad{u} if such a term exists, and 0 otherwise.")) (|reductum| (($ $) "\\spad{reductum(df)}, where \\spad{df} is a differential form, returns \\spad{df} minus the leading term of \\spad{df} if \\spad{df} has two or more terms, and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(df)} returns the leading basis term of differential form \\spad{df.}")) (|leadingCoefficient| (((|Expression| |#1|) $) "\\spad{leadingCoefficient(df)} returns the leading coefficient of differential form \\spad{df.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-236 R -3958) 
+(|DefiniteIntegrationTools| R F) 
 ((|constructor| (NIL "\\spadtype{DefiniteIntegrationTools} provides common tools used by the definite integration of both rational and elementary functions.")) (|checkForZero| (((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p, a, \\spad{b,} incl?)} is \\spad{true} if \\spad{p} has a zero between a and \\spad{b,} \\spad{false} otherwise, \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is true, exclusive otherwise.") (((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p, \\spad{x,} a, \\spad{b,} incl?)} is \\spad{true} if \\spad{p} has a zero for \\spad{x} between a and \\spad{b,} \\spad{false} otherwise, \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is true, exclusive otherwise.")) (|computeInt| (((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{computeInt(x, \\spad{g,} a, \\spad{b,} eval?)} returns the integral of \\spad{f} for \\spad{x} between a and \\spad{b,} assuming that \\spad{g} is an indefinite integral of \\spad{f} and \\spad{f} has no pole between a and \\spad{b.} If \\spad{eval?} is true, then \\spad{g} can be evaluated safely at \\spad{a} and \\spad{b}, provided that they are finite values. Otherwise, limits must be computed.")) (|ignore?| (((|Boolean|) (|String|)) "\\spad{ignore?(s)} is \\spad{true} if \\spad{s} is the string that tells the integrator to assume that the function has no pole in the integration interval."))) 
 NIL 
 NIL 
-(-237) 
+(|DoubleFloat|) 
 ((|constructor| (NIL "\\spadtype{DoubleFloat} is intended to make accessible hardware floating point arithmetic in Axiom, either native double precision, or IEEE. On most machines, there will be hardware support for the arithmetic operations: \\spad{++} \\spad{+,} \\spad{*,} / and possibly also the sqrt operation. The operations exp, log, sin, cos, atan are normally coded in software based on minimax polynomial/rational approximations. \\blankline Some general comments about the accuracy of the operations: the operations \\spad{+,} \\spad{*,} / and sqrt are expected to be fully accurate. The operations exp, log, sin, cos and atan are not expected to be fully accurate. In particular, sin and cos will lose all precision for large arguments. \\blankline The Float domain provides an alternative to the DoubleFloat domain. It provides an arbitrary precision model of floating point arithmetic. This means that accuracy problems like those above are eliminated by increasing the working precision where necessary. \\spadtype{Float} provides some special functions such as erf, the error function in addition to the elementary functions. The disadvantage of Float is that it is much more expensive than small floats when the latter can be used.")) (|integerDecode| (((|List| (|Integer|)) $) "\\spad{integerDecode(x)} returns the multiple values of the common lisp integer-decode-float function. See Steele, ISBN 0-13-152414-3 p354. This function can be used to ensure that the results are bit-exact and do not depend on the binary-to-decimal conversions. \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} integerDecode a")) (|machineFraction| (((|Fraction| (|Integer|)) $) "\\spad{machineFraction(x)} returns a bit-exact fraction of the machine floating point number using the common lisp integer-decode-float function. See Steele, ISBN 0-13-152414-3 \\spad{p354} This function can be used to print results which do not depend on binary-to-decimal conversions \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} machineFraction a")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)} (that is, \\spad{|(r-f)/f| < b**(-n)}).") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|doubleFloatFormat| (((|String|) (|String|)) "\\spad{doubleFloatFormat changes} the output format for doublefloats using lisp format strings")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm with base 10 for \\spad{x.}")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm with base 2 for \\spad{x.}")) (|hash| (((|Integer|) $) "\\spad{hash(x)} returns the hash key for \\spad{x}")) (|exp1| (($) "\\spad{exp1()} returns the natural log base \\spad{2.718281828...}.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} returns the \\spad{y}th power of \\spad{x} (equal to \\spad{exp(y log x)}).")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
-((-2642 . T) (-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|approximate| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-238) 
+(|DoubleFloatMatrix|) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:DFMAT:=qnew(3,4)"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-237) (QUOTE (-1119))) (-12 (|HasCategory| (-237) (LIST (QUOTE -325) (QUOTE (-237)))) (|HasCategory| (-237) (QUOTE (-1119)))) (|HasCategory| (-237) (QUOTE (-323))) (|HasCategory| (-237) (QUOTE (-582))) (|HasAttribute| (-237) (QUOTE (-4627 "*"))) (|HasCategory| (-237) (QUOTE (-194))) (|HasCategory| (-237) (QUOTE (-388)))) 
-(-239) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|DoubleFloat|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|DoubleFloat|) (LIST (QUOTE |Evalable|) (QUOTE (|DoubleFloat|)))) (|HasCategory| (|DoubleFloat|) (QUOTE (|SetCategory|)))) (|HasCategory| (|DoubleFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|IntegralDomain|))) (|HasAttribute| (|DoubleFloat|) (QUOTE (|commutative| "*"))) (|HasCategory| (|DoubleFloat|) (QUOTE (|CommutativeRing|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|Field|)))) 
+(|DoubleFloatSpecialFunctions|) 
 ((|constructor| (NIL "This package provides special functions for double precision real and complex floating point.")) (|fresnelC| (((|Float|) (|Float|)) "\\indented{1}{fresnelC(f) denotes the Fresnel integral \\spad{C}} \\blankline \\spad{X} fresnelC(1.5)")) (|fresnelS| (((|Float|) (|Float|)) "\\indented{1}{fresnelS(f) denotes the Fresnel integral \\spad{S}} \\blankline \\spad{X} fresnelS(1.5)")) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{hypergeometric0F1(c,z)} is the hypergeometric function \\spad{0F1(; \\spad{c;} z)}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{hypergeometric0F1(c,z)} is the hypergeometric function \\spad{0F1(; \\spad{c;} z)}.")) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Bi''(x) - \\spad{x} * Bi(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Bi''(x) - \\spad{x} * Bi(x) = 0}.}")) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Ai''(x) - \\spad{x} * Ai(x) = 0}.}") (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Ai''(x) - \\spad{x} * Ai(x) = 0}.}")) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselK(v,x)} is the modified Bessel function of the second kind, \\spad{K(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,x) = \\%pi/2*(I(-v,x) - I(v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselK(v,x)} is the modified Bessel function of the second kind, \\spad{K(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,x) = \\%pi/2*(I(-v,x) - I(v,x))/sin(v*\\%pi)}.} so is not valid for integer values of \\spad{v.}")) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselI(v,x)} is the modified Bessel function of the first kind, \\spad{I(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselI(v,x)} is the modified Bessel function of the first kind, \\spad{I(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.}")) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselY(v,x)} is the Bessel function of the second kind, \\spad{Y(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,x) = (J(v,x) cos(v*\\%pi) - J(-v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselY(v,x)} is the Bessel function of the second kind, \\spad{Y(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,x) = (J(v,x) cos(v*\\%pi) - J(-v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}")) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselJ(v,x)} is the Bessel function of the first kind, \\spad{J(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselJ(v,x)} is the Bessel function of the first kind, \\spad{J(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.}")) (|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) "\\spad{polygamma(n, \\spad{x)}} is the \\spad{n}-th derivative of \\spad{digamma(x)}.") (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) "\\spad{polygamma(n, \\spad{x)}} is the \\spad{n}-th derivative of \\spad{digamma(x)}.")) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{digamma(x)} is the function, \\spad{psi(x)}, defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{digamma(x)} is the function, \\spad{psi(x)}, defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}")) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.")) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Beta(x, \\spad{y)}} is the Euler beta function, \\spad{B(x,y)}, defined by \\indented{2}{\\spad{Beta(x,y) = integrate(t^(x-1)*(1-t)^(y-1), t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{Beta(x, \\spad{y)}} is the Euler beta function, \\spad{B(x,y)}, defined by \\indented{2}{\\spad{Beta(x,y) = integrate(t^(x-1)*(1-t)^(y-1), t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}")) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei6} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 32 to infinity (preserves digits)")) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei5} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 12 to 32 (preserves digits)")) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei4} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 4 to 12 (preserves digits)")) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei3} is the first approximation of \\spad{Ei} where the result is (Ei(x)-log \\spad{|x|} - gamma)/x from \\spad{-4} to 4 (preserves digits)")) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei2} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from \\spad{-10} to \\spad{-4} (preserves digits)")) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei1} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from -infinity to \\spad{-10} (preserves digits)")) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei} is the Exponential Integral function This is computed using a 6 part piecewise approximation. DoubleFloat can only preserve about 16 digits but the Chebyshev approximation used can give 30 digits.")) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) "\\spad{En(n,x)} is the \\spad{n}th Exponential Integral Function")) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{E1(x)} is the Exponential Integral function The current implementation is a piecewise approximation involving one poly from \\spad{-4..4} and a second poly for \\spad{x} > 4")) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Gamma(x)} is the Euler gamma function, \\spad{Gamma(x)}, defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t), t=0..\\%infinity)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{Gamma(x)} is the Euler gamma function, \\spad{Gamma(x)}, defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t), t=0..\\%infinity)}.}"))) 
 NIL 
 NIL 
-(-240) 
+(|DoubleFloatVector|) 
 ((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(n) creates a new uninitialized vector of length \\spad{n.}} \\blankline \\spad{X} t1:DFVEC:=qnew(7)"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-237) (QUOTE (-1119))) (|HasCategory| (-237) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-237) (QUOTE (-869))) (-3836 (|HasCategory| (-237) (QUOTE (-869))) (|HasCategory| (-237) (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-237) (QUOTE (-25))) (|HasCategory| (-237) (QUOTE (-23))) (|HasCategory| (-237) (QUOTE (-21))) (|HasCategory| (-237) (QUOTE (-743))) (|HasCategory| (-237) (QUOTE (-1075))) (-12 (|HasCategory| (-237) (QUOTE (-1030))) (|HasCategory| (-237) (QUOTE (-1075)))) (-12 (|HasCategory| (-237) (LIST (QUOTE -325) (QUOTE (-237)))) (|HasCategory| (-237) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-237) (LIST (QUOTE -325) (QUOTE (-237)))) (|HasCategory| (-237) (QUOTE (-869)))) (-12 (|HasCategory| (-237) (LIST (QUOTE -325) (QUOTE (-237)))) (|HasCategory| (-237) (QUOTE (-1119)))))) 
-(-241 R) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|DoubleFloat|) (QUOTE (|SetCategory|))) (|HasCategory| (|DoubleFloat|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|DoubleFloat|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|DoubleFloat|) (QUOTE (|OrderedSet|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|AbelianSemiGroup|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|AbelianMonoid|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|AbelianGroup|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|Monoid|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|Ring|))) (AND (|HasCategory| (|DoubleFloat|) (QUOTE (|RadicalCategory|))) (|HasCategory| (|DoubleFloat|) (QUOTE (|Ring|)))) (AND (|HasCategory| (|DoubleFloat|) (LIST (QUOTE |Evalable|) (QUOTE (|DoubleFloat|)))) (|HasCategory| (|DoubleFloat|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|DoubleFloat|) (LIST (QUOTE |Evalable|) (QUOTE (|DoubleFloat|)))) (|HasCategory| (|DoubleFloat|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|DoubleFloat|) (LIST (QUOTE |Evalable|) (QUOTE (|DoubleFloat|)))) (|HasCategory| (|DoubleFloat|) (QUOTE (|SetCategory|)))))) 
+(|DenavitHartenbergMatrix| R) 
 ((|constructor| (NIL "4x4 Matrices for coordinate transformations\\br This package contains functions to create 4x4 matrices useful for rotating and transforming coordinate systems. These matrices are useful for graphics and robotics. (Reference: Robot Manipulators Richard Paul MIT Press 1981) \\blankline A Denavit-Hartenberg Matrix is a 4x4 Matrix of the form:\\br \\tab{5}\\spad{nx ox ax px}\\br \\tab{5}\\spad{ny oy ay py}\\br \\tab{5}\\spad{nz oz az pz}\\br \\tab{5}\\spad{0 0 0 1}\\br \\spad{(n,} o, and a are the direction cosines)")) (|translate| (($ |#1| |#1| |#1|) "\\spad{translate(x,y,z)} returns a dhmatrix for translation by \\spad{x,} \\spad{y,} and \\spad{z}")) (|scale| (($ |#1| |#1| |#1|) "\\spad{scale(sx,sy,sz)} returns a dhmatrix for scaling in the \\spad{x,} \\spad{y} and \\spad{z} directions")) (|rotatez| (($ |#1|) "\\spad{rotatez(r)} returns a dhmatrix for rotation about axis \\spad{z} for \\spad{r} degrees")) (|rotatey| (($ |#1|) "\\spad{rotatey(r)} returns a dhmatrix for rotation about axis \\spad{y} for \\spad{r} degrees")) (|rotatex| (($ |#1|) "\\spad{rotatex(r)} returns a dhmatrix for rotation about axis \\spad{x} for \\spad{r} degrees")) (|identity| (($) "\\spad{identity()} create the identity dhmatrix")) (* (((|Point| |#1|) $ (|Point| |#1|)) "\\spad{t*p} applies the dhmatrix \\spad{t} to point \\spad{p}"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-582))) (|HasAttribute| |#1| (QUOTE (-4627 "*"))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-242 A S) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasAttribute| |#1| (QUOTE (|commutative| "*"))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|Dictionary&| A S) 
 ((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted, searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
 NIL 
 NIL 
-(-243 S) 
+(|Dictionary| S) 
 ((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted, searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-244 S R) 
+(|DifferentialExtension&| S R) 
 ((|constructor| (NIL "Differential extensions of a ring \\spad{R.} Given a differentiation on \\spad{R,} extend it to a differentiation on \\spad{%.}")) (D (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{D(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#2| |#2|)) "\\spad{D(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{differentiate(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247)))) 
-(-245 R) 
+((|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) 
+(|DifferentialExtension| R) 
 ((|constructor| (NIL "Differential extensions of a ring \\spad{R.} Given a differentiation on \\spad{R,} extend it to a differentiation on \\spad{%.}")) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{D(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#1| |#1|)) "\\spad{D(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{differentiate(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-246 S) 
+(|DifferentialRing&| S) 
 ((|constructor| (NIL "An ordinary differential ring, that is, a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\br \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified."))) 
 NIL 
 NIL 
-(-247) 
+(|DifferentialRing|) 
 ((|constructor| (NIL "An ordinary differential ring, that is, a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\br \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-248 A S) 
+(|DictionaryOperations&| A S) 
 ((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{p(x)} is not true.")) (|remove!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{p(x)} is true.") (($ |#2| $) "\\spad{remove!(x,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{y = \\spad{x}.}")) (|dictionary| (($ (|List| |#2|)) "\\spad{dictionary([x,y,...,z])} creates a dictionary consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{dictionary()}$D creates an empty dictionary of type \\spad{D.}"))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4625))) 
-(-249 S) 
+((|HasAttribute| |#1| (QUOTE |finiteAggregate|))) 
+(|DictionaryOperations| S) 
 ((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{p(x)} is not true.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{p(x)} is true.") (($ |#1| $) "\\spad{remove!(x,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{y = \\spad{x}.}")) (|dictionary| (($ (|List| |#1|)) "\\spad{dictionary([x,y,...,z])} creates a dictionary consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{dictionary()}$D creates an empty dictionary of type \\spad{D.}"))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-250) 
+(|DiophantineSolutionPackage|) 
 ((|constructor| (NIL "Any solution of a homogeneous linear Diophantine equation can be represented as a sum of minimal solutions, which form a \"basis\" (a minimal solution cannot be represented as a nontrivial sum of solutions) in the case of an inhomogeneous linear Diophantine equation, each solution is the sum of a inhomogeneous solution and any number of homogeneous solutions therefore, it suffices to compute two sets:\\br \\tab{5}1. all minimal inhomogeneous solutions\\br \\tab{5}2. all minimal homogeneous solutions\\br the algorithm implemented is a completion procedure, which enumerates all solutions in a recursive depth-first-search it can be seen as finding monotone paths in a graph for more details see Reference")) (|dioSolve| (((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))) "\\spad{dioSolve(u)} computes a basis of all minimal solutions for linear homogeneous Diophantine equation u, then all minimal solutions of inhomogeneous equation"))) 
 NIL 
 NIL 
-(-251 S -3832 R) 
+(|DirectProductCategory&| S |dim| R) 
 ((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (* (($ $ |#3|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#3| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}")) (|dot| ((|#3| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#3|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-815))) (|HasCategory| |#3| (QUOTE (-867))) (|HasAttribute| |#3| (QUOTE -4622)) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-394))) (|HasCategory| |#3| (QUOTE (-743))) (|HasCategory| |#3| (QUOTE (-158))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1075))) (|HasCategory| |#3| (QUOTE (-1119)))) 
-(-252 -3832 R) 
+((|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|))) (|HasAttribute| |#3| (QUOTE |unitsKnown|)) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Finite|))) (|HasCategory| |#3| (QUOTE (|Monoid|))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#3| (QUOTE (|Ring|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) 
+(|DirectProductCategory| |dim| R) 
 ((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (* (($ $ |#2|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#2| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#2|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
-((-4619 |has| |#2| (-1075)) (-4620 |has| |#2| (-1075)) (-4622 |has| |#2| (-6 -4622)) ((-4627 "*") |has| |#2| (-194)) (-4625 . T) (-2623 . T)) 
+((|rightUnitary| |has| |#2| (|Ring|)) (|leftUnitary| |has| |#2| (|Ring|)) (|unitsKnown| |has| |#2| (ATTRIBUTE |unitsKnown|)) ((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-253 -3832 A B) 
+(|DirectProductFunctions2| |dim| A B) 
 ((|constructor| (NIL "This package provides operations which all take as arguments direct products of elements of some type \\spad{A} and functions from \\spad{A} to another type \\spad{B.} The operations all iterate over their vector argument and either return a value of type \\spad{B} or a direct product over \\spad{B.}")) (|map| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{reduce(func,vec,ident)} combines the elements in \\spad{vec} using the binary function func. Argument \\spad{ident} is returned if the vector is empty.")) (|scan| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{scan(func,vec,ident)} creates a new vector whose elements are the result of applying reduce to the binary function func, increasing initial subsequences of the vector vec, and the element ident."))) 
 NIL 
 NIL 
-(-254 -3832 R) 
+(|DirectProduct| |dim| R) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying component type. This contrasts with simple vectors in that the members can be viewed as having constant length. Thus many categorical properties can by lifted from the underlying component type. Component extraction operations are provided but no updating operations. Thus new direct product elements can either be created by converting vector elements using the \\spadfun{directProduct} function or by taking appropriate linear combinations of basis vectors provided by the \\spad{unitVector} operation."))) 
-((-4619 |has| |#2| (-1075)) (-4620 |has| |#2| (-1075)) (-4622 |has| |#2| (-6 -4622)) ((-4627 "*") |has| |#2| (-194)) (-4625 . T)) 
-((|HasCategory| |#2| (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867))) (-3836 (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867)))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388)))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasAttribute| |#2| (QUOTE -4622)) (|HasCategory| |#2| (QUOTE (-158))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-25))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1119))))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))))) 
-(-255 |Coef|) 
+((|rightUnitary| |has| |#2| (|Ring|)) (|leftUnitary| |has| |#2| (|Ring|)) (|unitsKnown| |has| |#2| (ATTRIBUTE |unitsKnown|)) ((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|finiteAggregate| . T)) 
+((|HasCategory| |#2| (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|))) (OR (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|)))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasAttribute| |#2| (QUOTE |unitsKnown|)) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))))) 
+(|DirichletRing| |Coef|) 
 ((|constructor| (NIL "DirichletRing is the ring of arithmetical functions with Dirichlet convolution as multiplication")) (|additive?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{additive?(a, \\spad{n)}} returns \\spad{true} if the first \\spad{n} coefficients of a are additive")) (|multiplicative?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{multiplicative?(a, \\spad{n)}} returns \\spad{true} if the first \\spad{n} coefficients of a are multiplicative")) (|zeta| (($) "\\spad{zeta()} returns the function which is constantly one"))) 
-((-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) ((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-194)) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194)))) 
-(-256) 
+((|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) ((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|CommutativeRing|)) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|)))) 
+(|DisplayPackage|) 
 ((|constructor| (NIL "DisplayPackage allows one to print strings in a nice manner, including highlighting substrings.")) (|sayLength| (((|Integer|) (|List| (|String|))) "\\spad{sayLength(l)} returns the length of a list of strings \\spad{l} as an integer.") (((|Integer|) (|String|)) "\\spad{sayLength(s)} returns the length of a string \\spad{s} as an integer.")) (|say| (((|Void|) (|List| (|String|))) "\\spad{say(l)} sends a list of strings \\spad{l} to output.") (((|Void|) (|String|)) "\\spad{say(s)} sends a string \\spad{s} to output.")) (|center| (((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|)) "\\spad{center(l,i,s)} takes a list of strings \\spad{l,} and centers them within a list of strings which is \\spad{i} characters long, in which the remaining spaces are filled with strings composed of as many repetitions as possible of the last string parameter \\spad{s.}") (((|String|) (|String|) (|Integer|) (|String|)) "\\spad{center(s,i,s)} takes the first string \\spad{s,} and centers it within a string of length i, in which the other elements of the string are composed of as many replications as possible of the second indicated string, \\spad{s} which must have a length greater than that of an empty string.")) (|copies| (((|String|) (|Integer|) (|String|)) "\\spad{copies(i,s)} will take a string \\spad{s} and create a new string composed of \\spad{i} copies of \\spad{s.}")) (|newLine| (((|String|)) "\\spad{newLine()} sends a new line command to output.")) (|bright| (((|List| (|String|)) (|List| (|String|))) "\\spad{bright(l)} sets the font property of a list of strings, \\spad{l,} to bold-face type.") (((|List| (|String|)) (|String|)) "\\spad{bright(s)} sets the font property of the string \\spad{s} to bold-face type."))) 
 NIL 
 NIL 
-(-257 S) 
+(|DivisorCategory| S) 
 ((|constructor| (NIL "This category exports the function for domains")) (|divOfPole| (($ $) "\\spad{divOfPole(d)} returns the negative part of \\spad{d.}")) (|divOfZero| (($ $) "\\spad{divOfZero(d)} returns the positive part of \\spad{d.}")) (|suppOfPole| (((|List| |#1|) $) "suppOfZero(d) returns the elements of the support of \\spad{d} that have a negative coefficient.")) (|suppOfZero| (((|List| |#1|) $) "\\spad{suppOfZero(d)} returns the elements of the support of \\spad{d} that have a positive coefficient.")) (|supp| (((|List| |#1|) $) "\\spad{supp(d)} returns the support of the divisor \\spad{d.}")) (|effective?| (((|Boolean|) $) "\\spad{effective?(d)} returns \\spad{true} if \\spad{d} \\spad{>=} 0.")) (|concat| (($ $ $) "\\spad{concat(a,b)} concats the divisor a and \\spad{b} without collecting the duplicative points.")) (|collect| (($ $) "\\spad{collect collects} the duplicative points in the divisor.")) (|split| (((|List| $) $) "\\spad{split(d)} splits the divisor \\spad{d.} For example, split( 2 \\spad{p1} + 3p2 ) returns the list [ 2 \\spad{p1,} 3 \\spad{p2} \\spad{].}")) (|degree| (((|Integer|) $) "\\spad{degree(d)} returns the degree of the divisor \\spad{d}"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-258 S) 
+(|Divisor| S) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
-((-4620 . T) (-4619 . T)) 
-((|HasCategory| (-592) (QUOTE (-814)))) 
-(-259 S) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|OrderedAbelianMonoid|)))) 
+(|DivisionRing&| S) 
 ((|constructor| (NIL "A division ring (sometimes called a skew field), \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv \\spad{x}} returns the multiplicative inverse of \\spad{x.} Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}"))) 
 NIL 
 NIL 
-(-260) 
+(|DivisionRing|) 
 ((|constructor| (NIL "A division ring (sometimes called a skew field), \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv \\spad{x}} returns the multiplicative inverse of \\spad{x.} Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}"))) 
-((-4618 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-261 S) 
+(|DoublyLinkedAggregate| S) 
 ((|constructor| (NIL "A doubly-linked aggregate serves as a model for a doubly-linked list, that is, a list which can has links to both next and previous nodes and thus can be efficiently traversed in both directions.")) (|setnext!| (($ $ $) "\\spad{setnext!(u,v)} destructively sets the next node of doubly-linked aggregate \\spad{u} to \\spad{v,} returning \\spad{v.}")) (|setprevious!| (($ $ $) "\\spad{setprevious!(u,v)} destructively sets the previous node of doubly-linked aggregate \\spad{u} to \\spad{v,} returning \\spad{v.}")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively concatenates doubly-linked aggregate \\spad{v} to the end of doubly-linked aggregate u.")) (|next| (($ $) "\\spad{next(l)} returns the doubly-linked aggregate beginning with its next element. Error: if \\spad{l} has no next element. Note that \\axiom{next(l) = rest(l)} and \\axiom{previous(next(l)) = \\spad{l}.}")) (|previous| (($ $) "\\spad{previous(l)} returns the doubly-link list beginning with its previous element. Error: if \\spad{l} has no previous element. Note that \\axiom{next(previous(l)) = \\spad{l}.}")) (|tail| (($ $) "\\spad{tail(l)} returns the doubly-linked aggregate \\spad{l} starting at its second element. Error: if \\spad{l} is empty.")) (|head| (($ $) "\\spad{head(l)} returns the first element of a doubly-linked aggregate \\spad{l.} Error: if \\spad{l} is empty.")) (|last| ((|#1| $) "\\spad{last(l)} returns the last element of a doubly-linked aggregate \\spad{l.} Error: if \\spad{l} is empty."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-262 S) 
+(|DataList| S) 
 ((|constructor| (NIL "This domain provides some nice functions on lists")) (|elt| (((|NonNegativeInteger|) $ "count") "\\axiom{l.\"count\"} returns the number of elements in \\axiom{l}.") (($ $ "sort") "\\axiom{l.sort} returns \\axiom{l} with elements sorted. Note: \\axiom{l.sort = sort(l)}") (($ $ "unique") "\\axiom{l.unique} returns \\axiom{l} with duplicates removed. Note: \\axiom{l.unique = removeDuplicates(l)}.")) (|datalist| (($ (|List| |#1|)) "\\spad{datalist(l)} creates a datalist from \\spad{l}")) (|coerce| (((|List| |#1|) $) "\\spad{coerce(x)} returns the list of elements in \\spad{x}") (($ (|List| |#1|)) "\\spad{coerce(l)} creates a datalist from \\spad{l}"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-263 M) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|DiscreteLogarithmPackage| M) 
 ((|constructor| (NIL "DiscreteLogarithmPackage implements help functions for discrete logarithms in monoids using small cyclic groups.")) (|shanksDiscLogAlgorithm| (((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)) "\\spad{shanksDiscLogAlgorithm(b,a,p)} computes \\spad{s} with \\spad{b**s = a} for assuming that \\spad{a} and \\spad{b} are elements in a 'small' cyclic group of order \\spad{p} by Shank's algorithm. Note that this is a subroutine of the function \\spadfun{discreteLog}.")) (** ((|#1| |#1| (|Integer|)) "\\spad{x \\spad{**} \\spad{n}} returns \\spad{x} raised to the integer power \\spad{n}"))) 
 NIL 
 NIL 
-(-264 |vl| R) 
+(|DistributedMultivariatePolynomial| |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is lexicographic specified by the variable list parameter with the most significant variable first in the list.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4627 "*") |has| |#2| (-194)) (-4618 |has| |#2| (-582)) (-4623 |has| |#2| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-265 |n| R M S) 
+(((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#2| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|DirectProductMatrixModule| |n| R M S) 
 ((|constructor| (NIL "This constructor provides a direct product type with a left matrix-module view."))) 
-((-4622 -3836 (-1732 (|has| |#4| (-1075)) (|has| |#4| (-247))) (-1732 (|has| |#4| (-1075)) (|has| |#4| (-922 (-1191)))) (|has| |#4| (-6 -4622)) (-1732 (|has| |#4| (-1075)) (|has| |#4| (-654 (-592))))) (-4619 |has| |#4| (-1075)) (-4620 |has| |#4| (-1075)) ((-4627 "*") |has| |#4| (-194)) (-4625 . T)) 
-((|HasCategory| |#4| (QUOTE (-388))) (|HasCategory| |#4| (QUOTE (-1075))) (|HasCategory| |#4| (QUOTE (-815))) (|HasCategory| |#4| (QUOTE (-867))) (-3836 (|HasCategory| |#4| (QUOTE (-815))) (|HasCategory| |#4| (QUOTE (-867)))) (|HasCategory| |#4| (QUOTE (-743))) (|HasCategory| |#4| (QUOTE (-194))) (-3836 (|HasCategory| |#4| (QUOTE (-194))) (|HasCategory| |#4| (QUOTE (-388))) (|HasCategory| |#4| (QUOTE (-1075)))) (-3836 (|HasCategory| |#4| (QUOTE (-194))) (|HasCategory| |#4| (QUOTE (-388)))) (-3836 (|HasCategory| |#4| (QUOTE (-194))) (|HasCategory| |#4| (QUOTE (-1075)))) (|HasCategory| |#4| (QUOTE (-394))) (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (QUOTE (-247))) (-3836 (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (QUOTE (-194))) (|HasCategory| |#4| (QUOTE (-247))) (|HasCategory| |#4| (QUOTE (-1075)))) (|HasCategory| |#4| (QUOTE (-1119))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (QUOTE (-247))) (|HasCategory| |#4| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (QUOTE (-247))) (|HasCategory| |#4| (QUOTE (-1075)))) (|HasCategory| |#4| (QUOTE (-743)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-194)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-247)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-388)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-394)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-743)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-815)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-867)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1119))))) (-3836 (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1119)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-194)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-247)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-388)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-394)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-743)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-815)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-867)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (QUOTE (-1119))))) (-3836 (|HasAttribute| |#4| (QUOTE -4622)) (-12 (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (QUOTE (-247))) (|HasCategory| |#4| (QUOTE (-1075))))) (|HasCategory| |#4| (QUOTE (-158))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-194)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-247)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-388)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-394)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-743)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-815)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-867)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1075)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))))) 
-(-266 |n| R S) 
+((|unitsKnown| OR (|and| (|has| |#4| (|Ring|)) (|has| |#4| (|DifferentialRing|))) (|and| (|has| |#4| (|Ring|)) (|has| |#4| (|PartialDifferentialRing| (|Symbol|)))) (|has| |#4| (ATTRIBUTE |unitsKnown|)) (|and| (|has| |#4| (|Ring|)) (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))))) (|rightUnitary| |has| |#4| (|Ring|)) (|leftUnitary| |has| |#4| (|Ring|)) ((|commutative| "*") |has| |#4| (|CommutativeRing|)) (|finiteAggregate| . T)) 
+((|HasCategory| |#4| (QUOTE (|Field|))) (|HasCategory| |#4| (QUOTE (|Ring|))) (|HasCategory| |#4| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#4| (QUOTE (|OrderedRing|))) (OR (|HasCategory| |#4| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#4| (QUOTE (|OrderedRing|)))) (|HasCategory| |#4| (QUOTE (|Monoid|))) (|HasCategory| |#4| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#4| (QUOTE (|CommutativeRing|))) (|HasCategory| |#4| (QUOTE (|Field|))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (OR (|HasCategory| |#4| (QUOTE (|CommutativeRing|))) (|HasCategory| |#4| (QUOTE (|Field|)))) (OR (|HasCategory| |#4| (QUOTE (|CommutativeRing|))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (|HasCategory| |#4| (QUOTE (|Finite|))) (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (QUOTE (|DifferentialRing|))) (OR (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (QUOTE (|CommutativeRing|))) (|HasCategory| |#4| (QUOTE (|DifferentialRing|))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (QUOTE (|DifferentialRing|))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (QUOTE (|DifferentialRing|))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (|HasCategory| |#4| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Field|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Finite|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))))) (OR (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|Field|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|Finite|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (QUOTE (|SetCategory|))))) (OR (|HasAttribute| |#4| (QUOTE |unitsKnown|)) (AND (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (QUOTE (|DifferentialRing|))) (|HasCategory| |#4| (QUOTE (|Ring|))))) (|HasCategory| |#4| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#4| (QUOTE (|AbelianSemiGroup|))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|Field|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|Finite|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|Ring|)))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))))) 
+(|DirectProductModule| |n| R S) 
 ((|constructor| (NIL "This constructor provides a direct product of R-modules with an R-module view."))) 
-((-4622 -3836 (-1732 (|has| |#3| (-1075)) (|has| |#3| (-247))) (-1732 (|has| |#3| (-1075)) (|has| |#3| (-922 (-1191)))) (|has| |#3| (-6 -4622)) (-1732 (|has| |#3| (-1075)) (|has| |#3| (-654 (-592))))) (-4619 |has| |#3| (-1075)) (-4620 |has| |#3| (-1075)) ((-4627 "*") |has| |#3| (-194)) (-4625 . T)) 
-((|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075))) (|HasCategory| |#3| (QUOTE (-815))) (|HasCategory| |#3| (QUOTE (-867))) (-3836 (|HasCategory| |#3| (QUOTE (-815))) (|HasCategory| |#3| (QUOTE (-867)))) (|HasCategory| |#3| (QUOTE (-743))) (|HasCategory| |#3| (QUOTE (-194))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075)))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-388)))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-1075)))) (|HasCategory| |#3| (QUOTE (-394))) (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-247))) (-3836 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-1075)))) (|HasCategory| |#3| (QUOTE (-1119))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-1075)))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-247)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-394)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-815)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-867)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1119))))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1119)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-247)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-394)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-815)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-867)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-1119))))) (-3836 (|HasAttribute| |#3| (QUOTE -4622)) (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-1075))))) (|HasCategory| |#3| (QUOTE (-158))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-247)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-394)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-815)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-867)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1119)))))) 
-(-267 A R S V E) 
+((|unitsKnown| OR (|and| (|has| |#3| (|Ring|)) (|has| |#3| (|DifferentialRing|))) (|and| (|has| |#3| (|Ring|)) (|has| |#3| (|PartialDifferentialRing| (|Symbol|)))) (|has| |#3| (ATTRIBUTE |unitsKnown|)) (|and| (|has| |#3| (|Ring|)) (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))))) (|rightUnitary| |has| |#3| (|Ring|)) (|leftUnitary| |has| |#3| (|Ring|)) ((|commutative| "*") |has| |#3| (|CommutativeRing|)) (|finiteAggregate| . T)) 
+((|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|))) (OR (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (|HasCategory| |#3| (QUOTE (|Monoid|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Field|)))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (|HasCategory| |#3| (QUOTE (|Finite|))) (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (OR (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Finite|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|))))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Finite|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|SetCategory|))))) (OR (|HasAttribute| |#3| (QUOTE |unitsKnown|)) (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Ring|))))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Finite|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))))) 
+(|DifferentialPolynomialCategory&| A R S V E) 
 ((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition, it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader}, \\spadfun{initial}, \\spadfun{separant}, \\spadfun{differentialVariables}, and \\spadfun{isobaric?}. Furthermore, if the ground ring is a differential ring, then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor, one needs to provide a ground ring \\spad{R,} an ordered set \\spad{S} of differential indeterminates, a ranking \\spad{V} on the set of derivatives of the differential indeterminates, and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#4| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight, and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#3|) "\\spad{weight(p, \\spad{s)}} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p.}")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#3|) "\\spad{weights(p, \\spad{s)}} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p.}")) (|degree| (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p, \\spad{s)}} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p,} which is the maximum number of differentiations of a differential indeterminate, among all those appearing in \\spad{p.}") (((|NonNegativeInteger|) $ |#3|) "\\spad{order(p,s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s.}")) (|differentialVariables| (((|List| |#3|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p.}")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring, in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z.n} where \\spad{z} \\spad{:=} makeVariable(p). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#3|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate, in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z.n} where \\spad{z} :=makeVariable(s). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-247)))) 
-(-268 R S V E) 
+((|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) 
+(|DifferentialPolynomialCategory| R S V E) 
 ((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition, it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader}, \\spadfun{initial}, \\spadfun{separant}, \\spadfun{differentialVariables}, and \\spadfun{isobaric?}. Furthermore, if the ground ring is a differential ring, then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor, one needs to provide a ground ring \\spad{R,} an ordered set \\spad{S} of differential indeterminates, a ranking \\spad{V} on the set of derivatives of the differential indeterminates, and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#3| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight, and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#2|) "\\spad{weight(p, \\spad{s)}} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p.}")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#2|) "\\spad{weights(p, \\spad{s)}} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p.}")) (|degree| (((|NonNegativeInteger|) $ |#2|) "\\spad{degree(p, \\spad{s)}} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p,} which is the maximum number of differentiations of a differential indeterminate, among all those appearing in \\spad{p.}") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(p,s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s.}")) (|differentialVariables| (((|List| |#2|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p.}")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring, in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z.n} where \\spad{z} \\spad{:=} makeVariable(p). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#2|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate, in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z.n} where \\spad{z} :=makeVariable(s). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-269 S) 
+(|DequeueAggregate| S) 
 ((|constructor| (NIL "A dequeue is a doubly ended stack, that is, a bag where first items inserted are the first items extracted, at either the front or the back end of the data structure.")) (|reverse!| (($ $) "\\spad{reverse!(d)} destructively replaces \\spad{d} by its reverse dequeue, \\spadignore{i.e.} the top (front) element is now the bottom (back) element, and so on.")) (|extractBottom!| ((|#1| $) "\\spad{extractBottom!(d)} destructively extracts the bottom (back) element from the dequeue \\spad{d.} Error: if \\spad{d} is empty.")) (|extractTop!| ((|#1| $) "\\spad{extractTop!(d)} destructively extracts the top (front) element from the dequeue \\spad{d.} Error: if \\spad{d} is empty.")) (|insertBottom!| ((|#1| |#1| $) "\\spad{insertBottom!(x,d)} destructively inserts \\spad{x} into the dequeue \\spad{d} at the bottom (back) of the dequeue.")) (|insertTop!| ((|#1| |#1| $) "\\spad{insertTop!(x,d)} destructively inserts \\spad{x} into the dequeue \\spad{d,} that is, at the top (front) of the dequeue. The element previously at the top of the dequeue becomes the second in the dequeue, and so on.")) (|bottom!| ((|#1| $) "\\spad{bottom!(d)} returns the element at the bottom (back) of the dequeue.")) (|top!| ((|#1| $) "\\spad{top!(d)} returns the element at the top (front) of the dequeue.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(d)} returns the number of elements in dequeue \\spad{d.} Note that \\axiom{height(d) = \\# \\spad{d}.}")) (|dequeue| (($ (|List| |#1|)) "\\spad{dequeue([x,y,...,z])} creates a dequeue with first (top or front) element \\spad{x,} second element y,...,and last (bottom or back) element \\spad{z.}") (($) "\\spad{dequeue()}$D creates an empty dequeue of type \\spad{D.}"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-270) 
+(|TopLevelDrawFunctionsForCompiledFunctions|) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForCompiledFunctions provides top level functions for drawing graphics of expressions.")) (|recolor| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{recolor()}, uninteresting to top level user; exported in order to compile package.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(surface(f,g,h),a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f,g,h),a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,a..b,c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{makeObject(sp,curve(f,g,h),a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,g,h),a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{makeObject(sp,curve(f,g,h),a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,g,h),a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(surface(f,g,h),a..b,c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f,g,h),a..b,c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,c..d)} draws the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,c..d)} draws the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,c..d)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,c..d,l)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,g,h),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,g,h),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,g),a..b)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,g),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
 NIL 
 NIL 
-(-271 R |Ex|) 
+(|TopLevelDrawFunctionsForAlgebraicCurves| R |Ex|) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForAlgebraicCurves provides top level functions for drawing non-singular algebraic curves.")) (|draw| (((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))) "\\spad{draw(f(x,y) = g(x,y),x,y,l)} draws the graph of a polynomial equation. The list \\spad{l} of draw options must specify a region in the plane in which the curve is to sketched."))) 
 NIL 
 NIL 
-(-272) 
+(|DrawComplex|) 
 ((|constructor| (NIL "\\axiomType{DrawComplex} provides some facilities for drawing complex functions.")) (|setClipValue| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{setClipValue(x)} sets to \\spad{x} the maximum value to plot when drawing complex functions. Returns \\spad{x.}")) (|setImagSteps| (((|Integer|) (|Integer|)) "\\spad{setImagSteps(i)} sets to \\spad{i} the number of steps to use in the imaginary direction when drawing complex functions. Returns i.")) (|setRealSteps| (((|Integer|) (|Integer|)) "\\spad{setRealSteps(i)} sets to \\spad{i} the number of steps to use in the real direction when drawing complex functions. Returns i.")) (|drawComplexVectorField| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{drawComplexVectorField(f,rRange,iRange)} draws a complex vector field using arrows on the \\spad{x--y} plane. These vector fields should be viewed from the top by pressing the \"XY\" translate button on the 3-d viewport control panel. Sample call: \\indented{3}{\\spad{f \\spad{z} \\spad{==} sin \\spad{z}}} \\indented{3}{\\spad{drawComplexVectorField(f, -2..2, -2..2)}} Parameter descriptions: \\indented{2}{f : the function to draw} \\indented{2}{rRange : the range of the real values} \\indented{2}{iRange : the range of the imaginary values} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction.")) (|drawComplex| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|)) "\\spad{drawComplex(f,rRange,iRange,arrows?)} draws a complex function as a height field. It uses the complex norm as the height and the complex argument as the color. It will optionally draw arrows on the surface indicating the direction of the complex value. Sample call: \\indented{2}{\\spad{f \\spad{z} \\spad{==} exp(1/z)}} \\indented{2}{\\spad{drawComplex(f, 0.3..3, 0..2*%pi, false)}} Parameter descriptions: \\indented{2}{f:\\space{2}the function to draw} \\indented{2}{rRange : the range of the real values} \\indented{2}{iRange : the range of imaginary values} \\indented{2}{arrows? : a flag indicating whether to draw the phase arrows for \\spad{f}} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction."))) 
 NIL 
 NIL 
-(-273 R) 
+(|DrawNumericHack| R) 
 ((|constructor| (NIL "Hack for the draw interface. DrawNumericHack provides a \"coercion\" from something of the form \\spad{x = a..b} where \\spad{a} and \\spad{b} are formal expressions to a binding of the form \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b.} This \"coercion\" fails if \\spad{a} and \\spad{b} contains symbolic variables, but is meant for expressions involving \\%pi. Note that this package is meant for internal use only.")) (|coerce| (((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))) "\\spad{coerce(x = a..b)} returns \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b.}"))) 
 NIL 
 NIL 
-(-274 |Ex|) 
+(|TopLevelDrawFunctions| |Ex|) 
 ((|constructor| (NIL "TopLevelDrawFunctions provides top level functions for drawing graphics of expressions.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(f(x,y),x = a..b,y = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} appears as the default title.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f(x,y),x = a..b,y = c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{makeObject(curve(f(t),g(t),h(t)),t = a..b)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f(t),g(t),h(t)),t = a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d,l)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(f(x,y),x = a..b,y = c..d)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} appears in the title bar.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x,y),x = a..b,y = c..d,l)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),g(t),h(t)),t = a..b)} draws the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),g(t),h(t)),t = a..b,l)} draws the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),g(t)),t = a..b)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{(f(t),g(t))} appears in the title bar.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),g(t)),t = a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{(f(t),g(t))} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|))) "\\spad{draw(f(x),x = a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{f(x)} appears in the title bar.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x),x = a..b,l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{f(x)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
 NIL 
 NIL 
-(-275) 
+(|TopLevelDrawFunctionsForPoints|) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForPoints provides top level functions for drawing curves and surfaces described by sets of points.")) (|draw| (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,ly,lz,l)} draws the surface constructed by projecting the values in the \\axiom{lz} list onto the rectangular grid formed by the The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,ly,lz)} draws the surface constructed by projecting the values in the \\axiom{lz} list onto the rectangular grid formed by the \\axiom{lx \\spad{x} ly}.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|))) "\\spad{draw(lp,l)} plots the curve constructed from the list of points \\spad{lp.} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|)))) "\\spad{draw(lp)} plots the curve constructed from the list of points \\spad{lp.}") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,ly,l)} plots the curve constructed of points (x,y) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,ly)} plots the curve constructed of points (x,y) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}."))) 
 NIL 
 NIL 
-(-276) 
+(|DrawOptionFunctions0|) 
 ((|constructor| (NIL "This package has no description")) (|units| (((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|))) "\\spad{units(l,u)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{unit}. If the option does not exist the value, \\spad{u} is returned.")) (|coord| (((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(l,p)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{coord}. If the option does not exist the value, \\spad{p} is returned.")) (|tubeRadius| (((|Float|) (|List| (|DrawOption|)) (|Float|)) "\\spad{tubeRadius(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{tubeRadius}. If the option does not exist the value, \\spad{n} is returned.")) (|tubePoints| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{tubePoints(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{tubePoints}. If the option does not exist the value, \\spad{n} is returned.")) (|space| (((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{space(l)} takes a list of draw options, \\spad{l,} and checks to see if it contains the option \\spad{space}. If the the option doesn't exist, then an empty space is returned.")) (|var2Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var2Steps(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{var2Steps}. If the option does not exist the value, \\spad{n} is returned.")) (|var1Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var1Steps(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{var1Steps}. If the option does not exist the value, \\spad{n} is returned.")) (|ranges| (((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|)))) "\\spad{ranges(l,r)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{ranges}. If the option does not exist the value, \\spad{r} is returned.")) (|curveColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{curveColorPalette(l,p)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{curveColorPalette}. If the option does not exist the value, \\spad{p} is returned.")) (|pointColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{pointColorPalette(l,p)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{pointColorPalette}. If the option does not exist the value, \\spad{p} is returned.")) (|toScale| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{toScale(l,b)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{toScale}. If the option does not exist the value, \\spad{b} is returned.")) (|style| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{style(l,s)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{style}. If the option does not exist the value, \\spad{s} is returned.")) (|title| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{title(l,s)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{title}. If the option does not exist the value, \\spad{s} is returned.")) (|viewpoint| (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(l,ls)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{viewpoint}. IF the option does not exist, the value \\spad{ls} is returned.")) (|clipBoolean| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{clipBoolean(l,b)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{clipBoolean}. If the option does not exist the value, \\spad{b} is returned.")) (|adaptive| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{adaptive(l,b)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{adaptive}. If the option does not exist the value, \\spad{b} is returned."))) 
 NIL 
 NIL 
-(-277 S) 
+(|DrawOptionFunctions1| S) 
 ((|constructor| (NIL "This package has no description")) (|option| (((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)) "\\spad{option(l,s)} determines whether the indicated drawing option, \\spad{s,} is contained in the list of drawing options, \\spad{l,} which is defined by the draw command."))) 
 NIL 
 NIL 
-(-278) 
+(|DrawOption|) 
 ((|constructor| (NIL "DrawOption allows the user to specify defaults for the creation and rendering of plots.")) (|option?| (((|Boolean|) (|List| $) (|Symbol|)) "\\spad{option?()} is not to be used at the top level; option? internally returns \\spad{true} for drawing options which are indicated in a draw command, or \\spad{false} for those which are not.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option()} is not to be used at the top level; option determines internally which drawing options are indicated in a draw command.")) (|unit| (($ (|List| (|Float|))) "\\spad{unit(lf)} will mark off the units according to the indicated list \\spad{lf.} This option is expressed in the form \\spad{unit \\spad{==} [f1,f2]}.")) (|coord| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(p)} specifies a change of coordinates of point \\spad{p.} This option is expressed in the form \\spad{coord \\spad{==} \\spad{p}.}")) (|tubePoints| (($ (|PositiveInteger|)) "\\spad{tubePoints(n)} specifies the number of points, \\spad{n,} defining the circle which creates the tube around a 3D curve, the default is 6. This option is expressed in the form \\spad{tubePoints \\spad{==} \\spad{n}.}")) (|var2Steps| (($ (|PositiveInteger|)) "\\spad{var2Steps(n)} indicates the number of subdivisions, \\spad{n,} of the second range variable. This option is expressed in the form \\spad{var2Steps \\spad{==} \\spad{n}.}")) (|var1Steps| (($ (|PositiveInteger|)) "\\spad{var1Steps(n)} indicates the number of subdivisions, \\spad{n,} of the first range variable. This option is expressed in the form \\spad{var1Steps \\spad{==} \\spad{n}.}")) (|space| (($ (|ThreeSpace| (|DoubleFloat|))) "\\spad{space specifies} the space into which we will draw. If none is given then a new space is created.")) (|ranges| (($ (|List| (|Segment| (|Float|)))) "\\spad{ranges(l)} provides a list of user-specified ranges \\spad{l.} This option is expressed in the form \\spad{ranges \\spad{==} \\spad{l}.}")) (|range| (($ (|List| (|Segment| (|Fraction| (|Integer|))))) "\\spad{range([i])} provides a user-specified range i. This option is expressed in the form \\spad{range \\spad{==} [i]}.") (($ (|List| (|Segment| (|Float|)))) "\\spad{range([l])} provides a user-specified range \\spad{l.} This option is expressed in the form \\spad{range \\spad{==} [l]}.")) (|tubeRadius| (($ (|Float|)) "\\spad{tubeRadius(r)} specifies a radius, \\spad{r,} for a tube plot around a 3D curve; is expressed in the form \\spad{tubeRadius \\spad{==} 4}.")) (|colorFunction| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(x,y,z))} specifies the color for three dimensional plots as a function of \\spad{x,} \\spad{y,} and \\spad{z} coordinates. This option is expressed in the form \\spad{colorFunction \\spad{==} f(x,y,z)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(u,v))} specifies the color for three dimensional plots as a function based upon the two parametric variables. This option is expressed in the form \\spad{colorFunction \\spad{==} f(u,v)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(z))} specifies the color based upon the z-component of three dimensional plots. This option is expressed in the form \\spad{colorFunction \\spad{==} f(z)}.")) (|curveColor| (($ (|Palette|)) "\\spad{curveColor(p)} specifies a color index for 2D graph curves from the spadcolors palette \\spad{p.} This option is expressed in the form \\spad{curveColor ==p}.") (($ (|Float|)) "\\spad{curveColor(v)} specifies a color, \\spad{v,} for 2D graph curves. This option is expressed in the form \\spad{curveColor \\spad{==} \\spad{v}.}")) (|pointColor| (($ (|Palette|)) "\\spad{pointColor(p)} specifies a color index for 2D graph points from the spadcolors palette \\spad{p.} This option is expressed in the form \\spad{pointColor \\spad{==} \\spad{p}.}") (($ (|Float|)) "\\spad{pointColor(v)} specifies a color, \\spad{v,} for 2D graph points. This option is expressed in the form \\spad{pointColor \\spad{==} \\spad{v}.}")) (|coordinates| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coordinates(p)} specifies a change of coordinate systems of point \\spad{p.} This option is expressed in the form \\spad{coordinates \\spad{==} \\spad{p}.}")) (|toScale| (($ (|Boolean|)) "\\spad{toScale(b)} specifies whether or not a plot is to be drawn to scale; if \\spad{b} is \\spad{true} it is drawn to scale, if \\spad{b} is \\spad{false} it is not. This option is expressed in the form \\spad{toScale \\spad{==} \\spad{b}.}")) (|style| (($ (|String|)) "\\spad{style(s)} specifies the drawing style in which the graph will be plotted by the indicated string \\spad{s.} This option is expressed in the form \\spad{style \\spad{==} \\spad{s}.}")) (|title| (($ (|String|)) "\\spad{title(s)} specifies a title for a plot by the indicated string \\spad{s.} This option is expressed in the form \\spad{title \\spad{==} \\spad{s}.}")) (|viewpoint| (($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(vp)} creates a viewpoint data structure corresponding to the list of values. The values are interpreted as [theta, phi, scale, scaleX, scaleY, scaleZ, deltaX, deltaY]. This option is expressed in the form \\spad{viewpoint \\spad{==} ls}.")) (|clip| (($ (|List| (|Segment| (|Float|)))) "\\spad{clip([l])} provides ranges for user-defined clipping as specified in the list \\spad{l.} This option is expressed in the form \\spad{clip \\spad{==} [l]}.") (($ (|Boolean|)) "\\spad{clip(b)} turns 2D clipping on if \\spad{b} is true, or off if \\spad{b} is false. This option is expressed in the form \\spad{clip \\spad{==} \\spad{b}.}")) (|adaptive| (($ (|Boolean|)) "\\spad{adaptive(b)} turns adaptive 2D plotting on if \\spad{b} is true, or off if \\spad{b} is false. This option is expressed in the form \\spad{adaptive \\spad{==} \\spad{b}.}"))) 
 NIL 
 NIL 
-(-279 R S V) 
+(|DifferentialSparseMultivariatePolynomial| R S V) 
 ((|constructor| (NIL "\\spadtype{DifferentialSparseMultivariatePolynomial} implements an ordinary differential polynomial ring by combining a domain belonging to the category \\spadtype{DifferentialVariableCategory} with the domain \\spadtype{SparseMultivariatePolynomial}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#3| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#3| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#3| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-280 S) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#3| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#3| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#3| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|DesingTreeCategory| S) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|tree| (($ (|List| |#1|)) "\\spad{tree(l)} creates a chain tree from the list \\spad{l}") (($ |#1|) "\\spad{tree(nd)} creates a tree with value \\spad{nd,} and no children") (($ |#1| (|List| $)) "\\spad{tree(nd,ls)} creates a tree with value \\spad{nd,} and children \\spad{ls.}"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-281 S) 
+(|DesingTree| S) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput).")) (|encode| (((|String|) $) "\\spad{encode(t)} returns a string indicating the \"shape\" of the tree"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-282 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|DesingTreePackage| K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "The following is all the categories, domains and package used for the desingularisation be means of monoidal transformation (Blowing-up)")) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTreeNeg(n,listOfTrees)} computes the \"genus\" of a curve that may be not absolutly irreducible, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTree(n,listOfTrees)} computes the genus of a curve, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol.")) (|genusNeg| (((|Integer|) |#3|) "\\spad{genusNeg(pol)} computes the \"genus\" of a curve that may be not absolutly irreducible. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genus| (((|NonNegativeInteger|) |#3|) "\\spad{genus(pol)} computes the genus of the curve defined by pol.")) (|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) "initParLocLeaves(tr,listOfFnc) initialize the local parametrization at places corresponding to the leaves of \\spad{tr} according to the given list of functions in listOfFnc.") (((|Void|) |#10|) "initParLocLeaves(tr) initialize the local parametrization at places corresponding to the leaves of \\spad{tr.}")) (|initParLocLeaves| (((|Void|) |#10|) "\\spad{initParLocLeaves(tr)} initialize the local parametrization at simple points corresponding to the leaves of \\spad{tr.}")) (|fullParamInit| (((|Void|) |#10|) "\\spad{fullParamInit(tr)} initialize the local parametrization at all places (leaves of tr), computes the local exceptional divisor at each infinytly close points in the tree. This function is equivalent to the following called: initParLocLeaves(tr) initializeParamOfPlaces(tr) blowUpWithExcpDiv(tr)")) (|desingTree| (((|List| |#10|) |#3|) "\\spad{desingTree(pol)} returns all the desingularisation trees of all singular points on the curve defined by pol.")) (|desingTreeAtPoint| ((|#10| |#5| |#3|) "\\spad{desingTreeAtPoint(pt,pol)} computes the desingularisation tree at the point \\spad{pt} on the curve defined by pol. This function recursively compute the tree.")) (|adjunctionDivisor| ((|#8| |#10|) "\\spad{adjunctionDivisor(tr)} compute the local adjunction divisor of a desingularisation tree \\spad{tr} of a singular point.")) (|divisorAtDesingTree| ((|#8| |#3| |#10|) "\\spad{divisorAtDesingTree(f,tr)} computes the local divisor of \\spad{f} at a desingularisation tree \\spad{tr} of a singular point."))) 
 NIL 
 NIL 
-(-283 A S) 
+(|DifferentialVariableCategory&| A S) 
 ((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If x,...,y is an ordered set of differential indeterminates, and the prime notation is used for differentiation, then the set of derivatives (including zero-th order) of the differential indeterminates is x,\\spad{x'},\\spad{x''},..., y,\\spad{y'},\\spad{y''},... (Note that in the interpreter, the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n.)} This set is viewed as a set of algebraic indeterminates, totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives, and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates, just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example, one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order}, then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates, Very often, a grading is the first step in ordering the set of monomials. For differential polynomial domains, this constructor provides a function \\spadfun{weight}, which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example, one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials, providing a graded ring structure.")) (|coerce| (($ |#2|) "\\spad{coerce(s)} returns \\spad{s,} viewed as the zero-th order derivative of \\spad{s.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{v.}") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v.}")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v.}")) (|variable| ((|#2| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#2| (|NonNegativeInteger|)) "\\spad{makeVariable(s, \\spad{n)}} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
 NIL 
 NIL 
-(-284 S) 
+(|DifferentialVariableCategory| S) 
 ((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If x,...,y is an ordered set of differential indeterminates, and the prime notation is used for differentiation, then the set of derivatives (including zero-th order) of the differential indeterminates is x,\\spad{x'},\\spad{x''},..., y,\\spad{y'},\\spad{y''},... (Note that in the interpreter, the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n.)} This set is viewed as a set of algebraic indeterminates, totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives, and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates, just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example, one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order}, then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates, Very often, a grading is the first step in ordering the set of monomials. For differential polynomial domains, this constructor provides a function \\spadfun{weight}, which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example, one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials, providing a graded ring structure.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s,} viewed as the zero-th order derivative of \\spad{s.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{v.}") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v.}")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v.}")) (|variable| ((|#1| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) "\\spad{makeVariable(s, \\spad{n)}} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
 NIL 
 NIL 
-(-285) 
+(|e04AgentsPackage|) 
 ((|constructor| (NIL "\\axiomType{e04AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical optimization routine.")) (|optAttributes| (((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{optAttributes(o)} is a function for supplying a list of attributes of an optimization problem.")) (|expenseOfEvaluation| (((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{expenseOfEvaluation(o)} returns the intensity value of the cost of evaluating the input set of functions. This is in terms of the number of ``operational units''. It returns a value in the range [0,1].")) (|changeNameToObjf| (((|Result|) (|Symbol|) (|Result|)) "\\spad{changeNameToObjf(s,r)} changes the name of item \\axiom{s} in \\axiom{r} to objf.")) (|varList| (((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{varList(e,n)} returns a list of \\axiom{n} indexed variables with name as in \\axiom{e}.")) (|variables| (((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{variables(args)} returns the list of variables in \\axiom{args.lfn}")) (|quadratic?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{quadratic?(e)} tests if \\axiom{e} is a quadratic function.")) (|nonLinearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{nonLinearPart(l)} returns the list of non-linear functions of \\spad{l.}")) (|linearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linearPart(l)} returns the list of linear functions of \\axiom{l}.")) (|linearMatrix| (((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|)) "\\spad{linearMatrix(l,n)} returns a matrix of coefficients of the linear functions in \\axiom{l}. If \\spad{l} is empty, the matrix has at least one row.")) (|linear?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{linear?(e)} tests if \\axiom{e} is a linear function.") (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linear?(l)} returns \\spad{true} if all the bounds \\spad{l} are either linear or simple.")) (|simpleBounds?| (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{simpleBounds?(l)} returns \\spad{true} if the list of expressions \\spad{l} are simple.")) (|splitLinear| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{splitLinear(f)} splits the linear part from an expression which it returns.")) (|sumOfSquares| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{sumOfSquares(f)} returns either an expression for which the square is the original function of \"failed\".")) (|sortConstraints| (((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{sortConstraints(args)} uses a simple bubblesort on the list of constraints using the degree of the expression on which to sort. Of course, it must match the bounds to the constraints.")) (|finiteBound| (((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|)) "\\spad{finiteBound(l,b)} repaces all instances of an infinite entry in \\axiom{l} by a finite entry \\axiom{b} or \\axiom{-b}."))) 
 NIL 
 NIL 
-(-286) 
+(|e04dgfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04dgfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04DGF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04DGF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-287) 
+(|e04fdfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04fdfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04FDF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04FDF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-288) 
+(|e04gcfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04gcfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04GCF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04GCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-289) 
+(|e04jafAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04jafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04JAF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04JAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-290) 
+(|e04mbfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04mbfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04MBF, an optimization routine for Linear functions. The function \\axiomFun{measure} measures the usefulness of the routine E04MBF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-291) 
+(|e04nafAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04nafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04NAF, an optimization routine for Quadratic functions. The function \\axiomFun{measure} measures the usefulness of the routine E04NAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-292) 
+(|e04ucfAnnaType|) 
 ((|constructor| (NIL "\\axiomType{e04ucfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04UCF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04UCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
-(-293) 
+(|ExtAlgBasis|) 
 ((|constructor| (NIL "A domain used in the construction of the exterior algebra on a set \\spad{X} over a ring \\spad{R.} This domain represents the set of all ordered subsets of the set \\spad{X,} assumed to be in correspondance with {1,2,3, ...}. The ordered subsets are themselves ordered lexicographically and are in bijective correspondance with an ordered basis of the exterior algebra. In this domain we are dealing strictly with the exponents of basis elements which can only be 0 or 1. \\blankline The multiplicative identity element of the exterior algebra corresponds to the empty subset of \\spad{X.} A coerce from List Integer to an ordered basis element is provided to allow the convenient input of expressions. Another exported function forgets the ordered structure and simply returns the list corresponding to an ordered subset.")) (|Nul| (($ (|NonNegativeInteger|)) "\\spad{Nul()} gives the basis element 1 for the algebra generated by \\spad{n} generators.")) (|exponents| (((|List| (|Integer|)) $) "\\spad{exponents(x)} converts a domain element into a list of zeros and ones corresponding to the exponents in the basis element that \\spad{x} represents.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(x)} gives the numbers of 1's in \\spad{x,} \\spadignore{i.e.} the number of non-zero exponents in the basis element that \\spad{x} represents.")) (|coerce| (($ (|List| (|Integer|))) "\\spad{coerce(l)} converts a list of 0's and 1's into a basis element, where 1 (respectively 0) designates that the variable of the corresponding index of \\spad{l} is (respectively, is not) present. Error: if an element of \\spad{l} is not 0 or 1."))) 
 NIL 
 NIL 
-(-294 R -3958) 
+(|ElementaryFunction| R F) 
 ((|constructor| (NIL "Provides elementary functions over an integral domain.")) (|localReal?| (((|Boolean|) |#2|) "\\spad{localReal?(x)} should be local but conditional")) (|specialTrigs| (((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|))))) "\\spad{specialTrigs(x,l)} should be local but conditional")) (|iiacsch| ((|#2| |#2|) "\\spad{iiacsch(x)} should be local but conditional")) (|iiasech| ((|#2| |#2|) "\\spad{iiasech(x)} should be local but conditional")) (|iiacoth| ((|#2| |#2|) "\\spad{iiacoth(x)} should be local but conditional")) (|iiatanh| ((|#2| |#2|) "\\spad{iiatanh(x)} should be local but conditional")) (|iiacosh| ((|#2| |#2|) "\\spad{iiacosh(x)} should be local but conditional")) (|iiasinh| ((|#2| |#2|) "\\spad{iiasinh(x)} should be local but conditional")) (|iicsch| ((|#2| |#2|) "\\spad{iicsch(x)} should be local but conditional")) (|iisech| ((|#2| |#2|) "\\spad{iisech(x)} should be local but conditional")) (|iicoth| ((|#2| |#2|) "\\spad{iicoth(x)} should be local but conditional")) (|iitanh| ((|#2| |#2|) "\\spad{iitanh(x)} should be local but conditional")) (|iicosh| ((|#2| |#2|) "\\spad{iicosh(x)} should be local but conditional")) (|iisinh| ((|#2| |#2|) "\\spad{iisinh(x)} should be local but conditional")) (|iiacsc| ((|#2| |#2|) "\\spad{iiacsc(x)} should be local but conditional")) (|iiasec| ((|#2| |#2|) "\\spad{iiasec(x)} should be local but conditional")) (|iiacot| ((|#2| |#2|) "\\spad{iiacot(x)} should be local but conditional")) (|iiatan| ((|#2| |#2|) "\\spad{iiatan(x)} should be local but conditional")) (|iiacos| ((|#2| |#2|) "\\spad{iiacos(x)} should be local but conditional")) (|iiasin| ((|#2| |#2|) "\\spad{iiasin(x)} should be local but conditional")) (|iicsc| ((|#2| |#2|) "\\spad{iicsc(x)} should be local but conditional")) (|iisec| ((|#2| |#2|) "\\spad{iisec(x)} should be local but conditional")) (|iicot| ((|#2| |#2|) "\\spad{iicot(x)} should be local but conditional")) (|iitan| ((|#2| |#2|) "\\spad{iitan(x)} should be local but conditional")) (|iicos| ((|#2| |#2|) "\\spad{iicos(x)} should be local but conditional")) (|iisin| ((|#2| |#2|) "\\spad{iisin(x)} should be local but conditional")) (|iilog| ((|#2| |#2|) "\\spad{iilog(x)} should be local but conditional")) (|iiexp| ((|#2| |#2|) "\\spad{iiexp(x)} should be local but conditional")) (|iisqrt3| ((|#2|) "\\spad{iisqrt3()} should be local but conditional")) (|iisqrt2| ((|#2|) "\\spad{iisqrt2()} should be local but conditional")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(p)} returns an elementary operator with the same symbol as \\spad{p}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(p)} returns \\spad{true} if operator \\spad{p} is elementary")) (|pi| ((|#2|) "\\spad{pi()} returns the \\spad{pi} operator")) (|acsch| ((|#2| |#2|) "\\spad{acsch(x)} applies the inverse hyperbolic cosecant operator to \\spad{x}")) (|asech| ((|#2| |#2|) "\\spad{asech(x)} applies the inverse hyperbolic secant operator to \\spad{x}")) (|acoth| ((|#2| |#2|) "\\spad{acoth(x)} applies the inverse hyperbolic cotangent operator to \\spad{x}")) (|atanh| ((|#2| |#2|) "\\spad{atanh(x)} applies the inverse hyperbolic tangent operator to \\spad{x}")) (|acosh| ((|#2| |#2|) "\\spad{acosh(x)} applies the inverse hyperbolic cosine operator to \\spad{x}")) (|asinh| ((|#2| |#2|) "\\spad{asinh(x)} applies the inverse hyperbolic sine operator to \\spad{x}")) (|csch| ((|#2| |#2|) "\\spad{csch(x)} applies the hyperbolic cosecant operator to \\spad{x}")) (|sech| ((|#2| |#2|) "\\spad{sech(x)} applies the hyperbolic secant operator to \\spad{x}")) (|coth| ((|#2| |#2|) "\\spad{coth(x)} applies the hyperbolic cotangent operator to \\spad{x}")) (|tanh| ((|#2| |#2|) "\\spad{tanh(x)} applies the hyperbolic tangent operator to \\spad{x}")) (|cosh| ((|#2| |#2|) "\\spad{cosh(x)} applies the hyperbolic cosine operator to \\spad{x}")) (|sinh| ((|#2| |#2|) "\\spad{sinh(x)} applies the hyperbolic sine operator to \\spad{x}")) (|acsc| ((|#2| |#2|) "\\spad{acsc(x)} applies the inverse cosecant operator to \\spad{x}")) (|asec| ((|#2| |#2|) "\\spad{asec(x)} applies the inverse secant operator to \\spad{x}")) (|acot| ((|#2| |#2|) "\\spad{acot(x)} applies the inverse cotangent operator to \\spad{x}")) (|atan| ((|#2| |#2|) "\\spad{atan(x)} applies the inverse tangent operator to \\spad{x}")) (|acos| ((|#2| |#2|) "\\spad{acos(x)} applies the inverse cosine operator to \\spad{x}")) (|asin| ((|#2| |#2|) "\\spad{asin(x)} applies the inverse sine operator to \\spad{x}")) (|csc| ((|#2| |#2|) "\\spad{csc(x)} applies the cosecant operator to \\spad{x}")) (|sec| ((|#2| |#2|) "\\spad{sec(x)} applies the secant operator to \\spad{x}")) (|cot| ((|#2| |#2|) "\\spad{cot(x)} applies the cotangent operator to \\spad{x}")) (|tan| ((|#2| |#2|) "\\spad{tan(x)} applies the tangent operator to \\spad{x}")) (|cos| ((|#2| |#2|) "\\spad{cos(x)} applies the cosine operator to \\spad{x}")) (|sin| ((|#2| |#2|) "\\spad{sin(x)} applies the sine operator to \\spad{x}")) (|log| ((|#2| |#2|) "\\spad{log(x)} applies the logarithm operator to \\spad{x}")) (|exp| ((|#2| |#2|) "\\spad{exp(x)} applies the exponential operator to \\spad{x}"))) 
 NIL 
 NIL 
-(-295 R -3958) 
+(|ElementaryFunctionStructurePackage| R F) 
 ((|constructor| (NIL "ElementaryFunctionStructurePackage provides functions to test the algebraic independence of various elementary functions, using the Risch structure theorem (real and complex versions). It also provides transformations on elementary functions which are not considered simplifications.")) (|tanQ| ((|#2| (|Fraction| (|Integer|)) |#2|) "\\spad{tanQ(q,a)} is a local function with a conditional implementation.")) (|rootNormalize| ((|#2| |#2| (|Kernel| |#2|)) "\\spad{rootNormalize(f, \\spad{k)}} returns \\spad{f} rewriting either \\spad{k} which must be an nth-root in terms of radicals already in \\spad{f}, or some radicals in \\spad{f} in terms of \\spad{k}.")) (|validExponential| (((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|)) "\\spad{validExponential([k1,...,kn],f,x)} returns \\spad{g} if \\spad{exp(f)=g} and \\spad{g} involves only \\spad{k1...kn}, and \"failed\" otherwise.")) (|realElementary| ((|#2| |#2| (|Symbol|)) "\\spad{realElementary(f,x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log, exp, tan, atan}.") ((|#2| |#2|) "\\spad{realElementary(f)} rewrites \\spad{f} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log, exp, tan, atan}.")) (|rischNormalize| (((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|)) "\\spad{rischNormalize(f, \\spad{x)}} returns \\spad{[g, [k1,...,kn], [h1,...,hn]]} such that \\spad{g = normalize(f, \\spad{x)}} and each \\spad{ki} was rewritten as \\spad{hi} during the normalization.")) (|normalize| ((|#2| |#2| (|Symbol|)) "\\spad{normalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of real algebraically independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{normalize(f)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels."))) 
 NIL 
 NIL 
-(-296 |Coef| UTS ULS) 
+(|ElementaryFunctionsUnivariateLaurentSeries| |Coef| UTS ULS) 
 ((|constructor| (NIL "This domain provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of Laurent series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of Laurent series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of Laurent series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of Laurent series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of Laurent series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of Laurent series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of Laurent series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of Laurent series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of Laurent series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of Laurent series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of Laurent series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of Laurent series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of Laurent series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of Laurent series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of Laurent series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of Laurent series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of Laurent series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of Laurent series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of Laurent series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of Laurent series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of Laurent series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of Laurent series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of Laurent series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of Laurent series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of Laurent series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of Laurent series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{s \\spad{**} \\spad{r}} raises a Laurent series \\spad{s} to a rational power \\spad{r}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388)))) 
-(-297 |Coef| ULS UPXS EFULS) 
+((|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|ElementaryFunctionsUnivariatePuiseuxSeries| |Coef| ULS UPXS EFULS) 
 ((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of a Puiseux series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of a Puiseux series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of a Puiseux series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of a Puiseux series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of a Puiseux series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of a Puiseux series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of a Puiseux series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of a Puiseux series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of a Puiseux series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of a Puiseux series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of a Puiseux series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of a Puiseux series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of a Puiseux series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of a Puiseux series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of a Puiseux series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of a Puiseux series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of a Puiseux series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of a Puiseux series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of a Puiseux series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of a Puiseux series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of a Puiseux series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of a Puiseux series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of a Puiseux series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of a Puiseux series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of a Puiseux series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of a Puiseux series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{z \\spad{**} \\spad{r}} raises a Puiseaux series \\spad{z} to a rational power \\spad{r}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388)))) 
-(-298 A S) 
+((|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|ExtensibleLinearAggregate&| A S) 
 ((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion, deletion, and concatenation efficient. However, access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from u.")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{p(x)}.")) (|merge!| (($ $ $) "\\spad{merge!(u,v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge!(p,u,v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p.}")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,u,i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position i.") (($ |#2| $ (|Integer|)) "\\spad{insert!(x,u,i)} destructively inserts \\spad{x} into \\spad{u} at position i.")) (|remove!| (($ |#2| $) "\\spad{remove!(x,u)} destructively removes all values \\spad{x} from u.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{p(x)} is true.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,i..j)} destructively deletes elements u.i through u.j.") (($ $ (|Integer|)) "\\indented{1}{delete!(u,i) destructively deletes the \\axiom{i}th element of u.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data \\spad{E} delete!(a1,1)")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively appends \\spad{v} to the end of u. \\spad{v} is unchanged") (($ $ |#2|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119)))) 
-(-299 S) 
+((|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) 
+(|ExtensibleLinearAggregate| S) 
 ((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion, deletion, and concatenation efficient. However, access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from u.")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{p(x)}.")) (|merge!| (($ $ $) "\\spad{merge!(u,v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge!(p,u,v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p.}")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,u,i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position i.") (($ |#1| $ (|Integer|)) "\\spad{insert!(x,u,i)} destructively inserts \\spad{x} into \\spad{u} at position i.")) (|remove!| (($ |#1| $) "\\spad{remove!(x,u)} destructively removes all values \\spad{x} from u.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{p(x)} is true.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,i..j)} destructively deletes elements u.i through u.j.") (($ $ (|Integer|)) "\\indented{1}{delete!(u,i) destructively deletes the \\axiom{i}th element of u.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data \\spad{E} delete!(a1,1)")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively appends \\spad{v} to the end of u. \\spad{v} is unchanged") (($ $ |#1|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u."))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-300 S) 
+(|ElementaryFunctionCategory&| S) 
 ((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y.}")) (|exp| (($ $) "\\spad{exp(x)} returns \\%e to the power \\spad{x.}")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x.}"))) 
 NIL 
 NIL 
-(-301) 
+(|ElementaryFunctionCategory|) 
 ((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y.}")) (|exp| (($ $) "\\spad{exp(x)} returns \\%e to the power \\spad{x.}")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x.}"))) 
 NIL 
 NIL 
-(-302 |Coef| UTS) 
+(|EllipticFunctionsUnivariateTaylorSeries| |Coef| UTS) 
 ((|constructor| (NIL "The elliptic functions \\spad{sn,} \\spad{sc} and \\spad{dn} are expanded as Taylor series.")) (|sncndn| (((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|) "\\spad{sncndn(s,c)} is used internally.")) (|dn| ((|#2| |#2| |#1|) "\\spad{dn(x,k)} expands the elliptic function \\spad{dn} as a Taylor \\indented{1}{series.}")) (|cn| ((|#2| |#2| |#1|) "\\spad{cn(x,k)} expands the elliptic function \\spad{cn} as a Taylor \\indented{1}{series.}")) (|sn| ((|#2| |#2| |#1|) "\\spad{sn(x,k)} expands the elliptic function \\spad{sn} as a Taylor \\indented{1}{series.}"))) 
 NIL 
 NIL 
-(-303 S |Index|) 
+(|Eltable| S |Index|) 
 ((|constructor| (NIL "An eltable over domains \\spad{D} and \\spad{I} is a structure which can be viewed as a function from \\spad{D} to I. Examples of eltable structures range from data structures, For example, those of type List, to algebraic structures like Polynomial.")) (|elt| ((|#2| $ |#1|) "\\spad{elt(u,i)} (also written: \\spad{u} . i) returns the element of \\spad{u} indexed by i. Error: if \\spad{i} is not an index of u."))) 
 NIL 
 NIL 
-(-304 S |Dom| |Im|) 
+(|EltableAggregate&| S |Dom| |Im|) 
 ((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list [1,7,4] can applied to 0,1, and 2 respectively will return the integers 1, 7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#3| $ |#2| |#3|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#3| $ |#2|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#3| $ |#2| |#3|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626))) 
-(-305 |Dom| |Im|) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|))) 
+(|EltableAggregate| |Dom| |Im|) 
 ((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list [1,7,4] can applied to 0,1, and 2 respectively will return the integers 1, 7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#2| $ |#1| |#2|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#2| $ |#1|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#2| $ |#1| |#2|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
 NIL 
 NIL 
-(-306 S R |Mod| -3674 -4491 |exactQuo|) 
+(|EuclideanModularRing| S R |Mod| |reduction| |merge| |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing}, \\spadtype{ModularField}")) (|elt| ((|#2| $ |#2|) "\\spad{elt(x,r)} or \\spad{x.r} is not documented")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#2| |#3|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#2| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#3| $) "\\spad{modulus(x)} is not documented"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-307) 
+(|EntireRing|) 
 ((|constructor| (NIL "Entire Rings (non-commutative Integral Domains), \\spadignore{i.e.} a ring not necessarily commutative which has no zero divisors. \\blankline Axioms\\br \\tab{5}\\spad{ab=0 \\spad{=>} \\spad{a=0} or b=0} \\spad{--} known as noZeroDivisors\\br \\tab{5}\\spad{not(1=0)}")) (|noZeroDivisors| ((|attribute|) "if a product is zero then one of the factors must be zero."))) 
-((-4618 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-308 R) 
+(|EigenPackage| R) 
 ((|constructor| (NIL "This is a package for the exact computation of eigenvalues and eigenvectors. This package can be made to work for matrices with coefficients which are rational functions over a ring where we can factor polynomials. Rational eigenvalues are always explicitly computed while the non-rational ones are expressed in terms of their minimal polynomial.")) (|eigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvectors(m)} returns the eigenvalues and eigenvectors for the matrix \\spad{m.} The rational eigenvalues and the correspondent eigenvectors are explicitely computed, while the non rational ones are given via their minimal polynomial and the corresponding eigenvectors are expressed in terms of a \"generic\" root of such a polynomial.")) (|generalizedEigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvectors(m)} returns the generalized eigenvectors of the matrix \\spad{m.}")) (|generalizedEigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvector(eigen,m)} returns the generalized eigenvectors of the matrix relative to the eigenvalue eigen, as returned by the function eigenvectors.") (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalizedEigenvector(alpha,m,k,g)} returns the generalized eigenvectors of the matrix relative to the eigenvalue alpha. The integers \\spad{k} and \\spad{g} are respectively the algebraic and the geometric multiplicity of tye eigenvalue alpha. \\spad{alpha} can be either rational or not. In the seconda case apha is the minimal polynomial of the eigenvalue.")) (|eigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvector(eigval,m)} returns the eigenvectors belonging to the eigenvalue \\spad{eigval} for the matrix \\spad{m.}")) (|eigenvalues| (((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvalues(m)} returns the eigenvalues of the matrix \\spad{m} which are expressible as rational functions over the rational numbers.")) (|characteristicPolynomial| (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{characteristicPolynomial(m)} returns the characteristicPolynomial of the matrix \\spad{m} using a new generated symbol symbol as the main variable.") (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,var)} returns the characteristicPolynomial of the matrix \\spad{m} using the symbol \\spad{var} as the main variable."))) 
 NIL 
 NIL 
-(-309 S R) 
+(|EquationFunctions2| S R) 
 ((|constructor| (NIL "This package provides operations for mapping the sides of equations.")) (|map| (((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)) "\\spad{map(f,eq)} returns an equation where \\spad{f} is applied to the sides of \\spad{eq}"))) 
 NIL 
 NIL 
-(-310 S) 
+(|Equation| S) 
 ((|constructor| (NIL "Equations as mathematical objects. All properties of the basis domain, \\spadignore{e.g.} being an abelian group are carried over the equation domain, by performing the structural operations on the left and on the right hand side.")) (|subst| (($ $ $) "\\spad{subst(eq1,eq2)} substitutes \\spad{eq2} into both sides of \\spad{eq1} the \\spad{lhs} of \\spad{eq2} should be a kernel")) (|inv| (($ $) "\\spad{inv(x)} returns the multiplicative inverse of \\spad{x.}")) (/ (($ $ $) "\\spad{e1/e2} produces a new equation by dividing the left and right hand sides of equations \\spad{e1} and e2.")) (|factorAndSplit| (((|List| $) $) "\\spad{factorAndSplit(eq)} make the right hand side 0 and factors the new left hand side. Each factor is equated to 0 and put into the resulting list without repetitions.")) (|rightOne| (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side.") (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side, if possible.")) (|leftOne| (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side.") (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side, if possible.")) (* (($ $ |#1|) "\\spad{eqn*x} produces a new equation by multiplying both sides of equation eqn by \\spad{x.}") (($ |#1| $) "\\spad{x*eqn} produces a new equation by multiplying both sides of equation eqn by \\spad{x.}")) (- (($ $ |#1|) "\\spad{eqn-x} produces a new equation by subtracting \\spad{x} from both sides of equation eqn.") (($ |#1| $) "\\spad{x-eqn} produces a new equation by subtracting both sides of equation eqn from \\spad{x.}")) (|rightZero| (($ $) "\\spad{rightZero(eq)} subtracts the right hand side.")) (|leftZero| (($ $) "\\spad{leftZero(eq)} subtracts the left hand side.")) (+ (($ $ |#1|) "\\spad{eqn+x} produces a new equation by adding \\spad{x} to both sides of equation eqn.") (($ |#1| $) "\\spad{x+eqn} produces a new equation by adding \\spad{x} to both sides of equation eqn.")) (|eval| (($ $ (|List| $)) "\\spad{eval(eqn, [x1=v1, \\spad{...} xn=vn])} replaces \\spad{xi} by \\spad{vi} in equation eqn.") (($ $ $) "\\spad{eval(eqn, x=f)} replaces \\spad{x} by \\spad{f} in equation eqn.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,eqn)} constructs a new equation by applying \\spad{f} to both sides of eqn.")) (|rhs| ((|#1| $) "\\spad{rhs(eqn)} returns the right hand side of equation eqn.")) (|lhs| ((|#1| $) "\\spad{lhs(eqn)} returns the left hand side of equation eqn.")) (|swap| (($ $) "\\spad{swap(eq)} interchanges left and right hand side of equation eq.")) (|equation| (($ |#1| |#1|) "\\spad{equation(a,b)} creates an equation.")) (= (($ |#1| |#1|) "\\spad{a=b} creates an equation."))) 
-((-4622 -3836 (|has| |#1| (-1075)) (|has| |#1| (-502))) (-4619 |has| |#1| (-1075)) (-4620 |has| |#1| (-1075))) 
-((|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (QUOTE (-1075))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-318))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-502)))) (-3836 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-743))) (-3836 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-743)))) (|HasCategory| |#1| (QUOTE (-1131))) (-3836 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#1| (QUOTE (-1131)))) (|HasCategory| |#1| (QUOTE (-21))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-743)))) (|HasCategory| |#1| (QUOTE (-25))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#1| (QUOTE (-1075))) (|HasCategory| |#1| (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-311 |Key| |Entry|) 
+((|unitsKnown| OR (|has| |#1| (|Ring|)) (|has| |#1| (|Group|))) (|rightUnitary| |has| |#1| (|Ring|)) (|leftUnitary| |has| |#1| (|Ring|))) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|ExpressionSpace|))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Group|)))) (OR (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|Monoid|))) (OR (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|Monoid|)))) (|HasCategory| |#1| (QUOTE (|SemiGroup|))) (OR (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#1| (QUOTE (|SemiGroup|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (OR (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|Monoid|)))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (OR (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (|HasCategory| |#1| (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|EqTable| |Key| |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are compared using \\spadfun{eq?}. Thus keys are considered equal only if they are the same instance of a structure."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119))))) 
-(-312) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) 
+(|ErrorFunctions|) 
 ((|constructor| (NIL "ErrorFunctions implements error functions callable from the system interpreter. Typically, these functions would be called in user functions. The simple forms of the functions take one argument which is either a string (an error message) or a list of strings which all together make up a message. The list can contain formatting codes (see below). The more sophisticated versions takes two arguments where the first argument is the name of the function from which the error was invoked and the second argument is either a string or a list of strings, as above. When you use the one argument version in an interpreter function, the system will automatically insert the name of the function as the new first argument. Thus in the user interpreter function\\br \\tab{5}\\spad{f \\spad{x} \\spad{==} if \\spad{x} < 0 then error \"negative argument\" else x}\\br the call to error will actually be of the form\\br \\tab{5}\\spad{error(\"f\",\"negative argument\")}\\br because the interpreter will have created a new first argument. \\blankline Formatting codes: error messages may contain the following formatting codes (they should either start or end a string or else have blanks around them):\\br \\spad{\\%l}\\tab{6}start a new line\\br \\spad{\\%b}\\tab{6}start printing in a bold font (where available)\\br \\spad{\\%d}\\tab{6}stop printing in a bold font (where available)\\br \\spad{\\%ceon}\\tab{3}start centering message lines\\br \\spad{\\%ceoff}\\tab{2}stop centering message lines\\br \\spad{\\%rjon}\\tab{3}start displaying lines \"ragged left\"\\br \\spad{\\%rjoff}\\tab{2}stop displaying lines \"ragged left\"\\br \\spad{\\%i}\\tab{6}indent following lines 3 additional spaces\\br \\spad{\\%u}\\tab{6}unindent following lines 3 additional spaces\\br \\spad{\\%xN}\\tab{5}insert \\spad{N} blanks (eg, \\spad{\\%x10} inserts 10 blanks) \\blankline")) (|error| (((|Exit|) (|String|) (|List| (|String|))) "\\spad{error(nam,lmsg)} displays error messages \\spad{lmsg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|String|) (|String|)) "\\spad{error(nam,msg)} displays error message \\spad{msg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|List| (|String|))) "\\spad{error(lmsg)} displays error message \\spad{lmsg} and terminates.") (((|Exit|) (|String|)) "\\spad{error(msg)} displays error message \\spad{msg} and terminates."))) 
 NIL 
 NIL 
-(-313 -3958 S) 
+(|ExpressionSpaceFunctions1| F S) 
 ((|constructor| (NIL "This package allows a map from any expression space into any object to be lifted to a kernel over the expression set, using a given property of the operator of the kernel.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)) "\\spad{map(f, \\spad{p,} \\spad{k)}} uses the property \\spad{p} of the operator of \\spad{k,} in order to lift \\spad{f} and apply it to \\spad{k.}"))) 
 NIL 
 NIL 
-(-314 E -3958) 
+(|ExpressionSpaceFunctions2| E F) 
 ((|constructor| (NIL "This package allows a mapping \\spad{E} \\spad{->} \\spad{F} to be lifted to a kernel over E; This lifting can fail if the operator of the kernel cannot be applied in \\spad{F;} Do not use this package with \\spad{E} = \\spad{F,} since this may drop some properties of the operators.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)) "\\spad{map(f, \\spad{k)}} returns \\spad{g = op(f(a1),...,f(an))} where \\spad{k = op(a1,...,an)}."))) 
 NIL 
 NIL 
-(-315 A B) 
+(|ExpertSystemContinuityPackage1| A B) 
 ((|constructor| (NIL "\\spad{ExpertSystemContinuityPackage1} exports a function to check range inclusion")) (|in?| (((|Boolean|) (|DoubleFloat|)) "\\spad{in?(p)} tests whether point \\spad{p} is internal to the range [\\spad{A..B}]"))) 
 NIL 
 NIL 
-(-316) 
+(|ExpertSystemContinuityPackage|) 
 ((|constructor| (NIL "ExpertSystemContinuityPackage is a package of functions for the use of domains belonging to the category \\axiomType{NumericalIntegration}.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|polynomialZeros| (((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{polynomialZeros(fn,var,range)} calculates the real zeros of the polynomial which are contained in the given interval. It returns a list of points (\\axiomType{Doublefloat}) for which the univariate polynomial \\spad{fn} is zero.")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(v,vars,range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{v} will most likely produce an error. This includes those points which evaluate to 0/0.") (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(e,vars,range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error. This includes those points which evaluate to 0/0.")) (|zerosOf| (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{zerosOf(e,vars,range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error.")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,var,range)} returns a list of possible problem points by looking at the zeros of the denominator of the function \\spad{f} if it can be retracted to \\axiomType{Polynomial(DoubleFloat)}.")) (|functionIsFracPolynomial?| (((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsFracPolynomial?(args)} tests whether the function can be retracted to \\axiomType{Fraction(Polynomial(DoubleFloat))}")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{u}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{u}"))) 
 NIL 
 NIL 
-(-317 S) 
+(|ExpressionSpace&| S) 
 ((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? \\spad{x}} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? \\spad{x}} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x, \\spad{s)}} tests if \\spad{x} does not contain any operator whose name is \\spad{s.}") (((|Boolean|) $ $) "\\spad{freeOf?(x, \\spad{y)}} tests if \\spad{x} does not contain any occurrence of \\spad{y,} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f, \\spad{k)}} returns \\spad{op(f(x1),...,f(xn))} where \\spad{k = op(x1,...,xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op, [f1,...,fn])} constructs \\spad{op(f1,...,fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op, \\spad{x)}} constructs op(x) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x, \\spad{s)}} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x, op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{%.}")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f,} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f,} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f,} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level, or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f.} Constants have height 0. Symbols have height 1. For any operator op and expressions f1,...,fn, \\spad{op(f1,...,fn)} has height equal to \\spad{1 + max(height(f1),...,height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f, \\spad{g)}} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,...,fn])} returns \\spad{(f1,...,fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(paren \\spad{[x,} 2])} returns the formal kernel \\spad{atan((x, 2))}.") (($ $) "\\spad{paren(f)} returns (f). This prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,...,fn])} returns \\spad{(f1,...,fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(box \\spad{[x,} 2])} returns the formal kernel \\spad{atan(x, 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f, [k1...,kn], [g1,...,gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|List| (|Equation| $))) "\\spad{subst(f, \\spad{[k1} = g1,...,kn = gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|Equation| $)) "\\spad{subst(f, \\spad{k} = \\spad{g)}} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,[x1,...,xn])} or op([x1,...,xn]) applies the n-ary operator \\spad{op} to x1,...,xn.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,x,y,z,t)} or op(x, \\spad{y,} \\spad{z,} \\spad{t)} applies the 4-ary operator \\spad{op} to \\spad{x,} \\spad{y,} \\spad{z} and \\spad{t.}") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,x,y,z)} or op(x, \\spad{y,} \\spad{z)} applies the ternary operator \\spad{op} to \\spad{x,} \\spad{y} and \\spad{z.}") (($ (|BasicOperator|) $ $) "\\spad{elt(op,x,y)} or op(x, \\spad{y)} applies the binary operator \\spad{op} to \\spad{x} and \\spad{y.}") (($ (|BasicOperator|) $) "\\spad{elt(op,x)} or op(x) applies the unary operator \\spad{op} to \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) 
-(-318) 
+((|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) 
+(|ExpressionSpace|) 
 ((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? \\spad{x}} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? \\spad{x}} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x, \\spad{s)}} tests if \\spad{x} does not contain any operator whose name is \\spad{s.}") (((|Boolean|) $ $) "\\spad{freeOf?(x, \\spad{y)}} tests if \\spad{x} does not contain any occurrence of \\spad{y,} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f, \\spad{k)}} returns \\spad{op(f(x1),...,f(xn))} where \\spad{k = op(x1,...,xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op, [f1,...,fn])} constructs \\spad{op(f1,...,fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op, \\spad{x)}} constructs op(x) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x, \\spad{s)}} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x, op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{%.}")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f,} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f,} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f,} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level, or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f.} Constants have height 0. Symbols have height 1. For any operator op and expressions f1,...,fn, \\spad{op(f1,...,fn)} has height equal to \\spad{1 + max(height(f1),...,height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f, \\spad{g)}} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,...,fn])} returns \\spad{(f1,...,fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(paren \\spad{[x,} 2])} returns the formal kernel \\spad{atan((x, 2))}.") (($ $) "\\spad{paren(f)} returns (f). This prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,...,fn])} returns \\spad{(f1,...,fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(box \\spad{[x,} 2])} returns the formal kernel \\spad{atan(x, 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f, [k1...,kn], [g1,...,gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|List| (|Equation| $))) "\\spad{subst(f, \\spad{[k1} = g1,...,kn = gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|Equation| $)) "\\spad{subst(f, \\spad{k} = \\spad{g)}} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,[x1,...,xn])} or op([x1,...,xn]) applies the n-ary operator \\spad{op} to x1,...,xn.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,x,y,z,t)} or op(x, \\spad{y,} \\spad{z,} \\spad{t)} applies the 4-ary operator \\spad{op} to \\spad{x,} \\spad{y,} \\spad{z} and \\spad{t.}") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,x,y,z)} or op(x, \\spad{y,} \\spad{z)} applies the ternary operator \\spad{op} to \\spad{x,} \\spad{y} and \\spad{z.}") (($ (|BasicOperator|) $ $) "\\spad{elt(op,x,y)} or op(x, \\spad{y)} applies the binary operator \\spad{op} to \\spad{x} and \\spad{y.}") (($ (|BasicOperator|) $) "\\spad{elt(op,x)} or op(x) applies the unary operator \\spad{op} to \\spad{x.}"))) 
 NIL 
 NIL 
-(-319 R1) 
+(|ExpertSystemToolsPackage1| R1) 
 ((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage1} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|neglist| (((|List| |#1|) (|List| |#1|)) "\\spad{neglist(l)} returns only the negative elements of the list \\spad{l}"))) 
 NIL 
 NIL 
-(-320 R1 R2) 
+(|ExpertSystemToolsPackage2| R1 R2) 
 ((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage2} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|map| (((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)) "\\spad{map(f,m)} applies a mapping \\spad{f:R1} \\spad{->} \\spad{R2} onto a matrix \\spad{m} in \\spad{R1} returning a matrix in \\spad{R2}"))) 
 NIL 
 NIL 
-(-321) 
+(|ExpertSystemToolsPackage|) 
 ((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage} contains some useful functions for use by the computational agents of numerical solvers.")) (|mat| (((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{mat(a,n)} constructs a one-dimensional matrix of a.")) (|fi2df| (((|DoubleFloat|) (|Fraction| (|Integer|))) "\\spad{fi2df(f)} coerces a \\axiomType{Fraction Integer} to \\axiomType{DoubleFloat}")) (|df2ef| (((|Expression| (|Float|)) (|DoubleFloat|)) "\\spad{df2ef(a)} coerces a \\axiomType{DoubleFloat} to \\axiomType{Expression Float}")) (|pdf2df| (((|DoubleFloat|) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2df(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{DoubleFloat}. It is an error if \\axiom{p} is not retractable to DoubleFloat.")) (|pdf2ef| (((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2ef(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{Expression Float}")) (|iflist2Result| (((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) "\\spad{iflist2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|att2Result| (((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) "\\spad{att2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|measure2Result| (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}") (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}")) (|outputMeasure| (((|String|) (|Float|)) "\\spad{outputMeasure(n)} rounds \\spad{n} to 3 decimal places and outputs it as a string")) (|concat| (((|Result|) (|List| (|Result|))) "\\spad{concat(l)} concatenates a list of aggregates of type \\axiomType{Result}") (((|Result|) (|Result|) (|Result|)) "\\spad{concat(a,b)} adds two aggregates of type \\axiomType{Result}.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\spad{u}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\spad{u}")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a \\axiomType{Stream DoubleFloat} to \\axiomType{String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List String}")) (|f2st| (((|String|) (|Float|)) "\\spad{f2st(n)} coerces a \\axiomType{Float} to \\axiomType{String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|in?| (((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{in?(p,range)} tests whether point \\spad{p} is internal to the \\spad{range} \\spad{range}")) (|vedf2vef| (((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{vedf2vef(v)} maps \\axiomType{Vector Expression DoubleFloat} to \\axiomType{Vector Expression Float}")) (|edf2ef| (((|Expression| (|Float|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2ef(e)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Expression Float}")) (|ldf2vmf| (((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|))) "\\spad{ldf2vmf(l)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List MachineFloat}")) (|df2mf| (((|MachineFloat|) (|DoubleFloat|)) "\\spad{df2mf(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{MachineFloat}")) (|dflist| (((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{dflist(l)} returns a list of \\axiomType{DoubleFloat} equivalents of list \\spad{l}")) (|dfRange| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{dfRange(r)} converts a range including \\inputbitmap{\\htbmdir{}/plusminus.bitmap} \\infty to \\axiomType{DoubleFloat} equavalents.")) (|edf2efi| (((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|))) "\\spad{edf2efi(e)} coerces \\axiomType{Expression DoubleFloat} into \\axiomType{Expression Fraction Integer}")) (|numberOfOperations| (((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{numberOfOperations(ode)} counts additions, multiplications, exponentiations and function calls in the input set of expressions.")) (|expenseOfEvaluation| (((|Float|) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{expenseOfEvaluation(o)} gives an approximation of the cost of evaluating a list of expressions in terms of the number of basic operations. < 0.3 inexpensive ; 0.5 neutral ; > 0.7 very expensive 400 `operation units' \\spad{->} 0.75 200 `operation units' \\spad{->} 0.5 83 `operation units' \\spad{->} 0.25 \\spad{**} = 4 units ,{} function calls = 10 units.")) (|isQuotient| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{isQuotient(expr)} returns the quotient part of the input expression or \\spad{\"failed\"} if the expression is not of that form.")) (|edf2df| (((|DoubleFloat|) (|Expression| (|DoubleFloat|))) "\\spad{edf2df(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{DoubleFloat} It is an error if \\spad{n} is not coercible to DoubleFloat")) (|edf2fi| (((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2fi(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Fraction Integer} It is an error if \\spad{n} is not coercible to Fraction Integer")) (|df2fi| (((|Fraction| (|Integer|)) (|DoubleFloat|)) "\\spad{df2fi(n)} is a function to convert a \\axiomType{DoubleFloat} to a \\axiomType{Fraction Integer}")) (|convert| (((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{convert(l)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|socf2socdf| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{socf2socdf(a)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|ocf2ocdf| (((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|))) "\\spad{ocf2ocdf(a)} is a function to convert an \\axiomType{OrderedCompletion Float} to an \\axiomType{OrderedCompletion DoubleFloat}")) (|ef2edf| (((|Expression| (|DoubleFloat|)) (|Expression| (|Float|))) "\\spad{ef2edf(f)} is a function to convert an \\axiomType{Expression Float} to an \\axiomType{Expression DoubleFloat}")) (|f2df| (((|DoubleFloat|) (|Float|)) "\\spad{f2df(f)} is a function to convert a \\axiomType{Float} to a \\axiomType{DoubleFloat}"))) 
 NIL 
 NIL 
-(-322 S) 
+(|EuclideanDomain&| S) 
 ((|constructor| (NIL "A constructive euclidean domain, \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\br \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(b)\\br \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(b)")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,...,fn],z)} returns a list of coefficients \\spad{[a1, ..., an]} such that \\spad{ \\spad{z} / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists, \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,y,z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y.}") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y.} The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem \\spad{y}} is the same as \\spad{divide(x,y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo \\spad{y}} is the same as \\spad{divide(x,y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder}, where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y.}")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x.} Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
 NIL 
 NIL 
-(-323) 
+(|EuclideanDomain|) 
 ((|constructor| (NIL "A constructive euclidean domain, \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\br \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(b)\\br \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(b)")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,...,fn],z)} returns a list of coefficients \\spad{[a1, ..., an]} such that \\spad{ \\spad{z} / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists, \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,y,z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y.}") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y.} The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem \\spad{y}} is the same as \\spad{divide(x,y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo \\spad{y}} is the same as \\spad{divide(x,y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder}, where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y.}")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x.} Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-324 S R) 
+(|Evalable&| S R) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions.")) (|eval| (($ $ (|List| (|Equation| |#2|))) "\\spad{eval(f, \\spad{[x1} = v1,...,xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ (|Equation| |#2|)) "\\spad{eval(f,x = \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-325 R) 
+(|Evalable| R) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions.")) (|eval| (($ $ (|List| (|Equation| |#1|))) "\\spad{eval(f, \\spad{[x1} = v1,...,xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ (|Equation| |#1|)) "\\spad{eval(f,x = \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-326 -3958) 
+(|EvaluateCycleIndicators| F) 
 ((|constructor| (NIL "This package is to be used in conjuction with the CycleIndicators package. It provides an evaluation function for SymmetricPolynomials.")) (|eval| ((|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval(f,s)} evaluates the cycle index \\spad{s} by applying \\indented{1}{the function \\spad{f} to each integer in a monomial partition,} \\indented{1}{forms their product and sums the results over all monomials.}"))) 
 NIL 
 NIL 
-(-327) 
+(|Exit|) 
 ((|constructor| (NIL "A function which does not return directly to its caller should have Exit as its return type. \\blankline Note that It is convenient to have a formal \\spad{coerce} into each type from type Exit. This allows, for example, errors to be raised in one half of a type-balanced \\spad{if}."))) 
 NIL 
 NIL 
-(-328) 
+(|Export3D|) 
 ((|writeObj| (((|Void|) (|SubSpace| 3 (|DoubleFloat|)) (|String|)) "writes 3D SubSpace to a file in Wavefront (.OBJ) format"))) 
 NIL 
 NIL 
-(-329 R FE |var| |cen|) 
+(|ExponentialExpansion| R FE |var| |cen|) 
 ((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent essential singularities of functions. Objects in this domain are quotients of sums, where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) "\\spad{coerce(f)} converts a \\spadtype{UnivariatePuiseuxSeries} to an \\spadtype{ExponentialExpansion}.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var \\spad{->} a+,f(var))}."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-931))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-169))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-171))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-1049))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-842))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-1165))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-247))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -1265) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -325) (LIST (QUOTE -1265) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (LIST (QUOTE -303) (LIST (QUOTE -1265) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1265) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-323))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-574))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-869))) (-3836 (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-842))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-869)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-931)))) (|HasCategory| (-1265 |#1| |#2| |#3| |#4|) (QUOTE (-169))))) 
-(-330 R S) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|RealConstant|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|StepThrough|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |UnivariatePuiseuxSeriesWithExponentialSingularity|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |UnivariatePuiseuxSeriesWithExponentialSingularity|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |UnivariatePuiseuxSeriesWithExponentialSingularity|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE |UnivariatePuiseuxSeriesWithExponentialSingularity|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (QUOTE (|CharacteristicNonZero|))))) 
+(|ExpressionFunctions2| R S) 
 ((|constructor| (NIL "Lifting of maps to Expressions.")) (|map| (((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)) "\\spad{map(f, e)} applies \\spad{f} to all the constants appearing in e."))) 
 NIL 
 NIL 
-(-331 R FE) 
+(|ExpressionToUnivariatePowerSeries| R FE) 
 ((|constructor| (NIL "This package provides functions to convert functional expressions to power series.")) (|series| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{series(f,x = a,n)} expands the expression \\spad{f} as a series in powers of \\spad{(x} - a); terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{series(f,x = a)} expands the expression \\spad{f} as a series in powers of \\spad{(x} - a).") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{series(f,n)} returns a series expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{series(f)} returns a series expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{series(x)} returns \\spad{x} viewed as a series.")) (|puiseux| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{puiseux(f,x = a,n)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{puiseux(f,x = a)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{puiseux(f,n)} returns a Puiseux expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{puiseux(f)} returns a Puiseux expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{puiseux(x)} returns \\spad{x} viewed as a Puiseux series.")) (|laurent| (((|Any|) |#2| (|Equation| |#2|) (|Integer|)) "\\spad{laurent(f,x = a,n)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{laurent(f,x = a)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Integer|)) "\\spad{laurent(f,n)} returns a Laurent expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{laurent(f)} returns a Laurent expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{laurent(x)} returns \\spad{x} viewed as a Laurent series.")) (|taylor| (((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|)) "\\spad{taylor(f,x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{taylor(f,x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|NonNegativeInteger|)) "\\spad{taylor(f,n)} returns a Taylor expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{taylor(f)} returns a Taylor expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{taylor(x)} returns \\spad{x} viewed as a Taylor series."))) 
 NIL 
 NIL 
-(-332 R) 
+(|Expression| R) 
 ((|constructor| (NIL "Top-level mathematical expressions involving symbolic functions.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} is not documented")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} is not documented")) (|simplifyPower| (($ $ (|Integer|)) "simplifyPower?(f,n) is not documented")) (|number?| (((|Boolean|) $) "\\spad{number?(f)} tests if \\spad{f} is rational")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic quantities present in \\spad{f} by applying their defining relations."))) 
-((-4622 -3836 (-1732 (|has| |#1| (-1075)) (|has| |#1| (-654 (-592)))) (-12 (|has| |#1| (-582)) (-3836 (-1732 (|has| |#1| (-1075)) (|has| |#1| (-654 (-592)))) (|has| |#1| (-1075)) (|has| |#1| (-502)))) (|has| |#1| (-1075)) (|has| |#1| (-502))) (-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) ((-4627 "*") |has| |#1| (-582)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-582)) (-4617 |has| |#1| (-582))) 
-((|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-1075))) (-3836 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-1075)))) (-12 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-21))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1131))) (-3836 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#1| (QUOTE (-1131)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-1131)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1075)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1131)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582))))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582))))) (|HasCategory| $ (QUOTE (-1075))) (|HasCategory| $ (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-333 R -3958) 
+((|unitsKnown| OR (|and| (|has| |#1| (|Ring|)) (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (AND (|has| |#1| (|IntegralDomain|)) (OR (|and| (|has| |#1| (|Ring|)) (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (|has| |#1| (|Ring|)) (|has| |#1| (|Group|)))) (|has| |#1| (|Ring|)) (|has| |#1| (|Group|))) (|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) ((|commutative| "*") |has| |#1| (|IntegralDomain|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|IntegralDomain|)) (|canonicalsClosed| |has| |#1| (|IntegralDomain|))) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (OR (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (AND (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (OR (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|)))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (OR (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|)))) (|HasCategory| |#1| (QUOTE (|SemiGroup|))) (OR (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#1| (QUOTE (|SemiGroup|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|SemiGroup|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|SemiGroup|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))))) (|HasCategory| $ (QUOTE (|Ring|))) (|HasCategory| $ (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|ExpressionSpaceODESolver| R F) 
 ((|constructor| (NIL "Taylor series solutions of explicit ODE's.")) (|seriesSolve| (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, [b0,...,bn])} is equivalent to \\spad{seriesSolve(eq = 0, \\spad{y,} \\spad{x} = a, [b0,...,b(n-1)])}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, \\spad{y} a = \\spad{b)}} is equivalent to \\spad{seriesSolve(eq=0, \\spad{y,} x=a, \\spad{y} a = b)}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, \\spad{b)}} is equivalent to \\spad{seriesSolve(eq = 0, \\spad{y,} \\spad{x} = a, \\spad{y} a = b)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,y, x=a, \\spad{b)}} is equivalent to \\spad{seriesSolve(eq, \\spad{y,} x=a, \\spad{y} a = b)}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = \\spad{a,[y1} a = b1,..., \\spad{yn} a = bn]) is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], x=a, [b1,...,bn])} is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], x=a, [b1,...,bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], x=a, [b1,...,bn])} is equivalent to \\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "\\spad{seriesSolve([eq1,...,eqn],[y1,...,yn],x = \\spad{a,[y1} a = b1,...,yn a = bn])} returns a taylor series solution of \\spad{[eq1,...,eqn]} around \\spad{x = a} with initial conditions \\spad{yi(a) = bi}. Note that eqi must be of the form \\spad{fi(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} \\spad{x)} y1'(x) + gi(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} \\spad{x)} = h(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} x)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,y,x=a,[b0,...,b(n-1)])} returns a Taylor series solution of \\spad{eq} around \\spad{x = a} with initial conditions \\spad{y(a) = b0}, \\spad{y'(a) = b1}, \\spad{y''(a) = b2}, ...,\\spad{y(n-1)(a) = b(n-1)} \\spad{eq} must be of the form \\spad{f(x, \\spad{y} \\spad{x,} y'(x),..., y(n-1)(x)) y(n)(x) + g(x,y x,y'(x),...,y(n-1)(x)) = h(x,y \\spad{x,} y'(x),..., y(n-1)(x))}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,y,x=a, \\spad{y} a = \\spad{b)}} returns a Taylor series solution of \\spad{eq} around \\spad{x} = a with initial condition \\spad{y(a) = \\spad{b}.} Note that \\spad{eq} must be of the form \\spad{f(x, \\spad{y} \\spad{x)} y'(x) + g(x, \\spad{y} \\spad{x)} = h(x, \\spad{y} x)}."))) 
 NIL 
 NIL 
-(-334 R -3958 UTSF UTSSUPF) 
+(|ExpressionSolve| R F UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-335) 
+(|ExpressionTubePlot|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tubePlot| (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n,s)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. If \\spad{s} = \"closed\", the tube is considered to be closed; if \\spad{s} = \"open\", the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. The tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n,s)} puts a tube of radius \\spad{r(t)} with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. If \\spad{s} = \"closed\", the tube is considered to be closed; if \\spad{s} = \"open\", the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n)} puts a tube of radius r(t) with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. The tube is considered to be open.")) (|constantToUnaryFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{constantToUnaryFunction(s)} is a local function which takes the value of \\spad{s,} which may be a function of a constant, and returns a function which always returns the value \\spadtype{DoubleFloat} \\spad{s.}"))) 
 NIL 
 NIL 
-(-336 FE |var| |cen|) 
+(|ExponentialOfUnivariatePuiseuxSeries| FE |var| |cen|) 
 ((|constructor| (NIL "ExponentialOfUnivariatePuiseuxSeries is a domain used to represent essential singularities of functions. An object in this domain is a function of the form \\spad{exp(f(x))}, where \\spad{f(x)} is a Puiseux series with no terms of non-negative degree. Objects are ordered according to order of singularity, with functions which tend more rapidly to zero or infinity considered to be larger. Thus, if \\spad{order(f(x)) < order(g(x))}, \\spadignore{i.e.} the first non-zero term of \\spad{f(x)} has lower degree than the first non-zero term of \\spad{g(x)}, then \\spad{exp(f(x)) > exp(g(x))}. If \\spad{order(f(x)) = order(g(x))}, then the ordering is essentially random. This domain is used in computing limits involving functions with essential singularities.")) (|exponentialOrder| (((|Fraction| (|Integer|)) $) "\\spad{exponentialOrder(exp(c * \\spad{x} **(-n) + ...))} returns \\spad{-n}. exponentialOrder(0) returns \\spad{0}.")) (|exponent| (((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $) "\\spad{exponent(exp(f(x)))} returns \\spad{f(x)}")) (|exponential| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{exponential(f(x))} returns \\spad{exp(f(x))}. Note: the function does NOT check that \\spad{f(x)} has no non-negative terms."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|))))) (|HasCategory| (-433 (-592)) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-337 K) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|))))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| K) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-338 M) 
+(|FactoredFunctions| M) 
 ((|constructor| (NIL "computes various functions on factored arguments.")) (|log| (((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)) "\\spad{log(f)} returns \\spad{[(a1,b1),...,(am,bm)]} such that the logarithm of \\spad{f} is equal to \\spad{a1*log(b1) + \\spad{...} + am*log(bm)}.")) (|nthRoot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|)) "\\spad{nthRoot(f, \\spad{n)}} returns \\spad{(p, \\spad{r,} [r1,...,rm])} such that the nth-root of \\spad{f} is equal to \\spad{r * \\spad{pth-root(r1} * \\spad{...} * rm)}, where r1,...,rm are distinct factors of \\spad{f,} each of which has an exponent smaller than \\spad{p} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-339 K) 
+(|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| K) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-340 E OV R P) 
+(|FactoringUtilities| E OV R P) 
 ((|constructor| (NIL "This package provides utilities used by the factorizers which operate on polynomials represented as univariate polynomials with multivariate coefficients.")) (|ran| ((|#3| (|Integer|)) "\\spad{ran(k)} computes a random integer between \\spad{-k} and \\spad{k} as a member of \\spad{R.}")) (|normalDeriv| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|)) "\\spad{normalDeriv(poly,i)} computes the \\spad{i}th derivative of \\spad{poly} divided by i!.")) (|raisePolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|)) "\\spad{raisePolynomial(rpoly)} converts \\spad{rpoly} from a univariate polynomial over \\spad{r} to be a univariate polynomial with polynomial coefficients.")) (|lowerPolynomial| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{lowerPolynomial(upoly)} converts \\spad{upoly} to be a univariate polynomial over \\spad{R.} An error if the coefficients contain variables.")) (|variables| (((|List| |#2|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{variables(upoly)} returns the list of variables for the coefficients of upoly.")) (|degree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|)) "\\spad{degree(upoly, lvar)} returns a list containing the maximum degree for each variable in lvar.")) (|completeEval| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|)) "\\spad{completeEval(upoly, lvar, lval)} evaluates the polynomial \\spad{upoly} with each variable in \\spad{lvar} replaced by the corresponding value in lval. Substitutions are done for all variables in \\spad{upoly} producing a univariate polynomial over \\spad{R.}"))) 
 NIL 
 NIL 
-(-341 S) 
+(|FreeAbelianGroup| S) 
 ((|constructor| (NIL "Free abelian group on any set of generators The free abelian group on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are integers. The operation is commutative."))) 
-((-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-814)))) 
-(-342 S E) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedAbelianMonoid|)))) 
+(|FreeAbelianMonoidCategory| S E) 
 ((|constructor| (NIL "A free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are in a given abelian monoid. The operation is commutative.")) (|highCommonTerms| (($ $ $) "\\spad{highCommonTerms(e1 \\spad{a1} + \\spad{...} + en an, \\spad{f1} \\spad{b1} + \\spad{...} + \\spad{fm} bm)} returns \\spad{reduce(+,[max(ei, fi) ci])} where \\spad{ci} ranges in the intersection of \\spad{{a1,...,an}} and \\spad{{b1,...,bm}}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{e1} \\spad{a1} +...+ en an)} returns \\spad{e1 f(a1) +...+ en f(an)}.")) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapCoef(f, \\spad{e1} \\spad{a1} +...+ en an)} returns \\spad{f(e1) \\spad{a1} +...+ f(en) an}.")) (|coefficient| ((|#2| |#1| $) "\\spad{coefficient(s, \\spad{e1} \\spad{a1} + \\spad{...} + en an)} returns \\spad{ei} such that \\spad{ai} = \\spad{s,} or 0 if \\spad{s} is not one of the ai's.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th term of \\spad{x.}")) (|nthCoef| ((|#2| $ (|Integer|)) "\\spad{nthCoef(x, \\spad{n)}} returns the coefficient of the n^th term of \\spad{x.}")) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{terms(e1 \\spad{a1} + \\spad{...} + en an)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{size(x) returns the number of terms in \\spad{x.}} \\indented{1}{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en) returns} \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (* (($ |#2| |#1|) "\\spad{e * \\spad{s}} returns \\spad{e} times \\spad{s.}")) (+ (($ |#1| $) "\\spad{s + \\spad{x}} returns the sum of \\spad{s} and \\spad{x.}"))) 
 NIL 
 NIL 
-(-343 S) 
+(|FreeAbelianMonoid| S) 
 ((|constructor| (NIL "Free abelian monoid on any set of generators The free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The operation is commutative."))) 
 NIL 
-((|HasCategory| (-790) (QUOTE (-814)))) 
-(-344 E R1 A1 R2 A2) 
+((|HasCategory| (|NonNegativeInteger|) (QUOTE (|OrderedAbelianMonoid|)))) 
+(|FiniteAbelianMonoidRingFunctions2| E R1 A1 R2 A2) 
 ((|constructor| (NIL "This package provides a mapping function for \\spadtype{FiniteAbelianMonoidRing} The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|map| ((|#5| (|Mapping| |#4| |#2|) |#3|) "\\spad{map}(f, a) applies the map \\spad{f} to each coefficient in a. It is assumed that \\spad{f} maps 0 to 0"))) 
 NIL 
 NIL 
-(-345 S R E) 
+(|FiniteAbelianMonoidRing&| S R E) 
 ((|constructor| (NIL "This category is similar to AbelianMonoidRing, except that the sum is assumed to be finite. It is a useful model for polynomials, but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p.}")) (|content| ((|#2| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p.}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(p,r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r,} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,q,n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#2| |#3| $) "\\spad{pomopo!(p1,r,e,p2)} returns \\spad{p1 + monomial(e,r) * \\spad{p2}} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) "\\spad{mapExponents(fn,u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial u.")) (|minimumDegree| ((|#3| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p.} Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p.}")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p.}")) (|ground| ((|#2| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194)))) 
-(-346 R E) 
+((|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) 
+(|FiniteAbelianMonoidRing| R E) 
 ((|constructor| (NIL "This category is similar to AbelianMonoidRing, except that the sum is assumed to be finite. It is a useful model for polynomials, but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p.}")) (|content| ((|#1| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p.}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(p,r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r,} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,q,n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#1| |#2| $) "\\spad{pomopo!(p1,r,e,p2)} returns \\spad{p1 + monomial(e,r) * \\spad{p2}} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExponents(fn,u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial u.")) (|minimumDegree| ((|#2| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p.} Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p.}")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p.}")) (|ground| ((|#1| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-347 S) 
+(|FlexibleArray| S) 
 ((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations \\spad{append(x,a)} meaning append item \\spad{x} at the end of the array \\spad{a} \\spad{delete(a,n)} meaning delete the last item from the array \\spad{a} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However, these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50% larger) array. Conversely, when the array becomes less than 1/2 full, it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps, stacks and sets."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-348 S -3958) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|FiniteAlgebraicExtensionField&| S F) 
 ((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} that is, for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} that is, for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} thus \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#2| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#2| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-394)))) 
-(-349 -3958) 
+((|HasCategory| |#2| (QUOTE (|Finite|)))) 
+(|FiniteAlgebraicExtensionField| F) 
 ((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} that is, for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} that is, for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} thus \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#1| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#1| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-350) 
+(|FortranCode|) 
 ((|constructor| (NIL "This domain builds representations of program code segments for use with the FortranProgram domain.")) (|setLabelValue| (((|SingleInteger|) (|SingleInteger|)) "\\spad{setLabelValue(i)} resets the counter which produces labels to \\spad{i}")) (|getCode| (((|SExpression|) $) "\\spad{getCode(f)} returns a Lisp list of strings representing \\spad{f} in Fortran notation. This is used by the FortranProgram domain.")) (|printCode| (((|Void|) $) "\\spad{printCode(f)} prints out \\spad{f} in FORTRAN notation.")) (|code| (((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $) "\\spad{code(f)} returns the internal representation of the object represented by \\spad{f}.")) (|operation| (((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) "\\spad{operation(f)} returns the name of the operation represented by \\spad{f}.")) (|common| (($ (|Symbol|) (|List| (|Symbol|))) "\\spad{common(name,contents)} creates a representation a named common block.")) (|printStatement| (($ (|List| (|OutputForm|))) "\\spad{printStatement(l)} creates a representation of a PRINT statement.")) (|save| (($) "\\spad{save()} creates a representation of a SAVE statement.")) (|stop| (($) "\\spad{stop()} creates a representation of a STOP statement.")) (|block| (($ (|List| $)) "\\spad{block(l)} creates a representation of the statements in \\spad{l} as a block.")) (|assign| (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Integer|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Integer|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Float|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Integer|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|String|)) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.")) (|cond| (($ (|Switch|) $ $) "\\spad{cond(s,e,f)} creates a representation of the FORTRAN expression IF \\spad{(s)} THEN \\spad{e} ELSE \\spad{f.}") (($ (|Switch|) $) "\\spad{cond(s,e)} creates a representation of the FORTRAN expression IF \\spad{(s)} THEN e.")) (|returns| (($ (|Expression| (|Complex| (|Float|)))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Integer|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Float|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineComplex|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineInteger|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineFloat|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($) "\\spad{returns()} creates a representation of a FORTRAN RETURN statement.")) (|call| (($ (|String|)) "\\spad{call(s)} creates a representation of a FORTRAN CALL statement")) (|comment| (($ (|List| (|String|))) "\\spad{comment(s)} creates a representation of the Strings \\spad{s} as a multi-line FORTRAN comment.") (($ (|String|)) "\\spad{comment(s)} creates a representation of the String \\spad{s} as a single FORTRAN comment.")) (|continue| (($ (|SingleInteger|)) "\\spad{continue(l)} creates a representation of a FORTRAN CONTINUE labelled with \\spad{l}")) (|goto| (($ (|SingleInteger|)) "\\spad{goto(l)} creates a representation of a FORTRAN GOTO statement")) (|repeatUntilLoop| (($ (|Switch|) $) "\\spad{repeatUntilLoop(s,c)} creates a repeat \\spad{...} until loop in FORTRAN.")) (|whileLoop| (($ (|Switch|) $) "\\spad{whileLoop(s,c)} creates a while loop in FORTRAN.")) (|forLoop| (($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $) "\\spad{forLoop(i=1..10,n,c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10 by \\spad{n.}") (($ (|SegmentBinding| (|Polynomial| (|Integer|))) $) "\\spad{forLoop(i=1..10,c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(f)} returns an object of type OutputForm."))) 
 NIL 
 NIL 
-(-351 E) 
+(|FourierComponent| E) 
 ((|constructor| (NIL "This domain creates kernels for use in Fourier series")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the argument of a given sin/cos expressions")) (|sin?| (((|Boolean|) $) "\\spad{sin?(x)} returns \\spad{true} if term is a sin, otherwise \\spad{false}")) (|cos| (($ |#1|) "\\spad{cos(x)} makes a cos kernel for use in Fourier series")) (|sin| (($ |#1|) "\\spad{sin(x)} makes a sin kernel for use in Fourier series"))) 
 NIL 
 NIL 
-(-352) 
+(|FortranCodePackage1|) 
 ((|constructor| (NIL "\\spadtype{FortranCodePackage1} provides some utilities for producing useful objects in FortranCode domain. The Package may be used with the FortranCode domain and its \\spad{printCode} or possibly via an outputAsFortran. (The package provides items of use in connection with ASPs in the AXIOM-NAG link and, where appropriate, naming accords with that in IRENA.) The easy-to-use functions use Fortran loop variables I1, I2, and it is users' responsibility to check that this is sensible. The advanced functions use SegmentBinding to allow users control over Fortran loop variable names.")) (|identitySquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{identitySquareMatrix(s,p)} \\undocumented{}")) (|zeroSquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroSquareMatrix(s,p)} \\undocumented{}")) (|zeroMatrix| (((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|)))) "\\spad{zeroMatrix(s,b,d)} in this version gives the user control over names of Fortran variables used in loops.") (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|))) "\\spad{zeroMatrix(s,p,q)} uses loop variables in the Fortran, \\spad{I1} and \\spad{I2}")) (|zeroVector| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroVector(s,p)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-353 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
+(|FiniteDivisorFunctions2| R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
 ((|constructor| (NIL "Lift a map to finite divisors.")) (|map| (((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{map(f,d)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-354 S -3958 UP UPUP R) 
+(|FiniteDivisorCategory&| S F UP UPUP R) 
 ((|constructor| (NIL "This category describes finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|generator| (((|Union| |#5| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = \\spad{d},} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) (|:| |principalPart| |#5|)) $) "\\spad{decompose(d)} returns \\spad{[id, \\spad{f]}} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#5| |#3| |#3| |#3| |#2|) "\\spad{divisor(h, \\spad{d,} \\spad{d',} \\spad{g,} \\spad{r)}} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,discriminant)} contains the ramified zeros of \\spad{d}") (($ |#2| |#2| (|Integer|)) "\\spad{divisor(a, \\spad{b,} \\spad{n)}} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#2| |#2|) "\\spad{divisor(a, \\spad{b)}} makes the divisor \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. Error: if \\spad{P} is singular.") (($ |#5|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g.}") (($ (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal I.")) (|ideal| (((|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D.}"))) 
 NIL 
 NIL 
-(-355 -3958 UP UPUP R) 
+(|FiniteDivisorCategory| F UP UPUP R) 
 ((|constructor| (NIL "This category describes finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|generator| (((|Union| |#4| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = \\spad{d},} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) "\\spad{decompose(d)} returns \\spad{[id, \\spad{f]}} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#4| |#2| |#2| |#2| |#1|) "\\spad{divisor(h, \\spad{d,} \\spad{d',} \\spad{g,} \\spad{r)}} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,discriminant)} contains the ramified zeros of \\spad{d}") (($ |#1| |#1| (|Integer|)) "\\spad{divisor(a, \\spad{b,} \\spad{n)}} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#1| |#1|) "\\spad{divisor(a, \\spad{b)}} makes the divisor \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. Error: if \\spad{P} is singular.") (($ |#4|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g.}") (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal I.")) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D.}"))) 
 NIL 
 NIL 
-(-356 -3958 UP UPUP R) 
+(|FiniteDivisor| F UP UPUP R) 
 ((|constructor| (NIL "This domains implements finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|lSpaceBasis| (((|Vector| |#4|) $) "\\spad{lSpaceBasis(d)} returns a basis for \\spad{L(d) = \\spad{{f} | \\spad{(f)} \\spad{>=} -d}} as a module over \\spad{K[x]}.")) (|finiteBasis| (((|Vector| |#4|) $) "\\spad{finiteBasis(d)} returns a basis for \\spad{d} as a module over K[x]."))) 
 NIL 
 NIL 
-(-357 S R) 
+(|FullyEvalableOver&| S R) 
 ((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f, ex)} evaluates ex, applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|) (|devaluate| |#2|)))) 
-(-358 R) 
+((|HasCategory| |#2| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |Eltable|) (|devaluate| |#2|) (|devaluate| |#2|)))) 
+(|FullyEvalableOver| R) 
 ((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f, ex)} evaluates ex, applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
 NIL 
-(-359 |basicSymbols| |subscriptedSymbols| R) 
+(|FortranExpression| |basicSymbols| |subscriptedSymbols| R) 
 ((|constructor| (NIL "A domain of expressions involving functions which can be translated into standard Fortran-77, with some extra extensions from the NAG Fortran Library.")) (|useNagFunctions| (((|Boolean|) (|Boolean|)) "\\spad{useNagFunctions(v)} sets the flag which controls whether NAG functions \\indented{1}{are being used for mathematical and machine constants.\\space{2}The previous} \\indented{1}{value is returned.}") (((|Boolean|)) "\\spad{useNagFunctions()} indicates whether NAG functions are being used \\indented{1}{for mathematical and machine constants.}")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(e)} return a list of all the variables in \\spad{e}.")) (|pi| (($) "\\spad{pi(x)} represents the NAG Library function X01AAF which returns \\indented{1}{an approximation to the value of pi}")) (|tanh| (($ $) "\\spad{tanh(x)} represents the Fortran intrinsic function TANH")) (|cosh| (($ $) "\\spad{cosh(x)} represents the Fortran intrinsic function COSH")) (|sinh| (($ $) "\\spad{sinh(x)} represents the Fortran intrinsic function SINH")) (|atan| (($ $) "\\spad{atan(x)} represents the Fortran intrinsic function ATAN")) (|acos| (($ $) "\\spad{acos(x)} represents the Fortran intrinsic function ACOS")) (|asin| (($ $) "\\spad{asin(x)} represents the Fortran intrinsic function ASIN")) (|tan| (($ $) "\\spad{tan(x)} represents the Fortran intrinsic function TAN")) (|cos| (($ $) "\\spad{cos(x)} represents the Fortran intrinsic function COS")) (|sin| (($ $) "\\spad{sin(x)} represents the Fortran intrinsic function SIN")) (|log10| (($ $) "\\spad{log10(x)} represents the Fortran intrinsic function \\spad{LOG10}")) (|log| (($ $) "\\spad{log(x)} represents the Fortran intrinsic function LOG")) (|exp| (($ $) "\\spad{exp(x)} represents the Fortran intrinsic function EXP")) (|sqrt| (($ $) "\\spad{sqrt(x)} represents the Fortran intrinsic function SQRT")) (|abs| (($ $) "\\spad{abs(x)} represents the Fortran intrinsic function ABS")) (|coerce| (((|Expression| |#3|) $) "\\spad{coerce(x)} is not documented")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Symbol|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| |#3|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.")) (|retract| (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Symbol|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| |#3|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-405)))) (|HasCategory| $ (QUOTE (-1075))) (|HasCategory| $ (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-360 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Float|)))) (|HasCategory| $ (QUOTE (|Ring|))) (|HasCategory| $ (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|FunctionFieldCategoryFunctions2| R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
 ((|constructor| (NIL "Lifts a map from rings to function fields over them.")) (|map| ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f, \\spad{p)}} lifts \\spad{f} to \\spad{F1} and applies it to \\spad{p.}"))) 
 NIL 
 NIL 
-(-361 S -3958 UP UPUP) 
+(|FunctionFieldCategory&| S F UP UPUP) 
 ((|constructor| (NIL "Function field of a curve This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#2|))) "\\spad{rationalPoints()} returns the list of all the affine rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of \\indented{1}{an affine non-singular model for the curve.}")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\indented{1}{\\spad{f=h/d},} \\indented{1}{\\spad{h} is integral at all the normal places w.r.t. \\spad{D},} \\indented{1}{\\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D}} \\indented{1}{is the derivation to use. \\spad{f} must have at most simple finite} \\indented{1}{poles.}")) (|hyperelliptic| (((|Union| |#3| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the \\indented{1}{hyperelliptic} \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elliptic| (((|Union| |#3| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elt| ((|#2| $ |#2| |#2|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} \\indented{1}{at the point \\spad{(x = a, \\spad{y} = b)}} \\indented{1}{if it is not singular.}")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and \\indented{1}{the common content of the numerator of \\spad{f.}}")) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and \\indented{1}{applies it to \\spad{x.}}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#3|)) (|:| |den| |#3|)) (|Mapping| |#3| |#3|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ \\indented{1}{and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form} \\indented{1}{the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis returned} \\indented{1}{by integralBasis().}")) (|integralRepresents| (($ (|Vector| |#3|) |#3|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\indented{1}{\\spad{(A1 w1+...+An wn)/D}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral} \\indented{1}{basis of \\spad{integralBasis()}.}")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / D}\\space{2}where \\spad{(w1,...,wn)} is the} \\indented{1}{integral basis returned by \\spad{integralBasis()}.}")) (|represents| (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}") (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\spad{inverseIntegralMatrixAtInfinity()} returns \\spad{M} such \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\spad{integralMatrixAtInfinity()} returns \\spad{M} such that \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\spad{inverseIntegralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\spad{integralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} \\indented{1}{for all i,j such that \\spad{x**i*bj} is locally integral} \\indented{1}{at infinity.}")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\indented{1}{\\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.}")) (|integral?| (((|Boolean|) $ |#3|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\indented{1}{\\spad{p(x) = 0}}") (((|Boolean|) $ |#2|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\spad{integralBasisAtInfinity()} returns the local integral basis \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\spad{integralBasis()} returns the integral basis for the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#3|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#2|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#3|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#2|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#3|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#2|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\spad{branchPointAtInfinity?()} tests if there is a branch point \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#2| |#2|) "\\spad{rationalPoint?(a, \\spad{b)}} tests if \\spad{(x=a,y=b)} is on the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\spad{absolutelyIrreducible?()} tests if the curve absolutely irreducible? \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus()} returns the genus of one absolutely irreducible component \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\spad{numberOfComponents()} returns the number of absolutely irreducible \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-388)))) 
-(-362 -3958 UP UPUP) 
+((|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|FunctionFieldCategory| F UP UPUP) 
 ((|constructor| (NIL "Function field of a curve This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#1|))) "\\spad{rationalPoints()} returns the list of all the affine rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of \\indented{1}{an affine non-singular model for the curve.}")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\indented{1}{\\spad{f=h/d},} \\indented{1}{\\spad{h} is integral at all the normal places w.r.t. \\spad{D},} \\indented{1}{\\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D}} \\indented{1}{is the derivation to use. \\spad{f} must have at most simple finite} \\indented{1}{poles.}")) (|hyperelliptic| (((|Union| |#2| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the \\indented{1}{hyperelliptic} \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elliptic| (((|Union| |#2| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elt| ((|#1| $ |#1| |#1|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} \\indented{1}{at the point \\spad{(x = a, \\spad{y} = b)}} \\indented{1}{if it is not singular.}")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and \\indented{1}{the common content of the numerator of \\spad{f.}}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and \\indented{1}{applies it to \\spad{x.}}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ \\indented{1}{and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form} \\indented{1}{the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis returned} \\indented{1}{by integralBasis().}")) (|integralRepresents| (($ (|Vector| |#2|) |#2|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\indented{1}{\\spad{(A1 w1+...+An wn)/D}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral} \\indented{1}{basis of \\spad{integralBasis()}.}")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / D}\\space{2}where \\spad{(w1,...,wn)} is the} \\indented{1}{integral basis returned by \\spad{integralBasis()}.}")) (|represents| (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}") (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\spad{inverseIntegralMatrixAtInfinity()} returns \\spad{M} such \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\spad{integralMatrixAtInfinity()} returns \\spad{M} such that \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\spad{inverseIntegralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\spad{integralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} \\indented{1}{for all i,j such that \\spad{x**i*bj} is locally integral} \\indented{1}{at infinity.}")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\indented{1}{\\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.}")) (|integral?| (((|Boolean|) $ |#2|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\indented{1}{\\spad{p(x) = 0}}") (((|Boolean|) $ |#1|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\spad{integralBasisAtInfinity()} returns the local integral basis \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\spad{integralBasis()} returns the integral basis for the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#2|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#1|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#2|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#1|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#2|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#1|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\spad{branchPointAtInfinity?()} tests if there is a branch point \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#1| |#1|) "\\spad{rationalPoint?(a, \\spad{b)}} tests if \\spad{(x=a,y=b)} is on the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\spad{absolutelyIrreducible?()} tests if the curve absolutely irreducible? \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus()} returns the genus of one absolutely irreducible component \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\spad{numberOfComponents()} returns the number of absolutely irreducible \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
-((-4618 |has| (-433 |#2|) (-388)) (-4623 |has| (-433 |#2|) (-388)) (-4617 |has| (-433 |#2|) (-388)) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| |has| (|Fraction| |#2|) (|Field|)) (|canonicalUnitNormal| |has| (|Fraction| |#2|) (|Field|)) (|canonicalsClosed| |has| (|Fraction| |#2|) (|Field|)) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-363 |p| |extdeg|) 
+(|FiniteFieldCyclicGroup| |p| |extdeg|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroup(p,n) implements a finite field extension of degee \\spad{n} over the prime field with \\spad{p} elements. Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial, which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. The Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-932 |#1|) (QUOTE (-171))) (|HasCategory| (-932 |#1|) (QUOTE (-394))) (|HasCategory| (-932 |#1|) (QUOTE (-169))) (-3836 (|HasCategory| (-932 |#1|) (QUOTE (-169))) (|HasCategory| (-932 |#1|) (QUOTE (-394))))) 
-(-364 GF |defpol|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|Finite|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|Finite|))))) 
+(|FiniteFieldCyclicGroupExtensionByPolynomial| GF |defpol|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol) implements a finite extension field of the ground field \\spad{GF.} Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial defpol, which MUST be primitive (user responsibility). Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field it is used to perform additions in the field quickly."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394))))) 
-(-365 GF |extdeg|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))))) 
+(|FiniteFieldCyclicGroupExtension| GF |extdeg|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroupExtension(GF,n) implements a extension of degree \\spad{n} over the ground field \\spad{GF.} Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial, which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394))))) 
-(-366 K |PolK|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))))) 
+(|FiniteFieldFactorization| K |PolK|) 
 ((|constructor| (NIL "Part of the PAFF package"))) 
 NIL 
 NIL 
-(-367 K |PolK|) 
+(|FiniteFieldFactorizationWithSizeParseBySideEffect| K |PolK|) 
 ((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (PAFF) It has been modified (very slitely) so that each time the \"factor\" function is used, the variable related to the size of the field over which the polynomial is factorized is reset. This is done in order to be used with a \"dynamic extension field\" which size is not fixed but set before calling the \"factor\" function and which is parse by side effect to this package via the function \"size\". See the local function \"initialize\" of this package."))) 
 NIL 
 NIL 
-(-368 -1940 V VF) 
+(|FractionFreeFastGaussianFractions| D V VF) 
 ((|constructor| (NIL "This package lifts the interpolation functions from \\spadtype{FractionFreeFastGaussian} to fractions. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(l, CA, \\spad{f,} sumEta, maxEta)} applies generalInterpolation(l, CA, \\spad{f,} eta) for all possible eta with maximal entry maxEta and sum of entries \\spad{sumEta}") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(l, CA, \\spad{f,} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f.} The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point, the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + e.i - [1,1,...,1], where the degree of zero is \\spad{-1.}"))) 
 NIL 
 NIL 
-(-369 -1940 V) 
+(|FractionFreeFastGaussian| D V) 
 ((|constructor| (NIL "This package implements the interpolation algorithm proposed in Beckermann, Bernhard and Labahn, George, Fraction-free computation of matrix rational interpolants and matrix GCDs, SIAM Journal on Matrix Analysis and Applications 22. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|qShiftC| (((|List| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{qShiftC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [1,q,q^2,...]")) (|qShiftAction| ((|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{qShiftAction(q, \\spad{k,} \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where z*(a+b*x+c*x^2+d*x^3+...) = (a+q*b*x+q^2*c*x^2+q^3*d*x^3+...). In terms of sequences, z*u(n)=q^n*u(n).")) (|DiffC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{DiffC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [0,0,0,...]")) (|DiffAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{DiffAction(k, \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where z*(a+b*x+c*x^2+d*x^3+...) = (a*x+b*x^2+c*x^3+...), \\spadignore{i.e.} multiplication with \\spad{x.}")) (|ShiftC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{ShiftC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [0,1,2,...]")) (|ShiftAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{ShiftAction(k, \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where \\spad{z*(a+b*x+c*x^2+d*x^3+...) = (b*x+2*c*x^2+3*d*x^3+...)}. In terms of sequences, z*u(n)=n*u(n).")) (|generalCoefficient| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalCoefficient(action, \\spad{f,} \\spad{k,} \\spad{p)}} gives the coefficient of \\spad{x^k} in p(z)\\dot f(x), where the \\spad{action} of \\spad{z^l} on a polynomial in \\spad{x} is given by action, \\spadignore{i.e.} action(k, \\spad{l,} \\spad{f)} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(C, CA, \\spad{f,} sumEta, maxEta)} applies \\spad{generalInterpolation(C, CA, \\spad{f,} eta)} for all possible \\spad{eta} with maximal entry \\spad{maxEta} and sum of entries at most \\spad{sumEta}. \\blankline The first argument \\spad{C} is the list of coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x). \\blankline The second argument, CA(k, \\spad{l,} \\spad{f),} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(C, CA, \\spad{f,} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f.} The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point, the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + e.i - [1,1,...,1], where the degree of zero is \\spad{-1.} \\blankline The first argument \\spad{C} is the list of coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x). \\blankline The second argument, CA(k, \\spad{l,} \\spad{f),} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).")) (|interpolate| (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolate(xlist, ylist, deg} returns the rational function with numerator degree \\spad{deg} that interpolates the given points using fraction free arithmetic.") (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{interpolate(xlist, ylist, deg} returns the rational function with numerator degree at most \\spad{deg} and denominator degree at most \\spad{\\#xlist-deg-1} that interpolates the given points using fraction free arithmetic. Note that rational interpolation does not guarantee that all given points are interpolated correctly: unattainable points may make this impossible.")) (|fffg| (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|))) "\\spad{fffg} is the general algorithm as proposed by Beckermann and Labahn. \\blankline The first argument is the list of c_{i,i}. These are the only values of \\spad{C} explicitely needed in \\spad{fffg}. \\blankline The second argument \\spad{c,} computes c_k(M), \\spadignore{i.e.} c_k(.) is the dual basis of the vector space \\spad{V,} but also knows about the special multiplication rule as descibed in Equation (2). Note that the information about \\spad{f} is therefore encoded in \\spad{c.} \\blankline The third argument is the vector of degree bounds \\spad{n,} as introduced in Definition 2.1. In particular, the sum of the entries is the order of the Mahler system computed."))) 
 NIL 
 NIL 
-(-370 GF) 
+(|FiniteFieldFunctions| GF) 
 ((|constructor| (NIL "FiniteFieldFunctions(GF) is a package with functions concerning finite extension fields of the finite ground field \\spad{GF,} \\spadignore{e.g.} Zech logarithms.")) (|createLowComplexityNormalBasis| (((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)) "\\spad{createLowComplexityNormalBasis(n)} tries to find a a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix If no low complexity basis is found it calls \\axiomFunFrom{createNormalPoly}{FiniteFieldPolynomialPackage}(n) to produce a normal polynomial of degree \\spad{n} over \\spad{GF}")) (|createLowComplexityTable| (((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|)) "\\spad{createLowComplexityTable(n)} tries to find a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix Fails, if it does not find a low complexity basis")) (|sizeMultiplication| (((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{sizeMultiplication(m)} returns the number of entries of the multiplication table \\spad{m.}")) (|createMultiplicationMatrix| (((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{createMultiplicationMatrix(m)} forms the multiplication table \\spad{m} into a matrix over the ground field.")) (|createMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createMultiplicationTable(f)} generates a multiplication table for the normal basis of the field extension determined by \\spad{f.} This is needed to perform multiplications between elements represented as coordinate vectors to this basis. See \\spadtype{FFNBP}, \\spadtype{FFNBX}.")) (|createZechTable| (((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createZechTable(f)} generates a Zech logarithm table for the cyclic group representation of a extension of the ground field by the primitive polynomial f(x), \\spadignore{i.e.} \\spad{Z(i)}, defined by x**Z(i) = 1+x**i is stored at index i. This is needed in particular to perform addition of field elements in finite fields represented in this way. See \\spadtype{FFCGP}, \\spadtype{FFCGX}."))) 
 NIL 
 NIL 
-(-371 F1 GF F2) 
+(|FiniteFieldHomomorphisms| F1 GF F2) 
 ((|constructor| (NIL "FiniteFieldHomomorphisms(F1,GF,F2) exports coercion functions of elements between the fields \\spad{F1} and \\spad{F2,} which both must be finite simple algebraic extensions of the finite ground field \\spad{GF.}")) (|coerce| ((|#1| |#3|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F2} in \\spad{F1,} where coerce is a field homomorphism between the fields extensions \\spad{F2} and \\spad{F1} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F2} doesn't divide the extension degree of \\spad{F1.} Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse.") ((|#3| |#1|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F1} in \\spad{F2.} Thus coerce is a field homomorphism between the fields extensions \\spad{F1} and \\spad{F2} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F1} doesn't divide the extension degree of \\spad{F2.} Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse."))) 
 NIL 
 NIL 
-(-372 S) 
+(|FiniteFieldCategory&| S) 
 ((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation, one of: \\spad{prime}, \\spad{polynomial}, \\spad{normal}, or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field, \\spadignore{i.e.} is a primitive element. Implementation Note that see ch.IX.1.3, \\spad{th.2} in \\spad{D.} Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call, the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which, called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of \\spad{size()-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)}, given a matrix representing a homogeneous system of equations, returns a vector whose characteristic'th powers is a non-trivial solution, or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
 NIL 
 NIL 
-(-373) 
+(|FiniteFieldCategory|) 
 ((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation, one of: \\spad{prime}, \\spad{polynomial}, \\spad{normal}, or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field, \\spadignore{i.e.} is a primitive element. Implementation Note that see ch.IX.1.3, \\spad{th.2} in \\spad{D.} Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call, the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which, called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of \\spad{size()-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)}, given a matrix representing a homogeneous system of equations, returns a vector whose characteristic'th powers is a non-trivial solution, or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-374 R UP -3958) 
+(|FunctionFieldIntegralBasis| R UP F) 
 ((|constructor| (NIL "Integral bases for function fields of dimension one In this package \\spad{R} is a Euclidean domain and \\spad{F} is a framed algebra over \\spad{R.} The package provides functions to compute the integral closure of \\spad{R} in the quotient field of \\spad{F.} It is assumed that \\spad{char(R/P) = char(R)} for any prime \\spad{P} of \\spad{R.} A typical instance of this is when \\spad{R = K[x]} and \\spad{F} is a function field over \\spad{R.}")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
-(-375 |p| |extdeg|) 
+(|FiniteFieldNormalBasis| |p| |extdeg|) 
 ((|constructor| (NIL "FiniteFieldNormalBasis(p,n) implements a finite extension field of degree \\spad{n} over the prime field with \\spad{p} elements. The elements are represented by coordinate vectors with respect to a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element. This is chosen as a root of the extension polynomial created by createNormalPoly")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: The time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| (|PrimeField| |#1|))) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-932 |#1|) (QUOTE (-171))) (|HasCategory| (-932 |#1|) (QUOTE (-394))) (|HasCategory| (-932 |#1|) (QUOTE (-169))) (-3836 (|HasCategory| (-932 |#1|) (QUOTE (-169))) (|HasCategory| (-932 |#1|) (QUOTE (-394))))) 
-(-376 GF |uni|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|Finite|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|Finite|))))) 
+(|FiniteFieldNormalBasisExtensionByPolynomial| GF |uni|) 
 ((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(GF,uni) implements a finite extension of the ground field \\spad{GF.} The elements are represented by coordinate vectors with respect to. a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element, where \\spad{q} is the size of \\spad{GF.} The normal element is chosen as a root of the extension polynomial, which MUST be normal over \\spad{GF} (user responsibility)")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394))))) 
-(-377 GF |extdeg|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))))) 
+(|FiniteFieldNormalBasisExtension| GF |extdeg|) 
 ((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(GF,n) implements a finite extension field of degree \\spad{n} over the ground field \\spad{GF.} The elements are represented by coordinate vectors with respect to a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element. This is chosen as a root of the extension polynomial, created by createNormalPoly from \\spadtype{FiniteFieldPolynomialPackage}")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394))))) 
-(-378 |p| |n|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))))) 
+(|FiniteField| |p| |n|) 
 ((|constructor| (NIL "FiniteField(p,n) implements finite fields with p**n elements. This packages checks that \\spad{p} is prime. For a non-checking version, see \\spadtype{InnerFiniteField}."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-932 |#1|) (QUOTE (-171))) (|HasCategory| (-932 |#1|) (QUOTE (-394))) (|HasCategory| (-932 |#1|) (QUOTE (-169))) (-3836 (|HasCategory| (-932 |#1|) (QUOTE (-169))) (|HasCategory| (-932 |#1|) (QUOTE (-394))))) 
-(-379 GF |defpol|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|Finite|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| (|PrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PrimeField| |#1|) (QUOTE (|Finite|))))) 
+(|FiniteFieldExtensionByPolynomial| GF |defpol|) 
 ((|constructor| (NIL "FiniteFieldExtensionByPolynomial(GF, defpol) implements the extension of the finite field \\spad{GF} generated by the extension polynomial defpol which MUST be irreducible."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394))))) 
-(-380 -3958 GF) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))))) 
+(|FiniteFieldPolynomialPackage2| F GF) 
 ((|constructor| (NIL "FiniteFieldPolynomialPackage2(F,GF) exports some functions concerning finite fields, which depend on a finite field \\spad{GF} and an algebraic extension \\spad{F} of \\spad{GF,} \\spadignore{e.g.} a zero of a polynomial over \\spad{GF} in \\spad{F.}")) (|rootOfIrreduciblePoly| ((|#1| (|SparseUnivariatePolynomial| |#2|)) "\\spad{rootOfIrreduciblePoly(f)} computes one root of the monic, irreducible polynomial \\spad{f,} which degree must divide the extension degree of \\spad{F} over \\spad{GF,} \\spadignore{i.e.} \\spad{f} splits into linear factors over \\spad{F.}")) (|Frobenius| ((|#1| |#1|) "\\spad{Frobenius(x)} \\undocumented{}")) (|basis| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{}")) (|lookup| (((|PositiveInteger|) |#1|) "\\spad{lookup(x)} \\undocumented{}")) (|coerce| ((|#1| |#2|) "\\spad{coerce(x)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-381 GF) 
+(|FiniteFieldPolynomialPackage| GF) 
 ((|constructor| (NIL "This package provides a number of functions for generating, counting and testing irreducible, normal, primitive, random polynomials over finite fields.")) (|reducedQPowers| (((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reducedQPowers(f)} generates \\spad{[x,x**q,x**(q**2),...,x**(q**(n-1))]} reduced modulo \\spad{f} where \\spad{q = size()$GF} and \\spad{n = degree \\spad{f}.}")) (|leastAffineMultiple| (((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{leastAffineMultiple(f)} computes the least affine polynomial which is divisible by the polynomial \\spad{f} over the finite field \\spad{GF,} \\spadignore{i.e.} a polynomial whose exponents are 0 or a power of \\spad{q,} the size of \\spad{GF.}")) (|random| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{random(m,n)}$FFPOLY(GF) generates a random monic polynomial of degree \\spad{d} over the finite field \\spad{GF,} \\spad{d} between \\spad{m} and \\spad{n.}") (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{random(n)}$FFPOLY(GF) generates a random monic polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|nextPrimitiveNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitiveNormalPoly(f)} yields the next primitive normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or, in case these numbers are equal, if the lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than this number for \\spad{g.} If these numbers are equals, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than that for \\spad{g,} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g.} If these lists are also equal, the lists of coefficients are coefficients according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextNormalPrimitivePoly(f).")) (|nextNormalPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPrimitivePoly(f)} yields the next normal primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or if lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than this number for \\spad{g.} Otherwise, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextPrimitiveNormalPoly(f).")) (|nextNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPoly(f)} yields the next normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than that for \\spad{g.} In case these numbers are equal, \\spad{f < \\spad{g}} if if the number of monomials of \\spad{f} is less that for \\spad{g} or if the list of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitivePoly(f)} yields the next primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g.} If these values are equal, then \\spad{f < \\spad{g}} if if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextIrreduciblePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextIrreduciblePoly(f)} yields the next monic irreducible polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than this number for \\spad{g.} If \\spad{f} and \\spad{g} have the same number of monomials, the lists of exponents are compared lexicographically. If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|createPrimitiveNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitiveNormalPoly(n)}$FFPOLY(GF) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF.} polynomial of degree \\spad{n} over the field \\spad{GF.}")) (|createNormalPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPrimitivePoly(n)}$FFPOLY(GF) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF.} Note that this function is equivalent to createPrimitiveNormalPoly(n)")) (|createNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPoly(n)}$FFPOLY(GF) generates a normal polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|createPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitivePoly(n)}$FFPOLY(GF) generates a primitive polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|createIrreduciblePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createIrreduciblePoly(n)}$FFPOLY(GF) generates a monic irreducible univariate polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfNormalPoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfNormalPoly(n)}$FFPOLY(GF) yields the number of normal polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfPrimitivePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfPrimitivePoly(n)}$FFPOLY(GF) yields the number of primitive polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfIrreduciblePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfIrreduciblePoly(n)}$FFPOLY(GF) yields the number of monic irreducible univariate polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|normal?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{normal?(f)} tests whether the polynomial \\spad{f} over a finite field is normal, \\spadignore{i.e.} its roots are linearly independent over the field.")) (|primitive?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{primitive?(f)} tests whether the polynomial \\spad{f} over a finite field is primitive, \\spadignore{i.e.} all its roots are primitive."))) 
 NIL 
 NIL 
-(-382 -3958 FP FPP) 
+(|FiniteFieldSolveLinearPolynomialEquation| F FP FPP) 
 ((|constructor| (NIL "This package solves linear diophantine equations for Bivariate polynomials over finite fields")) (|solveLinearPolynomialEquation| (((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists."))) 
 NIL 
 NIL 
-(-383 K |PolK|) 
+(|FiniteFieldSquareFreeDecomposition| K |PolK|) 
 ((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (PAFF)"))) 
 NIL 
 NIL 
-(-384 GF |n|) 
+(|FiniteFieldExtension| GF |n|) 
 ((|constructor| (NIL "FiniteFieldExtensionByPolynomial(GF, \\spad{n)} implements an extension of the finite field \\spad{GF} of degree \\spad{n} generated by the extension polynomial constructed by createIrreduciblePoly from \\spadtype{FiniteFieldPolynomialPackage}."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394))))) 
-(-385 R |ls|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|))))) 
+(|FGLMIfCanPackage| R |ls|) 
 ((|constructor| (NIL "This is just an interface between several packages and domains. The goal is to compute lexicographical Groebner bases of sets of polynomial with type \\spadtype{Polynomial \\spad{R}} by the FGLM algorithm if this is possible (\\spadignore{i.e.} if the input system generates a zero-dimensional ideal).")) (|groebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))) "\\axiom{groebner(lq1)} returns the lexicographical Groebner basis of \\axiom{lq1}. If \\axiom{lq1} generates a zero-dimensional ideal then the FGLM strategy is used, otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|))) "\\axiom{fglmIfCan(lq1)} returns the lexicographical Groebner basis of \\axiom{lq1} by using the FGLM strategy, if \\axiom{zeroDimensional?(lq1)} holds.")) (|zeroDimensional?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "\\axiom{zeroDimensional?(lq1)} returns \\spad{true} iff \\axiom{lq1} generates a zero-dimensional ideal w.r.t. the variables of \\axiom{ls}."))) 
 NIL 
 NIL 
-(-386 S) 
+(|FreeGroup| S) 
 ((|constructor| (NIL "Free group on any set of generators The free group on a set \\spad{S} is the group of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are integers. The multiplication is not commutative.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|Integer|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (** (($ |#1| (|Integer|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-387 S) 
+(|Field&| S) 
 ((|constructor| (NIL "The category of commutative fields, \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\br \\tab{5}\\spad{a*(b/a) = b}\\br \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0}, \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y.} Error: if \\spad{y} is 0."))) 
 NIL 
 NIL 
-(-388) 
+(|Field|) 
 ((|constructor| (NIL "The category of commutative fields, \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\br \\tab{5}\\spad{a*(b/a) = b}\\br \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0}, \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y.} Error: if \\spad{y} is 0."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-389 |Name| S) 
+(|FileCategory| |Name| S) 
 ((|constructor| (NIL "This category provides an interface to operate on files in the computer's file system. The precise method of naming files is determined by the Name parameter. The type of the contents of the file is determined by \\spad{S.}")) (|flush| (((|Void|) $) "\\spad{flush(f)} makes sure that buffered data is written out")) (|write!| ((|#2| $ |#2|) "\\spad{write!(f,s)} puts the value \\spad{s} into the file \\spad{f.} The state of \\spad{f} is modified so subsequents call to \\spad{write!} will append one after another.")) (|read!| ((|#2| $) "\\spad{read!(f)} extracts a value from file \\spad{f.} The state of \\spad{f} is modified so a subsequent call to \\spadfun{read!} will return the next element.")) (|iomode| (((|String|) $) "\\spad{iomode(f)} returns the status of the file \\spad{f.} The input/output status of \\spad{f} may be \"input\", \"output\" or \"closed\" mode.")) (|name| ((|#1| $) "\\spad{name(f)} returns the external name of the file \\spad{f.}")) (|close!| (($ $) "\\spad{close!(f)} returns the file \\spad{f} closed to input and output.")) (|reopen!| (($ $ (|String|)) "\\spad{reopen!(f,mode)} returns a file \\spad{f} reopened for operation in the indicated mode: \"input\" or \"output\". \\spad{reopen!(f,\"input\")} will reopen the file \\spad{f} for input.")) (|open| (($ |#1| (|String|)) "\\spad{open(s,mode)} returns a file \\spad{s} open for operation in the indicated mode: \"input\" or \"output\".") (($ |#1|) "\\spad{open(s)} returns the file \\spad{s} open for input."))) 
 NIL 
 NIL 
-(-390 S) 
+(|File| S) 
 ((|constructor| (NIL "This domain provides a basic model of files to save arbitrary values. The operations provide sequential access to the contents.")) (|readIfCan!| (((|Union| |#1| "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f,} if possible. If \\spad{f} is not open for reading, or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
-(-391 S R) 
+(|FiniteRankNonAssociativeAlgebra&| S R) 
 ((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#2|))) "\\spad{associatorDependence()} looks for the associator identities, that is, finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, that is, satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, that is, satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, that is, \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#2| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#2| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#2| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#2| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#2| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#2| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-582)))) 
-(-392 R) 
+((|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) 
+(|FiniteRankNonAssociativeAlgebra| R) 
 ((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#1|))) "\\spad{associatorDependence()} looks for the associator identities, that is, finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, that is, satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, that is, satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, that is, \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#1| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#1| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#1| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#1| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#1| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#1| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
-((-4622 |has| |#1| (-582)) (-4620 . T) (-4619 . T)) 
+((|unitsKnown| |has| |#1| (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-393 S) 
+(|Finite&| S) 
 ((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|enumerate| (((|List| $)) "\\indented{1}{enumerate() returns a list of elements of the set} \\blankline \\spad{X} enumerate()$OrderedVariableList([p,q])")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup \\spad{x}.}")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}-th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
 NIL 
 NIL 
-(-394) 
+(|Finite|) 
 ((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|enumerate| (((|List| $)) "\\indented{1}{enumerate() returns a list of elements of the set} \\blankline \\spad{X} enumerate()$OrderedVariableList([p,q])")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup \\spad{x}.}")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}-th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
 NIL 
 NIL 
-(-395 S R UP) 
+(|FiniteRankAlgebra&| S R UP) 
 ((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free R-module of finite rank.")) (|minimalPolynomial| ((|#3| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#3| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{traceMatrix([v1,..,vn])} is the n-by-n matrix ( Tr(vi * \\spad{vj)} )")) (|discriminant| ((|#2| (|Vector| $)) "\\spad{discriminant([v1,..,vn])} returns \\spad{determinant(traceMatrix([v1,..,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,..,an],[v1,..,vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,...,vm], basis)} returns the coordinates of the vi's with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#2| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#2| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{regularRepresentation(a,basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-388)))) 
-(-396 R UP) 
+((|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|FiniteRankAlgebra| R UP) 
 ((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free R-module of finite rank.")) (|minimalPolynomial| ((|#2| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#2| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{traceMatrix([v1,..,vn])} is the n-by-n matrix ( Tr(vi * \\spad{vj)} )")) (|discriminant| ((|#1| (|Vector| $)) "\\spad{discriminant([v1,..,vn])} returns \\spad{determinant(traceMatrix([v1,..,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,..,an],[v1,..,vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,...,vm], basis)} returns the coordinates of the vi's with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#1| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#1| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{regularRepresentation(a,basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-397 S A R B) 
+(|FiniteLinearAggregateFunctions2| S A R B) 
 ((|constructor| (NIL "\\spad{FiniteLinearAggregateFunctions2} provides functions involving two FiniteLinearAggregates where the underlying domains might be different. An example of this might be creating a list of rational numbers by mapping a function across a list of integers where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,a,r)} successively applies \\spad{reduce(f,x,r)} to more and more leading sub-aggregates \\spad{x} of aggregrate \\spad{a}. More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then \\spad{scan(f,a,r)} returns \\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,a,r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialized to \\spad{r.} For example, \\spad{reduce(_+$Integer,[1,2,3],0)} does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as the identity element for the function \\spad{f.}")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,a)} applies function \\spad{f} to each member of aggregate \\spad{a} resulting in a new aggregate over a possibly different underlying domain."))) 
 NIL 
 NIL 
-(-398 A S) 
+(|FiniteLinearAggregate&| A S) 
 ((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse}, \\spadfun{sort}, and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort!(p,u)} returns \\spad{u} with its elements ordered by \\spad{p.}")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,v,i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element i.")) (|position| (((|Integer|) |#2| $ (|Integer|)) "\\spad{position(x,a,n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{i \\spad{>=} \\spad{n},} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#2| $) "\\spad{position(x,a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}") (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{position(p,a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{p(x)} is true, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sorted?(p,a)} tests if \\axiom{a} is sorted according to predicate \\spad{p.}")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(u) = sort(<=,u)}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort(p,a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p.}")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(u,v) = merge(<=,u,v)}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge(p,a,b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b.} The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{p(x,y)} is true, then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen, the next element of \\axiom{a} is examined, and so on. When all the elements of one aggregate are examined, the remaining elements of the other are appended. For example, \\axiom{merge(<,[1,3],[2,7,5])} returns \\axiom{[1,2,3,7,5]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626)) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119)))) 
-(-399 S) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|)) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) 
+(|FiniteLinearAggregate| S) 
 ((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse}, \\spadfun{sort}, and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort!(p,u)} returns \\spad{u} with its elements ordered by \\spad{p.}")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,v,i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element i.")) (|position| (((|Integer|) |#1| $ (|Integer|)) "\\spad{position(x,a,n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{i \\spad{>=} \\spad{n},} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#1| $) "\\spad{position(x,a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}") (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{position(p,a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{p(x)} is true, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sorted?(p,a)} tests if \\axiom{a} is sorted according to predicate \\spad{p.}")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(u) = sort(<=,u)}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort(p,a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p.}")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(u,v) = merge(<=,u,v)}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge(p,a,b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b.} The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{p(x,y)} is true, then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen, the next element of \\axiom{a} is examined, and so on. When all the elements of one aggregate are examined, the remaining elements of the other are appended. For example, \\axiom{merge(<,[1,3],[2,7,5])} returns \\axiom{[1,2,3,7,5]}."))) 
-((-4625 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-400 |VarSet| R) 
+(|FreeLieAlgebra| |VarSet| R) 
 ((|constructor| (NIL "The category of free Lie algebras. It is used by domains of non-commutative algebra: \\spadtype{LiePolynomial} and \\spadtype{XPBWPolynomial}.")) (|eval| (($ $ (|List| |#1|) (|List| $)) "\\axiom{eval(p, [x1,...,xn], [v1,...,vn])} replaces \\axiom{xi} by \\axiom{vi} in \\axiom{p}.") (($ $ |#1| $) "\\axiom{eval(p, \\spad{x,} \\spad{v)}} replaces \\axiom{x} by \\axiom{v} in \\axiom{p}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\axiom{trunc(p,n)} returns the polynomial \\axiom{p} truncated at order \\axiom{n}.")) (|mirror| (($ $) "\\axiom{mirror(x)} returns \\axiom{Sum(r_i mirror(w_i))} if \\axiom{x} is \\axiom{Sum(r_i w_i)}.")) (|LiePoly| (($ (|LyndonWord| |#1|)) "\\axiom{LiePoly(l)} returns the bracketed form of \\axiom{l} as a Lie polynomial.")) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{rquo(x,y)} returns the right simplification of \\axiom{x} by \\axiom{y}.")) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{lquo(x,y)} returns the left simplification of \\axiom{x} by \\axiom{y}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(x)} returns the greatest length of a word in the support of \\axiom{x}.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(x)} returns \\axiom{x} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(x)} returns \\axiom{x} as distributed polynomial.") (($ |#1|) "\\axiom{coerce(x)} returns \\axiom{x} as a Lie polynomial.")) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coef(x,y)} returns the scalar product of \\axiom{x} by \\axiom{y}, the set of words being regarded as an orthogonal basis."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4620 . T) (-4619 . T)) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-401 S V) 
+(|FiniteLinearAggregateSort| S V) 
 ((|constructor| (NIL "This package exports 3 sorting algorithms which work over FiniteLinearAggregates. Sort package (in-place) for shallowlyMutable Finite Linear Aggregates")) (|shellSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{shellSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the shellSort algorithm.")) (|heapSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{heapSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the heapsort algorithm.")) (|quickSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{quickSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the quicksort algorithm."))) 
 NIL 
 NIL 
-(-402 S R) 
+(|FullyLinearlyExplicitRingOver&| S R) 
 ((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver \\spad{R}} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver \\spad{R}} and, in addition, if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer}, then so is \\spad{S}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) 
-(-403 R) 
+((|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) 
+(|FullyLinearlyExplicitRingOver| R) 
 ((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver \\spad{R}} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver \\spad{R}} and, in addition, if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer}, then so is \\spad{S}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-404 |Par|) 
+(|FloatingComplexPackage| |Par|) 
 ((|constructor| (NIL "This is a package for the approximation of complex solutions for systems of equations of rational functions with complex rational coefficients. The results are expressed as either complex rational numbers or complex floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|complexRoots| (((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|) "\\spad{complexRoots(lrf, \\spad{lv,} eps)} finds all the complex solutions of a list of rational functions with rational number coefficients with respect the the variables appearing in \\spad{lv.} Each solution is computed to precision eps and returned as list corresponding to the order of variables in \\spad{lv.}") (((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexRoots(rf, eps)} finds all the complex solutions of a univariate rational function with rational number coefficients. The solutions are computed to precision eps.")) (|complexSolve| (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(eq,eps)} finds all the complex solutions of the equation \\spad{eq} of rational functions with rational rational coefficients with respect to all the variables appearing in eq, with precision eps.") (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexSolve(p,eps)} find all the complex solutions of the rational function \\spad{p} with complex rational coefficients with respect to all the variables appearing in \\spad{p,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|) "\\spad{complexSolve(leq,eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{leq} of equations of rational functions over complex rationals with respect to all the variables appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(lp,eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{lp} of rational functions over the complex rationals with respect to all the variables appearing in \\spad{lp.}"))) 
 NIL 
 NIL 
-(-405) 
+(|Float|) 
 ((|outputSpacing| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputSpacing(n)} inserts a space after \\spad{n} (default 10) digits on output; outputSpacing(0) means no spaces are inserted.")) (|outputGeneral| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputGeneral(n)} sets the output mode to general notation with \\spad{n} significant digits displayed.") (((|Void|)) "\\spad{outputGeneral()} sets the output mode (default mode) to general notation; numbers will be displayed in either fixed or floating (scientific) notation depending on the magnitude.")) (|outputFixed| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFixed(n)} sets the output mode to fixed point notation, with \\spad{n} digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFixed()} sets the output mode to fixed point notation; the output will contain a decimal point.")) (|outputFloating| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFloating(n)} sets the output mode to floating (scientific) notation with \\spad{n} significant digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFloating()} sets the output mode to floating (scientific) notation, \\spadignore{i.e.} \\spad{mantissa * 10 exponent} is displayed as \\spad{0.mantissa \\spad{E} exponent}.")) (|convert| (($ (|DoubleFloat|)) "\\spad{convert(x)} converts a \\spadtype{DoubleFloat} \\spad{x} to a \\spadtype{Float}.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|exp1| (($) "\\spad{exp1()} returns exp 1: \\spad{2.7182818284...}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm for \\spad{x} to base 10.") (($) "\\spad{log10()} returns \\spad{ln 10}: \\spad{2.3025809299...}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm for \\spad{x} to base 2.") (($) "\\spad{log2()} returns \\spad{ln 2}, \\spadignore{i.e.} \\spad{0.6931471805...}.")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)}, that is \\spad{|(r-f)/f| < b**(-n)}.") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(x,n)} adds \\spad{n} to the exponent of float \\spad{x.}")) (|relerror| (((|Integer|) $ $) "\\spad{relerror(x,y)} computes the absolute value of \\spad{x - \\spad{y}} divided by \\spad{y,} when \\spad{y \\spad{\\^=} 0}.")) (|normalize| (($ $) "\\spad{normalize(x)} normalizes \\spad{x} at current precision.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} computes \\spad{exp(y log \\spad{x)}} where \\spad{x \\spad{>=} 0}.")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
-((-4608 . T) (-4616 . T) (-2642 . T) (-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|arbitraryExponent| . T) (|arbitraryPrecision| . T) (|approximate| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-406 |Par|) 
+(|FloatingRealPackage| |Par|) 
 ((|constructor| (NIL "This is a package for the approximation of real solutions for systems of polynomial equations over the rational numbers. The results are expressed as either rational numbers or floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|realRoots| (((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{realRoots(rf, eps)} finds the real zeros of a univariate rational function with precision given by eps.") (((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|) "\\spad{realRoots(lp,lv,eps)} computes the list of the real solutions of the list \\spad{lp} of rational functions with rational coefficients with respect to the variables in \\spad{lv,} with precision eps. Each solution is expressed as a list of numbers in order corresponding to the variables in \\spad{lv.}")) (|solve| (((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(eq,eps)} finds all of the real solutions of the univariate equation \\spad{eq} of rational functions with respect to the unique variables appearing in eq, with precision eps.") (((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{solve(p,eps)} finds all of the real solutions of the univariate rational function \\spad{p} with rational coefficients with respect to the unique variable appearing in \\spad{p,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|) "\\spad{solve(leq,eps)} finds all of the real solutions of the system \\spad{leq} of equationas of rational functions with respect to all the variables appearing in \\spad{lp,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(lp,eps)} finds all of the real solutions of the system \\spad{lp} of rational functions over the rational numbers with respect to all the variables appearing in \\spad{lp,} with precision eps."))) 
 NIL 
 NIL 
-(-407 R S) 
+(|FreeModule1| R S) 
 ((|constructor| (NIL "This domain implements linear combinations of elements from the domain \\spad{S} with coefficients in the domain \\spad{R} where \\spad{S} is an ordered set and \\spad{R} is a ring (which may be non-commutative). This domain is used by domains of non-commutative algebra such as: XDistributedPolynomial, XRecursivePolynomial.")) (* (($ |#2| |#1|) "\\spad{s*r} returns the product \\spad{r*s} used by \\spadtype{XRecursivePolynomial}"))) 
-((-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (QUOTE (-194)))) 
-(-408 R |Basis|) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|)))) 
+(|FreeModuleCat| R |Basis|) 
 ((|constructor| (NIL "A domain of this category implements formal linear combinations of elements from a domain \\spad{Basis} with coefficients in a domain \\spad{R}. The domain \\spad{Basis} needs only to belong to the category \\spadtype{SetCategory} and \\spad{R} to the category \\spadtype{Ring}. Thus the coefficient ring may be non-commutative. See the \\spadtype{XDistributedPolynomial} constructor for examples of domains built with the \\spadtype{FreeModuleCat} category constructor.")) (|reductum| (($ $) "\\spad{reductum(x)} returns \\spad{x} minus its leading term.")) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) "\\spad{leadingTerm(x)} returns the first term which appears in \\spad{listOfTerms(x)}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(x)} returns the first coefficient which appears in \\spad{listOfTerms(x)}.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(x)} returns the first element from \\spad{Basis} which appears in \\spad{listOfTerms(x)}.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(x)} returns the number of monomials of \\spad{x}.")) (|monomials| (((|List| $) $) "\\spad{monomials(x)} returns the list of \\spad{r_i*b_i} whose sum is \\spad{x}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(x)} returns the list of coefficients of \\spad{x}")) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{listOfTerms(x)} returns a list \\spad{lt} of terms with type \\spad{Record(k: Basis, \\spad{c:} \\spad{R)}} such that \\spad{x} equals \\spad{reduce(+, map(x \\spad{+->} monom(x.k, x.c), lt))}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} contains a single monomial.")) (|monom| (($ |#2| |#1|) "\\spad{monom(b,r)} returns the element with the single monomial \\indented{1}{\\spad{b} and coefficient \\spad{r}.}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients \\indented{1}{of the non-zero monomials of \\spad{u}.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(x,b)} returns the coefficient of \\spad{b} in \\spad{x}.")) (* (($ |#1| |#2|) "\\spad{r*b} returns the product of \\spad{r} by \\spad{b}."))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-409) 
+(|FortranMatrixCategory|) 
 ((|constructor| (NIL "\\axiomType{FortranMatrixCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Matrix} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Matrix| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-410) 
+(|FortranMatrixFunctionCategory|) 
 ((|constructor| (NIL "\\axiomType{FortranMatrixFunctionCategory} provides support for producing Functions and Subroutines representing matrices of expressions.")) (|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-411 R S) 
+(|FreeModule| R S) 
 ((|constructor| (NIL "A bi-module is a free module over a ring with generators indexed by an ordered set. Each element can be expressed as a finite linear combination of generators. Only non-zero terms are stored."))) 
-((-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (QUOTE (-194)))) 
-(-412 S) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|)))) 
+(|FreeMonoid| S) 
 ((|constructor| (NIL "Free monoid on any set of generators The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are nonnegative integers. The multiplication is not commutative.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{m},} \\spad{y = \\spad{m} * \\spad{r}} and \\spad{l} and \\spad{r} have no overlap, \\spadignore{i.e.} \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.")) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) "\\spad{divide(x, \\spad{y)}} returns the left and right exact quotients of \\spad{x} by \\spad{y,} \\spadignore{i.e.} \\spad{[l, \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{y} * \\spad{r},} \"failed\" if \\spad{x} is not of the form \\spad{l * \\spad{y} * \\spad{r}.}")) (|rquo| (((|Union| $ "failed") $ $) "\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{q} * \\spad{y},} \"failed\" if \\spad{x} is not of the form \\spad{q * \\spad{y}.}")) (|lquo| (((|Union| $ "failed") $ $) "\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{y} * \\spad{q},} \"failed\" if \\spad{x} is not of the form \\spad{y * \\spad{q}.}")) (|hcrf| (($ $ $) "\\spad{hcrf(x, \\spad{y)}} returns the highest common right factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = a \\spad{d}} and \\spad{y = \\spad{b} \\spad{d}.}")) (|hclf| (($ $ $) "\\spad{hclf(x, \\spad{y)}} returns the highest common left factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = \\spad{d} a} and \\spad{y = \\spad{d} \\spad{b}.}")) (** (($ |#1| (|NonNegativeInteger|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-869)))) 
-(-413) 
+((|HasCategory| |#1| (QUOTE (|OrderedSet|)))) 
+(|FortranMachineTypeCategory|) 
 ((|constructor| (NIL "A category of domains which model machine arithmetic used by machines in the AXIOM-NAG link."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-414) 
+(|FileName|) 
 ((|constructor| (NIL "This domain provides an interface to names in the file system."))) 
 NIL 
 NIL 
-(-415) 
+(|FileNameCategory|) 
 ((|constructor| (NIL "This category provides an interface to names in the file system.")) (|new| (($ (|String|) (|String|) (|String|)) "\\spad{new(d,pref,e)} constructs the name of a new writable file with \\spad{d} as its directory, \\spad{pref} as a prefix of its name and \\spad{e} as its extension. When \\spad{d} or \\spad{t} is the empty string, a default is used. An error occurs if a new file cannot be written in the given directory.")) (|writable?| (((|Boolean|) $) "\\spad{writable?(f)} tests if the named file be opened for writing. The named file need not already exist.")) (|readable?| (((|Boolean|) $) "\\spad{readable?(f)} tests if the named file exist and can it be opened for reading.")) (|exists?| (((|Boolean|) $) "\\spad{exists?(f)} tests if the file exists in the file system.")) (|extension| (((|String|) $) "\\spad{extension(f)} returns the type part of the file name.")) (|name| (((|String|) $) "\\spad{name(f)} returns the name part of the file name.")) (|directory| (((|String|) $) "\\spad{directory(f)} returns the directory part of the file name.")) (|filename| (($ (|String|) (|String|) (|String|)) "\\spad{filename(d,n,e)} creates a file name with \\spad{d} as its directory, \\spad{n} as its name and \\spad{e} as its extension. This is a portable way to create file names. When \\spad{d} or \\spad{t} is the empty string, a default is used.")) (|coerce| (((|String|) $) "\\spad{coerce(fn)} produces a string for a file name according to operating system-dependent conventions.") (($ (|String|)) "\\spad{coerce(s)} converts a string to a file name according to operating system-dependent conventions."))) 
 NIL 
 NIL 
-(-416 |n| |class| R) 
+(|FreeNilpotentLie| |n| |class| R) 
 ((|constructor| (NIL "Generate the Free Lie Algebra over a ring \\spad{R} with identity; A \\spad{P.} Hall basis is generated by a package call to HallBasis.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(i)} is the \\spad{i}th Hall Basis element")) (|shallowExpand| (((|OutputForm|) $) "\\spad{shallowExpand(x)} is not documented")) (|deepExpand| (((|OutputForm|) $) "\\spad{deepExpand(x)} is not documented")) (|dimension| (((|NonNegativeInteger|)) "\\spad{dimension()} is the rank of this Lie algebra"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-417) 
+(|FortranOutputStackPackage|) 
 ((|constructor| (NIL "Code to manipulate Fortran Output Stack")) (|topFortranOutputStack| (((|String|)) "\\spad{topFortranOutputStack()} returns the top element of the Fortran output stack")) (|pushFortranOutputStack| (((|Void|) (|String|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack") (((|Void|) (|FileName|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack")) (|popFortranOutputStack| (((|Void|)) "\\spad{popFortranOutputStack()} pops the Fortran output stack")) (|showFortranOutputStack| (((|Stack| (|String|))) "\\spad{showFortranOutputStack()} returns the Fortran output stack")) (|clearFortranOutputStack| (((|Stack| (|String|))) "\\spad{clearFortranOutputStack()} clears the Fortran output stack"))) 
 NIL 
 NIL 
-(-418 -3958 UP UPUP R) 
+(|FindOrderFinite| F UP UPUP R) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{order(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-419 S) 
+(|ScriptFormulaFormat1| S) 
 ((|constructor| (NIL "\\spadtype{ScriptFormulaFormat1} provides a utility coercion for changing to SCRIPT formula format anything that has a coercion to the standard output format.")) (|coerce| (((|ScriptFormulaFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from an expression \\spad{s} of domain \\spad{S} to SCRIPT formula format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to SCRIPT formula format."))) 
 NIL 
 NIL 
-(-420) 
+(|ScriptFormulaFormat|) 
 ((|constructor| (NIL "\\spadtype{ScriptFormulaFormat} provides a coercion from \\spadtype{OutputForm} to IBM SCRIPT/VS Mathematical Formula Format. The basic SCRIPT formula format object consists of three parts: a prologue, a formula part and an epilogue. The functions \\spadfun{prologue}, \\spadfun{formula} and \\spadfun{epilogue} extract these parts, respectively. The central parts of the expression go into the formula part. The other parts can be set (\\spadfun{setPrologue!}, \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example, the prologue and epilogue might simply contain \":df.\" and \":edf.\" so that the formula section will be printed in display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,strings)} sets the prologue section of a formatted object \\spad{t} to strings.")) (|setFormula!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setFormula!(t,strings)} sets the formula section of a formatted object \\spad{t} to strings.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,strings)} sets the epilogue section of a formatted object \\spad{t} to strings.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a formatted object \\spad{t.}")) (|new| (($) "\\spad{new()} create a new, empty object. Use \\spadfun{setPrologue!}, \\spadfun{setFormula!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|formula| (((|List| (|String|)) $) "\\spad{formula(t)} extracts the formula section of a formatted object \\spad{t.}")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a formatted object \\spad{t.}")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,width)} outputs the formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{width}.")) (|convert| (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,step)} changes \\spad{o} in standard output format to SCRIPT formula format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to SCRIPT formula format."))) 
 NIL 
 NIL 
-(-421) 
+(|FortranProgramCategory|) 
 ((|constructor| (NIL "FortranProgramCategory provides various models of FORTRAN subprograms. These can be transformed into actual FORTRAN code.")) (|outputAsFortran| (((|Void|) $) "\\axiom{outputAsFortran(u)} translates \\axiom{u} into a legal FORTRAN subprogram."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-422) 
+(|FortranFunctionCategory|) 
 ((|constructor| (NIL "\\axiomType{FortranFunctionCategory} is the category of arguments to NAG Library routines which return (sets of) function values.")) (|retractIfCan| (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Expression| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-423) 
+(|FortranPackage|) 
 ((|constructor| (NIL "provides an interface to the boot code for calling Fortran")) (|setLegalFortranSourceExtensions| (((|List| (|String|)) (|List| (|String|))) "\\spad{setLegalFortranSourceExtensions(l)} \\undocumented{}")) (|outputAsFortran| (((|Void|) (|FileName|)) "\\spad{outputAsFortran(fn)} \\undocumented{}")) (|linkToFortran| (((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|))) "\\spad{linkToFortran(s,l,t,lv)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|)) "\\spad{linkToFortran(s,l,ll,lv,t)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|))) "\\spad{linkToFortran(s,l,ll,lv)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-424 -4095 |returnType| |arguments| |symbols|) 
+(|FortranProgram| |name| |returnType| |arguments| |symbols|) 
 ((|constructor| (NIL "\\axiomType{FortranProgram} allows the user to build and manipulate simple models of FORTRAN subprograms. These can then be transformed into actual FORTRAN notation.")) (|coerce| (($ (|Equation| (|Expression| (|Complex| (|Float|))))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Float|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Integer|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|Complex| (|Float|)))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Float|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Integer|))) "\\spad{coerce(e)} is not documented") (($ (|Equation| (|Expression| (|MachineComplex|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineFloat|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineInteger|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|MachineComplex|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineFloat|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineInteger|))) "\\spad{coerce(e)} is not documented") (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(r)} is not documented") (($ (|List| (|FortranCode|))) "\\spad{coerce(lfc)} is not documented") (($ (|FortranCode|)) "\\spad{coerce(fc)} is not documented"))) 
 NIL 
 NIL 
-(-425 -3958 UP) 
+(|FullPartialFractionExpansion| F UP) 
 ((|constructor| (NIL "Full partial fraction expansion of rational functions")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(f, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{f.}") (($ $) "\\spad{D(f)} returns the derivative of \\spad{f.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{f.}") (($ $) "\\spad{differentiate(f)} returns the derivative of \\spad{f.}")) (|construct| (($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|)))) "\\spad{construct(l)} is the inverse of fracPart.")) (|fracPart| (((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $) "\\spad{fracPart(f)} returns the list of summands of the fractional part of \\spad{f.}")) (|polyPart| ((|#2| $) "\\spad{polyPart(f)} returns the polynomial part of \\spad{f.}")) (|fullPartialFraction| (($ (|Fraction| |#2|)) "\\spad{fullPartialFraction(f)} returns \\spad{[p, [[j, \\spad{Dj,} Hj]...]]} such that \\spad{f = p(x) + sum_{[j,Dj,Hj] in \\spad{l}} sum_{Dj(a)=0} Hj(a)/(x - a)\\^j}.")) (+ (($ |#2| $) "\\spad{p + \\spad{x}} returns the sum of \\spad{p} and \\spad{x}"))) 
 NIL 
 NIL 
-(-426 R) 
+(|FullyPatternMatchable| R) 
 ((|constructor| (NIL "A set \\spad{S} is PatternMatchable over \\spad{R} if \\spad{S} can lift the pattern-matching functions of \\spad{S} over the integers and float to itself (necessary for matching in towers)."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-427 S) 
+(|FieldOfPrimeCharacteristic&| S) 
 ((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic, \\spadignore{e.g.} finite fields, algebraic closures of fields of prime characteristic, transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
 NIL 
 NIL 
-(-428) 
+(|FieldOfPrimeCharacteristic|) 
 ((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic, \\spadignore{e.g.} finite fields, algebraic closures of fields of prime characteristic, transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-429 S) 
+(|FloatingPointSystem&| S) 
 ((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4608)) (|HasAttribute| |#1| (QUOTE -4616))) 
-(-430) 
+((|HasAttribute| |#1| (QUOTE |arbitraryExponent|)) (|HasAttribute| |#1| (QUOTE |arbitraryPrecision|))) 
+(|FloatingPointSystem|) 
 ((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
-((-2642 . T) (-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|approximate| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-431 R S) 
+(|FactoredFunctions2| R S) 
 ((|constructor| (NIL "\\spadtype{FactoredFunctions2} contains functions that involve factored objects whose underlying domains may not be the same. For example, \\spadfun{map} might be used to coerce an object of type \\spadtype{Factored(Integer)} to \\spadtype{Factored(Complex(Integer))}.")) (|map| (((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)) "\\spad{map(fn,u)} is used to apply the function \\userfun{fn} to every factor of \\spadvar{u}. The new factored object will have all its information flags set to \"nil\". This function is used, for example, to coerce every factor base to another type."))) 
 NIL 
 NIL 
-(-432 A B) 
+(|FractionFunctions2| A B) 
 ((|constructor| (NIL "This package extends a map between integral domains to a map between Fractions over those domains by applying the map to the numerators and denominators.")) (|map| (((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)) "\\spad{map(func,frac)} applies the function \\spad{func} to the numerator and denominator of the fraction frac."))) 
 NIL 
 NIL 
-(-433 S) 
+(|Fraction| S) 
 ((|constructor| (NIL "Fraction takes an IntegralDomain \\spad{S} and produces the domain of Fractions with numerators and denominators from \\spad{S.} If \\spad{S} is also a GcdDomain, then gcd's between numerator and denominator will be cancelled during all operations.")) (|canonical| ((|attribute|) "\\spad{canonical} means that equal elements are in fact identical."))) 
-((-4612 -12 (|has| |#1| (-6 -4623)) (|has| |#1| (-477)) (|has| |#1| (-6 -4612))) (-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1165))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-574))) (-12 (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-850)))) (-12 (|HasAttribute| |#1| (QUOTE -4623)) (|HasAttribute| |#1| (QUOTE -4612)) (|HasCategory| |#1| (QUOTE (-477)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (-12 (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-850))))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-869)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (-12 (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-850))))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (-12 (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-850))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-850))))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (-12 (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-850))))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-434 S R UP) 
+((|canonical| AND (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (ATTRIBUTE |canonical|))) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|RealConstant|))) (|HasCategory| |#1| (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|StepThrough|))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (AND (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|OpenMath|)))) (AND (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (|HasAttribute| |#1| (QUOTE |canonical|)) (|HasCategory| |#1| (QUOTE (|GcdDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (AND (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|OpenMath|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (AND (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|OpenMath|))))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (AND (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|OpenMath|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (OR (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|OpenMath|))))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (AND (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|OpenMath|))))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|FramedAlgebra&| S R UP) 
 ((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed R-module basis.")) (|regularRepresentation| (((|Matrix| |#2|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#2|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#2|)) "\\spad{traceMatrix()} is the n-by-n matrix ( \\spad{Tr(vi * vj)} \\spad{),} where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed R-module basis."))) 
 NIL 
 NIL 
-(-435 R UP) 
+(|FramedAlgebra| R UP) 
 ((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed R-module basis.")) (|regularRepresentation| (((|Matrix| |#1|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#1|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#1|)) "\\spad{traceMatrix()} is the n-by-n matrix ( \\spad{Tr(vi * vj)} \\spad{),} where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed R-module basis."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-436 A S) 
+(|FullyRetractableTo&| A S) 
 ((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular, what we are asserting is that there are no integers (rationals) in A which don't retract into \\spad{B.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-437 S) 
+((|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|FullyRetractableTo| S) 
 ((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular, what we are asserting is that there are no integers (rationals) in A which don't retract into \\spad{B.}"))) 
 NIL 
 NIL 
-(-438 R1 F1 U1 A1 R2 F2 U2 A2) 
+(|FractionalIdealFunctions2| R1 F1 U1 A1 R2 F2 U2 A2) 
 ((|constructor| (NIL "Lifting of morphisms to fractional ideals.")) (|map| (((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{map(f,i)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-439 R -3958 UP A) 
+(|FractionalIdeal| R F UP A) 
 ((|constructor| (NIL "Fractional ideals in a framed algebra.")) (|randomLC| ((|#4| (|NonNegativeInteger|) (|Vector| |#4|)) "\\spad{randomLC(n,x)} should be local but conditional.")) (|minimize| (($ $) "\\spad{minimize(I)} returns a reduced set of generators for \\spad{I}.")) (|denom| ((|#1| $) "\\spad{denom(1/d * (f1,...,fn))} returns \\spad{d.}")) (|numer| (((|Vector| |#4|) $) "\\spad{numer(1/d * (f1,...,fn))} = the vector \\spad{[f1,...,fn]}.")) (|norm| ((|#2| $) "\\spad{norm(I)} returns the norm of the ideal I.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,...,fn))} returns the vector \\spad{[f1,...,fn]}.")) (|ideal| (($ (|Vector| |#4|)) "\\spad{ideal([f1,...,fn])} returns the ideal \\spad{(f1,...,fn)}."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-440 R -3958 UP A |ibasis|) 
+(|FramedModule| R F UP A |ibasis|) 
 ((|constructor| (NIL "Module representation of fractional ideals.")) (|module| (($ (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{module(I)} returns \\spad{I} viewed has a module over \\spad{R.}") (($ (|Vector| |#4|)) "\\spad{module([f1,...,fn])} = the module generated by \\spad{(f1,...,fn)} over \\spad{R.}")) (|norm| ((|#2| $) "\\spad{norm(f)} returns the norm of the module \\spad{f.}")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,...,fn))} = the vector \\spad{[f1,...,fn]}."))) 
 NIL 
-((|HasCategory| |#4| (LIST (QUOTE -1065) (|devaluate| |#2|)))) 
-(-441 AR R AS S) 
+((|HasCategory| |#4| (LIST (QUOTE |RetractableTo|) (|devaluate| |#2|)))) 
+(|FramedNonAssociativeAlgebraFunctions2| AR R AS S) 
 ((|constructor| (NIL "\\spad{FramedNonAssociativeAlgebraFunctions2} implements functions between two framed non associative algebra domains defined over different rings. The function map is used to coerce between algebras over different domains having the same structural constants.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,u)} maps \\spad{f} onto the coordinates of \\spad{u} to get an element in \\spad{AS} via identification of the basis of \\spad{AR} as beginning part of the basis of \\spad{AS}."))) 
 NIL 
 NIL 
-(-442 S R) 
+(|FramedNonAssociativeAlgebra&| S R) 
 ((|constructor| (NIL "FramedNonAssociativeAlgebra(R) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#2|) $) "\\spad{apply(m,a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication, this is a substitute for a left module structure. Error: if shape of matrix doesn't fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#2|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#2|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#2|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#2|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijn * vn}, where \\spad{v1},...,\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#2| $ (|Integer|)) "\\spad{elt(a,i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([a1,...,am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-388)))) 
-(-443 R) 
+((|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|FramedNonAssociativeAlgebra| R) 
 ((|constructor| (NIL "FramedNonAssociativeAlgebra(R) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#1|) $) "\\spad{apply(m,a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication, this is a substitute for a left module structure. Error: if shape of matrix doesn't fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#1|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#1|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#1|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#1|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijn * vn}, where \\spad{v1},...,\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt(a,i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([a1,...,am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
-((-4622 |has| |#1| (-582)) (-4620 . T) (-4619 . T)) 
+((|unitsKnown| |has| |#1| (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-444 R) 
+(|Factored| R) 
 ((|constructor| (NIL "\\spadtype{Factored} creates a domain whose objects are kept in factored form as long as possible. Thus certain operations like multiplication and \\spad{gcd} are relatively easy to do. Others, like addition require somewhat more work, and unless the argument domain provides a factor function, the result may not be completely factored. Each object consists of a unit and a list of factors, where a factor has a member of \\spad{R} (the \"base\"), and exponent and a flag indicating what is known about the base. A flag may be one of \"nil\", \"sqfr\", \"irred\" or \"prime\", which respectively mean that nothing is known about the base, it is square-free, it is irreducible, or it is prime. The current restriction to integral domains allows simplification to be performed without worrying about multiplication order.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(u)} returns a rational number if \\spad{u} really is one, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(u)} assumes spadvar{u} is actually a rational number and does the conversion to rational number (see \\spadtype{Fraction Integer}).")) (|rational?| (((|Boolean|) $) "\\spad{rational?(u)} tests if \\spadvar{u} is actually a rational number (see \\spadtype{Fraction Integer}).")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(fn,u) maps the function \\userfun{fn} across the factors of} \\indented{1}{\\spadvar{u} and creates a new factored object. Note: this clears} \\indented{1}{the information flags (sets them to \"nil\") because the effect of} \\indented{1}{\\userfun{fn} is clearly not known in general.} \\blankline \\spad{X} m(a:Factored Polynomial Integer):Factored Polynomial Integer \\spad{==} \\spad{a^2} \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} map(m,f) \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} map(m,g)")) (|unitNormalize| (($ $) "\\spad{unitNormalize(u)} normalizes the unit part of the factorization. For example, when working with factored integers, this operation will ensure that the bases are all positive integers.")) (|unit| ((|#1| $) "\\indented{1}{unit(u) extracts the unit part of the factorization.} \\blankline \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} unit \\spad{f} \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} unit \\spad{g}")) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) "\\spad{flagFactor(base,exponent,flag)} creates a factored object with a single factor whose \\spad{base} is asserted to be properly described by the information flag.")) (|sqfrFactor| (($ |#1| (|Integer|)) "\\indented{1}{sqfrFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be square-free} \\indented{1}{(flag = \"sqfr\").} \\blankline \\spad{X} a:=sqfrFactor(3,5) \\spad{X} nthFlag(a,1)")) (|primeFactor| (($ |#1| (|Integer|)) "\\indented{1}{primeFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be prime} \\indented{1}{(flag = \"prime\").} \\blankline \\spad{X} a:=primeFactor(3,4) \\spad{X} nthFlag(a,1)")) (|numberOfFactors| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfFactors(u) returns the number of factors in \\spadvar{u}.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} numberOfFactors a")) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) "\\indented{1}{nthFlag(u,n) returns the information flag of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), \"nil\" is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFlag(a,2)")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{nthFactor(u,n) returns the base of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), 1 is returned.\\space{2}If} \\indented{1}{\\spadvar{u} consists only of a unit, the unit is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFactor(a,2)")) (|nthExponent| (((|Integer|) $ (|Integer|)) "\\indented{1}{nthExponent(u,n) returns the exponent of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), 0 is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthExponent(a,2)")) (|irreducibleFactor| (($ |#1| (|Integer|)) "\\indented{1}{irreducibleFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be irreducible} \\indented{1}{(flag = \"irred\").} \\blankline \\spad{X} a:=irreducibleFactor(3,1) \\spad{X} nthFlag(a,1)")) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) "\\indented{1}{factors(u) returns a list of the factors in a form suitable} \\indented{1}{for iteration. That is, it returns a list where each element} \\indented{1}{is a record containing a base and exponent.\\space{2}The original} \\indented{1}{object is the product of all the factors and the unit (which} \\indented{1}{can be extracted by \\axiom{unit(u)}).} \\blankline \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} factors \\spad{f} \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} factors \\spad{g}")) (|nilFactor| (($ |#1| (|Integer|)) "\\indented{1}{nilFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor with no information about the kind of} \\indented{1}{base (flag = \"nil\").} \\blankline \\spad{X} nilFactor(24,2) \\spad{X} nilFactor(x-y,3)")) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) "\\indented{1}{factorList(u) returns the list of factors with flags (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(x-y,3) \\spad{X} factorList \\spad{f}")) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) "\\indented{1}{makeFR(unit,listOfFactors) creates a factored object (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(x-y,3) \\spad{X} g:=factorList \\spad{f} \\spad{X} makeFR(z,g)")) (|exponent| (((|Integer|) $) "\\indented{1}{exponent(u) returns the exponent of the first factor of} \\indented{1}{\\spadvar{u}, or 0 if the factored form consists solely of a unit.} \\blankline \\spad{X} f:=nilFactor(y-x,3) \\spad{X} exponent(f)")) (|expand| ((|#1| $) "\\indented{1}{expand(f) multiplies the unit and factors together, yielding an} \\indented{1}{\"unfactored\" object. Note: this is purposely not called} \\indented{1}{\\spadfun{coerce} which would cause the interpreter to do this} \\indented{1}{automatically.} \\blankline \\spad{X} f:=nilFactor(y-x,3) \\spad{X} expand(f)"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -325) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -303) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-1235))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-1235))))) 
-(-445 R) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|UniqueFactorizationDomain|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|UniqueFactorizationDomain|)))) (|HasCategory| |#1| (QUOTE (|RealConstant|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|)))) 
+(|FactoredFunctionUtilities| R) 
 ((|constructor| (NIL "\\spadtype{FactoredFunctionUtilities} implements some utility functions for manipulating factored objects.")) (|mergeFactors| (((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)) "\\spad{mergeFactors(u,v)} is used when the factorizations of \\spadvar{u} and \\spadvar{v} are known to be disjoint, \\spadignore{e.g.} resulting from a content/primitive part split. Essentially, it creates a new factored object by multiplying the units together and appending the lists of factors.")) (|refine| (((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|)) "\\spad{refine(u,fn)} is used to apply the function \\userfun{fn} to each factor of \\spadvar{u} and then build a new factored object from the results. For example, if \\spadvar{u} were created by calling \\spad{nilFactor(10,2)} then \\spad{refine(u,factor)} would create a factored object equal to that created by \\spad{factor(100)} or \\spad{primeFactor(2,2) * primeFactor(5,2)}."))) 
 NIL 
 NIL 
-(-446 R FE |x| |cen|) 
+(|FunctionSpaceToExponentialExpansion| R FE |x| |cen|) 
 ((|constructor| (NIL "This package converts expressions in some function space to exponential expansions.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function, but the compiler won't allow it.")) (|exprToXXP| (((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|)) "\\spad{exprToXXP(fcn,posCheck?)} converts the expression \\spad{fcn} to an exponential expansion. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed."))) 
 NIL 
 NIL 
-(-447 R A S B) 
+(|FunctionSpaceFunctions2| R A S B) 
 ((|constructor| (NIL "Lifting of maps to function spaces This package allows a mapping \\spad{R} \\spad{->} \\spad{S} to be lifted to a mapping from a function space over \\spad{R} to a function space over \\spad{S;}")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f, a)} applies \\spad{f} to all the constants in \\spad{R} appearing in \\spad{a}."))) 
 NIL 
 NIL 
-(-448 R FE |Expon| UPS TRAN |x|) 
+(|FunctionSpaceToUnivariatePowerSeries| R FE |Expon| UPS TRAN |x|) 
 ((|constructor| (NIL "This package converts expressions in some function space to power series in a variable \\spad{x} with coefficients in that function space. The function \\spadfun{exprToUPS} converts expressions to power series whose coefficients do not contain the variable \\spad{x.} The function \\spadfun{exprToGenUPS} converts functional expressions to power series whose coefficients may involve functions of \\spad{log(x)}.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function, but the compiler won't allow it.")) (|exprToGenUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToGenUPS(fcn,posCheck?,atanFlag)} converts the expression \\spad{fcn} to a generalized power series. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))}, where \\spad{f(x)} has a pole, will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"}, \\spad{\"real: two sides\"}, \\spad{\"real: left side\"}, \\spad{\"real: right side\"}, and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"}, then no series expansion will be computed because, viewed as a function of a complex variable, \\spad{atan(f(x))} has an essential singularity. Otherwise, the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined, a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator), then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"}, no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series, we return a record containing the name of the function that caused the problem and a brief description of the problem. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a, the user should perform the substitution \\spad{x \\spad{->} \\spad{x} + a} before calling this function.")) (|exprToUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToUPS(fcn,posCheck?,atanFlag)} converts the expression \\spad{fcn} to a power series. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))}, where \\spad{f(x)} has a pole, will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"}, \\spad{\"real: two sides\"}, \\spad{\"real: left side\"}, \\spad{\"real: right side\"}, and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"}, then no series expansion will be computed because, viewed as a function of a complex variable, \\spad{atan(f(x))} has an essential singularity. Otherwise, the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined, a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator), then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"}, no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series, a record containing the name of the function that caused the problem and a brief description of the problem is returned. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a, the user should perform the substitution \\spad{x \\spad{->} \\spad{x} + a} before calling this function.")) (|integrate| (($ $) "\\spad{integrate(x)} returns the integral of \\spad{x} since we need to be able to integrate a power series")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x} since we need to be able to differentiate a power series")) (|coerce| (($ |#3|) "\\spad{coerce(e)} converts an 'exponent' \\spad{e} to an 'expression'"))) 
 NIL 
 NIL 
-(-449 S A R B) 
+(|FiniteSetAggregateFunctions2| S A R B) 
 ((|constructor| (NIL "\\spad{FiniteSetAggregateFunctions2} provides functions involving two finite set aggregates where the underlying domains might be different. An example of this is to create a set of rational numbers by mapping a function across a set of integers, where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,a,r)} successively applies \\spad{reduce(f,x,r)} to more and more leading sub-aggregates \\spad{x} of aggregate \\spad{a}. More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then \\spad{scan(f,a,r)} returns \\spad {[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,a,r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialised to \\spad{r.} For example, \\spad{reduce(_+$Integer,[1,2,3],0)} does a \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as an identity element for the function.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,a)} applies function \\spad{f} to each member of aggregate \\spad{a}, creating a new aggregate with a possibly different underlying domain."))) 
 NIL 
 NIL 
-(-450 A S) 
+(|FiniteSetAggregate&| A S) 
 ((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#2| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#2| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, that is, the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-394)))) 
-(-451 S) 
+((|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) 
+(|FiniteSetAggregate| S) 
 ((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#1| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, that is, the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
-((-4625 . T) (-4615 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|partiallyOrderedSet| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-452 R -3958) 
+(|FunctionSpaceComplexIntegration| R F) 
 ((|constructor| (NIL "Top-level complex function integration \\spadtype{FunctionSpaceComplexIntegration} provides functions for the indefinite integration of complex-valued functions.")) (|complexIntegrate| ((|#2| |#2| (|Symbol|)) "\\spad{complexIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|internalIntegrate0| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate0 should} be a local function, but is conditional.")) (|internalIntegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable."))) 
 NIL 
 NIL 
-(-453 R E) 
+(|FourierSeries| R E) 
 ((|constructor| (NIL "This domain converts terms into Fourier series")) (|makeCos| (($ |#2| |#1|) "\\indented{1}{makeCos(e,r) makes a sin expression with given} argument and coefficient")) (|makeSin| (($ |#2| |#1|) "\\spad{makeSin(e,r)} makes a sin expression with given argument and coefficient")) (|coerce| (($ (|FourierComponent| |#2|)) "\\spad{coerce(c)} converts sin/cos terms into Fourier Series") (($ |#1|) "\\spad{coerce(r)} converts coefficients into Fourier Series"))) 
-((-4612 -12 (|has| |#1| (-6 -4612)) (|has| |#2| (-6 -4612))) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((-12 (|HasAttribute| |#1| (QUOTE -4612)) (|HasAttribute| |#2| (QUOTE -4612)))) 
-(-454 R -3958) 
+((|canonical| AND (|has| |#1| (ATTRIBUTE |canonical|)) (|has| |#2| (ATTRIBUTE |canonical|))) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((AND (|HasAttribute| |#1| (QUOTE |canonical|)) (|HasAttribute| |#2| (QUOTE |canonical|)))) 
+(|FunctionSpaceIntegration| R F) 
 ((|constructor| (NIL "Top-level real function integration \\spadtype{FunctionSpaceIntegration} provides functions for the indefinite integration of real-valued functions.")) (|integrate| (((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)) "\\spad{integrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable."))) 
 NIL 
 NIL 
-(-455 S R) 
+(|FunctionSpace&| S R) 
 ((|constructor| (NIL "Category for formal functions A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#2|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#2|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#2| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-502))) (|HasCategory| |#2| (QUOTE (-1131))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) 
-(-456 R) 
+((|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|Group|))) (|HasCategory| |#2| (QUOTE (|SemiGroup|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) 
+(|FunctionSpace| R) 
 ((|constructor| (NIL "Category for formal functions A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#1|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#1|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#1| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
-((-4622 -3836 (|has| |#1| (-1075)) (|has| |#1| (-502))) (-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) ((-4627 "*") |has| |#1| (-582)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-582)) (-4617 |has| |#1| (-582)) (-2623 . T)) 
+((|unitsKnown| OR (|has| |#1| (|Ring|)) (|has| |#1| (|Group|))) (|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) ((|commutative| "*") |has| |#1| (|IntegralDomain|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|IntegralDomain|)) (|canonicalsClosed| |has| |#1| (|IntegralDomain|)) (|nil| . T)) 
 NIL 
-(-457 R -3958) 
+(|FunctionalSpecialFunction| R F) 
 ((|constructor| (NIL "Provides some special functions over an integral domain.")) (|iiAiryBi| ((|#2| |#2|) "\\spad{iiAiryBi(x)} should be local but conditional.")) (|iiAiryAi| ((|#2| |#2|) "\\spad{iiAiryAi(x)} should be local but conditional.")) (|iiBesselK| ((|#2| (|List| |#2|)) "\\spad{iiBesselK(x)} should be local but conditional.")) (|iiBesselI| ((|#2| (|List| |#2|)) "\\spad{iiBesselI(x)} should be local but conditional.")) (|iiBesselY| ((|#2| (|List| |#2|)) "\\spad{iiBesselY(x)} should be local but conditional.")) (|iiBesselJ| ((|#2| (|List| |#2|)) "\\spad{iiBesselJ(x)} should be local but conditional.")) (|iipolygamma| ((|#2| (|List| |#2|)) "\\spad{iipolygamma(x)} should be local but conditional.")) (|iidigamma| ((|#2| |#2|) "\\spad{iidigamma(x)} should be local but conditional.")) (|iiBeta| ((|#2| (|List| |#2|)) "\\spad{iiBeta(x)} should be local but conditional.")) (|iiabs| ((|#2| |#2|) "\\spad{iiabs(x)} should be local but conditional.")) (|iiGamma| ((|#2| |#2|) "\\spad{iiGamma(x)} should be local but conditional.")) (|airyBi| ((|#2| |#2|) "\\spad{airyBi(x)} returns the airybi function applied to \\spad{x}")) (|airyAi| ((|#2| |#2|) "\\spad{airyAi(x)} returns the airyai function applied to \\spad{x}")) (|besselK| ((|#2| |#2| |#2|) "\\spad{besselK(x,y)} returns the besselk function applied to \\spad{x} and \\spad{y}")) (|besselI| ((|#2| |#2| |#2|) "\\spad{besselI(x,y)} returns the besseli function applied to \\spad{x} and \\spad{y}")) (|besselY| ((|#2| |#2| |#2|) "\\spad{besselY(x,y)} returns the bessely function applied to \\spad{x} and \\spad{y}")) (|besselJ| ((|#2| |#2| |#2|) "\\spad{besselJ(x,y)} returns the besselj function applied to \\spad{x} and \\spad{y}")) (|polygamma| ((|#2| |#2| |#2|) "\\spad{polygamma(x,y)} returns the polygamma function applied to \\spad{x} and \\spad{y}")) (|digamma| ((|#2| |#2|) "\\spad{digamma(x)} returns the digamma function applied to \\spad{x}")) (|Beta| ((|#2| |#2| |#2|) "\\spad{Beta(x,y)} returns the beta function applied to \\spad{x} and \\spad{y}")) (|Gamma| ((|#2| |#2| |#2|) "\\spad{Gamma(a,x)} returns the incomplete Gamma function applied to a and \\spad{x}") ((|#2| |#2|) "\\spad{Gamma(f)} returns the formal Gamma function applied to \\spad{f}")) (|abs| ((|#2| |#2|) "\\spad{abs(f)} returns the absolute value operator applied to \\spad{f}")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a special function operator")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a special function operator."))) 
 NIL 
 NIL 
-(-458 R -3958) 
+(|FunctionSpacePrimitiveElement| R F) 
 ((|constructor| (NIL "FunctionsSpacePrimitiveElement provides functions to compute primitive elements in functions spaces.")) (|primitiveElement| (((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|) "\\spad{primitiveElement(a1, a2)} returns \\spad{[a, \\spad{q1,} \\spad{q2,} \\spad{q]}} such that \\spad{k(a1, a2) = k(a)}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The minimal polynomial for \\spad{a2} may involve a1, but the minimal polynomial for \\spad{a1} may not involve a2; This operations uses \\spadfun{resultant}.") (((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|)) "\\spad{primitiveElement([a1,...,an])} returns \\spad{[a, [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-27)))) 
-(-459 R -3958) 
+((|HasCategory| |#2| (QUOTE (|AlgebraicallyClosedField|)))) 
+(|FunctionSpaceReduce| R F) 
 ((|constructor| (NIL "Reduction from a function space to the rational numbers This package provides function which replaces transcendental kernels in a function space by random integers. The correspondence between the kernels and the integers is fixed between calls to new().")) (|newReduc| (((|Void|)) "\\spad{newReduc()} \\undocumented")) (|bringDown| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|)) "\\spad{bringDown(f,k)} \\undocumented") (((|Fraction| (|Integer|)) |#2|) "\\spad{bringDown(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-460) 
+(|FortranScalarType|) 
 ((|constructor| (NIL "Creates and manipulates objects which correspond to the basic FORTRAN data types: REAL, INTEGER, COMPLEX, LOGICAL and CHARACTER")) (= (((|Boolean|) $ $) "\\spad{x=y} tests for equality")) (|logical?| (((|Boolean|) $) "\\spad{logical?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type LOGICAL.")) (|character?| (((|Boolean|) $) "\\spad{character?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type CHARACTER.")) (|doubleComplex?| (((|Boolean|) $) "\\spad{doubleComplex?(t)} tests whether \\spad{t} is equivalent to the (non-standard) FORTRAN type DOUBLE COMPLEX.")) (|complex?| (((|Boolean|) $) "\\spad{complex?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type COMPLEX.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type INTEGER.")) (|double?| (((|Boolean|) $) "\\spad{double?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type DOUBLE PRECISION")) (|real?| (((|Boolean|) $) "\\spad{real?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type REAL.")) (|coerce| (((|SExpression|) $) "\\spad{coerce(x)} returns the s-expression associated with \\spad{x}") (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol associated with \\spad{x}") (($ (|Symbol|)) "\\spad{coerce(s)} transforms the symbol \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of real, complex,double precision, logical, integer, character, REAL, COMPLEX, LOGICAL, INTEGER, CHARACTER, DOUBLE PRECISION") (($ (|String|)) "\\spad{coerce(s)} transforms the string \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of \"real\", \"double precision\", \"complex\", \"logical\", \"integer\", \"character\", \"REAL\", \"COMPLEX\", \"LOGICAL\", \"INTEGER\", \"CHARACTER\", \"DOUBLE PRECISION\""))) 
 NIL 
 NIL 
-(-461 R -3958 UP) 
+(|FunctionSpaceUnivariatePolynomialFactor| R F UP) 
 ((|constructor| (NIL "This package is used internally by IR2F")) (|anfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|) "\\spad{anfactor(p)} tries to factor \\spad{p} over algebraic numbers, returning \"failed\" if it cannot")) (|UP2ifCan| (((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|) "\\spad{UP2ifCan(x)} should be local but conditional.")) (|qfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|) "\\spad{qfactor(p)} tries to factor \\spad{p} over fractions of integers, returning \"failed\" if it cannot")) (|ffactor| (((|Factored| |#3|) |#3|) "\\spad{ffactor(p)} tries to factor a univariate polynomial \\spad{p} over \\spad{F}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-53))))) 
-(-462) 
+((|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|AlgebraicNumber|))))) 
+(|FortranTemplate|) 
 ((|constructor| (NIL "Code to manipulate Fortran templates")) (|fortranCarriageReturn| (((|Void|)) "\\spad{fortranCarriageReturn()} produces a carriage return on the current Fortran output stream")) (|fortranLiteral| (((|Void|) (|String|)) "\\spad{fortranLiteral(s)} writes \\spad{s} to the current Fortran output stream")) (|fortranLiteralLine| (((|Void|) (|String|)) "\\spad{fortranLiteralLine(s)} writes \\spad{s} to the current Fortran output stream, followed by a carriage return")) (|processTemplate| (((|FileName|) (|FileName|)) "\\spad{processTemplate(tp)} processes the template \\spad{tp,} writing the result to the current FORTRAN output stream.") (((|FileName|) (|FileName|) (|FileName|)) "\\spad{processTemplate(tp,fn)} processes the template \\spad{tp,} writing the result out to \\spad{fn.}"))) 
 NIL 
 NIL 
-(-463) 
+(|FortranType|) 
 ((|constructor| (NIL "Creates and manipulates objects which correspond to FORTRAN data types, including array dimensions.")) (|fortranCharacter| (($) "\\spad{fortranCharacter()} returns CHARACTER, an element of FortranType")) (|fortranDoubleComplex| (($) "\\spad{fortranDoubleComplex()} returns DOUBLE COMPLEX, an element of FortranType")) (|fortranComplex| (($) "\\spad{fortranComplex()} returns COMPLEX, an element of FortranType")) (|fortranLogical| (($) "\\spad{fortranLogical()} returns LOGICAL, an element of FortranType")) (|fortranInteger| (($) "\\spad{fortranInteger()} returns INTEGER, an element of FortranType")) (|fortranDouble| (($) "\\spad{fortranDouble()} returns DOUBLE PRECISION, an element of FortranType")) (|fortranReal| (($) "\\spad{fortranReal()} returns REAL, an element of FortranType")) (|construct| (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|)) "\\spad{construct(type,dims)} creates an element of FortranType") (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|)) "\\spad{construct(type,dims)} creates an element of FortranType")) (|external?| (((|Boolean|) $) "\\spad{external?(u)} returns \\spad{true} if \\spad{u} is declared to be EXTERNAL")) (|dimensionsOf| (((|List| (|Polynomial| (|Integer|))) $) "\\spad{dimensionsOf(t)} returns the dimensions of \\spad{t}")) (|scalarTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{scalarTypeOf(t)} returns the FORTRAN data type of \\spad{t}")) (|coerce| (($ (|FortranScalarType|)) "\\spad{coerce(t)} creates an element from a scalar type") (((|OutputForm|) $) "\\spad{coerce(x)} provides a printable form for \\spad{x}"))) 
 NIL 
 NIL 
-(-464 |f|) 
+(|FunctionCalled| |f|) 
 ((|constructor| (NIL "This domain implements named functions")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-465) 
+(|FortranVectorCategory|) 
 ((|constructor| (NIL "\\axiomType{FortranVectorCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Vector} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Vector| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-466) 
+(|FortranVectorFunctionCategory|) 
 ((|constructor| (NIL "\\axiomType{FortranVectorFunctionCategory} is the catagory of arguments to NAG Library routines which return the values of vectors of functions.")) (|retractIfCan| (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-467 UP) 
+(|GaloisGroupFactorizer| UP) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupFactorizer} provides functions to factor resolvents.")) (|btwFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{btwFact(p,sqf,pd,r)} returns the factorization of \\spad{p,} the result is a Record such that \\spad{contp=}content \\spad{p,} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors). \\spad{pd} is the \\spadtype{Set} of possible degrees. \\spad{r} is a lower bound for the number of factors of \\spad{p.} Please do not use this function in your code because its design may change.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(p,sqf)} returns the factorization of \\spad{p,} the result is a Record such that \\spad{contp=}content \\spad{p,} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).")) (|factorOfDegree| (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|)) "\\spad{factorOfDegree(d,p,listOfDegrees,r,sqf)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees, and that \\spad{p} has at least \\spad{r} factors. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,p,listOfDegrees,r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees, and that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorOfDegree(d,p,listOfDegrees)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,p,r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1|) "\\spad{factorOfDegree(d,p)} returns a factor of \\spad{p} of degree \\spad{d.}")) (|factorSquareFree| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,d,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,listOfDegrees,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorSquareFree(p,listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree listOfDegrees. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} returns the factorization of \\spad{p} which is supposed not having any repeated factor (this is not checked).")) (|factor| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factor(p,d,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factor(p,listOfDegrees,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factor(p,listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree listOfDegrees.") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factor(p,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns the factorization of \\spad{p} over the integers.")) (|tryFunctionalDecomposition| (((|Boolean|) (|Boolean|)) "\\spad{tryFunctionalDecomposition(b)} chooses whether factorizers have to look for functional decomposition of polynomials (\\spad{true}) or not (\\spad{false}). Returns the previous value.")) (|tryFunctionalDecomposition?| (((|Boolean|)) "\\spad{tryFunctionalDecomposition?()} returns \\spad{true} if factorizers try functional decomposition of polynomials before factoring them.")) (|eisensteinIrreducible?| (((|Boolean|) |#1|) "\\spad{eisensteinIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by Eisenstein's criterion, \\spad{false} is inconclusive.")) (|useEisensteinCriterion| (((|Boolean|) (|Boolean|)) "\\spad{useEisensteinCriterion(b)} chooses whether factorizers check Eisenstein's criterion before factoring: \\spad{true} for using it, \\spad{false} else. Returns the previous value.")) (|useEisensteinCriterion?| (((|Boolean|)) "\\spad{useEisensteinCriterion?()} returns \\spad{true} if factorizers check Eisenstein's criterion before factoring.")) (|useSingleFactorBound| (((|Boolean|) (|Boolean|)) "\\spad{useSingleFactorBound(b)} chooses the algorithm to be used by the factorizers: \\spad{true} for algorithm with single factor bound, \\spad{false} for algorithm with overall bound. Returns the previous value.")) (|useSingleFactorBound?| (((|Boolean|)) "\\spad{useSingleFactorBound?()} returns \\spad{true} if algorithm with single factor bound is used for factorization, \\spad{false} for algorithm with overall bound.")) (|modularFactor| (((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|) "\\spad{modularFactor(f)} chooses a \"good\" prime and returns the factorization of \\spad{f} modulo this prime in a form that may be used by completeHensel. If prime is zero it means that \\spad{f} has been proved to be irreducible over the integers or that \\spad{f} is a unit (\\spadignore{i.e.} 1 or -1). \\spad{f} shall be primitive (\\spadignore{i.e.} content(p)=1) and square free (\\spadignore{i.e.} without repeated factors).")) (|numberOfFactors| (((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{numberOfFactors(ddfactorization)} returns the number of factors of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p.}")) (|stopMusserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{stopMusserTrials(n)} sets to \\spad{n} the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**n} trials. Returns the previous value.") (((|PositiveInteger|)) "\\spad{stopMusserTrials()} returns the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**stopMusserTrials()} trials.")) (|musserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{musserTrials(n)} sets to \\spad{n} the number of primes to be tried in \\spadfun{modularFactor} and returns the previous value.") (((|PositiveInteger|)) "\\spad{musserTrials()} returns the number of primes that are tried in \\spadfun{modularFactor}.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{degreePartition(ddfactorization)} returns the degree partition of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p.}")) (|makeFR| (((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|))))))) "\\spad{makeFR(flist)} turns the final factorization of henselFact into a \\spadtype{Factored} object."))) 
 NIL 
 NIL 
-(-468 R UP -3958) 
+(|GaloisGroupFactorizationUtilities| R UP F) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupFactorizationUtilities} provides functions that will be used by the factorizer.")) (|length| ((|#3| |#2|) "\\spad{length(p)} returns the sum of the absolute values of the coefficients of the polynomial \\spad{p.}")) (|height| ((|#3| |#2|) "\\spad{height(p)} returns the maximal absolute value of the coefficients of the polynomial \\spad{p.}")) (|infinityNorm| ((|#3| |#2|) "\\spad{infinityNorm(f)} returns the maximal absolute value of the coefficients of the polynomial \\spad{f.}")) (|quadraticNorm| ((|#3| |#2|) "\\spad{quadraticNorm(f)} returns the \\spad{l2} norm of the polynomial \\spad{f.}")) (|norm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{norm(f,p)} returns the \\spad{lp} norm of the polynomial \\spad{f.}")) (|singleFactorBound| (((|Integer|) |#2|) "\\spad{singleFactorBound(p,r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri's norm. \\spad{p} shall be of degree higher or equal to 2.") (((|Integer|) |#2| (|NonNegativeInteger|)) "\\spad{singleFactorBound(p,r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri's norm. \\spad{r} is a lower bound for the number of factors of \\spad{p.} \\spad{p} shall be of degree higher or equal to 2.")) (|rootBound| (((|Integer|) |#2|) "\\spad{rootBound(p)} returns a bound on the largest norm of the complex roots of \\spad{p.}")) (|bombieriNorm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{bombieriNorm(p,n)} returns the \\spad{n}th Bombieri's norm of \\spad{p.}") ((|#3| |#2|) "\\spad{bombieriNorm(p)} returns quadratic Bombieri's norm of \\spad{p.}")) (|beauzamyBound| (((|Integer|) |#2|) "\\spad{beauzamyBound(p)} returns a bound on the larger coefficient of any factor of \\spad{p.}"))) 
 NIL 
 NIL 
-(-469 R UP) 
+(|GaloisGroupPolynomialUtilities| R UP) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupPolynomialUtilities} provides useful functions for univariate polynomials which should be added to \\spadtype{UnivariatePolynomialCategory} or to \\spadtype{Factored}")) (|factorsOfDegree| (((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorsOfDegree(d,f)} returns the factors of degree \\spad{d} of the factored polynomial \\spad{f.}")) (|factorOfDegree| ((|#2| (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorOfDegree(d,f)} returns a factor of degree \\spad{d} of the factored polynomial \\spad{f.} Such a factor shall exist.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|)) "\\spad{degreePartition(f)} returns the degree partition (\\spadignore{i.e.} the multiset of the degrees of the irreducible factors) of the polynomial \\spad{f.}")) (|shiftRoots| ((|#2| |#2| |#1|) "\\spad{shiftRoots(p,c)} returns the polynomial which has for roots \\spad{c} added to the roots of \\spad{p.}")) (|scaleRoots| ((|#2| |#2| |#1|) "\\spad{scaleRoots(p,c)} returns the polynomial which has \\spad{c} times the roots of \\spad{p.}")) (|reverse| ((|#2| |#2|) "\\spad{reverse(p)} returns the reverse polynomial of \\spad{p.}")) (|unvectorise| ((|#2| (|Vector| |#1|)) "\\spad{unvectorise(v)} returns the polynomial which has for coefficients the entries of \\spad{v} in the increasing order.")) (|monic?| (((|Boolean|) |#2|) "\\spad{monic?(p)} tests if \\spad{p} is monic (\\spadignore{i.e.} leading coefficient equal to 1)."))) 
 NIL 
 NIL 
-(-470 R) 
+(|GaloisGroupUtilities| R) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupUtilities} provides several useful functions.")) (|safetyMargin| (((|NonNegativeInteger|)) "\\spad{safetyMargin()} returns the number of low weight digits we do not trust in the floating point representation (used by \\spadfun{safeCeiling}).") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{safetyMargin(n)} sets to \\spad{n} the number of low weight digits we do not trust in the floating point representation and returns the previous value (for use by \\spadfun{safeCeiling}).")) (|safeFloor| (((|Integer|) |#1|) "\\spad{safeFloor(x)} returns the integer which is lower or equal to the largest integer which has the same floating point number representation.")) (|safeCeiling| (((|Integer|) |#1|) "\\spad{safeCeiling(x)} returns the integer which is greater than any integer with the same floating point number representation.")) (|fillPascalTriangle| (((|Void|)) "\\spad{fillPascalTriangle()} fills the stored table.")) (|sizePascalTriangle| (((|NonNegativeInteger|)) "\\spad{sizePascalTriangle()} returns the number of entries currently stored in the table.")) (|rangePascalTriangle| (((|NonNegativeInteger|)) "\\spad{rangePascalTriangle()} returns the maximal number of lines stored.") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rangePascalTriangle(n)} sets the maximal number of lines which are stored and returns the previous value.")) (|pascalTriangle| ((|#1| (|NonNegativeInteger|) (|Integer|)) "\\spad{pascalTriangle(n,r)} returns the binomial coefficient \\spad{C(n,r)=n!/(r! (n-r)!)} and stores it in a table to prevent recomputation."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-430)))) 
-(-471) 
+((|HasCategory| |#1| (QUOTE (|FloatingPointSystem|)))) 
+(|GaussianFactorizationPackage|) 
 ((|constructor| (NIL "Package for the factorization of complex or gaussian integers.")) (|prime?| (((|Boolean|) (|Complex| (|Integer|))) "\\spad{prime?(zi)} tests if the complex integer \\spad{zi} is prime.")) (|sumSquares| (((|List| (|Integer|)) (|Integer|)) "\\spad{sumSquares(p)} construct \\spad{a} and \\spad{b} such that \\spad{a**2+b**2} is equal to the integer prime \\spad{p,} and otherwise returns an error. It will succeed if the prime number \\spad{p} is 2 or congruent to 1 mod 4.")) (|factor| (((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|))) "\\spad{factor(zi)} produces the complete factorization of the complex integer zi."))) 
 NIL 
 NIL 
-(-472 |Dom| |Expon| |VarSet| |Dpol|) 
+(|EuclideanGroebnerBasisPackage| |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{EuclideanGroebnerBasisPackage} computes groebner bases for polynomial ideals over euclidean domains. The basic computation provides a distinguished set of generators for these ideals. This basis allows an easy test for membership: the operation \\spadfun{euclideanNormalForm} returns zero on ideal members. The string \"info\" and \"redcrit\" can be given as additional args to provide incremental information during the computation. If \"info\" is given, a computational summary is given for each s-polynomial. If \"redcrit\" is given, the reduced critical pairs are printed. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|euclideanGroebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{euclideanGroebner(lp, \"info\", \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials lp.} \\indented{1}{If the second argument is \"info\",} \\indented{1}{a summary is given of the critical pairs.} \\indented{1}{If the third argument is \"redcrit\", critical pairs are printed.} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an,\"info\",\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{euclideanGroebner(lp, infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal over a euclidean domain} \\indented{1}{generated by the list of polynomials lp.} \\indented{1}{During computation, additional information is printed out} \\indented{1}{if infoflag is given as} \\indented{1}{either \"info\" (for summary information) or} \\indented{1}{\"redcrit\" (for reduced critical pairs)} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an,\"redcrit\") \\spad{X} euclideanGroebner(an,\"info\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{euclideanGroebner(lp) computes a groebner basis for a polynomial} \\indented{1}{ideal over a euclidean domain generated by the list of polys lp.} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an)")) (|euclideanNormalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{euclideanNormalForm(poly,gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class."))) 
 NIL 
 NIL 
-(-473 |Dom| |Expon| |VarSet| |Dpol|) 
+(|GroebnerFactorizationPackage| |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{GroebnerFactorizationPackage} provides the function groebnerFactor\" which uses the factorization routines of Axiom to factor each polynomial under consideration while doing the groebner basis algorithm. Then it writes the ideal as an intersection of ideals determined by the irreducible factors. Note that the whole ring may occur as well as other redundancies. We also use the fact, that from the second factor on we can assume that the preceding factors are not equal to 0 and we divide all polynomials under considerations by the elements of this list of \"nonZeroRestrictions\". The result is a list of groebner bases, whose union of solutions of the corresponding systems of equations is the solution of the system of equation corresponding to the input list. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, info)} returns a list of groebner bases. The union of their solutions is the solution of the system of equations given by listOfPolys. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\indented{1}{groebnerFactorize(listOfPolys) returns} \\indented{1}{a list of groebner bases. The union of their solutions} \\indented{1}{is the solution of the system of equations given by listOfPolys.} \\indented{1}{At each stage the polynomial \\spad{p} under consideration (either from} \\indented{1}{the given basis or obtained from a reduction of the next S-polynomial)} \\indented{1}{is factorized. For each irreducible factors of \\spad{p,} a} \\indented{1}{new createGroebnerBasis is started} \\indented{1}{doing the usual updates with the factor} \\indented{1}{in place of \\spad{p.}} \\blankline \\spad{X} mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) \\spad{:=} \\spad{++X} [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], \\spad{++X} [1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ] \\spad{X} eq \\spad{:=} determinant mfzn \\spad{X} groebnerFactorize \\spad{++X} [eq,eval(eq, [x,y,z],[y,z,x]), eval(eq,[x,y,z],[z,x,y])]") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions, info)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of \\spad{nonZeroRestrictions} don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If argument info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of nonZeroRestrictions don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.}")) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{factorGroebnerBasis(basis,info)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis. If argument \\spad{info} is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\spad{factorGroebnerBasis(basis)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis."))) 
 NIL 
 NIL 
-(-474 |Dom| |Expon| |VarSet| |Dpol|) 
+(|GroebnerInternalPackage| |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "This package provides low level tools for Groebner basis computations")) (|virtualDegree| (((|NonNegativeInteger|) |#4|) "\\spad{virtualDegree }\\undocumented")) (|makeCrit| (((|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)) |#4| (|NonNegativeInteger|)) "\\spad{makeCrit }\\undocumented")) (|critpOrder| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{critpOrder }\\undocumented")) (|prinb| (((|Void|) (|Integer|)) "\\spad{prinb }\\undocumented")) (|prinpolINFO| (((|Void|) (|List| |#4|)) "\\spad{prinpolINFO }\\undocumented")) (|fprindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{fprindINFO }\\undocumented")) (|prindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|)) "\\spad{prindINFO }\\undocumented")) (|prinshINFO| (((|Void|) |#4|) "\\spad{prinshINFO }\\undocumented")) (|lepol| (((|Integer|) |#4|) "\\spad{lepol }\\undocumented")) (|minGbasis| (((|List| |#4|) (|List| |#4|)) "\\spad{minGbasis }\\undocumented")) (|updatD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{updatD }\\undocumented")) (|sPol| ((|#4| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{sPol }\\undocumented")) (|updatF| (((|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))) |#4| (|NonNegativeInteger|) (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)))) "\\spad{updatF }\\undocumented")) (|hMonic| ((|#4| |#4|) "\\spad{hMonic }\\undocumented")) (|redPo| (((|Record| (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (|List| |#4|)) "\\spad{redPo }\\undocumented")) (|critMonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critMonD1 }\\undocumented")) (|critMTonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critMTonD1 }\\undocumented")) (|critBonD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critBonD }\\undocumented")) (|critB| (((|Boolean|) |#2| |#2| |#2| |#2|) "\\spad{critB }\\undocumented")) (|critM| (((|Boolean|) |#2| |#2|) "\\spad{critM }\\undocumented")) (|critT| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{critT }\\undocumented")) (|gbasis| (((|List| |#4|) (|List| |#4|) (|Integer|) (|Integer|)) "\\spad{gbasis }\\undocumented")) (|redPol| ((|#4| |#4| (|List| |#4|)) "\\spad{redPol }\\undocumented")) (|credPol| ((|#4| |#4| (|List| |#4|)) "\\spad{credPol }\\undocumented"))) 
 NIL 
 NIL 
-(-475 |Dom| |Expon| |VarSet| |Dpol|) 
+(|GroebnerPackage| |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{GroebnerPackage} computes groebner bases for polynomial ideals. The basic computation provides a distinguished set of generators for polynomial ideals over fields. This basis allows an easy test for membership: the operation \\spadfun{normalForm} returns zero on ideal members. When the provided coefficient domain, Dom, is not a field, the result is equivalent to considering the extended ideal with \\spadtype{Fraction(Dom)} as coefficients, but considerably more efficient since all calculations are performed in Dom. Additional argument \"info\" and \"redcrit\" can be given to provide incremental information during computation. Argument \"info\" produces a computational summary for each s-polynomial. Argument \"redcrit\" prints out the reduced critical pairs. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|normalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{normalForm(poly,gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class.")) (|groebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{groebner(lp, \"info\", \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials lp,} \\indented{1}{displaying both a summary of the critical pairs considered (\"info\")} \\indented{1}{and the result of reducing each critical pair (\"redcrit\").} \\indented{1}{If the second or third arguments have any other string value,} \\indented{1}{the indicated information is suppressed.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7,\"info\",\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{groebner(lp, infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal} \\indented{1}{generated by the list of polynomials lp.} \\indented{1}{Argument infoflag is used to get information on the computation.} \\indented{1}{If infoflag is \"info\", then summary information} \\indented{1}{is displayed for each s-polynomial generated.} \\indented{1}{If infoflag is \"redcrit\", the reduced critical pairs are displayed.} \\indented{1}{If infoflag is any other string,} \\indented{1}{no information is printed during computation.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7,\"info\") \\spad{X} groebner(sn7,\"redcrit\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{groebner(lp) computes a groebner basis for a polynomial ideal} \\indented{1}{generated by the list of polynomials lp.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7)"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388)))) 
-(-476 S) 
+((|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|GcdDomain&| S) 
 ((|constructor| (NIL "This category describes domains where \\spadfun{gcd} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However, if such a \\spadfun{factor} operation exist, factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the greatest common divisor (gcd) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l.}") (($ $ $) "\\spad{lcm(x,y)} returns the least common multiple of \\spad{x} and \\spad{y.}")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l.}") (($ $ $) "\\spad{gcd(x,y)} returns the greatest common divisor of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-477) 
+(|GcdDomain|) 
 ((|constructor| (NIL "This category describes domains where \\spadfun{gcd} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However, if such a \\spadfun{factor} operation exist, factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the greatest common divisor (gcd) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l.}") (($ $ $) "\\spad{lcm(x,y)} returns the least common multiple of \\spad{x} and \\spad{y.}")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l.}") (($ $ $) "\\spad{gcd(x,y)} returns the greatest common divisor of \\spad{x} and \\spad{y.}"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-478 R |n| |ls| |gamma|) 
+(|GenericNonAssociativeAlgebra| R |n| |ls| |gamma|) 
 ((|constructor| (NIL "AlgebraGenericElementPackage allows you to create generic elements of an algebra, \\spadignore{i.e.} the scalars are extended to include symbolic coefficients")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis") (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}")) (|genericRightDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericRightDiscriminant()} is the determinant of the generic left trace forms of all products of basis element, if the generic left trace form is associative, an algebra is separable if the generic left discriminant is invertible, if it is non-zero, there is some ring extension which makes the algebra separable")) (|genericRightTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericRightTraceForm (a,b)} is defined to be \\spadfun{genericRightTrace (a*b)}, this defines a symmetric bilinear form on the algebra")) (|genericLeftDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericLeftDiscriminant()} is the determinant of the generic left trace forms of all products of basis element, if the generic left trace form is associative, an algebra is separable if the generic left discriminant is invertible, if it is non-zero, there is some ring extension which makes the algebra separable")) (|genericLeftTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericLeftTraceForm (a,b)} is defined to be \\spad{genericLeftTrace (a*b)}, this defines a symmetric bilinear form on the algebra")) (|genericRightNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{rightRankPolynomial} and changes the sign if the degree of this polynomial is odd")) (|genericRightTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{rightRankPolynomial} and changes the sign")) (|genericRightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericRightMinimalPolynomial(a)} substitutes the coefficients of \\spad{a} for the generic coefficients in \\spadfun{rightRankPolynomial}")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{rightRankPolynomial()} returns the right minimimal polynomial of the generic element")) (|genericLeftNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{leftRankPolynomial} and changes the sign if the degree of this polynomial is odd. This is a form of degree \\spad{k}")) (|genericLeftTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{leftRankPolynomial} and changes the sign. \\indented{1}{This is a linear form}")) (|genericLeftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericLeftMinimalPolynomial(a)} substitutes the coefficients of {em a} for the generic coefficients in \\spad{leftRankPolynomial()}")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{leftRankPolynomial()} returns the left minimimal polynomial of the generic element")) (|generic| (($ (|Vector| (|Symbol|)) (|Vector| $)) "\\spad{generic(vs,ve)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{ve} with the symbolic coefficients \\spad{vs} error, if the vector of symbols is shorter than the vector of elements") (($ (|Symbol|) (|Vector| $)) "\\spad{generic(s,v)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{v} with the symbolic coefficients \\spad{s1,s2,..}") (($ (|Vector| $)) "\\spad{generic(ve)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{ve} basis with the symbolic coefficients \\spad{\\%x1,\\%x2,..}") (($ (|Vector| (|Symbol|))) "\\spad{generic(vs)} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{vs}; error, if the vector of symbols is too short") (($ (|Symbol|)) "\\spad{generic(s)} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{s1,s2,..}") (($) "\\spad{generic()} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{\\%x1,\\%x2,..}")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none")) (|coerce| (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) "\\spad{coerce(v)} assumes that it is called with a vector of length equal to the dimension of the algebra, then a linear combination with the basis element is formed"))) 
-((-4622 |has| (-433 (-980 |#1|)) (-582)) (-4620 . T) (-4619 . T)) 
-((|HasCategory| (-433 (-980 |#1|)) (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| (-433 (-980 |#1|)) (QUOTE (-582)))) 
-(-479 |vl| R E) 
+((|unitsKnown| |has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| (|Fraction| (|Polynomial| |#1|)) (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| (|Fraction| (|Polynomial| |#1|)) (QUOTE (|IntegralDomain|)))) 
+(|GeneralDistributedMultivariatePolynomial| |vl| R E) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is specified by its third parameter. Suggested types which define term orderings include: \\spadtype{DirectProduct}, \\spadtype{HomogeneousDirectProduct}, \\spadtype{SplitHomogeneousDirectProduct} and finally \\spadtype{OrderedDirectProduct} which accepts an arbitrary user function to define a term ordering.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4627 "*") |has| |#2| (-194)) (-4618 |has| |#2| (-582)) (-4623 |has| |#2| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-480) 
+(((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#2| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|GnuDraw|) 
 ((|constructor| (NIL "This package provides support for gnuplot. These routines generate output files contain gnuplot scripts that may be processed directly by gnuplot. This is especially convenient in the axiom-wiki environment where gnuplot is called from LaTeX via gnuplottex.")) (|gnuDraw| (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting, default options} \\blankline \\spad{X} gnuDraw(sin(x)*cos(y),x=-6..4,y=-4..6,\"out3d.dat\") \\spad{X} )sys gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting with options} \\blankline \\spad{X} gnuDraw(sin(x)*cos(y),x=-6..4,y=-4..6,\"out3d.dat\",title==\"out3d\") \\spad{X} )sys gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting, default options} \\blankline \\spad{X} gnuDraw(D(cos(exp(z))/exp(z^2),z),z=-5..5,\"out2d.dat\") \\spad{X} )sys gnuplot -persist out2d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting with options} \\blankline \\spad{X} gnuDraw(D(cos(exp(z))/exp(z^2),z),z=-5..5,\"out2d.dat\",title==\"out2d\") \\spad{X} )sys gnuplot -persist out2d.dat"))) 
 NIL 
 NIL 
-(-481 R BP) 
+(|GenExEuclid| R BP) 
 ((|constructor| (NIL "\\indented{1}{Author : P.Gianni.} Date Created: January 1990 Description:")) (|testModulus| (((|Boolean|) |#1| (|List| |#2|)) "\\spad{testModulus(p,lp)} returns \\spad{true} if the the prime \\spad{p} is valid for the list of polynomials \\spad{lp,} \\spadignore{i.e.} preserves the degree and they remain relatively prime.")) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) "\\spad{solveid(h,table)} computes the coefficients of the extended euclidean algorithm for a list of polynomials whose tablePow is \\spad{table} and with right side \\spad{h.}")) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) "\\spad{tablePow(maxdeg,prime,lpol)} constructs the table with the coefficients of the Extended Euclidean Algorithm for lpol. Here the right side is \\spad{x**k}, for \\spad{k} less or equal to maxdeg. The operation returns \"failed\" when the elements are not coprime modulo prime.")) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) "\\spad{compBound(p,lp)} computes a bound for the coefficients of the solution polynomials. Given a polynomial right hand side \\spad{p,} and a list \\spad{lp} of left hand side polynomials. Exported because it depends on the valuation.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(p,prime)} reduces the polynomial \\spad{p} modulo \\spad{prime} of \\spad{R.} Note that this function is exported only because it's conditional."))) 
 NIL 
 NIL 
-(-482 OV E S R P) 
+(|GeneralizedMultivariateFactorize| OV E S R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| |#5|) |#5|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-483 E OV R P) 
+(|GeneralPolynomialGcdPackage| E OV R P) 
 ((|constructor| (NIL "Description:")) (|randomR| ((|#3|) "\\spad{randomR()} should be local but conditional")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{GCD} of \\spad{p} and \\spad{q}"))) 
 NIL 
 NIL 
-(-484 R) 
+(|GenUFactorize| R) 
 ((|constructor| (NIL "This package provides operations for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" the finite \"berlekamp's\" factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{factor(p)} returns the factorisation of \\spad{p}"))) 
 NIL 
 NIL 
-(-485 R FE) 
+(|GenerateUnivariatePowerSeries| R FE) 
 ((|constructor| (NIL "\\spadtype{GenerateUnivariatePowerSeries} provides functions that create power series from explicit formulas for their \\spad{n}th coefficient.")) (|series| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(a(n),n,x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., \\spad{a(n)} * \\spad{(x} - a)**n)}; \\spad{series(a(n),n,x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} \\spad{a(n)} * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(n \\spad{+->} a(n),x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., a(n) * \\spad{(x} - a)**n)}; \\spad{series(n \\spad{+->} a(n),x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} a(n) * \\spad{(x} - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(a(n),n,x=a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{series(a(n),n,x=a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{series(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{series(a(n),n,x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{series(n \\spad{+->} a(n),x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.")) (|puiseux| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(a(n),n,x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., \\spad{a(n)} * \\spad{(x} - a)**n)}; \\spad{puiseux(a(n),n,x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} \\spad{a(n)} * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(n \\spad{+->} a(n),x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., a(n) * \\spad{(x} - a)**n)}; \\spad{puiseux(n \\spad{+->} a(n),x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} a(n) * \\spad{(x} - a)**n)}.")) (|laurent| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(a(n),n,x=a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{laurent(a(n),n,x=a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{laurent(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.")) (|taylor| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(a(n),n,x = a,n0..)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}; \\spad{taylor(a(n),n,x = a,n0..n1)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n=n0..,a(n)*(x-a)**n)}; \\spad{taylor(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{taylor(a(n),n,x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{taylor(n \\spad{+->} a(n),x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}."))) 
 NIL 
 NIL 
-(-486 RP TP) 
+(|GeneralHenselPackage| RP TP) 
 ((|constructor| (NIL "General Hensel Lifting Used for Factorization of bivariate polynomials over a finite field.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(u,pol)} computes the symmetric reduction of \\spad{u} mod \\spad{pol}")) (|completeHensel| (((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{completeHensel(pol,lfact,prime,bound)} lifts lfact, the factorization mod \\spad{prime} of pol, to the factorization mod prime**k>bound. Factors are recombined on the way.")) (|HenselLift| (((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{HenselLift(pol,lfacts,prime,bound)} lifts lfacts, that are the factors of \\spad{pol} mod prime, to factors of \\spad{pol} mod prime**k > bound. No recombining is done ."))) 
 NIL 
 NIL 
-(-487 |vl| R IS E |ff| P) 
+(|GeneralModulePolynomial| |vl| R IS E |ff| P) 
 ((|constructor| (NIL "This package is undocumented")) (* (($ |#6| $) "\\spad{p*x} is not documented")) (|multMonom| (($ |#2| |#4| $) "\\spad{multMonom(r,e,x)} is not documented")) (|build| (($ |#2| |#3| |#4|) "\\spad{build(r,i,e)} is not documented")) (|unitVector| (($ |#3|) "\\spad{unitVector(x)} is not documented")) (|monomial| (($ |#2| (|ModuleMonomial| |#3| |#4| |#5|)) "\\spad{monomial(r,x)} is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|leadingIndex| ((|#3| $) "\\spad{leadingIndex(x)} is not documented")) (|leadingExponent| ((|#4| $) "\\spad{leadingExponent(x)} is not documented")) (|leadingMonomial| (((|ModuleMonomial| |#3| |#4| |#5|) $) "\\spad{leadingMonomial(x)} is not documented")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(x)} is not documented"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-488) 
+(|GuessOptionFunctions0|) 
 ((|constructor| (NIL "\\spad{GuessOptionFunctions0} provides operations that extract the values of options for Guess.")) (|checkOptions| (((|Void|) (|List| (|GuessOption|))) "\\spad{checkOptions checks} whether the given options are consistent, and yields an error otherwise")) (|debug| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{debug returns} whether we want additional output on the progress, default being \\spad{false}")) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{displayAsGF specifies} whether the result is a generating function or a recurrence. This option should not be set by the user, but rather by the HP-specification, therefore, there is no default.")) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{indexName returns} the name of the index variable used for the formulas, default being \\spad{n}")) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{variableName returns} the name of the variable used in by the algebraic differential equation, default being \\spad{x}")) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{functionName returns} the name of the function given by the algebraic differential equation, default being \\spad{f}")) (|one| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{one returns} whether we need only one solution, default being true.")) (|checkExtraValues| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. The default is true.")) (|check| (((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|))) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\", we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\", we use a probabilistic check. The default is \"deterministic\".")) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{safety returns} the specified safety or 1 as default.")) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{allDegrees returns} whether all possibilities of the degree vector should be tried, the default being false.")) (|maxMixedDegree| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{maxMixedDegree returns} the specified maxMixedDegree.")) (|maxDegree| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDegree returns} the specified maxDegree.")) (|maxLevel| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxLevel returns} the specified maxLevel.")) (|Somos| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{Somos returns} whether we allow only Somos-like operators, default being \\spad{false}")) (|homogeneous| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{homogeneous returns} whether we allow only homogeneous algebraic differential equations, default being \\spad{false}")) (|maxPower| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxPower returns} the specified maxPower.")) (|maxSubst| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxSubst returns} the specified maxSubst.")) (|maxShift| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxShift returns} the specified maxShift.")) (|maxDerivative| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDerivative returns} the specified maxDerivative."))) 
 NIL 
 NIL 
-(-489) 
+(|GuessOption|) 
 ((|constructor| (NIL "GuessOption is a domain whose elements are various options used by Guess.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option(l, option)} returns which options are given.")) (|displayKind| (($ (|Symbol|)) "\\spad{displayKind(d)} specifies kind of the result: generating function, recurrence or equation. This option should not be set by the user, but rather by the HP-specification.")) (|indexName| (($ (|Symbol|)) "\\spad{indexName(d)} specifies the index variable used for the formulas. This option is expressed in the form \\spad{indexName \\spad{==} \\spad{d}.}")) (|variableName| (($ (|Symbol|)) "\\spad{variableName(d)} specifies the variable used in by the algebraic differential equation. This option is expressed in the form \\spad{variableName \\spad{==} \\spad{d}.}")) (|functionNames| (($ (|List| (|Symbol|))) "\\spad{functionNames(d)} specifies the names for the function in algebraic dependence. This option is expressed in the form \\spad{functionNames \\spad{==} \\spad{d}.}")) (|functionName| (($ (|Symbol|)) "\\spad{functionName(d)} specifies the name of the function given by the algebraic differential equation or recurrence. This option is expressed in the form \\spad{functionName \\spad{==} \\spad{d}.}")) (|debug| (($ (|Boolean|)) "\\spad{debug(d)} specifies whether we want additional output on the progress. This option is expressed in the form \\spad{debug \\spad{==} \\spad{d}.}")) (|one| (($ (|Boolean|)) "\\spad{one(d)} specifies whether we are happy with one solution. This option is expressed in the form \\spad{one \\spad{==} \\spad{d}.}")) (|checkExtraValues| (($ (|Boolean|)) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. This option is expressed in the form \\spad{checkExtraValues \\spad{==} \\spad{d}}")) (|check| (($ (|Union| "skip" "MonteCarlo" "deterministic")) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\", we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\", we use a probabilistic check. This option is expressed in the form \\spad{check \\spad{==} \\spad{d}}")) (|safety| (($ (|NonNegativeInteger|)) "\\spad{safety(d)} specifies the number of values reserved for testing any solutions found. This option is expressed in the form \\spad{safety \\spad{==} \\spad{d}.}")) (|allDegrees| (($ (|Boolean|)) "\\spad{allDegrees(d)} specifies whether all possibilities of the degree vector - taking into account maxDegree - should be tried. This is mainly interesting for rational interpolation. This option is expressed in the form \\spad{allDegrees \\spad{==} \\spad{d}.}")) (|maxMixedDegree| (($ (|NonNegativeInteger|)) "\\spad{maxMixedDegree(d)} specifies the maximum q-degree of the coefficient polynomials in a recurrence with polynomial coefficients, in the case of mixed shifts. Although slightly inconsistent, maxMixedDegree(0) specifies that no mixed shifts are allowed. This option is expressed in the form \\spad{maxMixedDegree \\spad{==} \\spad{d}.}")) (|maxDegree| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDegree(d)} specifies the maximum degree of the coefficient polynomials in an algebraic differential equation or a recursion with polynomial coefficients. For rational functions with an exponential term, \\spad{maxDegree} bounds the degree of the denominator polynomial. This option is expressed in the form \\spad{maxDegree \\spad{==} \\spad{d}.}")) (|maxLevel| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxLevel(d)} specifies the maximum number of recursion levels operators guessProduct and guessSum will be applied. This option is expressed in the form spad{maxLevel \\spad{==} \\spad{d}.}")) (|Somos| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{Somos(d)} specifies whether we want that the total degree of the differential operators is constant, and equal to \\spad{d,} or maxDerivative if true. If true, maxDerivative must be set, too.")) (|homogeneous| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{homogeneous(d)} specifies whether we allow only homogeneous algebraic differential equations. This option is expressed in the form \\spad{homogeneous \\spad{==} \\spad{d}.} If true, then maxPower must be set, too, and ADEs with constant total degree are allowed. If a PositiveInteger is given, only ADE's with this total degree are allowed.")) (|maxPower| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxPower(d)} specifies the maximum degree in an algebraic differential equation. For example, the degree of \\spad{(f'')^3} \\spad{f'} is 4. maxPower(-1) specifies that the maximum exponent can be arbitrary. This option is expressed in the form \\spad{maxPower \\spad{==} \\spad{d}.}")) (|maxSubst| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxSubst(d)} specifies the maximum degree of the monomial substituted into the function we are looking for. That is, if \\spad{maxSubst \\spad{==} \\spad{d},} we look for polynomials such that $p(f(x), f(x^2), ..., f(x^d))=0$. equation. This option is expressed in the form \\spad{maxSubst \\spad{==} \\spad{d}.}")) (|maxShift| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxShift(d)} specifies the maximum shift in a recurrence equation. This option is expressed in the form \\spad{maxShift \\spad{==} \\spad{d}.}")) (|maxDerivative| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDerivative(d)} specifies the maximum derivative in an algebraic differential equation. This option is expressed in the form \\spad{maxDerivative \\spad{==} \\spad{d}.}"))) 
 NIL 
 NIL 
-(-490 E V R P Q) 
+(|GosperSummationMethod| E V R P Q) 
 ((|constructor| (NIL "Gosper's summation algorithm.")) (|GospersMethod| (((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)) "\\spad{GospersMethod(b, \\spad{n,} new)} returns a rational function \\spad{rf(n)} such that \\spad{a(n) * rf(n)} is the indefinite sum of \\spad{a(n)} with respect to upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{a(n+1) * rf(n+1) - a(n) * rf(n) = a(n)}, where \\spad{b(n) = a(n)/a(n-1)} is a rational function. Returns \"failed\" if no such rational function \\spad{rf(n)} exists. Note that \\spad{new} is a nullary function returning a new \\spad{V} every time. The condition on \\spad{a(n)} is that \\spad{a(n)/a(n-1)} is a rational function of \\spad{n}."))) 
 NIL 
 NIL 
-(-491 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+(|GeneralPackageForAlgebraicFunctionField| K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package.")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| |#7|) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|rationalPlaces| (((|List| |#7|)) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|adjunctionDivisor| ((|#8|) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial crv.")) (|intersectionDivisor| ((|#8| |#3|) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field, an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| |#3|) |#7|) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#3| |#7|) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#7|) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| |#3|) |#7|) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| |#3| |#3| |#7|) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| |#3| |#7|) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| ((|#6| |#3| |#7|) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| |#5|)) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|setSingularPoints| (((|List| |#5|) (|List| |#5|)) "\\spad{setSingularPoints(lpt)} sets the singular points to be used. Beware: no attempt is made to check if the points are singular or not, nor if all of the singular points are presents. Hence, results of some computation maybe false. It is intend to be use when one want to compute the singular points are computed by other means than to use the function singularPoints.")) (|desingTreeWoFullParam| (((|List| |#10|)) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|desingTree| (((|List| |#10|)) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| ((|#3|) "\\spad{theCurve returns} the specified polynomial for the package.")) (|printInfo| (((|Void|) (|List| (|Boolean|))) "\\spad{printInfo(lbool)} prints some information comming from various package and domain used by this package."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-394)))) 
-(-492 R E |VarSet| P) 
+((|HasCategory| |#1| (QUOTE (|Finite|)))) 
+(|GeneralPolynomialSet| R E |VarSet| P) 
 ((|constructor| (NIL "A domain for polynomial sets.")) (|convert| (($ (|List| |#4|)) "\\axiom{convert(lp)} returns the polynomial set whose members are the polynomials of \\axiom{lp}."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#4| (QUOTE (-1119))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582)))) 
-(-493 S R E) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|GradedAlgebra&| S R E) 
 ((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\spad{degree product(a,b) = degree a + degree \\spad{b}} \\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)} \\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)} \\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)} \\spad{product(a,product(b,c)) = product(product(a,b),c)}")) ((|One|) (($) "\\spad{1} is the identity for \\spad{product}."))) 
 NIL 
 NIL 
-(-494 R E) 
+(|GradedAlgebra| R E) 
 ((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\spad{degree product(a,b) = degree a + degree \\spad{b}} \\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)} \\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)} \\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)} \\spad{product(a,product(b,c)) = product(product(a,b),c)}")) ((|One|) (($) "\\spad{1} is the identity for \\spad{product}."))) 
 NIL 
 NIL 
-(-495) 
+(|GrayCode|) 
 ((|constructor| (NIL "GrayCode provides a function for efficiently running through all subsets of a finite set, only changing one element by another one.")) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{firstSubsetGray(n)} creates the first vector \\spad{ww} to start a loop using nextSubsetGray(ww,n)")) (|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{nextSubsetGray(ww,n)} returns a vector \\spad{vv} whose components have the following meanings:\\br vv.1: a vector of length \\spad{n} whose entries are 0 or 1. This can be interpreted as a code for a subset of the set 1,...,n; \\spad{vv.1} differs from \\spad{ww.1} by exactly one entry;\\br \\spad{vv.2.1} is the number of the entry of \\spad{vv.1} which will be changed next time;\\br \\spad{vv.2.1} = \\spad{n+1} means that \\spad{vv.1} is the last subset; trying to compute nextSubsetGray(vv) if \\spad{vv.2.1} = \\spad{n+1} will produce an error!\\br \\blankline The other components of \\spad{vv.2} are needed to compute nextSubsetGray efficiently. Note that this is an implementation of [Williamson, Topic II, 3.54, \\spad{p.} 112] for the special case \\spad{r1} = \\spad{r2} = \\spad{...} = \\spad{rn} = 2; Note that nextSubsetGray produces a side-effect, \\spadignore{i.e.} nextSubsetGray(vv) and \\spad{vv} \\spad{:=} nextSubsetGray(vv) will have the same effect."))) 
 NIL 
 NIL 
-(-496) 
+(|GraphicsDefaults|) 
 ((|constructor| (NIL "TwoDimensionalPlotSettings sets global flags and constants for 2-dimensional plotting.")) (|screenResolution| (((|Integer|) (|Integer|)) "\\spad{screenResolution(n)} sets the screen resolution to \\spad{n.}") (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution \\spad{n.}")) (|minPoints| (((|Integer|) (|Integer|)) "\\spad{minPoints()} sets the minimum number of points in a plot.") (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot.")) (|maxPoints| (((|Integer|) (|Integer|)) "\\spad{maxPoints()} sets the maximum number of points in a plot.") (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot.")) (|adaptive| (((|Boolean|) (|Boolean|)) "\\spad{adaptive(true)} turns adaptive plotting on; \\spad{adaptive(false)} turns adaptive plotting off.") (((|Boolean|)) "\\spad{adaptive()} determines whether plotting will be done adaptively.")) (|drawToScale| (((|Boolean|) (|Boolean|)) "\\spad{drawToScale(true)} causes plots to be drawn to scale. \\spad{drawToScale(false)} causes plots to be drawn so that they fill up the viewport window. The default setting is false.") (((|Boolean|)) "\\spad{drawToScale()} determines whether or not plots are to be drawn to scale.")) (|clipPointsDefault| (((|Boolean|) (|Boolean|)) "\\spad{clipPointsDefault(true)} turns on automatic clipping; \\spad{clipPointsDefault(false)} turns off automatic clipping. The default setting is true.") (((|Boolean|)) "\\spad{clipPointsDefault()} determines whether or not automatic clipping is to be done."))) 
 NIL 
 NIL 
-(-497) 
+(|GraphImage|) 
 ((|constructor| (NIL "TwoDimensionalGraph creates virtual two dimensional graphs (to be displayed on TwoDimensionalViewports).")) (|putColorInfo| (((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|))) "\\spad{putColorInfo(llp,lpal)} takes a list of list of points, \\spad{llp}, and returns the points with their hue and shade components set according to the list of palette colors, \\spad{lpal}.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(gi)} returns the indicated graph, \\spad{gi}, of domain \\spadtype{GraphImage} as output of the domain \\spadtype{OutputForm}.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{coerce(llp)} component(gi,pt) creates and returns a graph of the domain \\spadtype{GraphImage} which is composed of the list of list of points given by \\spad{llp}, and whose point colors, line colors and point sizes are determined by the default functions \\spadfun{pointColorDefault}, \\spadfun{lineColorDefault}, and \\spadfun{pointSizeDefault}. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.")) (|point| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|)) "\\spad{point(gi,pt,pal)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color is set to be the palette color \\spad{pal}, and whose line color and point size are determined by the default functions \\spadfun{lineColorDefault} and \\spadfun{pointSizeDefault}.")) (|appendPoint| (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{appendPoint(gi,pt)} appends the point \\spad{pt} to the end of the list of points component for the graph, \\spad{gi}, which is of the domain \\spadtype{GraphImage}.")) (|component| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(gi,pt,pal1,pal2,ps)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color is set to the palette color \\spad{pal1}, line color is set to the palette color \\spad{pal2}, and point size is set to the positive integer \\spad{ps}.") (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{component(gi,pt)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color, line color and point size are determined by the default functions \\spadfun{pointColorDefault}, \\spadfun{lineColorDefault}, and \\spadfun{pointSizeDefault}.") (((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(gi,lp,pal1,pal2,p)} sets the components of the graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to the values given. The point list for \\spad{gi} is set to the list \\spad{lp}, the color of the points in \\spad{lp} is set to the palette color \\spad{pal1}, the color of the lines which connect the points \\spad{lp} is set to the palette color \\spad{pal2}, and the size of the points in \\spad{lp} is given by the integer \\spad{p.}")) (|units| (((|List| (|Float|)) $ (|List| (|Float|))) "\\spad{units(gi,lu)} modifies the list of unit increments for the \\spad{x} and \\spad{y} axes of the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to be that of the list of unit increments, \\spad{lu}, and returns the new list of units for \\spad{gi}.") (((|List| (|Float|)) $) "\\spad{units(gi)} returns the list of unit increments for the \\spad{x} and \\spad{y} axes of the indicated graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|ranges| (((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|)))) "\\spad{ranges(gi,lr)} modifies the list of ranges for the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to be that of the list of range segments, \\spad{lr}, and returns the new range list for \\spad{gi}.") (((|List| (|Segment| (|Float|))) $) "\\spad{ranges(gi)} returns the list of ranges of the point components from the indicated graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|key| (((|Integer|) $) "\\spad{key(gi)} returns the process ID of the given graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|pointLists| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{pointLists(gi)} returns the list of lists of points which compose the given graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|makeGraphImage| (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|))) "\\spad{makeGraphImage(llp,lpal1,lpal2,lp,lopt)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, whose point colors are indicated by the list of palette colors, \\spad{lpal1}, and whose lines are colored according to the list of palette colors, \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points, and \\spad{lopt} is the list of draw command options. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|))) "\\spad{makeGraphImage(llp,lpal1,lpal2,lp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, whose point colors are indicated by the list of palette colors, \\spad{lpal1}, and whose lines are colored according to the list of palette colors, \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{makeGraphImage(llp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, with default point size and default point and line colours. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ $) "\\spad{makeGraphImage(gi)} takes the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, and sends it's data to the viewport manager where it waits to be included in a two-dimensional viewport window. \\spad{gi} cannot be an empty graph, and it's elements must have been created using the \\spadfun{point} or \\spadfun{component} functions, not by a previous \\spadfun{makeGraphImage}.")) (|graphImage| (($) "\\spad{graphImage()} returns an empty graph with 0 point lists of the domain \\spadtype{GraphImage}. A graph image contains the graph data component of a two dimensional viewport."))) 
 NIL 
 NIL 
-(-498 S R E) 
+(|GradedModule&| S R E) 
 ((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', that is, collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#2|) "\\spad{g*r} is right module multiplication.") (($ |#2| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "\\spad{0} denotes the zero of degree 0.")) (|degree| ((|#3| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
 NIL 
 NIL 
-(-499 R E) 
+(|GradedModule| R E) 
 ((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', that is, collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#1|) "\\spad{g*r} is right module multiplication.") (($ |#1| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "\\spad{0} denotes the zero of degree 0.")) (|degree| ((|#2| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
 NIL 
 NIL 
-(-500 |lv| -3958 R) 
+(|GroebnerSolve| |lv| F R) 
 ((|constructor| (NIL "Solve systems of polynomial equations using Groebner bases Total order Groebner bases are computed and then converted to lex ones This package is mostly intended for internal use.")) (|genericPosition| (((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{genericPosition(lp,lv)} puts a radical zero dimensional ideal in general position, for system \\spad{lp} in variables \\spad{lv.}")) (|testDim| (((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{testDim(lp,lv)} tests if the polynomial system \\spad{lp} in variables \\spad{lv} is zero dimensional.")) (|groebSolve| (((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{groebSolve(lp,lv)} reduces the polynomial system \\spad{lp} in variables \\spad{lv} to triangular form. Algorithm based on groebner bases algorithm with linear algebra for change of ordering. Preprocessing for the general solver. The polynomials in input are of type \\spadtype{DMP}."))) 
 NIL 
 NIL 
-(-501 S) 
+(|Group&| S) 
 ((|constructor| (NIL "The class of multiplicative groups, that is, monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{inv(x)*x = 1}\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{x*inv(x) = 1}")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
 NIL 
 NIL 
-(-502) 
+(|Group|) 
 ((|constructor| (NIL "The class of multiplicative groups, that is, monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{inv(x)*x = 1}\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{x*inv(x) = 1}")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-503 |Coef| |var| |cen|) 
+(|GeneralUnivariatePowerSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x\\^r)}.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{coerce(f)} converts a Puiseux series to a general power series.") (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|))))) (|HasCategory| (-433 (-592)) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-504 |Key| |Entry| |Tbl| |dent|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|))))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|GeneralSparseTable| |Key| |Entry| |Tbl| |dent|) 
 ((|constructor| (NIL "A sparse table has a default entry, which is returned if no other value has been explicitly stored for a key."))) 
-((-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119))))) 
-(-505 R E V P) 
+((|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) 
+(|GeneralTriangularSet| R E V P) 
 ((|constructor| (NIL "A domain constructor of the category \\axiomType{TriangularSetCategory}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. Triangular sets are stored as sorted lists w.r.t. the main variables of their members but they are displayed in reverse order."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#4| (QUOTE (-1119))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#3| (QUOTE (-394)))) 
-(-506) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#3| (QUOTE (|Finite|)))) 
+(|GuessAlgebraicNumber|) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((|HasCategory| (-53) (LIST (QUOTE -1065) (QUOTE (-1191))))) 
-(-507 -3958) 
+((|HasCategory| (|AlgebraicNumber|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))) 
+(|GuessFiniteFunctions| F) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
 NIL 
-(-508 -3958) 
+(|GuessFinite| F) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-1191))))) 
-(-509) 
+((|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))) 
+(|GuessInteger|) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational numbers"))) 
 NIL 
-((-12 (|HasCategory| (-433 (-592)) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-1191)))))) 
-(-510 -3958 S EXPRR R -2400 -1683) 
+((AND (|HasCategory| (|Fraction| (|Integer|)) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))))) 
+(|Guess| F S EXPRR R |retract| |coerce|) 
 ((|constructor| (NIL "This package implements guessing of sequences. Packages for the most common cases are provided as \\spadtype{GuessInteger}, \\spadtype{GuessPolynomial}, etc.")) (|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the $q$-shift operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the $q$-dilation operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat \\spad{q}} returns a guesser that tries to find a q-rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRat \\spad{l}} tries to find a rational function whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRat(l, options)} tries to find a rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec \\spad{q}} returns a guesser that tries to find a linear q-recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPRec \\spad{l}} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxPower \\spad{==} 1)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPRec(l, options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec \\spad{q}} returns a guesser that finds an ordinary q-difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRec(l, options)} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRec \\spad{l}} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessHolo(l, options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessHolo \\spad{l}} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxPower \\spad{==} 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessAlg(l, options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}(l, options) with \\spad{maxDerivative \\spad{==} 0}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessAlg \\spad{l}} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(l, maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE \\spad{q}} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessADE(l, options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessADE \\spad{l}} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) "\\spad{guessHP \\spad{f}} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f.}")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat \\spad{q}} returns a guesser that tries to find a function of the form n+->qbinomial(a+b \\spad{n,} \\spad{n)} r(n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat \\spad{q}} returns a guesser that tries to find a function of the form n+->(a+b q^n)^n r(q^n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessExpRat(l, options)} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessExpRat \\spad{l}} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guess| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guess(l, options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guess \\spad{l}} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191)))))) 
-(-511) 
+((AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))))) 
+(|GuessPolynomial|) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((-12 (|HasCategory| (-433 (-980 (-592))) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-980 (-592)) (LIST (QUOTE -1065) (QUOTE (-1191)))))) 
-(-512 |q|) 
+((AND (|HasCategory| (|Fraction| (|Polynomial| (|Integer|))) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|Polynomial| (|Integer|)) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))))) 
+(|GuessUnivariatePolynomial| |q|) 
 ((|constructor| (NIL "This package exports guessing of sequences of univariate rational functions")) (|shiftHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the $q$-shift operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the $q$-dilation operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat \\spad{q}} returns a guesser that tries to find a q-rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRat \\spad{l}} tries to find a rational function whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRat(l, options)} tries to find a rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec \\spad{q}} returns a guesser that tries to find a linear q-recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPRec \\spad{l}} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxPower \\spad{==} 1)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPRec(l, options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec \\spad{q}} returns a guesser that finds an ordinary q-difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRec(l, options)} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRec \\spad{l}} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessHolo(l, options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessHolo \\spad{l}} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxPower \\spad{==} 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessAlg(l, options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}(l, options) with \\spad{maxDerivative \\spad{==} 0}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessAlg \\spad{l}} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(l, maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE \\spad{q}} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessADE(l, options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessADE \\spad{l}} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|)))) "\\spad{guessHP \\spad{f}} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f.}")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat \\spad{q}} returns a guesser that tries to find a function of the form n+->qbinomial(a+b \\spad{n,} \\spad{n)} r(n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat \\spad{q}} returns a guesser that tries to find a function of the form n+->(a+b q^n)^n r(q^n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessExpRat(l, options)} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessExpRat \\spad{l}} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guess| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guess(l, options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guess \\spad{l}} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
 NIL 
-(-513) 
+(|Pi|) 
 ((|constructor| (NIL "Symbolic fractions in \\%pi with integer coefficients; The point for using \\spad{Pi} as the default domain for those fractions is that \\spad{Pi} is coercible to the float types, and not Expression.")) (|pi| (($) "\\spad{pi()} returns the symbolic \\%pi."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-514 |Key| |Entry| |hashfn|) 
+(|HashTable| |Key| |Entry| |hashfn|) 
 ((|constructor| (NIL "This domain provides access to the underlying Lisp hash tables. By varying the hashfn parameter, tables suited for different purposes can be obtained."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119))))) 
-(-515) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) 
+(|HallBasis|) 
 ((|constructor| (NIL "Generate a basis for the free Lie algebra on \\spad{n} generators over a ring \\spad{R} with identity up to basic commutators of length \\spad{c} using the algorithm of \\spad{P.} Hall as given in Serre's book Lie Groups \\spad{--} Lie Algebras")) (|generate| (((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generate(numberOfGens, maximalWeight)} generates a vector of elements of the form [left,weight,right] which represents a \\spad{P.} Hall basis element for the free lie algebra on \\spad{numberOfGens} generators. We only generate those basis elements of weight less than or equal to maximalWeight")) (|inHallBasis?| (((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{inHallBasis?(numberOfGens, leftCandidate, rightCandidate, left)} tests to see if a new element should be added to the \\spad{P.} Hall basis being constructed. The list \\spad{[leftCandidate,wt,rightCandidate]} is included in the basis if in the unique factorization of rightCandidate, we have left factor leftOfRight, and leftOfRight \\spad{<=} \\spad{leftCandidate}")) (|lfunc| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{lfunc(d,n)} computes the rank of the \\spad{n}th factor in the lower central series of the free d-generated free Lie algebra; This rank is \\spad{d} if \\spad{n} = 1 and binom(d,2) if \\spad{n} = 2"))) 
 NIL 
 NIL 
-(-516 |vl| R) 
+(|HomogeneousDistributedMultivariatePolynomial| |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is total degree ordering refined by reverse lexicographic ordering with respect to the position that the variables appear in the list of variables parameter.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4627 "*") |has| |#2| (-194)) (-4618 |has| |#2| (-582)) (-4623 |has| |#2| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-517 -3832 S) 
+(((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#2| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|HomogeneousDirectProduct| |dim| S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered first by the sum of their components, and then refined using a reverse lexicographic ordering. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4619 |has| |#2| (-1075)) (-4620 |has| |#2| (-1075)) (-4622 |has| |#2| (-6 -4622)) ((-4627 "*") |has| |#2| (-194)) (-4625 . T)) 
-((|HasCategory| |#2| (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867))) (-3836 (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867)))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388)))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasAttribute| |#2| (QUOTE -4622)) (|HasCategory| |#2| (QUOTE (-158))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-25))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1119))))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))))) 
-(-518 S) 
+((|rightUnitary| |has| |#2| (|Ring|)) (|leftUnitary| |has| |#2| (|Ring|)) (|unitsKnown| |has| |#2| (ATTRIBUTE |unitsKnown|)) ((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|finiteAggregate| . T)) 
+((|HasCategory| |#2| (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|))) (OR (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|)))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasAttribute| |#2| (QUOTE |unitsKnown|)) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))))) 
+(|Heap| S) 
 ((|constructor| (NIL "Heap implemented in a flexible array to allow for insertions")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} less?(a,9)")) (|sample| (($) "\\blankline \\spad{X} sample()$Heap(INT)")) (|merge!| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [6,7,8,9,10] \\spad{X} merge!(a,b) \\spad{X} a \\spad{X} \\spad{b}")) (|merge| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [6,7,8,9,10] \\spad{X} merge(a,b)")) (|max| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} max a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Heap INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} empty? a")) (|copy| (($ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} copy a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Heap(INT)")) (|heap| (($ (|List| |#1|)) "\\indented{1}{heap(ls) creates a heap of elements consisting of the} \\indented{1}{elements of ls.} \\blankline \\spad{E} i:Heap INT \\spad{:=} heap [1,6,3,7,5,2,4]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-519 -3958 UP UPUP R) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|HyperellipticFiniteDivisor| F UP UPUP R) 
 ((|constructor| (NIL "This domains implements finite rational divisors on an hyperelliptic curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve. The equation of the curve must be \\spad{y^2} = f(x) and \\spad{f} must have odd degree."))) 
 NIL 
 NIL 
-(-520 BP) 
+(|HeuGcd| BP) 
 ((|constructor| (NIL "This package provides the functions for the heuristic integer gcd. Geddes's algorithm,for univariate polynomials with integer coefficients")) (|lintgcd| (((|Integer|) (|List| (|Integer|))) "\\spad{lintgcd([a1,..,ak])} = \\spad{gcd} of a list of integers")) (|content| (((|List| (|Integer|)) (|List| |#1|)) "\\spad{content([f1,..,fk])} = content of a list of univariate polynonials")) (|gcdcofactprim| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofactprim([f1,..fk])} = \\spad{gcd} and cofactors of \\spad{k} primitive polynomials.")) (|gcdcofact| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofact([f1,..fk])} = \\spad{gcd} and cofactors of \\spad{k} univariate polynomials.")) (|gcdprim| ((|#1| (|List| |#1|)) "\\spad{gcdprim([f1,..,fk])} = \\spad{gcd} of \\spad{k} PRIMITIVE univariate polynomials")) (|gcd| ((|#1| (|List| |#1|)) "\\indented{1}{gcd([f1,..,fk]) = \\spad{gcd} of the polynomials fi.} \\blankline \\spad{X} gcd([671*671*x^2-1,671*671*x^2+2*671*x+1]) \\spad{X} gcd([7*x^2+1,(7*x^2+1)^2])"))) 
 NIL 
 NIL 
-(-521) 
+(|HexadecimalExpansion|) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating hexadecimal expansions.")) (|hex| (($ (|Fraction| (|Integer|))) "\\spad{hex(r)} converts a rational number to a hexadecimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(h)} returns the fractional part of a hexadecimal expansion.")) (|coerce| (((|RadixExpansion| 16) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a radix expansion with base 16.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a rational number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-592) (QUOTE (-931))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-592) (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-171))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-1049))) (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1165))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-592) (QUOTE (-247))) (|HasCategory| (-592) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-592) (LIST (QUOTE -547) (QUOTE (-1191)) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -303) (QUOTE (-592)) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-574))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (QUOTE (-869)))) (|HasCategory| (-592) (LIST (QUOTE -654) (QUOTE (-592)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (|HasCategory| (-592) (QUOTE (-169))))) 
-(-522 A S) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|RealConstant|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|StepThrough|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|Integer|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Eltable|) (QUOTE (|Integer|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))))) 
+(|HomogeneousAggregate&| A S) 
 ((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system, all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#2| $) "\\spad{member?(x,u)} tests if \\spad{x} is a member of u. For collections, \\axiom{member?(x,u) = reduce(or,[x=y for \\spad{y} in u],false)}.")) (|members| (((|List| |#2|) $) "\\spad{members(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|parts| (((|List| |#2|) $) "\\spad{parts(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|count| (((|NonNegativeInteger|) |#2| $) "\\spad{count(x,u)} returns the number of occurrences of \\spad{x} in u. For collections, \\axiom{count(x,u) = reduce(+,[x=y for \\spad{y} in u],0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{count(p,u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true. For collections, \\axiom{count(p,u) = \\spad{reduce(+,[1} for \\spad{x} in \\spad{u} | p(x)],0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{every?(f,u)} tests if p(x) is \\spad{true} for all elements \\spad{x} of u. Note that for collections, \\axiom{every?(p,u) = reduce(and,map(f,u),true,false)}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{any?(p,u)} tests if \\axiom{p(x)} is \\spad{true} for any element \\spad{x} of u. Note that for collections, \\axiom{any?(p,u) = reduce(or,map(f,u),false,true)}.")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\spad{map!(f,u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{f(x)}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by f(x). For collections, \\axiom{map(f,u) = [f(x) for \\spad{x} in u]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4625)) (|HasAttribute| |#1| (QUOTE -4626)) (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) 
-(-523 S) 
+((|HasAttribute| |#1| (QUOTE |finiteAggregate|)) (|HasAttribute| |#1| (QUOTE |shallowlyMutable|)) (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) 
+(|HomogeneousAggregate| S) 
 ((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system, all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#1| $) "\\spad{member?(x,u)} tests if \\spad{x} is a member of u. For collections, \\axiom{member?(x,u) = reduce(or,[x=y for \\spad{y} in u],false)}.")) (|members| (((|List| |#1|) $) "\\spad{members(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|parts| (((|List| |#1|) $) "\\spad{parts(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|count| (((|NonNegativeInteger|) |#1| $) "\\spad{count(x,u)} returns the number of occurrences of \\spad{x} in u. For collections, \\axiom{count(x,u) = reduce(+,[x=y for \\spad{y} in u],0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{count(p,u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true. For collections, \\axiom{count(p,u) = \\spad{reduce(+,[1} for \\spad{x} in \\spad{u} | p(x)],0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{every?(f,u)} tests if p(x) is \\spad{true} for all elements \\spad{x} of u. Note that for collections, \\axiom{every?(p,u) = reduce(and,map(f,u),true,false)}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{any?(p,u)} tests if \\axiom{p(x)} is \\spad{true} for any element \\spad{x} of u. Note that for collections, \\axiom{any?(p,u) = reduce(or,map(f,u),false,true)}.")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\spad{map!(f,u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{f(x)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by f(x). For collections, \\axiom{map(f,u) = [f(x) for \\spad{x} in u]}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-524) 
+(|HTMLFormat|) 
 ((|constructor| (NIL "HtmlFormat provides a coercion from OutputForm to html.")) (|display| (((|Void|) (|String|)) "\\indented{1}{display(o) prints the string returned by coerce.} \\blankline \\spad{X} display(coerce(sqrt(3+x)::OutputForm)$HTMLFORM)$HTMLFORM")) (|exprex| (((|String|) (|OutputForm|)) "\\indented{1}{exprex(o) coverts \\spadtype{OutputForm} to \\spadtype{String}} \\blankline \\spad{X} exprex(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerceL| (((|String|) (|OutputForm|)) "\\indented{1}{coerceL(o) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays result as one long string.} \\blankline \\spad{X} coerceL(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerceS| (((|String|) (|OutputForm|)) "\\indented{1}{coerceS(o) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays formatted result.} \\blankline \\spad{X} coerceS(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerce| (((|String|) (|OutputForm|)) "\\indented{1}{coerce(o) changes \\spad{o} in the standard output format to html format.} \\blankline \\spad{X} coerce(sqrt(3+x)::OutputForm)$HTMLFORM"))) 
 NIL 
 NIL 
-(-525 S) 
+(|HyperbolicFunctionCategory&| S) 
 ((|constructor| (NIL "\\indented{1}{Date Last Updated: 14 May 1991} Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-526) 
+(|HyperbolicFunctionCategory|) 
 ((|constructor| (NIL "\\indented{1}{Date Last Updated: 14 May 1991} Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-527 -3958 UP |AlExt| |AlPol|) 
+(|InnerAlgFactor| F UP |AlExt| |AlPol|) 
 ((|constructor| (NIL "Factorisation in a simple algebraic extension Factorization of univariate polynomials with coefficients in an algebraic extension of a field over which we can factor UP's.")) (|factor| (((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{factor(p, \\spad{f)}} returns a prime factorisation of \\spad{p;} \\spad{f} is a factorisation map for elements of UP."))) 
 NIL 
 NIL 
-(-528) 
+(|InnerAlgebraicNumber|) 
 ((|constructor| (NIL "Algebraic closure of the rational numbers.")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|trueEqual| (((|Boolean|) $ $) "\\spad{trueEqual(x,y)} tries to determine if the two numbers are equal")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| $ (QUOTE (-1075))) (|HasCategory| $ (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-529 S |mn|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| $ (QUOTE (|Ring|))) (|HasCategory| $ (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|IndexedOneDimensionalArray| S |mn|) 
 ((|constructor| (NIL "This is the basic one dimensional array data type."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-530 R |mnRow| |mnCol|) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|IndexedTwoDimensionalArray| R |mnRow| |mnCol|) 
 ((|constructor| (NIL "This domain implements two dimensional arrays"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-531 K R UP) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|ChineseRemainderToolsForIntegralBases| K R UP) 
 ((|constructor| (NIL "This package has no description")) (|chineseRemainder| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)) "\\spad{chineseRemainder(lu,lr,n)} \\undocumented")) (|listConjugateBases| (((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{listConjugateBases(bas,q,n)} returns the list \\spad{[bas,bas^Frob,bas^(Frob^2),...bas^(Frob^(n-1))]}, where \\spad{Frob} raises the coefficients of all polynomials appearing in the basis \\spad{bas} to the \\spad{q}th power.")) (|factorList| (((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorList(k,n,m,j)} \\undocumented"))) 
 NIL 
 NIL 
-(-532 R UP -3958) 
+(|IntegralBasisTools| R UP F) 
 ((|constructor| (NIL "This package contains functions used in the packages FunctionFieldIntegralBasis and NumberFieldIntegralBasis.")) (|moduleSum| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{moduleSum(m1,m2)} returns the sum of two modules in the framed algebra \\spad{F}. Each module \\spad{mi} is represented as follows: \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn} and \\spad{mi} is a record \\spad{[basis,basisDen,basisInv]}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then a basis \\spad{v1,...,vn} for \\spad{mi} is given by \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|idealiserMatrix| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiserMatrix(m1, m2)} returns the matrix representing the linear conditions on the Ring associatied with an ideal defined by \\spad{m1} and \\spad{m2.}")) (|idealiser| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{idealiser(m1,m2,d)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2} where \\spad{d} is the known part of the denominator") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiser(m1,m2)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2}")) (|leastPower| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{leastPower(p,n)} returns e, where \\spad{e} is the smallest integer such that \\spad{p **e \\spad{>=} \\spad{n}}")) (|divideIfCan!| ((|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|)) "\\spad{divideIfCan!(matrix,matrixOut,prime,n)} attempts to divide the entries of \\spad{matrix} by \\spad{prime} and store the result in \\spad{matrixOut}. If it is successful, 1 is returned and if not, \\spad{prime} is returned. Here both \\spad{matrix} and \\spad{matrixOut} are \\spad{n}-by-\\spad{n} upper triangular matrices.")) (|matrixGcd| ((|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{matrixGcd(mat,sing,n)} is \\spad{gcd(sing,g)} where \\spad{g} is the \\spad{gcd} of the entries of the \\spad{n}-by-\\spad{n} upper-triangular matrix \\spad{mat}.")) (|diagonalProduct| ((|#1| (|Matrix| |#1|)) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
-(-533 |mn|) 
+(|IndexedBits| |mn|) 
 ((|constructor| (NIL "\\spadtype{IndexedBits} is a domain to compactly represent large quantities of Boolean data.")) (|And| (($ $ $) "\\spad{And(n,m)} returns the bit-by-bit logical And of \\spad{n} and \\spad{m.}")) (|Or| (($ $ $) "\\spad{Or(n,m)} returns the bit-by-bit logical Or of \\spad{n} and \\spad{m.}")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical Not of \\spad{n.}"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-141) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-141) (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-141) (QUOTE (-1119))) (-12 (|HasCategory| (-141) (LIST (QUOTE -325) (QUOTE (-141)))) (|HasCategory| (-141) (QUOTE (-1119))))) 
-(-534 K R UP L) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Boolean|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Boolean|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Boolean|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Boolean|) (LIST (QUOTE |Evalable|) (QUOTE (|Boolean|)))) (|HasCategory| (|Boolean|) (QUOTE (|SetCategory|))))) 
+(|IntegralBasisPolynomialTools| K R UP L) 
 ((|constructor| (NIL "IntegralBasisPolynomialTools provides functions for mapping functions on the coefficients of univariate and bivariate polynomials.")) (|mapBivariate| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|) "\\spad{mapBivariate(f,p(x,y))} applies the function \\spad{f} to the coefficients of \\spad{p(x,y)}.")) (|mapMatrixIfCan| (((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|))) "\\spad{mapMatrixIfCan(f,mat)} applies the function \\spad{f} to the coefficients of the entries of \\spad{mat} if possible, and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariateIfCan| (((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariateIfCan(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}, if possible, and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariate| (((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|) "\\spad{mapUnivariate(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}.") ((|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariate(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}."))) 
 NIL 
 NIL 
-(-535) 
+(|IndexCard|) 
 ((|constructor| (NIL "This domain implements a container of information about the AXIOM library")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts \\axiom{s} into an \\axiom{IndexCard}. Warning: if \\axiom{s} is not of the right format then an error will occur")) (|fullDisplay| (((|Void|) $) "\\spad{fullDisplay(ic)} prints all of the information contained in \\axiom{ic}.")) (|display| (((|Void|) $) "\\spad{display(ic)} prints a summary of information contained in \\axiom{ic}.")) (|elt| (((|String|) $ (|Symbol|)) "\\spad{elt(ic,s)} selects a particular field from \\axiom{ic}. Valid fields are \\axiom{name, nargs, exposed, type, abbreviation, kind, origin, params, condition, doc}."))) 
 NIL 
 NIL 
-(-536 R Q A B) 
+(|InnerCommonDenominator| R Q A B) 
 ((|constructor| (NIL "InnerCommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) "\\spad{splitDenominator([q1,...,qn])} returns \\spad{[[p1,...,pn], \\spad{d]}} such that \\spad{qi = pi/d} and \\spad{d} is a common denominator for the qi's.")) (|clearDenominator| ((|#3| |#4|) "\\spad{clearDenominator([q1,...,qn])} returns \\spad{[p1,...,pn]} such that \\spad{qi = pi/d} where \\spad{d} is a common denominator for the qi's.")) (|commonDenominator| ((|#1| |#4|) "\\spad{commonDenominator([q1,...,qn])} returns a common denominator \\spad{d} for q1,...,qn."))) 
 NIL 
 NIL 
-(-537 K |symb| BLMET) 
+(|InfClsPt| K |symb| BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-538 -3958 |Expon| |VarSet| |DPoly|) 
+(|PolynomialIdeals| F |Expon| |VarSet| |DPoly|) 
 ((|constructor| (NIL "This domain represents polynomial ideals with coefficients in any field and supports the basic ideal operations, including intersection sum and quotient. An ideal is represented by a list of polynomials (the generators of the ideal) and a boolean that is \\spad{true} if the generators are a Groebner basis. The algorithms used are based on Groebner basis computations. The ordering is determined by the datatype of the input polynomials. Users may use refinements of total degree orderings.")) (|relationsIdeal| (((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|)) "\\spad{relationsIdeal(polyList)} returns the ideal of relations among the polynomials in polyList.")) (|saturate| (($ $ |#4| (|List| |#3|)) "\\spad{saturate(I,f,lvar)} is the saturation with respect to the prime principal ideal which is generated by \\spad{f} in the polynomial ring \\spad{F[lvar]}.") (($ $ |#4|) "\\spad{saturate(I,f)} is the saturation of the ideal \\spad{I} with respect to the multiplicative set generated by the polynomial \\spad{f.}")) (|coerce| (($ (|List| |#4|)) "\\spad{coerce(polyList)} converts the list of polynomials \\spad{polyList} to an ideal.")) (|generators| (((|List| |#4|) $) "\\spad{generators(I)} returns a list of generators for the ideal I.")) (|groebner?| (((|Boolean|) $) "\\spad{groebner?(I)} tests if the generators of the ideal \\spad{I} are a Groebner basis.")) (|groebnerIdeal| (($ (|List| |#4|)) "\\spad{groebnerIdeal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList} which are assumed to be a Groebner basis. Note: this operation avoids a Groebner basis computation.")) (|ideal| (($ (|List| |#4|)) "\\spad{ideal(polyList)} constructs the ideal generated by the list of polynomials polyList.")) (|leadingIdeal| (($ $) "\\spad{leadingIdeal(I)} is the ideal generated by the leading terms of the elements of the ideal I.")) (|dimension| (((|Integer|) $) "\\spad{dimension(I)} gives the dimension of the ideal I. in the ring \\spad{F[lvar]}, where lvar are the variables appearing in \\spad{I}") (((|Integer|) $ (|List| |#3|)) "\\spad{dimension(I,lvar)} gives the dimension of the ideal I, in the ring \\spad{F[lvar]}")) (|backOldPos| (($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $))) "\\spad{backOldPos(genPos)} takes the result produced by generalPosition from PolynomialIdeals and performs the inverse transformation, returning the original ideal \\spad{backOldPos(generalPosition(I,listvar))} = I.")) (|generalPosition| (((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|)) "\\spad{generalPosition(I,listvar)} perform a random linear transformation on the variables in \\spad{listvar} and returns the transformed ideal along with the change of basis matrix.")) (|groebner| (($ $) "\\spad{groebner(I)} returns a set of generators of \\spad{I} that are a Groebner basis for I.")) (|quotient| (($ $ |#4|) "\\spad{quotient(I,f)} computes the quotient of the ideal \\spad{I} by the principal ideal generated by the polynomial \\spad{f,} \\spad{(I:(f))}.") (($ $ $) "\\spad{quotient(I,J)} computes the quotient of the ideals \\spad{I} and \\spad{J,} \\spad{(I:J)}.")) (|intersect| (($ (|List| $)) "\\spad{intersect(LI)} computes the intersection of the list of ideals LI.") (($ $ $) "\\spad{intersect(I,J)} computes the intersection of the ideals \\spad{I} and \\spad{J.}")) (|zeroDim?| (((|Boolean|) $) "\\spad{zeroDim?(I)} tests if the ideal \\spad{I} is zero dimensional, \\spadignore{i.e.} all its associated primes are maximal, in the ring \\spad{F[lvar]}, where lvar are the variables appearing in \\spad{I}") (((|Boolean|) $ (|List| |#3|)) "\\spad{zeroDim?(I,lvar)} tests if the ideal \\spad{I} is zero dimensional, \\spadignore{i.e.} all its associated primes are maximal, in the ring \\spad{F[lvar]}")) (|inRadical?| (((|Boolean|) |#4| $) "\\spad{inRadical?(f,I)} tests if some power of the polynomial \\spad{f} belongs to the ideal I.")) (|in?| (((|Boolean|) $ $) "\\spad{in?(I,J)} tests if the ideal \\spad{I} is contained in the ideal \\spad{J.}")) (|element?| (((|Boolean|) |#4| $) "\\spad{element?(f,I)} tests whether the polynomial \\spad{f} belongs to the ideal I.")) (|zero?| (((|Boolean|) $) "\\spad{zero?(I)} tests whether the ideal \\spad{I} is the zero ideal")) (|one?| (((|Boolean|) $) "\\spad{one?(I)} tests whether the ideal \\spad{I} is the unit ideal, \\spadignore{i.e.} contains 1.")) (+ (($ $ $) "\\spad{I+J} computes the ideal generated by the union of \\spad{I} and \\spad{J.}")) (** (($ $ (|NonNegativeInteger|)) "\\spad{I**n} computes the \\spad{n}th power of the ideal I.")) (* (($ $ $) "\\spad{I*J} computes the product of the ideal \\spad{I} and \\spad{J.}"))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-1191))))) 
-(-539 |vl| |nv|) 
+((|HasCategory| |#3| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|))))) 
+(|IdealDecompositionPackage| |vl| |nv|) 
 ((|constructor| (NIL "This package provides functions for the primary decomposition of polynomial ideals over the rational numbers. The ideals are members of the \\spadtype{PolynomialIdeals} domain, and the polynomial generators are required to be from the \\spadtype{DistributedMultivariatePolynomial} domain.")) (|contract| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))) "\\spad{contract(I,lvar)} contracts the ideal \\spad{I} to the polynomial ring \\spad{F[lvar]}.")) (|primaryDecomp| (((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{primaryDecomp(I)} returns a list of primary ideals such that their intersection is the ideal I.")) (|radical| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radical(I)} returns the radical of the ideal I.")) (|prime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{prime?(I)} tests if the ideal \\spad{I} is prime.")) (|zeroDimPrimary?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrimary?(I)} tests if the ideal \\spad{I} is 0-dimensional primary.")) (|zeroDimPrime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrime?(I)} tests if the ideal \\spad{I} is a 0-dimensional prime."))) 
 NIL 
 NIL 
-(-540 A S) 
+(|IndexedDirectProductAbelianGroup| A S) 
 ((|constructor| (NIL "Indexed direct products of abelian groups over an abelian group \\spad{A} of generators indexed by the ordered set \\spad{S.} All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-541 A S) 
+(|IndexedDirectProductAbelianMonoid| A S) 
 ((|constructor| (NIL "Indexed direct products of abelian monoids over an abelian monoid \\spad{A} of generators indexed by the ordered set \\spad{S.} All items have finite support. Only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-542 A S) 
+(|IndexedDirectProductCategory| A S) 
 ((|constructor| (NIL "This category represents the direct product of some set with respect to an ordered indexing set.")) (|reductum| (($ $) "\\spad{reductum(z)} returns a new element created by removing the leading coefficient/support pair from the element \\spad{z.} Error: if \\spad{z} has no support.")) (|leadingSupport| ((|#2| $) "\\spad{leadingSupport(z)} returns the index of leading (with respect to the ordering on the indexing set) monomial of \\spad{z.} Error: if \\spad{z} has no support.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(z)} returns the coefficient of the leading (with respect to the ordering on the indexing set) monomial of \\spad{z.} Error: if \\spad{z} has no support.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(a,s)} constructs a direct product element with the \\spad{s} component set to \\spad{a}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,z)} returns the new element created by applying the function \\spad{f} to each component of the direct product element \\spad{z.}"))) 
 NIL 
 NIL 
-(-543 A S) 
+(|IndexedDirectProductOrderedAbelianMonoid| A S) 
 ((|constructor| (NIL "Indexed direct products of ordered abelian monoids \\spad{A} of generators indexed by the ordered set \\spad{S.} The inherited order is lexicographical. All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-544 A S) 
+(|IndexedDirectProductOrderedAbelianMonoidSup| A S) 
 ((|constructor| (NIL "Indexed direct products of ordered abelian monoid sups \\spad{A}, generators indexed by the ordered set \\spad{S.} All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-545 A S) 
+(|IndexedDirectProductObject| A S) 
 ((|constructor| (NIL "Indexed direct products of objects over a set \\spad{A} of generators indexed by an ordered set \\spad{S.} All items have finite support."))) 
 NIL 
 NIL 
-(-546 S A B) 
+(|InnerEvalable&| S A B) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#2|) (|List| |#3|)) "\\spad{eval(f, [x1,...,xn], [v1,...,vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ |#2| |#3|) "\\spad{eval(f, \\spad{x,} \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-547 A B) 
+(|InnerEvalable| A B) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#1|) (|List| |#2|)) "\\spad{eval(f, [x1,...,xn], [v1,...,vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ |#1| |#2|) "\\spad{eval(f, \\spad{x,} \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-548 S E |un|) 
+(|InnerFreeAbelianMonoid| S E |un|) 
 ((|constructor| (NIL "Internal implementation of a free abelian monoid on any set of generators"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-814)))) 
-(-549 S |mn|) 
+((|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoid|)))) 
+(|IndexedFlexibleArray| S |mn|) 
 ((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations\\br \\spad{append(x,a)} meaning append item \\spad{x} at the end of the array \\spad{a}\\br \\spad{delete(a,n)} meaning delete the last item from the array \\spad{a}\\br Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However, these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50% larger) array. Conversely, when the array becomes less than 1/2 full, it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps, stacks and sets.")) (|shrinkable| (((|Boolean|) (|Boolean|)) "\\indented{1}{shrinkable(b) sets the shrinkable attribute of flexible arrays to \\spad{b}} \\indented{1}{and returns the previous value} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} \\spad{shrinkable(false)$T1}")) (|physicalLength!| (($ $ (|Integer|)) "\\indented{1}{physicalLength!(x,n) changes the physical length of \\spad{x} to be \\spad{n} and} \\indented{1}{returns the new array.} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} t2:=flexibleArray([i for \\spad{i} in 1..10])$T1 \\spad{X} physicalLength!(t2,15)")) (|physicalLength| (((|NonNegativeInteger|) $) "\\indented{1}{physicalLength(x) returns the number of elements \\spad{x} can} \\indented{1}{accomodate before growing} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} t2:=flexibleArray([i for \\spad{i} in 1..10])$T1 \\spad{X} physicalLength \\spad{t2}")) (|flexibleArray| (($ (|List| |#1|)) "\\indented{1}{flexibleArray(l) creates a flexible array from the list of elements \\spad{l}} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} flexibleArray([i for \\spad{i} in 1..10])$T1"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-550 |p| |n|) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|InnerFiniteField| |p| |n|) 
 ((|constructor| (NIL "InnerFiniteField(p,n) implements finite fields with \\spad{p**n} elements where \\spad{p} is assumed prime but does not check. For a version which checks that \\spad{p} is prime, see \\spadtype{FiniteField}."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-605 |#1|) (QUOTE (-171))) (|HasCategory| (-605 |#1|) (QUOTE (-394))) (|HasCategory| (-605 |#1|) (QUOTE (-169))) (-3836 (|HasCategory| (-605 |#1|) (QUOTE (-169))) (|HasCategory| (-605 |#1|) (QUOTE (-394))))) 
-(-551 R |mnRow| |mnCol| |Row| |Col|) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|InnerPrimeField| |#1|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|InnerPrimeField| |#1|) (QUOTE (|Finite|))) (|HasCategory| (|InnerPrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| (|InnerPrimeField| |#1|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|InnerPrimeField| |#1|) (QUOTE (|Finite|))))) 
+(|InnerIndexedTwoDimensionalArray| R |mnRow| |mnCol| |Row| |Col|) 
 ((|constructor| (NIL "There is no description for this domain"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-552 S |mn|) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|IndexedList| S |mn|) 
 ((|constructor| (NIL "\\spadtype{IndexedList} is a basic implementation of the functions in \\spadtype{ListAggregate}, often using functions in the underlying LISP system. The second parameter to the constructor (\\spad{mn}) is the beginning index of the list. That is, if \\spad{l} is a list, then \\spad{elt(l,mn)} is the first value. This constructor is probably best viewed as the implementation of singly-linked lists that are addressable by index rather than as a mere wrapper for LISP lists."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-553 R |Row| |Col| M) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|InnerMatrixLinearAlgebraFunctions| R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{InnerMatrixLinearAlgebraFunctions} is an internal package which provides standard linear algebra functions on domains in \\spad{MatrixCategory}")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|generalizedInverse| ((|#4| |#4|) "\\spad{generalizedInverse(m)} returns the generalized (Moore--Penrose) inverse of the matrix \\spad{m,} \\spadignore{i.e.} the matrix \\spad{h} such that m*h*m=h, h*m*h=m, \\spad{m*h} and \\spad{h*m} are both symmetric matrices.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} an error message is returned if the matrix is not square.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}"))) 
 NIL 
-((|HasAttribute| |#3| (QUOTE -4626))) 
-(-554 R |Row| |Col| M QF |Row2| |Col2| M2) 
+((|HasAttribute| |#3| (QUOTE |shallowlyMutable|))) 
+(|InnerMatrixQuotientFieldFunctions| R |Row| |Col| M QF |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{InnerMatrixQuotientFieldFunctions} provides functions on matrices over an integral domain which involve the quotient field of that integral domain. The functions rowEchelon and inverse return matrices with entries in the quotient field.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|inverse| (((|Union| |#8| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square. Note that the result will have entries in the quotient field.")) (|rowEchelon| ((|#8| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} the result will have entries in the quotient field."))) 
 NIL 
-((|HasAttribute| |#7| (QUOTE -4626))) 
-(-555 R |mnRow| |mnCol|) 
+((|HasAttribute| |#7| (QUOTE |shallowlyMutable|))) 
+(|IndexedMatrix| R |mnRow| |mnCol|) 
 ((|constructor| (NIL "An \\spad{IndexedMatrix} is a matrix where the minimal row and column indices are parameters of the type. The domains Row and Col are both IndexedVectors. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a 'Row' is the same as the index of the first column in a matrix and vice versa."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-582))) (|HasAttribute| |#1| (QUOTE (-4627 "*"))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-556 GF) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasAttribute| |#1| (QUOTE (|commutative| "*"))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|InnerNormalBasisFieldFunctions| GF) 
 ((|constructor| (NIL "InnerNormalBasisFieldFunctions(GF) (unexposed): This package has functions used by every normal basis finite field extension domain.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{minimalPolynomial(x)} \\undocumented{} See \\axiomFunFrom{minimalPolynomial}{FiniteAlgebraicExtensionField}")) (|normalElement| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{normalElement(n)} \\undocumented{} See \\axiomFunFrom{normalElement}{FiniteAlgebraicExtensionField}")) (|basis| (((|Vector| (|Vector| |#1|)) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{} See \\axiomFunFrom{basis}{FiniteAlgebraicExtensionField}")) (|normal?| (((|Boolean|) (|Vector| |#1|)) "\\spad{normal?(x)} \\undocumented{} See \\axiomFunFrom{normal?}{FiniteAlgebraicExtensionField}")) (|lookup| (((|PositiveInteger|) (|Vector| |#1|)) "\\spad{lookup(x)} \\undocumented{} See \\axiomFunFrom{lookup}{Finite}")) (|inv| (((|Vector| |#1|) (|Vector| |#1|)) "\\spad{inv \\spad{x}} \\undocumented{} See \\axiomFunFrom{inv}{DivisionRing}")) (|trace| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{trace(x,n)} \\undocumented{} See \\axiomFunFrom{trace}{FiniteAlgebraicExtensionField}")) (|norm| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{norm(x,n)} \\undocumented{} See \\axiomFunFrom{norm}{FiniteAlgebraicExtensionField}")) (/ (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x/y} \\undocumented{} See \\axiomFunFrom{/}{Field}")) (* (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x*y} \\undocumented{} See \\axiomFunFrom{*}{SemiGroup}")) (** (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{x**n} \\undocumented{} See \\axiomFunFrom{**}{DivisionRing}")) (|qPot| (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{qPot(v,e)} computes \\spad{v**(q**e)}, interpreting \\spad{v} as an element of normal basis field, \\spad{q} the size of the ground field. This is done by a cyclic e-shift of the vector \\spad{v.}")) (|expPot| (((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|)) "\\spad{expPot(v,e,d)} returns the sum from \\spad{i = 0} to \\spad{e - 1} of \\spad{v**(q**i*d)}, interpreting \\spad{v} as an element of a normal basis field and where \\spad{q} is the size of the ground field. Note that for a description of the algorithm, see T.Itoh and S.Tsujii, \"A fast algorithm for computing multiplicative inverses in GF(2^m) using normal bases\", Information and Computation 78, pp.171-177, 1988.")) (|repSq| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|)) "\\spad{repSq(v,e)} computes \\spad{v**e} by repeated squaring, interpreting \\spad{v} as an element of a normal basis field.")) (|dAndcExp| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|)) "\\spad{dAndcExp(v,n,k)} computes \\spad{v**e} interpreting \\spad{v} as an element of normal basis field. A divide and conquer algorithm similar to the one from D.R.Stinson, \"Some observations on parallel Algorithms for fast exponentiation in GF(2^n)\", Siam \\spad{J.} Computation, Vol.19, No.4, pp.711-717, August 1990 is used. Argument \\spad{k} is a parameter of this algorithm.")) (|xn| (((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|)) "\\spad{xn(n)} returns the polynomial \\spad{x**n-1}.")) (|pol| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{pol(v)} turns the vector \\spad{[v0,...,vn]} into the polynomial \\spad{v0+v1*x+ \\spad{...} + vn*x**n}.")) (|index| (((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{index(n,m)} is a index function for vectors of length \\spad{n} over the ground field.")) (|random| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{random(n)} creates a vector over the ground field with random entries.")) (|setFieldInfo| (((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|) "\\spad{setFieldInfo(m,p)} initializes the field arithmetic, where \\spad{m} is the multiplication table and \\spad{p} is the respective normal element of the ground field \\spad{GF.}"))) 
 NIL 
 NIL 
-(-557 R) 
+(|IncrementingMaps| R) 
 ((|constructor| (NIL "This package provides operations to create incrementing functions.")) (|incrementBy| (((|Mapping| |#1| |#1|) |#1|) "\\spad{incrementBy(n)} produces a function which adds \\spad{n} to whatever argument it is given. For example, if \\spad{{f} \\spad{:=} increment(n)} then \\spad{f \\spad{x}} is \\spad{x+n}.")) (|increment| (((|Mapping| |#1| |#1|)) "\\spad{increment()} produces a function which adds \\spad{1} to whatever argument it is given. For example, if \\spad{{f} \\spad{:=} increment()} then \\spad{f \\spad{x}} is \\spad{x+1}."))) 
 NIL 
 NIL 
-(-558 |Varset|) 
+(|IndexedExponents| |Varset|) 
 ((|constructor| (NIL "converts entire exponents to OutputForm"))) 
 NIL 
 NIL 
-(-559 K -3958 |Par|) 
+(|InnerNumericEigenPackage| K F |Par|) 
 ((|constructor| (NIL "This package is the inner package to be used by NumericRealEigenPackage and NumericComplexEigenPackage for the computation of numeric eigenvalues and eigenvectors.")) (|innerEigenvectors| (((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) "\\spad{innerEigenvectors(m,eps,factor)} computes explicitly the eigenvalues and the correspondent eigenvectors of the matrix \\spad{m.} The parameter \\spad{eps} determines the type of the output, \\spad{factor} is the univariate factorizer to \\spad{br} used to reduce the characteristic polynomial into irreducible factors.")) (|solve1| (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{solve1(pol, eps)} finds the roots of the univariate polynomial polynomial \\spad{pol} to precision eps. If \\spad{K} is \\spad{Fraction Integer} then only the real roots are returned, if \\spad{K} is \\spad{Complex Fraction Integer} then all roots are found.")) (|charpol| (((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|)) "\\spad{charpol(m)} computes the characteristic polynomial of a matrix \\spad{m} with entries in \\spad{K.} This function returns a polynomial over \\spad{K,} while the general one (that is in EiegenPackage) returns Fraction \\spad{P} \\spad{K}"))) 
 NIL 
 NIL 
-(-560 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
+(|InfinitlyClosePointCategory| K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|excpDivV| ((|#8| $) "\\spad{excpDivV returns} the exceptional divisor of the infinitly close point.")) (|chartV| ((|#9| $) "chartV is the chart of the infinitly close point. The first integer correspond to variable defining the exceptional line, the last one the affine neighboorhood and the second one is the remaining integer. For example [1,2,3] means that Z=1, \\spad{X=X} and Y=XY. [2,3,1] means that X=1, \\spad{Y=Y} and Z=YZ.")) (|multV| (((|NonNegativeInteger|) $) "\\spad{multV returns} the multiplicity of the infinitly close point.")) (|localPointV| (((|AffinePlane| |#1|) $) "\\spad{localPointV returns} the coordinates of the local infinitly close point")) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) "\\spad{curveV(p)} returns the defining polynomial of the strict transform on which lies the corresponding infinitly close point.")) (|pointV| ((|#5| $) "\\spad{pointV returns} the infinitly close point.")) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) "\\spad{create an} infinitly close point"))) 
 NIL 
 NIL 
-(-561 K |symb| BLMET) 
+(|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| K |symb| BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm \\indented{1}{yields the full output of \\spad{tr,} otherwise encode(tr) is output} (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-562 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
+(|InfinitlyClosePoint| K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-563) 
+(|Infinity|) 
 ((|constructor| (NIL "Top-level infinity Default infinity signatures for the interpreter.")) (|minusInfinity| (((|OrderedCompletion| (|Integer|))) "\\spad{minusInfinity()} returns minusInfinity.")) (|plusInfinity| (((|OrderedCompletion| (|Integer|))) "\\spad{plusInfinity()} returns plusIinfinity.")) (|infinity| (((|OnePointCompletion| (|Integer|))) "\\spad{infinity()} returns infinity."))) 
 NIL 
 NIL 
-(-564 R) 
+(|InputFormFunctions1| R) 
 ((|constructor| (NIL "Tools for manipulating input forms.")) (|interpret| ((|#1| (|InputForm|)) "\\spad{interpret(f)} passes \\spad{f} to the interpreter, and transforms the result into an object of type \\spad{R.}")) (|packageCall| (((|InputForm|) (|Symbol|)) "\\spad{packageCall(f)} returns the input form corresponding to f$R."))) 
 NIL 
 NIL 
-(-565) 
+(|InputForm|) 
 ((|constructor| (NIL "Domain of parsed forms which can be passed to the interpreter. This is also the interface between algebra code and facilities in the interpreter.")) (|compile| (((|Symbol|) (|Symbol|) (|List| $)) "\\spad{compile(f, [t1,...,tn])} forces the interpreter to compile the function \\spad{f} with signature \\spad{(t1,...,tn) \\spad{->} \\spad{?}.} returns the symbol \\spad{f} if successful. Error: if \\spad{f} was not defined beforehand in the interpreter, or if the ti's are not valid types, or if the compiler fails.")) (|declare| (((|Symbol|) (|List| $)) "\\spad{declare(t)} returns a name \\spad{f} such that \\spad{f} has been declared to the interpreter to be of type \\spad{t,} but has not been assigned a value yet. Note: \\spad{t} should be created as \\spad{devaluate(T)$Lisp} where \\spad{T} is the actual type of \\spad{f} (this hack is required for the case where \\spad{T} is a mapping type).")) (|parse| (($ (|String|)) "\\spad{parse(s)} is the inverse of unparse. It parses a string to InputForm.")) (|unparse| (((|String|) $) "\\spad{unparse(f)} returns a string \\spad{s} such that the parser would transform \\spad{s} to \\spad{f.} Error: if \\spad{f} is not the parsed form of a string.")) (|flatten| (($ $) "\\spad{flatten(s)} returns an input form corresponding to \\spad{s} with all the nested operations flattened to triples using new local variables. If \\spad{s} is a piece of code, this speeds up the compilation tremendously later on.")) ((|One|) (($) "\\spad{1} returns the input form corresponding to 1.")) ((|Zero|) (($) "\\spad{0} returns the input form corresponding to 0.")) (** (($ $ (|Integer|)) "\\spad{a \\spad{**} \\spad{b}} returns the input form corresponding to \\spad{a \\spad{**} \\spad{b}.}") (($ $ (|NonNegativeInteger|)) "\\spad{a \\spad{**} \\spad{b}} returns the input form corresponding to \\spad{a \\spad{**} \\spad{b}.}")) (/ (($ $ $) "\\spad{a / \\spad{b}} returns the input form corresponding to \\spad{a / \\spad{b}.}")) (* (($ $ $) "\\spad{a * \\spad{b}} returns the input form corresponding to \\spad{a * \\spad{b}.}")) (+ (($ $ $) "\\spad{a + \\spad{b}} returns the input form corresponding to \\spad{a + \\spad{b}.}")) (|lambda| (($ $ (|List| (|Symbol|))) "\\spad{lambda(code, [x1,...,xn])} returns the input form corresponding to \\spad{(x1,...,xn) \\spad{+->} code} if \\spad{n > 1}, or to \\spad{x1 \\spad{+->} code} if \\spad{n = 1}.")) (|function| (($ $ (|List| (|Symbol|)) (|Symbol|)) "\\spad{function(code, [x1,...,xn], \\spad{f)}} returns the input form corresponding to \\spad{f(x1,...,xn) \\spad{==} code}.")) (|binary| (($ $ (|List| $)) "\\indented{1}{\\spad{binary(op, [a1,...,an])} returns the input form} \\indented{1}{corresponding \\spad{to\\space{2}\\spad{a1} op \\spad{a2} op \\spad{...} op an}.} \\blankline \\spad{X} a:=[1,2,3]::List(InputForm) \\spad{X} binary(_+::InputForm,a)")) (|convert| (($ (|SExpression|)) "\\spad{convert(s)} makes \\spad{s} into an input form.")) (|interpret| (((|Any|) $) "\\spad{interpret(f)} passes \\spad{f} to the interpreter."))) 
 NIL 
 NIL 
-(-566 |Coef| UTS) 
+(|InfiniteProductCharacteristicZero| |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an integral domain of characteristic 0.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-567 K -3958 |Par|) 
+(|InnerNumericFloatSolvePackage| K F |Par|) 
 ((|constructor| (NIL "This is an internal package for computing approximate solutions to systems of polynomial equations. The parameter \\spad{K} specifies the coefficient field of the input polynomials and must be either \\spad{Fraction(Integer)} or \\spad{Complex(Fraction Integer)}. The parameter \\spad{F} specifies where the solutions must lie and can be one of the following: \\spad{Float}, \\spad{Fraction(Integer)}, \\spad{Complex(Float)}, \\spad{Complex(Fraction Integer)}. The last parameter specifies the type of the precision operand and must be either \\spad{Fraction(Integer)} or \\spad{Float}.")) (|makeEq| (((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))) "\\spad{makeEq(lsol,lvar)} returns a list of equations formed by corresponding members of \\spad{lvar} and lsol.")) (|innerSolve| (((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|) "\\spad{innerSolve(lnum,lden,lvar,eps)} returns a list of solutions of the system of polynomials lnum, with the side condition that none of the members of \\spad{lden} vanish identically on any solution. Each solution is expressed as a list corresponding to the list of variables in \\spad{lvar} and with precision specified by eps.")) (|innerSolve1| (((|List| |#2|) (|Polynomial| |#1|) |#3|) "\\spad{innerSolve1(p,eps)} returns the list of the zeros of the polynomial \\spad{p} with precision eps.") (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{innerSolve1(up,eps)} returns the list of the zeros of the univariate polynomial \\spad{up} with precision eps."))) 
 NIL 
 NIL 
-(-568 R BP |pMod| |nextMod|) 
+(|InnerModularGcd| R BP |pMod| |nextMod|) 
 ((|constructor| (NIL "This file contains the functions for modular \\spad{gcd} algorithm for univariate polynomials with coefficients in a non-trivial euclidean domain (\\spadignore{i.e.} not a field). The package parametrised by the coefficient domain, the polynomial domain, a prime, and a function for choosing the next prime")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(f,p)} reduces the coefficients of the polynomial \\spad{f} modulo the prime \\spad{p.}")) (|modularGcd| ((|#2| (|List| |#2|)) "\\spad{modularGcd(listf)} computes the \\spad{gcd} of the list of polynomials \\spad{listf} by modular methods.")) (|modularGcdPrimitive| ((|#2| (|List| |#2|)) "\\spad{modularGcdPrimitive(f1,f2)} computes the \\spad{gcd} of the two polynomials \\spad{f1} and \\spad{f2} by modular methods."))) 
 NIL 
 NIL 
-(-569 OV E R P) 
+(|InnerMultFact| OV E R P) 
 ((|constructor| (NIL "This is an inner package for factoring multivariate polynomials over various coefficient domains in characteristic 0. The univariate factor operation is passed as a parameter. Multivariate hensel lifting is used to lift the univariate factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer ufact. \\spad{p} is represented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer ufact."))) 
 NIL 
 NIL 
-(-570 K UP |Coef| UTS) 
+(|InfiniteProductFiniteField| K UP |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an arbitrary finite field.")) (|generalInfiniteProduct| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#4| |#4|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#4| |#4|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#4| |#4|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-571 |Coef| UTS) 
+(|InfiniteProductPrimeField| |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over a field of prime order.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-572 R UP) 
+(|InnerPolySign| R UP) 
 ((|constructor| (NIL "Find the sign of a polynomial around a point or infinity.")) (|signAround| (((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,r,f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,r,i,f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,i,f)} \\undocumented"))) 
 NIL 
 NIL 
-(-573 S) 
+(|IntegerNumberSystem&| S) 
 ((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,b)}, \\spad{0<=a<b>1}, \\spad{(a,b)=1} means \\spad{1/a mod \\spad{b}.}")) (|powmod| (($ $ $ $) "\\spad{powmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a**b mod \\spad{p}.}")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a*b mod \\spad{p}.}")) (|submod| (($ $ $ $) "\\spad{submod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a-b mod \\spad{p}.}")) (|addmod| (($ $ $ $) "\\spad{addmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a+b mod \\spad{p}.}")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n.}")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n.}")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number, or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ \\spad{-b/2} \\spad{<=} \\spad{r} < \\spad{b/2} \\spad{}.}")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 \\spad{<=} \\spad{r} < \\spad{b}} and \\spad{r \\spad{==} a rem \\spad{b}.}")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
 NIL 
 NIL 
-(-574) 
+(|IntegerNumberSystem|) 
 ((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,b)}, \\spad{0<=a<b>1}, \\spad{(a,b)=1} means \\spad{1/a mod \\spad{b}.}")) (|powmod| (($ $ $ $) "\\spad{powmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a**b mod \\spad{p}.}")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a*b mod \\spad{p}.}")) (|submod| (($ $ $ $) "\\spad{submod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a-b mod \\spad{p}.}")) (|addmod| (($ $ $ $) "\\spad{addmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a+b mod \\spad{p}.}")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n.}")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n.}")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number, or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ \\spad{-b/2} \\spad{<=} \\spad{r} < \\spad{b/2} \\spad{}.}")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 \\spad{<=} \\spad{r} < \\spad{b}} and \\spad{r \\spad{==} a rem \\spad{b}.}")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
-((-4623 . T) (-4624 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalUnitNormal| . T) (|multiplicativeValuation| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-575 |Key| |Entry| |addDom|) 
+(|InnerTable| |Key| |Entry| |addDom|) 
 ((|constructor| (NIL "This domain is used to provide a conditional \"add\" domain for the implementation of \\spadtype{Table}."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119))))) 
-(-576 R -3958) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) 
+(|AlgebraicIntegration| R F) 
 ((|constructor| (NIL "This package provides functions for the integration of algebraic integrands over transcendental functions.")) (|algint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))) "\\spad{algint(f, \\spad{x,} \\spad{y,} \\spad{d)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x;} \\spad{d} is the derivation to use on \\spad{k[x]}."))) 
 NIL 
 NIL 
-(-577 R0 -3958 UP UPUP R) 
+(|AlgebraicIntegrate| R0 F UP UPUP R) 
 ((|constructor| (NIL "This package provides functions for integrating a function on an algebraic curve.")) (|palginfieldint| (((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)) "\\spad{palginfieldint(f, \\spad{d)}} returns an algebraic function \\spad{g} such that \\spad{dg = \\spad{f}} if such a \\spad{g} exists, \"failed\" otherwise. Argument \\spad{f} must be a pure algebraic function.")) (|palgintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{palgintegrate(f, \\spad{d)}} integrates \\spad{f} with respect to the derivation \\spad{d.} Argument \\spad{f} must be a pure algebraic function.")) (|algintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{algintegrate(f, \\spad{d)}} integrates \\spad{f} with respect to the derivation \\spad{d.}"))) 
 NIL 
 NIL 
-(-578) 
+(|IntegerBits|) 
 ((|constructor| (NIL "This package provides functions to lookup bits in integers")) (|bitTruth| (((|Boolean|) (|Integer|) (|Integer|)) "\\spad{bitTruth(n,m)} returns \\spad{true} if coefficient of 2**m in abs(n) is 1")) (|bitCoef| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{bitCoef(n,m)} returns the coefficient of 2**m in abs(n)")) (|bitLength| (((|Integer|) (|Integer|)) "\\spad{bitLength(n)} returns the number of bits to represent abs(n)"))) 
 NIL 
 NIL 
-(-579 R) 
+(|IntervalCategory| R) 
 ((|constructor| (NIL "This category implements of interval arithmetic and transcendental functions over intervals.")) (|contains?| (((|Boolean|) $ |#1|) "\\spad{contains?(i,f)} returns \\spad{true} if \\axiom{f} is contained within the interval \\axiom{i}, \\spad{false} otherwise.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(u)} returns \\axiom{true} if every element of \\spad{u} is negative, \\axiom{false} otherwise.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(u)} returns \\axiom{true} if every element of \\spad{u} is positive, \\axiom{false} otherwise.")) (|width| ((|#1| $) "\\spad{width(u)} returns \\axiom{sup(u) - inf(u)}.")) (|sup| ((|#1| $) "\\spad{sup(u)} returns the supremum of \\axiom{u}.")) (|inf| ((|#1| $) "\\spad{inf(u)} returns the infinum of \\axiom{u}.")) (|qinterval| (($ |#1| |#1|) "\\spad{qinterval(inf,sup)} creates a new interval \\axiom{[inf,sup]}, without checking the ordering on the elements.")) (|interval| (($ (|Fraction| (|Integer|))) "\\spad{interval(f)} creates a new interval around \\spad{f.}") (($ |#1|) "\\spad{interval(f)} creates a new interval around \\spad{f.}") (($ |#1| |#1|) "\\spad{interval(inf,sup)} creates a new interval, either \\axiom{[inf,sup]} if \\axiom{inf \\spad{<=} sup} or \\axiom{[sup,in]} otherwise."))) 
-((-2642 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|approximate| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-580 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+(|IntersectionDivisorPackage| K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|placesOfDegree| (((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)) "\\spad{placesOfDegree(d, \\spad{f,} pts)} compute the places of degree dividing \\spad{d} of the curve \\spad{f.} \\spad{pts} should be the singular points of the curve \\spad{f.} For \\spad{d} > 1 this only works if \\spad{K} has \\axiomType{PseudoAlgebraicClosureOfFiniteFieldCategory}.")) (|intersectionDivisor| ((|#8| |#3| |#3| (|List| |#10|) (|List| |#5|)) "\\spad{intersectionDivisor(f,pol,listOfTree)} returns the intersection divisor of \\spad{f} with a curve defined by pol. \\spad{listOfTree} must contain all the desingularisation trees of all singular points on the curve \\indented{1}{defined by pol.}"))) 
 NIL 
 NIL 
-(-581 S) 
+(|IntegralDomain&| S) 
 ((|constructor| (NIL "The category of commutative integral domains, \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\br canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\br canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit, \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,y)} tests whether \\spad{x} and \\spad{y} are associates, \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x.} The attribute canonicalUnitNormal, if asserted, means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,c,a]} then \\spad{u*c = \\spad{x},} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
 NIL 
 NIL 
-(-582) 
+(|IntegralDomain|) 
 ((|constructor| (NIL "The category of commutative integral domains, \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\br canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\br canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit, \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,y)} tests whether \\spad{x} and \\spad{y} are associates, \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x.} The attribute canonicalUnitNormal, if asserted, means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,c,a]} then \\spad{u*c = \\spad{x},} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-583 R -3958) 
+(|ElementaryIntegration| R F) 
 ((|constructor| (NIL "This package provides functions for integration, limited integration, extended integration and the risch differential equation for elementary functions.")) (|lfextlimint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{lfextlimint(f,x,k,[k1,...,kn])} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = \\spad{f} - \\spad{c} dk/dx}. Value \\spad{h} is looked for in a field containing \\spad{f} and k1,...,kn (the ki's must be logs).")) (|lfintegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{lfintegrate(f, \\spad{x)}} = \\spad{g} such that \\spad{dg/dx = \\spad{f}.}")) (|lfinfieldint| (((|Union| |#2| "failed") |#2| (|Symbol|)) "\\spad{lfinfieldint(f, \\spad{x)}} returns a function \\spad{g} such that \\spad{dg/dx = \\spad{f}} if \\spad{g} exists, \"failed\" otherwise.")) (|lflimitedint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|)) "\\spad{lflimitedint(f,x,[g1,...,gn])} returns functions \\spad{[h,[[ci, gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, and \\spad{d(h+sum(ci log(gi)))/dx = \\spad{f},} if possible, \"failed\" otherwise.")) (|lfextendedint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|) "\\spad{lfextendedint(f, \\spad{x,} \\spad{g)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = \\spad{f} - cg}, if \\spad{(h,} \\spad{c)} exist, \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-584 K |symb| E OV R) 
+(|InterfaceGroebnerPackage| K |symb| E OV R) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-585 I) 
+(|IntegerFactorizationPackage| I) 
 ((|constructor| (NIL "This Package contains basic methods for integer factorization. The factor operation employs trial division up to 10,000. It then tests to see if \\spad{n} is a perfect power before using Pollards rho method. Because Pollards method may fail, the result of factor may contain composite factors. We should also employ Lenstra's eliptic curve method.")) (|PollardSmallFactor| (((|Union| |#1| "failed") |#1|) "\\spad{PollardSmallFactor(n)} returns a factor of \\spad{n} or \"failed\" if no one is found")) (|BasicMethod| (((|Factored| |#1|) |#1|) "\\spad{BasicMethod(n)} returns the factorization of integer \\spad{n} by trial division")) (|squareFree| (((|Factored| |#1|) |#1|) "\\spad{squareFree(n)} returns the square free factorization of integer \\spad{n}")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(n)} returns the full factorization of integer \\spad{n}"))) 
 NIL 
 NIL 
-(-586 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
+(|InterpolateFormsPackage| K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)) "\\spad{interpolateForms(D,n,pol,base)} compute the basis of the sub-vector space \\spad{W} of \\spad{V} = <base>, such that for all \\spad{G} in \\spad{W,} the divisor \\spad{(G)} \\spad{>=} \\spad{D.} All the elements in \\spad{base} must be homogeneous polynomial of degree \\spad{n.} Typicaly, \\spad{base} is the set of all monomial of degree \\spad{n:} in that case, interpolateForms(D,n,pol,base) returns the basis of the vector space of all forms of degree \\spad{d} that interpolated \\spad{D.} The argument \\spad{pol} must be the same polynomial that defined the curve form which the divisor \\spad{D} is defined."))) 
 NIL 
 NIL 
-(-587) 
+(|IntegrationFunctionsTable|) 
 ((|constructor| (NIL "There is no description for this domain")) (|entry| (((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{entry(n)} is not documented")) (|entries| (((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) "\\spad{entries(x)} is not documented")) (|showAttributes| (((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showAttributes(x)} is not documented")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|fTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) "\\spad{fTable(l)} creates a functions table from the elements of \\spad{l.}")) (|keys| (((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(f)} returns the list of keys of \\spad{f}")) (|clearTheFTable| (((|Void|)) "\\spad{clearTheFTable()} clears the current table of functions.")) (|showTheFTable| (($) "\\spad{showTheFTable()} returns the current table of functions."))) 
 NIL 
 NIL 
-(-588 R -3958 L) 
+(|GenusZeroIntegration| R F L) 
 ((|constructor| (NIL "Rationalization of several types of genus 0 integrands; This internal package rationalises integrands on curves of the form:\\br \\tab{5}\\spad{y\\^2 = a \\spad{x\\^2} + \\spad{b} \\spad{x} + c}\\br \\tab{5}\\spad{y\\^2 = (a \\spad{x} + \\spad{b)} / \\spad{(c} \\spad{x} + d)}\\br \\tab{5}\\spad{f(x, \\spad{y)} = 0} where \\spad{f} has degree 1 in x\\br The rationalization is done for integration, limited integration, extended integration and the risch differential equation.")) (|palgLODE0| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgLODE0(op,g,x,y,z,t,c)} returns the solution of \\spad{op \\spad{f} = \\spad{g}} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.}") (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgLODE0(op, \\spad{g,} \\spad{x,} \\spad{y,} \\spad{d,} \\spad{p)}} returns the solution of \\spad{op \\spad{f} = \\spad{g}.} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|lift| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{lift(u,k)} \\undocumented")) (|multivariate| ((|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|) "\\spad{multivariate(u,k,f)} \\undocumented")) (|univariate| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|)) "\\spad{univariate(f,k,k,p)} \\undocumented")) (|palgRDE0| (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgRDE0(f, \\spad{g,} \\spad{x,} \\spad{y,} foo, \\spad{t,} \\spad{c)}} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{foo}, called by \\spad{foo(a, \\spad{b,} x)}, is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.}") (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgRDE0(f, \\spad{g,} \\spad{x,} \\spad{y,} foo, \\spad{d,} \\spad{p)}} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}. Argument foo, called by \\spad{foo(a, \\spad{b,} x)}, is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.}")) (|palglimint0| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palglimint0(f, \\spad{x,} \\spad{y,} [u1,...,un], \\spad{z,} \\spad{t,} \\spad{c)}} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.}") (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palglimint0(f, \\spad{x,} \\spad{y,} [u1,...,un], \\spad{d,} \\spad{p)}} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|palgextint0| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgextint0(f, \\spad{x,} \\spad{y,} \\spad{g,} \\spad{z,} \\spad{t,} \\spad{c)}} returns functions \\spad{[h, \\spad{d]}} such that \\spad{dh/dx = f(x,y) - \\spad{d} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}, and \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,y)}. The operation returns \"failed\" if no such functions exist.") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgextint0(f, \\spad{x,} \\spad{y,} \\spad{g,} \\spad{d,} \\spad{p)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = f(x,y) - \\spad{c} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 \\spad{y(x)\\^2} = P(x)}, or \"failed\" if no such functions exist.")) (|palgint0| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgint0(f, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t,} \\spad{c)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,y)}.") (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgint0(f, \\spad{x,} \\spad{y,} \\spad{d,} \\spad{p)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 \\spad{y(x)\\^2} = P(x)}."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -670) (|devaluate| |#2|)))) 
-(-589) 
+((|HasCategory| |#3| (LIST (QUOTE |LinearOrdinaryDifferentialOperatorCategory|) (|devaluate| |#2|)))) 
+(|IntegerNumberTheoryFunctions|) 
 ((|constructor| (NIL "This package provides various number theoretic functions on the integers.")) (|sumOfKthPowerDivisors| (((|Integer|) (|Integer|) (|NonNegativeInteger|)) "\\spad{sumOfKthPowerDivisors(n,k)} returns the sum of the \\spad{k}th powers of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} the sum of the \\spad{k}th powers of the divisors of \\spad{n} is often denoted by \\spad{sigma_k(n)}.")) (|sumOfDivisors| (((|Integer|) (|Integer|)) "\\spad{sumOfDivisors(n)} returns the sum of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} The sum of the divisors of \\spad{n} is often denoted by \\spad{sigma(n)}.")) (|numberOfDivisors| (((|Integer|) (|Integer|)) "\\spad{numberOfDivisors(n)} returns the number of integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} The number of divisors of \\spad{n} is often denoted by \\spad{tau(n)}.")) (|moebiusMu| (((|Integer|) (|Integer|)) "\\spad{moebiusMu(n)} returns the Moebius function \\spad{mu(n)}. \\spad{mu(n)} is either \\spad{-1,0} or 1 as follows: \\spad{mu(n) = 0} if \\spad{n} is divisible by a square > 1, \\spad{mu(n) = (-1)^k} if \\spad{n} is square-free and has \\spad{k} distinct prime divisors.")) (|legendre| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{legendre(a,p)} returns the Legendre symbol \\spad{L(a/p)}. \\spad{L(a/p) = (-1)**((p-1)/2) mod \\spad{p}} \\spad{(p} prime), which is 0 if \\spad{a} is 0, 1 if \\spad{a} is a quadratic residue \\spad{mod \\spad{p}} and \\spad{-1} otherwise. Note that because the primality test is expensive, if it is known that \\spad{p} is prime then use \\spad{jacobi(a,p)}.")) (|jacobi| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{jacobi(a,b)} returns the Jacobi symbol \\spad{J(a/b)}. When \\spad{b} is odd, \\spad{J(a/b) = product(L(a/p) for \\spad{p} in factor \\spad{b} \\spad{)}.} Note that by convention, 0 is returned if \\spad{gcd(a,b) \\spad{^=} 1}. Iterative \\spad{O(log(b)^2)} version coded by Michael Monagan June 1987.")) (|harmonic| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{harmonic(n)} returns the \\spad{n}th harmonic number. This is \\spad{H[n] = sum(1/k,k=1..n)}.")) (|fibonacci| (((|Integer|) (|Integer|)) "\\spad{fibonacci(n)} returns the \\spad{n}th Fibonacci number. the Fibonacci numbers \\spad{F[n]} are defined by \\spad{F[0] = F[1] = 1} and \\spad{F[n] = F[n-1] + F[n-2]}. The algorithm has running time \\spad{O(log(n)^3)}. Reference: Knuth, The Art of Computer Programming Vol 2, Semi-Numerical Algorithms.")) (|eulerPhi| (((|Integer|) (|Integer|)) "\\spad{eulerPhi(n)} returns the number of integers between 1 and \\spad{n} (including 1) which are relatively prime to \\spad{n.} This is the Euler phi function \\spad{\\phi(n)} is also called the totient function.")) (|euler| (((|Integer|) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler number. This is \\spad{2^n E(n,1/2)}, where \\spad{E(n,x)} is the \\spad{n}th Euler polynomial.")) (|divisors| (((|List| (|Integer|)) (|Integer|)) "\\spad{divisors(n)} returns a list of the divisors of \\spad{n.}")) (|chineseRemainder| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{chineseRemainder(x1,m1,x2,m2)} returns \\spad{w,} where \\spad{w} is such that \\spad{w = \\spad{x1} mod \\spad{m1}} and \\spad{w = \\spad{x2} mod m2}. Note that \\spad{m1} and \\spad{m2} must be relatively prime.")) (|bernoulli| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli number. this is \\spad{B(n,0)}, where \\spad{B(n,x)} is the \\spad{n}th Bernoulli polynomial."))) 
 NIL 
 NIL 
-(-590 -3958 UP UPUP R) 
+(|AlgebraicHermiteIntegration| F UP UPUP R) 
 ((|constructor| (NIL "Algebraic Hermite reduction.")) (|HermiteIntegrate| (((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f, \\spad{')}} returns \\spad{[g,h]} such that \\spad{f = \\spad{g'} + \\spad{h}} and \\spad{h} has a only simple finite normal poles."))) 
 NIL 
 NIL 
-(-591 -3958 UP) 
+(|TranscendentalHermiteIntegration| F UP) 
 ((|constructor| (NIL "Hermite integration, transcendental case.")) (|HermiteIntegrate| (((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f, \\spad{D)}} returns \\spad{[g, \\spad{h,} \\spad{s,} \\spad{p]}} such that \\spad{f = \\spad{Dg} + \\spad{h} + \\spad{s} + \\spad{p},} \\spad{h} has a squarefree denominator normal w.r.t. \\spad{D,} and all the squarefree factors of the denominator of \\spad{s} are special w.r.t. \\spad{D.} Furthermore, \\spad{h} and \\spad{s} have no polynomial parts. \\spad{D} is the derivation to use on \\spadtype{UP}."))) 
 NIL 
 NIL 
-(-592) 
+(|Integer|) 
 ((|constructor| (NIL "\\spadtype{Integer} provides the domain of arbitrary precision integers.")) (|infinite| ((|attribute|) "nextItem never returns \"failed\".")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}."))) 
-((-4607 . T) (-4613 . T) (-4617 . T) (-4612 . T) (-4623 . T) (-4624 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|infinite| . T) (|noetherian| . T) (|canonicalsClosed| . T) (|canonical| . T) (|canonicalUnitNormal| . T) (|multiplicativeValuation| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-593) 
+(|AnnaNumericalIntegrationPackage|) 
 ((|constructor| (NIL "\\axiomType{AnnaNumericalIntegrationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{NumericalIntegrationCategory} with \\axiom{measure}, and \\axiom{integrate}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical integration problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine for solving the numerical integration problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.")) (|integrate| (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)) "\\spad{integrate(exp, \\spad{x} = a..b, numerical)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range, {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error if the last argument is not {\\tt numerical}.") (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|)) "\\spad{integrate(exp, \\spad{x} = a..b, \"numerical\")} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range, {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error of the last argument is not {\\tt \"numerical\"}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp, [a..b,c..d,...], epsabs, epsrel, routines)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required absolute and relative accuracy, using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|)) "\\spad{integrate(exp, [a..b,c..d,...], epsabs, epsrel)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|)) "\\spad{integrate(exp, [a..b,c..d,...], epsrel)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0, a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{integrate(exp, [a..b,c..d,...])} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{integrate(exp, a..b)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|)) "\\spad{integrate(exp, a..b, epsrel)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0, a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|)) "\\spad{integrate(exp, a..b, epsabs, epsrel)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|NumericalIntegrationProblem|)) "\\spad{integrate(IntegrationProblem)} is a top level ANNA function to integrate an expression over a given range or ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp, a..b, epsrel, routines)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required absolute and relative accuracy using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}."))) 
 NIL 
 NIL 
-(-594 R -3958 L) 
+(|PureAlgebraicIntegration| R F L) 
 ((|constructor| (NIL "Integration of pure algebraic functions; This package provides functions for integration, limited integration, extended integration and the risch differential equation for pure algebraic integrands.")) (|palgLODE| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|)) "\\spad{palgLODE(op, \\spad{g,} \\spad{kx,} \\spad{y,} \\spad{x)}} returns the solution of \\spad{op \\spad{f} = \\spad{g}.} \\spad{y} is an algebraic function of \\spad{x.}")) (|palgRDE| (((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|))) "\\spad{palgRDE(nfp, \\spad{f,} \\spad{g,} \\spad{x,} \\spad{y,} foo)} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x;} \\spad{foo(a, \\spad{b,} \\spad{x)}} is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.} \\spad{nfp} is \\spad{n * df/dx}.")) (|palglimint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|)) "\\spad{palglimint(f, \\spad{x,} \\spad{y,} [u1,...,un])} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x.}")) (|palgextint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|) "\\spad{palgextint(f, \\spad{x,} \\spad{y,} \\spad{g)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = f(x,y) - \\spad{c} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x;} returns \"failed\" if no such functions exist.")) (|palgint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|)) "\\spad{palgint(f, \\spad{x,} \\spad{y)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -670) (|devaluate| |#2|)))) 
-(-595 R -3958) 
+((|HasCategory| |#3| (LIST (QUOTE |LinearOrdinaryDifferentialOperatorCategory|) (|devaluate| |#2|)))) 
+(|PatternMatchIntegration| R F) 
 ((|constructor| (NIL "\\spadtype{PatternMatchIntegration} provides functions that use the pattern matcher to find some indefinite and definite integrals involving special functions and found in the litterature.")) (|pmintegrate| (((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{pmintegrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b} if it can be found by the built-in pattern matching rules.") (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmintegrate(f, \\spad{x)}} returns either \"failed\" or \\spad{[g,h]} such that \\spad{integrate(f,x) = \\spad{g} + integrate(h,x)}.")) (|pmComplexintegrate| (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmComplexintegrate(f, \\spad{x)}} returns either \"failed\" or \\spad{[g,h]} such that \\spad{integrate(f,x) = \\spad{g} + integrate(h,x)}. It only looks for special complex integrals that pmintegrate does not return.")) (|splitConstant| (((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|)) "\\spad{splitConstant(f, \\spad{x)}} returns \\spad{[c, \\spad{g]}} such that \\spad{f = \\spad{c} * \\spad{g}} and \\spad{c} does not involve \\spad{t}."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1153)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-644))))) 
-(-596 -3958 UP) 
+((AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SpecialFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|LiouvillianFunctionCategory|))))) 
+(|RationalIntegration| F UP) 
 ((|constructor| (NIL "Rational function integration This package provides functions for the base case of the Risch algorithm.")) (|limitedint| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))) "\\spad{limitedint(f, [g1,...,gn])} returns fractions \\spad{[h,[[ci, gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, \\spad{ci' = 0}, and \\spad{(h+sum(ci log(gi)))' = \\spad{f},} if possible, \"failed\" otherwise.")) (|extendedint| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{extendedint(f, \\spad{g)}} returns fractions \\spad{[h, \\spad{c]}} such that \\spad{c' = 0} and \\spad{h' = \\spad{f} - cg}, if \\spad{(h, \\spad{c)}} exist, \"failed\" otherwise.")) (|infieldint| (((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|)) "\\spad{infieldint(f)} returns \\spad{g} such that \\spad{g' = \\spad{f}} or \"failed\" if the integral of \\spad{f} is not a rational function.")) (|integrate| (((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{integrate(f)} returns \\spad{g} such that \\spad{g' = \\spad{f}.}"))) 
 NIL 
 NIL 
-(-597 S) 
+(|IntegerRetractions| S) 
 ((|constructor| (NIL "Provides integer testing and retraction functions.")) (|integerIfCan| (((|Union| (|Integer|) "failed") |#1|) "\\spad{integerIfCan(x)} returns \\spad{x} as an integer, \"failed\" if \\spad{x} is not an integer.")) (|integer?| (((|Boolean|) |#1|) "\\spad{integer?(x)} is \\spad{true} if \\spad{x} is an integer, \\spad{false} otherwise.")) (|integer| (((|Integer|) |#1|) "\\spad{integer(x)} returns \\spad{x} as an integer; error if \\spad{x} is not an integer."))) 
 NIL 
 NIL 
-(-598 -3958) 
+(|RationalFunctionIntegration| F) 
 ((|constructor| (NIL "This package provides functions for the integration of rational functions.")) (|extendedIntegrate| (((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{extendedIntegrate(f, \\spad{x,} \\spad{g)}} returns fractions \\spad{[h, \\spad{c]}} such that \\spad{dc/dx = 0} and \\spad{dh/dx = \\spad{f} - cg}, if \\spad{(h, \\spad{c)}} exist, \"failed\" otherwise.")) (|limitedIntegrate| (((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limitedIntegrate(f, \\spad{x,} [g1,...,gn])} returns fractions \\spad{[h, [[ci,gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, \\spad{dci/dx = 0}, and \\spad{d(h + sum(ci log(gi)))/dx = \\spad{f}} if possible, \"failed\" otherwise.")) (|infieldIntegrate| (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{infieldIntegrate(f, \\spad{x)}} returns a fraction \\spad{g} such that \\spad{dg/dx = \\spad{f}} if \\spad{g} exists, \"failed\" otherwise.")) (|internalIntegrate| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{internalIntegrate(f, \\spad{x)}} returns \\spad{g} such that \\spad{dg/dx = \\spad{f}.}"))) 
 NIL 
 NIL 
-(-599 R) 
+(|Interval| R) 
 ((|constructor| (NIL "This domain is an implementation of interval arithmetic and transcendental functions over intervals."))) 
-((-2642 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|approximate| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-600) 
+(|IntegerSolveLinearPolynomialEquation|) 
 ((|constructor| (NIL "This package provides the implementation for the \\spadfun{solveLinearPolynomialEquation} operation over the integers. It uses a lifting technique from the package GenExEuclid")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists."))) 
 NIL 
 NIL 
-(-601 R -3958) 
+(|IntegrationTools| R F) 
 ((|constructor| (NIL "Tools for the integrator")) (|intPatternMatch| (((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) "\\spad{intPatternMatch(f, \\spad{x,} int, pmint)} tries to integrate \\spad{f} first by using the integration function \\spad{int}, and then by using the pattern match intetgration function \\spad{pmint} on any remaining unintegrable part.")) (|mkPrim| ((|#2| |#2| (|Symbol|)) "\\spad{mkPrim(f, \\spad{x)}} makes the logs in \\spad{f} which are linear in \\spad{x} primitive with respect to \\spad{x.}")) (|removeConstantTerm| ((|#2| |#2| (|Symbol|)) "\\spad{removeConstantTerm(f, \\spad{x)}} returns \\spad{f} minus any additive constant with respect to \\spad{x.}")) (|vark| (((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|)) "\\spad{vark([f1,...,fn],x)} returns the set-theoretic union of \\spad{(varselect(f1,x),...,varselect(fn,x))}.")) (|union| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|))) "\\spad{union(l1, l2)} returns set-theoretic union of \\spad{l1} and \\spad{l2.}")) (|ksec| (((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{ksec(k, [k1,...,kn], \\spad{x)}} returns the second top-level \\spad{ki} after \\spad{k} involving \\spad{x.}")) (|kmax| (((|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{kmax([k1,...,kn])} returns the top-level \\spad{ki} for integration.")) (|varselect| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{varselect([k1,...,kn], \\spad{x)}} returns the \\spad{ki} which involve \\spad{x.}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-301))) (|HasCategory| |#2| (QUOTE (-644)))) (-12 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-301)))) (|HasCategory| |#1| (QUOTE (-582)))) 
-(-602 -3958 UP) 
+((AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|ElementaryFunctionCategory|))) (|HasCategory| |#2| (QUOTE (|LiouvillianFunctionCategory|)))) (AND (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|ElementaryFunctionCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|TranscendentalIntegration| F UP) 
 ((|constructor| (NIL "This package provides functions for the transcendental case of the Risch algorithm.")) (|monomialIntPoly| (((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{monomialIntPoly(p, \\spad{')}} returns \\spad{[q,} \\spad{r]} such that \\spad{p = \\spad{q'} + \\spad{r}} and \\spad{degree(r) < degree(t')}. Error if \\spad{degree(t') < 2}.")) (|monomialIntegrate| (((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomialIntegrate(f, \\spad{')}} returns \\spad{[ir, \\spad{s,} \\spad{p]}} such that \\spad{f = ir' + \\spad{s} + \\spad{p}} and all the squarefree factors of the denominator of \\spad{s} are special w.r.t the derivation \\spad{'.}")) (|expintfldpoly| (((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintfldpoly(p, foo)} returns \\spad{q} such that \\spad{p' = \\spad{q}} or \"failed\" if no such \\spad{q} exists. Argument foo is a Risch differential equation function on \\spad{F.}")) (|primintfldpoly| (((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) "\\spad{primintfldpoly(p, \\spad{',} t')} returns \\spad{q} such that \\spad{p' = \\spad{q}} or \"failed\" if no such \\spad{q} exists. Argument \\spad{t'} is the derivative of the primitive generating the extension.")) (|primlimintfrac| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|))) "\\spad{primlimintfrac(f, \\spad{',} [u1,...,un])} returns \\spad{[v, [c1,...,cn]]} such that \\spad{ci' = 0} and \\spad{f = \\spad{v'} + +/[ci * ui'/ui]}. Error: if \\spad{degree numer \\spad{f} \\spad{>=} degree denom \\spad{f}.}")) (|primextintfrac| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|)) "\\spad{primextintfrac(f, \\spad{',} \\spad{g)}} returns \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}. Error: if \\spad{degree numer \\spad{f} \\spad{>=} degree denom \\spad{f}} or if \\spad{degree numer \\spad{g} \\spad{>=} degree denom \\spad{g}} or if \\spad{denom \\spad{g}} is not squarefree.")) (|explimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|))) "\\spad{explimitedint(f, \\spad{',} foo, [u1,...,un])} returns \\spad{[v, [c1,...,cn], a]} such that \\spad{ci' = 0}, \\spad{f = \\spad{v'} + a + reduce(+,[ci * ui'/ui])}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F.} Returns \"failed\" if no such \\spad{v,} ci, a exist. Argument \\spad{foo} is a Risch differential equation function on \\spad{F.}")) (|primlimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|))) "\\spad{primlimitedint(f, \\spad{',} foo, [u1,...,un])} returns \\spad{[v, [c1,...,cn], a]} such that \\spad{ci' = 0}, \\spad{f = \\spad{v'} + a + reduce(+,[ci * ui'/ui])}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if no such \\spad{v,} ci, a exist. Argument \\spad{foo} is an extended integration function on \\spad{F.}")) (|expextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|)) "\\spad{expextendedint(f, \\spad{',} foo, \\spad{g)}} returns either \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}, or \\spad{[v, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F.} Returns \"failed\" if neither case can hold. Argument \\spad{foo} is a Risch differential equation function on \\spad{F.}")) (|primextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|)) "\\spad{primextendedint(f, \\spad{',} foo, \\spad{g)}} returns either \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}, or \\spad{[v, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is an extended integration function on \\spad{F.}")) (|tanintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|)) "\\spad{tanintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F;} Argument foo is a Risch differential system solver on \\spad{F;}")) (|expintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F;} Argument foo is a Risch differential equation solver on \\spad{F;}")) (|primintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) "\\spad{primintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Argument foo is an extended integration function on \\spad{F.}"))) 
 NIL 
 NIL 
-(-603 R -3958) 
+(|InverseLaplaceTransform| R F) 
 ((|constructor| (NIL "This package computes the inverse Laplace Transform.")) (|inverseLaplace| (((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)) "\\spad{inverseLaplace(f, \\spad{s,} \\spad{t)}} returns the Inverse Laplace transform of \\spad{f(s)} using \\spad{t} as the new variable or \"failed\" if unable to find a closed form. Handles only rational \\spad{f(s)}."))) 
 NIL 
 NIL 
-(-604 |p| |unBalanced?|) 
+(|InnerPAdicInteger| |p| |unBalanced?|) 
 ((|constructor| (NIL "This domain implements \\spad{Zp,} the p-adic completion of the integers. This is an internal domain."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-605 |p|) 
+(|InnerPrimeField| |p|) 
 ((|constructor| (NIL "InnerPrimeField(p) implements the field with \\spad{p} elements."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| $ (QUOTE (-171))) (|HasCategory| $ (QUOTE (-169))) (|HasCategory| $ (QUOTE (-394)))) 
-(-606) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| $ (QUOTE (|CharacteristicZero|))) (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| $ (QUOTE (|Finite|)))) 
+(|InternalPrintPackage|) 
 ((|constructor| (NIL "A package to print strings without line-feed nor carriage-return.")) (|iprint| (((|Void|) (|String|)) "\\axiom{iprint(s)} prints \\axiom{s} at the current position of the cursor."))) 
 NIL 
 NIL 
-(-607 R -3958) 
+(|IntegrationResultToFunction| R F) 
 ((|constructor| (NIL "Conversion of integration results to top-level expressions This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents, provided that the indexing polynomial can be factored into quadratics.")) (|complexExpand| ((|#2| (|IntegrationResult| |#2|)) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to i.")) (|expand| (((|List| |#2|) (|IntegrationResult| |#2|)) "\\spad{expand(i)} returns the list of possible real functions corresponding to i.")) (|split| (((|IntegrationResult| |#2|) (|IntegrationResult| |#2|)) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,x) + \\spad{...} + sum_{Pn(a)=0} Q(a,x)} where P1,...,Pn are the factors of \\spad{P.}"))) 
 NIL 
 NIL 
-(-608 E -3958) 
+(|IntegrationResultFunctions2| E F) 
 ((|constructor| (NIL "Internally used by the integration packages")) (|map| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) "\\spad{map(f,ufe)} \\undocumented") (((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed")) "\\spad{map(f,ue)} \\undocumented") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed")) "\\spad{map(f,ure)} \\undocumented") (((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|)) "\\spad{map(f,ire)} \\undocumented"))) 
 NIL 
 NIL 
-(-609 -3958) 
+(|IntegrationResult| F) 
 ((|constructor| (NIL "The result of a transcendental integration. If a function \\spad{f} has an elementary integral \\spad{g,} then \\spad{g} can be written in the form \\spad{g = \\spad{h} + \\spad{c1} log(u1) + \\spad{c2} log(u2) + \\spad{...} + \\spad{cn} log(un)} where \\spad{h,} which is in the same field than \\spad{f,} is called the rational part of the integral, and \\spad{c1 log(u1) + \\spad{...} \\spad{cn} log(un)} is called the logarithmic part of the integral. This domain manipulates integrals represented in that form, by keeping both parts separately. The logs are not explicitly computed.")) (|differentiate| ((|#1| $ (|Symbol|)) "\\spad{differentiate(ir,x)} differentiates \\spad{ir} with respect to \\spad{x}") ((|#1| $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(ir,D)} differentiates \\spad{ir} with respect to the derivation \\spad{D.}")) (|integral| (($ |#1| (|Symbol|)) "\\spad{integral(f,x)} returns the formal integral of \\spad{f} with respect to \\spad{x}") (($ |#1| |#1|) "\\spad{integral(f,x)} returns the formal integral of \\spad{f} with respect to \\spad{x}")) (|elem?| (((|Boolean|) $) "\\spad{elem?(ir)} tests if an integration result is elementary over \\spad{F?}")) (|notelem| (((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) "\\spad{notelem(ir)} returns the non-elementary part of an integration result")) (|logpart| (((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $) "\\spad{logpart(ir)} returns the logarithmic part of an integration result")) (|ratpart| ((|#1| $) "\\spad{ratpart(ir)} returns the rational part of an integration result")) (|mkAnswer| (($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) "\\spad{mkAnswer(r,l,ne)} creates an integration result from a rational part \\spad{r,} a logarithmic part \\spad{l,} and a non-elementary part ne."))) 
-((-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-1191))))) 
-(-610 I) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))) 
+(|IntegerRoots| I) 
 ((|constructor| (NIL "The \\spadtype{IntegerRoots} package computes square roots and \\spad{n}th roots of integers efficiently.")) (|approxSqrt| ((|#1| |#1|) "\\spad{approxSqrt(n)} returns an approximation \\spad{x} to \\spad{sqrt(n)} such that \\spad{-1 < \\spad{x} - sqrt(n) < 1}. Compute an approximation \\spad{s} to \\spad{sqrt(n)} such that \\indented{10}{\\spad{-1 < \\spad{s} - sqrt(n) < 1}} A variable precision Newton iteration is used. The running time is \\spad{O( \\spad{log(n)**2} \\spad{)}.}")) (|perfectSqrt| (((|Union| |#1| "failed") |#1|) "\\spad{perfectSqrt(n)} returns the square root of \\spad{n} if \\spad{n} is a perfect square and returns \"failed\" otherwise")) (|perfectSquare?| (((|Boolean|) |#1|) "\\spad{perfectSquare?(n)} returns \\spad{true} if \\spad{n} is a perfect square and \\spad{false} otherwise")) (|approxNthRoot| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{approxRoot(n,r)} returns an approximation \\spad{x} to \\spad{n**(1/r)} such that \\spad{-1 < \\spad{x} - n**(1/r) < 1}")) (|perfectNthRoot| (((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|) "\\spad{perfectNthRoot(n)} returns \\spad{[x,r]}, where \\spad{n = x\\^r} and \\spad{r} is the largest integer such that \\spad{n} is a perfect \\spad{r}th power") (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{perfectNthRoot(n,r)} returns the \\spad{r}th root of \\spad{n} if \\spad{n} is an \\spad{r}th power and returns \"failed\" otherwise")) (|perfectNthPower?| (((|Boolean|) |#1| (|NonNegativeInteger|)) "\\spad{perfectNthPower?(n,r)} returns \\spad{true} if \\spad{n} is an \\spad{r}th power and \\spad{false} otherwise"))) 
 NIL 
 NIL 
-(-611 GF) 
+(|IrredPolyOverFiniteField| GF) 
 ((|constructor| (NIL "This package exports the function generateIrredPoly that computes a monic irreducible polynomial of degree \\spad{n} over a finite field.")) (|generateIrredPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{generateIrredPoly(n)} generates an irreducible univariate polynomial of the given degree \\spad{n} over the finite field."))) 
 NIL 
 NIL 
-(-612 R) 
+(|IntegrationResultRFToFunction| R) 
 ((|constructor| (NIL "Conversion of integration results to top-level expressions. This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents, provided that the indexing polynomial can be factored into quadratics.")) (|complexIntegrate| (((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{complexIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|integrate| (((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{integrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable..")) (|complexExpand| (((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to i.")) (|expand| (((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{expand(i)} returns the list of possible real functions corresponding to i.")) (|split| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,x) + \\spad{...} + sum_{Pn(a)=0} Q(a,x)} where P1,...,Pn are the factors of \\spad{P.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-171)))) 
-(-613) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|)))) 
+(|IrrRepSymNatPackage|) 
 ((|constructor| (NIL "IrrRepSymNatPackage contains functions for computing the ordinary irreducible representations of symmetric groups on \\spad{n} letters {1,2,...,n} in Young's natural form and their dimensions. These representations can be labelled by number partitions of \\spad{n,} \\spadignore{i.e.} a weakly decreasing sequence of integers summing up to \\spad{n,} \\spadignore{e.g.} [3,3,3,1] labels an irreducible representation for \\spad{n} equals 10. Note that whenever a \\spadtype{List Integer} appears in a signature, a partition required.")) (|irreducibleRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))) "\\spad{irreducibleRepresentation(lambda,listOfPerm)} is the list of the irreducible representations corresponding to \\spad{lambda} in Young's natural form for the list of permutations given by listOfPerm.") (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{irreducibleRepresentation(lambda)} is the list of the two irreducible representations corresponding to the partition \\spad{lambda} in Young's natural form for the following two generators of the symmetric group, whose elements permute {1,2,...,n}, namely \\spad{(1} 2) (2-cycle) and \\spad{(1} 2 \\spad{...} \\spad{n)} (n-cycle).") (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|))) "\\spad{irreducibleRepresentation(lambda,pi)} is the irreducible representation corresponding to partition \\spad{lambda} in Young's natural form of the permutation \\spad{pi} in the symmetric group, whose elements permute {1,2,...,n}.")) (|dimensionOfIrreducibleRepresentation| (((|NonNegativeInteger|) (|List| (|Integer|))) "\\spad{dimensionOfIrreducibleRepresentation(lambda)} is the dimension of the ordinary irreducible representation of the symmetric group corresponding to lambda. Note that the Robinson-Thrall hook formula is implemented."))) 
 NIL 
 NIL 
-(-614 R E V P TS) 
+(|InternalRationalUnivariateRepresentationPackage| R E V P TS) 
 ((|constructor| (NIL "\\indented{1}{Author: Marc Moreno Maza} Date Created: 01/1999 Date Last Updated: 23/01/1999 References: \\indented{1}{[1] \\spad{D.} LAZARD \"Solving Zero-dimensional Algebraic Systems\"} \\indented{5}{Journal of Symbolic Computation, 1992, 13, 117-131} Description:")) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) "\\spad{checkRur(ts,lus)} returns \\spad{true} if \\spad{lus} is a rational univariate representation of \\spad{ts}.")) (|rur| (((|List| |#5|) |#5| (|Boolean|)) "\\spad{rur(ts,univ?)} returns a rational univariate representation of \\spad{ts}. This assumes that the lowest polynomial in \\spad{ts} is a variable \\spad{v} which does not occur in the other polynomials of \\spad{ts}. This variable will be used to define the simple algebraic extension over which these other polynomials will be rewritten as univariate polynomials with degree one. If \\spad{univ?} is \\spad{true} then these polynomials will have a constant initial."))) 
 NIL 
 NIL 
-(-615 |mn|) 
+(|IndexedString| |mn|) 
 ((|constructor| (NIL "This domain implements low-level strings")) (|hash| (((|Integer|) $) "\\spad{hash(x)} provides a hashing function for strings"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-168) (QUOTE (-1119))) (|HasCategory| (-168) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-168) (QUOTE (-869))) (-3836 (|HasCategory| (-168) (QUOTE (-869))) (|HasCategory| (-168) (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-869)))) (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-1119)))))) 
-(-616 E V R P) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Character|) (QUOTE (|SetCategory|))) (|HasCategory| (|Character|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Character|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Character|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))))) 
+(|InnerPolySum| E V R P) 
 ((|constructor| (NIL "Tools for the summation packages of polynomials")) (|sum| (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|) "\\spad{sum(p(n), \\spad{n)}} returns \\spad{P(n)}, the indefinite sum of \\spad{p(n)} with respect to upward difference on \\spad{n,} \\spadignore{i.e.} \\spad{P(n+1) - P(n) = a(n)}.") (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|)) "\\spad{sum(p(n), \\spad{n} = a..b)} returns \\spad{p(a) + p(a+1) + \\spad{...} + p(b)}."))) 
 NIL 
 NIL 
-(-617 |Coef|) 
+(|InnerSparseUnivariatePowerSeries| |Coef|) 
 ((|constructor| (NIL "InnerSparseUnivariatePowerSeries is an internal domain used for creating sparse Taylor and Laurent series.")) (|cAcsch| (($ $) "\\spad{cAcsch(f)} computes the inverse hyperbolic cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsech| (($ $) "\\spad{cAsech(f)} computes the inverse hyperbolic secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcoth| (($ $) "\\spad{cAcoth(f)} computes the inverse hyperbolic cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAtanh| (($ $) "\\spad{cAtanh(f)} computes the inverse hyperbolic tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcosh| (($ $) "\\spad{cAcosh(f)} computes the inverse hyperbolic cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsinh| (($ $) "\\spad{cAsinh(f)} computes the inverse hyperbolic sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCsch| (($ $) "\\spad{cCsch(f)} computes the hyperbolic cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSech| (($ $) "\\spad{cSech(f)} computes the hyperbolic secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCoth| (($ $) "\\spad{cCoth(f)} computes the hyperbolic cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cTanh| (($ $) "\\spad{cTanh(f)} computes the hyperbolic tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCosh| (($ $) "\\spad{cCosh(f)} computes the hyperbolic cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSinh| (($ $) "\\spad{cSinh(f)} computes the hyperbolic sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcsc| (($ $) "\\spad{cAcsc(f)} computes the arccosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsec| (($ $) "\\spad{cAsec(f)} computes the arcsecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcot| (($ $) "\\spad{cAcot(f)} computes the arccotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAtan| (($ $) "\\spad{cAtan(f)} computes the arctangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcos| (($ $) "\\spad{cAcos(f)} computes the arccosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsin| (($ $) "\\spad{cAsin(f)} computes the arcsine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCsc| (($ $) "\\spad{cCsc(f)} computes the cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSec| (($ $) "\\spad{cSec(f)} computes the secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCot| (($ $) "\\spad{cCot(f)} computes the cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cTan| (($ $) "\\spad{cTan(f)} computes the tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCos| (($ $) "\\spad{cCos(f)} computes the cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSin| (($ $) "\\spad{cSin(f)} computes the sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cLog| (($ $) "\\spad{cLog(f)} computes the logarithm of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cExp| (($ $) "\\spad{cExp(f)} computes the exponential of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) "\\spad{cRationalPower(f,r)} computes \\spad{f^r}. For use when the coefficient ring is commutative.")) (|cPower| (($ $ |#1|) "\\spad{cPower(f,r)} computes \\spad{f^r}, where \\spad{f} has constant coefficient 1. For use when the coefficient ring is commutative.")) (|integrate| (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. Warning: function does not check for a term of degree \\spad{-1.}")) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) "\\spad{seriesToOutputForm(st,refer,var,cen,r)} prints the series \\spad{f((var - cen)^r)}.")) (|iCompose| (($ $ $) "\\spad{iCompose(f,g)} returns \\spad{f(g(x))}. This is an internal function which should only be called for Taylor series \\spad{f(x)} and \\spad{g(x)} such that the constant coefficient of \\spad{g(x)} is zero.")) (|taylorQuoByVar| (($ $) "\\spad{taylorQuoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...}")) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) "\\spad{iExquo(f,g,taylor?)} is the quotient of the power series \\spad{f} and \\spad{g.} If \\spad{taylor?} is \\spad{true}, then we must have \\spad{order(f) \\spad{>=} order(g)}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(fn,f)} returns the series \\spad{sum(fn(n) * an * x^n,n = n0..)}, where \\spad{f} is the series \\spad{sum(an * x^n,n = n0..)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents.")) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) "\\spad{getStream(f)} returns the stream of terms representing the series \\spad{f.}")) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) "\\spad{getRef(f)} returns a reference containing the order to which the terms of \\spad{f} have been computed.")) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{makeSeries(refer,str)} creates a power series from the reference \\spad{refer} and the stream \\spad{str}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|))))) (|HasCategory| (-592) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191))))))) 
-(-618 |Coef|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|))))) (|HasCategory| (|Integer|) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|))))))) 
+(|InnerTaylorSeries| |Coef|) 
 ((|constructor| (NIL "Internal package for dense Taylor series. This is an internal Taylor series type in which Taylor series are represented by a \\spadtype{Stream} of \\spadtype{Ring} elements. For univariate series, the \\spad{Stream} elements are the Taylor coefficients. For multivariate series, the \\spad{n}th Stream element is a form of degree \\spad{n} in the power series variables.")) (* (($ $ (|Integer|)) "\\spad{x*i} returns the product of integer \\spad{i} and the series \\spad{x.}") (($ $ |#1|) "\\spad{x*c} returns the product of \\spad{c} and the series \\spad{x.}") (($ |#1| $) "\\spad{c*x} returns the product of \\spad{c} and the series \\spad{x.}")) (|order| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) "\\spad{order(x,n)} returns the minimum of \\spad{n} and the order of \\spad{x.}") (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the order of a power series \\spad{x,} \\indented{1}{\\spadignore{i.e.} the degree of the first non-zero term of the series.}")) (|pole?| (((|Boolean|) $) "\\spad{pole?(x)} tests if the series \\spad{x} has a pole. \\indented{1}{Note: this is \\spad{false} when \\spad{x} is a Taylor series.}")) (|series| (($ (|Stream| |#1|)) "\\spad{series(s)} creates a power series from a stream of \\indented{1}{ring elements.} \\indented{1}{For univariate series types, the stream \\spad{s} should be a stream} \\indented{1}{of Taylor coefficients. For multivariate series types, the} \\indented{1}{stream \\spad{s} should be a stream of forms the \\spad{n}th element} \\indented{1}{of which is a} \\indented{1}{form of degree \\spad{n} in the power series variables.}")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(x)} returns a stream of ring elements. \\indented{1}{When \\spad{x} is a univariate series, this is a stream of Taylor} \\indented{1}{coefficients. When \\spad{x} is a multivariate series, the} \\indented{1}{\\spad{n}th element of the stream is a form of} \\indented{1}{degree \\spad{n} in the power series variables.}"))) 
-((-4620 |has| |#1| (-582)) (-4619 |has| |#1| (-582)) ((-4627 "*") |has| |#1| (-582)) (-4618 |has| |#1| (-582)) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-582)))) 
-(-619 A B) 
+((|leftUnitary| |has| |#1| (|IntegralDomain|)) (|rightUnitary| |has| |#1| (|IntegralDomain|)) ((|commutative| "*") |has| |#1| (|IntegralDomain|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|InfiniteTupleFunctions2| A B) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)) "\\spad{map(f,[x0,x1,x2,...])} returns \\spad{[f(x0),f(x1),f(x2),..]}."))) 
 NIL 
 NIL 
-(-620 A B C) 
+(|InfiniteTupleFunctions3| A B C) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)) "\\spad{map(f,a,b)} \\undocumented") (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,a,b)} \\undocumented") (((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,a,b)} \\undocumented"))) 
 NIL 
 NIL 
-(-621 R -3958 FG) 
+(|InnerTrigonometricManipulations| R F FG) 
 ((|constructor| (NIL "This package provides transformations from trigonometric functions to exponentials and logarithms, and back. \\spad{F} and \\spad{FG} should be the same type of function space.")) (|trigs2explogs| ((|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))) "\\spad{trigs2explogs(f, [k1,...,kn], [x1,...,xm])} rewrites all the trigonometric functions appearing in \\spad{f} and involving one of the \\spad{xi's} in terms of complex logarithms and exponentials. A kernel of the form \\spad{tan(u)} is expressed using \\spad{exp(u)**2} if it is one of the \\spad{ki's}, in terms of \\spad{exp(2*u)} otherwise.")) (|explogs2trigs| (((|Complex| |#2|) |#3|) "\\spad{explogs2trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (F2FG ((|#3| |#2|) "\\spad{F2FG(a + sqrt(-1) \\spad{b)}} returns \\spad{a + \\spad{i} \\spad{b}.}")) (FG2F ((|#2| |#3|) "\\spad{FG2F(a + \\spad{i} \\spad{b)}} returns \\spad{a + sqrt(-1) \\spad{b}.}")) (GF2FG ((|#3| (|Complex| |#2|)) "\\spad{GF2FG(a + \\spad{i} \\spad{b)}} returns \\spad{a + \\spad{i} \\spad{b}} viewed as a function with the \\spad{i} pushed down into the coefficient domain."))) 
 NIL 
 NIL 
-(-622 S) 
+(|InfiniteTuple| S) 
 ((|constructor| (NIL "This package implements 'infinite tuples' for the interpreter. The representation is a stream.")) (|construct| (((|Stream| |#1|) $) "\\spad{construct(t)} converts an infinite tuple to a stream.")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\spad{generate(f,s)} returns \\spad{[s,f(s),f(f(s)),...]}.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} | p(x)]}.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterUntil(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} while not p(x)]}.")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterWhile(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} while p(x)]}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,t)} replaces the tuple \\spad{t} by \\spad{[f(x) for \\spad{x} in t]}."))) 
 NIL 
 NIL 
-(-623 R |mn|) 
+(|IndexedVector| R |mn|) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and a user-specified initial index."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#1| (QUOTE (-1075))) (-12 (|HasCategory| |#1| (QUOTE (-1030))) (|HasCategory| |#1| (QUOTE (-1075)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-624 S |Index| |Entry|) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (AND (|HasCategory| |#1| (QUOTE (|RadicalCategory|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|IndexedAggregate&| S |Index| |Entry|) 
 ((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example, a one-dimensional-array is an indexed aggregate where the index is an integer. Also, a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#2| |#2|) "\\spad{swap!(u,i,j)} interchanges elements \\spad{i} and \\spad{j} of aggregate u. No meaningful value is returned.")) (|fill!| (($ $ |#3|) "\\spad{fill!(u,x)} replaces each entry in aggregate \\spad{u} by \\spad{x.} The modified \\spad{u} is returned as value.")) (|first| ((|#3| $) "\\spad{first(u)} returns the first element \\spad{x} of u. Note that for collections, \\axiom{first([x,y,...,z]) = \\spad{x}.} Error: if \\spad{u} is empty.")) (|minIndex| ((|#2| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate u. Note that in general, \\axiom{minIndex(a) = reduce(min,[i for \\spad{i} in indices a])}; for lists, \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#2| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate u. Note that in general, \\axiom{maxIndex(u) = reduce(max,[i for \\spad{i} in indices u])}; if \\spad{u} is a list, \\axiom{maxIndex(u) = \\#u}.")) (|entry?| (((|Boolean|) |#3| $) "\\spad{entry?(x,u)} tests if \\spad{x} equals \\axiom{u . i} for some index i.")) (|indices| (((|List| |#2|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#2| $) "\\spad{index?(i,u)} tests if \\spad{i} is an index of aggregate u.")) (|entries| (((|List| |#3|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626)) (|HasCategory| |#2| (QUOTE (-869))) (|HasAttribute| |#1| (QUOTE -4625)) (|HasCategory| |#3| (QUOTE (-1119)))) 
-(-625 |Index| |Entry|) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|)) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasAttribute| |#1| (QUOTE |finiteAggregate|)) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) 
+(|IndexedAggregate| |Index| |Entry|) 
 ((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example, a one-dimensional-array is an indexed aggregate where the index is an integer. Also, a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#1| |#1|) "\\spad{swap!(u,i,j)} interchanges elements \\spad{i} and \\spad{j} of aggregate u. No meaningful value is returned.")) (|fill!| (($ $ |#2|) "\\spad{fill!(u,x)} replaces each entry in aggregate \\spad{u} by \\spad{x.} The modified \\spad{u} is returned as value.")) (|first| ((|#2| $) "\\spad{first(u)} returns the first element \\spad{x} of u. Note that for collections, \\axiom{first([x,y,...,z]) = \\spad{x}.} Error: if \\spad{u} is empty.")) (|minIndex| ((|#1| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate u. Note that in general, \\axiom{minIndex(a) = reduce(min,[i for \\spad{i} in indices a])}; for lists, \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#1| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate u. Note that in general, \\axiom{maxIndex(u) = reduce(max,[i for \\spad{i} in indices u])}; if \\spad{u} is a list, \\axiom{maxIndex(u) = \\#u}.")) (|entry?| (((|Boolean|) |#2| $) "\\spad{entry?(x,u)} tests if \\spad{x} equals \\axiom{u . i} for some index i.")) (|indices| (((|List| |#1|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#1| $) "\\spad{index?(i,u)} tests if \\spad{i} is an index of aggregate u.")) (|entries| (((|List| |#2|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-626 R A) 
+(|AssociatedJordanAlgebra| R A) 
 ((|constructor| (NIL "AssociatedJordanAlgebra takes an algebra \\spad{A} and uses \\spadfun{*$A} to define the new multiplications \\spad{a*b \\spad{:=} (a *$A \\spad{b} + \\spad{b} *$A a)/2} (anticommutator). The usual notation \\spad{{a,b}_+} cannot be used due to restrictions in the current language. This domain only gives a Jordan algebra if the Jordan-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},\\spad{b},\\spad{c} in \\spad{A}. This relation can be checked by \\spadfun{jordanAdmissible?()$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank, together with a fixed R-module basis), then the same is \\spad{true} for the associated Jordan algebra. Moreover, if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank), then the same \\spad{true} for the associated Jordan algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Jordan algebra \\spadtype{AssociatedJordanAlgebra}(R,A)."))) 
-((-4622 -3836 (-1732 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -392) (|devaluate| |#1|))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -392) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#2| (LIST (QUOTE -392) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|)))))) 
-(-627 |Entry|) 
+((|unitsKnown| OR (|and| (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE |FiniteRankNonAssociativeAlgebra|) (|devaluate| |#1|))) (OR (|HasCategory| |#2| (LIST (QUOTE |FiniteRankNonAssociativeAlgebra|) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (LIST (QUOTE |FiniteRankNonAssociativeAlgebra|) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|)))))) 
+(|KeyedAccessFile| |Entry|) 
 ((|constructor| (NIL "This domain allows a random access file to be viewed both as a table and as a file object. The KeyedAccessFile format is a directory containing a single file called ``index.kaf''. This file is a random access file. The first thing in the file is an integer which is the byte offset of an association list (the dictionary) at the end of the file. The association list is of the form ((key . byteoffset) (key . byteoffset)...) where the byte offset is the number of bytes from the beginning of the file. This offset contains an s-expression for the value of the key.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-1173) (QUOTE (-869))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (QUOTE (-1173))) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (QUOTE (-1119))))) 
-(-628 S |Key| |Entry|) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|String|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (QUOTE (|String|))) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#1|))))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (QUOTE (|SetCategory|))))) 
+(|KeyedDictionary&| S |Key| |Entry|) 
 ((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#3| "failed") |#2| $) "\\spad{search(k,t)} searches the table \\spad{t} for the key \\spad{k,} returning the entry stored in \\spad{t} for key \\spad{k.} If \\spad{t} has no such key, \\axiom{search(k,t)} returns \"failed\".")) (|remove!| (((|Union| |#3| "failed") |#2| $) "\\spad{remove!(k,t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key, \\axiom{remove!(k,t)} returns \"failed\".")) (|keys| (((|List| |#2|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t.}")) (|key?| (((|Boolean|) |#2| $) "\\spad{key?(k,t)} tests if \\spad{k} is a key in table \\spad{t.}"))) 
 NIL 
 NIL 
-(-629 |Key| |Entry|) 
+(|KeyedDictionary| |Key| |Entry|) 
 ((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#2| "failed") |#1| $) "\\spad{search(k,t)} searches the table \\spad{t} for the key \\spad{k,} returning the entry stored in \\spad{t} for key \\spad{k.} If \\spad{t} has no such key, \\axiom{search(k,t)} returns \"failed\".")) (|remove!| (((|Union| |#2| "failed") |#1| $) "\\spad{remove!(k,t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key, \\axiom{remove!(k,t)} returns \"failed\".")) (|keys| (((|List| |#1|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t.}")) (|key?| (((|Boolean|) |#1| $) "\\spad{key?(k,t)} tests if \\spad{k} is a key in table \\spad{t.}"))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-630 R S) 
+(|KernelFunctions2| R S) 
 ((|constructor| (NIL "This package exports some auxiliary functions on kernels")) (|constantIfCan| (((|Union| |#1| "failed") (|Kernel| |#2|)) "\\spad{constantIfCan(k)} \\undocumented")) (|constantKernel| (((|Kernel| |#2|) |#1|) "\\spad{constantKernel(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-631 S) 
+(|Kernel| S) 
 ((|constructor| (NIL "A kernel over a set \\spad{S} is an operator applied to a given list of arguments from \\spad{S.}")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op(a1,...,an), \\spad{s)}} tests if the name of op is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(op(a1,...,an), \\spad{f)}} tests if op = \\spad{f.}")) (|symbolIfCan| (((|Union| (|Symbol|) "failed") $) "\\spad{symbolIfCan(k)} returns \\spad{k} viewed as a symbol if \\spad{k} is a symbol, and \"failed\" otherwise.")) (|kernel| (($ (|Symbol|)) "\\spad{kernel(x)} returns \\spad{x} viewed as a kernel.") (($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{kernel(op, [a1,...,an], \\spad{m)}} returns the kernel \\spad{op(a1,...,an)} of nesting level \\spad{m.} Error: if \\spad{op} is k-ary for some \\spad{k} not equal to \\spad{m.}")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(k)} returns the nesting level of \\spad{k.}")) (|argument| (((|List| |#1|) $) "\\spad{argument(op(a1,...,an))} returns \\spad{[a1,...,an]}.")) (|operator| (((|BasicOperator|) $) "\\spad{operator(op(a1,...,an))} returns the operator op.")) (|name| (((|Symbol|) $) "\\spad{name(op(a1,...,an))} returns the name of op."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) 
-(-632 S) 
+((|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) 
+(|CoercibleTo| S) 
 ((|constructor| (NIL "A is coercible to \\spad{B} means any element of A can automatically be converted into an element of \\spad{B} by the interpreter.")) (|coerce| ((|#1| $) "\\spad{coerce(a)} transforms a into an element of \\spad{S.}"))) 
 NIL 
 NIL 
-(-633 S) 
+(|ConvertibleTo| S) 
 ((|constructor| (NIL "A is convertible to \\spad{B} means any element of A can be converted into an element of \\spad{B,} but not automatically by the interpreter.")) (|convert| ((|#1| $) "\\spad{convert(a)} transforms a into an element of \\spad{S.}"))) 
 NIL 
 NIL 
-(-634 -3958 UP) 
+(|Kovacic| F UP) 
 ((|constructor| (NIL "\\spadtype{Kovacic} provides a modified Kovacic's algorithm for solving explicitely irreducible 2nd order linear ordinary differential equations.")) (|kovacic| (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{kovacic(a_0,a_1,a_2,ezfactor)} returns either \"failed\" or P(u) such that \\spad{$e^{\\int(-a_1/2a_2)} e^{\\int u}$} is a solution of \\indented{5}{\\spad{$a_2 \\spad{y''} + \\spad{a_1} \\spad{y'} + \\spad{a0} \\spad{y} = 0$}} whenever \\spad{u} is a solution of \\spad{P \\spad{u} = 0}. The equation must be already irreducible over the rational functions. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{kovacic(a_0,a_1,a_2)} returns either \"failed\" or P(u) such that \\spad{$e^{\\int(-a_1/2a_2)} e^{\\int u}$} is a solution of \\indented{5}{\\spad{a_2 \\spad{y''} + \\spad{a_1} \\spad{y'} + \\spad{a0} \\spad{y} = 0}} whenever \\spad{u} is a solution of \\spad{P \\spad{u} = 0}. The equation must be already irreducible over the rational functions."))) 
 NIL 
 NIL 
-(-635 S R) 
+(|LeftAlgebra&| S R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#2|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
 NIL 
 NIL 
-(-636 R) 
+(|LeftAlgebra| R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#1|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-637 A R S) 
+(|LocalAlgebra| A R S) 
 ((|constructor| (NIL "LocalAlgebra produces the localization of an algebra, \\spadignore{i.e.} fractions whose numerators come from some \\spad{R} algebra.")) (|denom| ((|#3| $) "\\spad{denom \\spad{x}} returns the denominator of \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer \\spad{x}} returns the numerator of \\spad{x.}")) (/ (($ |#1| |#3|) "\\spad{a / \\spad{d}} divides the element \\spad{a} by \\spad{d.}") (($ $ |#3|) "\\spad{x / \\spad{d}} divides the element \\spad{x} by \\spad{d.}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-867)))) 
-(-638 R -3958) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|)))) 
+(|LaplaceTransform| R F) 
 ((|constructor| (NIL "This package computes the forward Laplace Transform.")) (|laplace| ((|#2| |#2| (|Symbol|) (|Symbol|)) "\\spad{laplace(f, \\spad{t,} \\spad{s)}} returns the Laplace transform of \\spad{f(t)} using \\spad{s} as the new variable. This is \\spad{integral(exp(-s*t)*f(t), \\spad{t} = 0..%plusInfinity)}. Returns the formal object \\spad{laplace(f, \\spad{t,} \\spad{s)}} if it cannot compute the transform."))) 
 NIL 
 NIL 
-(-639 R UP) 
+(|LaurentPolynomial| R UP) 
 ((|constructor| (NIL "Univariate polynomials with negative and positive exponents.")) (|separate| (((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)) "\\spad{separate(x)} is not documented")) (|monomial| (($ |#1| (|Integer|)) "\\spad{monomial(x,n)} is not documented")) (|coefficient| ((|#1| $ (|Integer|)) "\\spad{coefficient(x,n)} is not documented")) (|trailingCoefficient| ((|#1| $) "trailingCoefficient is not documented")) (|leadingCoefficient| ((|#1| $) "leadingCoefficient is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|order| (((|Integer|) $) "\\spad{order(x)} is not documented")) (|degree| (((|Integer|) $) "\\spad{degree(x)} is not documented")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} is not documented"))) 
-((-4620 . T) (-4619 . T) ((-4627 "*") . T) (-4618 . T) (-4622 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-640 R E V P TS ST) 
+((|leftUnitary| . T) (|rightUnitary| . T) ((|commutative| "*") . T) (|noZeroDivisors| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|LazardSetSolvingPackage| R E V P TS ST) 
 ((|constructor| (NIL "A package for solving polynomial systems by means of Lazard triangular sets. This package provides two operations. One for solving in the sense of the regular zeros, and the other for solving in the sense of the Zariski closure. Both produce square-free regular sets. Moreover, the decompositions do not contain any redundant component. However, only zero-dimensional regular sets are normalized, since normalization may be time consumming in positive dimension. The decomposition process is that of [2].")) (|zeroSetSplit| (((|List| |#6|) (|List| |#4|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?)} has the same specifications as zeroSetSplit(lp,clos?) from RegularTriangularSetCategory.")) (|normalizeIfCan| ((|#6| |#6|) "\\axiom{normalizeIfCan(ts)} returns \\axiom{ts} in an normalized shape if \\axiom{ts} is zero-dimensional."))) 
 NIL 
 NIL 
-(-641 OV E Z P) 
+(|LeadingCoefDetermination| OV E Z P) 
 ((|constructor| (NIL "Package for leading coefficient determination in the lifting step. Package working for every \\spad{R} euclidean with property \"F\".")) (|distFact| (((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)) "\\spad{distFact(contm,unilist,plead,vl,lvar,lval)}, where \\spad{contm} is the content of the evaluated polynomial, \\spad{unilist} is the list of factors of the evaluated polynomial, \\spad{plead} is the complete factorization of the leading coefficient, \\spad{vl} is the list of factors of the leading coefficient evaluated, \\spad{lvar} is the list of variables, \\spad{lval} is the list of values, returns a record giving the list of leading coefficients to impose on the univariate factors.")) (|polCase| (((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|)) "\\spad{polCase(contprod, numFacts, evallcs)}, where \\spad{contprod} is the product of the content of the leading coefficient of the polynomial to be factored with the content of the evaluated polynomial, \\spad{numFacts} is the number of factors of the leadingCoefficient, and evallcs is the list of the evaluated factors of the leadingCoefficient, returns \\spad{true} if the factors of the leading Coefficient can be distributed with this valuation."))) 
 NIL 
 NIL 
-(-642 |VarSet| R |Order|) 
+(|LieExponentials| |VarSet| R |Order|) 
 ((|constructor| (NIL "Management of the Lie Group associated with a free nilpotent Lie algebra. Every Lie bracket with length greater than \\axiom{Order} are assumed to be null. The implementation inherits from the \\spadtype{XPBWPolynomial} domain constructor: Lyndon coordinates are exponential coordinates of the second kind.")) (|identification| (((|List| (|Equation| |#2|)) $ $) "\\axiom{identification(g,h)} returns the list of equations \\axiom{g_i = h_i}, where \\axiom{g_i} (resp. \\axiom{h_i}) are exponential coordinates of \\axiom{g} (resp. \\axiom{h}).")) (|LyndonCoordinates| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) "\\axiom{LyndonCoordinates(g)} returns the exponential coordinates of \\axiom{g}.")) (|LyndonBasis| (((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|)) "\\axiom{LyndonBasis(lv)} returns the Lyndon basis of the nilpotent free Lie algebra.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(g)} returns the list of variables of \\axiom{g}.")) (|mirror| (($ $) "\\axiom{mirror(g)} is the mirror of the internal representation of \\axiom{g}.")) (|coerce| (((|XPBWPolynomial| |#1| |#2|) $) "\\axiom{coerce(g)} returns the internal representation of \\axiom{g}.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(g)} returns the internal representation of \\axiom{g}.")) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) "\\axiom{listOfTerms(p)} returns the internal representation of \\axiom{p}.")) (|log| (((|LiePolynomial| |#1| |#2|) $) "\\axiom{log(p)} returns the logarithm of \\axiom{p}.")) (|exp| (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{exp(p)} returns the exponential of \\axiom{p}."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-643 R |ls|) 
+(|LexTriangularPackage| R |ls|) 
 ((|constructor| (NIL "A package for solving polynomial systems with finitely many solutions. The decompositions are given by means of regular triangular sets. The computations use lexicographical Groebner bases. The main operations are lexTriangular and squareFreeLexTriangular. The second one provide decompositions by means of square-free regular triangular sets. Both are based on the lexTriangular method described in [1]. They differ from the algorithm described in \\spad{[2]} by the fact that multiciplities of the roots are not kept. With the squareFreeLexTriangular operation all multiciplities are removed. With the other operation some multiciplities may remain. Both operations admit an optional argument to produce normalized triangular sets.")) (|zeroSetSplit| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(lp, norm?)} decomposes the variety associated with \\axiom{lp} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(lp, norm?)} decomposes the variety associated with \\axiom{lp} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|squareFreeLexTriangular| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{squareFreeLexTriangular(base, norm?)} decomposes the variety associated with \\axiom{base} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|lexTriangular| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{lexTriangular(base, norm?)} decomposes the variety associated with \\axiom{base} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|groebner| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{groebner(lp)} returns the lexicographical Groebner basis of \\axiom{lp}. If \\axiom{lp} generates a zero-dimensional ideal then the FGLM strategy is used, otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{fglmIfCan(lp)} returns the lexicographical Groebner basis of \\axiom{lp} by using the FGLM strategy, if \\axiom{zeroDimensional?(lp)} holds .")) (|zeroDimensional?| (((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{zeroDimensional?(lp)} returns \\spad{true} iff \\axiom{lp} generates a zero-dimensional ideal w.r.t. the variables involved in \\axiom{lp}."))) 
 NIL 
 NIL 
-(-644) 
+(|LiouvillianFunctionCategory|) 
 ((|constructor| (NIL "Category for the transcendental Liouvillian functions.")) (|fresnelC| (($ $) "\\spad{fresnelC(x)} is the Fresnel integral \\spad{C,} defined by C(x) = integrate(cos(t^2),t=0..x)")) (|fresnelS| (($ $) "\\spad{fresnelS(x)} is the Fresnel integral \\spad{S,} defined by S(x) = integrate(sin(t^2),t=0..x)")) (|erf| (($ $) "\\spad{erf(x)} returns the error function of \\spad{x,} that is, \\spad{2 / sqrt(\\%pi)} times the integral of \\spad{exp(-x**2) dx}.")) (|dilog| (($ $) "\\spad{dilog(x)} returns the dilogarithm of \\spad{x,} that is, the integral of \\spad{log(x) / \\spad{(1} - \\spad{x)} dx}.")) (|li| (($ $) "\\spad{li(x)} returns the logarithmic integral of \\spad{x,} that is, the integral of \\spad{dx / log(x)}.")) (|Ci| (($ $) "\\spad{Ci(x)} returns the cosine integral of \\spad{x,} that is, the integral of \\spad{cos(x) / \\spad{x} dx}.")) (|Si| (($ $) "\\spad{Si(x)} returns the sine integral of \\spad{x,} that is, the integral of \\spad{sin(x) / \\spad{x} dx}.")) (|Ei| (($ $) "\\spad{Ei(x)} returns the exponential integral of \\spad{x,} that is, the integral of \\spad{exp(x)/x dx}."))) 
 NIL 
 NIL 
-(-645 R -3958) 
+(|LiouvillianFunction| R F) 
 ((|constructor| (NIL "This package provides liouvillian functions over an integral domain.")) (|integral| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{integral(f,x = a..b)} denotes the definite integral of \\spad{f} with respect to \\spad{x} from \\spad{a} to \\spad{b.}") ((|#2| |#2| (|Symbol|)) "\\spad{integral(f,x)} indefinite integral of \\spad{f} with respect to \\spad{x.}")) (|fresnelC| ((|#2| |#2|) "\\spad{fresnelC(f)} denotes the Fresnel integral \\spad{C}")) (|fresnelS| ((|#2| |#2|) "\\spad{fresnelS(f)} denotes the Fresnel integral \\spad{S}")) (|dilog| ((|#2| |#2|) "\\spad{dilog(f)} denotes the dilogarithm")) (|erf| ((|#2| |#2|) "\\spad{erf(f)} denotes the error function")) (|li| ((|#2| |#2|) "\\spad{li(f)} denotes the logarithmic integral")) (|Ci| ((|#2| |#2|) "\\spad{Ci(f)} denotes the cosine integral")) (|Si| ((|#2| |#2|) "\\spad{Si(f)} denotes the sine integral")) (|Ei| ((|#2| |#2|) "\\spad{Ei(f)} denotes the exponential integral")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns the Liouvillian operator based on \\spad{op}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} checks if \\spad{op} is Liouvillian"))) 
 NIL 
 NIL 
-(-646 |lv| -3958) 
+(|LinGroebnerPackage| |lv| F) 
 ((|constructor| (NIL "Given a Groebner basis \\spad{B} with respect to the total degree ordering for a zero-dimensional ideal I, compute a Groebner basis with respect to the lexicographical ordering by using linear algebra.")) (|transform| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{transform }\\undocumented")) (|choosemon| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{choosemon }\\undocumented")) (|intcompBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{intcompBasis }\\undocumented")) (|anticoord| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{anticoord }\\undocumented")) (|coord| (((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{coord }\\undocumented")) (|computeBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{computeBasis }\\undocumented")) (|minPol| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented") (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented")) (|totolex| (((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{totolex }\\undocumented")) (|groebgen| (((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{groebgen }\\undocumented")) (|linGenPos| (((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{linGenPos }\\undocumented"))) 
 NIL 
 NIL 
-(-647) 
+(|Library|) 
 ((|constructor| (NIL "This domain provides a simple way to save values in files.")) (|close!| (($ $) "\\spad{close!(f)} returns the library \\spad{f} closed to input and output.")) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) "\\spad{lib.k \\spad{:=} \\spad{v}} saves the value \\spad{v} in the library \\spad{lib}. It can later be extracted using the key \\spad{k}.")) (|elt| (((|Any|) $ (|Symbol|)) "\\spad{elt(lib,k)} or lib.k extracts the value corresponding to the key \\spad{k} from the library \\spad{lib}.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space.")) (|library| (($ (|FileName|)) "\\spad{library(ln)} creates a new library file."))) 
-((-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-1173) (QUOTE (-869))) (|HasCategory| (-57) (QUOTE (-1119))) (-12 (|HasCategory| (-57) (LIST (QUOTE -325) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1119)))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (QUOTE (-1173))) (LIST (QUOTE |:|) (QUOTE -3552) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (QUOTE (-1119)))) (-3836 (|HasCategory| (-57) (QUOTE (-1119))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (QUOTE (-1119))))) 
-(-648 S R) 
+((|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|String|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Any|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Any|) (LIST (QUOTE |Evalable|) (QUOTE (|Any|)))) (|HasCategory| (|Any|) (QUOTE (|SetCategory|)))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (QUOTE (|String|))) (LIST (QUOTE |:|) (QUOTE |entry|) (QUOTE (|Any|)))))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|)))) (OR (|HasCategory| (|Any|) (QUOTE (|SetCategory|))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|))))) 
+(|LieAlgebra&| S R) 
 ((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra, LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#2|) "\\axiom{x/r} returns the division of \\axiom{x} by \\axiom{r}.")) (|construct| (($ $ $) "\\axiom{construct(x,y)} returns the Lie bracket of \\axiom{x} and \\axiom{y}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-388)))) 
-(-649 R) 
+((|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|LieAlgebra| R) 
 ((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra, LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#1|) "\\axiom{x/r} returns the division of \\axiom{x} by \\axiom{r}.")) (|construct| (($ $ $) "\\axiom{construct(x,y)} returns the Lie bracket of \\axiom{x} and \\axiom{y}."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4620 . T) (-4619 . T)) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-650 R A) 
+(|AssociatedLieAlgebra| R A) 
 ((|constructor| (NIL "AssociatedLieAlgebra takes an algebra \\spad{A} and uses \\spadfun{*$A} to define the Lie bracket \\spad{a*b \\spad{:=} (a *$A \\spad{b} - \\spad{b} *$A a)} (commutator). Note that the notation \\spad{[a,b]} cannot be used due to restrictions of the current compiler. This domain only gives a Lie algebra if the Jacobi-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},\\spad{b},\\spad{c} in \\spad{A}. This relation can be checked by \\spad{lieAdmissible?()$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank, together with a fixed \\spad{R}-module basis), then the same is \\spad{true} for the associated Lie algebra. Also, if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank), then the same is \\spad{true} for the associated Lie algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Lie algebra \\spadtype{AssociatedLieAlgebra}(R,A)."))) 
-((-4622 -3836 (-1732 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -392) (|devaluate| |#1|))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -392) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#2| (LIST (QUOTE -392) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#2| (LIST (QUOTE -443) (|devaluate| |#1|)))))) 
-(-651 R FE) 
+((|unitsKnown| OR (|and| (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE |FiniteRankNonAssociativeAlgebra|) (|devaluate| |#1|))) (OR (|HasCategory| |#2| (LIST (QUOTE |FiniteRankNonAssociativeAlgebra|) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (LIST (QUOTE |FiniteRankNonAssociativeAlgebra|) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (LIST (QUOTE |FramedNonAssociativeAlgebra|) (|devaluate| |#1|)))))) 
+(|PowerSeriesLimitPackage| R FE) 
 ((|constructor| (NIL "PowerSeriesLimitPackage implements limits of expressions in one or more variables as one of the variables approaches a limiting value. Included are two-sided limits, left- and right- hand limits, and limits at plus or minus infinity.")) (|complexLimit| (((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit \\spad{lim(x \\spad{->} a,f(x))}.")) (|limit| (((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)) "\\spad{limit(f(x),x=a,\"left\")} computes the left hand real limit \\spad{lim(x \\spad{->} a-,f(x))}; \\spad{limit(f(x),x=a,\"right\")} computes the right hand real limit \\spad{lim(x \\spad{->} a+,f(x))}.") (((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|))) "\\spad{limit(f(x),x = a)} computes the real limit \\spad{lim(x \\spad{->} a,f(x))}."))) 
 NIL 
 NIL 
-(-652 R) 
+(|RationalFunctionLimitPackage| R) 
 ((|constructor| (NIL "Computation of limits for rational functions.")) (|complexLimit| (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.")) (|limit| (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)) "\\spad{limit(f(x),x,a,\"left\")} computes the real limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a} from the left; limit(f(x),x,a,\"right\") computes the corresponding limit as \\spad{x} approaches \\spad{a} from the right.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limit(f(x),x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|)))) "\\spad{limit(f(x),x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}."))) 
 NIL 
 NIL 
-(-653 S R) 
+(|LinearDependence| S R) 
 ((|constructor| (NIL "Test for linear dependence.")) (|solveLinear| (((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such ci's exist in the quotient field of \\spad{S.}") (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such ci's exist in \\spad{S.}")) (|linearDependence| (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|)) "\\spad{linearDependence([v1,...,vn])} returns \\spad{[c1,...,cn]} if \\spad{c1*v1 + \\spad{...} + cn*vn = 0} and not all the ci's are 0, \"failed\" if the vi's are linearly independent over \\spad{S.}")) (|linearlyDependent?| (((|Boolean|) (|Vector| |#2|)) "\\spad{linearlyDependent?([v1,...,vn])} returns \\spad{true} if the vi's are linearly dependent over \\spad{S,} \\spad{false} otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388))) (-3252 (|HasCategory| |#1| (QUOTE (-388))))) 
-(-654 R) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (|not| (|HasCategory| |#1| (QUOTE (|Field|))))) 
+(|LinearlyExplicitRingOver| R) 
 ((|constructor| (NIL "An extension ring with an explicit linear dependence test.")) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) "\\spad{reducedSystem(A, \\spad{v)}} returns a matrix \\spad{B} and a vector \\spad{w} such that \\spad{A \\spad{x} = \\spad{v}} and \\spad{B \\spad{x} = \\spad{w}} have the same solutions in \\spad{R.}") (((|Matrix| |#1|) (|Matrix| $)) "\\spad{reducedSystem(A)} returns a matrix \\spad{B} such that \\spad{A \\spad{x} = 0} and \\spad{B \\spad{x} = 0} have the same solutions in \\spad{R.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-655 A B) 
+(|ListToMap| A B) 
 ((|constructor| (NIL "\\spadtype{ListToMap} allows mappings to be described by a pair of lists of equal lengths. The image of an element \\spad{x}, which appears in position \\spad{n} in the first list, is then the \\spad{n}th element of the second list. A default value or default function can be specified to be used when \\spad{x} does not appear in the first list. In the absence of defaults, an error will occur in that case.")) (|match| ((|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)) "\\spad{match(la, \\spad{lb,} a, \\spad{f)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{f} is a default function to call if a is not in la. The value returned is then obtained by applying \\spad{f} to argument a.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|)) "\\spad{match(la, \\spad{lb,} \\spad{f)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{f} is used as the function to call when the given function argument is not in \\spad{la}. The value returned is \\spad{f} applied to that argument.") ((|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|) "\\spad{match(la, \\spad{lb,} a, \\spad{b)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{b} is the default target value if a is not in la. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|) "\\spad{match(la, \\spad{lb,} \\spad{b)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length, where \\spad{b} is used as the default target value if the given function argument is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length.") ((|#2| (|List| |#1|) (|List| |#2|) |#1|) "\\spad{match(la, \\spad{lb,} a)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length, where \\spad{a} is used as the default source value if the given one is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|)) "\\spad{match(la, lb)} creates a map with no default source or target values defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length. Note that when this map is applied, an error occurs when applied to a value missing from la."))) 
 NIL 
 NIL 
-(-656 A B) 
+(|ListFunctions2| A B) 
 ((|constructor| (NIL "\\spadtype{ListFunctions2} implements utility functions that operate on two kinds of lists, each with a possibly different type of element.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)) "\\spad{map(fn,u)} applies \\spad{fn} to each element of list \\spad{u} and returns a new list with the results. For example \\spad{map(square,[1,2,3]) = [1,4,9]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{reduce(fn,u,ident)} successively uses the binary function \\spad{fn} on the elements of list \\spad{u} and the result of previous applications. \\spad{ident} is returned if the \\spad{u} is empty. Note the order of application in the following examples: \\spad{reduce(fn,[1,2,3],0) = fn(3,fn(2,fn(1,0)))} and \\spad{reduce(*,[2,3],1) = 3 * \\spad{(2} * 1)}.")) (|scan| (((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{scan(fn,u,ident)} successively uses the binary function \\spad{fn} to reduce more and more of list \\spad{u}. \\spad{ident} is returned if the \\spad{u} is empty. The result is a list of the reductions at each step. See \\spadfun{reduce} for more information. Examples: \\spad{scan(fn,[1,2],0) = [fn(2,fn(1,0)),fn(1,0)]} and \\spad{scan(*,[2,3],1) = \\spad{[2} * 1, 3 * \\spad{(2} * 1)]}."))) 
 NIL 
 NIL 
-(-657 A B C) 
+(|ListFunctions3| A B C) 
 ((|constructor| (NIL "\\spadtype{ListFunctions3} implements utility functions that operate on three kinds of lists, each with a possibly different type of element.")) (|map| (((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)) "\\spad{map(fn,list1, u2)} applies the binary function \\spad{fn} to corresponding elements of lists \\spad{u1} and \\spad{u2} and returns a list of the results (in the same order). Thus \\spad{map(/,[1,2,3],[4,5,6]) = [1/4,2/4,1/2]}. The computation terminates when the end of either list is reached. That is, the length of the result list is equal to the minimum of the lengths of \\spad{u1} and \\spad{u2}."))) 
 NIL 
 NIL 
-(-658 S) 
+(|List| S) 
 ((|constructor| (NIL "\\spadtype{List} implements singly-linked lists that are addressable by indices; the index of the first element is 1. In addition to the operations provided by \\spadtype{IndexedList}, this constructor provides some LISP-like functions such as \\spadfun{null} and \\spadfun{cons}.")) (|setDifference| (($ $ $) "\\spad{setDifference(u1,u2)} returns a list of the elements of \\spad{u1} that are not also in \\spad{u2}. The order of elements in the resulting list is unspecified.")) (|setIntersection| (($ $ $) "\\spad{setIntersection(u1,u2)} returns a list of the elements that lists \\spad{u1} and \\spad{u2} have in common. The order of elements in the resulting list is unspecified.")) (|setUnion| (($ $ $) "\\spad{setUnion(u1,u2)} appends the two lists \\spad{u1} and u2, then removes all duplicates. The order of elements in the resulting list is unspecified.")) (|append| (($ $ $) "\\spad{append(u1,u2)} appends the elements of list \\spad{u1} onto the front of list \\spad{u2}. This new list and \\spad{u2} will share some structure.")) (|cons| (($ |#1| $) "\\spad{cons(element,u)} appends \\spad{element} onto the front of list \\spad{u} and returns the new list. This new list and the old one will share some structure.")) (|null| (((|Boolean|) $) "\\spad{null(u)} tests if list \\spad{u} is the empty list.")) (|nil| (($) "\\spad{nil()} returns the empty list."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-850))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-659 K PCS) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|OpenMath|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|LinearSystemFromPowerSeriesPackage| K PCS) 
 ((|constructor| (NIL "Part of the PAFF package")) (|finiteSeries2LinSys| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) "\\spad{finiteSeries2LinSys(ls,n)} returns a matrix which right kernel is the solution of the linear combinations of the series in \\spad{ls} which has order greater or equal to \\spad{n.} NOTE: All the series in \\spad{ls} must be finite and must have order at least 0: so one must first call on each of them the function filterUpTo(s,n) and apply an appropriate shift (mult by a power of \\spad{t).}"))) 
 NIL 
 NIL 
-(-660 S) 
+(|ListMultiDictionary| S) 
 ((|constructor| (NIL "The \\spadtype{ListMultiDictionary} domain implements a dictionary with duplicates allowed. The representation is a list with duplicates represented explicitly. Hence most operations will be relatively inefficient when the number of entries in the dictionary becomes large. If the objects in the dictionary belong to an ordered set, the entries are maintained in ascending order.")) (|substitute| (($ |#1| |#1| $) "\\spad{substitute(x,y,d)} replace \\spad{x's} with \\spad{y's} in dictionary \\spad{d.}")) (|duplicates?| (((|Boolean|) $) "\\spad{duplicates?(d)} tests if dictionary \\spad{d} has duplicate entries."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) 
-(-661 R) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) 
+(|LeftModule| R) 
 ((|constructor| (NIL "The category of left modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports left multiplation by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{ (a*b)*x = a*(b*x) }\\br \\tab{5}\\spad{ (a+b)*x = (a*x)+(b*x) }\\br \\tab{5}\\spad{ a*(x+y) = (a*x)+(a*y) }")) (* (($ |#1| $) "\\spad{r*x} returns the left multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
 NIL 
 NIL 
-(-662 S E |un|) 
+(|ListMonoidOps| S E |un|) 
 ((|constructor| (NIL "This internal package represents monoid (abelian or not, with or without inverses) as lists and provides some common operations to the various flavors of monoids.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|commutativeEquality| (((|Boolean|) $ $) "\\spad{commutativeEquality(x,y)} returns \\spad{true} if \\spad{x} and \\spad{y} are equal assuming commutativity")) (|plus| (($ $ $) "\\spad{plus(x, \\spad{y)}} returns \\spad{x + \\spad{y}} where \\spad{+} is the monoid operation, which is assumed commutative.") (($ |#1| |#2| $) "\\spad{plus(s, e, \\spad{x)}} returns \\spad{e * \\spad{s} + \\spad{x}} where \\spad{+} is the monoid operation, which is assumed commutative.")) (|leftMult| (($ |#1| $) "\\spad{leftMult(s, a)} returns \\spad{s * a} where \\spad{*} is the monoid operation, which is assumed non-commutative.")) (|rightMult| (($ $ |#1|) "\\spad{rightMult(a, \\spad{s)}} returns \\spad{a * \\spad{s}} where \\spad{*} is the monoid operation, which is assumed non-commutative.")) (|makeUnit| (($) "\\spad{makeUnit()} returns the unit element of the monomial.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(l)} returns the number of monomials forming \\spad{l.}")) (|reverse!| (($ $) "\\spad{reverse!(l)} reverses the list of monomials forming \\spad{l,} destroying the element \\spad{l.}")) (|reverse| (($ $) "\\spad{reverse(l)} reverses the list of monomials forming \\spad{l.} This has some effect if the monoid is non-abelian, \\spadignore{i.e.} \\spad{reverse(a1\\^e1 \\spad{...} an\\^en) = an\\^en \\spad{...} a1\\^e1} which is different.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(l, \\spad{n)}} returns the factor of the n^th monomial of \\spad{l.}")) (|nthExpon| ((|#2| $ (|Integer|)) "\\spad{nthExpon(l, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{l.}")) (|makeMulti| (($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|)))) "\\spad{makeMulti(l)} returns the element whose list of monomials is \\spad{l.}")) (|makeTerm| (($ |#1| |#2|) "\\spad{makeTerm(s, e)} returns the monomial \\spad{s} exponentiated by \\spad{e} (\\spadignore{e.g.} s^e or \\spad{e} * \\spad{s).}")) (|listOfMonoms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{listOfMonoms(l)} returns the list of the monomials forming \\spad{l.}")) (|outputForm| (((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|)) "\\spad{outputForm(l, fop, fexp, unit)} converts the monoid element represented by \\spad{l} to an \\spadtype{OutputForm}. Argument unit is the output form for the \\spadignore{unit} of the monoid (\\spadignore{e.g.} 0 or 1), \\spad{fop(a, \\spad{b)}} is the output form for the monoid operation applied to \\spad{a} and \\spad{b} (\\spadignore{e.g.} \\spad{a + \\spad{b},} \\spad{a * \\spad{b},} \\spad{ab}), and \\spad{fexp(a, \\spad{n)}} is the output form for the exponentiation operation applied to \\spad{a} and \\spad{n} (\\spadignore{e.g.} \\spad{n a}, \\spad{n * a}, \\spad{a \\spad{**} \\spad{n},} \\spad{a\\^n})."))) 
 NIL 
 NIL 
-(-663 A S) 
+(|LinearAggregate&| A S) 
 ((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings, lists, and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example, \\spadfun{concat} of two lists needs only to copy its first argument, whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates, see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) "\\spad{setelt(u,i..j,x)} (also written: \\axiom{u(i..j) \\spad{:=} \\spad{x})} destructively replaces each element in the segment \\axiom{u(i..j)} by \\spad{x.} The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{u.k \\spad{:=} \\spad{x} for \\spad{k} in i..j}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,u,k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{i}th element. Note that \\axiom{insert(v,u,k) = concat( u(0..k-1), \\spad{v,} u(k..) \\spad{)}.}") (($ |#2| $ (|Integer|)) "\\spad{insert(x,u,i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{i}th element. Note that \\axiom{insert(x,a,k) = concat(concat(a(0..k-1),x),a(k..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,i..j)} returns a copy of \\spad{u} with the \\axiom{i}th through \\axiom{j}th element deleted. Note that \\axiom{delete(a,i..j) = concat(a(0..i-1),a(j+1..))}.") (($ $ (|Integer|)) "\\spad{delete(u,i)} returns a copy of \\spad{u} with the \\axiom{i}th element deleted. Note that for lists, \\axiom{delete(a,i) \\spad{==} concat(a(0..i - 1),a(i + 1,..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,i..j)} (also written: \\axiom{a(i..j)}) returns the aggregate of elements \\axiom{u} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general, \\axiom{a.s = [a.k for \\spad{i} in s]}.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(f,u,v)} returns a new collection \\spad{w} with elements \\axiom{z = f(x,y)} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v.} Note that for linear aggregates, \\axiom{w.i = f(u.i,v.i)}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)}, where \\spad{u} is a lists of aggregates \\axiom{[a,b,...,c]}, returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed \\spad{...} by the elements of \\spad{c.} Note that \\axiom{concat(a,b,...,c) = concat(a,concat(b,...,c))}.") (($ $ $) "\\spad{concat(u,v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that if \\axiom{w = concat(u,v)} then \\axiom{w.i = u.i for \\spad{i} in indices u} and \\axiom{w.(j + maxIndex u) = \\spad{v.j} for \\spad{j} in indices \\spad{v}.}") (($ |#2| $) "\\spad{concat(x,u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(x,u) \\spad{==} concat([x],u)}.") (($ $ |#2|) "\\spad{concat(u,x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists, \\axiom{concat(u,x) \\spad{==} concat(u,[x])}")) (|new| (($ (|NonNegativeInteger|) |#2|) "\\spad{new(n,x)} returns \\axiom{fill!(new n,x)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626))) 
-(-664 S) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|))) 
+(|LinearAggregate| S) 
 ((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings, lists, and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example, \\spadfun{concat} of two lists needs only to copy its first argument, whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates, see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) "\\spad{setelt(u,i..j,x)} (also written: \\axiom{u(i..j) \\spad{:=} \\spad{x})} destructively replaces each element in the segment \\axiom{u(i..j)} by \\spad{x.} The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{u.k \\spad{:=} \\spad{x} for \\spad{k} in i..j}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,u,k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{i}th element. Note that \\axiom{insert(v,u,k) = concat( u(0..k-1), \\spad{v,} u(k..) \\spad{)}.}") (($ |#1| $ (|Integer|)) "\\spad{insert(x,u,i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{i}th element. Note that \\axiom{insert(x,a,k) = concat(concat(a(0..k-1),x),a(k..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,i..j)} returns a copy of \\spad{u} with the \\axiom{i}th through \\axiom{j}th element deleted. Note that \\axiom{delete(a,i..j) = concat(a(0..i-1),a(j+1..))}.") (($ $ (|Integer|)) "\\spad{delete(u,i)} returns a copy of \\spad{u} with the \\axiom{i}th element deleted. Note that for lists, \\axiom{delete(a,i) \\spad{==} concat(a(0..i - 1),a(i + 1,..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,i..j)} (also written: \\axiom{a(i..j)}) returns the aggregate of elements \\axiom{u} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general, \\axiom{a.s = [a.k for \\spad{i} in s]}.")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\spad{map(f,u,v)} returns a new collection \\spad{w} with elements \\axiom{z = f(x,y)} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v.} Note that for linear aggregates, \\axiom{w.i = f(u.i,v.i)}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)}, where \\spad{u} is a lists of aggregates \\axiom{[a,b,...,c]}, returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed \\spad{...} by the elements of \\spad{c.} Note that \\axiom{concat(a,b,...,c) = concat(a,concat(b,...,c))}.") (($ $ $) "\\spad{concat(u,v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that if \\axiom{w = concat(u,v)} then \\axiom{w.i = u.i for \\spad{i} in indices u} and \\axiom{w.(j + maxIndex u) = \\spad{v.j} for \\spad{j} in indices \\spad{v}.}") (($ |#1| $) "\\spad{concat(x,u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(x,u) \\spad{==} concat([x],u)}.") (($ $ |#1|) "\\spad{concat(u,x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists, \\axiom{concat(u,x) \\spad{==} concat(u,[x])}")) (|new| (($ (|NonNegativeInteger|) |#1|) "\\spad{new(n,x)} returns \\axiom{fill!(new n,x)}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-665 K) 
+(|LocalPowerSeriesCategory| K) 
 ((|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation.")) (|coefOfFirstNonZeroTerm| ((|#1| $) "\\spad{coefOfFirstNonZeroTerm(s)} returns the first non zero coefficient of the series.")) (|filterUpTo| (($ $ (|Integer|)) "\\spad{filterUpTo(s,n)} returns the series consisting of the terms of \\spad{s} having degree strictly less than \\spad{n.}")) (|shift| (($ $ (|Integer|)) "\\spad{shift(s,n)} returns t**n * \\spad{s}")) (|series| (($ (|Integer|) |#1| $) "\\spad{series(e,c,s)} create the series c*t**e + \\spad{s.}")) (|removeZeroes| (($ $) "\\spad{removeZeroes(s)} removes the zero terms in \\spad{s.}") (($ (|Integer|) $) "\\spad{removeZeroes(n,s)} removes the zero terms in the first \\spad{n} terms of \\spad{s.}")) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) "\\spad{monomial2series(ls,le,n)} returns t**n * reduce(\"*\",[s \\spad{**} \\spad{e} for \\spad{s} in \\spad{ls} for \\spad{e} in le])")) (|delay| (($ (|Mapping| $)) "\\spad{delay delayed} the computation of the next term of the series given by the input function.")) (|posExpnPart| (($ $) "\\spad{posExpnPart(s)} returns the series \\spad{s} less the terms with negative exponant.")) (|order| (((|Integer|) $) "\\spad{order(s)} returns the order of \\spad{s.}"))) 
-(((-4627 "*") . T) (-4618 . T) (-4617 . T) (-4623 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") . T) (|noZeroDivisors| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-666 R -3958 L) 
+(|ElementaryFunctionLODESolver| R F L) 
 ((|constructor| (NIL "\\spad{ElementaryFunctionLODESolver} provides the top-level functions for finding closed form solutions of linear ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)) "\\spad{solve(op, \\spad{g,} \\spad{x,} a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{op \\spad{y} = \\spad{g,} y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|)) "\\spad{solve(op, \\spad{g,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{op \\spad{y} = \\spad{g}} or \"failed\" if no non-trivial solution can be found; When found, the solution is returned in the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{op \\spad{y} = 0}. A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
-(-667 A) 
+(|LinearOrdinaryDifferentialOperator1| A) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator1} defines a ring of differential operators with coefficients in a differential ring A. Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-668 A M) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|LinearOrdinaryDifferentialOperator2| A M) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator2} defines a ring of differential operators with coefficients in a differential ring A and acting on an A-module \\spad{M.} Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-669 S A) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|LinearOrdinaryDifferentialOperatorCategory&| S A) 
 ((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\br \\spad{(L1} * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-388)))) 
-(-670 A) 
+((|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|LinearOrdinaryDifferentialOperatorCategory| A) 
 ((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\br \\spad{(L1} * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-671 -3958 UP) 
+(|LinearOrdinaryDifferentialOperatorFactorizer| F UP) 
 ((|constructor| (NIL "\\spadtype{LinearOrdinaryDifferentialOperatorFactorizer} provides a factorizer for linear ordinary differential operators whose coefficients are rational functions.")) (|factor1| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor1(a)} returns the factorisation of a, assuming that a has no first-order right factor.")) (|factor| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor(a)} returns the factorisation of a.") (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{factor(a, zeros)} returns the factorisation of a. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-27)))) 
-(-672 A -2485) 
+((|HasCategory| |#1| (QUOTE (|AlgebraicallyClosedField|)))) 
+(|LinearOrdinaryDifferentialOperator| A |diff|) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator} defines a ring of differential operators with coefficients in a ring A with a given derivation. Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-673 A L) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|LinearOrdinaryDifferentialOperatorsOps| A L) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperatorsOps} provides symmetric products and sums for linear ordinary differential operators.")) (|directSum| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{directSum(a,b,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use.")) (|symmetricPower| ((|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|)) "\\spad{symmetricPower(a,n,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}. \\spad{D} is the derivation to use.")) (|symmetricProduct| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{symmetricProduct(a,b,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-674 S) 
+(|Logic&| S) 
 ((|constructor| (NIL "Logic provides the basic operations for lattices, for example, boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{\\/} returns the logical `join', for example, `or'.")) (|/\\| (($ $ $) "\\spadignore{/\\} returns the logical `meet', for example, `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
 NIL 
 NIL 
-(-675) 
+(|Logic|) 
 ((|constructor| (NIL "Logic provides the basic operations for lattices, for example, boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{\\/} returns the logical `join', for example, `or'.")) (|/\\| (($ $ $) "\\spadignore{/\\} returns the logical `meet', for example, `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
 NIL 
 NIL 
-(-676 M R S) 
+(|Localize| M R S) 
 ((|constructor| (NIL "Localize(M,R,S) produces fractions with numerators from an \\spad{R} module \\spad{M} and denominators from some multiplicative subset \\spad{D} of \\spad{R.}")) (|denom| ((|#3| $) "\\spad{denom \\spad{x}} returns the denominator of \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer \\spad{x}} returns the numerator of \\spad{x.}")) (/ (($ |#1| |#3|) "\\spad{m / \\spad{d}} divides the element \\spad{m} by \\spad{d.}") (($ $ |#3|) "\\spad{x / \\spad{d}} divides the element \\spad{x} by \\spad{d.}"))) 
-((-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (QUOTE (-813)))) 
-(-677 K) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (QUOTE (|OrderedAbelianGroup|)))) 
+(|LinesOpPack| K) 
 ((|constructor| (NIL "A package that exports several linear algebra operations over lines of matrices. Part of the PAFF package.")) (|reduceRowOnList| (((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{reduceRowOnList(v,lvec)} applies a row reduction on each of the element of \\spad{lv} using \\spad{v} according to a pivot in \\spad{v} which is set to be the first non nul element in \\spad{v.}")) (|reduceLineOverLine| (((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|) "\\spad{reduceLineOverLine(v1,v2,a)} returns \\spad{v1-a*v1} where \\indented{1}{v1 and \\spad{v2} are considered as vector space.}")) (|quotVecSpaceBasis| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{quotVecSpaceBasis(b1,b2)} returns a basis of \\spad{V1/V2} where \\spad{V1} and \\spad{V2} are vector space with basis \\spad{b1} and \\spad{b2} resp. and \\spad{V2} is suppose to be include in \\spad{V1;} Note that if it is not the case then it returs the basis of V1/W where \\spad{W} = intersection of \\spad{V1} and \\spad{V2}")) (|reduceRow| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "reduceRow: if the input is considered as a matrix, the output would be the row reduction matrix. It's almost the rowEchelon form except that no permution of lines is performed."))) 
 NIL 
 NIL 
-(-678) 
+(|LeftOreRing|) 
 ((|constructor| (NIL "This is the category of left ore rings, that is noncommutative rings without zero divisors where we can compute the least left common multiple.")) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) "\\spad{lcmCoef(c1, c2)} computes (llcm_res, coeff1, coeff2) such that llcm_res is least left common multiple of \\spad{c1} and \\spad{c2} and llcm_res = \\spad{coeff1*c1} = \\spad{coeff2*c2}"))) 
-((-4618 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-679 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+(|LocalParametrizationOfSimplePointPackage| K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
 ((|constructor| (NIL "This package is part of the PAFF package")) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) "\\spad{localize(f,pt,crv,n)} returns a record containing the polynomials \\spad{f} and \\spad{crv} translate to the origin with respect to \\spad{pt.} The last element of the records, consisting of three integers contains information about the local parameter that will be used (either \\spad{x} or \\spad{y):} the first integer correspond to the variable that will be used as a local parameter.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) "\\spad{localParamOfSimplePt(pt,pol,n)} computes the local parametrization of the simple point \\spad{pt} on the curve defined by pol. This local parametrization is done according to the standard open affine plane set by \\spad{n}")) (|pointToPlace| ((|#7| |#5| |#3|) "\\spad{pointToPlace(pt,pol)} takes for input a simple point \\spad{pt} on the curve defined by \\spad{pol} and set the local parametrization of the point.")) (|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation."))) 
 NIL 
 NIL 
-(-680 R) 
+(|LinearPolynomialEquationByFractions| R) 
 ((|constructor| (NIL "Given a PolynomialFactorizationExplicit ring, this package provides a defaulting rule for the \\spad{solveLinearPolynomialEquation} operation, by moving into the field of fractions, and solving it there via the \\spad{multiEuclidean} operation.")) (|solveLinearPolynomialEquationByFractions| (((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{solveLinearPolynomialEquationByFractions([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such exists."))) 
 NIL 
 NIL 
-(-681 |VarSet| R) 
+(|LiePolynomial| |VarSet| R) 
 ((|constructor| (NIL "This type supports Lie polynomials in Lyndon basis see Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications).")) (|construct| (($ $ (|LyndonWord| |#1|)) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.") (($ (|LyndonWord| |#1|) $) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.") (($ (|LyndonWord| |#1|) (|LyndonWord| |#1|)) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.")) (|LiePolyIfCan| (((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|)) "\\axiom{LiePolyIfCan(p)} returns \\axiom{p} in Lyndon basis if \\axiom{p} is a Lie polynomial, otherwise \\axiom{\"failed\"} is returned."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-194)))) 
-(-682 A S) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) 
+(|ListAggregate&| A S) 
 ((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#2|) "\\spad{list(x)} returns the list of one element \\spad{x.}"))) 
 NIL 
 NIL 
-(-683 S) 
+(|ListAggregate| S) 
 ((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#1|) "\\spad{list(x)} returns the list of one element \\spad{x.}"))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-684 -3958) 
+(|LinearSystemMatrixPackage1| F) 
 ((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = \\spad{B}.} It is essentially a particular instantiation of the package \\spadtype{LinearSystemMatrixPackage} for Matrix and Vector. This package's existence makes it easier to use \\spadfun{solve} in the AXIOM interpreter.")) (|rank| (((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{rank(A,B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = \\spad{B}.}")) (|hasSolution?| (((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{hasSolution?(A,B)} tests if the linear system \\spad{AX = \\spad{B}} has a solution.")) (|particularSolution| (((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{particularSolution(A,B)} finds a particular solution of the linear system \\spad{AX = \\spad{B}.}")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|))) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|))) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|)) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-685 -3958 |Row| |Col| M) 
+(|LinearSystemMatrixPackage| F |Row| |Col| M) 
 ((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = \\spad{B}.}")) (|rank| (((|NonNegativeInteger|) |#4| |#3|) "\\spad{rank(A,B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = \\spad{B}.}")) (|hasSolution?| (((|Boolean|) |#4| |#3|) "\\spad{hasSolution?(A,B)} tests if the linear system \\spad{AX = \\spad{B}} has a solution.")) (|particularSolution| (((|Union| |#3| "failed") |#4| |#3|) "\\spad{particularSolution(A,B)} finds a particular solution of the linear system \\spad{AX = \\spad{B}.}")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|)) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-686 R E OV P) 
+(|LinearSystemPolynomialPackage| R E OV P) 
 ((|constructor| (NIL "This package finds the solutions of linear systems presented as a list of polynomials.")) (|linSolve| (((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)) "\\spad{linSolve(lp,lvar)} finds the solutions of the linear system of polynomials \\spad{lp} = 0 with respect to the list of symbols lvar."))) 
 NIL 
 NIL 
-(-687 |n| R) 
+(|LieSquareMatrix| |n| R) 
 ((|constructor| (NIL "LieSquareMatrix(n,R) implements the Lie algebra of the \\spad{n} by \\spad{n} matrices over the commutative ring \\spad{R.} The Lie bracket (commutator) of the algebra is given by\\br \\spad{a*b \\spad{:=} (a *$SQMATRIX(n,R) \\spad{b} - \\spad{b} *$SQMATRIX(n,R) a)},\\br where \\spadfun{*$SQMATRIX(n,R)} is the usual matrix multiplication."))) 
-((-4622 . T) (-4625 . T) (-4619 . T) (-4620 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247))) (|HasAttribute| |#2| (QUOTE (-4627 "*"))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-323))) (|HasCategory| |#2| (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-582))) (-3836 (|HasAttribute| |#2| (QUOTE (-4627 "*"))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119))))) (|HasCategory| |#2| (QUOTE (-194)))) 
-(-688 |VarSet|) 
+((|unitsKnown| . T) (|finiteAggregate| . T) (|rightUnitary| . T) (|leftUnitary| . T)) 
+((|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#2| (QUOTE (|commutative| "*"))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (OR (|HasAttribute| |#2| (QUOTE (|commutative| "*"))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) 
+(|LyndonWord| |VarSet|) 
 ((|constructor| (NIL "Lyndon words over arbitrary (ordered) symbols: see Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications). A Lyndon word is a word which is smaller than any of its right factors w.r.t. the pure lexicographical ordering. If \\axiom{a} and \\axiom{b} are two Lyndon words such that \\axiom{a < \\spad{b}} holds w.r.t lexicographical ordering then \\axiom{a*b} is a Lyndon word. Parenthesized Lyndon words can be generated from symbols by using the following rule:\\br \\axiom{[[a,b],c]} is a Lyndon word iff \\axiom{a*b < \\spad{c} \\spad{<=} \\spad{b}} holds.\\br Lyndon words are internally represented by binary trees using the \\spadtype{Magma} domain constructor. Two ordering are provided: lexicographic and length-lexicographic.")) (|LyndonWordsList| (((|List| $) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList(vl, \\spad{n)}} returns the list of Lyndon words over the alphabet \\axiom{vl}, up to order \\axiom{n}.")) (|LyndonWordsList1| (((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList1(vl, \\spad{n)}} returns an array of lists of Lyndon words over the alphabet \\axiom{vl}, up to order \\axiom{n}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|lyndonIfCan| (((|Union| $ "failed") (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndonIfCan(w)} convert \\axiom{w} into a Lyndon word.")) (|lyndon| (($ (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon(w)} convert \\axiom{w} into a Lyndon word, error if \\axiom{w} is not a Lyndon word.")) (|lyndon?| (((|Boolean|) (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon?(w)} test if \\axiom{w} is a Lyndon word.")) (|factor| (((|List| $) (|OrderedFreeMonoid| |#1|)) "\\axiom{factor(x)} returns the decreasing factorization into Lyndon words.")) (|coerce| (((|Magma| |#1|) $) "\\axiom{coerce(x)} returns the element of \\axiomType{Magma}(VarSet) corresponding to \\axiom{x}.") (((|OrderedFreeMonoid| |#1|) $) "\\axiom{coerce(x)} returns the element of \\axiomType{OrderedFreeMonoid}(VarSet) corresponding to \\axiom{x}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(x,y)} returns \\axiom{true} iff \\axiom{x} is smaller than \\axiom{y} w.r.t. the lexicographical ordering induced by \\axiom{VarSet}.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(x)} returns the number of entries in \\axiom{x}.")) (|right| (($ $) "\\axiom{right(x)} returns right subtree of \\axiom{x} or error if retractable?(x) is true.")) (|left| (($ $) "\\axiom{left(x)} returns left subtree of \\axiom{x} or error if retractable?(x) is true.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(x)} tests if \\axiom{x} is a tree with only one entry."))) 
 NIL 
 NIL 
-(-689 A S) 
+(|LazyStreamAggregate&| A S) 
 ((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', for example 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\spad{complete(st)} causes all entries of 'st' to be computed. \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\spad{extend(st,n)} causes entries to be computed, if necessary, \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\spad{numberOfComputedEntries(st)} returns the number of explicitly \\indented{1}{computed entries of stream \\spad{st} which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\spad{rst(s)} returns a pointer to the next node of stream \\spad{s.} \\indented{1}{Cautrion: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#2| $) "\\spad{frst(s)} returns the first element of stream \\spad{s.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} \\indented{1}{Caution: the first node must be a lazy evaluation mechanism} \\indented{1}{(satisfies \\spad{lazy?(s) = true}) as there is no error check.} \\indented{1}{Note that a call to this function may} \\indented{1}{or may not produce an explicit first entry}")) (|lazy?| (((|Boolean|) $) "\\spad{lazy?(s)} returns \\spad{true} if the first node of the stream \\spad{s} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\spad{explicitlyEmpty?(s)} returns \\spad{true} if the stream is an \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\spad{explicitEntries?(s)} returns \\spad{true} if the stream \\spad{s} has \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
 NIL 
 NIL 
-(-690 S) 
+(|LazyStreamAggregate| S) 
 ((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', for example 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\spad{complete(st)} causes all entries of 'st' to be computed. \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\spad{extend(st,n)} causes entries to be computed, if necessary, \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\spad{numberOfComputedEntries(st)} returns the number of explicitly \\indented{1}{computed entries of stream \\spad{st} which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\spad{rst(s)} returns a pointer to the next node of stream \\spad{s.} \\indented{1}{Cautrion: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#1| $) "\\spad{frst(s)} returns the first element of stream \\spad{s.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} \\indented{1}{Caution: the first node must be a lazy evaluation mechanism} \\indented{1}{(satisfies \\spad{lazy?(s) = true}) as there is no error check.} \\indented{1}{Note that a call to this function may} \\indented{1}{or may not produce an explicit first entry}")) (|lazy?| (((|Boolean|) $) "\\spad{lazy?(s)} returns \\spad{true} if the first node of the stream \\spad{s} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\spad{explicitlyEmpty?(s)} returns \\spad{true} if the stream is an \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\spad{explicitEntries?(s)} returns \\spad{true} if the stream \\spad{s} has \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-691 R) 
+(|ThreeDimensionalMatrix| R) 
 ((|constructor| (NIL "This domain represents three dimensional matrices over a general object type")) (|matrixDimensions| (((|Vector| (|NonNegativeInteger|)) $) "\\spad{matrixDimensions(x)} returns the dimensions of a matrix")) (|matrixConcat3D| (($ (|Symbol|) $ $) "\\spad{matrixConcat3D(s,x,y)} concatenates two 3-D matrices along a specified axis")) (|coerce| (((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $) "\\spad{coerce(x)} moves from the domain to the representation type") (($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|)))) "\\spad{coerce(p)} moves from the representation type (PrimitiveArray PrimitiveArray PrimitiveArray \\spad{R)} to the domain")) (|setelt!| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{setelt!(x,i,j,k,s)} (or x.i.j.k:=s) sets a specific element of the array to some value of type \\spad{R}")) (|elt| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{elt(x,i,j,k)} extract an element from the matrix \\spad{x}")) (|construct| (($ (|List| (|List| (|List| |#1|)))) "\\spad{construct(lll)} creates a 3-D matrix from a List List List \\spad{R} \\spad{lll}")) (|plus| (($ $ $) "\\spad{plus(x,y)} adds two matrices, term by term we note that they must be the same size")) (|identityMatrix| (($ (|NonNegativeInteger|)) "\\spad{identityMatrix(n)} create an identity matrix we note that this must be square")) (|zeroMatrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zeroMatrix(i,j,k)} create a matrix with all zero terms"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (QUOTE (-1075))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1075)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-692 MPT MD) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|ModularAlgebraicGcdOperations| MPT MD) 
 ((|constructor| (NIL "This category specifies operations needed by ModularAlgebraicGcd package. Since we have multiple implementations we specify interface here and put implementations in separate packages. Most operations are done using special purpose abstract representation. Apropriate types are passesd as parametes: \\spad{MPT} is type of modular polynomials in one variable with coefficients in some algebraic extension. \\spad{MD} is type of modulus. Final results are converted to packed representation, with coefficients (from prime field) stored in one array and exponents (in main variable and in auxilary variables representing generators of algebrac extension) stored in parallel array.")) (|repack1| (((|Void|) |#1| (|U32Vector|) (|Integer|) |#2|) "\\spad{repack1(x, a, \\spad{d,} \\spad{m)}} stores coefficients of \\spad{x} in a. \\spad{d} is degree of \\spad{x.} Corresponding exponents are given by packExps.")) (|packExps| ((|SortedExponentVector| (|Integer|) (|Integer|) |#2|) "\\spad{packExps(d, \\spad{s,} \\spad{m)}} produces vector of exponents up to degree \\spad{d.} \\spad{s} is size (degree) of algebraic extension. Use together with repack1.")) (|degree| (((|Integer|) |#1|) "\\spad{degree(x)} gives degree of \\spad{x.}")) (|zero?| (((|Boolean|) |#1|) "\\spad{zero?(x)} checks if \\spad{x} is zero.")) (|MPtoMPT| ((|#1| (|Polynomial| (|Integer|)) (|Symbol|) (|List| (|Symbol|)) |#2|) "\\spad{MPtoMPT(p, \\spad{s,} \\spad{ls,} \\spad{m)}} coverts \\spad{p} to packed represntation.")) (|packModulus| (((|Union| |#2| "failed") (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Integer|)) "\\spad{packModulus(lp, \\spad{ls,} \\spad{p)}} converts \\spad{lp,} \\spad{ls} and prime \\spad{p} which together describe algebraic extension to packed representation.")) (|canonicalIfCan| (((|Union| |#1| "failed") |#1| |#2|) "\\spad{canonicalIfCan(x, \\spad{m)}} tries to divide \\spad{x} by its leading coefficient modulo \\spad{m.}")) (|pseudoRem| ((|#1| |#1| |#1| |#2|) "\\spad{pseudoRem(x, \\spad{y,} \\spad{m)}} computes pseudoremainder of \\spad{x} by \\spad{y} modulo \\spad{m.}"))) 
 NIL 
 NIL 
-(-693 |VarSet|) 
+(|Magma| |VarSet|) 
 ((|constructor| (NIL "This type is the basic representation of parenthesized words (binary trees over arbitrary symbols) useful in \\spadtype{LiePolynomial}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|right| (($ $) "\\axiom{right(x)} returns right subtree of \\axiom{x} or error if retractable?(x) is true.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(x)} tests if \\axiom{x} is a tree with only one entry.")) (|rest| (($ $) "\\axiom{rest(x)} return \\axiom{x} without the first entry or error if retractable?(x) is true.")) (|mirror| (($ $) "\\axiom{mirror(x)} returns the reversed word of \\axiom{x}. That is \\axiom{x} itself if retractable?(x) is \\spad{true} and \\axiom{mirror(z) * mirror(y)} if \\axiom{x} is \\axiom{y*z}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(x,y)} returns \\axiom{true} iff \\axiom{x} is smaller than \\axiom{y} w.r.t. the lexicographical ordering induced by \\axiom{VarSet}. N.B. This operation does not take into account the tree structure of its arguments. Thus this is not a total ordering.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(x)} returns the number of entries in \\axiom{x}.")) (|left| (($ $) "\\axiom{left(x)} returns left subtree of \\axiom{x} or error if retractable?(x) is true.")) (|first| ((|#1| $) "\\axiom{first(x)} returns the first entry of the tree \\axiom{x}.")) (|coerce| (((|OrderedFreeMonoid| |#1|) $) "\\indented{1}{\\axiom{coerce(x)} returns the element of} \\axiomType{OrderedFreeMonoid}(VarSet) \\indented{1}{corresponding to \\axiom{x} by removing parentheses.}")) (* (($ $ $) "\\axiom{x*y} returns the tree \\axiom{[x,y]}."))) 
 NIL 
 NIL 
-(-694 R |Row| |Col| M) 
+(|MatrixManipulation| R |Row| |Col| M) 
 ((|constructor| (NIL "Some functions for manipulating (dense) matrices. Supported are various kinds of slicing, splitting and stacking of matrices. The functions resemble operations often used in numerical linear algebra algorithms.")) (|blockSplit| (((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.") (((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|List| (|PositiveInteger|))) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.") (((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|PositiveInteger|)) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.") (((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|PositiveInteger|)) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.")) (|horizSplit| (((|List| |#4|) |#4| (|List| (|PositiveInteger|))) "\\spad{horizSplit} splits a matrix into multiple submatrices column wise.") (((|List| |#4|) |#4| (|PositiveInteger|)) "\\spad{horizSplit} splits a matrix into multiple submatrices column wise.")) (|vertSplit| (((|List| |#4|) |#4| (|List| (|PositiveInteger|))) "\\spad{vertSplit} splits a matrix into multiple submatrices row wise.") (((|List| |#4|) |#4| (|PositiveInteger|)) "\\spad{vertSplit} splits a matrix into multiple submatrices row wise.")) (|blockConcat| ((|#4| (|List| (|List| |#4|))) "\\spad{blockConcat} concatenates matrices row and column wise, building a block matrix. The order is row major as in \\spad{matrix}.")) (|vertConcat| ((|#4| (|List| |#4|)) "\\spad{vertConcat} concatenates matrices row wise.")) (|horizConcat| ((|#4| (|List| |#4|)) "\\spad{horizConcat} concatenates matrices column wise.")) (|bandMatrix| ((|#4| |#4| (|Segment| (|Integer|))) "\\spad{bandMatrix} returns multiple diagonals out of a matrix. The diagonals are put into a matrix of same shape as the original one. Positive integer arguments select upper off-diagonals, negative ones lower off-diagonals.") ((|#4| |#4| (|List| (|Integer|))) "\\spad{bandMatrix} returns multiple diagonals out of a matrix. The diagonals are put into a matrix of same shape as the original one. Positive integer arguments select upper off-diagonals, negative ones lower off-diagonals.")) (|diagonalMatrix| ((|#4| |#4|) "\\spad{diagonalMatrix} returns the main diagonal out of a matrix. The diagonal is put into a matrix of same shape as the original one.") ((|#4| |#4| (|Integer|)) "\\spad{diagonalMatrix} returns a diagonal out of a matrix. The diagonal is put into a matrix of same shape as the original one. Positive integer arguments select upper off-diagonals, negative ones lower off-diagonals.")) (|subMatrix| ((|#4| |#4| (|Segment| (|PositiveInteger|)) (|Segment| (|PositiveInteger|))) "\\spad{subMatrix} returns several elements out of a matrix. The elements are stacked into a submatrix.") ((|#4| |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{subMatrix} returns several elements out of a matrix. The elements are stacked into a submatrix.")) (|columns| ((|#4| |#4| (|Segment| (|PositiveInteger|))) "\\spad{columns} returns several columns out of a matrix. The columns are stacked into a matrix.") ((|#4| |#4| (|List| (|PositiveInteger|))) "\\spad{columns} returns several columns out of a matrix. The columns are stacked into a matrix.")) (|aColumn| ((|#4| |#4| (|PositiveInteger|)) "\\spad{aColumn} returns a single column out of a matrix. The column is put into a one by \\spad{N} matrix.")) (|rows| ((|#4| |#4| (|Segment| (|PositiveInteger|))) "\\spad{rows} returns several rows out of a matrix. The rows are stacked into a matrix.") ((|#4| |#4| (|List| (|PositiveInteger|))) "\\spad{rows} returns several rows out of a matrix. The rows are stacked into a matrix.")) (|aRow| ((|#4| |#4| (|PositiveInteger|)) "\\spad{aRow} returns a single row out of a matrix. The row is put into a one by \\spad{N} matrix.")) (|element| ((|#4| |#4| (|PositiveInteger|) (|PositiveInteger|)) "\\spad{element} returns a single element out of a matrix. The element is put into a one by one matrix."))) 
 NIL 
 NIL 
-(-695 A) 
+(|MappingPackageInternalHacks1| A) 
 ((|constructor| (NIL "Various Currying operations.")) (|recur| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|) "\\spad{recur(n,g,x)} is \\spad{g(n,g(n-1,..g(1,x)..))}.")) (|iter| ((|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|) "\\spad{iter(f,n,x)} applies \\spad{f \\spad{n}} times to \\spad{x}."))) 
 NIL 
 NIL 
-(-696 A C) 
+(|MappingPackageInternalHacks2| A C) 
 ((|constructor| (NIL "Various Currying operations.")) (|arg2| ((|#2| |#1| |#2|) "\\spad{arg2(a,c)} selects its second argument.")) (|arg1| ((|#1| |#1| |#2|) "\\spad{arg1(a,c)} selects its first argument."))) 
 NIL 
 NIL 
-(-697 A B C) 
+(|MappingPackageInternalHacks3| A B C) 
 ((|constructor| (NIL "Various Currying operations.")) (|comp| ((|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{comp(f,g,x)} is \\spad{f(g x)}."))) 
 NIL 
 NIL 
-(-698 A) 
+(|MappingPackage1| A) 
 ((|constructor| (NIL "Various Currying operations.")) (|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) "\\spad{recur(g)} is the function \\spad{h} such that \\indented{1}{\\spad{h(n,x)= g(n,g(n-1,..g(1,x)..))}.}")) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{f**n} is the function which is the n-fold application \\indented{1}{of \\spad{f}.}")) (|id| ((|#1| |#1|) "\\spad{id \\spad{x}} is \\spad{x}.")) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) "\\spad{fixedPoint(f,n)} is the fixed point of function \\indented{1}{\\spad{f} which is assumed to transform a list of length} \\indented{1}{\\spad{n}.}") ((|#1| (|Mapping| |#1| |#1|)) "\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{that is, such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}")) (|coerce| (((|Mapping| |#1|) |#1|) "\\spad{coerce A} changes its argument into a \\indented{1}{nullary function.}")) (|nullary| (((|Mapping| |#1|) |#1|) "\\spad{nullary A} changes its argument into a \\indented{1}{nullary function.}"))) 
 NIL 
 NIL 
-(-699 A C) 
+(|MappingPackage2| A C) 
 ((|constructor| (NIL "Various Currying operations.")) (|diag| (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)) "\\spad{diag(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a = f(a,a)}.}")) (|constant| (((|Mapping| |#2| |#1|) (|Mapping| |#2|)) "\\spad{vu(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a= \\spad{f} ()}.}")) (|curry| (((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{cu(f,a)} is the function \\spad{g} \\indented{1}{such that \\spad{g \\spad{()=} \\spad{f} a}.}")) (|const| (((|Mapping| |#2| |#1|) |#2|) "\\spad{const \\spad{c}} is a function which produces \\spad{c} when \\indented{1}{applied to its argument.}"))) 
 NIL 
 NIL 
-(-700 A B C) 
+(|MappingPackage3| A B C) 
 ((|constructor| (NIL "Various Currying operations.")) (* (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)) "\\spad{f*g} is the function \\spad{h} \\indented{1}{such that \\spad{h \\spad{x=} \\spad{f(g} x)}.}")) (|twist| (((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|)) "\\spad{twist(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= f(b,a)}.}")) (|constantLeft| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|)) "\\spad{constantLeft(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= \\spad{f} b}.}")) (|constantRight| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|)) "\\spad{constantRight(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= \\spad{f} a}.}")) (|curryLeft| (((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|) "\\spad{curryLeft(f,a)} is the function \\spad{g} \\indented{1}{such that \\spad{g \\spad{b} = f(a,b)}.}")) (|curryRight| (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|) "\\spad{curryRight(f,b)} is the function \\spad{g} such that \\indented{1}{\\spad{g a = f(a,b)}.}"))) 
 NIL 
 NIL 
-(-701 A B) 
+(|MappingPackage4| A B) 
 ((|constructor| (NIL "Functional Composition. Given functions \\spad{f} and \\spad{g,} returns the applicable closure")) (/ (((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} p:=(x:EXPR(INT)):EXPR(INT)+->3*x \\spad{X} \\spad{q:=(x:EXPR(INT)):EXPR(INT)+->2*x+3} \\spad{X} (p/q)(4) \\spad{X} (p/q)(x)")) (* (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f*g)(4)")) (- (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f-g)(4)")) (+ (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f+g)(4)"))) 
 NIL 
 NIL 
-(-702 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+(|MatrixCategoryFunctions2| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{MatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|) "\\spad{reduce(f,m,r)} returns a matrix \\spad{n} where \\spad{n[i,j] = f(m[i,j],r)} for all indices \\spad{i} and \\spad{j.}")) (|map| (((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m.}") ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-703 S R |Row| |Col|) 
+(|MatrixCategory&| S R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#2| $) "\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#4|) $) "\\spad{nullSpace(m)} returns a basis for the null space of \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#4|) $) "\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#2|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}. \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(m,r)} computes the exact quotient of the elements \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#3| |#3| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#4| $ |#4|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\spad{n * \\spad{x}} is an integer multiple. \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#2|) "\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#2| $) "\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\spad{-x} returns the negative of the matrix \\spad{x.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\spad{setsubMatrix!(x,i1,j1,y)} destructively alters the \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#2|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\spad{vertConcat(x,y)} vertically concatenates two matrices with an \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\spad{horizConcat(x,y)} horizontally concatenates two matrices with \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#3|) "\\spad{transpose(r)} converts the row \\spad{r} to a row matrix. \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#4|) "\\spad{coerce(col)} converts the column \\spad{col} to a column matrix. \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) "\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|))) "\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#2|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zero(m,n)} returns an m-by-n zero matrix. \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{antisymmetric (that is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-194))) (|HasAttribute| |#2| (QUOTE (-4627 "*"))) (|HasCategory| |#2| (QUOTE (-323))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-582)))) 
-(-704 R |Row| |Col|) 
+((|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasAttribute| |#2| (QUOTE (|commutative| "*"))) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) 
+(|MatrixCategory| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#1| $) "\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#1| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#1| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#3|) $) "\\spad{nullSpace(m)} returns a basis for the null space of \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#3|) $) "\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#1|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}. \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(m,r)} computes the exact quotient of the elements \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#2| |#2| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#3| $ |#3|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\spad{n * \\spad{x}} is an integer multiple. \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#1|) "\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#1| $) "\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\spad{-x} returns the negative of the matrix \\spad{x.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\spad{setsubMatrix!(x,i1,j1,y)} destructively alters the \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\spad{vertConcat(x,y)} vertically concatenates two matrices with an \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\spad{horizConcat(x,y)} horizontally concatenates two matrices with \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#2|) "\\spad{transpose(r)} converts the row \\spad{r} to a row matrix. \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#3|) "\\spad{coerce(col)} converts the column \\spad{col} to a column matrix. \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#1|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) "\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) "\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#1|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zero(m,n)} returns an m-by-n zero matrix. \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{antisymmetric (that is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-705 R |Row| |Col| M) 
+(|MatrixLinearAlgebraFunctions| R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{MatrixLinearAlgebraFunctions} provides functions to compute inverses and canonical forms.")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix. If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen, \\spadignore{e.g.} positive remainders")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (|adjoint| (((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) "\\spad{adjoint(m)} returns the ajoint matrix of \\spad{m} (\\spadignore{i.e.} the matrix \\spad{n} such that \\spad{m*n} = determinant(m)*id) and the detrminant of \\spad{m.}")) (|invertIfCan| (((|Union| |#4| "failed") |#4|) "\\spad{invertIfCan(m)} returns the inverse of \\spad{m} over \\spad{R}")) (|fractionFreeGauss!| ((|#4| |#4|) "\\spad{fractionFreeGauss(m)} performs the fraction free gaussian elimination on the matrix \\spad{m.}")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|elColumn2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elColumn2!(m,a,i,j)} adds to column \\spad{i} a*column(m,j) : elementary operation of second kind. \\spad{(i} ^=j)")) (|elRow2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elRow2!(m,a,i,j)} adds to row \\spad{i} a*row(m,j) : elementary operation of second kind. \\spad{(i} ^=j)")) (|elRow1!| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{elRow1!(m,i,j)} swaps rows \\spad{i} and \\spad{j} of matrix \\spad{m} : elementary operation of first kind")) (|minordet| ((|#1| |#4|) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors. Error: if the matrix is not square.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} an error message is returned if the matrix is not square."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-582)))) 
-(-706 R) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|Matrix| R) 
 ((|constructor| (NIL "\\spadtype{Matrix} is a matrix domain where 1-based indexing is used for both rows and columns.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|diagonalMatrix| (($ (|Vector| |#1|)) "\\spad{diagonalMatrix(v)} returns a diagonal matrix where the elements of \\spad{v} appear on the diagonal."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-582))) (|HasAttribute| |#1| (QUOTE (-4627 "*"))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-707 R) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasAttribute| |#1| (QUOTE (|commutative| "*"))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|StorageEfficientMatrixOperations| R) 
 ((|constructor| (NIL "This package provides standard arithmetic operations on matrices. The functions in this package store the results of computations in existing matrices, rather than creating new matrices. This package works only for matrices of type Matrix and uses the internal representation of this type.")) (** (((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes the \\spad{n}-th power of a square matrix. The power \\spad{n} is assumed greater than 1.")) (|power!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{power!(a,b,c,m,n)} computes \\spad{m} \\spad{**} \\spad{n} and stores the result in \\spad{a}. The matrices \\spad{b} and \\spad{c} are used to store intermediate results. Error: if \\spad{a}, \\spad{b,} \\spad{c,} and \\spad{m} are not square and of the same dimensions.")) (|times!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{times!(c,a,b)} computes the matrix product \\spad{a * \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have compatible dimensions.")) (|rightScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rightScalarTimes!(c,a,r)} computes the scalar product \\spad{a * \\spad{r}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|leftScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|)) "\\spad{leftScalarTimes!(c,r,a)} computes the scalar product \\spad{r * a} and stores the result in the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|minus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{!minus!(c,a,b)} computes the matrix difference \\spad{a - \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have the same dimensions.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{minus!(c,a)} computes \\spad{-a} and stores the result in the matrix \\spad{c.} Error: if a and \\spad{c} do not have the same dimensions.")) (|plus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{plus!(c,a,b)} computes the matrix sum \\spad{a + \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have the same dimensions.")) (|copy!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{copy!(c,a)} copies the matrix \\spad{a} into the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions."))) 
 NIL 
 NIL 
-(-708 S -3958 FLAF FLAS) 
+(|MultiVariableCalculusFunctions| S F FLAF FLAS) 
 ((|constructor| (NIL "\\spadtype{MultiVariableCalculusFunctions} Package provides several functions for multivariable calculus. These include gradient, hessian and jacobian, divergence and laplacian. Various forms for banded and sparse storage of matrices are included.")) (|bandedJacobian| (((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{bandedJacobian(vf,xlist,kl,ku)} computes the jacobian, the matrix of first partial derivatives, of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist, \\spad{kl} is the number of nonzero subdiagonals, \\spad{ku} is the number of nonzero superdiagonals, \\spad{kl+ku+1} being actual bandwidth. Stores the nonzero band in a matrix, dimensions \\spad{kl+ku+1} by \\#xlist. The upper triangle is in the top \\spad{ku} rows, the diagonal is in row ku+1, the lower triangle in the last \\spad{kl} rows. Entries in a column in the band store correspond to entries in same column of full store. (The notation conforms to \\spad{LAPACK/NAG-F07} conventions.)")) (|jacobian| (((|Matrix| |#2|) |#3| |#4|) "\\spad{jacobian(vf,xlist)} computes the jacobian, the matrix of first partial derivatives, of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist.")) (|bandedHessian| (((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|)) "\\spad{bandedHessian(v,xlist,k)} computes the hessian, the matrix of second partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist, \\spad{k} is the semi-bandwidth, the number of nonzero subdiagonals, 2*k+1 being actual bandwidth. Stores the nonzero band in lower triangle in a matrix, dimensions \\spad{k+1} by \\#xlist, whose rows are the vectors formed by diagonal, subdiagonal, etc. of the real, full-matrix, hessian. (The notation conforms to \\spad{LAPACK/NAG-F07} conventions.)")) (|hessian| (((|Matrix| |#2|) |#2| |#4|) "\\spad{hessian(v,xlist)} computes the hessian, the matrix of second partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist.")) (|laplacian| ((|#2| |#2| |#4|) "\\spad{laplacian(v,xlist)} computes the laplacian of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist.")) (|divergence| ((|#2| |#3| |#4|) "\\spad{divergence(vf,xlist)} computes the divergence of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist.")) (|gradient| (((|Vector| |#2|) |#2| |#4|) "\\spad{gradient(v,xlist)} computes the gradient, the vector of first partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist."))) 
 NIL 
 NIL 
-(-709 R Q) 
+(|MatrixCommonDenominator| R Q) 
 ((|constructor| (NIL "MatrixCommonDenominator provides functions to compute the common denominator of a matrix of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)) "\\spad{splitDenominator(q)} returns \\spad{[p, \\spad{d]}} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the elements of \\spad{q.}")) (|clearDenominator| (((|Matrix| |#1|) (|Matrix| |#2|)) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the elements of \\spad{q.}")) (|commonDenominator| ((|#1| (|Matrix| |#2|)) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the elements of \\spad{q.}"))) 
 NIL 
 NIL 
-(-710) 
+(|MachineComplex|) 
 ((|constructor| (NIL "A domain which models the complex number representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Complex| (|Float|)) $) "\\spad{coerce(u)} transforms \\spad{u} into a COmplex Float") (($ (|Complex| (|MachineInteger|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|MachineFloat|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Integer|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Float|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex"))) 
-((-4618 . T) (-4623 |has| (-715) (-388)) (-4617 |has| (-715) (-388)) (-4001 . T) (-4624 |has| (-715) (-6 -4624)) (-4621 |has| (-715) (-6 -4621)) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-715) (QUOTE (-171))) (|HasCategory| (-715) (QUOTE (-169))) (|HasCategory| (-715) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-715) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| (-715) (QUOTE (-394))) (|HasCategory| (-715) (QUOTE (-388))) (|HasCategory| (-715) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-715) (QUOTE (-247))) (|HasCategory| (-715) (QUOTE (-373))) (-3836 (|HasCategory| (-715) (QUOTE (-388))) (|HasCategory| (-715) (QUOTE (-373)))) (|HasCategory| (-715) (LIST (QUOTE -303) (QUOTE (-715)) (QUOTE (-715)))) (|HasCategory| (-715) (LIST (QUOTE -325) (QUOTE (-715)))) (|HasCategory| (-715) (LIST (QUOTE -547) (QUOTE (-1191)) (QUOTE (-715)))) (|HasCategory| (-715) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-715) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-715) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-715) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-715) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-715) (QUOTE (-1049))) (|HasCategory| (-715) (QUOTE (-1211))) (-12 (|HasCategory| (-715) (QUOTE (-1030))) (|HasCategory| (-715) (QUOTE (-1211)))) (|HasCategory| (-715) (QUOTE (-574))) (|HasCategory| (-715) (QUOTE (-1084))) (-12 (|HasCategory| (-715) (QUOTE (-1084))) (|HasCategory| (-715) (QUOTE (-1211)))) (-3836 (|HasCategory| (-715) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-715) (QUOTE (-388)))) (|HasCategory| (-715) (QUOTE (-323))) (-3836 (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-388))) (|HasCategory| (-715) (QUOTE (-373)))) (|HasCategory| (-715) (QUOTE (-931))) (-12 (|HasCategory| (-715) (QUOTE (-247))) (|HasCategory| (-715) (QUOTE (-388)))) (-12 (|HasCategory| (-715) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-715) (QUOTE (-388)))) (|HasCategory| (-715) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-715) (QUOTE (-869))) (|HasCategory| (-715) (QUOTE (-582))) (|HasAttribute| (-715) (QUOTE -4624)) (|HasAttribute| (-715) (QUOTE -4621)) (-12 (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (|HasCategory| (-715) (QUOTE (-388))) (-12 (|HasCategory| (-715) (QUOTE (-373))) (|HasCategory| (-715) (QUOTE (-931))))) (-3836 (-12 (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (-12 (|HasCategory| (-715) (QUOTE (-388))) (|HasCategory| (-715) (QUOTE (-931)))) (-12 (|HasCategory| (-715) (QUOTE (-373))) (|HasCategory| (-715) (QUOTE (-931))))) (-3836 (-12 (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (|HasCategory| (-715) (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (|HasCategory| (-715) (QUOTE (-582)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (|HasCategory| (-715) (QUOTE (-169)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-715) (QUOTE (-323))) (|HasCategory| (-715) (QUOTE (-931)))) (|HasCategory| (-715) (QUOTE (-373))))) 
-(-711 S) 
+((|noZeroDivisors| . T) (|canonicalUnitNormal| |has| (|MachineFloat|) (|Field|)) (|canonicalsClosed| |has| (|MachineFloat|) (|Field|)) (|complex| . T) (|multiplicativeValuation| |has| (|MachineFloat|) (ATTRIBUTE |multiplicativeValuation|)) (|additiveValuation| |has| (|MachineFloat|) (ATTRIBUTE |additiveValuation|)) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|MachineFloat|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|MachineFloat|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|Finite|))) (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|MachineFloat|) (QUOTE (|FiniteFieldCategory|))) (OR (|HasCategory| (|MachineFloat|) (QUOTE (|Field|))) (|HasCategory| (|MachineFloat|) (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |Eltable|) (QUOTE (|MachineFloat|)) (QUOTE (|MachineFloat|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |Evalable|) (QUOTE (|MachineFloat|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (QUOTE (|MachineFloat|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (OR (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|))) (|HasCategory| (|MachineFloat|) (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|RealConstant|))) (|HasCategory| (|MachineFloat|) (QUOTE (|TranscendentalFunctionCategory|))) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|RadicalCategory|))) (|HasCategory| (|MachineFloat|) (QUOTE (|TranscendentalFunctionCategory|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|MachineFloat|) (QUOTE (|RealNumberSystem|))) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|RealNumberSystem|))) (|HasCategory| (|MachineFloat|) (QUOTE (|TranscendentalFunctionCategory|)))) (OR (|HasCategory| (|MachineFloat|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|))) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|)))) (AND (|HasCategory| (|MachineFloat|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|)))) (|HasCategory| (|MachineFloat|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|OrderedSet|))) (|HasCategory| (|MachineFloat|) (QUOTE (|IntegralDomain|))) (|HasAttribute| (|MachineFloat|) (QUOTE |multiplicativeValuation|)) (|HasAttribute| (|MachineFloat|) (QUOTE |additiveValuation|)) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|))) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|FiniteFieldCategory|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|))))) (OR (AND (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|Field|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|MachineFloat|) (QUOTE (|FiniteFieldCategory|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|))))) (OR (AND (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|IntegralDomain|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|CharacteristicNonZero|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|MachineFloat|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|MachineFloat|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|MachineFloat|) (QUOTE (|FiniteFieldCategory|))))) 
+(|MultiDictionary| S) 
 ((|constructor| (NIL "A multi-dictionary is a dictionary which may contain duplicates. As for any dictionary, its size is assumed large so that copying (non-destructive) operations are generally to be avoided.")) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) "\\spad{duplicates(d)} returns a list of values which have duplicates in \\spad{d}")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(d)} destructively removes any duplicate values in dictionary \\spad{d.}")) (|insert!| (($ |#1| $ (|NonNegativeInteger|)) "\\spad{insert!(x,d,n)} destructively inserts \\spad{n} copies of \\spad{x} into dictionary \\spad{d.}"))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-712 U) 
+(|ModularDistinctDegreeFactorizer| U) 
 ((|constructor| (NIL "This package supports factorization and gcds of univariate polynomials over the integers modulo different primes. The inputs are given as polynomials over the integers with the prime passed explicitly as an extra argument.")) (|exptMod| ((|#1| |#1| (|Integer|) |#1| (|Integer|)) "\\spad{exptMod(f,n,g,p)} raises the univariate polynomial \\spad{f} to the \\spad{n}th power modulo the polynomial \\spad{g} and the prime \\spad{p.}")) (|separateFactors| (((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|)) "\\spad{separateFactors(ddl, \\spad{p)}} refines the distinct degree factorization produced by ddFact to give a complete list of factors.")) (|ddFact| (((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|)) "\\spad{ddFact(f,p)} computes a distinct degree factorization of the polynomial \\spad{f} modulo the prime \\spad{p,} \\spadignore{i.e.} such that each factor is a product of irreducibles of the same degrees. The input polynomial \\spad{f} is assumed to be square-free modulo \\spad{p.}")) (|factor| (((|List| |#1|) |#1| (|Integer|)) "\\spad{factor(f1,p)} returns the list of factors of the univariate polynomial \\spad{f1} modulo the integer prime \\spad{p.} Error: if \\spad{f1} is not square-free modulo \\spad{p.}")) (|linears| ((|#1| |#1| (|Integer|)) "\\spad{linears(f,p)} returns the product of all the linear factors of \\spad{f} modulo \\spad{p.} Potentially incorrect result if \\spad{f} is not square-free modulo \\spad{p.}")) (|gcd| ((|#1| |#1| |#1| (|Integer|)) "\\spad{gcd(f1,f2,p)} computes the \\spad{gcd} of the univariate polynomials \\spad{f1} and \\spad{f2} modulo the integer prime \\spad{p.}"))) 
 NIL 
 NIL 
-(-713) 
+(|MeshCreationRoutinesForThreeDimensions|) 
 ((|constructor| (NIL "This package has no description")) (|ptFunc| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{ptFunc(a,b,c,d)} is an internal function exported in order to compile packages.")) (|meshPar1Var| (((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar1Var(s,t,u,f,s1,l)} \\undocumented")) (|meshFun2Var| (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshFun2Var(f,g,s1,s2,l)} \\undocumented")) (|meshPar2Var| (((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(sp,f,s1,s2,l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,s1,s2,l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,g,h,j,s1,s2,l)} \\undocumented"))) 
 NIL 
 NIL 
-(-714 OV E -3958 PG) 
+(|MultFiniteFactorize| OV E F PG) 
 ((|constructor| (NIL "Package for factorization of multivariate polynomials over finite fields.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field. \\spad{p} is represented as a univariate polynomial with multivariate coefficients over a finite field.") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field."))) 
 NIL 
 NIL 
-(-715) 
+(|MachineFloat|) 
 ((|constructor| (NIL "A domain which models the floating point representation used by machines in the AXIOM-NAG link.")) (|changeBase| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{changeBase(exp,man,base)} is not documented")) (|exponent| (((|Integer|) $) "\\spad{exponent(u)} returns the exponent of \\spad{u}")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(u)} returns the mantissa of \\spad{u}")) (|coerce| (($ (|MachineInteger|)) "\\spad{coerce(u)} transforms a MachineInteger into a MachineFloat") (((|Float|) $) "\\spad{coerce(u)} transforms a MachineFloat to a standard Float")) (|minimumExponent| (((|Integer|)) "\\spad{minimumExponent()} returns the minimum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{minimumExponent(e)} sets the minimum exponent in the model to \\spad{e}")) (|maximumExponent| (((|Integer|)) "\\spad{maximumExponent()} returns the maximum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{maximumExponent(e)} sets the maximum exponent in the model to \\spad{e}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{base(b)} sets the base of the model to \\spad{b}")) (|precision| (((|PositiveInteger|)) "\\spad{precision()} returns the number of digits in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(p)} sets the number of digits in the model to \\spad{p}"))) 
-((-2642 . T) (-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|approximate| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-716 R) 
+(|ModularHermitianRowReduction| R) 
 ((|constructor| (NIL "Modular hermitian row reduction.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen, \\spadignore{e.g.} positive remainders")) (|rowEchelonLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|) "\\spad{rowEchelonLocal(m, \\spad{d,} \\spad{p)}} computes the row-echelon form of \\spad{m} concatenated with \\spad{d} times the identity matrix over a local ring where \\spad{p} is the only prime.")) (|rowEchLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchLocal(m,p)} computes a modular row-echelon form of \\spad{m,} finding an appropriate modulus over a local ring where \\spad{p} is the only prime.")) (|rowEchelon| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchelon(m, \\spad{d)}} computes a modular row-echelon form mod \\spad{d} of \\indented{3}{[d\\space{5}]} \\indented{3}{[\\space{2}d\\space{3}]} \\indented{3}{[\\space{4}. \\spad{]}} \\indented{3}{[\\space{5}d]} \\indented{3}{[\\space{3}M\\space{2}]} where \\spad{M = \\spad{m} mod \\spad{d}.}")) (|rowEch| (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{rowEch(m)} computes a modular row-echelon form of \\spad{m,} finding an appropriate modulus."))) 
 NIL 
 NIL 
-(-717) 
+(|MachineInteger|) 
 ((|constructor| (NIL "A domain which models the integer representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Expression| $) (|Expression| (|Integer|))) "\\spad{coerce(x)} returns \\spad{x} with coefficients in the domain")) (|maxint| (((|PositiveInteger|)) "\\spad{maxint()} returns the maximum integer in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{maxint(u)} sets the maximum integer in the model to \\spad{u}"))) 
-((-4624 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|multiplicativeValuation| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-718 S D1 D2 I) 
+(|MakeBinaryCompiledFunction| S D1 D2 I) 
 ((|constructor| (NIL "Tools and transforms for making compiled functions from top-level expressions")) (|compiledFunction| (((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)) "\\spad{compiledFunction(expr,x,y)} returns a function \\spad{f: (D1, \\spad{D2)} \\spad{->} I} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(D1, D2)}")) (|binaryFunction| (((|Mapping| |#4| |#2| |#3|) (|Symbol|)) "\\spad{binaryFunction(s)} is a local function"))) 
 NIL 
 NIL 
-(-719 S) 
+(|MakeCachableSet| S) 
 ((|constructor| (NIL "MakeCachableSet(S) returns a cachable set which is equal to \\spad{S} as a set.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s} viewed as an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-720 S) 
+(|MakeFloatCompiledFunction| S) 
 ((|constructor| (NIL "Tools for making compiled functions from top-level expressions MakeFloatCompiledFunction transforms top-level objects into compiled Lisp functions whose arguments are Lisp floats. This by-passes the Axiom compiler and interpreter, thereby gaining several orders of magnitude.")) (|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x,} \\spad{y)}} returns a Lisp function \\spad{f: (\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat}) \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat})}.") (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x)}} returns a Lisp function \\spad{f: \\axiomType{DoubleFloat} \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\axiomType{DoubleFloat}."))) 
 NIL 
 NIL 
-(-721 S) 
+(|MakeFunction| S) 
 ((|constructor| (NIL "Tools for making interpreter functions from top-level expressions Transforms top-level objects into interpreter functions.")) (|function| (((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))) "\\spad{function(e, foo, [x1,...,xn])} creates a function \\spad{foo(x1,...,xn) \\spad{==} e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|)) "\\spad{function(e, foo, \\spad{x,} \\spad{y)}} creates a function \\spad{foo(x, \\spad{y)} = e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|)) "\\spad{function(e, foo, \\spad{x)}} creates a function \\spad{foo(x) \\spad{==} e}.") (((|Symbol|) |#1| (|Symbol|)) "\\spad{function(e, foo)} creates a function \\spad{foo() \\spad{==} e}."))) 
 NIL 
 NIL 
-(-722 S T$) 
+(|MakeRecord| S T$) 
 ((|constructor| (NIL "MakeRecord is used internally by the interpreter to create record types which are used for doing parallel iterations on streams.")) (|makeRecord| (((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) "\\spad{makeRecord(a,b)} creates a record object with type Record(part1:S, part2:R), where \\spad{part1} is \\spad{a} and \\spad{part2} is \\spad{b}."))) 
 NIL 
 NIL 
-(-723 S -1940 I) 
+(|MakeUnaryCompiledFunction| S D I) 
 ((|constructor| (NIL "Tools for making compiled functions from top-level expressions Transforms top-level objects into compiled functions.")) (|compiledFunction| (((|Mapping| |#3| |#2|) |#1| (|Symbol|)) "\\spad{compiledFunction(expr, \\spad{x)}} returns a function \\spad{f: \\spad{D} \\spad{->} I} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{D.}")) (|unaryFunction| (((|Mapping| |#3| |#2|) (|Symbol|)) "\\spad{unaryFunction(a)} is a local function"))) 
 NIL 
 NIL 
-(-724 E OV R P) 
+(|MultivariateLifting| E OV R P) 
 ((|constructor| (NIL "This package provides the functions for the multivariate \"lifting\", using an algorithm of Paul Wang. This package will work for every euclidean domain \\spad{R} which has property \\spad{F,} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|lifting1| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{lifting1(u,lv,lu,lr,lp,lt,ln,t,r)} \\undocumented")) (|lifting| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|) "\\spad{lifting(u,lv,lu,lr,lp,ln,r)} \\undocumented")) (|corrPoly| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{corrPoly(u,lv,lr,ln,lu,t,r)} \\undocumented"))) 
 NIL 
 NIL 
-(-725 R) 
+(|MonogenicLinearOperator| R) 
 ((|constructor| (NIL "This is the category of linear operator rings with one generator. The generator is not named by the category but can always be constructed as \\spad{monomial(1,1)}. \\blankline For convenience, call the generator \\spad{G}. Then each value is equal to \\spad{sum(a(i)*G**i, \\spad{i} = 0..n)} for some unique \\spad{n} and \\spad{a(i)} in \\spad{R}. \\blankline Note that multiplication is not necessarily commutative. In fact, if \\spad{a} is in \\spad{R}, it is quite normal to have \\spad{a*G \\spad{\\^=} G*a}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{\\^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-726 R1 UP1 UPUP1 R2 UP2 UPUP2) 
+(|MultipleMap| R1 UP1 UPUP1 R2 UP2 UPUP2) 
 ((|constructor| (NIL "Lifting of a map through 2 levels of polynomials.")) (|map| ((|#6| (|Mapping| |#4| |#1|) |#3|) "\\spad{map(f, \\spad{p)}} lifts \\spad{f} to the domain of \\spad{p} then applies it to \\spad{p.}"))) 
 NIL 
 NIL 
-(-727) 
+(|MathMLFormat|) 
 ((|constructor| (NIL "This package is based on the TeXFormat domain by Robert \\spad{S.} Sutor \\spadtype{MathMLFormat} provides a coercion from \\spadtype{OutputForm} to MathML format.")) (|display| (((|Void|) (|String|)) "prints the string returned by coerce, adding <math ...> tags.")) (|exprex| (((|String|) (|OutputForm|)) "coverts \\spadtype{OutputForm} to \\spadtype{String} with the structure preserved with braces. Actually this is not quite accurate. The function \\spadfun{precondition} is first applied to the \\spadtype{OutputForm} expression before \\spadfun{exprex}. The raw \\spadtype{OutputForm} and the nature of the \\spadfun{precondition} function is still obscure to me at the time of this writing (2007-02-14).")) (|coerceL| (((|String|) (|OutputForm|)) "coerceS(o) changes \\spad{o} in the standard output format to MathML format and displays result as one long string.")) (|coerceS| (((|String|) (|OutputForm|)) "\\spad{coerceS(o)} changes \\spad{o} in the standard output format to MathML format and displays formatted result.")) (|coerce| (((|String|) (|OutputForm|)) "coerceS(o) changes \\spad{o} in the standard output format to MathML format."))) 
 NIL 
 NIL 
-(-728 R |Mod| -3674 -4491 |exactQuo|) 
+(|ModularField| R |Mod| |reduction| |merge| |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing}, \\spadtype{EuclideanModularRing}")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-729 R |Rep|) 
+(|ModMonic| R |Rep|) 
 ((|constructor| (NIL "This package has not been documented")) (|frobenius| (($ $) "\\spad{frobenius(x)} is not documented")) (|computePowers| (((|PrimitiveArray| $)) "\\spad{computePowers()} is not documented")) (|pow| (((|PrimitiveArray| $)) "\\spad{pow()} is not documented")) (|An| (((|Vector| |#1|) $) "\\spad{An(x)} is not documented")) (|UnVectorise| (($ (|Vector| |#1|)) "\\spad{UnVectorise(v)} is not documented")) (|Vectorise| (((|Vector| |#1|) $) "\\spad{Vectorise(x)} is not documented")) (|coerce| (($ |#2|) "\\spad{coerce(x)} is not documented")) (|lift| ((|#2| $) "\\spad{lift(x)} is not documented")) (|reduce| (($ |#2|) "\\spad{reduce(x)} is not documented")) (|modulus| ((|#2|) "\\spad{modulus()} is not documented")) (|setPoly| ((|#2| |#2|) "\\spad{setPoly(x)} is not documented"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4621 |has| |#1| (-388)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1165))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-373))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-730 IS E |ff|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|additiveValuation| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|StepThrough|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|ModuleMonomial| IS E |ff|) 
 ((|constructor| (NIL "This package has no documentation")) (|construct| (($ |#1| |#2|) "\\spad{construct(i,e)} is not documented")) (|coerce| (((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|))) "\\spad{coerce(x)} is not documented")) (|index| ((|#1| $) "\\spad{index(x)} is not documented")) (|exponent| ((|#2| $) "\\spad{exponent(x)} is not documented"))) 
 NIL 
 NIL 
-(-731 R M) 
+(|ModuleOperator| R M) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators on a module.")) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) "\\spad{makeop should} be local but conditional")) (|opeval| ((|#2| (|BasicOperator|) |#2|) "\\spad{opeval should} be local but conditional")) (** (($ $ (|Integer|)) "\\spad{op**n} is not documented") (($ (|BasicOperator|) (|Integer|)) "\\spad{op**n} is not documented")) (|evaluateInverse| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluateInverse(x,f)} is not documented")) (|evaluate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluate(f, \\spad{u} \\spad{+->} \\spad{g} u)} attaches the map \\spad{g} to \\spad{f.} \\spad{f} must be a basic operator \\spad{g} MUST be additive, \\spadignore{i.e.} \\spad{g(a + \\spad{b)} = g(a) + g(b)} for any \\spad{a}, \\spad{b} in \\spad{M.} This implies that \\spad{g(n a) = \\spad{n} g(a)} for any \\spad{a} in \\spad{M} and integer \\spad{n > 0}.")) (|conjug| ((|#1| |#1|) "\\spad{conjug(x)}should be local but conditional")) (|adjoint| (($ $ $) "\\spad{adjoint(op1, op2)} sets the adjoint of \\spad{op1} to be op2. \\spad{op1} must be a basic operator") (($ $) "\\spad{adjoint(op)} returns the adjoint of the operator \\spad{op}."))) 
-((-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171)))) 
-(-732 R |Mod| -3674 -4491 |exactQuo|) 
+((|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|)))) 
+(|ModularRing| R |Mod| |reduction| |merge| |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{EuclideanModularRing} ,\\spadtype{ModularField}")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-733 S R) 
+(|Module&| S R) 
 ((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\br \\tab{5}\\spad{1*x = x}\\br \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\br \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\br \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
 NIL 
 NIL 
-(-734 R) 
+(|Module| R) 
 ((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\br \\tab{5}\\spad{1*x = x}\\br \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\br \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\br \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-735 -3958) 
+(|MoebiusTransform| F) 
 ((|constructor| (NIL "MoebiusTransform(F) is the domain of fractional linear (Moebius) transformations over \\spad{F.} This a domain of 2-by-2 matrices acting on P1(F).")) (|eval| (((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|)) "\\spad{eval(m,x)} returns \\spad{(a*x + b)/(c*x + \\spad{d)}} where \\spad{m = moebius(a,b,c,d)} (see moebius from MoebiusTransform).") ((|#1| $ |#1|) "\\spad{eval(m,x)} returns \\spad{(a*x + b)/(c*x + \\spad{d)}} where \\spad{m = moebius(a,b,c,d)} (see moebius from MoebiusTransform).")) (|recip| (($ $) "\\spad{recip(m)} = recip() * \\spad{m}") (($) "\\spad{recip()} returns \\spad{matrix [[0,1],[1,0]]} representing the map \\spad{x \\spad{->} 1 / \\spad{x}.}")) (|scale| (($ $ |#1|) "\\spad{scale(m,h)} returns \\spad{scale(h) * \\spad{m}} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{scale(k)} returns \\spad{matrix [[k,0],[0,1]]} representing the map \\spad{x \\spad{->} \\spad{k} * \\spad{x}.}")) (|shift| (($ $ |#1|) "\\spad{shift(m,h)} returns \\spad{shift(h) * \\spad{m}} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{shift(k)} returns \\spad{matrix [[1,k],[0,1]]} representing the map \\spad{x \\spad{->} \\spad{x} + \\spad{k}.}")) (|moebius| (($ |#1| |#1| |#1| |#1|) "\\spad{moebius(a,b,c,d)} returns \\spad{matrix [[a,b],[c,d]]}."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-736 S) 
+(|Monad&| S) 
 ((|constructor| (NIL "Monad is the class of all multiplicative monads, that is sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-737) 
+(|Monad|) 
 ((|constructor| (NIL "Monad is the class of all multiplicative monads, that is sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-738 S) 
+(|MonadWithUnit&| S) 
 ((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, that is, sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) for example, 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) for example, x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "\\spad{1} returns the unit element, denoted by 1."))) 
 NIL 
 NIL 
-(-739) 
+(|MonadWithUnit|) 
 ((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, that is, sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) for example, 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) for example, x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "\\spad{1} returns the unit element, denoted by 1."))) 
 NIL 
 NIL 
-(-740 S R UP) 
+(|MonogenicAlgebra&| S R UP) 
 ((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#2|) (|Vector| $) (|Mapping| |#2| |#2|)) "\\spad{derivationCoordinates(b, \\spad{')}} returns \\spad{M} such that \\spad{b' = \\spad{M} \\spad{b}.}")) (|lift| ((|#3| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#3|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#3|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#3|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#3|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-394)))) 
-(-741 R UP) 
+((|HasCategory| |#2| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) 
+(|MonogenicAlgebra| R UP) 
 ((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) "\\spad{derivationCoordinates(b, \\spad{')}} returns \\spad{M} such that \\spad{b' = \\spad{M} \\spad{b}.}")) (|lift| ((|#2| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#2|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#2|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#2|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#2|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
-((-4618 |has| |#1| (-388)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-742 S) 
+(|Monoid&| S) 
 ((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{5}\\spad{1*x=x}\\br \\tab{5}\\spad{rightIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\br \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-743) 
+(|Monoid|) 
 ((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{5}\\spad{1*x=x}\\br \\tab{5}\\spad{rightIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\br \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-744 -3958 UP) 
+(|MonomialExtensionTools| F UP) 
 ((|constructor| (NIL "Tools for handling monomial extensions.")) (|decompose| (((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{decompose(f, \\spad{D)}} returns \\spad{[p,n,s]} such that \\spad{f = p+n+s}, all the squarefree factors of \\spad{denom(n)} are normal w.r.t. \\spad{D,} \\spad{denom(s)} is special w.r.t. \\spad{D,} and \\spad{n} and \\spad{s} are proper fractions (no pole at infinity). \\spad{D} is the derivation to use.")) (|normalDenom| ((|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{normalDenom(f, \\spad{D)}} returns the product of all the normal factors of \\spad{denom(f)}. \\spad{D} is the derivation to use.")) (|splitSquarefree| (((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|)) "\\spad{splitSquarefree(p, \\spad{D)}} returns \\spad{[n_1 \\spad{n_2\\^2} \\spad{...} n_m\\^m, \\spad{s_1} \\spad{s_2\\^2} \\spad{...} s_q\\^q]} such that \\spad{p = \\spad{n_1} \\spad{n_2\\^2} \\spad{...} n_m\\^m \\spad{s_1} \\spad{s_2\\^2} \\spad{...} s_q\\^q}, each \\spad{n_i} is normal w.r.t. \\spad{D} and each \\spad{s_i} is special w.r.t \\spad{D.} \\spad{D} is the derivation to use.")) (|split| (((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{split(p, \\spad{D)}} returns \\spad{[n,s]} such that \\spad{p = \\spad{n} \\spad{s},} all the squarefree factors of \\spad{n} are normal w.r.t. \\spad{D,} and \\spad{s} is special w.r.t. \\spad{D.} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-745 |VarSet| -2194 E2 R S PR PS) 
+(|MPolyCatFunctions2| |VarSet| E1 E2 R S PR PS) 
 ((|constructor| (NIL "Utilities for MPolyCat")) (|reshape| ((|#7| (|List| |#5|) |#6|) "\\spad{reshape(l,p)} \\undocumented")) (|map| ((|#7| (|Mapping| |#5| |#4|) |#6|) "\\spad{map(f,p)} \\undocumented"))) 
 NIL 
 NIL 
-(-746 |Vars1| |Vars2| -2194 E2 R PR1 PR2) 
+(|MPolyCatFunctions3| |Vars1| |Vars2| E1 E2 R PR1 PR2) 
 ((|constructor| (NIL "This package has no description")) (|map| ((|#7| (|Mapping| |#2| |#1|) |#6|) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-747 E OV R PPR) 
+(|MPolyCatPolyFactorizer| E OV R PPR) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are polynomials over some ring \\spad{R} over which we can factor. It is used internally by packages such as the solve package which need to work with polynomials in a specific set of variables with coefficients which are polynomials in all the other variables.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors a polynomial with polynomial coefficients.")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-748 |vl| R) 
+(|MultivariatePolynomial| |vl| R) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are from a user specified list of symbols. The ordering is specified by the position of the variable in the list. The coefficient ring may be non commutative, but the variables are assumed to commute."))) 
-(((-4627 "*") |has| |#2| (-194)) (-4618 |has| |#2| (-582)) (-4623 |has| |#2| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-879 |#1|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-749 E OV R PRF) 
+(((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#2| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|OrderedVariableList| |#1|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|MPolyCatRationalFunctionFactorizer| E OV R PRF) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are rational functions over some ring \\spad{R} over which we can factor. It is used internally by packages such as primary decomposition which need to work with polynomials with rational function coefficients, \\spadignore{i.e.} themselves fractions of polynomials.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(prf)} factors a polynomial with rational function coefficients.")) (|pushuconst| ((|#4| (|Fraction| (|Polynomial| |#3|)) |#2|) "\\spad{pushuconst(r,var)} takes a rational function and raises all occurances of the variable \\spad{var} to the polynomial level.")) (|pushucoef| ((|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|) "\\spad{pushucoef(upoly,var)} converts the anonymous univariate polynomial \\spad{upoly} to a polynomial in \\spad{var} over rational functions.")) (|pushup| ((|#4| |#4| |#2|) "\\spad{pushup(prf,var)} raises all occurences of the variable \\spad{var} in the coefficients of the polynomial \\spad{prf} back to the polynomial level.")) (|pushdterm| ((|#4| (|SparseUnivariatePolynomial| |#4|) |#2|) "\\spad{pushdterm(monom,var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the monomial monom.")) (|pushdown| ((|#4| |#4| |#2|) "\\spad{pushdown(prf,var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the polynomial prf.")) (|totalfract| (((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|) "\\spad{totalfract(prf)} takes a polynomial whose coefficients are themselves fractions of polynomials and returns a record containing the numerator and denominator resulting from putting \\spad{prf} over a common denominator.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-750 E OV R P) 
+(|MRationalFactorize| E OV R P) 
 ((|constructor| (NIL "MRationalFactorize contains the factor function for multivariate polynomials over the quotient field of a ring \\spad{R} such that the package MultivariateFactorize can factor multivariate polynomials over \\spad{R.}")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} with coefficients which are fractions of elements of \\spad{R.}"))) 
 NIL 
 NIL 
-(-751 R S M) 
+(|MonoidRingFunctions2| R S M) 
 ((|constructor| (NIL "\\spad{MonoidRingFunctions2} implements functions between two monoid rings defined with the same monoid over different rings.")) (|map| (((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)) "\\spad{map(f,u)} maps \\spad{f} onto the coefficients \\spad{f} the element \\spad{u} of the monoid ring to create an element of a monoid ring with the same monoid \\spad{b.}"))) 
 NIL 
 NIL 
-(-752 R M) 
+(|MonoidRing| R M) 
 ((|constructor| (NIL "\\spadtype{MonoidRing}(R,M), implements the algebra of all maps from the monoid \\spad{M} to the commutative ring \\spad{R} with finite support. Multiplication of two maps \\spad{f} and \\spad{g} is defined to map an element \\spad{c} of \\spad{M} to the (convolution) sum over f(a)g(b) such that ab = \\spad{c.} Thus \\spad{M} can be identified with a canonical basis and the maps can also be considered as formal linear combinations of the elements in \\spad{M.} Scalar multiples of a basis element are called monomials. A prominent example is the class of polynomials where the monoid is a direct product of the natural numbers with pointwise addition. When \\spad{M} is \\spadtype{FreeMonoid Symbol}, one gets polynomials in infinitely many non-commuting variables. Another application area is representation theory of finite groups \\spad{G,} where modules over \\spadtype{MonoidRing}(R,G) are studied.")) (|reductum| (($ $) "\\spad{reductum(f)} is \\spad{f} minus its leading monomial.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} gives the coefficient of \\spad{f,} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(f)} gives the monomial of \\spad{f} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(f)} is the number of non-zero coefficients with respect to the canonical basis.")) (|monomials| (((|List| $) $) "\\spad{monomials(f)} gives the list of all monomials whose sum is \\spad{f.}")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(f)} lists all non-zero coefficients.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|terms| (((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $) "\\spad{terms(f)} gives the list of non-zero coefficients combined with their corresponding basis element as records. This is the internal representation.")) (|coerce| (($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|)))) "\\spad{coerce(lt)} converts a list of terms and coefficients to a member of the domain.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(f,m)} extracts the coefficient of \\spad{m} in \\spad{f} with respect to the canonical basis \\spad{M.}")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,m)} creates a scalar multiple of the basis element \\spad{m.}"))) 
-((-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) (-4622 . T)) 
-((-12 (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-394)))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-869)))) 
-(-753 S) 
+((|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) (|unitsKnown| . T)) 
+((AND (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) 
+(|MultisetAggregate| S) 
 ((|constructor| (NIL "A multi-set aggregate is a set which keeps track of the multiplicity of its elements."))) 
-((-4615 . T) (-4626 . T) (-2623 . T)) 
+((|partiallyOrderedSet| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-754 S) 
+(|Multiset| S) 
 ((|constructor| (NIL "A multiset is a set with multiplicities.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove!(p,ms,number)} removes destructively at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{true} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove!(x,ms,number)} removes destructively at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove(p,ms,number)} removes at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{true} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove(x,ms,number)} removes at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.")) (|members| (((|List| |#1|) $) "\\spad{members(ms)} returns a list of the elements of \\spad{ms} without their multiplicity. See also \\spadfun{parts}.")) (|multiset| (($ (|List| |#1|)) "\\spad{multiset(ls)} creates a multiset with elements from \\spad{ls}.") (($ |#1|) "\\spad{multiset(s)} creates a multiset with singleton \\spad{s.}") (($) "\\spad{multiset()}$D creates an empty multiset of domain \\spad{D.}"))) 
-((-4625 . T) (-4615 . T) (-4626 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-755) 
+((|finiteAggregate| . T) (|partiallyOrderedSet| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|MoreSystemCommands|) 
 ((|constructor| (NIL "\\spadtype{MoreSystemCommands} implements an interface with the system command facility. These are the commands that are issued from source files or the system interpreter and they start with a close parenthesis, for example, the \"what\" commands.")) (|systemCommand| (((|Void|) (|String|)) "\\spad{systemCommand(cmd)} takes the string \\spadvar{cmd} and passes it to the runtime environment for execution as a system command. Although various things may be printed, no usable value is returned."))) 
 NIL 
 NIL 
-(-756 S) 
+(|MergeThing| S) 
 ((|constructor| (NIL "This package exports tools for merging lists")) (|mergeDifference| (((|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\spad{mergeDifference(l1,l2)} returns a list of elements in \\spad{l1} not present in \\spad{l2.} Assumes lists are ordered and all \\spad{x} in \\spad{l2} are also in \\spad{l1.}"))) 
 NIL 
 NIL 
-(-757 |Coef| |Var|) 
+(|MultivariateTaylorSeriesCategory| |Coef| |Var|) 
 ((|constructor| (NIL "\\spadtype{MultivariateTaylorSeriesCategory} is the most general multivariate Taylor series category.")) (|integrate| (($ $ |#2|) "\\spad{integrate(f,x)} returns the anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{x} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) "\\spad{order(f,x,n)} returns \\spad{min(n,order(f,x))}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(f,x)} returns the order of \\spad{f} viewed as a series in \\spad{x} may result in an infinite loop if \\spad{f} has no non-zero terms.")) (|monomial| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[x1,x2,...,xk],[n1,n2,...,nk])} returns \\spad{a * \\spad{x1^n1} * \\spad{...} * xk^nk}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} returns \\spad{a*x^n}.")) (|extend| (($ $ (|NonNegativeInteger|)) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<= \\spad{n}} to be computed.")) (|coefficient| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(f,[x1,x2,...,xk],[n1,n2,...,nk])} returns the coefficient of \\spad{x1^n1 * \\spad{...} * xk^nk} in \\spad{f.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{coefficient(f,x,n)} returns the coefficient of \\spad{x^n} in \\spad{f.}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-758 OV E R P) 
+(|MultivariateFactorize| OV E R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain where \\spad{p} is represented as a univariate polynomial with multivariate coefficients") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain"))) 
 NIL 
 NIL 
-(-759 E OV R P) 
+(|MultivariateSquareFree| E OV R P) 
 ((|constructor| (NIL "This package provides the functions for the computation of the square free decomposition of a multivariate polynomial. It uses the package GenExEuclid for the resolution of the equation \\spad{Af + \\spad{Bg} = \\spad{h}} and its generalization to \\spad{n} polynomials over an integral domain and the package \\spad{MultivariateLifting} for the \"multivariate\" lifting.")) (|normDeriv2| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{normDeriv2 should} be local")) (|myDegree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|)) "\\spad{myDegree should} be local")) (|lift| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|)) "\\spad{lift should} be local")) (|check| (((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{check should} be local")) (|coefChoose| ((|#4| (|Integer|) (|Factored| |#4|)) "\\spad{coefChoose should} be local")) (|intChoose| (((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{intChoose should} be local")) (|nsqfree| (((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{nsqfree should} be local")) (|consnewpol| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{consnewpol should} be local")) (|univcase| (((|Factored| |#4|) |#4| |#2|) "\\spad{univcase should} be local")) (|compdegd| (((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{compdegd should} be local")) (|squareFreePrim| (((|Factored| |#4|) |#4|) "\\spad{squareFreePrim(p)} compute the square free decomposition of a primitive multivariate polynomial \\spad{p.}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p} presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-760 |q| R) 
+(|MyExpression| |q| R) 
 ((|constructor| (NIL "This domain has no description"))) 
-((-4623 |has| |#2| (-582)) (-4617 |has| |#2| (-582)) (-4622 -3836 (|has| |#2| (-502)) (|has| |#2| (-1075))) (-4620 |has| |#2| (-194)) (-4619 |has| |#2| (-194)) ((-4627 "*") |has| |#2| (-582)) (-4618 |has| |#2| (-582))) 
-((|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-502))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (-3836 (|HasCategory| |#2| (QUOTE (-502))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (QUOTE (-502))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1131))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-582)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-582)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-582))))) (|HasCategory| $ (QUOTE (-1075))) (|HasCategory| $ (LIST (QUOTE -1065) (QUOTE (-592))))) 
-(-761 |x| R) 
+((|canonicalUnitNormal| |has| |#2| (|IntegralDomain|)) (|canonicalsClosed| |has| |#2| (|IntegralDomain|)) (|unitsKnown| OR (|has| |#2| (|Group|)) (|has| |#2| (|Ring|))) (|leftUnitary| |has| |#2| (|CommutativeRing|)) (|rightUnitary| |has| |#2| (|CommutativeRing|)) ((|commutative| "*") |has| |#2| (|IntegralDomain|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|))) 
+((|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Group|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (OR (|HasCategory| |#2| (QUOTE (|Group|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (QUOTE (|Group|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|SemiGroup|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))))) (|HasCategory| $ (QUOTE (|Ring|))) (|HasCategory| $ (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) 
+(|MyUnivariatePolynomial| |x| R) 
 ((|constructor| (NIL "This domain has no description")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4627 "*") |has| |#2| (-194)) (-4618 |has| |#2| (-582)) (-4621 |has| |#2| (-388)) (-4623 |has| |#2| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1165))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#2| (QUOTE (-247))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-762 S R) 
+(((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|)) (|additiveValuation| |has| |#2| (|Field|)) (|canonicalUnitNormal| |has| |#2| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|StepThrough|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|NonAssociativeAlgebra&| S R) 
 ((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\br \\blankline Axioms\\br \\tab{5}r*(a*b) = (r*a)*b = a*(r*b)")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,n)} is recursively defined to be \\spad{plenaryPower(a,n-1)*plenaryPower(a,n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
 NIL 
 NIL 
-(-763 R) 
+(|NonAssociativeAlgebra| R) 
 ((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\br \\blankline Axioms\\br \\tab{5}r*(a*b) = (r*a)*b = a*(r*b)")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,n)} is recursively defined to be \\spad{plenaryPower(a,n-1)*plenaryPower(a,n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-764) 
+(|NagPolynomialRootsPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to compute the zeros of a polynomial with real or complex coefficients.")) (|c02agf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02agf(a,n,scale,ifail)} finds all the roots of a real polynomial equation, using a variant of Laguerre's Method. See \\downlink{Manual Page}{manpageXXc02agf}.")) (|c02aff| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02aff(a,n,scale,ifail)} finds all the roots of a complex polynomial equation, using a variant of Laguerre's Method. See \\downlink{Manual Page}{manpageXXc02aff}."))) 
 NIL 
 NIL 
-(-765) 
+(|NagRootFindingPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate real zeros of continuous real functions of one or more variables. (Complex equations must be expressed in terms of the equivalent larger system of real equations.)")) (|c05pbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) "\\spad{c05pbf(n,ldfjac,lwa,x,xtol,ifail,fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. The user must provide the Jacobian. See \\downlink{Manual Page}{manpageXXc05pbf}.")) (|c05nbf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) "\\spad{c05nbf(n,lwa,x,xtol,ifail,fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. See \\downlink{Manual Page}{manpageXXc05nbf}.")) (|c05adf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{c05adf(a,b,eps,eta,ifail,f)} locates a zero of a continuous function in a given interval by a combination of the methods of linear interpolation, extrapolation and bisection. See \\downlink{Manual Page}{manpageXXc05adf}."))) 
 NIL 
 NIL 
-(-766) 
+(|NagSeriesSummationPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the discrete Fourier transform of a sequence of real or complex data values, and applies it to calculate convolutions and correlations.")) (|c06gsf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gsf(m,n,x,ifail)} takes \\spad{m} Hermitian sequences, each containing \\spad{n} data values, and forms the real and imaginary parts of the \\spad{m} corresponding complex sequences. See \\downlink{Manual Page}{manpageXXc06gsf}.")) (|c06gqf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gqf(m,n,x,ifail)} forms the complex conjugates, each containing \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gqf}.")) (|c06gcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gcf(n,y,ifail)} forms the complex conjugate of a sequence of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gcf}.")) (|c06gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gbf(n,x,ifail)} forms the complex conjugate of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gbf}.")) (|c06fuf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fuf(m,n,init,x,y,trigm,trign,ifail)} computes the two-dimensional discrete Fourier transform of a bivariate sequence of complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fuf}.")) (|c06frf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06frf(m,n,init,x,y,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} sequences, each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06frf}.")) (|c06fqf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fqf(m,n,init,x,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} Hermitian sequences, each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fqf}.")) (|c06fpf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fpf(m,n,init,x,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} sequences, each containing \\spad{n} real data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fpf}.")) (|c06ekf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ekf(job,n,x,y,ifail)} calculates the circular convolution of two real vectors of period \\spad{n.} No extra workspace is required. See \\downlink{Manual Page}{manpageXXc06ekf}.")) (|c06ecf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ecf(n,x,y,ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ecf}.")) (|c06ebf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ebf(n,x,ifail)} calculates the discrete Fourier transform of a Hermitian sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ebf}.")) (|c06eaf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06eaf(n,x,ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} real data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06eaf}."))) 
 NIL 
 NIL 
-(-767) 
+(|NagIntegrationPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the numerical value of definite integrals in one or more dimensions and to evaluate weights and abscissae of integration rules.")) (|d01gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01gbf(ndim,a,b,maxcls,eps,lenwrk,mincls,wrkstr,ifail,functn)} returns an approximation to the integral of a function over a hyper-rectangular region, using a Monte Carlo method. An approximate relative error estimate is also returned. This routine is suitable for low accuracy work. See \\downlink{Manual Page}{manpageXXd01gbf}.")) (|d01gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|)) "\\spad{d01gaf(x,y,n,ifail)} integrates a function which is specified numerically at four or more points, over the whole of its specified range, using third-order finite-difference formulae with error estimates, according to a method due to Gill and Miller. See \\downlink{Manual Page}{manpageXXd01gaf}.")) (|d01fcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01fcf(ndim,a,b,maxpts,eps,lenwrk,minpts,ifail,functn)} attempts to evaluate a multi-dimensional integral (up to 15 dimensions), with constant and finite limits, to a specified relative accuracy, using an adaptive subdivision strategy. See \\downlink{Manual Page}{manpageXXd01fcf}.")) (|d01bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{d01bbf(a,b,itype,n,gtype,ifail)} returns the weight appropriate to a Gaussian quadrature. The formulae provided are Gauss-Legendre, Gauss-Rational, Gauss- Laguerre and Gauss-Hermite. See \\downlink{Manual Page}{manpageXXd01bbf}.")) (|d01asf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01asf(a,omega,key,epsabs,limlst,lw,liw,ifail,g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,infty): See \\downlink{Manual Page}{manpageXXd01asf}.")) (|d01aqf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01aqf(a,b,c,epsabs,epsrel,lw,liw,ifail,g)} calculates an approximation to the Hilbert transform of a function g(x) over [a,b]: See \\downlink{Manual Page}{manpageXXd01aqf}.")) (|d01apf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01apf(a,b,alfa,beta,key,epsabs,epsrel,lw,liw,ifail,g)} is an adaptive integrator which calculates an approximation to the integral of a function g(x)w(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01apf}.")) (|d01anf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01anf(a,b,omega,key,epsabs,epsrel,lw,liw,ifail,g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,b]: See \\downlink{Manual Page}{manpageXXd01anf}.")) (|d01amf| (((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01amf(bound,inf,epsabs,epsrel,lw,liw,ifail,f)} calculates an approximation to the integral of a function f(x) over an infinite or semi-infinite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01amf}.")) (|d01alf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01alf(a,b,npts,points,epsabs,epsrel,lw,liw,ifail,f)} is a general purpose integrator which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01alf}.")) (|d01akf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01akf(a,b,epsabs,epsrel,lw,liw,ifail,f)} is an adaptive integrator, especially suited to oscillating, non-singular integrands, which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01akf}.")) (|d01ajf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01ajf(a,b,epsabs,epsrel,lw,liw,ifail,f)} is a general-purpose integrator which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01ajf}."))) 
 NIL 
 NIL 
-(-768) 
+(|NagOrdinaryDifferentialEquationsPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the numerical solution of ordinary differential equations. There are two main types of problem, those in which all boundary conditions are specified at one point (initial-value problems), and those in which the boundary conditions are distributed between two or more points (boundary- value problems and eigenvalue problems). Routines are available for initial-value problems, two-point boundary-value problems and Sturm-Liouville eigenvalue problems.")) (|d02raf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) "d02raf(n,mnp,numbeg,nummix,tol,init,iy,ijac,lwork, \\indented{7}{liwork,np,x,y,deleps,ifail,fcn,g)} solves the two-point boundary-value problem with general boundary conditions for a system of ordinary differential equations, using a deferred correction technique and Newton iteration. See \\downlink{Manual Page}{manpageXXd02raf}.")) (|d02kef| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|)) "d02kef(xpoint,m,k,tol,maxfun,match,elam,delam, \\indented{7}{hmax,maxit,ifail,coeffn,bdyval,monit,report)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range, using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. Files \\spad{monit} and \\spad{report} will be used to define the subroutines for the MONIT and REPORT arguments. See \\downlink{Manual Page}{manpageXXd02gbf}.") (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) "d02kef(xpoint,m,k,tol,maxfun,match,elam,delam, \\indented{7}{hmax,maxit,ifail,coeffn,bdyval)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range, using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. ASP domains \\spad{Asp12} and \\spad{Asp33} are used to supply default subroutines for the MONIT and REPORT arguments via their \\axiomOp{outputAsFortran} operation.")) (|d02gbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) "\\spad{d02gbf(a,b,n,tol,mnp,lw,liw,c,d,gam,x,np,ifail,fcnf,fcng)} solves a general linear two-point boundary value problem for a system of ordinary differential equations using a deferred correction technique. See \\downlink{Manual Page}{manpageXXd02gbf}.")) (|d02gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02gaf(u,v,n,a,b,tol,mnp,lw,liw,x,np,ifail,fcn)} solves the two-point boundary-value problem with assigned boundary values for a system of ordinary differential equations, using a deferred correction technique and a Newton iteration. See \\downlink{Manual Page}{manpageXXd02gaf}.")) (|d02ejf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02ejf(xend,m,n,relabs,iw,x,y,tol,ifail,g,fcn,pederv,output)} integrates a stiff system of first-order ordinary differential equations over an interval with suitable initial conditions, using a variable-order, variable-step method implementing the Backward Differentiation Formulae (BDF), until a user-specified function, if supplied, of the solution is zero, and returns the solution at points specified by the user, if desired. See \\downlink{Manual Page}{manpageXXd02ejf}.")) (|d02cjf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02cjf(xend,m,n,tol,relabs,x,y,ifail,g,fcn,output)} integrates a system of first-order ordinary differential equations over a range with suitable initial conditions, using a variable-order, variable-step Adams method until a user-specified function, if supplied, of the solution is zero, and returns the solution at points specified by the user, if desired. See \\downlink{Manual Page}{manpageXXd02cjf}.")) (|d02bhf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02bhf(xend,n,irelab,hmax,x,y,tol,ifail,g,fcn)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions, using a Runge-Kutta-Merson method, until a user-specified function of the solution is zero. See \\downlink{Manual Page}{manpageXXd02bhf}.")) (|d02bbf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02bbf(xend,m,n,irelab,x,y,tol,ifail,fcn,output)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions, using a Runge-Kutta-Merson method, and returns the solution at points specified by the user. See \\downlink{Manual Page}{manpageXXd02bbf}."))) 
 NIL 
 NIL 
-(-769) 
+(|NagPartialDifferentialEquationsPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to solve partial differential equations.")) (|d03faf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)) "d03faf(xs,xf,l,lbdcnd,bdxs,bdxf,ys,yf,m,mbdcnd,bdys,bdyf,zs, \\indented{7}{zf,n,nbdcnd,bdzs,bdzf,lambda,ldimf,mdimf,lwrk,f,ifail)} solves the Helmholtz equation in Cartesian co-ordinates in three dimensions using the standard seven-point finite difference approximation. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXd03faf}.")) (|d03eef| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) "\\spad{d03eef(xmin,xmax,ymin,ymax,ngx,ngy,lda,scheme,ifail,pdef,bndy)} discretizes a second order elliptic partial differential equation (PDE) on a rectangular region. See \\downlink{Manual Page}{manpageXXd03eef}.")) (|d03edf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{d03edf(ngx,ngy,lda,maxit,acc,iout,a,rhs,ub,ifail)} solves seven-diagonal systems of linear equations which arise from the discretization of an elliptic partial differential equation on a rectangular region. This routine uses a multigrid technique. See \\downlink{Manual Page}{manpageXXd03edf}."))) 
 NIL 
 NIL 
-(-770) 
+(|NagInterpolationPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the interpolation of a function of one or two variables. When provided with the value of the function (and possibly one or more of its lowest-order derivatives) at each of a number of values of the variable(s), the routines provide either an interpolating function or an interpolated value. For some of the interpolating functions, there are supporting routines to evaluate, differentiate or integrate them.")) (|e01sff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sff(m,x,y,f,rnw,fnodes,px,py,ifail)} evaluates at a given point the two-dimensional interpolating function computed by E01SEF. See \\downlink{Manual Page}{manpageXXe01sff}.")) (|e01sef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sef(m,x,y,f,nw,nq,rnw,rnq,ifail)} generates a two-dimensional surface interpolating a set of scattered data points, using a modified Shepard method. See \\downlink{Manual Page}{manpageXXe01sef}.")) (|e01sbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sbf(m,x,y,f,triang,grads,px,py,ifail)} evaluates at a given point the two-dimensional interpolant function computed by E01SAF. See \\downlink{Manual Page}{manpageXXe01sbf}.")) (|e01saf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01saf(m,x,y,f,ifail)} generates a two-dimensional surface interpolating a set of scattered data points, using the method of Renka and Cline. See \\downlink{Manual Page}{manpageXXe01saf}.")) (|e01daf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01daf(mx,my,x,y,f,ifail)} computes a bicubic spline interpolating surface through a set of data values, given on a rectangular grid in the x-y plane. See \\downlink{Manual Page}{manpageXXe01daf}.")) (|e01bhf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01bhf(n,x,f,d,a,b,ifail)} evaluates the definite integral of a piecewise cubic Hermite interpolant over the interval [a,b]. See \\downlink{Manual Page}{manpageXXe01bhf}.")) (|e01bgf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bgf(n,x,f,d,m,px,ifail)} evaluates a piecewise cubic Hermite interpolant and its first derivative at a set of points. See \\downlink{Manual Page}{manpageXXe01bgf}.")) (|e01bff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bff(n,x,f,d,m,px,ifail)} evaluates a piecewise cubic Hermite interpolant at a set of points. See \\downlink{Manual Page}{manpageXXe01bff}.")) (|e01bef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bef(n,x,f,ifail)} computes a monotonicity-preserving piecewise cubic Hermite interpolant to a set of data points. See \\downlink{Manual Page}{manpageXXe01bef}.")) (|e01baf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e01baf(m,x,y,lck,lwrk,ifail)} determines a cubic spline to a given set of data. See \\downlink{Manual Page}{manpageXXe01baf}."))) 
 NIL 
 NIL 
-(-771) 
+(|NagFittingPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to find a function which approximates a set of data points. Typically the data contain random errors, as of experimental measurement, which need to be smoothed out. To seek an approximation to the data, it is first necessary to specify for the approximating function a mathematical form (a polynomial, for example) which contains a number of unspecified coefficients: the appropriate fitting routine then derives for the coefficients the values which provide the best fit of that particular form. The package deals mainly with curve and surface fitting (\\spadignore{i.e.} fitting with functions of one and of two variables) when a polynomial or a cubic spline is used as the fitting function, since these cover the most common needs. However, fitting with other functions and/or more variables can be undertaken by means of general linear or nonlinear routines (some of which are contained in other packages) depending on whether the coefficients in the function occur linearly or nonlinearly. Cases where a graph rather than a set of data points is given can be treated simply by first reading a suitable set of points from the graph. The package also contains routines for evaluating, differentiating and integrating polynomial and spline curves and surfaces, once the numerical values of their coefficients have been determined.")) (|e02zaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02zaf(px,py,lamda,mu,m,x,y,npoint,nadres,ifail)} sorts two-dimensional data into rectangular panels. See \\downlink{Manual Page}{manpageXXe02zaf}.")) (|e02gaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02gaf(m,la,nplus2,toler,a,b,ifail)} calculates an \\spad{l} solution to an over-determined system of linear equations. See \\downlink{Manual Page}{manpageXXe02gaf}.")) (|e02dff| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02dff(mx,my,px,py,x,y,lamda,mu,c,lwrk,liwrk,ifail)} calculates values of a bicubic spline representation. The spline is evaluated at all points on a rectangular grid. See \\downlink{Manual Page}{manpageXXe02dff}.")) (|e02def| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02def(m,px,py,x,y,lamda,mu,c,ifail)} calculates values of a bicubic spline representation. See \\downlink{Manual Page}{manpageXXe02def}.")) (|e02ddf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02ddf(start,m,x,y,f,w,s,nxest,nyest,lwrk,liwrk,nx, \\spad{++} lamda,ny,mu,wrk,ifail)} computes a bicubic spline approximation to a set of scattered data are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02ddf}.")) (|e02dcf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{e02dcf(start,mx,x,my,y,f,s,nxest,nyest,lwrk,liwrk,nx, \\spad{++} lamda,ny,mu,wrk,iwrk,ifail)} computes a bicubic spline approximation to a set of data values, given on a rectangular grid in the x-y plane. The knots of the spline are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02dcf}.")) (|e02daf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02daf(m,px,py,x,y,f,w,mu,point,npoint,nc,nws,eps,lamda,ifail)} forms a minimal, weighted least-squares bicubic spline surface fit with prescribed knots to a given set of data points. See \\downlink{Manual Page}{manpageXXe02daf}.")) (|e02bef| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|))) "\\spad{e02bef(start,m,x,y,w,s,nest,lwrk,n,lamda,ifail,wrk,iwrk)} computes a cubic spline approximation to an arbitrary set of data points. The knot are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02bef}.")) (|e02bdf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02bdf(ncap7,lamda,c,ifail)} computes the definite integral from its B-spline representation. See \\downlink{Manual Page}{manpageXXe02bdf}.")) (|e02bcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|)) "\\spad{e02bcf(ncap7,lamda,c,x,left,ifail)} evaluates a cubic spline and its first three derivatives from its B-spline representation. See \\downlink{Manual Page}{manpageXXe02bcf}.")) (|e02bbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02bbf(ncap7,lamda,c,x,ifail)} evaluates a cubic spline representation. See \\downlink{Manual Page}{manpageXXe02bbf}.")) (|e02baf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02baf(m,ncap7,x,y,w,lamda,ifail)} computes a weighted least-squares approximation to an arbitrary set of data points by a cubic splines prescribed by the user. Cubic spline can also be carried out. See \\downlink{Manual Page}{manpageXXe02baf}.")) (|e02akf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|)) "\\spad{e02akf(np1,xmin,xmax,a,ia1,la,x,ifail)} evaluates a polynomial from its Chebyshev-series representation, allowing an arbitrary index increment for accessing the array of coefficients. See \\downlink{Manual Page}{manpageXXe02akf}.")) (|e02ajf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ajf(np1,xmin,xmax,a,ia1,la,qatm1,iaint1,laint,ifail)} determines the coefficients in the Chebyshev-series representation of the indefinite integral of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ajf}.")) (|e02ahf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ahf(np1,xmin,xmax,a,ia1,la,iadif1,ladif,ifail)} determines the coefficients in the Chebyshev-series representation of the derivative of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ahf}.")) (|e02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02agf(m,kplus1,nrows,xmin,xmax,x,y,w,mf,xf,yf,lyf,ip,lwrk,liwrk,ifail)} computes constrained weighted least-squares polynomial approximations in Chebyshev-series form to an arbitrary set of data points. The values of the approximations and any number of their derivatives can be specified at selected points. See \\downlink{Manual Page}{manpageXXe02agf}.")) (|e02aef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02aef(nplus1,a,xcap,ifail)} evaluates a polynomial from its Chebyshev-series representation. See \\downlink{Manual Page}{manpageXXe02aef}.")) (|e02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02adf(m,kplus1,nrows,x,y,w,ifail)} computes weighted least-squares polynomial approximations to an arbitrary set of data points. See \\downlink{Manual Page}{manpageXXe02adf}."))) 
 NIL 
 NIL 
-(-772) 
+(|NagOptimisationPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to perform optimization. An optimization problem involves minimizing a function (called the objective function) of several variables, possibly subject to restrictions on the values of the variables defined by a set of constraint functions. The routines in the NAG Foundation Library are concerned with function minimization only, since the problem of maximizing a given function can be transformed into a minimization problem simply by multiplying the function by \\spad{-1.}")) (|e04ycf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e04ycf(job,m,n,fsumsq,s,lv,v,ifail)} returns estimates of elements of the variance matrix of the estimated regression coefficients for a nonlinear least squares problem. The estimates are derived from the Jacobian of the function f(x) at the solution. See \\downlink{Manual Page}{manpageXXe04ycf}.")) (|e04ucf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "e04ucf(n,nclin,ncnln,nrowa,nrowj,nrowr,a,bl,bu,liwork,lwork,sta, \\indented{7}{cra,der,fea,fun,hes,infb,infs,linf,lint,list,maji,majp,mini,} \\indented{7}{minp,mon,nonf,opt,ste,stao,stac,stoo,stoc,ve,istate,cjac,} \\indented{7}{clamda,r,x,ifail,confun,objfun)} is designed to minimize an arbitrary smooth function subject to constraints on the variables, linear constraints. (E04UCF may be used for unconstrained, bound-constrained and linearly constrained optimization.) The user must provide subroutines that define the objective and constraint functions and as many of their first partial derivatives as possible. Unspecified derivatives are approximated by finite differences. All matrices are treated as dense, and hence E04UCF is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04ucf}.")) (|e04naf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) "e04naf(itmax,msglvl,n,nclin,nctotl,nrowa,nrowh,ncolh,bigbnd,a,bl, bu,cvec,featol,hess,cold,lpp,orthog,liwork,lwork,x,istate,ifail,qphess) is a comprehensive programming (QP) or linear programming (LP) problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04naf}.")) (|e04mbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "e04mbf(itmax,msglvl,n,nclin,nctotl,nrowa,a,bl,bu, \\indented{7}{cvec,linobj,liwork,lwork,x,ifail)} is an easy-to-use routine for solving linear programming problems, or for finding a feasible point for such problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04mbf}.")) (|e04jaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) "\\spad{e04jaf(n,ibound,liw,lw,bl,bu,x,ifail,funct1)} is an easy-to-use quasi-Newton algorithm for finding a minimum of a function \\spad{F(x} \\spad{,x} ,...,x \\spad{),} subject to fixed upper and \\indented{25}{1\\space{2}2\\space{6}n} lower bounds of the independent variables \\spad{x} \\spad{,x} ,...,x ,{} using \\indented{43}{1\\space{2}2\\space{6}n} function values only. See \\downlink{Manual Page}{manpageXXe04jaf}.")) (|e04gcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) "\\spad{e04gcf(m,n,liw,lw,x,ifail,lsfun2)} is an easy-to-use quasi-Newton algorithm for finding an unconstrained minimum of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). First derivatives are required. See \\downlink{Manual Page}{manpageXXe04gcf}.")) (|e04fdf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) "\\spad{e04fdf(m,n,liw,lw,x,ifail,lsfun1)} is an easy-to-use algorithm for finding an unconstrained minimum of a sum of squares of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). No derivatives are required. See \\downlink{Manual Page}{manpageXXe04fdf}.")) (|e04dgf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "\\spad{e04dgf(n,es,fu,it,lin,list,ma,op,pr,sta,sto,ve,x,ifail,objfun)} minimizes an unconstrained nonlinear function of several variables using a pre-conditioned, limited memory quasi-Newton conjugate gradient method. First derivatives are required. The routine is intended for use on large scale problems. See \\downlink{Manual Page}{manpageXXe04dgf}."))) 
 NIL 
 NIL 
-(-773) 
+(|NagMatrixOperationsPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to provide facilities for matrix factorizations and associated transformations.")) (|f01ref| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01ref(wheret,m,n,ncolq,lda,theta,a,ifail)} returns the first \\spad{ncolq} columns of the complex \\spad{m} by \\spad{m} unitary matrix \\spad{Q,} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01ref}.")) (|f01rdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rdf(trans,wheret,m,n,a,lda,theta,ncolb,ldb,b,ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01rdf}.")) (|f01rcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rcf(m,n,lda,a,ifail)} finds the \\spad{QR} factorization of the complex \\spad{m} by \\spad{n} matrix A, where m>=n. See \\downlink{Manual Page}{manpageXXf01rcf}.")) (|f01qef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qef(wheret,m,n,ncolq,lda,zeta,a,ifail)} returns the first \\spad{ncolq} columns of the real \\spad{m} by \\spad{m} orthogonal matrix \\spad{Q,} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01qef}.")) (|f01qdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qdf(trans,wheret,m,n,a,lda,zeta,ncolb,ldb,b,ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01qdf}.")) (|f01qcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qcf(m,n,lda,a,ifail)} finds the \\spad{QR} factorization of the real \\spad{m} by \\spad{n} matrix A, where m>=n. See \\downlink{Manual Page}{manpageXXf01qcf}.")) (|f01mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01mcf(n,avals,lal,nrow,ifail)} computes the Cholesky factorization of a real symmetric positive-definite variable-bandwidth matrix. See \\downlink{Manual Page}{manpageXXf01mcf}.")) (|f01maf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{f01maf(n,nz,licn,lirn,abort,avals,irn,icn,droptl,densw,ifail)} computes an incomplete Cholesky factorization of a real sparse symmetric positive-definite matrix A. See \\downlink{Manual Page}{manpageXXf01maf}.")) (|f01bsf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "f01bsf(n,nz,licn,ivect,jvect,icn,ikeep,grow, \\indented{7}{eta,abort,idisp,avals,ifail)} factorizes a real sparse matrix using the pivotal sequence previously obtained by F01BRF when a matrix of the same sparsity pattern was factorized. See \\downlink{Manual Page}{manpageXXf01bsf}.")) (|f01brf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01brf(n,nz,licn,lirn,pivot,lblock,grow,abort,a,irn,icn,ifail)} factorizes a real sparse matrix. The routine either forms the LU factorization of a permutation of the entire matrix, or, optionally, first permutes the matrix to block lower triangular form and then only factorizes the diagonal blocks. See \\downlink{Manual Page}{manpageXXf01brf}."))) 
 NIL 
 NIL 
-(-774) 
+(|NagEigenPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to compute\\br \\tab{5}eigenvalues and eigenvectors of a matrix\\br \\tab{5} eigenvalues and eigenvectors of generalized matrix eigenvalue problems\\br \\tab{5}singular values and singular vectors of a matrix.")) (|f02xef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f02xef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldph,a,b,ifail)} returns all, or part, of the singular value decomposition of a general complex matrix. See \\downlink{Manual Page}{manpageXXf02xef}.")) (|f02wef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02wef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldpt,a,b,ifail)} returns all, or part, of the singular value decomposition of a general real matrix. See \\downlink{Manual Page}{manpageXXf02wef}.")) (|f02fjf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|)) "f02fjf(n,k,tol,novecs,nrx,lwork,lrwork, \\indented{7}{liwork,m,noits,x,ifail,dot,image,monit)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.") (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) "f02fjf(n,k,tol,novecs,nrx,lwork,lrwork, \\indented{7}{liwork,m,noits,x,ifail,dot,image)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.")) (|f02bjf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bjf(n,ia,ib,eps1,matv,iv,a,b,ifail)} calculates all the eigenvalues and, if required, all the eigenvectors of the generalized eigenproblem Ax=(lambda)Bx where A and \\spad{B} are real, square matrices, using the \\spad{QZ} algorithm. See \\downlink{Manual Page}{manpageXXf02bjf}.")) (|f02bbf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bbf(ia,n,alb,ub,m,iv,a,ifail)} calculates selected eigenvalues of a real symmetric matrix by reduction to tridiagonal form, bisection and inverse iteration, where the selected eigenvalues lie within a given interval. See \\downlink{Manual Page}{manpageXXf02bbf}.")) (|f02axf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02axf(ar,iar,ai,iai,n,ivr,ivi,ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02axf}.")) (|f02awf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02awf(iar,iai,n,ar,ai,ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02awf}.")) (|f02akf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02akf(iar,iai,n,ivr,ivi,ar,ai,ifail)} calculates all the eigenvalues of a complex matrix. See \\downlink{Manual Page}{manpageXXf02akf}.")) (|f02ajf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02ajf(iar,iai,n,ar,ai,ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02ajf}.")) (|f02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02agf(ia,n,ivr,ivi,a,ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02agf}.")) (|f02aff| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aff(ia,n,a,ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02aff}.")) (|f02aef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aef(ia,ib,n,iv,a,b,ifail)} calculates all the eigenvalues of Ax=(lambda)Bx, where A is a real symmetric matrix and \\spad{B} is a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf02aef}.")) (|f02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02adf(ia,ib,n,a,b,ifail)} calculates all the eigenvalues of Ax=(lambda)Bx, where A is a real symmetric matrix and \\spad{B} is a real symmetric positive- definite matrix. See \\downlink{Manual Page}{manpageXXf02adf}.")) (|f02abf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02abf(a,ia,n,iv,ifail)} calculates all the eigenvalues of a real symmetric matrix. See \\downlink{Manual Page}{manpageXXf02abf}.")) (|f02aaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aaf(ia,n,a,ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02aaf}."))) 
 NIL 
 NIL 
-(-775) 
+(|NagLinearEquationSolvingPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to solve the matrix equation \\spad{\\br} \\tab{5}\\axiom{AX=B}, where \\axiom{B}\\br may be a single vector or a matrix of multiple right-hand sides. The matrix \\axiom{A} may be real, complex, symmetric, Hermitian positive- definite, or sparse. It may also be rectangular, in which case a least-squares solution is obtained.")) (|f04qaf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) "f04qaf(m,n,damp,atol,btol,conlim,itnlim,msglvl, \\indented{7}{lrwork,liwork,b,ifail,aprod)} solves sparse unsymmetric equations, sparse linear least- squares problems and sparse damped linear least-squares problems, using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04qaf}.")) (|f04mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04mcf(n,al,lal,d,nrow,ir,b,nrb,iselct,nrx,ifail)} computes the approximate solution of a system of real linear equations with multiple right-hand sides, AX=B, where A is a symmetric positive-definite variable-bandwidth matrix, which has previously been factorized by F01MCF. Related systems may also be solved. See \\downlink{Manual Page}{manpageXXf04mcf}.")) (|f04mbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) "\\spad{f04mbf(n,b,precon,shift,itnlim,msglvl,lrwork, \\spad{++} liwork,rtol,ifail,aprod,msolve)} solves a system of real sparse symmetric linear equations using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04mbf}.")) (|f04maf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "f04maf(n,nz,avals,licn,irn,lirn,icn,wkeep,ikeep, \\indented{7}{inform,b,acc,noits,ifail)} \\spad{e} a sparse symmetric positive-definite system of linear equations, Ax=b, using a pre-conditioned conjugate gradient method, where A has been factorized by F01MAF. See \\downlink{Manual Page}{manpageXXf04maf}.")) (|f04jgf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04jgf(m,n,nra,tol,lwork,a,b,ifail)} finds the solution of a linear least-squares problem, Ax=b ,{} where A is a real \\spad{m} by \\spad{n} (m>=n) matrix and \\spad{b} is an \\spad{m} element vector. If the matrix of observations is not of full rank, then the minimal least-squares solution is returned. See \\downlink{Manual Page}{manpageXXf04jgf}.")) (|f04faf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04faf(job,n,d,e,b,ifail)} calculates the approximate solution of a set of real symmetric positive-definite tridiagonal linear equations. See \\downlink{Manual Page}{manpageXXf04faf}.")) (|f04axf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|))) "\\spad{f04axf(n,a,licn,icn,ikeep,mtype,idisp,rhs)} calculates the approximate solution of a set of real sparse linear equations with a single right-hand side, Ax=b or \\indented{1}{T} A x=b, where A has been factorized by F01BRF or F01BSF. See \\downlink{Manual Page}{manpageXXf04axf}.")) (|f04atf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04atf(a,ia,b,n,iaa,ifail)} calculates the accurate solution of a set of real linear equations with a single right-hand side, using an LU factorization with partial pivoting, and iterative refinement. See \\downlink{Manual Page}{manpageXXf04atf}.")) (|f04asf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04asf(ia,b,n,a,ifail)} calculates the accurate solution of a set of real symmetric positive-definite linear equations with a single right- hand side, Ax=b, using a Cholesky factorization and iterative refinement. See \\downlink{Manual Page}{manpageXXf04asf}.")) (|f04arf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04arf(ia,b,n,a,ifail)} calculates the approximate solution of a set of real linear equations with a single right-hand side, using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04arf}.")) (|f04adf| (((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f04adf(ia,b,ib,n,m,ic,a,ifail)} calculates the approximate solution of a set of complex linear equations with multiple right-hand sides, using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04adf}."))) 
 NIL 
 NIL 
-(-776) 
+(|NagLapack|) 
 ((|constructor| (NIL "This package uses the NAG Library to compute matrix factorizations, and to solve systems of linear equations following the matrix factorizations.")) (|f07fef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fef(uplo,n,nrhs,a,lda,ldb,b)} (DPOTRS) solves a real symmetric positive-definite system of linear equations with multiple right-hand sides, AX=B, where A has been factorized by F07FDF (DPOTRF). See \\downlink{Manual Page}{manpageXXf07fef}.")) (|f07fdf| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fdf(uplo,n,lda,a)} (DPOTRF) computes the Cholesky factorization of a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf07fdf}.")) (|f07aef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07aef(trans,n,nrhs,a,lda,ipiv,ldb,b)} (DGETRS) solves a real system of linear equations with \\indented{36}{T} multiple right-hand sides, AX=B or A X=B, where A has been factorized by F07ADF (DGETRF). See \\downlink{Manual Page}{manpageXXf07aef}.")) (|f07adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07adf(m,n,lda,a)} (DGETRF) computes the LU factorization of a real \\spad{m} by \\spad{n} matrix. See \\downlink{Manual Page}{manpageXXf07adf}."))) 
 NIL 
 NIL 
-(-777) 
+(|NagSpecialFunctionsPackage|) 
 ((|constructor| (NIL "This package uses the NAG Library to compute some commonly occurring physical and mathematical functions.")) (|s21bdf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bdf(x,y,z,r,ifail)} returns a value of the symmetrised elliptic integral of the third kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bdf}.")) (|s21bcf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bcf(x,y,z,ifail)} returns a value of the symmetrised elliptic integral of the second kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bcf}.")) (|s21bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bbf(x,y,z,ifail)} returns a value of the symmetrised elliptic integral of the first kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bbf}.")) (|s21baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21baf(x,y,ifail)} returns a value of an elementary integral, which occurs as a degenerate case of an elliptic integral of the first kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21baf}.")) (|s20adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20adf(x,ifail)} returns a value for the Fresnel Integral C(x), via the routine name. See \\downlink{Manual Page}{manpageXXs20adf}.")) (|s20acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20acf(x,ifail)} returns a value for the Fresnel Integral S(x), via the routine name. See \\downlink{Manual Page}{manpageXXs20acf}.")) (|s19adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19adf(x,ifail)} returns a value for the Kelvin function kei(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19adf}.")) (|s19acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19acf(x,ifail)} returns a value for the Kelvin function ker(x), via the routine name. See \\downlink{Manual Page}{manpageXXs19acf}.")) (|s19abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19abf(x,ifail)} returns a value for the Kelvin function bei(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19abf}.")) (|s19aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19aaf(x,ifail)} returns a value for the Kelvin function ber(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19aaf}.")) (|s18def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18def(fnu,z,n,scale,ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{I\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18def}.")) (|s18dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18dcf(fnu,z,n,scale,ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{K\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18dcf}.")) (|s18aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aff(x,ifail)} returns a value for the modified Bessel Function \\indented{1}{I (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18aff}.")) (|s18aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aef(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{I (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18aef}.")) (|s18adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18adf(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{K (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18adf}.")) (|s18acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18acf(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{K (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18acf}.")) (|s17dlf| (((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dlf(m,fnu,z,n,scale,ifail)} returns a sequence of values for the Hankel functions \\indented{2}{(1)\\space{11}(2)} \\indented{1}{H\\space{6}(z) or H\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n\\space{8}(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dlf}.")) (|s17dhf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dhf(deriv,z,scale,ifail)} returns the value of the Airy function Bi(z) or its derivative Bi'(z) for complex \\spad{z,} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dhf}.")) (|s17dgf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dgf(deriv,z,scale,ifail)} returns the value of the Airy function Ai(z) or its derivative Ai'(z) for complex \\spad{z,} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dgf}.")) (|s17def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17def(fnu,z,n,scale,ifail)} returns a sequence of values for the Bessel functions \\indented{1}{J\\space{6}(z) for complex \\spad{z,} non-negative (nu) and n=0,1,...,N-1,} \\indented{2}{(nu)+n} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17def}.")) (|s17dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dcf(fnu,z,n,scale,ifail)} returns a sequence of values for the Bessel functions \\indented{1}{Y\\space{6}(z) for complex \\spad{z,} non-negative (nu) and n=0,1,...,N-1,} \\indented{2}{(nu)+n} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dcf}.")) (|s17akf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17akf(x,ifail)} returns a value for the derivative of the Airy function Bi(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17akf}.")) (|s17ajf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ajf(x,ifail)} returns a value of the derivative of the Airy function Ai(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17ajf}.")) (|s17ahf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ahf(x,ifail)} returns a value of the Airy function, Bi(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17ahf}.")) (|s17agf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17agf(x,ifail)} returns a value for the Airy function, Ai(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17agf}.")) (|s17aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aff(x,ifail)} returns the value of the Bessel Function \\indented{1}{J (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17aff}.")) (|s17aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aef(x,ifail)} returns the value of the Bessel Function \\indented{1}{J (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17aef}.")) (|s17adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17adf(x,ifail)} returns the value of the Bessel Function \\indented{1}{Y (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17adf}.")) (|s17acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17acf(x,ifail)} returns the value of the Bessel Function \\indented{1}{Y (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17acf}.")) (|s15aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15aef(x,ifail)} returns the value of the error function erf(x), via the routine name. See \\downlink{Manual Page}{manpageXXs15aef}.")) (|s15adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15adf(x,ifail)} returns the value of the complementary error function, erfc(x), via the routine name. See \\downlink{Manual Page}{manpageXXs15adf}.")) (|s14baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s14baf(a,x,tol,ifail)} computes values for the incomplete gamma functions P(a,x) and Q(a,x). See \\downlink{Manual Page}{manpageXXs14baf}.")) (|s14abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14abf(x,ifail)} returns a value for the log, ln(Gamma(x)), via the routine name. See \\downlink{Manual Page}{manpageXXs14abf}.")) (|s14aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14aaf(x,ifail)} returns the value of the Gamma function (Gamma)(x), via the routine name. See \\downlink{Manual Page}{manpageXXs14aaf}.")) (|s13adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13adf(x,ifail)} returns the value of the sine integral See \\downlink{Manual Page}{manpageXXs13adf}.")) (|s13acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13acf(x,ifail)} returns the value of the cosine integral See \\downlink{Manual Page}{manpageXXs13acf}.")) (|s13aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13aaf(x,ifail)} returns the value of the exponential integral \\indented{1}{E (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs13aaf}.")) (|s01eaf| (((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|)) "\\spad{s01eaf(z,ifail)} S01EAF evaluates the exponential function exp(z) ,{} for complex \\spad{z.} See \\downlink{Manual Page}{manpageXXs01eaf}."))) 
 NIL 
 NIL 
-(-778) 
+(|NAGLinkSupportPackage|) 
 ((|constructor| (NIL "Support functions for the NAG Library Link functions")) (|restorePrecision| (((|Void|)) "\\spad{restorePrecision()} \\undocumented{}")) (|checkPrecision| (((|Boolean|)) "\\spad{checkPrecision()} \\undocumented{}")) (|dimensionsOf| (((|SExpression|) (|Symbol|) (|Matrix| (|Integer|))) "\\spad{dimensionsOf(s,m)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|))) "\\spad{dimensionsOf(s,m)} \\undocumented{}")) (|aspFilename| (((|String|) (|String|)) "\\spad{aspFilename(\"f\")} returns a String consisting of \\spad{\"f\"} suffixed with \\indented{1}{an extension identifying the current AXIOM session.}")) (|fortranLinkerArgs| (((|String|)) "\\spad{fortranLinkerArgs()} returns the current linker arguments")) (|fortranCompilerName| (((|String|)) "\\spad{fortranCompilerName()} returns the name of the currently selected \\indented{1}{Fortran compiler}"))) 
 NIL 
 NIL 
-(-779 S) 
+(|NonAssociativeRng&| S) 
 ((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure, not necessarily commutative or associative, and not necessarily with unit.\\br Axioms\\br \\tab{5}x*(y+z) = x*y + x*z\\br \\tab{5}(x+y)*z = \\spad{x*z} + y*z\\br \\blankline Common Additional Axioms\\br \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,b,c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-780) 
+(|NonAssociativeRng|) 
 ((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure, not necessarily commutative or associative, and not necessarily with unit.\\br Axioms\\br \\tab{5}x*(y+z) = x*y + x*z\\br \\tab{5}(x+y)*z = \\spad{x*z} + y*z\\br \\blankline Common Additional Axioms\\br \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,b,c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-781 S) 
+(|NonAssociativeRing&| S) 
 ((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit, the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-782) 
+(|NonAssociativeRing|) 
 ((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit, the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-783 |Par|) 
+(|NumericComplexEigenPackage| |Par|) 
 ((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the complex rational numbers. The results are expressed either as complex floating numbers or as complex rational numbers depending on the type of the precision parameter.")) (|complexEigenvectors| (((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvectors(m,eps)} returns a list of records each one containing a complex eigenvalue, its algebraic multiplicity, and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} and are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|complexEigenvalues| (((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvalues(m,eps)} computes the eigenvalues of the matrix \\spad{m} to precision eps. The eigenvalues are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|)) "\\spad{characteristicPolynomial(m,x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over Complex Rationals with variable \\spad{x.}") (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|))))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over complex rationals with a new symbol as variable."))) 
 NIL 
 NIL 
-(-784 -3958) 
+(|NumericContinuedFraction| F) 
 ((|constructor| (NIL "\\spadtype{NumericContinuedFraction} provides functions for converting floating point numbers to continued fractions.")) (|continuedFraction| (((|ContinuedFraction| (|Integer|)) |#1|) "\\spad{continuedFraction(f)} converts the floating point number \\spad{f} to a reduced continued fraction."))) 
 NIL 
 NIL 
-(-785 P -3958) 
+(|NonCommutativeOperatorDivision| P F) 
 ((|constructor| (NIL "This package provides a division and related operations for \\spadtype{MonogenicLinearOperator}s over a \\spadtype{Field}. Since the multiplication is in general non-commutative, these operations all have left- and right-hand versions. This package provides the operations based on left-division.\\br \\tab{5}[q,r] = leftDivide(a,b) means a=b*q+r")) (|leftLcm| ((|#1| |#1| |#1|) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftGcd| ((|#1| |#1| |#1|) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| ((|#1| |#1| |#1|) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| ((|#1| |#1| |#1|) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''."))) 
 NIL 
 NIL 
-(-786 -3958) 
+(|NewtonInterpolation| F) 
 ((|constructor| (NIL "This package exports Newton interpolation for the special case where the result is known to be in the original integral domain The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|newton| (((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)) "\\spad{newton}(l) returns the interpolating polynomial for the values \\spad{l,} where the x-coordinates are assumed to be [1,2,3,...,n] and the coefficients of the interpolating polynomial are known to be in the domain \\spad{F.} I.e., it is a very streamlined version for a special case of interpolation."))) 
 NIL 
 NIL 
-(-787 UP -3958) 
+(|NumberFieldIntegralBasis| UP F) 
 ((|constructor| (NIL "In this package \\spad{F} is a framed algebra over the integers (typically \\spad{F = Z[a]} for some algebraic integer a). The package provides functions to compute the integral closure of \\spad{Z} in the quotient quotient field of \\spad{F.}")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{Z} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with Z-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{Z} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with Z-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|discriminant| (((|Integer|)) "\\spad{discriminant()} returns the discriminant of the integral closure of \\spad{Z} in the quotient field of the framed algebra \\spad{F.}"))) 
 NIL 
 NIL 
-(-788) 
+(|NumericalIntegrationProblem|) 
 ((|constructor| (NIL "\\axiomType{NumericalIntegrationProblem} is a \\axiom{domain} for the representation of Numerical Integration problems for use by ANNA. \\blankline The representation is a Union of two record types - one for integration of a function of one variable: \\blankline \\axiomType{Record}(var:\\axiomType{Symbol},\\br fn:\\axiomType{Expression DoubleFloat},\\br range:\\axiomType{Segment OrderedCompletion DoubleFloat},\\br abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat},) \\blankline and one for multivariate integration: \\blankline \\axiomType{Record}(fn:\\axiomType{Expression DoubleFloat},\\br range:\\axiomType{List Segment OrderedCompletion DoubleFloat},\\br abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat},). \\blankline")) (|retract| (((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-789 R) 
+(|NonLinearSolvePackage| R) 
 ((|constructor| (NIL "NonLinearSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving. The solutions are given in the algebraic closure of \\spad{R} whenever possible.")) (|solve| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solve(lp)} finds the solution in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solve(lp,lv)} finds the solutions in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}")) (|solveInField| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solveInField(lp)} finds the solution of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solveInField(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}"))) 
 NIL 
 NIL 
-(-790) 
+(|NonNegativeInteger|) 
 ((|constructor| (NIL "\\spadtype{NonNegativeInteger} provides functions for non-negative integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative, that is, \\spad{x*y = y*x}.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} bits.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} returns the quotient of \\spad{a} and \\spad{b,} or \"failed\" if \\spad{b} is zero or \\spad{a} rem \\spad{b} is zero.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(a,b)} returns a record containing both remainder and quotient.")) (|gcd| (($ $ $) "\\spad{gcd(a,b)} computes the greatest common divisor of two non negative integers \\spad{a} and \\spad{b.}")) (|rem| (($ $ $) "\\spad{a rem \\spad{b}} returns the remainder of \\spad{a} and \\spad{b.}")) (|quo| (($ $ $) "\\spad{a quo \\spad{b}} returns the quotient of \\spad{a} and \\spad{b,} forgetting the remainder."))) 
-(((-4627 "*") . T)) 
+(((|commutative| "*") . T)) 
 NIL 
-(-791 R -3958) 
+(|NonLinearFirstOrderODESolver| R F) 
 ((|constructor| (NIL "NonLinearFirstOrderODESolver provides a function for finding closed form first integrals of nonlinear ordinary differential equations of order 1.")) (|solve| (((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(M(x,y), N(x,y), \\spad{y,} \\spad{x)}} returns \\spad{F(x,y)} such that \\spad{F(x,y) = \\spad{c}} for a constant \\spad{c} is a first integral of the equation \\spad{M(x,y) \\spad{dx} + N(x,y) dy = 0}, or \"failed\" if no first-integral can be found."))) 
 NIL 
 NIL 
-(-792 S) 
+(|NoneFunctions1| S) 
 ((|constructor| (NIL "\\spadtype{NoneFunctions1} implements functions on \\spadtype{None}. It particular it includes a particulary dangerous coercion from any other type to \\spadtype{None}.")) (|coerce| (((|None|) |#1|) "\\spad{coerce(x)} changes \\spad{x} into an object of type \\spadtype{None}."))) 
 NIL 
 NIL 
-(-793) 
+(|None|) 
 ((|constructor| (NIL "\\spadtype{None} implements a type with no objects. It is mainly used in technical situations where such a thing is needed (\\spadignore{e.g.} the interpreter and some of the internal \\spadtype{Expression} code)."))) 
 NIL 
 NIL 
-(-794 R |PolR| E |PolE|) 
+(|NormInMonogenicAlgebra| R |PolR| E |PolE|) 
 ((|constructor| (NIL "This package implements the norm of a polynomial with coefficients in a monogenic algebra (using resultants)")) (|norm| ((|#2| |#4|) "\\spad{norm \\spad{q}} returns the norm of \\spad{q,} \\spadignore{i.e.} the product of all the conjugates of \\spad{q.}"))) 
 NIL 
 NIL 
-(-795 R E V P TS) 
+(|NormalizationPackage| R E V P TS) 
 ((|constructor| (NIL "A package for computing normalized assocites of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|normInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normInvertible?(p,ts)} is an internal subroutine, exported only for developement.")) (|outputArgs| (((|Void|) (|String|) (|String|) |#4| |#5|) "\\axiom{outputArgs(s1,s2,p,ts)} is an internal subroutine, exported only for developement.")) (|normalize| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normalize(p,ts)} normalizes \\axiom{p} w.r.t \\spad{ts}.")) (|normalizedAssociate| ((|#4| |#4| |#5|) "\\axiom{normalizedAssociate(p,ts)} returns a normalized polynomial \\axiom{n} w.r.t. \\spad{ts} such that \\axiom{n} and \\axiom{p} are associates w.r.t \\spad{ts} and assuming that \\axiom{p} is invertible w.r.t \\spad{ts}.")) (|recip| (((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) "\\axiom{recip(p,ts)} returns the inverse of \\axiom{p} w.r.t \\spad{ts} assuming that \\axiom{p} is invertible w.r.t \\spad{ts}."))) 
 NIL 
 NIL 
-(-796 -3958 |ExtF| |SUEx| |ExtP| |n|) 
+(|NormRetractPackage| F |ExtF| |SUEx| |ExtP| |n|) 
 ((|constructor| (NIL "This package has no description")) (|Frobenius| ((|#4| |#4|) "\\spad{Frobenius(x)} \\undocumented")) (|retractIfCan| (((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|) "\\spad{retractIfCan(x)} \\undocumented")) (|normFactors| (((|List| |#4|) |#4|) "\\spad{normFactors(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-797 -3958) 
+(|NottinghamGroup| F) 
 ((|constructor| (NIL "This is an implmenentation of the Nottingham Group"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-798 BP E OV R P) 
+(|NPCoef| BP E OV R P) 
 ((|constructor| (NIL "Package for the determination of the coefficients in the lifting process. Used by \\spadtype{MultivariateLifting}. This package will work for every euclidean domain \\spad{R} which has property \\spad{F,} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|listexp| (((|List| (|NonNegativeInteger|)) |#1|) "\\spad{listexp }\\undocumented")) (|npcoef| (((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|)) "\\spad{npcoef }\\undocumented"))) 
 NIL 
 NIL 
-(-799 K |PolyRing| E -3832) 
+(|NewtonPolygon| K |PolyRing| E |dim|) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-800 |Par|) 
+(|NumericRealEigenPackage| |Par|) 
 ((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the Rational Numbers. The results are expressed as floating numbers or as rational numbers depending on the type of the parameter Par.")) (|realEigenvectors| (((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvectors(m,eps)} returns a list of records each one containing a real eigenvalue, its algebraic multiplicity, and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} as floats or rational numbers depending on the type of \\spad{eps} .")) (|realEigenvalues| (((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvalues(m,eps)} computes the eigenvalues of the matrix \\spad{m} to precision eps. The eigenvalues are expressed as floats or rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with variable \\spad{x.} Fraction \\spad{P} \\spad{RN.}") (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|)))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with a new symbol as variable."))) 
 NIL 
 NIL 
-(-801 K) 
+(|NeitherSparseOrDensePowerSeries| K) 
 ((|constructor| (NIL "This domain is part of the PAFF package"))) 
-(((-4627 "*") . T) (-4618 . T) (-4617 . T) (-4623 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-1131))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-592))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) 
-(-802 R |VarSet|) 
+(((|commutative| "*") . T) (|noZeroDivisors| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|SemiGroup|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|))))) (|HasCategory| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (|Integer|))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) 
+(|NewSparseMultivariatePolynomial| R |VarSet|) 
 ((|constructor| (NIL "A post-facto extension for \\axiomType{SMP} in order to speed up operations related to pseudo-division and gcd. This domain is based on the \\axiomType{NSUP} constructor which is itself a post-facto extension of the \\axiomType{SUP} constructor."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191))))) (|HasCategory| |#1| (QUOTE (-388))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191)))) (-3252 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191)))))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191)))) (-3252 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) (-3252 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-592)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191)))) (-3252 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) (-3252 (|HasCategory| |#1| (QUOTE (-574))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-1191)))) (-3252 (|HasCategory| |#1| (LIST (QUOTE -1021) (QUOTE (-592))))))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-803 R S) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|)))) (|not| (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|)))))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|)))) (|not| (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|not| (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|)))) (|not| (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|not| (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|)))) (|not| (|HasCategory| |#1| (LIST (QUOTE |QuotientFieldCategory|) (QUOTE (|Integer|))))))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|NewSparseUnivariatePolynomialFunctions2| R S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S.} Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)) "\\axiom{map(func, poly)} creates a new polynomial by applying func to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-804 R) 
+(|NewSparseUnivariatePolynomial| R) 
 ((|constructor| (NIL "A post-facto extension for \\axiomType{SUP} in order to speed up operations related to pseudo-division and \\spad{gcd} for both \\axiomType{SUP} and, consequently, \\axiomType{NSMP}.")) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedResultant2(a,b)} returns \\axiom{[r,ca]} such that \\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca, cb]}")) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedResultant1(a,b)} returns \\axiom{[r,ca]} such that \\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca, cb]}")) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca,cb]} such that \\axiom{r} is the resultant of \\axiom{a} and \\axiom{b} and \\axiom{r = ca * a + \\spad{cb} * \\spad{b}}")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} such that \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]}")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} such that \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]}")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]} such that \\axiom{g} is a \\spad{gcd} of \\axiom{a} and \\axiom{b} in \\axiom{R^(-1) \\spad{P}} and \\axiom{g = ca * a + \\spad{cb} * \\spad{b}}")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns \\axiom{resultant(a,b)} if \\axiom{a} and \\axiom{b} has no non-trivial \\spad{gcd} in \\axiom{R^(-1) \\spad{P}} otherwise the non-zero sub-resultant with smallest index.")) (|subResultantsChain| (((|List| $) $ $) "\\axiom{subResultantsChain(a,b)} returns the list of the non-zero sub-resultants of \\axiom{a} and \\axiom{b} sorted by increasing degree.")) (|lazyPseudoQuotient| (($ $ $) "\\axiom{lazyPseudoQuotient(a,b)} returns \\axiom{q} if \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}")) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{c^n * a = \\spad{q*b} \\spad{+r}} and \\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]} where \\axiom{n + \\spad{g} = max(0, degree(b) - degree(a) + 1)}.")) (|lazyPseudoRemainder| (($ $ $) "\\axiom{lazyPseudoRemainder(a,b)} returns \\axiom{r} if \\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]}. This lazy pseudo-remainder is computed by means of the fmecg from NewSparseUnivariatePolynomial operation.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]} such that \\axiom{r} is reduced w.r.t. \\axiom{b} and \\axiom{b} divides \\axiom{c^n * a - \\spad{r}} where \\axiom{c} is \\axiom{leadingCoefficient(b)} and \\axiom{n} is as small as possible with the previous properties.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} returns \\axiom{r} such that \\axiom{r} is reduced w.r.t. \\axiom{b} and \\axiom{b} divides \\axiom{a \\spad{-r}} where \\axiom{b} is monic.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\axiom{fmecg(p1,e,r,p2)} returns \\axiom{p1 - \\spad{r} * x**e * \\spad{p2}} where \\axiom{x} is \\axiom{monomial(1,1)}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4621 |has| |#1| (-388)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1165))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-805 R) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|additiveValuation| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|StepThrough|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|NumberTheoreticPolynomialFunctions| R) 
 ((|constructor| (NIL "This package provides polynomials as functions on a ring.")) (|eulerE| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{eulerE(n,r)} \\undocumented")) (|bernoulliB| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{bernoulliB(n,r)} \\undocumented")) (|cyclotomic| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{cyclotomic(n,r)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) 
-(-806 R E V P) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) 
+(|NormalizedTriangularSetCategory| R E V P) 
 ((|constructor| (NIL "The category of normalized triangular sets. A triangular set \\spad{ts} is said normalized if for every algebraic variable \\spad{v} of \\spad{ts} the polynomial select(ts,v) is normalized w.r.t. every polynomial in collectUnder(ts,v). A polynomial \\spad{p} is said normalized w.r.t. a non-constant polynomial \\spad{q} if \\spad{p} is constant or degree(p,mdeg(q)) = 0 and init(p) is normalized w.r.t. \\spad{q.} One of the important features of normalized triangular sets is that they are regular sets."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-807 S) 
+(|Numeric| S) 
 ((|constructor| (NIL "Numeric provides real and complex numerical evaluation functions for various symbolic types.")) (|numericIfCan| (((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Expression| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numericIfCan(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.")) (|complexNumericIfCan| (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not constant.")) (|complexNumeric| (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Complex| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) |#1| (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) |#1|) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}")) (|numeric| (((|Float|) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numeric(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Expression| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numeric(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Fraction| (|Polynomial| |#1|))) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Polynomial| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) |#1| (|PositiveInteger|)) "\\spad{numeric(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) |#1|) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-582))) (-12 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-869)))) (|HasCategory| |#1| (QUOTE (-1075))) (|HasCategory| |#1| (QUOTE (-194)))) 
-(-808) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (AND (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (|HasCategory| |#1| (QUOTE (|Ring|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|)))) 
+(|NumberFormats|) 
 ((|constructor| (NIL "NumberFormats provides function to format and read arabic and roman numbers, to convert numbers to strings and to read floating-point numbers.")) (|ScanFloatIgnoreSpacesIfCan| (((|Union| (|Float|) "failed") (|String|)) "\\spad{ScanFloatIgnoreSpacesIfCan(s)} tries to form a floating point number from the string \\spad{s} ignoring any spaces.")) (|ScanFloatIgnoreSpaces| (((|Float|) (|String|)) "\\spad{ScanFloatIgnoreSpaces(s)} forms a floating point number from the string \\spad{s} ignoring any spaces. Error is generated if the string is not recognised as a floating point number.")) (|ScanRoman| (((|PositiveInteger|) (|String|)) "\\spad{ScanRoman(s)} forms an integer from a Roman numeral string \\spad{s.}")) (|FormatRoman| (((|String|) (|PositiveInteger|)) "\\spad{FormatRoman(n)} forms a Roman numeral string from an integer \\spad{n.}")) (|ScanArabic| (((|PositiveInteger|) (|String|)) "\\spad{ScanArabic(s)} forms an integer from an Arabic numeral string \\spad{s.}")) (|FormatArabic| (((|String|) (|PositiveInteger|)) "\\spad{FormatArabic(n)} forms an Arabic numeral string from an integer \\spad{n.}"))) 
 NIL 
 NIL 
-(-809) 
+(|NumericalIntegrationCategory|) 
 ((|constructor| (NIL "\\axiomType{NumericalIntegrationCategory} is the \\axiom{category} for describing the set of Numerical Integration \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{numericalIntegration}.")) (|numericalIntegration| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-810) 
+(|NumericalOrdinaryDifferentialEquations|) 
 ((|constructor| (NIL "This package is a suite of functions for the numerical integration of an ordinary differential equation of \\spad{n} variables:\\br \\tab{5}dy/dx = f(y,x)\\tab{5}y is an n-vector\\br All the routines are based on a 4-th order Runge-Kutta kernel. These routines generally have as arguments:\\br \\spad{n,} the number of dependent variables;\\br \\spad{x1,} the initial point;\\br \\spad{h,} the step size;\\br \\spad{y,} a vector of initial conditions of length n\\br which upon exit contains the solution at \\spad{x1 + h};\\br \\blankline \\spad{derivs}, a function which computes the right hand side of the ordinary differential equation: \\spad{derivs(dydx,y,x)} computes \\spad{dydx}, a vector which contains the derivative information. \\blankline In order of increasing complexity:\\br \\tab{5}\\spad{rk4(y,n,x1,h,derivs)} advances the solution vector to\\br \\tab{5}\\spad{x1 + \\spad{h}} and return the values in y.\\br \\blankline \\tab{5}\\spad{rk4(y,n,x1,h,derivs,t1,t2,t3,t4)} is the same as\\br \\tab{5}\\spad{rk4(y,n,x1,h,derivs)} except that you must provide 4 scratch\\br \\tab{5}arrays \\spad{t1-t4} of size n.\\br \\blankline \\tab{5}Starting with \\spad{y} at \\spad{x1,} \\spad{rk4f(y,n,x1,x2,ns,derivs)}\\br \\tab{5}uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta\\br \\tab{5}integrator to advance the solution vector to \\spad{x2} and return\\br \\tab{5}the values in \\spad{y.} Argument \\spad{x2,} is the final point, and\\br \\tab{5}\\spad{ns}, the number of steps to take. \\blankline \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} takes a 5-th order Runge-Kutta step with monitoring of local truncation to ensure accuracy and adjust stepsize. The function takes two half steps and one full step and scales the difference in solutions at the final point. If the error is within \\spad{eps}, the step is taken and the result is returned. If the error is not within \\spad{eps}, the stepsize if decreased and the procedure is tried again until the desired accuracy is reached. Upon input, an trial step size must be given and upon return, an estimate of the next step size to use is returned as well as the step size which produced the desired accuracy. The scaled error is computed as\\br \\tab{5}\\spad{error = MAX(ABS((y2steps(i) - y1step(i))/yscal(i)))}\\br and this is compared against \\spad{eps}. If this is greater than \\spad{eps}, the step size is reduced accordingly to\\br \\tab{5}\\spad{hnew = 0.9 * hdid * (error/eps)**(-1/4)}\\br If the error criterion is satisfied, then we check if the step size was too fine and return a more efficient one. If \\spad{error > \\spad{eps} * (6.0E-04)} then the next step size should be\\br \\tab{5}\\spad{hnext = 0.9 * hdid * (error/\\spad{eps})**(-1/5)}\\br Otherwise \\spad{hnext = 4.0 * hdid} is returned. A more detailed discussion of this and related topics can be found in the book \"Numerical Recipies\" by W.Press, B.P. Flannery, S.A. Teukolsky, W.T. Vetterling published by Cambridge University Press. \\blankline Argument \\spad{step} is a record of 3 floating point numbers \\spad{(try ,{} did ,{} next)}, \\spad{eps} is the required accuracy, \\spad{yscal} is the scaling vector for the difference in solutions. On input, \\spad{step.try} should be the guess at a step size to achieve the accuracy. On output, \\spad{step.did} contains the step size which achieved the accuracy and \\spad{step.next} is the next step size to use. \\blankline \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7)} is the same as \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} except that the user must provide the 7 scratch arrays \\spad{t1-t7} of size \\spad{n.} \\blankline \\spad{rk4a(y,n,x1,x2,eps,h,ns,derivs)} is a driver program which uses \\spad{rk4qc} to integrate \\spad{n} ordinary differential equations starting at \\spad{x1} to \\spad{x2,} keeping the local truncation error to within \\spad{eps} by changing the local step size. The scaling vector is defined as\\br \\tab{5}\\spad{yscal(i) = abs(y(i)) + abs(h*dydx(i)) + tiny}\\br where \\spad{y(i)} is the solution at location \\spad{x,} \\spad{dydx} is the ordinary differential equation's right hand side, \\spad{h} is the current step size and \\spad{tiny} is 10 times the smallest positive number representable. \\blankline The user must supply an estimate for a trial step size and the maximum number of calls to \\spad{rk4qc} to use. Argument \\spad{x2} is the final point, \\spad{eps} is local truncation, \\spad{ns} is the maximum number of call to \\spad{rk4qc} to use.")) (|rk4f| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4f(y,n,x1,x2,ns,derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector. Starting with \\spad{y} at \\spad{x1,} this function uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta integrator to advance the solution vector to \\spad{x2} and return the values in \\spad{y.} For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4qc| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details, see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4a| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4a(y,n,x1,x2,eps,h,ns,derivs)} is a driver function for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4(y,n,x1,h,derivs,t1,t2,t3,t4)} is the same as \\spad{rk4(y,n,x1,h,derivs)} except that you must provide 4 scratch arrays \\spad{t1-t4} of size \\spad{n.} For details, see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4(y,n,x1,h,derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector. Argument \\spad{y} is a vector of initial conditions of length \\spad{n} which upon exit contains the solution at \\spad{x1 + \\spad{h},} \\spad{n} is the number of dependent variables, \\spad{x1} is the initial point, \\spad{h} is the step size, and \\spad{derivs} is a function which computes the right hand side of the ordinary differential equation. For details, see \\spadtype{NumericalOrdinaryDifferentialEquations}."))) 
 NIL 
 NIL 
-(-811) 
+(|NumericalQuadrature|) 
 ((|constructor| (NIL "This suite of routines performs numerical quadrature using algorithms derived from the basic trapezoidal rule. Because the error term of this rule contains only even powers of the step size (for open and closed versions), fast convergence can be obtained if the integrand is sufficiently smooth. \\blankline Each routine returns a Record of type TrapAns, which contains value Float: estimate of the integral error Float: estimate of the error in the computation totalpts Integer: total number of function evaluations success Boolean: if the integral was computed within the user specified error criterion To produce this estimate, each routine generates an internal sequence of sub-estimates, denoted by S(i), depending on the routine, to which the various convergence criteria are applied. The user must supply a relative accuracy, \\spad{eps_r}, and an absolute accuracy, \\spad{eps_a}. Convergence is obtained when either\\br \\tab{5}\\spad{ABS(S(i) - S(i-1)) < eps_r * ABS(S(i-1))}\\br \\tab{5}or \\spad{ABS(S(i) - S(i-1)) < eps_a} are \\spad{true} statements. \\blankline The routines come in three families and three flavors: closed: romberg, simpson, trapezoidal open: rombergo, simpsono, trapezoidalo adaptive closed: aromberg, asimpson, atrapezoidal \\blankline The S(i) for the trapezoidal family is the value of the integral using an equally spaced absicca trapezoidal rule for that level of refinement. \\blankline The S(i) for the simpson family is the value of the integral using an equally spaced absicca simpson rule for that level of refinement. \\blankline The S(i) for the romberg family is the estimate of the integral using an equally spaced absicca romberg method. For the \\spad{i}-th level, this is an appropriate combination of all the previous trapezodial estimates so that the error term starts with the 2*(i+1) power only. \\blankline The three families come in a closed version, where the formulas include the endpoints, an open version where the formulas do not include the endpoints and an adaptive version, where the user is required to input the number of subintervals over which the appropriate closed family integrator will apply with the usual convergence parmeters for each subinterval. This is useful where a large number of points are needed only in a small fraction of the entire domain. \\blankline Each routine takes as arguments:\\br \\spad{f} integrand\\br a starting point\\br \\spad{b} ending point\\br eps_r relative error\\br eps_a absolute error\\br nmin refinement level when to start checking for convergence \\spad{(>} 1)\\br nmax maximum level of refinement\\br \\blankline The adaptive routines take as an additional parameter, nint, the number of independent intervals to apply a closed family integrator of the same name. \\blankline")) (|trapezoidalo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidalo(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the trapezoidal method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpsono| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpsono(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|rombergo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{rombergo(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the romberg method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|trapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidal(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the trapezoidal method to numerically integrate function \\spadvar{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpson(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|romberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{romberg(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the romberg method to numerically integrate function \\spadvar{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|atrapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{atrapezoidal(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive trapezoidal method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|asimpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{asimpson(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive simpson method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|aromberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{aromberg(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive romberg method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details."))) 
 NIL 
 NIL 
-(-812 |Curve|) 
+(|NumericTubePlot| |Curve|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tube| (((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)) "\\spad{tube(c,r,n)} creates a tube of radius \\spad{r} around the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-813) 
+(|OrderedAbelianGroup|) 
 ((|constructor| (NIL "Ordered sets which are also abelian groups, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-814) 
+(|OrderedAbelianMonoid|) 
 ((|constructor| (NIL "Ordered sets which are also abelian monoids, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-815) 
+(|OrderedAbelianMonoidSup|) 
 ((|constructor| (NIL "This domain is an OrderedAbelianMonoid with a sup operation added. The purpose of the sup operator in this domain is to act as a supremum with respect to the partial order imposed by `-`, rather than with respect to the total \\spad{$>$} order (since that is \"max\"). \\blankline Axioms\\br \\tab{5}sup(a,b)-a \\~~= \"failed\"\\br \\tab{5}sup(a,b)-b \\~~= \"failed\"\\br \\tab{5}x-a \\~~= \"failed\" and \\spad{x-b} \\~~= \"failed\" \\spad{=>} \\spad{x} \\spad{>=} sup(a,b)\\br")) (|sup| (($ $ $) "\\spad{sup(x,y)} returns the least element from which both \\spad{x} and \\spad{y} can be subtracted."))) 
 NIL 
 NIL 
-(-816) 
+(|OrderedAbelianSemiGroup|) 
 ((|constructor| (NIL "Ordered sets which are also abelian semigroups, such that the addition preserves the ordering.\\br \\blankline Axiom\\br \\tab{5} \\spad{x} < \\spad{y} \\spad{=>} \\spad{x+z} < \\spad{y+z}"))) 
 NIL 
 NIL 
-(-817) 
+(|OrderedCancellationAbelianMonoid|) 
 ((|constructor| (NIL "Ordered sets which are also abelian cancellation monoids, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-818 S R) 
+(|OctonionCategory&| S R) 
 ((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions, and eight-dimensional non-associative algebra, doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational, \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#2| $) "\\spad{abs(o)} computes the absolute value of an octonion, equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#2| |#2| |#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{octon(re,ri,rj,rk,rE,rI,rJ,rK)} constructs an octonion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(o)} returns the norm of an octonion, equal to the sum of the squares of its coefficients.")) (|imagK| ((|#2| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion o.")) (|imagJ| ((|#2| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion o.")) (|imagI| ((|#2| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion o.")) (|imagE| ((|#2| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion o.")) (|imagk| ((|#2| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion o.")) (|imagj| ((|#2| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion o.")) (|imagi| ((|#2| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion o.")) (|real| ((|#2| $) "\\spad{real(o)} extracts real part of octonion o.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts i,j,k,E,I,J,K of octonian o."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-574))) (|HasCategory| |#2| (QUOTE (-1084))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-394)))) 
-(-819 R) 
+((|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#2| (QUOTE (|RealNumberSystem|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) 
+(|OctonionCategory| R) 
 ((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions, and eight-dimensional non-associative algebra, doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational, \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#1| $) "\\spad{abs(o)} computes the absolute value of an octonion, equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) "\\spad{octon(re,ri,rj,rk,rE,rI,rJ,rK)} constructs an octonion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(o)} returns the norm of an octonion, equal to the sum of the squares of its coefficients.")) (|imagK| ((|#1| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion o.")) (|imagJ| ((|#1| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion o.")) (|imagI| ((|#1| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion o.")) (|imagE| ((|#1| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion o.")) (|imagk| ((|#1| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion o.")) (|imagj| ((|#1| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion o.")) (|imagi| ((|#1| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion o.")) (|real| ((|#1| $) "\\spad{real(o)} extracts real part of octonion o.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts i,j,k,E,I,J,K of octonian o."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-820 -3836 R OS S) 
+(|OctonionCategoryFunctions2| OR R OS S) 
 ((|constructor| (NIL "\\spad{OctonionCategoryFunctions2} implements functions between two octonion domains defined over different rings. The function map is used to coerce between octonion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,u)} maps \\spad{f} onto the component parts of the octonion u."))) 
 NIL 
 NIL 
-(-821 R) 
+(|Octonion| R) 
 ((|constructor| (NIL "Octonion implements octonions (Cayley-Dixon algebra) over a commutative ring, an eight-dimensional non-associative algebra, doubling the quaternions in the same way as doubling the complex numbers to get the quaternions the main constructor function is octon which takes 8 arguments: the real part, the \\spad{i} imaginary part, the \\spad{j} imaginary part, the \\spad{k} imaginary part, (as with quaternions) and in addition the imaginary parts E, I, \\spad{J,} \\spad{K.}")) (|octon| (($ (|Quaternion| |#1|) (|Quaternion| |#1|)) "\\spad{octon(qe,qE)} constructs an octonion from two quaternions using the relation \\spad{O} = \\spad{Q} + QE."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1084))) (|HasCategory| |#1| (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| (-1027 |#1|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-1027 |#1|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (|HasCategory| (-1027 |#1|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (-3836 (|HasCategory| (-1027 |#1|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))))) 
-(-822) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|RealNumberSystem|))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| (|Quaternion| |#1|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|Quaternion| |#1|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (|HasCategory| (|Quaternion| |#1|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (OR (|HasCategory| (|Quaternion| |#1|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))))) 
+(|OrdinaryDifferentialEquationsSolverCategory|) 
 ((|constructor| (NIL "\\axiomType{OrdinaryDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of ODE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{ODEsolve}.")) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{ODESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-823 R -3958 L) 
+(|ConstantLODE| R F L) 
 ((|constructor| (NIL "Solution of linear ordinary differential equations, constant coefficient case.")) (|constDsolve| (((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)) "\\spad{constDsolve(op, \\spad{g,} \\spad{x)}} returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular solution of the equation \\spad{op \\spad{y} = \\spad{g},} and the \\spad{yi}'s form a basis for the solutions of \\spad{op \\spad{y} = 0}."))) 
 NIL 
 NIL 
-(-824 R -3958) 
+(|ElementaryFunctionODESolver| R F) 
 ((|constructor| (NIL "\\spad{ElementaryFunctionODESolver} provides the top-level functions for finding closed form solutions of ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq, \\spad{y,} \\spad{x} = a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{eq, y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,y)}.") (((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq, \\spad{y,} \\spad{x} = a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{eq, y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,y)}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq, \\spad{y,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary, a solution is of the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; If the equation is of the form {dy/dx = f(x,y)}, a solution is of the form \\spad{h(x,y)} where \\spad{h(x,y) = \\spad{c}} is a first integral of the equation for any constant \\spad{c}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq, \\spad{y,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary, a solution is of the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; If the equation is of the form {dy/dx = f(x,y)}, a solution is of the form \\spad{h(x,y)} where \\spad{h(x,y) = \\spad{c}} is a first integral of the equation for any constant \\spad{c}; error if the equation is not one of those 2 forms.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,...,eq_n], [y_1,...,y_n], \\spad{x)}} returns either \"failed\" or, if the equations form a fist order linear system, a solution of the form \\spad{[y_p, [b_1,...,b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,...,eq_n], [y_1,...,y_n], \\spad{x)}} returns either \"failed\" or, if the equations form a fist order linear system, a solution of the form \\spad{[y_p, [b_1,...,b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|)) "\\spad{solve(m, \\spad{x)}} returns a basis for the solutions of \\spad{D \\spad{y} = \\spad{m} \\spad{y}.} \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|)) "\\spad{solve(m, \\spad{v,} \\spad{x)}} returns \\spad{[v_p, [v_1,...,v_m]]} such that the solutions of the system \\spad{D \\spad{y} = \\spad{m} \\spad{y} + \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{D \\spad{y} = \\spad{m} \\spad{y}.} \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
-(-825) 
+(|ODEIntensityFunctionsTable|) 
 ((|constructor| (NIL "\\axiom{ODEIntensityFunctionsTable()} provides a dynamic table and a set of functions to store details found out about sets of ODE's.")) (|showIntensityFunctions| (((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showIntensityFunctions(k)} returns the entries in the table of intensity functions \\spad{k.}")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|iFTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) "\\spad{iFTable(l)} creates an intensity-functions table from the elements of \\spad{l.}")) (|keys| (((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(tab)} returns the list of keys of \\spad{f}")) (|clearTheIFTable| (((|Void|)) "\\spad{clearTheIFTable()} clears the current table of intensity functions.")) (|showTheIFTable| (($) "\\spad{showTheIFTable()} returns the current table of intensity functions."))) 
 NIL 
 NIL 
-(-826 R -3958) 
+(|ODEIntegration| R F) 
 ((|constructor| (NIL "\\spadtype{ODEIntegration} provides an interface to the integrator. This package is intended for use by the differential equations solver but not at top-level.")) (|diff| (((|Mapping| |#2| |#2|) (|Symbol|)) "\\spad{diff(x)} returns the derivation with respect to \\spad{x.}")) (|expint| ((|#2| |#2| (|Symbol|)) "\\spad{expint(f, \\spad{x)}} returns e^{the integral of \\spad{f} with respect to \\spad{x}.}")) (|int| ((|#2| |#2| (|Symbol|)) "\\spad{int(f, \\spad{x)}} returns the integral of \\spad{f} with respect to \\spad{x.}"))) 
 NIL 
 NIL 
-(-827) 
+(|AnnaOrdinaryDifferentialEquationPackage|) 
 ((|constructor| (NIL "\\axiomType{AnnaOrdinaryDifferentialEquationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} with \\axiom{measure}, and \\axiom{solve}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,intVals,epsabs,epsrel)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to an absolute error requirement \\axiom{epsabs} and relative error \\axiom{epsrel}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,intVals,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,intVals,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|))) "\\spad{solve(f,xStart,xEnd,yInitial)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with a starting value for \\spad{x} and y[1]..y[n] (called the initial conditions) and a final value of \\spad{x.} A default value is used for the accuracy requirement. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{solve(odeProblem,R)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with starting values for \\spad{x} and y[1]..y[n] (called the initial conditions), a final value of \\spad{x,} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|)) "\\spad{solve(odeProblem)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with starting values for \\spad{x} and y[1]..y[n] (called the initial conditions), a final value of \\spad{x,} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine."))) 
 NIL 
 NIL 
-(-828 -3958 UP UPUP R) 
+(|PureAlgebraicLODE| F UP UPUP R) 
 ((|constructor| (NIL "In-field solution of an linear ordinary differential equation, pure algebraic case.")) (|algDsolve| (((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|) "\\spad{algDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no solution in \\spad{R}. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the \\spad{y_i's} form a basis for the solutions in \\spad{R} of the homogeneous equation."))) 
 NIL 
 NIL 
-(-829 -3958 UP L LQ) 
+(|PrimitiveRatDE| F UP L LQ) 
 ((|constructor| (NIL "\\spad{PrimitiveRatDE} provides functions for in-field solutions of linear ordinary differential equations, in the transcendental case. The derivation to use is given by the parameter \\spad{L}.")) (|splitDenominator| (((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))) "\\spad{splitDenominator(op, [g1,...,gm])} returns \\spad{op0, [h1,...,hm]} such that the equations \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} and \\spad{op0 \\spad{y} = \\spad{c1} \\spad{h1} + \\spad{...} + \\spad{cm} \\spad{hm}} have the same solutions.")) (|indicialEquation| ((|#2| |#4| |#1|) "\\spad{indicialEquation(op, a)} returns the indicial equation of \\spad{op} at \\spad{a}.") ((|#2| |#3| |#1|) "\\spad{indicialEquation(op, a)} returns the indicial equation of \\spad{op} at \\spad{a}.")) (|indicialEquations| (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|) "\\spad{indicialEquations(op, \\spad{p)}} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op} above the roots of \\spad{p}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|) "\\spad{indicialEquations op} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|) "\\spad{indicialEquations(op, \\spad{p)}} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op} above the roots of \\spad{p}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|) "\\spad{indicialEquations op} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.")) (|denomLODE| ((|#2| |#3| (|List| (|Fraction| |#2|))) "\\spad{denomLODE(op, [g1,...,gm])} returns a polynomial \\spad{d} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{p/d} for some polynomial \\spad{p.}") (((|Union| |#2| "failed") |#3| (|Fraction| |#2|)) "\\spad{denomLODE(op, \\spad{g)}} returns a polynomial \\spad{d} such that any rational solution of \\spad{op \\spad{y} = \\spad{g}} is of the form \\spad{p/d} for some polynomial \\spad{p,} and \"failed\", if the equation has no rational solution."))) 
 NIL 
 NIL 
-(-830) 
+(|NumericalODEProblem|) 
 ((|constructor| (NIL "\\axiomType{NumericalODEProblem} is a \\axiom{domain} for the representation of Numerical ODE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(xinit:\\axiomType{DoubleFloat},\\br xend:\\axiomType{DoubleFloat},\\br fn:\\axiomType{Vector Expression DoubleFloat},\\br yinit:\\axiomType{List DoubleFloat},intvals:\\axiomType{List DoubleFloat},\\br g:\\axiomType{Expression DoubleFloat},abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat}) \\blankline")) (|retract| (((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-831 -3958 UP L LQ) 
+(|PrimitiveRatRicDE| F UP L LQ) 
 ((|constructor| (NIL "In-field solution of Riccati equations, primitive case.")) (|changeVar| ((|#3| |#3| (|Fraction| |#2|)) "\\spad{changeVar(+/[ai D^i], a)} returns the operator \\spad{+/[ai (D+a)^i]}.") ((|#3| |#3| |#2|) "\\spad{changeVar(+/[ai D^i], a)} returns the operator \\spad{+/[ai (D+a)^i]}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op, zeros, ezfactor)} returns \\spad{[[f1, L1], [f2, L2], \\spad{...} ,{} [fk, Lk]]} such that the singular part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the fi's (up to the constant coefficient), in which case the equation for \\spad{z=y e^{-int \\spad{p}}} is \\spad{Li z=0}. \\spad{zeros(C(x),H(x,y))} returns all the \\spad{P_i(x)}'s such that \\spad{H(x,P_i(x)) = 0 modulo C(x)}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op, zeros)} returns \\spad{[[p1, L1], [p2, L2], \\spad{...} ,{} [pk, Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the pi's (up to the constant coefficient), in which case the equation for \\spad{z=y e^{-int \\spad{p}}} is \\spad{Li \\spad{z} =0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|constantCoefficientRicDE| (((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{constantCoefficientRicDE(op, ric)} returns \\spad{[[a1, L1], [a2, L2], \\spad{...} ,{} [ak, Lk]]} such that any rational solution with no polynomial part of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the ai's in which case the equation for \\spad{z = \\spad{y} e^{-int ai}} is \\spad{Li \\spad{z} = 0}. \\spad{ric} is a Riccati equation solver over \\spad{F}, whose input is the associated linear equation.")) (|leadingCoefficientRicDE| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|) "\\spad{leadingCoefficientRicDE(op)} returns \\spad{[[m1, p1], [m2, p2], \\spad{...} ,{} [mk, pk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must have degree \\spad{mj} for some \\spad{j,} and its leading coefficient is then a zero of \\spad{pj.} In addition,\\spad{m1>m2> \\spad{...} >mk}.")) (|denomRicDE| ((|#2| |#3|) "\\spad{denomRicDE(op)} returns a polynomial \\spad{d} such that any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} is of the form \\spad{p/d + q'/q + \\spad{r}} for some polynomials \\spad{p} and \\spad{q} and a reduced \\spad{r.} Also, \\spad{deg(p) < deg(d)} and {gcd(d,q) = 1}."))) 
 NIL 
 NIL 
-(-832 -3958 UP) 
+(|RationalLODE| F UP) 
 ((|constructor| (NIL "\\spad{RationalLODE} provides functions for in-field solutions of linear ordinary differential equations, in the rational case.")) (|indicialEquationAtInfinity| ((|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.") ((|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.")) (|ratDsolve| (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op, [g1,...,gm])} returns \\spad{[[h1,...,hq], \\spad{M]}} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{d1 \\spad{h1} + \\spad{...} + \\spad{dq} \\spad{hq}} where \\spad{M [d1,...,dq,c1,...,cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no rational solution. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the yi's form a basis for the rational solutions of the homogeneous equation.") (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op, [g1,...,gm])} returns \\spad{[[h1,...,hq], \\spad{M]}} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{d1 \\spad{h1} + \\spad{...} + \\spad{dq} \\spad{hq}} where \\spad{M [d1,...,dq,c1,...,cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no rational solution. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the yi's form a basis for the rational solutions of the homogeneous equation."))) 
 NIL 
 NIL 
-(-833 -3958 L UP A LO) 
+(|ReduceLODE| F L UP A LO) 
 ((|constructor| (NIL "Elimination of an algebraic from the coefficentss of a linear ordinary differential equation.")) (|reduceLODE| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|) "\\spad{reduceLODE(op, \\spad{g)}} returns \\spad{[m, \\spad{v]}} such that any solution in \\spad{A} of \\spad{op \\spad{z} = \\spad{g}} is of the form \\spad{z = (z_1,...,z_m) . (b_1,...,b_m)} where the \\spad{b_i's} are the basis of \\spad{A} over \\spad{F} returned by \\spadfun{basis}() from \\spad{A}, and the \\spad{z_i's} satisfy the differential system \\spad{M.z = \\spad{v}.}"))) 
 NIL 
 NIL 
-(-834 -3958 UP) 
+(|RationalRicDE| F UP) 
 ((|constructor| (NIL "In-field solution of Riccati equations, rational case.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op, zeros)} returns \\spad{[[p1,L1], [p2,L2], \\spad{...} ,{} [pk,Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the pi's (up to the constant coefficient), in which case the equation for \\spad{z = \\spad{y} e^{-int \\spad{p}}} is \\spad{Li \\spad{z} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op, ezfactor)} returns \\spad{[[f1,L1], [f2,L2],..., [fk,Lk]]} such that the singular \\spad{++} part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the fi's (up to the constant coefficient), in which case the equation for \\spad{z = \\spad{y} e^{-int ai}} is \\spad{Li \\spad{z} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.")) (|ricDsolve| (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, zeros, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op, zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, zeros, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op, zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-27)))) 
-(-835 -3958 LO) 
+((|HasCategory| |#1| (QUOTE (|AlgebraicallyClosedField|)))) 
+(|SystemODESolver| F LO) 
 ((|constructor| (NIL "SystemODESolver provides tools for triangulating and solving some systems of linear ordinary differential equations.")) (|solveInField| (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)) "\\spad{solveInField(m, \\spad{v,} solve)} returns \\spad{[[v_1,...,v_m], v_p]} such that the solutions in \\spad{F} of the system \\spad{m \\spad{x} = \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{m \\spad{x} = 0}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|solve| (((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|)) "\\spad{solve(m, \\spad{v,} solve)} returns \\spad{[[v_1,...,v_m], v_p]} such that the solutions in \\spad{F} of the system \\spad{D \\spad{x} = \\spad{m} \\spad{x} + \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{D \\spad{x} = \\spad{m} \\spad{x}.} Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|triangulate| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|)) "\\spad{triangulate(m, \\spad{v)}} returns \\spad{[m_0, v_0]} such that \\spad{m_0} is upper triangular and the system \\spad{m_0 \\spad{x} = v_0} is equivalent to \\spad{m \\spad{x} = \\spad{v}.}") (((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{triangulate(M,v)} returns \\spad{A,[[C_1,g_1,L_1,h_1],...,[C_k,g_k,L_k,h_k]]} such that under the change of variable \\spad{y = A \\spad{z},} the first order linear system \\spad{D \\spad{y} = \\spad{M} \\spad{y} + \\spad{v}} is uncoupled as \\spad{D z_i = C_i z_i + g_i} and each \\spad{C_i} is a companion matrix corresponding to the scalar equation \\spad{L_i \\spad{z_j} = h_i}."))) 
 NIL 
 NIL 
-(-836 -3958 LODO) 
+(|ODETools| F LODO) 
 ((|constructor| (NIL "\\spad{ODETools} provides tools for the linear ODE solver.")) (|particularSolution| (((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)) "\\spad{particularSolution(op, \\spad{g,} [f1,...,fm], I)} returns a particular solution \\spad{h} of the equation \\spad{op \\spad{y} = \\spad{g}} where \\spad{[f1,...,fm]} are linearly independent and \\spad{op(fi)=0}. The value \"failed\" is returned if no particular solution is found. Note that the method of variations of parameters is used.")) (|variationOfParameters| (((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|)) "\\spad{variationOfParameters(op, \\spad{g,} [f1,...,fm])} returns \\spad{[u1,...,um]} such that a particular solution of the equation \\spad{op \\spad{y} = \\spad{g}} is \\spad{f1 int(u1) + \\spad{...} + \\spad{fm} int(um)} where \\spad{[f1,...,fm]} are linearly independent and \\spad{op(fi)=0}. The value \"failed\" is returned if \\spad{m < \\spad{n}} and no particular solution is found.")) (|wronskianMatrix| (((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{wronskianMatrix([f1,...,fn], \\spad{q,} \\spad{D)}} returns the \\spad{q \\spad{x} \\spad{n}} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),...,fn^(i-1)]}.") (((|Matrix| |#1|) (|List| |#1|)) "\\spad{wronskianMatrix([f1,...,fn])} returns the \\spad{n \\spad{x} \\spad{n}} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),...,fn^(i-1)]}."))) 
 NIL 
 NIL 
-(-837 -3832 S |f|) 
+(|OrderedDirectProduct| |dim| S |f|) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The ordering on the type is determined by its third argument which represents the less than function on vectors. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4619 |has| |#2| (-1075)) (-4620 |has| |#2| (-1075)) (-4622 |has| |#2| (-6 -4622)) ((-4627 "*") |has| |#2| (-194)) (-4625 . T)) 
-((|HasCategory| |#2| (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867))) (-3836 (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867)))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388)))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasAttribute| |#2| (QUOTE -4622)) (|HasCategory| |#2| (QUOTE (-158))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (|HasCategory| |#2| (QUOTE (-25))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-867))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-1119))))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1119))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-194)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-388)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-867)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1075)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))))) 
-(-838 R) 
+((|rightUnitary| |has| |#2| (|Ring|)) (|leftUnitary| |has| |#2| (|Ring|)) (|unitsKnown| |has| |#2| (ATTRIBUTE |unitsKnown|)) ((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|finiteAggregate| . T)) 
+((|HasCategory| |#2| (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|))) (OR (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|)))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasAttribute| |#2| (QUOTE |unitsKnown|)) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Field|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|Ring|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))))) 
+(|OrderlyDifferentialPolynomial| R) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates, with coefficients in a ring. The ranking on the differential indeterminate is orderly. This is analogous to the domain \\spadtype{Polynomial}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-840 (-1191)) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-840 (-1191)) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-840 (-1191)) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-840 (-1191)) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-840 (-1191)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-839 |Kernels| R |var|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|OrderlyDifferentialVariable| (|Symbol|)) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|OrderlyDifferentialVariable| (|Symbol|)) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|OrderlyDifferentialVariable| (|Symbol|)) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|OrderlyDifferentialVariable| (|Symbol|)) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|OrderlyDifferentialVariable| (|Symbol|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|OrdinaryDifferentialRing| |Kernels| R |var|) 
 ((|constructor| (NIL "This constructor produces an ordinary differential ring from a partial differential ring by specifying a variable.")) (|coerce| ((|#2| $) "\\spad{coerce(p)} views \\spad{p} as a valie in the partial differential ring.") (($ |#2|) "\\spad{coerce(r)} views \\spad{r} as a value in the ordinary differential ring."))) 
-(((-4627 "*") |has| |#2| (-388)) (-4618 |has| |#2| (-388)) (-4623 |has| |#2| (-388)) (-4617 |has| |#2| (-388)) (-4622 . T) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#2| (QUOTE (-388)))) 
-(-840 S) 
+(((|commutative| "*") |has| |#2| (|Field|)) (|noZeroDivisors| |has| |#2| (|Field|)) (|canonicalUnitNormal| |has| |#2| (|Field|)) (|canonicalsClosed| |has| |#2| (|Field|)) (|unitsKnown| . T) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|OrderlyDifferentialVariable| S) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used orderly ranking to the set of derivatives of an ordered list of differential indeterminates. An orderly ranking is a ranking \\spadfun{<} of the derivatives with the property that for two derivatives \\spad{u} and \\spad{v,} \\spad{u} \\spadfun{<} \\spad{v} if the \\spadfun{order} of \\spad{u} is less than that of \\spad{v.} This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order}, and it defines an orderly ranking \\spadfun{<} on derivatives \\spad{u} via the lexicographic order on the pair (\\spadfun{order}(u), \\spadfun{variable}(u))."))) 
 NIL 
 NIL 
-(-841 S) 
+(|OrderedFreeMonoid| S) 
 ((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The multiplication is not commutative. For two elements \\spad{x} and \\spad{y} the relation \\spad{x < \\spad{y}} holds if either \\spad{length(x) < length(y)} holds or if these lengths are equal and if \\spad{x} is smaller than \\spad{y} w.r.t. the lexicographical ordering induced by \\spad{S}. This domain inherits implementation from \\spadtype{FreeMonoid}.")) (|varList| (((|List| |#1|) $) "\\indented{1}{\\spad{varList(x)} returns the list of variables of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} varList \\spad{m1}")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{length(x)} returns the length of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} length \\spad{m1}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\indented{1}{\\spad{factors(a1\\^e1,...,an\\^en)} returns} \\indented{1}{\\spad{[[a1, e1],...,[an, en]]}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} factors \\spad{m1}")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{\\spad{nthFactor(x, \\spad{n)}} returns the factor of the \\spad{n-th}} \\indented{1}{monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} nthFactor(m1,2)")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\indented{1}{\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the} \\indented{1}{\\spad{n-th} monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} nthExpon(m1,2)")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{size(x)} returns the number of monomials in \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} size(m1,2)")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\indented{1}{\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that} \\indented{1}{\\spad{x = \\spad{l} * \\spad{m}} and \\spad{y = \\spad{m} * \\spad{r}} hold and such that} \\indented{1}{\\spad{l} and \\spad{r} have no overlap,} \\indented{1}{that is \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} overlap(m1,m2)")) (|divide| (((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $) "\\indented{1}{\\spad{divide(x,y)} returns the left and right exact quotients of} \\indented{1}{\\spad{x} by \\spad{y}, that is \\spad{[l,r]} such that \\spad{x = l*y*r}.} \\indented{1}{\"failed\" is returned iff \\spad{x} is not of the form \\spad{l * \\spad{y} * r}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} divide(m1,m2)")) (|rquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{rquo(x, \\spad{s)}} returns the exact right quotient} \\indented{1}{of \\spad{x} by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y)$OFMONOID(Symbol) \\spad{X} div(m1,y)") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x}} \\indented{1}{by \\spad{y} that is \\spad{q} such that \\spad{x = \\spad{q} * y},} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{q * y}.} \\blankline \\spad{X} m1:=(q*y^3)$OFMONOID(Symbol) \\spad{X} m2:=(y^2)$OFMONOID(Symbol) \\spad{X} lquo(m1,m2)")) (|lquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{lquo(x, \\spad{s)}} returns the exact left quotient of \\spad{x}} \\indented{1}{by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} lquo(m1,x)") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x}} \\indented{2}{by \\spad{y} that is \\spad{q} such that \\spad{x = \\spad{y} * q},} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{y * q}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} lquo(m1,m2)")) (|hcrf| (($ $ $) "\\indented{1}{\\spad{hcrf(x, \\spad{y)}} returns the highest common right} \\indented{1}{factor of \\spad{x} and \\spad{y},} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = a \\spad{d}}} \\indented{1}{and \\spad{y = \\spad{b} d}.} \\blankline \\spad{X} m1:=(x*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(y*z)$OFMONOID(Symbol) \\spad{X} hcrf(m1,m2)")) (|hclf| (($ $ $) "\\indented{1}{\\spad{hclf(x, \\spad{y)}} returns the highest common left factor} \\indented{1}{of \\spad{x} and \\spad{y},} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = \\spad{d} a}} \\indented{1}{and \\spad{y = \\spad{d} b}.} \\blankline \\spad{X} m1:=(x*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} hclf(m1,m2)")) (|lexico| (((|Boolean|) $ $) "\\indented{1}{\\spad{lexico(x,y)} returns \\spad{true}} \\indented{1}{iff \\spad{x} is smaller than \\spad{y}} \\indented{1}{w.r.t. the pure lexicographical ordering induced by \\spad{S}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} lexico(m1,m2) \\spad{X} lexico(m2,m1)")) (|mirror| (($ $) "\\indented{1}{\\spad{mirror(x)} returns the reversed word of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} mirror \\spad{m1}")) (|rest| (($ $) "\\indented{1}{\\spad{rest(x)} returns \\spad{x} except the first letter.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} rest \\spad{m1}")) (|first| ((|#1| $) "\\indented{1}{\\spad{first(x)} returns the first letter of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} first \\spad{m1}")) (** (($ |#1| (|NonNegativeInteger|)) "\\indented{1}{\\spad{s**n} returns the product of \\spad{s} by itself \\spad{n} times.} \\blankline \\spad{X} m1:=(y**3)$OFMONOID(Symbol)")) (* (($ $ |#1|) "\\indented{1}{\\spad{x*s} returns the product of \\spad{x} by \\spad{s} on the right.} \\blankline \\spad{X} m1:=(y**3)$OFMONOID(Symbol) \\spad{X} m1*x") (($ |#1| $) "\\indented{1}{\\spad{s*x} returns the product of \\spad{x} by \\spad{s} on the left.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} \\spad{x*m1}"))) 
 NIL 
 NIL 
-(-842) 
+(|OrderedIntegralDomain|) 
 ((|constructor| (NIL "The category of ordered commutative integral domains, where ordering and the arithmetic operations are compatible"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-843) 
+(|OpenMathConnection|) 
 ((|constructor| (NIL "\\spadtype{OpenMathConnection} provides low-level functions for handling connections to and from \\spadtype{OpenMathDevice}s.")) (|OMbindTCP| (((|Boolean|) $ (|SingleInteger|)) "\\spad{OMbindTCP}")) (|OMconnectTCP| (((|Boolean|) $ (|String|) (|SingleInteger|)) "\\spad{OMconnectTCP}")) (|OMconnOutDevice| (((|OpenMathDevice|) $) "\\spad{OMconnOutDevice:}")) (|OMconnInDevice| (((|OpenMathDevice|) $) "\\spad{OMconnInDevice:}")) (|OMcloseConn| (((|Void|) $) "\\spad{OMcloseConn}")) (|OMmakeConn| (($ (|SingleInteger|)) "\\spad{OMmakeConn}"))) 
 NIL 
 NIL 
-(-844) 
+(|OpenMathDevice|) 
 ((|constructor| (NIL "\\spadtype{OpenMathDevice} provides support for reading and writing openMath objects to files, strings etc. It also provides access to low-level operations from within the interpreter.")) (|OMgetType| (((|Symbol|) $) "\\spad{OMgetType(dev)} returns the type of the next object on \\axiom{dev}.")) (|OMgetSymbol| (((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $) "\\spad{OMgetSymbol(dev)} reads a symbol from \\axiom{dev}.")) (|OMgetString| (((|String|) $) "\\spad{OMgetString(dev)} reads a string from \\axiom{dev}.")) (|OMgetVariable| (((|Symbol|) $) "\\spad{OMgetVariable(dev)} reads a variable from \\axiom{dev}.")) (|OMgetFloat| (((|DoubleFloat|) $) "\\spad{OMgetFloat(dev)} reads a float from \\axiom{dev}.")) (|OMgetInteger| (((|Integer|) $) "\\spad{OMgetInteger(dev)} reads an integer from \\axiom{dev}.")) (|OMgetEndObject| (((|Void|) $) "\\spad{OMgetEndObject(dev)} reads an end object token from \\axiom{dev}.")) (|OMgetEndError| (((|Void|) $) "\\spad{OMgetEndError(dev)} reads an end error token from \\axiom{dev}.")) (|OMgetEndBVar| (((|Void|) $) "\\spad{OMgetEndBVar(dev)} reads an end bound variable list token from \\axiom{dev}.")) (|OMgetEndBind| (((|Void|) $) "\\spad{OMgetEndBind(dev)} reads an end binder token from \\axiom{dev}.")) (|OMgetEndAttr| (((|Void|) $) "\\spad{OMgetEndAttr(dev)} reads an end attribute token from \\axiom{dev}.")) (|OMgetEndAtp| (((|Void|) $) "\\spad{OMgetEndAtp(dev)} reads an end attribute pair token from \\axiom{dev}.")) (|OMgetEndApp| (((|Void|) $) "\\spad{OMgetEndApp(dev)} reads an end application token from \\axiom{dev}.")) (|OMgetObject| (((|Void|) $) "\\spad{OMgetObject(dev)} reads a begin object token from \\axiom{dev}.")) (|OMgetError| (((|Void|) $) "\\spad{OMgetError(dev)} reads a begin error token from \\axiom{dev}.")) (|OMgetBVar| (((|Void|) $) "\\spad{OMgetBVar(dev)} reads a begin bound variable list token from \\axiom{dev}.")) (|OMgetBind| (((|Void|) $) "\\spad{OMgetBind(dev)} reads a begin binder token from \\axiom{dev}.")) (|OMgetAttr| (((|Void|) $) "\\spad{OMgetAttr(dev)} reads a begin attribute token from \\axiom{dev}.")) (|OMgetAtp| (((|Void|) $) "\\spad{OMgetAtp(dev)} reads a begin attribute pair token from \\axiom{dev}.")) (|OMgetApp| (((|Void|) $) "\\spad{OMgetApp(dev)} reads a begin application token from \\axiom{dev}.")) (|OMputSymbol| (((|Void|) $ (|String|) (|String|)) "\\spad{OMputSymbol(dev,cd,s)} writes the symbol \\axiom{s} from \\spad{CD} \\axiom{cd} to \\axiom{dev}.")) (|OMputString| (((|Void|) $ (|String|)) "\\spad{OMputString(dev,i)} writes the string \\axiom{i} to \\axiom{dev}.")) (|OMputVariable| (((|Void|) $ (|Symbol|)) "\\spad{OMputVariable(dev,i)} writes the variable \\axiom{i} to \\axiom{dev}.")) (|OMputFloat| (((|Void|) $ (|DoubleFloat|)) "\\spad{OMputFloat(dev,i)} writes the float \\axiom{i} to \\axiom{dev}.")) (|OMputInteger| (((|Void|) $ (|Integer|)) "\\spad{OMputInteger(dev,i)} writes the integer \\axiom{i} to \\axiom{dev}.")) (|OMputEndObject| (((|Void|) $) "\\spad{OMputEndObject(dev)} writes an end object token to \\axiom{dev}.")) (|OMputEndError| (((|Void|) $) "\\spad{OMputEndError(dev)} writes an end error token to \\axiom{dev}.")) (|OMputEndBVar| (((|Void|) $) "\\spad{OMputEndBVar(dev)} writes an end bound variable list token to \\axiom{dev}.")) (|OMputEndBind| (((|Void|) $) "\\spad{OMputEndBind(dev)} writes an end binder token to \\axiom{dev}.")) (|OMputEndAttr| (((|Void|) $) "\\spad{OMputEndAttr(dev)} writes an end attribute token to \\axiom{dev}.")) (|OMputEndAtp| (((|Void|) $) "\\spad{OMputEndAtp(dev)} writes an end attribute pair token to \\axiom{dev}.")) (|OMputEndApp| (((|Void|) $) "\\spad{OMputEndApp(dev)} writes an end application token to \\axiom{dev}.")) (|OMputObject| (((|Void|) $) "\\spad{OMputObject(dev)} writes a begin object token to \\axiom{dev}.")) (|OMputError| (((|Void|) $) "\\spad{OMputError(dev)} writes a begin error token to \\axiom{dev}.")) (|OMputBVar| (((|Void|) $) "\\spad{OMputBVar(dev)} writes a begin bound variable list token to \\axiom{dev}.")) (|OMputBind| (((|Void|) $) "\\spad{OMputBind(dev)} writes a begin binder token to \\axiom{dev}.")) (|OMputAttr| (((|Void|) $) "\\spad{OMputAttr(dev)} writes a begin attribute token to \\axiom{dev}.")) (|OMputAtp| (((|Void|) $) "\\spad{OMputAtp(dev)} writes a begin attribute pair token to \\axiom{dev}.")) (|OMputApp| (((|Void|) $) "\\spad{OMputApp(dev)} writes a begin application token to \\axiom{dev}.")) (|OMsetEncoding| (((|Void|) $ (|OpenMathEncoding|)) "\\spad{OMsetEncoding(dev,enc)} sets the encoding used for reading or writing OpenMath objects to or from \\axiom{dev} to \\axiom{enc}.")) (|OMclose| (((|Void|) $) "\\spad{OMclose(dev)} closes \\axiom{dev}, flushing output if necessary.")) (|OMopenString| (($ (|String|) (|OpenMathEncoding|)) "\\spad{OMopenString(s,mode)} opens the string \\axiom{s} for reading or writing OpenMath objects in encoding \\axiom{enc}.")) (|OMopenFile| (($ (|String|) (|String|) (|OpenMathEncoding|)) "\\spad{OMopenFile(f,mode,enc)} opens file \\axiom{f} for reading or writing OpenMath objects (depending on \\axiom{mode} which can be \"r\", \\spad{\"w\"} or \"a\" for read, write and append respectively), in the encoding \\axiom{enc}."))) 
 NIL 
 NIL 
-(-845) 
+(|OpenMathEncoding|) 
 ((|constructor| (NIL "\\spadtype{OpenMathEncoding} is the set of valid OpenMath encodings.")) (|OMencodingBinary| (($) "\\spad{OMencodingBinary()} is the constant for the OpenMath binary encoding.")) (|OMencodingSGML| (($) "\\spad{OMencodingSGML()} is the constant for the deprecated OpenMath SGML encoding.")) (|OMencodingXML| (($) "\\spad{OMencodingXML()} is the constant for the OpenMath \\spad{XML} encoding.")) (|OMencodingUnknown| (($) "\\spad{OMencodingUnknown()} is the constant for unknown encoding types. If this is used on an input device, the encoding will be autodetected. It is invalid to use it on an output device."))) 
 NIL 
 NIL 
-(-846) 
+(|OpenMathErrorKind|) 
 ((|constructor| (NIL "\\spadtype{OpenMathErrorKind} represents different kinds of OpenMath errors: specifically parse errors, unknown \\spad{CD} or symbol errors, and read errors.")) (|OMReadError?| (((|Boolean|) $) "\\spad{OMReadError?(u)} tests whether \\spad{u} is an OpenMath read error.")) (|OMUnknownSymbol?| (((|Boolean|) $) "\\spad{OMUnknownSymbol?(u)} tests whether \\spad{u} is an OpenMath unknown symbol error.")) (|OMUnknownCD?| (((|Boolean|) $) "\\spad{OMUnknownCD?(u)} tests whether \\spad{u} is an OpenMath unknown \\spad{CD} error.")) (|OMParseError?| (((|Boolean|) $) "\\spad{OMParseError?(u)} tests whether \\spad{u} is an OpenMath parsing error.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(u)} creates an OpenMath error object of an appropriate type if \\axiom{u} is one of \\axiom{OMParseError}, \\axiom{OMReadError}, \\axiom{OMUnknownCD} or \\axiom{OMUnknownSymbol}, otherwise it raises a runtime error."))) 
 NIL 
 NIL 
-(-847) 
+(|OpenMathError|) 
 ((|constructor| (NIL "\\spadtype{OpenMathError} is the domain of OpenMath errors.")) (|omError| (($ (|OpenMathErrorKind|) (|List| (|Symbol|))) "\\spad{omError(k,l)} creates an instance of OpenMathError.")) (|errorInfo| (((|List| (|Symbol|)) $) "\\spad{errorInfo(u)} returns information about the error u.")) (|errorKind| (((|OpenMathErrorKind|) $) "\\spad{errorKind(u)} returns the type of error which \\spad{u} represents."))) 
 NIL 
 NIL 
-(-848 R) 
+(|ExpressionToOpenMath| R) 
 ((|constructor| (NIL "\\spadtype{ExpressionToOpenMath} provides support for converting objects of type \\spadtype{Expression} into OpenMath."))) 
 NIL 
 NIL 
-(-849 P R) 
+(|OppositeMonogenicLinearOperator| P R) 
 ((|constructor| (NIL "This constructor creates the \\spadtype{MonogenicLinearOperator} domain which is ``opposite'' in the ring sense to \\spad{P.} That is, as sets \\spad{P = \\spad{$}} but \\spad{a * \\spad{b}} in \\spad{$} is equal to \\spad{b * a} in \\spad{P.}")) (|po| ((|#1| $) "\\spad{po(q)} creates a value in \\spad{P} equal to \\spad{q} in \\spad{$.}")) (|op| (($ |#1|) "\\spad{op(p)} creates a value in \\$ equal to \\spad{p} in \\spad{P.}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-247)))) 
-(-850) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|)))) 
+(|OpenMath|) 
 ((|constructor| (NIL "\\spadtype{OpenMath} provides operations for exporting an object in OpenMath format.")) (|OMwrite| (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) "\\spad{OMwrite(dev, u, true)} writes the OpenMath form of \\axiom{u} to the OpenMath device \\axiom{dev} as a complete OpenMath object; OMwrite(dev, u, false) writes the object as an OpenMath fragment.") (((|Void|) (|OpenMathDevice|) $) "\\spad{OMwrite(dev, u)} writes the OpenMath form of \\axiom{u} to the OpenMath device \\axiom{dev} as a complete OpenMath object.") (((|String|) $ (|Boolean|)) "\\spad{OMwrite(u, true)} returns the OpenMath \\spad{XML} encoding of \\axiom{u} as a complete OpenMath object; OMwrite(u, false) returns the OpenMath \\spad{XML} encoding of \\axiom{u} as an OpenMath fragment.") (((|String|) $) "\\spad{OMwrite(u)} returns the OpenMath \\spad{XML} encoding of \\axiom{u} as a complete OpenMath object."))) 
 NIL 
 NIL 
-(-851) 
+(|OpenMathPackage|) 
 ((|constructor| (NIL "\\spadtype{OpenMathPackage} provides some simple utilities to make reading OpenMath objects easier.")) (|OMunhandledSymbol| (((|Exit|) (|String|) (|String|)) "\\spad{OMunhandledSymbol(s,cd)} raises an error if AXIOM reads a symbol which it is unable to handle. Note that this is different from an unexpected symbol.")) (|OMsupportsSymbol?| (((|Boolean|) (|String|) (|String|)) "\\spad{OMsupportsSymbol?(s,cd)} returns \\spad{true} if AXIOM supports symbol \\axiom{s} from \\spad{CD} \\axiom{cd}, \\spad{false} otherwise.")) (|OMsupportsCD?| (((|Boolean|) (|String|)) "\\spad{OMsupportsCD?(cd)} returns \\spad{true} if AXIOM supports \\axiom{cd}, \\spad{false} otherwise.")) (|OMlistSymbols| (((|List| (|String|)) (|String|)) "\\spad{OMlistSymbols(cd)} lists all the symbols in \\axiom{cd}.")) (|OMlistCDs| (((|List| (|String|))) "\\spad{OMlistCDs()} lists all the \\spad{CDs} supported by AXIOM.")) (|OMreadStr| (((|Any|) (|String|)) "\\spad{OMreadStr(f)} reads an OpenMath object from \\axiom{f} and passes it to AXIOM.")) (|OMreadFile| (((|Any|) (|String|)) "\\spad{OMreadFile(f)} reads an OpenMath object from \\axiom{f} and passes it to AXIOM.")) (|OMread| (((|Any|) (|OpenMathDevice|)) "\\spad{OMread(dev)} reads an OpenMath object from \\axiom{dev} and passes it to AXIOM."))) 
 NIL 
 NIL 
-(-852 S) 
+(|OrderedMultisetAggregate| S) 
 ((|constructor| (NIL "to become an in order iterator")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest entry in the multiset aggregate u."))) 
-((-4625 . T) (-4615 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|partiallyOrderedSet| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-853) 
+(|OpenMathServerPackage|) 
 ((|constructor| (NIL "\\spadtype{OpenMathServerPackage} provides the necessary operations to run AXIOM as an OpenMath server, reading/writing objects to/from a port. Please note the facilities available here are very basic. The idea is that a user calls \\spadignore{e.g.} \\axiom{Omserve(4000,60)} and then another process sends OpenMath objects to port 4000 and reads the result.")) (|OMserve| (((|Void|) (|SingleInteger|) (|SingleInteger|)) "\\spad{OMserve(portnum,timeout)} puts AXIOM into server mode on port number \\axiom{portnum}. The parameter \\axiom{timeout} specifies the \\spad{timeout} period for the connection.")) (|OMsend| (((|Void|) (|OpenMathConnection|) (|Any|)) "\\spad{OMsend(c,u)} attempts to output \\axiom{u} on \\axiom{c} in OpenMath.")) (|OMreceive| (((|Any|) (|OpenMathConnection|)) "\\spad{OMreceive(c)} reads an OpenMath object from connection \\axiom{c} and returns the appropriate AXIOM object."))) 
 NIL 
 NIL 
-(-854 R S) 
+(|OnePointCompletionFunctions2| R S) 
 ((|constructor| (NIL "Lifting of maps to one-point completions.")) (|map| (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)) "\\spad{map(f, \\spad{r,} i)} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(infinity) = i.") (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|)) "\\spad{map(f, \\spad{r)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(infinity) = infinity."))) 
 NIL 
 NIL 
-(-855 R) 
+(|OnePointCompletion| R) 
 ((|constructor| (NIL "Completion with infinity. Adjunction of a complex infinity to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one, \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is infinite.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|infinity| (($) "\\spad{infinity()} returns infinity."))) 
-((-4622 |has| |#1| (-867))) 
-((|HasCategory| |#1| (QUOTE (-867))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-574))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-867)))) (|HasCategory| |#1| (QUOTE (-21))) (-3836 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-867))))) 
-(-856 R) 
+((|unitsKnown| |has| |#1| (|OrderedRing|))) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|OrderedRing|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (OR (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|OrderedRing|))))) 
+(|Operator| R) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators over a ring."))) 
-((-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171)))) 
-(-857) 
+((|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|)))) 
+(|OperationsQuery|) 
 ((|constructor| (NIL "This package exports tools to create AXIOM Library information databases.")) (|getDatabase| (((|Database| (|IndexCard|)) (|String|)) "\\spad{getDatabase(\"char\")} returns a list of appropriate entries in the browser database. The legal values for \\spad{\"char\"} are \"o\" (operations), \\spad{\"k\"} (constructors), \\spad{\"d\"} (domains), \\spad{\"c\"} (categories) or \\spad{\"p\"} (packages)."))) 
 NIL 
 NIL 
-(-858) 
+(|NumericalOptimizationCategory|) 
 ((|constructor| (NIL "\\axiomType{NumericalOptimizationCategory} is the \\axiom{category} for describing the set of Numerical Optimization \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{optimize}.")) (|numericalOptimization| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-859) 
+(|AnnaNumericalOptimizationPackage|) 
 ((|constructor| (NIL "\\axiomType{AnnaNumericalOptimizationPackage} is a \\axiom{package} of functions for the \\axiomType{NumericalOptimizationCategory} with \\axiom{measure} and \\axiom{optimize}.")) (|goodnessOfFit| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{goodnessOfFit(lf,start)} is a top level ANNA function to check to goodness of fit of a least squares model \\spadignore{i.e.} the minimization of a set of functions, \\axiom{lf}, of one or more variables without constraints. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation. goodnessOfFit(lf,start) is a top level function to iterate over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then checks the goodness of fit of the least squares model.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{goodnessOfFit(prob)} is a top level ANNA function to check to goodness of fit of a least squares model as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation.")) (|optimize| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{optimize(lf,start)} is a top level ANNA function to minimize a set of functions, \\axiom{lf}, of one or more variables without constraints \\spadignore{i.e.} a least-squares problem. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|))) "\\spad{optimize(f,start)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables without constraints. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,start,lower,upper)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables with simple constraints. The bounds on the variables are defined in \\axiom{lower} and \\axiom{upper}. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,start,lower,cons,upper)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables with the given constraints. \\blankline These constraints may be simple constraints on the variables in which case \\axiom{cons} would be an empty list and the bounds on those variables defined in \\axiom{lower} and \\axiom{upper}, or a mixture of simple, linear and non-linear constraints, where \\axiom{cons} contains the linear and non-linear constraints and the bounds on these are added to \\axiom{upper} and \\axiom{lower}. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{optimize(prob)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{optimize(prob,routines)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} listed in \\axiom{routines} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{prob} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{prob} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information."))) 
 NIL 
 NIL 
-(-860) 
+(|NumericalOptimizationProblem|) 
 ((|constructor| (NIL "\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\br fn:\\axiomType{Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat},\\br lb:\\axiomType{List OrderedCompletion DoubleFloat},\\br cf:\\axiomType{List Expression DoubleFloat},\\br ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat}).")) (|retract| (((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-861 R S) 
+(|OrderedCompletionFunctions2| R S) 
 ((|constructor| (NIL "Lifting of maps to ordered completions.")) (|map| (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{map(f, \\spad{r,} \\spad{p,} \\spad{m)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(plusInfinity) = \\spad{p} and that f(minusInfinity) = \\spad{m.}") (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|)) "\\spad{map(f, \\spad{r)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(plusInfinity) = plusInfinity and that f(minusInfinity) = minusInfinity."))) 
 NIL 
 NIL 
-(-862 R) 
+(|OrderedCompletion| R) 
 ((|constructor| (NIL "Completion with + and - infinity. Adjunction of two real infinites quantities to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} cannot be so converted.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|whatInfinity| (((|SingleInteger|) $) "\\spad{whatInfinity(x)} returns 0 if \\spad{x} is finite, 1 if \\spad{x} is +infinity, and \\spad{-1} if \\spad{x} is -infinity.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is +infinity or -infinity.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|minusInfinity| (($) "\\spad{minusInfinity()} returns -infinity.")) (|plusInfinity| (($) "\\spad{plusInfinity()} returns +infinity."))) 
-((-4622 |has| |#1| (-867))) 
-((|HasCategory| |#1| (QUOTE (-867))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-574))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-867)))) (|HasCategory| |#1| (QUOTE (-21))) (-3836 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-867))))) 
-(-863) 
+((|unitsKnown| |has| |#1| (|OrderedRing|))) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|OrderedRing|)))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (OR (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|OrderedRing|))))) 
+(|OrderedFinite|) 
 ((|constructor| (NIL "Ordered finite sets."))) 
 NIL 
 NIL 
-(-864 -3832 S) 
+(|OrderingFunctions| |dim| S) 
 ((|constructor| (NIL "This package provides ordering functions on vectors which are suitable parameters for OrderedDirectProduct.")) (|reverseLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{reverseLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by the reverse lexicographic ordering.")) (|totalLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{totalLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by lexicographic ordering.")) (|pureLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{pureLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the lexicographic ordering."))) 
 NIL 
 NIL 
-(-865) 
+(|OrderedMonoid|) 
 ((|constructor| (NIL "Ordered sets which are also monoids, such that multiplication preserves the ordering. \\blankline Axioms\\br \\tab{5}\\spad{x < \\spad{y} \\spad{=>} \\spad{x*z} < y*z}\\br \\tab{5}\\spad{x < \\spad{y} \\spad{=>} \\spad{z*x} < z*y}"))) 
 NIL 
 NIL 
-(-866 S) 
+(|OrderedRing&| S) 
 ((|constructor| (NIL "Ordered sets which are also rings, that is, domains where the ring operations are compatible with the ordering. \\blankline Axiom\\br \\tab{5}\\spad{0<a and \\spad{b<c} \\spad{=>} ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive, \\spad{-1} if \\spad{x} is negative, 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
 NIL 
 NIL 
-(-867) 
+(|OrderedRing|) 
 ((|constructor| (NIL "Ordered sets which are also rings, that is, domains where the ring operations are compatible with the ordering. \\blankline Axiom\\br \\tab{5}\\spad{0<a and \\spad{b<c} \\spad{=>} ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive, \\spad{-1} if \\spad{x} is negative, 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-868 S) 
+(|OrderedSet&| S) 
 ((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, that is, \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-869) 
+(|OrderedSet|) 
 ((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, that is, \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-870 S R) 
+(|UnivariateSkewPolynomialCategory&| S R) 
 ((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}. This category is an evolution of the types MonogenicLinearOperator, OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = \\spad{c} * a + \\spad{d} * \\spad{b} = rightGcd(a, b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,b)} computes the value \\spad{q}, if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = a * \\spad{c} + \\spad{b} * \\spad{d} = leftGcd(a, b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * \\spad{l0}} for some a in \\spad{R,} and \\spad{content(l0) = 1}.")) (|content| ((|#2| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l.}")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(l, a)} returns the exact quotient of \\spad{l} by a, returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#2| $ |#2| |#2|) "\\spad{apply(p, \\spad{c,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l.}")) (|monomial| (($ |#2| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194)))) 
-(-871 R) 
+((|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) 
+(|UnivariateSkewPolynomialCategory| R) 
 ((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}. This category is an evolution of the types MonogenicLinearOperator, OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = \\spad{c} * a + \\spad{d} * \\spad{b} = rightGcd(a, b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,b)} computes the value \\spad{q}, if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = a * \\spad{c} + \\spad{b} * \\spad{d} = leftGcd(a, b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * \\spad{l0}} for some a in \\spad{R,} and \\spad{content(l0) = 1}.")) (|content| ((|#1| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l.}")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(l, a)} returns the exact quotient of \\spad{l} by a, returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#1| $ |#1| |#1|) "\\spad{apply(p, \\spad{c,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l.}")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-872 R C) 
+(|UnivariateSkewPolynomialCategoryOps| R C) 
 ((|constructor| (NIL "\\spad{UnivariateSkewPolynomialCategoryOps} provides products and divisions of univariate skew polynomials.")) (|rightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{rightDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''. \\spad{\\sigma} is the morphism to use.")) (|leftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{leftDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''. \\spad{\\sigma} is the morphism to use.")) (|monicRightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicRightDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''. \\spad{\\sigma} is the morphism to use.")) (|monicLeftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicLeftDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''. \\spad{\\sigma} is the morphism to use.")) (|apply| ((|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{apply(p, \\spad{c,} \\spad{m,} sigma, delta)} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|times| ((|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{times(p, \\spad{q,} sigma, delta)} returns \\spad{p * \\spad{q}.} \\spad{\\sigma} and \\spad{\\delta} are the maps to use."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) 
-(-873 R |sigma| -2026) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|SparseUnivariateSkewPolynomial| R |sigma| |delta|) 
 ((|constructor| (NIL "This is the domain of sparse univariate skew polynomials over an Ore coefficient field. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}.")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p, \\spad{x)}} returns the output form of \\spad{p} using \\spad{x} for the otherwise anonymous variable."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-874 |x| R |sigma| -2026) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|UnivariateSkewPolynomial| |x| R |sigma| |delta|) 
 ((|constructor| (NIL "This is the domain of univariate skew polynomials over an Ore coefficient field in a named variable. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}.")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} returns \\spad{x} as a skew-polynomial."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-388)))) 
-(-875 R) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|OrthogonalPolynomialFunctions| R) 
 ((|constructor| (NIL "This package provides orthogonal polynomials as functions on a ring.")) (|legendreP| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{legendreP(n,x)} is the \\spad{n}-th Legendre polynomial, \\spad{P[n](x)}. These are defined by \\spad{1/sqrt(1-2*x*t+t**2) = sum(P[n](x)*t**n, \\spad{n} = 0..)}.")) (|laguerreL| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(m,n,x)} is the associated Laguerre polynomial, \\spad{L<m>[n](x)}. This is the \\spad{m}-th derivative of \\spad{L[n](x)}.") ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(n,x)} is the \\spad{n}-th Laguerre polynomial, \\spad{L[n](x)}. These are defined by \\spad{exp(-t*x/(1-t))/(1-t) = sum(L[n](x)*t**n/n!, \\spad{n} = 0..)}.")) (|hermiteH| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{hermiteH(n,x)} is the \\spad{n}-th Hermite polynomial, \\spad{H[n](x)}. These are defined by \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!, \\spad{n} = 0..)}.")) (|chebyshevU| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevU(n,x)} is the \\spad{n}-th Chebyshev polynomial of the second kind, \\spad{U[n](x)}. These are defined by \\spad{1/(1-2*t*x+t**2) = sum(T[n](x) *t**n, \\spad{n} = 0..)}.")) (|chebyshevT| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevT(n,x)} is the \\spad{n}-th Chebyshev polynomial of the first kind, \\spad{T[n](x)}. These are defined by \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x) *t**n, \\spad{n} = 0..)}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) 
-(-876) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) 
+(|OrdSetInts|) 
 ((|constructor| (NIL "A domain used in order to take the free R-module on the Integers I. This is actually the forgetful functor from OrderedRings to OrderedSets applied to \\spad{I}")) (|value| (((|Integer|) $) "\\spad{value(x)} returns the integer associated with \\spad{x}")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} returns the element corresponding to \\spad{i}"))) 
 NIL 
 NIL 
-(-877) 
+(|OutputForm|) 
 ((|constructor| (NIL "This domain is used to create and manipulate mathematical expressions for output. It is intended to provide an insulating layer between the expression rendering software (\\spadignore{e.g.} TeX, or Script) and the output coercions in the various domains.")) (SEGMENT (($ $) "\\spad{SEGMENT(x)} creates the prefix form: \\spad{x..}.") (($ $ $) "\\spad{SEGMENT(x,y)} creates the infix form: \\spad{x..y}.")) (|not| (($ $) "\\spad{not \\spad{f}} creates the equivalent prefix form.")) (|or| (($ $ $) "\\spad{f or \\spad{g}} creates the equivalent infix form.")) (|and| (($ $ $) "\\spad{f and \\spad{g}} creates the equivalent infix form.")) (|exquo| (($ $ $) "\\spad{exquo(f,g)} creates the equivalent infix form.")) (|quo| (($ $ $) "\\spad{f quo \\spad{g}} creates the equivalent infix form.")) (|rem| (($ $ $) "\\spad{f rem \\spad{g}} creates the equivalent infix form.")) (|div| (($ $ $) "\\spad{f div \\spad{g}} creates the equivalent infix form.")) (** (($ $ $) "\\spad{f \\spad{**} \\spad{g}} creates the equivalent infix form.")) (/ (($ $ $) "\\spad{f / \\spad{g}} creates the equivalent infix form.")) (* (($ $ $) "\\spad{f * \\spad{g}} creates the equivalent infix form.")) (- (($ $) "\\spad{- \\spad{f}} creates the equivalent prefix form.") (($ $ $) "\\spad{f - \\spad{g}} creates the equivalent infix form.")) (+ (($ $ $) "\\spad{f + \\spad{g}} creates the equivalent infix form.")) (>= (($ $ $) "\\spad{f \\spad{>=} \\spad{g}} creates the equivalent infix form.")) (<= (($ $ $) "\\spad{f \\spad{<=} \\spad{g}} creates the equivalent infix form.")) (> (($ $ $) "\\spad{f > \\spad{g}} creates the equivalent infix form.")) (< (($ $ $) "\\spad{f < \\spad{g}} creates the equivalent infix form.")) (^= (($ $ $) "\\spad{f \\spad{^=} \\spad{g}} creates the equivalent infix form.")) (= (($ $ $) "\\spad{f = \\spad{g}} creates the equivalent infix form.")) (|blankSeparate| (($ (|List| $)) "\\spad{blankSeparate(l)} creates the form separating the elements of \\spad{l} by blanks.")) (|semicolonSeparate| (($ (|List| $)) "\\spad{semicolonSeparate(l)} creates the form separating the elements of \\spad{l} by semicolons.")) (|commaSeparate| (($ (|List| $)) "\\spad{commaSeparate(l)} creates the form separating the elements of \\spad{l} by commas.")) (|pile| (($ (|List| $)) "\\spad{pile(l)} creates the form consisting of the elements of \\spad{l} which displays as a pile, \\spadignore{i.e.} the elements begin on a new line and are indented right to the same margin.")) (|paren| (($ (|List| $)) "\\spad{paren(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in parentheses.") (($ $) "\\spad{paren(f)} creates the form enclosing \\spad{f} in parentheses.")) (|bracket| (($ (|List| $)) "\\spad{bracket(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in square brackets.") (($ $) "\\spad{bracket(f)} creates the form enclosing \\spad{f} in square brackets.")) (|brace| (($ (|List| $)) "\\spad{brace(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in curly brackets.") (($ $) "\\spad{brace(f)} creates the form enclosing \\spad{f} in braces (curly brackets).")) (|int| (($ $ $ $) "\\spad{int(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by an integral sign with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{int(expr,lowerlimit)} creates the form prefixing \\spad{expr} by an integral sign with a lowerlimit.") (($ $) "\\spad{int(expr)} creates the form prefixing \\spad{expr} with an integral sign.")) (|prod| (($ $ $ $) "\\spad{prod(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{prod(expr,lowerlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with a lowerlimit.") (($ $) "\\spad{prod(expr)} creates the form prefixing \\spad{expr} by a capital pi.")) (|sum| (($ $ $ $) "\\spad{sum(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by a capital sigma with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{sum(expr,lowerlimit)} creates the form prefixing \\spad{expr} by a capital sigma with a lowerlimit.") (($ $) "\\spad{sum(expr)} creates the form prefixing \\spad{expr} by a capital sigma.")) (|overlabel| (($ $ $) "\\spad{overlabel(x,f)} creates the form \\spad{f} with \\spad{\"x} overbar\" over the top.")) (|overbar| (($ $) "\\spad{overbar(f)} creates the form \\spad{f} with an overbar.")) (|prime| (($ $ (|NonNegativeInteger|)) "\\spad{prime(f,n)} creates the form \\spad{f} followed by \\spad{n} primes.") (($ $) "\\spad{prime(f)} creates the form \\spad{f} followed by a suffix prime (single quote).")) (|dot| (($ $ (|NonNegativeInteger|)) "\\spad{dot(f,n)} creates the form \\spad{f} with \\spad{n} dots overhead.") (($ $) "\\spad{dot(f)} creates the form with a one dot overhead.")) (|quote| (($ $) "\\spad{quote(f)} creates the form \\spad{f} with a prefix quote.")) (|supersub| (($ $ (|List| $)) "\\spad{supersub(a,[sub1,super1,sub2,super2,...])} creates a form with each subscript aligned under each superscript.")) (|scripts| (($ $ (|List| $)) "\\spad{scripts(f, [sub, super, presuper, presub])} \\indented{1}{creates a form for \\spad{f} with scripts on all 4 corners.}")) (|presuper| (($ $ $) "\\spad{presuper(f,n)} creates a form for \\spad{f} presuperscripted by \\spad{n.}")) (|presub| (($ $ $) "\\spad{presub(f,n)} creates a form for \\spad{f} presubscripted by \\spad{n.}")) (|super| (($ $ $) "\\spad{super(f,n)} creates a form for \\spad{f} superscripted by \\spad{n.}")) (|sub| (($ $ $) "\\spad{sub(f,n)} creates a form for \\spad{f} subscripted by \\spad{n.}")) (|binomial| (($ $ $) "\\spad{binomial(n,m)} creates a form for the binomial coefficient of \\spad{n} and \\spad{m.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,n)} creates a form for the \\spad{n}th derivative of \\spad{f,} \\spadignore{e.g.} \\spad{f'}, \\spad{f''}, \\spad{f'''}, \\spad{\"f} super \\spad{iv}\".")) (|rarrow| (($ $ $) "\\spad{rarrow(f,g)} creates a form for the mapping \\spad{f \\spad{->} \\spad{g}.}")) (|assign| (($ $ $) "\\spad{assign(f,g)} creates a form for the assignment \\spad{f \\spad{:=} \\spad{g}.}")) (|slash| (($ $ $) "\\spad{slash(f,g)} creates a form for the horizontal fraction of \\spad{f} over \\spad{g.}")) (|over| (($ $ $) "\\spad{over(f,g)} creates a form for the vertical fraction of \\spad{f} over \\spad{g.}")) (|root| (($ $ $) "\\spad{root(f,n)} creates a form for the \\spad{n}th root of form \\spad{f.}") (($ $) "\\spad{root(f)} creates a form for the square root of form \\spad{f.}")) (|zag| (($ $ $) "\\spad{zag(f,g)} creates a form for the continued fraction form for \\spad{f} over \\spad{g.}")) (|matrix| (($ (|List| (|List| $))) "\\spad{matrix(llf)} makes \\spad{llf} (a list of lists of forms) into a form which displays as a matrix.")) (|box| (($ $) "\\spad{box(f)} encloses \\spad{f} in a box.")) (|label| (($ $ $) "\\spad{label(n,f)} gives form \\spad{f} an equation label \\spad{n.}")) (|string| (($ $) "\\spad{string(f)} creates \\spad{f} with string quotes.")) (|elt| (($ $ (|List| $)) "\\spad{elt(op,l)} creates a form for application of \\spad{op} to list of arguments \\spad{l.}")) (|infix?| (((|Boolean|) $) "\\spad{infix?(op)} returns \\spad{true} if \\spad{op} is an infix operator, and \\spad{false} otherwise.")) (|postfix| (($ $ $) "\\spad{postfix(op, a)} creates a form which prints as: a op.")) (|infix| (($ $ $ $) "\\spad{infix(op, a, \\spad{b)}} creates a form which prints as: a \\spad{op} \\spad{b.}") (($ $ (|List| $)) "\\spad{infix(f,l)} creates a form depicting the n-ary application of infix operation \\spad{f} to a tuple of arguments \\spad{l.}")) (|prefix| (($ $ (|List| $)) "\\spad{prefix(f,l)} creates a form depicting the n-ary prefix application of \\spad{f} to a tuple of arguments given by list \\spad{l.}")) (|vconcat| (($ (|List| $)) "\\spad{vconcat(u)} vertically concatenates all forms in list u.") (($ $ $) "\\spad{vconcat(f,g)} vertically concatenates forms \\spad{f} and \\spad{g.}")) (|hconcat| (($ (|List| $)) "\\spad{hconcat(u)} horizontally concatenates all forms in list u.") (($ $ $) "\\spad{hconcat(f,g)} horizontally concatenate forms \\spad{f} and \\spad{g.}")) (|center| (($ $) "\\spad{center(f)} centers form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{center(f,n)} centers form \\spad{f} within space of width \\spad{n.}")) (|right| (($ $) "\\spad{right(f)} right-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{right(f,n)} right-justifies form \\spad{f} within space of width \\spad{n.}")) (|left| (($ $) "\\spad{left(f)} left-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{left(f,n)} left-justifies form \\spad{f} within space of width \\spad{n.}")) (|rspace| (($ (|Integer|) (|Integer|)) "\\spad{rspace(n,m)} creates rectangular white space, \\spad{n} wide by \\spad{m} high.")) (|vspace| (($ (|Integer|)) "\\spad{vspace(n)} creates white space of height \\spad{n.}")) (|hspace| (($ (|Integer|)) "\\spad{hspace(n)} creates white space of width \\spad{n.}")) (|superHeight| (((|Integer|) $) "\\spad{superHeight(f)} returns the height of form \\spad{f} above the base line.")) (|subHeight| (((|Integer|) $) "\\spad{subHeight(f)} returns the height of form \\spad{f} below the base line.")) (|height| (((|Integer|)) "\\spad{height()} returns the height of the display area (an integer).") (((|Integer|) $) "\\spad{height(f)} returns the height of form \\spad{f} (an integer).")) (|width| (((|Integer|)) "\\spad{width()} returns the width of the display area (an integer).") (((|Integer|) $) "\\spad{width(f)} returns the width of form \\spad{f} (an integer).")) (|empty| (($) "\\spad{empty()} creates an empty form.")) (|outputForm| (($ (|DoubleFloat|)) "\\spad{outputForm(sf)} creates an form for small float \\spad{sf.}") (($ (|String|)) "\\spad{outputForm(s)} creates an form for string \\spad{s.}") (($ (|Symbol|)) "\\spad{outputForm(s)} creates an form for symbol \\spad{s.}") (($ (|Integer|)) "\\spad{outputForm(n)} creates an form for integer \\spad{n.}")) (|messagePrint| (((|Void|) (|String|)) "\\spad{messagePrint(s)} prints \\spad{s} without string quotes. Note: \\spad{messagePrint(s)} is equivalent to \\spad{print message(s)}.")) (|message| (($ (|String|)) "\\spad{message(s)} creates an form with no string quotes from string \\spad{s.}")) (|print| (((|Void|) $) "\\spad{print(u)} prints the form u."))) 
 NIL 
 NIL 
-(-878) 
+(|OutputPackage|) 
 ((|constructor| (NIL "OutPackage allows pretty-printing from programs.")) (|outputList| (((|Void|) (|List| (|Any|))) "\\spad{outputList(l)} displays the concatenated components of the list \\spad{l} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}; quotes are stripped from strings.")) (|output| (((|Void|) (|String|) (|OutputForm|)) "\\spad{output(s,x)} displays the string \\spad{s} followed by the form \\spad{x} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|OutputForm|)) "\\spad{output(x)} displays the output form \\spad{x} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|String|)) "\\spad{output(s)} displays the string \\spad{s} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}."))) 
 NIL 
 NIL 
-(-879 |VariableList|) 
+(|OrderedVariableList| |VariableList|) 
 ((|constructor| (NIL "This domain implements ordered variables")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} returns a member of the variable set or failed"))) 
 NIL 
 NIL 
-(-880 R |vl| |wl| |wtlevel|) 
+(|OrdinaryWeightedPolynomials| R |vl| |wl| |wtlevel|) 
 ((|constructor| (NIL "This domain represents truncated weighted polynomials over the \"Polynomial\" type. The variables must be specified, as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} This changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero, and if \\spad{R} is a Field)")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(p)} coerces a Polynomial(R) into Weighted form, applying weights and ignoring terms") (((|Polynomial| |#1|) $) "\\spad{coerce(p)} converts back into a Polynomial(R), ignoring weights"))) 
-((-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-881) 
+((|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfAlgExtOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-882 |downLevel|) 
+(|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |downLevel|) 
 ((|constructor| (NIL "This domain implement dynamic extension over the PseudoAlgebraicClosureOfRationalNumber. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-887) (QUOTE (-171))) (|HasCategory| (-887) (QUOTE (-169))) (|HasCategory| (-887) (QUOTE (-394))) (|HasCategory| (-433 (-592)) (QUOTE (-171))) (|HasCategory| (-433 (-592)) (QUOTE (-169))) (|HasCategory| (-433 (-592)) (QUOTE (-394))) (-3836 (|HasCategory| (-433 (-592)) (QUOTE (-169))) (|HasCategory| (-433 (-592)) (QUOTE (-394))) (|HasCategory| (-887) (QUOTE (-169))) (|HasCategory| (-887) (QUOTE (-394)))) (-3836 (|HasCategory| (-433 (-592)) (QUOTE (-394))) (|HasCategory| (-887) (QUOTE (-394))))) 
-(-883) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|PseudoAlgebraicClosureOfRationalNumber|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|PseudoAlgebraicClosureOfRationalNumber|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PseudoAlgebraicClosureOfRationalNumber|) (QUOTE (|Finite|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|Finite|))) (OR (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|Finite|))) (|HasCategory| (|PseudoAlgebraicClosureOfRationalNumber|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PseudoAlgebraicClosureOfRationalNumber|) (QUOTE (|Finite|)))) (OR (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|Finite|))) (|HasCategory| (|PseudoAlgebraicClosureOfRationalNumber|) (QUOTE (|Finite|))))) 
+(|PseudoAlgebraicClosureOfFiniteFieldCategory|) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfFiniteField which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-884 K) 
+(|PseudoAlgebraicClosureOfFiniteField| K) 
 ((|constructor| (NIL "This domain implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-394)))) 
-(-885) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Finite|)))) 
+(|PseudoAlgebraicClosureOfPerfectFieldCategory|) 
 ((|constructor| (NIL "This category exports the function for domains which implement dynamic extension using the simple notion of tower extensions. \\spad{++} A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are coming from a set of related tower extensions.")) (|previousTower| (($ $) "\\spad{previousTower(a)} returns the previous tower extension over which the element a is defined.")) (|extDegree| (((|PositiveInteger|) $) "\\spad{extDegree(a)} returns the extension degree of the extension tower over which the element is defined.")) (|maxTower| (($ (|List| $)) "\\spad{maxTower(l)} returns the tower in the list having the maximal extension degree over the ground field. It has no meaning if the towers are not related.")) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) "\\spad{distinguishedRootsOf(p,a)} returns a (distinguised) root for each irreducible factor of the polynomial \\spad{p} (factored over the field defined by the element a)."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-886) 
+(|PseudoAlgebraicClosureOfRationalNumberCategory|) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-887) 
+(|PseudoAlgebraicClosureOfRationalNumber|) 
 ((|constructor| (NIL "This domain implements dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-433 (-592)) (QUOTE (-171))) (|HasCategory| (-433 (-592)) (QUOTE (-169))) (|HasCategory| (-433 (-592)) (QUOTE (-394))) (-3836 (|HasCategory| (-433 (-592)) (QUOTE (-169))) (|HasCategory| (-433 (-592)) (QUOTE (-394))))) 
-(-888 R PS UP) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|Finite|))) (OR (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|Finite|))))) 
+(|PadeApproximants| R PS UP) 
 ((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|padecf| (((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{padecf(nd,dd,ns,ds)} computes the approximant as a continued fraction of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function).")) (|pade| (((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{pade(nd,dd,ns,ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function)."))) 
 NIL 
 NIL 
-(-889 R |x| |pt|) 
+(|PadeApproximantPackage| R |x| |pt|) 
 ((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|pade| (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,dd,s)} computes the quotient of polynomials (if it exists) with numerator degree at most \\spad{nd} and denominator degree at most \\spad{dd} which matches the series \\spad{s} to order \\spad{nd + dd}.") (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,dd,ns,ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function)."))) 
 NIL 
 NIL 
-(-890 |p|) 
+(|PAdicIntegerCategory| |p|) 
 ((|constructor| (NIL "This is the category of stream-based representations of the p-adic integers.")) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{root(f,a)} returns a root of the polynomial \\spad{f}. Argument \\spad{a} must be a root of \\spad{f} \\spad{(mod p)}.")) (|sqrt| (($ $ (|Integer|)) "\\spad{sqrt(b,a)} returns a square root of \\spad{b.} Argument \\spad{a} is a square root of \\spad{b} \\spad{(mod p)}.")) (|approximate| (((|Integer|) $ (|Integer|)) "\\spad{approximate(x,n)} returns an integer \\spad{y} such that \\spad{y = \\spad{x} (mod p^n)} when \\spad{n} is positive, and 0 otherwise.")) (|quotientByP| (($ $) "\\spad{quotientByP(x)} returns \\spad{b,} where \\spad{x = a + \\spad{b} \\spad{p}.}")) (|moduloP| (((|Integer|) $) "\\spad{modulo(x)} returns a, where \\spad{x = a + \\spad{b} \\spad{p}.}")) (|modulus| (((|Integer|)) "\\spad{modulus()} returns the value of \\spad{p.}")) (|complete| (($ $) "\\spad{complete(x)} forces the computation of all digits.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,n)} forces the computation of digits up to order \\spad{n.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the exponent of the highest power of \\spad{p} dividing \\spad{x.}")) (|digits| (((|Stream| (|Integer|)) $) "\\spad{digits(x)} returns a stream of p-adic digits of \\spad{x.}"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-891 |p|) 
+(|PAdicInteger| |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} p-adic numbers are represented as sum(i = 0.., a[i] * p^i), where the a[i] lie in 0,1,...,(p - 1)."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-892 |p|) 
+(|PAdicRational| |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(i = k.., a[i] * p^i) where the a[i] lie in 0,1,...,(p - 1)."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-891 |#1|) (QUOTE (-931))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-891 |#1|) (QUOTE (-169))) (|HasCategory| (-891 |#1|) (QUOTE (-171))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-891 |#1|) (QUOTE (-1049))) (|HasCategory| (-891 |#1|) (QUOTE (-842))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-891 |#1|) (QUOTE (-1165))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| (-891 |#1|) (QUOTE (-247))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -891) (|devaluate| |#1|)))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -325) (LIST (QUOTE -891) (|devaluate| |#1|)))) (|HasCategory| (-891 |#1|) (LIST (QUOTE -303) (LIST (QUOTE -891) (|devaluate| |#1|)) (LIST (QUOTE -891) (|devaluate| |#1|)))) (|HasCategory| (-891 |#1|) (QUOTE (-323))) (|HasCategory| (-891 |#1|) (QUOTE (-574))) (|HasCategory| (-891 |#1|) (QUOTE (-869))) (-3836 (|HasCategory| (-891 |#1|) (QUOTE (-842))) (|HasCategory| (-891 |#1|) (QUOTE (-869)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-891 |#1|) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-891 |#1|) (QUOTE (-931)))) (|HasCategory| (-891 |#1|) (QUOTE (-169))))) 
-(-893 |p| PADIC) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|RealConstant|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|StepThrough|))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |PAdicInteger|) (|devaluate| |#1|)))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |PAdicInteger|) (|devaluate| |#1|)))) (|HasCategory| (|PAdicInteger| |#1|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |PAdicInteger|) (|devaluate| |#1|)) (LIST (QUOTE |PAdicInteger|) (|devaluate| |#1|)))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|PAdicInteger| |#1|) (QUOTE (|CharacteristicNonZero|))))) 
+(|PAdicRationalConstructor| |p| PADIC) 
 ((|constructor| (NIL "This is the category of stream-based representations of \\spad{Qp.}")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,x)} removes up to \\spad{n} leading zeroes from the p-adic rational \\spad{x}.") (($ $) "\\spad{removeZeroes(x)} removes leading zeroes from the representation of the p-adic rational \\spad{x}. A p-adic rational is represented by \\spad{(1)} an exponent and \\spad{(2)} a p-adic integer which may have leading zero digits. When the p-adic integer has a leading zero digit, a 'leading zero' is removed from the p-adic rational as follows: the number is rewritten by increasing the exponent by 1 and dividing the p-adic integer by \\spad{p.} Note: \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f.}")) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) "\\spad{continuedFraction(x)} converts the p-adic rational number \\spad{x} to a continued fraction.")) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) "\\spad{approximate(x,n)} returns a rational number \\spad{y} such that \\spad{y = \\spad{x} (mod p^n)}."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1165))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-247))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-323))) (|HasCategory| |#2| (QUOTE (-574))) (|HasCategory| |#2| (QUOTE (-869))) (-3836 (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-869)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-894 K |symb| BLMET) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|RealConstant|))) (|HasCategory| |#2| (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|StepThrough|))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |Eltable|) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#2| (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|PackageForAlgebraicFunctionFieldOverFiniteField| K |symb| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial defined by setCurve.")) (|intersectionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor of the form \\spad{pol} with the curve. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}"))) 
 NIL 
-((|HasCategory| (-884 |#1|) (QUOTE (-394)))) 
-(-895 K |symb| BLMET) 
+((|HasCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (QUOTE (|Finite|)))) 
+(|PackageForAlgebraicFunctionField| K |symb| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|Places| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|Places| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial set with the function setCurve.")) (|intersectionDivisor| (((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field, an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| (|ProjectivePlane| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|Places| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlane| |#1|) (|Places| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-394)))) 
-(-896) 
+((|HasCategory| |#1| (QUOTE (|Finite|)))) 
+(|Palette|) 
 ((|constructor| (NIL "This domain describes four groups of color shades (palettes).")) (|coerce| (($ (|Color|)) "\\spad{coerce(c)} sets the average shade for the palette to that of the indicated color \\spad{c.}")) (|shade| (((|Integer|) $) "\\spad{shade(p)} returns the shade index of the indicated palette \\spad{p.}")) (|hue| (((|Color|) $) "\\spad{hue(p)} returns the hue field of the indicated palette \\spad{p.}")) (|light| (($ (|Color|)) "\\spad{light(c)} sets the shade of a hue, \\spad{c,} to it's highest value.")) (|pastel| (($ (|Color|)) "\\spad{pastel(c)} sets the shade of a hue, \\spad{c,} above bright, but below light.")) (|bright| (($ (|Color|)) "\\spad{bright(c)} sets the shade of a hue, \\spad{c,} above dim, but below pastel.")) (|dim| (($ (|Color|)) "\\spad{dim(c)} sets the shade of a hue, \\spad{c,} above dark, but below bright.")) (|dark| (($ (|Color|)) "\\spad{dark(c)} sets the shade of the indicated hue of \\spad{c} to it's lowest value."))) 
 NIL 
 NIL 
-(-897) 
+(|PolynomialAN2Expression|) 
 ((|constructor| (NIL "This package provides a coerce from polynomials over algebraic numbers to \\spadtype{Expression AlgebraicNumber}.")) (|coerce| (((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) "\\spad{coerce(rf)} converts \\spad{rf}, a fraction of polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}.") (((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|))) "\\spad{coerce(p)} converts the polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}."))) 
 NIL 
 NIL 
-(-898 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+(|ParametrizationPackage| K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|parametrize| ((|#6| |#3| |#7| (|Integer|)) "\\spad{parametrize(f,pl,n)} returns t**n * parametrize(f,p).") ((|#6| |#3| |#3| |#7|) "\\spad{parametrize(f,g,pl)} returns the local parametrization of the rational function \\spad{f/g} at the place \\spad{pl.} Note that local parametrization of the place must have first been compute and set. For simple point on a curve, this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}.") ((|#6| |#3| |#7|) "\\spad{parametrize(f,pl)} returns the local parametrization of the polynomial function \\spad{f} at the place \\spad{pl.} Note that local parametrization of the place must have first been compute and set. For simple point on a curve, this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}."))) 
 NIL 
 NIL 
-(-899 CF1 CF2) 
+(|ParametricPlaneCurveFunctions2| CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-900 |ComponentFunction|) 
+(|ParametricPlaneCurve| |ComponentFunction|) 
 ((|constructor| (NIL "ParametricPlaneCurve is used for plotting parametric plane curves in the affine plane.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,i)} returns a coordinate function for \\spad{c} using 1-based indexing according to i. This indicates what the function for the coordinate component \\spad{i} of the plane curve is.")) (|curve| (($ |#1| |#1|) "\\spad{curve(c1,c2)} creates a plane curve from 2 component functions \\spad{c1} and \\spad{c2}."))) 
 NIL 
 NIL 
-(-901 CF1 CF2) 
+(|ParametricSpaceCurveFunctions2| CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-902 |ComponentFunction|) 
+(|ParametricSpaceCurve| |ComponentFunction|) 
 ((|constructor| (NIL "ParametricSpaceCurve is used for plotting parametric space curves in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,i)} returns a coordinate function of \\spad{c} using 1-based indexing according to i. This indicates what the function for the coordinate component, i, of the space curve is.")) (|curve| (($ |#1| |#1| |#1|) "\\spad{curve(c1,c2,c3)} creates a space curve from 3 component functions \\spad{c1}, \\spad{c2}, and \\spad{c3}."))) 
 NIL 
 NIL 
-(-903 CF1 CF2) 
+(|ParametricSurfaceFunctions2| CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-904 |ComponentFunction|) 
+(|ParametricSurface| |ComponentFunction|) 
 ((|constructor| (NIL "ParametricSurface is used for plotting parametric surfaces in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(s,i)} returns a coordinate function of \\spad{s} using 1-based indexing according to i. This indicates what the function for the coordinate component, i, of the surface is.")) (|surface| (($ |#1| |#1| |#1|) "\\spad{surface(c1,c2,c3)} creates a surface from 3 parametric component functions \\spad{c1}, \\spad{c2}, and \\spad{c3}."))) 
 NIL 
 NIL 
-(-905) 
+(|PartitionsAndPermutations|) 
 ((|constructor| (NIL "PartitionsAndPermutations contains functions for generating streams of integer partitions, and streams of sequences of integers composed from a multi-set.")) (|permutations| (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{permutations(n)} is the stream of permutations \\indented{1}{formed from \\spad{1,2,3,...,n}.}")) (|sequences| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{sequences([l0,l1,l2,..,ln])} is the set of \\indented{1}{all sequences formed from} \\spad{l0} 0's,\\spad{l1} 1's,\\spad{l2} 2's,...,\\spad{ln} n's.") (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{sequences(l1,l2)} is the stream of all sequences that \\indented{1}{can be composed from the multiset defined from} \\indented{1}{two lists of integers \\spad{l1} and l2.} \\indented{1}{For example,the pair \\spad{([1,2,4],[2,3,5])} represents} \\indented{1}{multi-set with 1 \\spad{2}, 2 \\spad{3}'s, and 4 \\spad{5}'s.}")) (|shufflein| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|)))) "\\spad{shufflein(l,st)} maps shuffle(l,u) on to all \\indented{1}{members \\spad{u} of \\spad{st,} concatenating the results.}")) (|shuffle| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{shuffle(l1,l2)} forms the stream of all shuffles of \\spad{l1} \\indented{1}{and \\spad{l2,} \\spadignore{i.e.} all sequences that can be formed from} \\indented{1}{merging \\spad{l1} and l2.}")) (|conjugates| (((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|)))) "\\spad{conjugates(lp)} is the stream of conjugates of a stream \\indented{1}{of partitions lp.}")) (|conjugate| (((|List| (|Integer|)) (|List| (|Integer|))) "\\spad{conjugate(pt)} is the conjugate of the partition \\spad{pt.}")) (|partitions| (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{partitions(p,l)} is the stream of all \\indented{1}{partitions whose number of} \\indented{1}{parts and largest part are no greater than \\spad{p} and \\spad{l.}}") (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{partitions(n)} is the stream of all partitions of \\spad{n.}") (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|)) "\\spad{partitions(p,l,n)} is the stream of partitions \\indented{1}{of \\spad{n} whose number of parts is no greater than \\spad{p}} \\indented{1}{and whose largest part is no greater than \\spad{l.}}"))) 
 NIL 
 NIL 
-(-906 R) 
+(|Patternable| R) 
 ((|constructor| (NIL "Category of sets that can be converted to useful patterns An object \\spad{S} is Patternable over an object \\spad{R} if \\spad{S} can lift the conversions from \\spad{R} into \\spadtype{Pattern(Integer)} and \\spadtype{Pattern(Float)} to itself."))) 
 NIL 
 NIL 
-(-907 R S L) 
+(|PatternMatchListResult| R S L) 
 ((|constructor| (NIL "A PatternMatchListResult is an object internally returned by the pattern matcher when matching on lists. It is either a failed match, or a pair of PatternMatchResult, one for atoms (elements of the list), and one for lists.")) (|lists| (((|PatternMatchResult| |#1| |#3|) $) "\\spad{lists(r)} returns the list of matches that match lists.")) (|atoms| (((|PatternMatchResult| |#1| |#2|) $) "\\spad{atoms(r)} returns the list of matches that match atoms (elements of the lists).")) (|makeResult| (($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|)) "\\spad{makeResult(r1,r2)} makes the combined result [r1,r2].")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-908 S) 
+(|PatternMatchable| S) 
 ((|constructor| (NIL "A set \\spad{R} is PatternMatchable over \\spad{S} if elements of \\spad{R} can be matched to patterns over \\spad{S.}")) (|patternMatch| (((|PatternMatchResult| |#1| $) $ (|Pattern| |#1|) (|PatternMatchResult| |#1| $)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr. res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion). Initially, res is just the result of \\spadfun{new} which is an empty list of matches."))) 
 NIL 
 NIL 
-(-909 |Base| |Subject| |Pat|) 
+(|PatternMatch| |Base| |Subject| |Pat|) 
 ((|constructor| (NIL "This package provides the top-level pattern macthing functions.")) (|Is| (((|PatternMatchResult| |#1| |#2|) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a match of the form \\spad{[v1 = e1,...,vn = en]}; returns an empty match if \\spad{expr} is exactly equal to pat. returns a \\spadfun{failed} match if pat does not match expr.") (((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,...,vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match expr.") (((|List| (|Equation| |#2|)) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,...,vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match expr.") (((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|) "\\spad{Is([e1,...,en], pat)} matches the pattern pat on the list of expressions \\spad{[e1,...,en]} and returns the result.")) (|is?| (((|Boolean|) (|List| |#2|) |#3|) "\\spad{is?([e1,...,en], pat)} tests if the list of expressions \\spad{[e1,...,en]} matches the pattern pat.") (((|Boolean|) |#2| |#3|) "\\spad{is?(expr, pat)} tests if the expression \\spad{expr} matches the pattern pat."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191)))) (-12 (-3252 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191))))) (-3252 (|HasCategory| |#2| (QUOTE (-1075))))) (-12 (|HasCategory| |#2| (QUOTE (-1075))) (-3252 (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191))))))) 
-(-910 R A B) 
+((|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (AND (|not| (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))) (|not| (|HasCategory| |#2| (QUOTE (|Ring|))))) (AND (|HasCategory| |#2| (QUOTE (|Ring|))) (|not| (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))))) 
+(|PatternMatchResultFunctions2| R A B) 
 ((|constructor| (NIL "Lifts maps to pattern matching results.")) (|map| (((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)) "\\spad{map(f, [(v1,a1),...,(vn,an)])} returns the matching result [(v1,f(a1)),...,(vn,f(an))]."))) 
 NIL 
 NIL 
-(-911 R S) 
+(|PatternMatchResult| R S) 
 ((|constructor| (NIL "A PatternMatchResult is an object internally returned by the pattern matcher; It is either a failed match, or a list of matches of the form (var, expr) meaning that the variable var matches the expression expr.")) (|satisfy?| (((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|)) "\\spad{satisfy?(r, \\spad{p)}} returns \\spad{true} if the matches satisfy the top-level predicate of \\spad{p,} \\spad{false} if they don't, and \"failed\" if not enough variables of \\spad{p} are matched in \\spad{r} to decide.")) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|)))) "\\spad{construct([v1,e1],...,[vn,en])} returns the match result containing the matches (v1,e1),...,(vn,en).")) (|destruct| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $) "\\spad{destruct(r)} returns the list of matches (var, expr) in \\spad{r.} Error: if \\spad{r} is a failed match.")) (|addMatchRestricted| (($ (|Pattern| |#1|) |#2| $ |#2|) "\\spad{addMatchRestricted(var, expr, \\spad{r,} val)} adds the match (var, expr) in \\spad{r,} provided that \\spad{expr} satisfies the predicates attached to var, that \\spad{var} is not matched to another expression already, and that either \\spad{var} is an optional pattern variable or that \\spad{expr} is not equal to val (usually an identity).")) (|insertMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{insertMatch(var, expr, \\spad{r)}} adds the match (var, expr) in \\spad{r,} without checking predicates or previous matches for var.")) (|addMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{addMatch(var, expr, \\spad{r)}} adds the match (var, expr) in \\spad{r,} provided that \\spad{expr} satisfies the predicates attached to var, and that \\spad{var} is not matched to another expression already.")) (|getMatch| (((|Union| |#2| "failed") (|Pattern| |#1|) $) "\\spad{getMatch(var, \\spad{r)}} returns the expression that \\spad{var} matches in the result \\spad{r,} and \"failed\" if \\spad{var} is not matched in \\spad{r.}")) (|union| (($ $ $) "\\spad{union(a, \\spad{b)}} makes the set-union of two match results.")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-912 R -1940) 
+(|PatternFunctions1| R D) 
 ((|constructor| (NIL "Utilities for handling patterns")) (|badValues| (((|List| |#2|) (|Pattern| |#1|)) "\\spad{badValues(p)} returns the list of \"bad values\" for \\spad{p;} \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (((|Pattern| |#1|) (|Pattern| |#1|) |#2|) "\\spad{addBadValue(p, \\spad{v)}} adds \\spad{v} to the list of \"bad values\" for \\spad{p;} \\spad{p} is not allowed to match any of its \"bad values\".")) (|satisfy?| (((|Boolean|) (|List| |#2|) (|Pattern| |#1|)) "\\spad{satisfy?([v1,...,vn], \\spad{p)}} returns \\spad{f(v1,...,vn)} where \\spad{f} is the top-level predicate attached to \\spad{p.}") (((|Boolean|) |#2| (|Pattern| |#1|)) "\\spad{satisfy?(v, \\spad{p)}} returns f(v) where \\spad{f} is the predicate attached to \\spad{p.}")) (|predicate| (((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|)) "\\spad{predicate(p)} returns the predicate attached to \\spad{p,} the constant function \\spad{true} if \\spad{p} has no predicates attached to it.")) (|suchThat| (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|))) "\\spad{suchThat(p, [a1,...,an], \\spad{f)}} returns a copy of \\spad{p} with the top-level predicate set to \\spad{f(a1,...,an)}.") (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|))) "\\spad{suchThat(p, [f1,...,fn])} makes a copy of \\spad{p} and adds the predicate \\spad{f1} and \\spad{...} and \\spad{fn} to the copy, which is returned.") (((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|)) "\\spad{suchThat(p, \\spad{f)}} makes a copy of \\spad{p} and adds the predicate \\spad{f} to the copy, which is returned."))) 
 NIL 
 NIL 
-(-913 R S) 
+(|PatternFunctions2| R S) 
 ((|constructor| (NIL "Lifts maps to patterns")) (|map| (((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)) "\\spad{map(f, \\spad{p)}} applies \\spad{f} to all the leaves of \\spad{p} and returns the result as a pattern over \\spad{S.}"))) 
 NIL 
 NIL 
-(-914 R) 
+(|Pattern| R) 
 ((|constructor| (NIL "Patterns for use by the pattern matcher.")) (|optpair| (((|Union| (|List| $) "failed") (|List| $)) "\\spad{optpair(l)} returns \\spad{l} has the form \\spad{[a, \\spad{b]}} and a is optional, and \"failed\" otherwise.")) (|variables| (((|List| $) $) "\\spad{variables(p)} returns the list of matching variables appearing in \\spad{p.}")) (|getBadValues| (((|List| (|Any|)) $) "\\spad{getBadValues(p)} returns the list of \"bad values\" for \\spad{p.} Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (($ $ (|Any|)) "\\spad{addBadValue(p, \\spad{v)}} adds \\spad{v} to the list of \"bad values\" for \\spad{p.} Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|resetBadValues| (($ $) "\\spad{resetBadValues(p)} initializes the list of \"bad values\" for \\spad{p} to \\spad{[]}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|hasTopPredicate?| (((|Boolean|) $) "\\spad{hasTopPredicate?(p)} tests if \\spad{p} has a top-level predicate.")) (|topPredicate| (((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $) "\\spad{topPredicate(x)} returns \\spad{[[a1,...,an], \\spad{f]}} where the top-level predicate of \\spad{x} is \\spad{f(a1,...,an)}. Note: \\spad{n} is 0 if \\spad{x} has no top-level predicate.")) (|setTopPredicate| (($ $ (|List| (|Symbol|)) (|Any|)) "\\spad{setTopPredicate(x, [a1,...,an], \\spad{f)}} returns \\spad{x} with the top-level predicate set to \\spad{f(a1,...,an)}.")) (|patternVariable| (($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{patternVariable(x, \\spad{c?,} o?, m?)} creates a pattern variable \\spad{x,} which is constant if \\spad{c? = true}, optional if \\spad{o? = true}, and multiple if \\spad{m? = true}.")) (|withPredicates| (($ $ (|List| (|Any|))) "\\spad{withPredicates(p, [p1,...,pn])} makes a copy of \\spad{p} and attaches the predicate \\spad{p1} and \\spad{...} and \\spad{pn} to the copy, which is returned.")) (|setPredicates| (($ $ (|List| (|Any|))) "\\spad{setPredicates(p, [p1,...,pn])} attaches the predicate \\spad{p1} and \\spad{...} and \\spad{pn} to \\spad{p.}")) (|predicates| (((|List| (|Any|)) $) "\\spad{predicates(p)} returns \\spad{[p1,...,pn]} such that the predicate attached to \\spad{p} is \\spad{p1} and \\spad{...} and \\spad{pn.}")) (|hasPredicate?| (((|Boolean|) $) "\\spad{hasPredicate?(p)} tests if \\spad{p} has predicates attached to it.")) (|optional?| (((|Boolean|) $) "\\spad{optional?(p)} tests if \\spad{p} is a single matching variable which can match an identity.")) (|multiple?| (((|Boolean|) $) "\\spad{multiple?(p)} tests if \\spad{p} is a single matching variable allowing list matching or multiple term matching in a sum or product.")) (|generic?| (((|Boolean|) $) "\\spad{generic?(p)} tests if \\spad{p} is a single matching variable.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests if \\spad{p} contains no matching variables.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(p)} tests if \\spad{p} is a symbol.")) (|quoted?| (((|Boolean|) $) "\\spad{quoted?(p)} tests if \\spad{p} is of the form \\spad{'s} for a symbol \\spad{s.}")) (|inR?| (((|Boolean|) $) "\\spad{inR?(p)} tests if \\spad{p} is an atom (\\spadignore{i.e.} an element of \\spad{R).}")) (|copy| (($ $) "\\spad{copy(p)} returns a recursive copy of \\spad{p.}")) (|convert| (($ (|List| $)) "\\spad{convert([a1,...,an])} returns the pattern \\spad{[a1,...,an]}.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(p)} returns the nesting level of \\spad{p.}")) (/ (($ $ $) "\\spad{a / \\spad{b}} returns the pattern \\spad{a / \\spad{b}.}")) (** (($ $ $) "\\spad{a \\spad{**} \\spad{b}} returns the pattern \\spad{a \\spad{**} \\spad{b}.}") (($ $ (|NonNegativeInteger|)) "\\spad{a \\spad{**} \\spad{n}} returns the pattern \\spad{a \\spad{**} \\spad{n}.}")) (* (($ $ $) "\\spad{a * \\spad{b}} returns the pattern \\spad{a * \\spad{b}.}")) (+ (($ $ $) "\\spad{a + \\spad{b}} returns the pattern \\spad{a + \\spad{b}.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op, [a1,...,an])} returns \\spad{op(a1,...,an)}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $) "\\spad{isPower(p)} returns \\spad{[a, \\spad{b]}} if \\spad{p = a \\spad{**} \\spad{b},} and \"failed\" otherwise.")) (|isList| (((|Union| (|List| $) "failed") $) "\\spad{isList(p)} returns \\spad{[a1,...,an]} if \\spad{p = [a1,...,an]}, \"failed\" otherwise.")) (|isQuotient| (((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $) "\\spad{isQuotient(p)} returns \\spad{[a, \\spad{b]}} if \\spad{p = a / \\spad{b},} and \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[q, \\spad{n]}} if \\spad{n > 0} and \\spad{p = \\spad{q} \\spad{**} \\spad{n},} and \"failed\" otherwise.")) (|isOp| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $) "\\spad{isOp(p)} returns \\spad{[op, [a1,...,an]]} if \\spad{p = op(a1,...,an)}, and \"failed\" otherwise.") (((|Union| (|List| $) "failed") $ (|BasicOperator|)) "\\spad{isOp(p, op)} returns \\spad{[a1,...,an]} if \\spad{p = op(a1,...,an)}, and \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{n > 1} and \\spad{p = \\spad{a1} * \\spad{...} * an}, and \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[a1,...,an]} if \\spad{n > 1} \\indented{1}{and \\spad{p = \\spad{a1} + \\spad{...} + an},} and \"failed\" otherwise.")) ((|One|) (($) "1")) ((|Zero|) (($) "0"))) 
 NIL 
 NIL 
-(-915 |VarSet|) 
+(|PoincareBirkhoffWittLyndonBasis| |VarSet|) 
 ((|constructor| (NIL "This domain provides the internal representation of polynomials in non-commutative variables written over the Poincare-Birkhoff-Witt basis. See the \\spadtype{XPBWPolynomial} domain constructor. See Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications).")) (|varList| (((|List| |#1|) $) "\\spad{varList([l1]*[l2]*...[ln])} returns the list of variables in the word \\spad{l1*l2*...*ln}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?([l1]*[l2]*...[ln])} returns \\spad{true} iff \\spad{n} equals \\spad{1}.")) (|rest| (($ $) "\\spad{rest([l1]*[l2]*...[ln])} returns the list \\spad{l2, .... ln}.")) (|listOfTerms| (((|List| (|LyndonWord| |#1|)) $) "\\spad{listOfTerms([l1]*[l2]*...[ln])} returns the list of words \\spad{l1, \\spad{l2,} .... ln}.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length([l1]*[l2]*...[ln])} returns the length of the word \\spad{l1*l2*...*ln}.")) (|first| (((|LyndonWord| |#1|) $) "\\spad{first([l1]*[l2]*...[ln])} returns the Lyndon word \\spad{l1}.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} return \\spad{v}") (((|OrderedFreeMonoid| |#1|) $) "\\spad{coerce([l1]*[l2]*...[ln])} returns the word \\spad{l1*l2*...*ln}, where \\spad{[l_i]} is the backeted form of the Lyndon word \\spad{l_i}.")) ((|One|) (($) "\\spad{1} returns the empty list."))) 
 NIL 
 NIL 
-(-916 UP R) 
+(|PolynomialComposition| UP R) 
 ((|constructor| (NIL "Polynomial composition and decomposition functions\\br If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(f,h) and h=rightFactor(f,g)")) (|compose| ((|#1| |#1| |#1|) "\\spad{compose(p,q)} \\undocumented"))) 
 NIL 
 NIL 
-(-917) 
+(|PartialDifferentialEquationsSolverCategory|) 
 ((|constructor| (NIL "\\axiomType{PartialDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of PDE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{PDEsolve}.")) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{PDESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-918 UP -3958) 
+(|PolynomialDecomposition| UP F) 
 ((|constructor| (NIL "Polynomial composition and decomposition functions\\br If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(f,h) and h=rightFactor(f,g)")) (|rightFactorCandidate| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{rightFactorCandidate(p,n)} \\undocumented")) (|leftFactor| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftFactor(p,q)} \\undocumented")) (|decompose| (((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{decompose(up,m,n)} \\undocumented") (((|List| |#1|) |#1|) "\\spad{decompose(up)} \\undocumented"))) 
 NIL 
 NIL 
-(-919) 
+(|AnnaPartialDifferentialEquationPackage|) 
 ((|constructor| (NIL "AnnaPartialDifferentialEquationPackage is an uncompleted package for the interface to NAG PDE routines. It has been realised that a new approach to solving PDEs will need to be created.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|)) "\\spad{solve(xmin,ymin,xmax,ymax,ngx,ngy,pde,bounds,st)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{pde}), a grid (\\axiom{xmin}, \\axiom{ymin}, \\axiom{xmax}, \\axiom{ymax}, \\axiom{ngx}, \\axiom{ngy}) and the boundary values (\\axiom{bounds}). A default value for tolerance is used. There is also a parameter (\\axiom{st}) which should contain the value \"elliptic\" if the PDE is known to be elliptic, or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|)) "\\spad{solve(xmin,ymin,xmax,ymax,ngx,ngy,pde,bounds,st,tol)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{pde}), a grid (\\axiom{xmin}, \\axiom{ymin}, \\axiom{xmax}, \\axiom{ymax}, \\axiom{ngx}, \\axiom{ngy}), the boundary values (\\axiom{bounds}) and a tolerance requirement (\\axiom{tol}). There is also a parameter (\\axiom{st}) which should contain the value \"elliptic\" if the PDE is known to be elliptic, or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{solve(PDEProblem,routines)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the \\spad{routines} contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|)) "\\spad{solve(PDEProblem)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}"))) 
 NIL 
 NIL 
-(-920) 
+(|NumericalPDEProblem|) 
 ((|constructor| (NIL "\\axiomType{NumericalPDEProblem} is a \\axiom{domain} for the representation of Numerical PDE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(pde:\\axiomType{List Expression DoubleFloat}, \\spad{\\br} constraints:\\axiomType{List PDEC}, \\spad{\\br} f:\\axiomType{List List Expression DoubleFloat},\\br st:\\axiomType{String},\\br tol:\\axiomType{DoubleFloat}) \\blankline where \\axiomType{PDEC} is of type: \\blankline \\axiomType{Record}(start:\\axiomType{DoubleFloat}, \\spad{\\br} finish:\\axiomType{DoubleFloat},\\br grid:\\axiomType{NonNegativeInteger},\\br boundaryType:\\axiomType{Integer},\\br dStart:\\axiomType{Matrix DoubleFloat}, \\spad{\\br} dFinish:\\axiomType{Matrix DoubleFloat})")) (|retract| (((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-921 A S) 
+(|PartialDifferentialRing&| A S) 
 ((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
 NIL 
 NIL 
-(-922 S) 
+(|PartialDifferentialRing| S) 
 ((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-923 S) 
+(|PendantTree| S) 
 ((|constructor| (NIL "A PendantTree(S) is either a leaf? and is an \\spad{S} or has a left and a right both PendantTree(S)'s")) (|coerce| (((|Tree| |#1|) $) "\\indented{1}{coerce(x) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} t2:=ptree(t1,ptree([1,2,3])) \\spad{X} t2::Tree List PositiveInteger")) (|ptree| (($ $ $) "\\indented{1}{ptree(x,y) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} ptree(t1,ptree([1,2,3]))") (($ |#1|) "\\indented{1}{ptree(s) is a leaf? pendant tree} \\blankline \\spad{X} t1:=ptree([1,2,3])"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-924 |n| R) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|Permanent| |n| R) 
 ((|constructor| (NIL "Permanent implements the functions permanent, the permanent for square matrices.")) (|permanent| ((|#2| (|SquareMatrix| |#1| |#2|)) "\\spad{permanent(x)} computes the permanent of a square matrix \\spad{x.} The permanent is equivalent to the \\spadfun{determinant} except that coefficients have no change of sign. This function is much more difficult to compute than the determinant. The formula used is by H.J. Ryser, improved by [Nijenhuis and Wilf, \\spad{Ch.} 19]. Note that permanent(x) choose one of three algorithms, depending on the underlying ring \\spad{R} and on \\spad{n,} the number of rows (and columns) of x:\\br if 2 has an inverse in \\spad{R} we can use the algorithm of [Nijenhuis and Wilf, ch.19,p.158]; if 2 has no inverse, some modifications are necessary:\\br if \\spad{n} > 6 and \\spad{R} is an integral domain with characteristic different from 2 (the algorithm works if and only 2 is not a zero-divisor of \\spad{R} and characteristic()$R \\spad{^=} 2, but how to check that for any given \\spad{R} \\spad{?),} the local function \\spad{permanent2} is called;\\br else, the local function \\spad{permanent3} is called (works for all commutative rings \\spad{R).}"))) 
 NIL 
 NIL 
-(-925 S) 
+(|PermutationCategory| S) 
 ((|constructor| (NIL "PermutationCategory provides a categorial environment for subgroups of bijections of a set (that is, permutations)")) (< (((|Boolean|) $ $) "\\spad{p < \\spad{q}} is an order relation on permutations. Note that this order is only total if and only if \\spad{S} is totally ordered or \\spad{S} is finite.")) (|orbit| (((|Set| |#1|) $ |#1|) "\\spad{orbit(p, el)} returns the orbit of el under the permutation \\spad{p,} that is, the set which is given by applications of the powers of \\spad{p} to el.")) (|elt| ((|#1| $ |#1|) "\\spad{elt(p, el)} returns the image of el under the permutation \\spad{p.}")) (|eval| ((|#1| $ |#1|) "\\spad{eval(p, el)} returns the image of el under the permutation \\spad{p.}")) (|cycles| (($ (|List| (|List| |#1|))) "\\spad{cycles(lls)} coerces a list list of cycles \\spad{lls} to a permutation, each cycle being a list with not repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|cycle| (($ (|List| |#1|)) "\\spad{cycle(ls)} coerces a cycle \\spad{ls,} that is, a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-926 S) 
+(|PermutationGroup| S) 
 ((|constructor| (NIL "PermutationGroup implements permutation groups acting on a set \\spad{S,} \\spadignore{i.e.} all subgroups of the symmetric group of \\spad{S,} represented as a list of permutations (generators). Note that therefore the objects are not members of the Axiom category \\spadtype{Group}. Using the idea of base and strong generators by Sims, basic routines and algorithms are implemented so that the word problem for permutation groups can be solved.")) (|initializeGroupForWordProblem| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{initializeGroupForWordProblem(gp,m,n)} initializes the group \\spad{gp} for the word problem. Notes: \\spad{(1)} with a small integer you get shorter words, but the routine takes longer than the standard routine for longer words. \\spad{(2)} be careful: invoking this routine will destroy the possibly stored information about your group (but will recompute it again). \\spad{(3)} users need not call this function normally for the soultion of the word problem.") (((|Void|) $) "\\spad{initializeGroupForWordProblem(gp)} initializes the group \\spad{gp} for the word problem. Notes: it calls the other function of this name with parameters 0 and 1: initializeGroupForWordProblem(gp,0,1). Notes: \\spad{(1)} be careful: invoking this routine will destroy the possibly information about your group (but will recompute it again) \\spad{(2)} users need not call this function normally for the soultion of the word problem.")) (<= (((|Boolean|) $ $) "\\spad{gp1 \\spad{<=} gp2} returns \\spad{true} if and only if \\spad{gp1} is a subgroup of gp2. Note: because of a bug in the parser you have to call this function explicitly by \\spad{gp1} <=$(PERMGRP \\spad{S)} gp2.")) (< (((|Boolean|) $ $) "\\spad{gp1 < gp2} returns \\spad{true} if and only if \\spad{gp1} is a proper subgroup of gp2.")) (|movedPoints| (((|Set| |#1|) $) "\\spad{movedPoints(gp)} returns the points moved by the group \\spad{gp.}")) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInGenerators(p,gp)} returns the word for the permutation \\spad{p} in the original generators of the group \\spad{gp,} represented by the indices of the list, given by generators.")) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInStrongGenerators(p,gp)} returns the word for the permutation \\spad{p} in the strong generators of the group \\spad{gp,} represented by the indices of the list, given by strongGenerators.")) (|member?| (((|Boolean|) (|Permutation| |#1|) $) "\\spad{member?(pp,gp)} answers the question, whether the permutation \\spad{pp} is in the group \\spad{gp} or not.")) (|orbits| (((|Set| (|Set| |#1|)) $) "\\spad{orbits(gp)} returns the orbits of the group \\spad{gp,} \\spadignore{i.e.} it partitions the (finite) of all moved points.")) (|orbit| (((|Set| (|List| |#1|)) $ (|List| |#1|)) "\\spad{orbit(gp,ls)} returns the orbit of the ordered list \\spad{ls} under the group \\spad{gp.} Note: return type is \\spad{L} \\spad{L} \\spad{S} temporarily because FSET \\spad{L} \\spad{S} has an error.") (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) "\\spad{orbit(gp,els)} returns the orbit of the unordered set \\spad{els} under the group \\spad{gp.}") (((|Set| |#1|) $ |#1|) "\\spad{orbit(gp,el)} returns the orbit of the element \\spad{el} under the group \\spad{gp,} \\spadignore{i.e.} the set of all points gained by applying each group element to el.")) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) "\\spad{permutationGroup(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.")) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) "\\spad{wordsForStrongGenerators(gp)} returns the words for the strong generators of the group \\spad{gp} in the original generators of \\spad{gp,} represented by their indices in the list, given by generators.")) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) "\\spad{strongGenerators(gp)} returns strong generators for the group \\spad{gp.}")) (|base| (((|List| |#1|) $) "\\spad{base(gp)} returns a base for the group \\spad{gp.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(gp)} returns the number of points moved by all permutations of the group \\spad{gp.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(gp)} returns the order of the group \\spad{gp.}")) (|random| (((|Permutation| |#1|) $) "\\spad{random(gp)} returns a random product of maximal 20 generators of the group \\spad{gp.} Note: random(gp)=random(gp,20).") (((|Permutation| |#1|) $ (|Integer|)) "\\spad{random(gp,i)} returns a random product of maximal \\spad{i} generators of the group \\spad{gp.}")) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) "\\spad{elt(gp,i)} returns the \\spad{i}-th generator of the group \\spad{gp.}")) (|generators| (((|List| (|Permutation| |#1|)) $) "\\spad{generators(gp)} returns the generators of the group \\spad{gp.}")) (|coerce| (($ (|List| (|Permutation| |#1|))) "\\spad{coerce(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.") (((|List| (|Permutation| |#1|)) $) "\\spad{coerce(gp)} returns the generators of the group \\spad{gp.}"))) 
 NIL 
 NIL 
-(-927 S) 
+(|Permutation| S) 
 ((|constructor| (NIL "Permutation(S) implements the group of all bijections on a set \\spad{S,} which move only a finite number of points. A permutation is considered as a map from \\spad{S} into \\spad{S.} In particular multiplication is defined as composition of maps:\\br \\spad{pi1} * \\spad{pi2} = \\spad{pi1} \\spad{o} pi2.\\br The internal representation of permuatations are two lists of equal length representing preimages and images.")) (|coerceImages| (($ (|List| |#1|)) "\\spad{coerceImages(ls)} coerces the list \\spad{ls} to a permutation whose image is given by \\spad{ls} and the preimage is fixed to be [1,...,n]. Note: {coerceImages(ls)=coercePreimagesImages([1,...,n],ls)}. We assume that both preimage and image do not contain repetitions.")) (|fixedPoints| (((|Set| |#1|) $) "\\indented{1}{fixedPoints(p) returns the points fixed by the permutation \\spad{p.}} \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[0,1,2,3],[3,0,2,1]])$PERM ZMOD 4 \\spad{X} fixedPoints \\spad{p}")) (|sort| (((|List| $) (|List| $)) "\\spad{sort(lp)} sorts a list of permutations \\spad{lp} according to cycle structure first according to length of cycles, second, if \\spad{S} has \\spadtype{Finite} or \\spad{S} has \\spadtype{OrderedSet} according to lexicographical order of entries in cycles of equal length.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(p)} returns \\spad{true} if and only if \\spad{p} is an odd permutation \\spadignore{i.e.} sign(p) is \\spad{-1.}")) (|even?| (((|Boolean|) $) "\\indented{1}{even?(p) returns \\spad{true} if and only if \\spad{p} is an even permutation,} \\indented{1}{\\spadignore{i.e.} sign(p) is 1.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} even? \\spad{p}")) (|sign| (((|Integer|) $) "\\spad{sign(p)} returns the signum of the permutation \\spad{p,} \\spad{+1} or \\spad{-1.}")) (|numberOfCycles| (((|NonNegativeInteger|) $) "\\spad{numberOfCycles(p)} returns the number of non-trivial cycles of the permutation \\spad{p.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of a permutation \\spad{p} as a group element.")) (|cyclePartition| (((|Partition|) $) "\\spad{cyclePartition(p)} returns the cycle structure of a permutation \\spad{p} including cycles of length 1 only if \\spad{S} is finite.")) (|movedPoints| (((|Set| |#1|) $) "\\indented{1}{movedPoints(p) returns the set of points moved by the permutation \\spad{p.}} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} movedPoints \\spad{p}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} retuns the number of points moved by the permutation \\spad{p.}")) (|coerceListOfPairs| (($ (|List| (|List| |#1|))) "\\spad{coerceListOfPairs(lls)} coerces a list of pairs \\spad{lls} to a permutation. Error: if not consistent, \\spadignore{i.e.} the set of the first elements coincides with the set of second elements. coerce(p) generates output of the permutation \\spad{p} with domain OutputForm.")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(ls)} coerces a cycle \\spad{ls,} \\spadignore{i.e.} a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur.") (($ (|List| (|List| |#1|))) "\\spad{coerce(lls)} coerces a list of cycles \\spad{lls} to a permutation, each cycle being a list with no repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|coercePreimagesImages| (($ (|List| (|List| |#1|))) "\\indented{1}{coercePreimagesImages(lls) coerces the representation lls} \\indented{1}{of a permutation as a list of preimages and images to a permutation.} \\indented{1}{We assume that both preimage and image do not contain repetitions.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} \\spad{q} \\spad{:=} coercePreimagesImages([[0,1,2,3],[3,0,2,1]])$PERM ZMOD 4")) (|listRepresentation| (((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $) "\\spad{listRepresentation(p)} produces a representation rep of the permutation \\spad{p} as a list of preimages and images, i.e \\spad{p} maps (rep.preimage).k to (rep.image).k for all indices \\spad{k.} Elements of \\spad{S} not in (rep.preimage).k are fixed points, and these are the only fixed points of the permutation."))) 
-((-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-869))))) 
-(-928 R E |VarSet| S) 
+((|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))))) 
+(|PolynomialFactorizationByRecursion| R E |VarSet| S) 
 ((|constructor| (NIL "PolynomialFactorizationByRecursion(R,E,VarSet,S) is used for factorization of sparse univariate polynomials over a domain \\spad{S} of multivariate polynomials over \\spad{R.}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|bivariateSLPEBR| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|) "\\spad{bivariateSLPEBR(lp,p,v)} implements the bivariate case of solveLinearPolynomialEquationByRecursion its implementation depends on \\spad{R}")) (|randomR| ((|#1|) "\\spad{randomR produces} a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p.} This functions performs the recursion step for factorSquareFreePolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p.} This function performs the recursion step for factorPolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,...,pn],p)} returns the list of polynomials \\spad{[q1,...,qn]} such that \\spad{sum qi/pi = \\spad{p} / prod pi}, a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists, then \"failed\" is returned."))) 
 NIL 
 NIL 
-(-929 R S) 
+(|PolynomialFactorizationByRecursionUnivariate| R S) 
 ((|constructor| (NIL "PolynomialFactorizationByRecursionUnivariate \\spad{R} is a \\spadfun{PolynomialFactorizationExplicit} domain, \\spad{S} is univariate polynomials over \\spad{R} We are interested in handling SparseUnivariatePolynomials over \\spad{S,} is a variable we shall call \\spad{z}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|randomR| ((|#1|) "\\spad{randomR()} produces a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p.} This functions performs the recursion step for factorSquareFreePolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p.} This function performs the recursion step for factorPolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,...,pn],p)} returns the list of polynomials \\spad{[q1,...,qn]} such that \\spad{sum qi/pi = \\spad{p} / prod pi}, a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists, then \"failed\" is returned."))) 
 NIL 
 NIL 
-(-930 S) 
+(|PolynomialFactorizationExplicit&| S) 
 ((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields, it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}-th root of \\spad{r,} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements, not all zero, whose \\spad{p}-th powers \\spad{(p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m,} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q.}")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p.}")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-169)))) 
-(-931) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|)))) 
+(|PolynomialFactorizationExplicit|) 
 ((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields, it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}-th root of \\spad{r,} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements, not all zero, whose \\spad{p}-th powers \\spad{(p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m,} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q.}")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p.}")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p.}"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-932 |p|) 
+(|PrimeField| |p|) 
 ((|constructor| (NIL "PrimeField(p) implements the field with \\spad{p} elements if \\spad{p} is a prime number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| $ (QUOTE (-171))) (|HasCategory| $ (QUOTE (-169))) (|HasCategory| $ (QUOTE (-394)))) 
-(-933 R0 -3958 UP UPUP R) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| $ (QUOTE (|CharacteristicZero|))) (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| $ (QUOTE (|Finite|)))) 
+(|PointsOfFiniteOrder| R0 F UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsionIfCan(f)}\\ undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-934 UP UPUP R) 
+(|PointsOfFiniteOrderRational| UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsionIfCan(f)} \\undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-935 R |PolyRing| E -3832) 
+(|PackageForPoly| R |PolyRing| E |dim|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|degreeOfMinimalForm| (((|NonNegativeInteger|) |#2|) "\\spad{degreeOfMinimalForm does} what it says")) (|listAllMono| (((|List| |#2|) (|NonNegativeInteger|)) "\\spad{listAllMono(l)} returns all the monomials of degree \\spad{l}")) (|listAllMonoExp| (((|List| |#3|) (|Integer|)) "\\spad{listAllMonoExp(l)} returns all the exponents of degree \\spad{l}")) (|homogenize| ((|#2| |#2| (|Integer|)) "\\spad{homogenize(pol,n)} returns the homogenized polynomial of \\spad{pol} with respect to the \\spad{n}-th variable.")) (|constant| ((|#1| |#2|) "\\spad{constant(pol)} returns the constant term of the polynomial.")) (|degOneCoef| ((|#1| |#2| (|PositiveInteger|)) "\\spad{degOneCoef(pol,n)} returns the coefficient in front of the monomial specified by the positive integer.")) (|translate| ((|#2| |#2| (|List| |#1|)) "\\spad{translate(pol,[a,b,c])} apply to \\spad{pol} the linear change of coordinates, x->x+a, y->y+b, z->z+c") ((|#2| |#2| (|List| |#1|) (|Integer|)) "\\spad{translate(pol,[a,b,c],3)} apply to \\spad{pol} the linear change of coordinates, x->x+a, y->y+b, z->1.")) (|replaceVarByOne| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByOne(pol,a)} evaluate to one the variable in \\spad{pol} specified by the integer a.")) (|replaceVarByZero| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByZero(pol,a)} evaluate to zero the variable in \\spad{pol} specified by the integer a.")) (|firstExponent| ((|#3| |#2|) "\\spad{firstExponent(pol)} returns the exponent of the first term in the representation of pol. Not to be confused with the leadingExponent \\indented{1}{which is the highest exponent according to the order} over the monomial.")) (|minimalForm| ((|#2| |#2|) "\\spad{minimalForm(pol)} returns the minimal forms of the polynomial pol."))) 
 NIL 
 NIL 
-(-936 UP UPUP) 
+(|PointsOfFiniteOrderTools| UP UPUP) 
 ((|constructor| (NIL "Utilities for PFOQ and PFO")) (|polyred| ((|#2| |#2|) "\\spad{polyred(u)} \\undocumented")) (|doubleDisc| (((|Integer|) |#2|) "\\spad{doubleDisc(u)} \\undocumented")) (|mix| (((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) "\\spad{mix(l)} \\undocumented")) (|badNum| (((|Integer|) |#2|) "\\spad{badNum(u)} \\undocumented") (((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|) "\\spad{badNum(p)} \\undocumented")) (|getGoodPrime| (((|PositiveInteger|) (|Integer|)) "\\spad{getGoodPrime \\spad{n}} returns the smallest prime not dividing \\spad{n}"))) 
 NIL 
 NIL 
-(-937 R) 
+(|PartialFraction| R) 
 ((|constructor| (NIL "The domain \\spadtype{PartialFraction} implements partial fractions over a euclidean domain \\spad{R}. This requirement on the argument domain allows us to normalize the fractions. Of particular interest are the 2 forms for these fractions. The ``compact'' form has only one fractional term per prime in the denominator, while the ``p-adic'' form expands each numerator p-adically via the prime \\spad{p} in the denominator. For computational efficiency, the compact form is used, though the p-adic form may be gotten by calling the function padicFraction}. For a general euclidean domain, it is not known how to factor the denominator. Thus the function partialFraction takes as its second argument an element of \\spadtype{Factored(R)}.")) (|wholePart| ((|#1| $) "\\indented{1}{wholePart(p) extracts the whole part of the partial fraction} \\indented{1}{\\spad{p}.} \\blankline \\spad{X} a:=(74/13)::PFR(INT) \\spad{X} wholePart(a)")) (|partialFraction| (($ |#1| (|Factored| |#1|)) "\\indented{1}{partialFraction(numer,denom) is the main function for} \\indented{1}{constructing partial fractions. The second argument is the} \\indented{1}{denominator and should be factored.} \\blankline \\spad{X} partialFraction(1,factorial 10)")) (|padicFraction| (($ $) "\\indented{1}{padicFraction(q) expands the fraction p-adically in the primes} \\indented{1}{\\spad{p} in the denominator of \\spad{q}. For example,} \\indented{1}{\\spad{padicFraction(3/(2**2)) = 1/2 + 1/(2**2)}.} \\indented{1}{Use compactFraction from PartialFraction to} \\indented{1}{return to compact form.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} padicFraction(a)")) (|padicallyExpand| (((|SparseUnivariatePolynomial| |#1|) |#1| |#1|) "\\spad{padicallyExpand(p,x)} is a utility function that expands the second argument \\spad{x} ``p-adically'' in the first.")) (|numberOfFractionalTerms| (((|Integer|) $) "\\indented{1}{numberOfFractionalTerms(p) computes the number of fractional} \\indented{1}{terms in \\spad{p}. This returns 0 if there is no fractional} \\indented{1}{part.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} numberOfFractionalTerms(b)")) (|nthFractionalTerm| (($ $ (|Integer|)) "\\indented{1}{nthFractionalTerm(p,n) extracts the \\spad{n}th fractional term from} \\indented{1}{the partial fraction \\spad{p}.\\space{2}This returns 0 if the index} \\indented{1}{\\spad{n} is out of range.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} nthFractionalTerm(b,3)")) (|firstNumer| ((|#1| $) "\\indented{1}{firstNumer(p) extracts the numerator of the first fractional} \\indented{1}{term. This returns 0 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} firstNumer(a)")) (|firstDenom| (((|Factored| |#1|) $) "\\indented{1}{firstDenom(p) extracts the denominator of the first fractional} \\indented{1}{term. This returns 1 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} firstDenom(a)")) (|compactFraction| (($ $) "\\indented{1}{compactFraction(p) normalizes the partial fraction \\spad{p}} \\indented{1}{to the compact representation. In this form, the partial} \\indented{1}{fraction has only one fractional term per prime in the} \\indented{1}{denominator.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} compactFraction(b)")) (|coerce| (($ (|Fraction| (|Factored| |#1|))) "\\indented{1}{coerce(f) takes a fraction with numerator and denominator in} \\indented{1}{factored form and creates a partial fraction.\\space{2}It is} \\indented{1}{necessary for the parts to be factored because it is not} \\indented{1}{known in general how to factor elements of \\spad{R} and} \\indented{1}{this is needed to decompose into partial fractions.} \\blankline \\spad{X} (13/74)::PFR(INT)") (((|Fraction| |#1|) $) "\\indented{1}{coerce(p) sums up the components of the partial fraction and} \\indented{1}{returns a single fraction.} \\blankline \\spad{X} a:=(13/74)::PFR(INT) \\spad{X} a::FRAC(INT)"))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-938 R) 
+(|PartialFractionPackage| R) 
 ((|constructor| (NIL "The package \\spadtype{PartialFractionPackage} gives an easier to use interfact the domain \\spadtype{PartialFraction}. The user gives a fraction of polynomials, and a variable and the package converts it to the proper datatype for the \\spadtype{PartialFraction} domain.")) (|partialFraction| (((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{partialFraction(num, facdenom, var)} returns the partial fraction decomposition of the rational function whose numerator is \\spad{num} and whose factored denominator is \\spad{facdenom} with respect to the variable var.") (((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{partialFraction(rf, var) returns the partial fraction decomposition} \\indented{1}{of the rational function \\spad{rf} with respect to the variable var.} \\blankline \\spad{X} a:=x+1/(y+1) \\spad{X} partialFraction(a,y)$PFRPAC(INT)"))) 
 NIL 
 NIL 
-(-939 E OV R P) 
+(|PolynomialGcdPackage| E OV R P) 
 ((|constructor| (NIL "This package computes multivariate polynomial gcd's using a hensel lifting strategy. The constraint on the coefficient domain is imposed by the lifting strategy. It is assumed that the coefficient domain has the property that almost all specializations preserve the degree of the gcd.")) (|gcdPrimitive| ((|#4| (|List| |#4|)) "\\spad{gcdPrimitive \\spad{lp}} computes the \\spad{gcd} of the list of primitive polynomials \\spad{lp.}") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPrimitive(p,q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q.}") ((|#4| |#4| |#4|) "\\spad{gcdPrimitive(p,q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q.}")) (|gcd| (((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|))) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp.}") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcd(p,q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q.}") ((|#4| (|List| |#4|)) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp.}") ((|#4| |#4| |#4|) "\\indented{1}{gcd(p,q) computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q.}} \\blankline \\spad{X} p1:=(x+1)*(x+6) \\spad{X} p2:=(x+1)*(x-6) \\spad{X} gcd(p1,p2)"))) 
 NIL 
 NIL 
-(-940) 
+(|PermutationGroupExamples|) 
 ((|constructor| (NIL "PermutationGroupExamples provides permutation groups for some classes of groups: symmetric, alternating, dihedral, cyclic, direct products of cyclic, which are in fact the finite abelian groups of symmetric groups called Young subgroups. Furthermore, Rubik's group as permutation group of 48 integers and a list of sporadic simple groups derived from the atlas of finite groups.")) (|youngGroup| (((|PermutationGroup| (|Integer|)) (|Partition|)) "\\spad{youngGroup(lambda)} constructs the direct product of the symmetric groups given by the parts of the partition lambda.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{youngGroup([n1,...,nk])} constructs the direct product of the symmetric groups Sn1,...,Snk.")) (|rubiksGroup| (((|PermutationGroup| (|Integer|))) "\\spad{rubiksGroup constructs} the permutation group representing Rubic's Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6, 1 \\spad{<=} \\spad{j} \\spad{<=} 8. The faces of Rubik's Cube are labelled in the obvious way Front, Right, Up, Down, Left, Back and numbered from 1 to 6 in this given ordering, the pieces on each face (except the unmoveable center piece) are clockwise numbered from 1 to 8 starting with the piece in the upper left corner. The moves of the cube are represented as permutations on these pieces, represented as a two digit integer ij where \\spad{i} is the numer of theface \\spad{(1} to 6) and \\spad{j} is the number of the piece on this face. The remaining ambiguities are resolved by looking at the 6 generators, which represent a 90 degree turns of the faces, or from the following pictorial description. Permutation group representing Rubic's Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6, 1 \\spad{<=} \\spad{j} <=8. \\blankline\\begin{verbatim}Rubik's Cube:   +-----+ +-- B   where: marks Side # :               / U   /|/              /     / |         F(ront)    <->    1      L -->  +-----+ R|         R(ight)    <->    2             |     |  +         U(p)       <->    3             |  F  | /          D(own)     <->    4             |     |/           L(eft)     <->    5             +-----+            B(ack)     <->    6                ^                |                DThe Cube's surface:                               The pieces on each side            +---+              (except the unmoveable center            |567|              piece) are clockwise numbered            |4U8|              from 1 to 8 starting with the            |321|              piece in the upper left        +---+---+---+          corner (see figure on the        |781|123|345|          left).  The moves of the cube        |6L2|8F4|2R6|          are represented as        |543|765|187|          permutations on these pieces.        +---+---+---+          Each of the pieces is            |123|              represented as a two digit            |8D4|              integer ij where i is the            |765|              # of the side ( 1 to 6 for            +---+              F to B (see table above ))            |567|              and j is the # of the piece.            |4B8|            |321|            +---+\\end{verbatim}")) (|janko2| (((|PermutationGroup| (|Integer|))) "\\spad{janko2 constructs} the janko group acting on the integers 1,...,100.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{janko2(li)} constructs the janko group acting on the 100 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 100 different entries")) (|mathieu24| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu24 constructs} the mathieu group acting on the integers 1,...,24.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu24(li)} constructs the mathieu group acting on the 24 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 24 different entries.")) (|mathieu23| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu23 constructs} the mathieu group acting on the integers 1,...,23.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu23(li)} constructs the mathieu group acting on the 23 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 23 different entries.")) (|mathieu22| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu22 constructs} the mathieu group acting on the integers 1,...,22.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu22(li)} constructs the mathieu group acting on the 22 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 22 different entries.")) (|mathieu12| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu12 constructs} the mathieu group acting on the integers 1,...,12.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu12(li)} constructs the mathieu group acting on the 12 integers given in the list li. Note that duplicates in the list will be removed Error: if \\spad{li} has less or more than 12 different entries.")) (|mathieu11| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu11 constructs} the mathieu group acting on the integers 1,...,11.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu11(li)} constructs the mathieu group acting on the 11 integers given in the list li. Note that duplicates in the list will be removed. error, if \\spad{li} has less or more than 11 different entries.")) (|dihedralGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{dihedralGroup([i1,...,ik])} constructs the dihedral group of order 2k acting on the integers out of i1,...,ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{dihedralGroup(n)} constructs the dihedral group of order 2n acting on integers 1,...,N.")) (|cyclicGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{cyclicGroup([i1,...,ik])} constructs the cyclic group of order \\spad{k} acting on the integers i1,...,ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{cyclicGroup(n)} constructs the cyclic group of order \\spad{n} acting on the integers 1,...,n.")) (|abelianGroup| (((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|))) "\\spad{abelianGroup([n1,...,nk])} constructs the abelian group that is the direct product of cyclic groups with order ni.")) (|alternatingGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{alternatingGroup(li)} constructs the alternating group acting on the integers in the list li, generators are in general the n-2-cycle (li.3,...,li.n) and the 3-cycle (li.1,li.2,li.3), if \\spad{n} is odd and product of the 2-cycle (li.1,li.2) with n-2-cycle (li.3,...,li.n) and the 3-cycle (li.1,li.2,li.3), if \\spad{n} is even. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{alternatingGroup(n)} constructs the alternating group An acting on the integers 1,...,n, generators are in general the n-2-cycle (3,...,n) and the 3-cycle (1,2,3) if \\spad{n} is odd and the product of the 2-cycle (1,2) with n-2-cycle (3,...,n) and the 3-cycle (1,2,3) if \\spad{n} is even.")) (|symmetricGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{symmetricGroup(li)} constructs the symmetric group acting on the integers in the list li, generators are the cycle given by \\spad{li} and the 2-cycle (li.1,li.2). Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{symmetricGroup(n)} constructs the symmetric group \\spad{Sn} acting on the integers 1,...,n, generators are the n-cycle (1,...,n) and the 2-cycle (1,2)."))) 
 NIL 
 NIL 
-(-941 -3958) 
+(|PolyGroebner| F) 
 ((|constructor| (NIL "Groebner functions for \\spad{P} \\spad{F} This package is an interface package to the groebner basis package which allows you to compute groebner bases for polynomials in either lexicographic ordering or total degree ordering refined by reverse lex. The input is the ordinary polynomial type which is internally converted to a type with the required ordering. The resulting grobner basis is converted back to ordinary polynomials. The ordering among the variables is controlled by an explicit list of variables which is passed as a second argument. The coefficient domain is allowed to be any \\spad{gcd} domain, but the groebner basis is computed as if the polynomials were over a field.")) (|totalGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{totalGroebner(lp,lv)} computes Groebner basis for the list of polynomials \\spad{lp} with the terms ordered first by total degree and then refined by reverse lexicographic ordering. The variables are ordered by their position in the list \\spad{lv.}")) (|lexGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{lexGroebner(lp,lv)} computes Groebner basis for the list of polynomials \\spad{lp} in lexicographic order. The variables are ordered by their position in the list \\spad{lv.}"))) 
 NIL 
 NIL 
-(-942 R) 
+(|PiCoercions| R) 
 ((|constructor| (NIL "Provides a coercion from the symbolic fractions in \\%pi with integer coefficients to any Expression type.")) (|coerce| (((|Expression| |#1|) (|Pi|)) "\\spad{coerce(f)} returns \\spad{f} as an Expression(R)."))) 
 NIL 
 NIL 
-(-943) 
+(|PrincipalIdealDomain|) 
 ((|constructor| (NIL "The category of constructive principal ideal domains, \\spadignore{i.e.} where a single generator can be constructively found for any ideal given by a finite set of generators. Note that this constructive definition only implies that finitely generated ideals are principal. It is not clear what we would mean by an infinitely generated ideal.")) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{expressIdealMember([f1,...,fn],h)} returns a representation of \\spad{h} as a linear combination of the \\spad{fi} or \"failed\" if \\spad{h} is not in the ideal generated by the fi.")) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) "\\spad{principalIdeal([f1,...,fn])} returns a record whose generator component is a generator of the ideal generated by \\spad{[f1,...,fn]} whose coef component satisfies \\spad{generator = sum (input.i * coef.i)}"))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-944) 
+(|PositiveInteger|) 
 ((|constructor| (NIL "\\spadtype{PositiveInteger} provides functions for positive integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative : x*y = \\spad{y*x}")) (|gcd| (($ $ $) "\\spad{gcd(a,b)} computes the greatest common divisor of two positive integers \\spad{a} and \\spad{b.}"))) 
-(((-4627 "*") . T)) 
+(((|commutative| "*") . T)) 
 NIL 
-(-945 -3958 P) 
+(|PolynomialInterpolationAlgorithms| F P) 
 ((|constructor| (NIL "This package exports interpolation algorithms")) (|LagrangeInterpolation| ((|#2| (|List| |#1|) (|List| |#1|)) "\\spad{LagrangeInterpolation(l1,l2)} \\undocumented"))) 
 NIL 
 NIL 
-(-946 |xx| -3958) 
+(|PolynomialInterpolation| |xx| F) 
 ((|constructor| (NIL "This package exports interpolation algorithms")) (|interpolate| (((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(lf,lg)} \\undocumented") (((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(u,lf,lg)} \\undocumented"))) 
 NIL 
 NIL 
-(-947 K PCS) 
+(|PlacesCategory| K PCS) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates if the places correspnd to a simple point")) (|setFoundPlacesToEmpty| (((|List| $)) "\\spad{setFoundPlacesToEmpty()} does what it says. (this should not be used)!!!")) (|foundPlaces| (((|List| $)) "\\spad{foundPlaces()} returns the list of all \"created\" places up to now.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(pl)} test if the place \\spad{pl} correspond to a leaf of a desingularisation tree.")) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) "\\spad{setDegree!(pl,ls)} set the degree.")) (|setParam!| (((|Void|) $ (|List| |#2|)) "\\spad{setParam!(pl,ls)} set the local parametrization of \\spad{pl} to \\spad{ls.}")) (|localParam| (((|List| |#2|) $) "\\spad{localParam(pl)} returns the local parametrization associated to the place \\spad{pl.}"))) 
 NIL 
 NIL 
-(-948 K) 
+(|Places| K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-949 K) 
+(|PlacesOverPseudoAlgebraicClosureOfFiniteField| K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-950 K PCS) 
+(|Plcs| K PCS) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-951 R |Var| |Expon| GR) 
+(|ParametricLinearEquations| R |Var| |Expon| GR) 
 ((|constructor| (NIL "This package completely solves a parametric linear system of equations by decomposing the set of all parametric values for which the linear system is consistent into a union of quasi-algebraic sets (which need not be irredundant, but most of the time is). Each quasi-algebraic set is described by a list of polynomials that vanish on the set, and a list of polynomials that vanish at no point of the set. For each quasi-algebraic set, the solution of the linear system is given, as a particular solution and a basis of the homogeneous system. \\blankline The parametric linear system should be given in matrix form, with a coefficient matrix and a right hand side vector. The entries of the coefficient matrix and right hand side vector should be polynomials in the parametric variables, over a Euclidean domain of characteristic zero. \\blankline If the system is homogeneous, the right hand side need not be given. The right hand side can also be replaced by an indeterminate vector, in which case, the conditions required for consistency will also be given. \\blankline The package has other facilities for saving results to external files, as well as solving the system for a specified minimum rank. Altogether there are 12 mode maps for psolve, as explained below.")) (|inconsistent?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "inconsistant?(pl) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.") (((|Boolean|) (|List| |#4|)) "inconsistant?(pl) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.")) (|sqfree| ((|#4| |#4|) "\\spad{sqfree(p)} returns the product of square free factors of \\spad{p}")) (|regime| (((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{regime(y,c, \\spad{w,} \\spad{p,} \\spad{r,} \\spad{rm,} \\spad{m)}} returns a regime, a list of polynomials specifying the consistency conditions, a particular solution and basis representing the general solution of the parametric linear system \\spad{c} \\spad{z} = \\spad{w} on that regime. The regime returned depends on the subdeterminant y.det and the row and column indices. The solutions are simplified using the assumption that the system has rank \\spad{r} and maximum rank \\spad{rm.} The list \\spad{p} represents a list of list of factors of polynomials in a groebner basis of the ideal generated by higher order subdeterminants, and ius used for the simplification. The mode \\spad{m} distinguishes the cases when the system is homogeneous, or the right hand side is arbitrary, or when there is no new right hand side variables.")) (|redmat| (((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|)) "\\spad{redmat(m,g)} returns a matrix whose entries are those of \\spad{m} modulo the ideal generated by the groebner basis \\spad{g}")) (|ParCond| (((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCond(m,k)} returns the list of all \\spad{k} by \\spad{k} subdeterminants in the matrix \\spad{m}")) (|overset?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\spad{overset?(s,sl)} returns \\spad{true} if \\spad{s} properly a sublist of a member of \\spad{sl;} otherwise it returns \\spad{false}")) (|nextSublist| (((|List| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{nextSublist(n,k)} returns a list of k-subsets of \\spad{{1,} ..., \\spad{n}.}")) (|minset| (((|List| (|List| |#4|)) (|List| (|List| |#4|))) "\\spad{minset(sl)} returns the sublist of \\spad{sl} consisting of the minimal lists (with respect to inclusion) in the list \\spad{sl} of lists")) (|minrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{minrank(r)} returns the minimum rank in the list \\spad{r} of regimes")) (|maxrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{maxrank(r)} returns the maximum rank in the list \\spad{r} of regimes")) (|factorset| (((|List| |#4|) |#4|) "\\spad{factorset(p)} returns the set of irreducible factors of \\spad{p.}")) (|B1solve| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) "\\spad{B1solve(s)} solves the system (s.mat) \\spad{z} = s.vec for the variables given by the column indices of s.cols in terms of the other variables and the right hand side s.vec by assuming that the rank is s.rank, that the system is consistent, with the linearly independent equations indexed by the given row indices s.rows; the coefficients in s.mat involving parameters are treated as polynomials. B1solve(s) returns a particular solution to the system and a basis of the homogeneous system (s.mat) \\spad{z} = 0.")) (|redpps| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|)) "\\spad{redpps(s,g)} returns the simplified form of \\spad{s} after reducing modulo a groebner basis \\spad{g}")) (|ParCondList| (((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCondList(c,r)} computes a list of subdeterminants of each rank \\spad{>=} \\spad{r} of the matrix \\spad{c} and returns a groebner basis for the ideal they generate")) (|hasoln| (((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|)) "\\spad{hasoln(g, \\spad{l)}} tests whether the quasi-algebraic set defined by \\spad{p} = 0 for \\spad{p} in \\spad{g} and \\spad{q} \\spad{^=} 0 for \\spad{q} in \\spad{l} is empty or not and returns a simplified definition of the quasi-algebraic set")) (|pr2dmp| ((|#4| (|Polynomial| |#1|)) "\\spad{pr2dmp(p)} converts \\spad{p} to target domain")) (|se2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{se2rfi(l)} converts \\spad{l} to target domain")) (|dmp2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|)) "\\spad{dmp2rfi(l)} converts \\spad{l} to target domain") (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|)) "\\spad{dmp2rfi(m)} converts \\spad{m} to target domain") (((|Fraction| (|Polynomial| |#1|)) |#4|) "\\spad{dmp2rfi(p)} converts \\spad{p} to target domain")) (|bsolve| (((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|)) "\\spad{bsolve(c, \\spad{w,} \\spad{r,} \\spad{s,} \\spad{m)}} returns a list of regimes and solutions of the system \\spad{c} \\spad{z} = \\spad{w} for ranks at least \\spad{r;} depending on the mode \\spad{m} chosen, it writes the output to a file given by the string \\spad{s.}")) (|rdregime| (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{rdregime(s)} reads in a list from a file with name \\spad{s}")) (|wrregime| (((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{wrregime(l,s)} writes a list of regimes to a file named \\spad{s} and returns the number of regimes written")) (|psolve| (((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,k,s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,w,k,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,w,k,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|String|)) "\\spad{psolve(c,s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|)) "\\spad{psolve(c,w,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|)) "\\spad{psolve(c,w,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|)) "\\spad{psolve(c,w,k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|)) "\\spad{psolve(c,w,k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side vector \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|))) "\\spad{psolve(c,w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|)) "\\spad{psolve(c,w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w}"))) 
 NIL 
 NIL 
-(-952 S) 
+(|PlotFunctions1| S) 
 ((|constructor| (NIL "\\spad{PlotFunctions1} provides facilities for plotting curves where functions \\spad{SF} \\spad{->} \\spad{SF} are specified by giving an expression")) (|plotPolar| (((|Plot|) |#1| (|Symbol|)) "\\spad{plotPolar(f,theta)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges from 0 to 2 \\spad{pi}") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,theta,seg)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges over an interval")) (|plot| (((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,t,seg)} plots the graph of \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over an interval.") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(fcn,x,seg)} plots the graph of \\spad{y = f(x)} on a interval"))) 
 NIL 
 NIL 
-(-953) 
+(|Plot3D|) 
 ((|constructor| (NIL "Plot3D supports parametric plots defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example, floating point numbers and infinite continued fractions are real number systems. The facilities at this point are limited to 3-dimensional parametric plots.")) (|debug3D| (((|Boolean|) (|Boolean|)) "\\spad{debug3D(true)} turns debug mode on; debug3D(false) turns debug mode off.")) (|numFunEvals3D| (((|Integer|)) "\\spad{numFunEvals3D()} returns the number of points computed.")) (|setAdaptive3D| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive3D(true)} turns adaptive plotting on; setAdaptive3D(false) turns adaptive plotting off.")) (|adaptive3D?| (((|Boolean|)) "\\spad{adaptive3D?()} determines whether plotting be done adaptively.")) (|setScreenResolution3D| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution3D(i)} sets the screen resolution for a 3d graph to i.")) (|screenResolution3D| (((|Integer|)) "\\spad{screenResolution3D()} returns the screen resolution for a 3d graph.")) (|setMaxPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints3D(i)} sets the maximum number of points in a plot to i.")) (|maxPoints3D| (((|Integer|)) "\\spad{maxPoints3D()} returns the maximum number of points in a plot.")) (|setMinPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMinPoints3D(i)} sets the minimum number of points in a plot to i.")) (|minPoints3D| (((|Integer|)) "\\spad{minPoints3D()} returns the minimum number of points in a plot.")) (|tValues| (((|List| (|List| (|DoubleFloat|))) $) "\\spad{tValues(p)} returns a list of lists of the values of the parameter for which a point is computed, one list for each curve in the plot \\spad{p.}")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p.}")) (|refine| (($ $) "\\spad{refine(x)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r,s,t)} is not documented")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f1,f2,f3,f4,x,y,z,w)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,h,a..b)} plots {/emx = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges over {/em[a,b]}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,x,y,z,w)} is not documented") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,g,h,a..b)} plots {/emx = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges over {/em[a,b]}."))) 
 NIL 
 NIL 
-(-954) 
+(|Plot|) 
 ((|constructor| (NIL "The Plot domain supports plotting of functions defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example floating point numbers and infinite continued fractions. The facilities at this point are limited to 2-dimensional plots or either a single function or a parametric function.")) (|debug| (((|Boolean|) (|Boolean|)) "\\spad{debug(true)} turns debug mode on \\spad{debug(false)} turns debug mode off")) (|numFunEvals| (((|Integer|)) "\\spad{numFunEvals()} returns the number of points computed")) (|setAdaptive| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive(true)} turns adaptive plotting on \\spad{setAdaptive(false)} turns adaptive plotting off")) (|adaptive?| (((|Boolean|)) "\\spad{adaptive?()} determines whether plotting be done adaptively")) (|setScreenResolution| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution(i)} sets the screen resolution to \\spad{i}")) (|screenResolution| (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution")) (|setMaxPoints| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints(i)} sets the maximum number of points in a plot to \\spad{i}")) (|maxPoints| (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot")) (|setMinPoints| (((|Integer|) (|Integer|)) "\\spad{setMinPoints(i)} sets the minimum number of points in a plot to \\spad{i}")) (|minPoints| (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}")) (|refine| (($ $) "\\spad{refine(p)} performs a refinement on the plot \\spad{p}") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r,s)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r)} is not documented")) (|parametric?| (((|Boolean|) $) "\\spad{parametric? determines} whether it is a parametric plot?")) (|plotPolar| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{plotPolar(f)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[0,2*\\%pi]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)}, \\spad{y = f(t)*sin(t)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,a..b)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[a,b]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)}, \\spad{y = f(t)*sin(t)}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t \\spad{+->} (f(t),g(t)),a..b,c..d,e..f)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}; x-range of \\spad{[c,d]} and y-range of \\spad{[e,f]} are noted in Plot object.") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t \\spad{+->} (f(t),g(t)),a..b)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}.")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,a..b,c..d,e..f)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}; x-range of \\spad{[c,d]} and y-range of \\spad{[e,f]} are noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,a..b)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,...,fm],a..b,c..d)} plots the functions \\spad{y = f1(x)},..., \\spad{y = fm(x)} on the interval \\spad{a..b}; y-range of \\spad{[c,d]} is noted in Plot object.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,...,fm],a..b)} plots the functions \\spad{y = f1(x)},..., \\spad{y = fm(x)} on the interval \\spad{a..b}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,a..b,c..d)} plots the function \\spad{f(x)} on the interval \\spad{[a,b]}; y-range of \\spad{[c,d]} is noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\indented{1}{plot(f,a..b) plots the function \\spad{f(x)}} \\indented{1}{on the interval \\spad{[a,b]}.} \\blankline \\spad{X} fp:=(t:DFLOAT):DFLOAT \\spad{+->} sin(t) \\spad{X} plot(fp,-1.0..1.0)$PLOT"))) 
 NIL 
 NIL 
-(-955) 
+(|PlotTools|) 
 ((|constructor| (NIL "This package exports plotting tools")) (|calcRanges| (((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{calcRanges(l)} \\undocumented"))) 
 NIL 
 NIL 
-(-956 K |PolyRing| E -3832 |ProjPt|) 
+(|PolynomialPackageForCurve| K |PolyRing| E |dim| |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|multiplicity| (((|NonNegativeInteger|) |#2| |#5| (|Integer|)) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.") (((|NonNegativeInteger|) |#2| |#5|) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.")) (|minimalForm| ((|#2| |#2| |#5| (|Integer|)) "\\spad{minimalForm returns} the minimal form after translation to the origin.") ((|#2| |#2| |#5|) "\\spad{minimalForm returns} the minimal form after translation to the origin.")) (|translateToOrigin| ((|#2| |#2| |#5|) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin") ((|#2| |#2| |#5| (|Integer|)) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin")) (|eval| ((|#1| |#2| |#5|) "\\spad{eval returns} the value at given point.")) (|pointInIdeal?| (((|Boolean|) (|List| |#2|) |#5|) "\\spad{pointInIdeal? test} if the given point is in the algebraic set defined by the given list of polynomials."))) 
 NIL 
 NIL 
-(-957 R -3958) 
+(|FunctionSpaceAssertions| R F) 
 ((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| ((|#2| |#2|) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists, multiple(x) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list. Error: if \\spad{x} is not a symbol.")) (|optional| ((|#2| |#2|) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity \\spad{(0} in a sum, 1 in a product or exponentiation). Error: if \\spad{x} is not a symbol.")) (|constant| ((|#2| |#2|) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity. Error: if \\spad{x} is not a symbol.")) (|assert| ((|#2| |#2| (|String|)) "\\spad{assert(x, \\spad{s)}} makes the assertion \\spad{s} about \\spad{x.} Error: if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-958) 
+(|PatternMatchAssertions|) 
 ((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists, multiple(x) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list.")) (|optional| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity \\spad{(0} in a sum, 1 in a product or exponentiation)..")) (|constant| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity.")) (|assert| (((|Expression| (|Integer|)) (|Symbol|) (|String|)) "\\spad{assert(x, \\spad{s)}} makes the assertion \\spad{s} about \\spad{x.}"))) 
 NIL 
 NIL 
-(-959 S A B) 
+(|PatternMatchPushDown| S A B) 
 ((|constructor| (NIL "This packages provides tools for matching recursively in type towers.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches. Note that this function handles type towers by changing the predicates and calling the matching function provided by \\spad{A}.")) (|fixPredicate| (((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|)) "\\spad{fixPredicate(f)} returns \\spad{g} defined by g(a) = f(a::B)."))) 
 NIL 
 NIL 
-(-960 S R -3958) 
+(|PatternMatchFunctionSpace| S R F) 
 ((|constructor| (NIL "This package provides pattern matching functions on function spaces.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-961 I) 
+(|PatternMatchIntegerNumberSystem| I) 
 ((|constructor| (NIL "This package provides pattern matching functions on integers.")) (|patternMatch| (((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)) "\\spad{patternMatch(n, pat, res)} matches the pattern \\spad{pat} to the integer \\spad{n;} res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-962 S E) 
+(|PatternMatchKernel| S E) 
 ((|constructor| (NIL "This package provides pattern matching functions on kernels.")) (|patternMatch| (((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)) "\\spad{patternMatch(f(e1,...,en), pat, res)} matches the pattern \\spad{pat} to \\spad{f(e1,...,en)}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-963 S R L) 
+(|PatternMatchListAggregate| S R L) 
 ((|constructor| (NIL "This package provides pattern matching functions on lists.")) (|patternMatch| (((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)) "\\spad{patternMatch(l, pat, res)} matches the pattern \\spad{pat} to the list \\spad{l;} res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-964 S E V R P) 
+(|PatternMatchPolynomialCategory| S E V R P) 
 ((|constructor| (NIL "This package provides pattern matching functions on polynomials.")) (|patternMatch| (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)) "\\spad{patternMatch(p, pat, res)} matches the pattern \\spad{pat} to the polynomial \\spad{p;} res contains the variables of \\spad{pat} which are already matched and their matches.") (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) "\\spad{patternMatch(p, pat, res, vmatch)} matches the pattern \\spad{pat} to the polynomial \\spad{p.} \\spad{res} contains the variables of \\spad{pat} which are already matched and their matches; vmatch is the matching function to use on the variables."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -908) (|devaluate| |#1|)))) 
-(-965 R -3958 -1940) 
+((|HasCategory| |#3| (LIST (QUOTE |PatternMatchable|) (|devaluate| |#1|)))) 
+(|FunctionSpaceAttachPredicates| R F D) 
 ((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| ((|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))) "\\spad{suchThat(x, [f1, \\spad{f2,} ..., fn])} attaches the predicate \\spad{f1} and \\spad{f2} and \\spad{...} and \\spad{fn} to \\spad{x.} Error: if \\spad{x} is not a symbol.") ((|#2| |#2| (|Mapping| (|Boolean|) |#3|)) "\\spad{suchThat(x, foo)} attaches the predicate foo to \\spad{x;} error if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-966 -1940) 
+(|AttachPredicates| D) 
 ((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| (((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))) "\\spad{suchThat(x, [f1, \\spad{f2,} ..., fn])} attaches the predicate \\spad{f1} and \\spad{f2} and \\spad{...} and \\spad{fn} to \\spad{x.}") (((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|)) "\\spad{suchThat(x, foo)} attaches the predicate foo to \\spad{x.}"))) 
 NIL 
 NIL 
-(-967 S R Q) 
+(|PatternMatchQuotientFieldCategory| S R Q) 
 ((|constructor| (NIL "This package provides pattern matching functions on quotients.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(a/b, pat, res)} matches the pattern \\spad{pat} to the quotient a/b; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-968 S) 
+(|PatternMatchSymbol| S) 
 ((|constructor| (NIL "This package provides pattern matching functions on symbols.")) (|patternMatch| (((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion)."))) 
 NIL 
 NIL 
-(-969 S R P) 
+(|PatternMatchTools| S R P) 
 ((|constructor| (NIL "This package provides tools for the pattern matcher.")) (|patternMatchTimes| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatchTimes(lsubj, lpat, res, match)} matches the product of patterns \\spad{reduce(*,lpat)} to the product of subjects \\spad{reduce(*,lsubj)}; \\spad{r} contains the previous matches and match is a pattern-matching function on \\spad{P.}")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatch(lsubj, lpat, op, res, match)} matches the list of patterns \\spad{lpat} to the list of subjects lsubj, allowing for commutativity; \\spad{op} is the operator such that op(lpat) should match op(lsubj) at the end, \\spad{r} contains the previous matches, and match is a pattern-matching function on \\spad{P.}"))) 
 NIL 
 NIL 
-(-970) 
+(|PolynomialNumberTheoryFunctions|) 
 ((|constructor| (NIL "This package provides various polynomial number theoretic functions over the integers.")) (|legendre| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{legendre(n)} returns the \\spad{n}th Legendre polynomial \\spad{P[n](x)}. Note that Legendre polynomials, denoted \\spad{P[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{1/sqrt(1-2*t*x+t**2) = sum(P[n](x)*t**n, n=0..infinity)}.")) (|laguerre| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{laguerre(n)} returns the \\spad{n}th Laguerre polynomial \\spad{L[n](x)}. Note that Laguerre polynomials, denoted \\spad{L[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{exp(x*t/(t-1))/(1-t) = sum(L[n](x)*t**n/n!, n=0..infinity)}.")) (|hermite| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{hermite(n)} returns the \\spad{n}th Hermite polynomial \\spad{H[n](x)}. Note that Hermite polynomials, denoted \\spad{H[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!, n=0..infinity)}.")) (|fixedDivisor| (((|Integer|) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{fixedDivisor(a)} for \\spad{a(x)} in \\spad{Z[x]} is the largest integer \\spad{f} such that \\spad{f} divides \\spad{a(x=k)} for all integers \\spad{k.} Note that fixed divisor of \\spad{a} is \\spad{reduce(gcd,[a(x=k) for \\spad{k} in 0..degree(a)])}.")) (|euler| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler polynomial \\spad{E[n](x)}. Note that Euler polynomials denoted \\spad{E(n,x)} computed by solving the differential equation \\spad{differentiate(E(n,x),x) = \\spad{n} E(n-1,x)} where \\spad{E(0,x) = 1} and initial condition comes from \\spad{E(n) = 2**n E(n,1/2)}.")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} returns the \\spad{n}th cyclotomic polynomial \\spad{phi[n](x)}. Note that \\spad{phi[n](x)} is the factor of \\spad{x**n - 1} whose roots are the primitive \\spad{n}th roots of unity.")) (|chebyshevU| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevU(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{U[n](x)}. Note that Chebyshev polynomials of the second kind, denoted \\spad{U[n](x)}, computed from the two term recurrence. The generating function \\spad{1/(1-2*t*x+t**2) = sum(T[n](x)*t**n, n=0..infinity)}.")) (|chebyshevT| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevT(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{T[n](x)}. Note that Chebyshev polynomials of the first kind, denoted \\spad{T[n](x)}, computed from the two term recurrence. The generating function \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x)*t**n, n=0..infinity)}.")) (|bernoulli| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli polynomial \\spad{B[n](x)}. Bernoulli polynomials denoted \\spad{B(n,x)} computed by solving the differential equation \\spad{differentiate(B(n,x),x) = \\spad{n} B(n-1,x)} where \\spad{B(0,x) = 1} and initial condition comes from \\spad{B(n) = B(n,0)}."))) 
 NIL 
 NIL 
-(-971 R) 
+(|Point| R) 
 ((|constructor| (NIL "This domain implements points in coordinate space"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#1| (QUOTE (-1075))) (-12 (|HasCategory| |#1| (QUOTE (-1030))) (|HasCategory| |#1| (QUOTE (-1075)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-972 |lv| R) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (AND (|HasCategory| |#1| (QUOTE (|RadicalCategory|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|PolToPol| |lv| R) 
 ((|constructor| (NIL "Package with the conversion functions among different kind of polynomials")) (|pToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToDmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{DMP}.")) (|dmpToP| (((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToP(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{POLY}.")) (|hdmpToP| (((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToP(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{POLY}.")) (|pToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToHdmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{HDMP}.")) (|hdmpToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToDmp(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{DMP}.")) (|dmpToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToHdmp(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{HDMP}."))) 
 NIL 
 NIL 
-(-973 |TheField| |ThePols|) 
+(|RealPolynomialUtilitiesPackage| |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealPolynomialUtilitiesPackage} provides common functions used by interval coding.")) (|lazyVariations| (((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)) "\\axiom{lazyVariations(l,s1,sn)} is the number of sign variations in the list of non null numbers [s1::l]@sn.")) (|sturmVariationsOf| (((|NonNegativeInteger|) (|List| |#1|)) "\\axiom{sturmVariationsOf(l)} is the number of sign variations in the list of numbers \\spad{l,} note that the first term counts as a sign")) (|boundOfCauchy| ((|#1| |#2|) "\\axiom{boundOfCauchy(p)} bounds the roots of \\spad{p}")) (|sturmSequence| (((|List| |#2|) |#2|) "\\axiom{sturmSequence(p) = sylvesterSequence(p,p')}")) (|sylvesterSequence| (((|List| |#2|) |#2| |#2|) "\\axiom{sylvesterSequence(p,q)} is the negated remainder sequence of \\spad{p} and \\spad{q} divided by the last computed term"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-867)))) 
-(-974 R S) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|)))) 
+(|PolynomialFunctions2| R S) 
 ((|constructor| (NIL "This package takes a mapping between coefficient rings, and lifts it to a mapping between polynomials over those rings.")) (|map| (((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)) "\\spad{map(f, \\spad{p)}} produces a new polynomial as a result of applying the function \\spad{f} to every coefficient of the polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-975 |x| R) 
+(|PolynomialToUnivariatePolynomial| |x| R) 
 ((|constructor| (NIL "This package is primarily to help the interpreter do coercions. It allows you to view a polynomial as a univariate polynomial in one of its variables with coefficients which are again a polynomial in all the other variables.")) (|univariate| (((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)) "\\spad{univariate(p, \\spad{x)}} converts the polynomial \\spad{p} to a one of type \\spad{UnivariatePolynomial(x,Polynomial(R))}, ie. as a member of \\spad{R[...][x]}."))) 
 NIL 
 NIL 
-(-976 S R E |VarSet|) 
+(|PolynomialCategory&| S R E |VarSet|) 
 ((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R,} in variables from VarSet, with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p.}")) (|primitivePart| (($ $ |#4|) "\\spad{primitivePart(p,v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#4|) "\\spad{content(p,v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v.} Thus, for polynomial 7*x**2*y + 14*x*y**2, the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#4|) "\\spad{discriminant(p,v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v.}")) (|resultant| (($ $ $ |#4|) "\\spad{resultant(p,q,v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v.}")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),...,X^(n)]}.")) (|variables| (((|List| |#4|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p.}")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#4|)) "\\spad{totalDegree(p, lv)} returns the maximum sum (over all monomials of polynomial \\spad{p)} of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if polynomial \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n \\spad{>=} 2}, and, for each i, \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e}, where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if polynomial \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n \\spad{>=} 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#4|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}") (($ (|SparseUnivariatePolynomial| |#2|) |#4|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}")) (|monomial| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[v1..vn],[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial, \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\spad{monicDivide(a,b,v)} divides the polynomial a by the polynomial \\spad{b,} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v.}")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{minimumDegree(p, lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#4|) "\\spad{minimumDegree(p,v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v,} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#4| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p,} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p,} which should actually involve only one variable, into a univariate polynomial in that variable, whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#4|) "\\spad{univariate(p,v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v,} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p,} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),...,a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p, \\spad{lv,} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln}, \\spadignore{i.e.} \\spad{prod(lv_i \\spad{**} ln_i)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{coefficient(p,v,n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{degree(p,lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $ |#4|) "\\spad{degree(p,v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#4| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#4| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#4| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#4| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-869)))) 
-(-977 R E |VarSet|) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#4| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#4| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) 
+(|PolynomialCategory| R E |VarSet|) 
 ((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R,} in variables from VarSet, with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p.}")) (|primitivePart| (($ $ |#3|) "\\spad{primitivePart(p,v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#3|) "\\spad{content(p,v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v.} Thus, for polynomial 7*x**2*y + 14*x*y**2, the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#3|) "\\spad{discriminant(p,v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v.}")) (|resultant| (($ $ $ |#3|) "\\spad{resultant(p,q,v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v.}")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),...,X^(n)]}.")) (|variables| (((|List| |#3|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p.}")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#3|)) "\\spad{totalDegree(p, lv)} returns the maximum sum (over all monomials of polynomial \\spad{p)} of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if polynomial \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n \\spad{>=} 2}, and, for each i, \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e}, where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if polynomial \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n \\spad{>=} 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#3|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}") (($ (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}")) (|monomial| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[v1..vn],[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial, \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\spad{monicDivide(a,b,v)} divides the polynomial a by the polynomial \\spad{b,} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v.}")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{minimumDegree(p, lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#3|) "\\spad{minimumDegree(p,v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v,} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#3| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p,} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p,} which should actually involve only one variable, into a univariate polynomial in that variable, whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#3|) "\\spad{univariate(p,v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v,} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p,} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),...,a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p, \\spad{lv,} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln}, \\spadignore{i.e.} \\spad{prod(lv_i \\spad{**} ln_i)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{coefficient(p,v,n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{degree(p,lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v.}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-978 E V R P -3958) 
+(|PolynomialCategoryQuotientFunctions| E V R P F) 
 ((|constructor| (NIL "Manipulations on polynomial quotients This package transforms multivariate polynomials or fractions into univariate polynomials or fractions, and back.")) (|isPower| (((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}, \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}, \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n > 1}, \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isPlus(p)} returns [m1,...,mn] if \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n > 1}, \"failed\" otherwise.")) (|multivariate| ((|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|) "\\spad{multivariate(f, \\spad{v)}} applies both the numerator and denominator of \\spad{f} to \\spad{v.}")) (|univariate| (((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|)) "\\spad{univariate(f, \\spad{x,} \\spad{p)}} returns \\spad{f} viewed as a univariate polynomial in \\spad{x,} using the side-condition \\spad{p(x) = 0}.") (((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|) "\\spad{univariate(f, \\spad{v)}} returns \\spad{f} viewed as a univariate rational function in \\spad{v.}")) (|mainVariable| (((|Union| |#2| "failed") |#5|) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f,} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| |#2|) |#5|) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f.}"))) 
 NIL 
 NIL 
-(-979 E |Vars| R P S) 
+(|PolynomialCategoryLifting| E |Vars| R P S) 
 ((|constructor| (NIL "This package provides a very general map function, which given a set \\spad{S} and polynomials over \\spad{R} with maps from the variables into \\spad{S} and the coefficients into \\spad{S,} maps polynomials into \\spad{S.} \\spad{S} is assumed to support \\spad{+}, \\spad{*} and \\spad{**}.")) (|map| ((|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|) "\\spad{map(varmap, coefmap, \\spad{p)}} takes a varmap, a mapping from the variables of polynomial \\spad{p} into \\spad{S,} coefmap, a mapping from coefficients of \\spad{p} into \\spad{S,} and \\spad{p,} and produces a member of \\spad{S} using the corresponding arithmetic. in \\spad{S}"))) 
 NIL 
 NIL 
-(-980 R) 
+(|Polynomial| R) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are arbitrary symbols. The ordering is alphabetic determined by the Symbol type. The coefficient ring may be non commutative, but the variables are assumed to commute.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(p,x)} computes the integral of \\spad{p*dx}, \\spadignore{i.e.} integrates the polynomial \\spad{p} with respect to the variable \\spad{x.}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1191) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1191) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1191) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1191) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1191) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-981 E V R P -3958) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|Symbol|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|Symbol|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|Symbol|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|Symbol|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|Symbol|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|PolynomialRoots| E V R P F) 
 ((|constructor| (NIL "Computes \\spad{n}-th roots of quotients of multivariate polynomials")) (|nthr| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)) "\\spad{nthr(p,n)} should be local but conditional")) (|froot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|)) "\\spad{froot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|qroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|)) "\\spad{qroot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|rroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|)) "\\spad{rroot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|coerce| (($ |#4|) "\\spad{coerce(p)} \\undocumented")) (|denom| ((|#4| $) "\\spad{denom(x)} \\undocumented")) (|numer| ((|#4| $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-477)))) 
-(-982) 
+((|HasCategory| |#3| (QUOTE (|GcdDomain|)))) 
+(|U32VectorPolynomialOperations|) 
 ((|constructor| (NIL "This is a low-level package which implements operations on vectors treated as univariate modular polynomials. Most operations takes modulus as parameter. Modulus is machine sized prime which should be small enough to avoid overflow in intermediate calculations.")) (|resultant| (((|Integer|) (|U32Vector|) (|U32Vector|) (|Integer|)) "\\spad{resultant(v1, \\spad{v2,} \\spad{p)}} computes resultant of \\spad{v1} and \\spad{v2} modulo \\spad{p.}")) (|extendedgcd| (((|List| (|U32Vector|)) (|U32Vector|) (|U32Vector|) (|Integer|)) "extended_gcd(v1, \\spad{v2,} \\spad{p)} gives \\spad{[g,} \\spad{c1,} \\spad{c2]} such that \\spad{g} is \\spad{gcd(v1, \\spad{v2,} p)}, \\spad{g = \\spad{c1*v1} + c2*v2} and degree(c1) < max(degree(v2) - degree(g), 0) and degree(c2) < max(degree(v1) - degree(g), 1)")) (|degree| (((|Integer|) (|U32Vector|)) "\\spad{degree(v)} is degree of \\spad{v} treated as polynomial")) (|lcm| (((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{lcm(a, lo, hi, \\spad{p)}} computes \\spad{lcm} of elements a(lo), a(lo+1), ..., a(hi).")) (|gcd| (((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{gcd(a, lo, hi, \\spad{p)}} computes \\spad{gcd} of elements a(lo), a(lo+1), ..., a(hi).") (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) "\\spad{gcd(v1, \\spad{v2,} \\spad{p)}} computes monic \\spad{gcd} of \\spad{v1} and \\spad{v2} modulo \\spad{p.}")) (|tomodpa| (((|U32Vector|) (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "to_mod_pa(s, \\spad{p)} reduces coefficients of polynomial \\spad{s} modulo prime \\spad{p} and converts the result to vector")) (|vectorcombination| (((|Void|) (|U32Vector|) (|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "vector_combination(v1, \\spad{c1,} \\spad{v2,} \\spad{c2,} \\spad{n,} delta, \\spad{p)} replaces first \\spad{n} + 1 entires of \\spad{v1} by corresponding entries of \\spad{c1*v1+c2*x^delta*v2} mod \\spad{p.}")) (|remainder!| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial remainder")) (|divide!| (((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial division.")) (|differentiate| (((|U32Vector|) (|U32Vector|) (|NonNegativeInteger|) (|Integer|)) "Polynomial differentiation.") (((|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial differentiation.")) (|pow| (((|U32Vector|) (|U32Vector|) (|PositiveInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{pow(u, \\spad{n,} \\spad{d,} \\spad{p)}} returns u^n truncated after degree \\spad{d,} except if n=1, in which case \\spad{u} itself is returned")) (|truncatedmuladd| (((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) "truncated_mul_add(x, \\spad{y,} \\spad{z,} \\spad{d,} \\spad{p)} adds to \\spad{z} the produce x*y truncated after degree \\spad{d}")) (|truncatedmultiplication| (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) "truncated_multiplication(x, \\spad{y,} \\spad{d,} \\spad{p)} computes x*y truncated after degree \\spad{d}")) (|mul| (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial multiplication.")) (|mulbyscalar| (((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) "mul_by_scalar(v, deg, \\spad{c,} \\spad{p)} treats \\spad{v} as coefficients of polynomial of degree deg and multiplies in place this polynomial by scalar \\spad{c}")) (|mulbybinomial| (((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) "mul_by_binomial(v, deg, \\spad{pt,} \\spad{p)} treats \\spad{v} as coefficients of polynomial of degree deg and multiplies in place this polynomial by binomial \\spad{(x} + pt). Highest coefficient of product is ignored.") (((|Void|) (|U32Vector|) (|Integer|) (|Integer|)) "mul_by_binomial(v, \\spad{pt,} \\spad{p)} treats \\spad{v} a polynomial and multiplies in place this polynomial by binomial \\spad{(x} + pt). Highest coefficient of product is ignored.")) (|vectoraddmul| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "vector_add_mul(v1, \\spad{v2,} \\spad{m,} \\spad{n,} \\spad{c,} \\spad{p)} sets v1(m), ..., v1(n) to corresponding extries in \\spad{v1} + \\spad{c*v2} modulo \\spad{p.}")) (|evalat| (((|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{eval_at(v, deg, \\spad{pt,} \\spad{p)} treats \\spad{v} as coefficients of} \\indented{1}{polynomial of degree deg and evaluates the} \\indented{1}{polynomial at point \\spad{pt} modulo \\spad{p}} \\blankline \\spad{X} a:=new(3,1)$U32VEC \\spad{X} \\spad{a.1:=2} \\spad{X} eval_at(a,2,3,1024) \\spad{X} eval_at(a,2,2,8) \\spad{X} eval_at(a,2,3,10)")) (|copyslice| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) "copy_first(v1, \\spad{v2,} \\spad{m,} \\spad{n)} copies the slice of \\spad{v2} starting at \\spad{m} elements and having \\spad{n} elements into corresponding positions in \\spad{v1.}")) (|copyfirst| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|)) "copy_first(v1, \\spad{v2,} \\spad{n)} copies first \\spad{n} elements of \\spad{v2} into \\spad{n} first positions in \\spad{v1.}"))) 
 NIL 
 NIL 
-(-983) 
+(|PlottablePlaneCurveCategory|) 
 ((|constructor| (NIL "\\indented{1}{Author: Clifton \\spad{J.} Williamson} Date Created: 11 January 1990 Date Last Updated: 15 June 1990 Description:")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-984 R L) 
+(|PrecomputedAssociatedEquations| R L) 
 ((|constructor| (NIL "\\spadtype{PrecomputedAssociatedEquations} stores some generic precomputations which speed up the computations of the associated equations needed for factoring operators.")) (|firstUncouplingMatrix| (((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)) "\\spad{firstUncouplingMatrix(op, \\spad{m)}} returns the matrix A such that \\spad{A \\spad{w} = (W',W'',...,W^N)} in the corresponding associated equations for right-factors of order \\spad{m} of op. Returns \"failed\" if the matrix A has not been precomputed for the particular combination \\spad{degree(L), \\spad{m}.}"))) 
 NIL 
 NIL 
-(-985 A B) 
+(|PrimitiveArrayFunctions2| A B) 
 ((|constructor| (NIL "This package provides tools for operating on primitive arrays with unary and binary functions involving different underlying types")) (|map| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)) "\\indented{1}{map(f,a) applies function \\spad{f} to each member of primitive array} \\indented{1}{\\spad{a} resulting in a new primitive array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} map(x+->x+2,[i for \\spad{i} in 1..10])$T1")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{reduce(f,a,r) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{primitive array \\spad{a} and an accumulant initialized to \\spad{r.}} \\indented{1}{For example, \\spad{reduce(_+$Integer,[1,2,3],0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f.}} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,[i for \\spad{i} in 1..10],0)$T1")) (|scan| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{scan(f,a,r) successively applies} \\indented{1}{\\spad{reduce(f,x,r)} to more and more leading sub-arrays} \\indented{1}{x of primitive array \\spad{a}.} \\indented{1}{More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then} \\indented{1}{\\spad{scan(f,a,r)} returns} \\indented{1}{\\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,[i for \\spad{i} in 1..10],0)$T1"))) 
 NIL 
 NIL 
-(-986 S) 
+(|PrimitiveArray| S) 
 ((|constructor| (NIL "This provides a fast array type with no bound checking on elt's. Minimum index is 0 in this type, cannot be changed"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-987) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|PrimitiveFunctionCategory|) 
 ((|constructor| (NIL "Category for the functions defined by integrals.")) (|integral| (($ $ (|SegmentBinding| $)) "\\spad{integral(f, \\spad{x} = a..b)} returns the formal definite integral of \\spad{f} \\spad{dx} for \\spad{x} between \\spad{a} and \\spad{b.}") (($ $ (|Symbol|)) "\\spad{integral(f, \\spad{x)}} returns the formal integral of \\spad{f} \\spad{dx.}"))) 
 NIL 
 NIL 
-(-988 -3958) 
+(|PrimitiveElement| F) 
 ((|constructor| (NIL "PrimitiveElement provides functions to compute primitive elements in algebraic extensions.")) (|primitiveElement| (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)) "\\spad{primitiveElement([p1,...,pn], [a1,...,an], a)} returns \\spad{[[c1,...,cn], [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, where \\spad{a = \\spad{a1} \\spad{c1} + \\spad{...} + an cn}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The pi's are the defining polynomials for the ai's. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{primitiveElement([p1,...,pn], [a1,...,an])} returns \\spad{[[c1,...,cn], [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, where \\spad{a = \\spad{a1} \\spad{c1} + \\spad{...} + an cn}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The pi's are the defining polynomials for the ai's. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|)) "\\spad{primitiveElement(p1, a1, \\spad{p2,} a2)} returns \\spad{[c1, \\spad{c2,} \\spad{q]}} such that \\spad{k(a1, a2) = k(a)} where \\spad{a = \\spad{c1} \\spad{a1} + \\spad{c2} a2, and q(a) = 0}. The pi's are the defining polynomials for the ai's. The \\spad{p2} may involve a1, but \\spad{p1} must not involve a2. This operation uses \\spadfun{resultant}."))) 
 NIL 
 NIL 
-(-989 I) 
+(|IntegerPrimesPackage| I) 
 ((|constructor| (NIL "The \\spadtype{IntegerPrimesPackage} implements a modification of Rabin's probabilistic primality test and the utility functions \\spadfun{nextPrime}, \\spadfun{prevPrime} and \\spadfun{primes}.")) (|primes| (((|List| |#1|) |#1| |#1|) "\\spad{primes(a,b)} returns a list of all primes \\spad{p} with \\spad{a \\spad{<=} \\spad{p} \\spad{<=} \\spad{b}}")) (|prevPrime| ((|#1| |#1|) "\\spad{prevPrime(n)} returns the largest prime strictly smaller than \\spad{n}")) (|nextPrime| ((|#1| |#1|) "\\spad{nextPrime(n)} returns the smallest prime strictly larger than \\spad{n}")) (|prime?| (((|Boolean|) |#1|) "\\spad{prime?(n)} returns \\spad{true} if \\spad{n} is prime and \\spad{false} if not. The algorithm used is Rabin's probabilistic primality test (reference: Knuth Volume 2 Semi Numerical Algorithms). If \\spad{prime? \\spad{n}} returns false, \\spad{n} is proven composite. If \\spad{prime? \\spad{n}} returns true, prime? may be in error however, the probability of error is very low. and is zero below 25*10**9 (due to a result of Pomerance et al), below 10**12 and 10**13 due to results of Pinch, and below 341550071728321 due to a result of Jaeschke. Specifically, this implementation does at least 10 pseudo prime tests and so the probability of error is \\spad{< 4**(-10)}. The running time of this method is cubic in the length of the input \\spad{n,} that is \\spad{O( (log \\spad{n)**3} \\spad{)},} for n<10**20. beyond that, the algorithm is quartic, \\spad{O( (log \\spad{n)**4} \\spad{)}.} Two improvements due to Davenport have been incorporated which catches some trivial strong pseudo-primes, such as [Jaeschke, 1991] 1377161253229053 * 413148375987157, which the original algorithm regards as prime"))) 
 NIL 
 NIL 
-(-990) 
+(|PrintPackage|) 
 ((|constructor| (NIL "PrintPackage provides a print function for output forms.")) (|print| (((|Void|) (|OutputForm|)) "\\spad{print(o)} writes the output form \\spad{o} on standard output using the two-dimensional formatter."))) 
 NIL 
 NIL 
-(-991 K |symb| |PolyRing| E |ProjPt|) 
+(|ProjectiveAlgebraicSetPackage| K |symb| |PolyRing| E |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|rationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(f,d)} returns all points on the curve \\axiom{f} in the extension of the ground field of degree \\axiom{d}. For \\axiom{d > 1} this only works if \\axiom{K} is a \\axiomType{LocallyAlgebraicallyClosedField}")) (|algebraicSet| (((|List| |#5|) (|List| |#3|)) "\\spad{algebraicSet returns} the algebraic set if finite (dimension 0).")) (|singularPoints| (((|List| |#5|) |#3|) "\\spad{singularPoints retourne} les points singulier")) (|singularPointsWithRestriction| (((|List| |#5|) |#3| (|List| |#3|)) "return the singular points that anhilate"))) 
 NIL 
 NIL 
-(-992 R E) 
+(|PolynomialRing| R E) 
 ((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring), and terms indexed by their exponents (from an arbitrary ordered abelian monoid). This type is used, for example, by the \\spadtype{DistributedMultivariatePolynomial} domain where the exponent domain is a direct product of non negative integers.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (|fmecg| (($ $ |#2| |#1| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (-12 (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-158)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623))) 
-(-993 A B) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (AND (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|))) 
+(|Product| A B) 
 ((|constructor| (NIL "This domain implements cartesian product")) (|selectsecond| ((|#2| $) "\\spad{selectsecond(x)} is not documented")) (|selectfirst| ((|#1| $) "\\spad{selectfirst(x)} is not documented")) (|makeprod| (($ |#1| |#2|) "\\indented{1}{makeprod(a,b) computes the product of two functions} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} \\spad{x^3} \\spad{X} h(x:INT):Product(INT,INT) \\spad{==} makeprod(f \\spad{x,} \\spad{g} \\spad{x)} \\spad{X} h(3)"))) 
-((-4622 -12 (|has| |#2| (-502)) (|has| |#1| (-502)))) 
-((-12 (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#2| (QUOTE (-502)))) (-12 (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-394)))) (-12 (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-743)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#2| (QUOTE (-502)))) (-12 (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-743))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-158)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-815))))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-815))))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-158))) (|HasCategory| |#2| (QUOTE (-158)))) (-12 (|HasCategory| |#1| (QUOTE (-502))) (|HasCategory| |#2| (QUOTE (-502)))) (-12 (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-743)))) (-12 (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-815))))) (-12 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-869)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-815))) (|HasCategory| |#2| (QUOTE (-815)))) (-12 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-869)))))) 
-(-994 K) 
+((|unitsKnown| AND (|has| |#2| (|Group|)) (|has| |#1| (|Group|)))) 
+((AND (|HasCategory| |#1| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|)))) (AND (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#2| (QUOTE (|Group|)))) (AND (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|Finite|)))) (AND (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#2| (QUOTE (|Group|)))) (AND (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|Monoid|))))) (AND (|HasCategory| |#1| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|AbelianMonoid|)))) (AND (|HasCategory| |#1| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|)))) (AND (|HasCategory| |#1| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#1| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))))) (OR (AND (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|)))) (AND (|HasCategory| |#1| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|AbelianMonoid|)))) (AND (|HasCategory| |#1| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#1| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))))) (OR (AND (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|)))) (AND (|HasCategory| |#1| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|AbelianMonoid|)))) (AND (|HasCategory| |#1| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#1| (QUOTE (|Group|))) (|HasCategory| |#2| (QUOTE (|Group|)))) (AND (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#1| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|))))) (AND (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#2| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))))) 
+(|ProjectivePlane| K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-995 K) 
+(|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-996 -3832 K) 
+(|ProjectiveSpace| |dim| K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-997 S) 
+(|PriorityQueueAggregate| S) 
 ((|constructor| (NIL "A priority queue is a bag of items from an ordered set where the item extracted is always the maximum element.")) (|merge!| (($ $ $) "\\spad{merge!(q,q1)} destructively changes priority queue \\spad{q} to include the values from priority queue \\spad{q1.}")) (|merge| (($ $ $) "\\spad{merge(q1,q2)} returns combines priority queues \\spad{q1} and \\spad{q2} to return a single priority queue \\spad{q.}")) (|max| ((|#1| $) "\\spad{max(q)} returns the maximum element of priority queue \\spad{q.}"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-998 R |polR|) 
+(|PseudoRemainderSequence| R |polR|) 
 ((|constructor| (NIL "This package contains some functions: discriminant, resultant, subResultantGcd, chainSubResultants, degreeSubResultant, lastSubResultant, resultantEuclidean, subResultantGcdEuclidean, semiSubResultantGcdEuclidean1, semiSubResultantGcdEuclidean2\\br These procedures come from improvements of the subresultants algorithm.")) (|semiResultantEuclideannaif| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the semi-extended resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|resultantEuclideannaif| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the extended resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|resultantnaif| ((|#1| |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|nextsousResultant2| ((|#2| |#2| |#2| |#2| |#1|) "\\axiom{nextsousResultant2(P, \\spad{Q,} \\spad{Z,} \\spad{s)}} returns the subresultant \\axiom{S_{e-1}} where \\axiom{P ~ S_d, \\spad{Q} = S_{d-1}, \\spad{Z} = S_e, \\spad{s} = lc(S_d)}")) (|Lazard2| ((|#2| |#2| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard2(F, \\spad{x,} \\spad{y,} \\spad{n)}} computes \\axiom{(x/y)**(n-1) * \\spad{F}}")) (|Lazard| ((|#1| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard(x, \\spad{y,} \\spad{n)}} computes \\axiom{x**n/y**(n-1)}")) (|divide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{divide(F,G)} computes quotient and rest of the exact euclidean division of \\axiom{F} by \\axiom{G}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{pseudoDivide(P,Q)} computes the pseudoDivide of \\axiom{P} by \\axiom{Q}.")) (|exquo| (((|Vector| |#2|) (|Vector| |#2|) |#1|) "\\axiom{v exquo \\spad{r}} computes the exact quotient of \\axiom{v} by \\axiom{r}")) (* (((|Vector| |#2|) |#1| (|Vector| |#2|)) "\\axiom{r * \\spad{v}} computes the product of \\axiom{r} and \\axiom{v}")) (|gcd| ((|#2| |#2| |#2|) "\\axiom{gcd(P, \\spad{Q)}} returns the \\spad{gcd} of \\axiom{P} and \\axiom{Q}.")) (|semiResultantReduitEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{semiResultantReduitEuclidean(P,Q)} returns the \"reduce resultant\" and carries out the equality \\axiom{...P + coef2*Q = resultantReduit(P,Q)}.")) (|resultantReduitEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{resultantReduitEuclidean(P,Q)} returns the \"reduce resultant\" and carries out the equality \\axiom{coef1*P + coef2*Q = resultantReduit(P,Q)}.")) (|resultantReduit| ((|#1| |#2| |#2|) "\\axiom{resultantReduit(P,Q)} returns the \"reduce resultant\" of \\axiom{P} and \\axiom{Q}.")) (|schema| (((|List| (|NonNegativeInteger|)) |#2| |#2|) "\\axiom{schema(P,Q)} returns the list of degrees of non zero subresultants of \\axiom{P} and \\axiom{Q}.")) (|chainSubResultants| (((|List| |#2|) |#2| |#2|) "\\axiom{chainSubResultants(P, \\spad{Q)}} computes the list of non zero subresultants of \\axiom{P} and \\axiom{Q}.")) (|semiDiscriminantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(P)} carries out the equality \\axiom{...P + \\spad{coef2} * D(P) = discriminant(P)}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|discriminantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(P)} carries out the equality \\axiom{coef1 * \\spad{P} + \\spad{coef2} * D(P) = discriminant(P)}.")) (|discriminant| ((|#1| |#2|) "\\axiom{discriminant(P, \\spad{Q)}} returns the discriminant of \\axiom{P} and \\axiom{Q}.")) (|semiSubResultantGcdEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{semiSubResultantGcdEuclidean1(P,Q)} carries out the equality \\axiom{coef1*P + ? \\spad{Q} = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible.")) (|semiSubResultantGcdEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{semiSubResultantGcdEuclidean2(P,Q)} carries out the equality \\axiom{...P + coef2*Q = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|subResultantGcdEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{subResultantGcdEuclidean(P,Q)} carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible.")) (|subResultantGcd| ((|#2| |#2| |#2|) "\\axiom{subResultantGcd(P, \\spad{Q)}} returns the \\spad{gcd} of two primitive polynomials \\axiom{P} and \\axiom{Q}.")) (|semiLastSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{semiLastSubResultantEuclidean(P, \\spad{Q)}} computes the last non zero subresultant \\axiom{S} and carries out the equality \\axiom{...P + coef2*Q = \\spad{S}.} Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|lastSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{lastSubResultantEuclidean(P, \\spad{Q)}} computes the last non zero subresultant \\axiom{S} and carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{S}.}")) (|lastSubResultant| ((|#2| |#2| |#2|) "\\axiom{lastSubResultant(P, \\spad{Q)}} computes the last non zero subresultant of \\axiom{P} and \\axiom{Q}")) (|semiDegreeSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns a subresultant \\axiom{S} of degree \\axiom{d} and carries out the equality \\axiom{...P + coef2*Q = S_i}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|degreeSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns a subresultant \\axiom{S} of degree \\axiom{d} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i}.")) (|degreeSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{degreeSubResultant(P, \\spad{Q,} \\spad{d)}} computes a subresultant of degree \\axiom{d}.")) (|semiIndiceSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{semiIndiceSubResultantEuclidean(P, \\spad{Q,} i)} returns the subresultant \\axiom{S_i(P,Q)} and carries out the equality \\axiom{...P + coef2*Q = S_i(P,Q)} Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|indiceSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns the subresultant \\axiom{S_i(P,Q)} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i(P,Q)}")) (|indiceSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns the subresultant of indice \\axiom{i}")) (|semiResultantEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{semiResultantEuclidean1(P,Q)} carries out the equality \\axiom{coef1.P + ? \\spad{Q} = resultant(P,Q)}.")) (|semiResultantEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{semiResultantEuclidean2(P,Q)} carries out the equality \\axiom{...P + coef2*Q = resultant(P,Q)}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|resultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean(P,Q)} carries out the equality \\axiom{coef1*P + coef2*Q = resultant(P,Q)}")) (|resultant| ((|#1| |#2| |#2|) "\\axiom{resultant(P, \\spad{Q)}} returns the resultant of \\axiom{P} and \\axiom{Q}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-477)))) 
-(-999 K) 
+((|HasCategory| |#1| (QUOTE (|GcdDomain|)))) 
+(|ProjectiveSpaceCategory| K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space.")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|lastNonNull| (((|Integer|) $) "\\spad{lastNonNull returns} the integer corresponding to the last non null coordinates.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,n)} test if the point is rational according to \\spad{n.}")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(lp,n) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n)} of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(p,n) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,n)} returns p**n, that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,n)} returns the orbit of the point \\spad{p} according to \\spad{n,} that is orbit(p,n) = \\spad{\\{} \\spad{p,} p**n, p**(n**2), p**(n**3), ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K,} that is, for \\spad{q=} char \\spad{K,} orbit(p) = \\spad{\\{} \\spad{p,} p**q, p**(q**2), p**(q**3), ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a projective point.") (((|List| |#1|) $) "\\spad{coerce a} a projective point list of \\spad{K}")) (|projectivePoint| (($ (|List| |#1|)) "\\spad{projectivePoint creates} a projective point from a list")) (|homogenize| (($ $) "\\spad{homogenize(pt)} the point according to the coordinate which is the last non null.") (($ $ (|Integer|)) "\\spad{homogenize the} point according to the coordinate specified by the integer"))) 
 NIL 
 NIL 
-(-1000) 
+(|Partition|) 
 ((|constructor| (NIL "Domain for partitions of positive integers Partition is an OrderedCancellationAbelianMonoid which is used as the basis for symmetric polynomial representation of the sums of powers in SymmetricPolynomial. Thus, \\spad{(5 2 2 1)} will represent \\spad{s5 * \\spad{s2**2} * s1}.")) (|coerce| (((|List| (|Integer|)) $) "\\spad{coerce(p)} coerces a partition into a list of integers")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns the conjugate partition of a partition \\spad{p}")) (|pdct| (((|Integer|) $) "\\spad{pdct(a1**n1 \\spad{a2**n2} ...)} returns \\spad{n1! * \\spad{a1**n1} * \\spad{n2!} * \\spad{a2**n2} * ...}. This function is used in the package \\spadtype{CycleIndicators}.")) (|powers| (((|List| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{powers(li)} returns a list of 2-element lists. For each 2-element list, the first element is an entry of \\spad{li} and the second element is the multiplicity with which the first element occurs in li. There is a 2-element list for each value occurring in \\spad{l.}")) (|partition| (($ (|List| (|Integer|))) "\\spad{partition(li)} converts a list of integers \\spad{li} to a partition"))) 
 NIL 
 NIL 
-(-1001 S |Coef| |Expon| |Var|) 
+(|PowerSeriesCategory&| S |Coef| |Expon| |Var|) 
 ((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#4|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f.}")) (|degree| ((|#3| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#4|) (|List| |#3|)) "\\spad{monomial(a,[x1,..,xk],[n1,..,nk])} computes \\spad{a * \\spad{x1**n1} * \\spad{..} * xk**nk}.") (($ $ |#4| |#3|) "\\spad{monomial(a,x,n)} computes \\spad{a*x**n}."))) 
 NIL 
 NIL 
-(-1002 |Coef| |Expon| |Var|) 
+(|PowerSeriesCategory| |Coef| |Expon| |Var|) 
 ((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#3|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f.}")) (|degree| ((|#2| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#3|) (|List| |#2|)) "\\spad{monomial(a,[x1,..,xk],[n1,..,nk])} computes \\spad{a * \\spad{x1**n1} * \\spad{..} * xk**nk}.") (($ $ |#3| |#2|) "\\spad{monomial(a,x,n)} computes \\spad{a*x**n}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1003) 
+(|PlottableSpaceCurveCategory|) 
 ((|constructor| (NIL "PlottableSpaceCurveCategory is the category of curves in 3-space which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points, representing the branches of the curve, and for determining the ranges of the \\spad{x-,} \\spad{y-,} and z-coordinates of the points on the curve.")) (|zRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{zRange(c)} returns the range of the z-coordinates of the points on the curve \\spad{c.}")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-1004 S R E |VarSet| P) 
+(|PolynomialSetCategory&| S R E |VarSet| P) 
 ((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore, for \\spad{R} being an integral domain, a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) \\spad{P},} or the set of its zeros (described for instance by the radical of the previous ideal, or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(ps)} returns \\spad{true} iff \\axiom{ps} is a triangular set, \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{ps}.")) (|rewriteIdealWithRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithRemainder(lp,cs)} returns \\axiom{lr} such that every polynomial in \\axiom{lr} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|rewriteIdealWithHeadRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithHeadRemainder(lp,cs)} returns \\axiom{lr} such that the leading monomial of every polynomial in \\axiom{lr} is reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|remainder| (((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{remainder(a,ps)} returns \\axiom{[c,b,r]} such that \\axiom{b} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{ps}, \\axiom{r*a - c*b} lies in the ideal generated by \\axiom{ps}. Furthermore, if \\axiom{R} is a gcd-domain, \\axiom{b} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{headRemainder(a,ps)} returns \\axiom{[b,r]} such that the leading monomial of \\axiom{b} is reduced in the sense of Groebner bases w.r.t. \\axiom{ps} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{ps}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} contains \\indented{1}{some non null element lying in the base ring \\axiom{R}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(ps1,ps2)} returns \\spad{true} iff it can proved that \\axiom{ps1} and \\axiom{ps2} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(ps1,ps2)} returns \\spad{true} iff it can proved that all polynomials in \\axiom{ps1} lie in the ideal generated by \\axiom{ps2} in \\axiom{\\axiom{(R)^(-1) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(ps)} returns \\spad{true} iff for every pair \\axiom{{p,q}} of polynomials in \\axiom{ps} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#4|) "\\axiom{sort(v,ps)} returns \\axiom{us,vs,ws} such that \\axiom{us} is \\axiom{collectUnder(ps,v)}, \\axiom{vs} is \\axiom{collect(ps,v)} and \\axiom{ws} is \\axiom{collectUpper(ps,v)}.")) (|collectUpper| (($ $ |#4|) "\\axiom{collectUpper(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable greater than \\axiom{v}.")) (|collect| (($ $ |#4|) "\\axiom{collect(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with \\axiom{v} as main variable.")) (|collectUnder| (($ $ |#4|) "\\axiom{collectUnder(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable less than \\axiom{v}.")) (|mainVariable?| (((|Boolean|) |#4| $) "\\axiom{mainVariable?(v,ps)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ps}.")) (|mainVariables| (((|List| |#4|) $) "\\axiom{mainVariables(ps)} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{ps}.")) (|variables| (((|List| |#4|) $) "\\axiom{variables(ps)} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{ps}.")) (|mvar| ((|#4| $) "\\axiom{mvar(ps)} returns the main variable of the non constant polynomial with the greatest main variable, if any, else an error is returned.")) (|retract| (($ (|List| |#5|)) "\\axiom{retract(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#5|)) "\\axiom{retractIfCan(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise \\axiom{\"failed\"} is returned."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-582)))) 
-(-1005 R E |VarSet| P) 
+((|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) 
+(|PolynomialSetCategory| R E |VarSet| P) 
 ((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore, for \\spad{R} being an integral domain, a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) \\spad{P},} or the set of its zeros (described for instance by the radical of the previous ideal, or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(ps)} returns \\spad{true} iff \\axiom{ps} is a triangular set, \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{ps}.")) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithRemainder(lp,cs)} returns \\axiom{lr} such that every polynomial in \\axiom{lr} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithHeadRemainder(lp,cs)} returns \\axiom{lr} such that the leading monomial of every polynomial in \\axiom{lr} is reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{remainder(a,ps)} returns \\axiom{[c,b,r]} such that \\axiom{b} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{ps}, \\axiom{r*a - c*b} lies in the ideal generated by \\axiom{ps}. Furthermore, if \\axiom{R} is a gcd-domain, \\axiom{b} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{headRemainder(a,ps)} returns \\axiom{[b,r]} such that the leading monomial of \\axiom{b} is reduced in the sense of Groebner bases w.r.t. \\axiom{ps} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{ps}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} contains \\indented{1}{some non null element lying in the base ring \\axiom{R}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(ps1,ps2)} returns \\spad{true} iff it can proved that \\axiom{ps1} and \\axiom{ps2} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(ps1,ps2)} returns \\spad{true} iff it can proved that all polynomials in \\axiom{ps1} lie in the ideal generated by \\axiom{ps2} in \\axiom{\\axiom{(R)^(-1) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(ps)} returns \\spad{true} iff for every pair \\axiom{{p,q}} of polynomials in \\axiom{ps} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) "\\axiom{sort(v,ps)} returns \\axiom{us,vs,ws} such that \\axiom{us} is \\axiom{collectUnder(ps,v)}, \\axiom{vs} is \\axiom{collect(ps,v)} and \\axiom{ws} is \\axiom{collectUpper(ps,v)}.")) (|collectUpper| (($ $ |#3|) "\\axiom{collectUpper(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable greater than \\axiom{v}.")) (|collect| (($ $ |#3|) "\\axiom{collect(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with \\axiom{v} as main variable.")) (|collectUnder| (($ $ |#3|) "\\axiom{collectUnder(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable less than \\axiom{v}.")) (|mainVariable?| (((|Boolean|) |#3| $) "\\axiom{mainVariable?(v,ps)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ps}.")) (|mainVariables| (((|List| |#3|) $) "\\axiom{mainVariables(ps)} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{ps}.")) (|variables| (((|List| |#3|) $) "\\axiom{variables(ps)} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{ps}.")) (|mvar| ((|#3| $) "\\axiom{mvar(ps)} returns the main variable of the non constant polynomial with the greatest main variable, if any, else an error is returned.")) (|retract| (($ (|List| |#4|)) "\\axiom{retract(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{retractIfCan(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise \\axiom{\"failed\"} is returned."))) 
-((-4625 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1006 R E V P) 
+(|PolynomialSetUtilitiesPackage| R E V P) 
 ((|constructor| (NIL "This package provides modest routines for polynomial system solving. The aim of many of the operations of this package is to remove certain factors in some polynomials in order to avoid unnecessary computations in algorithms involving splitting techniques by partial factorization.")) (|removeIrreducibleRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeIrreducibleRedundantFactors(lp,lq)} returns the same as \\axiom{irreducibleFactors(concat(lp,lq))} assuming that \\axiom{irreducibleFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some polynomial \\axiom{qj} associated to \\axiom{pj}.")) (|lazyIrreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{lazyIrreducibleFactors(lp)} returns \\axiom{lf} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lf = [f1,...,fm]} then \\axiom{p1*p2*...*pn=0} means \\axiom{f1*f2*...*fm=0}, and the \\axiom{fi} are irreducible over \\axiom{R} and are pairwise distinct. The algorithm tries to avoid factorization into irreducible factors as far as possible and makes previously use of \\spad{gcd} techniques over \\axiom{R}.")) (|irreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{irreducibleFactors(lp)} returns \\axiom{lf} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lf = [f1,...,fm]} then \\axiom{p1*p2*...*pn=0} means \\axiom{f1*f2*...*fm=0}, and the \\axiom{fi} are irreducible over \\axiom{R} and are pairwise distinct.")) (|removeRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInPols(lp,lf)} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{lp} by removing in every polynomial \\axiom{p} of \\axiom{lp} any non trivial factor of any polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in every polynomial \\axiom{lp}.")) (|removeRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInContents(lp,lf)} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{lp} by removing in the content of every polynomial of \\axiom{lp} any non trivial factor of any polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in the content of every polynomial of \\axiom{lp}.")) (|removeRoughlyRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInContents(lp,lf)} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{lp} by removing in the content of every polynomial of \\axiom{lp} any occurence of a polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in the content of every polynomial of \\axiom{lp}.")) (|univariatePolynomialsGcds| (((|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{univariatePolynomialsGcds(lp,opt)} returns the same as \\axiom{univariatePolynomialsGcds(lp)} if \\axiom{opt} is \\axiom{false} and if the previous operation does not return any non null and constant polynomial, else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|)) "\\axiom{univariatePolynomialsGcds(lp)} returns \\axiom{lg} where \\axiom{lg} is a list of the gcds of every pair in \\axiom{lp} of univariate polynomials in the same main variable.")) (|squareFreeFactors| (((|List| |#4|) |#4|) "\\axiom{squareFreeFactors(p)} returns the square-free factors of \\axiom{p} over \\axiom{R}")) (|rewriteIdealWithQuasiMonicGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteIdealWithQuasiMonicGenerators(lp,redOp?,redOp)} returns \\axiom{lq} where \\axiom{lq} and \\axiom{lp} generate the same ideal in \\axiom{R^(-1) \\spad{P}} and \\axiom{lq} has rank not higher than the one of \\axiom{lp}. Moreover, \\axiom{lq} is computed by reducing \\axiom{lp} w.r.t. some basic set of the ideal generated by the quasi-monic polynomials in \\axiom{lp}.")) (|rewriteSetByReducingWithParticularGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteSetByReducingWithParticularGenerators(lp,pred?,redOp?,redOp)} returns \\axiom{lq} where \\axiom{lq} is computed by the following algorithm. Chose a basic set w.r.t. the reduction-test \\axiom{redOp?} among the polynomials satisfying property \\axiom{pred?}, if it is empty then leave, else reduce the other polynomials by this basic set w.r.t. the reduction-operation \\axiom{redOp}. Repeat while another basic set with smaller rank can be computed. See code. If \\axiom{pred?} is \\axiom{quasiMonic?} the ideal is unchanged.")) (|crushedSet| (((|List| |#4|) (|List| |#4|)) "\\axiom{crushedSet(lp)} returns \\axiom{lq} such that \\axiom{lp} and and \\axiom{lq} generate the same ideal and no rough basic sets reduce (in the sense of Groebner bases) the other polynomials in \\axiom{lq}.")) (|roughBasicSet| (((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|)) "\\axiom{roughBasicSet(lp)} returns the smallest (with Ritt-Wu ordering) triangular set contained in \\axiom{lp}.")) (|interReduce| (((|List| |#4|) (|List| |#4|)) "\\axiom{interReduce(lp)} returns \\axiom{lq} such that \\axiom{lp} and \\axiom{lq} generate the same ideal and no polynomial in \\axiom{lq} is reducuble by the others in the sense of Groebner bases. Since no assumptions are required the result may depend on the ordering the reductions are performed.")) (|removeRoughlyRedundantFactorsInPol| ((|#4| |#4| (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPol(p,lf)} returns the same as removeRoughlyRedundantFactorsInPols([p],lf,true)")) (|removeRoughlyRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{removeRoughlyRedundantFactorsInPols(lp,lf,opt)} returns the same as \\axiom{removeRoughlyRedundantFactorsInPols(lp,lf)} if \\axiom{opt} is \\axiom{false} and if the previous operation does not return any non null and constant polynomial, else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPols(lp,lf)} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{lp} by removing in every polynomial \\axiom{p} of \\axiom{lp} any occurence of a polynomial \\axiom{f} in \\axiom{lf}. This may involve a lot of exact-quotients computations.")) (|bivariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{bivariatePolynomials(lp)} returns \\axiom{bps,nbps} where \\axiom{bps} is a list of the bivariate polynomials, and \\axiom{nbps} are the other ones.")) (|bivariate?| (((|Boolean|) |#4|) "\\axiom{bivariate?(p)} returns \\spad{true} iff \\axiom{p} involves two and only two variables.")) (|linearPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{linearPolynomials(lp)} returns \\axiom{lps,nlps} where \\axiom{lps} is a list of the linear polynomials in \\spad{lp,} and \\axiom{nlps} are the other ones.")) (|linear?| (((|Boolean|) |#4|) "\\axiom{linear?(p)} returns \\spad{true} iff \\axiom{p} does not lie in the base ring \\axiom{R} and has main degree \\axiom{1}.")) (|univariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{univariatePolynomials(lp)} returns \\axiom{ups,nups} where \\axiom{ups} is a list of the univariate polynomials, and \\axiom{nups} are the other ones.")) (|univariate?| (((|Boolean|) |#4|) "\\axiom{univariate?(p)} returns \\spad{true} iff \\axiom{p} involves one and only one variable.")) (|quasiMonicPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{quasiMonicPolynomials(lp)} returns \\axiom{qmps,nqmps} where \\axiom{qmps} is a list of the quasi-monic polynomials in \\axiom{lp} and \\axiom{nqmps} are the other ones.")) (|selectAndPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectAndPolynomials(lpred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds for every \\axiom{pred?} in \\axiom{lpred?} and \\axiom{bps} are the other ones.")) (|selectOrPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectOrPolynomials(lpred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds for some \\axiom{pred?} in \\axiom{lpred?} and \\axiom{bps} are the other ones.")) (|selectPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|)) "\\axiom{selectPolynomials(pred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds and \\axiom{bps} are the other ones.")) (|probablyZeroDim?| (((|Boolean|) (|List| |#4|)) "\\axiom{probablyZeroDim?(lp)} returns \\spad{true} iff the number of polynomials in \\axiom{lp} is not smaller than the number of variables occurring in these polynomials.")) (|possiblyNewVariety?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\axiom{possiblyNewVariety?(newlp,llp)} returns \\spad{true} iff for every \\axiom{lp} in \\axiom{llp} certainlySubVariety?(newlp,lp) does not hold.")) (|certainlySubVariety?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{certainlySubVariety?(newlp,lp)} returns \\spad{true} iff for every \\axiom{p} in \\axiom{lp} the remainder of \\axiom{p} by \\axiom{newlp} using the division algorithm of Groebner techniques is zero.")) (|unprotectedRemoveRedundantFactors| (((|List| |#4|) |#4| |#4|) "\\axiom{unprotectedRemoveRedundantFactors(p,q)} returns the same as \\axiom{removeRedundantFactors(p,q)} but does assume that neither \\axiom{p} nor \\axiom{q} lie in the base ring \\axiom{R} and assumes that \\axiom{infRittWu?(p,q)} holds. Moreover, if \\axiom{R} is gcd-domain, then \\axiom{p} and \\axiom{q} are assumed to be square free.")) (|removeSquaresIfCan| (((|List| |#4|) (|List| |#4|)) "\\axiom{removeSquaresIfCan(lp)} returns \\axiom{removeDuplicates [squareFreePart(p)$P for \\spad{p} in lp]} if \\axiom{R} is gcd-domain else returns \\axiom{lp}.")) (|removeRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|))) "\\axiom{removeRedundantFactors(lp,lq,remOp)} returns the same as \\axiom{concat(remOp(removeRoughlyRedundantFactorsInPols(lp,lq)),lq)} assuming that \\axiom{remOp(lq)} returns \\axiom{lq} up to similarity.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(lp,lq)} returns the same as \\axiom{removeRedundantFactors(concat(lp,lq))} assuming that \\axiom{removeRedundantFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some polynomial \\axiom{qj} associated to \\axiom{pj}.") (((|List| |#4|) (|List| |#4|) |#4|) "\\axiom{removeRedundantFactors(lp,q)} returns the same as \\axiom{removeRedundantFactors(cons(q,lp))} assuming that \\axiom{removeRedundantFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some some polynomial \\axiom{qj} associated to \\axiom{pj}.") (((|List| |#4|) |#4| |#4|) "\\axiom{removeRedundantFactors(p,q)} returns the same as \\axiom{removeRedundantFactors([p,q])}") (((|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(lp)} returns \\axiom{lq} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lq = [q1,...,qm]} then the product \\axiom{p1*p2*...*pn} vanishes iff the product \\axiom{q1*q2*...*qm} vanishes, and the product of degrees of the \\axiom{qi} is not greater than the one of the \\axiom{pj}, and no polynomial in \\axiom{lq} divides another polynomial in \\axiom{lq}. In particular, polynomials lying in the base ring \\axiom{R} are removed. Moreover, \\axiom{lq} is sorted w.r.t \\axiom{infRittWu?}. Furthermore, if \\spad{R} is gcd-domain, the polynomials in \\axiom{lq} are pairwise without common non trivial factor."))) 
 NIL 
-((-12 (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-323)))) (|HasCategory| |#1| (QUOTE (-477)))) 
-(-1007 K) 
+((AND (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|)))) 
+(|PseudoLinearNormalForm| K) 
 ((|constructor| (NIL "PseudoLinearNormalForm provides a function for computing a block-companion form for pseudo-linear operators.")) (|companionBlocks| (((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{companionBlocks(m, \\spad{v)}} returns \\spad{[[C_1, g_1],...,[C_k, g_k]]} such that each \\spad{C_i} is a companion block and \\spad{m = diagonal(C_1,...,C_k)}.")) (|changeBase| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{changeBase(M, A, sig, der)}: computes the new matrix of a pseudo-linear transform given by the matrix \\spad{M} under the change of base A")) (|normalForm| (((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{normalForm(M, sig, der)} returns \\spad{[R, A, A^{-1}]} such that the pseudo-linear operator whose matrix in the basis \\spad{y} is \\spad{M} had matrix \\spad{R} in the basis \\spad{z = A \\spad{y}.} \\spad{der} is a \\spad{sig}-derivation."))) 
 NIL 
 NIL 
-(-1008 |VarSet| E RC P) 
+(|PolynomialSquareFree| |VarSet| E RC P) 
 ((|constructor| (NIL "This package computes square-free decomposition of multivariate polynomials over a coefficient ring which is an arbitrary \\spad{gcd} domain. The requirement on the coefficient domain guarantees that the \\spadfun{content} can be removed so that factors will be primitive as well as square-free. Over an infinite ring of finite characteristic,it may not be possible to guarantee that the factors are square-free.")) (|squareFree| (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} returns the square-free factorization of the polynomial \\spad{p.} Each factor has no repeated roots, and the factors are pairwise relatively prime."))) 
 NIL 
 NIL 
-(-1009 R) 
+(|PointCategory| R) 
 ((|constructor| (NIL "PointCategory is the category of points in space which may be plotted via the graphics facilities. Functions are provided for defining points and handling elements of points.")) (|extend| (($ $ (|List| |#1|)) "\\spad{extend(x,l,r)} \\undocumented")) (|cross| (($ $ $) "\\spad{cross(p,q)} computes the cross product of the two points \\spad{p} and \\spad{q}. Error if the \\spad{p} and \\spad{q} are not 3 dimensional")) (|convert| (($ (|List| |#1|)) "\\spad{convert(l)} takes a list of elements, \\spad{l,} from the domain Ring and returns the form of point category.")) (|dimension| (((|PositiveInteger|) $) "\\spad{dimension(s)} returns the dimension of the point category \\spad{s.}")) (|point| (($ (|List| |#1|)) "\\spad{point(l)} returns a point category defined by a list \\spad{l} of elements from the domain \\spad{R.}"))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1010 R1 R2) 
+(|PointFunctions2| R1 R2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)) "\\spad{map(f,p)} \\undocumented"))) 
 NIL 
 NIL 
-(-1011 R) 
+(|PointPackage| R) 
 ((|constructor| (NIL "This package has no description")) (|shade| ((|#1| (|Point| |#1|)) "\\spad{shade(pt)} returns the fourth element of the two dimensional point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, shade to express a fourth dimension.")) (|hue| ((|#1| (|Point| |#1|)) "\\spad{hue(pt)} returns the third element of the two dimensional point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, hue to express a third dimension.")) (|color| ((|#1| (|Point| |#1|)) "\\spad{color(pt)} returns the fourth element of the point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, color to express a fourth dimension.")) (|phiCoord| ((|#1| (|Point| |#1|)) "\\spad{phiCoord(pt)} returns the third element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical coordinate system.")) (|thetaCoord| ((|#1| (|Point| |#1|)) "\\spad{thetaCoord(pt)} returns the second element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|rCoord| ((|#1| (|Point| |#1|)) "\\spad{rCoord(pt)} returns the first element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|zCoord| ((|#1| (|Point| |#1|)) "\\spad{zCoord(pt)} returns the third element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian or a cylindrical coordinate system.")) (|yCoord| ((|#1| (|Point| |#1|)) "\\spad{yCoord(pt)} returns the second element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system.")) (|xCoord| ((|#1| (|Point| |#1|)) "\\spad{xCoord(pt)} returns the first element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system."))) 
 NIL 
 NIL 
-(-1012 K) 
+(|PartialTranscendentalFunctions| K) 
 ((|constructor| (NIL "A package which provides partial transcendental functions, for example, functions which return an answer or \"failed\" This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory.")) (|acschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acschIfCan(z)} returns acsch(z) if possible, and \"failed\" otherwise.")) (|asechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asechIfCan(z)} returns asech(z) if possible, and \"failed\" otherwise.")) (|acothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acothIfCan(z)} returns acoth(z) if possible, and \"failed\" otherwise.")) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanhIfCan(z)} returns atanh(z) if possible, and \"failed\" otherwise.")) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acoshIfCan(z)} returns acosh(z) if possible, and \"failed\" otherwise.")) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinhIfCan(z)} returns asinh(z) if possible, and \"failed\" otherwise.")) (|cschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cschIfCan(z)} returns csch(z) if possible, and \"failed\" otherwise.")) (|sechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sechIfCan(z)} returns sech(z) if possible, and \"failed\" otherwise.")) (|cothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cothIfCan(z)} returns coth(z) if possible, and \"failed\" otherwise.")) (|tanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanhIfCan(z)} returns tanh(z) if possible, and \"failed\" otherwise.")) (|coshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{coshIfCan(z)} returns cosh(z) if possible, and \"failed\" otherwise.")) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinhIfCan(z)} returns sinh(z) if possible, and \"failed\" otherwise.")) (|acscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acscIfCan(z)} returns acsc(z) if possible, and \"failed\" otherwise.")) (|asecIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asecIfCan(z)} returns asec(z) if possible, and \"failed\" otherwise.")) (|acotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acotIfCan(z)} returns acot(z) if possible, and \"failed\" otherwise.")) (|atanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanIfCan(z)} returns atan(z) if possible, and \"failed\" otherwise.")) (|acosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acosIfCan(z)} returns acos(z) if possible, and \"failed\" otherwise.")) (|asinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinIfCan(z)} returns asin(z) if possible, and \"failed\" otherwise.")) (|cscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cscIfCan(z)} returns csc(z) if possible, and \"failed\" otherwise.")) (|secIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{secIfCan(z)} returns sec(z) if possible, and \"failed\" otherwise.")) (|cotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cotIfCan(z)} returns cot(z) if possible, and \"failed\" otherwise.")) (|tanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanIfCan(z)} returns tan(z) if possible, and \"failed\" otherwise.")) (|cosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cosIfCan(z)} returns cos(z) if possible, and \"failed\" otherwise.")) (|sinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinIfCan(z)} returns sin(z) if possible, and \"failed\" otherwise.")) (|logIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{logIfCan(z)} returns log(z) if possible, and \"failed\" otherwise.")) (|expIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{expIfCan(z)} returns exp(z) if possible, and \"failed\" otherwise.")) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{nthRootIfCan(z,n)} returns the \\spad{n}th root of \\spad{z} if possible, and \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-1013 R E OV PPR) 
+(|PushVariables| R E OV PPR) 
 ((|constructor| (NIL "This package has no description")) (|map| ((|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|) "\\spad{map(f,p)} \\undocumented{}")) (|pushup| ((|#4| |#4| (|List| |#3|)) "\\spad{pushup(p,lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushup(p,v)} \\undocumented{}")) (|pushdown| ((|#4| |#4| (|List| |#3|)) "\\spad{pushdown(p,lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushdown(p,v)} \\undocumented{}")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-1014 K R UP -3958) 
+(|PAdicWildFunctionFieldIntegralBasis| K R UP F) 
 ((|constructor| (NIL "In this package \\spad{K} is a finite field, \\spad{R} is a ring of univariate polynomials over \\spad{K,} and \\spad{F} is a monogenic algebra over \\spad{R.} We require that \\spad{F} is monogenic, \\spadignore{i.e.} that \\spad{F = K[x,y]/(f(x,y))}, because the integral basis algorithm used will factor the polynomial \\spad{f(x,y)}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|reducedDiscriminant| ((|#2| |#3|) "\\spad{reducedDiscriminant(up)} \\undocumented")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv] } containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of the framed algebra \\spad{F.} \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If 'basis' is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if 'basisInv' is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv] } containing information regarding the integral closure of \\spad{R} in the quotient field of the framed algebra \\spad{F.} \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If 'basis' is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if 'basisInv' is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}."))) 
 NIL 
 NIL 
-(-1015 |vl| |nv|) 
+(|QuasiAlgebraicSet2| |vl| |nv|) 
 ((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet2} adds a function \\spadfun{radicalSimplify} which uses \\spadtype{IdealDecompositionPackage} to simplify the representation of a quasi-algebraic set. A quasi-algebraic set is the intersection of a Zariski closed set, defined as the common zeros of a given list of polynomials (the defining polynomials for equations), and a principal Zariski open set, defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). Quasi-algebraic sets are implemented in the domain \\spadtype{QuasiAlgebraicSet}, where two simplification routines are provided: \\spadfun{idealSimplify} and \\spadfun{simplify}. The function \\spadfun{radicalSimplify} is added for comparison study only. Because the domain \\spadtype{IdealDecompositionPackage} provides facilities for computing with radical ideals, it is necessary to restrict the ground ring to the domain \\spadtype{Fraction Integer}, and the polynomial ring to be of type \\spadtype{DistributedMultivariatePolynomial}. The routine \\spadfun{radicalSimplify} uses these to compute groebner basis of radical ideals and is inefficient and restricted when compared to the two in \\spadtype{QuasiAlgebraicSet}.")) (|radicalSimplify| (((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radicalSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using using groebner basis of radical ideals"))) 
 NIL 
 NIL 
-(-1016 R |Var| |Expon| |Dpoly|) 
+(|QuasiAlgebraicSet| R |Var| |Expon| |Dpoly|) 
 ((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet} constructs a domain representing quasi-algebraic sets, which is the intersection of a Zariski closed set, defined as the common zeros of a given list of polynomials (the defining polynomials for equations), and a principal Zariski open set, defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). This domain provides simplification of a user-given representation using groebner basis computations. There are two simplification routines: the first function \\spadfun{idealSimplify} uses groebner basis of ideals alone, while the second, \\spadfun{simplify} uses both groebner basis and factorization. The resulting defining equations \\spad{L} always form a groebner basis, and the resulting defining inequation \\spad{f} is always reduced. The function \\spadfun{simplify} may be applied several times if desired. A third simplification routine \\spadfun{radicalSimplify} is provided in \\spadtype{QuasiAlgebraicSet2} for comparison study only, as it is inefficient compared to the other two, as well as is restricted to only certain coefficient domains. For detail analysis and a comparison of the three methods, please consult the reference cited. \\blankline A polynomial function \\spad{q} defined on the quasi-algebraic set is equivalent to its reduced form with respect to \\spad{L.} While this may be obtained using the usual normal form algorithm, there is no canonical form for \\spad{q.} \\blankline The ordering in groebner basis computation is determined by the data type of the input polynomials. If it is possible we suggest to use refinements of total degree orderings.")) (|simplify| (($ $) "\\spad{simplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using a heuristic algorithm based on factoring.")) (|idealSimplify| (($ $) "\\spad{idealSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using Buchberger's algorithm.")) (|definingInequation| ((|#4| $) "\\spad{definingInequation(s)} returns a single defining polynomial for the inequation, that is, the Zariski open part of \\spad{s.}")) (|definingEquations| (((|List| |#4|) $) "\\spad{definingEquations(s)} returns a list of defining polynomials for equations, that is, for the Zariski closed part of \\spad{s.}")) (|empty?| (((|Boolean|) $) "\\spad{empty?(s)} returns \\spad{true} if the quasialgebraic set \\spad{s} has no points, and \\spad{false} otherwise.")) (|setStatus| (($ $ (|Union| (|Boolean|) "failed")) "\\spad{setStatus(s,t)} returns the same representation for \\spad{s,} but asserts the following: if \\spad{t} is true, then \\spad{s} is empty, if \\spad{t} is false, then \\spad{s} is non-empty, and if \\spad{t} = \"failed\", then no assertion is made (that is, \"don't know\"). Note: for internal use only, with care.")) (|status| (((|Union| (|Boolean|) "failed") $) "\\spad{status(s)} returns \\spad{true} if the quasi-algebraic set is empty, \\spad{false} if it is not, and \"failed\" if not yet known")) (|quasiAlgebraicSet| (($ (|List| |#4|) |#4|) "\\spad{quasiAlgebraicSet(pl,q)} returns the quasi-algebraic set with defining equations \\spad{p} = 0 for \\spad{p} belonging to the list \\spad{pl,} and defining inequation \\spad{q} \\spad{^=} 0.")) (|empty| (($) "\\spad{empty()} returns the empty quasi-algebraic set"))) 
 NIL 
-((-12 (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-323))))) 
-(-1017 R E V P TS) 
+((AND (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|))))) 
+(|QuasiComponentPackage| R E V P TS) 
 ((|constructor| (NIL "A package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,ts,lineq,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(lp,lts,b1,b2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine, exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(lpwt1,lpwt2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(lts)} removes from \\axiom{lts} any \\spad{ts} such that \\axiom{subQuasiComponent?(ts,us)} holds for another \\spad{us} in \\axiom{lts}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(ts,lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(ts,us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(ts,us)} returns \\spad{true} iff internalSubQuasiComponent? returs true.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \\spad{b} value if the fact that the regular zero set of \\axiom{us} contains that of \\axiom{ts} can be decided (and in that case \\axiom{b} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2} assuming that these lists are sorted increasingly w.r.t. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(ts,us)} returns \\spad{true} iff \\axiom{ts} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(ts,us)} returns \\spad{false} iff \\axiom{ts} and \\axiom{us} are both empty, or \\axiom{ts} has less elements than \\axiom{us}, or some variable is algebraic w.r.t. \\axiom{us} and is not w.r.t. \\axiom{ts}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(lts)} sorts \\axiom{lts} w.r.t supDimElseRittWu?")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(ts,us)} returns \\spad{true} iff \\axiom{ts} has less elements than \\axiom{us} otherwise if \\axiom{ts} has higher rank than \\axiom{us} w.r.t. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1018) 
+(|QueryEquation|) 
 ((|constructor| (NIL "This domain implements simple database queries")) (|value| (((|String|) $) "\\spad{value(q)} returns the value (\\spadignore{i.e.} right hand side) of \\axiom{q}.")) (|variable| (((|Symbol|) $) "\\spad{variable(q)} returns the variable (\\spadignore{i.e.} left hand side) of \\axiom{q}.")) (|equation| (($ (|Symbol|) (|String|)) "\\spad{equation(s,\"a\")} creates a new equation."))) 
 NIL 
 NIL 
-(-1019 A B R S) 
+(|QuotientFieldCategoryFunctions2| A B R S) 
 ((|constructor| (NIL "This package extends a function between integral domains to a mapping between their quotient fields.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(func,frac)} applies the function \\spad{func} to the numerator and denominator of frac."))) 
 NIL 
 NIL 
-(-1020 A S) 
+(|QuotientFieldCategory&| A S) 
 ((|constructor| (NIL "QuotientField(S) is the category of fractions of an Integral Domain \\spad{S.}")) (|floor| ((|#2| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x.}")) (|ceiling| ((|#2| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x.}")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x.} \\spad{x} = wholePart(x) + fractionPart(x)")) (|wholePart| ((|#2| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\spad{%.}")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\spad{%.}")) (|denom| ((|#2| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x.}")) (|numer| ((|#2| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x.}")) (/ (($ |#2| |#2|) "\\spad{d1 / \\spad{d2}} returns the fraction \\spad{d1} divided by \\spad{d2.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-574))) (|HasCategory| |#2| (QUOTE (-323))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-1165)))) 
-(-1021 S) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|RealConstant|))) (|HasCategory| |#2| (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|StepThrough|)))) 
+(|QuotientFieldCategory| S) 
 ((|constructor| (NIL "QuotientField(S) is the category of fractions of an Integral Domain \\spad{S.}")) (|floor| ((|#1| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x.}")) (|ceiling| ((|#1| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x.}")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x.} \\spad{x} = wholePart(x) + fractionPart(x)")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\spad{%.}")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\spad{%.}")) (|denom| ((|#1| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x.}")) (/ (($ |#1| |#1|) "\\spad{d1 / \\spad{d2}} returns the fraction \\spad{d1} divided by \\spad{d2.}"))) 
-((-2623 . T) (-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|nil| . T) (|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1022 |n| K) 
+(|QuadraticForm| |n| K) 
 ((|constructor| (NIL "This domain provides modest support for quadratic forms.")) (|elt| ((|#2| $ (|DirectProduct| |#1| |#2|)) "\\spad{elt(qf,v)} evaluates the quadratic form \\spad{qf} on the vector \\spad{v,} producing a scalar.")) (|matrix| (((|SquareMatrix| |#1| |#2|) $) "\\spad{matrix(qf)} creates a square matrix from the quadratic form \\spad{qf.}")) (|quadraticForm| (($ (|SquareMatrix| |#1| |#2|)) "\\spad{quadraticForm(m)} creates a quadratic form from a symmetric, square matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-1023 S) 
+(|QueueAggregate| S) 
 ((|constructor| (NIL "A queue is a bag where the first item inserted is the first item extracted.")) (|back| ((|#1| $) "\\spad{back(q)} returns the element at the back of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|front| ((|#1| $) "\\spad{front(q)} returns the element at the front of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length(q)} returns the number of elements in the queue. Note that \\axiom{length(q) = \\#q}.")) (|rotate!| (($ $) "\\spad{rotate! \\spad{q}} rotates queue \\spad{q} so that the element at the front of the queue goes to the back of the queue. Note that rotate! \\spad{q} is equivalent to enqueue!(dequeue!(q)).")) (|dequeue!| ((|#1| $) "\\spad{dequeue! \\spad{s}} destructively extracts the first (top) element from queue \\spad{q.} The element previously second in the queue becomes the first element. Error: if \\spad{q} is empty.")) (|enqueue!| ((|#1| |#1| $) "\\spad{enqueue!(x,q)} inserts \\spad{x} into the queue \\spad{q} at the back end."))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-1024 S R) 
+(|QuaternionCategory&| S R) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number, or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is true, the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is true, the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it true} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number, and {\\it false} otherwise.")) (|abs| ((|#2| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#2| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#2| |#2| |#2| |#2|) "\\spad{quatern(r,i,j,k)} constructs a quaternion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#2| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#2| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-574))) (|HasCategory| |#2| (QUOTE (-1084))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-307)))) 
-(-1025 R) 
+((|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#2| (QUOTE (|RealNumberSystem|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|EntireRing|)))) 
+(|QuaternionCategory| R) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number, or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is true, the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is true, the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it true} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number, and {\\it false} otherwise.")) (|abs| ((|#1| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#1| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#1| |#1| |#1| |#1|) "\\spad{quatern(r,i,j,k)} constructs a quaternion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#1| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#1| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
-((-4618 |has| |#1| (-307)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| |has| |#1| (|EntireRing|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1026 QR R QS S) 
+(|QuaternionCategoryFunctions2| QR R QS S) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategoryFunctions2} implements functions between two quaternion domains. The function \\spadfun{map} is used by the system interpreter to coerce between quaternion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\indented{1}{map(f,u) maps \\spad{f} onto the component parts of the quaternion u.} \\indented{1}{to convert an expression in Quaterion(R) to Quaternion(S)} \\blankline \\spad{X} f(a:FRAC(INT)):COMPLEX(FRAC(INT)) \\spad{==} a::COMPLEX(FRAC(INT)) \\spad{X} q:=quatern(2/11,-8,3/4,1) \\spad{X} map(f,q)"))) 
 NIL 
 NIL 
-(-1027 R) 
+(|Quaternion| R) 
 ((|constructor| (NIL "\\spadtype{Quaternion} implements quaternions over a commutative ring. The main constructor function is \\spadfun{quatern} which takes 4 arguments: the real part, the \\spad{i} imaginary part, the \\spad{j} imaginary part and the \\spad{k} imaginary part."))) 
-((-4618 |has| |#1| (-307)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-307))) (-3836 (|HasCategory| |#1| (QUOTE (-307))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -303) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-1084))) (|HasCategory| |#1| (QUOTE (-574))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))))) 
-(-1028 S) 
+((|noZeroDivisors| |has| |#1| (|EntireRing|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|EntireRing|))) (OR (|HasCategory| |#1| (QUOTE (|EntireRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE |Eltable|) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|RealNumberSystem|))) (|HasCategory| |#1| (QUOTE (|IntegerNumberSystem|))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))))) 
+(|Queue| S) 
 ((|constructor| (NIL "Linked List implementation of a Queue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:Queue INT:= queue [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Queue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Queue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Queue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} less?(a,9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} insert! (8,a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} enqueue! (9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} dequeue! a \\spad{X} a")) (|queue| (($ (|List| |#1|)) "\\indented{1}{queue([x,y,...,z]) creates a queue with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last (bottom) element \\spad{z.}} \\blankline \\spad{E} e:Queue INT:= queue [1,2,3,4,5]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-1029 S) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|RadicalCategory&| S) 
 ((|constructor| (NIL "Description:")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1030) 
+(|RadicalCategory|) 
 ((|constructor| (NIL "Description:")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1031 -3958 UP UPUP |radicnd| |n|) 
+(|RadicalFunctionField| F UP UPUP |radicnd| |n|) 
 ((|constructor| (NIL "Function field defined by y**n = f(x)."))) 
-((-4618 |has| (-433 |#2|) (-388)) (-4623 |has| (-433 |#2|) (-388)) (-4617 |has| (-433 |#2|) (-388)) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-433 |#2|) (QUOTE (-169))) (|HasCategory| (-433 |#2|) (QUOTE (-171))) (|HasCategory| (-433 |#2|) (QUOTE (-373))) (|HasCategory| (-433 |#2|) (QUOTE (-388))) (-3836 (|HasCategory| (-433 |#2|) (QUOTE (-388))) (|HasCategory| (-433 |#2|) (QUOTE (-373)))) (|HasCategory| (-433 |#2|) (QUOTE (-394))) (|HasCategory| (-433 |#2|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| (-433 |#2|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-433 |#2|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-394))) (-3836 (|HasCategory| (-433 |#2|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-12 (|HasCategory| (-433 |#2|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-433 |#2|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-12 (|HasCategory| (-433 |#2|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-433 |#2|) (QUOTE (-373))))) (-12 (|HasCategory| (-433 |#2|) (QUOTE (-247))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-433 |#2|) (QUOTE (-247))) (|HasCategory| (-433 |#2|) (QUOTE (-388)))) (|HasCategory| (-433 |#2|) (QUOTE (-373))))) 
-(-1032 |bb|) 
+((|noZeroDivisors| |has| (|Fraction| |#2|) (|Field|)) (|canonicalUnitNormal| |has| (|Fraction| |#2|) (|Field|)) (|canonicalsClosed| |has| (|Fraction| |#2|) (|Field|)) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Fraction| |#2|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|))) (OR (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Finite|))) (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Finite|))) (OR (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (AND (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (AND (|HasCategory| (|Fraction| |#2|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|))))) (AND (|HasCategory| (|Fraction| |#2|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|Fraction| |#2|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|Field|)))) (|HasCategory| (|Fraction| |#2|) (QUOTE (|FiniteFieldCategory|))))) 
+(|RadixExpansion| |bb|) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions or more generally as repeating expansions in any base.")) (|fractRadix| (($ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{fractRadix(pre,cyc)} creates a fractional radix expansion from a list of prefix ragits and a list of cyclic ragits. \\spadignore{e.g.} \\spad{fractRadix([1],[6])} will return \\spad{0.16666666...}.")) (|wholeRadix| (($ (|List| (|Integer|))) "\\spad{wholeRadix(l)} creates an integral radix expansion from a list of ragits. For example, \\spad{wholeRadix([1,3,4])} will return \\spad{134}.")) (|cycleRagits| (((|List| (|Integer|)) $) "\\spad{cycleRagits(rx)} returns the cyclic part of the ragits of the fractional part of a radix expansion. For example, if \\spad{x = 3/28 = 0.10 714285 714285 ...}, then \\spad{cycleRagits(x) = [7,1,4,2,8,5]}.")) (|prefixRagits| (((|List| (|Integer|)) $) "\\spad{prefixRagits(rx)} returns the non-cyclic part of the ragits of the fractional part of a radix expansion. For example, if \\spad{x = 3/28 = 0.10 714285 714285 ...}, then \\spad{prefixRagits(x)=[1,0]}.")) (|fractRagits| (((|Stream| (|Integer|)) $) "\\spad{fractRagits(rx)} returns the ragits of the fractional part of a radix expansion.")) (|wholeRagits| (((|List| (|Integer|)) $) "\\spad{wholeRagits(rx)} returns the ragits of the integer part of a radix expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(rx)} returns the fractional part of a radix expansion.")) (|coerce| (((|Fraction| (|Integer|)) $) "\\spad{coerce(rx)} converts a radix expansion to a rational number."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-592) (QUOTE (-931))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| (-592) (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-171))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-1049))) (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1165))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| (-592) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| (-592) (QUOTE (-247))) (|HasCategory| (-592) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| (-592) (LIST (QUOTE -547) (QUOTE (-1191)) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (LIST (QUOTE -303) (QUOTE (-592)) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-574))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-842))) (|HasCategory| (-592) (QUOTE (-869)))) (|HasCategory| (-592) (LIST (QUOTE -654) (QUOTE (-592)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-592) (QUOTE (-931)))) (|HasCategory| (-592) (QUOTE (-169))))) 
-(-1033) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|RealConstant|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|StepThrough|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| (|Integer|) (QUOTE (|DifferentialRing|))) (|HasCategory| (|Integer|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |Eltable|) (QUOTE (|Integer|)) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (|HasCategory| (|Integer|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|Integer|) (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| (|Integer|) (QUOTE (|CharacteristicNonZero|))))) 
+(|RadixUtilities|) 
 ((|constructor| (NIL "This package provides tools for creating radix expansions.")) (|radix| (((|Any|) (|Fraction| (|Integer|)) (|Integer|)) "\\spad{radix(x,b)} converts \\spad{x} to a radix expansion in base \\spad{b.}"))) 
 NIL 
 NIL 
-(-1034) 
+(|RandomNumberSource|) 
 ((|constructor| (NIL "Random number generators. All random numbers used in the system should originate from the same generator. This package is intended to be the source.")) (|seed| (((|Integer|)) "\\spad{seed()} returns the current seed value.")) (|reseed| (((|Void|) (|Integer|)) "\\spad{reseed(n)} restarts the random number generator at \\spad{n.}")) (|size| (((|Integer|)) "\\spad{size()} is the base of the random number generator")) (|randnum| (((|Integer|) (|Integer|)) "\\spad{randnum(n)} is a random number between 0 and \\spad{n.}") (((|Integer|)) "\\spad{randnum()} is a random number between 0 and size()."))) 
 NIL 
 NIL 
-(-1035 RP) 
+(|RationalFactorize| RP) 
 ((|constructor| (NIL "Factorization of extended polynomials with rational coefficients. This package implements factorization of extended polynomials whose coefficients are rational numbers. It does this by taking the \\spad{lcm} of the coefficients of the polynomial and creating a polynomial with integer coefficients. The algorithm in \\spadtype{GaloisGroupFactorizer} is then used to factor the integer polynomial. The result is normalized with respect to the original \\spad{lcm} of the denominators.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} factors an extended squareFree polynomial \\spad{p} over the rational numbers.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} factors an extended polynomial \\spad{p} over the rational numbers."))) 
 NIL 
 NIL 
-(-1036 S) 
+(|RationalRetractions| S) 
 ((|constructor| (NIL "Rational number testing and retraction functions.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") |#1|) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, \"failed\" if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) |#1|) "\\spad{rational?(x)} returns \\spad{true} if \\spad{x} is a rational number, \\spad{false} otherwise.")) (|rational| (((|Fraction| (|Integer|)) |#1|) "\\spad{rational(x)} returns \\spad{x} as a rational number; error if \\spad{x} is not a rational number."))) 
 NIL 
 NIL 
-(-1037 A S) 
+(|RecursiveAggregate&| A S) 
 ((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S.} Recursively, a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#2| $ |#2|) "\\spad{setvalue!(u,x)} sets the value of node \\spad{u} to \\spad{x.}")) (|setelt| ((|#2| $ "value" |#2|) "\\spad{setelt(a,\"value\",x)} (also written \\axiom{a . value \\spad{:=} \\spad{x})} is equivalent to \\axiom{setvalue!(a,x)}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child, a child of a child, etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,v)} tests if node \\spad{u} is a child of node \\spad{v.}")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,v)} returns the path length (an integer) from node \\spad{u} to \\spad{v.}")) (|leaves| (((|List| |#2|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{t} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#2| $ "value") "\\spad{elt(u,\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#2| $) "\\spad{value(u)} returns the value of the node u.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate u.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate u."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626)) (|HasCategory| |#2| (QUOTE (-1119)))) 
-(-1038 S) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|)) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) 
+(|RecursiveAggregate| S) 
 ((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S.} Recursively, a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#1| $ |#1|) "\\spad{setvalue!(u,x)} sets the value of node \\spad{u} to \\spad{x.}")) (|setelt| ((|#1| $ "value" |#1|) "\\spad{setelt(a,\"value\",x)} (also written \\axiom{a . value \\spad{:=} \\spad{x})} is equivalent to \\axiom{setvalue!(a,x)}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child, a child of a child, etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,v)} tests if node \\spad{u} is a child of node \\spad{v.}")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,v)} returns the path length (an integer) from node \\spad{u} to \\spad{v.}")) (|leaves| (((|List| |#1|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{t} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#1| $ "value") "\\spad{elt(u,\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#1| $) "\\spad{value(u)} returns the value of the node u.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate u.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate u."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-1039 S) 
+(|RealClosedField&| S) 
 ((|constructor| (NIL "\\axiomType{RealClosedField} provides common access functions for all real closed fields. provides computations with generic real roots of polynomials")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
 NIL 
 NIL 
-(-1040) 
+(|RealClosedField|) 
 ((|constructor| (NIL "\\axiomType{RealClosedField} provides common access functions for all real closed fields. provides computations with generic real roots of polynomials")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
-((-4618 . T) (-4623 . T) (-4617 . T) (-4620 . T) (-4619 . T) ((-4627 "*") . T) (-4622 . T)) 
+((|noZeroDivisors| . T) (|canonicalUnitNormal| . T) (|canonicalsClosed| . T) (|leftUnitary| . T) (|rightUnitary| . T) ((|commutative| "*") . T) (|unitsKnown| . T)) 
 NIL 
-(-1041 R -3958) 
+(|ElementaryRischDE| R F) 
 ((|constructor| (NIL "Risch differential equation, elementary case.")) (|rischDE| (((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDE(n, \\spad{f,} \\spad{g,} \\spad{x,} lim, ext)} returns \\spad{[y, \\spad{h,} \\spad{b]}} such that \\spad{dy/dx + \\spad{n} df/dx \\spad{y} = \\spad{h}} and \\spad{b \\spad{:=} \\spad{h} = \\spad{g}.} The equation \\spad{dy/dx + \\spad{n} df/dx \\spad{y} = \\spad{g}} has no solution if \\spad{h \\~~= \\spad{g}} (y is a partial solution in that case). Notes: \\spad{lim} is a limited integration function, and ext is an extended integration function."))) 
 NIL 
 NIL 
-(-1042 R -3958) 
+(|ElementaryRischDESystem| R F) 
 ((|constructor| (NIL "Risch differential equation, elementary case.")) (|rischDEsys| (((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDEsys(n, \\spad{f,} g_1, g_2, x,lim,ext)} returns \\spad{y_1.y_2} such that \\spad{(dy1/dx,dy2/dx) + ((0, - \\spad{n} df/dx),(n df/dx,0)) (y1,y2) = (g1,g2)} if \\spad{y_1,y_2} exist, \"failed\" otherwise. \\spad{lim} is a limited integration function, \\spad{ext} is an extended integration function."))) 
 NIL 
 NIL 
-(-1043 -3958 UP) 
+(|TranscendentalRischDE| F UP) 
 ((|constructor| (NIL "Risch differential equation, transcendental case.")) (|polyRDE| (((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)) "\\spad{polyRDE(a, \\spad{B,} \\spad{C,} \\spad{n,} \\spad{D)}} returns either: 1. \\spad{[Q, \\spad{b]}} such that \\spad{degree(Q) \\spad{<=} \\spad{n}} and \\indented{3}{\\spad{a \\spad{Q'+} \\spad{B} \\spad{Q} = \\spad{C}} if \\spad{b = true}, \\spad{Q} is a partial solution} \\indented{3}{otherwise.} 2. \\spad{[B1, \\spad{C1,} \\spad{m,} \\alpha, \\beta]} such that any polynomial solution \\indented{3}{of degree at most \\spad{n} of \\spad{A \\spad{Q'} + \\spad{BQ} = \\spad{C}} must be of the form} \\indented{3}{\\spad{Q = \\alpha \\spad{H} + \\beta} where \\spad{degree(H) \\spad{<=} \\spad{m}} and} \\indented{3}{H satisfies \\spad{H' + \\spad{B1} \\spad{H} = C1}.} \\spad{D} is the derivation to use.")) (|baseRDE| (((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDE(f, \\spad{g)}} returns a \\spad{[y, \\spad{b]}} such that \\spad{y' + fy = \\spad{g}} if \\spad{b = true}, \\spad{y} is a partial solution otherwise (no solution in that case). \\spad{D} is the derivation to use.")) (|monomRDE| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDE(f,g,D)} returns \\spad{[A, \\spad{B,} \\spad{C,} \\spad{T]}} such that \\spad{y' + \\spad{f} \\spad{y} = \\spad{g}} has a solution if and only if \\spad{y = \\spad{Q} / \\spad{T},} where \\spad{Q} satisfies \\spad{A \\spad{Q'} + \\spad{B} \\spad{Q} = \\spad{C}} and has no normal pole. A and \\spad{T} are polynomials and \\spad{B} and \\spad{C} have no normal poles. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1044 -3958 UP) 
+(|TranscendentalRischDESystem| F UP) 
 ((|constructor| (NIL "Risch differential equation system, transcendental case.")) (|baseRDEsys| (((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDEsys(f, \\spad{g1,} g2)} returns fractions \\spad{y_1.y_2} such that \\spad{(y1', y2') + ((0, -f), \\spad{(f,} 0)) (y1,y2) = (g1,g2)} if \\spad{y_1,y_2} exist, \"failed\" otherwise.")) (|monomRDEsys| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDEsys(f,g1,g2,D)} returns \\spad{[A, \\spad{B,} \\spad{H,} \\spad{C1,} \\spad{C2,} \\spad{T]}} such that \\spad{(y1', y2') + ((0, -f), \\spad{(f,} 0)) (y1,y2) = (g1,g2)} has a solution if and only if \\spad{y1 = \\spad{Q1} / \\spad{T,} \\spad{y2} = \\spad{Q2} / \\spad{T},} where \\spad{B,C1,C2,Q1,Q2} have no normal poles and satisfy A \\spad{(Q1', Q2') + ((H, -B), \\spad{(B,} \\spad{H))} (Q1,Q2) = (C1,C2)} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1045 S) 
+(|RandomDistributions| S) 
 ((|constructor| (NIL "This package exports random distributions")) (|rdHack1| (((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)) "\\spad{rdHack1(v,u,n)} \\undocumented")) (|weighted| (((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|))))) "\\spad{weighted(l)} \\undocumented")) (|uniform| (((|Mapping| |#1|) (|Set| |#1|)) "\\spad{uniform(s)} \\undocumented"))) 
 NIL 
 NIL 
-(-1046 F1 UP UPUP R F2) 
+(|ReducedDivisor| F1 UP UPUP R F2) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)) "\\spad{order(f,u,g)} \\undocumented"))) 
 NIL 
 NIL 
-(-1047 |Pol|) 
+(|RealZeroPackage| |Pol|) 
 ((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the integers to arbitrary user-specified precision. The results are returned as a list of isolating intervals which are expressed as records with \"left\" and \"right\" rational number components.")) (|midpoints| (((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{midpoints(isolist)} returns the list of midpoints for the list of intervals isolist.")) (|midpoint| (((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{midpoint(int)} returns the midpoint of the interval int.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol, int, range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} containing exactly one real root of pol; the operation returns an isolating interval which is contained within range, or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol, int, eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol, int, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record int.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial pol.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol, range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial pol."))) 
 NIL 
 NIL 
-(-1048 |Pol|) 
+(|RealZeroPackageQ| |Pol|) 
 ((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the rational numbers to arbitrary user-specified precision. The results are returned as a list of isolating intervals, expressed as records with \"left\" and \"right\" rational number components.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol, int, range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} which must contain exactly one real root of pol, and returns an isolating interval which is contained within range, or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol, int, eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol, int, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record int.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial pol.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol, range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial pol."))) 
 NIL 
 NIL 
-(-1049) 
+(|RealConstant|) 
 ((|constructor| (NIL "The category of real numeric domains, that is, convertible to floats."))) 
 NIL 
 NIL 
-(-1050) 
+(|RealSolvePackage|) 
 ((|constructor| (NIL "This package provides numerical solutions of systems of polynomial equations for use in ACPLOT")) (|realSolve| (((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)) "\\indented{1}{realSolve(lp,lv,eps) = compute the list of the real} \\indented{1}{solutions of the list \\spad{lp} of polynomials with integer} \\indented{1}{coefficients with respect to the variables in lv,} \\indented{1}{with precision eps.} \\blankline \\spad{X} \\spad{p1} \\spad{:=} x**2*y*z + \\spad{y*z} \\spad{X} \\spad{p2} \\spad{:=} x**2*y**2*z + \\spad{x} + \\spad{z} \\spad{X} \\spad{p3} \\spad{:=} \\spad{x**2*y**2*z**2} + \\spad{z} + 1 \\spad{X} \\spad{lp} \\spad{:=} [p1, \\spad{p2,} \\spad{p3]} \\spad{X} realSolve(lp,[x,y,z],0.01)")) (|solve| (((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|)) "\\indented{1}{solve(p,eps) finds the real zeroes of a univariate} \\indented{1}{integer polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p,0.01)$REALSOLV") (((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|)) "\\indented{1}{solve(p,eps) finds the real zeroes of a} \\indented{1}{univariate rational polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p::POLY(FRAC(INT)),0.01)$REALSOLV"))) 
 NIL 
 NIL 
-(-1051 |TheField|) 
+(|RealClosure| |TheField|) 
 ((|constructor| (NIL "This domain implements the real closure of an ordered field.")) (|relativeApprox| (((|Fraction| (|Integer|)) $ $) "\\axiom{relativeApprox(n,p)} gives a relative approximation of \\axiom{n} that has precision \\axiom{p}")) (|mainCharacterization| (((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $) "\\axiom{mainCharacterization(x)} is the main algebraic quantity of \\axiom{x} (\\axiom{SEG})")) (|algebraicOf| (($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|)) "\\axiom{algebraicOf(char)} is the external number"))) 
-((-4618 . T) (-4623 . T) (-4617 . T) (-4620 . T) (-4619 . T) ((-4627 "*") . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-433 (-592)) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-433 (-592)) (LIST (QUOTE -1065) (QUOTE (-592)))) (-3836 (|HasCategory| (-433 (-592)) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))))) 
-(-1052 R -3958) 
+((|noZeroDivisors| . T) (|canonicalUnitNormal| . T) (|canonicalsClosed| . T) (|leftUnitary| . T) (|rightUnitary| . T) ((|commutative| "*") . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|Fraction| (|Integer|)) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|Fraction| (|Integer|)) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (OR (|HasCategory| (|Fraction| (|Integer|)) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))))) 
+(|RecurrenceOperator| R F) 
 ((|constructor| (NIL "This package provides an operator for the \\spad{n}-th term of a recurrence and an operator for the coefficient of \\spad{x^n} in a function specified by a functional equation.")) (|getOp| (((|BasicOperator|) |#2|) "\\spad{getOp \\spad{f},} if \\spad{f} represents the coefficient of a recurrence or ADE, returns the operator representing the solution")) (|getEq| ((|#2| |#2|) "\\spad{getEq \\spad{f}} returns the defining equation, if \\spad{f} represents the coefficient of an ADE or a recurrence.")) (|evalADE| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalADE(f, dummy, \\spad{x,} \\spad{n,} eq, values)} creates an expression that stands for the coefficient of \\spad{x^n} in the Taylor expansion of f(x), where f(x) is given by the functional equation eq. However, for technical reasons the variable \\spad{x} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in eq. The argument values specifies the first few Taylor coefficients.")) (|evalRec| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalRec(u, dummy, \\spad{n,} \\spad{n0,} eq, values)} creates an expression that stands for u(n0), where u(n) is given by the equation eq. However, for technical reasons the variable \\spad{n} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in eq. The argument values specifies the initial values of the recurrence u(0), u(1),... For the moment we don't allow recursions that contain \\spad{u} inside of another operator."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1075)))) 
-(-1053 -3958 L) 
+((|HasCategory| |#1| (QUOTE (|Ring|)))) 
+(|ReductionOfOrder| F L) 
 ((|constructor| (NIL "\\spadtype{ReductionOfOrder} provides functions for reducing the order of linear ordinary differential equations once some solutions are known.")) (|ReduceOrder| (((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)) "\\spad{ReduceOrder(op, [f1,...,fk])} returns \\spad{[op1,[g1,...,gk]]} such that for any solution \\spad{z} of \\spad{op1 \\spad{z} = 0}, \\spad{y = \\spad{gk} \\int(g_{k-1} \\int(... \\int(g1 \\int z)...)} is a solution of \\spad{op \\spad{y} = 0}. Each \\spad{fi} must satisfy \\spad{op \\spad{fi} = 0}.") ((|#2| |#2| |#1|) "\\spad{ReduceOrder(op, \\spad{s)}} returns \\spad{op1} such that for any solution \\spad{z} of \\spad{op1 \\spad{z} = 0}, \\spad{y = \\spad{s} \\int \\spad{z}} is a solution of \\spad{op \\spad{y} = 0}. \\spad{s} must satisfy \\spad{op \\spad{s} = 0}."))) 
 NIL 
 NIL 
-(-1054 S) 
+(|Reference| S) 
 ((|constructor| (NIL "\\spadtype{Reference} is for making a changeable instance of something.")) (= (((|Boolean|) $ $) "\\spad{a=b} tests if \\spad{a} and \\spad{b} are equal.")) (|setref| ((|#1| $ |#1|) "\\spad{setref(n,m)} same as \\spad{setelt(n,m)}.")) (|deref| ((|#1| $) "\\spad{deref(n)} is equivalent to \\spad{elt(n)}.")) (|setelt| ((|#1| $ |#1|) "\\spad{setelt(n,m)} changes the value of the object \\spad{n} to \\spad{m.}")) (|elt| ((|#1| $) "\\spad{elt(n)} returns the object \\spad{n.}")) (|ref| (($ |#1|) "\\spad{ref(n)} creates a pointer (reference) to the object \\spad{n.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1119)))) 
-(-1055 R E V P) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|)))) 
+(|RegularTriangularSet| R E V P) 
 ((|constructor| (NIL "This domain provides an implementation of regular chains. Moreover, the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(lp,b1,b2)} is an internal subroutine, exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(lp,b1,b2,b3)} is an internal subroutine, exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,b1,b2.b3,b4)} is an internal subroutine, exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?,info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory. Moreover, if \\axiom{clos?} then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(p,ts,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#4| (QUOTE (-1119))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#3| (QUOTE (-394)))) 
-(-1056 R) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#3| (QUOTE (|Finite|)))) 
+(|RepresentationPackage1| R) 
 ((|constructor| (NIL "\\spad{RepresentationPackage1} provides functions for representation theory for finite groups and algebras. The package creates permutation representations and uses tensor products and its symmetric and antisymmetric components to create new representations of larger degree from given ones. Note that instead of having parameters from \\spadtype{Permutation} this package allows list notation of permutations as well: \\spadignore{e.g.} \\spad{[1,4,3,2]} denotes permutes 2 and 4 and fixes 1 and 3.")) (|permutationRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))) "\\spad{permutationRepresentation([pi1,...,pik],n)} returns the list of matrices [(deltai,pi1(i)),...,(deltai,pik(i))] if the permutations pi1,...,pik are in list notation and are permuting {1,2,...,n}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|)) "\\spad{permutationRepresentation([pi1,...,pik],n)} returns the list of matrices [(deltai,pi1(i)),...,(deltai,pik(i))] (Kronecker delta) for the permutations pi1,...,pik of {1,2,...,n}.") (((|Matrix| (|Integer|)) (|List| (|Integer|))) "\\spad{permutationRepresentation(pi,n)} returns the matrix (deltai,pi(i)) (Kronecker delta) if the permutation \\spad{pi} is in list notation and permutes {1,2,...,n}.") (((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|)) "\\spad{permutationRepresentation(pi,n)} returns the matrix (deltai,pi(i)) (Kronecker delta) for a permutation \\spad{pi} of {1,2,...,n}.")) (|tensorProduct| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,...ak])} calculates the list of Kronecker products of each matrix \\spad{ai} with itself for \\spad{{1} \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}.} Note that if the list of matrices corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the representation with itself.") (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a)} calculates the Kronecker product of the matrix a with itself.") (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,...,ak],[b1,...,bk])} calculates the list of Kronecker products of the matrices \\spad{ai} and \\spad{bi} for \\spad{{1} \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}.} Note that if each list of matrices corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the two representations.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a,b)} calculates the Kronecker product of the matrices a and \\spad{b.} Note that if each matrix corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the two representations.")) (|symmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{symmetricTensors(la,n)} applies to each m-by-m square matrix in the list \\spad{la} the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (n,0,...,0) of \\spad{n.} Error: if the matrices in \\spad{la} are not square matrices. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the symmetric tensors of the n-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{symmetricTensors(a,n)} applies to the m-by-m square matrix a the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (n,0,...,0) of \\spad{n.} Error: if a is not a square matrix. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the symmetric tensors of the n-fold tensor product.")) (|createGenericMatrix| (((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|)) "\\spad{createGenericMatrix(m)} creates a square matrix of dimension \\spad{k} whose entry at the \\spad{i}-th row and \\spad{j}-th column is the indeterminate x[i,j] (double subscripted).")) (|antisymmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{antisymmetricTensors(la,n)} applies to each m-by-m square matrix in the list \\spad{la} the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (1,1,...,1,0,0,...,0) of \\spad{n.} Error: if \\spad{n} is greater than \\spad{m.} Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the antisymmetric tensors of the n-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{antisymmetricTensors(a,n)} applies to the square matrix a the irreducible, polynomial representation of the general linear group GLm, where \\spad{m} is the number of rows of a, which corresponds to the partition (1,1,...,1,0,0,...,0) of \\spad{n.} Error: if \\spad{n} is greater than \\spad{m.} Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the antisymmetric tensors of the n-fold tensor product."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4627 "*")))) 
-(-1057 R) 
+((|HasAttribute| |#1| (QUOTE (|commutative| "*")))) 
+(|RepresentationPackage2| R) 
 ((|constructor| (NIL "\\spad{RepresentationPackage2} provides functions for working with modular representations of finite groups and algebra. The routines in this package are created, using ideas of \\spad{R.} Parker, (the meat-Axe) to get smaller representations from bigger ones, \\spadignore{i.e.} finding sub- and factormodules, or to show, that such the representations are irreducible. Note that most functions are randomized functions of Las Vegas type \\spadignore{i.e.} every answer is correct, but with small probability the algorithm fails to get an answer.")) (|scanOneDimSubspaces| (((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)) "\\spad{scanOneDimSubspaces(basis,n)} gives a canonical representative of the \\spad{n}-th one-dimensional subspace of the vector space generated by the elements of basis, all from R**n. The coefficients of the representative are of shape (0,...,0,1,*,...,*), * in \\spad{R.} If the size of \\spad{R} is \\spad{q,} then there are (q**n-1)/(q-1) of them. We first reduce \\spad{n} modulo this number, then find the largest \\spad{i} such that +/[q**i for \\spad{i} in 0..i-1] \\spad{<=} \\spad{n.} Subtracting this sum of powers from \\spad{n} results in an i-digit number to \\spad{basis} \\spad{q.} This fills the positions of the stars.")) (|meatAxe| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{meatAxe(aG, numberOfTries)} calls meatAxe(aG,true,numberOfTries,7). Notes: 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|)) "\\spad{meatAxe(aG, randomElements)} calls meatAxe(aG,false,6,7), only using Parker's fingerprints, if randomElemnts is false. If it is true, it calls meatAxe(aG,true,25,7), only using random elements. Note that the choice of 25 was rather arbitrary. Also, 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|))) "\\spad{meatAxe(aG)} calls meatAxe(aG,false,25,7) returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(aG) creates at most 25 random elements of the algebra, tests them for singularity. If singular, it tries at most 7 elements of its kernel to generate a proper submodule. If successful a list which contains first the list of the representations of the submodule, then a list of the representations of the factor module is returned. Otherwise, if we know that all the kernel is already scanned, Norton's irreducibility test can be used either to prove irreducibility or to find the splitting. Notes: the first 6 tries use Parker's fingerprints. Also, 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|)) "\\spad{meatAxe(aG,randomElements,numberOfTries, maxTests)} returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(aG,numberOfTries, maxTests) creates at most \\spad{numberOfTries} random elements of the algebra, tests them for singularity. If singular, it tries at most maxTests elements of its kernel to generate a proper submodule. If successful, a 2-list is returned: first, a list containing first the list of the representations of the submodule, then a list of the representations of the factor module. Otherwise, if we know that all the kernel is already scanned, Norton's irreducibility test can be used either to prove irreducibility or to find the splitting. If \\spad{randomElements} is false, the first 6 tries use Parker's fingerprints.")) (|split| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))) "\\spad{split(aG,submodule)} uses a proper \\spad{submodule} of R**n to create the representations of the \\spad{submodule} and of the factor module.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{split(aG, vector)} returns a subalgebra \\spad{A} of all square matrix of dimension \\spad{n} as a list of list of matrices, generated by the list of matrices aG, where \\spad{n} denotes both the size of vector as well as the dimension of each of the square matrices. \\spad{V} \\spad{R} is an A-module in the natural way. split(aG, vector) then checks whether the cyclic submodule generated by vector is a proper submodule of \\spad{V} \\spad{R.} If successful, it returns a two-element list, which contains first the list of the representations of the submodule, then the list of the representations of the factor module. If the vector generates the whole module, a one-element list of the old representation is given. Note that a later version this should call the other split.")) (|isAbsolutelyIrreducible?| (((|Boolean|) (|List| (|Matrix| |#1|))) "\\spad{isAbsolutelyIrreducible?(aG)} calls isAbsolutelyIrreducible?(aG,25). Note that the choice of 25 was rather arbitrary.") (((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{isAbsolutelyIrreducible?(aG, numberOfTries)} uses Norton's irreducibility test to check for absolute irreduciblity, assuming if a one-dimensional kernel is found. As no field extension changes create \"new\" elements in a one-dimensional space, the criterium stays \\spad{true} for every extension. The method looks for one-dimensionals only by creating random elements (no fingerprints) since a run of meatAxe would have proved absolute irreducibility anyway.")) (|areEquivalent?| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{areEquivalent?(aG0,aG1,numberOfTries)} calls areEquivalent?(aG0,aG1,true,25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{areEquivalent?(aG0,aG1)} calls areEquivalent?(aG0,aG1,true,25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|)) "\\spad{areEquivalent?(aG0,aG1,randomelements,numberOfTries)} tests whether the two lists of matrices, all assumed of same square shape, can be simultaneously conjugated by a non-singular matrix. If these matrices represent the same group generators, the representations are equivalent. The algorithm tries \\spad{numberOfTries} times to create elements in the generated algebras in the same fashion. If their ranks differ, they are not equivalent. If an isomorphism is assumed, then the kernel of an element of the first algebra is mapped to the kernel of the corresponding element in the second algebra. Now consider the one-dimensional ones. If they generate the whole space (\\spadignore{e.g.} irreducibility \\spad{!)} we use standardBasisOfCyclicSubmodule to create the only possible transition matrix. The method checks whether the matrix conjugates all corresponding matrices from aGi. The way to choose the singular matrices is as in meatAxe. If the two representations are equivalent, this routine returns the transformation matrix \\spad{TM} with aG0.i * \\spad{TM} = \\spad{TM} * aG1.i for all i. If the representations are not equivalent, a small 0-matrix is returned. Note that the case with different sets of group generators cannot be handled.")) (|standardBasisOfCyclicSubmodule| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{standardBasisOfCyclicSubmodule(lm,v)} returns a matrix as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. standardBasisOfCyclicSubmodule(lm,v) calculates a matrix whose non-zero column vectors are the R-Basis of Av achieved in the way as described in section 6 of \\spad{R.} A. Parker's \"The Meat-Axe\". Note that in contrast to cyclicSubmodule, the result is not in echelon form.")) (|cyclicSubmodule| (((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{cyclicSubmodule(lm,v)} generates a basis as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. cyclicSubmodule(lm,v) generates the R-Basis of Av as described in section 6 of \\spad{R.} A. Parker's \"The Meat-Axe\". Note that in contrast to the description in \"The Meat-Axe\" and to standardBasisOfCyclicSubmodule the result is in echelon form.")) (|createRandomElement| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{createRandomElement(aG,x)} creates a random element of the group algebra generated by aG.")) (|completeEchelonBasis| (((|Matrix| |#1|) (|Vector| (|Vector| |#1|))) "\\spad{completeEchelonBasis(lv)} completes the basis \\spad{lv} assumed to be in echelon form of a subspace of R**n \\spad{(n} the length of all the vectors in \\spad{lv} with unit vectors to a basis of R**n. It is assumed that the argument is not an empty vector and that it is not the basis of the 0-subspace. Note that the rows of the result correspond to the vectors of the basis."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-394)))) (|HasCategory| |#1| (QUOTE (-323)))) 
-(-1058 S) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|Finite|)))) (|HasCategory| |#1| (QUOTE (|EuclideanDomain|)))) 
+(|RepeatedDoubling| S) 
 ((|constructor| (NIL "Implements multiplication by repeated addition")) (|double| ((|#1| (|PositiveInteger|) |#1|) "\\spad{double(i, \\spad{r)}} multiplies \\spad{r} by \\spad{i} using repeated doubling.")) (+ (($ $ $) "\\spad{x+y} returns the sum of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1059) 
+(|RadicalEigenPackage|) 
 ((|constructor| (NIL "Package for the computation of eigenvalues and eigenvectors. This package works for matrices with coefficients which are rational functions over the integers. (see \\spadtype{Fraction Polynomial Integer}). The eigenvalues and eigenvectors are expressed in terms of radicals.")) (|orthonormalBasis| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{orthonormalBasis(m)} returns the orthogonal matrix \\spad{b} such that \\spad{b*m*(inverse \\spad{b)}} is diagonal. Error: if \\spad{m} is not a symmetric matrix.")) (|gramschmidt| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|))))) "\\spad{gramschmidt(lv)} converts the list of column vectors \\spad{lv} into a set of orthogonal column vectors of euclidean length 1 using the Gram-Schmidt algorithm.")) (|normalise| (((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|)))) "\\spad{normalise(v)} returns the column vector \\spad{v} divided by its euclidean norm; when possible, the vector \\spad{v} is expressed in terms of radicals.")) (|eigenMatrix| (((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{eigenMatrix(m)} returns the matrix \\spad{b} such that \\spad{b*m*(inverse \\spad{b)}} is diagonal, or \"failed\" if no such \\spad{b} exists.")) (|radicalEigenvalues| (((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvalues(m)} computes the eigenvalues of the matrix \\spad{m;} when possible, the eigenvalues are expressed in terms of radicals.")) (|radicalEigenvector| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvector(c,m)} computes the eigenvector(s) of the matrix \\spad{m} corresponding to the eigenvalue \\spad{c;} when possible, values are expressed in terms of radicals.")) (|radicalEigenvectors| (((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvectors(m)} computes the eigenvalues and the corresponding eigenvectors of the matrix \\spad{m;} when possible, values are expressed in terms of radicals."))) 
 NIL 
 NIL 
-(-1060 S) 
+(|RepeatedSquaring| S) 
 ((|constructor| (NIL "Implements exponentiation by repeated squaring")) (|expt| ((|#1| |#1| (|PositiveInteger|)) "\\spad{expt(r, i)} computes r**i by repeated squaring")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1061 S) 
+(|ResolveLatticeCompletion| S) 
 ((|constructor| (NIL "This package provides coercions for the special types \\spadtype{Exit} and \\spadtype{Void}.")) (|coerce| ((|#1| (|Exit|)) "\\spad{coerce(e)} is never really evaluated. This coercion is used for formal type correctness when a function will not return directly to its caller.") (((|Void|) |#1|) "\\spad{coerce(s)} throws all information about \\spad{s} away. This coercion allows values of any type to appear in contexts where they will not be used. For example, it allows the resolution of different types in the \\spad{then} and \\spad{else} branches when an \\spad{if} is in a context where the resulting value is not used."))) 
 NIL 
 NIL 
-(-1062 -3958 |Expon| |VarSet| |FPol| |LFPol|) 
+(|ResidueRing| F |Expon| |VarSet| |FPol| |LFPol|) 
 ((|constructor| (NIL "ResidueRing is the quotient of a polynomial ring by an ideal. The ideal is given as a list of generators. The elements of the domain are equivalence classes expressed in terms of reduced elements")) (|lift| ((|#4| $) "\\spad{lift(x)} return the canonical representative of the equivalence class \\spad{x}")) (|coerce| (($ |#4|) "\\spad{coerce(f)} produces the equivalence class of \\spad{f} in the residue ring")) (|reduce| (($ |#4|) "\\spad{reduce(f)} produces the equivalence class of \\spad{f} in the residue ring"))) 
-(((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1063) 
+(|Result|) 
 ((|constructor| (NIL "A domain used to return the results from a call to the NAG Library. It prints as a list of names and types, though the user may choose to display values automatically if he or she wishes.")) (|showArrayValues| (((|Boolean|) (|Boolean|)) "\\spad{showArrayValues(true)} forces the values of array components to be \\indented{1}{displayed rather than just their types.}")) (|showScalarValues| (((|Boolean|) (|Boolean|)) "\\spad{showScalarValues(true)} forces the values of scalar components to be \\indented{1}{displayed rather than just their types.}"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (QUOTE (-1191))) (LIST (QUOTE |:|) (QUOTE -3552) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (QUOTE (-1119)))) (|HasCategory| (-1191) (QUOTE (-869))) (|HasCategory| (-57) (QUOTE (-1119))) (-3836 (|HasCategory| (-57) (QUOTE (-1119))) (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (QUOTE (-1119)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -325) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1119))))) 
-(-1064 A S) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (QUOTE (|Symbol|))) (LIST (QUOTE |:|) (QUOTE |entry|) (QUOTE (|Any|)))))) (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|)))) (|HasCategory| (|Symbol|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Any|) (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Any|) (QUOTE (|SetCategory|))) (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|)))) (AND (|HasCategory| (|Any|) (LIST (QUOTE |Evalable|) (QUOTE (|Any|)))) (|HasCategory| (|Any|) (QUOTE (|SetCategory|))))) 
+(|RetractableTo&| A S) 
 ((|constructor| (NIL "A is retractable to \\spad{B} means that some elements if A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#2| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#2| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#2|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-1065 S) 
+(|RetractableTo| S) 
 ((|constructor| (NIL "A is retractable to \\spad{B} means that some elements if A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#1| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#1| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#1|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-1066 Q R) 
+(|RetractSolvePackage| Q R) 
 ((|constructor| (NIL "RetractSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving.")) (|solveRetract| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))) "\\spad{solveRetract(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.} The function tries to retract all the coefficients of the equations to \\spad{Q} before solving if possible."))) 
 NIL 
 NIL 
-(-1067) 
+(|RandomFloatDistributions|) 
 ((|t| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{t(n)} \\undocumented")) (F (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{F(n,m)} \\undocumented")) (|Beta| (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{Beta(n,m)} \\undocumented")) (|chiSquare| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{chiSquare(n)} \\undocumented")) (|exponential| (((|Mapping| (|Float|)) (|Float|)) "\\spad{exponential(f)} \\undocumented")) (|normal| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{normal(f,g)} \\undocumented")) (|uniform| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{uniform(f,g)} \\undocumented")) (|chiSquare1| (((|Float|) (|NonNegativeInteger|)) "\\spad{chiSquare1(n)} \\undocumented")) (|exponential1| (((|Float|)) "\\spad{exponential1()} \\undocumented")) (|normal01| (((|Float|)) "\\spad{normal01()} \\undocumented")) (|uniform01| (((|Float|)) "\\spad{uniform01()} \\undocumented"))) 
 NIL 
 NIL 
-(-1068 UP) 
+(|RationalFunctionFactor| UP) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients which are rational functions with integer coefficients.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1069 R) 
+(|RationalFunctionFactorizer| R) 
 ((|constructor| (NIL "\\spadtype{RationalFunctionFactorizer} contains the factor function (called factorFraction) which factors fractions of polynomials by factoring the numerator and denominator. Since any non zero fraction is a unit the usual factor operation will just return the original fraction.")) (|factorFraction| (((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{factorFraction(r)} factors the numerator and the denominator of the polynomial fraction \\spad{r.}"))) 
 NIL 
 NIL 
-(-1070 R) 
+(|RationalFunction| R) 
 ((|constructor| (NIL "Utilities that provide the same top-level manipulations on fractions than on polynomials.")) (|coerce| (((|Fraction| (|Polynomial| |#1|)) |#1|) "\\spad{coerce(r)} returns \\spad{r} viewed as a rational function over \\spad{R.}")) (|eval| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{eval(f, \\spad{[v1} = g1,...,vn = gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel, \\spadignore{i.e.} vi's appearing inside the gi's are not replaced. Error: if any \\spad{vi} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f, \\spad{v} = \\spad{g)}} returns \\spad{f} with \\spad{v} replaced by \\spad{g.} Error: if \\spad{v} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f, [v1,...,vn], [g1,...,gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel, \\spadignore{i.e.} vi's appearing inside the gi's are not replaced.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{eval(f, \\spad{v,} \\spad{g)}} returns \\spad{f} with \\spad{v} replaced by \\spad{g.}")) (|multivariate| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|)) "\\spad{multivariate(f, \\spad{v)}} applies both the numerator and denominator of \\spad{f} to \\spad{v.}")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{univariate(f, \\spad{v)}} returns \\spad{f} viewed as a univariate rational function in \\spad{v.}")) (|mainVariable| (((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f,} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f.}"))) 
 NIL 
 NIL 
-(-1071 K) 
+(|RootsFindingPackage| K) 
 ((|constructor| (NIL "This pacackage finds all the roots of a polynomial. If the constant field is not large enough then it returns the list of found zeros and the degree of the extension need to find the other roots missing. If the return degree is 1 then all the roots have been found. If 0 is return for the extension degree then there are an infinite number of zeros, that is you ask for the zeroes of 0. In the case of infinite field a list of all found zeros is kept and for each other call of a function that finds zeroes, a check is made on that list; this is to keep a kind of \"canonical\" representation of the elements.")) (|setFoundZeroes| (((|List| |#1|) (|List| |#1|)) "\\spad{setFoundZeroes sets} the list of foundZeroes to the given one.")) (|foundZeroes| (((|List| |#1|)) "\\spad{foundZeroes returns} the list of already found zeros by the functions distinguishedRootsOf and distinguishedCommonRootsOf.")) (|distinguishedCommonRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|) "\\spad{distinguishedCommonRootsOf returns} the common zeros of a list of polynomial. It returns a record as in distinguishedRootsOf. If 0 is returned as extension degree then there are an infinite number of common zeros (in this case, the polynomial 0 was given in the list of input polynomials).")) (|distinguishedRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|) "\\spad{distinguishedRootsOf returns} a record consisting of a list of zeros of the input polynomial followed by the smallest extension degree needed to find all the zeros. If \\spad{K} has \\spad{PseudoAlgebraicClosureOfFiniteFieldCategory} or \\spad{PseudoAlgebraicClosureOfRationalNumberCategory} then a root is created for each irreducible factor, and only these roots are returns and not their conjugate."))) 
 NIL 
 NIL 
-(-1072 R |ls|) 
+(|RegularChain| R |ls|) 
 ((|constructor| (NIL "A domain for regular chains (\\spadignore{i.e.} regular triangular sets) over a Gcd-Domain and with a fix list of variables. This is just a front-end for the \\spadtype{RegularTriangularSet} domain constructor.")) (|zeroSetSplit| (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?,info?)} returns a list \\spad{lts} of regular chains such that the union of the closures of their regular zero sets equals the affine variety associated with \\spad{lp}. Moreover, if \\spad{clos?} is \\spad{false} then the union of the regular zero set of the \\spad{ts} (for \\spad{ts} in \\spad{lts}) equals this variety. If \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSet."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-802 |#1| (-879 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-802 |#1| (-879 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-802 |#1| (-879 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -802) (|devaluate| |#1|) (LIST (QUOTE -879) (|devaluate| |#2|))))) (|HasCategory| (-802 |#1| (-879 |#2|)) (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| (-879 |#2|) (QUOTE (-394)))) 
-(-1073) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |NewSparseMultivariatePolynomial|) (|devaluate| |#1|) (LIST (QUOTE |OrderedVariableList|) (|devaluate| |#2|))))) (|HasCategory| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| (|OrderedVariableList| |#2|) (QUOTE (|Finite|)))) 
+(|RandomIntegerDistributions|) 
 ((|constructor| (NIL "This package exports integer distributions")) (|ridHack1| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{ridHack1(i,j,k,l)} \\undocumented")) (|geometric| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{geometric(f)} \\undocumented")) (|poisson| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{poisson(f)} \\undocumented")) (|binomial| (((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|) "\\spad{binomial(n,f)} \\undocumented")) (|uniform| (((|Mapping| (|Integer|)) (|Segment| (|Integer|))) "\\spad{uniform(s)} as \\indented{4}{l + \\spad{u0} + \\spad{w*u1} + \\spad{w**2*u2} +...+ \\spad{w**(n-1)*u-1} + w**n*m} where \\indented{4}{s = a..b} \\indented{4}{l = min(a,b)} \\indented{4}{m = abs(b-a) + 1} \\indented{4}{w**n < \\spad{m} < w**(n+1)} \\indented{4}{u0,...,un-1\\space{2}are uniform on\\space{2}0..w-1} \\indented{4}{m\\space{12}is\\space{2}uniform on\\space{2}0..(m quo w**n)-1}"))) 
 NIL 
 NIL 
-(-1074 S) 
+(|Ring&| S) 
 ((|constructor| (NIL "The category of rings with unity, always associative, but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring, or zero if no such \\spad{n} exists."))) 
 NIL 
 NIL 
-(-1075) 
+(|Ring|) 
 ((|constructor| (NIL "The category of rings with unity, always associative, but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring, or zero if no such \\spad{n} exists."))) 
-((-4622 . T)) 
+((|unitsKnown| . T)) 
 NIL 
-(-1076 |xx| -3958) 
+(|RationalInterpolation| |xx| F) 
 ((|constructor| (NIL "This package exports rational interpolation algorithms"))) 
 NIL 
 NIL 
-(-1077 S |m| |n| R |Row| |Col|) 
+(|RectangularMatrixCategory&| S |m| |n| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#6|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#4|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#4|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#4| |#4| |#4|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#4| |#4|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#6| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#5| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#4| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#4| $ (|Integer|) (|Integer|) |#4|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#4| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#4|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric. That is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (that is, if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#4|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
 NIL 
-((|HasCategory| |#4| (QUOTE (-323))) (|HasCategory| |#4| (QUOTE (-388))) (|HasCategory| |#4| (QUOTE (-582))) (|HasCategory| |#4| (QUOTE (-194)))) 
-(-1078 |m| |n| R |Row| |Col|) 
+((|HasCategory| |#4| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#4| (QUOTE (|Field|))) (|HasCategory| |#4| (QUOTE (|IntegralDomain|))) (|HasCategory| |#4| (QUOTE (|CommutativeRing|)))) 
+(|RectangularMatrixCategory| |m| |n| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#5|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#3|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#3|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#3| |#3|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#5| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#4| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#3| $ (|Integer|) (|Integer|) |#3|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#3| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#3|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric. That is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (that is, if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#3|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
-((-4625 . T) (-2623 . T) (-4620 . T) (-4619 . T)) 
+((|finiteAggregate| . T) (|nil| . T) (|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-1079 |m| |n| R) 
+(|RectangularMatrix| |m| |n| R) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrix} is a matrix domain where the number of rows and the number of columns are parameters of the domain.")) (|coerce| (((|Matrix| |#3|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{RectangularMatrix} to a matrix of type \\spad{Matrix}.")) (|rectangularMatrix| (($ (|Matrix| |#3|)) "\\spad{rectangularMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spad{RectangularMatrix}."))) 
-((-4625 . T) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1119))) (|HasCategory| |#3| (QUOTE (-323))) (|HasCategory| |#3| (QUOTE (-582))) (|HasCategory| |#3| (QUOTE (-194))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1119)))))) 
-(-1080 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+((|finiteAggregate| . T) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#3| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|SetCategory|))) (|HasCategory| |#3| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#3| (QUOTE (|IntegralDomain|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))))) 
+(|RectangularMatrixCategoryFunctions2| |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|) "\\spad{reduce(f,m,r)} returns a matrix \\spad{n} where \\spad{n[i,j] = f(m[i,j],r)} for all indices spad{i} and \\spad{j}.")) (|map| ((|#10| (|Mapping| |#7| |#3|) |#6|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-1081 R) 
+(|RightModule| R) 
 ((|constructor| (NIL "The category of right modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports right multiplication by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{x*(a*b) = (x*a)*b}\\br \\tab{5}\\spad{x*(a+b) = (x*a)+(x*b)}\\br \\tab{5}\\spad{(x+y)*x = (x*a)+(y*a)}")) (* (($ $ |#1|) "\\spad{x*r} returns the right multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
 NIL 
 NIL 
-(-1082) 
+(|Rng|) 
 ((|constructor| (NIL "The category of associative rings, not necessarily commutative, and not necessarily with a 1. This is a combination of an abelian group and a semigroup, with multiplication distributing over addition. \\blankline Axioms\\br \\tab{5}\\spad{ x*(y+z) = x*y + x*z}\\br \\tab{5}\\spad{ (x+y)*z = \\spad{x*z} + \\spad{y*z} } \\blankline Conditional attributes\\br \\tab{5}noZeroDivisors\\tab{5}\\spad{ ab = 0 \\spad{=>} \\spad{a=0} or b=0}"))) 
 NIL 
 NIL 
-(-1083 S) 
+(|RealNumberSystem&| S) 
 ((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs \\spad{x}} returns the absolute value of \\spad{x.}")) (|round| (($ $) "\\spad{round \\spad{x}} computes the integer closest to \\spad{x.}")) (|truncate| (($ $) "\\spad{truncate \\spad{x}} returns the integer between \\spad{x} and 0 closest to \\spad{x.}")) (|fractionPart| (($ $) "\\spad{fractionPart \\spad{x}} returns the fractional part of \\spad{x.}")) (|wholePart| (((|Integer|) $) "\\spad{wholePart \\spad{x}} returns the integer part of \\spad{x.}")) (|floor| (($ $) "\\spad{floor \\spad{x}} returns the largest integer \\spad{<= \\spad{x}.}")) (|ceiling| (($ $) "\\spad{ceiling \\spad{x}} returns the small integer \\spad{>= \\spad{x}.}")) (|norm| (($ $) "\\spad{norm \\spad{x}} returns the same as absolute value."))) 
 NIL 
 NIL 
-(-1084) 
+(|RealNumberSystem|) 
 ((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs \\spad{x}} returns the absolute value of \\spad{x.}")) (|round| (($ $) "\\spad{round \\spad{x}} computes the integer closest to \\spad{x.}")) (|truncate| (($ $) "\\spad{truncate \\spad{x}} returns the integer between \\spad{x} and 0 closest to \\spad{x.}")) (|fractionPart| (($ $) "\\spad{fractionPart \\spad{x}} returns the fractional part of \\spad{x.}")) (|wholePart| (((|Integer|) $) "\\spad{wholePart \\spad{x}} returns the integer part of \\spad{x.}")) (|floor| (($ $) "\\spad{floor \\spad{x}} returns the largest integer \\spad{<= \\spad{x}.}")) (|ceiling| (($ $) "\\spad{ceiling \\spad{x}} returns the small integer \\spad{>= \\spad{x}.}")) (|norm| (($ $) "\\spad{norm \\spad{x}} returns the same as absolute value."))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1085 |TheField| |ThePolDom|) 
+(|RightOpenIntervalRootCharacterization| |TheField| |ThePolDom|) 
 ((|constructor| (NIL "\\axiomType{RightOpenIntervalRootCharacterization} provides work with interval root coding.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{relativeApprox(exp,c,p) = a} is relatively close to exp as a polynomial in \\spad{c} ip to precision \\spad{p}")) (|mightHaveRoots| (((|Boolean|) |#2| $) "\\axiom{mightHaveRoots(p,r)} is \\spad{false} if \\axiom{p.r} is not 0")) (|refine| (($ $) "\\axiom{refine(rootChar)} shrinks isolating interval around \\axiom{rootChar}")) (|middle| ((|#1| $) "\\axiom{middle(rootChar)} is the middle of the isolating interval")) (|size| ((|#1| $) "The size of the isolating interval")) (|right| ((|#1| $) "\\axiom{right(rootChar)} is the right bound of the isolating interval")) (|left| ((|#1| $) "\\axiom{left(rootChar)} is the left bound of the isolating interval"))) 
 NIL 
 NIL 
-(-1086) 
+(|RomanNumeral|) 
 ((|constructor| (NIL "\\spadtype{RomanNumeral} provides functions for converting integers to roman numerals.")) (|roman| (($ (|Integer|)) "\\spad{roman(n)} creates a roman numeral for \\spad{n.}") (($ (|Symbol|)) "\\spad{roman(n)} creates a roman numeral for symbol \\spad{n.}")) (|convert| (($ (|Symbol|)) "\\spad{convert(n)} creates a roman numeral for symbol \\spad{n.}")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality."))) 
-((-4613 . T) (-4617 . T) (-4612 . T) (-4623 . T) (-4624 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noetherian| . T) (|canonicalsClosed| . T) (|canonical| . T) (|canonicalUnitNormal| . T) (|multiplicativeValuation| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1087) 
+(|RoutinesTable|) 
 ((|constructor| (NIL "\\axiomType{RoutinesTable} implements a database and associated tuning mechanisms for a set of known NAG routines")) (|recoverAfterFail| (((|Union| (|String|) "failed") $ (|String|) (|Integer|)) "\\spad{recoverAfterFail(routs,routineName,ifailValue)} acts on the instructions given by the ifail list")) (|showTheRoutinesTable| (($) "\\spad{showTheRoutinesTable()} returns the current table of NAG routines.")) (|deleteRoutine!| (($ $ (|Symbol|)) "\\spad{deleteRoutine!(R,s)} destructively deletes the given routine from the current database of NAG routines")) (|getExplanations| (((|List| (|String|)) $ (|String|)) "\\spad{getExplanations(R,s)} gets the explanations of the output parameters for the given NAG routine.")) (|getMeasure| (((|Float|) $ (|Symbol|)) "\\spad{getMeasure(R,s)} gets the current value of the maximum measure for the given NAG routine.")) (|changeMeasure| (($ $ (|Symbol|) (|Float|)) "\\spad{changeMeasure(R,s,newValue)} changes the maximum value for a measure of the given NAG routine.")) (|changeThreshhold| (($ $ (|Symbol|) (|Float|)) "\\spad{changeThreshhold(R,s,newValue)} changes the value below which, given a NAG routine generating a higher measure, the routines will make no attempt to generate a measure.")) (|selectMultiDimensionalRoutines| (($ $) "\\spad{selectMultiDimensionalRoutines(R)} chooses only those routines from the database which are designed for use with multi-dimensional expressions")) (|selectNonFiniteRoutines| (($ $) "\\spad{selectNonFiniteRoutines(R)} chooses only those routines from the database which are designed for use with non-finite expressions.")) (|selectSumOfSquaresRoutines| (($ $) "\\spad{selectSumOfSquaresRoutines(R)} chooses only those routines from the database which are designed for use with sums of squares")) (|selectFiniteRoutines| (($ $) "\\spad{selectFiniteRoutines(R)} chooses only those routines from the database which are designed for use with finite expressions")) (|selectODEIVPRoutines| (($ $) "\\spad{selectODEIVPRoutines(R)} chooses only those routines from the database which are for the solution of ODE's")) (|selectPDERoutines| (($ $) "\\spad{selectPDERoutines(R)} chooses only those routines from the database which are for the solution of PDE's")) (|selectOptimizationRoutines| (($ $) "\\spad{selectOptimizationRoutines(R)} chooses only those routines from the database which are for integration")) (|selectIntegrationRoutines| (($ $) "\\spad{selectIntegrationRoutines(R)} chooses only those routines from the database which are for integration")) (|routines| (($) "\\spad{routines()} initialises a database of known NAG routines")) (|concat| (($ $ $) "\\spad{concat(x,y)} merges two tables \\spad{x} and \\spad{y}"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (QUOTE (-1191))) (LIST (QUOTE |:|) (QUOTE -3552) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (QUOTE (-1119)))) (|HasCategory| (-1191) (QUOTE (-869))) (|HasCategory| (-57) (QUOTE (-1119))) (-3836 (|HasCategory| (-57) (QUOTE (-1119))) (|HasCategory| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (QUOTE (-1119)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -325) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1119))))) 
-(-1088 S R E V) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (QUOTE (|Symbol|))) (LIST (QUOTE |:|) (QUOTE |entry|) (QUOTE (|Any|)))))) (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|)))) (|HasCategory| (|Symbol|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Any|) (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Any|) (QUOTE (|SetCategory|))) (|HasCategory| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (QUOTE (|SetCategory|)))) (AND (|HasCategory| (|Any|) (LIST (QUOTE |Evalable|) (QUOTE (|Any|)))) (|HasCategory| (|Any|) (QUOTE (|SetCategory|))))) 
+(|RecursivePolynomialCategory&| S R E V) 
 ((|constructor| (NIL "\\indented{1}{Author: Marc Moreno Maza} Date Created: 04/22/1994 Date Last Updated: 14/12/1998 Description:")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#2| |#2| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#2|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#2|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#2|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#4|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#4|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#4|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#4|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#4|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#4|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#4| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-574))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1021) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-1191))))) 
-(-1089 R E V) 
+((|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |QuotientFieldCategory|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|Symbol|))))) 
+(|RecursivePolynomialCategory| R E V) 
 ((|constructor| (NIL "\\indented{1}{Author: Marc Moreno Maza} Date Created: 04/22/1994 Date Last Updated: 14/12/1998 Description:")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#1| |#1| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#1|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#1|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#1|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#3|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#3|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#3|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#3|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#3|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#3|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#3| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1090 S |TheField| |ThePols|) 
+(|RealRootCharacterizationCategory&| S |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common access functions for all real roots of polynomials")) (|relativeApprox| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#3|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#3| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#3| "failed") |#3| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#3| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#3| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#3| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#3| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1091 |TheField| |ThePols|) 
+(|RealRootCharacterizationCategory| |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common access functions for all real roots of polynomials")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#2|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#2| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#2| "failed") |#2| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#2| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#2| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#2| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#2| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1092 R E V P TS) 
+(|RegularSetDecompositionPackage| R E V P TS) 
 ((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are proposed: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard methods). This algorithm is valid for any type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\axiomType{QCMPACK}(R,E,V,P,TS) and \\axiomType{RSETGCD}(R,E,V,P,TS). The same way it does not care about the way univariate polynomial \\spad{gcd} (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these \\spad{gcd} need to have invertible initials (normalized or not). WARNING. There is no need for a user to call directly any operation of this package since they can be accessed by the domain \\axiom{TS}. Thus, the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1093 S R E V P) 
+(|RegularTriangularSetCategory&| S R E V P) 
 ((|constructor| (NIL "The category of regular triangular sets, introduced under the name regular chains in \\spad{[1]} (and other papers). In \\spad{[3]} it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions, all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,...,xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,...,tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,...,ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,...,Ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(Ti)} contains \\spad{S} and is contained in the closure of \\spad{S} (w.r.t. Zariski topology). A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,...,Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is false. This category provides operations related to both kinds of splits, the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#5|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is false, it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or, in other words, a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{extend(lp,lts)} returns the same as \\spad{concat([extend(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{extend(lp,ts)} returns \\spad{ts} if \\spad{empty? \\spad{lp}} \\spad{extend(p,ts)} if \\spad{lp = [p]} else \\spad{extend(first \\spad{lp,} extend(rest \\spad{lp,} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{extend(p,lts)} returns the same as \\spad{concat([extend(p,ts) for \\spad{ts} in lts])|}") (((|List| $) |#5| $) "\\spad{extend(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#5|) $) "\\spad{internalAugment(lp,ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest \\spad{lp,} internalAugment(first \\spad{lp,} ts))}") (($ |#5| $) "\\spad{internalAugment(p,ts)} assumes that \\spad{augment(p,ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{augment(lp,lts)} returns the same as \\spad{concat([augment(lp,ts) for \\spad{ts} in lts])}") (((|List| $) (|List| |#5|) $) "\\spad{augment(lp,ts)} returns \\spad{ts} if \\spad{empty? lp}, \\spad{augment(p,ts)} if \\spad{lp = [p]}, otherwise \\spad{augment(first \\spad{lp,} augment(rest \\spad{lp,} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{augment(p,lts)} returns the same as \\spad{concat([augment(p,ts) for \\spad{ts} in lts])}") (((|List| $) |#5| $) "\\spad{augment(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set, say \\spad{ts+p}, is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#5| (|List| $)) "\\spad{intersect(p,lts)} returns the same as \\spad{intersect([p],lts)}") (((|List| $) (|List| |#5|) (|List| $)) "\\spad{intersect(lp,lts)} returns the same as \\spad{concat([intersect(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{intersect(lp,ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#5| $) "\\spad{intersect(p,ts)} returns the same as \\spad{intersect([p],ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| $) "\\spad{squareFreePart(p,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial w.r.t. \\spad{lpwt.i.tower}, this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower}, for every \\spad{i}. Moreover, the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts}, then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| |#5| $) "\\spad{lastSubResultant(p1,p2,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. \\spad{lpwt.i.tower}, for every \\spad{i}, and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover, if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} w.r.t. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials w.r.t. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#5| (|List| $)) |#5| |#5| $) "\\spad{lastSubResultantElseSplit(p1,p2,ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#5| $) "\\spad{invertibleSet(p,ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{I} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#5| $) "\\spad{invertible?(p,ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#5| $) "\\spad{invertible?(p,ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#5| $) "\\spad{invertibleElseSplit?(p,ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#5| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#5| $) "\\spad{algebraicCoefficients?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#5| $) "\\spad{purelyTranscendental?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic w.r.t. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(ts,v) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(ts,v).") (((|Boolean|) |#5| $) "\\spad{purelyAlgebraic?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic w.r.t. \\spad{ts}."))) 
 NIL 
 NIL 
-(-1094 R E V P) 
+(|RegularTriangularSetCategory| R E V P) 
 ((|constructor| (NIL "The category of regular triangular sets, introduced under the name regular chains in \\spad{[1]} (and other papers). In \\spad{[3]} it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions, all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,...,xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,...,tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,...,ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,...,Ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(Ti)} contains \\spad{S} and is contained in the closure of \\spad{S} (w.r.t. Zariski topology). A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,...,Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is false. This category provides operations related to both kinds of splits, the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is false, it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or, in other words, a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{extend(lp,lts)} returns the same as \\spad{concat([extend(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{extend(lp,ts)} returns \\spad{ts} if \\spad{empty? \\spad{lp}} \\spad{extend(p,ts)} if \\spad{lp = [p]} else \\spad{extend(first \\spad{lp,} extend(rest \\spad{lp,} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{extend(p,lts)} returns the same as \\spad{concat([extend(p,ts) for \\spad{ts} in lts])|}") (((|List| $) |#4| $) "\\spad{extend(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#4|) $) "\\spad{internalAugment(lp,ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest \\spad{lp,} internalAugment(first \\spad{lp,} ts))}") (($ |#4| $) "\\spad{internalAugment(p,ts)} assumes that \\spad{augment(p,ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{augment(lp,lts)} returns the same as \\spad{concat([augment(lp,ts) for \\spad{ts} in lts])}") (((|List| $) (|List| |#4|) $) "\\spad{augment(lp,ts)} returns \\spad{ts} if \\spad{empty? lp}, \\spad{augment(p,ts)} if \\spad{lp = [p]}, otherwise \\spad{augment(first \\spad{lp,} augment(rest \\spad{lp,} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{augment(p,lts)} returns the same as \\spad{concat([augment(p,ts) for \\spad{ts} in lts])}") (((|List| $) |#4| $) "\\spad{augment(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set, say \\spad{ts+p}, is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#4| (|List| $)) "\\spad{intersect(p,lts)} returns the same as \\spad{intersect([p],lts)}") (((|List| $) (|List| |#4|) (|List| $)) "\\spad{intersect(lp,lts)} returns the same as \\spad{concat([intersect(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{intersect(lp,ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#4| $) "\\spad{intersect(p,ts)} returns the same as \\spad{intersect([p],ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) "\\spad{squareFreePart(p,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial w.r.t. \\spad{lpwt.i.tower}, this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower}, for every \\spad{i}. Moreover, the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts}, then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) "\\spad{lastSubResultant(p1,p2,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. \\spad{lpwt.i.tower}, for every \\spad{i}, and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover, if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} w.r.t. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials w.r.t. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) "\\spad{lastSubResultantElseSplit(p1,p2,ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#4| $) "\\spad{invertibleSet(p,ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{I} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#4| $) "\\spad{invertible?(p,ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) "\\spad{invertible?(p,ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) "\\spad{invertibleElseSplit?(p,ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#4| $) "\\spad{algebraicCoefficients?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#4| $) "\\spad{purelyTranscendental?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic w.r.t. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(ts,v) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(ts,v).") (((|Boolean|) |#4| $) "\\spad{purelyAlgebraic?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic w.r.t. \\spad{ts}."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1095 R E V P TS) 
+(|RegularTriangularSetGcdPackage| R E V P TS) 
 ((|constructor| (NIL "An internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|toseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseSquareFreePart(p,ts)} has the same specifications as squareFreePart from RegularTriangularSetCategory.")) (|toseInvertibleSet| (((|List| |#5|) |#4| |#5|) "\\axiom{toseInvertibleSet(p1,p2,ts)} has the same specifications as invertibleSet from RegularTriangularSetCategory.")) (|toseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseInvertible?(p1,p2,ts)} has the same specifications as invertible? from RegularTriangularSetCategory.") (((|Boolean|) |#4| |#5|) "\\axiom{toseInvertible?(p1,p2,ts)} has the same specifications as invertible? from RegularTriangularSetCategory.")) (|toseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{toseLastSubResultant(p1,p2,ts)} has the same specifications as lastSubResultant from RegularTriangularSetCategory.")) (|integralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{integralLastSubResultant(p1,p2,ts)} is an internal subroutine, exported only for developement.")) (|internalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) "\\axiom{internalLastSubResultant(lpwt,v,flag)} is an internal subroutine, exported only for developement.") (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) "\\axiom{internalLastSubResultant(p1,p2,ts,inv?,break?)} is an internal subroutine, exported only for developement.")) (|prepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{prepareSubResAlgo(p1,p2,ts)} is an internal subroutine, exported only for developement.")) (|stopTableInvSet!| (((|Void|)) "\\axiom{stopTableInvSet!()} is an internal subroutine, exported only for developement.")) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableInvSet!(s1,s2,s3)} is an internal subroutine, exported only for developement.")) (|stopTableGcd!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1096 |f|) 
+(|RuleCalled| |f|) 
 ((|constructor| (NIL "This domain implements named rules")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1097 |Base| R -3958) 
+(|RewriteRule| |Base| R F) 
 ((|constructor| (NIL "Rules for the pattern matcher")) (|quotedOperators| (((|List| (|Symbol|)) $) "\\spad{quotedOperators(r)} returns the list of operators on the right hand side of \\spad{r} that are considered quoted, that is they are not evaluated during any rewrite, but just applied formally to their arguments.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,f,n)} or r(f, \\spad{n)} applies the rule \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rhs| ((|#3| $) "\\spad{rhs(r)} returns the right hand side of the rule \\spad{r.}")) (|lhs| ((|#3| $) "\\spad{lhs(r)} returns the left hand side of the rule \\spad{r.}")) (|pattern| (((|Pattern| |#1|) $) "\\spad{pattern(r)} returns the pattern corresponding to the left hand side of the rule \\spad{r.}")) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) "\\spad{suchThat(r, [a1,...,an], \\spad{f)}} returns the rewrite rule \\spad{r} with the predicate \\spad{f(a1,...,an)} attached to it.")) (|rule| (($ |#3| |#3| (|List| (|Symbol|))) "\\spad{rule(f, \\spad{g,} [f1,...,fn])} creates the rewrite rule \\spad{f \\spad{==} eval(eval(g, \\spad{g} is \\spad{f),} [f1,...,fn])}, that is a rule with left-hand side \\spad{f} and right-hand side \\spad{g;} The symbols f1,...,fn are the operators that are considered quoted, that is they are not evaluated during any rewrite, but just applied formally to their arguments.") (($ |#3| |#3|) "\\indented{1}{rule(f, \\spad{g)} creates the rewrite rule: \\spad{f \\spad{==} eval(g, \\spad{g} is f)},} \\indented{1}{with left-hand side \\spad{f} and right-hand side \\spad{g.}} \\blankline \\spad{X} logrule \\spad{:=} rule log(x) + log(y) \\spad{==} log(x*y) \\spad{X} \\spad{f} \\spad{:=} log(sin(x)) + log(x) \\spad{X} logrule \\spad{f}"))) 
 NIL 
 NIL 
-(-1098 |Base| R -3958) 
+(|Ruleset| |Base| R F) 
 ((|constructor| (NIL "Sets of rules for the pattern matcher. A ruleset is a set of pattern matching rules grouped together.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,f,n)} or r(f, \\spad{n)} applies all the rules of \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rules| (((|List| (|RewriteRule| |#1| |#2| |#3|)) $) "\\spad{rules(r)} returns the rules contained in \\spad{r.}")) (|ruleset| (($ (|List| (|RewriteRule| |#1| |#2| |#3|))) "\\spad{ruleset([r1,...,rn])} creates the rule set \\spad{{r1,...,rn}}."))) 
 NIL 
 NIL 
-(-1099 R |ls|) 
+(|RationalUnivariateRepresentationPackage| R |ls|) 
 ((|constructor| (NIL "A package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a regular triangular set. This package is essentially an interface for the \\spadtype{InternalRationalUnivariateRepresentationPackage} constructor. It is used in the \\spadtype{ZeroDimensionalSolvePackage} for solving polynomial systems with finitely many solutions.")) (|rur| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{rur(lp,univ?,check?)} returns the same as \\spad{rur(lp,true)}. Moreover, if \\spad{check?} is \\spad{true} then the result is checked.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{rur(lp)} returns the same as \\spad{rur(lp,true)}") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{rur(lp,univ?)} returns a rational univariate representation of \\spad{lp}. This assumes that \\spad{lp} defines a regular triangular \\spad{ts} whose associated variety is zero-dimensional over \\spad{R}. \\spad{rur(lp,univ?)} returns a list of items \\spad{[u,lc]} where \\spad{u} is an irreducible univariate polynomial and each \\spad{c} in \\spad{lc} involves two variables: one from \\spad{ls}, called the coordinate of \\spad{c}, and an extra variable which represents any root of \\spad{u}. Every root of \\spad{u} leads to a tuple of values for the coordinates of \\spad{lc}. Moreover, a point \\spad{x} belongs to the variety associated with \\spad{lp} iff there exists an item \\spad{[u,lc]} in \\spad{rur(lp,univ?)} and a root \\spad{r} of \\spad{u} such that \\spad{x} is given by the tuple of values for the coordinates of \\spad{lc} evaluated at \\spad{r}. If \\spad{univ?} is \\spad{true} then each polynomial \\spad{c} will have a constant leading coefficient w.r.t. its coordinate. See the example which illustrates the \\spadtype{ZeroDimensionalSolvePackage} package constructor."))) 
 NIL 
 NIL 
-(-1100 UP SAE UPA) 
+(|SimpleAlgebraicExtensionAlgFactor| UP SAE UPA) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of the rational numbers (\\spadtype{Fraction Integer}).")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1101 R UP M) 
+(|SimpleAlgebraicExtension| R UP M) 
 ((|constructor| (NIL "Algebraic extension of a ring by a single polynomial. Domain which represents simple algebraic extensions of arbitrary rings. The first argument to the domain, \\spad{R,} is the underlying ring, the second argument is a domain of univariate polynomials over \\spad{K,} while the last argument specifies the defining minimal polynomial. The elements of the domain are canonically represented as polynomials of degree less than that of the minimal polynomial with coefficients in \\spad{R.} The second argument is both the type of the third argument and the underlying representation used by \\spadtype{SAE} itself."))) 
-((-4618 |has| |#1| (-388)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-373)))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-373))))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-373))))) 
-(-1102 UP SAE UPA) 
+((|noZeroDivisors| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|)))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))))) (OR (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|FiniteFieldCategory|))))) 
+(|SAERationalFunctionAlgFactor| UP SAE UPA) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of \\spadtype{Fraction Polynomial Integer}.")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1103) 
+(|SingletonAsOrderedSet|) 
 ((|constructor| (NIL "This trivial domain lets us build Univariate Polynomials in an anonymous variable"))) 
 NIL 
 NIL 
-(-1104 S) 
+(|SortedCache| S) 
 ((|constructor| (NIL "A sorted cache of a cachable set \\spad{S} is a dynamic structure that keeps the elements of \\spad{S} sorted and assigns an integer to each element of \\spad{S} once it is in the cache. This way, equality and ordering on \\spad{S} are tested directly on the integers associated with the elements of \\spad{S,} once they have been entered in the cache.")) (|enterInCache| ((|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)) "\\spad{enterInCache(x, \\spad{f)}} enters \\spad{x} in the cache, calling \\spad{f(x, \\spad{y)}} to determine whether \\spad{x < \\spad{y} (f(x,y) < 0), \\spad{x} = \\spad{y} (f(x,y) = 0)}, or \\spad{x > \\spad{y} (f(x,y) > 0)}. It returns \\spad{x} with an integer associated with it.") ((|#1| |#1| (|Mapping| (|Boolean|) |#1|)) "\\spad{enterInCache(x, \\spad{f)}} enters \\spad{x} in the cache, calling \\spad{f(y)} to determine whether \\spad{x} is equal to \\spad{y.} It returns \\spad{x} with an integer associated with it.")) (|cache| (((|List| |#1|)) "\\spad{cache()} returns the current cache as a list.")) (|clearCache| (((|Void|)) "\\spad{clearCache()} empties the cache."))) 
 NIL 
 NIL 
-(-1105 R) 
+(|StructuralConstantsPackage| R) 
 ((|constructor| (NIL "StructuralConstantsPackage provides functions creating structural constants from a multiplication tables or a basis of a matrix algebra and other useful functions in this context.")) (|coordinates| (((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{structuralConstants(basis)} takes the \\spad{basis} of a matrix algebra, \\spadignore{e.g.} the result of \\spadfun{basisOfCentroid} and calculates the structural constants. Note, that the it is not checked, whether \\spad{basis} really is a \\spad{basis} of a matrix algebra.") (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|))) "\\spad{structuralConstants(ls,mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt,} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls.} The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}") (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{structuralConstants(ls,mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt,} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls.} The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}"))) 
 NIL 
 NIL 
-(-1106 R) 
+(|StochasticDifferential| R) 
 ((|constructor| (NIL "A basic implementation of StochasticDifferential(R) using the associated domain BasicStochasticDifferential in the underlying representation as sparse multivariate polynomials. The domain is a module over Expression(R), and is a ring without identity (AXIOM term is \"Rng\"). Note that separate instances, for example using R=Integer and R=Float, have different hidden structure (multiplication and drift tables).")) (|uncorrelated?| (((|Boolean|) (|List| (|List| $))) "\\spad{uncorrelated?(ll)} checks whether its argument is a list of lists of stochastic differentials of zero inter-list quadratic co-variation.") (((|Boolean|) (|List| $) (|List| $)) "\\spad{uncorrelated?(l1,l2)} checks whether its two arguments are lists of stochastic differentials of zero inter-list quadratic co-variation.") (((|Boolean|) $ $) "\\spad{uncorrelated?(dx,dy)} checks whether its two arguments have zero quadratic co-variation.")) (|statusIto| (((|OutputForm|)) "\\indented{1}{statusIto() displays the current state of \\axiom{setBSD},} \\indented{1}{\\axiom{tableDrift}, and \\axiom{tableQuadVar}. Question} \\indented{1}{marks are printed instead of undefined entries} \\blankline \\spad{X} dt:=introduce!(t,dt) \\spad{X} dX:=introduce!(X,dX) \\spad{X} dY:=introduce!(Y,dY) \\spad{X} copyBSD() \\spad{X} copyIto() \\spad{X} copyhQuadVar() \\spad{X} statusIto()")) (^ (($ $ (|PositiveInteger|)) "\\spad{dx^n} is \\spad{dx} multiplied by itself \\spad{n} times.")) (** (($ $ (|PositiveInteger|)) "\\spad{dx**n} is \\spad{dx} multiplied by itself \\spad{n} times.")) (/ (($ $ (|Expression| |#1|)) "\\spad{dx/y} divides the stochastic differential \\spad{dx} by the previsible function \\spad{y.}")) (|copyQuadVar| (((|Table| $ $)) "\\spad{copyQuadVar returns} private multiplication table of basic stochastic differentials for inspection")) (|copyDrift| (((|Table| $ $)) "\\spad{copyDrift returns} private table of drifts of basic stochastic differentials for inspection")) (|equation| (((|Union| (|Equation| $) "failed") |#1| $) "\\spad{equation(0,dx)} allows \\spad{LHS} of Equation \\% to be zero") (((|Union| (|Equation| $) "failed") $ |#1|) "\\spad{equation(dx,0)} allows \\spad{RHS} of Equation \\% to be zero")) (|listSD| (((|List| (|BasicStochasticDifferential|)) $) "\\spad{listSD(dx)} returns a list of all \\axiom{BSD} involved in the generation of \\axiom{dx} as a module element")) (|coefficient| (((|Expression| |#1|) $ (|BasicStochasticDifferential|)) "\\spad{coefficient(sd,dX)} returns the coefficient of \\axiom{dX} in the stochastic differential \\axiom{sd}")) (|freeOf?| (((|Boolean|) $ (|BasicStochasticDifferential|)) "\\spad{freeOf?(sd,dX)} checks whether \\axiom{dX} occurs in \\axiom{sd} as a module element")) (|drift| (($ $) "\\spad{drift(dx)} returns the drift of \\axiom{dx}")) (|alterDrift!| (((|Union| $ "failed") (|BasicStochasticDifferential|) $) "\\spad{alterDrift! adds} drift formula for a stochastic differential to a private table. Failure occurs if \\indented{1}{(a) first arguments is not basic} \\indented{1}{(b) second argument is not exactly of first degree}")) (|alterQuadVar!| (((|Union| $ "failed") (|BasicStochasticDifferential|) (|BasicStochasticDifferential|) $) "\\spad{alterQuadVar! adds} multiplication formula for a pair of stochastic differentials to a private table. Failure occurs if \\indented{1}{(a) either of first or second arguments is not basic} \\indented{1}{(b) third argument is not exactly of first degree}"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-1107 R) 
+(|SequentialDifferentialPolynomial| R) 
 ((|constructor| (NIL "\\spadtype{SequentialDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates, with coefficients in a ring. The ranking on the differential indeterminate is sequential."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1108 (-1191)) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1108 (-1191)) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1108 (-1191)) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1108 (-1191)) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1108 (-1191)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-1108 S) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| (|SequentialDifferentialVariable| (|Symbol|)) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SequentialDifferentialVariable| (|Symbol|)) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SequentialDifferentialVariable| (|Symbol|)) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SequentialDifferentialVariable| (|Symbol|)) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SequentialDifferentialVariable| (|Symbol|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|SequentialDifferentialVariable| S) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used sequential ranking to the set of derivatives of an ordered list of differential indeterminates. A sequential ranking is a ranking \\spadfun{<} of the derivatives with the property that for any derivative \\spad{v,} there are only a finite number of derivatives \\spad{u} with \\spad{u} \\spadfun{<} \\spad{v.} This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order}, and it defines a sequential ranking \\spadfun{<} on derivatives \\spad{u} by the lexicographic order on the pair (\\spadfun{variable}(u), \\spadfun{order}(u))."))) 
 NIL 
 NIL 
-(-1109 R S) 
+(|SegmentFunctions2| R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,s)} expands the segment \\spad{s,} applying \\spad{f} to each value. For example, if \\spad{s = l..h by \\spad{k},} then the list \\spad{[f(l), f(l+k),..., f(lN)]} is computed, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.") (((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,l..h)} returns a new segment \\spad{f(l)..f(h)}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-867)))) 
-(-1110 R S) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|)))) 
+(|SegmentBindingFunctions2| R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto \\spadtype{SegmentBinding}s.")) (|map| (((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)) "\\spad{map(f,v=a..b)} returns the value given by \\spad{v=f(a)..f(b)}."))) 
 NIL 
 NIL 
-(-1111 S) 
+(|SegmentBinding| S) 
 ((|constructor| (NIL "This domain is used to provide the function argument syntax \\spad{v=a..b}. This is used, for example, by the top-level \\spadfun{draw} functions.")) (|segment| (((|Segment| |#1|) $) "\\spad{segment(segb)} returns the segment from the right hand side of the \\spadtype{SegmentBinding}. For example, if \\spad{segb} is \\spad{v=a..b}, then \\spad{segment(segb)} returns \\spad{a..b}.")) (|variable| (((|Symbol|) $) "\\spad{variable(segb)} returns the variable from the left hand side of the \\spadtype{SegmentBinding}. For example, if \\spad{segb} is \\spad{v=a..b}, then \\spad{variable(segb)} returns \\spad{v}.")) (|equation| (($ (|Symbol|) (|Segment| |#1|)) "\\spad{equation(v,a..b)} creates a segment binding value with variable \\spad{v} and segment \\spad{a..b}. Note that the interpreter parses \\spad{v=a..b} to this form."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1119)))) 
-(-1112 S) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|)))) 
+(|SegmentCategory| S) 
 ((|constructor| (NIL "This category provides operations on ranges, or segments as they are called.")) (|convert| (($ |#1|) "\\spad{convert(i)} creates the segment \\spad{i..i}.")) (|segment| (($ |#1| |#1|) "\\spad{segment(i,j)} is an alternate way to create the segment \\spad{i..j}.")) (|incr| (((|Integer|) $) "\\spad{incr(s)} returns \\spad{n}, where \\spad{s} is a segment in which every \\spad{n}-th element is used. Note that \\spad{incr(l..h by \\spad{n)} = \\spad{n}.}")) (|high| ((|#1| $) "\\spad{high(s)} returns the second endpoint of \\spad{s.} Note that \\spad{high(l..h) = \\spad{h}.}")) (|low| ((|#1| $) "\\spad{low(s)} returns the first endpoint of \\spad{s.} Note that \\spad{low(l..h) = \\spad{l}.}")) (|hi| ((|#1| $) "\\spad{hi(s)} returns the second endpoint of \\spad{s.} Note that \\spad{hi(l..h) = \\spad{h}.}")) (|lo| ((|#1| $) "\\spad{lo(s)} returns the first endpoint of \\spad{s.} Note that \\spad{lo(l..h) = \\spad{l}.}")) (BY (($ $ (|Integer|)) "\\spad{s by \\spad{n}} creates a new segment in which only every \\spad{n}-th element is used.")) (SEGMENT (($ |#1| |#1|) "\\spad{l..h} creates a segment with \\spad{l} and \\spad{h} as the endpoints."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-1113 S) 
+(|Segment| S) 
 ((|constructor| (NIL "This type is used to specify a range of values from type \\spad{S}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-867))) (|HasCategory| |#1| (QUOTE (-1119)))) 
-(-1114 S L) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) 
+(|SegmentExpansionCategory| S L) 
 ((|constructor| (NIL "This category provides an interface for expanding segments to a stream of elements.")) (|map| ((|#2| (|Mapping| |#1| |#1|) $) "\\spad{map(f,l..h by \\spad{k)}} produces a value of type \\spad{L} by applying \\spad{f} to each of the succesive elements of the segment, that is, \\spad{[f(l), f(l+k), ..., f(lN)]}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.")) (|expand| ((|#2| $) "\\spad{expand(l..h by \\spad{k)}} creates value of type \\spad{L} with elements \\spad{l, l+k, \\spad{...} \\spad{lN}} where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand(1..5 by 2) = [1,3,5]}.") ((|#2| (|List| $)) "\\spad{expand(l)} creates a new value of type \\spad{L} in which each segment \\spad{l..h by \\spad{k}} is replaced with \\spad{l, l+k, \\spad{...} lN}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand [1..4, 7..9] = [1,2,3,4,7,8,9]}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-1115 A S) 
+(|SetAggregate&| A S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#2| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#2|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#2|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#2|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#2|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
 NIL 
 NIL 
-(-1116 S) 
+(|SetAggregate| S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#1| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#1|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#1|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#1|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#1|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
-((-4615 . T) (-2623 . T)) 
+((|partiallyOrderedSet| . T) (|nil| . T)) 
 NIL 
-(-1117) 
+(|SetCategoryWithDegree|) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-1118 S) 
+(|SetCategory&| S) 
 ((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\br \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s.}")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s.}"))) 
 NIL 
 NIL 
-(-1119) 
+(|SetCategory|) 
 ((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\br \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s.}")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s.}"))) 
 NIL 
 NIL 
-(-1120 |m| |n|) 
+(|SetOfMIntegersInOneToN| |m| |n|) 
 ((|constructor| (NIL "\\spadtype{SetOfMIntegersInOneToN} implements the subsets of \\spad{M} integers in the interval \\spad{[1..n]}")) (|delta| (((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{delta(S,k,p)} returns the number of elements of \\spad{S} which are strictly between \\spad{p} and the k^{th} element of \\spad{S.}")) (|member?| (((|Boolean|) (|PositiveInteger|) $) "\\spad{member?(p, \\spad{s)}} returns \\spad{true} is \\spad{p} is in \\spad{s,} \\spad{false} otherwise.")) (|enumerate| (((|Vector| $)) "\\spad{enumerate()} returns a vector of all the sets of \\spad{M} integers in \\spad{1..n}.")) (|setOfMinN| (($ (|List| (|PositiveInteger|))) "\\spad{setOfMinN([a_1,...,a_m])} returns the set {a_1,...,a_m}. Error if {a_1,...,a_m} is not a set of \\spad{M} integers in \\spad{1..n}.")) (|elements| (((|List| (|PositiveInteger|)) $) "\\spad{elements(S)} returns the list of the elements of \\spad{S} in increasing order.")) (|replaceKthElement| (((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{replaceKthElement(S,k,p)} replaces the k^{th} element of \\spad{S} by \\spad{p,} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more.")) (|incrementKthElement| (((|Union| $ "failed") $ (|PositiveInteger|)) "\\spad{incrementKthElement(S,k)} increments the k^{th} element of \\spad{S,} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more."))) 
 NIL 
 NIL 
-(-1121 S) 
+(|Set| S) 
 ((|constructor| (NIL "A set over a domain \\spad{D} models the usual mathematical notion of a finite set of elements from \\spad{D.} Sets are unordered collections of distinct elements (that is, order and duplication does not matter). The notation \\spad{set [a,b,c]} can be used to create a set and the usual operations such as union and intersection are available to form new sets. In our implementation, \\Language{} maintains the entries in sorted order. Specifically, the parts function returns the entries as a list in ascending order and the extract operation returns the maximum entry. Given two sets \\spad{s} and \\spad{t} where \\spad{\\#s = \\spad{m}} and \\spad{\\#t = \\spad{n},} the complexity of\\br \\tab{5}\\spad{s = \\spad{t}} is \\spad{O(min(n,m))}\\br \\tab{5}\\spad{s < \\spad{t}} is \\spad{O(max(n,m))}\\br \\tab{5}\\spad{union(s,t)}, \\spad{intersect(s,t)}, \\spad{minus(s,t)},\\br \\tab{10 \\spad{symmetricDifference(s,t)} is \\spad{O(max(n,m))}\\br \\tab{5}\\spad{member(x,t)} is \\spad{O(n log n)}\\br \\tab{5}\\spad{insert(x,t)} and \\spad{remove(x,t)} is \\spad{O(n)}"))) 
-((-4625 . T) (-4615 . T) (-4626 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-394))) (|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (QUOTE (-869))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-394)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-1122 |Str| |Sym| |Int| |Flt| |Expr|) 
+((|finiteAggregate| . T) (|partiallyOrderedSet| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|Finite|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|Finite|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|SExpressionCategory| |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This category allows the manipulation of Lisp values while keeping the grunge fairly localized.")) (|elt| (($ $ (|List| (|Integer|))) "\\spad{elt((a1,...,an), [i1,...,im])} returns \\spad{(a_i1,...,a_im)}.") (($ $ (|Integer|)) "\\spad{elt((a1,...,an), i)} returns \\spad{ai}.")) (|#| (((|Integer|) $) "\\spad{\\#((a1,...,an))} returns \\spad{n.}")) (|cdr| (($ $) "\\spad{cdr((a1,...,an))} returns \\spad{(a2,...,an)}.")) (|car| (($ $) "\\spad{car((a1,...,an))} returns a1.")) (|convert| (($ |#5|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#4|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#3|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#2|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#1|) "\\spad{convert(x)} returns the Lisp atom \\spad{x;}") (($ (|List| $)) "\\spad{convert([a1,...,an])} returns an S-expression \\spad{(a1,...,an)}.")) (|expr| ((|#5| $) "\\spad{expr(s)} returns \\spad{s} as an element of Expr; Error: if \\spad{s} is not an atom that also belongs to Expr.")) (|float| ((|#4| $) "\\spad{float(s)} returns \\spad{s} as an element of Flt; Error: if \\spad{s} is not an atom that also belongs to Flt.")) (|integer| ((|#3| $) "\\spad{integer(s)} returns \\spad{s} as an element of Int. Error: if \\spad{s} is not an atom that also belongs to Int.")) (|symbol| ((|#2| $) "\\spad{symbol(s)} returns \\spad{s} as an element of Sym. Error: if \\spad{s} is not an atom that also belongs to Sym.")) (|string| ((|#1| $) "\\spad{string(s)} returns \\spad{s} as an element of Str. Error: if \\spad{s} is not an atom that also belongs to Str.")) (|destruct| (((|List| $) $) "\\spad{destruct((a1,...,an))} returns the list [a1,...,an].")) (|float?| (((|Boolean|) $) "\\spad{float?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Flt.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Int.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Sym.")) (|string?| (((|Boolean|) $) "\\spad{string?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Str.")) (|list?| (((|Boolean|) $) "\\spad{list?(s)} is \\spad{true} if \\spad{s} is a Lisp list, possibly \\spad{().}")) (|pair?| (((|Boolean|) $) "\\spad{pair?(s)} is \\spad{true} if \\spad{s} has is a non-null Lisp list.")) (|atom?| (((|Boolean|) $) "\\spad{atom?(s)} is \\spad{true} if \\spad{s} is a Lisp atom.")) (|null?| (((|Boolean|) $) "\\spad{null?(s)} is \\spad{true} if \\spad{s} is the S-expression \\spad{().}")) (|eq| (((|Boolean|) $ $) "\\spad{eq(s, \\spad{t)}} is \\spad{true} if EQ(s,t) is \\spad{true} in Lisp."))) 
 NIL 
 NIL 
-(-1123) 
+(|SExpression|) 
 ((|constructor| (NIL "This domain allows the manipulation of the usual Lisp values."))) 
 NIL 
 NIL 
-(-1124 |Str| |Sym| |Int| |Flt| |Expr|) 
+(|SExpressionOf| |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This domain allows the manipulation of Lisp values over arbitrary atomic types."))) 
 NIL 
 NIL 
-(-1125 R FS) 
+(|SimpleFortranProgram| R FS) 
 ((|constructor| (NIL "\\axiomType{SimpleFortranProgram(f,type)} provides a simple model of some FORTRAN subprograms, making it possible to coerce objects of various domains into a FORTRAN subprogram called \\axiom{f}. These can then be translated into legal FORTRAN code.")) (|fortran| (($ (|Symbol|) (|FortranScalarType|) |#2|) "\\spad{fortran(fname,ftype,body)} builds an object of type \\axiomType{FortranProgramCategory}. The three arguments specify the name, the type and the \\spad{body} of the program."))) 
 NIL 
 NIL 
-(-1126 R E V P TS) 
+(|SquareFreeQuasiComponentPackage| R E V P TS) 
 ((|constructor| (NIL "A internal package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,ts,lineq,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(lp,lts,b1,b2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine, exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(lpwt1,lpwt2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(lts)} removes from \\axiom{lts} any \\spad{ts} such that \\axiom{subQuasiComponent?(ts,us)} holds for another \\spad{us} in \\axiom{lts}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(ts,lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(ts,us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(ts,us)} returns \\spad{true} iff internalSubQuasiComponent?(ts,us) from QuasiComponentPackage returns true.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \\spad{b} value if the fact the regular zero set of \\axiom{us} contains that of \\axiom{ts} can be decided (and in that case \\axiom{b} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2} assuming that these lists are sorted increasingly w.r.t. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(ts,us)} returns \\spad{true} iff \\axiom{ts} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(ts,us)} returns \\spad{false} iff \\axiom{ts} and \\axiom{us} are both empty, or \\axiom{ts} has less elements than \\axiom{us}, or some variable is algebraic w.r.t. \\axiom{us} and is not w.r.t. \\axiom{ts}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(lts)} sorts \\axiom{lts} w.r.t supDimElseRittWu from QuasiComponentPackage.")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(ts,us)} returns \\spad{true} iff \\axiom{ts} has less elements than \\axiom{us} otherwise if \\axiom{ts} has higher rank than \\axiom{us} w.r.t. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1127 R E V P TS) 
+(|SquareFreeRegularTriangularSetGcdPackage| R E V P TS) 
 ((|constructor| (NIL "A internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field. There is no need to use directly this package since its main operations are available from \\spad{TS}."))) 
 NIL 
 NIL 
-(-1128 R E V P) 
+(|SquareFreeRegularTriangularSetCategory| R E V P) 
 ((|constructor| (NIL "The category of square-free regular triangular sets. A regular triangular set \\spad{ts} is square-free if the \\spad{gcd} of any polynomial \\spad{p} in \\spad{ts} and differentiate(p,mvar(p)) w.r.t. collectUnder(ts,mvar(p)) has degree zero w.r.t. \\spad{mvar(p)}. Thus any square-free regular set defines a tower of square-free simple extensions."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1129) 
+(|SymmetricGroupCombinatoricFunctions|) 
 ((|constructor| (NIL "SymmetricGroupCombinatoricFunctions contains combinatoric functions concerning symmetric groups and representation theory: list young tableaus, improper partitions, subsets bijection of Coleman.")) (|unrankImproperPartitions1| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions1(n,m,k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in at most \\spad{m} nonnegative parts ordered as follows: first, in reverse lexicographically according to their non-zero parts, then according to their positions (\\spadignore{i.e.} lexicographical order using subSet: [3,0,0] < [0,3,0] < [0,0,3] < [2,1,0] < [2,0,1] < [0,2,1] < [1,2,0] < [1,0,2] < [0,1,2] < [1,1,1]. Note that counting of subtrees is done by numberOfImproperPartitionsInternal.")) (|unrankImproperPartitions0| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions0(n,m,k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in \\spad{m} nonnegative parts in reverse lexicographical order. Example: [0,0,3] < [0,1,2] < [0,2,1] < [0,3,0] < [1,0,2] < [1,1,1] < [1,2,0] < [2,0,1] < [2,1,0] < [3,0,0]. Error: if \\spad{k} is negative or too big. Note that counting of subtrees is done by numberOfImproperPartitions")) (|subSet| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subSet(n,m,k)} calculates the \\spad{k}-th m-subset of the set 0,1,...,(n-1) in the lexicographic order considered as a decreasing map from 0,...,(m-1) into 0,...,(n-1). See S.G. Williamson: Theorem 1.60. Error: if not \\spad{(0} \\spad{<=} \\spad{m} \\spad{<=} \\spad{n} and 0 < = \\spad{k} < \\spad{(n} choose m)).")) (|numberOfImproperPartitions| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{numberOfImproperPartitions(n,m)} computes the number of partitions of the nonnegative integer \\spad{n} in \\spad{m} nonnegative parts with regarding the order (improper partitions). Example: numberOfImproperPartitions (3,3) is 10, since [0,0,3], [0,1,2], [0,2,1], [0,3,0], [1,0,2], [1,1,1], [1,2,0], [2,0,1], [2,1,0], [3,0,0] are the possibilities. Note that this operation has a recursive implementation.")) (|nextPartition| (((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,part,number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of gamma. the first partition is achieved by part=[]. Also, \\spad{[]} indicates that \\spad{part} is the last partition.") (((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,part,number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of gamma. The first partition is achieved by part=[]. Also, \\spad{[]} indicates that \\spad{part} is the last partition.")) (|nextLatticePermutation| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|)) "\\spad{nextLatticePermutation(lambda,lattP,constructNotFirst)} generates the lattice permutation according to the proper partition \\spad{lambda} succeeding the lattice permutation \\spad{lattP} in lexicographical order as long as \\spad{constructNotFirst} is true. If \\spad{constructNotFirst} is false, the first lattice permutation is returned. The result nil indicates that \\spad{lattP} has no successor.")) (|nextColeman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{nextColeman(alpha,beta,C)} generates the next Coleman matrix of column sums \\spad{alpha} and row sums \\spad{beta} according to the lexicographical order from bottom-to-top. The first Coleman matrix is achieved by C=new(1,1,0). Also, new(1,1,0) indicates that \\spad{C} is the last Coleman matrix.")) (|makeYoungTableau| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{makeYoungTableau(lambda,gitter)} computes for a given lattice permutation \\spad{gitter} and for an improper partition \\spad{lambda} the corresponding standard tableau of shape lambda. Notes: see listYoungTableaus. The entries are from 0,...,n-1.")) (|listYoungTableaus| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{listYoungTableaus(lambda)} where \\spad{lambda} is a proper partition generates the list of all standard tableaus of shape \\spad{lambda} by means of lattice permutations. The numbers of the lattice permutation are interpreted as column labels. Hence the contents of these lattice permutations are the conjugate of lambda. Notes: the functions nextLatticePermutation and makeYoungTableau are used. The entries are from 0,...,n-1.")) (|inverseColeman| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{inverseColeman(alpha,beta,C)}: there is a bijection from the set of matrices having nonnegative entries and row sums alpha, column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn.} (Salpha is the Young subgroup corresponding to the improper partition alpha). For such a matrix \\spad{C,} inverseColeman(alpha,beta,C) calculates the lexicographical smallest \\spad{pi} in the corresponding double coset. Note that the resulting permutation \\spad{pi} of {1,2,...,n} is given in list form. Notes: the inverse of this map is coleman. For details, see James/Kerber.")) (|coleman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{coleman(alpha,beta,pi)}: there is a bijection from the set of matrices having nonnegative entries and row sums alpha, column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn.} (Salpha is the Young subgroup corresponding to the improper partition alpha). For a representing element \\spad{pi} of such a double coset, coleman(alpha,beta,pi) generates the Coleman-matrix corresponding to alpha, beta, pi. Note that The permutation \\spad{pi} of {1,2,...,n} has to be given in list form. Note that the inverse of this map is inverseColeman (if \\spad{pi} is the lexicographical smallest permutation in the coset). For details see James/Kerber."))) 
 NIL 
 NIL 
-(-1130 S) 
+(|SemiGroup&| S) 
 ((|constructor| (NIL "the class of all multiplicative semigroups, that is, a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{(x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{x*y = y*x}")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-1131) 
+(|SemiGroup|) 
 ((|constructor| (NIL "the class of all multiplicative semigroups, that is, a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{(x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{x*y = y*x}")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-1132 |dimtot| |dim1| S) 
+(|SplitHomogeneousDirectProduct| |dimtot| |dim1| S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered as if they were split into two blocks. The \\spad{dim1} parameter specifies the length of the first block. The ordering is lexicographic between the blocks but acts like \\spadtype{HomogeneousDirectProduct} within each block. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4619 |has| |#3| (-1075)) (-4620 |has| |#3| (-1075)) (-4622 |has| |#3| (-6 -4622)) ((-4627 "*") |has| |#3| (-194)) (-4625 . T)) 
-((|HasCategory| |#3| (QUOTE (-1119))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075))) (|HasCategory| |#3| (QUOTE (-815))) (|HasCategory| |#3| (QUOTE (-867))) (-3836 (|HasCategory| |#3| (QUOTE (-815))) (|HasCategory| |#3| (QUOTE (-867)))) (|HasCategory| |#3| (QUOTE (-743))) (|HasCategory| |#3| (QUOTE (-194))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075)))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-388)))) (-3836 (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-1075)))) (|HasCategory| |#3| (QUOTE (-394))) (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-247))) (-3836 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075)))) (-3836 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-1075)))) (|HasCategory| (-592) (QUOTE (-869))) (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1119)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-1119)))) (|HasAttribute| |#3| (QUOTE -4622)) (|HasCategory| |#3| (QUOTE (-158))) (-3836 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-158))) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075)))) (|HasCategory| |#3| (QUOTE (-25))) (-3836 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-158))) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-394))) (|HasCategory| |#3| (QUOTE (-743))) (|HasCategory| |#3| (QUOTE (-815))) (|HasCategory| |#3| (QUOTE (-867))) (|HasCategory| |#3| (QUOTE (-1075))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-158))) (|HasCategory| |#3| (QUOTE (-194))) (|HasCategory| |#3| (QUOTE (-247))) (|HasCategory| |#3| (QUOTE (-388))) (|HasCategory| |#3| (QUOTE (-1075)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-158)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-247)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-394)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-815)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-867)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#3| (QUOTE (-1119))))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-158)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-247)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-394)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-815)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-867)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#3| (QUOTE (-1119))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-158)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-194)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-247)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-388)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-394)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-743)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-815)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-867)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1075)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -325) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1119)))))) 
-(-1133 R |x|) 
+((|rightUnitary| |has| |#3| (|Ring|)) (|leftUnitary| |has| |#3| (|Ring|)) (|unitsKnown| |has| |#3| (ATTRIBUTE |unitsKnown|)) ((|commutative| "*") |has| |#3| (|CommutativeRing|)) (|finiteAggregate| . T)) 
+((|HasCategory| |#3| (QUOTE (|SetCategory|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|))) (OR (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (|HasCategory| |#3| (QUOTE (|Monoid|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Field|)))) (OR (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (|HasCategory| |#3| (QUOTE (|Finite|))) (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (OR (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (OR (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (|HasAttribute| |#3| (QUOTE |unitsKnown|)) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|))) (OR (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|))) (OR (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Finite|))) (|HasCategory| |#3| (QUOTE (|Monoid|))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|))) (|HasCategory| |#3| (QUOTE (|Ring|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|))) (|HasCategory| |#3| (QUOTE (|Field|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Finite|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#3| (QUOTE (|SetCategory|))))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Finite|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#3| (QUOTE (|SetCategory|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|AbelianSemiGroup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|CancellationAbelianMonoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Field|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Finite|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Monoid|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|OrderedAbelianMonoidSup|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|OrderedRing|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|Ring|)))) (AND (|HasCategory| |#3| (LIST (QUOTE |Evalable|) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (|SetCategory|)))))) 
+(|SturmHabichtPackage| R |x|) 
 ((|constructor| (NIL "This package produces functions for counting etc. real roots of univariate polynomials in \\spad{x} over \\spad{R,} which must be an OrderedIntegralDomain")) (|countRealRootsMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRootsMultiple(p)} says how many real roots \\spad{p} has, counted with multiplicity")) (|SturmHabichtMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtMultiple(p1,p2)} computes c_{+}-c_{-} where c_{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and c_{-} is the number of real roots of \\spad{p1} with p2<0. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1.}")) (|countRealRoots| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRoots(p)} says how many real roots \\spad{p} has")) (|SturmHabicht| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabicht(p1,p2)} computes c_{+}-c_{-} where c_{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and c_{-} is the number of real roots of \\spad{p1} with p2<0. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1.}")) (|SturmHabichtCoefficients| (((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtCoefficients(p1,p2)} computes the principal Sturm-Habicht coefficients of \\spad{p1} and \\spad{p2}")) (|SturmHabichtSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtSequence(p1,p2)} computes the Sturm-Habicht sequence of \\spad{p1} and \\spad{p2}")) (|subresultantSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{subresultantSequence(p1,p2)} computes the (standard) subresultant sequence of \\spad{p1} and \\spad{p2}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-477)))) 
-(-1134 R -3958) 
+((|HasCategory| |#1| (QUOTE (|GcdDomain|)))) 
+(|ElementaryFunctionSign| R F) 
 ((|constructor| (NIL "This package provides functions to determine the sign of an elementary function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)) "\\spad{sign(f, \\spad{x,} a, \\spad{s)}} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from below if \\spad{s} is \"left\", or above if \\spad{s} is \"right\".") (((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|)) "\\spad{sign(f, \\spad{x,} a)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a}, from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") |#2|) "\\spad{sign(f)} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1135 R) 
+(|RationalFunctionSign| R) 
 ((|constructor| (NIL "Find the sign of a rational function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)) "\\spad{sign(f, \\spad{x,} a, \\spad{s)}} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from the left (below) if \\spad{s} is the string \\spad{\"left\"}, or from the right (above) if \\spad{s} is the string \\spad{\"right\"}.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) "\\spad{sign(f, \\spad{x,} a)} returns the sign of \\spad{f} as \\spad{x} approaches \\spad{a}, from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{sign \\spad{f}} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1136) 
+(|SimplifyAlgebraicNumberConvertPackage|) 
 ((|constructor| (NIL "Package to allow simplify to be called on AlgebraicNumbers by converting to EXPR(INT)")) (|simplify| (((|Expression| (|Integer|)) (|AlgebraicNumber|)) "\\spad{simplify(an)} applies simplifications to \\spad{an}"))) 
 NIL 
 NIL 
-(-1137) 
+(|SingleInteger|) 
 ((|constructor| (NIL "SingleInteger is intended to support machine integer arithmetic.")) (|Or| (($ $ $) "\\spad{Or(n,m)} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m.}")) (|And| (($ $ $) "\\spad{And(n,m)} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m.}")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|xor| (($ $ $) "\\spad{xor(n,m)} returns the bit-by-bit logical xor of the single integers \\spad{n} and \\spad{m.}")) (|\\/| (($ $ $) "\\spad{n} \\spad{\\/} \\spad{m} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m.}")) (|/\\| (($ $ $) "\\spad{n} \\spad{/\\} \\spad{m} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m.}")) (~ (($ $) "\\spad{~ \\spad{n}} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|not| (($ $) "\\spad{not(n)} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|min| (($) "\\spad{min()} returns the smallest single integer.")) (|max| (($) "\\spad{max()} returns the largest single integer.")) (|noetherian| ((|attribute|) "\\spad{noetherian} all ideals are finitely generated (in fact principal).")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalClosed} means two positives multiply to give positive.")) (|canonical| ((|attribute|) "\\spad{canonical} means that mathematical equality is implied by data structure equality."))) 
-((-4613 . T) (-4617 . T) (-4612 . T) (-4623 . T) (-4624 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noetherian| . T) (|canonicalsClosed| . T) (|canonical| . T) (|canonicalUnitNormal| . T) (|multiplicativeValuation| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1138 S) 
+(|StackAggregate| S) 
 ((|constructor| (NIL "A stack is a bag where the last item inserted is the first item extracted.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(s)} returns the number of elements of stack \\spad{s.} \\indented{1}{Note that \\axiom{depth(s) = \\#s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\spad{top(s)} returns the top element \\spad{x} from \\spad{s;} \\spad{s} remains unchanged. \\indented{1}{Note that Use \\axiom{pop!(s)} to obtain \\spad{x} and remove it from \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|pop!| ((|#1| $) "\\spad{pop!(s)} returns the top element \\spad{x,} destructively removing \\spad{x} from \\spad{s.} \\indented{1}{Note that Use \\axiom{top(s)} to obtain \\spad{x} without removing it from \\spad{s.}} \\indented{1}{Error: if \\spad{s} is empty.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\spad{push!(x,s)} pushes \\spad{x} onto stack \\spad{s,} that is, destructively changing \\spad{s} \\indented{1}{so as to have a new first (top) element \\spad{x.}} \\indented{1}{Afterwards, pop!(s) produces \\spad{x} and pop!(s) produces the original \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push! a \\spad{X} a"))) 
-((-4625 . T) (-4626 . T) (-2623 . T)) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-1139 S |ndim| R |Row| |Col|) 
+(|SquareMatrixCategory&| S |ndim| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m,} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#3| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#3| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}")) (* ((|#4| |#4| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} Error: if the dimensions are incompatible.") ((|#5| $ |#5|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#3| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m.}")) (|trace| ((|#3| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m.} this is the sum of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonal| ((|#4| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonalMatrix| (($ (|List| |#3|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#3|) "\\spad{scalarMatrix(r)} returns an n-by-n matrix with \\spad{r's} on the diagonal and zeroes elsewhere."))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-388))) (|HasAttribute| |#3| (QUOTE (-4627 "*"))) (|HasCategory| |#3| (QUOTE (-194)))) 
-(-1140 |ndim| R |Row| |Col|) 
+((|HasCategory| |#3| (QUOTE (|Field|))) (|HasAttribute| |#3| (QUOTE (|commutative| "*"))) (|HasCategory| |#3| (QUOTE (|CommutativeRing|)))) 
+(|SquareMatrixCategory| |ndim| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m,} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}")) (* ((|#3| |#3| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} Error: if the dimensions are incompatible.") ((|#4| $ |#4|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#2| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m.}")) (|trace| ((|#2| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m.} this is the sum of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonal| ((|#3| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonalMatrix| (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#2|) "\\spad{scalarMatrix(r)} returns an n-by-n matrix with \\spad{r's} on the diagonal and zeroes elsewhere."))) 
-((-2623 . T) (-4625 . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|nil| . T) (|finiteAggregate| . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1141 R |Row| |Col| M) 
+(|SmithNormalForm| R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{SmithNormalForm} is a package which provides some standard canonical forms for matrices.")) (|diophantineSystem| (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{diophantineSystem(A,B)} returns a particular integer solution and an integer basis of the equation \\spad{AX = \\spad{B}.}")) (|completeSmith| (((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) "\\spad{completeSmith} returns a record that contains the Smith normal form \\spad{H} of the matrix and the left and right equivalence matrices \\spad{U} and \\spad{V} such that U*m*v = \\spad{H}")) (|smith| ((|#4| |#4|) "\\spad{smith(m)} returns the Smith Normal form of the matrix \\spad{m.}")) (|completeHermite| (((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) "\\spad{completeHermite} returns a record that contains the Hermite normal form \\spad{H} of the matrix and the equivalence matrix \\spad{U} such that U*m = \\spad{H}")) (|hermite| ((|#4| |#4|) "\\spad{hermite(m)} returns the Hermite normal form of the matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-1142 R |VarSet|) 
+(|SparseMultivariatePolynomial| R |VarSet|) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials. It is parameterized by the coefficient ring and the variable set which may be infinite. The variable ordering is determined by the variable set parameter. The coefficient ring may be non-commutative, but the variables are assumed to commute."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-1143 |Coef| |Var| SMP) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|SparseMultivariateTaylorSeries| |Coef| |Var| SMP) 
 ((|constructor| (NIL "This domain provides multivariate Taylor series with variables from an arbitrary ordered set. A Taylor series is represented by a stream of polynomials from the polynomial domain SMP. The \\spad{n}th element of the stream is a form of degree \\spad{n.} SMTS is an internal domain.")) (|fintegrate| (($ (|Mapping| $) |#2| |#1|) "\\spad{fintegrate(f,v,c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ |#2| |#1|) "\\spad{integrate(s,v,c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|csubst| (((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|))) "\\spad{csubst(a,b)} is for internal use only")) (* (($ |#3| $) "\\spad{smp*ts} multiplies a TaylorSeries by a monomial SMP.")) (|coerce| (($ |#3|) "\\spad{coerce(poly)} regroups the terms by total degree and forms a series.") (($ |#2|) "\\spad{coerce(var)} converts a variable to a Taylor series")) (|coefficient| ((|#3| $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{coefficient(s, \\spad{n)}} gives the terms of total degree \\spad{n.}} \\blankline \\spad{X} xts:=x::TaylorSeries Fraction Integer \\spad{X} t1:=sin(xts) \\spad{X} coefficient(t1,3)"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-582))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-1144 R E V P) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|SquareFreeNormalizedTriangularSetCategory| R E V P) 
 ((|constructor| (NIL "The category of square-free and normalized triangular sets. Thus, up to the primitivity axiom of [1], these sets are Lazard triangular sets."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1145 UP -3958) 
+(|PolynomialSolveByFormulas| UP F) 
 ((|constructor| (NIL "This package factors the formulas out of the general solve code, allowing their recursive use over different domains. Care is taken to introduce few radicals so that radical extension domains can more easily simplify the results.")) (|aQuartic| ((|#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{aQuartic(f,g,h,i,k)} \\undocumented")) (|aCubic| ((|#2| |#2| |#2| |#2| |#2|) "\\spad{aCubic(f,g,h,j)} \\undocumented")) (|aQuadratic| ((|#2| |#2| |#2| |#2|) "\\spad{aQuadratic(f,g,h)} \\undocumented")) (|aLinear| ((|#2| |#2| |#2|) "\\spad{aLinear(f,g)} \\undocumented")) (|quartic| (((|List| |#2|) |#2| |#2| |#2| |#2| |#2|) "\\spad{quartic(f,g,h,i,j)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quartic(u)} \\undocumented")) (|cubic| (((|List| |#2|) |#2| |#2| |#2| |#2|) "\\spad{cubic(f,g,h,i)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{cubic(u)} \\undocumented")) (|quadratic| (((|List| |#2|) |#2| |#2| |#2|) "\\spad{quadratic(f,g,h)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quadratic(u)} \\undocumented")) (|linear| (((|List| |#2|) |#2| |#2|) "\\spad{linear(f,g)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{linear(u)} \\undocumented")) (|mapSolve| (((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|)) "\\spad{mapSolve(u,f)} \\undocumented")) (|particularSolution| ((|#2| |#1|) "\\spad{particularSolution(u)} \\undocumented")) (|solve| (((|List| |#2|) |#1|) "\\spad{solve(u)} \\undocumented"))) 
 NIL 
 NIL 
-(-1146 R) 
+(|RadicalSolvePackage| R) 
 ((|constructor| (NIL "This package tries to find solutions expressed in terms of radicals for systems of equations of rational functions with coefficients in an integral domain \\spad{R.}")) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{contractSolve(rf,x)} finds the solutions expressed in terms of radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,} where \\spad{rf} is a rational function. The result contains new symbols for common subexpressions in order to reduce the size of the output. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b,x)") (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{contractSolve(eq,x)} finds the solutions expressed in terms of radicals of the equation of rational functions \\spad{eq} with respect to the symbol \\spad{x.} The result contains new symbols for common subexpressions in order to reduce the size of the output. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b=0,x)")) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{radicalRoots(lrf,lvar)} finds the roots expressed in terms of radicals of the list of rational functions \\spad{lrf} with respect to the list of symbols lvar. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalRoots([b,c],[x,y])") (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{radicalRoots(rf,x)} finds the roots expressed in terms of radicals of the rational function \\spad{rf} with respect to the symbol \\spad{x.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(b,x)")) (|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{radicalSolve(leq)} finds the solutions expressed in terms of radicals of the system of equations of rational functions \\spad{leq} with respect to the unique symbol \\spad{x} appearing in leq. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{radicalSolve(leq,lvar)} finds the solutions expressed in terms of radicals of the system of equations of rational functions \\spad{leq} with respect to the list of symbols lvar. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0],[x,y])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{radicalSolve(lrf)} finds the solutions expressed in terms of radicals of the system of equations \\spad{lrf} = 0, where \\spad{lrf} is a system of univariate rational functions. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{radicalSolve(lrf,lvar)} finds the solutions expressed in terms of radicals of the system of equations \\spad{lrf} = 0 with respect to the list of symbols lvar, \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c],[x,y])") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{radicalSolve(eq)} finds the solutions expressed in terms of radicals of the equation of rational functions \\spad{eq} with respect to the unique symbol \\spad{x} appearing in eq. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0)") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{radicalSolve(eq,x)} finds the solutions expressed in terms of radicals of the equation of rational functions \\spad{eq} with respect to the symbol \\spad{x.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0,x)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{radicalSolve(rf)} finds the solutions expressed in terms of radicals of the equation \\spad{rf} = 0, where \\spad{rf} is a univariate rational function. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{radicalSolve(rf,x)} finds the solutions expressed in terms of radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,} where \\spad{rf} is a rational function. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b,x)"))) 
 NIL 
 NIL 
-(-1147 R) 
+(|TransSolvePackageService| R) 
 ((|constructor| (NIL "This package finds the function \\spad{func3} where \\spad{func1} and \\spad{func2} are given and \\spad{func1} = func3(func2) . If there is no solution then function \\spad{func1} will be returned. An example would be \\spad{func1:= 8*X**3+32*X**2-14*X ::EXPR INT} and \\spad{func2:=2*X ::EXPR INT} convert them via univariate to FRAC SUP EXPR INT and then the solution is \\spad{func3:=X**3+X**2-X} of type FRAC SUP EXPR INT")) (|unvectorise| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)) "\\spad{unvectorise(vect, var, \\spad{n)}} returns \\spad{vect(1) + vect(2)*var + \\spad{...} + vect(n+1)*var**(n)} where \\spad{vect} is the vector of the coefficients of the polynomail ,{} \\spad{var} the new variable and \\spad{n} the degree.")) (|decomposeFunc| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|)))) "\\spad{decomposeFunc(func1, func2, newvar)} returns a function \\spad{func3} where \\spad{func1} = func3(func2) and expresses it in the new variable newvar. If there is no solution then \\spad{func1} will be returned."))) 
 NIL 
 NIL 
-(-1148 R) 
+(|TransSolvePackage| R) 
 ((|constructor| (NIL "This package tries to find solutions of equations of type Expression(R). This means expressions involving transcendental, exponential, logarithmic and nthRoot functions. After trying to transform different kernels to one kernel by applying several rules, it calls zerosOf for the SparseUnivariatePolynomial in the remaining kernel. For example the expression \\spad{sin(x)*cos(x)-2} will be transformed to \\spad{-2 \\spad{tan(x/2)**4} \\spad{-2} \\spad{tan(x/2)**3} \\spad{-4} \\spad{tan(x/2)**2} \\spad{+2} tan(x/2) \\spad{-2}} by using the function normalize and then to \\spad{-2 \\spad{tan(x)**2} + tan(x) \\spad{-2}} with help of subsTan. This function tries to express the given function in terms of \\spad{tan(x/2)} to express in terms of \\spad{tan(x)} . Other examples are the expressions \\spad{sqrt(x+1)+sqrt(x+7)+1} or \\spad{sqrt(sin(x))+1} .")) (|solve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))) "\\spad{solve(leqs, lvar)} returns a list of solutions to the list of equations \\spad{leqs} with respect to the list of symbols lvar.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|)) "\\indented{1}{solve(expr,x) finds the solutions of the equation expr = 0} \\indented{1}{with respect to the symbol \\spad{x} where expr is a function} \\indented{1}{of type Expression(R).} \\blankline \\spad{X} solve(1/2*v*v*cos(theta+phi)*cos(theta+phi)+g*l*cos(phi)=g*l,phi) \\spad{X} definingPolynomial \\spad{%phi0} \\spad{X} definingPolynomial \\spad{%phi1}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|)) "\\spad{solve(eq,x)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(R) with respect to the symbol \\spad{x.}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(R) with respect to the unique symbol \\spad{x} appearing in eq.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|)) "\\spad{solve(expr)} finds the solutions of the equation \\spad{expr} = 0 where \\spad{expr} is a function of type Expression(R) with respect to the unique symbol \\spad{x} appearing in eq."))) 
 NIL 
 NIL 
-(-1149 S A) 
+(|SortPackage| S A) 
 ((|constructor| (NIL "This package exports sorting algorithnms")) (|insertionSort!| ((|#2| |#2|) "\\spad{insertionSort! }\\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{insertionSort!(a,f)} \\undocumented")) (|bubbleSort!| ((|#2| |#2|) "\\spad{bubbleSort!(a)} \\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{bubbleSort!(a,f)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-869)))) 
-(-1150 R) 
+((|HasCategory| |#1| (QUOTE (|OrderedSet|)))) 
+(|ThreeSpace| R) 
 ((|constructor| (NIL "The domain ThreeSpace is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them."))) 
 NIL 
 NIL 
-(-1151 R) 
+(|ThreeSpaceCategory| R) 
 ((|constructor| (NIL "The category ThreeSpaceCategory is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(s)} returns the \\spadtype{ThreeSpace} \\spad{s} to Output format.")) (|subspace| (((|SubSpace| 3 |#1|) $) "\\spad{subspace(s)} returns the \\spadtype{SubSpace} which holds all the point information in the \\spadtype{ThreeSpace}, \\spad{s.}")) (|check| (($ $) "\\spad{check(s)} returns lllpt, list of lists of lists of point information about the \\spadtype{ThreeSpace} \\spad{s.}")) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) "\\spad{objects(s)} returns the \\spadtype{ThreeSpace}, \\spad{s,} in the form of a 3D object record containing information on the number of points, curves, polygons and constructs comprising the \\spadtype{ThreeSpace}..")) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) "\\spad{lprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of subspace component properties, and if so, returns the list; An error is signaled otherwise.")) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) "\\spad{llprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of curves which are lists of the subspace component properties of the curves, and if so, returns the list of lists; An error is signaled otherwise.")) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) "\\spad{lllp(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) "\\spad{lllip(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of indices to points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lp| (((|List| (|Point| |#1|)) $) "\\spad{lp(s)} returns the list of points component which the \\spadtype{ThreeSpace}, \\spad{s,} contains; these points are used by reference, that is, the component holds indices referring to the points rather than the points themselves. This allows for sharing of the points.")) (|mesh?| (((|Boolean|) $) "\\spad{mesh?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} is composed of one component, a mesh comprising a list of curves which are lists of points, or returns \\spad{false} if otherwise")) (|mesh| (((|List| (|List| (|Point| |#1|))) $) "\\spad{mesh(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single surface component defined by a list curves which contain lists of points, and if so, returns the list of lists of points; An error is signaled otherwise.") (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh([[p0],[p1],...,[pn]], close1, close2)} creates a surface defined over a list of curves, \\spad{p0} through \\spad{pn,} which are lists of points; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: \\spad{close1} set to \\spad{true} means that each individual list (a curve) is to be closed (that is, the last point of the list is to be connected to the first point); \\spad{close2} set to \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)); the \\spadtype{ThreeSpace} containing this surface is returned.") (($ (|List| (|List| (|Point| |#1|)))) "\\spad{mesh([[p0],[p1],...,[pn]])} creates a surface defined by a list of curves which are lists, \\spad{p0} through \\spad{pn,} of points, and returns a \\spadtype{ThreeSpace} whose component is the surface.") (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s, LLLR, close1, close2)} where \\spad{LLLR} is of the form [[[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]]], adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: if \\spad{close1} is \\spad{true} this means that each individual list (a curve) is to be closed (that is, the last point of the list is to be connected to the first point); if \\spad{close2} is true, this means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)).") (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s, LLP, close1, close2)} where \\spad{LLP} is of the form [[p0],[p1],...,[pn]] adds a surface component to the \\spadtype{ThreeSpace}, which is defined over a list of curves, in which each of these curves is a list of points. The boolean arguments \\spad{close1} and \\spad{close2} indicate how the surface is to be closed. Argument \\spad{close1} equal \\spad{true} means that each individual list (a curve) is to be closed, that is, the last point of the list is to be connected to the first point. Argument \\spad{close2} equal \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end, that is, the boundaries are defined as the first list of points (curve) and the last list of points (curve).") (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s, LLLR, [props], prop)} where \\spad{LLLR} is of the form: [[[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]]], adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; lprops is the list of the subspace component properties for each curve list, and prop is the subspace component property by which the points are defined.") (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s,[[p0],[p1],...,[pn]],[props],prop)} adds a surface component, defined over a list curves which contains lists of points, to the \\spadtype{ThreeSpace} \\spad{s;} props is a list which contains the subspace component properties for each surface parameter, and \\spad{prop} is the subspace component property by which the points are defined.")) (|polygon?| (((|Boolean|) $) "\\spad{polygon?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single polygon component, or \\spad{false} otherwise.")) (|polygon| (((|List| (|Point| |#1|)) $) "\\spad{polygon(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single polygon component defined by a list of points, and if so, returns the list of points; An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{polygon([p0,p1,...,pn])} creates a polygon defined by a list of points, \\spad{p0} through \\spad{pn,} and returns a \\spadtype{ThreeSpace} whose component is the polygon.") (($ $ (|List| (|List| |#1|))) "\\spad{polygon(s,[[r0],[r1],...,[rn]])} adds a polygon component defined by a list of points \\spad{r0} through \\spad{rn}, which are lists of elements from the domain \\spad{PointDomain(m,R)} to the \\spadtype{ThreeSpace} \\spad{s,} where \\spad{m} is the dimension of the points and \\spad{R} is the \\spadtype{Ring} over which the points are defined.") (($ $ (|List| (|Point| |#1|))) "\\spad{polygon(s,[p0,p1,...,pn])} adds a polygon component defined by a list of points, \\spad{p0} throught \\spad{pn,} to the \\spadtype{ThreeSpace} \\spad{s.}")) (|closedCurve?| (((|Boolean|) $) "\\spad{closedCurve?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single closed curve component, that is, the first element of the curve is also the last element, or \\spad{false} otherwise.")) (|closedCurve| (((|List| (|Point| |#1|)) $) "\\spad{closedCurve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single closed curve component defined by a list of points in which the first point is also the last point, all of which are from the domain \\spad{PointDomain(m,R)} and if so, returns the list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{closedCurve(lp)} sets a list of points defined by the first element of \\spad{lp} through the last element of \\spad{lp} and back to the first elelment again and returns a \\spadtype{ThreeSpace} whose component is the closed curve defined by \\spad{lp.}") (($ $ (|List| (|List| |#1|))) "\\spad{closedCurve(s,[[lr0],[lr1],...,[lrn],[lr0]])} adds a closed curve component defined by a list of points \\spad{lr0} through \\spad{lrn}, which are lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, in which the last element of the list of points contains a copy of the first element list, lr0. The closed curve is added to the \\spadtype{ThreeSpace}, \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{closedCurve(s,[p0,p1,...,pn,p0])} adds a closed curve component which is a list of points defined by the first element \\spad{p0} through the last element \\spad{pn} and back to the first element \\spad{p0} again, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|curve?| (((|Boolean|) $) "\\spad{curve?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is a curve, that is, has one component, a list of list of points, and returns \\spad{true} if it is, or \\spad{false} otherwise.")) (|curve| (((|List| (|Point| |#1|)) $) "\\spad{curve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single curve defined by a list of points and if so, returns the curve, that is, list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{curve([p0,p1,p2,...,pn])} creates a space curve defined by the list of points \\spad{p0} through \\spad{pn}, and returns the \\spadtype{ThreeSpace} whose component is the curve.") (($ $ (|List| (|List| |#1|))) "\\spad{curve(s,[[p0],[p1],...,[pn]])} adds a space curve which is a list of points \\spad{p0} through \\spad{pn} defined by lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, to the \\spadtype{ThreeSpace} \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{curve(s,[p0,p1,...,pn])} adds a space curve component defined by a list of points \\spad{p0} through \\spad{pn}, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|point?| (((|Boolean|) $) "\\spad{point?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single component which is a point and returns the boolean result.")) (|point| (((|Point| |#1|) $) "\\spad{point(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of only a single point and if so, returns the point. An error is signaled otherwise.") (($ (|Point| |#1|)) "\\spad{point(p)} returns a \\spadtype{ThreeSpace} object which is composed of one component, the point \\spad{p.}") (($ $ (|NonNegativeInteger|)) "\\spad{point(s,i)} adds a point component which is placed into a component list of the \\spadtype{ThreeSpace}, \\spad{s,} at the index given by i.") (($ $ (|List| |#1|)) "\\spad{point(s,[x,y,z])} adds a point component defined by a list of elements which are from the \\spad{PointDomain(R)} to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined.") (($ $ (|Point| |#1|)) "\\spad{point(s,p)} adds a point component defined by the point, \\spad{p,} specified as a list from \\spad{List(R)}, to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point is defined.")) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) "\\spad{modifyPointData(s,i,p)} changes the point at the indexed location \\spad{i} in the \\spadtype{ThreeSpace}, \\spad{s,} to that of point \\spad{p.} This is useful for making changes to a point which has been transformed.")) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) "\\spad{enterPointData(s,[p0,p1,...,pn])} adds a list of points from \\spad{p0} through \\spad{pn} to the \\spadtype{ThreeSpace}, \\spad{s,} and returns the index, to the starting point of the list.")) (|copy| (($ $) "\\spad{copy(s)} returns a new \\spadtype{ThreeSpace} that is an exact copy of \\spad{s.}")) (|composites| (((|List| $) $) "\\spad{composites(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single composite of \\spad{s.} If \\spad{s} has no composites defined (composites need to be explicitly created), the list returned is empty. Note that not all the components need to be part of a composite.")) (|components| (((|List| $) $) "\\spad{components(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single component of \\spad{s.} If \\spad{s} has no components defined, the list returned is empty.")) (|composite| (($ (|List| $)) "\\spad{composite([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that is a union of all the components from each \\spadtype{ThreeSpace} in the parameter list, grouped as a composite.")) (|merge| (($ $ $) "\\spad{merge(s1,s2)} will create a new \\spadtype{ThreeSpace} that has the components of \\spad{s1} and \\spad{s2}; Groupings of components into composites are maintained.") (($ (|List| $)) "\\spad{merge([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that has the components of all the ones in the list; Groupings of components into composites are maintained.")) (|numberOfComposites| (((|NonNegativeInteger|) $) "\\spad{numberOfComposites(s)} returns the number of supercomponents, or composites, in the \\spadtype{ThreeSpace}, \\spad{s;} Composites are arbitrary groupings of otherwise distinct and unrelated components; A \\spadtype{ThreeSpace} need not have any composites defined at all and, outside of the requirement that no component can belong to more than one composite at a time, the definition and interpretation of composites are unrestricted.")) (|numberOfComponents| (((|NonNegativeInteger|) $) "\\spad{numberOfComponents(s)} returns the number of distinct object components in the indicated \\spadtype{ThreeSpace}, \\spad{s,} such as points, curves, polygons, and constructs.")) (|create3Space| (($ (|SubSpace| 3 |#1|)) "\\spad{create3Space(s)} creates a \\spadtype{ThreeSpace} object containing objects pre-defined within some \\spadtype{SubSpace} \\spad{s.}") (($) "\\spad{create3Space()} creates a \\spadtype{ThreeSpace} object capable of holding point, curve, mesh components and any combination."))) 
 NIL 
 NIL 
-(-1152) 
+(|SpecialOutputPackage|) 
 ((|constructor| (NIL "SpecialOutputPackage allows FORTRAN, Tex and Script Formula Formatter output from programs.")) (|outputAsTex| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsTex(l)} sends (for each expression in the list \\spad{l)} output in Tex format to the destination as defined by \\spadsyscom{set output tex}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsTex(o)} sends output \\spad{o} in Tex format to the destination defined by \\spadsyscom{set output tex}.")) (|outputAsScript| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsScript(l)} sends (for each expression in the list \\spad{l)} output in Script Formula Formatter format to the destination defined. by \\spadsyscom{set output forumula}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsScript(o)} sends output \\spad{o} in Script Formula Formatter format to the destination defined by \\spadsyscom{set output formula}.")) (|outputAsFortran| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsFortran(l)} sends (for each expression in the list \\spad{l)} output in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsFortran(o)} sends output \\spad{o} in FORTRAN format.") (((|Void|) (|String|) (|OutputForm|)) "\\spad{outputAsFortran(v,o)} sends output \\spad{v} = \\spad{o} in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}."))) 
 NIL 
 NIL 
-(-1153) 
+(|SpecialFunctionCategory|) 
 ((|constructor| (NIL "Category for the other special functions.")) (|airyBi| (($ $) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}.")) (|airyAi| (($ $) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}.")) (|besselK| (($ $ $) "\\spad{besselK(v,z)} is the modified Bessel function of the second kind.")) (|besselI| (($ $ $) "\\spad{besselI(v,z)} is the modified Bessel function of the first kind.")) (|besselY| (($ $ $) "\\spad{besselY(v,z)} is the Bessel function of the second kind.")) (|besselJ| (($ $ $) "\\spad{besselJ(v,z)} is the Bessel function of the first kind.")) (|polygamma| (($ $ $) "\\spad{polygamma(k,x)} is the \\spad{k-th} derivative of \\spad{digamma(x)}, (often written \\spad{psi(k,x)} in the literature).")) (|digamma| (($ $) "\\spad{digamma(x)} is the logarithmic derivative of \\spad{Gamma(x)} (often written \\spad{psi(x)} in the literature).")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $ $) "\\spad{Gamma(a,x)} is the incomplete Gamma function.") (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1154 V C) 
+(|SplittingNode| V C) 
 ((|constructor| (NIL "This domain exports a modest implementation for the vertices of splitting trees. These vertices are called here splitting nodes. Every of these nodes store 3 informations. The first one is its value, that is the current expression to evaluate. The second one is its condition, that is the hypothesis under which the value has to be evaluated. The last one is its status, that is a boolean flag which is \\spad{true} iff the value is the result of its evaluation under its condition. Two splitting vertices are equal iff they have the sane values and the same conditions (so their status do not matter).")) (|subNode?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNode?(n1,n2,o2)} returns \\spad{true} iff \\axiom{value(n1) = value(n2)} and \\axiom{o2(condition(n1),condition(n2))}")) (|infLex?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{infLex?(n1,n2,o1,o2)} returns \\spad{true} iff \\axiom{o1(value(n1),value(n2))} or \\axiom{value(n1) = value(n2)} and \\axiom{o2(condition(n1),condition(n2))}.")) (|setEmpty!| (($ $) "\\axiom{setEmpty!(n)} replaces \\spad{n} by \\axiom{empty()$\\%}.")) (|setStatus!| (($ $ (|Boolean|)) "\\axiom{setStatus!(n,b)} returns \\spad{n} whose status has been replaced by \\spad{b} if it is not empty, else an error is produced.")) (|setCondition!| (($ $ |#2|) "\\axiom{setCondition!(n,t)} returns \\spad{n} whose condition has been replaced by \\spad{t} if it is not empty, else an error is produced.")) (|setValue!| (($ $ |#1|) "\\axiom{setValue!(n,v)} returns \\spad{n} whose value has been replaced by \\spad{v} if it is not empty, else an error is produced.")) (|copy| (($ $) "\\axiom{copy(n)} returns a copy of \\spad{n.}")) (|construct| (((|List| $) |#1| (|List| |#2|)) "\\axiom{construct(v,lt)} returns the same as \\axiom{[construct(v,t) for \\spad{t} in lt]}") (((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) "\\axiom{construct(lvt)} returns the same as \\axiom{[construct(vt.val,vt.tower) for \\spad{vt} in lvt]}") (($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) "\\axiom{construct(vt)} returns the same as \\axiom{construct(vt.val,vt.tower)}") (($ |#1| |#2|) "\\axiom{construct(v,t)} returns the same as \\axiom{construct(v,t,false)}") (($ |#1| |#2| (|Boolean|)) "\\axiom{construct(v,t,b)} returns the non-empty node with value \\spad{v,} condition \\spad{t} and flag \\spad{b}")) (|status| (((|Boolean|) $) "\\axiom{status(n)} returns the status of the node \\spad{n.}")) (|condition| ((|#2| $) "\\axiom{condition(n)} returns the condition of the node \\spad{n.}")) (|value| ((|#1| $) "\\axiom{value(n)} returns the value of the node \\spad{n.}")) (|empty?| (((|Boolean|) $) "\\axiom{empty?(n)} returns \\spad{true} iff the node \\spad{n} is \\axiom{empty()$\\%}.")) (|empty| (($) "\\axiom{empty()} returns the same as \\axiom{[empty()$V,empty()$C,false]$\\%}"))) 
 NIL 
 NIL 
-(-1155 V C) 
+(|SplittingTree| V C) 
 ((|constructor| (NIL "This domain exports a modest implementation of splitting trees. Spliiting trees are needed when the evaluation of some quantity under some hypothesis requires to split the hypothesis into sub-cases. For instance by adding some new hypothesis on one hand and its negation on another hand. The computations are terminated is a splitting tree \\axiom{a} when \\axiom{status(value(a))} is \\axiom{true}. Thus, if for the splitting tree \\axiom{a} the flag \\axiom{status(value(a))} is \\axiom{true}, then \\axiom{status(value(d))} is \\axiom{true} for any subtree \\axiom{d} of \\axiom{a}. This property of splitting trees is called the termination condition. If no vertex in a splitting tree \\axiom{a} is equal to another, \\axiom{a} is said to satisfy the no-duplicates condition. The splitting tree \\axiom{a} will satisfy this condition if nodes are added to \\axiom{a} by mean of \\axiom{splitNodeOf!} and if \\axiom{construct} is only used to create the root of \\axiom{a} with no children.")) (|splitNodeOf!| (($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{splitNodeOf!(l,a,ls,sub?)} returns \\axiom{a} where the children list of \\axiom{l} has been set to \\axiom{[[s]$% for \\spad{s} in \\spad{ls} | not subNodeOf?(s,a,sub?)]}. Thus, if \\axiom{l} is not a node of \\axiom{a}, this latter splitting tree is unchanged.") (($ $ $ (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{splitNodeOf!(l,a,ls)} returns \\axiom{a} where the children list of \\axiom{l} has been set to \\axiom{[[s]$% for \\spad{s} in \\spad{ls} | not nodeOf?(s,a)]}. Thus, if \\axiom{l} is not a node of \\axiom{a}, this latter splitting tree is unchanged.")) (|remove!| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove!(s,a)} replaces a by remove(s,a)")) (|remove| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove(s,a)} returns the splitting tree obtained from a by removing every sub-tree \\axiom{b} such that \\axiom{value(b)} and \\axiom{s} have the same value, condition and status.")) (|subNodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNodeOf?(s,a,sub?)} returns \\spad{true} iff for some node \\axiom{n} in \\axiom{a} we have \\axiom{s = \\spad{n}} or \\axiom{status(n)} and \\axiom{subNode?(s,n,sub?)}.")) (|nodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) "\\axiom{nodeOf?(s,a)} returns \\spad{true} iff some node of \\axiom{a} is equal to \\axiom{s}")) (|result| (((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $) "\\axiom{result(a)} where \\axiom{ls} is the leaves list of \\axiom{a} returns \\axiom{[[value(s),condition(s)]$VT for \\spad{s} in ls]} if the computations are terminated in \\axiom{a} else an error is produced.")) (|conditions| (((|List| |#2|) $) "\\axiom{conditions(a)} returns the list of the conditions of the leaves of a")) (|construct| (($ |#1| |#2| |#1| (|List| |#2|)) "\\axiom{construct(v1,t,v2,lt)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with children list given by \\axiom{[[[v,t]$S]$% for \\spad{s} in ls]}.") (($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{construct(v,t,ls)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with children list given by \\axiom{[[s]$% for \\spad{s} in ls]}.") (($ |#1| |#2| (|List| $)) "\\axiom{construct(v,t,la)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with \\axiom{la} as children list.") (($ (|SplittingNode| |#1| |#2|)) "\\axiom{construct(s)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{s} and no children. Thus, if the status of \\axiom{s} is false, \\axiom{[s]} represents the starting point of the evaluation \\axiom{value(s)} under the hypothesis \\axiom{condition(s)}.")) (|updateStatus!| (($ $) "\\axiom{updateStatus!(a)} returns a where the status of the vertices are updated to satisfy the \"termination condition\".")) (|extractSplittingLeaf| (((|Union| $ "failed") $) "\\axiom{extractSplittingLeaf(a)} returns the left most leaf (as a tree) whose status is \\spad{false} if any, else \"failed\" is returned."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-1154 |#1| |#2|) (QUOTE (-1119))) (-12 (|HasCategory| (-1154 |#1| |#2|) (LIST (QUOTE -325) (LIST (QUOTE -1154) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1154 |#1| |#2|) (QUOTE (-1119))))) 
-(-1156 |ndim| R) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|SplittingNode| |#1| |#2|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|SplittingNode| |#1| |#2|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |SplittingNode|) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (|SplittingNode| |#1| |#2|) (QUOTE (|SetCategory|))))) 
+(|SquareMatrix| |ndim| R) 
 ((|constructor| (NIL "\\spadtype{SquareMatrix} is a matrix domain of square matrices, where the number of rows \\spad{(=} number of columns) is a parameter of the type.")) (|unitsKnown| ((|attribute|) "the invertible matrices are simply the matrices whose determinants are units in the Ring \\spad{R.}")) (|central| ((|attribute|) "the elements of the Ring \\spad{R,} viewed as diagonal matrices, commute with all matrices and, indeed, are the only matrices which commute with all matrices.")) (|coerce| (((|Matrix| |#2|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{SquareMatrix} to a matrix of type \\spadtype{Matrix}.")) (|squareMatrix| (($ (|Matrix| |#2|)) "\\spad{squareMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spadtype{SquareMatrix}.")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}"))) 
-((-4622 . T) (-4614 |has| |#2| (-6 (-4627 "*"))) (-4625 . T) (-4619 . T) (-4620 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247))) (|HasAttribute| |#2| (QUOTE (-4627 "*"))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (QUOTE (-323))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-388))) (-3836 (|HasAttribute| |#2| (QUOTE (-4627 "*"))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-247)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119))))) (|HasCategory| |#2| (QUOTE (-194)))) 
-(-1157 S) 
+((|unitsKnown| . T) (|central| |has| |#2| (ATTRIBUTE (|commutative| "*"))) (|finiteAggregate| . T) (|rightUnitary| . T) (|leftUnitary| . T)) 
+((|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#2| (QUOTE (|commutative| "*"))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasAttribute| |#2| (QUOTE (|commutative| "*"))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|)))) 
+(|StringAggregate&| S) 
 ((|constructor| (NIL "A string aggregate is a category for strings, that is, one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,t)} returns the concatenation of \\spad{s} and \\spad{t.} It is provided to allow juxtaposition of strings to work as concatenation. For example, \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example, \\axiom{rightTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example, \\axiom{rightTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example, \\axiom{leftTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example, \\axiom{leftTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc \\spad{\"}.}")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example, \\axiom{trim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example, \\axiom{trim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,cc)} returns a list of substrings delimited by characters in \\spad{cc.}") (((|List| $) $ (|Character|)) "\\spad{split(s,c)} returns a list of substrings delimited by character \\spad{c.}")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c.}")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,t,i)} returns the position \\axiom{j \\spad{>=} i} in \\spad{t} of the first character belonging to \\spad{cc.}") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,t,i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t,} where \\axiom{j \\spad{>=} i} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,i..j,t)} replaces the substring \\axiom{s(i..j)} of \\spad{s} by string \\spad{t.}")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,t,c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c.} Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,s,wc)} tests if pattern \\axiom{p} matches subject \\axiom{s} where \\axiom{wc} is a wild card character. If no match occurs, the index \\axiom{0} is returned; otheriwse, the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example, \\axiom{match(\"*to*\",\"yorktown\",\"*\")} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,t,i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index i. Note that \\axiom{substring?(s,t,0) = prefix?(s,t)}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,t)} tests if the string \\spad{s} is the final substring of \\spad{t.} Note that \\axiom{suffix?(s,t) \\spad{==} \\indented{1}{reduce(and,[s.i = t.(n - \\spad{m} + i) for \\spad{i} in 0..maxIndex s])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,t)} tests if the string \\spad{s} is the initial substring of \\spad{t.} Note that \\axiom{prefix?(s,t) \\spad{==} \\indented{2}{reduce(and,[s.i = t.i for \\spad{i} in 0..maxIndex s])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
 NIL 
 NIL 
-(-1158) 
+(|StringAggregate|) 
 ((|constructor| (NIL "A string aggregate is a category for strings, that is, one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,t)} returns the concatenation of \\spad{s} and \\spad{t.} It is provided to allow juxtaposition of strings to work as concatenation. For example, \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example, \\axiom{rightTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example, \\axiom{rightTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example, \\axiom{leftTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example, \\axiom{leftTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc \\spad{\"}.}")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example, \\axiom{trim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example, \\axiom{trim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,cc)} returns a list of substrings delimited by characters in \\spad{cc.}") (((|List| $) $ (|Character|)) "\\spad{split(s,c)} returns a list of substrings delimited by character \\spad{c.}")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c.}")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,t,i)} returns the position \\axiom{j \\spad{>=} i} in \\spad{t} of the first character belonging to \\spad{cc.}") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,t,i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t,} where \\axiom{j \\spad{>=} i} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,i..j,t)} replaces the substring \\axiom{s(i..j)} of \\spad{s} by string \\spad{t.}")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,t,c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c.} Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,s,wc)} tests if pattern \\axiom{p} matches subject \\axiom{s} where \\axiom{wc} is a wild card character. If no match occurs, the index \\axiom{0} is returned; otheriwse, the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example, \\axiom{match(\"*to*\",\"yorktown\",\"*\")} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,t,i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index i. Note that \\axiom{substring?(s,t,0) = prefix?(s,t)}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,t)} tests if the string \\spad{s} is the final substring of \\spad{t.} Note that \\axiom{suffix?(s,t) \\spad{==} \\indented{1}{reduce(and,[s.i = t.(n - \\spad{m} + i) for \\spad{i} in 0..maxIndex s])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,t)} tests if the string \\spad{s} is the initial substring of \\spad{t.} Note that \\axiom{prefix?(s,t) \\spad{==} \\indented{2}{reduce(and,[s.i = t.i for \\spad{i} in 0..maxIndex s])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1159 R E V P TS) 
+(|SquareFreeRegularSetDecompositionPackage| R E V P TS) 
 ((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are provided: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard- Moreno methods). This algorithm is valid for any type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\spad{QCMPPK(R,E,V,P,TS)} and \\spad{RSETGCD(R,E,V,P,TS)}. The same way it does not care about the way univariate polynomial gcds (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these gcds need to have invertible initials (normalized or not). WARNING. There is no need for a user to call directly any operation of this package since they can be accessed by the domain \\axiomType{TS}. Thus, the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1160 R E V P) 
+(|SquareFreeRegularTriangularSet| R E V P) 
 ((|constructor| (NIL "This domain provides an implementation of square-free regular chains. Moreover, the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(lp,b1,b2)} is an internal subroutine, exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(lp,b1,b2,b3)} is an internal subroutine, exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,b1,b2.b3,b4)} is an internal subroutine, exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?,info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory from \\spadtype{RegularTriangularSetCategory} Moreover, if clos? then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(p,ts,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#4| (QUOTE (-1119))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#3| (QUOTE (-394)))) 
-(-1161 S) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#3| (QUOTE (|Finite|)))) 
+(|Stack| S) 
 ((|constructor| (NIL "Linked List implementation of a Stack")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:Stack INT:= stack [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Stack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Stack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Stack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} less?(a,9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push!(9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|stack| (($ (|List| |#1|)) "\\indented{1}{stack([x,y,...,z]) creates a stack with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last element \\spad{z.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5]"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-1162 A S) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|StreamAggregate&| A S) 
 ((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams, a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example, see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes, \\axiom{possiblyInfinite?(s) = not explictlyFinite?(s)}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements, and \\spad{false} otherwise. Note that for many datatypes, \\axiom{explicitlyFinite?(s) = not possiblyInfinite?(s)}."))) 
 NIL 
 NIL 
-(-1163 S) 
+(|StreamAggregate| S) 
 ((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams, a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example, see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes, \\axiom{possiblyInfinite?(s) = not explictlyFinite?(s)}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements, and \\spad{false} otherwise. Note that for many datatypes, \\axiom{explicitlyFinite?(s) = not possiblyInfinite?(s)}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-1164 |Key| |Ent| |dent|) 
+(|SparseTable| |Key| |Ent| |dent|) 
 ((|constructor| (NIL "A sparse table has a default entry, which is returned if no other value has been explicitly stored for a key."))) 
-((-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119))))) 
-(-1165) 
+((|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) 
+(|StepThrough|) 
 ((|constructor| (NIL "A class of objects which can be 'stepped through'. Repeated applications of \\spadfun{nextItem} is guaranteed never to return duplicate items and only return \"failed\" after exhausting all elements of the domain. This assumes that the sequence starts with \\spad{init()}. For infinite domains, repeated application of \\spadfun{nextItem} is not required to reach all possible domain elements starting from any initial element. \\blankline Conditional attributes\\br \\tab{5}infinite\\tab{5}repeated nextItem's are never \"failed\".")) (|nextItem| (((|Union| $ "failed") $) "\\spad{nextItem(x)} returns the next item, or \"failed\" if domain is exhausted.")) (|init| (($) "\\spad{init()} chooses an initial object for stepping."))) 
 NIL 
 NIL 
-(-1166 |Coef|) 
+(|StreamInfiniteProduct| |Coef|) 
 ((|constructor| (NIL "This package computes infinite products of Taylor series over an integral domain of characteristic 0. Here Taylor series are represented by streams of Taylor coefficients.")) (|generalInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-1167 R) 
+(|StreamTensor| R) 
 ((|constructor| (NIL "This package has no description")) (|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) "\\spad{tensorMap([s1, \\spad{s2,} ...], \\spad{f)}} returns the stream consisting of all elements of f(s1) followed by all elements of f(s2) and so on."))) 
 NIL 
 NIL 
-(-1168 S) 
+(|StreamFunctions1| S) 
 ((|constructor| (NIL "Functions defined on streams with entries in one set.")) (|concat| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\indented{1}{concat(u) returns the left-to-right concatentation of the} \\indented{1}{streams in u. Note that \\spad{concat(u) = reduce(concat,u)}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 10..] \\spad{X} n:=[j for \\spad{j} in 1.. | prime? \\spad{j]} \\spad{X} p:=[m,n]::Stream(Stream(PositiveInteger)) \\spad{X} concat(p)"))) 
 NIL 
 NIL 
-(-1169 A B) 
+(|StreamFunctions2| A B) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|reduce| ((|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{reduce(b,f,u), where \\spad{u} is a finite stream \\spad{[x0,x1,...,xn]},} \\indented{1}{returns the value \\spad{r(n)} computed as follows:} \\indented{1}{\\spad{r0 = f(x0,b),} \\indented{1}{r1 = f(x1,r0),...,} \\indented{1}{r(n) = f(xn,r(n-1))}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..300]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer==i+j \\spad{X} reduce(1,f,m)")) (|scan| (((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{scan(b,h,[x0,x1,x2,...]) returns \\spad{[y0,y1,y2,...]}, where} \\indented{1}{\\spad{y0 = h(x0,b)},} \\indented{1}{\\spad{y1 = h(x1,y0)},\\spad{...}} \\indented{1}{\\spad{yn = h(xn,y(n-1))}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer==i+j \\spad{X} scan(1,f,m)")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|)) "\\indented{1}{map(f,s) returns a stream whose elements are the function \\spad{f} applied} \\indented{1}{to the corresponding elements of \\spad{s.}} \\indented{1}{Note that \\spad{map(f,[x0,x1,x2,...]) = [f(x0),f(x1),f(x2),..]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} \\spad{f(i:PositiveInteger):PositiveInteger==i**2} \\spad{X} map(f,m)"))) 
 NIL 
 NIL 
-(-1170 A B C) 
+(|StreamFunctions3| A B C) 
 ((|constructor| (NIL "Functions defined on streams with entries in three sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)) "\\indented{1}{map(f,st1,st2) returns the stream whose elements are the} \\indented{1}{function \\spad{f} applied to the corresponding elements of \\spad{st1} and st2.} \\indented{1}{\\spad{map(f,[x0,x1,x2,..],[y0,y1,y2,..]) = [f(x0,y0),f(x1,y1),..]}.} \\blankline \\spad{S} \\spad{X} m:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} n:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer \\spad{==} i+j \\spad{X} map(f,m,n)"))) 
 NIL 
 NIL 
-(-1171 S) 
+(|Stream| S) 
 ((|constructor| (NIL "A stream is an implementation of an infinite sequence using a list of terms that have been computed and a function closure to compute additional terms when needed.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterUntil(p,s) returns \\spad{[x0,x1,...,x(n)]} where} \\indented{1}{\\spad{s = [x0,x1,x2,..]} and} \\indented{1}{n is the smallest index such that \\spad{p(xn) = true}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterUntil(f,m)")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterWhile(p,s) returns \\spad{[x0,x1,...,x(n-1)]} where} \\indented{1}{\\spad{s = [x0,x1,x2,..]} and} \\indented{1}{n is the smallest index such that \\spad{p(xn) = false}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterWhile(f,m)")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\indented{1}{generate(f,x) creates an infinite stream whose first element is} \\indented{1}{x and whose \\spad{n}th element (\\spad{n > 1}) is \\spad{f} applied to the previous} \\indented{1}{element. Note: \\spad{generate(f,x) = [x,f(x),f(f(x)),...]}.} \\blankline \\spad{X} f(x:Integer):Integer \\spad{==} \\spad{x+10} \\spad{X} generate(f,10)") (($ (|Mapping| |#1|)) "\\indented{1}{generate(f) creates an infinite stream all of whose elements are} \\indented{1}{equal to \\spad{f()}.} \\indented{1}{Note: \\spad{generate(f) = [f(),f(),f(),...]}.} \\blankline \\spad{X} f():Integer \\spad{==} 1 \\spad{X} generate(f)")) (|setrest!| (($ $ (|Integer|) $) "\\indented{1}{setrest!(x,n,y) sets rest(x,n) to \\spad{y.} The function will expand} \\indented{1}{cycles if necessary.} \\blankline \\spad{X} p:=[i for \\spad{i} in 1..] \\spad{X} q:=[i for \\spad{i} in 9..] \\spad{X} setrest!(p,4,q) \\spad{X} \\spad{p}")) (|showAll?| (((|Boolean|)) "\\spad{showAll?()} returns \\spad{true} if all computed entries of streams will be displayed.")) (|showAllElements| (((|OutputForm|) $) "\\indented{1}{showAllElements(s) creates an output form which displays all} \\indented{1}{computed elements.} \\blankline \\spad{X} m:=[1,2,3,4,5,6,7,8,9,10,11,12] \\spad{X} n:=m::Stream(PositiveInteger) \\spad{X} showAllElements \\spad{n}")) (|output| (((|Void|) (|Integer|) $) "\\indented{1}{output(n,st) computes and displays the first \\spad{n} entries} \\indented{1}{of st.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} output(5,n)")) (|cons| (($ |#1| $) "\\indented{1}{cons(a,s) returns a stream whose \\spad{first} is \\spad{a}} \\indented{1}{and whose \\spad{rest} is \\spad{s.}} \\indented{1}{Note: \\spad{cons(a,s) = concat(a,s)}.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} cons(4,n)")) (|delay| (($ (|Mapping| $)) "\\spad{delay(f)} creates a stream with a lazy evaluation defined by function \\spad{f.} Caution: This function can only be called in compiled code.")) (|findCycle| (((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $) "\\indented{1}{findCycle(n,st) determines if st is periodic within \\spad{n.}} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} findCycle(3,n) \\spad{X} findCycle(2,n)")) (|repeating?| (((|Boolean|) (|List| |#1|) $) "\\indented{1}{repeating?(l,s) returns \\spad{true} if a stream \\spad{s} is periodic} \\indented{1}{with period \\spad{l,} and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} repeating?(m,n)")) (|repeating| (($ (|List| |#1|)) "\\indented{1}{repeating(l) is a repeating stream whose period is the list \\spad{l.}} \\blankline \\spad{X} m:=repeating([-1,0,1,2,3])")) (|coerce| (($ (|List| |#1|)) "\\indented{1}{coerce(l) converts a list \\spad{l} to a stream.} \\blankline \\spad{X} m:=[1,2,3,4,5,6,7,8,9,10,11,12] \\spad{X} coerce(m)@Stream(Integer) \\spad{X} m::Stream(Integer)")) (|shallowlyMutable| ((|attribute|) "one may destructively alter a stream by assigning new values to its entries."))) 
-((-4626 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-869)))) 
-(-1172) 
+((|shallowlyMutable| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) 
+(|StringCategory|) 
 ((|constructor| (NIL "A category for string-like objects")) (|string| (($ (|Integer|)) "\\spad{string(i)} returns the decimal representation of \\spad{i} in a string"))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1173) 
+(|String|) 
 ((|constructor| (NIL "This is the domain of character strings. Strings are 1 based."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-168) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-168) (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-168) (QUOTE (-1119))) (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-869)))) (-12 (|HasCategory| (-168) (LIST (QUOTE -325) (QUOTE (-168)))) (|HasCategory| (-168) (QUOTE (-1119)))))) 
-(-1174 |Entry|) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Character|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Character|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Character|) (LIST (QUOTE |Evalable|) (QUOTE (|Character|)))) (|HasCategory| (|Character|) (QUOTE (|SetCategory|)))))) 
+(|StringTable| |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are strings. A specialized hash function for strings is used."))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (QUOTE (-1173))) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (QUOTE (-1119)))) (|HasCategory| (-1173) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119))) (-3836 (|HasCategory| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (QUOTE (-1119))) (|HasCategory| |#1| (QUOTE (-1119)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-1175 A) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (QUOTE (|String|))) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#1|))))) (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (QUOTE (|SetCategory|)))) (|HasCategory| (|String|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (QUOTE (|SetCategory|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|StreamTaylorSeriesOperations| A) 
 ((|constructor| (NIL "StreamTaylorSeriesOperations implements Taylor series arithmetic, where a Taylor series is represented by a stream of its coefficients.")) (|power| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{power(a,f)} returns the power series \\spad{f} raised to the power \\spad{a}.")) (|lazyGintegrate| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyGintegrate(f,r,g)} is used for fixed point computations.")) (|mapdiv| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapdiv([a0,a1,..],[b0,b1,..])} returns \\spad{[a0/b0,a1/b1,..]}.")) (|powern| (((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)) "\\spad{powern(r,f)} raises power series \\spad{f} to the power \\spad{r.}")) (|nlde| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{nlde(u)} solves a first order non-linear differential equation described by \\spad{u} of the form \\spad{[[b<0,0>,b<0,1>,...],[b<1,0>,b<1,1>,.],...]}. the differential equation has the form \\spad{y'=sum(i=0 to \\spad{infinity,j=0} to infinity,b<i,j>*(x**i)*(y**j))}.")) (|lazyIntegrate| (((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyIntegrate(r,f)} is a local function used for fixed point computations.")) (|integrate| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{integrate(r,a)} returns the integral of the power series \\spad{a} with respect to the power series variableintegration where \\spad{r} denotes the constant of integration. Thus \\spad{integrate(a,[a0,a1,a2,...]) = [a,a0,a1/2,a2/3,...]}.")) (|invmultisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{invmultisect(a,b,st)} substitutes \\spad{x**((a+b)*n)} for \\spad{x**n} and multiplies by \\spad{x**b}.")) (|multisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{multisect(a,b,st)} selects the coefficients of \\spad{x**((a+b)*n+a)}, and changes them to \\spad{x**n}.")) (|generalLambert| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x**a) + f(x**(a + \\spad{d))} + f(x**(a + 2 \\spad{d))} + ...}. \\spad{f(x)} should have zero constant coefficient and \\spad{a} and \\spad{d} should be positive.")) (|evenlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenlambert(st)} computes \\spad{f(x**2) + f(x**4) + f(x**6) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1, then \\spad{prod(f(x**(2*n)),n=1..infinity) = exp(evenlambert(log(f(x))))}.")) (|oddlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddlambert(st)} computes \\spad{f(x) + f(x**3) + f(x**5) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If f(x) is a power series with constant coefficient 1 then \\spad{prod(f(x**(2*n-1)),n=1..infinity) = exp(oddlambert(log(f(x))))}.")) (|lambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lambert(st)} computes \\spad{f(x) + f(x**2) + f(x**3) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1 then \\spad{prod(f(x**n),n = 1..infinity) = exp(lambert(log(f(x))))}.")) (|addiag| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{addiag(x)} performs diagonal addition of a stream of streams. if \\spad{x} = \\spad{[[a<0,0>,a<0,1>,..],[a<1,0>,a<1,1>,..],[a<2,0>,a<2,1>,..],..]} and \\spad{addiag(x) = [b<0,b<1>,...], then b<k> = sum(i+j=k,a<i,j>)}.")) (|revert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{revert(a)} computes the inverse of a power series \\spad{a} with respect to composition. the series should have constant coefficient 0 and first order coefficient 1.")) (|lagrange| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lagrange(g)} produces the power series for \\spad{f} where \\spad{f} is implicitly defined as \\spad{f(z) = z*g(f(z))}.")) (|compose| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{compose(a,b)} composes the power series \\spad{a} with the power series \\spad{b.}")) (|eval| (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{eval(a,r)} returns a stream of partial sums of the power series \\spad{a} evaluated at the power series variable equal to \\spad{r.}")) (|coerce| (((|Stream| |#1|) |#1|) "\\spad{coerce(r)} converts a ring element \\spad{r} to a stream with one element.")) (|gderiv| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|)) "\\spad{gderiv(f,[a0,a1,a2,..])} returns \\spad{[f(0)*a0,f(1)*a1,f(2)*a2,..]}.")) (|deriv| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{deriv(a)} returns the derivative of the power series with respect to the power series variable. Thus \\spad{deriv([a0,a1,a2,...])} returns \\spad{[a1,2 \\spad{a2,3} a3,...]}.")) (|mapmult| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapmult([a0,a1,..],[b0,b1,..])} returns \\spad{[a0*b0,a1*b1,..]}.")) (|int| (((|Stream| |#1|) |#1|) "\\spad{int(r)} returns [r,r+1,r+2,...], where \\spad{r} is a ring element.")) (|oddintegers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{oddintegers(n)} returns \\spad{[n,n+2,n+4,...]}.")) (|integers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{integers(n)} returns \\spad{[n,n+1,n+2,...]}.")) (|monom| (((|Stream| |#1|) |#1| (|Integer|)) "\\spad{monom(deg,coef)} is a monomial of degree \\spad{deg} with coefficient coef.")) (|recip| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|)) "\\spad{recip(a)} returns the power series reciprocal of \\spad{a}, or \"failed\" if not possible.")) (/ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a / \\spad{b}} returns the power series quotient of \\spad{a} by \\spad{b.} An error message is returned if \\spad{b} is not invertible. This function is used in fixed point computations.")) (|exquo| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|)) "\\spad{exquo(a,b)} returns the power series quotient of \\spad{a} by \\spad{b,} if the quotient exists, and \"failed\" otherwise")) (* (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{a * \\spad{r}} returns the power series scalar multiplication of \\spad{a} by \\spad{r:} \\spad{[a0,a1,...] * \\spad{r} = \\spad{[a0} * \\spad{r,a1} * r,...]}") (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{r * a} returns the power series scalar multiplication of \\spad{r} by \\spad{a}: \\spad{r * [a0,a1,...] = \\spad{[r} * a0,r * a1,...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a * \\spad{b}} returns the power series (Cauchy) product of \\spad{a} and \\spad{b:} \\spad{[a0,a1,...] * [b0,b1,...] = [c0,c1,...]} where \\spad{ck = sum(i + \\spad{j} = k,ai * bk)}.")) (- (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{- a} returns the power series negative of \\spad{a}: \\spad{- [a0,a1,...] = \\spad{[-} a0,- a1,...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a - \\spad{b}} returns the power series difference of \\spad{a} and \\spad{b}: \\spad{[a0,a1,..] - [b0,b1,..] = \\spad{[a0} - \\spad{b0,a1} - b1,..]}")) (+ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a + \\spad{b}} returns the power series sum of \\spad{a} and \\spad{b}: \\spad{[a0,a1,..] + [b0,b1,..] = \\spad{[a0} + \\spad{b0,a1} + b1,..]}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) 
-(-1176 |Coef|) 
+((|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) 
+(|StreamTranscendentalFunctionsNonCommutative| |Coef|) 
 ((|constructor| (NIL "StreamTranscendentalFunctionsNonCommutative implements transcendental functions on Taylor series over a non-commutative ring, where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st.}")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st.}")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st.}")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st.}")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st.}")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st.}")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st.}")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st.}")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st.}")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st.}")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st.}")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st.}")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st.}")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st.}")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st.}")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st.}")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st.}")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st.}")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st.}")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st.}")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st.}")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st.}")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st.}")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st.}")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 \\spad{**} st2} computes the power of a power series \\spad{st1} by another power series st2.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st.}"))) 
 NIL 
 NIL 
-(-1177 |Coef|) 
+(|StreamTranscendentalFunctions| |Coef|) 
 ((|constructor| (NIL "StreamTranscendentalFunctions implements transcendental functions on Taylor series, where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st.}")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st.}")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st.}")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st.}")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st.}")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st.}")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st.}")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st.}")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st.}")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st.}")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st.}")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st.}")) (|sinhcosh| (((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sinhcosh(st)} returns a record containing the hyperbolic sine and cosine of a power series \\spad{st.}")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st.}")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st.}")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st.}")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st.}")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st.}")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st.}")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st.}")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st.}")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st.}")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st.}")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st.}")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st.}")) (|sincos| (((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sincos(st)} returns a record containing the sine and cosine of a power series \\spad{st.}")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 \\spad{**} st2} computes the power of a power series \\spad{st1} by another power series st2.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st.}"))) 
 NIL 
 NIL 
-(-1178 R UP) 
+(|SubResultantPackage| R UP) 
 ((|constructor| (NIL "This package computes the subresultants of two polynomials which is needed for the `Lazard Rioboo' enhancement to Tragers integrations formula For efficiency reasons this has been rewritten to call Lionel Ducos package which is currently the best one.")) (|primitivePart| ((|#2| |#2| |#1|) "\\spad{primitivePart(p, \\spad{q)}} reduces the coefficient of \\spad{p} modulo \\spad{q,} takes the primitive part of the result, and ensures that the leading coefficient of that result is monic.")) (|subresultantVector| (((|PrimitiveArray| |#2|) |#2| |#2|) "\\spad{subresultantVector(p, \\spad{q)}} returns \\spad{[p0,...,pn]} where \\spad{pi} is the \\spad{i}-th subresultant of \\spad{p} and \\spad{q.} In particular, \\spad{p0 = resultant(p, q)}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-323)))) 
-(-1179 |n| R) 
+((|HasCategory| |#1| (QUOTE (|EuclideanDomain|)))) 
+(|SubSpace| |n| R) 
 ((|constructor| (NIL "This domain is not documented")) (|pointData| (((|List| (|Point| |#2|)) $) "\\spad{pointData(s)} returns the list of points from the point data field of the 3 dimensional subspace \\spad{s.}")) (|parent| (($ $) "\\spad{parent(s)} returns the subspace which is the parent of the indicated 3 dimensional subspace \\spad{s.} If \\spad{s} is the top level subspace an error message is returned.")) (|level| (((|NonNegativeInteger|) $) "\\spad{level(s)} returns a non negative integer which is the current level field of the indicated 3 dimensional subspace \\spad{s.}")) (|extractProperty| (((|SubSpaceComponentProperty|) $) "\\spad{extractProperty(s)} returns the property of domain \\spadtype{SubSpaceComponentProperty} of the indicated 3 dimensional subspace \\spad{s.}")) (|extractClosed| (((|Boolean|) $) "\\spad{extractClosed(s)} returns the \\spadtype{Boolean} value of the closed property for the indicated 3 dimensional subspace \\spad{s.} If the property is closed, \\spad{True} is returned, otherwise \\spad{False} is returned.")) (|extractIndex| (((|NonNegativeInteger|) $) "\\spad{extractIndex(s)} returns a non negative integer which is the current index of the 3 dimensional subspace \\spad{s.}")) (|extractPoint| (((|Point| |#2|) $) "\\spad{extractPoint(s)} returns the point which is given by the current index location into the point data field of the 3 dimensional subspace \\spad{s.}")) (|traverse| (($ $ (|List| (|NonNegativeInteger|))) "\\spad{traverse(s,li)} follows the branch list of the 3 dimensional subspace, \\spad{s,} along the path dictated by the list of non negative integers, li, which points to the component which has been traversed to. The subspace, \\spad{s,} is returned, where \\spad{s} is now the subspace pointed to by li.")) (|defineProperty| (($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|)) "\\spad{defineProperty(s,li,p)} defines the component property in the 3 dimensional subspace, \\spad{s,} to be that of \\spad{p,} where \\spad{p} is of the domain \\spadtype{SubSpaceComponentProperty}. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component whose property is being defined. The subspace, \\spad{s,} is returned with the component property definition.")) (|closeComponent| (($ $ (|List| (|NonNegativeInteger|)) (|Boolean|)) "\\spad{closeComponent(s,li,b)} sets the property of the component in the 3 dimensional subspace, \\spad{s,} to be closed if \\spad{b} is true, or open if \\spad{b} is false. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component whose closed property is to be set. The subspace, \\spad{s,} is returned with the component property modification.")) (|modifyPoint| (($ $ (|NonNegativeInteger|) (|Point| |#2|)) "\\spad{modifyPoint(s,ind,p)} modifies the point referenced by the index location, ind, by replacing it with the point, \\spad{p} in the 3 dimensional subspace, \\spad{s.} An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{modifyPoint(s,li,i)} replaces an existing point in the 3 dimensional subspace, \\spad{s,} with the 4 dimensional point indicated by the index location, i. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{modifyPoint(s,li,p)} replaces an existing point in the 3 dimensional subspace, \\spad{s,} with the 4 dimensional point, \\spad{p.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.")) (|addPointLast| (($ $ $ (|Point| |#2|) (|NonNegativeInteger|)) "\\spad{addPointLast(s,s2,li,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} \\spad{s2} point to the end of the subspace \\spad{s.} \\spad{n} is the path in the \\spad{s2} component. The subspace \\spad{s} is returned with the additional point.")) (|addPoint2| (($ $ (|Point| |#2|)) "\\spad{addPoint2(s,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} The subspace \\spad{s} is returned with the additional point.")) (|addPoint| (((|NonNegativeInteger|) $ (|Point| |#2|)) "\\spad{addPoint(s,p)} adds the point, \\spad{p,} to the 3 dimensional subspace, \\spad{s,} and returns the new total number of points in \\spad{s.}") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{addPoint(s,li,i)} adds the 4 dimensional point indicated by the index location, i, to the 3 dimensional subspace, \\spad{s.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the point is to be added. It's length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1}, then a specific lowest level component is being referenced. If it is less than \\spad{n - 1}, then some higher level component \\spad{(0} indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{addPoint(s,li,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the point is to be added. It's length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1}, then a specific lowest level component is being referenced. If it is less than \\spad{n - 1}, then some higher level component \\spad{(0} indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.")) (|separate| (((|List| $) $) "\\spad{separate(s)} makes each of the components of the \\spadtype{SubSpace}, \\spad{s,} into a list of separate and distinct subspaces and returns the list.")) (|merge| (($ (|List| $)) "\\spad{merge(ls)} a list of subspaces, \\spad{ls,} into one subspace.") (($ $ $) "\\spad{merge(s1,s2)} the subspaces \\spad{s1} and \\spad{s2} into a single subspace.")) (|deepCopy| (($ $) "\\spad{deepCopy(x)} is not documented")) (|shallowCopy| (($ $) "\\spad{shallowCopy(x)} is not documented")) (|numberOfChildren| (((|NonNegativeInteger|) $) "\\spad{numberOfChildren(x)} is not documented")) (|children| (((|List| $) $) "\\spad{children(x)} is not documented")) (|child| (($ $ (|NonNegativeInteger|)) "\\spad{child(x,n)} is not documented")) (|birth| (($ $) "\\spad{birth(x)} is not documented")) (|subspace| (($) "\\spad{subspace()} is not documented")) (|new| (($) "\\spad{new()} is not documented")) (|internal?| (((|Boolean|) $) "\\spad{internal?(x)} is not documented")) (|root?| (((|Boolean|) $) "\\spad{root?(x)} is not documented")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(x)} is not documented"))) 
 NIL 
 NIL 
-(-1180 S1 S2) 
+(|SuchThat| S1 S2) 
 ((|constructor| (NIL "This domain implements \"such that\" forms")) (|rhs| ((|#2| $) "\\spad{rhs(f)} returns the right side of \\spad{f}")) (|lhs| ((|#1| $) "\\spad{lhs(f)} returns the left side of \\spad{f}")) (|construct| (($ |#1| |#2|) "\\spad{construct(s,t)} makes a form \\spad{s:t}"))) 
 NIL 
 NIL 
-(-1181 |Coef| |var| |cen|) 
+(|SparseUnivariateLaurentSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Laurent series in one variable \\spadtype{SparseUnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{SparseUnivariateLaurentSeries(Integer,x,3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4627 "*") -3836 (-1732 (|has| |#1| (-388)) (|has| (-1189 |#1| |#2| |#3|) (-842))) (|has| |#1| (-194)) (-1732 (|has| |#1| (-388)) (|has| (-1189 |#1| |#2| |#3|) (-931)))) (-4618 -3836 (-1732 (|has| |#1| (-388)) (|has| (-1189 |#1| |#2| |#3|) (-842))) (|has| |#1| (-582)) (-1732 (|has| |#1| (-388)) (|has| (-1189 |#1| |#2| |#3|) (-931)))) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| (-592) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-171)))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|)))))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-247))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|))))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-1165))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -325) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-169)))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-194)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-388))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -325) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -1189) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-1165))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|)))))) (-3836 (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1189 |#1| |#2| |#3|) (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-1182 R -3958) 
+(((|commutative| "*") OR (|and| (|has| |#1| (|Field|)) (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|))) (|has| |#1| (|CommutativeRing|)) (|and| (|has| |#1| (|Field|)) (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)))) (|noZeroDivisors| OR (|and| (|has| |#1| (|Field|)) (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|))) (|has| |#1| (|IntegralDomain|)) (|and| (|has| |#1| (|Field|)) (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)))) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| (|Integer|) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|)))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|)))))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|))))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|RealConstant|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|StepThrough|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|)))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Field|))))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |SparseUnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|RealConstant|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|StepThrough|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|)))))) (OR (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|FunctionSpaceSum| R F) 
 ((|constructor| (NIL "Computes sums of top-level expressions")) (|sum| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{sum(f(n), \\spad{n} = a..b)} returns f(a) + f(a+1) + \\spad{...} + f(b).") ((|#2| |#2| (|Symbol|)) "\\spad{sum(a(n), \\spad{n)}} returns A(n) such that A(n+1) - A(n) = a(n)."))) 
 NIL 
 NIL 
-(-1183 R) 
+(|RationalFunctionSum| R) 
 ((|constructor| (NIL "Computes sums of rational functions.")) (|sum| (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{sum(f(n), \\spad{n} = a..b) returns \\spad{f(a) + f(a+1) + \\spad{...} f(b)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),i=1..n)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|))) "\\indented{1}{sum(f(n), \\spad{n} = a..b) returns \\spad{f(a) + f(a+1) + \\spad{...} f(b)}.} \\blankline \\spad{X} sum(i,i=1..n)") (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{sum(a(n), \\spad{n)} returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),i::Symbol)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|)) "\\indented{1}{sum(a(n), \\spad{n)} returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Polynomial(Integer),variable(i=1..n))"))) 
 NIL 
 NIL 
-(-1184 R S) 
+(|SparseUnivariatePolynomialFunctions2| R S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S.} Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{map(func, poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1185 R) 
+(|SparseUnivariatePolynomialExpressions| R) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4621 |has| |#1| (-388)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1165))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-1211))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-1186 E OV R P) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|additiveValuation| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|StepThrough|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|SupFractionFactorizer| E OV R P) 
 ((|constructor| (NIL "SupFractionFactorize contains the factor function for univariate polynomials over the quotient field of a ring \\spad{S} such that the package MultivariateFactorize works for \\spad{S}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{squareFree(p)} returns the square-free factorization of the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R.} Each factor has no repeated roots and the factors are pairwise relatively prime.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{factor(p)} factors the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R.}"))) 
 NIL 
 NIL 
-(-1187 R) 
+(|SparseUnivariatePolynomial| R) 
 ((|constructor| (NIL "This domain represents univariate polynomials over arbitrary (not necessarily commutative) coefficient rings. The variable is unspecified so that the variable displays as \\spad{?} on output. If it is necessary to specify the variable name, use type \\spadtype{UnivariatePolynomial}. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field, this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,var)} converts the SparseUnivariatePolynomial \\spad{p} to an output form (see \\spadtype{OutputForm}) printed as a polynomial in the output form variable."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4621 |has| |#1| (-388)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-1165))) (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#1| (QUOTE (-247))) (|HasAttribute| |#1| (QUOTE -4623)) (|HasCategory| |#1| (QUOTE (-477))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (|HasCategory| |#1| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-1188 |Coef| |var| |cen|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|additiveValuation| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|StepThrough|))) (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#1| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|SparseUnivariatePuiseuxSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Puiseux series in one variable \\spadtype{SparseUnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{SparseUnivariatePuiseuxSeries(Integer,x,3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|))))) (|HasCategory| (-433 (-592)) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1189 |Coef| |var| |cen|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|))))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|SparseUnivariateTaylorSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Taylor series in one variable \\spadtype{SparseUnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spadtype{SparseUnivariateTaylorSeries}(Integer,x,3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|))))) (|HasCategory| (-790) (QUOTE (-1131))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1190) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|))))) (|HasCategory| (|NonNegativeInteger|) (QUOTE (|SemiGroup|))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|Switch|) 
 ((|constructor| (NIL "This domain builds representations of boolean expressions for use with the \\axiomType{FortranCode} domain.")) (NOT (($ $) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.") (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.")) (AND (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{AND(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x and \\spad{y}.}")) (EQ (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{EQ(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x = \\spad{y}.}")) (OR (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{OR(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x or \\spad{y}.}")) (GE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GE(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x>=y}.")) (LE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LE(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x<=y}.")) (GT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GT(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x>y}.")) (LT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LT(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x<y}.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(s)} is not documented"))) 
 NIL 
 NIL 
-(-1191) 
+(|Symbol|) 
 ((|constructor| (NIL "Basic and scripted symbols.")) (|sample| (($) "\\spad{sample()} returns a sample of \\%")) (|list| (((|List| $) $) "\\spad{list(sy)} takes a scripted symbol and produces a list of the name followed by the scripts.")) (|string| (((|String|) $) "\\spad{string(s)} converts the symbol \\spad{s} to a string. Error: if the symbol is subscripted.")) (|elt| (($ $ (|List| (|OutputForm|))) "\\spad{elt(s,[a1,...,an])} or s([a1,...,an]) returns \\spad{s} subscripted by \\spad{[a1,...,an]}.")) (|argscript| (($ $ (|List| (|OutputForm|))) "\\spad{argscript(s, [a1,...,an])} returns \\spad{s} arg-scripted by \\spad{[a1,...,an]}.")) (|superscript| (($ $ (|List| (|OutputForm|))) "\\spad{superscript(s, [a1,...,an])} returns \\spad{s} superscripted by \\spad{[a1,...,an]}.")) (|subscript| (($ $ (|List| (|OutputForm|))) "\\spad{subscript(s, [a1,...,an])} returns \\spad{s} subscripted by \\spad{[a1,...,an]}.")) (|script| (($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) "\\spad{script(s, [a,b,c,d,e])} returns \\spad{s} with subscripts a, superscripts \\spad{b,} pre-superscripts \\spad{c,} pre-subscripts \\spad{d,} and argument-scripts e.") (($ $ (|List| (|List| (|OutputForm|)))) "\\spad{script(s, [a,b,c,d,e])} returns \\spad{s} with subscripts a, superscripts \\spad{b,} pre-superscripts \\spad{c,} pre-subscripts \\spad{d,} and argument-scripts e. Omitted components are taken to be empty. For example, \\spad{script(s, [a,b,c])} is equivalent to \\spad{script(s,[a,b,c,[],[]])}.")) (|scripts| (((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $) "\\spad{scripts(s)} returns all the scripts of \\spad{s.}")) (|scripted?| (((|Boolean|) $) "\\spad{scripted?(s)} is \\spad{true} if \\spad{s} has been given any scripts.")) (|name| (($ $) "\\spad{name(s)} returns \\spad{s} without its scripts.")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts the string \\spad{s} to a symbol.")) (|resetNew| (((|Void|)) "\\spad{resetNew()} resets the internals counters that new() and new(s) use to return distinct symbols every time.")) (|new| (($ $) "\\spad{new(s)} returns a new symbol whose name starts with \\spad{%s.}") (($) "\\spad{new()} returns a new symbol whose name starts with \\spad{%.}"))) 
 NIL 
 NIL 
-(-1192 R) 
+(|SymmetricFunctions| R) 
 ((|constructor| (NIL "Computes all the symmetric functions in \\spad{n} variables.")) (|symFunc| (((|Vector| |#1|) |#1| (|PositiveInteger|)) "\\spad{symFunc(r, \\spad{n)}} returns the vector of the elementary symmetric functions in \\spad{[r,r,...,r]} \\spad{n} times.") (((|Vector| |#1|) (|List| |#1|)) "\\spad{symFunc([r1,...,rn])} returns the vector of the elementary symmetric functions in the \\spad{ri's}: \\spad{[r1 + \\spad{...} + \\spad{rn,} \\spad{r1} \\spad{r2} + \\spad{...} + r(n-1) \\spad{rn,} ..., \\spad{r1} \\spad{r2} \\spad{...} rn]}."))) 
 NIL 
 NIL 
-(-1193 R) 
+(|SymmetricPolynomial| R) 
 ((|constructor| (NIL "This domain implements symmetric polynomial"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-6 -4623)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-477))) (-12 (|HasCategory| (-1000) (QUOTE (-158))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasAttribute| |#1| (QUOTE -4623))) 
-(-1194) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|Partition|) (QUOTE (|CancellationAbelianMonoid|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|))) 
+(|TheSymbolTable|) 
 ((|constructor| (NIL "Creates and manipulates one global symbol table for FORTRAN code generation, containing details of types, dimensions, and argument lists.")) (|symbolTableOf| (((|SymbolTable|) (|Symbol|) $) "\\spad{symbolTableOf(f,tab)} returns the symbol table of \\spad{f}")) (|argumentListOf| (((|List| (|Symbol|)) (|Symbol|) $) "\\spad{argumentListOf(f,tab)} returns the argument list of \\spad{f}")) (|returnTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $) "\\spad{returnTypeOf(f,tab)} returns the type of the object returned by \\spad{f}")) (|empty| (($) "\\spad{empty()} creates a new, empty symbol table.")) (|printTypes| (((|Void|) (|Symbol|)) "\\spad{printTypes(tab)} produces FORTRAN type declarations from tab, on the current FORTRAN output stream")) (|printHeader| (((|Void|)) "\\spad{printHeader()} produces the FORTRAN header for the current subprogram in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|)) "\\spad{printHeader(f)} produces the FORTRAN header for subprogram \\spad{f} in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|) $) "\\spad{printHeader(f,tab)} produces the FORTRAN header for subprogram \\spad{f} in symbol table \\spad{tab} on the current FORTRAN output stream.")) (|returnType!| (((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(t)} declares that the return type of he current subprogram in the global symbol table is \\spad{t.}") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(f,t)} declares that the return type of subprogram \\spad{f} in the global symbol table is \\spad{t.}") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{returnType!(f,t,tab)} declares that the return type of subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{t.}")) (|argumentList!| (((|Void|) (|List| (|Symbol|))) "\\spad{argumentList!(l)} declares that the argument list for the current subprogram in the global symbol table is \\spad{l.}") (((|Void|) (|Symbol|) (|List| (|Symbol|))) "\\spad{argumentList!(f,l)} declares that the argument list for subprogram \\spad{f} in the global symbol table is \\spad{l.}") (((|Void|) (|Symbol|) (|List| (|Symbol|)) $) "\\spad{argumentList!(f,l,tab)} declares that the argument list for subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{l.}")) (|endSubProgram| (((|Symbol|)) "\\spad{endSubProgram()} asserts that we are no longer processing the current subprogram.")) (|currentSubProgram| (((|Symbol|)) "\\spad{currentSubProgram()} returns the name of the current subprogram being processed")) (|newSubProgram| (((|Void|) (|Symbol|)) "\\spad{newSubProgram(f)} asserts that from now on type declarations are part of subprogram \\spad{f.}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|)) "\\spad{declare!(u,t,asp)} declares the parameter \\spad{u} to have type \\spad{t} in asp.") (((|FortranType|) (|Symbol|) (|FortranType|)) "\\spad{declare!(u,t)} declares the parameter \\spad{u} to have type \\spad{t} in the current level of the symbol table.") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,t,asp,tab)} declares the parameters \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table tab.") (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,t,asp,tab)} declares the parameter \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table tab.")) (|clearTheSymbolTable| (((|Void|) (|Symbol|)) "\\spad{clearTheSymbolTable(x)} removes the symbol \\spad{x} from the table") (((|Void|)) "\\spad{clearTheSymbolTable()} clears the current symbol table.")) (|showTheSymbolTable| (($) "\\spad{showTheSymbolTable()} returns the current symbol table."))) 
 NIL 
 NIL 
-(-1195) 
+(|SymbolTable|) 
 ((|constructor| (NIL "Create and manipulate a symbol table for generated FORTRAN code")) (|symbolTable| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) "\\spad{symbolTable(l)} creates a symbol table from the elements of \\spad{l.}")) (|printTypes| (((|Void|) $) "\\spad{printTypes(tab)} produces FORTRAN type declarations from tab, on the current FORTRAN output stream")) (|newTypeLists| (((|SExpression|) $) "\\spad{newTypeLists(x)} is not documented")) (|typeLists| (((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $) "\\spad{typeLists(tab)} returns a list of lists of types of objects in \\spad{tab}")) (|externalList| (((|List| (|Symbol|)) $) "\\spad{externalList(tab)} returns a list of all the external symbols in \\spad{tab}")) (|typeList| (((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $) "\\spad{typeList(t,tab)} returns a list of all the objects of type \\spad{t} in \\spad{tab}")) (|parametersOf| (((|List| (|Symbol|)) $) "\\spad{parametersOf(tab)} returns a list of all the symbols declared in \\spad{tab}")) (|fortranTypeOf| (((|FortranType|) (|Symbol|) $) "\\spad{fortranTypeOf(u,tab)} returns the type of \\spad{u} in \\spad{tab}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) $) "\\spad{declare!(u,t,tab)} creates a new entry in tab, declaring \\spad{u} to be of type \\spad{t}") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $) "\\spad{declare!(l,t,tab)} creates new entrys in tab, declaring each of \\spad{l} to be of type \\spad{t}")) (|empty| (($) "\\spad{empty()} returns a new, empty symbol table")) (|coerce| (((|Table| (|Symbol|) (|FortranType|)) $) "\\spad{coerce(x)} returns a table view of \\spad{x}"))) 
 NIL 
 NIL 
-(-1196 R) 
+(|SystemSolvePackage| R) 
 ((|constructor| (NIL "Symbolic solver for systems of rational functions with coefficients in an integral domain \\spad{R.} The systems are solved in the field of rational functions over \\spad{R.} Solutions are exact of the form variable = value when the value is a member of the coefficient domain \\spad{R.} Otherwise the solutions are implicitly expressed as roots of univariate polynomial equations over \\spad{R.} Care is taken to guarantee that the denominators of the input equations do not vanish on the solution sets. The arguments to solve can either be given as equations or as rational functions interpreted as equal to zero. The user can specify an explicit list of symbols to be solved for, treating all other symbols appearing as parameters or omit the list of symbols in which case the system tries to solve with respect to all symbols appearing in the input.")) (|triangularSystems| (((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{triangularSystems(lf,lv)} solves the system of equations defined by \\spad{lf} with respect to the list of symbols \\spad{lv;} the system of equations is obtaining by equating to zero the list of rational functions \\spad{lf.} The output is a list of solutions where each solution is expressed as a \"reduced\" triangular system of polynomials.")) (|solve| (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} with respect to the unique variable appearing in eq.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|))) "\\spad{solve(p)} finds the solution of a rational function \\spad{p} = 0 with respect to the unique variable appearing in \\spad{p.}") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{solve(eq,v)} finds the solutions of the equation \\spad{eq} with respect to the variable \\spad{v.}") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{solve(p,v)} solves the equation p=0, where \\spad{p} is a rational function with respect to the variable \\spad{v.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{solve(le)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to all symbols appearing in le.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(lp)} finds the solutions of the list \\spad{lp} of rational functions with respect to all symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{solve(le,lv)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to the list of symbols \\spad{lv.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{solve(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}"))) 
 NIL 
 NIL 
-(-1197 S) 
+(|TableauxBumpers| S) 
 ((|constructor| (NIL "TableauBumpers implements the Schenstead-Knuth correspondence between sequences and pairs of Young tableaux. The 2 Young tableaux are represented as a single tableau with pairs as components.")) (|mr| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))) "\\spad{mr(t)} is an auxiliary function which finds the position of the maximum element of a tableau \\spad{t} which is in the lowest row, producing a record of results")) (|maxrow| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|)))) "\\spad{maxrow(a,b,c,d,e)} is an auxiliary function for \\spad{mr}")) (|inverse| (((|List| |#1|) (|List| |#1|)) "\\spad{inverse(ls)} forms the inverse of a sequence \\spad{ls}")) (|slex| (((|List| (|List| |#1|)) (|List| |#1|)) "\\spad{slex(ls)} sorts the argument sequence \\spad{ls,} then zips (see map) the original argument sequence with the sorted result to a list of pairs")) (|lex| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{lex(ls)} sorts a list of pairs to lexicographic order")) (|tab| (((|Tableau| (|List| |#1|)) (|List| |#1|)) "\\spad{tab(ls)} creates a tableau from \\spad{ls} by first creating a list of pairs using slex, then creating a tableau using tab1.")) (|tab1| (((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|))) "\\spad{tab1(lp)} creates a tableau from a list of pairs \\spad{lp}")) (|bat| (((|List| (|List| |#1|)) (|Tableau| (|List| |#1|))) "\\spad{bat(ls)} unbumps a tableau \\spad{ls}")) (|bat1| (((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{bat1(llp)} unbumps a tableau llp. Operation \\spad{bat1} is the inverse of tab1.")) (|untab| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{untab(lp,llp)} is an auxiliary function which unbumps a tableau llp, using \\spad{lp} to accumulate pairs")) (|bumptab1| (((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab1(pr,t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spadfun{<}, returning a new tableau")) (|bumptab| (((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab(cf,pr,t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spad{cf,} returning a new tableau")) (|bumprow| (((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{bumprow(cf,pr,r)} is an auxiliary function which bumps a row \\spad{r} with a pair \\spad{pr} using comparison function \\spad{cf,} and returns a record"))) 
 NIL 
 NIL 
-(-1198 S) 
+(|Tableau| S) 
 ((|constructor| (NIL "The tableau domain is for printing Young tableaux, and coercions to and from List List \\spad{S} where \\spad{S} is a set.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(t)} converts a tableau \\spad{t} to an output form.")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists \\spad{t}} converts a tableau \\spad{t} to a list of lists.")) (|tableau| (($ (|List| (|List| |#1|))) "\\spad{tableau(ll)} converts a list of lists \\spad{ll} to a tableau."))) 
 NIL 
 NIL 
-(-1199 |Key| |Entry|) 
+(|Table| |Key| |Entry|) 
 ((|constructor| (NIL "This is the general purpose table type. The keys are hashed to look up the entries. This creates a \\spadtype{HashTable} if equal for the Key domain is consistent with Lisp EQUAL otherwise an \\spadtype{AssociationList}"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (-12 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (LIST (QUOTE -325) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -1350) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3552) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#2| (QUOTE (-1119))) (-3836 (|HasCategory| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (QUOTE (-1119))) (|HasCategory| |#2| (QUOTE (-1119)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1119))))) 
-(-1200 R) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (LIST (QUOTE |Evalable|) (LIST (QUOTE |Record|) (LIST (QUOTE |:|) (QUOTE |key|) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE |entry|) (|devaluate| |#2|))))) (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))) (OR (|HasCategory| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (QUOTE (|SetCategory|))) (|HasCategory| |#2| (QUOTE (|SetCategory|)))) (AND (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (|SetCategory|))))) 
+(|TangentExpansions| R) 
 ((|constructor| (NIL "Expands tangents of sums and scalar products.")) (|tanNa| ((|#1| |#1| (|Integer|)) "\\spad{tanNa(a, \\spad{n)}} returns \\spad{f(a)} such that if \\spad{a = tan(u)} then \\spad{f(a) = tan(n * u)}.")) (|tanAn| (((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|)) "\\spad{tanAn(a, \\spad{n)}} returns \\spad{P(x)} such that if \\spad{a = tan(u)} then \\spad{P(tan(u/n)) = 0}.")) (|tanSum| ((|#1| (|List| |#1|)) "\\spad{tanSum([a1,...,an])} returns \\spad{f(a1,...,an)} such that if \\spad{ai = tan(ui)} then \\spad{f(a1,...,an) = \\spad{tan(u1} + \\spad{...} + un)}."))) 
 NIL 
 NIL 
-(-1201 S |Key| |Entry|) 
+(|TableAggregate&| S |Key| |Entry|) 
 ((|constructor| (NIL "A table aggregate is a model of a table, that is, a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{table()}$T creates an empty table of type \\spad{T.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
 NIL 
 NIL 
-(-1202 |Key| |Entry|) 
+(|TableAggregate| |Key| |Entry|) 
 ((|constructor| (NIL "A table aggregate is a model of a table, that is, a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{table()}$T creates an empty table of type \\spad{T.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
-((-4626 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|nil| . T)) 
 NIL 
-(-1203 |Key| |Entry|) 
+(|TabulatedComputationPackage| |Key| |Entry|) 
 ((|constructor| (NIL "\\axiom{TabulatedComputationPackage(Key ,Entry)} provides some modest support for dealing with operations with type \\axiom{Key \\spad{->} Entry}. The result of such operations can be stored and retrieved with this package by using a hash-table. The user does not need to worry about the management of this hash-table. However, onnly one hash-table is built by calling \\axiom{TabulatedComputationPackage(Key ,Entry)}.")) (|insert!| (((|Void|) |#1| |#2|) "\\axiom{insert!(x,y)} stores the item whose key is \\axiom{x} and whose entry is \\axiom{y}.")) (|extractIfCan| (((|Union| |#2| "failed") |#1|) "\\axiom{extractIfCan(x)} searches the item whose key is \\axiom{x}.")) (|makingStats?| (((|Boolean|)) "\\axiom{makingStats?()} returns \\spad{true} iff the statisitics process is running.")) (|printingInfo?| (((|Boolean|)) "\\axiom{printingInfo?()} returns \\spad{true} iff messages are printed when manipulating items from the hash-table.")) (|usingTable?| (((|Boolean|)) "\\axiom{usingTable?()} returns \\spad{true} iff the hash-table is used")) (|clearTable!| (((|Void|)) "\\axiom{clearTable!()} clears the hash-table and assumes that it will no longer be used.")) (|printStats!| (((|Void|)) "\\axiom{printStats!()} prints the statistics.")) (|startStats!| (((|Void|) (|String|)) "\\axiom{startStats!(x)} initializes the statisitics process and sets the comments to display when statistics are printed")) (|printInfo!| (((|Void|) (|String|) (|String|)) "\\axiom{printInfo!(x,y)} initializes the mesages to be printed when manipulating items from the hash-table. If a key is retrieved then \\axiom{x} is displayed. If an item is stored then \\axiom{y} is displayed.")) (|initTable!| (((|Void|)) "\\axiom{initTable!()} initializes the hash-table."))) 
 NIL 
 NIL 
-(-1204) 
+(|TemplateUtilities|) 
 ((|constructor| (NIL "This package provides functions for template manipulation")) (|stripCommentsAndBlanks| (((|String|) (|String|)) "\\spad{stripCommentsAndBlanks(s)} treats \\spad{s} as a piece of AXIOM input, and removes comments, and leading and trailing blanks.")) (|interpretString| (((|Any|) (|String|)) "\\spad{interpretString(s)} treats a string as a piece of AXIOM input, by parsing and interpreting it."))) 
 NIL 
 NIL 
-(-1205 S) 
+(|TexFormat1| S) 
 ((|constructor| (NIL "\\spadtype{TexFormat1} provides a utility coercion for changing to TeX format anything that has a coercion to the standard output format.")) (|coerce| (((|TexFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from a domain \\spad{S} to TeX format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to TeX format."))) 
 NIL 
 NIL 
-(-1206) 
+(|TexFormat|) 
 ((|constructor| (NIL "\\spadtype{TexFormat} provides a coercion from \\spadtype{OutputForm} to \\TeX{} format. The particular dialect of \\TeX{} used is \\LaTeX{}. The basic object consists of three parts: a prologue, a tex part and an epilogue. The functions \\spadfun{prologue}, \\spadfun{tex} and \\spadfun{epilogue} extract these parts, respectively. The main guts of the expression go into the tex part. The other parts can be set (\\spadfun{setPrologue!}, \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example, the prologue and epilogue might simply contain ``\\verb+\\[+'' and ``\\verb+\\]+'', respectively, so that the TeX section will be printed in LaTeX display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,strings)} sets the prologue section of a TeX form \\spad{t} to strings.")) (|setTex!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setTex!(t,strings)} sets the TeX section of a TeX form \\spad{t} to strings.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,strings)} sets the epilogue section of a TeX form \\spad{t} to strings.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a TeX form \\spad{t.}")) (|new| (($) "\\spad{new()} create a new, empty object. Use \\spadfun{setPrologue!}, \\spadfun{setTex!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|tex| (((|List| (|String|)) $) "\\spad{tex(t)} extracts the TeX section of a TeX form \\spad{t.}")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a TeX form \\spad{t.}")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,width)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{width}.")) (|convert| (($ (|OutputForm|) (|Integer|) (|OutputForm|)) "\\spad{convert(o,step,type)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number and type. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.") (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,step)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to TeX format."))) 
 NIL 
 NIL 
-(-1207) 
+(|TextFile|) 
 ((|constructor| (NIL "This domain provides an implementation of text files. Text is stored in these files using the native character set of the computer.")) (|endOfFile?| (((|Boolean|) $) "\\spad{endOfFile?(f)} tests whether the file \\spad{f} is positioned after the end of all text. If the file is open for output, then this test is always true.")) (|readIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readIfCan!(f)} returns a string of the contents of a line from file \\spad{f,} if possible. If \\spad{f} is not readable or if it is positioned at the end of file, then \\spad{\"failed\"} is returned.")) (|readLineIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readLineIfCan!(f)} returns a string of the contents of a line from file \\spad{f,} if possible. If \\spad{f} is not readable or if it is positioned at the end of file, then \\spad{\"failed\"} is returned.")) (|readLine!| (((|String|) $) "\\spad{readLine!(f)} returns a string of the contents of a line from the file \\spad{f.}")) (|writeLine!| (((|String|) $) "\\spad{writeLine!(f)} finishes the current line in the file \\spad{f.} An empty string is returned. The call \\spad{writeLine!(f)} is equivalent to \\spad{writeLine!(f,\"\")}.") (((|String|) $ (|String|)) "\\spad{writeLine!(f,s)} writes the contents of the string \\spad{s} and finishes the current line in the file \\spad{f.} The value of \\spad{s} is returned."))) 
 NIL 
 NIL 
-(-1208 R) 
+(|ToolsForSign| R) 
 ((|constructor| (NIL "Tools for the sign finding utilities.")) (|direction| (((|Integer|) (|String|)) "\\spad{direction(s)} \\undocumented")) (|nonQsign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{nonQsign(r)} \\undocumented")) (|sign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{sign(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-1209) 
+(|TopLevelThreeSpace|) 
 ((|constructor| (NIL "This package exports a function for making a \\spadtype{ThreeSpace}")) (|createThreeSpace| (((|ThreeSpace| (|DoubleFloat|))) "\\spad{createThreeSpace()} creates a \\spadtype{ThreeSpace(DoubleFloat)} object capable of holding point, curve, mesh components and any combination."))) 
 NIL 
 NIL 
-(-1210 S) 
+(|TranscendentalFunctionCategory&| S) 
 ((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{pi()} returns the constant pi."))) 
 NIL 
 NIL 
-(-1211) 
+(|TranscendentalFunctionCategory|) 
 ((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{pi()} returns the constant pi."))) 
 NIL 
 NIL 
-(-1212 S) 
+(|Tree| S) 
 ((|constructor| (NIL "\\spadtype{Tree(S)} is a basic domains of tree structures. Each tree is either empty or else is a node consisting of a value and a list of (sub)trees.")) (|cyclicParents| (((|List| $) $) "\\indented{1}{cyclicParents(t) returns a list of cycles that are parents of \\spad{t.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicParents \\spad{t1}")) (|cyclicEqual?| (((|Boolean|) $ $) "\\indented{1}{cyclicEqual?(t1, \\spad{t2)} tests of two cyclic trees have} \\indented{1}{the same structure.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} t2:=tree [1,2,3,4] \\spad{X} cyclicEqual?(t1,t2)")) (|cyclicEntries| (((|List| $) $) "\\indented{1}{cyclicEntries(t) returns a list of top-level cycles in tree \\spad{t.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicEntries \\spad{t1}")) (|cyclicCopy| (($ $) "\\indented{1}{cyclicCopy(l) makes a copy of a (possibly) cyclic tree \\spad{l.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicCopy \\spad{t1}")) (|cyclic?| (((|Boolean|) $) "\\indented{1}{cyclic?(t) tests if \\spad{t} is a cyclic tree.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclic? \\spad{t1}")) (|tree| (($ |#1|) "\\indented{1}{tree(nd) creates a tree with value \\spad{nd,} and no children} \\blankline \\spad{X} tree 6") (($ (|List| |#1|)) "\\indented{1}{tree(ls) creates a tree from a list of elements of \\spad{s.}} \\blankline \\spad{X} tree [1,2,3,4]") (($ |#1| (|List| $)) "\\indented{1}{tree(nd,ls) creates a tree with value \\spad{nd,} and children ls.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} tree(5,[t1])"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119))))) 
-(-1213 S) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|))))) 
+(|TrigonometricFunctionCategory&| S) 
 ((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x.}")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x.}")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x.}")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x.}")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x.}")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1214) 
+(|TrigonometricFunctionCategory|) 
 ((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x.}")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x.}")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x.}")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x.}")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x.}")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1215 R -3958) 
+(|TrigonometricManipulations| R F) 
 ((|constructor| (NIL "\\spadtype{TrigonometricManipulations} provides transformations from trigonometric functions to complex exponentials and logarithms, and back.")) (|complexForm| (((|Complex| |#2|) |#2|) "\\spad{complexForm(f)} returns \\spad{[real \\spad{f,} imag f]}.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real \\spad{f}.}")) (|imag| ((|#2| |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| ((|#2| |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f, \\spad{x)}} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
-(-1216 R |Row| |Col| M) 
+(|TriangularMatrixOperations| R |Row| |Col| M) 
 ((|constructor| (NIL "This package provides functions that compute \"fraction-free\" inverses of upper and lower triangular matrices over a integral domain. By \"fraction-free inverses\" we mean the following: given a matrix \\spad{B} with entries in \\spad{R} and an element \\spad{d} of \\spad{R} such that \\spad{d} * inv(B) also has entries in \\spad{R,} we return \\spad{d} * inv(B). Thus, it is not necessary to pass to the quotient field in any of our computations.")) (|LowTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{LowTriBddDenomInv(B,d)} returns \\spad{M,} where \\spad{B} is a non-singular lower triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = \\spad{d} * inv(B)} has entries in \\spad{R.}")) (|UpTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{UpTriBddDenomInv(B,d)} returns \\spad{M,} where \\spad{B} is a non-singular upper triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = \\spad{d} * inv(B)} has entries in \\spad{R.}"))) 
 NIL 
 NIL 
-(-1217 R -3958) 
+(|TranscendentalManipulations| R F) 
 ((|constructor| (NIL "TranscendentalManipulations provides functions to simplify and expand expressions involving transcendental operators.")) (|expandTrigProducts| ((|#2| |#2|) "\\spad{expandTrigProducts(e)} replaces \\axiom{sin(x)*sin(y)} by \\spad{(cos(x-y)-cos(x+y))/2}, \\axiom{cos(x)*cos(y)} by \\spad{(cos(x-y)+cos(x+y))/2}, and \\axiom{sin(x)*cos(y)} by \\spad{(sin(x-y)+sin(x+y))/2}. Note that this operation uses the pattern matcher and so is relatively expensive. To avoid getting into an infinite loop the transformations are applied at most ten times.")) (|removeSinhSq| ((|#2| |#2|) "\\spad{removeSinhSq(f)} converts every \\spad{sinh(u)**2} appearing in \\spad{f} into \\spad{1 - cosh(x)**2}, and also reduces higher powers of \\spad{sinh(u)} with that formula.")) (|removeCoshSq| ((|#2| |#2|) "\\spad{removeCoshSq(f)} converts every \\spad{cosh(u)**2} appearing in \\spad{f} into \\spad{1 - sinh(x)**2}, and also reduces higher powers of \\spad{cosh(u)} with that formula.")) (|removeSinSq| ((|#2| |#2|) "\\spad{removeSinSq(f)} converts every \\spad{sin(u)**2} appearing in \\spad{f} into \\spad{1 - cos(x)**2}, and also reduces higher powers of \\spad{sin(u)} with that formula.")) (|removeCosSq| ((|#2| |#2|) "\\spad{removeCosSq(f)} converts every \\spad{cos(u)**2} appearing in \\spad{f} into \\spad{1 - sin(x)**2}, and also reduces higher powers of \\spad{cos(u)} with that formula.")) (|coth2tanh| ((|#2| |#2|) "\\spad{coth2tanh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{1/tanh(u)}.")) (|cot2tan| ((|#2| |#2|) "\\spad{cot2tan(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{1/tan(u)}.")) (|tanh2coth| ((|#2| |#2|) "\\spad{tanh2coth(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{1/coth(u)}.")) (|tan2cot| ((|#2| |#2|) "\\spad{tan2cot(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{1/cot(u)}.")) (|tanh2trigh| ((|#2| |#2|) "\\spad{tanh2trigh(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{sinh(u)/cosh(u)}.")) (|tan2trig| ((|#2| |#2|) "\\spad{tan2trig(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{sin(u)/cos(u)}.")) (|sinh2csch| ((|#2| |#2|) "\\spad{sinh2csch(f)} converts every \\spad{sinh(u)} appearing in \\spad{f} into \\spad{1/csch(u)}.")) (|sin2csc| ((|#2| |#2|) "\\spad{sin2csc(f)} converts every \\spad{sin(u)} appearing in \\spad{f} into \\spad{1/csc(u)}.")) (|sech2cosh| ((|#2| |#2|) "\\spad{sech2cosh(f)} converts every \\spad{sech(u)} appearing in \\spad{f} into \\spad{1/cosh(u)}.")) (|sec2cos| ((|#2| |#2|) "\\spad{sec2cos(f)} converts every \\spad{sec(u)} appearing in \\spad{f} into \\spad{1/cos(u)}.")) (|csch2sinh| ((|#2| |#2|) "\\spad{csch2sinh(f)} converts every \\spad{csch(u)} appearing in \\spad{f} into \\spad{1/sinh(u)}.")) (|csc2sin| ((|#2| |#2|) "\\spad{csc2sin(f)} converts every \\spad{csc(u)} appearing in \\spad{f} into \\spad{1/sin(u)}.")) (|coth2trigh| ((|#2| |#2|) "\\spad{coth2trigh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{cosh(u)/sinh(u)}.")) (|cot2trig| ((|#2| |#2|) "\\spad{cot2trig(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{cos(u)/sin(u)}.")) (|cosh2sech| ((|#2| |#2|) "\\spad{cosh2sech(f)} converts every \\spad{cosh(u)} appearing in \\spad{f} into \\spad{1/sech(u)}.")) (|cos2sec| ((|#2| |#2|) "\\spad{cos2sec(f)} converts every \\spad{cos(u)} appearing in \\spad{f} into \\spad{1/sec(u)}.")) (|expandLog| ((|#2| |#2|) "\\spad{expandLog(f)} converts every \\spad{log(a/b)} appearing in \\spad{f} into \\spad{log(a) - log(b)}, and every \\spad{log(a*b)} into \\spad{log(a) + log(b)}..")) (|expandPower| ((|#2| |#2|) "\\spad{expandPower(f)} converts every power \\spad{(a/b)**c} appearing in \\spad{f} into \\spad{a**c * b**(-c)}.")) (|simplifyLog| ((|#2| |#2|) "\\spad{simplifyLog(f)} converts every \\spad{log(a) - log(b)} appearing in \\spad{f} into \\spad{log(a/b)}, every \\spad{log(a) + log(b)} into \\spad{log(a*b)} and every \\spad{n*log(a)} into \\spad{log(a^n)}.")) (|simplifyExp| ((|#2| |#2|) "\\spad{simplifyExp(f)} converts every product \\spad{exp(a)*exp(b)} appearing in \\spad{f} into \\spad{exp(a+b)}.")) (|htrigs| ((|#2| |#2|) "\\spad{htrigs(f)} converts all the exponentials in \\spad{f} into hyperbolic sines and cosines.")) (|simplify| ((|#2| |#2|) "\\spad{simplify(f)} performs the following simplifications on f:\\begin{items} \\item 1. rewrites trigs and hyperbolic trigs in terms of \\spad{sin} ,\\spad{cos}, \\spad{sinh}, \\spad{cosh}. \\item 2. rewrites \\spad{sin**2} and \\spad{sinh**2} in terms of \\spad{cos} and \\spad{cosh}, \\item 3. rewrites \\spad{exp(a)*exp(b)} as \\spad{exp(a+b)}. \\item 4. rewrites \\spad{(a**(1/n))**m * (a**(1/s))**t} as a single power of a single radical of \\spad{a}. \\end{items}")) (|expand| ((|#2| |#2|) "\\spad{expand(f)} performs the following expansions on f:\\begin{items} \\item 1. logs of products are expanded into sums of logs, \\item 2. trigonometric and hyperbolic trigonometric functions of sums are expanded into sums of products of trigonometric and hyperbolic trigonometric functions. \\item 3. formal powers of the form \\spad{(a/b)**c} are expanded into \\spad{a**c * b**(-c)}. \\end{items}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -633) (LIST (QUOTE -914) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -908) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -908) (|devaluate| |#1|))))) 
-(-1218 S R E V P) 
+((AND (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE |PatternMatchable|) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (|devaluate| |#1|))))) 
+(|TriangularSetCategory&| S R E V P) 
 ((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{R} be an integral domain and \\axiom{V} a finite ordered set of variables, say \\axiom{X1 < \\spad{X2} < \\spad{...} < Xn}. A set \\axiom{S} of polynomials in \\axiom{R[X1,X2,...,Xn]} is triangular if no elements of \\axiom{S} lies in \\axiom{R}, and if two distinct elements of \\axiom{S} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to \\spad{[1]} for more details. A polynomial \\axiom{P} is reduced w.r.t a non-constant polynomial \\axiom{Q} if the degree of \\axiom{P} in the main variable of \\axiom{Q} is less than the main degree of \\axiom{Q}. A polynomial \\axiom{P} is reduced w.r.t a triangular set \\axiom{T} if it is reduced w.r.t. every polynomial of \\axiom{T}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(ts)} returns \\axiom{size()\\$V} minus \\axiom{\\#ts}.")) (|extend| (($ $ |#5|) "\\axiom{extend(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#5|) "\\axiom{extendIfCan(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#5| "failed") $ |#4|) "\\axiom{select(ts,v)} returns the polynomial of \\axiom{ts} with \\axiom{v} as main variable, if any.")) (|algebraic?| (((|Boolean|) |#4| $) "\\axiom{algebraic?(v,ts)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ts}.")) (|algebraicVariables| (((|List| |#4|) $) "\\axiom{algebraicVariables(ts)} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{ts}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(ts)} returns the polynomials of \\axiom{ts} with smaller main variable than \\axiom{mvar(ts)} if \\axiom{ts} is not empty, otherwise returns \"failed\"")) (|last| (((|Union| |#5| "failed") $) "\\axiom{last(ts)} returns the polynomial of \\axiom{ts} with smallest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#5| "failed") $) "\\axiom{first(ts)} returns the polynomial of \\axiom{ts} with greatest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#5|)))) (|List| |#5|)) "\\axiom{zeroSetSplitIntoTriangularSystems(lp)} returns a list of triangular systems \\axiom{[[ts1,qs1],...,[tsn,qsn]]} such that the zero set of \\axiom{lp} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{ts} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#5|)) "\\axiom{zeroSetSplit(lp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{lp} is the union of the closures of the regular zero sets of the members of \\axiom{lts}.")) (|reduceByQuasiMonic| ((|#5| |#5| $) "\\axiom{reduceByQuasiMonic(p,ts)} returns the same as \\axiom{remainder(p,collectQuasiMonic(ts)).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(ts)} returns the subset of \\axiom{ts} consisting of the polynomials with initial in \\axiom{R}.")) (|removeZero| ((|#5| |#5| $) "\\axiom{removeZero(p,ts)} returns \\axiom{0} if \\axiom{p} reduces to \\axiom{0} by pseudo-division w.r.t \\axiom{ts} otherwise returns a polynomial \\axiom{q} computed from \\axiom{p} by removing any coefficient in \\axiom{p} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#5| |#5| $) "\\axiom{initiallyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|headReduce| ((|#5| |#5| $) "\\axiom{headReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{headReduce?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|stronglyReduce| ((|#5| |#5| $) "\\axiom{stronglyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{stronglyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|rewriteSetWithReduction| (((|List| |#5|) (|List| |#5|) $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{rewriteSetWithReduction(lp,ts,redOp,redOp?)} returns a list \\axiom{lq} of polynomials such that \\axiom{[reduce(p,ts,redOp,redOp?) for \\spad{p} in lp]} and \\axiom{lp} have the same zeros inside the regular zero set of \\axiom{ts}. Moreover, for every polynomial \\axiom{q} in \\axiom{lq} and every polynomial \\axiom{t} in \\axiom{ts} \\axiom{redOp?(q,t)} holds and there exists a polynomial \\axiom{p} in the ideal generated by \\axiom{lp} and a product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|reduce| ((|#5| |#5| $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduce(p,ts,redOp,redOp?)} returns a polynomial \\axiom{r} such that \\axiom{redOp?(r,p)} holds for every \\axiom{p} of \\axiom{ts} and there exists some product \\axiom{h} of the initials of the members of \\axiom{ts} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#5| (|List| |#5|))) "\\axiom{autoReduced?(ts,redOp?)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{p} of \\axiom{ts}. \\axiom{p} and all its iterated initials are reduced w.r.t. to the other elements of \\axiom{ts} with the same main variable.") (((|Boolean|) |#5| $) "\\axiom{initiallyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials are reduced w.r.t. to the elements of \\axiom{ts} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#5| $) "\\axiom{headReduced?(p,ts)} returns \\spad{true} iff the head of \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(ts)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#5| $) "\\axiom{stronglyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|reduced?| (((|Boolean|) |#5| $ (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduced?(p,ts,redOp?)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t.in the sense of the operation \\axiom{redOp?}, that is if for every \\axiom{t} in \\axiom{ts} \\axiom{redOp?(p,t)} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(ts)} returns \\spad{true} iff for every axiom{p} in \\axiom{ts} we have \\axiom{normalized?(p,us)} where \\axiom{us} is \\axiom{collectUnder(ts,mvar(p))}.") (((|Boolean|) |#5| $) "\\axiom{normalized?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials have degree zero w.r.t. the main variables of the polynomials of \\axiom{ts}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) $) "\\axiom{quasiComponent(ts)} returns \\axiom{[lp,lq]} where \\axiom{lp} is the list of the members of \\axiom{ts} and \\axiom{lq}is \\axiom{initials(ts)}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(ts)} returns the product of main degrees of the members of \\axiom{ts}.")) (|initials| (((|List| |#5|) $) "\\axiom{initials(ts)} returns the list of the non-constant initials of the members of \\axiom{ts}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(ps,pred?,redOp?)} returns the same as \\axiom{basicSet(qs,redOp?)} where \\axiom{qs} consists of the polynomials of \\axiom{ps} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(ps,redOp?)} returns \\axiom{[bs,ts]} where \\axiom{concat(bs,ts)} is \\axiom{ps} and \\axiom{bs} is a basic set in Wu Wen Tsun sense of \\axiom{ps} w.r.t the reduction-test \\axiom{redOp?}, if no non-zero constant polynomial lie in \\axiom{ps}, otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(ts1,ts2)} returns \\spad{true} iff \\axiom{ts2} has higher rank than \\axiom{ts1} in Wu Wen Tsun sense."))) 
 NIL 
-((|HasCategory| |#4| (QUOTE (-394)))) 
-(-1219 R E V P) 
+((|HasCategory| |#4| (QUOTE (|Finite|)))) 
+(|TriangularSetCategory| R E V P) 
 ((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{R} be an integral domain and \\axiom{V} a finite ordered set of variables, say \\axiom{X1 < \\spad{X2} < \\spad{...} < Xn}. A set \\axiom{S} of polynomials in \\axiom{R[X1,X2,...,Xn]} is triangular if no elements of \\axiom{S} lies in \\axiom{R}, and if two distinct elements of \\axiom{S} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to \\spad{[1]} for more details. A polynomial \\axiom{P} is reduced w.r.t a non-constant polynomial \\axiom{Q} if the degree of \\axiom{P} in the main variable of \\axiom{Q} is less than the main degree of \\axiom{Q}. A polynomial \\axiom{P} is reduced w.r.t a triangular set \\axiom{T} if it is reduced w.r.t. every polynomial of \\axiom{T}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(ts)} returns \\axiom{size()\\$V} minus \\axiom{\\#ts}.")) (|extend| (($ $ |#4|) "\\axiom{extend(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#4|) "\\axiom{extendIfCan(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#4| "failed") $ |#3|) "\\axiom{select(ts,v)} returns the polynomial of \\axiom{ts} with \\axiom{v} as main variable, if any.")) (|algebraic?| (((|Boolean|) |#3| $) "\\axiom{algebraic?(v,ts)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ts}.")) (|algebraicVariables| (((|List| |#3|) $) "\\axiom{algebraicVariables(ts)} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{ts}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(ts)} returns the polynomials of \\axiom{ts} with smaller main variable than \\axiom{mvar(ts)} if \\axiom{ts} is not empty, otherwise returns \"failed\"")) (|last| (((|Union| |#4| "failed") $) "\\axiom{last(ts)} returns the polynomial of \\axiom{ts} with smallest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#4| "failed") $) "\\axiom{first(ts)} returns the polynomial of \\axiom{ts} with greatest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) "\\axiom{zeroSetSplitIntoTriangularSystems(lp)} returns a list of triangular systems \\axiom{[[ts1,qs1],...,[tsn,qsn]]} such that the zero set of \\axiom{lp} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{ts} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#4|)) "\\axiom{zeroSetSplit(lp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{lp} is the union of the closures of the regular zero sets of the members of \\axiom{lts}.")) (|reduceByQuasiMonic| ((|#4| |#4| $) "\\axiom{reduceByQuasiMonic(p,ts)} returns the same as \\axiom{remainder(p,collectQuasiMonic(ts)).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(ts)} returns the subset of \\axiom{ts} consisting of the polynomials with initial in \\axiom{R}.")) (|removeZero| ((|#4| |#4| $) "\\axiom{removeZero(p,ts)} returns \\axiom{0} if \\axiom{p} reduces to \\axiom{0} by pseudo-division w.r.t \\axiom{ts} otherwise returns a polynomial \\axiom{q} computed from \\axiom{p} by removing any coefficient in \\axiom{p} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#4| |#4| $) "\\axiom{initiallyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|headReduce| ((|#4| |#4| $) "\\axiom{headReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{headReduce?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|stronglyReduce| ((|#4| |#4| $) "\\axiom{stronglyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{stronglyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{rewriteSetWithReduction(lp,ts,redOp,redOp?)} returns a list \\axiom{lq} of polynomials such that \\axiom{[reduce(p,ts,redOp,redOp?) for \\spad{p} in lp]} and \\axiom{lp} have the same zeros inside the regular zero set of \\axiom{ts}. Moreover, for every polynomial \\axiom{q} in \\axiom{lq} and every polynomial \\axiom{t} in \\axiom{ts} \\axiom{redOp?(q,t)} holds and there exists a polynomial \\axiom{p} in the ideal generated by \\axiom{lp} and a product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|reduce| ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduce(p,ts,redOp,redOp?)} returns a polynomial \\axiom{r} such that \\axiom{redOp?(r,p)} holds for every \\axiom{p} of \\axiom{ts} and there exists some product \\axiom{h} of the initials of the members of \\axiom{ts} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) "\\axiom{autoReduced?(ts,redOp?)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{p} of \\axiom{ts}. \\axiom{p} and all its iterated initials are reduced w.r.t. to the other elements of \\axiom{ts} with the same main variable.") (((|Boolean|) |#4| $) "\\axiom{initiallyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials are reduced w.r.t. to the elements of \\axiom{ts} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#4| $) "\\axiom{headReduced?(p,ts)} returns \\spad{true} iff the head of \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(ts)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#4| $) "\\axiom{stronglyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduced?(p,ts,redOp?)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t.in the sense of the operation \\axiom{redOp?}, that is if for every \\axiom{t} in \\axiom{ts} \\axiom{redOp?(p,t)} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(ts)} returns \\spad{true} iff for every axiom{p} in \\axiom{ts} we have \\axiom{normalized?(p,us)} where \\axiom{us} is \\axiom{collectUnder(ts,mvar(p))}.") (((|Boolean|) |#4| $) "\\axiom{normalized?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials have degree zero w.r.t. the main variables of the polynomials of \\axiom{ts}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) "\\axiom{quasiComponent(ts)} returns \\axiom{[lp,lq]} where \\axiom{lp} is the list of the members of \\axiom{ts} and \\axiom{lq}is \\axiom{initials(ts)}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(ts)} returns the product of main degrees of the members of \\axiom{ts}.")) (|initials| (((|List| |#4|) $) "\\axiom{initials(ts)} returns the list of the non-constant initials of the members of \\axiom{ts}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(ps,pred?,redOp?)} returns the same as \\axiom{basicSet(qs,redOp?)} where \\axiom{qs} consists of the polynomials of \\axiom{ps} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(ps,redOp?)} returns \\axiom{[bs,ts]} where \\axiom{concat(bs,ts)} is \\axiom{ps} and \\axiom{bs} is a basic set in Wu Wen Tsun sense of \\axiom{ps} w.r.t the reduction-test \\axiom{redOp?}, if no non-zero constant polynomial lie in \\axiom{ps}, otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(ts1,ts2)} returns \\spad{true} iff \\axiom{ts2} has higher rank than \\axiom{ts1} in Wu Wen Tsun sense."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1220 |Coef|) 
+(|TaylorSeries| |Coef|) 
 ((|constructor| (NIL "\\spadtype{TaylorSeries} is a general multivariate Taylor series domain over the ring Coef and with variables of type Symbol.")) (|fintegrate| (($ (|Mapping| $) (|Symbol|) |#1|) "\\spad{fintegrate(f,v,c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ (|Symbol|) |#1|) "\\spad{integrate(s,v,c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(s)} regroups terms of \\spad{s} by total degree \\indented{1}{and forms a series.}") (($ (|Symbol|)) "\\spad{coerce(s)} converts a variable to a Taylor series")) (|coefficient| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{coefficient(s, \\spad{n)}} gives the terms of total degree \\spad{n.}"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-582))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-1221 |Curve|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|TubePlot| |Curve|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves. Domain of tubes around 3-dimensional parametric curves.")) (|tube| (($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)) "\\spad{tube(c,ll,b)} creates a tube of the domain \\spadtype{TubePlot} from a space curve \\spad{c} of the category \\spadtype{PlottableSpaceCurveCategory}, a list of lists of points (loops) \\spad{ll} and a boolean \\spad{b} which if \\spad{true} indicates a closed tube, or if \\spad{false} an open tube.")) (|setClosed| (((|Boolean|) $ (|Boolean|)) "\\spad{setClosed(t,b)} declares the given tube plot \\spad{t} to be closed if \\spad{b} is true, or if \\spad{b} is false, \\spad{t} is set to be open.")) (|open?| (((|Boolean|) $) "\\spad{open?(t)} tests whether the given tube plot \\spad{t} is open.")) (|closed?| (((|Boolean|) $) "\\spad{closed?(t)} tests whether the given tube plot \\spad{t} is closed.")) (|listLoops| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listLoops(t)} returns the list of lists of points, or the 'loops', of the given tube plot \\spad{t.}")) (|getCurve| ((|#1| $) "\\spad{getCurve(t)} returns the \\spadtype{PlottableSpaceCurveCategory} representing the parametric curve of the given tube plot \\spad{t.}"))) 
 NIL 
 NIL 
-(-1222) 
+(|TubePlotTools|) 
 ((|constructor| (NIL "Tools for constructing tubes around 3-dimensional parametric curves.")) (|loopPoints| (((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))) "\\spad{loopPoints(p,n,b,r,lls)} creates and returns a list of points which form the loop with radius \\spad{r,} around the center point indicated by the point \\spad{p,} with the principal normal vector of the space curve at point \\spad{p} given by the point(vector) \\spad{n,} and the binormal vector given by the point(vector) \\spad{b,} and a list of lists, lls, which is the \\spadfun{cosSinInfo} of the number of points defining the loop.")) (|cosSinInfo| (((|List| (|List| (|DoubleFloat|))) (|Integer|)) "\\spad{cosSinInfo(n)} returns the list of lists of values for \\spad{n,} in the form \\spad{[[cos(n-1) a,sin(n-1) a],...,[cos 2 a,sin 2 a],[cos a,sin a]]} where \\spad{a = 2 pi/n}. Note that \\spad{n} should be greater than 2.")) (|unitVector| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{unitVector(p)} creates the unit vector of the point \\spad{p} and returns the result as a point. Note that \\spad{unitVector(p) = p/|p|}.")) (|cross| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{cross(p,q)} computes the cross product of the two points \\spad{p} and \\spad{q} using only the first three coordinates, and keeping the color of the first point \\spad{p.} The result is returned as a point.")) (|dot| (((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{dot(p,q)} computes the dot product of the two points \\spad{p} and \\spad{q} using only the first three coordinates, and returns the resulting \\spadtype{DoubleFloat}.")) (- (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p - \\spad{q}} computes and returns a point whose coordinates are the differences of the coordinates of two points \\spad{p} and \\spad{q}, using the color, or fourth coordinate, of the first point \\spad{p} as the color also of the point \\spad{q}.")) (+ (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p + \\spad{q}} computes and returns a point whose coordinates are the sums of the coordinates of the two points \\spad{p} and \\spad{q}, using the color, or fourth coordinate, of the first point \\spad{p} as the color also of the point \\spad{q}.")) (* (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|))) "\\spad{s * \\spad{p}} returns a point whose coordinates are the scalar multiple of the point \\spad{p} by the scalar \\spad{s,} preserving the color, or fourth coordinate, of \\spad{p.}")) (|point| (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{point(x1,x2,x3,c)} creates and returns a point from the three specified coordinates \\spad{x1}, \\spad{x2}, \\spad{x3}, and also a fourth coordinate, \\spad{c,} which is generally used to specify the color of the point."))) 
 NIL 
 NIL 
-(-1223 S) 
+(|Tuple| S) 
 ((|constructor| (NIL "This domain is used to interface with the interpreter's notion of comma-delimited sequences of values.")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{length(x) returns the number of elements in tuple \\spad{x}} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer) \\spad{X} length(t2)")) (|select| ((|#1| $ (|NonNegativeInteger|)) "\\indented{1}{select(x,n) returns the \\spad{n}-th element of tuple \\spad{x.}} \\indented{1}{tuples are 0-based} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer) \\spad{X} select(t2,3)")) (|coerce| (($ (|PrimitiveArray| |#1|)) "\\indented{1}{coerce(a) makes a tuple from primitive array a} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer)"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1119)))) 
-(-1224 -3958) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|)))) 
+(|TwoFactorize| F) 
 ((|constructor| (NIL "A basic package for the factorization of bivariate polynomials over a finite field. The functions here represent the base step for the multivariate factorizer.")) (|twoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)) "\\spad{twoFactor(p,n)} returns the factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.} Also, \\spad{p} is assumed primitive and square-free and \\spad{n} is the degree of the inner variable of \\spad{p} (maximum of the degrees of the coefficients of \\spad{p).}")) (|generalSqFr| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalSqFr(p)} returns the square-free factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.}")) (|generalTwoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalTwoFactor(p)} returns the factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.}"))) 
 NIL 
 NIL 
-(-1225) 
+(|Type|) 
 ((|constructor| (NIL "The fundamental Type."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-1226) 
+(|U16Matrix|) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 16-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U16Matrix()"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-592) (QUOTE (-1119))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-582))) (|HasAttribute| (-592) (QUOTE (-4627 "*"))) (|HasCategory| (-592) (QUOTE (-194))) (|HasCategory| (-592) (QUOTE (-388)))) 
-(-1227) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegralDomain|))) (|HasAttribute| (|Integer|) (QUOTE (|commutative| "*"))) (|HasCategory| (|Integer|) (QUOTE (|CommutativeRing|))) (|HasCategory| (|Integer|) (QUOTE (|Field|)))) 
+(|U16Vector|) 
 ((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U16Vector \\spad{X} fill!(t1,9)"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-592) (QUOTE (-1119))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-1119)))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-869)))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))))) 
-(-1228) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|SetCategory|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))))) 
+(|U32Matrix|) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 32-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U32Matrix()"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-592) (QUOTE (-1119))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-582))) (|HasAttribute| (-592) (QUOTE (-4627 "*"))) (|HasCategory| (-592) (QUOTE (-194))) (|HasCategory| (-592) (QUOTE (-388)))) 
-(-1229) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegralDomain|))) (|HasAttribute| (|Integer|) (QUOTE (|commutative| "*"))) (|HasCategory| (|Integer|) (QUOTE (|CommutativeRing|))) (|HasCategory| (|Integer|) (QUOTE (|Field|)))) 
+(|U32Vector|) 
 ((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U32Vector \\spad{X} fill!(t1,9)"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-592) (QUOTE (-1119))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-1119)))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-869)))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))))) 
-(-1230) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|SetCategory|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))))) 
+(|U8Matrix|) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 8-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U8Matrix()"))) 
-((-4625 . T) (-4626 . T)) 
-((|HasCategory| (-592) (QUOTE (-1119))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-323))) (|HasCategory| (-592) (QUOTE (-582))) (|HasAttribute| (-592) (QUOTE (-4627 "*"))) (|HasCategory| (-592) (QUOTE (-194))) (|HasCategory| (-592) (QUOTE (-388)))) 
-(-1231) 
+((|finiteAggregate| . T) (|shallowlyMutable| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|SetCategory|))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|EuclideanDomain|))) (|HasCategory| (|Integer|) (QUOTE (|IntegralDomain|))) (|HasAttribute| (|Integer|) (QUOTE (|commutative| "*"))) (|HasCategory| (|Integer|) (QUOTE (|CommutativeRing|))) (|HasCategory| (|Integer|) (QUOTE (|Field|)))) 
+(|U8Vector|) 
 ((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U8Vector \\spad{X} fill!(t1,9)"))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| (-592) (QUOTE (-1119))) (|HasCategory| (-592) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| (-592) (QUOTE (-869))) (-3836 (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| (-592) (QUOTE (-1119)))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-869)))) (-12 (|HasCategory| (-592) (LIST (QUOTE -325) (QUOTE (-592)))) (|HasCategory| (-592) (QUOTE (-1119)))))) 
-(-1232 S) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| (|Integer|) (QUOTE (|SetCategory|))) (|HasCategory| (|Integer|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (OR (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|)))) (AND (|HasCategory| (|Integer|) (LIST (QUOTE |Evalable|) (QUOTE (|Integer|)))) (|HasCategory| (|Integer|) (QUOTE (|SetCategory|)))))) 
+(|UserDefinedPartialOrdering| S) 
 ((|constructor| (NIL "Provides functions to force a partial ordering on any set.")) (|more?| (((|Boolean|) |#1| |#1|) "\\spad{more?(a, \\spad{b)}} compares a and \\spad{b} in the partial ordering induced by setOrder, and uses the ordering on \\spad{S} if a and \\spad{b} are not comparable in the partial ordering.")) (|userOrdered?| (((|Boolean|)) "\\spad{userOrdered?()} tests if the partial ordering induced by setOrder is not empty.")) (|largest| ((|#1| (|List| |#1|)) "\\spad{largest \\spad{l}} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by the ordering on \\spad{S.}") ((|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{largest(l, fn)} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by \\spad{fn.}")) (|less?| (((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{less?(a, \\spad{b,} fn)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder, and returns \\spad{fn(a, \\spad{b)}} if \\spad{a} and \\spad{b} are not comparable in that ordering.") (((|Union| (|Boolean|) "failed") |#1| |#1|) "\\spad{less?(a, \\spad{b)}} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder.")) (|getOrder| (((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|)))) "\\spad{getOrder()} returns \\spad{[[b1,...,bm], [a1,...,an]]} such that the partial ordering on \\spad{S} was given by \\spad{setOrder([b1,...,bm],[a1,...,an])}.")) (|setOrder| (((|Void|) (|List| |#1|) (|List| |#1|)) "\\spad{setOrder([b1,...,bm], [a1,...,an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{b1 < \\spad{b2} < \\spad{...} < \\spad{bm} < \\spad{a1} < \\spad{a2} < \\spad{...} < an}.} \\indented{3}{(2)\\space{2}\\spad{bj < \\spad{c} < ai}\\space{2}for \\spad{c} not among the ai's and bj's.} \\indented{3}{(3)\\space{2}undefined on \\spad{(c,d)} if neither is among the ai's,bj's.}") (((|Void|) (|List| |#1|)) "\\spad{setOrder([a1,...,an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{a1 < \\spad{a2} < \\spad{...} < an}.} \\indented{3}{(2)\\space{2}\\spad{b < ai\\space{3}for \\spad{i} = 1..n} and \\spad{b} not among the ai's.} \\indented{3}{(3)\\space{2}undefined on \\spad{(b, \\spad{c)}} if neither is among the ai's.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-869)))) 
-(-1233) 
+((|HasCategory| |#1| (QUOTE (|OrderedSet|)))) 
+(|UserDefinedVariableOrdering|) 
 ((|constructor| (NIL "This packages provides functions to allow the user to select the ordering on the variables and operators for displaying polynomials, fractions and expressions. The ordering affects the display only and not the computations.")) (|resetVariableOrder| (((|Void|)) "\\spad{resetVariableOrder()} cancels any previous use of setVariableOrder and returns to the default system ordering.")) (|getVariableOrder| (((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) "\\spad{getVariableOrder()} returns \\spad{[[b1,...,bm], [a1,...,an]]} such that the ordering on the variables was given by \\spad{setVariableOrder([b1,...,bm], [a1,...,an])}.")) (|setVariableOrder| (((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|))) "\\spad{setVariableOrder([b1,...,bm], [a1,...,an])} defines an ordering on the variables given by \\spad{b1 > \\spad{b2} > \\spad{...} > \\spad{bm} \\spad{>}} other variables \\spad{> \\spad{a1} > \\spad{a2} > \\spad{...} > an}.") (((|Void|) (|List| (|Symbol|))) "\\spad{setVariableOrder([a1,...,an])} defines an ordering on the variables given by \\spad{a1 > \\spad{a2} > \\spad{...} > an > other variables}."))) 
 NIL 
 NIL 
-(-1234 S) 
+(|UniqueFactorizationDomain&| S) 
 ((|constructor| (NIL "A constructive unique factorization domain, \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring, \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
 NIL 
 NIL 
-(-1235) 
+(|UniqueFactorizationDomain|) 
 ((|constructor| (NIL "A constructive unique factorization domain, \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring, \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
-((-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1236 |Coef|) 
+(|UnivariateFormalPowerSeriesFunctions| |Coef|) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1237 |Coef|) 
+(|UnivariateFormalPowerSeries| |Coef|) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|))))) (|HasCategory| (-790) (QUOTE (-1131))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1238 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|))))) (|HasCategory| (|NonNegativeInteger|) (QUOTE (|SemiGroup|))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|UnivariateLaurentSeriesFunctions2| |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
 ((|constructor| (NIL "Mapping package for univariate Laurent series This package allows one to apply a function to the coefficients of a univariate Laurent series.")) (|map| (((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of the Laurent series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1239 |Coef|) 
+(|UnivariateLaurentSeriesCategory| |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateLaurentSeriesCategory} is the category of Laurent series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) "\\spad{rationalFunction(f,k1,k2)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) "\\spad{rationalFunction(f,k)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{<=} \\spad{k.}")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = n0..infinity,a[n] * x**n)) = sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Puiseux series are represented by a Laurent series and an exponent.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1240 S |Coef| UTS) 
+(|UnivariateLaurentSeriesConstructorCategory&| S |Coef| UTS) 
 ((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#3| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. If this is not possible, \"failed\" is returned.")) (|taylor| ((|#3| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#3| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)}, where \\spad{f = x**n * g(x)} is represented by \\spad{[n,g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)}, which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#3|) "\\spad{laurent(n,f(x))} returns \\spad{x**n * f(x)}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-388)))) 
-(-1241 |Coef| UTS) 
+((|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|UnivariateLaurentSeriesConstructorCategory| |Coef| UTS) 
 ((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#2| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. If this is not possible, \"failed\" is returned.")) (|taylor| ((|#2| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#2| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)}, where \\spad{f = x**n * g(x)} is represented by \\spad{[n,g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)}, which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#2|) "\\spad{laurent(n,f(x))} returns \\spad{x**n * f(x)}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-2623 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|nil| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1242 |Coef| UTS) 
+(|UnivariateLaurentSeriesConstructor| |Coef| UTS) 
 ((|constructor| (NIL "This package enables one to construct a univariate Laurent series domain from a univariate Taylor series domain. Univariate Laurent series are represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| (-592) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-171))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-171))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-247)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|))))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1049)))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1165)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-869)))) (-3836 (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-869))))) (|HasCategory| |#2| (QUOTE (-931))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-574)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-323)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-169))) (-3836 (|HasCategory| |#1| (QUOTE (-169))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-169))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -303) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -325) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -547) (QUOTE (-1191)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-1191))))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1165))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#1| (QUOTE (-169))) (-12 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-169)))))) 
-(-1243 |Coef| |var| |cen|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| (|Integer|) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))))) (OR (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|))))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|RealConstant|)))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedIntegralDomain|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|StepThrough|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |Eltable|) (|devaluate| |#2|) (|devaluate| |#2|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#2|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) (OR (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedIntegralDomain|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|IntegerNumberSystem|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|EuclideanDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |Eltable|) (|devaluate| |#2|) (|devaluate| |#2|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |Evalable|) (|devaluate| |#2|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (|devaluate| |#2|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|))))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedIntegralDomain|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|RealConstant|)))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|StepThrough|))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|)))))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (AND (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|)))))) 
+(|UnivariateLaurentSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Laurent series in one variable \\spadtype{UnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{UnivariateLaurentSeries(Integer,x,3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4627 "*") -3836 (-1732 (|has| |#1| (-388)) (|has| (-1271 |#1| |#2| |#3|) (-842))) (|has| |#1| (-194)) (-1732 (|has| |#1| (-388)) (|has| (-1271 |#1| |#2| |#3|) (-931)))) (-4618 -3836 (-1732 (|has| |#1| (-388)) (|has| (-1271 |#1| |#2| |#3|) (-842))) (|has| |#1| (-582)) (-1732 (|has| |#1| (-388)) (|has| (-1271 |#1| |#2| |#3|) (-931)))) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| (-592) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-171))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-171)))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|)))))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-247))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-592)) (|devaluate| |#1|))))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-1165))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -325) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-574))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-323))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-169))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-169)))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-194)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-388))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -303) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -325) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -547) (QUOTE (-1191)) (LIST (QUOTE -1271) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-1191)))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-1165))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|)))))) (-3836 (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-931))) (|HasCategory| |#1| (QUOTE (-388)))) (-12 (|HasCategory| (-1271 |#1| |#2| |#3|) (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-388)))) (|HasCategory| |#1| (QUOTE (-169))))) 
-(-1244 ZP) 
+(((|commutative| "*") OR (|and| (|has| |#1| (|Field|)) (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|))) (|has| |#1| (|CommutativeRing|)) (|and| (|has| |#1| (|Field|)) (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)))) (|noZeroDivisors| OR (|and| (|has| |#1| (|Field|)) (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|))) (|has| |#1| (|IntegralDomain|)) (|and| (|has| |#1| (|Field|)) (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)))) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| (|Integer|) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicZero|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|)))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|)))))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|DifferentialRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|Integer|)) (|devaluate| |#1|))))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|RealConstant|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|StepThrough|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|IntegerNumberSystem|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|EuclideanDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|)))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Field|))))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Eltable|) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |Evalable|) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |InnerEvalable|) (QUOTE (|Symbol|)) (LIST (QUOTE |UnivariateTaylorSeries|) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Symbol|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedIntegralDomain|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|RealConstant|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|StepThrough|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|)))))) (OR (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (AND (|HasCategory| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|Field|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))))) 
+(|UnivariateFactorize| ZP) 
 ((|constructor| (NIL "Package for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" (HENSEL) the factorization over a finite field.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(m,flag)} returns the factorization of \\spad{m,} FinalFact is a Record s.t. FinalFact.contp=content \\spad{m,} FinalFact.factors=List of irreducible factors of \\spad{m} with exponent ,{} if \\spad{flag} =true the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(m)} returns the factorization of \\spad{m} square free polynomial")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(m)} returns the factorization of \\spad{m}"))) 
 NIL 
 NIL 
-(-1245 R S) 
+(|UniversalSegmentFunctions2| R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,s)} expands the segment \\spad{s,} applying \\spad{f} to each value.") (((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,seg)} returns the new segment obtained by applying \\spad{f} to the endpoints of seg."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-867)))) 
-(-1246 S) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|)))) 
+(|UniversalSegment| S) 
 ((|constructor| (NIL "This domain provides segments which may be half open. That is, ranges of the form \\spad{a..} or \\spad{a..b}.")) (|hasHi| (((|Boolean|) $) "\\spad{hasHi(s)} tests whether the segment \\spad{s} has an upper bound.")) (|coerce| (($ (|Segment| |#1|)) "\\spad{coerce(x)} allows \\spadtype{Segment} values to be used as \\spad{%.}")) (|segment| (($ |#1|) "\\spad{segment(l)} is an alternate way to construct the segment \\spad{l..}.")) (SEGMENT (($ |#1|) "\\spad{l..} produces a half open segment, that is, one with no upper bound."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-867))) (|HasCategory| |#1| (QUOTE (-1119)))) 
-(-1247 |x| R |y| S) 
+((|HasCategory| |#1| (QUOTE (|OrderedRing|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) 
+(|UnivariatePolynomialFunctions2| |x| R |y| S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from \\spadtype{UnivariatePolynomial}(x,R) to \\spadtype{UnivariatePolynomial}(y,S). Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)) "\\spad{map(func, poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1248 R Q UP) 
+(|UnivariatePolynomialCommonDenominator| R Q UP) 
 ((|constructor| (NIL "UnivariatePolynomialCommonDenominator provides functions to compute the common denominator of the coefficients of univariate polynomials over the quotient field of a \\spad{gcd} domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator(q)} returns \\spad{[p, \\spad{d]}} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the coefficients of \\spad{q.}")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the coefficients of \\spad{q.}")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the coefficients of \\spad{q.}"))) 
 NIL 
 NIL 
-(-1249 R UP) 
+(|UnivariatePolynomialDecompositionPackage| R UP) 
 ((|constructor| (NIL "UnivariatePolynomialDecompositionPackage implements functional decomposition of univariate polynomial with coefficients in an \\spad{IntegralDomain} of \\spad{CharacteristicZero}.")) (|monicCompleteDecompose| (((|List| |#2|) |#2|) "\\spad{monicCompleteDecompose(f)} returns a list of factors of \\spad{f} for the functional decomposition \\spad{([} \\spad{f1,} ..., \\spad{fn} ] means \\spad{f} = \\spad{f1} \\spad{o} \\spad{...} \\spad{o} fn).")) (|monicDecomposeIfCan| (((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|) "\\spad{monicDecomposeIfCan(f)} returns a functional decomposition of the monic polynomial \\spad{f} of \"failed\" if it has not found any.")) (|leftFactorIfCan| (((|Union| |#2| "failed") |#2| |#2|) "\\spad{leftFactorIfCan(f,h)} returns the left factor \\spad{(g} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of the functional decomposition of the polynomial \\spad{f} with given \\spad{h} or \\spad{\"failed\"} if \\spad{g} does not exist.")) (|rightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|) "\\spad{rightFactorIfCan(f,d,c)} returns a candidate to be the right factor \\spad{(h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of degree \\spad{d} with leading coefficient \\spad{c} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate.")) (|monicRightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|)) "\\spad{monicRightFactorIfCan(f,d)} returns a candidate to be the monic right factor \\spad{(h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of degree \\spad{d} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate."))) 
 NIL 
 NIL 
-(-1250 R UP) 
+(|UnivariatePolynomialDivisionPackage| R UP) 
 ((|constructor| (NIL "UnivariatePolynomialDivisionPackage provides a division for non monic univarite polynomials with coefficients in an \\spad{IntegralDomain}.")) (|divideIfCan| (((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|) "\\spad{divideIfCan(f,g)} returns quotient and remainder of the division of \\spad{f} by \\spad{g} or \"failed\" if it has not succeeded."))) 
 NIL 
 NIL 
-(-1251 R U) 
+(|UnivariatePolynomialMultiplicationPackage| R U) 
 ((|constructor| (NIL "This package implements Karatsuba's trick for multiplying (large) univariate polynomials. It could be improved with a version doing the work on place and also with a special case for squares. We've done this in Basicmath, but we believe that this out of the scope of AXIOM.")) (|karatsuba| ((|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{karatsuba(a,b,l,k)} returns \\spad{a*b} by applying Karatsuba's trick provided that both \\spad{a} and \\spad{b} have at least \\spad{l} terms and \\spad{k > 0} holds and by calling \\spad{noKaratsuba} otherwise. The other multiplications are performed by recursive calls with the same third argument and \\spad{k-1} as fourth argument.")) (|karatsubaOnce| ((|#2| |#2| |#2|) "\\spad{karatsuba(a,b)} returns \\spad{a*b} by applying Karatsuba's trick once. The other multiplications are performed by calling \\spad{*} from \\spad{U}.")) (|noKaratsuba| ((|#2| |#2| |#2|) "\\spad{noKaratsuba(a,b)} returns \\spad{a*b} without using Karatsuba's trick at all."))) 
 NIL 
 NIL 
-(-1252 |x| R) 
+(|UnivariatePolynomial| |x| R) 
 ((|constructor| (NIL "This domain represents univariate polynomials in some symbol over arbitrary (not necessarily commutative) coefficient rings. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field, then this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4627 "*") |has| |#2| (-194)) (-4618 |has| |#2| (-582)) (-4621 |has| |#2| (-388)) (-4623 |has| |#2| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-931))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-582)))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-405)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-405))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -908) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -908) (QUOTE (-592))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-405)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -633) (LIST (QUOTE -914) (QUOTE (-592)))))) (-12 (|HasCategory| (-1103) (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-565))))) (|HasCategory| |#2| (QUOTE (-869))) (|HasCategory| |#2| (LIST (QUOTE -654) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-171))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-1165))) (|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (-3836 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| |#2| (QUOTE (-247))) (|HasAttribute| |#2| (QUOTE -4623)) (|HasCategory| |#2| (QUOTE (-477))) (-3836 (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-931)))) (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (-3836 (-12 (|HasCategory| $ (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-931)))) (|HasCategory| |#2| (QUOTE (-169))))) 
-(-1253 R PR S PS) 
+(((|commutative| "*") |has| |#2| (|CommutativeRing|)) (|noZeroDivisors| |has| |#2| (|IntegralDomain|)) (|additiveValuation| |has| |#2| (|Field|)) (|canonicalUnitNormal| |has| |#2| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Float|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |PatternMatchable|) (QUOTE (|Integer|))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Float|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (LIST (QUOTE |Pattern|) (QUOTE (|Integer|)))))) (AND (|HasCategory| (|SingletonAsOrderedSet|) (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#2| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|))))) (|HasCategory| |#2| (QUOTE (|OrderedSet|))) (|HasCategory| |#2| (LIST (QUOTE |LinearlyExplicitRingOver|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (OR (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (OR (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|StepThrough|))) (|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (OR (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| |#2| (QUOTE (|DifferentialRing|))) (|HasAttribute| |#2| (QUOTE |canonicalUnitNormal|)) (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (OR (AND (|HasCategory| $ (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|PolynomialFactorizationExplicit|)))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))))) 
+(|UnivariatePolynomialCategoryFunctions2| R PR S PS) 
 ((|constructor| (NIL "Mapping from polynomials over \\spad{R} to polynomials over \\spad{S} given a map from \\spad{R} to \\spad{S} assumed to send zero to zero.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f, \\spad{p)}} takes a function \\spad{f} from \\spad{R} to \\spad{S,} and applies it to each (non-zero) coefficient of a polynomial \\spad{p} over \\spad{R,} getting a new polynomial over \\spad{S.} Note that since the map is not applied to zero elements, it may map zero to zero."))) 
 NIL 
 NIL 
-(-1254 S R) 
+(|UnivariatePolynomialCategory&| S R) 
 ((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R.} No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(b)")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p, \\spad{q)}} returns \\spad{[a, \\spad{b]}} such that polynomial \\spad{p = a \\spad{b}} and \\spad{a} is relatively prime to \\spad{q.}")) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,q)} returns \\spad{[c, \\spad{q,} r]}, when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1) = \\spad{c} * \\spad{p}} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,q)} returns \\spad{r,} the quotient when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f, \\spad{q)}} returns \\spad{h} if \\spad{f} = h(q), and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p, \\spad{q)}} returns \\spad{h} if \\spad{p = h(q)}, and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p, \\spad{q)}} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#2| (|Fraction| $) |#2|) "\\spad{elt(a,r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r.}") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b.}")) (|resultant| ((|#2| $ $) "\\spad{resultant(p,q)} returns the resultant of the polynomials \\spad{p} and \\spad{q.}")) (|discriminant| ((|#2| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) $) "\\spad{differentiate(p, \\spad{d,} x')} extends the R-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x',} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,q)} = \\spad{r,} for polynomials \\spad{p} and \\spad{q,} returns the remainder when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,n)} returns \\spad{p * monomial(1,n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,n)} returns \\spad{monicDivide(p,monomial(1,n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,n)} returns the same as \\spad{monicDivide(p,monomial(1,n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q,} returning the pair \\spad{[quotient, remainder]}. Error: if \\spad{q} isn't monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n,} or \"failed\" if some exponent is not exactly divisible by \\spad{n.}")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n.}")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|unvectorise| (($ (|Vector| |#2|)) "\\indented{1}{unvectorise(v) returns the polynomial which has for coefficients the} \\indented{1}{entries of \\spad{v} in the increasing order.} \\blankline \\spad{X} \\spad{t1:UP(x,FRAC(INT)):=3*x^3+4*x^2+5*x+6} \\spad{X} t2:=vectorise(t1,4) \\spad{X} t3:UP(x,FRAC(INT)):=unvectorise(t2)")) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) "\\indented{1}{vectorise(p, \\spad{n)} returns \\spad{[a0,...,a(n-1)]} where} \\indented{1}{\\spad{p = \\spad{a0} + a1*x + \\spad{...} + a(n-1)*x**(n-1)} + higher order terms.} \\indented{1}{The degree of polynomial \\spad{p} can be different from \\spad{n-1}.} \\blankline \\spad{X} \\spad{t1:UP(x,FRAC(INT)):=3*x^3+4*x^2+5*x+6} \\spad{X} t2:=vectorise(t1,4)"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388))) (|HasCategory| |#2| (QUOTE (-477))) (|HasCategory| |#2| (QUOTE (-582))) (|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (QUOTE (-1165)))) 
-(-1255 R) 
+((|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|))) (|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|))) (|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (QUOTE (|StepThrough|)))) 
+(|UnivariatePolynomialCategory| R) 
 ((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R.} No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(b)")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p, \\spad{q)}} returns \\spad{[a, \\spad{b]}} such that polynomial \\spad{p = a \\spad{b}} and \\spad{a} is relatively prime to \\spad{q.}")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,q)} returns \\spad{[c, \\spad{q,} r]}, when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1) = \\spad{c} * \\spad{p}} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,q)} returns \\spad{r,} the quotient when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f, \\spad{q)}} returns \\spad{h} if \\spad{f} = h(q), and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p, \\spad{q)}} returns \\spad{h} if \\spad{p = h(q)}, and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p, \\spad{q)}} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#1| (|Fraction| $) |#1|) "\\spad{elt(a,r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r.}") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b.}")) (|resultant| ((|#1| $ $) "\\spad{resultant(p,q)} returns the resultant of the polynomials \\spad{p} and \\spad{q.}")) (|discriminant| ((|#1| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p.}")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) $) "\\spad{differentiate(p, \\spad{d,} x')} extends the R-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x',} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,q)} = \\spad{r,} for polynomials \\spad{p} and \\spad{q,} returns the remainder when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,n)} returns \\spad{p * monomial(1,n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,n)} returns \\spad{monicDivide(p,monomial(1,n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,n)} returns the same as \\spad{monicDivide(p,monomial(1,n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q,} returning the pair \\spad{[quotient, remainder]}. Error: if \\spad{q} isn't monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n,} or \"failed\" if some exponent is not exactly divisible by \\spad{n.}")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n.}")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|unvectorise| (($ (|Vector| |#1|)) "\\indented{1}{unvectorise(v) returns the polynomial which has for coefficients the} \\indented{1}{entries of \\spad{v} in the increasing order.} \\blankline \\spad{X} \\spad{t1:UP(x,FRAC(INT)):=3*x^3+4*x^2+5*x+6} \\spad{X} t2:=vectorise(t1,4) \\spad{X} t3:UP(x,FRAC(INT)):=unvectorise(t2)")) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) "\\indented{1}{vectorise(p, \\spad{n)} returns \\spad{[a0,...,a(n-1)]} where} \\indented{1}{\\spad{p = \\spad{a0} + a1*x + \\spad{...} + a(n-1)*x**(n-1)} + higher order terms.} \\indented{1}{The degree of polynomial \\spad{p} can be different from \\spad{n-1}.} \\blankline \\spad{X} \\spad{t1:UP(x,FRAC(INT)):=3*x^3+4*x^2+5*x+6} \\spad{X} t2:=vectorise(t1,4)"))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4621 |has| |#1| (-388)) (-4623 |has| |#1| (-6 -4623)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|additiveValuation| |has| |#1| (|Field|)) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1256 S |Coef| |Expon|) 
+(|UnivariatePowerSeriesCategory&| S |Coef| |Expon|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#2|) $ |#2|) "\\spad{eval(f,a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#3|) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#2| $ |#3|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#3| |#3|) "\\spad{truncate(f,k1,k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (($ $ |#3|) "\\spad{truncate(f,k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| ((|#3| $ |#3|) "\\spad{order(f,n) = min(m,n)}, where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f.}") ((|#3| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f.} This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n.}")) (|center| ((|#2| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f.}")) (|elt| ((|#2| $ |#3|) "\\spad{elt(f(x),r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#3|) (|:| |c| |#2|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms, where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1131))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -1683) (LIST (|devaluate| |#2|) (QUOTE (-1191)))))) 
-(-1257 |Coef| |Expon|) 
+((|HasCategory| |#2| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (|SemiGroup|))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#2|) (QUOTE (|Symbol|)))))) 
+(|UnivariatePowerSeriesCategory| |Coef| |Expon|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#1|) $ |#1|) "\\spad{eval(f,a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#2|) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#1| $ |#2|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#2| |#2|) "\\spad{truncate(f,k1,k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (($ $ |#2|) "\\spad{truncate(f,k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| ((|#2| $ |#2|) "\\spad{order(f,n) = min(m,n)}, where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f.}") ((|#2| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f.} This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n.}")) (|center| ((|#1| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f.}")) (|elt| ((|#1| $ |#2|) "\\spad{elt(f(x),r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms, where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1258 RC P) 
+(|UnivariatePolynomialSquareFree| RC P) 
 ((|constructor| (NIL "This package provides for square-free decomposition of univariate polynomials over arbitrary rings, \\spadignore{i.e.} a partial factorization such that each factor is a product of irreducibles with multiplicity one and the factors are pairwise relatively prime. If the ring has characteristic zero, the result is guaranteed to satisfy this condition. If the ring is an infinite ring of finite characteristic, then it may not be possible to decide when polynomials contain factors which are \\spad{p}th powers. In this case, the flag associated with that polynomial is set to \"nil\" (meaning that that polynomials are not guaranteed to be square-free).")) (|BumInSepFFE| (((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))) "\\spad{BumInSepFFE(f)} is a local function, exported only because it has multiple conditional definitions.")) (|squareFreePart| ((|#2| |#2|) "\\spad{squareFreePart(p)} returns a polynomial which has the same irreducible factors as the univariate polynomial \\spad{p,} but each factor has multiplicity one.")) (|squareFree| (((|Factored| |#2|) |#2|) "\\spad{squareFree(p)} computes the square-free factorization of the univariate polynomial \\spad{p.} Each factor has no repeated roots, and the factors are pairwise relatively prime.")) (|gcd| (($ $ $) "\\spad{gcd(p,q)} computes the greatest-common-divisor of \\spad{p} and \\spad{q.}"))) 
 NIL 
 NIL 
-(-1259 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+(|UnivariatePuiseuxSeriesFunctions2| |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
 ((|constructor| (NIL "Mapping package for univariate Puiseux series. This package allows one to apply a function to the coefficients of a univariate Puiseux series.")) (|map| (((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of the Puiseux series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1260 |Coef|) 
+(|UnivariatePuiseuxSeriesCategory| |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePuiseuxSeriesCategory} is the category of Puiseux series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),var)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{var}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by rational numbers.")) (|multiplyExponents| (($ $ (|Fraction| (|Integer|))) "\\spad{multiplyExponents(f,r)} multiplies all exponents of the power series \\spad{f} by the positive rational number \\spad{r.}")) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) "\\spad{series(n,st)} creates a series from a common denomiator and a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents and \\spad{n} should be a common denominator for the exponents in the stream of terms."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1261 S |Coef| ULS) 
+(|UnivariatePuiseuxSeriesConstructorCategory&| S |Coef| ULS) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#3| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible, \"failed\" is returned.")) (|laurent| ((|#3| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)}, which may have zero as a coefficient.")) (|laurentRep| ((|#3| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#3|) "\\spad{puiseux(r,f(x))} returns \\spad{f(x^r)}."))) 
 NIL 
 NIL 
-(-1262 |Coef| ULS) 
+(|UnivariatePuiseuxSeriesConstructorCategory| |Coef| ULS) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#2| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible, \"failed\" is returned.")) (|laurent| ((|#2| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)}, which may have zero as a coefficient.")) (|laurentRep| ((|#2| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) "\\spad{puiseux(r,f(x))} returns \\spad{f(x^r)}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1263 |Coef| ULS) 
+(|UnivariatePuiseuxSeriesConstructor| |Coef| ULS) 
 ((|constructor| (NIL "This package enables one to construct a univariate Puiseux series domain from a univariate Laurent series domain. Univariate Puiseux series are represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|))))) (|HasCategory| (-433 (-592)) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1264 |Coef| |var| |cen|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|))))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|UnivariatePuiseuxSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Puiseux series in one variable")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4623 |has| |#1| (-388)) (-4617 |has| |#1| (-388)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592))) (|devaluate| |#1|))))) (|HasCategory| (-433 (-592)) (QUOTE (-1131))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (-3836 (|HasCategory| |#1| (QUOTE (-388))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1265 R FE |var| |cen|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|canonicalUnitNormal| |has| |#1| (|Field|)) (|canonicalsClosed| |has| |#1| (|Field|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))) (|devaluate| |#1|))))) (|HasCategory| (|Fraction| (|Integer|)) (QUOTE (|SemiGroup|))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (OR (|HasCategory| |#1| (QUOTE (|Field|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|UnivariatePuiseuxSeriesWithExponentialSingularity| R FE |var| |cen|) 
 ((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent functions with essential singularities. Objects in this domain are sums, where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series. Thus, the elements of this domain are sums of expressions of the form \\spad{g(x) * exp(f(x))}, where g(x) is a univariate Puiseux series and f(x) is a univariate Puiseux series with no terms of non-negative degree.")) (|dominantTerm| (((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $) "\\spad{dominantTerm(f(var))} returns the term that dominates the limiting behavior of \\spad{f(var)} as \\spad{var \\spad{->} cen+} together with a \\spadtype{String} which briefly describes that behavior. The value of the \\spadtype{String} will be \\spad{\"zero\"} (resp. \\spad{\"infinity\"}) if the term tends to zero (resp. infinity) exponentially and will \\spad{\"series\"} if the term is a Puiseux series.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var \\spad{->} cen+,f(var))}."))) 
-(((-4627 "*") |has| (-1264 |#2| |#3| |#4|) (-194)) (-4618 |has| (-1264 |#2| |#3| |#4|) (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| (-1264 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-1264 |#2| |#3| |#4|) (QUOTE (-169))) (|HasCategory| (-1264 |#2| |#3| |#4|) (QUOTE (-171))) (|HasCategory| (-1264 |#2| |#3| |#4|) (QUOTE (-194))) (|HasCategory| (-1264 |#2| |#3| |#4|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-1264 |#2| |#3| |#4|) (LIST (QUOTE -1065) (QUOTE (-592)))) (|HasCategory| (-1264 |#2| |#3| |#4|) (QUOTE (-388))) (|HasCategory| (-1264 |#2| |#3| |#4|) (QUOTE (-477))) (-3836 (|HasCategory| (-1264 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| (-1264 |#2| |#3| |#4|) (LIST (QUOTE -1065) (LIST (QUOTE -433) (QUOTE (-592)))))) (|HasCategory| (-1264 |#2| |#3| |#4|) (QUOTE (-582)))) 
-(-1266 A S) 
+(((|commutative| "*") |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CommutativeRing|)) (|noZeroDivisors| |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (QUOTE (|CharacteristicNonZero|))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (QUOTE (|CharacteristicZero|))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (QUOTE (|CommutativeRing|))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (LIST (QUOTE |RetractableTo|) (QUOTE (|Integer|)))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (QUOTE (|Field|))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (QUOTE (|GcdDomain|))) (OR (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (LIST (QUOTE |RetractableTo|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|)))))) (|HasCategory| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (QUOTE (|IntegralDomain|)))) 
+(|UnaryRecursiveAggregate&| A S) 
 ((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models, though not precisely, a linked list possibly with a single cycle. A node with one children models a non-empty list, with the \\spadfun{value} of the list designating the head, or \\spadfun{first}, of the list, and the child designating the tail, or \\spadfun{rest}, of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates, they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,n)} splits \\spad{u} into two aggregates: \\axiom{v = rest(u,n)} and \\axiom{w = first(u,n)}, returning \\axiom{v}. Note that afterwards \\axiom{rest(u,n)} returns \\axiom{empty()}.")) (|setlast!| ((|#2| $ |#2|) "\\spad{setlast!(u,x)} destructively changes the last element of \\spad{u} to \\spad{x.}")) (|setrest!| (($ $ $) "\\spad{setrest!(u,v)} destructively changes the rest of \\spad{u} to \\spad{v.}")) (|setelt| ((|#2| $ "last" |#2|) "\\spad{setelt(u,\"last\",x)} (also written: \\axiom{u.last \\spad{:=} \\spad{b})} is equivalent to \\axiom{setlast!(u,v)}.") (($ $ "rest" $) "\\spad{setelt(u,\"rest\",v)} (also written: \\axiom{u.rest \\spad{:=} \\spad{v})} is equivalent to \\axiom{setrest!(u,v)}.") ((|#2| $ "first" |#2|) "\\spad{setelt(u,\"first\",x)} (also written: \\axiom{u.first \\spad{:=} \\spad{x})} is equivalent to \\axiom{setfirst!(u,x)}.")) (|setfirst!| ((|#2| $ |#2|) "\\spad{setfirst!(u,x)} destructively changes the first element of a to \\spad{x.}")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry, or nil if none exists. For example, if \\axiom{w = concat(u,v)} is the cyclic list where \\spad{v} is the head of the cycle, \\axiom{cycleSplit!(w)} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to u, and returning \\spad{v.}")) (|concat!| (($ $ |#2|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u. Note that \\axiom{concat!(a,x) = setlast!(a,[x])}.") (($ $ $) "\\spad{concat!(u,v)} destructively concatenates \\spad{v} to the end of u. Note that \\axiom{concat!(u,v) = setlast_!(u,v)}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle, or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate u, or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate u, or \\axiom{empty()} if none exists.")) (|third| ((|#2| $) "\\spad{third(u)} returns the third element of u. Note that \\axiom{third(u) = first(rest(rest(u)))}.")) (|second| ((|#2| $) "\\spad{second(u)} returns the second element of u. Note that \\axiom{second(u) = first(rest(u))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of u. Note that if \\spad{u} is \\axiom{shallowlyMutable}, \\axiom{setrest(tail(u),v) = concat(u,v)}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,n)} returns a copy of the last \\spad{n} (\\axiom{n \\spad{>=} 0}) nodes of u. Note that \\axiom{last(u,n)} is a list of \\spad{n} elements.") ((|#2| $) "\\spad{last(u)} resturn the last element of u. Note that for lists, \\axiom{last(u)=u . (maxIndex u)=u . \\spad{(#} \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,n)} returns the \\axiom{n}th \\spad{(n} \\spad{>=} 0) node of u. Note that \\axiom{rest(u,0) = u}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently, the next node of u).")) (|elt| ((|#2| $ "last") "\\spad{elt(u,\"last\")} (also written: \\axiom{u . last}) is equivalent to last u.") (($ $ "rest") "\\spad{elt(\\%,\"rest\")} (also written: \\axiom{u.rest}) is equivalent to \\axiom{rest u}.") ((|#2| $ "first") "\\spad{elt(u,\"first\")} (also written: \\axiom{u . first}) is equivalent to first u.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,n)} returns a copy of the first \\spad{n} (\\axiom{n \\spad{>=} 0}) elements of u.") ((|#2| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently, the value at the current node).")) (|concat| (($ |#2| $) "\\spad{concat(x,u)} returns aggregate consisting of \\spad{x} followed by the elements of u. Note that if \\axiom{v = concat(x,u)} then \\axiom{x = first \\spad{v}} and \\axiom{u = rest \\spad{v}.}") (($ $ $) "\\spad{concat(u,v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that \\axiom{v = rest(w,\\#a)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4626))) 
-(-1267 S) 
+((|HasAttribute| |#1| (QUOTE |shallowlyMutable|))) 
+(|UnaryRecursiveAggregate| S) 
 ((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models, though not precisely, a linked list possibly with a single cycle. A node with one children models a non-empty list, with the \\spadfun{value} of the list designating the head, or \\spadfun{first}, of the list, and the child designating the tail, or \\spadfun{rest}, of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates, they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,n)} splits \\spad{u} into two aggregates: \\axiom{v = rest(u,n)} and \\axiom{w = first(u,n)}, returning \\axiom{v}. Note that afterwards \\axiom{rest(u,n)} returns \\axiom{empty()}.")) (|setlast!| ((|#1| $ |#1|) "\\spad{setlast!(u,x)} destructively changes the last element of \\spad{u} to \\spad{x.}")) (|setrest!| (($ $ $) "\\spad{setrest!(u,v)} destructively changes the rest of \\spad{u} to \\spad{v.}")) (|setelt| ((|#1| $ "last" |#1|) "\\spad{setelt(u,\"last\",x)} (also written: \\axiom{u.last \\spad{:=} \\spad{b})} is equivalent to \\axiom{setlast!(u,v)}.") (($ $ "rest" $) "\\spad{setelt(u,\"rest\",v)} (also written: \\axiom{u.rest \\spad{:=} \\spad{v})} is equivalent to \\axiom{setrest!(u,v)}.") ((|#1| $ "first" |#1|) "\\spad{setelt(u,\"first\",x)} (also written: \\axiom{u.first \\spad{:=} \\spad{x})} is equivalent to \\axiom{setfirst!(u,x)}.")) (|setfirst!| ((|#1| $ |#1|) "\\spad{setfirst!(u,x)} destructively changes the first element of a to \\spad{x.}")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry, or nil if none exists. For example, if \\axiom{w = concat(u,v)} is the cyclic list where \\spad{v} is the head of the cycle, \\axiom{cycleSplit!(w)} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to u, and returning \\spad{v.}")) (|concat!| (($ $ |#1|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u. Note that \\axiom{concat!(a,x) = setlast!(a,[x])}.") (($ $ $) "\\spad{concat!(u,v)} destructively concatenates \\spad{v} to the end of u. Note that \\axiom{concat!(u,v) = setlast_!(u,v)}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle, or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate u, or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate u, or \\axiom{empty()} if none exists.")) (|third| ((|#1| $) "\\spad{third(u)} returns the third element of u. Note that \\axiom{third(u) = first(rest(rest(u)))}.")) (|second| ((|#1| $) "\\spad{second(u)} returns the second element of u. Note that \\axiom{second(u) = first(rest(u))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of u. Note that if \\spad{u} is \\axiom{shallowlyMutable}, \\axiom{setrest(tail(u),v) = concat(u,v)}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,n)} returns a copy of the last \\spad{n} (\\axiom{n \\spad{>=} 0}) nodes of u. Note that \\axiom{last(u,n)} is a list of \\spad{n} elements.") ((|#1| $) "\\spad{last(u)} resturn the last element of u. Note that for lists, \\axiom{last(u)=u . (maxIndex u)=u . \\spad{(#} \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,n)} returns the \\axiom{n}th \\spad{(n} \\spad{>=} 0) node of u. Note that \\axiom{rest(u,0) = u}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently, the next node of u).")) (|elt| ((|#1| $ "last") "\\spad{elt(u,\"last\")} (also written: \\axiom{u . last}) is equivalent to last u.") (($ $ "rest") "\\spad{elt(\\%,\"rest\")} (also written: \\axiom{u.rest}) is equivalent to \\axiom{rest u}.") ((|#1| $ "first") "\\spad{elt(u,\"first\")} (also written: \\axiom{u . first}) is equivalent to first u.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,n)} returns a copy of the first \\spad{n} (\\axiom{n \\spad{>=} 0}) elements of u.") ((|#1| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently, the value at the current node).")) (|concat| (($ |#1| $) "\\spad{concat(x,u)} returns aggregate consisting of \\spad{x} followed by the elements of u. Note that if \\axiom{v = concat(x,u)} then \\axiom{x = first \\spad{v}} and \\axiom{u = rest \\spad{v}.}") (($ $ $) "\\spad{concat(u,v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that \\axiom{v = rest(w,\\#a)}."))) 
-((-2623 . T)) 
+((|nil| . T)) 
 NIL 
-(-1268 |Coef1| |Coef2| UTS1 UTS2) 
+(|UnivariateTaylorSeriesFunctions2| |Coef1| |Coef2| UTS1 UTS2) 
 ((|constructor| (NIL "Mapping package for univariate Taylor series. This package allows one to apply a function to the coefficients of a univariate Taylor series.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of \\indented{1}{the Taylor series \\spad{g(x)}.}"))) 
 NIL 
 NIL 
-(-1269 S |Coef|) 
+(|UnivariateTaylorSeriesCategory&| S |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#2|) "\\spad{f(x) \\spad{**} a} computes a power of a power series. When the coefficient ring is a field, we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#2|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#2|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|multiplyCoefficients| (($ (|Mapping| |#2| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = 0..infinity,a[n] * x**n))} returns \\spad{sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...} Thus, this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#2|) $) "\\spad{coefficients(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns a stream of coefficients: \\spad{[a0,a1,a2,...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#2|)) "\\spad{series([a0,a1,a2,...])} is the Taylor series \\spad{a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#2|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#2| (QUOTE (-987))) (|HasCategory| |#2| (QUOTE (-1211))) (|HasSignature| |#2| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -3162) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1191))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#2| (QUOTE (-388)))) 
-(-1270 |Coef|) 
+((|HasCategory| |#2| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#2| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#2| (QUOTE (|TranscendentalFunctionCategory|))) (|HasSignature| |#2| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (|Symbol|))))) (|HasCategory| |#2| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#2| (QUOTE (|Field|)))) 
+(|UnivariateTaylorSeriesCategory| |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#1|) "\\spad{f(x) \\spad{**} a} computes a power of a power series. When the coefficient ring is a field, we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = 0..infinity,a[n] * x**n))} returns \\spad{sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...} Thus, this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns a stream of coefficients: \\spad{[a0,a1,a2,...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#1|)) "\\spad{series([a0,a1,a2,...])} is the Taylor series \\spad{a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1271 |Coef| |var| |cen|) 
+(|UnivariateTaylorSeries| |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Taylor series in one variable \\spadtype{UnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spadtype{UnivariateTaylorSeries}(Integer,x,3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,b,f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,b,f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)}, and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = \\spad{x}.} Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x^a) + f(x^(a + \\spad{d))} + \\indented{1}{f(x^(a + 2 \\spad{d))} + \\spad{...} \\spad{}.} \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n))) = exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n = 1..infinity,f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|))))) (|HasCategory| (-790) (QUOTE (-1131))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1272 |Coef| UTS) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|))))) (|HasCategory| (|NonNegativeInteger|) (QUOTE (|SemiGroup|))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|UnivariateTaylorSeriesODESolver| |Coef| UTS) 
 ((|constructor| (NIL "Taylor series solutions of explicit ODE's. This package provides Taylor series solutions to regular linear or non-linear ordinary differential equations of arbitrary order.")) (|mpsode| (((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))) "\\spad{mpsode(r,f)} solves the system of differential equations \\spad{dy[i]/dx =f[i] [x,y[1],y[2],...,y[n]]}, \\spad{y[i](a) = r[i]} for \\spad{i} in 1..n.")) (|ode| ((|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|)) "\\spad{ode(f,cl)} is the solution to \\spad{y<n>=f(y,y',..,y<n-1>)} such that \\spad{y<i>(a) = cl.i} for \\spad{i} in 1..n.")) (|ode2| ((|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|) "\\spad{ode2(f,c0,c1)} is the solution to \\spad{y'' = f(y,y')} such that \\spad{y(a) = \\spad{c0}} and \\spad{y'(a) = c1}.")) (|ode1| ((|#2| (|Mapping| |#2| |#2|) |#1|) "\\spad{ode1(f,c)} is the solution to \\spad{y' = f(y)} such that \\spad{y(a) = \\spad{c}.}")) (|fixedPointExquo| ((|#2| |#2| |#2|) "\\spad{fixedPointExquo(f,g)} computes the exact quotient of \\spad{f} and \\spad{g} using a fixed point computation.")) (|stFuncN| (((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|))) "\\spad{stFuncN(f)} is a local function xported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc2| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|)) "\\spad{stFunc2(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc1| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|)) "\\spad{stFunc1(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user."))) 
 NIL 
 NIL 
-(-1273 -3958 UP L UTS) 
+(|UTSodetools| F UP L UTS) 
 ((|constructor| (NIL "\\spad{RUTSodetools} provides tools to interface with the series ODE solver when presented with linear ODEs.")) (RF2UTS ((|#4| (|Fraction| |#2|)) "\\spad{RF2UTS(f)} converts \\spad{f} to a Taylor series.")) (LODO2FUN (((|Mapping| |#4| (|List| |#4|)) |#3|) "\\spad{LODO2FUN(op)} returns the function to pass to the series ODE solver in order to solve \\spad{op \\spad{y} = 0}.")) (UTS2UP ((|#2| |#4| (|NonNegativeInteger|)) "\\spad{UTS2UP(s, \\spad{n)}} converts the first \\spad{n} terms of \\spad{s} to a univariate polynomial.")) (UP2UTS ((|#4| |#2|) "\\spad{UP2UTS(p)} converts \\spad{p} to a Taylor series."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-582)))) 
-(-1274 -3958 UTSF UTSSUPF) 
+((|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) 
+(|TaylorSolve| F UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1275 |Coef| |var|) 
+(|UnivariateTaylorSeriesCZero| |Coef| |var|) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,b,f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,b,f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)}, and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = \\spad{x}.} Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x^a) + f(x^(a + \\spad{d))} + \\indented{1}{f(x^(a + 2 \\spad{d))} + \\spad{...} \\spad{}.} \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n)))=exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n = 1..infinity,f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4627 "*") |has| |#1| (-194)) (-4618 |has| |#1| (-582)) (-4619 . T) (-4620 . T) (-4622 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#1| (QUOTE (-194))) (-3836 (|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-582)))) (|HasCategory| |#1| (QUOTE (-169))) (|HasCategory| |#1| (QUOTE (-171))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -922) (QUOTE (-1191)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-790)) (|devaluate| |#1|))))) (|HasCategory| (-790) (QUOTE (-1131))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-790))))) (|HasSignature| |#1| (LIST (QUOTE -1683) (LIST (|devaluate| |#1|) (QUOTE (-1191)))))) (|HasCategory| |#1| (QUOTE (-388))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-592)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasCategory| |#1| (QUOTE (-987))) (|HasCategory| |#1| (QUOTE (-1211)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasSignature| |#1| (LIST (QUOTE -3162) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1191))))) (|HasSignature| |#1| (LIST (QUOTE -4085) (LIST (LIST (QUOTE -658) (QUOTE (-1191))) (|devaluate| |#1|))))))) 
-(-1276 |sym|) 
+(((|commutative| "*") |has| |#1| (|CommutativeRing|)) (|noZeroDivisors| |has| |#1| (|IntegralDomain|)) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (OR (|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|)))) (|HasCategory| |#1| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#1| (QUOTE (|CharacteristicZero|))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |PartialDifferentialRing|) (QUOTE (|Symbol|)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|)) (|devaluate| |#1|))))) (|HasCategory| (|NonNegativeInteger|) (QUOTE (|SemiGroup|))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (AND (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|NonNegativeInteger|))))) (|HasSignature| |#1| (LIST (QUOTE |coerce|) (LIST (|devaluate| |#1|) (QUOTE (|Symbol|)))))) (|HasCategory| |#1| (QUOTE (|Field|))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |AlgebraicallyClosedFunctionSpace|) (QUOTE (|Integer|)))) (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasCategory| |#1| (QUOTE (|PrimitiveFunctionCategory|))) (|HasCategory| |#1| (QUOTE (|TranscendentalFunctionCategory|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Algebra|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasSignature| |#1| (LIST (QUOTE |integrate|) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (|Symbol|))))) (|HasSignature| |#1| (LIST (QUOTE |variables|) (LIST (LIST (QUOTE |List|) (QUOTE (|Symbol|))) (|devaluate| |#1|))))))) 
+(|Variable| |sym|) 
 ((|constructor| (NIL "This domain implements variables")) (|variable| (((|Symbol|)) "\\spad{variable()} returns the symbol")) (|coerce| (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1277 S R) 
+(|VectorCategory&| S R) 
 ((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, that is, finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#2| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), that is, the length")) (|length| ((|#2| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), that is, the magnitude")) (|cross| (($ $ $) "\\spad{cross(u,v)} constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#2|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#2|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#2| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-1030))) (|HasCategory| |#2| (QUOTE (-1075))) (|HasCategory| |#2| (QUOTE (-743))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
-(-1278 R) 
+((|HasCategory| |#2| (QUOTE (|RadicalCategory|))) (|HasCategory| |#2| (QUOTE (|Ring|))) (|HasCategory| |#2| (QUOTE (|Monoid|))) (|HasCategory| |#2| (QUOTE (|AbelianGroup|))) (|HasCategory| |#2| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#2| (QUOTE (|AbelianSemiGroup|)))) 
+(|VectorCategory| R) 
 ((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, that is, finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#1| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), that is, the length")) (|length| ((|#1| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), that is, the magnitude")) (|cross| (($ $ $) "\\spad{cross(u,v)} constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#1|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#1| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#1|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#1| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
-((-4626 . T) (-4625 . T) (-2623 . T)) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T) (|nil| . T)) 
 NIL 
-(-1279 A B) 
+(|VectorFunctions2| A B) 
 ((|constructor| (NIL "This package provides operations which all take as arguments vectors of elements of some type \\spad{A} and functions from \\spad{A} to another of type \\spad{B.} The operations all iterate over their vector argument and either return a value of type \\spad{B} or a vector over \\spad{B.}")) (|map| (((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values or \\spad{\"failed\"}.") (((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{reduce(func,vec,ident)} combines the elements in \\spad{vec} using the binary function func. Argument \\spad{ident} is returned if \\spad{vec} is empty.")) (|scan| (((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{scan(func,vec,ident)} creates a new vector whose elements are the result of applying reduce to the binary function func, increasing initial subsequences of the vector vec, and the element ident."))) 
 NIL 
 NIL 
-(-1280 R) 
+(|Vector| R) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and indexed by a finite segment of integers starting at 1.")) (|vector| (($ (|List| |#1|)) "\\spad{vector(l)} converts the list \\spad{l} to a vector."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#1| (QUOTE (-1119))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#1| (QUOTE (-869))) (-3836 (|HasCategory| |#1| (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-1119)))) (|HasCategory| (-592) (QUOTE (-869))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-743))) (|HasCategory| |#1| (QUOTE (-1075))) (-12 (|HasCategory| |#1| (QUOTE (-1030))) (|HasCategory| |#1| (QUOTE (-1075)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))) (-3836 (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-869)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -325) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1119)))))) 
-(-1281) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#1| (QUOTE (|SetCategory|))) (|HasCategory| |#1| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (OR (|HasCategory| |#1| (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (|HasCategory| (|Integer|) (QUOTE (|OrderedSet|))) (|HasCategory| |#1| (QUOTE (|AbelianSemiGroup|))) (|HasCategory| |#1| (QUOTE (|AbelianMonoid|))) (|HasCategory| |#1| (QUOTE (|AbelianGroup|))) (|HasCategory| |#1| (QUOTE (|Monoid|))) (|HasCategory| |#1| (QUOTE (|Ring|))) (AND (|HasCategory| |#1| (QUOTE (|RadicalCategory|))) (|HasCategory| |#1| (QUOTE (|Ring|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))) (OR (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|OrderedSet|)))) (AND (|HasCategory| |#1| (LIST (QUOTE |Evalable|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (|SetCategory|)))))) 
+(|TwoDimensionalViewport|) 
 ((|constructor| (NIL "TwoDimensionalViewport creates viewports to display graphs.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} returns the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport} as output of the domain \\spadtype{OutputForm}.")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, back to their initial settings.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,s,lf)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v} and the optional file types indicated by the list \\spad{lf.}") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,s,f)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v} and an optional file type \\spad{f.}") (((|String|) $ (|String|)) "\\spad{write(v,s)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v.}")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,w,h)} displays the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with a width of \\spad{w} and a height of \\spad{h,} keeping the upper left-hand corner position unchanged.")) (|update| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{update(v,gr,n)} drops the graph \\spad{gr} in slot \\spad{n} of viewport \\spad{v}. The graph \\spad{gr} must have been transmitted already and acquired an integer key.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,x,y)} displays the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x,} \\spad{y.}")) (|show| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{show(v,n,s)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the graph if \\spad{s} is \"off\".")) (|translate| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{translate(v,n,dx,dy)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, translated by \\spad{dx} in the x-coordinate direction from the center of the viewport, and by \\spad{dy} in the y-coordinate direction from the center. Setting \\spad{dx} and \\spad{dy} to \\spad{0} places the center of the graph at the center of the viewport.")) (|scale| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{scale(v,n,sx,sy)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, scaled by the factor \\spad{sx} in the x-coordinate direction and by the factor \\spad{sy} in the y-coordinate direction.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,x,y,width,height)} sets the position of the upper left-hand corner of the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, to the window coordinate \\spad{x,} \\spad{y,} and sets the dimensions of the window to that of \\spad{width}, \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport2D} is executed again for \\spad{v.}")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and terminates the corresponding process ID.")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,s)} displays the control panel of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or hides the control panel if \\spad{s} is \"off\".")) (|connect| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{connect(v,n,s)} displays the lines connecting the graph points in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the lines if \\spad{s} is \"off\".")) (|region| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{region(v,n,s)} displays the bounding box of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the bounding box if \\spad{s} is \"off\".")) (|points| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{points(v,n,s)} displays the points of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the points if \\spad{s} is \"off\".")) (|units| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{units(v,n,c)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the units color set to the given palette color \\spad{c.}") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{units(v,n,s)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the units if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{axes(v,n,c)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the axes color set to the given palette color \\spad{c.}") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{axes(v,n,s)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the axes if \\spad{s} is \"off\".")) (|getGraph| (((|GraphImage|) $ (|PositiveInteger|)) "\\spad{getGraph(v,n)} returns the graph which is of the domain \\spadtype{GraphImage} which is located in graph field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of the domain \\spadtype{TwoDimensionalViewport}.")) (|putGraph| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{putGraph(v,gi,n)} sets the graph field indicated by \\spad{n,} of the indicated two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, to be the graph, \\spad{gi} of domain \\spadtype{GraphImage}. The contents of viewport, \\spad{v,} will contain \\spad{gi} when the function \\spadfun{makeViewport2D} is called to create the an updated viewport \\spad{v.}")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,s)} changes the title which is shown in the two-dimensional viewport window, \\spad{v} of domain \\spadtype{TwoDimensionalViewport}.")) (|graphs| (((|Vector| (|Union| (|GraphImage|) "undefined")) $) "\\spad{graphs(v)} returns a vector, or list, which is a union of all the graphs, of the domain \\spadtype{GraphImage}, which are allocated for the two-dimensional viewport, \\spad{v,} of domain \\spadtype{TwoDimensionalViewport}. Those graphs which have no data are labeled \"undefined\", otherwise their contents are shown.")) (|graphStates| (((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $) "\\spad{graphStates(v)} returns and shows a listing of a record containing the current state of the characteristics of each of the ten graph records in the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|graphState| (((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|)) "\\spad{graphState(v,num,sX,sY,dX,dY,pts,lns,box,axes,axesC,un,unC,cP)} sets the state of the characteristics for the graph indicated by \\spad{num} in the given two-dimensional viewport \\spad{v,} of domain \\spadtype{TwoDimensionalViewport}, to the values given as parameters. The scaling of the graph in the \\spad{x} and \\spad{y} component directions is set to be \\spad{sX} and \\spad{sY}; the window translation in the \\spad{x} and \\spad{y} component directions is set to be \\spad{dX} and \\spad{dY}; The graph points, lines, bounding box, axes, or units will be shown in the viewport if their given parameters \\spad{pts}, \\spad{lns}, \\spad{box}, \\spad{axes} or \\spad{un} are set to be \\spad{1}, but will not be shown if they are set to \\spad{0}. The color of the \\spad{axes} and the color of the units are indicated by the palette colors \\spad{axesC} and \\spad{unC} respectively. To display the control panel when the viewport window is displayed, set \\spad{cP} to \\spad{1}, otherwise set it to \\spad{0}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,lopt)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and returns \\spad{v} with it's draw options modified to be those which are indicated in the given list, \\spad{lopt} of domain \\spadtype{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and returns a list containing the draw options from the domain \\spadtype{DrawOption} for \\spad{v.}")) (|makeViewport2D| (($ (|GraphImage|) (|List| (|DrawOption|))) "\\spad{makeViewport2D(gi,lopt)} creates and displays a viewport window of the domain \\spadtype{TwoDimensionalViewport} whose graph field is assigned to be the given graph, \\spad{gi}, of domain \\spadtype{GraphImage}, and whose options field is set to be the list of options, \\spad{lopt} of domain \\spadtype{DrawOption}.") (($ $) "\\spad{makeViewport2D(v)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v.}")) (|viewport2D| (($) "\\spad{viewport2D()} returns an undefined two-dimensional viewport of the domain \\spadtype{TwoDimensionalViewport} whose contents are empty.")) (|getPickedPoints| (((|List| (|Point| (|DoubleFloat|))) $) "\\spad{getPickedPoints(x)} returns a list of small floats for the points the user interactively picked on the viewport for full integration into the system, some design issues need to be addressed: \\spadignore{e.g.} how to go through the GraphImage interface, how to default to graphs, etc."))) 
 NIL 
 NIL 
-(-1282) 
+(|ThreeDimensionalViewport|) 
 ((|constructor| (NIL "ThreeDimensionalViewport creates viewports to display graphs")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and terminates the corresponding process ID.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,s,lf)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v} and the optional file types indicated by the list \\spad{lf.}") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,s,f)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v} and an optional file type \\spad{f.}") (((|String|) $ (|String|)) "\\spad{write(v,s)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v.}")) (|colorDef| (((|Void|) $ (|Color|) (|Color|)) "\\spad{colorDef(v,c1,c2)} sets the range of colors along the colormap so that the lower end of the colormap is defined by \\spad{c1} and the top end of the colormap is defined by \\spad{c2}, for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, back to their initial settings.")) (|intensity| (((|Void|) $ (|Float|)) "\\spad{intensity(v,i)} sets the intensity of the light source to i, for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|lighting| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{lighting(v,x,y,z)} sets the position of the light source to the coordinates \\spad{x,} \\spad{y,} and \\spad{z} and displays the graph for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|clipSurface| (((|Void|) $ (|String|)) "\\spad{clipSurface(v,s)} displays the graph with the specified clipping region removed if \\spad{s} is \"on\", or displays the graph without clipping implemented if \\spad{s} is \"off\", for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|showClipRegion| (((|Void|) $ (|String|)) "\\spad{showClipRegion(v,s)} displays the clipping region of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the region if \\spad{s} is \"off\".")) (|showRegion| (((|Void|) $ (|String|)) "\\spad{showRegion(v,s)} displays the bounding box of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the box if \\spad{s} is \"off\".")) (|hitherPlane| (((|Void|) $ (|Float|)) "\\spad{hitherPlane(v,h)} sets the hither clipping plane of the graph to \\spad{h,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|eyeDistance| (((|Void|) $ (|Float|)) "\\spad{eyeDistance(v,d)} sets the distance of the observer from the center of the graph to \\spad{d,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|perspective| (((|Void|) $ (|String|)) "\\spad{perspective(v,s)} displays the graph in perspective if \\spad{s} is \"on\", or does not display perspective if \\spad{s} is \"off\" for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|translate| (((|Void|) $ (|Float|) (|Float|)) "\\spad{translate(v,dx,dy)} sets the horizontal viewport offset to \\spad{dx} and the vertical viewport offset to \\spad{dy}, for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|zoom| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{zoom(v,sx,sy,sz)} sets the graph scaling factors for the x-coordinate axis to \\spad{sx}, the y-coordinate axis to \\spad{sy} and the z-coordinate axis to \\spad{sz} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.") (((|Void|) $ (|Float|)) "\\spad{zoom(v,s)} sets the graph scaling factor to \\spad{s,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|rotate| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{rotate(v,th,phi)} rotates the graph to the longitudinal view angle \\spad{th} degrees and the latitudinal view angle \\spad{phi} degrees for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new rotation position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Float|) (|Float|)) "\\spad{rotate(v,th,phi)} rotates the graph to the longitudinal view angle \\spad{th} radians and the latitudinal view angle \\spad{phi} radians for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|drawStyle| (((|Void|) $ (|String|)) "\\spad{drawStyle(v,s)} displays the surface for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport} in the style of drawing indicated by \\spad{s.} If \\spad{s} is not a valid drawing style the style is wireframe by default. Possible styles are \\spad{\"shade\"}, \\spad{\"solid\"} or \\spad{\"opaque\"}, \\spad{\"smooth\"}, and \\spad{\"wireMesh\"}.")) (|outlineRender| (((|Void|) $ (|String|)) "\\spad{outlineRender(v,s)} displays the polygon outline showing either triangularized surface or a quadrilateral surface outline depending on the whether the \\spadfun{diagonals} function has been set, for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the polygon outline if \\spad{s} is \"off\".")) (|diagonals| (((|Void|) $ (|String|)) "\\spad{diagonals(v,s)} displays the diagonals of the polygon outline showing a triangularized surface instead of a quadrilateral surface outline, for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the diagonals if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|String|)) "\\spad{axes(v,s)} displays the axes of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the axes if \\spad{s} is \"off\".")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,s)} displays the control panel of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or hides the control panel if \\spad{s} is \"off\".")) (|viewpoint| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,rotx,roty,rotz)} sets the rotation about the x-axis to be \\spad{rotx} radians, sets the rotation about the y-axis to be \\spad{roty} radians, and sets the rotation about the z-axis to be \\spad{rotz} radians, for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and displays \\spad{v} with the new view position.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi)} sets the longitudinal view angle to \\spad{th} radians and the latitudinal view angle to \\spad{phi} radians for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi,s,dx,dy)} sets the longitudinal view angle to \\spad{th} degrees, the latitudinal view angle to \\spad{phi} degrees, the scale factor to \\spad{s}, the horizontal viewport offset to \\spad{dx}, and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(v,viewpt)} sets the viewpoint for the viewport. The viewport record consists of the latitudal and longitudal angles, the zoom factor, the x,y and \\spad{z} scales, and the \\spad{x} and \\spad{y} displacements.") (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $) "\\spad{viewpoint(v)} returns the current viewpoint setting of the given viewport, \\spad{v.} This function is useful in the situation where the user has created a viewport, proceeded to interact with it via the control panel and desires to save the values of the viewpoint as the default settings for another viewport to be created using the system.") (((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi,s,dx,dy)} sets the longitudinal view angle to \\spad{th} radians, the latitudinal view angle to \\spad{phi} radians, the scale factor to \\spad{s}, the horizontal viewport offset to \\spad{dx}, and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,x,y,width,height)} sets the position of the upper left-hand corner of the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, to the window coordinate \\spad{x,} \\spad{y,} and sets the dimensions of the window to that of \\spad{width}, \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,s)} changes the title which is shown in the three-dimensional viewport window, \\spad{v} of domain \\spadtype{ThreeDimensionalViewport}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,w,h)} displays the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, with a width of \\spad{w} and a height of \\spad{h,} keeping the upper left-hand corner position unchanged.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,x,y)} displays the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x,} \\spad{y.}")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,lopt)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and sets the draw options being used by \\spad{v} to those indicated in the list, \\spad{lopt}, which is a list of options from the domain \\spad{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and returns a list of all the draw options from the domain \\spad{DrawOption} which are being used by \\spad{v.}")) (|modifyPointData| (((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|))) "\\spad{modifyPointData(v,ind,pt)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, and places the data point, \\spad{pt} into the list of points database of \\spad{v} at the index location given by \\spad{ind}.")) (|subspace| (($ $ (|ThreeSpace| (|DoubleFloat|))) "\\spad{subspace(v,sp)} places the contents of the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, in the subspace \\spad{sp}, which is of the domain \\spad{ThreeSpace}.") (((|ThreeSpace| (|DoubleFloat|)) $) "\\spad{subspace(v)} returns the contents of the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, as a subspace of the domain \\spad{ThreeSpace}.")) (|makeViewport3D| (($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{makeViewport3D(sp,lopt)} takes the given space, \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp}, and whose draw options are indicated by the list \\spad{lopt}, which is a list of options from the domain \\spad{DrawOption}.") (($ (|ThreeSpace| (|DoubleFloat|)) (|String|)) "\\spad{makeViewport3D(sp,s)} takes the given space, \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp}, and whose title is given by \\spad{s.}") (($ $) "\\spad{makeViewport3D(v)} takes the given three-dimensional viewport, \\spad{v,} of the domain \\spadtype{ThreeDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v.}")) (|viewport3D| (($) "\\spad{viewport3D()} returns an undefined three-dimensional viewport of the domain \\spadtype{ThreeDimensionalViewport} whose contents are empty.")) (|viewDeltaYDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaYDefault(dy)} sets the current default vertical offset from the center of the viewport window to be \\spad{dy} and returns \\spad{dy}.") (((|Float|)) "\\spad{viewDeltaYDefault()} returns the current default vertical offset from the center of the viewport window.")) (|viewDeltaXDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaXDefault(dx)} sets the current default horizontal offset from the center of the viewport window to be \\spad{dx} and returns \\spad{dx}.") (((|Float|)) "\\spad{viewDeltaXDefault()} returns the current default horizontal offset from the center of the viewport window.")) (|viewZoomDefault| (((|Float|) (|Float|)) "\\spad{viewZoomDefault(s)} sets the current default graph scaling value to \\spad{s} and returns \\spad{s.}") (((|Float|)) "\\spad{viewZoomDefault()} returns the current default graph scaling value.")) (|viewPhiDefault| (((|Float|) (|Float|)) "\\spad{viewPhiDefault(p)} sets the current default latitudinal view angle in radians to the value \\spad{p} and returns \\spad{p.}") (((|Float|)) "\\spad{viewPhiDefault()} returns the current default latitudinal view angle in radians.")) (|viewThetaDefault| (((|Float|) (|Float|)) "\\spad{viewThetaDefault(t)} sets the current default longitudinal view angle in radians to the value \\spad{t} and returns \\spad{t.}") (((|Float|)) "\\spad{viewThetaDefault()} returns the current default longitudinal view angle in radians."))) 
 NIL 
 NIL 
-(-1283) 
+(|ViewDefaultsPackage|) 
 ((|constructor| (NIL "ViewportDefaultsPackage describes default and user definable values for graphics")) (|tubeRadiusDefault| (((|DoubleFloat|)) "\\spad{tubeRadiusDefault()} returns the radius used for a 3D tube plot.") (((|DoubleFloat|) (|Float|)) "\\spad{tubeRadiusDefault(r)} sets the default radius for a 3D tube plot to \\spad{r.}")) (|tubePointsDefault| (((|PositiveInteger|)) "\\spad{tubePointsDefault()} returns the number of points to be used when creating the circle to be used in creating a 3D tube plot.") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{tubePointsDefault(i)} sets the number of points to use when creating the circle to be used in creating a 3D tube plot to i.")) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var2StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var2StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var1StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var1StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|viewWriteAvailable| (((|List| (|String|))) "\\spad{viewWriteAvailable()} returns a list of available methods for writing, such as BITMAP, POSTSCRIPT, etc.")) (|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) "\\spad{viewWriteDefault(l)} sets the default list of things to write in a viewport data file to the strings in \\spad{l;} a viewalone file is always genereated.") (((|List| (|String|))) "\\spad{viewWriteDefault()} returns the list of things to write in a viewport data file; a viewalone file is always generated.")) (|viewDefaults| (((|Void|)) "\\spad{viewDefaults()} resets all the default graphics settings.")) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{viewSizeDefault([w,h])} sets the default viewport width to \\spad{w} and height to \\spad{h.}") (((|List| (|PositiveInteger|))) "\\spad{viewSizeDefault()} returns the default viewport width and height.")) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault([x,y])} sets the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have the \\spad{x} and \\spad{y} coordinates \\spad{x,} \\spad{y.}") (((|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault()} returns the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have this \\spad{x} and \\spad{y} coordinate.")) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{pointSizeDefault(i)} sets the default size of the points in a 2D viewport to i.") (((|PositiveInteger|)) "\\spad{pointSizeDefault()} returns the default size of the points in a 2D viewport.")) (|unitsColorDefault| (((|Palette|) (|Palette|)) "\\spad{unitsColorDefault(p)} sets the default color of the unit ticks in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{unitsColorDefault()} returns the default color of the unit ticks in a 2D viewport.")) (|axesColorDefault| (((|Palette|) (|Palette|)) "\\spad{axesColorDefault(p)} sets the default color of the axes in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{axesColorDefault()} returns the default color of the axes in a 2D viewport.")) (|lineColorDefault| (((|Palette|) (|Palette|)) "\\spad{lineColorDefault(p)} sets the default color of lines connecting points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{lineColorDefault()} returns the default color of lines connecting points in a 2D viewport.")) (|pointColorDefault| (((|Palette|) (|Palette|)) "\\spad{pointColorDefault(p)} sets the default color of points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{pointColorDefault()} returns the default color of points in a 2D viewport."))) 
 NIL 
 NIL 
-(-1284) 
+(|ViewportPackage|) 
 ((|constructor| (NIL "ViewportPackage provides functions for creating GraphImages and TwoDimensionalViewports from lists of lists of points.")) (|coerce| (((|TwoDimensionalViewport|) (|GraphImage|)) "\\spad{coerce(gi)} converts the indicated \\spadtype{GraphImage}, gi, into the \\spadtype{TwoDimensionalViewport} form.")) (|drawCurves| (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],[p1],...,[pn]],[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}.") (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],[p1],...,[pn]],ptColor,lineColor,ptSize,[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}. The point color is specified by \\spad{ptColor}, the line color is specified by \\spad{lineColor}, and the point size is specified by \\spad{ptSize}.")) (|graphCurves| (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],[p1],...,[pn]],[options])} creates a \\spadtype{GraphImage} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{graphCurves([[p0],[p1],...,[pn]])} creates a \\spadtype{GraphImage} from the list of lists of points indicated by \\spad{p0} through \\spad{pn.}") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],[p1],...,[pn]],ptColor,lineColor,ptSize,[options])} creates a \\spadtype{GraphImage} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}. The graph point color is specified by \\spad{ptColor}, the graph line color is specified by \\spad{lineColor}, and the size of the points is specified by \\spad{ptSize}."))) 
 NIL 
 NIL 
-(-1285) 
+(|Void|) 
 ((|constructor| (NIL "This type is used when no value is needed, \\spadignore{e.g.} in the \\spad{then} part of a one armed \\spad{if}. All values can be coerced to type Void. Once a value has been coerced to Void, it cannot be recovered.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} coerces void object to outputForm.")) (|void| (($) "\\spad{void()} produces a void object."))) 
 NIL 
 NIL 
-(-1286 A S) 
+(|VectorSpace&| A S) 
 ((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#2|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y.}"))) 
 NIL 
 NIL 
-(-1287 S) 
+(|VectorSpace| S) 
 ((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#1|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y.}"))) 
-((-4620 . T) (-4619 . T)) 
+((|leftUnitary| . T) (|rightUnitary| . T)) 
 NIL 
-(-1288 R) 
+(|WeierstrassPreparation| R) 
 ((|constructor| (NIL "This package implements the Weierstrass preparation theorem \\spad{f} or multivariate power series. weierstrass(v,p) where \\spad{v} is a variable, and \\spad{p} is a TaylorSeries(R) in which the terms of lowest degree \\spad{s} must include c*v**s where \\spad{c} is a constant,s>0, is a list of TaylorSeries coefficients A[i] of the equivalent polynomial A = A[0] + A[1]*v + \\spad{A[2]*v**2} + \\spad{...} + A[s-1]*v**(s-1) + v**s such that p=A*B ,{} \\spad{B} being a TaylorSeries of minimum degree 0")) (|qqq| (((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))) "\\spad{qqq(n,s,st)} is used internally.")) (|weierstrass| (((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|)) "\\spad{weierstrass(v,ts)} where \\spad{v} is a variable and \\spad{ts} is \\indented{1}{a TaylorSeries, impements the Weierstrass Preparation} \\indented{1}{Theorem. The result is a list of TaylorSeries that} \\indented{1}{are the coefficients of the equivalent series.}")) (|clikeUniv| (((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|)) "\\spad{clikeUniv(v)} is used internally.")) (|sts2stst| (((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|))) "\\spad{sts2stst(v,s)} is used internally.")) (|cfirst| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{cfirst \\spad{n}} is used internally.")) (|crest| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{crest \\spad{n}} is used internally."))) 
 NIL 
 NIL 
-(-1289 K R UP -3958) 
+(|WildFunctionFieldIntegralBasis| K R UP F) 
 ((|constructor| (NIL "In this package \\spad{K} is a finite field, \\spad{R} is a ring of univariate polynomials over \\spad{K,} and \\spad{F} is a framed algebra over \\spad{R.} The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}."))) 
 NIL 
 NIL 
-(-1290 R |VarSet| E P |vl| |wl| |wtlevel|) 
+(|WeightedPolynomials| R |VarSet| E P |vl| |wl| |wtlevel|) 
 ((|constructor| (NIL "This domain represents truncated weighted polynomials over a general (not necessarily commutative) polynomial type. The variables must be specified, as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero, and if \\spad{R} is a Field)")) (|coerce| (($ |#4|) "\\spad{coerce(p)} coerces \\spad{p} into Weighted form, applying weights and ignoring terms") ((|#4| $) "convert back into a \"P\", ignoring weights"))) 
-((-4620 |has| |#1| (-194)) (-4619 |has| |#1| (-194)) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388)))) 
-(-1291 R E V P) 
+((|leftUnitary| |has| |#1| (|CommutativeRing|)) (|rightUnitary| |has| |#1| (|CommutativeRing|)) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|)))) 
+(|WuWenTsunTriangularSet| R E V P) 
 ((|constructor| (NIL "A domain constructor of the category \\axiomType{GeneralTriangularSet}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. The construct operation does not check the previous requirement. Triangular sets are stored as sorted lists w.r.t. the main variables of their members. Furthermore, this domain exports operations dealing with the characteristic set method of Wu Wen Tsun and some optimizations mainly proposed by Dong Ming Wang.")) (|characteristicSerie| (((|List| $) (|List| |#4|)) "\\axiom{characteristicSerie(ps)} returns the same as \\axiom{characteristicSerie(ps,initiallyReduced?,initiallyReduce)}.") (((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSerie(ps,redOp?,redOp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{ps} is the union of the regular zero sets of the members of \\axiom{lts}. This is made by the Ritt and Wu Wen Tsun process applying the operation \\axiom{characteristicSet(ps,redOp?,redOp)} to compute characteristic sets in Wu Wen Tsun sense.")) (|characteristicSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{characteristicSet(ps)} returns the same as \\axiom{characteristicSet(ps,initiallyReduced?,initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSet(ps,redOp?,redOp)} returns a non-contradictory characteristic set of \\axiom{ps} in Wu Wen Tsun sense w.r.t the reduction-test \\axiom{redOp?} (using \\axiom{redOp} to reduce polynomials w.r.t a \\axiom{redOp?} basic set), if no non-zero constant polynomial appear during those reductions, else \\axiom{\"failed\"} is returned. The operations \\axiom{redOp} and \\axiom{redOp?} must satisfy the following conditions: \\axiom{redOp?(redOp(p,q),q)} holds for every polynomials \\axiom{p,q} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that we have \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|medialSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{medial(ps)} returns the same as \\axiom{medialSet(ps,initiallyReduced?,initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{medialSet(ps,redOp?,redOp)} returns \\axiom{bs} a basic set (in Wu Wen Tsun sense w.r.t the reduction-test \\axiom{redOp?}) of some set generating the same ideal as \\axiom{ps} (with rank not higher than any basic set of \\axiom{ps}), if no non-zero constant polynomials appear during the computatioms, else \\axiom{\"failed\"} is returned. In the former case, \\axiom{bs} has to be understood as a candidate for being a characteristic set of \\axiom{ps}. In the original algorithm, \\axiom{bs} is simply a basic set of \\axiom{ps}."))) 
-((-4626 . T) (-4625 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-565)))) (|HasCategory| |#4| (QUOTE (-1119))) (-12 (|HasCategory| |#4| (LIST (QUOTE -325) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1119)))) (|HasCategory| |#1| (QUOTE (-582))) (|HasCategory| |#3| (QUOTE (-394)))) 
-(-1292 R) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#4| (LIST (QUOTE |ConvertibleTo|) (QUOTE (|InputForm|)))) (|HasCategory| |#4| (QUOTE (|SetCategory|))) (AND (|HasCategory| |#4| (LIST (QUOTE |Evalable|) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (|SetCategory|)))) (|HasCategory| |#1| (QUOTE (|IntegralDomain|))) (|HasCategory| |#3| (QUOTE (|Finite|)))) 
+(|XAlgebra| R) 
 ((|constructor| (NIL "This is the category of algebras over non-commutative rings. It is used by constructors of non-commutative algebras such as XPolynomialRing and XFreeAlgebra")) (|coerce| (($ |#1|) "\\spad{coerce(r)} equals \\spad{r*1}."))) 
-((-4619 . T) (-4620 . T) (-4622 . T)) 
+((|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1293 |vl| R) 
+(|XDistributedPolynomial| |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables do not commute. The coefficient ring may be non-commutative too. However, coefficients and variables commute."))) 
-((-4622 . T) (-4618 |has| |#2| (-6 -4618)) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#2| (QUOTE (-194))) (|HasAttribute| |#2| (QUOTE -4618))) 
-(-1294 R |VarSet| XPOLY) 
+((|unitsKnown| . T) (|noZeroDivisors| |has| |#2| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasAttribute| |#2| (QUOTE |noZeroDivisors|))) 
+(|XExponentialPackage| R |VarSet| XPOLY) 
 ((|constructor| (NIL "This package provides computations of logarithms and exponentials for polynomials in non-commutative variables.")) (|Hausdorff| ((|#3| |#3| |#3| (|NonNegativeInteger|)) "\\axiom{Hausdorff(a,b,n)} returns log(exp(a)*exp(b)) truncated at order \\axiom{n}.")) (|log| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{log(p, \\spad{n)}} returns the logarithm of \\axiom{p} truncated at order \\axiom{n}.")) (|exp| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{exp(p, \\spad{n)}} returns the exponential of \\axiom{p} truncated at order \\axiom{n}."))) 
 NIL 
 NIL 
-(-1295 |vl| R) 
+(|XFreeAlgebra| |vl| R) 
 ((|constructor| (NIL "This category specifies opeations for polynomials and formal series with non-commutative variables.")) (|varList| (((|List| |#1|) $) "\\spad{varList(x)} returns the list of variables which appear in \\spad{x}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|sh| (($ $ (|NonNegativeInteger|)) "\\spad{sh(x,n)} returns the shuffle power of \\spad{x} to the \\spad{n}.") (($ $ $) "\\spad{sh(x,y)} returns the shuffle-product of \\spad{x} by \\spad{y}. This multiplication is associative and commutative.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(x)} is zero")) (|constant| ((|#2| $) "\\spad{constant(x)} returns the constant term of \\spad{x}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(x)} returns \\spad{true} if \\spad{x} is constant.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} returns \\spad{v}.")) (|mirror| (($ $) "\\spad{mirror(x)} returns \\spad{Sum(r_i mirror(w_i))} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} is a monomial")) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) "\\spad{monom(w,r)} returns the product of the word \\spad{w} by the coefficient \\spad{r}.")) (|rquo| (($ $ $) "\\spad{rquo(x,y)} returns the right simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{rquo(x,w)} returns the right simplification of \\spad{x} by \\spad{w}.") (($ $ |#1|) "\\spad{rquo(x,v)} returns the right simplification of \\spad{x} by the variable \\spad{v}.")) (|lquo| (($ $ $) "\\spad{lquo(x,y)} returns the left simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{lquo(x,w)} returns the left simplification of \\spad{x} by the word \\spad{w}.") (($ $ |#1|) "\\spad{lquo(x,v)} returns the left simplification of \\spad{x} by the variable \\spad{v}.")) (|coef| ((|#2| $ $) "\\spad{coef(x,y)} returns scalar product of \\spad{x} by \\spad{y}, the set of words being regarded as an orthogonal basis.") ((|#2| $ (|OrderedFreeMonoid| |#1|)) "\\spad{coef(x,w)} returns the coefficient of the word \\spad{w} in \\spad{x}.")) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) "\\spad{mindegTerm(x)} returns the term whose word is \\spad{mindeg(x)}.")) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{mindeg(x)} returns the little word which appears in \\spad{x}. Error if \\spad{x=0}.")) (* (($ $ |#2|) "\\spad{x * \\spad{r}} returns the product of \\spad{x} by \\spad{r}. Usefull if \\spad{R} is a non-commutative Ring.") (($ |#1| $) "\\spad{v * \\spad{x}} returns the product of a variable \\spad{x} by \\spad{x}."))) 
-((-4618 |has| |#2| (-6 -4618)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+((|noZeroDivisors| |has| |#2| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1296 S -3958) 
+(|ExtensionField&| S F) 
 ((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()$F.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a \\spad{**} \\spad{q}} where \\spad{q} is the \\spad{size()$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension, 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic, and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F,} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F.}")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F.}")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-394))) (|HasCategory| |#2| (QUOTE (-169))) (|HasCategory| |#2| (QUOTE (-171)))) 
-(-1297 -3958) 
+((|HasCategory| |#2| (QUOTE (|Finite|))) (|HasCategory| |#2| (QUOTE (|CharacteristicNonZero|))) (|HasCategory| |#2| (QUOTE (|CharacteristicZero|)))) 
+(|ExtensionField| F) 
 ((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()$F.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a \\spad{**} \\spad{q}} where \\spad{q} is the \\spad{size()$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension, 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic, and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F,} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F.}")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F.}")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F.}"))) 
-((-4617 . T) (-4623 . T) (-4618 . T) ((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+((|canonicalsClosed| . T) (|canonicalUnitNormal| . T) (|noZeroDivisors| . T) ((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1298 |VarSet| R) 
+(|XPBWPolynomial| |VarSet| R) 
 ((|constructor| (NIL "This domain constructor implements polynomials in non-commutative variables written in the Poincare-Birkhoff-Witt basis from the Lyndon basis. These polynomials can be used to compute Baker-Campbell-Hausdorff relations.")) (|log| (($ $ (|NonNegativeInteger|)) "\\axiom{log(p,n)} returns the logarithm of \\axiom{p} (truncated up to order \\axiom{n}).")) (|exp| (($ $ (|NonNegativeInteger|)) "\\axiom{exp(p,n)} returns the exponential of \\axiom{p} (truncated up to order \\axiom{n}).")) (|product| (($ $ $ (|NonNegativeInteger|)) "\\axiom{product(a,b,n)} returns \\axiom{a*b} (truncated up to order \\axiom{n}).")) (|LiePolyIfCan| (((|Union| (|LiePolynomial| |#1| |#2|) "failed") $) "\\axiom{LiePolyIfCan(p)} return \\axiom{p} if \\axiom{p} is a Lie polynomial.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(p)} returns \\axiom{p} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(p)} returns \\axiom{p} as a distributed polynomial.") (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{coerce(p)} returns \\axiom{p}."))) 
-((-4618 |has| |#2| (-6 -4618)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-194))) (|HasCategory| |#2| (LIST (QUOTE -734) (LIST (QUOTE -433) (QUOTE (-592))))) (|HasAttribute| |#2| (QUOTE -4618))) 
-(-1299 |vl| R) 
+((|noZeroDivisors| |has| |#2| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasCategory| |#2| (LIST (QUOTE |Module|) (LIST (QUOTE |Fraction|) (QUOTE (|Integer|))))) (|HasAttribute| |#2| (QUOTE |noZeroDivisors|))) 
+(|XPolynomialsCat| |vl| R) 
 ((|constructor| (NIL "The Category of polynomial rings with non-commutative variables. The coefficient ring may be non-commutative too. However coefficients commute with variables.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\spad{trunc(p,n)} returns the polynomial \\spad{p} truncated at order \\spad{n}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the degree of \\spad{p}. \\indented{1}{Note that the degree of a word is its length.}")) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{maxdeg(p)} returns the greatest leading word in the support of \\spad{p}."))) 
-((-4618 |has| |#2| (-6 -4618)) (-4620 . T) (-4619 . T) (-4622 . T)) 
+((|noZeroDivisors| |has| |#2| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
 NIL 
-(-1300 R) 
+(|XPolynomial| R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose set of variables is \\spadtype{Symbol}. The representation is recursive. The coefficient ring may be non-commutative and the variables do not commute. However, coefficients and variables commute."))) 
-((-4618 |has| |#1| (-6 -4618)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasAttribute| |#1| (QUOTE -4618))) 
-(-1301 R E) 
+((|noZeroDivisors| |has| |#1| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasAttribute| |#1| (QUOTE |noZeroDivisors|))) 
+(|XPolynomialRing| R E) 
 ((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring), and words belonging to an arbitrary \\spadtype{OrderedMonoid}. This type is used, for instance, by the \\spadtype{XDistributedPolynomial} domain constructor where the Monoid is free.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (/ (($ $ |#1|) "\\spad{p/r} returns \\spad{p*(1/r)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(p)} is zero.")) (|constant| ((|#1| $) "\\spad{constant(p)} return the constant term of \\spad{p}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests whether the polynomial \\spad{p} belongs to the coefficient ring.")) (|coef| ((|#1| $ |#2|) "\\spad{coef(p,e)} extracts the coefficient of the monomial \\spad{e}. Returns zero if \\spad{e} is not present.")) (|reductum| (($ $) "\\spad{reductum(p)} returns \\spad{p} minus its leading term. An error is produced if \\spad{p} is zero.")) (|mindeg| ((|#2| $) "\\spad{mindeg(p)} returns the smallest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|maxdeg| ((|#2| $) "\\spad{maxdeg(p)} returns the greatest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|coerce| (($ |#2|) "\\spad{coerce(e)} returns \\spad{1*e}")) (|#| (((|NonNegativeInteger|) $) "\\spad{# \\spad{p}} returns the number of terms in \\spad{p}.")) (* (($ $ |#1|) "\\spad{p*r} returns the product of \\spad{p} by \\spad{r}."))) 
-((-4622 . T) (-4623 |has| |#1| (-6 -4623)) (-4618 |has| |#1| (-6 -4618)) (-4620 . T) (-4619 . T)) 
-((|HasCategory| |#1| (QUOTE (-194))) (|HasCategory| |#1| (QUOTE (-388))) (|HasAttribute| |#1| (QUOTE -4622)) (|HasAttribute| |#1| (QUOTE -4623)) (|HasAttribute| |#1| (QUOTE -4618))) 
-(-1302 |VarSet| R) 
+((|unitsKnown| . T) (|canonicalUnitNormal| |has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (|noZeroDivisors| |has| |#1| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T)) 
+((|HasCategory| |#1| (QUOTE (|CommutativeRing|))) (|HasCategory| |#1| (QUOTE (|Field|))) (|HasAttribute| |#1| (QUOTE |unitsKnown|)) (|HasAttribute| |#1| (QUOTE |canonicalUnitNormal|)) (|HasAttribute| |#1| (QUOTE |noZeroDivisors|))) 
+(|XRecursivePolynomial| |VarSet| R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose variables do not commute. The representation is recursive. The coefficient ring may be non-commutative. Coefficients and variables commute.")) (|RemainderList| (((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $) "\\spad{RemainderList(p)} returns the regular part of \\spad{p} as a list of terms.")) (|unexpand| (($ (|XDistributedPolynomial| |#1| |#2|)) "\\spad{unexpand(p)} returns \\spad{p} in recursive form.")) (|expand| (((|XDistributedPolynomial| |#1| |#2|) $) "\\spad{expand(p)} returns \\spad{p} in distributed form."))) 
-((-4618 |has| |#2| (-6 -4618)) (-4620 . T) (-4619 . T) (-4622 . T)) 
-((|HasCategory| |#2| (QUOTE (-194))) (|HasAttribute| |#2| (QUOTE -4618))) 
-(-1303 A) 
+((|noZeroDivisors| |has| |#2| (ATTRIBUTE |noZeroDivisors|)) (|leftUnitary| . T) (|rightUnitary| . T) (|unitsKnown| . T)) 
+((|HasCategory| |#2| (QUOTE (|CommutativeRing|))) (|HasAttribute| |#2| (QUOTE |noZeroDivisors|))) 
+(|ParadoxicalCombinatorsForStreams| A) 
 ((|constructor| (NIL "This package implements fixed-point computations on streams.")) (Y (((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)) "\\spad{Y(g,n)} computes a fixed point of the function \\spad{g,} where \\spad{g} takes a list of \\spad{n} streams and returns a list of \\spad{n} streams.") (((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|))) "\\spad{Y(f)} computes a fixed point of the function \\spad{f.}"))) 
 NIL 
 NIL 
-(-1304 R |ls| |ls2|) 
+(|ZeroDimensionalSolvePackage| R |ls| |ls2|) 
 ((|constructor| (NIL "A package for computing symbolically the complex and real roots of zero-dimensional algebraic systems over the integer or rational numbers. Complex roots are given by means of univariate representations of irreducible regular chains. Real roots are given by means of tuples of coordinates lying in the \\spadtype{RealClosure} of the coefficient ring. This constructor takes three arguments. The first one \\spad{R} is the coefficient ring. The second one \\spad{ls} is the list of variables involved in the systems to solve. The third one must be \\spad{concat(ls,s)} where \\spad{s} is an additional symbol used for the univariate representations. WARNING. The third argument is not checked. All operations are based on triangular decompositions. The default is to compute these decompositions directly from the input system by using the \\spadtype{RegularChain} domain constructor. The lexTriangular algorithm can also be used for computing these decompositions (see \\spadtype{LexTriangularPackage} package constructor). For that purpose, the operations univariateSolve, realSolve and positiveSolve admit an optional argument.")) (|convert| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) "\\spad{convert(st)} returns the members of \\spad{st}.") (((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{convert(u)} converts \\spad{u}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) "\\spad{convert(q)} converts \\spad{q}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|)) "\\spad{convert(p)} converts \\spad{p}.") (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "\\spad{convert(q)} converts \\spad{q}.")) (|squareFree| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|)) "\\spad{squareFree(ts)} returns the square-free factorization of \\spad{ts}. Moreover, each factor is a Lazard triangular set and the decomposition is a Kalkbrener split of \\spad{ts}, which is enough here for the matter of solving zero-dimensional algebraic systems. WARNING. \\spad{ts} is not checked to be zero-dimensional.")) (|positiveSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,false,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,info?,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{positiveSolve(lp,info?,lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are (real) strictly positive. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{positiveSolve(lp,info?,lextri?)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{positiveSolve(ts)} returns the points of the regular set of \\spad{ts} with (real) strictly positive coordinates.")) (|realSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{realSolve(lp)} returns the same as \\spad{realSolve(ts,false,false,false)}") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{realSolve(ts,info?)} returns the same as \\spad{realSolve(ts,info?,false,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,info?,check?)} returns the same as \\spad{realSolve(ts,info?,check?,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,info?,check?,lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are all real. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{realSolve(ts,info?,check?,lextri?)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{realSolve(ts)} returns the set of the points in the regular zero set of \\spad{ts} whose coordinates are all real. WARNING. For each set of coordinates given by \\spad{realSolve(ts)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.")) (|univariateSolve| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{univariateSolve(lp)} returns the same as \\spad{univariateSolve(lp,false,false,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{univariateSolve(lp,info?)} returns the same as \\spad{univariateSolve(lp,info?,false,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,info?,check?)} returns the same as \\spad{univariateSolve(lp,info?,check?,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,info?,check?,lextri?)} returns a univariate representation of the variety associated with \\spad{lp}. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during the decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. See rur from RationalUnivariateRepresentationPackage(lp,true). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|)) "\\spad{univariateSolve(ts)} returns a univariate representation of \\spad{ts}. See rur from RationalUnivariateRepresentationPackage(lp,true).")) (|triangSolve| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|))) "\\spad{triangSolve(lp)} returns the same as \\spad{triangSolve(lp,false,false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{triangSolve(lp,info?)} returns the same as \\spad{triangSolve(lp,false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{triangSolve(lp,info?,lextri?)} decomposes the variety associated with \\axiom{lp} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{lp} is not zero-dimensional then the result is only a decomposition of its zero-set in the sense of the closure (w.r.t. Zarisky topology). Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSetCategory(lp,true,info?). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain"))) 
 NIL 
 NIL 
-(-1305 R) 
+(|IntegerLinearDependence| R) 
 ((|constructor| (NIL "Test for linear dependence over the integers.")) (|solveLinearlyOverQ| (((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|) "\\spad{solveLinearlyOverQ([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such rational numbers ci's exist.")) (|linearDependenceOverZ| (((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|)) "\\spad{linearlyDependenceOverZ([v1,...,vn])} returns \\spad{[c1,...,cn]} if \\spad{c1*v1 + \\spad{...} + cn*vn = 0} and not all the ci's are 0, \"failed\" if the vi's are linearly independent over the integers.")) (|linearlyDependentOverZ?| (((|Boolean|) (|Vector| |#1|)) "\\spad{linearlyDependentOverZ?([v1,...,vn])} returns \\spad{true} if the vi's are linearly dependent over the integers, \\spad{false} otherwise."))) 
 NIL 
 NIL 
-(-1306 |p|) 
+(|IntegerMod| |p|) 
 ((|constructor| (NIL "IntegerMod(n) creates the ring of integers reduced modulo the integer \\spad{n.}"))) 
-(((-4627 "*") . T) (-4619 . T) (-4620 . T) (-4622 . T)) 
+(((|commutative| "*") . T) (|rightUnitary| . T) (|leftUnitary| . T) (|unitsKnown| . T)) 
 NIL 
 NIL 
 NIL 
@@ -5176,4 +5176,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((-1311 NIL 2394200 2394205 2394210 2394215) (-3 NIL 2394180 2394185 2394190 2394195) (-2 NIL 2394160 2394165 2394170 2394175) (-1 NIL 2394140 2394145 2394150 2394155) (0 NIL 2394120 2394125 2394130 2394135) (-1306 "bookvol10.3.pamphlet" 2393937 2393950 2394058 2394115) (-1305 "bookvol10.4.pamphlet" 2393057 2393068 2393927 2393932) (-1304 "bookvol10.4.pamphlet" 2383673 2383695 2393047 2393052) (-1303 "bookvol10.4.pamphlet" 2383170 2383181 2383663 2383668) (-1302 "bookvol10.3.pamphlet" 2382405 2382425 2383026 2383095) (-1301 "bookvol10.3.pamphlet" 2380138 2380151 2382123 2382222) (-1300 "bookvol10.3.pamphlet" 2379710 2379721 2379994 2380063) (-1299 "bookvol10.2.pamphlet" 2379028 2379044 2379636 2379705) (-1298 "bookvol10.3.pamphlet" 2377693 2377713 2378808 2378877) (-1297 "bookvol10.2.pamphlet" 2376157 2376172 2377595 2377688) (-1296 NIL 2374601 2374618 2376041 2376046) (-1295 "bookvol10.2.pamphlet" 2371636 2371652 2374527 2374596) (-1294 "bookvol10.4.pamphlet" 2371035 2371061 2371626 2371631) (-1293 "bookvol10.3.pamphlet" 2370666 2370682 2370891 2370960) (-1292 "bookvol10.2.pamphlet" 2370365 2370376 2370622 2370661) (-1291 "bookvol10.3.pamphlet" 2367033 2367050 2370067 2370094) (-1290 "bookvol10.3.pamphlet" 2366063 2366107 2366891 2366958) (-1289 "bookvol10.4.pamphlet" 2363638 2363660 2366053 2366058) (-1288 "bookvol10.4.pamphlet" 2361902 2361913 2363628 2363633) (-1287 "bookvol10.2.pamphlet" 2361575 2361586 2361870 2361897) (-1286 NIL 2361268 2361281 2361565 2361570) (-1285 "bookvol10.3.pamphlet" 2360862 2360871 2361258 2361263) (-1284 "bookvol10.4.pamphlet" 2358578 2358587 2360852 2360857) (-1283 "bookvol10.4.pamphlet" 2353838 2353847 2358568 2358573) (-1282 "bookvol10.3.pamphlet" 2338054 2338063 2353828 2353833) (-1281 "bookvol10.3.pamphlet" 2326245 2326254 2338044 2338049) (-1280 "bookvol10.3.pamphlet" 2325142 2325153 2325393 2325420) (-1279 "bookvol10.4.pamphlet" 2323816 2323829 2325132 2325137) (-1278 "bookvol10.2.pamphlet" 2321816 2321827 2323772 2323811) (-1277 NIL 2319635 2319648 2321593 2321598) (-1276 "bookvol10.3.pamphlet" 2319415 2319430 2319625 2319630) (-1275 "bookvol10.3.pamphlet" 2314591 2314613 2317882 2317979) (-1274 "bookvol10.4.pamphlet" 2314494 2314522 2314581 2314586) (-1273 "bookvol10.4.pamphlet" 2313788 2313812 2314450 2314455) (-1272 "bookvol10.4.pamphlet" 2311978 2311998 2313778 2313783) (-1271 "bookvol10.3.pamphlet" 2306777 2306805 2310445 2310542) (-1270 "bookvol10.2.pamphlet" 2304094 2304110 2306675 2306772) (-1269 NIL 2301055 2301073 2303638 2303643) (-1268 "bookvol10.4.pamphlet" 2300680 2300715 2301045 2301050) (-1267 "bookvol10.2.pamphlet" 2295964 2295975 2300660 2300675) (-1266 NIL 2291222 2291235 2295920 2295925) (-1265 "bookvol10.3.pamphlet" 2288889 2288915 2290303 2290436) (-1264 "bookvol10.3.pamphlet" 2286440 2286468 2287021 2287170) (-1263 "bookvol10.3.pamphlet" 2284201 2284221 2284572 2284721) (-1262 "bookvol10.2.pamphlet" 2282671 2282691 2284047 2284196) (-1261 NIL 2281283 2281305 2282661 2282666) (-1260 "bookvol10.2.pamphlet" 2279874 2279890 2281129 2281278) (-1259 "bookvol10.4.pamphlet" 2279417 2279470 2279864 2279869) (-1258 "bookvol10.4.pamphlet" 2277845 2277859 2279407 2279412) (-1257 "bookvol10.2.pamphlet" 2275415 2275439 2277743 2277840) (-1256 NIL 2272691 2272717 2275021 2275026) (-1255 "bookvol10.2.pamphlet" 2267079 2267090 2272533 2272686) (-1254 NIL 2261359 2261372 2266815 2266820) (-1253 "bookvol10.4.pamphlet" 2260824 2260843 2261349 2261354) (-1252 "bookvol10.3.pamphlet" 2257783 2257798 2258374 2258527) (-1251 "bookvol10.4.pamphlet" 2256717 2256730 2257773 2257778) (-1250 "bookvol10.4.pamphlet" 2256282 2256296 2256707 2256712) (-1249 "bookvol10.4.pamphlet" 2254523 2254537 2256272 2256277) (-1248 "bookvol10.4.pamphlet" 2253724 2253740 2254513 2254518) (-1247 "bookvol10.4.pamphlet" 2253126 2253147 2253714 2253719) (-1246 "bookvol10.3.pamphlet" 2252479 2252490 2253045 2253050) (-1245 "bookvol10.4.pamphlet" 2251986 2251999 2252435 2252440) (-1244 "bookvol10.4.pamphlet" 2251109 2251121 2251976 2251981) (-1243 "bookvol10.3.pamphlet" 2241781 2241809 2242754 2243183) (-1242 "bookvol10.3.pamphlet" 2235822 2235842 2236190 2236339) (-1241 "bookvol10.2.pamphlet" 2233415 2233435 2235642 2235817) (-1240 NIL 2231142 2231164 2233371 2233376) (-1239 "bookvol10.2.pamphlet" 2229352 2229368 2230988 2231137) (-1238 "bookvol10.4.pamphlet" 2228896 2228949 2229342 2229347) (-1237 "bookvol10.3.pamphlet" 2227289 2227305 2227363 2227460) (-1236 "bookvol10.4.pamphlet" 2227204 2227220 2227279 2227284) (-1235 "bookvol10.2.pamphlet" 2226273 2226282 2227130 2227199) (-1234 NIL 2225404 2225415 2226263 2226268) (-1233 "bookvol10.4.pamphlet" 2224215 2224224 2225394 2225399) (-1232 "bookvol10.4.pamphlet" 2221741 2221752 2224171 2224176) (-1231 "bookvol10.3.pamphlet" 2220972 2220981 2221175 2221202) (-1230 "bookvol10.3.pamphlet" 2220217 2220226 2220604 2220631) (-1229 "bookvol10.3.pamphlet" 2219447 2219456 2219651 2219678) (-1228 "bookvol10.3.pamphlet" 2218690 2218699 2219079 2219106) (-1227 "bookvol10.3.pamphlet" 2217920 2217929 2218124 2218151) (-1226 "bookvol10.3.pamphlet" 2217163 2217172 2217552 2217579) (-1225 "bookvol10.2.pamphlet" 2217085 2217094 2217143 2217158) (-1224 "bookvol10.4.pamphlet" 2215745 2215760 2217075 2217080) (-1223 "bookvol10.3.pamphlet" 2214754 2214765 2215700 2215705) (-1222 "bookvol10.4.pamphlet" 2211648 2211657 2214744 2214749) (-1221 "bookvol10.3.pamphlet" 2210338 2210355 2211638 2211643) (-1220 "bookvol10.3.pamphlet" 2208929 2208945 2209903 2210000) (-1219 "bookvol10.2.pamphlet" 2198485 2198502 2208885 2208924) (-1218 NIL 2188039 2188058 2198441 2198446) (-1217 "bookvol10.4.pamphlet" 2182495 2182512 2187745 2187750) (-1216 "bookvol10.4.pamphlet" 2181466 2181491 2182485 2182490) (-1215 "bookvol10.4.pamphlet" 2179963 2179980 2181456 2181461) (-1214 "bookvol10.2.pamphlet" 2179475 2179484 2179953 2179958) (-1213 NIL 2178985 2178996 2179465 2179470) (-1212 "bookvol10.3.pamphlet" 2177198 2177209 2178815 2178842) (-1211 "bookvol10.2.pamphlet" 2177045 2177054 2177188 2177193) (-1210 NIL 2176890 2176901 2177035 2177040) (-1209 "bookvol10.4.pamphlet" 2176568 2176577 2176880 2176885) (-1208 "bookvol10.4.pamphlet" 2176231 2176242 2176558 2176563) (-1207 "bookvol10.3.pamphlet" 2174810 2174819 2176221 2176226) (-1206 "bookvol10.3.pamphlet" 2171947 2171956 2174800 2174805) (-1205 "bookvol10.4.pamphlet" 2171503 2171514 2171937 2171942) (-1204 "bookvol10.4.pamphlet" 2171064 2171073 2171493 2171498) (-1203 "bookvol10.4.pamphlet" 2169255 2169278 2171054 2171059) (-1202 "bookvol10.2.pamphlet" 2168277 2168300 2169223 2169250) (-1201 NIL 2167319 2167344 2168267 2168272) (-1200 "bookvol10.4.pamphlet" 2166695 2166706 2167309 2167314) (-1199 "bookvol10.3.pamphlet" 2165668 2165691 2165938 2165965) (-1198 "bookvol10.3.pamphlet" 2165158 2165169 2165658 2165663) (-1197 "bookvol10.4.pamphlet" 2162076 2162087 2165148 2165153) (-1196 "bookvol10.4.pamphlet" 2158707 2158718 2162066 2162071) (-1195 "bookvol10.3.pamphlet" 2156804 2156813 2158697 2158702) (-1194 "bookvol10.3.pamphlet" 2152869 2152878 2156794 2156799) (-1193 "bookvol10.3.pamphlet" 2151875 2151886 2151957 2152084) (-1192 "bookvol10.4.pamphlet" 2151296 2151307 2151865 2151870) (-1191 "bookvol10.3.pamphlet" 2148758 2148767 2151286 2151291) (-1190 "bookvol10.3.pamphlet" 2145504 2145513 2148748 2148753) (-1189 "bookvol10.3.pamphlet" 2142535 2142563 2143971 2144068) (-1188 "bookvol10.3.pamphlet" 2139669 2139697 2140667 2140816) (-1187 "bookvol10.3.pamphlet" 2136364 2136375 2137219 2137372) (-1186 "bookvol10.4.pamphlet" 2135484 2135502 2136354 2136359) (-1185 "bookvol10.3.pamphlet" 2132928 2132939 2132997 2133150) (-1184 "bookvol10.4.pamphlet" 2132322 2132335 2132918 2132923) (-1183 "bookvol10.4.pamphlet" 2130924 2130935 2132312 2132317) (-1182 "bookvol10.4.pamphlet" 2130602 2130619 2130914 2130919) (-1181 "bookvol10.3.pamphlet" 2121261 2121289 2122247 2122676) (-1180 "bookvol10.3.pamphlet" 2120943 2120958 2121251 2121256) (-1179 "bookvol10.3.pamphlet" 2113298 2113313 2120933 2120938) (-1178 "bookvol10.4.pamphlet" 2112470 2112484 2113254 2113259) (-1177 "bookvol10.4.pamphlet" 2108571 2108587 2112460 2112465) (-1176 "bookvol10.4.pamphlet" 2105041 2105057 2108561 2108566) (-1175 "bookvol10.4.pamphlet" 2097613 2097624 2104922 2104927) (-1174 "bookvol10.3.pamphlet" 2096692 2096709 2096841 2096868) (-1173 "bookvol10.3.pamphlet" 2096075 2096084 2096173 2096200) (-1172 "bookvol10.2.pamphlet" 2095851 2095860 2096031 2096070) (-1171 "bookvol10.3.pamphlet" 2091439 2091450 2095599 2095614) (-1170 "bookvol10.4.pamphlet" 2090780 2090795 2091429 2091434) (-1169 "bookvol10.4.pamphlet" 2089353 2089366 2090770 2090775) (-1168 "bookvol10.4.pamphlet" 2088861 2088872 2089343 2089348) (-1167 "bookvol10.4.pamphlet" 2088546 2088557 2088851 2088856) (-1166 "bookvol10.4.pamphlet" 2087482 2087498 2088536 2088541) (-1165 "bookvol10.2.pamphlet" 2086708 2086717 2087472 2087477) (-1164 "bookvol10.3.pamphlet" 2085798 2085826 2085963 2085978) (-1163 "bookvol10.2.pamphlet" 2084897 2084908 2085778 2085793) (-1162 NIL 2084004 2084017 2084887 2084892) (-1161 "bookvol10.3.pamphlet" 2080041 2080052 2083834 2083861) (-1160 "bookvol10.3.pamphlet" 2078288 2078305 2079743 2079770) (-1159 "bookvol10.4.pamphlet" 2077054 2077074 2078278 2078283) (-1158 "bookvol10.2.pamphlet" 2072391 2072400 2077010 2077049) (-1157 NIL 2067760 2067771 2072381 2072386) (-1156 "bookvol10.3.pamphlet" 2065442 2065460 2066348 2066435) (-1155 "bookvol10.3.pamphlet" 2060949 2060962 2065193 2065220) (-1154 "bookvol10.3.pamphlet" 2057997 2058010 2060939 2060944) (-1153 "bookvol10.2.pamphlet" 2056808 2056817 2057987 2057992) (-1152 "bookvol10.4.pamphlet" 2055377 2055386 2056798 2056803) (-1151 "bookvol10.2.pamphlet" 2039767 2039778 2055367 2055372) (-1150 "bookvol10.3.pamphlet" 2039549 2039560 2039757 2039762) (-1149 "bookvol10.4.pamphlet" 2039098 2039111 2039505 2039510) (-1148 "bookvol10.4.pamphlet" 2036693 2036704 2039088 2039093) (-1147 "bookvol10.4.pamphlet" 2035282 2035293 2036683 2036688) (-1146 "bookvol10.4.pamphlet" 2029770 2029781 2035272 2035277) (-1145 "bookvol10.4.pamphlet" 2028234 2028252 2029760 2029765) (-1144 "bookvol10.2.pamphlet" 2028005 2028022 2028190 2028229) (-1143 "bookvol10.3.pamphlet" 2026159 2026185 2027570 2027667) (-1142 "bookvol10.3.pamphlet" 2023615 2023635 2023988 2024115) (-1141 "bookvol10.4.pamphlet" 2022452 2022477 2023605 2023610) (-1140 "bookvol10.2.pamphlet" 2020560 2020590 2022384 2022447) (-1139 NIL 2018612 2018644 2020438 2020443) (-1138 "bookvol10.2.pamphlet" 2017214 2017225 2018568 2018607) (-1137 "bookvol10.3.pamphlet" 2015577 2015586 2017080 2017209) (-1136 "bookvol10.4.pamphlet" 2015320 2015329 2015567 2015572) (-1135 "bookvol10.4.pamphlet" 2014410 2014421 2015310 2015315) (-1134 "bookvol10.4.pamphlet" 2013669 2013686 2014400 2014405) (-1133 "bookvol10.4.pamphlet" 2011633 2011648 2013625 2013630) (-1132 "bookvol10.3.pamphlet" 2003346 2003373 2003848 2003979) (-1131 "bookvol10.2.pamphlet" 2002658 2002667 2003336 2003341) (-1130 NIL 2001968 2001979 2002648 2002653) (-1129 "bookvol10.4.pamphlet" 1995480 1995489 2001958 2001963) (-1128 "bookvol10.2.pamphlet" 1995043 1995060 1995436 1995475) (-1127 "bookvol10.4.pamphlet" 1994742 1994762 1995033 1995038) (-1126 "bookvol10.4.pamphlet" 1990659 1990679 1994732 1994737) (-1125 "bookvol10.3.pamphlet" 1990120 1990134 1990649 1990654) (-1124 "bookvol10.3.pamphlet" 1989963 1990003 1990110 1990115) (-1123 "bookvol10.3.pamphlet" 1989855 1989864 1989953 1989958) (-1122 "bookvol10.2.pamphlet" 1987106 1987146 1989845 1989850) (-1121 "bookvol10.3.pamphlet" 1985470 1985481 1986583 1986622) (-1120 "bookvol10.3.pamphlet" 1983950 1983967 1985460 1985465) (-1119 "bookvol10.2.pamphlet" 1983440 1983449 1983940 1983945) (-1118 NIL 1982928 1982939 1983430 1983435) (-1117 "bookvol10.2.pamphlet" 1982819 1982828 1982918 1982923) (-1116 "bookvol10.2.pamphlet" 1979709 1979720 1982787 1982814) (-1115 NIL 1976619 1976632 1979699 1979704) (-1114 "bookvol10.2.pamphlet" 1975681 1975694 1976599 1976614) (-1113 "bookvol10.3.pamphlet" 1975494 1975505 1975600 1975605) (-1112 "bookvol10.2.pamphlet" 1974282 1974293 1975474 1975489) (-1111 "bookvol10.3.pamphlet" 1973368 1973379 1974237 1974242) (-1110 "bookvol10.4.pamphlet" 1973074 1973087 1973358 1973363) (-1109 "bookvol10.4.pamphlet" 1972493 1972506 1973030 1973035) (-1108 "bookvol10.3.pamphlet" 1971791 1971802 1972483 1972488) (-1107 "bookvol10.3.pamphlet" 1969195 1969206 1969472 1969599) (-1106 "bookvol10.3.pamphlet" 1965666 1965677 1969163 1969190) (-1105 "bookvol10.4.pamphlet" 1963769 1963780 1965656 1965661) (-1104 "bookvol10.4.pamphlet" 1962618 1962629 1963759 1963764) (-1103 "bookvol10.3.pamphlet" 1962490 1962499 1962608 1962613) (-1102 "bookvol10.4.pamphlet" 1962203 1962223 1962480 1962485) (-1101 "bookvol10.3.pamphlet" 1960332 1960348 1960989 1961124) (-1100 "bookvol10.4.pamphlet" 1960033 1960053 1960322 1960327) (-1099 "bookvol10.4.pamphlet" 1957769 1957785 1960023 1960028) (-1098 "bookvol10.3.pamphlet" 1957201 1957225 1957759 1957764) (-1097 "bookvol10.3.pamphlet" 1955383 1955407 1957191 1957196) (-1096 "bookvol10.3.pamphlet" 1955235 1955248 1955373 1955378) (-1095 "bookvol10.4.pamphlet" 1952605 1952625 1955225 1955230) (-1094 "bookvol10.2.pamphlet" 1943443 1943460 1952561 1952600) (-1093 NIL 1934313 1934332 1943433 1943438) (-1092 "bookvol10.4.pamphlet" 1933066 1933086 1934303 1934308) (-1091 "bookvol10.2.pamphlet" 1931472 1931502 1933056 1933061) (-1090 NIL 1929876 1929908 1931462 1931467) (-1089 "bookvol10.2.pamphlet" 1913118 1913133 1929744 1929871) (-1088 NIL 1896073 1896090 1912701 1912706) (-1087 "bookvol10.3.pamphlet" 1892558 1892567 1895302 1895329) (-1086 "bookvol10.3.pamphlet" 1891805 1891814 1892424 1892553) (-1085 "bookvol10.3.pamphlet" 1890939 1890971 1891795 1891800) (-1084 "bookvol10.2.pamphlet" 1889762 1889771 1890841 1890934) (-1083 NIL 1888671 1888682 1889752 1889757) (-1082 "bookvol10.2.pamphlet" 1888191 1888200 1888661 1888666) (-1081 "bookvol10.2.pamphlet" 1887706 1887717 1888181 1888186) (-1080 "bookvol10.4.pamphlet" 1887134 1887191 1887696 1887701) (-1079 "bookvol10.3.pamphlet" 1885869 1885888 1886357 1886396) (-1078 "bookvol10.2.pamphlet" 1881505 1881536 1885813 1885864) (-1077 NIL 1877043 1877076 1881353 1881358) (-1076 "bookvol10.4.pamphlet" 1876931 1876951 1877033 1877038) (-1075 "bookvol10.2.pamphlet" 1876290 1876299 1876911 1876926) (-1074 NIL 1875657 1875668 1876280 1876285) (-1073 "bookvol10.4.pamphlet" 1874685 1874694 1875647 1875652) (-1072 "bookvol10.3.pamphlet" 1873364 1873380 1874245 1874272) (-1071 "bookvol10.4.pamphlet" 1871414 1871425 1873354 1873359) (-1070 "bookvol10.4.pamphlet" 1869070 1869081 1871404 1871409) (-1069 "bookvol10.4.pamphlet" 1868532 1868543 1869060 1869065) (-1068 "bookvol10.4.pamphlet" 1868267 1868279 1868522 1868527) (-1067 "bookvol10.4.pamphlet" 1867263 1867272 1868257 1868262) (-1066 "bookvol10.4.pamphlet" 1866682 1866695 1867253 1867258) (-1065 "bookvol10.2.pamphlet" 1866024 1866035 1866672 1866677) (-1064 NIL 1865364 1865377 1866014 1866019) (-1063 "bookvol10.3.pamphlet" 1864008 1864017 1864593 1864620) (-1062 "bookvol10.3.pamphlet" 1863355 1863402 1863946 1864003) (-1061 "bookvol10.4.pamphlet" 1862681 1862692 1863345 1863350) (-1060 "bookvol10.4.pamphlet" 1862412 1862423 1862671 1862676) (-1059 "bookvol10.4.pamphlet" 1859968 1859977 1862402 1862407) (-1058 "bookvol10.4.pamphlet" 1859667 1859678 1859958 1859963) (-1057 "bookvol10.4.pamphlet" 1849687 1849698 1859509 1859514) (-1056 "bookvol10.4.pamphlet" 1844075 1844086 1849637 1849642) (-1055 "bookvol10.3.pamphlet" 1842370 1842387 1843777 1843804) (-1054 "bookvol10.3.pamphlet" 1841720 1841731 1842325 1842330) (-1053 "bookvol10.4.pamphlet" 1840850 1840867 1841710 1841715) (-1052 "bookvol10.4.pamphlet" 1839257 1839274 1840805 1840810) (-1051 "bookvol10.3.pamphlet" 1838090 1838110 1838744 1838837) (-1050 "bookvol10.4.pamphlet" 1836663 1836672 1838080 1838085) (-1049 "bookvol10.2.pamphlet" 1836547 1836556 1836653 1836658) (-1048 "bookvol10.4.pamphlet" 1833898 1833913 1836537 1836542) (-1047 "bookvol10.4.pamphlet" 1830807 1830822 1833888 1833893) (-1046 "bookvol10.4.pamphlet" 1830556 1830581 1830797 1830802) (-1045 "bookvol10.4.pamphlet" 1830123 1830134 1830546 1830551) (-1044 "bookvol10.4.pamphlet" 1828977 1828995 1830113 1830118) (-1043 "bookvol10.4.pamphlet" 1826942 1826960 1828967 1828972) (-1042 "bookvol10.4.pamphlet" 1826183 1826200 1826932 1826937) (-1041 "bookvol10.4.pamphlet" 1825239 1825256 1826173 1826178) (-1040 "bookvol10.2.pamphlet" 1822568 1822577 1825141 1825234) (-1039 NIL 1819983 1819994 1822558 1822563) (-1038 "bookvol10.2.pamphlet" 1817956 1817967 1819963 1819978) (-1037 NIL 1815866 1815879 1817875 1817880) (-1036 "bookvol10.4.pamphlet" 1815287 1815298 1815856 1815861) (-1035 "bookvol10.4.pamphlet" 1814471 1814483 1815277 1815282) (-1034 "bookvol10.4.pamphlet" 1813828 1813837 1814461 1814466) (-1033 "bookvol10.4.pamphlet" 1813584 1813593 1813818 1813823) (-1032 "bookvol10.3.pamphlet" 1810399 1810413 1812051 1812144) (-1031 "bookvol10.3.pamphlet" 1808828 1808865 1808931 1809087) (-1030 "bookvol10.2.pamphlet" 1808459 1808468 1808818 1808823) (-1029 NIL 1808088 1808099 1808449 1808454) (-1028 "bookvol10.3.pamphlet" 1803905 1803916 1807918 1807945) (-1027 "bookvol10.3.pamphlet" 1802535 1802546 1802829 1802894) (-1026 "bookvol10.4.pamphlet" 1801939 1801958 1802525 1802530) (-1025 "bookvol10.2.pamphlet" 1800145 1800156 1801869 1801934) (-1024 NIL 1798102 1798115 1799828 1799833) (-1023 "bookvol10.2.pamphlet" 1796915 1796926 1798058 1798097) (-1022 "bookvol10.3.pamphlet" 1796383 1796398 1796905 1796910) (-1021 "bookvol10.2.pamphlet" 1795077 1795088 1796273 1796378) (-1020 NIL 1793374 1793387 1794572 1794577) (-1019 "bookvol10.4.pamphlet" 1793074 1793091 1793364 1793369) (-1018 "bookvol10.3.pamphlet" 1792648 1792657 1793064 1793069) (-1017 "bookvol10.4.pamphlet" 1788631 1788651 1792638 1792643) (-1016 "bookvol10.3.pamphlet" 1784803 1784836 1788545 1788550) (-1015 "bookvol10.4.pamphlet" 1782814 1782833 1784793 1784798) (-1014 "bookvol10.4.pamphlet" 1780141 1780163 1782804 1782809) (-1013 "bookvol10.4.pamphlet" 1779477 1779497 1780131 1780136) (-1012 "bookvol10.2.pamphlet" 1775755 1775766 1779467 1779472) (-1011 "bookvol10.4.pamphlet" 1772880 1772891 1775745 1775750) (-1010 "bookvol10.4.pamphlet" 1772698 1772713 1772870 1772875) (-1009 "bookvol10.2.pamphlet" 1771789 1771800 1772654 1772693) (-1008 "bookvol10.4.pamphlet" 1771099 1771124 1771779 1771784) (-1007 "bookvol10.4.pamphlet" 1769968 1769979 1771089 1771094) (-1006 "bookvol10.4.pamphlet" 1757476 1757493 1769846 1769851) (-1005 "bookvol10.2.pamphlet" 1752330 1752354 1757444 1757471) (-1004 NIL 1747170 1747196 1752286 1752291) (-1003 "bookvol10.2.pamphlet" 1746194 1746203 1747160 1747165) (-1002 "bookvol10.2.pamphlet" 1744956 1744986 1746092 1746189) (-1001 NIL 1743808 1743840 1744946 1744951) (-1000 "bookvol10.3.pamphlet" 1742610 1742619 1743798 1743803) (-999 "bookvol10.2.pamphlet" 1740105 1740115 1742600 1742605) (-998 "bookvol10.4.pamphlet" 1731774 1731791 1740061 1740066) (-997 "bookvol10.2.pamphlet" 1731197 1731207 1731730 1731769) (-996 "bookvol10.3.pamphlet" 1731081 1731097 1731187 1731192) (-995 "bookvol10.3.pamphlet" 1730971 1730981 1731071 1731076) (-994 "bookvol10.3.pamphlet" 1730861 1730871 1730961 1730966) (-993 "bookvol10.3.pamphlet" 1728300 1728312 1728827 1728882) (-992 "bookvol10.3.pamphlet" 1726698 1726710 1727391 1727518) (-991 "bookvol10.4.pamphlet" 1725952 1725991 1726688 1726693) (-990 "bookvol10.4.pamphlet" 1725704 1725712 1725942 1725947) (-989 "bookvol10.4.pamphlet" 1723937 1723947 1725694 1725699) (-988 "bookvol10.4.pamphlet" 1722024 1722038 1723927 1723932) (-987 "bookvol10.2.pamphlet" 1721635 1721643 1722014 1722019) (-986 "bookvol10.3.pamphlet" 1720888 1720898 1721041 1721068) (-985 "bookvol10.4.pamphlet" 1718994 1719006 1720878 1720883) (-984 "bookvol10.4.pamphlet" 1718360 1718372 1718984 1718989) (-983 "bookvol10.2.pamphlet" 1717725 1717733 1718350 1718355) (-982 "bookvol10.4.pamphlet" 1712534 1712542 1717715 1717720) (-981 "bookvol10.4.pamphlet" 1711278 1711300 1712490 1712495) (-980 "bookvol10.3.pamphlet" 1708596 1708606 1709092 1709219) (-979 "bookvol10.4.pamphlet" 1707885 1707908 1708586 1708591) (-978 "bookvol10.4.pamphlet" 1705895 1705917 1707875 1707880) (-977 "bookvol10.2.pamphlet" 1699325 1699346 1705763 1705890) (-976 NIL 1692057 1692080 1698497 1698502) (-975 "bookvol10.4.pamphlet" 1691503 1691517 1692047 1692052) (-974 "bookvol10.4.pamphlet" 1691109 1691121 1691493 1691498) (-973 "bookvol10.4.pamphlet" 1690150 1690179 1691065 1691070) (-972 "bookvol10.4.pamphlet" 1688898 1688913 1690140 1690145) (-971 "bookvol10.3.pamphlet" 1687959 1687969 1688046 1688073) (-970 "bookvol10.4.pamphlet" 1684631 1684639 1687949 1687954) (-969 "bookvol10.4.pamphlet" 1683452 1683466 1684621 1684626) (-968 "bookvol10.4.pamphlet" 1683009 1683019 1683442 1683447) (-967 "bookvol10.4.pamphlet" 1682608 1682622 1682999 1683004) (-966 "bookvol10.4.pamphlet" 1682128 1682142 1682598 1682603) (-965 "bookvol10.4.pamphlet" 1681623 1681645 1682118 1682123) (-964 "bookvol10.4.pamphlet" 1680703 1680721 1681555 1681560) (-963 "bookvol10.4.pamphlet" 1680288 1680302 1680693 1680698) (-962 "bookvol10.4.pamphlet" 1679867 1679879 1680278 1680283) (-961 "bookvol10.4.pamphlet" 1679447 1679457 1679857 1679862) (-960 "bookvol10.4.pamphlet" 1679032 1679050 1679437 1679442) (-959 "bookvol10.4.pamphlet" 1678342 1678356 1679022 1679027) (-958 "bookvol10.4.pamphlet" 1677409 1677417 1678332 1678337) (-957 "bookvol10.4.pamphlet" 1676433 1676449 1677399 1677404) (-956 "bookvol10.4.pamphlet" 1675331 1675369 1676423 1676428) (-955 "bookvol10.4.pamphlet" 1675111 1675119 1675321 1675326) (-954 "bookvol10.3.pamphlet" 1669963 1669971 1675101 1675106) (-953 "bookvol10.3.pamphlet" 1666577 1666585 1669953 1669958) (-952 "bookvol10.4.pamphlet" 1665728 1665738 1666567 1666572) (-951 "bookvol10.4.pamphlet" 1651841 1651868 1665718 1665723) (-950 "bookvol10.3.pamphlet" 1651748 1651762 1651831 1651836) (-949 "bookvol10.3.pamphlet" 1651659 1651669 1651738 1651743) (-948 "bookvol10.3.pamphlet" 1651570 1651580 1651649 1651654) (-947 "bookvol10.2.pamphlet" 1650612 1650626 1651560 1651565) (-946 "bookvol10.4.pamphlet" 1650234 1650253 1650602 1650607) (-945 "bookvol10.4.pamphlet" 1650018 1650034 1650224 1650229) (-944 "bookvol10.3.pamphlet" 1649642 1649650 1649992 1650013) (-943 "bookvol10.2.pamphlet" 1648622 1648630 1649568 1649637) (-942 "bookvol10.4.pamphlet" 1648367 1648377 1648612 1648617) (-941 "bookvol10.4.pamphlet" 1646985 1646999 1648357 1648362) (-940 "bookvol10.4.pamphlet" 1638943 1638951 1646975 1646980) (-939 "bookvol10.4.pamphlet" 1637424 1637441 1638933 1638938) (-938 "bookvol10.4.pamphlet" 1636475 1636485 1637414 1637419) (-937 "bookvol10.3.pamphlet" 1632045 1632055 1636377 1636470) (-936 "bookvol10.4.pamphlet" 1631392 1631408 1632035 1632040) (-935 "bookvol10.4.pamphlet" 1629533 1629562 1631382 1631387) (-934 "bookvol10.4.pamphlet" 1628903 1628921 1629523 1629528) (-933 "bookvol10.4.pamphlet" 1628324 1628351 1628893 1628898) (-932 "bookvol10.3.pamphlet" 1627999 1628011 1628129 1628222) (-931 "bookvol10.2.pamphlet" 1625707 1625715 1627925 1627994) (-930 NIL 1623443 1623453 1625663 1625668) (-929 "bookvol10.4.pamphlet" 1621350 1621362 1623433 1623438) (-928 "bookvol10.4.pamphlet" 1619010 1619033 1621340 1621345) (-927 "bookvol10.3.pamphlet" 1614332 1614342 1618840 1618855) (-926 "bookvol10.3.pamphlet" 1609097 1609107 1614322 1614327) (-925 "bookvol10.2.pamphlet" 1607760 1607770 1609077 1609092) (-924 "bookvol10.4.pamphlet" 1606519 1606533 1607750 1607755) (-923 "bookvol10.3.pamphlet" 1605791 1605801 1606371 1606376) (-922 "bookvol10.2.pamphlet" 1604166 1604176 1605771 1605786) (-921 NIL 1602549 1602561 1604156 1604161) (-920 "bookvol10.3.pamphlet" 1600728 1600736 1602539 1602544) (-919 "bookvol10.4.pamphlet" 1594804 1594812 1600718 1600723) (-918 "bookvol10.4.pamphlet" 1594156 1594173 1594794 1594799) (-917 "bookvol10.2.pamphlet" 1592306 1592314 1594146 1594151) (-916 "bookvol10.4.pamphlet" 1592041 1592054 1592296 1592301) (-915 "bookvol10.3.pamphlet" 1590683 1590700 1592031 1592036) (-914 "bookvol10.3.pamphlet" 1584968 1584978 1590673 1590678) (-913 "bookvol10.4.pamphlet" 1584699 1584711 1584958 1584963) (-912 "bookvol10.4.pamphlet" 1582997 1583013 1584689 1584694) (-911 "bookvol10.3.pamphlet" 1580658 1580670 1582987 1582992) (-910 "bookvol10.4.pamphlet" 1580370 1580384 1580648 1580653) (-909 "bookvol10.4.pamphlet" 1578591 1578622 1580078 1580083) (-908 "bookvol10.2.pamphlet" 1578030 1578040 1578581 1578586) (-907 "bookvol10.3.pamphlet" 1577140 1577154 1578020 1578025) (-906 "bookvol10.2.pamphlet" 1576846 1576856 1577130 1577135) (-905 "bookvol10.4.pamphlet" 1574364 1574372 1576836 1576841) (-904 "bookvol10.3.pamphlet" 1573822 1573850 1574354 1574359) (-903 "bookvol10.4.pamphlet" 1573615 1573631 1573812 1573817) (-902 "bookvol10.3.pamphlet" 1573073 1573101 1573605 1573610) (-901 "bookvol10.4.pamphlet" 1572860 1572876 1573063 1573068) (-900 "bookvol10.3.pamphlet" 1572330 1572358 1572850 1572855) (-899 "bookvol10.4.pamphlet" 1572117 1572133 1572320 1572325) (-898 "bookvol10.4.pamphlet" 1570940 1570989 1572107 1572112) (-897 "bookvol10.4.pamphlet" 1570354 1570362 1570930 1570935) (-896 "bookvol10.3.pamphlet" 1569362 1569370 1570344 1570349) (-895 "bookvol10.4.pamphlet" 1563809 1563832 1569318 1569323) (-894 "bookvol10.4.pamphlet" 1557690 1557713 1563758 1563763) (-893 "bookvol10.3.pamphlet" 1555066 1555084 1556195 1556288) (-892 "bookvol10.3.pamphlet" 1553129 1553141 1553302 1553395) (-891 "bookvol10.3.pamphlet" 1552874 1552886 1553055 1553124) (-890 "bookvol10.2.pamphlet" 1551420 1551432 1552800 1552869) (-889 "bookvol10.4.pamphlet" 1550365 1550384 1551410 1551415) (-888 "bookvol10.4.pamphlet" 1549370 1549386 1550355 1550360) (-887 "bookvol10.3.pamphlet" 1548205 1548213 1549041 1549134) (-886 "bookvol10.2.pamphlet" 1547189 1547197 1548107 1548200) (-885 "bookvol10.2.pamphlet" 1545488 1545496 1547091 1547184) (-884 "bookvol10.3.pamphlet" 1544447 1544457 1545284 1545377) (-883 "bookvol10.2.pamphlet" 1543434 1543442 1544349 1544442) (-882 "bookvol10.3.pamphlet" 1541973 1541993 1542824 1542917) (-881 "bookvol10.2.pamphlet" 1540949 1540957 1541875 1541968) (-880 "bookvol10.3.pamphlet" 1539957 1539987 1540807 1540874) (-879 "bookvol10.3.pamphlet" 1539738 1539761 1539947 1539952) (-878 "bookvol10.4.pamphlet" 1538864 1538872 1539728 1539733) (-877 "bookvol10.3.pamphlet" 1528278 1528286 1538854 1538859) (-876 "bookvol10.3.pamphlet" 1527883 1527891 1528268 1528273) (-875 "bookvol10.4.pamphlet" 1526340 1526350 1527800 1527805) (-874 "bookvol10.3.pamphlet" 1525690 1525718 1526020 1526059) (-873 "bookvol10.3.pamphlet" 1524975 1524999 1525370 1525409) (-872 "bookvol10.4.pamphlet" 1522735 1522747 1524895 1524900) (-871 "bookvol10.2.pamphlet" 1516747 1516757 1522691 1522730) (-870 NIL 1510649 1510661 1516595 1516600) (-869 "bookvol10.2.pamphlet" 1509789 1509797 1510639 1510644) (-868 NIL 1508927 1508937 1509779 1509784) (-867 "bookvol10.2.pamphlet" 1508261 1508269 1508907 1508922) (-866 NIL 1507603 1507613 1508251 1508256) (-865 "bookvol10.2.pamphlet" 1507327 1507335 1507593 1507598) (-864 "bookvol10.4.pamphlet" 1506474 1506490 1507317 1507322) (-863 "bookvol10.2.pamphlet" 1506408 1506416 1506464 1506469) (-862 "bookvol10.3.pamphlet" 1504900 1504910 1505955 1505984) (-861 "bookvol10.4.pamphlet" 1504252 1504264 1504890 1504895) (-860 "bookvol10.3.pamphlet" 1502018 1502026 1504242 1504247) (-859 "bookvol10.4.pamphlet" 1494470 1494478 1502008 1502013) (-858 "bookvol10.2.pamphlet" 1491948 1491956 1494460 1494465) (-857 "bookvol10.4.pamphlet" 1491503 1491511 1491938 1491943) (-856 "bookvol10.3.pamphlet" 1491245 1491255 1491325 1491392) (-855 "bookvol10.3.pamphlet" 1490021 1490031 1490792 1490821) (-854 "bookvol10.4.pamphlet" 1489512 1489524 1490011 1490016) (-853 "bookvol10.4.pamphlet" 1488562 1488570 1489502 1489507) (-852 "bookvol10.2.pamphlet" 1488346 1488356 1488506 1488557) (-851 "bookvol10.4.pamphlet" 1487022 1487030 1488336 1488341) (-850 "bookvol10.2.pamphlet" 1486097 1486105 1487012 1487017) (-849 "bookvol10.3.pamphlet" 1485514 1485526 1485983 1486022) (-848 "bookvol10.4.pamphlet" 1485348 1485358 1485504 1485509) (-847 "bookvol10.3.pamphlet" 1484901 1484909 1485338 1485343) (-846 "bookvol10.3.pamphlet" 1483953 1483961 1484891 1484896) (-845 "bookvol10.3.pamphlet" 1483299 1483307 1483943 1483948) (-844 "bookvol10.3.pamphlet" 1478042 1478050 1483289 1483294) (-843 "bookvol10.3.pamphlet" 1477459 1477467 1478032 1478037) (-842 "bookvol10.2.pamphlet" 1477236 1477244 1477385 1477454) (-841 "bookvol10.3.pamphlet" 1470863 1470873 1477226 1477231) (-840 "bookvol10.3.pamphlet" 1470146 1470156 1470853 1470858) (-839 "bookvol10.3.pamphlet" 1469594 1469620 1469958 1470107) (-838 "bookvol10.3.pamphlet" 1466954 1466964 1467280 1467407) (-837 "bookvol10.3.pamphlet" 1458811 1458831 1459169 1459300) (-836 "bookvol10.4.pamphlet" 1457336 1457355 1458801 1458806) (-835 "bookvol10.4.pamphlet" 1454796 1454813 1457326 1457331) (-834 "bookvol10.4.pamphlet" 1450725 1450742 1454753 1454758) (-833 "bookvol10.4.pamphlet" 1450086 1450110 1450715 1450720) (-832 "bookvol10.4.pamphlet" 1447530 1447547 1450076 1450081) (-831 "bookvol10.4.pamphlet" 1444545 1444567 1447520 1447525) (-830 "bookvol10.3.pamphlet" 1443201 1443209 1444535 1444540) (-829 "bookvol10.4.pamphlet" 1440459 1440481 1443191 1443196) (-828 "bookvol10.4.pamphlet" 1439825 1439849 1440449 1440454) (-827 "bookvol10.4.pamphlet" 1427569 1427577 1439815 1439820) (-826 "bookvol10.4.pamphlet" 1426988 1427004 1427559 1427564) (-825 "bookvol10.3.pamphlet" 1424391 1424399 1426978 1426983) (-824 "bookvol10.4.pamphlet" 1419708 1419724 1424381 1424386) (-823 "bookvol10.4.pamphlet" 1419217 1419235 1419698 1419703) (-822 "bookvol10.2.pamphlet" 1417608 1417616 1419207 1419212) (-821 "bookvol10.3.pamphlet" 1415776 1415786 1416458 1416497) (-820 "bookvol10.4.pamphlet" 1415422 1415443 1415766 1415771) (-819 "bookvol10.2.pamphlet" 1413370 1413380 1415378 1415417) (-818 NIL 1411043 1411055 1413053 1413058) (-817 "bookvol10.2.pamphlet" 1410893 1410901 1411033 1411038) (-816 "bookvol10.2.pamphlet" 1410659 1410667 1410883 1410888) (-815 "bookvol10.2.pamphlet" 1410013 1410021 1410649 1410654) (-814 "bookvol10.2.pamphlet" 1409876 1409884 1410003 1410008) (-813 "bookvol10.2.pamphlet" 1409740 1409748 1409866 1409871) (-812 "bookvol10.4.pamphlet" 1409467 1409483 1409730 1409735) (-811 "bookvol10.4.pamphlet" 1398196 1398204 1409457 1409462) (-810 "bookvol10.4.pamphlet" 1389763 1389771 1398186 1398191) (-809 "bookvol10.2.pamphlet" 1387118 1387126 1389753 1389758) (-808 "bookvol10.4.pamphlet" 1385960 1385968 1387108 1387113) (-807 "bookvol10.4.pamphlet" 1378118 1378128 1385765 1385770) (-806 "bookvol10.2.pamphlet" 1377525 1377541 1378074 1378113) (-805 "bookvol10.4.pamphlet" 1377076 1377086 1377442 1377447) (-804 "bookvol10.3.pamphlet" 1370977 1370987 1374626 1374779) (-803 "bookvol10.4.pamphlet" 1370373 1370385 1370967 1370972) (-802 "bookvol10.3.pamphlet" 1366583 1366602 1366875 1367002) (-801 "bookvol10.3.pamphlet" 1365107 1365117 1365184 1365277) (-800 "bookvol10.4.pamphlet" 1363497 1363511 1365097 1365102) (-799 "bookvol10.4.pamphlet" 1363389 1363418 1363487 1363492) (-798 "bookvol10.4.pamphlet" 1362637 1362657 1363379 1363384) (-797 "bookvol10.3.pamphlet" 1362525 1362539 1362617 1362632) (-796 "bookvol10.4.pamphlet" 1362119 1362158 1362515 1362520) (-795 "bookvol10.4.pamphlet" 1360967 1360986 1362109 1362114) (-794 "bookvol10.4.pamphlet" 1360649 1360675 1360957 1360962) (-793 "bookvol10.3.pamphlet" 1360390 1360398 1360639 1360644) (-792 "bookvol10.4.pamphlet" 1360066 1360076 1360380 1360385) (-791 "bookvol10.4.pamphlet" 1359523 1359539 1360056 1360061) (-790 "bookvol10.3.pamphlet" 1358413 1358421 1359497 1359518) (-789 "bookvol10.4.pamphlet" 1357039 1357049 1358403 1358408) (-788 "bookvol10.3.pamphlet" 1354727 1354735 1357029 1357034) (-787 "bookvol10.4.pamphlet" 1352195 1352212 1354717 1354722) (-786 "bookvol10.4.pamphlet" 1351514 1351528 1352185 1352190) (-785 "bookvol10.4.pamphlet" 1349654 1349670 1351504 1351509) (-784 "bookvol10.4.pamphlet" 1349311 1349325 1349644 1349649) (-783 "bookvol10.4.pamphlet" 1347489 1347503 1349301 1349306) (-782 "bookvol10.2.pamphlet" 1347087 1347095 1347479 1347484) (-781 NIL 1346683 1346693 1347077 1347082) (-780 "bookvol10.2.pamphlet" 1346061 1346069 1346673 1346678) (-779 NIL 1345437 1345447 1346051 1346056) (-778 "bookvol10.4.pamphlet" 1344514 1344522 1345427 1345432) (-777 "bookvol10.4.pamphlet" 1334956 1334964 1344504 1344509) (-776 "bookvol10.4.pamphlet" 1333456 1333464 1334946 1334951) (-775 "bookvol10.4.pamphlet" 1327920 1327928 1333446 1333451) (-774 "bookvol10.4.pamphlet" 1322076 1322084 1327910 1327915) (-773 "bookvol10.4.pamphlet" 1317886 1317894 1322066 1322071) (-772 "bookvol10.4.pamphlet" 1311680 1311688 1317876 1317881) (-771 "bookvol10.4.pamphlet" 1302437 1302445 1311670 1311675) (-770 "bookvol10.4.pamphlet" 1298528 1298536 1302427 1302432) (-769 "bookvol10.4.pamphlet" 1296567 1296575 1298518 1298523) (-768 "bookvol10.4.pamphlet" 1289373 1289381 1296557 1296562) (-767 "bookvol10.4.pamphlet" 1283917 1283925 1289363 1289368) (-766 "bookvol10.4.pamphlet" 1279849 1279857 1283907 1283912) (-765 "bookvol10.4.pamphlet" 1278395 1278403 1279839 1279844) (-764 "bookvol10.4.pamphlet" 1277725 1277733 1278385 1278390) (-763 "bookvol10.2.pamphlet" 1277277 1277287 1277693 1277720) (-762 NIL 1276849 1276861 1277267 1277272) (-761 "bookvol10.3.pamphlet" 1274076 1274090 1274399 1274552) (-760 "bookvol10.3.pamphlet" 1272195 1272209 1272267 1272487) (-759 "bookvol10.4.pamphlet" 1269163 1269180 1272185 1272190) (-758 "bookvol10.4.pamphlet" 1268561 1268578 1269153 1269158) (-757 "bookvol10.2.pamphlet" 1266591 1266612 1268459 1268556) (-756 "bookvol10.4.pamphlet" 1266250 1266260 1266581 1266586) (-755 "bookvol10.4.pamphlet" 1265708 1265716 1266240 1266245) (-754 "bookvol10.3.pamphlet" 1263771 1263781 1265470 1265509) (-753 "bookvol10.2.pamphlet" 1263604 1263614 1263727 1263766) (-752 "bookvol10.3.pamphlet" 1260639 1260651 1263312 1263379) (-751 "bookvol10.4.pamphlet" 1260201 1260215 1260629 1260634) (-750 "bookvol10.4.pamphlet" 1259762 1259779 1260191 1260196) (-749 "bookvol10.4.pamphlet" 1257835 1257854 1259752 1259757) (-748 "bookvol10.3.pamphlet" 1255287 1255302 1255629 1255756) (-747 "bookvol10.4.pamphlet" 1254566 1254585 1255277 1255282) (-746 "bookvol10.4.pamphlet" 1254376 1254419 1254556 1254561) (-745 "bookvol10.4.pamphlet" 1254124 1254160 1254366 1254371) (-744 "bookvol10.4.pamphlet" 1252495 1252512 1254114 1254119) (-743 "bookvol10.2.pamphlet" 1251397 1251405 1252485 1252490) (-742 NIL 1250297 1250307 1251387 1251392) (-741 "bookvol10.2.pamphlet" 1249025 1249038 1250157 1250292) (-740 NIL 1247775 1247790 1248909 1248914) (-739 "bookvol10.2.pamphlet" 1245928 1245936 1247765 1247770) (-738 NIL 1244079 1244089 1245918 1245923) (-737 "bookvol10.2.pamphlet" 1243270 1243278 1244069 1244074) (-736 NIL 1242459 1242469 1243260 1243265) (-735 "bookvol10.3.pamphlet" 1241116 1241130 1242439 1242454) (-734 "bookvol10.2.pamphlet" 1240829 1240839 1241084 1241111) (-733 NIL 1240562 1240574 1240819 1240824) (-732 "bookvol10.3.pamphlet" 1239881 1239920 1240542 1240557) (-731 "bookvol10.3.pamphlet" 1238501 1238513 1239703 1239770) (-730 "bookvol10.3.pamphlet" 1238014 1238032 1238491 1238496) (-729 "bookvol10.3.pamphlet" 1234674 1234690 1235492 1235645) (-728 "bookvol10.3.pamphlet" 1234041 1234080 1234576 1234669) (-727 "bookvol10.3.pamphlet" 1232846 1232854 1234031 1234036) (-726 "bookvol10.4.pamphlet" 1232580 1232614 1232836 1232841) (-725 "bookvol10.2.pamphlet" 1230998 1231008 1232536 1232575) (-724 "bookvol10.4.pamphlet" 1229614 1229631 1230988 1230993) (-723 "bookvol10.4.pamphlet" 1229054 1229072 1229604 1229609) (-722 "bookvol10.4.pamphlet" 1228646 1228659 1229044 1229049) (-721 "bookvol10.4.pamphlet" 1227931 1227941 1228636 1228641) (-720 "bookvol10.4.pamphlet" 1226781 1226791 1227921 1227926) (-719 "bookvol10.3.pamphlet" 1226559 1226569 1226771 1226776) (-718 "bookvol10.4.pamphlet" 1225998 1226016 1226549 1226554) (-717 "bookvol10.3.pamphlet" 1225437 1225445 1225900 1225993) (-716 "bookvol10.4.pamphlet" 1224076 1224086 1225427 1225432) (-715 "bookvol10.3.pamphlet" 1222524 1222532 1223966 1224071) (-714 "bookvol10.4.pamphlet" 1221924 1221946 1222514 1222519) (-713 "bookvol10.4.pamphlet" 1219836 1219844 1221914 1221919) (-712 "bookvol10.4.pamphlet" 1218089 1218099 1219826 1219831) (-711 "bookvol10.2.pamphlet" 1217370 1217380 1218057 1218084) (-710 "bookvol10.3.pamphlet" 1213343 1213351 1213957 1214158) (-709 "bookvol10.4.pamphlet" 1212545 1212557 1213333 1213338) (-708 "bookvol10.4.pamphlet" 1209805 1209831 1212535 1212540) (-707 "bookvol10.4.pamphlet" 1207085 1207095 1209795 1209800) (-706 "bookvol10.3.pamphlet" 1205978 1205988 1206460 1206487) (-705 "bookvol10.4.pamphlet" 1203386 1203410 1205862 1205867) (-704 "bookvol10.2.pamphlet" 1189514 1189536 1203342 1203381) (-703 NIL 1175490 1175514 1189320 1189325) (-702 "bookvol10.4.pamphlet" 1174772 1174820 1175480 1175485) (-701 "bookvol10.4.pamphlet" 1173566 1173578 1174762 1174767) (-700 "bookvol10.4.pamphlet" 1172441 1172455 1173556 1173561) (-699 "bookvol10.4.pamphlet" 1171747 1171759 1172431 1172436) (-698 "bookvol10.4.pamphlet" 1170569 1170579 1171737 1171742) (-697 "bookvol10.4.pamphlet" 1170381 1170395 1170559 1170564) (-696 "bookvol10.4.pamphlet" 1170150 1170162 1170371 1170376) (-695 "bookvol10.4.pamphlet" 1169786 1169796 1170140 1170145) (-694 "bookvol10.4.pamphlet" 1165458 1165482 1169776 1169781) (-693 "bookvol10.3.pamphlet" 1163742 1163759 1165448 1165453) (-692 "bookvol10.2.pamphlet" 1161598 1161613 1163732 1163737) (-691 "bookvol10.3.pamphlet" 1159583 1159593 1161199 1161204) (-690 "bookvol10.2.pamphlet" 1155331 1155341 1159563 1159578) (-689 NIL 1151087 1151099 1155321 1155326) (-688 "bookvol10.3.pamphlet" 1148325 1148342 1151077 1151082) (-687 "bookvol10.3.pamphlet" 1146623 1146637 1147005 1147056) (-686 "bookvol10.4.pamphlet" 1146166 1146183 1146613 1146618) (-685 "bookvol10.4.pamphlet" 1144968 1144996 1146156 1146161) (-684 "bookvol10.4.pamphlet" 1142730 1142744 1144958 1144963) (-683 "bookvol10.2.pamphlet" 1142387 1142397 1142686 1142725) (-682 NIL 1142076 1142088 1142377 1142382) (-681 "bookvol10.3.pamphlet" 1141224 1141243 1141932 1142001) (-680 "bookvol10.4.pamphlet" 1140485 1140495 1141214 1141219) (-679 "bookvol10.4.pamphlet" 1138961 1139010 1140475 1140480) (-678 "bookvol10.2.pamphlet" 1138450 1138458 1138905 1138956) (-677 "bookvol10.4.pamphlet" 1137123 1137133 1138440 1138445) (-676 "bookvol10.3.pamphlet" 1136520 1136534 1137057 1137084) (-675 "bookvol10.2.pamphlet" 1136152 1136160 1136510 1136515) (-674 NIL 1135782 1135792 1136142 1136147) (-673 "bookvol10.4.pamphlet" 1134712 1134724 1135772 1135777) (-672 "bookvol10.3.pamphlet" 1134083 1134099 1134392 1134431) (-671 "bookvol10.4.pamphlet" 1133131 1133148 1134040 1134045) (-670 "bookvol10.2.pamphlet" 1131780 1131790 1133087 1133126) (-669 NIL 1130427 1130439 1131736 1131741) (-668 "bookvol10.3.pamphlet" 1129687 1129699 1130107 1130146) (-667 "bookvol10.3.pamphlet" 1129074 1129084 1129367 1129406) (-666 "bookvol10.4.pamphlet" 1127800 1127818 1129064 1129069) (-665 "bookvol10.2.pamphlet" 1126223 1126233 1127702 1127795) (-664 "bookvol10.2.pamphlet" 1122699 1122709 1126203 1126218) (-663 NIL 1119149 1119161 1122655 1122660) (-662 "bookvol10.3.pamphlet" 1115761 1115778 1119139 1119144) (-661 "bookvol10.2.pamphlet" 1115276 1115286 1115751 1115756) (-660 "bookvol10.3.pamphlet" 1114398 1114408 1115050 1115077) (-659 "bookvol10.4.pamphlet" 1113849 1113863 1114388 1114393) (-658 "bookvol10.3.pamphlet" 1111812 1111822 1113219 1113246) (-657 "bookvol10.4.pamphlet" 1111127 1111141 1111802 1111807) (-656 "bookvol10.4.pamphlet" 1109807 1109819 1111117 1111122) (-655 "bookvol10.4.pamphlet" 1106670 1106682 1109797 1109802) (-654 "bookvol10.2.pamphlet" 1106048 1106058 1106650 1106665) (-653 "bookvol10.4.pamphlet" 1104921 1104933 1105960 1105965) (-652 "bookvol10.4.pamphlet" 1102879 1102889 1104911 1104916) (-651 "bookvol10.4.pamphlet" 1101754 1101767 1102869 1102874) (-650 "bookvol10.3.pamphlet" 1099784 1099796 1101044 1101189) (-649 "bookvol10.2.pamphlet" 1099369 1099379 1099710 1099779) (-648 NIL 1098982 1098994 1099325 1099330) (-647 "bookvol10.3.pamphlet" 1097517 1097525 1098223 1098238) (-646 "bookvol10.4.pamphlet" 1094895 1094914 1097507 1097512) (-645 "bookvol10.4.pamphlet" 1093674 1093690 1094885 1094890) (-644 "bookvol10.2.pamphlet" 1092527 1092535 1093664 1093669) (-643 "bookvol10.4.pamphlet" 1088359 1088374 1092517 1092522) (-642 "bookvol10.3.pamphlet" 1086594 1086621 1088339 1088354) (-641 "bookvol10.4.pamphlet" 1085024 1085041 1086584 1086589) (-640 "bookvol10.4.pamphlet" 1084134 1084156 1085014 1085019) (-639 "bookvol10.3.pamphlet" 1082910 1082923 1083727 1083796) (-638 "bookvol10.4.pamphlet" 1082455 1082471 1082900 1082905) (-637 "bookvol10.3.pamphlet" 1081865 1081879 1082377 1082416) (-636 "bookvol10.2.pamphlet" 1081641 1081651 1081845 1081860) (-635 NIL 1081425 1081437 1081631 1081636) (-634 "bookvol10.4.pamphlet" 1080106 1080123 1081415 1081420) (-633 "bookvol10.2.pamphlet" 1079830 1079840 1080096 1080101) (-632 "bookvol10.2.pamphlet" 1079567 1079577 1079820 1079825) (-631 "bookvol10.3.pamphlet" 1078128 1078138 1079351 1079356) (-630 "bookvol10.4.pamphlet" 1077831 1077843 1078118 1078123) (-629 "bookvol10.2.pamphlet" 1076970 1076992 1077799 1077826) (-628 NIL 1076129 1076153 1076960 1076965) (-627 "bookvol10.3.pamphlet" 1074767 1074783 1075476 1075503) (-626 "bookvol10.3.pamphlet" 1072776 1072788 1074057 1074202) (-625 "bookvol10.2.pamphlet" 1071020 1071044 1072756 1072771) (-624 NIL 1069129 1069155 1070867 1070872) (-623 "bookvol10.3.pamphlet" 1068137 1068152 1068277 1068304) (-622 "bookvol10.3.pamphlet" 1067257 1067267 1068127 1068132) (-621 "bookvol10.4.pamphlet" 1066020 1066039 1067247 1067252) (-620 "bookvol10.4.pamphlet" 1065526 1065540 1066010 1066015) (-619 "bookvol10.4.pamphlet" 1065270 1065282 1065516 1065521) (-618 "bookvol10.3.pamphlet" 1063078 1063093 1065106 1065231) (-617 "bookvol10.3.pamphlet" 1055466 1055481 1062052 1062149) (-616 "bookvol10.4.pamphlet" 1054933 1054949 1055456 1055461) (-615 "bookvol10.3.pamphlet" 1054163 1054176 1054329 1054356) (-614 "bookvol10.4.pamphlet" 1053158 1053177 1054153 1054158) (-613 "bookvol10.4.pamphlet" 1051226 1051234 1053148 1053153) (-612 "bookvol10.4.pamphlet" 1049773 1049783 1051182 1051187) (-611 "bookvol10.4.pamphlet" 1049374 1049385 1049763 1049768) (-610 "bookvol10.4.pamphlet" 1047690 1047700 1049364 1049369) (-609 "bookvol10.3.pamphlet" 1045413 1045427 1047545 1047572) (-608 "bookvol10.4.pamphlet" 1044557 1044573 1045403 1045408) (-607 "bookvol10.4.pamphlet" 1043734 1043750 1044547 1044552) (-606 "bookvol10.4.pamphlet" 1043510 1043518 1043724 1043729) (-605 "bookvol10.3.pamphlet" 1043211 1043223 1043315 1043408) (-604 "bookvol10.3.pamphlet" 1042982 1043008 1043137 1043206) (-603 "bookvol10.4.pamphlet" 1042579 1042595 1042972 1042977) (-602 "bookvol10.4.pamphlet" 1035601 1035618 1042569 1042574) (-601 "bookvol10.4.pamphlet" 1033466 1033482 1035175 1035180) (-600 "bookvol10.4.pamphlet" 1032786 1032794 1033456 1033461) (-599 "bookvol10.3.pamphlet" 1032562 1032572 1032700 1032781) (-598 "bookvol10.4.pamphlet" 1030926 1030940 1032552 1032557) (-597 "bookvol10.4.pamphlet" 1030419 1030429 1030916 1030921) (-596 "bookvol10.4.pamphlet" 1029088 1029105 1030409 1030414) (-595 "bookvol10.4.pamphlet" 1027401 1027417 1028731 1028736) (-594 "bookvol10.4.pamphlet" 1025058 1025076 1027333 1027338) (-593 "bookvol10.4.pamphlet" 1015583 1015591 1025048 1025053) (-592 "bookvol10.3.pamphlet" 1014944 1014952 1015437 1015578) (-591 "bookvol10.4.pamphlet" 1014210 1014227 1014934 1014939) (-590 "bookvol10.4.pamphlet" 1013855 1013879 1014200 1014205) (-589 "bookvol10.4.pamphlet" 1010234 1010242 1013845 1013850) (-588 "bookvol10.4.pamphlet" 1003392 1003410 1010166 1010171) (-587 "bookvol10.3.pamphlet" 997390 997398 1003382 1003387) (-586 "bookvol10.4.pamphlet" 996542 996599 997380 997385) (-585 "bookvol10.4.pamphlet" 995628 995638 996532 996537) (-584 "bookvol10.4.pamphlet" 995496 995520 995618 995623) (-583 "bookvol10.4.pamphlet" 993854 993870 995486 995491) (-582 "bookvol10.2.pamphlet" 992506 992514 993780 993849) (-581 NIL 991220 991230 992496 992501) (-580 "bookvol10.4.pamphlet" 990366 990453 991210 991215) (-579 "bookvol10.2.pamphlet" 988987 988997 990280 990361) (-578 "bookvol10.4.pamphlet" 988518 988526 988977 988982) (-577 "bookvol10.4.pamphlet" 987676 987703 988508 988513) (-576 "bookvol10.4.pamphlet" 987152 987168 987666 987671) (-575 "bookvol10.3.pamphlet" 986232 986263 986395 986422) (-574 "bookvol10.2.pamphlet" 983566 983574 986134 986227) (-573 NIL 980986 980996 983556 983561) (-572 "bookvol10.4.pamphlet" 980434 980447 980976 980981) (-571 "bookvol10.4.pamphlet" 979530 979549 980424 980429) (-570 "bookvol10.4.pamphlet" 978618 978642 979520 979525) (-569 "bookvol10.4.pamphlet" 977624 977641 978608 978613) (-568 "bookvol10.4.pamphlet" 976781 976811 977614 977619) (-567 "bookvol10.4.pamphlet" 975126 975148 976771 976776) (-566 "bookvol10.4.pamphlet" 974206 974225 975116 975121) (-565 "bookvol10.3.pamphlet" 971127 971135 974196 974201) (-564 "bookvol10.4.pamphlet" 970772 970782 971117 971122) (-563 "bookvol10.4.pamphlet" 970360 970368 970762 970767) (-562 "bookvol10.3.pamphlet" 969777 969840 970350 970355) (-561 "bookvol10.3.pamphlet" 969219 969242 969767 969772) (-560 "bookvol10.2.pamphlet" 967872 967935 969209 969214) (-559 "bookvol10.4.pamphlet" 966416 966438 967862 967867) (-558 "bookvol10.3.pamphlet" 966322 966339 966406 966411) (-557 "bookvol10.4.pamphlet" 965739 965749 966312 966317) (-556 "bookvol10.4.pamphlet" 961633 961644 965729 965734) (-555 "bookvol10.3.pamphlet" 960765 960791 961277 961304) (-554 "bookvol10.4.pamphlet" 959857 959901 960721 960726) (-553 "bookvol10.4.pamphlet" 958470 958494 959813 959818) (-552 "bookvol10.3.pamphlet" 957357 957372 957876 957903) (-551 "bookvol10.3.pamphlet" 957082 957120 957187 957214) (-550 "bookvol10.3.pamphlet" 956512 956528 956763 956856) (-549 "bookvol10.3.pamphlet" 953745 953760 955918 955945) (-548 "bookvol10.3.pamphlet" 953583 953600 953701 953706) (-547 "bookvol10.2.pamphlet" 952980 952992 953573 953578) (-546 NIL 952375 952389 952970 952975) (-545 "bookvol10.3.pamphlet" 952188 952200 952365 952370) (-544 "bookvol10.3.pamphlet" 951961 951973 952178 952183) (-543 "bookvol10.3.pamphlet" 951696 951708 951951 951956) (-542 "bookvol10.2.pamphlet" 950634 950646 951686 951691) (-541 "bookvol10.3.pamphlet" 950394 950406 950624 950629) (-540 "bookvol10.3.pamphlet" 950156 950168 950384 950389) (-539 "bookvol10.4.pamphlet" 947428 947446 950146 950151) (-538 "bookvol10.3.pamphlet" 942508 942547 947363 947368) (-537 "bookvol10.3.pamphlet" 941965 941988 942498 942503) (-536 "bookvol10.4.pamphlet" 941198 941214 941955 941960) (-535 "bookvol10.3.pamphlet" 940481 940489 941188 941193) (-534 "bookvol10.4.pamphlet" 939124 939141 940471 940476) (-533 "bookvol10.3.pamphlet" 938406 938419 938818 938845) (-532 "bookvol10.4.pamphlet" 935333 935352 938396 938401) (-531 "bookvol10.4.pamphlet" 934243 934258 935323 935328) (-530 "bookvol10.3.pamphlet" 933974 934000 934073 934100) (-529 "bookvol10.3.pamphlet" 933287 933302 933380 933407) (-528 "bookvol10.3.pamphlet" 931510 931518 933103 933196) (-527 "bookvol10.4.pamphlet" 931067 931100 931500 931505) (-526 "bookvol10.2.pamphlet" 930445 930453 931057 931062) (-525 NIL 929821 929831 930435 930440) (-524 "bookvol10.3.pamphlet" 928673 928681 929811 929816) (-523 "bookvol10.2.pamphlet" 926467 926477 928653 928668) (-522 NIL 924102 924114 926290 926295) (-521 "bookvol10.3.pamphlet" 921971 921979 922569 922662) (-520 "bookvol10.4.pamphlet" 920923 920934 921961 921966) (-519 "bookvol10.3.pamphlet" 920555 920579 920913 920918) (-518 "bookvol10.3.pamphlet" 916692 916702 920385 920412) (-517 "bookvol10.3.pamphlet" 908547 908563 908907 909038) (-516 "bookvol10.3.pamphlet" 905742 905757 906341 906468) (-515 "bookvol10.4.pamphlet" 904338 904346 905732 905737) (-514 "bookvol10.3.pamphlet" 903372 903403 903581 903608) (-513 "bookvol10.3.pamphlet" 902983 902991 903274 903367) (-512 "bookvol10.4.pamphlet" 889080 889092 902973 902978) (-511 "bookvol10.4.pamphlet" 888825 888833 888925 888930) (-510 "bookvol10.4.pamphlet" 873122 873158 888695 888700) (-509 "bookvol10.4.pamphlet" 872883 872891 872981 872986) (-508 "bookvol10.4.pamphlet" 872704 872718 872817 872822) (-507 "bookvol10.4.pamphlet" 872581 872595 872694 872699) (-506 "bookvol10.4.pamphlet" 872414 872422 872514 872519) (-505 "bookvol10.3.pamphlet" 871630 871646 872116 872143) (-504 "bookvol10.3.pamphlet" 870713 870748 870885 870900) (-503 "bookvol10.3.pamphlet" 867886 867913 868845 868994) (-502 "bookvol10.2.pamphlet" 866864 866872 867866 867881) (-501 NIL 865850 865860 866854 866859) (-500 "bookvol10.4.pamphlet" 864441 864462 865840 865845) (-499 "bookvol10.2.pamphlet" 863081 863093 864431 864436) (-498 NIL 861719 861733 863071 863076) (-497 "bookvol10.3.pamphlet" 854758 854766 861709 861714) (-496 "bookvol10.4.pamphlet" 853153 853161 854748 854753) (-495 "bookvol10.4.pamphlet" 851694 851702 853143 853148) (-494 "bookvol10.2.pamphlet" 850897 850909 851684 851689) (-493 NIL 850098 850112 850887 850892) (-492 "bookvol10.3.pamphlet" 849624 849647 849836 849863) (-491 "bookvol10.4.pamphlet" 844398 844485 849580 849585) (-490 "bookvol10.4.pamphlet" 843667 843685 844388 844393) (-489 "bookvol10.3.pamphlet" 837960 837968 843657 843662) (-488 "bookvol10.3.pamphlet" 834375 834383 837950 837955) (-487 "bookvol10.3.pamphlet" 833492 833519 834343 834370) (-486 "bookvol10.4.pamphlet" 832664 832678 833482 833487) (-485 "bookvol10.4.pamphlet" 828477 828490 832654 832659) (-484 "bookvol10.4.pamphlet" 828081 828091 828467 828472) (-483 "bookvol10.4.pamphlet" 827731 827748 828071 828076) (-482 "bookvol10.4.pamphlet" 827198 827217 827721 827726) (-481 "bookvol10.4.pamphlet" 825680 825693 827188 827193) (-480 "bookvol10.4.pamphlet" 824145 824153 825670 825675) (-479 "bookvol10.3.pamphlet" 821186 821203 821939 822066) (-478 "bookvol10.3.pamphlet" 815157 815184 820980 821047) (-477 "bookvol10.2.pamphlet" 814111 814119 815083 815152) (-476 NIL 813127 813137 814101 814106) (-475 "bookvol10.4.pamphlet" 808674 808712 813083 813088) (-474 "bookvol10.4.pamphlet" 804772 804810 808664 808669) (-473 "bookvol10.4.pamphlet" 800237 800275 804762 804767) (-472 "bookvol10.4.pamphlet" 796890 796928 800227 800232) (-471 "bookvol10.4.pamphlet" 796213 796221 796880 796885) (-470 "bookvol10.4.pamphlet" 794539 794549 796169 796174) (-469 "bookvol10.4.pamphlet" 793006 793019 794529 794534) (-468 "bookvol10.4.pamphlet" 791211 791230 792996 793001) (-467 "bookvol10.4.pamphlet" 781649 781660 791201 791206) (-466 "bookvol10.2.pamphlet" 778592 778600 781629 781644) (-465 "bookvol10.2.pamphlet" 777636 777644 778572 778587) (-464 "bookvol10.3.pamphlet" 777485 777497 777626 777631) (-463 "bookvol10.3.pamphlet" 775717 775725 777475 777480) (-462 "bookvol10.3.pamphlet" 774888 774896 775707 775712) (-461 "bookvol10.4.pamphlet" 773934 773953 774824 774829) (-460 "bookvol10.3.pamphlet" 772078 772086 773924 773929) (-459 "bookvol10.4.pamphlet" 771502 771518 772068 772073) (-458 "bookvol10.4.pamphlet" 770362 770378 771459 771464) (-457 "bookvol10.4.pamphlet" 767649 767665 770352 770357) (-456 "bookvol10.2.pamphlet" 761559 761569 767412 767644) (-455 NIL 755259 755271 761114 761119) (-454 "bookvol10.4.pamphlet" 754875 754891 755249 755254) (-453 "bookvol10.3.pamphlet" 754203 754215 754695 754794) (-452 "bookvol10.4.pamphlet" 753467 753483 754193 754198) (-451 "bookvol10.2.pamphlet" 752644 752654 753411 753462) (-450 NIL 751795 751807 752564 752569) (-449 "bookvol10.4.pamphlet" 750538 750554 751785 751790) (-448 "bookvol10.4.pamphlet" 745029 745063 750528 750533) (-447 "bookvol10.4.pamphlet" 744641 744657 745019 745024) (-446 "bookvol10.4.pamphlet" 743804 743827 744631 744636) (-445 "bookvol10.4.pamphlet" 742804 742814 743794 743799) (-444 "bookvol10.3.pamphlet" 734780 734790 741828 741897) (-443 "bookvol10.2.pamphlet" 729963 729973 734722 734775) (-442 NIL 725158 725170 729919 729924) (-441 "bookvol10.4.pamphlet" 724606 724624 725148 725153) (-440 "bookvol10.3.pamphlet" 724016 724046 724537 724542) (-439 "bookvol10.3.pamphlet" 723249 723270 723996 724011) (-438 "bookvol10.4.pamphlet" 722987 723019 723239 723244) (-437 "bookvol10.2.pamphlet" 722661 722671 722977 722982) (-436 NIL 722201 722213 722519 722524) (-435 "bookvol10.2.pamphlet" 720607 720620 722157 722196) (-434 NIL 719045 719060 720597 720602) (-433 "bookvol10.3.pamphlet" 716162 716172 716547 716720) (-432 "bookvol10.4.pamphlet" 715775 715787 716152 716157) (-431 "bookvol10.4.pamphlet" 715133 715145 715765 715770) (-430 "bookvol10.2.pamphlet" 712082 712090 715023 715128) (-429 NIL 709059 709069 712002 712007) (-428 "bookvol10.2.pamphlet" 708113 708121 708961 709054) (-427 NIL 707253 707263 708103 708108) (-426 "bookvol10.2.pamphlet" 707005 707015 707233 707248) (-425 "bookvol10.3.pamphlet" 705755 705772 706995 707000) (-424 "bookvol10.3.pamphlet" 704240 704289 705745 705750) (-423 "bookvol10.4.pamphlet" 703189 703197 704230 704235) (-422 "bookvol10.2.pamphlet" 700279 700287 703169 703184) (-421 "bookvol10.2.pamphlet" 699982 699990 700259 700274) (-420 "bookvol10.3.pamphlet" 697376 697384 699972 699977) (-419 "bookvol10.4.pamphlet" 696855 696865 697366 697371) (-418 "bookvol10.4.pamphlet" 696636 696660 696845 696850) (-417 "bookvol10.4.pamphlet" 695837 695845 696626 696631) (-416 "bookvol10.3.pamphlet" 695259 695281 695805 695832) (-415 "bookvol10.2.pamphlet" 693603 693611 695249 695254) (-414 "bookvol10.3.pamphlet" 693495 693503 693593 693598) (-413 "bookvol10.2.pamphlet" 693293 693301 693421 693490) (-412 "bookvol10.3.pamphlet" 690063 690073 693249 693254) (-411 "bookvol10.3.pamphlet" 689766 689778 689997 690024) (-410 "bookvol10.2.pamphlet" 686716 686724 689746 689761) (-409 "bookvol10.2.pamphlet" 685760 685768 686696 686711) (-408 "bookvol10.2.pamphlet" 683454 683472 685728 685755) (-407 "bookvol10.3.pamphlet" 682916 682928 683388 683415) (-406 "bookvol10.4.pamphlet" 680724 680738 682906 682911) (-405 "bookvol10.3.pamphlet" 677629 677637 680590 680719) (-404 "bookvol10.4.pamphlet" 675095 675109 677619 677624) (-403 "bookvol10.2.pamphlet" 674797 674807 675075 675090) (-402 NIL 674453 674465 674733 674738) (-401 "bookvol10.4.pamphlet" 673709 673721 674443 674448) (-400 "bookvol10.2.pamphlet" 671776 671795 673635 673704) (-399 "bookvol10.2.pamphlet" 668982 668992 671744 671771) (-398 NIL 666101 666113 668865 668870) (-397 "bookvol10.4.pamphlet" 664822 664838 666091 666096) (-396 "bookvol10.2.pamphlet" 662943 662956 664778 664817) (-395 NIL 660990 661005 662827 662832) (-394 "bookvol10.2.pamphlet" 659985 659993 660980 660985) (-393 NIL 658978 658988 659975 659980) (-392 "bookvol10.2.pamphlet" 648327 648337 658920 658973) (-391 NIL 637688 637700 648283 648288) (-390 "bookvol10.3.pamphlet" 637275 637285 637678 637683) (-389 "bookvol10.2.pamphlet" 635722 635739 637265 637270) (-388 "bookvol10.2.pamphlet" 635060 635068 635624 635717) (-387 NIL 634484 634494 635050 635055) (-386 "bookvol10.3.pamphlet" 633025 633035 634464 634479) (-385 "bookvol10.4.pamphlet" 631932 631947 633015 633020) (-384 "bookvol10.3.pamphlet" 631361 631376 631648 631741) (-383 "bookvol10.4.pamphlet" 631234 631251 631351 631356) (-382 "bookvol10.4.pamphlet" 630737 630758 631224 631229) (-381 "bookvol10.4.pamphlet" 622136 622147 630727 630732) (-380 "bookvol10.4.pamphlet" 621218 621235 622126 622131) (-379 "bookvol10.3.pamphlet" 620714 620734 620934 621027) (-378 "bookvol10.3.pamphlet" 620182 620198 620395 620488) (-377 "bookvol10.3.pamphlet" 618732 618752 619898 619991) (-376 "bookvol10.3.pamphlet" 617268 617285 618448 618541) (-375 "bookvol10.3.pamphlet" 615809 615830 616949 617042) (-374 "bookvol10.4.pamphlet" 613179 613198 615799 615804) (-373 "bookvol10.2.pamphlet" 610777 610785 613081 613174) (-372 NIL 608461 608471 610767 610772) (-371 "bookvol10.4.pamphlet" 607254 607271 608451 608456) (-370 "bookvol10.4.pamphlet" 604729 604740 607244 607249) (-369 "bookvol10.4.pamphlet" 598851 598867 604719 604724) (-368 "bookvol10.4.pamphlet" 597526 597545 598841 598846) (-367 "bookvol10.4.pamphlet" 596945 596962 597516 597521) (-366 "bookvol10.4.pamphlet" 596866 596883 596935 596940) (-365 "bookvol10.3.pamphlet" 595747 595767 596582 596675) (-364 "bookvol10.3.pamphlet" 594662 594682 595463 595556) (-363 "bookvol10.3.pamphlet" 593489 593510 594343 594436) (-362 "bookvol10.2.pamphlet" 582294 582316 593328 593484) (-361 NIL 571178 571202 582214 582219) (-360 "bookvol10.4.pamphlet" 570917 570957 571168 571173) (-359 "bookvol10.3.pamphlet" 563593 563639 570673 570712) (-358 "bookvol10.2.pamphlet" 563303 563313 563583 563588) (-357 NIL 562798 562810 563080 563085) (-356 "bookvol10.3.pamphlet" 562249 562273 562788 562793) (-355 "bookvol10.2.pamphlet" 560261 560285 562239 562244) (-354 NIL 558271 558297 560251 560256) (-353 "bookvol10.4.pamphlet" 558017 558057 558261 558266) (-352 "bookvol10.4.pamphlet" 556578 556586 558007 558012) (-351 "bookvol10.3.pamphlet" 556109 556119 556568 556573) (-350 "bookvol10.3.pamphlet" 546074 546082 556099 556104) (-349 "bookvol10.2.pamphlet" 539351 539365 545976 546069) (-348 NIL 532680 532696 539307 539312) (-347 "bookvol10.3.pamphlet" 531108 531118 532086 532113) (-346 "bookvol10.2.pamphlet" 529250 529262 531006 531103) (-345 NIL 527376 527390 529134 529139) (-344 "bookvol10.4.pamphlet" 526950 526972 527366 527371) (-343 "bookvol10.3.pamphlet" 526607 526617 526904 526909) (-342 "bookvol10.2.pamphlet" 524790 524802 526597 526602) (-341 "bookvol10.3.pamphlet" 524404 524414 524686 524713) (-340 "bookvol10.4.pamphlet" 522616 522633 524394 524399) (-339 "bookvol10.4.pamphlet" 522498 522508 522606 522611) (-338 "bookvol10.4.pamphlet" 521692 521702 522488 522493) (-337 "bookvol10.4.pamphlet" 521574 521584 521682 521687) (-336 "bookvol10.3.pamphlet" 518411 518434 519706 519855) (-335 "bookvol10.4.pamphlet" 515879 515887 518401 518406) (-334 "bookvol10.4.pamphlet" 515781 515810 515869 515874) (-333 "bookvol10.4.pamphlet" 512525 512541 515771 515776) (-332 "bookvol10.3.pamphlet" 507792 507802 508514 508921) (-331 "bookvol10.4.pamphlet" 503882 503895 507782 507787) (-330 "bookvol10.4.pamphlet" 503652 503664 503872 503877) (-329 "bookvol10.3.pamphlet" 500586 500611 501224 501317) (-328 "bookvol10.4.pamphlet" 500439 500447 500576 500581) (-327 "bookvol10.3.pamphlet" 500110 500118 500429 500434) (-326 "bookvol10.4.pamphlet" 499604 499618 500100 500105) (-325 "bookvol10.2.pamphlet" 499168 499178 499594 499599) (-324 NIL 498730 498742 499158 499163) (-323 "bookvol10.2.pamphlet" 496302 496310 498656 498725) (-322 NIL 493936 493946 496292 496297) (-321 "bookvol10.4.pamphlet" 485794 485802 493926 493931) (-320 "bookvol10.4.pamphlet" 485389 485403 485784 485789) (-319 "bookvol10.4.pamphlet" 485074 485085 485379 485384) (-318 "bookvol10.2.pamphlet" 478021 478029 485064 485069) (-317 NIL 470874 470884 477919 477924) (-316 "bookvol10.4.pamphlet" 467683 467691 470864 470869) (-315 "bookvol10.4.pamphlet" 467424 467436 467673 467678) (-314 "bookvol10.4.pamphlet" 466931 466947 467414 467419) (-313 "bookvol10.4.pamphlet" 466489 466505 466921 466926) (-312 "bookvol10.4.pamphlet" 463965 463973 466479 466484) (-311 "bookvol10.3.pamphlet" 462999 463021 463208 463235) (-310 "bookvol10.3.pamphlet" 457925 457935 460672 460784) (-309 "bookvol10.4.pamphlet" 457643 457655 457915 457920) (-308 "bookvol10.4.pamphlet" 453997 454007 457633 457638) (-307 "bookvol10.2.pamphlet" 453541 453549 453941 453992) (-306 "bookvol10.3.pamphlet" 452737 452778 453467 453536) (-305 "bookvol10.2.pamphlet" 451193 451212 452727 452732) (-304 NIL 449613 449634 451149 451154) (-303 "bookvol10.2.pamphlet" 449145 449163 449603 449608) (-302 "bookvol10.4.pamphlet" 448534 448553 449135 449140) (-301 "bookvol10.2.pamphlet" 448231 448239 448524 448529) (-300 NIL 447926 447936 448221 448226) (-299 "bookvol10.2.pamphlet" 445842 445852 447894 447921) (-298 NIL 443707 443719 445761 445766) (-297 "bookvol10.3.pamphlet" 440482 440512 443663 443668) (-296 "bookvol10.3.pamphlet" 437318 437341 440438 440443) (-295 "bookvol10.4.pamphlet" 435315 435331 437308 437313) (-294 "bookvol10.4.pamphlet" 430091 430107 435305 435310) (-293 "bookvol10.3.pamphlet" 428405 428413 430081 430086) (-292 "bookvol10.3.pamphlet" 427943 427951 428395 428400) (-291 "bookvol10.3.pamphlet" 427522 427530 427933 427938) (-290 "bookvol10.3.pamphlet" 427104 427112 427512 427517) (-289 "bookvol10.3.pamphlet" 426642 426650 427094 427099) (-288 "bookvol10.3.pamphlet" 426180 426188 426632 426637) (-287 "bookvol10.3.pamphlet" 425718 425726 426170 426175) (-286 "bookvol10.3.pamphlet" 425256 425264 425708 425713) (-285 "bookvol10.4.pamphlet" 420998 421006 425246 425251) (-284 "bookvol10.2.pamphlet" 417747 417757 420988 420993) (-283 NIL 414494 414506 417737 417742) (-282 "bookvol10.4.pamphlet" 411579 411666 414484 414489) (-281 "bookvol10.3.pamphlet" 410785 410795 411409 411436) (-280 "bookvol10.2.pamphlet" 410379 410389 410741 410780) (-279 "bookvol10.3.pamphlet" 407822 407836 408115 408242) (-278 "bookvol10.3.pamphlet" 401585 401593 407812 407817) (-277 "bookvol10.4.pamphlet" 401256 401266 401575 401580) (-276 "bookvol10.4.pamphlet" 396215 396223 401246 401251) (-275 "bookvol10.4.pamphlet" 394456 394464 396205 396210) (-274 "bookvol10.4.pamphlet" 387364 387377 394446 394451) (-273 "bookvol10.4.pamphlet" 386627 386637 387354 387359) (-272 "bookvol10.4.pamphlet" 384052 384060 386617 386622) (-271 "bookvol10.4.pamphlet" 383599 383614 384042 384047) (-270 "bookvol10.4.pamphlet" 373039 373047 383589 383594) (-269 "bookvol10.2.pamphlet" 371249 371259 372995 373034) (-268 "bookvol10.2.pamphlet" 366646 366662 371117 371244) (-267 NIL 362129 362147 366602 366607) (-266 "bookvol10.3.pamphlet" 355504 355520 355626 355927) (-265 "bookvol10.3.pamphlet" 348876 348894 349001 349302) (-264 "bookvol10.3.pamphlet" 346117 346132 346670 346797) (-263 "bookvol10.4.pamphlet" 345457 345467 346107 346112) (-262 "bookvol10.3.pamphlet" 344172 344182 344863 344890) (-261 "bookvol10.2.pamphlet" 342619 342629 344152 344167) (-260 "bookvol10.2.pamphlet" 342060 342068 342563 342614) (-259 NIL 341545 341555 342050 342055) (-258 "bookvol10.3.pamphlet" 341398 341408 341477 341504) (-257 "bookvol10.2.pamphlet" 340163 340173 341366 341393) (-256 "bookvol10.4.pamphlet" 338377 338385 340153 340158) (-255 "bookvol10.3.pamphlet" 337657 337672 338213 338338) (-254 "bookvol10.3.pamphlet" 329247 329263 329872 330003) (-253 "bookvol10.4.pamphlet" 328108 328126 329237 329242) (-252 "bookvol10.2.pamphlet" 327039 327055 327960 328103) (-251 NIL 325711 325729 326634 326639) (-250 "bookvol10.4.pamphlet" 324556 324564 325701 325706) (-249 "bookvol10.2.pamphlet" 323636 323646 324524 324551) (-248 NIL 322702 322714 323592 323597) (-247 "bookvol10.2.pamphlet" 321823 321831 322682 322697) (-246 NIL 320952 320962 321813 321818) (-245 "bookvol10.2.pamphlet" 320103 320113 320932 320947) (-244 NIL 319171 319183 320002 320007) (-243 "bookvol10.2.pamphlet" 318791 318801 319139 319166) (-242 NIL 318431 318443 318781 318786) (-241 "bookvol10.3.pamphlet" 316713 316723 318075 318102) (-240 "bookvol10.3.pamphlet" 315451 315459 315837 315864) (-239 "bookvol10.4.pamphlet" 306645 306653 315441 315446) (-238 "bookvol10.3.pamphlet" 305862 305870 306277 306304) (-237 "bookvol10.3.pamphlet" 302247 302255 305752 305857) (-236 "bookvol10.4.pamphlet" 300482 300498 302237 302242) (-235 "bookvol10.3.pamphlet" 298440 298472 300462 300477) (-234 "bookvol10.3.pamphlet" 292630 292640 298270 298297) (-233 "bookvol10.4.pamphlet" 292245 292259 292620 292625) (-232 "bookvol10.4.pamphlet" 289710 289720 292235 292240) (-231 "bookvol10.4.pamphlet" 288190 288206 289700 289705) (-230 "bookvol10.3.pamphlet" 286071 286079 286657 286750) (-229 "bookvol10.4.pamphlet" 283948 283965 286061 286066) (-228 "bookvol10.4.pamphlet" 283556 283580 283938 283943) (-227 "bookvol10.3.pamphlet" 282209 282219 283546 283551) (-226 "bookvol10.3.pamphlet" 282037 282045 282199 282204) (-225 "bookvol10.3.pamphlet" 281857 281865 282027 282032) (-224 "bookvol10.4.pamphlet" 280802 280810 281847 281852) (-223 "bookvol10.3.pamphlet" 280266 280274 280792 280797) (-222 "bookvol10.3.pamphlet" 279746 279754 280256 280261) (-221 "bookvol10.3.pamphlet" 279238 279246 279736 279741) (-220 "bookvol10.3.pamphlet" 278730 278738 279228 279233) (-219 "bookvol10.4.pamphlet" 273675 273683 278720 278725) (-218 "bookvol10.4.pamphlet" 271998 272006 273665 273670) (-217 "bookvol10.3.pamphlet" 271975 271983 271988 271993) (-216 "bookvol10.3.pamphlet" 271499 271507 271965 271970) (-215 "bookvol10.3.pamphlet" 271023 271031 271489 271494) (-214 "bookvol10.3.pamphlet" 270493 270501 271013 271018) (-213 "bookvol10.3.pamphlet" 269988 269996 270483 270488) (-212 "bookvol10.3.pamphlet" 269470 269478 269978 269983) (-211 "bookvol10.3.pamphlet" 268966 268974 269460 269465) (-210 "bookvol10.3.pamphlet" 268478 268486 268956 268961) (-209 "bookvol10.3.pamphlet" 268020 268028 268468 268473) (-208 "bookvol10.3.pamphlet" 267550 267558 268010 268015) (-207 "bookvol10.3.pamphlet" 267075 267083 267540 267545) (-206 "bookvol10.4.pamphlet" 263182 263190 267065 267070) (-205 "bookvol10.4.pamphlet" 262686 262694 263172 263177) (-204 "bookvol10.4.pamphlet" 259497 259505 262676 262681) (-203 "bookvol10.4.pamphlet" 258882 258892 259487 259492) (-202 "bookvol10.4.pamphlet" 257350 257366 258872 258877) (-201 "bookvol10.4.pamphlet" 256139 256152 257340 257345) (-200 "bookvol10.4.pamphlet" 250154 250167 256129 256134) (-199 "bookvol10.4.pamphlet" 249311 249321 250144 250149) (-198 "bookvol10.4.pamphlet" 248823 248838 249236 249241) (-197 "bookvol10.4.pamphlet" 248528 248547 248813 248818) (-196 "bookvol10.4.pamphlet" 243543 243553 248518 248523) (-195 "bookvol10.3.pamphlet" 239544 239554 243445 243538) (-194 "bookvol10.2.pamphlet" 239223 239231 239482 239539) (-193 "bookvol10.3.pamphlet" 238723 238731 239213 239218) (-192 "bookvol10.4.pamphlet" 238490 238505 238713 238718) (-191 "bookvol10.3.pamphlet" 232508 232518 232757 233018) (-190 "bookvol10.4.pamphlet" 232231 232243 232498 232503) (-189 "bookvol10.4.pamphlet" 232027 232041 232221 232226) (-188 "bookvol10.2.pamphlet" 230133 230143 231749 232022) (-187 NIL 227943 227955 229561 229566) (-186 "bookvol10.2.pamphlet" 227682 227690 227933 227938) (-185 "bookvol10.4.pamphlet" 227456 227474 227672 227677) (-184 "bookvol10.4.pamphlet" 226995 227003 227446 227451) (-183 "bookvol10.3.pamphlet" 226804 226812 226985 226990) (-182 "bookvol10.2.pamphlet" 225839 225847 226794 226799) (-181 "bookvol10.4.pamphlet" 224331 224341 225829 225834) (-180 "bookvol10.4.pamphlet" 221781 221797 224321 224326) (-179 "bookvol10.3.pamphlet" 220619 220627 221771 221776) (-178 "bookvol10.4.pamphlet" 219953 219970 220609 220614) (-177 "bookvol10.4.pamphlet" 216073 216081 219943 219948) (-176 "bookvol10.3.pamphlet" 214788 214804 216029 216068) (-175 "bookvol10.2.pamphlet" 211808 211818 214768 214783) (-174 NIL 208709 208721 211671 211676) (-173 "bookvol10.4.pamphlet" 208048 208061 208699 208704) (-172 "bookvol10.4.pamphlet" 206018 206040 208038 208043) (-171 "bookvol10.2.pamphlet" 205933 205941 205998 206013) (-170 "bookvol10.4.pamphlet" 205447 205457 205923 205928) (-169 "bookvol10.2.pamphlet" 205200 205208 205427 205442) (-168 "bookvol10.3.pamphlet" 201561 201569 205190 205195) (-167 "bookvol10.2.pamphlet" 200734 200742 201551 201556) (-166 "bookvol10.3.pamphlet" 199041 199049 199672 199699) (-165 "bookvol10.3.pamphlet" 198173 198181 198597 198624) (-164 "bookvol10.4.pamphlet" 197413 197427 198163 198168) (-163 "bookvol10.3.pamphlet" 195824 195832 196882 196921) (-162 "bookvol10.3.pamphlet" 187003 187027 195814 195819) (-161 "bookvol10.4.pamphlet" 186393 186420 186993 186998) (-160 "bookvol10.3.pamphlet" 182731 182739 186367 186388) (-159 "bookvol10.2.pamphlet" 182347 182355 182721 182726) (-158 "bookvol10.2.pamphlet" 181840 181848 182337 182342) (-157 "bookvol10.3.pamphlet" 180932 180942 181670 181697) (-156 "bookvol10.3.pamphlet" 180174 180184 180762 180789) (-155 "bookvol10.2.pamphlet" 179548 179558 180130 180169) (-154 NIL 178954 178966 179538 179543) (-153 "bookvol10.2.pamphlet" 178057 178065 178910 178949) (-152 NIL 177192 177202 178047 178052) (-151 "bookvol10.3.pamphlet" 175850 175860 177022 177049) (-150 "Makefile.pamphlet" 173740 173748 175840 175845) (-149 "bookvol10.4.pamphlet" 172513 172524 173730 173735) (-148 "bookvol10.2.pamphlet" 171473 171483 172493 172508) (-147 NIL 170407 170419 171429 171434) (-146 "bookvol10.3.pamphlet" 168452 168464 168643 168736) (-145 "bookvol10.3.pamphlet" 168180 168192 168378 168447) (-144 "bookvol10.4.pamphlet" 167838 167855 168170 168175) (-143 "bookvol10.3.pamphlet" 163370 163378 167828 167833) (-142 "bookvol10.4.pamphlet" 160856 160866 163326 163331) (-141 "bookvol10.3.pamphlet" 159726 159734 160846 160851) (-140 "bookvol10.2.pamphlet" 159370 159382 159694 159721) (-139 "bookvol10.4.pamphlet" 157648 157684 159360 159365) (-138 "bookvol10.3.pamphlet" 157538 157546 157613 157643) (-137 "bookvol10.2.pamphlet" 157515 157523 157528 157533) (-136 "bookvol10.3.pamphlet" 157407 157415 157482 157510) (-135 "bookvol10.5.pamphlet" 145679 145687 157397 157402) (-134 "bookvol10.3.pamphlet" 145158 145166 145373 145400) (-133 "bookvol10.3.pamphlet" 144515 144523 145148 145153) (-132 "bookvol10.3.pamphlet" 142363 142371 142982 143075) (-131 "bookvol10.2.pamphlet" 141608 141618 142331 142358) (-130 NIL 140873 140885 141598 141603) (-129 "bookvol10.3.pamphlet" 140294 140302 140853 140868) (-128 "bookvol10.4.pamphlet" 139434 139461 140244 140249) (-127 "bookvol10.4.pamphlet" 137297 137307 139424 139429) (-126 "bookvol10.3.pamphlet" 132929 132939 137127 137154) (-125 "bookvol10.2.pamphlet" 132623 132631 132919 132924) (-124 NIL 132315 132325 132613 132618) (-123 "bookvol10.4.pamphlet" 131734 131747 132305 132310) (-122 "bookvol10.4.pamphlet" 131594 131602 131724 131729) (-121 "bookvol10.3.pamphlet" 131038 131048 131574 131589) (-120 "bookvol10.2.pamphlet" 130833 130841 131018 131033) (-119 "bookvol10.2.pamphlet" 127388 127396 130573 130828) (-118 "bookvol10.3.pamphlet" 123512 123520 127368 127383) (-117 "bookvol10.2.pamphlet" 123272 123280 123492 123507) (-116 "bookvol10.2.pamphlet" 122741 122749 123262 123267) (-115 NIL 122208 122218 122731 122736) (-114 "bookvol10.2.pamphlet" 122006 122014 122188 122203) (-113 "bookvol10.2.pamphlet" 121828 121836 121986 122001) (-112 "bookvol10.2.pamphlet" 121710 121718 121808 121823) (-111 "bookvol10.2.pamphlet" 121584 121592 121690 121705) (-110 "bookvol10.2.pamphlet" 121423 121431 121564 121579) (-109 "bookvol10.2.pamphlet" 121284 121292 121403 121418) (-108 "bookvol10.2.pamphlet" 121171 121179 121264 121279) (-107 "bookvol10.2.pamphlet" 121025 121033 121151 121166) (-106 "bookvol10.2.pamphlet" 120908 120916 121005 121020) (-105 "bookvol10.2.pamphlet" 120608 120616 120888 120903) (-104 "bookvol10.2.pamphlet" 120357 120365 120588 120603) (-103 "bookvol10.2.pamphlet" 120052 120060 120337 120352) (-102 "bookvol10.2.pamphlet" 119865 119873 120032 120047) (-101 "bookvol10.2.pamphlet" 119703 119711 119845 119860) (-100 "bookvol10.2.pamphlet" 119558 119566 119683 119698) (-99 "bookvol10.2.pamphlet" 119451 119458 119538 119553) (-98 "bookvol10.2.pamphlet" 119359 119366 119431 119446) (-97 "bookvol10.2.pamphlet" 119197 119204 119339 119354) (-96 "bookvol10.3.pamphlet" 114901 114910 119027 119054) (-95 "bookvol10.4.pamphlet" 113691 113702 114857 114862) (-94 "bookvol10.3.pamphlet" 112848 112861 113681 113686) (-93 "bookvol10.3.pamphlet" 111791 111804 112838 112843) (-92 "bookvol10.3.pamphlet" 111123 111136 111781 111786) (-91 "bookvol10.3.pamphlet" 110321 110334 111113 111118) (-90 "bookvol10.3.pamphlet" 109800 109813 110311 110316) (-89 "bookvol10.3.pamphlet" 109173 109186 109790 109795) (-88 "bookvol10.3.pamphlet" 108200 108213 109163 109168) (-87 "bookvol10.3.pamphlet" 107463 107476 108190 108195) (-86 "bookvol10.3.pamphlet" 106143 106156 107453 107458) (-85 "bookvol10.3.pamphlet" 104580 104593 106133 106138) (-84 "bookvol10.3.pamphlet" 102236 102249 104570 104575) (-83 "bookvol10.3.pamphlet" 101525 101538 102226 102231) (-82 "bookvol10.3.pamphlet" 100514 100527 101515 101520) (-81 "bookvol10.3.pamphlet" 98790 98829 100504 100509) (-80 "bookvol10.3.pamphlet" 97292 97331 98780 98785) (-79 "bookvol10.3.pamphlet" 96277 96290 97282 97287) (-78 "bookvol10.3.pamphlet" 95528 95541 96267 96272) (-77 "bookvol10.3.pamphlet" 95114 95127 95518 95523) (-76 "bookvol10.3.pamphlet" 94228 94241 95104 95109) (-75 "bookvol10.3.pamphlet" 92960 92973 94218 94223) (-74 "bookvol10.3.pamphlet" 92444 92457 92950 92955) (-73 "bookvol10.3.pamphlet" 82875 82888 92434 92439) (-72 "bookvol10.3.pamphlet" 81731 81744 82865 82870) (-71 "bookvol10.3.pamphlet" 80814 80827 81721 81726) (-70 "bookvol10.3.pamphlet" 79987 80000 80804 80809) (-69 "bookvol10.3.pamphlet" 79367 79380 79977 79982) (-68 "bookvol10.3.pamphlet" 73446 73459 79357 79362) (-67 "bookvol10.3.pamphlet" 72864 72877 73436 73441) (-66 "bookvol10.3.pamphlet" 72145 72158 72854 72859) (-65 "bookvol10.3.pamphlet" 71751 71760 71975 72002) (-64 "bookvol10.3.pamphlet" 70667 70676 71157 71184) (-63 "bookvol10.4.pamphlet" 68704 68715 70657 70662) (-62 "bookvol10.2.pamphlet" 61980 62001 68660 68699) (-61 NIL 55288 55311 61970 61975) (-60 "bookvol10.4.pamphlet" 54604 54626 55278 55283) (-59 "bookvol10.4.pamphlet" 54207 54220 54594 54599) (-58 "bookvol10.4.pamphlet" 53144 53151 54197 54202) (-57 "bookvol10.3.pamphlet" 51492 51499 53134 53139) (-56 "bookvol10.4.pamphlet" 50569 50578 51482 51487) (-55 "bookvol10.3.pamphlet" 49026 49042 50549 50564) (-54 "bookvol10.3.pamphlet" 48939 48946 49016 49021) (-53 "bookvol10.3.pamphlet" 47250 47257 48755 48848) (-52 "bookvol10.2.pamphlet" 45461 45472 47148 47245) (-51 NIL 43509 43522 45198 45203) (-50 "bookvol10.3.pamphlet" 41555 41576 41903 41930) (-49 "bookvol10.3.pamphlet" 40662 40688 41427 41480) (-48 "bookvol10.4.pamphlet" 36627 36638 40618 40623) (-47 "bookvol10.4.pamphlet" 35836 35850 36617 36622) (-46 "bookvol10.4.pamphlet" 33310 33325 35633 35638) (-45 "bookvol10.3.pamphlet" 31642 31669 31842 31998) (-44 "bookvol10.4.pamphlet" 30767 30777 31632 31637) (-43 "bookvol10.2.pamphlet" 30267 30276 30723 30762) (-42 NIL 29799 29810 30257 30262) (-41 "bookvol10.2.pamphlet" 29301 29322 29755 29794) (-40 "bookvol10.2.pamphlet" 28682 28689 29291 29296) (-39 "bookvol10.2.pamphlet" 27059 27066 28662 28677) (-38 NIL 25410 25419 27015 27020) (-37 "bookvol10.2.pamphlet" 23298 23307 25400 25405) (-36 "bookvol10.4.pamphlet" 21697 21712 23233 23238) (-35 "bookvol10.3.pamphlet" 21540 21555 21687 21692) (-34 "bookvol10.3.pamphlet" 21389 21398 21530 21535) (-33 "bookvol10.3.pamphlet" 21238 21247 21379 21384) (-32 "bookvol10.4.pamphlet" 21121 21159 21228 21233) (-31 "bookvol10.4.pamphlet" 20704 20742 21111 21116) (-30 "bookvol10.3.pamphlet" 18992 18999 20694 20699) (-29 "bookvol10.2.pamphlet" 16871 16880 18882 18987) (-28 NIL 14848 14859 16861 16866) (-27 "bookvol10.2.pamphlet" 10002 10009 14750 14843) (-26 NIL 5242 5251 9992 9997) (-25 "bookvol10.2.pamphlet" 4600 4607 5232 5237) (-24 NIL 3956 3965 4590 4595) (-23 "bookvol10.2.pamphlet" 3325 3332 3946 3951) (-22 NIL 2692 2701 3315 3320) (-21 "bookvol10.2.pamphlet" 2198 2205 2682 2687) (-20 NIL 1702 1711 2188 2193) (-19 "bookvol10.2.pamphlet" 850 859 1658 1697) (-18 NIL 30 41 840 845)) 
\ No newline at end of file
+((|Category| NIL 2502173 2502178 2502183 2502188) (|Union| NIL 2502153 2502158 2502163 2502168) (|Record| NIL 2502133 2502138 2502143 2502148) (|Mapping| NIL 2502113 2502118 2502123 2502128) (|Enumeration| NIL 2502093 2502098 2502103 2502108) (|IntegerMod| "bookvol10.3.pamphlet" 2501871 2501891 2501999 2502088) (|IntegerLinearDependence| "bookvol10.4.pamphlet" 2500971 2501002 2501861 2501866) (|ZeroDimensionalSolvePackage| "bookvol10.4.pamphlet" 2491563 2491609 2500961 2500966) (|ParadoxicalCombinatorsForStreams| "bookvol10.4.pamphlet" 2491031 2491071 2491553 2491558) (|XRecursivePolynomial| "bookvol10.3.pamphlet" 2490172 2490209 2490810 2490932) (|XPolynomialRing| "bookvol10.3.pamphlet" 2487751 2487776 2489748 2489939) (|XPolynomial| "bookvol10.3.pamphlet" 2487238 2487257 2487530 2487652) (|XPolynomialsCat| "bookvol10.2.pamphlet" 2486491 2486519 2487111 2487233) (|XPBWPolynomial| "bookvol10.3.pamphlet" 2485053 2485084 2486179 2486301) (|ExtensionField| "bookvol10.2.pamphlet" 2483438 2483460 2484883 2485048) (|ExtensionField&| NIL 2481835 2481860 2483283 2483288) (|XFreeAlgebra| "bookvol10.2.pamphlet" 2478808 2478833 2481708 2481830) (|XExponentialPackage| "bookvol10.4.pamphlet" 2478191 2478233 2478798 2478803) (|XDistributedPolynomial| "bookvol10.3.pamphlet" 2477726 2477761 2477970 2478092) (|XAlgebra| "bookvol10.2.pamphlet" 2477396 2477412 2477658 2477721) (|WuWenTsunTriangularSet| "bookvol10.3.pamphlet" 2473964 2474000 2477017 2477069) (|WeightedPolynomials| "bookvol10.3.pamphlet" 2472912 2472972 2473756 2473873) (|WildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 2470464 2470509 2472902 2472907) (|WeierstrassPreparation| "bookvol10.4.pamphlet" 2468709 2468739 2470454 2470459) (|VectorSpace| "bookvol10.2.pamphlet" 2468357 2468376 2468660 2468704) (|VectorSpace&| NIL 2468041 2468063 2468347 2468352) (|Void| "bookvol10.3.pamphlet" 2467634 2467644 2468031 2468036) (|ViewportPackage| "bookvol10.4.pamphlet" 2465338 2465359 2467624 2467629) (|ViewDefaultsPackage| "bookvol10.4.pamphlet" 2460582 2460607 2465328 2465333) (|ThreeDimensionalViewport| "bookvol10.3.pamphlet" 2444777 2444807 2460572 2460577) (|TwoDimensionalViewport| "bookvol10.3.pamphlet" 2432949 2432977 2444767 2444772) (|Vector| "bookvol10.3.pamphlet" 2431663 2431677 2431917 2431969) (|VectorFunctions2| "bookvol10.4.pamphlet" 2430324 2430350 2431653 2431658) (|VectorCategory| "bookvol10.2.pamphlet" 2428288 2428310 2430255 2430319) (|VectorCategory&| NIL 2426040 2426065 2428010 2428015) (|Variable| "bookvol10.3.pamphlet" 2425815 2425835 2426030 2426035) (|UnivariateTaylorSeriesCZero| "bookvol10.3.pamphlet" 2420544 2420590 2423859 2424024) (|TaylorSolve| "bookvol10.4.pamphlet" 2420443 2420475 2420534 2420539) (|UTSodetools| "bookvol10.4.pamphlet" 2419721 2419749 2420387 2420392) (|UnivariateTaylorSeriesODESolver| "bookvol10.4.pamphlet" 2417883 2417931 2419711 2419716) (|UnivariateTaylorSeries| "bookvol10.3.pamphlet" 2412240 2412287 2415927 2416092) (|UnivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 2409462 2409505 2412070 2412235) (|UnivariateTaylorSeriesCategory&| NIL 2406269 2406315 2408880 2408885) (|UnivariateTaylorSeriesFunctions2| "bookvol10.4.pamphlet" 2405865 2405929 2406259 2406264) (|UnaryRecursiveAggregate| "bookvol10.2.pamphlet" 2401129 2401160 2405845 2405860) (|UnaryRecursiveAggregate&| NIL 2396353 2396387 2401072 2401077) (|UnivariatePuiseuxSeriesWithExponentialSingularity| "bookvol10.3.pamphlet" 2393488 2393560 2394948 2395189) (|UnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2390549 2390597 2391150 2391402) (|UnivariatePuiseuxSeriesConstructor| "bookvol10.3.pamphlet" 2387809 2387860 2388211 2388463) (|UnivariatePuiseuxSeriesConstructorCategory| "bookvol10.2.pamphlet" 2386137 2386196 2387552 2387804) (|UnivariatePuiseuxSeriesConstructorCategory&| NIL 2384709 2384771 2386127 2386132) (|UnivariatePuiseuxSeriesCategory| "bookvol10.2.pamphlet" 2383169 2383213 2384452 2384704) (|UnivariatePuiseuxSeriesFunctions2| "bookvol10.4.pamphlet" 2382682 2382765 2383159 2383164) (|UnivariatePolynomialSquareFree| "bookvol10.4.pamphlet" 2381083 2381124 2382672 2382677) (|UnivariatePowerSeriesCategory| "bookvol10.2.pamphlet" 2378559 2378609 2380913 2381078) (|UnivariatePowerSeriesCategory&| NIL 2375772 2375825 2378129 2378134) (|UnivariatePolynomialCategory| "bookvol10.2.pamphlet" 2370011 2370047 2375490 2375767) (|UnivariatePolynomialCategory&| NIL 2364205 2364244 2369687 2369692) (|UnivariatePolynomialCategoryFunctions2| "bookvol10.4.pamphlet" 2363635 2363689 2364195 2364200) (|UnivariatePolynomial| "bookvol10.3.pamphlet" 2359516 2359548 2360124 2360401) (|UnivariatePolynomialMultiplicationPackage| "bookvol10.4.pamphlet" 2358412 2358463 2359506 2359511) (|UnivariatePolynomialDivisionPackage| "bookvol10.4.pamphlet" 2357945 2357991 2358402 2358407) (|UnivariatePolynomialDecompositionPackage| "bookvol10.4.pamphlet" 2356149 2356200 2357935 2357940) (|UnivariatePolynomialCommonDenominator| "bookvol10.4.pamphlet" 2355316 2355366 2356139 2356144) (|UnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2354691 2354739 2355306 2355311) (|UniversalSegment| "bookvol10.3.pamphlet" 2354014 2354038 2354593 2354598) (|UniversalSegmentFunctions2| "bookvol10.4.pamphlet" 2353489 2353525 2353961 2353966) (|UnivariateFactorize| "bookvol10.4.pamphlet" 2352596 2352624 2353479 2353484) (|UnivariateLaurentSeries| "bookvol10.3.pamphlet" 2340419 2340467 2341412 2342122) (|UnivariateLaurentSeriesConstructor| "bookvol10.3.pamphlet" 2333157 2333208 2333556 2333808) (|UnivariateLaurentSeriesConstructorCategory| "bookvol10.2.pamphlet" 2330605 2330664 2332871 2333152) (|UnivariateLaurentSeriesConstructorCategory&| NIL 2328289 2328351 2330558 2330563) (|UnivariateLaurentSeriesCategory| "bookvol10.2.pamphlet" 2326368 2326412 2328032 2328284) (|UnivariateLaurentSeriesFunctions2| "bookvol10.4.pamphlet" 2325882 2325965 2326358 2326363) (|UnivariateFormalPowerSeries| "bookvol10.3.pamphlet" 2323828 2323868 2323926 2324091) (|UnivariateFormalPowerSeriesFunctions| "bookvol10.4.pamphlet" 2323710 2323759 2323818 2323823) (|UniqueFactorizationDomain| "bookvol10.2.pamphlet" 2322714 2322745 2323593 2323705) (|UniqueFactorizationDomain&| NIL 2321822 2321856 2322704 2322709) (|UserDefinedVariableOrdering| "bookvol10.4.pamphlet" 2320609 2320642 2321812 2321817) (|UserDefinedPartialOrdering| "bookvol10.4.pamphlet" 2318104 2318138 2320557 2320562) (|U8Vector| "bookvol10.3.pamphlet" 2317149 2317163 2317357 2317409) (|U8Matrix| "bookvol10.3.pamphlet" 2316248 2316262 2316640 2316692) (|U32Vector| "bookvol10.3.pamphlet" 2315291 2315306 2315501 2315553) (|U32Matrix| "bookvol10.3.pamphlet" 2314387 2314402 2314782 2314834) (|U16Vector| "bookvol10.3.pamphlet" 2313430 2313445 2313640 2313692) (|U16Matrix| "bookvol10.3.pamphlet" 2312526 2312541 2312921 2312973) (|Type| "bookvol10.2.pamphlet" 2312447 2312457 2312506 2312521) (|TwoFactorize| "bookvol10.4.pamphlet" 2311102 2311122 2312437 2312442) (|Tuple| "bookvol10.3.pamphlet" 2310101 2310114 2311049 2311054) (|TubePlotTools| "bookvol10.4.pamphlet" 2306985 2307004 2310091 2310096) (|TubePlot| "bookvol10.3.pamphlet" 2305670 2305692 2306975 2306980) (|TaylorSeries| "bookvol10.3.pamphlet" 2304082 2304107 2305065 2305230) (|TriangularSetCategory| "bookvol10.2.pamphlet" 2293595 2293630 2304013 2304077) (|TriangularSetCategory&| NIL 2283126 2283164 2293547 2293552) (|TranscendentalManipulations| "bookvol10.4.pamphlet" 2277502 2277539 2282772 2282777) (|TriangularMatrixOperations| "bookvol10.4.pamphlet" 2276450 2276498 2277492 2277497) (|TrigonometricManipulations| "bookvol10.4.pamphlet" 2274928 2274964 2276440 2276445) (|TrigonometricFunctionCategory| "bookvol10.2.pamphlet" 2274414 2274449 2274918 2274923) (|TrigonometricFunctionCategory&| NIL 2273897 2273935 2274404 2274409) (|Tree| "bookvol10.3.pamphlet" 2272062 2272074 2273680 2273732) (|TranscendentalFunctionCategory| "bookvol10.2.pamphlet" 2271882 2271918 2272052 2272057) (|TranscendentalFunctionCategory&| NIL 2271699 2271738 2271872 2271877) (|TopLevelThreeSpace| "bookvol10.4.pamphlet" 2271362 2271386 2271689 2271694) (|ToolsForSign| "bookvol10.4.pamphlet" 2271016 2271036 2271352 2271357) (|TextFile| "bookvol10.3.pamphlet" 2269590 2269604 2271006 2271011) (|TexFormat| "bookvol10.3.pamphlet" 2266721 2266736 2269580 2269585) (|TexFormat1| "bookvol10.4.pamphlet" 2266270 2266288 2266711 2266716) (|TemplateUtilities| "bookvol10.4.pamphlet" 2265817 2265840 2266260 2266265) (|TabulatedComputationPackage| "bookvol10.4.pamphlet" 2263984 2264031 2265807 2265812) (|TableAggregate| "bookvol10.2.pamphlet" 2262982 2263016 2263939 2263979) (|TableAggregate&| NIL 2262012 2262049 2262972 2262977) (|TangentExpansions| "bookvol10.4.pamphlet" 2261374 2261399 2262002 2262007) (|Table| "bookvol10.3.pamphlet" 2260189 2260214 2260461 2260513) (|Tableau| "bookvol10.3.pamphlet" 2259675 2259690 2260179 2260184) (|TableauxBumpers| "bookvol10.4.pamphlet" 2256581 2256604 2259665 2259670) (|SystemSolvePackage| "bookvol10.4.pamphlet" 2253197 2253223 2256571 2256576) (|SymbolTable| "bookvol10.3.pamphlet" 2251286 2251303 2253187 2253192) (|TheSymbolTable| "bookvol10.3.pamphlet" 2247340 2247360 2251276 2251281) (|SymmetricPolynomial| "bookvol10.3.pamphlet" 2245986 2246013 2246084 2246318) (|SymmetricFunctions| "bookvol10.4.pamphlet" 2245392 2245418 2245976 2245981) (|Symbol| "bookvol10.3.pamphlet" 2242851 2242863 2245382 2245387) (|Switch| "bookvol10.3.pamphlet" 2239594 2239606 2242841 2242846) (|SparseUnivariateTaylorSeries| "bookvol10.3.pamphlet" 2236177 2236230 2237638 2237803) (|SparseUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2232815 2232869 2233839 2234091) (|SparseUnivariatePolynomial| "bookvol10.3.pamphlet" 2228426 2228460 2229304 2229581) (|SupFractionFactorizer| "bookvol10.4.pamphlet" 2227528 2227564 2228416 2228421) (|SparseUnivariatePolynomialExpressions| "bookvol10.3.pamphlet" 2223850 2223895 2223953 2224230) (|SparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2223211 2223257 2223840 2223845) (|RationalFunctionSum| "bookvol10.4.pamphlet" 2221797 2221824 2223201 2223206) (|FunctionSpaceSum| "bookvol10.4.pamphlet" 2221466 2221492 2221787 2221792) (|SparseUnivariateLaurentSeries| "bookvol10.3.pamphlet" 2208898 2208952 2209910 2210644) (|SuchThat| "bookvol10.3.pamphlet" 2208575 2208595 2208888 2208893) (|SubSpace| "bookvol10.3.pamphlet" 2200925 2200945 2208565 2208570) (|SubResultantPackage| "bookvol10.4.pamphlet" 2200068 2200098 2200868 2200873) (|StreamTranscendentalFunctions| "bookvol10.4.pamphlet" 2196143 2196185 2200058 2200063) (|StreamTranscendentalFunctionsNonCommutative| "bookvol10.4.pamphlet" 2192573 2192629 2196133 2196138) (|StreamTaylorSeriesOperations| "bookvol10.4.pamphlet" 2185100 2185136 2192434 2192439) (|StringTable| "bookvol10.3.pamphlet" 2183994 2184019 2184151 2184203) (|String| "bookvol10.3.pamphlet" 2183179 2183191 2183280 2183332) (|StringCategory| "bookvol10.2.pamphlet" 2182919 2182939 2183110 2183174) (|Stream| "bookvol10.3.pamphlet" 2178438 2178452 2182601 2182629) (|StreamFunctions3| "bookvol10.4.pamphlet" 2177766 2177794 2178428 2178433) (|StreamFunctions2| "bookvol10.4.pamphlet" 2176326 2176352 2177756 2177761) (|StreamFunctions1| "bookvol10.4.pamphlet" 2175821 2175845 2176316 2176321) (|StreamTensor| "bookvol10.4.pamphlet" 2175497 2175517 2175811 2175816) (|StreamInfiniteProduct| "bookvol10.4.pamphlet" 2174415 2174449 2175487 2175492) (|StepThrough| "bookvol10.2.pamphlet" 2173633 2173650 2174405 2174410) (|SparseTable| "bookvol10.3.pamphlet" 2172571 2172607 2172744 2172772) (|StreamAggregate| "bookvol10.2.pamphlet" 2171658 2171681 2172551 2172566) (|StreamAggregate&| NIL 2170752 2170778 2171648 2171653) (|Stack| "bookvol10.3.pamphlet" 2166740 2166753 2170535 2170587) (|SquareFreeRegularTriangularSet| "bookvol10.3.pamphlet" 2164879 2164923 2166361 2166413) (|SquareFreeRegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2163608 2163665 2164869 2164874) (|StringAggregate| "bookvol10.2.pamphlet" 2158908 2158929 2163539 2163603) (|StringAggregate&| NIL 2154264 2154288 2158898 2158903) (|SquareMatrix| "bookvol10.3.pamphlet" 2151528 2151555 2152443 2152585) (|SplittingTree| "bookvol10.3.pamphlet" 2146938 2146961 2151192 2151244) (|SplittingNode| "bookvol10.3.pamphlet" 2143976 2143999 2146928 2146933) (|SpecialFunctionCategory| "bookvol10.2.pamphlet" 2142767 2142796 2143966 2143971) (|SpecialOutputPackage| "bookvol10.4.pamphlet" 2141319 2141345 2142757 2142762) (|ThreeSpaceCategory| "bookvol10.2.pamphlet" 2125694 2125720 2141309 2141314) (|ThreeSpace| "bookvol10.3.pamphlet" 2125469 2125487 2125684 2125689) (|SortPackage| "bookvol10.4.pamphlet" 2125002 2125023 2125417 2125422) (|TransSolvePackage| "bookvol10.4.pamphlet" 2122583 2122608 2124992 2124997) (|TransSolvePackageService| "bookvol10.4.pamphlet" 2121151 2121183 2122573 2122578) (|RadicalSolvePackage| "bookvol10.4.pamphlet" 2115623 2115650 2121141 2121146) (|PolynomialSolveByFormulas| "bookvol10.4.pamphlet" 2114069 2114105 2115613 2115618) (|SquareFreeNormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 2113777 2113832 2114000 2114064) (|SparseMultivariateTaylorSeries| "bookvol10.3.pamphlet" 2111734 2111787 2113172 2113337) (|SparseMultivariatePolynomial| "bookvol10.3.pamphlet" 2108266 2108311 2108664 2108898) (|SmithNormalForm| "bookvol10.4.pamphlet" 2107091 2107128 2108256 2108261) (|SquareMatrixCategory| "bookvol10.2.pamphlet" 2105146 2105193 2106987 2107086) (|SquareMatrixCategory&| NIL 2103156 2103206 2105000 2105005) (|StackAggregate| "bookvol10.2.pamphlet" 2101722 2101744 2103087 2103151) (|SingleInteger| "bookvol10.3.pamphlet" 2099970 2099989 2101483 2101717) (|SimplifyAlgebraicNumberConvertPackage| "bookvol10.4.pamphlet" 2099679 2099722 2099960 2099965) (|RationalFunctionSign| "bookvol10.4.pamphlet" 2098752 2098780 2099669 2099674) (|ElementaryFunctionSign| "bookvol10.4.pamphlet" 2097996 2098028 2098742 2098747) (|SturmHabichtPackage| "bookvol10.4.pamphlet" 2095937 2095968 2097945 2097950) (|SplitHomogeneousDirectProduct| "bookvol10.3.pamphlet" 2085573 2085626 2086101 2086305) (|SemiGroup| "bookvol10.2.pamphlet" 2084879 2084894 2085563 2085568) (|SemiGroup&| NIL 2084182 2084200 2084869 2084874) (|SymmetricGroupCombinatoricFunctions| "bookvol10.4.pamphlet" 2077662 2077703 2084172 2084177) (|SquareFreeRegularTriangularSetCategory| "bookvol10.2.pamphlet" 2077165 2077217 2077593 2077657) (|SquareFreeRegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2076827 2076884 2077155 2077160) (|SquareFreeQuasiComponentPackage| "bookvol10.4.pamphlet" 2072716 2072764 2076817 2076822) (|SimpleFortranProgram| "bookvol10.3.pamphlet" 2072160 2072191 2072706 2072711) (|SExpressionOf| "bookvol10.3.pamphlet" 2071993 2072043 2072150 2072155) (|SExpression| "bookvol10.3.pamphlet" 2071877 2071894 2071983 2071988) (|SExpressionCategory| "bookvol10.2.pamphlet" 2069112 2069168 2071867 2071872) (|Set| "bookvol10.3.pamphlet" 2067362 2067373 2068475 2068555) (|SetOfMIntegersInOneToN| "bookvol10.3.pamphlet" 2065823 2065859 2067352 2067357) (|SetCategory| "bookvol10.2.pamphlet" 2065305 2065322 2065813 2065818) (|SetCategory&| NIL 2064784 2064804 2065295 2065300) (|SetCategoryWithDegree| "bookvol10.2.pamphlet" 2064657 2064684 2064774 2064779) (|SetAggregate| "bookvol10.2.pamphlet" 2061522 2061542 2064609 2064652) (|SetAggregate&| NIL 2058422 2058445 2061512 2061517) (|SegmentExpansionCategory| "bookvol10.2.pamphlet" 2057463 2057497 2058402 2058417) (|Segment| "bookvol10.3.pamphlet" 2057255 2057270 2057365 2057370) (|SegmentCategory| "bookvol10.2.pamphlet" 2056031 2056054 2057235 2057250) (|SegmentBinding| "bookvol10.3.pamphlet" 2055098 2055120 2055978 2055983) (|SegmentBindingFunctions2| "bookvol10.4.pamphlet" 2054783 2054817 2055088 2055093) (|SegmentFunctions2| "bookvol10.4.pamphlet" 2054179 2054206 2054730 2054735) (|SequentialDifferentialVariable| "bookvol10.3.pamphlet" 2053450 2053488 2054169 2054174) (|SequentialDifferentialPolynomial| "bookvol10.3.pamphlet" 2049738 2049778 2050044 2050278) (|StochasticDifferential| "bookvol10.3.pamphlet" 2046173 2046203 2049689 2049733) (|StructuralConstantsPackage| "bookvol10.4.pamphlet" 2044253 2044287 2046163 2046168) (|SortedCache| "bookvol10.4.pamphlet" 2043094 2043113 2044243 2044248) (|SingletonAsOrderedSet| "bookvol10.3.pamphlet" 2042948 2042975 2043084 2043089) (|SAERationalFunctionAlgFactor| "bookvol10.4.pamphlet" 2042636 2042681 2042938 2042943) (|SimpleAlgebraicExtension| "bookvol10.3.pamphlet" 2040363 2040400 2041041 2041257) (|SimpleAlgebraicExtensionAlgFactor| "bookvol10.4.pamphlet" 2040034 2040084 2040353 2040358) (|RationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 2037734 2037786 2040024 2040029) (|Ruleset| "bookvol10.3.pamphlet" 2037166 2037190 2037724 2037729) (|RewriteRule| "bookvol10.3.pamphlet" 2035344 2035372 2037156 2037161) (|RuleCalled| "bookvol10.3.pamphlet" 2035189 2035209 2035334 2035339) (|RegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2032532 2032579 2035179 2035184) (|RegularTriangularSetCategory| "bookvol10.2.pamphlet" 2023320 2023362 2032463 2032527) (|RegularTriangularSetCategory&| NIL 2014164 2014209 2023310 2023315) (|RegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2012890 2012937 2014154 2014159) (|RealRootCharacterizationCategory| "bookvol10.2.pamphlet" 2011267 2011326 2012880 2012885) (|RealRootCharacterizationCategory&| NIL 2009641 2009703 2011257 2011262) (|RecursivePolynomialCategory| "bookvol10.2.pamphlet" 1992752 1992791 2009402 2009636) (|RecursivePolynomialCategory&| NIL 1975566 1975608 1992219 1992224) (|RoutinesTable| "bookvol10.3.pamphlet" 1971842 1971861 1974596 1974648) (|RomanNumeral| "bookvol10.3.pamphlet" 1970975 1970993 1971603 1971837) (|RightOpenIntervalRootCharacterization| "bookvol10.3.pamphlet" 1970075 1970141 1970965 1970970) (|RealNumberSystem| "bookvol10.2.pamphlet" 1968813 1968835 1969905 1970070) (|RealNumberSystem&| NIL 1967708 1967733 1968803 1968808) (|Rng| "bookvol10.2.pamphlet" 1967228 1967237 1967698 1967703) (|RightModule| "bookvol10.2.pamphlet" 1966735 1966754 1967218 1967223) (|RectangularMatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1966131 1966220 1966725 1966730) (|RectangularMatrix| "bookvol10.3.pamphlet" 1964690 1964723 1965192 1965260) (|RectangularMatrixCategory| "bookvol10.2.pamphlet" 1960275 1960328 1964605 1964685) (|RectangularMatrixCategory&| NIL 1955749 1955805 1960082 1960087) (|RationalInterpolation| "bookvol10.4.pamphlet" 1955623 1955657 1955739 1955744) (|Ring| "bookvol10.2.pamphlet" 1954974 1954984 1955596 1955618) (|Ring&| NIL 1954339 1954352 1954964 1954969) (|RandomIntegerDistributions| "bookvol10.4.pamphlet" 1953344 1953376 1954329 1954334) (|RegularChain| "bookvol10.3.pamphlet" 1951686 1951711 1952576 1952628) (|RootsFindingPackage| "bookvol10.4.pamphlet" 1949720 1949747 1951676 1951681) (|RationalFunction| "bookvol10.4.pamphlet" 1947363 1947387 1949710 1949715) (|RationalFunctionFactorizer| "bookvol10.4.pamphlet" 1946802 1946836 1947353 1947358) (|RationalFunctionFactor| "bookvol10.4.pamphlet" 1946518 1946549 1946792 1946797) (|RandomFloatDistributions| "bookvol10.4.pamphlet" 1945493 1945523 1946508 1946513) (|RetractSolvePackage| "bookvol10.4.pamphlet" 1944896 1944925 1945483 1945488) (|RetractableTo| "bookvol10.2.pamphlet" 1944228 1944249 1944886 1944891) (|RetractableTo&| NIL 1943557 1943581 1944218 1944223) (|Result| "bookvol10.3.pamphlet" 1941999 1942011 1942587 1942639) (|ResidueRing| "bookvol10.3.pamphlet" 1941310 1941361 1941905 1941994) (|ResolveLatticeCompletion| "bookvol10.4.pamphlet" 1940615 1940647 1941300 1941305) (|RepeatedSquaring| "bookvol10.4.pamphlet" 1940333 1940357 1940605 1940610) (|RadicalEigenPackage| "bookvol10.4.pamphlet" 1937873 1937898 1940323 1940328) (|RepeatedDoubling| "bookvol10.4.pamphlet" 1937559 1937583 1937863 1937868) (|RepresentationPackage2| "bookvol10.4.pamphlet" 1927537 1927567 1937378 1937383) (|RepresentationPackage1| "bookvol10.4.pamphlet" 1921898 1921928 1927479 1927484) (|RegularTriangularSet| "bookvol10.3.pamphlet" 1920095 1920129 1921519 1921571) (|Reference| "bookvol10.3.pamphlet" 1919431 1919448 1920042 1920047) (|ReductionOfOrder| "bookvol10.4.pamphlet" 1918552 1918578 1919421 1919426) (|RecurrenceOperator| "bookvol10.4.pamphlet" 1916947 1916975 1918506 1918511) (|RealClosure| "bookvol10.3.pamphlet" 1915568 1915596 1916230 1916395) (|RealSolvePackage| "bookvol10.4.pamphlet" 1914128 1914150 1915558 1915563) (|RealConstant| "bookvol10.2.pamphlet" 1914003 1914021 1914118 1914123) (|RealZeroPackageQ| "bookvol10.4.pamphlet" 1911341 1911369 1913993 1913998) (|RealZeroPackage| "bookvol10.4.pamphlet" 1908238 1908265 1911331 1911336) (|ReducedDivisor| "bookvol10.4.pamphlet" 1907976 1908012 1908228 1908233) (|RandomDistributions| "bookvol10.4.pamphlet" 1907527 1907554 1907966 1907971) (|TranscendentalRischDESystem| "bookvol10.4.pamphlet" 1906361 1906399 1907517 1907522) (|TranscendentalRischDE| "bookvol10.4.pamphlet" 1904312 1904344 1906351 1906356) (|ElementaryRischDESystem| "bookvol10.4.pamphlet" 1903537 1903570 1904302 1904307) (|ElementaryRischDE| "bookvol10.4.pamphlet" 1902583 1902610 1903527 1903532) (|RealClosedField| "bookvol10.2.pamphlet" 1899828 1899849 1902413 1902578) (|RealClosedField&| NIL 1897230 1897254 1899818 1899823) (|RecursiveAggregate| "bookvol10.2.pamphlet" 1895188 1895214 1897210 1897225) (|RecursiveAggregate&| NIL 1893061 1893090 1895086 1895091) (|RationalRetractions| "bookvol10.4.pamphlet" 1892466 1892493 1893051 1893056) (|RationalFactorize| "bookvol10.4.pamphlet" 1891636 1891662 1892456 1892461) (|RandomNumberSource| "bookvol10.4.pamphlet" 1890978 1891002 1891626 1891631) (|RadixUtilities| "bookvol10.4.pamphlet" 1890723 1890743 1890968 1890973) (|RadixExpansion| "bookvol10.3.pamphlet" 1886814 1886839 1888477 1888642) (|RadicalFunctionField| "bookvol10.3.pamphlet" 1884686 1884736 1884802 1885057) (|RadicalCategory| "bookvol10.2.pamphlet" 1884305 1884326 1884676 1884681) (|RadicalCategory&| NIL 1883921 1883945 1884295 1884300) (|Queue| "bookvol10.3.pamphlet" 1879689 1879702 1883704 1883756) (|Quaternion| "bookvol10.3.pamphlet" 1878012 1878030 1878313 1878421) (|QuaternionCategoryFunctions2| "bookvol10.4.pamphlet" 1877391 1877435 1878002 1878007) (|QuaternionCategory| "bookvol10.2.pamphlet" 1875539 1875565 1877278 1877386) (|QuaternionCategory&| NIL 1873378 1873407 1875120 1875125) (|QueueAggregate| "bookvol10.2.pamphlet" 1872155 1872177 1873309 1873373) (|QuadraticForm| "bookvol10.3.pamphlet" 1871613 1871638 1872145 1872150) (|QuotientFieldCategory| "bookvol10.2.pamphlet" 1870217 1870246 1871431 1871608) (|QuotientFieldCategory&| NIL 1868311 1868343 1869528 1869533) (|QuotientFieldCategoryFunctions2| "bookvol10.4.pamphlet" 1867983 1868028 1868301 1868306) (|QueryEquation| "bookvol10.3.pamphlet" 1867547 1867566 1867973 1867978) (|QuasiComponentPackage| "bookvol10.4.pamphlet" 1863512 1863550 1867537 1867542) (|QuasiAlgebraicSet| "bookvol10.3.pamphlet" 1859641 1859688 1863397 1863402) (|QuasiAlgebraicSet2| "bookvol10.4.pamphlet" 1857637 1857671 1859631 1859636) (|PAdicWildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 1854936 1854986 1857627 1857632) (|PushVariables| "bookvol10.4.pamphlet" 1854262 1854292 1854926 1854931) (|PartialTranscendentalFunctions| "bookvol10.2.pamphlet" 1850513 1850551 1854252 1854257) (|PointPackage| "bookvol10.4.pamphlet" 1847629 1847649 1850503 1850508) (|PointFunctions2| "bookvol10.4.pamphlet" 1847435 1847462 1847619 1847624) (|PointCategory| "bookvol10.2.pamphlet" 1846491 1846512 1847366 1847430) (|PolynomialSquareFree| "bookvol10.4.pamphlet" 1845784 1845826 1846481 1846486) (|PseudoLinearNormalForm| "bookvol10.4.pamphlet" 1844634 1844664 1845774 1845779) (|PolynomialSetUtilitiesPackage| "bookvol10.4.pamphlet" 1832080 1832123 1844476 1844481) (|PolynomialSetCategory| "bookvol10.2.pamphlet" 1826904 1826946 1832036 1832075) (|PolynomialSetCategory&| NIL 1821713 1821758 1826848 1826853) (|PlottableSpaceCurveCategory| "bookvol10.2.pamphlet" 1820713 1820746 1821703 1821708) (|PowerSeriesCategory| "bookvol10.2.pamphlet" 1819391 1819437 1820543 1820708) (|PowerSeriesCategory&| NIL 1818226 1818275 1819381 1819386) (|Partition| "bookvol10.3.pamphlet" 1817022 1817037 1818216 1818221) (|ProjectiveSpaceCategory| "bookvol10.2.pamphlet" 1814496 1814527 1817012 1817017) (|PseudoRemainderSequence| "bookvol10.4.pamphlet" 1806137 1806175 1814445 1814450) (|PriorityQueueAggregate| "bookvol10.2.pamphlet" 1805515 1805545 1806068 1806132) (|ProjectiveSpace| "bookvol10.3.pamphlet" 1805386 1805415 1805505 1805510) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1805224 1805286 1805376 1805381) (|ProjectivePlane| "bookvol10.3.pamphlet" 1805101 1805124 1805214 1805219) (|Product| "bookvol10.3.pamphlet" 1801901 1801918 1802433 1802501) (|PolynomialRing| "bookvol10.3.pamphlet" 1799949 1799973 1800654 1800888) (|ProjectiveAlgebraicSetPackage| "bookvol10.4.pamphlet" 1799176 1799242 1799939 1799944) (|PrintPackage| "bookvol10.4.pamphlet" 1798918 1798936 1799166 1799171) (|IntegerPrimesPackage| "bookvol10.4.pamphlet" 1797133 1797161 1798908 1798913) (|PrimitiveElement| "bookvol10.4.pamphlet" 1795210 1795234 1797123 1797128) (|PrimitiveFunctionCategory| "bookvol10.2.pamphlet" 1794798 1794829 1795200 1795205) (|PrimitiveArray| "bookvol10.3.pamphlet" 1793915 1793937 1794080 1794132) (|PrimitiveArrayFunctions2| "bookvol10.4.pamphlet" 1791999 1792033 1793905 1793910) (|PrecomputedAssociatedEquations| "bookvol10.4.pamphlet" 1791337 1791377 1791989 1791994) (|PlottablePlaneCurveCategory| "bookvol10.2.pamphlet" 1790677 1790710 1791327 1791332) (|U32VectorPolynomialOperations| "bookvol10.4.pamphlet" 1785459 1785494 1790667 1790672) (|PolynomialRoots| "bookvol10.4.pamphlet" 1784187 1784218 1785408 1785413) (|Polynomial| "bookvol10.3.pamphlet" 1780583 1780601 1781087 1781321) (|PolynomialCategoryLifting| "bookvol10.4.pamphlet" 1779849 1779895 1780573 1780578) (|PolynomialCategoryQuotientFunctions| "bookvol10.4.pamphlet" 1777830 1777881 1779839 1779844) (|PolynomialCategory| "bookvol10.2.pamphlet" 1771137 1771174 1777591 1777825) (|PolynomialCategory&| NIL 1763591 1763631 1770048 1770053) (|PolynomialToUnivariatePolynomial| "bookvol10.4.pamphlet" 1763007 1763051 1763581 1763586) (|PolynomialFunctions2| "bookvol10.4.pamphlet" 1762595 1762625 1762997 1763002) (|RealPolynomialUtilitiesPackage| "bookvol10.4.pamphlet" 1761599 1761656 1762542 1762547) (|PolToPol| "bookvol10.4.pamphlet" 1760341 1760362 1761589 1761594) (|Point| "bookvol10.3.pamphlet" 1759219 1759232 1759309 1759361) (|PolynomialNumberTheoryFunctions| "bookvol10.4.pamphlet" 1755862 1755899 1759209 1759214) (|PatternMatchTools| "bookvol10.4.pamphlet" 1754668 1754697 1755852 1755857) (|PatternMatchSymbol| "bookvol10.4.pamphlet" 1754209 1754235 1754658 1754663) (|PatternMatchQuotientFieldCategory| "bookvol10.4.pamphlet" 1753777 1753822 1754199 1754204) (|AttachPredicates| "bookvol10.4.pamphlet" 1753287 1753311 1753767 1753772) (|FunctionSpaceAttachPredicates| "bookvol10.4.pamphlet" 1752763 1752804 1753277 1753282) (|PatternMatchPolynomialCategory| "bookvol10.4.pamphlet" 1751801 1751847 1752681 1752686) (|PatternMatchListAggregate| "bookvol10.4.pamphlet" 1751363 1751400 1751791 1751796) (|PatternMatchKernel| "bookvol10.4.pamphlet" 1750926 1750954 1751353 1751358) (|PatternMatchIntegerNumberSystem| "bookvol10.4.pamphlet" 1750477 1750516 1750916 1750921) (|PatternMatchFunctionSpace| "bookvol10.4.pamphlet" 1750043 1750080 1750467 1750472) (|PatternMatchPushDown| "bookvol10.4.pamphlet" 1749335 1749367 1750033 1750038) (|PatternMatchAssertions| "bookvol10.4.pamphlet" 1748382 1748410 1749325 1749330) (|FunctionSpaceAssertions| "bookvol10.4.pamphlet" 1747389 1747422 1748372 1748377) (|PolynomialPackageForCurve| "bookvol10.4.pamphlet" 1746264 1746325 1747379 1747384) (|PlotTools| "bookvol10.4.pamphlet" 1746037 1746052 1746254 1746259) (|Plot| "bookvol10.3.pamphlet" 1740887 1740897 1746027 1746032) (|Plot3D| "bookvol10.3.pamphlet" 1737497 1737509 1740877 1740882) (|PlotFunctions1| "bookvol10.4.pamphlet" 1736636 1736658 1737487 1737492) (|ParametricLinearEquations| "bookvol10.4.pamphlet" 1722726 1722776 1736626 1736631) (|Plcs| "bookvol10.3.pamphlet" 1722631 1722647 1722716 1722721) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1722499 1722552 1722621 1722626) (|Places| "bookvol10.3.pamphlet" 1722406 1722420 1722489 1722494) (|PlacesCategory| "bookvol10.2.pamphlet" 1721436 1721462 1722396 1722401) (|PolynomialInterpolation| "bookvol10.4.pamphlet" 1721041 1721077 1721426 1721431) (|PolynomialInterpolationAlgorithms| "bookvol10.4.pamphlet" 1720798 1720841 1721031 1721036) (|PositiveInteger| "bookvol10.3.pamphlet" 1720401 1720422 1720764 1720793) (|PrincipalIdealDomain| "bookvol10.2.pamphlet" 1719320 1719346 1720284 1720396) (|PiCoercions| "bookvol10.4.pamphlet" 1719056 1719075 1719310 1719315) (|PolyGroebner| "bookvol10.4.pamphlet" 1717668 1717688 1719046 1719051) (|PermutationGroupExamples| "bookvol10.4.pamphlet" 1709604 1709634 1717658 1717663) (|PolynomialGcdPackage| "bookvol10.4.pamphlet" 1708067 1708102 1709594 1709599) (|PartialFractionPackage| "bookvol10.4.pamphlet" 1707098 1707128 1708057 1708062) (|PartialFraction| "bookvol10.3.pamphlet" 1702583 1702606 1706928 1707093) (|PointsOfFiniteOrderTools| "bookvol10.4.pamphlet" 1701908 1701946 1702573 1702578) (|PackageForPoly| "bookvol10.4.pamphlet" 1700037 1700078 1701898 1701903) (|PointsOfFiniteOrderRational| "bookvol10.4.pamphlet" 1699382 1699425 1700027 1700032) (|PointsOfFiniteOrder| "bookvol10.4.pamphlet" 1698790 1698830 1699372 1699377) (|PrimeField| "bookvol10.3.pamphlet" 1698346 1698366 1698484 1698649) (|PolynomialFactorizationExplicit| "bookvol10.2.pamphlet" 1695982 1696019 1698229 1698341) (|PolynomialFactorizationExplicit&| NIL 1693669 1693709 1695919 1695924) (|PolynomialFactorizationByRecursionUnivariate| "bookvol10.4.pamphlet" 1691534 1691588 1693659 1693664) (|PolynomialFactorizationByRecursion| "bookvol10.4.pamphlet" 1689162 1689217 1691524 1691529) (|Permutation| "bookvol10.3.pamphlet" 1684447 1684466 1688964 1688986) (|PermutationGroup| "bookvol10.3.pamphlet" 1679198 1679222 1684437 1684442) (|PermutationCategory| "bookvol10.2.pamphlet" 1677837 1677864 1679171 1679193) (|Permanent| "bookvol10.4.pamphlet" 1676589 1676610 1677827 1677832) (|PendantTree| "bookvol10.3.pamphlet" 1675830 1675849 1676419 1676424) (|PartialDifferentialRing| "bookvol10.2.pamphlet" 1674177 1674208 1675803 1675825) (|PartialDifferentialRing&| NIL 1672538 1672572 1674167 1674172) (|NumericalPDEProblem| "bookvol10.3.pamphlet" 1670700 1670725 1672528 1672533) (|AnnaPartialDifferentialEquationPackage| "bookvol10.4.pamphlet" 1664740 1664784 1670690 1670695) (|PolynomialDecomposition| "bookvol10.4.pamphlet" 1664075 1664109 1664730 1664735) (|PartialDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1662185 1662233 1664065 1664070) (|PolynomialComposition| "bookvol10.4.pamphlet" 1661901 1661933 1662175 1662180) (|PoincareBirkhoffWittLyndonBasis| "bookvol10.3.pamphlet" 1660514 1660560 1661891 1661896) (|Pattern| "bookvol10.3.pamphlet" 1654794 1654809 1660504 1660509) (|PatternFunctions2| "bookvol10.4.pamphlet" 1654510 1654537 1654784 1654789) (|PatternFunctions1| "bookvol10.4.pamphlet" 1652797 1652824 1654500 1654505) (|PatternMatchResult| "bookvol10.3.pamphlet" 1650442 1650470 1652787 1652792) (|PatternMatchResultFunctions2| "bookvol10.4.pamphlet" 1650128 1650168 1650432 1650437) (|PatternMatch| "bookvol10.4.pamphlet" 1648298 1648339 1649795 1649800) (|PatternMatchable| "bookvol10.2.pamphlet" 1647723 1647747 1648288 1648293) (|PatternMatchListResult| "bookvol10.3.pamphlet" 1646813 1646847 1647713 1647718) (|Patternable| "bookvol10.2.pamphlet" 1646510 1646529 1646803 1646808) (|PartitionsAndPermutations| "bookvol10.4.pamphlet" 1644005 1644036 1646500 1646505) (|ParametricSurface| "bookvol10.3.pamphlet" 1643448 1643491 1643995 1644000) (|ParametricSurfaceFunctions2| "bookvol10.4.pamphlet" 1643216 1643257 1643438 1643443) (|ParametricSpaceCurve| "bookvol10.3.pamphlet" 1642656 1642702 1643206 1643211) (|ParametricSpaceCurveFunctions2| "bookvol10.4.pamphlet" 1642415 1642459 1642646 1642651) (|ParametricPlaneCurve| "bookvol10.3.pamphlet" 1641867 1641913 1642405 1642410) (|ParametricPlaneCurveFunctions2| "bookvol10.4.pamphlet" 1641626 1641670 1641857 1641862) (|ParametrizationPackage| "bookvol10.4.pamphlet" 1640429 1640498 1641616 1641621) (|PolynomialAN2Expression| "bookvol10.4.pamphlet" 1639822 1639851 1640419 1640424) (|Palette| "bookvol10.3.pamphlet" 1638825 1638838 1639812 1639817) (|PackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 1633238 1633291 1638777 1638782) (|PackageForAlgebraicFunctionFieldOverFiniteField| "bookvol10.4.pamphlet" 1627037 1627105 1633150 1633155) (|PAdicRationalConstructor| "bookvol10.3.pamphlet" 1623833 1623873 1624984 1625149) (|PAdicRational| "bookvol10.3.pamphlet" 1621017 1621040 1621201 1621366) (|PAdicInteger| "bookvol10.3.pamphlet" 1620709 1620731 1620900 1621012) (|PAdicIntegerCategory| "bookvol10.2.pamphlet" 1619194 1619224 1620592 1620704) (|PadeApproximantPackage| "bookvol10.4.pamphlet" 1618119 1618158 1619184 1619189) (|PadeApproximants| "bookvol10.4.pamphlet" 1617110 1617140 1618109 1618114) (|PseudoAlgebraicClosureOfRationalNumber| "bookvol10.3.pamphlet" 1615723 1615767 1616595 1616760) (|PseudoAlgebraicClosureOfRationalNumberCategory| "bookvol10.2.pamphlet" 1614591 1614643 1615553 1615718) (|PseudoAlgebraicClosureOfPerfectFieldCategory| "bookvol10.2.pamphlet" 1612776 1612826 1614421 1614586) (|PseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1611591 1611634 1612461 1612626) (|PseudoAlgebraicClosureOfFiniteFieldCategory| "bookvol10.2.pamphlet" 1610465 1610514 1611421 1611586) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.3.pamphlet" 1608480 1608544 1609375 1609540) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| "bookvol10.2.pamphlet" 1607332 1607392 1608310 1608475) (|OrdinaryWeightedPolynomials| "bookvol10.3.pamphlet" 1606249 1606304 1607124 1607241) (|OrderedVariableList| "bookvol10.3.pamphlet" 1606013 1606053 1606239 1606244) (|OutputPackage| "bookvol10.4.pamphlet" 1605128 1605147 1606003 1606008) (|OutputForm| "bookvol10.3.pamphlet" 1594534 1594550 1605118 1605123) (|OrdSetInts| "bookvol10.3.pamphlet" 1594131 1594147 1594524 1594529) (|OrthogonalPolynomialFunctions| "bookvol10.4.pamphlet" 1592544 1592581 1594031 1594036) (|UnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1591775 1591827 1592129 1592192) (|SparseUnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1590935 1590989 1591360 1591423) (|UnivariateSkewPolynomialCategoryOps| "bookvol10.4.pamphlet" 1588647 1588692 1590840 1590845) (|UnivariateSkewPolynomialCategory| "bookvol10.2.pamphlet" 1582605 1582645 1588579 1588642) (|UnivariateSkewPolynomialCategory&| NIL 1576441 1576484 1582418 1582423) (|OrderedSet| "bookvol10.2.pamphlet" 1575573 1575589 1576431 1576436) (|OrderedSet&| NIL 1574702 1574721 1575563 1575568) (|OrderedRing| "bookvol10.2.pamphlet" 1574020 1574037 1574675 1574697) (|OrderedRing&| NIL 1573352 1573372 1574010 1574015) (|OrderedMonoid| "bookvol10.2.pamphlet" 1573065 1573084 1573342 1573347) (|OrderingFunctions| "bookvol10.4.pamphlet" 1572197 1572228 1573055 1573060) (|OrderedFinite| "bookvol10.2.pamphlet" 1572120 1572139 1572187 1572192) (|OrderedCompletion| "bookvol10.3.pamphlet" 1570470 1570495 1571540 1571585) (|OrderedCompletionFunctions2| "bookvol10.4.pamphlet" 1569797 1569834 1570460 1570465) (|NumericalOptimizationProblem| "bookvol10.3.pamphlet" 1567537 1567571 1569787 1569792) (|AnnaNumericalOptimizationPackage| "bookvol10.4.pamphlet" 1559959 1559997 1567527 1567532) (|NumericalOptimizationCategory| "bookvol10.2.pamphlet" 1557410 1557445 1559949 1559954) (|OperationsQuery| "bookvol10.4.pamphlet" 1556952 1556973 1557400 1557405) (|Operator| "bookvol10.3.pamphlet" 1556590 1556606 1556676 1556793) (|OnePointCompletion| "bookvol10.3.pamphlet" 1555223 1555249 1556010 1556055) (|OnePointCompletionFunctions2| "bookvol10.4.pamphlet" 1554688 1554726 1555213 1555218) (|OpenMathServerPackage| "bookvol10.4.pamphlet" 1553719 1553746 1554678 1554683) (|OrderedMultisetAggregate| "bookvol10.2.pamphlet" 1553440 1553472 1553622 1553714) (|OpenMathPackage| "bookvol10.4.pamphlet" 1552103 1552124 1553430 1553435) (|OpenMath| "bookvol10.2.pamphlet" 1551172 1551186 1552093 1552098) (|OppositeMonogenicLinearOperator| "bookvol10.3.pamphlet" 1550509 1550550 1551007 1551070) (|ExpressionToOpenMath| "bookvol10.4.pamphlet" 1550325 1550353 1550499 1550504) (|OpenMathError| "bookvol10.3.pamphlet" 1549867 1549886 1550315 1550320) (|OpenMathErrorKind| "bookvol10.3.pamphlet" 1548904 1548927 1549857 1549862) (|OpenMathEncoding| "bookvol10.3.pamphlet" 1548236 1548258 1548894 1548899) (|OpenMathDevice| "bookvol10.3.pamphlet" 1542967 1542987 1548226 1548231) (|OpenMathConnection| "bookvol10.3.pamphlet" 1542368 1542392 1542957 1542962) (|OrderedIntegralDomain| "bookvol10.2.pamphlet" 1542083 1542110 1542251 1542363) (|OrderedFreeMonoid| "bookvol10.3.pamphlet" 1535695 1535720 1542073 1542078) (|OrderlyDifferentialVariable| "bookvol10.3.pamphlet" 1534953 1534988 1535685 1535690) (|OrdinaryDifferentialRing| "bookvol10.3.pamphlet" 1534292 1534340 1534678 1534911) (|OrderlyDifferentialPolynomial| "bookvol10.3.pamphlet" 1530548 1530585 1530901 1531135) (|OrderedDirectProduct| "bookvol10.3.pamphlet" 1520336 1520374 1520712 1520916) (|ODETools| "bookvol10.4.pamphlet" 1518859 1518880 1520326 1520331) (|SystemODESolver| "bookvol10.4.pamphlet" 1516310 1516336 1518849 1518854) (|RationalRicDE| "bookvol10.4.pamphlet" 1512209 1512233 1516244 1516249) (|ReduceLODE| "bookvol10.4.pamphlet" 1511566 1511594 1512199 1512204) (|RationalLODE| "bookvol10.4.pamphlet" 1509004 1509027 1511556 1511561) (|PrimitiveRatRicDE| "bookvol10.4.pamphlet" 1506008 1506041 1508994 1508999) (|NumericalODEProblem| "bookvol10.3.pamphlet" 1504647 1504672 1505998 1506003) (|PrimitiveRatDE| "bookvol10.4.pamphlet" 1501897 1501927 1504637 1504642) (|PureAlgebraicLODE| "bookvol10.4.pamphlet" 1501252 1501287 1501887 1501892) (|AnnaOrdinaryDifferentialEquationPackage| "bookvol10.4.pamphlet" 1488959 1489004 1501242 1501247) (|ODEIntegration| "bookvol10.4.pamphlet" 1488370 1488394 1488949 1488954) (|ODEIntensityFunctionsTable| "bookvol10.3.pamphlet" 1485749 1485781 1488360 1488365) (|ElementaryFunctionODESolver| "bookvol10.4.pamphlet" 1481045 1481082 1485739 1485744) (|ConstantLODE| "bookvol10.4.pamphlet" 1480548 1480572 1481035 1481040) (|OrdinaryDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1478898 1478947 1480538 1480543) (|Octonion| "bookvol10.3.pamphlet" 1476747 1476763 1477435 1477498) (|OctonionCategoryFunctions2| "bookvol10.4.pamphlet" 1476372 1476414 1476737 1476742) (|OctonionCategory| "bookvol10.2.pamphlet" 1474282 1474306 1476304 1476367) (|OctonionCategory&| NIL 1471842 1471869 1473867 1473872) (|OrderedCancellationAbelianMonoid| "bookvol10.2.pamphlet" 1471662 1471700 1471832 1471837) (|OrderedAbelianSemiGroup| "bookvol10.2.pamphlet" 1471407 1471436 1471652 1471657) (|OrderedAbelianMonoidSup| "bookvol10.2.pamphlet" 1470740 1470769 1471397 1471402) (|OrderedAbelianMonoid| "bookvol10.2.pamphlet" 1470585 1470611 1470730 1470735) (|OrderedAbelianGroup| "bookvol10.2.pamphlet" 1470432 1470457 1470575 1470580) (|NumericTubePlot| "bookvol10.4.pamphlet" 1470146 1470175 1470422 1470427) (|NumericalQuadrature| "bookvol10.4.pamphlet" 1458858 1458883 1470136 1470141) (|NumericalOrdinaryDifferentialEquations| "bookvol10.4.pamphlet" 1450389 1450433 1458848 1458853) (|NumericalIntegrationCategory| "bookvol10.2.pamphlet" 1447718 1447752 1450379 1450384) (|NumberFormats| "bookvol10.4.pamphlet" 1446549 1446568 1447708 1447713) (|Numeric| "bookvol10.4.pamphlet" 1438656 1438671 1446308 1446313) (|NormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 1438009 1438054 1438587 1438651) (|NumberTheoreticPolynomialFunctions| "bookvol10.4.pamphlet" 1437511 1437553 1437909 1437914) (|NewSparseUnivariatePolynomial| "bookvol10.3.pamphlet" 1430324 1430361 1434000 1434277) (|NewSparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 1429683 1429732 1430314 1430319) (|NewSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 1424669 1424717 1424990 1425224) (|NeitherSparseOrDensePowerSeries| "bookvol10.3.pamphlet" 1422843 1422882 1422949 1423114) (|NumericRealEigenPackage| "bookvol10.4.pamphlet" 1421212 1421247 1422833 1422838) (|NewtonPolygon| "bookvol10.4.pamphlet" 1421093 1421133 1421202 1421207) (|NPCoef| "bookvol10.4.pamphlet" 1420337 1420361 1421083 1421088) (|NottinghamGroup| "bookvol10.3.pamphlet" 1420209 1420232 1420310 1420332) (|NormRetractPackage| "bookvol10.4.pamphlet" 1419791 1419842 1420199 1420204) (|NormalizationPackage| "bookvol10.4.pamphlet" 1418621 1418658 1419781 1419786) (|NormInMonogenicAlgebra| "bookvol10.4.pamphlet" 1418283 1418329 1418611 1418616) (|None| "bookvol10.3.pamphlet" 1418022 1418032 1418273 1418278) (|NoneFunctions1| "bookvol10.4.pamphlet" 1417686 1417708 1418012 1418017) (|NonLinearFirstOrderODESolver| "bookvol10.4.pamphlet" 1417121 1417159 1417676 1417681) (|NonNegativeInteger| "bookvol10.3.pamphlet" 1415987 1416011 1417087 1417116) (|NonLinearSolvePackage| "bookvol10.4.pamphlet" 1414594 1414623 1415977 1415982) (|NumericalIntegrationProblem| "bookvol10.3.pamphlet" 1412257 1412290 1414584 1414589) (|NumberFieldIntegralBasis| "bookvol10.4.pamphlet" 1409707 1409742 1412247 1412252) (|NewtonInterpolation| "bookvol10.4.pamphlet" 1409013 1409040 1409697 1409702) (|NonCommutativeOperatorDivision| "bookvol10.4.pamphlet" 1407129 1407169 1409003 1409008) (|NumericContinuedFraction| "bookvol10.4.pamphlet" 1406768 1406800 1407119 1407124) (|NumericComplexEigenPackage| "bookvol10.4.pamphlet" 1404922 1404960 1406758 1406763) (|NonAssociativeRing| "bookvol10.2.pamphlet" 1404504 1404528 1404912 1404917) (|NonAssociativeRing&| NIL 1404083 1404110 1404494 1404499) (|NonAssociativeRng| "bookvol10.2.pamphlet" 1403446 1403469 1404073 1404078) (|NonAssociativeRng&| NIL 1402806 1402832 1403436 1403441) (|NAGLinkSupportPackage| "bookvol10.4.pamphlet" 1401864 1401891 1402796 1402801) (|NagSpecialFunctionsPackage| "bookvol10.4.pamphlet" 1392282 1392314 1401854 1401859) (|NagLapack| "bookvol10.4.pamphlet" 1390775 1390790 1392272 1392277) (|NagLinearEquationSolvingPackage| "bookvol10.4.pamphlet" 1385210 1385247 1390765 1390770) (|NagEigenPackage| "bookvol10.4.pamphlet" 1379353 1379374 1385200 1385205) (|NagMatrixOperationsPackage| "bookvol10.4.pamphlet" 1375139 1375171 1379343 1379348) (|NagOptimisationPackage| "bookvol10.4.pamphlet" 1368913 1368941 1375129 1375134) (|NagFittingPackage| "bookvol10.4.pamphlet" 1359655 1359678 1368903 1368908) (|NagInterpolationPackage| "bookvol10.4.pamphlet" 1355725 1355754 1359645 1359650) (|NagPartialDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1353728 1353772 1355715 1355720) (|NagOrdinaryDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1346497 1346542 1353718 1353723) (|NagIntegrationPackage| "bookvol10.4.pamphlet" 1341022 1341049 1346487 1346492) (|NagSeriesSummationPackage| "bookvol10.4.pamphlet" 1336931 1336962 1341012 1341017) (|NagRootFindingPackage| "bookvol10.4.pamphlet" 1335458 1335485 1336921 1336926) (|NagPolynomialRootsPackage| "bookvol10.4.pamphlet" 1334765 1334796 1335448 1335453) (|NonAssociativeAlgebra| "bookvol10.2.pamphlet" 1334281 1334310 1334716 1334760) (|NonAssociativeAlgebra&| NIL 1333833 1333865 1334271 1334276) (|MyUnivariatePolynomial| "bookvol10.3.pamphlet" 1329979 1330013 1330322 1330599) (|MyExpression| "bookvol10.3.pamphlet" 1327529 1327553 1327611 1327978) (|MultivariateSquareFree| "bookvol10.4.pamphlet" 1324477 1324514 1327519 1327524) (|MultivariateFactorize| "bookvol10.4.pamphlet" 1323856 1323892 1324467 1324472) (|MultivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 1321788 1321839 1323686 1323851) (|MergeThing| "bookvol10.4.pamphlet" 1321439 1321457 1321778 1321783) (|MoreSystemCommands| "bookvol10.4.pamphlet" 1320881 1320905 1321429 1321434) (|Multiset| "bookvol10.3.pamphlet" 1318857 1318873 1320562 1320642) (|MultisetAggregate| "bookvol10.2.pamphlet" 1318646 1318671 1318784 1318852) (|MonoidRing| "bookvol10.3.pamphlet" 1315559 1315579 1318240 1318357) (|MonoidRingFunctions2| "bookvol10.4.pamphlet" 1315103 1315135 1315549 1315554) (|MRationalFactorize| "bookvol10.4.pamphlet" 1314648 1314681 1315093 1315098) (|MPolyCatRationalFunctionFactorizer| "bookvol10.4.pamphlet" 1312689 1312740 1314638 1314643) (|MultivariatePolynomial| "bookvol10.3.pamphlet" 1309137 1309172 1309499 1309733) (|MPolyCatPolyFactorizer| "bookvol10.4.pamphlet" 1308396 1308435 1309127 1309132) (|MPolyCatFunctions3| "bookvol10.4.pamphlet" 1308193 1308249 1308386 1308391) (|MPolyCatFunctions2| "bookvol10.4.pamphlet" 1307928 1307977 1308183 1308188) (|MonomialExtensionTools| "bookvol10.4.pamphlet" 1306283 1306316 1307918 1307923) (|Monoid| "bookvol10.2.pamphlet" 1305181 1305193 1306273 1306278) (|Monoid&| NIL 1304076 1304091 1305171 1305176) (|MonogenicAlgebra| "bookvol10.2.pamphlet" 1302709 1302736 1303855 1304071) (|MonogenicAlgebra&| NIL 1301420 1301450 1302569 1302574) (|MonadWithUnit| "bookvol10.2.pamphlet" 1299562 1299581 1301410 1301415) (|MonadWithUnit&| NIL 1297701 1297723 1299552 1299557) (|Monad| "bookvol10.2.pamphlet" 1296889 1296900 1297691 1297696) (|Monad&| NIL 1296074 1296088 1296879 1296884) (|MoebiusTransform| "bookvol10.3.pamphlet" 1294714 1294738 1296047 1296069) (|Module| "bookvol10.2.pamphlet" 1294406 1294420 1294665 1294709) (|Module&| NIL 1294134 1294151 1294396 1294401) (|ModularRing| "bookvol10.3.pamphlet" 1293429 1293485 1294107 1294129) (|ModuleOperator| "bookvol10.3.pamphlet" 1291939 1291963 1293153 1293270) (|ModuleMonomial| "bookvol10.3.pamphlet" 1291440 1291470 1291929 1291934) (|ModMonic| "bookvol10.3.pamphlet" 1287012 1287034 1287836 1288113) (|ModularField| "bookvol10.3.pamphlet" 1286289 1286346 1286842 1287007) (|MathMLFormat| "bookvol10.3.pamphlet" 1285084 1285102 1286279 1286284) (|MultipleMap| "bookvol10.4.pamphlet" 1284809 1284852 1285074 1285079) (|MonogenicLinearOperator| "bookvol10.2.pamphlet" 1283182 1283213 1284741 1284804) (|MultivariateLifting| "bookvol10.4.pamphlet" 1281781 1281815 1283172 1283177) (|MakeUnaryCompiledFunction| "bookvol10.4.pamphlet" 1281202 1281239 1281771 1281776) (|MakeRecord| "bookvol10.4.pamphlet" 1280786 1280807 1281192 1281197) (|MakeFunction| "bookvol10.4.pamphlet" 1280061 1280081 1280776 1280781) (|MakeFloatCompiledFunction| "bookvol10.4.pamphlet" 1278888 1278921 1280051 1280056) (|MakeCachableSet| "bookvol10.3.pamphlet" 1278653 1278676 1278878 1278883) (|MakeBinaryCompiledFunction| "bookvol10.4.pamphlet" 1278068 1278110 1278643 1278648) (|MachineInteger| "bookvol10.3.pamphlet" 1277416 1277436 1277891 1278063) (|ModularHermitianRowReduction| "bookvol10.4.pamphlet" 1276029 1276065 1277406 1277411) (|MachineFloat| "bookvol10.3.pamphlet" 1274387 1274405 1275839 1276024) (|MultFiniteFactorize| "bookvol10.4.pamphlet" 1273774 1273809 1274377 1274382) (|MeshCreationRoutinesForThreeDimensions| "bookvol10.4.pamphlet" 1271650 1271694 1273764 1273769) (|ModularDistinctDegreeFactorizer| "bookvol10.4.pamphlet" 1269874 1269913 1271640 1271645) (|MultiDictionary| "bookvol10.2.pamphlet" 1269129 1269152 1269829 1269869) (|MachineComplex| "bookvol10.3.pamphlet" 1263042 1263062 1263668 1264073) (|MatrixCommonDenominator| "bookvol10.4.pamphlet" 1262223 1262256 1263032 1263037) (|MultiVariableCalculusFunctions| "bookvol10.4.pamphlet" 1259459 1259509 1262213 1262218) (|StorageEfficientMatrixOperations| "bookvol10.4.pamphlet" 1256709 1256749 1259449 1259454) (|Matrix| "bookvol10.3.pamphlet" 1255464 1255478 1255950 1256002) (|MatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1252818 1252868 1255320 1255325) (|MatrixCategory| "bookvol10.2.pamphlet" 1238909 1238943 1252749 1252813) (|MatrixCategory&| NIL 1224823 1224860 1238666 1238671) (|MatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1224083 1224153 1224813 1224818) (|MappingPackage4| "bookvol10.4.pamphlet" 1222864 1222889 1224073 1224078) (|MappingPackage3| "bookvol10.4.pamphlet" 1221726 1221753 1222854 1222859) (|MappingPackage2| "bookvol10.4.pamphlet" 1221019 1221044 1221716 1221721) (|MappingPackage1| "bookvol10.4.pamphlet" 1219828 1219851 1221009 1221014) (|MappingPackageInternalHacks3| "bookvol10.4.pamphlet" 1219614 1219654 1219818 1219823) (|MappingPackageInternalHacks2| "bookvol10.4.pamphlet" 1219357 1219395 1219604 1219609) (|MappingPackageInternalHacks1| "bookvol10.4.pamphlet" 1218967 1219003 1219347 1219352) (|MatrixManipulation| "bookvol10.4.pamphlet" 1214623 1214663 1218957 1218962) (|Magma| "bookvol10.3.pamphlet" 1212904 1212924 1214613 1214618) (|ModularAlgebraicGcdOperations| "bookvol10.2.pamphlet" 1210733 1210775 1212894 1212899) (|ThreeDimensionalMatrix| "bookvol10.3.pamphlet" 1208657 1208687 1210293 1210298) (|LazyStreamAggregate| "bookvol10.2.pamphlet" 1204388 1204415 1208637 1208652) (|LazyStreamAggregate&| NIL 1200126 1200156 1204378 1204383) (|LyndonWord| "bookvol10.3.pamphlet" 1197356 1197381 1200116 1200121) (|LieSquareMatrix| "bookvol10.3.pamphlet" 1195269 1195296 1195664 1195751) (|LinearSystemPolynomialPackage| "bookvol10.4.pamphlet" 1194785 1194829 1195259 1195264) (|LinearSystemMatrixPackage| "bookvol10.4.pamphlet" 1193568 1193615 1194775 1194780) (|LinearSystemMatrixPackage1| "bookvol10.4.pamphlet" 1191310 1191344 1193558 1193563) (|ListAggregate| "bookvol10.2.pamphlet" 1190931 1190952 1191241 1191305) (|ListAggregate&| NIL 1190608 1190632 1190921 1190926) (|LiePolynomial| "bookvol10.3.pamphlet" 1189712 1189742 1190431 1190517) (|LinearPolynomialEquationByFractions| "bookvol10.4.pamphlet" 1188940 1188983 1189702 1189707) (|LocalParametrizationOfSimplePointPackage| "bookvol10.4.pamphlet" 1187378 1187465 1188930 1188935) (|LeftOreRing| "bookvol10.2.pamphlet" 1186823 1186840 1187287 1187373) (|LinesOpPack| "bookvol10.4.pamphlet" 1185487 1185506 1186813 1186818) (|Localize| "bookvol10.3.pamphlet" 1184844 1184864 1185387 1185431) (|Logic| "bookvol10.2.pamphlet" 1184473 1184484 1184834 1184839) (|Logic&| NIL 1184099 1184113 1184463 1184468) (|LinearOrdinaryDifferentialOperatorsOps| "bookvol10.4.pamphlet" 1182993 1183041 1184089 1184094) (|LinearOrdinaryDifferentialOperator| "bookvol10.3.pamphlet" 1182236 1182285 1182578 1182641) (|LinearOrdinaryDifferentialOperatorFactorizer| "bookvol10.4.pamphlet" 1181223 1181278 1182170 1182175) (|LinearOrdinaryDifferentialOperatorCategory| "bookvol10.2.pamphlet" 1179808 1179858 1181155 1181218) (|LinearOrdinaryDifferentialOperatorCategory&| NIL 1178411 1178464 1179761 1179766) (|LinearOrdinaryDifferentialOperator2| "bookvol10.3.pamphlet" 1177543 1177588 1177996 1178059) (|LinearOrdinaryDifferentialOperator1| "bookvol10.3.pamphlet" 1176802 1176845 1177128 1177191) (|ElementaryFunctionLODESolver| "bookvol10.4.pamphlet" 1175506 1175546 1176792 1176797) (|LocalPowerSeriesCategory| "bookvol10.2.pamphlet" 1173835 1173867 1175336 1175501) (|LinearAggregate| "bookvol10.2.pamphlet" 1170298 1170321 1173815 1173830) (|LinearAggregate&| NIL 1166721 1166747 1170241 1170246) (|ListMonoidOps| "bookvol10.3.pamphlet" 1163322 1163350 1166711 1166716) (|LeftModule| "bookvol10.2.pamphlet" 1162829 1162847 1163312 1163317) (|ListMultiDictionary| "bookvol10.3.pamphlet" 1161869 1161896 1162538 1162590) (|LinearSystemFromPowerSeriesPackage| "bookvol10.4.pamphlet" 1161288 1161334 1161859 1161864) (|List| "bookvol10.3.pamphlet" 1159119 1159131 1160528 1160580) (|ListFunctions3| "bookvol10.4.pamphlet" 1158422 1158448 1159109 1159114) (|ListFunctions2| "bookvol10.4.pamphlet" 1157090 1157114 1158412 1158417) (|ListToMap| "bookvol10.4.pamphlet" 1153946 1153965 1157080 1157085) (|LinearlyExplicitRingOver| "bookvol10.2.pamphlet" 1153295 1153327 1153919 1153941) (|LinearDependence| "bookvol10.4.pamphlet" 1152148 1152174 1153201 1153206) (|RationalFunctionLimitPackage| "bookvol10.4.pamphlet" 1150080 1150116 1152138 1152143) (|PowerSeriesLimitPackage| "bookvol10.4.pamphlet" 1148934 1148968 1150070 1150075) (|AssociatedLieAlgebra| "bookvol10.3.pamphlet" 1146639 1146669 1147917 1148161) (|LieAlgebra| "bookvol10.2.pamphlet" 1146199 1146217 1146548 1146634) (|LieAlgebra&| NIL 1145800 1145821 1146152 1146157) (|Library| "bookvol10.3.pamphlet" 1144143 1144156 1144854 1144882) (|LinGroebnerPackage| "bookvol10.4.pamphlet" 1141509 1141540 1144133 1144138) (|LiouvillianFunction| "bookvol10.4.pamphlet" 1140275 1140304 1141499 1141504) (|LiouvillianFunctionCategory| "bookvol10.2.pamphlet" 1139103 1139136 1140265 1140270) (|LexTriangularPackage| "bookvol10.4.pamphlet" 1134917 1134950 1139093 1139098) (|LieExponentials| "bookvol10.3.pamphlet" 1133132 1133172 1134890 1134912) (|LeadingCoefDetermination| "bookvol10.4.pamphlet" 1131540 1131579 1133122 1133127) (|LazardSetSolvingPackage| "bookvol10.4.pamphlet" 1130629 1130672 1131530 1131535) (|LaurentPolynomial| "bookvol10.3.pamphlet" 1129235 1129263 1130067 1130179) (|LaplaceTransform| "bookvol10.4.pamphlet" 1128770 1128796 1129225 1129230) (|LocalAlgebra| "bookvol10.3.pamphlet" 1128137 1128161 1128659 1128722) (|LeftAlgebra| "bookvol10.2.pamphlet" 1127897 1127916 1128110 1128132) (|LeftAlgebra&| NIL 1127671 1127693 1127887 1127892) (|Kovacic| "bookvol10.4.pamphlet" 1126351 1126369 1127661 1127666) (|ConvertibleTo| "bookvol10.2.pamphlet" 1126064 1126085 1126341 1126346) (|CoercibleTo| "bookvol10.2.pamphlet" 1125792 1125811 1126054 1126059) (|Kernel| "bookvol10.3.pamphlet" 1124291 1124305 1125518 1125523) (|KernelFunctions2| "bookvol10.4.pamphlet" 1123980 1124006 1124281 1124286) (|KeyedDictionary| "bookvol10.2.pamphlet" 1123093 1123128 1123935 1123975) (|KeyedDictionary&| NIL 1122238 1122276 1123083 1123088) (|KeyedAccessFile| "bookvol10.3.pamphlet" 1120710 1120739 1121432 1121484) (|AssociatedJordanAlgebra| "bookvol10.3.pamphlet" 1118391 1118424 1119693 1119937) (|IndexedAggregate| "bookvol10.2.pamphlet" 1116621 1116659 1118371 1118386) (|IndexedAggregate&| NIL 1114674 1114715 1116427 1116432) (|IndexedVector| "bookvol10.3.pamphlet" 1113491 1113517 1113642 1113694) (|InfiniteTuple| "bookvol10.3.pamphlet" 1112600 1112621 1113481 1113486) (|InnerTrigonometricManipulations| "bookvol10.4.pamphlet" 1111338 1111382 1112590 1112595) (|InfiniteTupleFunctions3| "bookvol10.4.pamphlet" 1110823 1110858 1111328 1111333) (|InfiniteTupleFunctions2| "bookvol10.4.pamphlet" 1110546 1110579 1110813 1110818) (|InnerTaylorSeries| "bookvol10.3.pamphlet" 1108236 1108266 1110279 1110495) (|InnerSparseUnivariatePowerSeries| "bookvol10.3.pamphlet" 1100363 1100408 1106979 1107144) (|InnerPolySum| "bookvol10.4.pamphlet" 1099820 1099846 1100353 1100358) (|IndexedString| "bookvol10.3.pamphlet" 1098817 1098841 1098994 1099046) (|InternalRationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 1097767 1097831 1098807 1098812) (|IrrRepSymNatPackage| "bookvol10.4.pamphlet" 1095818 1095843 1097757 1097762) (|IntegrationResultRFToFunction| "bookvol10.4.pamphlet" 1094322 1094359 1095758 1095763) (|IrredPolyOverFiniteField| "bookvol10.4.pamphlet" 1093901 1093934 1094312 1094317) (|IntegerRoots| "bookvol10.4.pamphlet" 1092207 1092227 1093891 1093896) (|IntegrationResult| "bookvol10.3.pamphlet" 1089865 1089890 1092008 1092052) (|IntegrationResultFunctions2| "bookvol10.4.pamphlet" 1088988 1089025 1089855 1089860) (|IntegrationResultToFunction| "bookvol10.4.pamphlet" 1088144 1088181 1088978 1088983) (|InternalPrintPackage| "bookvol10.4.pamphlet" 1087902 1087928 1088134 1088139) (|InnerPrimeField| "bookvol10.3.pamphlet" 1087479 1087504 1087596 1087761) (|InnerPAdicInteger| "bookvol10.3.pamphlet" 1087192 1087233 1087362 1087474) (|InverseLaplaceTransform| "bookvol10.4.pamphlet" 1086772 1086805 1087182 1087187) (|TranscendentalIntegration| "bookvol10.4.pamphlet" 1079775 1079811 1086762 1086767) (|IntegrationTools| "bookvol10.4.pamphlet" 1077478 1077504 1079197 1079202) (|IntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 1076764 1076806 1077468 1077473) (|Interval| "bookvol10.3.pamphlet" 1076483 1076499 1076627 1076759) (|RationalFunctionIntegration| "bookvol10.4.pamphlet" 1074826 1074861 1076473 1076478) (|IntegerRetractions| "bookvol10.4.pamphlet" 1074303 1074329 1074816 1074821) (|RationalIntegration| "bookvol10.4.pamphlet" 1072959 1072989 1074293 1074298) (|PatternMatchIntegration| "bookvol10.4.pamphlet" 1071130 1071163 1072477 1072482) (|PureAlgebraicIntegration| "bookvol10.4.pamphlet" 1068729 1068765 1071022 1071027) (|AnnaNumericalIntegrationPackage| "bookvol10.4.pamphlet" 1059225 1059262 1068719 1068724) (|Integer| "bookvol10.3.pamphlet" 1058471 1058484 1058969 1059220) (|TranscendentalHermiteIntegration| "bookvol10.4.pamphlet" 1057711 1057754 1058461 1058466) (|AlgebraicHermiteIntegration| "bookvol10.4.pamphlet" 1057335 1057380 1057701 1057706) (|IntegerNumberTheoryFunctions| "bookvol10.4.pamphlet" 1053688 1053722 1057325 1057330) (|GenusZeroIntegration| "bookvol10.4.pamphlet" 1046792 1046824 1053580 1053585) (|IntegrationFunctionsTable| "bookvol10.3.pamphlet" 1040767 1040798 1046782 1046787) (|InterpolateFormsPackage| "bookvol10.4.pamphlet" 1039898 1039976 1040757 1040762) (|IntegerFactorizationPackage| "bookvol10.4.pamphlet" 1038959 1038994 1039888 1039893) (|InterfaceGroebnerPackage| "bookvol10.4.pamphlet" 1038805 1038851 1038949 1038954) (|ElementaryIntegration| "bookvol10.4.pamphlet" 1037148 1037179 1038795 1038800) (|IntegralDomain| "bookvol10.2.pamphlet" 1035745 1035765 1037031 1037143) (|IntegralDomain&| NIL 1034446 1034469 1035735 1035740) (|IntersectionDivisorPackage| "bookvol10.4.pamphlet" 1033568 1033679 1034436 1034441) (|IntervalCategory| "bookvol10.2.pamphlet" 1032124 1032148 1033431 1033563) (|IntegerBits| "bookvol10.4.pamphlet" 1031646 1031663 1032114 1032119) (|AlgebraicIntegrate| "bookvol10.4.pamphlet" 1030792 1030831 1031636 1031641) (|AlgebraicIntegration| "bookvol10.4.pamphlet" 1030254 1030284 1030782 1030787) (|InnerTable| "bookvol10.3.pamphlet" 1029170 1029209 1029341 1029393) (|IntegerNumberSystem| "bookvol10.2.pamphlet" 1026408 1026433 1028993 1029165) (|IntegerNumberSystem&| NIL 1023810 1023838 1026398 1026403) (|InnerPolySign| "bookvol10.4.pamphlet" 1023247 1023271 1023800 1023805) (|InfiniteProductPrimeField| "bookvol10.4.pamphlet" 1022320 1022362 1023237 1023242) (|InfiniteProductFiniteField| "bookvol10.4.pamphlet" 1021384 1021432 1022310 1022315) (|InnerMultFact| "bookvol10.4.pamphlet" 1020379 1020407 1021374 1021379) (|InnerModularGcd| "bookvol10.4.pamphlet" 1019523 1019566 1020369 1020374) (|InnerNumericFloatSolvePackage| "bookvol10.4.pamphlet" 1017845 1017890 1019513 1019518) (|InfiniteProductCharacteristicZero| "bookvol10.4.pamphlet" 1016894 1016944 1017835 1017840) (|InputForm| "bookvol10.3.pamphlet" 1013808 1013823 1016884 1016889) (|InputFormFunctions1| "bookvol10.4.pamphlet" 1013436 1013463 1013798 1013803) (|Infinity| "bookvol10.4.pamphlet" 1013018 1013032 1013426 1013431) (|InfinitlyClosePoint| "bookvol10.3.pamphlet" 1012418 1012498 1013008 1013013) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1011804 1011883 1012408 1012413) (|InfinitlyClosePointCategory| "bookvol10.2.pamphlet" 1010432 1010520 1011794 1011799) (|InnerNumericEigenPackage| "bookvol10.4.pamphlet" 1008958 1008998 1010422 1010427) (|IndexedExponents| "bookvol10.3.pamphlet" 1008850 1008881 1008948 1008953) (|IncrementingMaps| "bookvol10.4.pamphlet" 1008253 1008277 1008840 1008845) (|InnerNormalBasisFieldFunctions| "bookvol10.4.pamphlet" 1004119 1004158 1008243 1008248) (|IndexedMatrix| "bookvol10.3.pamphlet" 1003144 1003181 1003667 1003719) (|InnerMatrixQuotientFieldFunctions| "bookvol10.4.pamphlet" 1002192 1002267 1003087 1003092) (|InnerMatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1000761 1000816 1002135 1002140) (|IndexedList| "bookvol10.3.pamphlet" 999515 999539 1000043 1000095) (|InnerIndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 999164 999231 999298 999350) (|InnerFiniteField| "bookvol10.3.pamphlet" 998384 998414 998649 998814) (|IndexedFlexibleArray| "bookvol10.3.pamphlet" 995475 995508 997666 997718) (|InnerFreeAbelianMonoid| "bookvol10.3.pamphlet" 995275 995312 995413 995418) (|InnerEvalable| "bookvol10.2.pamphlet" 994661 994684 995265 995270) (|InnerEvalable&| NIL 994044 994070 994651 994656) (|IndexedDirectProductObject| "bookvol10.3.pamphlet" 993833 993869 994034 994039) (|IndexedDirectProductOrderedAbelianMonoidSup| "bookvol10.3.pamphlet" 993565 993618 993823 993828) (|IndexedDirectProductOrderedAbelianMonoid| "bookvol10.3.pamphlet" 993262 993312 993555 993560) (|IndexedDirectProductCategory| "bookvol10.2.pamphlet" 992174 992212 993252 993257) (|IndexedDirectProductAbelianMonoid| "bookvol10.3.pamphlet" 991903 991946 992164 992169) (|IndexedDirectProductAbelianGroup| "bookvol10.3.pamphlet" 991635 991677 991893 991898) (|IdealDecompositionPackage| "bookvol10.4.pamphlet" 988884 988925 991625 991630) (|PolynomialIdeals| "bookvol10.3.pamphlet" 983940 983989 988805 988810) (|InfClsPt| "bookvol10.3.pamphlet" 983391 983420 983930 983935) (|InnerCommonDenominator| "bookvol10.4.pamphlet" 982604 982640 983381 983386) (|IndexCard| "bookvol10.3.pamphlet" 981880 981895 982594 982599) (|IntegralBasisPolynomialTools| "bookvol10.4.pamphlet" 980497 980540 981870 981875) (|IndexedBits| "bookvol10.3.pamphlet" 979654 979676 980075 980127) (|IntegralBasisTools| "bookvol10.4.pamphlet" 976569 976600 979644 979649) (|ChineseRemainderToolsForIntegralBases| "bookvol10.4.pamphlet" 975444 975494 976559 976564) (|IndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 975104 975154 975227 975279) (|IndexedOneDimensionalArray| "bookvol10.3.pamphlet" 974269 974308 974386 974438) (|InnerAlgebraicNumber| "bookvol10.3.pamphlet" 972386 972412 973997 974162) (|InnerAlgFactor| "bookvol10.4.pamphlet" 971935 971976 972376 972381) (|HyperbolicFunctionCategory| "bookvol10.2.pamphlet" 971289 971321 971925 971930) (|HyperbolicFunctionCategory&| NIL 970640 970675 971279 971284) (|HTMLFormat| "bookvol10.3.pamphlet" 969484 969500 970630 970635) (|HomogeneousAggregate| "bookvol10.2.pamphlet" 967260 967288 969464 969479) (|HomogeneousAggregate&| NIL 964837 964868 967044 967049) (|HexadecimalExpansion| "bookvol10.3.pamphlet" 961975 962001 962591 962756) (|HeuGcd| "bookvol10.4.pamphlet" 960923 960938 961965 961970) (|HyperellipticFiniteDivisor| "bookvol10.3.pamphlet" 960535 960579 960913 960918) (|Heap| "bookvol10.3.pamphlet" 956623 956635 960318 960370) (|HomogeneousDirectProduct| "bookvol10.3.pamphlet" 946405 946443 946787 946991) (|HomogeneousDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 942574 942631 943215 943449) (|HallBasis| "bookvol10.4.pamphlet" 941163 941178 942564 942569) (|HashTable| "bookvol10.3.pamphlet" 940034 940072 940250 940302) (|Pi| "bookvol10.3.pamphlet" 939573 939581 939864 940029) (|GuessUnivariatePolynomial| "bookvol10.4.pamphlet" 925647 925682 939563 939568) (|GuessPolynomial| "bookvol10.4.pamphlet" 925321 925342 925434 925439) (|Guess| "bookvol10.4.pamphlet" 909586 909628 925165 925170) (|GuessInteger| "bookvol10.4.pamphlet" 909295 909313 909403 909408) (|GuessFinite| "bookvol10.4.pamphlet" 909098 909117 909216 909221) (|GuessFiniteFunctions| "bookvol10.4.pamphlet" 908961 908989 909088 909093) (|GuessAlgebraicNumber| "bookvol10.4.pamphlet" 908749 908775 908867 908872) (|GeneralTriangularSet| "bookvol10.3.pamphlet" 907866 907900 908370 908422) (|GeneralSparseTable| "bookvol10.3.pamphlet" 906789 906840 906977 907005) (|GeneralUnivariatePowerSeries| "bookvol10.3.pamphlet" 903466 903519 904451 904703) (|Group| "bookvol10.2.pamphlet" 902434 902445 903439 903461) (|Group&| NIL 901416 901430 902424 902429) (|GroebnerSolve| "bookvol10.4.pamphlet" 900000 900028 901406 901411) (|GradedModule| "bookvol10.2.pamphlet" 898630 898652 899990 899995) (|GradedModule&| NIL 897257 897282 898620 898625) (|GraphImage| "bookvol10.3.pamphlet" 890288 890304 897247 897252) (|GraphicsDefaults| "bookvol10.4.pamphlet" 888669 888691 890278 890283) (|GrayCode| "bookvol10.4.pamphlet" 887204 887218 888659 888664) (|GradedAlgebra| "bookvol10.2.pamphlet" 886396 886419 887194 887199) (|GradedAlgebra&| NIL 885585 885611 886386 886391) (|GeneralPolynomialSet| "bookvol10.3.pamphlet" 885016 885057 885246 885298) (|GeneralPackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 879749 879873 884968 884973) (|GosperSummationMethod| "bookvol10.4.pamphlet" 878999 879036 879739 879744) (|GuessOption| "bookvol10.3.pamphlet" 873283 873300 878989 878994) (|GuessOptionFunctions0| "bookvol10.3.pamphlet" 869679 869706 873273 873278) (|GeneralModulePolynomial| "bookvol10.3.pamphlet" 868758 868806 869630 869674) (|GeneralHenselPackage| "bookvol10.4.pamphlet" 867912 867944 868748 868753) (|GenerateUnivariatePowerSeries| "bookvol10.4.pamphlet" 863698 863738 867902 867907) (|GenUFactorize| "bookvol10.4.pamphlet" 863291 863312 863688 863693) (|GeneralPolynomialGcdPackage| "bookvol10.4.pamphlet" 862916 862958 863281 863286) (|GeneralizedMultivariateFactorize| "bookvol10.4.pamphlet" 862353 862402 862906 862911) (|GenExEuclid| "bookvol10.4.pamphlet" 860826 860848 862343 862348) (|GnuDraw| "bookvol10.4.pamphlet" 859286 859299 860816 860821) (|GeneralDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 855305 855360 856096 856330) (|GenericNonAssociativeAlgebra| "bookvol10.3.pamphlet" 849145 849198 854994 855111) (|GcdDomain| "bookvol10.2.pamphlet" 848049 848064 849028 849140) (|GcdDomain&| NIL 847057 847075 848039 848044) (|GroebnerPackage| "bookvol10.4.pamphlet" 842588 842639 847010 847015) (|GroebnerInternalPackage| "bookvol10.4.pamphlet" 838665 838724 842578 842583) (|GroebnerFactorizationPackage| "bookvol10.4.pamphlet" 834104 834168 838655 838660) (|EuclideanGroebnerBasisPackage| "bookvol10.4.pamphlet" 830730 830795 834094 834099) (|GaussianFactorizationPackage| "bookvol10.4.pamphlet" 830027 830061 830720 830725) (|GaloisGroupUtilities| "bookvol10.4.pamphlet" 828318 828346 829966 829971) (|GaloisGroupPolynomialUtilities| "bookvol10.4.pamphlet" 826757 826798 828308 828313) (|GaloisGroupFactorizationUtilities| "bookvol10.4.pamphlet" 824935 824981 826747 826752) (|GaloisGroupFactorizer| "bookvol10.4.pamphlet" 815354 815384 824925 824930) (|FortranVectorFunctionCategory| "bookvol10.2.pamphlet" 812270 812305 815334 815349) (|FortranVectorCategory| "bookvol10.2.pamphlet" 811295 811322 812250 812265) (|FunctionCalled| "bookvol10.3.pamphlet" 811132 811156 811285 811290) (|FortranType| "bookvol10.3.pamphlet" 809355 809372 811122 811127) (|FortranTemplate| "bookvol10.3.pamphlet" 808513 808534 809345 809350) (|FunctionSpaceUnivariatePolynomialFactor| "bookvol10.4.pamphlet" 807502 807554 808425 808430) (|FortranScalarType| "bookvol10.3.pamphlet" 805631 805654 807492 807497) (|FunctionSpaceReduce| "bookvol10.4.pamphlet" 805042 805071 805621 805626) (|FunctionSpacePrimitiveElement| "bookvol10.4.pamphlet" 803856 803895 804976 804981) (|FunctionalSpecialFunction| "bookvol10.4.pamphlet" 801124 801159 803846 803851) (|FunctionSpace| "bookvol10.2.pamphlet" 794876 794897 800740 801119) (|FunctionSpace&| NIL 788435 788459 794302 794307) (|FunctionSpaceIntegration| "bookvol10.4.pamphlet" 788033 788067 788425 788430) (|FourierSeries| "bookvol10.3.pamphlet" 787282 787305 787785 787940) (|FunctionSpaceComplexIntegration| "bookvol10.4.pamphlet" 786521 786562 787272 787277) (|FiniteSetAggregate| "bookvol10.2.pamphlet" 785641 785667 786424 786516) (|FiniteSetAggregate&| NIL 784763 784792 785549 785554) (|FiniteSetAggregateFunctions2| "bookvol10.4.pamphlet" 783480 783522 784753 784758) (|FunctionSpaceToUnivariatePowerSeries| "bookvol10.4.pamphlet" 777937 778005 783470 783475) (|FunctionSpaceFunctions2| "bookvol10.4.pamphlet" 777528 777565 777927 777932) (|FunctionSpaceToExponentialExpansion| "bookvol10.4.pamphlet" 776658 776714 777518 777523) (|FactoredFunctionUtilities| "bookvol10.4.pamphlet" 775635 775668 776648 776653) (|Factored| "bookvol10.3.pamphlet" 767339 767355 774393 774505) (|FramedNonAssociativeAlgebra| "bookvol10.2.pamphlet" 762461 762496 767245 767334) (|FramedNonAssociativeAlgebra&| NIL 757627 757665 762414 762419) (|FramedNonAssociativeAlgebraFunctions2| "bookvol10.4.pamphlet" 757040 757093 757617 757622) (|FramedModule| "bookvol10.3.pamphlet" 756434 756470 756961 756966) (|FractionalIdeal| "bookvol10.3.pamphlet" 755651 755681 756407 756429) (|FractionalIdealFunctions2| "bookvol10.4.pamphlet" 755366 755421 755641 755646) (|FullyRetractableTo| "bookvol10.2.pamphlet" 755024 755050 755356 755361) (|FullyRetractableTo&| NIL 754511 754540 754846 754851) (|FramedAlgebra| "bookvol10.2.pamphlet" 752882 752906 754443 754506) (|FramedAlgebra&| NIL 751308 751335 752872 752877) (|Fraction| "bookvol10.3.pamphlet" 747560 747576 747951 748245) (|FractionFunctions2| "bookvol10.4.pamphlet" 747157 747185 747550 747555) (|FactoredFunctions2| "bookvol10.4.pamphlet" 746499 746527 747147 747152) (|FloatingPointSystem| "bookvol10.2.pamphlet" 743351 743376 746309 746494) (|FloatingPointSystem&| NIL 740281 740309 743242 743247) (|FieldOfPrimeCharacteristic| "bookvol10.2.pamphlet" 739239 739271 740111 740276) (|FieldOfPrimeCharacteristic&| NIL 738354 738389 739229 739234) (|FullyPatternMatchable| "bookvol10.2.pamphlet" 738087 738116 738334 738349) (|FullPartialFractionExpansion| "bookvol10.3.pamphlet" 736815 736854 738077 738082) (|FortranProgram| "bookvol10.3.pamphlet" 735287 735349 736805 736810) (|FortranPackage| "bookvol10.4.pamphlet" 734224 734244 735277 735282) (|FortranFunctionCategory| "bookvol10.2.pamphlet" 731293 731322 734204 734219) (|FortranProgramCategory| "bookvol10.2.pamphlet" 730976 731004 731273 731288) (|ScriptFormulaFormat| "bookvol10.3.pamphlet" 728353 728378 730966 730971) (|ScriptFormulaFormat1| "bookvol10.4.pamphlet" 727814 727842 728343 728348) (|FindOrderFinite| "bookvol10.4.pamphlet" 727586 727619 727804 727809) (|FortranOutputStackPackage| "bookvol10.4.pamphlet" 726764 726795 727576 727581) (|FreeNilpotentLie| "bookvol10.3.pamphlet" 726155 726191 726715 726759) (|FileNameCategory| "bookvol10.2.pamphlet" 724485 724507 726145 726150) (|FileName| "bookvol10.3.pamphlet" 724371 724385 724475 724480) (|FortranMachineTypeCategory| "bookvol10.2.pamphlet" 724102 724134 724254 724366) (|FreeMonoid| "bookvol10.3.pamphlet" 720856 720874 724050 724055) (|FreeModule| "bookvol10.3.pamphlet" 720521 720541 720760 720804) (|FortranMatrixFunctionCategory| "bookvol10.2.pamphlet" 717444 717479 720501 720516) (|FortranMatrixCategory| "bookvol10.2.pamphlet" 716469 716496 717424 717439) (|FreeModuleCat| "bookvol10.2.pamphlet" 714135 714164 716420 716464) (|FreeModule1| "bookvol10.3.pamphlet" 713558 713579 714039 714083) (|FloatingRealPackage| "bookvol10.4.pamphlet" 711349 711380 713548 713553) (|Float| "bookvol10.3.pamphlet" 708142 708153 711106 711344) (|FloatingComplexPackage| "bookvol10.4.pamphlet" 705588 705622 708132 708137) (|FullyLinearlyExplicitRingOver| "bookvol10.2.pamphlet" 705256 705293 705561 705583) (|FullyLinearlyExplicitRingOver&| NIL 704857 704897 705165 705170) (|FiniteLinearAggregateSort| "bookvol10.4.pamphlet" 704090 704125 704847 704852) (|FreeLieAlgebra| "bookvol10.2.pamphlet" 702128 702159 703999 704085) (|FiniteLinearAggregate| "bookvol10.2.pamphlet" 699303 699332 702084 702123) (|FiniteLinearAggregate&| NIL 696373 696405 699157 699162) (|FiniteLinearAggregateFunctions2| "bookvol10.4.pamphlet" 695065 695110 696363 696368) (|FiniteRankAlgebra| "bookvol10.2.pamphlet" 693147 693175 694997 695060) (|FiniteRankAlgebra&| NIL 691140 691171 692993 692998) (|Finite| "bookvol10.2.pamphlet" 690131 690143 691130 691135) (|Finite&| NIL 689119 689134 690121 690126) (|FiniteRankNonAssociativeAlgebra| "bookvol10.2.pamphlet" 678403 678442 689025 689114) (|FiniteRankNonAssociativeAlgebra&| NIL 667722 667764 678347 678352) (|File| "bookvol10.3.pamphlet" 667307 667319 667712 667717) (|FileCategory| "bookvol10.2.pamphlet" 665744 665771 667297 667302) (|Field| "bookvol10.2.pamphlet" 665007 665018 665574 665739) (|Field&| NIL 664427 664441 664997 665002) (|FreeGroup| "bookvol10.3.pamphlet" 662954 662971 664400 664422) (|FGLMIfCanPackage| "bookvol10.4.pamphlet" 661847 661876 662944 662949) (|FiniteFieldExtension| "bookvol10.3.pamphlet" 661127 661160 661432 661597) (|FiniteFieldSquareFreeDecomposition| "bookvol10.4.pamphlet" 660968 661017 661117 661122) (|FiniteFieldSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 660437 660492 660958 660963) (|FiniteFieldPolynomialPackage| "bookvol10.4.pamphlet" 651810 651847 660427 660432) (|FiniteFieldPolynomialPackage2| "bookvol10.4.pamphlet" 650869 650909 651800 651805) (|FiniteFieldExtensionByPolynomial| "bookvol10.3.pamphlet" 650204 650254 650454 650619) (|FiniteField| "bookvol10.3.pamphlet" 649492 649517 649714 649879) (|FiniteFieldNormalBasisExtension| "bookvol10.3.pamphlet" 647882 647931 649077 649242) (|FiniteFieldNormalBasisExtensionByPolynomial| "bookvol10.3.pamphlet" 646246 646304 647467 647632) (|FiniteFieldNormalBasis| "bookvol10.3.pamphlet" 644596 644637 645756 645921) (|FunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 641946 641985 644586 644591) (|FiniteFieldCategory| "bookvol10.2.pamphlet" 639455 639480 641776 641941) (|FiniteFieldCategory&| NIL 637121 637149 639445 639450) (|FiniteFieldHomomorphisms| "bookvol10.4.pamphlet" 635892 635931 637111 637116) (|FiniteFieldFunctions| "bookvol10.4.pamphlet" 633349 633378 635882 635887) (|FractionFreeFastGaussian| "bookvol10.4.pamphlet" 627453 627487 633339 633344) (|FractionFreeFastGaussianFractions| "bookvol10.4.pamphlet" 626101 626147 627443 627448) (|FiniteFieldFactorizationWithSizeParseBySideEffect| "bookvol10.4.pamphlet" 625473 625537 626091 626096) (|FiniteFieldFactorization| "bookvol10.4.pamphlet" 625372 625411 625463 625468) (|FiniteFieldCyclicGroupExtension| "bookvol10.3.pamphlet" 624093 624142 624957 625122) (|FiniteFieldCyclicGroupExtensionByPolynomial| "bookvol10.3.pamphlet" 622836 622897 623678 623843) (|FiniteFieldCyclicGroup| "bookvol10.3.pamphlet" 621472 621513 622346 622511) (|FunctionFieldCategory| "bookvol10.2.pamphlet" 610163 610200 621212 621467) (|FunctionFieldCategory&| NIL 599024 599064 610076 610081) (|FunctionFieldCategoryFunctions2| "bookvol10.4.pamphlet" 598734 598803 599014 599019) (|FortranExpression| "bookvol10.3.pamphlet" 591327 591388 598422 598485) (|FullyEvalableOver| "bookvol10.2.pamphlet" 591022 591047 591317 591322) (|FullyEvalableOver&| NIL 590476 590504 590774 590779) (|FiniteDivisor| "bookvol10.3.pamphlet" 589920 589951 590466 590471) (|FiniteDivisorCategory| "bookvol10.2.pamphlet" 587917 587956 589910 589915) (|FiniteDivisorCategory&| NIL 585911 585953 587907 587912) (|FiniteDivisorFunctions2| "bookvol10.4.pamphlet" 585636 585697 585901 585906) (|FortranCodePackage1| "bookvol10.4.pamphlet" 584180 584205 585626 585631) (|FourierComponent| "bookvol10.3.pamphlet" 583697 583721 584170 584175) (|FortranCode| "bookvol10.3.pamphlet" 573653 573670 583687 583692) (|FiniteAlgebraicExtensionField| "bookvol10.2.pamphlet" 566835 566872 573483 573648) (|FiniteAlgebraicExtensionField&| NIL 560136 560176 566787 566792) (|FlexibleArray| "bookvol10.3.pamphlet" 558429 558450 559418 559470) (|FiniteAbelianMonoidRing| "bookvol10.2.pamphlet" 556482 556515 558259 558424) (|FiniteAbelianMonoidRing&| NIL 554554 554590 556334 556339) (|FiniteAbelianMonoidRingFunctions2| "bookvol10.4.pamphlet" 554097 554150 554544 554549) (|FreeAbelianMonoid| "bookvol10.3.pamphlet" 553705 553730 554017 554022) (|FreeAbelianMonoidCategory| "bookvol10.2.pamphlet" 551865 551900 553695 553700) (|FreeAbelianGroup| "bookvol10.3.pamphlet" 551417 551441 551713 551757) (|FactoringUtilities| "bookvol10.4.pamphlet" 549613 549646 551407 551412) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| "bookvol10.4.pamphlet" 549442 549505 549603 549608) (|FactoredFunctions| "bookvol10.4.pamphlet" 548621 548646 549432 549437) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.4.pamphlet" 548442 548513 548611 548616) (|ExponentialOfUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 544775 544832 546104 546356) (|ExpressionTubePlot| "bookvol10.4.pamphlet" 542227 542251 544765 544770) (|ExpressionSolve| "bookvol10.4.pamphlet" 542120 542158 542217 542222) (|ExpressionSpaceODESolver| "bookvol10.4.pamphlet" 538846 538880 542110 542115) (|Expression| "bookvol10.3.pamphlet" 532927 532945 533657 534280) (|ExpressionToUnivariatePowerSeries| "bookvol10.4.pamphlet" 528986 529030 532917 532922) (|ExpressionFunctions2| "bookvol10.4.pamphlet" 528738 528768 528976 528981) (|ExponentialExpansion| "bookvol10.3.pamphlet" 523670 523713 524326 524491) (|Export3D| "bookvol10.4.pamphlet" 523517 523531 523660 523665) (|Exit| "bookvol10.3.pamphlet" 523186 523196 523507 523512) (|EvaluateCycleIndicators| "bookvol10.4.pamphlet" 522663 522694 523176 523181) (|Evalable| "bookvol10.2.pamphlet" 522221 522237 522653 522658) (|Evalable&| NIL 521776 521795 522211 522216) (|EuclideanDomain| "bookvol10.2.pamphlet" 519292 519313 521659 521771) (|EuclideanDomain&| NIL 516912 516936 519282 519287) (|ExpertSystemToolsPackage| "bookvol10.4.pamphlet" 508748 508778 516902 516907) (|ExpertSystemToolsPackage2| "bookvol10.4.pamphlet" 508320 508357 508738 508743) (|ExpertSystemToolsPackage1| "bookvol10.4.pamphlet" 507982 508016 508310 508315) (|ExpressionSpace| "bookvol10.2.pamphlet" 500916 500937 507972 507977) (|ExpressionSpace&| NIL 493739 493763 500798 500803) (|ExpertSystemContinuityPackage| "bookvol10.4.pamphlet" 490521 490556 493729 493734) (|ExpertSystemContinuityPackage1| "bookvol10.4.pamphlet" 490234 490274 490511 490516) (|ExpressionSpaceFunctions2| "bookvol10.4.pamphlet" 489722 489757 490224 490229) (|ExpressionSpaceFunctions1| "bookvol10.4.pamphlet" 489261 489296 489712 489717) (|ErrorFunctions| "bookvol10.4.pamphlet" 486725 486745 489251 489256) (|EqTable| "bookvol10.3.pamphlet" 485598 485625 485812 485864) (|Equation| "bookvol10.3.pamphlet" 480073 480089 482826 482965) (|EquationFunctions2| "bookvol10.4.pamphlet" 479775 479803 480063 480068) (|EigenPackage| "bookvol10.4.pamphlet" 476119 476139 479765 479770) (|EntireRing| "bookvol10.2.pamphlet" 475620 475636 476028 476114) (|EuclideanModularRing| "bookvol10.3.pamphlet" 474747 474814 475503 475615) (|EltableAggregate| "bookvol10.2.pamphlet" 473189 473222 474737 474742) (|EltableAggregate&| NIL 471581 471617 473132 473137) (|Eltable| "bookvol10.2.pamphlet" 471108 471131 471571 471576) (|EllipticFunctionsUnivariateTaylorSeries| "bookvol10.4.pamphlet" 470460 470516 471098 471103) (|ElementaryFunctionCategory| "bookvol10.2.pamphlet" 470133 470165 470450 470455) (|ElementaryFunctionCategory&| NIL 469803 469838 470123 470128) (|ExtensibleLinearAggregate| "bookvol10.2.pamphlet" 467683 467716 469758 469798) (|ExtensibleLinearAggregate&| NIL 465508 465544 467586 467591) (|ElementaryFunctionsUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 462240 462310 465461 465466) (|ElementaryFunctionsUnivariateLaurentSeries| "bookvol10.3.pamphlet" 459033 459096 462193 462198) (|ElementaryFunctionStructurePackage| "bookvol10.4.pamphlet" 457002 457046 459023 459028) (|ElementaryFunction| "bookvol10.4.pamphlet" 451766 451794 456992 456997) (|ExtAlgBasis| "bookvol10.3.pamphlet" 450071 450088 451756 451761) (|e04ucfAnnaType| "bookvol10.3.pamphlet" 449597 449617 450061 450066) (|e04nafAnnaType| "bookvol10.3.pamphlet" 449164 449184 449587 449592) (|e04mbfAnnaType| "bookvol10.3.pamphlet" 448734 448754 449154 449159) (|e04jafAnnaType| "bookvol10.3.pamphlet" 448260 448280 448724 448729) (|e04gcfAnnaType| "bookvol10.3.pamphlet" 447786 447806 448250 448255) (|e04fdfAnnaType| "bookvol10.3.pamphlet" 447312 447332 447776 447781) (|e04dgfAnnaType| "bookvol10.3.pamphlet" 446838 446858 447302 447307) (|e04AgentsPackage| "bookvol10.4.pamphlet" 442566 442588 446828 446833) (|DifferentialVariableCategory| "bookvol10.2.pamphlet" 439289 439325 442556 442561) (|DifferentialVariableCategory&| NIL 436009 436048 439279 439284) (|DesingTreePackage| "bookvol10.4.pamphlet" 433079 433181 435999 436004) (|DesingTree| "bookvol10.3.pamphlet" 432230 432248 432862 432914) (|DesingTreeCategory| "bookvol10.2.pamphlet" 431783 431809 432161 432225) (|DifferentialSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 428251 428303 428582 428816) (|DrawOption| "bookvol10.3.pamphlet" 422006 422022 428241 428246) (|DrawOptionFunctions1| "bookvol10.4.pamphlet" 421659 421687 421996 422001) (|DrawOptionFunctions0| "bookvol10.4.pamphlet" 416600 416626 421649 421654) (|TopLevelDrawFunctionsForPoints| "bookvol10.4.pamphlet" 414813 414849 416590 416595) (|TopLevelDrawFunctions| "bookvol10.4.pamphlet" 407702 407734 414803 414808) (|DrawNumericHack| "bookvol10.4.pamphlet" 406952 406975 407692 407697) (|DrawComplex| "bookvol10.4.pamphlet" 404368 404385 406942 406947) (|TopLevelDrawFunctionsForAlgebraicCurves| "bookvol10.4.pamphlet" 403878 403930 404358 404363) (|TopLevelDrawFunctionsForCompiledFunctions| "bookvol10.4.pamphlet" 393279 393326 403868 403873) (|DequeueAggregate| "bookvol10.2.pamphlet" 391450 391474 393210 393274) (|DifferentialPolynomialCategory| "bookvol10.2.pamphlet" 386712 386756 391211 391445) (|DifferentialPolynomialCategory&| NIL 382152 382199 386654 386659) (|DirectProductModule| "bookvol10.3.pamphlet" 373919 373952 374058 374497) (|DirectProductMatrixModule| "bookvol10.3.pamphlet" 365677 365718 365825 366264) (|DistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 361903 361949 362487 362721) (|DiscreteLogarithmPackage| "bookvol10.4.pamphlet" 361221 361253 361893 361898) (|DataList| "bookvol10.3.pamphlet" 359806 359822 360503 360555) (|DoublyLinkedAggregate| "bookvol10.2.pamphlet" 358234 358263 359786 359801) (|DivisionRing| "bookvol10.2.pamphlet" 357630 357648 358143 358229) (|DivisionRing&| NIL 357104 357125 357620 357625) (|Divisor| "bookvol10.3.pamphlet" 356912 356927 356996 357040) (|DivisorCategory| "bookvol10.2.pamphlet" 355647 355670 356863 356907) (|DisplayPackage| "bookvol10.4.pamphlet" 353849 353869 355637 355642) (|DirichletRing| "bookvol10.3.pamphlet" 353010 353036 353577 353797) (|DirectProduct| "bookvol10.3.pamphlet" 342538 342565 343174 343378) (|DirectProductFunctions2| "bookvol10.4.pamphlet" 341378 341417 342528 342533) (|DirectProductCategory| "bookvol10.2.pamphlet" 340217 340252 341157 341373) (|DirectProductCategory&| NIL 338761 338799 339704 339709) (|DiophantineSolutionPackage| "bookvol10.4.pamphlet" 337582 337614 338751 338756) (|DictionaryOperations| "bookvol10.2.pamphlet" 336631 336659 337537 337577) (|DictionaryOperations&| NIL 335666 335697 336575 336580) (|DifferentialRing| "bookvol10.2.pamphlet" 334766 334788 335639 335661) (|DifferentialRing&| NIL 333880 333905 334756 334761) (|DifferentialExtension| "bookvol10.2.pamphlet" 333005 333034 333853 333875) (|DifferentialExtension&| NIL 332015 332047 332866 332871) (|Dictionary| "bookvol10.2.pamphlet" 331614 331632 331970 332010) (|Dictionary&| NIL 331245 331266 331604 331609) (|DenavitHartenbergMatrix| "bookvol10.3.pamphlet" 329410 329441 330793 330845) (|DoubleFloatVector| "bookvol10.3.pamphlet" 327764 327787 328165 328217) (|DoubleFloatSpecialFunctions| "bookvol10.4.pamphlet" 318933 318966 327754 327759) (|DoubleFloatMatrix| "bookvol10.3.pamphlet" 317958 317981 318388 318440) (|DoubleFloat| "bookvol10.3.pamphlet" 314254 314271 317768 317953) (|DefiniteIntegrationTools| "bookvol10.4.pamphlet" 312471 312505 314244 314249) (|DeRhamComplex| "bookvol10.3.pamphlet" 310411 310454 312444 312466) (|Dequeue| "bookvol10.3.pamphlet" 304549 304564 310194 310246) (|DegreeReductionPackage| "bookvol10.4.pamphlet" 304144 304178 304539 304544) (|RationalFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 301576 301619 304134 304139) (|ElementaryFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 300025 300072 301566 301571) (|DecimalExpansion| "bookvol10.3.pamphlet" 297179 297201 297779 297944) (|DistinctDegreeFactorize| "bookvol10.4.pamphlet" 295039 295073 297169 297174) (|DoubleResultantPackage| "bookvol10.4.pamphlet" 294631 294671 295029 295034) (|Database| "bookvol10.3.pamphlet" 293278 293294 294621 294626) (|d03fafAnnaType| "bookvol10.3.pamphlet" 293094 293114 293268 293273) (|d03eefAnnaType| "bookvol10.3.pamphlet" 292902 292922 293084 293089) (|d03AgentsPackage| "bookvol10.4.pamphlet" 291833 291855 292892 292897) (|d02ejfAnnaType| "bookvol10.3.pamphlet" 291285 291305 291823 291828) (|d02cjfAnnaType| "bookvol10.3.pamphlet" 290753 290773 291275 291280) (|d02bhfAnnaType| "bookvol10.3.pamphlet" 290233 290253 290743 290748) (|d02bbfAnnaType| "bookvol10.3.pamphlet" 289713 289733 290223 290228) (|d02AgentsPackage| "bookvol10.4.pamphlet" 284644 284666 289703 289708) (|d01WeightsPackage| "bookvol10.4.pamphlet" 282952 282975 284634 284639) (|d01TransformFunctionType| "bookvol10.3.pamphlet" 282907 282937 282942 282947) (|d01gbfAnnaType| "bookvol10.3.pamphlet" 282419 282439 282897 282902) (|d01fcfAnnaType| "bookvol10.3.pamphlet" 281931 281951 282409 282414) (|d01asfAnnaType| "bookvol10.3.pamphlet" 281389 281409 281921 281926) (|d01aqfAnnaType| "bookvol10.3.pamphlet" 280872 280892 281379 281384) (|d01apfAnnaType| "bookvol10.3.pamphlet" 280342 280362 280862 280867) (|d01anfAnnaType| "bookvol10.3.pamphlet" 279826 279846 280332 280337) (|d01amfAnnaType| "bookvol10.3.pamphlet" 279326 279346 279816 279821) (|d01alfAnnaType| "bookvol10.3.pamphlet" 278856 278876 279316 279321) (|d01akfAnnaType| "bookvol10.3.pamphlet" 278374 278394 278846 278851) (|d01ajfAnnaType| "bookvol10.3.pamphlet" 277887 277907 278364 278369) (|d01AgentsPackage| "bookvol10.4.pamphlet" 273980 274002 277877 277882) (|CyclotomicPolynomialPackage| "bookvol10.4.pamphlet" 273459 273492 273970 273975) (|CycleIndicators| "bookvol10.4.pamphlet" 270257 270278 273449 273454) (|CoerceVectorMatrixPackage| "bookvol10.4.pamphlet" 269619 269652 270247 270252) (|ComplexTrigonometricManipulations| "bookvol10.4.pamphlet" 268060 268103 269609 269614) (|CyclicStreamTools| "bookvol10.4.pamphlet" 266834 266862 268050 268055) (|ComplexRootFindingPackage| "bookvol10.4.pamphlet" 260826 260862 266824 266829) (|CRApackage| "bookvol10.4.pamphlet" 259975 259993 260816 260821) (|ComplexPatternMatch| "bookvol10.4.pamphlet" 259448 259480 259878 259883) (|CharacteristicPolynomialInMonogenicalAlgebra| "bookvol10.4.pamphlet" 259111 259172 259438 259443) (|CoordinateSystems| "bookvol10.4.pamphlet" 254111 254136 259101 259106) (|ContinuedFraction| "bookvol10.3.pamphlet" 250025 250050 253941 254106) (|CommutativeRing| "bookvol10.2.pamphlet" 249659 249680 249931 250020) (|SubSpaceComponentProperty| "bookvol10.3.pamphlet" 249136 249167 249649 249654) (|ComplexPattern| "bookvol10.4.pamphlet" 248891 248918 249126 249131) (|Complex| "bookvol10.3.pamphlet" 240748 240763 241002 241478) (|ComplexFunctions2| "bookvol10.4.pamphlet" 240456 240483 240738 240743) (|ComplexFactorization| "bookvol10.4.pamphlet" 240234 240266 240446 240451) (|ComplexCategory| "bookvol10.2.pamphlet" 238112 238135 239741 240229) (|ComplexCategory&| NIL 235678 235704 237310 237315) (|Comparable| "bookvol10.2.pamphlet" 235409 235425 235668 235673) (|CommuteUnivariatePolynomialCategory| "bookvol10.4.pamphlet" 235150 235201 235399 235404) (|CommonOperators| "bookvol10.4.pamphlet" 234676 234697 235140 235145) (|Commutator| "bookvol10.3.pamphlet" 234477 234493 234666 234671) (|CombinatorialOpsCategory| "bookvol10.2.pamphlet" 233490 233520 234467 234472) (|IntegerCombinatoricFunctions| "bookvol10.4.pamphlet" 231956 231992 233480 233485) (|CombinatorialFunction| "bookvol10.4.pamphlet" 229391 229422 231946 231951) (|Color| "bookvol10.3.pamphlet" 228226 228237 229381 229386) (|ComplexRootPackage| "bookvol10.4.pamphlet" 227544 227577 228216 228221) (|TwoDimensionalPlotClipping| "bookvol10.4.pamphlet" 223640 223672 227534 227539) (|CliffordAlgebra| "bookvol10.3.pamphlet" 222318 222347 223572 223635) (|Collection| "bookvol10.2.pamphlet" 219330 219348 222298 222313) (|Collection&| NIL 216184 216205 219155 219160) (|ComplexIntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 215482 215536 216174 216179) (|ChangeOfVariable| "bookvol10.4.pamphlet" 213442 213474 215472 215477) (|CharacteristicZero| "bookvol10.2.pamphlet" 213334 213358 213415 213437) (|CharacteristicPolynomialPackage| "bookvol10.4.pamphlet" 212819 212858 213324 213329) (|CharacteristicNonZero| "bookvol10.2.pamphlet" 212546 212573 212792 212814) (|Character| "bookvol10.3.pamphlet" 208900 208915 212536 212541) (|CombinatorialFunctionCategory| "bookvol10.2.pamphlet" 208046 208081 208890 208895) (|ComplexDoubleFloatVector| "bookvol10.3.pamphlet" 205857 205887 206510 206562) (|ComplexDoubleFloatMatrix| "bookvol10.3.pamphlet" 204745 204775 205191 205243) (|CommonDenominator| "bookvol10.4.pamphlet" 203970 203999 204735 204740) (|CharacterClass| "bookvol10.3.pamphlet" 202164 202184 203234 203314) (|CartesianTensor| "bookvol10.3.pamphlet" 193330 193367 202154 202159) (|CartesianTensorFunctions2| "bookvol10.4.pamphlet" 192697 192747 193320 193325) (|CardinalNumber| "bookvol10.3.pamphlet" 189015 189035 192663 192692) (|CachableSet| "bookvol10.2.pamphlet" 188622 188639 189005 189010) (|CancellationAbelianMonoid| "bookvol10.2.pamphlet" 188092 188123 188612 188617) (|BinaryTree| "bookvol10.3.pamphlet" 187129 187147 187875 187927) (|BinaryTournament| "bookvol10.3.pamphlet" 186310 186334 186912 186964) (|BinaryTreeCategory| "bookvol10.2.pamphlet" 185643 185669 186241 186305) (|BinaryTreeCategory&| NIL 185032 185061 185633 185638) (|BitAggregate| "bookvol10.2.pamphlet" 184100 184118 184963 185027) (|BitAggregate&| NIL 183224 183245 184090 184095) (|BinarySearchTree| "bookvol10.3.pamphlet" 181821 181845 183007 183059) (|BasicStochasticDifferential| "Makefile.pamphlet" 179686 179719 181811 181816) (|BrillhartTests| "bookvol10.4.pamphlet" 178447 178470 179676 179681) (|BinaryRecursiveAggregate| "bookvol10.2.pamphlet" 177385 177417 178427 178442) (|BinaryRecursiveAggregate&| NIL 176283 176318 177328 177333) (|BalancedPAdicRational| "bookvol10.3.pamphlet" 173193 173224 173403 173568) (|BalancedPAdicInteger| "bookvol10.3.pamphlet" 172860 172890 173076 173188) (|BoundIntegerRoots| "bookvol10.4.pamphlet" 172507 172535 172850 172855) (|BasicOperator| "bookvol10.3.pamphlet" 168028 168047 172497 172502) (|BasicOperatorFunctions1| "bookvol10.4.pamphlet" 165485 165516 167976 167981) (|Boolean| "bookvol10.3.pamphlet" 164350 164363 165475 165480) (|BiModule| "bookvol10.2.pamphlet" 163971 163989 164301 164345) (|BlowUpPackage| "bookvol10.4.pamphlet" 162238 162285 163961 163966) (|BlowUpWithQuadTrans| "bookvol10.3.pamphlet" 162111 162136 162203 162233) (|BlowUpMethodCategory| "bookvol10.2.pamphlet" 162070 162096 162101 162106) (|BlowUpWithHamburgerNoether| "bookvol10.3.pamphlet" 161938 161970 162037 162065) (|BlasLevelOne| "bookvol10.5.pamphlet" 150200 150218 161928 161933) (|Bits| "bookvol10.3.pamphlet" 149561 149571 149778 149830) (|BinaryFile| "bookvol10.3.pamphlet" 148910 148926 149551 149556) (|BinaryExpansion| "bookvol10.3.pamphlet" 146032 146053 146664 146829) (|BagAggregate| "bookvol10.2.pamphlet" 145254 145274 145987 146027) (|BagAggregate&| NIL 144508 144531 145244 145249) (|BasicFunctions| "bookvol10.3.pamphlet" 143905 143925 144476 144503) (|BezoutMatrix| "bookvol10.4.pamphlet" 143027 143064 143847 143852) (|Bezier| "bookvol10.4.pamphlet" 140886 140900 143017 143022) (|BalancedBinaryTree| "bookvol10.3.pamphlet" 136455 136481 140669 140721) (|BasicType| "bookvol10.2.pamphlet" 136142 136157 136445 136450) (|BasicType&| NIL 135826 135844 136132 136137) (|BalancedFactorisation| "bookvol10.4.pamphlet" 135226 135258 135816 135821) (|AxiomServer| "bookvol10.4.pamphlet" 135077 135094 135216 135221) (|Automorphism| "bookvol10.3.pamphlet" 134504 134524 135050 135072) (|UnitsKnownAttribute| "bookvol10.2.pamphlet" 134282 134307 134484 134499) (|AttributeRegistry| "bookvol10.2.pamphlet" 130635 130658 133835 134277) (|AttributeButtons| "bookvol10.3.pamphlet" 126733 126755 130603 130630) (|ShallowlyMutableAttribute| "bookvol10.2.pamphlet" 126470 126501 126713 126728) (|ArcTrigonometricFunctionCategory| "bookvol10.2.pamphlet" 125909 125947 126460 126465) (|ArcTrigonometricFunctionCategory&| NIL 125345 125386 125899 125904) (|PartiallyOrderedSetAttribute| "bookvol10.2.pamphlet" 125117 125151 125325 125340) (|NoZeroDivisorsAttribute| "bookvol10.2.pamphlet" 124918 124947 125097 125112) (|NullSquareAttribute| "bookvol10.2.pamphlet" 124783 124808 124898 124913) (|NotherianAttribute| "bookvol10.2.pamphlet" 124641 124665 124763 124778) (|MultiplicativeValuationAttribute| "bookvol10.2.pamphlet" 124450 124488 124621 124636) (|LeftUnitaryAttribute| "bookvol10.2.pamphlet" 124293 124319 124430 124445) (|LazyRepresentationAttribute| "bookvol10.2.pamphlet" 124155 124188 124273 124288) (|JacobiIdentityAttribute| "bookvol10.2.pamphlet" 123988 124017 124135 124150) (|FiniteAggregateAttribute| "bookvol10.2.pamphlet" 123849 123879 123968 123983) (|CanonicalUnitNormalAttribute| "bookvol10.2.pamphlet" 123523 123557 123829 123844) (|CommutativeStarAttribute| "bookvol10.2.pamphlet" 123250 123280 123503 123518) (|CentralAttribute| "bookvol10.2.pamphlet" 122931 122953 123230 123245) (|CanonicalAttribute| "bookvol10.2.pamphlet" 122728 122752 122911 122926) (|CanonicalClosedAttribute| "bookvol10.2.pamphlet" 122544 122574 122708 122723) (|ArbitraryPrecisionAttribute| "bookvol10.2.pamphlet" 122374 122407 122524 122539) (|ArbitraryExponentAttribute| "bookvol10.2.pamphlet" 122242 122274 122354 122369) (|ApproximateAttribute| "bookvol10.2.pamphlet" 122131 122157 122222 122237) (|AdditiveValuationAttribute| "bookvol10.2.pamphlet" 121944 121976 122111 122126) (|ArrayStack| "bookvol10.3.pamphlet" 117592 117610 121727 121779) (|AssociatedEquations| "bookvol10.4.pamphlet" 116361 116390 117545 117550) (|Asp9| "bookvol10.3.pamphlet" 115514 115531 116351 116356) (|Asp8| "bookvol10.3.pamphlet" 114453 114470 115504 115509) (|Asp80| "bookvol10.3.pamphlet" 113780 113798 114443 114448) (|Asp7| "bookvol10.3.pamphlet" 112974 112991 113770 113775) (|Asp78| "bookvol10.3.pamphlet" 112448 112466 112964 112969) (|Asp77| "bookvol10.3.pamphlet" 111816 111834 112438 112443) (|Asp74| "bookvol10.3.pamphlet" 110838 110856 111806 111811) (|Asp73| "bookvol10.3.pamphlet" 110096 110114 110828 110833) (|Asp6| "bookvol10.3.pamphlet" 108772 108789 110086 110091) (|Asp55| "bookvol10.3.pamphlet" 107204 107222 108762 108767) (|Asp50| "bookvol10.3.pamphlet" 104855 104873 107194 107199) (|Asp4| "bookvol10.3.pamphlet" 104140 104157 104845 104850) (|Asp49| "bookvol10.3.pamphlet" 103124 103142 104130 104135) (|Asp42| "bookvol10.3.pamphlet" 101396 101439 103114 103119) (|Asp41| "bookvol10.3.pamphlet" 99894 99937 101386 101391) (|Asp35| "bookvol10.3.pamphlet" 98874 98892 99884 99889) (|Asp34| "bookvol10.3.pamphlet" 98120 98138 98864 98869) (|Asp33| "bookvol10.3.pamphlet" 97701 97719 98110 98115) (|Asp31| "bookvol10.3.pamphlet" 96810 96828 97691 97696) (|Asp30| "bookvol10.3.pamphlet" 95537 95555 96800 96805) (|Asp29| "bookvol10.3.pamphlet" 95016 95034 95527 95532) (|Asp28| "bookvol10.3.pamphlet" 85442 85460 95006 95011) (|Asp27| "bookvol10.3.pamphlet" 84293 84311 85432 85437) (|Asp24| "bookvol10.3.pamphlet" 83371 83389 84283 84288) (|Asp20| "bookvol10.3.pamphlet" 82539 82557 83361 83366) (|Asp1| "bookvol10.3.pamphlet" 81915 81932 82529 82534) (|Asp19| "bookvol10.3.pamphlet" 75989 76007 81905 81910) (|Asp12| "bookvol10.3.pamphlet" 75402 75420 75979 75984) (|Asp10| "bookvol10.3.pamphlet" 74678 74696 75392 75397) (|TwoDimensionalArray| "bookvol10.3.pamphlet" 74219 74246 74461 74513) (|OneDimensionalArray| "bookvol10.3.pamphlet" 72993 73020 73501 73553) (|OneDimensionalArrayFunctions2| "bookvol10.4.pamphlet" 71002 71041 72983 72988) (|TwoDimensionalArrayCategory| "bookvol10.2.pamphlet" 64227 64274 70933 70997) (|TwoDimensionalArrayCategory&| NIL 57508 57558 64217 64222) (|ApplyRules| "bookvol10.4.pamphlet" 56819 56846 57498 57503) (|ApplyUnivariateSkewPolynomial| "bookvol10.4.pamphlet" 56394 56435 56809 56814) (|ApplicationProgramInterface| "bookvol10.4.pamphlet" 55305 55338 56384 56389) (|Any| "bookvol10.3.pamphlet" 53651 53660 55295 55300) (|AnyFunctions1| "bookvol10.4.pamphlet" 52716 52737 53641 53646) (|AntiSymm| "bookvol10.3.pamphlet" 51159 51182 52689 52711) (|AnonymousFunction| "bookvol10.3.pamphlet" 51056 51079 51149 51154) (|AlgebraicNumber| "bookvol10.3.pamphlet" 49265 49286 50784 50949) (|AbelianMonoidRing| "bookvol10.2.pamphlet" 47392 47419 49095 49260) (|AbelianMonoidRing&| NIL 45343 45373 47049 47054) (|AssociationList| "bookvol10.3.pamphlet" 43080 43115 43442 43494) (|AlgebraGivenByStructuralConstants| "bookvol10.3.pamphlet" 42104 42162 42901 42990) (|AlgebraPackage| "bookvol10.4.pamphlet" 38043 38067 42047 42052) (|AlgebraicMultFact| "bookvol10.4.pamphlet" 37236 37266 38033 38038) (|AlgebraicManipulations| "bookvol10.4.pamphlet" 34652 34684 36992 36997) (|AlgebraicFunctionField| "bookvol10.3.pamphlet" 32419 32467 32640 32895) (|AlgFactor| "bookvol10.4.pamphlet" 31536 31554 32409 32414) (|Algebra| "bookvol10.2.pamphlet" 31006 31021 31468 31531) (|Algebra&| NIL 30531 30549 30996 31001) (|AssociationListAggregate| "bookvol10.2.pamphlet" 29985 30029 30462 30526) (|ArcHyperbolicFunctionCategory| "bookvol10.2.pamphlet" 29338 29373 29975 29980) (|Aggregate| "bookvol10.2.pamphlet" 27707 27722 29318 29333) (|Aggregate&| NIL 26037 26055 27651 27656) (|AffineSpaceCategory| "bookvol10.2.pamphlet" 23907 23934 26027 26032) (|AlgebraicFunction| "bookvol10.4.pamphlet" 22279 22306 23827 23832) (|AffineSpace| "bookvol10.3.pamphlet" 22112 22137 22269 22274) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 21912 21970 22102 22107) (|AffinePlane| "bookvol10.3.pamphlet" 21751 21770 21902 21907) (|AffineAlgebraicSetComputeWithResultant| "bookvol10.4.pamphlet" 21597 21672 21741 21746) (|AffineAlgebraicSetComputeWithGroebnerBasis| "bookvol10.4.pamphlet" 21139 21218 21587 21592) (|PlaneAlgebraicCurvePlot| "bookvol10.3.pamphlet" 19405 19434 21129 21134) (|AlgebraicallyClosedFunctionSpace| "bookvol10.2.pamphlet" 17181 17221 19223 19400) (|AlgebraicallyClosedFunctionSpace&| NIL 15126 15169 17171 17176) (|AlgebraicallyClosedField| "bookvol10.2.pamphlet" 10185 10215 14956 15121) (|AlgebraicallyClosedField&| NIL 5401 5434 10175 10180) (|AbelianSemiGroup| "bookvol10.2.pamphlet" 4744 4766 5391 5396) (|AbelianSemiGroup&| NIL 4084 4109 4734 4739) (|AbelianMonoid| "bookvol10.2.pamphlet" 3441 3460 4074 4079) (|AbelianMonoid&| NIL 2795 2817 3431 3436) (|AbelianGroup| "bookvol10.2.pamphlet" 2290 2308 2785 2790) (|AbelianGroup&| NIL 1782 1803 2280 2285) (|OneDimensionalArrayAggregate| "bookvol10.2.pamphlet" 878 914 1713 1777) (|OneDimensionalArrayAggregate&| NIL 30 69 868 873)) 
\ No newline at end of file
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
index b29c2df..da7f683 100644
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,3566 +1,3566 @@
 
-(158286 . 3613822961)        
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
+(224261 . 3614189655)        
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
 (((|#2| |#2|) . T)) 
-((((-592)) . T)) 
-((($ $) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2| |#2|) . T) (((-433 (-592)) (-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
+((((|Integer|)) . T)) 
+((($ $) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2| |#2|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
 (((|#2|) . T)) 
-((($) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2|) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-(|has| |#1| (-931)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-592) (-191 (-237))) . T)) 
-((((-592) (-237)) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
+((($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2|) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) (|Complex| (|DoubleFloat|))) . T)) 
+((((|Integer|) (|DoubleFloat|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2| |#2|) . T)) 
-((((-168)) . T)) 
-((((-565)) . T) (((-1173)) . T) (((-237)) . T) (((-405)) . T) (((-914 (-405))) . T)) 
-(((|#1|) . T)) 
-((((-237)) . T) (((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1| |#1|) . T)) 
-(-3836 (|has| |#1| (-842)) (|has| |#1| (-869))) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-867)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+((((|Character|)) . T)) 
+((((|InputForm|)) . T) (((|String|)) . T) (((|DoubleFloat|)) . T) (((|Float|)) . T) (((|Pattern| (|Float|))) . T)) 
+(((|#1|) . T)) 
+((((|DoubleFloat|)) . T) (((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1| |#1|) . T)) 
+(OR (|has| |#1| (|OrderedIntegralDomain|)) (|has| |#1| (|OrderedSet|))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|OrderedRing|)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#1| |#2| |#3|) . T)) 
 (((|#4|) . T)) 
-((($) . T) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-(((|#1| (-790) (-1103)) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-((((-877)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
+((($) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
 (((|#1|) . T) ((|#2|) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(((|#2| (-517 (-1699 |#1|) (-790))) . T)) 
-(((|#1| (-558 (-1191))) . T)) 
-((((-891 |#1|) (-891 |#1|)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#1| (-1211)) 
-(|has| |#4| (-394)) 
-(|has| |#3| (-394)) 
-(((|#1|) . T)) 
-((((-891 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|))) . T)) 
+(((|#1| (|IndexedExponents| (|Symbol|))) . T)) 
+((((|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(|has| |#4| (|Finite|)) 
+(|has| |#3| (|Finite|)) 
+(((|#1|) . T)) 
+((((|PAdicInteger| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-582)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((($) . T)) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((($) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T)) 
-((((-191 (-237)) (-166) (-166)) . T)) 
-((((-237) (-240) (-240)) . T)) 
-((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-191 (-237))) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-237)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-325 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) 
-(((|#1|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((($) . T)) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T)) 
+((((|Complex| (|DoubleFloat|)) (|ComplexDoubleFloatVector|) (|ComplexDoubleFloatVector|)) . T)) 
+((((|DoubleFloat|) (|DoubleFloatVector|) (|DoubleFloatVector|)) . T)) 
+((($) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|DoubleFloat|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) |has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Evalable| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-(((|#1|) . T)) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (((-1271 |#1| |#2| |#3|)) |has| |#1| (-388)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) . T)) 
-((((-433 (-592)) (-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2| |#2|) . T) (($ $) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2| |#2|) . T) (($ $) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
 ((($ $) . T)) 
 (((|#2|) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T) (($) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T) (($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
 ((($) . T)) 
-(|has| |#1| (-394)) 
+(|has| |#1| (|Finite|)) 
 (((|#1|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
 (((|#1| |#1|) . T)) 
-(|has| |#1| (-582)) 
-(((|#2| |#2|) -12 (|has| |#1| (-388)) (|has| |#2| (-325 |#2|))) (((-1191) |#2|) -12 (|has| |#1| (-388)) (|has| |#2| (-547 (-1191) |#2|)))) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(|has| |#1| (-1119)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(|has| |#1| (-1119)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(|has| |#1| (-867)) 
-((($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#4| (-815)) (|has| |#4| (-867))) 
-(-3836 (|has| |#4| (-815)) (|has| |#4| (-867))) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#2| |#2|) AND (|has| |#1| (|Field|)) (|has| |#2| (|Evalable| |#2|))) (((|Symbol|) |#2|) AND (|has| |#1| (|Field|)) (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|)))) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|SetCategory|)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|SetCategory|)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|OrderedRing|)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))) 
+(OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-388)) 
-(|has| |#1| (-1119)) 
-(|has| |#1| (-1119)) 
-(((|#1| (-1191) (-1108 (-1191)) (-558 (-1108 (-1191)))) . T)) 
-((((-592) |#1|) . T)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((((-932 |#1|)) . T)) 
-(((|#1| (-558 |#2|)) . T)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-743)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(((|#1| (-790)) . T)) 
-(|has| |#2| (-815)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(|has| |#2| (-867)) 
+(|has| |#2| (|Field|)) 
+(|has| |#1| (|SetCategory|)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1| (|Symbol|) (|SequentialDifferentialVariable| (|Symbol|)) (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+(((|#1| (|IndexedExponents| |#2|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(|has| |#2| (|OrderedAbelianMonoidSup|)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(|has| |#2| (|OrderedRing|)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1173) |#1|) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-(((|#1|) . T)) 
-(((|#3| (-790)) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-1119)) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((((-1191) |#2|) |has| |#2| (-547 (-1191) |#2|)) ((|#2| |#2|) |has| |#2| (-325 |#2|))) 
-((((-433 (-592))) . T) (((-592)) . T)) 
+((((|String|) |#1|) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(((|#1|) . T)) 
+(((|#3| (|NonNegativeInteger|)) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|SetCategory|)) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((((|Symbol|) |#2|) |has| |#2| (|InnerEvalable| (|Symbol|) |#2|)) ((|#2| |#2|) |has| |#2| (|Evalable| |#2|))) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#1|) |has| |#1| (-194))) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((((-715) (-1187 (-715))) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) . T) ((|#1|) |has| |#1| (-194))) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-388)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-592) |#1|) . T)) 
-((($) . T) (((-592)) . T) (((-433 (-592))) . T)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((((|MachineFloat|) (|SparseUnivariatePolynomial| (|MachineFloat|))) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (|Field|)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Integer|) |#1|) . T)) 
+((($) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-1173) |#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|String|) |#1|) . T)) 
 (((|#3| |#3|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#1|) . T)) 
-((((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-332 |#1|)) . T)) 
-(((|#1|) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) ((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075)))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-592) |#1|) . T)) 
-((((-877)) . T)) 
-((((-191 (-237))) |has| |#1| (-1049)) (((-191 (-405))) |has| |#1| (-1049)) (((-565)) |has| |#1| (-633 (-565))) (((-1187 |#1|)) . T) (((-914 (-592))) |has| |#1| (-633 (-914 (-592)))) (((-914 (-405))) |has| |#1| (-633 (-914 (-405))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) ((|#2|) |has| |#1| (-388)) ((|#1|) |has| |#1| (-194))) 
-(|has| |#2| (-582)) 
-(|has| |#1| (-388)) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582)))) 
-((((-884 |#1|) (-801 (-884 |#1|))) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(((|#1| |#1|) |has| |#1| (-194)) (($ $) |has| |#1| (-194))) 
-(-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) 
-(-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) 
-(((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-194))) 
-(-3836 (|has| |#4| (-194)) (|has| |#4| (-867)) (|has| |#4| (-1075))) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-((((-877)) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-((((-1191)) |has| |#2| (-922 (-1191))) (((-1103)) . T)) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-654 (-592)))) 
-(((|#2|) . T) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#1|) . T) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-(((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#1|) . T)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-((((-715)) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(-12 (|has| |#1| (-1030)) (|has| |#1| (-1211))) 
-(((|#2|) . T) (($) . T) (((-433 (-592))) . T)) 
-((($) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T)) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (((-1189 |#1| |#2| |#3|)) |has| |#1| (-388)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-(((|#4| |#4|) -3836 (|has| |#4| (-194)) (|has| |#4| (-388)) (|has| |#4| (-1075))) (($ $) |has| |#4| (-194))) 
-(((|#3| |#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-1075))) (($ $) |has| |#3| (-194))) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-565)) |has| |#2| (-633 (-565))) (((-914 (-405))) |has| |#2| (-633 (-914 (-405)))) (((-914 (-592))) |has| |#2| (-633 (-914 (-592))))) 
-((((-877)) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Expression| |#1|)) . T)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) ((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|)))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Complex| (|DoubleFloat|))) |has| |#1| (|RealConstant|)) (((|Complex| (|Float|))) |has| |#1| (|RealConstant|)) (((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) (((|SparseUnivariatePolynomial| |#1|)) . T) (((|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (((|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) ((|#2|) |has| |#1| (|Field|)) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(|has| |#2| (|IntegralDomain|)) 
+(|has| |#1| (|Field|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|)))) 
+((((|PseudoAlgebraicClosureOfFiniteField| |#1|) (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|)) (($ $) |has| |#1| (|CommutativeRing|))) 
+(AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) 
+(AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|CommutativeRing|))) 
+(OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|OrderedRing|)) (|has| |#4| (|Ring|))) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+((((|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|))) (((|SingletonAsOrderedSet|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(((|#2|) . T) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#1|) . T) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#1|) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|MachineFloat|)) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))) 
+(((|#2|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T)) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+(((|#4| |#4|) OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|Field|)) (|has| |#4| (|Ring|))) (($ $) |has| |#4| (|CommutativeRing|))) 
+(((|#3| |#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Ring|))) (($ $) |has| |#3| (|CommutativeRing|))) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Float|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Pattern| (|Integer|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565))) (((-914 (-405))) |has| |#1| (-633 (-914 (-405)))) (((-914 (-592))) |has| |#1| (-633 (-914 (-592))))) 
-((((-877)) . T)) 
-(((|#4|) -3836 (|has| |#4| (-194)) (|has| |#4| (-388)) (|has| |#4| (-1075))) (($) |has| |#4| (-194))) 
-(((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-1075))) (($) |has| |#3| (-194))) 
-((((-877)) . T)) 
-((((-565)) . T) (((-592)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
-((((-1103)) . T) ((|#2|) . T) (((-592)) |has| |#2| (-1065 (-592))) (((-433 (-592))) |has| |#2| (-1065 (-433 (-592))))) 
-(((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((($) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T)) 
-((((-433 $) (-433 $)) |has| |#2| (-582)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-931)) 
-((((-1173) (-57)) . T)) 
-((((-592)) |has| (-433 |#2|) (-654 (-592))) (((-433 |#2|)) . T)) 
-((((-565)) . T) (((-237)) . T) (((-405)) . T) (((-914 (-405))) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
-(((|#1|) |has| |#1| (-194))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(((|#1| $) |has| |#1| (-303 |#1| |#1|))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-869)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-1119)) 
-(((|#1|) . T)) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-(((|#2| (-790)) . T)) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#1| (-247)) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1| (-558 (-840 (-1191)))) . T)) 
-(((|#1| (-1000)) . T)) 
-((((-891 |#1|) $) |has| (-891 |#1|) (-303 (-891 |#1|) (-891 |#1|)))) 
-((((-592) |#4|) . T)) 
-((((-592) |#3|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+(((|#4|) OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|Field|)) (|has| |#4| (|Ring|))) (($) |has| |#4| (|CommutativeRing|))) 
+(((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Ring|))) (($) |has| |#3| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Integer|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
+((((|SingletonAsOrderedSet|)) . T) ((|#2|) . T) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T)) 
+((((|Fraction| $) (|Fraction| $)) |has| |#2| (|IntegralDomain|)) (($ $) . T) ((|#2| |#2|) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+((((|String|) (|Any|)) . T)) 
+((((|Integer|)) |has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|))) (((|Fraction| |#2|)) . T)) 
+((((|InputForm|)) . T) (((|DoubleFloat|)) . T) (((|Float|)) . T) (((|Pattern| (|Float|))) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(((|#1| $) |has| |#1| (|Eltable| |#1| |#1|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+(((|#2| (|NonNegativeInteger|)) . T)) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|DifferentialRing|)) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1| (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) . T)) 
+(((|#1| (|Partition|)) . T)) 
+((((|PAdicInteger| |#1|) $) |has| (|PAdicInteger| |#1|) (|Eltable| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|)))) 
+((((|Integer|) |#4|) . T)) 
+((((|Integer|) |#3|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(|has| |#1| (-1165)) 
-(((|#1| (-790) (-1103)) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-(|has| (-1265 |#1| |#2| |#3| |#4|) (-169)) 
-(|has| (-1265 |#1| |#2| |#3| |#4|) (-171)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-191 (-237))) . T)) 
-((((-237)) . T)) 
-((((-1191)) -12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) 
-(|has| |#1| (-1119)) 
-((((-1173) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
-(|has| |#2| (-394)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-1235))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+(|has| |#1| (|StepThrough|)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+(|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|CharacteristicNonZero|)) 
+(|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+((((|DoubleFloat|)) . T)) 
+((((|Symbol|)) AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) 
+(|has| |#1| (|SetCategory|)) 
+((((|String|) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(|has| |#2| (|Finite|)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|UniqueFactorizationDomain|))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 ((($) . T) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1075))) 
-((((-877)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
+(((|#2|) |has| |#2| (|Ring|))) 
+((((|OutputForm|)) . T)) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
 (((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) |has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))))) 
-((((-592) |#1|) . T)) 
-((((-877)) . T)) 
-((((-565)) -12 (|has| |#1| (-633 (-565))) (|has| |#2| (-633 (-565)))) (((-914 (-405))) -12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405))))) (((-914 (-592))) -12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) |has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))))) 
+((((|Integer|) |#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (((|Pattern| (|Float|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Pattern| (|Integer|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 ((($) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(|has| (-1264 |#2| |#3| |#4|) (-171)) 
-(|has| (-1264 |#2| |#3| |#4|) (-169)) 
-(((|#2|) |has| |#2| (-1119)) (((-592)) -12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (((-433 (-592))) -12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CharacteristicZero|)) 
+(|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CharacteristicNonZero|)) 
+(((|#2|) |has| |#2| (|SetCategory|)) (((|Integer|)) AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (((|Fraction| (|Integer|))) AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) 
 (((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-((((-877)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
 (((|#1|) . T)) 
-((((-592) |#1|) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-(((|#1|) |has| |#1| (-194))) 
+((((|Integer|) |#1|) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
 (((|#1|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-((((-877)) |has| |#1| (-1119))) 
-(-3836 (|has| |#1| (-502)) (|has| |#1| (-743)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075)) (|has| |#1| (-1131))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((((-932 |#1|)) . T)) 
-((((-433 |#2|) |#3|) . T)) 
-(|has| |#1| (-15 * (|#1| (-592) |#1|))) 
-((((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-869)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(OR (|has| |#1| (|Group|)) (|has| |#1| (|Monoid|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|)) (|has| |#1| (|SemiGroup|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|PrimeField| |#1|)) . T)) 
+((((|Fraction| |#2|) |#3|) . T)) 
+(|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|OrderedSet|)) 
 (((|#1|) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582))) 
-(|has| |#1| (-15 * (|#1| (-790) |#1|))) 
-(|has| |#1| (-388)) 
-(-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) 
-((((-592)) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-15 * (|#1| (-790) |#1|))) 
-((((-1156 |#2| (-433 (-980 |#1|)))) . T) (((-433 (-980 |#1|))) . T)) 
-((($) . T)) 
-(((|#1|) |has| |#1| (-194)) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-(((|#1|) . T)) 
-((((-592) |#1|) . T)) 
-(((|#2|) . T)) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-169)) 
-(|has| |#2| (-171)) 
-((((-1191)) -12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-877)) . T)) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-842))) 
-(-3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373)) (|has| |#1| (-582))) 
-((((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582)))) 
-((($ $) |has| |#1| (-582))) 
-((((-715) (-1187 (-715))) . T)) 
-((((-877)) . T)) 
-((((-877)) . T) (((-1280 |#4|)) . T)) 
-((((-877)) . T) (((-1280 |#3|)) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582)))) 
-((($) |has| |#1| (-582))) 
-((((-877)) . T)) 
-((($) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (((-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388)))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (((-1271 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1075))) 
-(((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388)))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#1| (-1119)) 
-(((|#2| (-841 |#1|)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-388)) 
-((((-433 $) (-433 $)) |has| |#1| (-582)) (($ $) . T) ((|#1| |#1|) . T)) 
-((((-1103) |#2|) . T) (((-1103) $) . T) (($ $) . T)) 
-((((-932 |#1|)) . T)) 
-((((-168)) . T)) 
-((((-168)) . T)) 
-(((|#3|) |has| |#3| (-1119)) (((-592)) -12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119))) (((-433 (-592))) -12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119)))) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#1|) . T)) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-(|has| |#1| (-388)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-((((-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((|#1| |#1|) |has| |#1| (-325 |#1|))) 
-(|has| |#2| (-842)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-867)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) 
+(|has| |#1| (|Field|)) 
+(OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) 
+(|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) 
+((((|SquareMatrix| |#2| (|Fraction| (|Polynomial| |#1|)))) . T) (((|Fraction| (|Polynomial| |#1|))) . T)) 
+((($) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+(((|#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+(((|#2|) . T)) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(|has| |#2| (|CharacteristicZero|)) 
+((((|Symbol|)) AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) 
+(OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|IntegralDomain|))) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)))) 
+((($ $) |has| |#1| (|IntegralDomain|))) 
+((((|MachineFloat|) (|SparseUnivariatePolynomial| (|MachineFloat|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T) (((|Vector| |#4|)) . T)) 
+((((|OutputForm|)) . T) (((|Vector| |#3|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)))) 
+((($) |has| |#1| (|IntegralDomain|))) 
+((((|OutputForm|)) . T)) 
+((($) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (((|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|)))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1|) . T)) 
+(((|#3|) |has| |#3| (|Ring|))) 
+(((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|)))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|SetCategory|)) 
+(((|#2| (|OrderedFreeMonoid| |#1|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|Field|)) 
+((((|Fraction| $) (|Fraction| $)) |has| |#1| (|IntegralDomain|)) (($ $) . T) ((|#1| |#1|) . T)) 
+((((|SingletonAsOrderedSet|) |#2|) . T) (((|SingletonAsOrderedSet|) $) . T) (($ $) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+((((|Character|)) . T)) 
+((((|Character|)) . T)) 
+(((|#3|) |has| |#3| (|SetCategory|)) (((|Integer|)) AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|))) (((|Fraction| (|Integer|))) AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+(|has| |#1| (|Field|)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+((((|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|#1| |#1|) |has| |#1| (|Evalable| |#1|))) 
+(|has| |#2| (|OrderedIntegralDomain|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|OrderedRing|)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
 (((|#1| |#2|) . T)) 
-((((-1191)) -12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) 
-((((-1173) |#1|) . T)) 
-(((|#1| |#2| |#3| (-558 |#3|)) . T)) 
-((((-944) |#1|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
+((((|Symbol|)) AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((((|String|) |#1|) . T)) 
+(((|#1| |#2| |#3| (|IndexedExponents| |#3|)) . T)) 
+((((|PositiveInteger|) |#1|) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-394)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-((((-877)) . T)) 
-(((|#2|) . T)) 
-((((-877)) . T)) 
-(-12 (|has| |#2| (-247)) (|has| |#2| (-1075))) 
-((((-1191) (-891 |#1|)) |has| (-891 |#1|) (-547 (-1191) (-891 |#1|))) (((-891 |#1|) (-891 |#1|)) |has| (-891 |#1|) (-325 (-891 |#1|)))) 
-(((|#1|) . T)) 
-((((-592) |#4|) . T)) 
-((((-592) |#3|) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-654 (-592)))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
+(|has| |#1| (|Finite|)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((((|OutputForm|)) . T)) 
+(((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+(AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|))) 
+((((|Symbol|) (|PAdicInteger| |#1|)) |has| (|PAdicInteger| |#1|) (|InnerEvalable| (|Symbol|) (|PAdicInteger| |#1|))) (((|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) |has| (|PAdicInteger| |#1|) (|Evalable| (|PAdicInteger| |#1|)))) 
+(((|#1|) . T)) 
+((((|Integer|) |#4|) . T)) 
+((((|Integer|) |#3|) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T) (((-592)) . T) (((-433 (-592))) . T)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((($) . T) (((-592)) . T) (((-433 (-592))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-592) (-592)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) |has| |#1| (-582))) 
-((((-592) |#4|) . T)) 
-((((-592) |#3|) . T)) 
-((((-877)) . T)) 
-((((-592)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-877)) . T)) 
-((((-592) |#1|) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-879 |#1|) $) . T) (((-879 |#1|) |#2|) . T)) 
-((((-332 |#1|) (-332 |#1|)) . T)) 
-((($) . T)) 
-((($ $) . T) (((-1191) $) . T) (((-1191) |#1|) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-((((-332 |#1|)) . T)) 
-(((|#2| |#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075))) (($ $) |has| |#2| (-194))) 
-((((-168)) . T)) 
-((($) -3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2|) |has| |#2| (-194)) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-(((|#1|) . T)) 
-(-12 (|has| |#1| (-394)) (|has| |#2| (-394))) 
-((((-877)) . T)) 
-(((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075))) (($) |has| |#2| (-194))) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-1119)) 
-(|has| $ (-171)) 
-((((-884 |#1|) |#2| (-264 |#2| (-884 |#1|)) (-254 (-1699 |#2|) (-790)) (-995 |#1|) (-801 (-884 |#1|)) (-949 |#1|) (-258 (-949 |#1|)) |#3|) . T)) 
-((((-592) |#1|) . T)) 
-((($) -3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) 
-(|has| |#1| (-388)) 
-(-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-15 * (|#1| (-790) |#1|))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-((((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(((|#2| (-558 (-879 |#1|))) . T)) 
-((((-877)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-605 |#1|)) . T)) 
-((($) . T)) 
-(|has| |#1| (-1211)) 
-(|has| |#1| (-1211)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((($) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Integer|) (|Integer|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) |has| |#1| (|IntegralDomain|))) 
+((((|Integer|) |#4|) . T)) 
+((((|Integer|) |#3|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) |#1|) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((|OrderedVariableList| |#1|) $) . T) (((|OrderedVariableList| |#1|) |#2|) . T)) 
+((((|Expression| |#1|) (|Expression| |#1|)) . T)) 
+((($) . T)) 
+((($ $) . T) (((|Symbol|) $) . T) (((|Symbol|) |#1|) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+((((|Expression| |#1|)) . T)) 
+(((|#2| |#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|))) (($ $) |has| |#2| (|CommutativeRing|))) 
+((((|Character|)) . T)) 
+((($) OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) . T)) 
+(AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))) 
+((((|OutputForm|)) . T)) 
+(((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|))) (($) |has| |#2| (|CommutativeRing|))) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(|has| $ (|CharacteristicZero|)) 
+((((|PseudoAlgebraicClosureOfFiniteField| |#1|) |#2| (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DirectProduct| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) |#3|) . T)) 
+((((|Integer|) |#1|) . T)) 
+((($) OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+(|has| |#1| (|Field|)) 
+(OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) 
+(|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#2| (|IndexedExponents| (|OrderedVariableList| |#1|))) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|InnerPrimeField| |#1|)) . T)) 
+((($) . T)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
 (((|#1|) . T) (($) . T)) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
 (((|#4|) . T)) 
 (((|#3|) . T)) 
-((((-891 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-1211)) 
-(|has| |#1| (-1211)) 
-((((-1191)) -12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-592) |#2|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|PAdicInteger| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+((((|Symbol|)) AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) |#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2| |#3| |#4| |#5|) . T)) 
-((((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582)))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (((-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388)))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#2|) |has| |#2| (-1075))) 
-(|has| |#1| (-1119)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582)))) 
-(|has| |#1| (-194)) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (((-1189 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1|) . T)) 
-(((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388)))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) |has| |#1| (-194)) (($) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-388)) 
-((((-433 (-592)) (-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2| |#2|) . T) (($ $) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((((-877)) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($) . T) ((|#2|) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|)))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#2|) |has| |#2| (|Ring|))) 
+(|has| |#1| (|SetCategory|)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)))) 
+(|has| |#1| (|CommutativeRing|)) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1|) . T)) 
+(((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|)))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (|Field|)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2| |#2|) . T) (($ $) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($) . T) ((|#2|) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
 ((($ $) . T) ((|#2| $) . T) ((|#2| |#1|) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
-((((-1103) |#1|) . T) (((-1103) $) . T) (($ $) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T) (($) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#2|) |has| |#1| (-388))) 
-(((|#1|) . T)) 
-(|has| |#2| (-931)) 
-(((|#2|) |has| |#2| (-1119)) (((-592)) -12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (((-433 (-592))) -12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) 
-((((-592) |#1|) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-((((-433 |#2|) |#3|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#2| |#3| (-879 |#1|)) . T)) 
-((((-1191)) |has| |#2| (-922 (-1191)))) 
-(((|#1|) . T)) 
-(((|#1| (-558 |#2|) |#2|) . T)) 
-(((|#1| (-790) (-1103)) . T)) 
-((((-433 (-592))) |has| |#2| (-388)) (($) . T)) 
-(((|#1| (-558 (-1108 (-1191))) (-1108 (-1191))) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-743)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(|has| |#2| (-815)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#2| (-867)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((((-915 |#1|)) . T) (((-841 |#1|)) . T)) 
-((((-841 (-1191))) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-658 (-592))) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
-(|has| |#1| (-247)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
+((((|SingletonAsOrderedSet|) |#1|) . T) (((|SingletonAsOrderedSet|) $) . T) (($ $) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T) (($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#2|) |has| |#1| (|Field|))) 
+(((|#1|) . T)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(((|#2|) |has| |#2| (|SetCategory|)) (((|Integer|)) AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (((|Fraction| (|Integer|))) AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) 
+((((|Integer|) |#1|) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+((((|Fraction| |#2|) |#3|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#2| |#3| (|OrderedVariableList| |#1|)) . T)) 
+((((|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|)))) 
+(((|#1|) . T)) 
+(((|#1| (|IndexedExponents| |#2|) |#2|) . T)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Field|)) (($) . T)) 
+(((|#1| (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|))) (|SequentialDifferentialVariable| (|Symbol|))) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(|has| |#2| (|OrderedAbelianMonoidSup|)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#2| (|OrderedRing|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|PoincareBirkhoffWittLyndonBasis| |#1|)) . T) (((|OrderedFreeMonoid| |#1|)) . T)) 
+((((|OrderedFreeMonoid| (|Symbol|))) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|List| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
+(|has| |#1| (|DifferentialRing|)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 ((($ $) . T)) 
-((((-1271 |#1| |#2| |#3|) $) -12 (|has| (-1271 |#1| |#2| |#3|) (-303 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388))) (($ $) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Eltable| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-194)) 
-((((-1154 |#1| |#2|)) |has| (-1154 |#1| |#2|) (-325 (-1154 |#1| |#2|)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#2|) . T) (((-592)) |has| |#2| (-1065 (-592))) (((-433 (-592))) |has| |#2| (-1065 (-433 (-592))))) 
-(((|#3| |#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
+(|has| |#1| (|CommutativeRing|)) 
+((((|SplittingNode| |#1| |#2|)) |has| (|SplittingNode| |#1| |#2|) (|Evalable| (|SplittingNode| |#1| |#2|)))) 
+(((|#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(((|#3| |#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#3|) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-((((-592) (-1227) (-1227)) . T)) 
-(((|#2|) . T)) 
-((((-877)) -3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) (((-1280 |#2|)) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-592)) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-592) (-168)) . T)) 
-((($) -3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) ((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075)))) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) 
-(((|#2|) |has| |#1| (-388))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+((((|Integer|) (|U16Vector|) (|U16Vector|)) . T)) 
+(((|#2|) . T)) 
+((((|OutputForm|)) OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) (((|Vector| |#2|)) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Integer|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Integer|) (|Character|)) . T)) 
+((($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) ((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|)))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) 
+(((|#2|) |has| |#1| (|Field|))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#1|) |has| |#1| (-194))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((($) . T) (((-433 (-592))) . T) ((|#1|) |has| |#1| (-194))) 
-((($) . T) (((-433 (-592))) . T)) 
-(((|#1| (-558 (-1191)) (-1191)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((($) . T) (((|Fraction| (|Integer|))) . T) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1| (|IndexedExponents| (|Symbol|)) (|Symbol|)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#4| (-194)) 
-(|has| |#3| (-194)) 
-((((-433 (-980 |#1|)) (-433 (-980 |#1|))) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(|has| |#1| (-1119)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(|has| |#1| (-1119)) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-194))) 
-(((|#1| |#1|) |has| |#1| (-194))) 
-((((-887)) . T) (((-433 (-592))) . T)) 
-((((-433 (-592))) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-433 (-980 |#1|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-877)) . T)) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1075)) (((-592)) -12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))) 
+(|has| |#4| (|CommutativeRing|)) 
+(|has| |#3| (|CommutativeRing|)) 
+((((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|))) . T)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|SetCategory|)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|CommutativeRing|))) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|))) 
+((((|PseudoAlgebraicClosureOfRationalNumber|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Fraction| (|Integer|))) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Fraction| (|Polynomial| |#1|))) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|OutputForm|)) . T)) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (|Ring|)) (((|Integer|)) AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-743)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-(|has| |#3| (-815)) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-(|has| |#3| (-867)) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) ((|#2|) |has| |#1| (-388)) ((|#1|) |has| |#1| (-194))) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582)))) 
-(((|#2|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1| (-1171 |#1|)) |has| |#1| (-867))) 
-((((-592) |#2|) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1|) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-325 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-1165))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#1| (-1119)) 
-(((|#2|) . T)) 
-((((-565)) |has| |#2| (-633 (-565))) (((-914 (-405))) |has| |#2| (-633 (-914 (-405)))) (((-914 (-592))) |has| |#2| (-633 (-914 (-592))))) 
-(((|#4|) -3836 (|has| |#4| (-194)) (|has| |#4| (-388)))) 
-(((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)))) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-((($ $) . T) (((-1191) $) |has| |#1| (-247)) (((-1191) |#1|) |has| |#1| (-247)) (((-840 (-1191)) |#1|) . T) (((-840 (-1191)) $) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-((((-592) |#2|) . T)) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((($) -3836 (|has| |#3| (-194)) (|has| |#3| (-867)) (|has| |#3| (-1075))) ((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-1075)))) 
-((((-592) |#1|) . T)) 
-(|has| (-433 |#2|) (-171)) 
-(|has| (-433 |#2|) (-169)) 
-(((|#2|) -12 (|has| |#1| (-388)) (|has| |#2| (-325 |#2|)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-((((-414) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#2| (-1165)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(((|#1|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-414) (-1173)) . T)) 
-(|has| |#1| (-582)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((((-145 |#1|)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-582)) 
-((((-877)) . T)) 
-((((-592) |#1|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(((|#2|) . T)) 
-((((-877)) . T)) 
-(((|#2|) |has| |#2| (-1075)) (((-592)) -12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) 
-((((-841 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-((((-1191) (-57)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-582)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#2|) |has| |#2| (-325 |#2|))) 
-((((-592) (-592)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-1187 |#1|)) . T)) 
-(|has| $ (-171)) 
-(((|#2|) . T)) 
-((((-592) (-592)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((($) . T) (((-592)) . T) (((-433 (-592))) . T)) 
-(|has| |#2| (-394)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-592)) . T) (((-433 (-592))) . T) (($) . T)) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+(|has| |#3| (|OrderedAbelianMonoidSup|)) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+(|has| |#3| (|OrderedRing|)) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) ((|#2|) |has| |#1| (|Field|)) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|)))) 
+(((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|Stream| |#1|)) |has| |#1| (|OrderedRing|))) 
+((((|Integer|) |#2|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1|) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) |has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Evalable| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|StepThrough|))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#1| (|SetCategory|)) 
+(((|#2|) . T)) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Float|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Pattern| (|Integer|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+(((|#4|) OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|Field|)))) 
+(((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((($ $) . T) (((|Symbol|) $) |has| |#1| (|DifferentialRing|)) (((|Symbol|) |#1|) |has| |#1| (|DifferentialRing|)) (((|OrderlyDifferentialVariable| (|Symbol|)) |#1|) . T) (((|OrderlyDifferentialVariable| (|Symbol|)) $) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|) |#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((($) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) ((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Ring|)))) 
+((((|Integer|) |#1|) . T)) 
+(|has| (|Fraction| |#2|) (|CharacteristicZero|)) 
+(|has| (|Fraction| |#2|) (|CharacteristicNonZero|)) 
+(((|#2|) AND (|has| |#1| (|Field|)) (|has| |#2| (|Evalable| |#2|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+((((|FileName|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#2| (|StepThrough|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(((|#1|) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|FileName|) (|String|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) |#1|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2|) |has| |#2| (|Ring|)) (((|Integer|)) AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) 
+((((|OrderedFreeMonoid| |#1|)) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+((((|Symbol|) (|Any|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#2|) |has| |#2| (|Evalable| |#2|))) 
+((((|Integer|) (|Integer|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+(((|#1|) . T)) 
+(((|#1| (|SparseUnivariatePolynomial| |#1|)) . T)) 
+(|has| $ (|CharacteristicZero|)) 
+(((|#2|) . T)) 
+((((|Integer|) (|Integer|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((($) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#2| (|Finite|)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Integer|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-592)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-1189 |#1| |#2| |#3|) $) -12 (|has| (-1189 |#1| |#2| |#3|) (-303 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388))) (($ $) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((($) . T) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) |has| |#1| (-1119))) 
+((((|Integer|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Eltable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))) (($ $) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
 ((($ $) . T)) 
 ((($ $) . T)) 
-((((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) -12 (|has| (-1271 |#1| |#2| |#3|) (-325 (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388))) (((-1191) (-1271 |#1| |#2| |#3|)) -12 (|has| (-1271 |#1| |#2| |#3|) (-547 (-1191) (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-592) (-1229) (-1229)) . T)) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((((-592) (-168)) . T)) 
-((((-168)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-869)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) 
-((((-141)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-141)) . T)) 
-(((|#1|) . T)) 
-((((-565)) |has| |#1| (-633 (-565))) (((-237)) |has| |#1| (-1049)) (((-405)) |has| |#1| (-1049))) 
-((((-877)) . T)) 
-(|has| |#1| (-842)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(|has| |#1| (-869)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-931)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(((|#1| (-1280 |#1|) (-1280 |#1|)) . T)) 
-((((-592) (-168)) . T)) 
-((($) . T)) 
-(-3836 (|has| |#4| (-194)) (|has| |#4| (-867)) (|has| |#4| (-1075))) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-(((|#2| (-790)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1| (-1000)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))) (((|Symbol|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|InnerEvalable| (|Symbol|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Integer|) (|U32Vector|) (|U32Vector|)) . T)) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((((|Integer|) (|Character|)) . T)) 
+((((|Character|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) 
+((((|Boolean|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Boolean|)) . T)) 
+(((|#1|) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) (((|DoubleFloat|)) |has| |#1| (|RealConstant|)) (((|Float|)) |has| |#1| (|RealConstant|))) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|OrderedIntegralDomain|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(|has| |#1| (|OrderedSet|)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(((|#1|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(((|#1| (|Vector| |#1|) (|Vector| |#1|)) . T)) 
+((((|Integer|) (|Character|)) . T)) 
+((($) . T)) 
+(OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|OrderedRing|)) (|has| |#4| (|Ring|))) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+(((|#2| (|NonNegativeInteger|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1| (|Partition|)) . T)) 
 (((|#1| |#1|) . T)) 
-(|has| (-433 (-592)) (-169)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(|has| (-433 (-592)) (-169)) 
-(((|#1| (-592)) . T)) 
+(|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) 
+(((|#1| (|Integer|)) . T)) 
 ((($) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-743)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(-12 (|has| |#1| (-502)) (|has| |#2| (-502))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) 
 (((|#1|) . T)) 
-(|has| |#2| (-815)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
+(|has| |#2| (|OrderedAbelianMonoidSup|)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
 (((|#1| |#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#2| (-867)) 
-(-12 (|has| |#1| (-815)) (|has| |#2| (-815))) 
-(-12 (|has| |#1| (-815)) (|has| |#2| (-815))) 
-(-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#2| (|OrderedRing|)) 
+(AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) 
+(AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) 
+(OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))) 
 (((|#1| |#2|) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-(((|#1|) |has| |#1| (-194))) 
-((((-877)) . T)) 
-(|has| |#1| (-373)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#1|) . T)) 
-(|has| |#1| (-850)) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1| $) |has| |#1| (-303 |#1| |#1|))) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582))) 
-((($) |has| |#1| (-582))) 
-(((|#4|) |has| |#4| (-1119))) 
-(((|#3|) |has| |#3| (-1119))) 
-(|has| |#3| (-394)) 
-(((|#1|) . T) (((-877)) . T)) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-1271 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1|) |has| |#1| (-194))) 
-((((-877)) . T)) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582)))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-194))) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|FiniteFieldCategory|)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#1|) . T)) 
+(|has| |#1| (|OpenMath|)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1| $) |has| |#1| (|Eltable| |#1| |#1|))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|))) 
+((($) |has| |#1| (|IntegralDomain|))) 
+(((|#4|) |has| |#4| (|SetCategory|))) 
+(((|#3|) |has| |#3| (|SetCategory|))) 
+(|has| |#3| (|Finite|)) 
+(((|#1|) . T) (((|OutputForm|)) . T)) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|)))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#2|) . T)) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-388)) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((($ $) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2| |#2|) . T) (((-433 (-592)) (-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2|) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-((((-168)) . T)) 
-(((|#1|) . T)) 
-((((-168)) . T)) 
-((($) -3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) ((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075)))) 
-((((-168)) . T)) 
+(|has| |#2| (|Field|)) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((($ $) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2| |#2|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2|) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+((((|Character|)) . T)) 
+(((|#1|) . T)) 
+((((|Character|)) . T)) 
+((($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) ((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|)))) 
+((((|Character|)) . T)) 
 (((|#1| |#2| |#3|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) 
-(|has| $ (-171)) 
-(|has| $ (-171)) 
-((((-592)) . T)) 
-(|has| |#1| (-1119)) 
-((((-877)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-502)) (|has| |#1| (-582)) (|has| |#1| (-1075)) (|has| |#1| (-1131))) 
-((($ $) |has| |#1| (-303 $ $)) ((|#1| $) |has| |#1| (-303 |#1| |#1|))) 
-(((|#1| (-433 (-592))) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-592)) . T)) 
-((((-1191)) . T)) 
-(|has| |#1| (-582)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-877)) . T)) 
-(|has| |#2| (-169)) 
-(|has| |#2| (-171)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) 
+(|has| $ (|CharacteristicZero|)) 
+(|has| $ (|CharacteristicZero|)) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|)) (|has| |#1| (|SemiGroup|))) 
+((($ $) |has| |#1| (|Eltable| $ $)) ((|#1| $) |has| |#1| (|Eltable| |#1| |#1|))) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+(((|#1| (|Integer|)) . T)) 
+((((|Symbol|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(|has| |#2| (|CharacteristicZero|)) 
 (((|#2|) . T) (($) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(|has| |#4| (-867)) 
-(((|#2| (-254 (-1699 |#1|) (-790)) (-879 |#1|)) . T)) 
-(|has| |#3| (-867)) 
-(((|#1| (-558 |#3|) |#3|) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((((-433 (-592)) (-433 (-592))) |has| |#2| (-388)) (($ $) . T)) 
-((((-891 |#1|)) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-169)) 
-((((-433 (-592))) |has| |#2| (-388)) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-373)) (|has| |#1| (-394))) 
-((((-1156 |#2| |#1|)) . T) ((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-194)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#4| (|OrderedRing|)) 
+(((|#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|OrderedVariableList| |#1|)) . T)) 
+(|has| |#3| (|OrderedRing|)) 
+(((|#1| (|IndexedExponents| |#3|) |#3|) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Field|)) (($ $) . T)) 
+((((|PAdicInteger| |#1|)) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Field|)) (($) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Finite|))) 
+((((|SquareMatrix| |#2| |#1|)) . T) ((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (|CommutativeRing|)) 
 (((|#1| |#2|) . T)) 
-(-12 (|has| |#2| (-247)) (|has| |#2| (-1075))) 
-(((|#2|) . T) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-((((-877)) . T)) 
+(AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|))) 
+(((|#2|) . T) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+((((|OutputForm|)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T) (($) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-715)) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(|has| |#1| (-582)) 
+((((|MachineFloat|)) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(|has| |#1| (|IntegralDomain|)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-1191) (-57)) . T)) 
-((((-877)) . T)) 
-((((-565)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
+((((|Symbol|) (|Any|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
-((((-565)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
-(((|#1| (-592)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
+(((|#1| (|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-(((|#3|) . T) (((-631 $)) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+(((|#3|) . T) (((|Kernel| $)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
 ((($ $) . T) ((|#2| $) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) -12 (|has| (-1189 |#1| |#2| |#3|) (-325 (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388))) (((-1191) (-1189 |#1| |#2| |#3|)) -12 (|has| (-1189 |#1| |#2| |#3|) (-547 (-1191) (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))) (((|Symbol|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|InnerEvalable| (|Symbol|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) |has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))))) 
-((((-877)) . T)) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) |has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))))) 
+((((|OutputForm|)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((((-1191) (-57)) . T)) 
+((((|Symbol|) (|Any|)) . T)) 
 (((|#3|) . T)) 
-((($ $) . T) (((-879 |#1|) $) . T) (((-879 |#1|) |#2|) . T)) 
-(|has| |#1| (-850)) 
-((((-332 |#1|)) . T)) 
-(|has| |#1| (-1119)) 
-(((|#2| |#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075))) (($ $) |has| |#2| (-194))) 
-(((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)))) 
-((((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((|#1| |#2|) . T)) 
-(((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075))) (($) |has| |#2| (-194))) 
-((((-790)) . T)) 
-((((-592)) . T)) 
-(|has| |#1| (-582)) 
-((((-877)) . T)) 
-(((|#1| (-433 (-592)) (-1103)) . T)) 
-(|has| |#1| (-169)) 
-(((|#1|) . T)) 
-(|has| |#1| (-582)) 
-((((-592)) . T)) 
-((((-145 |#1|)) . T)) 
-(((|#1| (-592) (-1103)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(|has| |#1| (-171)) 
-((((-914 (-592))) . T) (((-914 (-405))) . T) (((-565)) . T) (((-1191)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-((($) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-((($) -3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2|) |has| |#2| (-194)) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-((((-891 |#1|)) . T)) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) 
-((((-877)) . T)) 
-(-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) 
-(|has| |#2| (-1165)) 
-((((-57)) . T) (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-(|has| |#2| (-582)) 
+((($ $) . T) (((|OrderedVariableList| |#1|) $) . T) (((|OrderedVariableList| |#1|) |#2|) . T)) 
+(|has| |#1| (|OpenMath|)) 
+((((|Expression| |#1|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#2| |#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|))) (($ $) |has| |#2| (|CommutativeRing|))) 
+(((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)))) 
+((((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|#1| |#2|) . T)) 
+(((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|))) (($) |has| |#2| (|CommutativeRing|))) 
+((((|NonNegativeInteger|)) . T)) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(((|#1|) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|Integer|)) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+(((|#1| (|Integer|) (|SingletonAsOrderedSet|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|Pattern| (|Integer|))) . T) (((|Pattern| (|Float|))) . T) (((|InputForm|)) . T) (((|Symbol|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+((($) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+((($) OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|PAdicInteger| |#1|)) . T)) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) 
+((((|OutputForm|)) . T)) 
+(AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) 
+(|has| |#2| (|StepThrough|)) 
+((((|Any|)) . T) (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+(|has| |#2| (|IntegralDomain|)) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-(((|#1| (-592) (-1103)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| (-433 (-592)) (-1103)) . T)) 
-((($) -3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((((-592) |#2|) . T)) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+(((|#1| (|Integer|) (|SingletonAsOrderedSet|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T)) 
+((($) OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((((|Integer|) |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-394)) 
-(-12 (|has| |#1| (-394)) (|has| |#2| (-394))) 
-((((-877)) . T)) 
-((((-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((|#1| |#1|) |has| |#1| (-325 |#1|))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(((|#1|) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582))) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-1189 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1|) |has| |#1| (-194))) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582)))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-373)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-(|has| |#1| (-582)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-877)) . T)) 
+(|has| |#2| (|Finite|)) 
+(AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))) 
+((((|OutputForm|)) . T)) 
+((((|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|#1| |#1|) |has| |#1| (|Evalable| |#1|))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|))) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|)))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|FiniteFieldCategory|)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((((-592)) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-891 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-877)) . T)) 
-(|has| (-433 (-592)) (-169)) 
-(|has| (-433 (-592)) (-169)) 
-(((|#3| |#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-1075))) (($ $) |has| |#3| (-194))) 
-(|has| |#1| (-1049)) 
-((((-877)) . T)) 
-(((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-1075))) (($) |has| |#3| (-194))) 
-((((-592) (-141)) . T)) 
-(((|#1|) |has| |#1| (-325 |#1|))) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-((((-1191) $) |has| |#1| (-547 (-1191) $)) (($ $) |has| |#1| (-325 $)) ((|#1| |#1|) |has| |#1| (-325 |#1|)) (((-1191) |#1|) |has| |#1| (-547 (-1191) |#1|))) 
-(|has| |#2| (-582)) 
-((((-1191)) |has| |#1| (-922 (-1191)))) 
-(-3836 (-12 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373))) 
-((((-414) (-1137)) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|PAdicInteger| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) 
+(|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) 
+(((|#3| |#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Ring|))) (($ $) |has| |#3| (|CommutativeRing|))) 
+(|has| |#1| (|RealConstant|)) 
+((((|OutputForm|)) . T)) 
+(((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Ring|))) (($) |has| |#3| (|CommutativeRing|))) 
+((((|Integer|) (|Boolean|)) . T)) 
+(((|#1|) |has| |#1| (|Evalable| |#1|))) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+((((|Symbol|) $) |has| |#1| (|InnerEvalable| (|Symbol|) $)) (($ $) |has| |#1| (|Evalable| $)) ((|#1| |#1|) |has| |#1| (|Evalable| |#1|)) (((|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) 
+(|has| |#2| (|IntegralDomain|)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|)))) 
+(OR (AND (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|))) 
+((((|FileName|) (|SingleInteger|)) . T)) 
 (((|#1| |#4|) . T)) 
 (((|#1| |#3|) . T)) 
-((((-414) |#1|) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-1119)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-932 |#1|)) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
+((((|FileName|) |#1|) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (((|#1| |#1|) . T)) 
-((((-891 |#1|)) |has| (-891 |#1|) (-325 (-891 |#1|)))) 
-(|has| |#1| (-1211)) 
+((((|PAdicInteger| |#1|)) |has| (|PAdicInteger| |#1|) (|Evalable| (|PAdicInteger| |#1|)))) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(-12 (|has| |#1| (-815)) (|has| |#2| (-815))) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) 
 (((|#1|) . T)) 
-(-12 (|has| |#1| (-815)) (|has| |#2| (-815))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
+(AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
 (((|#2|) . T) (($) . T)) 
-(((|#2|) . T) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#1| (-1211)) 
-((((-592) (-592)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#4|) |has| |#4| (-1075))) 
-(((|#3|) |has| |#3| (-1075))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(|has| |#1| (-388)) 
-((((-592)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1| |#1|) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-565)) |has| |#3| (-633 (-565)))) 
-((((-706 |#3|)) . T) (((-877)) . T)) 
+(((|#2|) . T) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+((((|Integer|) (|Integer|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#4|) |has| |#4| (|Ring|))) 
+(((|#3|) |has| |#3| (|Ring|))) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|Field|)) 
+((((|Integer|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1| |#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|InputForm|)) |has| |#3| (|ConvertibleTo| (|InputForm|)))) 
+((((|Matrix| |#3|)) . T) (((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-867)) 
-((($) . T) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((((-592) |#3|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) |has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))))) 
-((($) . T)) 
-((((-433 $) (-433 $)) |has| |#2| (-582)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-191 (-237))) . T)) 
-((((-237)) . T)) 
-(((|#2|) |has| |#2| (-1119))) 
-((((-877)) -3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) (((-1280 |#2|)) . T)) 
-(|has| |#2| (-869)) 
-(|has| |#1| (-869)) 
-(|has| |#1| (-869)) 
-((($) . T)) 
-((((-1173) (-57)) . T)) 
-(|has| |#1| (-869)) 
-((((-877)) . T)) 
-((((-592)) |has| (-433 |#2|) (-654 (-592))) (((-433 |#2|)) . T)) 
-((((-592) (-168)) . T)) 
-((((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((|#1| |#2|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-877)) . T)) 
-((((-932 |#1|)) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-867)) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|OrderedRing|)) 
+((($) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((((|Integer|) |#3|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) |has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))))) 
+((($) . T)) 
+((((|Fraction| $) (|Fraction| $)) |has| |#2| (|IntegralDomain|)) (($ $) . T) ((|#2| |#2|) . T)) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+((((|DoubleFloat|)) . T)) 
+(((|#2|) |has| |#2| (|SetCategory|))) 
+((((|OutputForm|)) OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) (((|Vector| |#2|)) . T)) 
+(|has| |#2| (|OrderedSet|)) 
+(|has| |#1| (|OrderedSet|)) 
+(|has| |#1| (|OrderedSet|)) 
+((($) . T)) 
+((((|String|) (|Any|)) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) |has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|))) (((|Fraction| |#2|)) . T)) 
+((((|Integer|) (|Character|)) . T)) 
+((((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|#1| |#2|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|OrderedRing|)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#1| (-867)) 
-((((-1191)) |has| |#1| (-922 (-1191)))) 
-((((-884 |#1|)) . T)) 
-(((|#1| (-1191)) . T)) 
-(((|#1| (-1280 |#1|) (-1280 |#1|)) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|)))) 
+((((|PseudoAlgebraicClosureOfFiniteField| |#1|)) . T)) 
+(((|#1| (|Symbol|)) . T)) 
+(((|#1| (|Vector| |#1|) (|Vector| |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
 ((($ $) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1| (-1191) (-840 (-1191)) (-558 (-840 (-1191)))) . T)) 
-((((-433 (-980 |#1|))) . T)) 
-((((-565)) . T)) 
-((((-877)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1| (|Symbol|) (|OrderlyDifferentialVariable| (|Symbol|)) (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) . T)) 
+((((|Fraction| (|Polynomial| |#1|))) . T)) 
+((((|InputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T) (($) . T)) 
-((((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#3|) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931)))) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-565)) |has| |#1| (-633 (-565))) (((-914 (-405))) |has| |#1| (-633 (-914 (-405)))) (((-914 (-592))) |has| |#1| (-633 (-914 (-592))))) 
-((((-877)) . T)) 
-(((|#2|) . T) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#2| (-867)) 
-(-12 (|has| |#2| (-247)) (|has| |#2| (-1075))) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-1165)) 
-((((-1173) |#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) ((|#1| |#1|) . T)) 
-((((-433 (-592))) |has| |#1| (-1065 (-592))) (((-592)) |has| |#1| (-1065 (-592))) (((-1191)) |has| |#1| (-1065 (-1191))) ((|#1|) . T)) 
-((((-592) |#2|) . T)) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-((((-592)) |has| |#1| (-908 (-592))) (((-405)) |has| |#1| (-908 (-405)))) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) ((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-658 |#4|)) . T) (((-877)) . T)) 
-((((-565)) |has| |#4| (-633 (-565)))) 
-((((-565)) |has| |#4| (-633 (-565)))) 
-((((-877)) . T) (((-658 |#4|)) . T)) 
-((($) |has| |#1| (-867))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-194))) 
-((((-658 |#4|)) . T) (((-877)) . T)) 
-((((-565)) |has| |#4| (-633 (-565)))) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-((((-1191)) |has| (-433 |#2|) (-922 (-1191)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-((((-592) (-1231) (-1231)) . T)) 
-((($) . T)) 
-((($) . T)) 
-(((|#2|) . T)) 
-((((-877)) -3836 (|has| |#3| (-25)) (|has| |#3| (-158)) (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-394)) (|has| |#3| (-743)) (|has| |#3| (-815)) (|has| |#3| (-867)) (|has| |#3| (-1075)) (|has| |#3| (-1119))) (((-1280 |#3|)) . T)) 
-((((-592) |#2|) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#2| |#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075))) (($ $) |has| |#2| (-194))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((|#2|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-1173) (-1191) (-592) (-237) (-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-877)) . T)) 
-((((-592) (-141)) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-141)) . T)) 
-((((-141)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-141)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) |has| |#1| (-1119))) 
-(((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-1075))) (($) |has| |#2| (-194))) 
-(|has| $ (-171)) 
-((((-433 |#2|)) . T)) 
-((((-433 (-592))) |has| (-433 |#2|) (-1065 (-433 (-592)))) (((-592)) |has| (-433 |#2|) (-1065 (-592))) (((-433 |#2|)) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+(((|#2|) . T) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#2| (|OrderedRing|)) 
+(AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|))) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|StepThrough|)) 
+((((|String|) |#1|) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Integer|))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Symbol|)) |has| |#1| (|RetractableTo| (|Symbol|))) ((|#1|) . T)) 
+((((|Integer|) |#2|) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+((((|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) (((|Float|)) |has| |#1| (|PatternMatchable| (|Float|)))) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|List| |#4|)) . T) (((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|)))) 
+((((|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) . T) (((|List| |#4|)) . T)) 
+((($) |has| |#1| (|OrderedRing|))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|CommutativeRing|))) 
+((((|List| |#4|)) . T) (((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|)))) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+((((|Symbol|)) |has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+((((|Integer|) (|U8Vector|) (|U8Vector|)) . T)) 
+((($) . T)) 
+((($) . T)) 
+(((|#2|) . T)) 
+((((|OutputForm|)) OR (|has| |#3| (|AbelianSemiGroup|)) (|has| |#3| (|CancellationAbelianMonoid|)) (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Finite|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|)) (|has| |#3| (|SetCategory|))) (((|Vector| |#3|)) . T)) 
+((((|Integer|) |#2|) . T)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#2| |#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|))) (($ $) |has| |#2| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|String|) (|Symbol|) (|Integer|) (|DoubleFloat|) (|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) (|Boolean|)) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Boolean|)) . T)) 
+((((|Boolean|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Boolean|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Ring|))) (($) |has| |#2| (|CommutativeRing|))) 
+(|has| $ (|CharacteristicZero|)) 
+((((|Fraction| |#2|)) . T)) 
+((((|Fraction| (|Integer|))) |has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| (|Fraction| |#2|) (|RetractableTo| (|Integer|))) (((|Fraction| |#2|)) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#4|) |has| |#4| (-194))) 
-(|has| |#2| (-169)) 
-(|has| |#2| (-171)) 
-(((|#3|) |has| |#3| (-194))) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(|has| |#1| (-171)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(|has| |#1| (-171)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(|has| |#1| (-171)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(|has| |#2| (-247)) 
-((((-1191) (-57)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
+(((|#4|) |has| |#4| (|CommutativeRing|))) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(|has| |#2| (|CharacteristicZero|)) 
+(((|#3|) |has| |#3| (|CommutativeRing|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (|DifferentialRing|)) 
+((((|Symbol|) (|Any|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
 (((|#1| |#1|) . T)) 
-((((-1191)) |has| |#2| (-922 (-1191)))) 
-((((-592) (-141)) . T)) 
-(|has| |#1| (-582)) 
+((((|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|)))) 
+((((|Integer|) (|Boolean|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
 (((|#3|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-565)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-1027 |#1|)) . T) ((|#1|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-433 (-592))) . T) (((-433 |#1|)) . T) ((|#1|) . T) (($) . T)) 
-(((|#1| (-1187 |#1|)) . T)) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Quaternion| |#1|)) . T) ((|#1|) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|Fraction| |#1|)) . T) ((|#1|) . T) (($) . T)) 
+(((|#1| (|SparseUnivariatePolynomial| |#1|)) . T)) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
 (((|#3|) . T) (($) . T)) 
-(|has| |#1| (-869)) 
-(((|#2|) . T)) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-((((-592) |#2|) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#2|) . T)) 
-((((-592) |#3|) . T)) 
-(((|#2|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-877)) . T)) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-(((|#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) 
-(|has| |#1| (-1119)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
+(|has| |#1| (|OrderedSet|)) 
+(((|#2|) . T)) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+((((|Integer|) |#2|) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2|) . T)) 
+((((|Integer|) |#3|) . T)) 
+(((|#2|) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+(((|#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
+(|has| |#1| (|SetCategory|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
 (((|#2| |#2|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-388)) 
-(((|#2|) . T) (((-592)) |has| |#2| (-1065 (-592))) (((-433 (-592))) |has| |#2| (-1065 (-433 (-592))))) 
+(|has| |#2| (|Field|)) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) 
 (((|#2|) . T)) 
-((((-1103) |#2|) . T) (((-1103) $) . T) (($ $) . T)) 
-((((-1173) (-57)) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-((((-592) |#3|) . T)) 
-((((-592) (-168)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-168)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-931)) 
-((((-141)) . T)) 
-(|has| |#1| (-171)) 
+((((|SingletonAsOrderedSet|) |#2|) . T) (((|SingletonAsOrderedSet|) $) . T) (($ $) . T)) 
+((((|String|) (|Any|)) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+((((|Integer|) |#3|) . T)) 
+((((|Integer|) (|Character|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Character|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((((|Boolean|)) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
 (((|#1|) . T)) 
-(|has| |#1| (-169)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
 ((($) . T)) 
-((((-592)) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-171)) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|CharacteristicZero|)) 
 ((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#1|) . T)) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
-(((|#1| (-801 |#1|)) . T)) 
-((((-877)) . T)) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
-((((-1173) (-57)) . T)) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(((|#1| (|NeitherSparseOrDensePowerSeries| |#1|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
+((((|String|) (|Any|)) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#1| |#2|) . T)) 
-((((-592) (-168)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#1| (-869)) 
-(((|#2| (-790) (-1103)) . T)) 
+((((|Integer|) (|Character|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) ((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|OrderedSet|)) 
+(((|#2| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(|has| |#1| (-813)) 
-(((|#1|) |has| |#1| (-194))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|OrderedAbelianGroup|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
 (((|#1| |#2|) . T)) 
-(-3836 (|has| |#1| (-171)) (-12 (|has| |#1| (-388)) (|has| |#2| (-171)))) 
-(-3836 (|has| |#1| (-169)) (-12 (|has| |#1| (-388)) (|has| |#2| (-169)))) 
+(OR (|has| |#1| (|CharacteristicZero|)) (AND (|has| |#1| (|Field|)) (|has| |#2| (|CharacteristicZero|)))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (AND (|has| |#1| (|Field|)) (|has| |#2| (|CharacteristicNonZero|)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-169)) 
-((((-1173) |#1|) . T)) 
-(|has| |#1| (-171)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|String|) |#1|) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
 (((|#1|) . T)) 
-((((-592)) . T)) 
-((((-877)) . T)) 
+((((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#3|) . T)) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#1|) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-877)) |has| |#1| (-1119)) (((-986 |#1|)) . T)) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-867)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#2| (-388)) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#2|) |has| |#2| (-1075))) 
-((((-1173) |#1|) . T)) 
-(((|#3| |#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) 
-(((|#2| (-915 |#1|)) . T)) 
-((($) . T)) 
-((($) -3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2|) |has| |#2| (-194)) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-((((-414) (-1173)) . T)) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) -3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) (((-1280 |#2|)) . T)) 
-((((-57)) . T) (((-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-((((-168)) . T)) 
-(|has| |#2| (-169)) 
-(|has| |#2| (-171)) 
-(|has| |#1| (-502)) 
-(-3836 (|has| |#1| (-502)) (|has| |#1| (-743)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
-(|has| |#1| (-388)) 
-((((-877)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582))) 
-((($) |has| |#1| (-582))) 
-(|has| |#2| (-582)) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-867)) 
-((((-877)) . T)) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-1271 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1|) |has| |#1| (-194))) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582)))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#1|) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|)) (((|PrimitiveArray| |#1|)) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|OrderedRing|)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#2| (|Field|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#2|) |has| |#2| (|Ring|))) 
+((((|String|) |#1|) . T)) 
+(((|#3| |#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
+(((|#2| (|PoincareBirkhoffWittLyndonBasis| |#1|)) . T)) 
+((($) . T)) 
+((($) OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|FileName|) (|String|)) . T)) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) (((|Vector| |#2|)) . T)) 
+((((|Any|)) . T) (((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+((((|Character|)) . T)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(|has| |#2| (|CharacteristicZero|)) 
+(|has| |#1| (|Group|)) 
+(OR (|has| |#1| (|Group|)) (|has| |#1| (|Monoid|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
+(|has| |#1| (|Field|)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|))) 
+((($) |has| |#1| (|IntegralDomain|))) 
+(|has| |#2| (|IntegralDomain|)) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|OrderedRing|)) 
+((((|OutputForm|)) . T)) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|)))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
 (((|#1| |#2|) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191)))) 
-((((-932 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-1119)) 
-(((|#2| (-517 (-1699 |#1|) (-790)) (-879 |#1|)) . T)) 
-((((-433 (-592))) |has| |#2| (-388)) (($) |has| |#2| (-388))) 
-(((|#1| (-558 (-1191)) (-1191)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|)))) 
+((((|PrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|OrderedVariableList| |#1|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Field|)) (($) |has| |#2| (|Field|))) 
+(((|#1| (|IndexedExponents| (|Symbol|)) (|Symbol|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#3|) . T)) 
 (((|#3|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-194)) 
+(|has| |#2| (|CommutativeRing|)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(((|#1|) . T) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
+(((|#1|) . T) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
 (((|#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) . T)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-1191) (-57)) . T)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Symbol|) (|Any|)) . T)) 
 ((($ $) . T)) 
-(((|#1| (-592)) . T)) 
-((((-932 |#1|)) . T)) 
-(((|#1|) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-1075))) (($) -3836 (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075)))) 
-(((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-(|has| |#1| (-869)) 
-(|has| |#1| (-869)) 
-((((-592) |#2|) . T)) 
-((((-592)) . T)) 
-((((-1271 |#1| |#2| |#3|)) -12 (|has| (-1271 |#1| |#2| |#3|) (-325 (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) 
-(|has| |#1| (-869)) 
-((((-706 |#2|)) . T) (((-877)) . T)) 
+(((|#1| (|Integer|)) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+(((|#1|) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|Ring|))) (($) OR (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|)))) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|OrderedSet|)) 
+(|has| |#1| (|OrderedSet|)) 
+((((|Integer|) |#2|) . T)) 
+((((|Integer|)) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) 
+(|has| |#1| (|OrderedSet|)) 
+((((|Matrix| |#2|)) . T) (((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-433 (-980 |#1|))) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)))) 
-(|has| |#2| (-869)) 
-(|has| |#1| (-869)) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((((-592) |#2|) . T)) 
-(((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)))) 
-(|has| |#1| (-373)) 
-(((|#3| |#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) 
-((($) . T) (((-433 (-592))) . T)) 
-((((-592) (-141)) . T)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-867)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191))) (((-1103)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-867)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) |has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#1| (-1119)) 
+((((|Fraction| (|Polynomial| |#1|))) . T)) 
+(((|#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)))) 
+(|has| |#2| (|OrderedSet|)) 
+(|has| |#1| (|OrderedSet|)) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((((|Integer|) |#2|) . T)) 
+(((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)))) 
+(|has| |#1| (|FiniteFieldCategory|)) 
+(((|#3| |#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Integer|) (|Boolean|)) . T)) 
+(|has| |#1| (|OrderedIntegralDomain|)) 
+(|has| |#1| (|OrderedIntegralDomain|)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|OrderedRing|)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) (((|SingletonAsOrderedSet|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) |has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#1| (|SetCategory|)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| |#2| |#3| (-254 |#2| |#3|) (-254 |#1| |#3|)) . T)) 
+(((|#1| |#2| |#3| (|DirectProduct| |#2| |#3|) (|DirectProduct| |#1| |#3|)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-558 |#2|) |#2|) . T)) 
-((((-877)) . T)) 
-(((|#1| (-790) (-1103)) . T)) 
+(((|#1| (|IndexedExponents| |#2|) |#2|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-((((-168)) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) 
+((((|Character|)) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) 
 (((|#1|) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#3| (-194)) 
-(((|#4|) |has| |#4| (-388))) 
-(((|#3|) |has| |#3| (-388))) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#3| (|CommutativeRing|)) 
+(((|#4|) |has| |#4| (|Field|))) 
+(((|#3|) |has| |#3| (|Field|))) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#1| (-388))) 
+(((|#2|) |has| |#1| (|Field|))) 
 (((|#2|) . T)) 
-(((|#1| (-1187 |#1|)) . T)) 
-((((-1103)) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) . T)) 
+(((|#1| (|SparseUnivariatePolynomial| |#1|)) . T)) 
+((((|SingletonAsOrderedSet|)) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) . T)) 
 (((|#2|) . T)) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((($) |has| |#1| (-867))) 
-(|has| |#1| (-931)) 
-((((-877)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((($) |has| |#1| (|OrderedRing|))) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) |has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))))) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) |has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))))) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
 (((|#1|) . T) (($) . T)) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)))) 
-(|has| |#1| (-869)) 
-(|has| |#1| (-582)) 
-((((-605 |#1|)) . T)) 
+(((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)))) 
+(|has| |#1| (|OrderedSet|)) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|InnerPrimeField| |#1|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
-(-3836 (-12 (|has| |#1| (-388)) (|has| |#2| (-842))) (-12 (|has| |#1| (-388)) (|has| |#2| (-869)))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((((-932 |#1|)) . T)) 
-(((|#1| (-529 |#1| |#3|) (-529 |#1| |#2|)) . T)) 
+(OR (AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) (AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedSet|)))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((((|PrimeField| |#1|)) . T)) 
+(((|#1| (|IndexedOneDimensionalArray| |#1| |#3|) (|IndexedOneDimensionalArray| |#1| |#2|)) . T)) 
 (((|#1| |#4| |#5|) . T)) 
-(((|#1| (-790)) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582))) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-1189 |#1| |#2| |#3|)) |has| |#1| (-388)) ((|#1|) |has| |#1| (-194))) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582)))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-688 |#1|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|))) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|)) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|)))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|LyndonWord| |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-565)) . T)) 
-((((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-877)) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#2|) . T)) 
-(-3836 (|has| |#3| (-25)) (|has| |#3| (-158)) (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-394)) (|has| |#3| (-743)) (|has| |#3| (-815)) (|has| |#3| (-867)) (|has| |#3| (-1075)) (|has| |#3| (-1119))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-(|has| |#1| (-1211)) 
-(|has| |#1| (-1211)) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) 
-(|has| |#1| (-1211)) 
-(|has| |#1| (-1211)) 
+((((|InputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2|) . T)) 
+(OR (|has| |#3| (|AbelianSemiGroup|)) (|has| |#3| (|CancellationAbelianMonoid|)) (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Finite|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|)) (|has| |#3| (|SetCategory|))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
 (((|#3| |#3|) . T)) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-((($) . T) (((-433 (-592))) . T) (((-433 |#1|)) . T) ((|#1|) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T) (((-433 |#1|) (-433 |#1|)) . T) ((|#1| |#1|) . T)) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T) (((|Fraction| |#1|)) . T) ((|#1|) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (((|Fraction| |#1|) (|Fraction| |#1|)) . T) ((|#1| |#1|) . T)) 
 (((|#3|) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-1173) (-57)) . T)) 
-(|has| |#1| (-1119)) 
-(-3836 (|has| |#2| (-842)) (|has| |#2| (-869))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194)) (($) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((($) . T)) 
-((((-1189 |#1| |#2| |#3|)) -12 (|has| (-1189 |#1| |#2| |#3|) (-325 (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) 
-((((-877)) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((($) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(|has| |#2| (-931)) 
-(|has| |#1| (-388)) 
-(((|#2|) |has| |#2| (-1119))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|String|) (|Any|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(OR (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#2| (|OrderedSet|))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((($) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((($) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|Field|)) 
+(((|#2|) |has| |#2| (|SetCategory|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
 ((($) . T) ((|#2|) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-((((-565)) . T) (((-433 (-1187 (-592)))) . T) (((-237)) . T) (((-405)) . T)) 
-((((-405)) . T) (((-237)) . T) (((-877)) . T)) 
-(|has| |#1| (-931)) 
-(|has| |#1| (-931)) 
-(|has| |#1| (-931)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-(|has| (-191 (-237)) (-869)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|InputForm|)) . T) (((|Fraction| (|SparseUnivariatePolynomial| (|Integer|)))) . T) (((|DoubleFloat|)) . T) (((|Float|)) . T)) 
+((((|Float|)) . T) (((|DoubleFloat|)) . T) (((|OutputForm|)) . T)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+(((|#1|) . T)) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+(|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)) 
 ((($ $) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#1| (-388)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#1| (|Field|)) 
 ((($ $) . T)) 
-((((-592) (-141)) . T)) 
+((((|Integer|) (|Boolean|)) . T)) 
 ((($) . T)) 
-(|has| |#2| (-582)) 
+(|has| |#2| (|IntegralDomain|)) 
 (((|#1|) . T)) 
-((((-141)) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((((-592)) . T)) 
-(((|#1| (-592)) . T)) 
+((((|Boolean|)) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((((|Integer|)) . T)) 
+(((|#1| (|Integer|)) . T)) 
 ((($) . T)) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-592)) . T)) 
+((((|Integer|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1191)) |has| |#1| (-1075))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-877)) . T)) 
-(((|#1| (-790)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-592)) . T)) 
-(((|#1| (-1271 |#1| |#2| |#3|)) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-877)) . T)) 
-(((|#1| (-1243 |#1| |#2| |#3|)) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1| (-790)) . T)) 
-(((|#1|) . T)) 
-((((-1173) |#1|) . T)) 
-((($) . T)) 
-(|has| |#2| (-171)) 
-(|has| |#2| (-169)) 
-(((|#1| (-558 (-840 (-1191))) (-840 (-1191))) . T)) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1075))) 
-((((-592) (-141)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-(|has| |#2| (-194)) 
-((((-592)) . T)) 
-(|has| |#2| (-867)) 
-(((|#1|) . T)) 
-((((-592)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-373))) 
-(|has| |#1| (-171)) 
-((((-877)) . T)) 
+((((|Symbol|)) |has| |#1| (|Ring|))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1| (|Integer|)) . T)) 
+(((|#1| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) . T)) 
+(((|#1|) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|UnivariateLaurentSeries| |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#1|) . T)) 
+((((|String|) |#1|) . T)) 
+((($) . T)) 
+(|has| |#2| (|CharacteristicZero|)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(((|#1| (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|))) (|OrderlyDifferentialVariable| (|Symbol|))) . T)) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (|Ring|))) 
+((((|Integer|) (|Boolean|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(|has| |#2| (|CommutativeRing|)) 
+((((|Integer|)) . T)) 
+(|has| |#2| (|OrderedRing|)) 
+(((|#1|) . T)) 
+((((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|OutputForm|)) . T)) 
 (((|#3|) . T)) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-((((-877)) . T)) 
-((((-1264 |#2| |#3| |#4|)) . T) (((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-((((-877)) . T)) 
-((((-53)) -12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592)))) (((-631 $)) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) -3836 (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592)))) (|has| |#1| (-1065 (-433 (-592))))) (((-433 (-980 |#1|))) |has| |#1| (-582)) (((-980 |#1|)) |has| |#1| (-1075)) (((-1191)) . T)) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+((((|OutputForm|)) . T)) 
+((((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T) (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|AlgebraicNumber|)) AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Kernel| $)) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) OR (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| (|Polynomial| |#1|))) |has| |#1| (|IntegralDomain|)) (((|Polynomial| |#1|)) |has| |#1| (|Ring|)) (((|Symbol|)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-790)) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#1|) |has| |#1| (-194))) 
-(((|#1|) |has| |#1| (-325 |#1|))) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-((((-592)) |has| |#1| (-908 (-592))) (((-405)) |has| |#1| (-908 (-405)))) 
-(((|#1|) . T)) 
-(|has| |#1| (-582)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-(((|#1|) |has| |#1| (-194))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) 
-(((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1119))) 
-(((|#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-388)))) 
-((((-1264 |#2| |#3| |#4|)) . T)) 
-((((-141)) . T)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-(((|#1| (-592) (-1103)) . T)) 
-((($) |has| |#1| (-325 $)) ((|#1|) |has| |#1| (-325 |#1|))) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-867)) 
-(((|#1| (-790) (-1103)) . T)) 
-(-3836 (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-1191)) . T)) 
-(((|#1| (-592) (-1103)) . T)) 
-(((|#1| (-433 (-592)) (-1103)) . T)) 
-(((|#1| (-790) (-1103)) . T)) 
-(|has| |#1| (-869)) 
-((((-932 |#1|) (-932 |#1|)) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(|has| |#2| (-169)) 
-(|has| |#2| (-171)) 
-(((|#2|) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-1119)) 
-((((-932 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-1119)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-((((-592)) -12 (|has| |#1| (-388)) (|has| |#2| (-654 (-592)))) ((|#2|) |has| |#1| (-388))) 
-(((|#2|) |has| |#2| (-1075))) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) 
-(((|#2|) |has| |#2| (-194))) 
-(((|#1|) |has| |#1| (-194))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-((((-877)) . T)) 
-(|has| |#3| (-867)) 
-((((-877)) . T)) 
-((((-1264 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|)) . T)) 
-((((-877)) . T)) 
-(((|#1| |#1|) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-1075)))) 
-(((|#1|) . T)) 
-((((-592)) . T)) 
-((((-877)) . T)) 
-((((-592)) . T)) 
-((((-761 |#1| |#2|)) . T) (((-631 $)) . T) ((|#2|) . T) (((-592)) . T) (((-433 (-592))) -3836 (-12 (|has| |#2| (-582)) (|has| |#2| (-1065 (-592)))) (|has| |#2| (-1065 (-433 (-592))))) (((-433 (-980 |#2|))) |has| |#2| (-582)) (((-980 |#2|)) |has| |#2| (-1075)) (((-1191)) . T)) 
-(((|#1|) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-1075)))) 
-(((|#2|) |has| |#2| (-388))) 
-((((-592)) |has| |#2| (-908 (-592))) (((-405)) |has| |#2| (-908 (-405)))) 
-(((|#2|) . T)) 
-(|has| |#1| (-869)) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-388))) 
-(((|#2|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#1| (-790)) . T)) 
-(((|#2|) . T)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) |has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) . T) (((-592)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-247)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(((|#1|) . T)) 
-(|has| |#1| (-867)) 
-(((|#1| (-592)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|Evalable| |#1|))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+((((|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) (((|Float|)) |has| |#1| (|PatternMatchable| (|Float|)))) 
+(((|#1|) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+(((|#1|) . T)) 
+(((|#3|) |has| |#3| (|SetCategory|))) 
+(((|#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)))) 
+((((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T)) 
+((((|Boolean|)) . T)) 
+(|has| |#1| (|OrderedIntegralDomain|)) 
+(|has| |#1| (|OrderedIntegralDomain|)) 
+(((|#1| (|Integer|) (|SingletonAsOrderedSet|)) . T)) 
+((($) |has| |#1| (|Evalable| $)) ((|#1|) |has| |#1| (|Evalable| |#1|))) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|OrderedRing|)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+(OR (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Symbol|)) . T)) 
+(((|#1| (|Integer|) (|SingletonAsOrderedSet|)) . T)) 
+(((|#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+((((|PrimeField| |#1|) (|PrimeField| |#1|)) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(|has| |#2| (|CharacteristicZero|)) 
+(((|#2|) . T)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|SetCategory|)) 
+((((|PrimeField| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|Integer|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) ((|#2|) |has| |#1| (|Field|))) 
+(((|#2|) |has| |#2| (|Ring|))) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#3| (|OrderedRing|)) 
+((((|OutputForm|)) . T)) 
+((((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#1|) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|Ring|)))) 
+(((|#1|) . T)) 
+((((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) . T)) 
+((((|MyUnivariatePolynomial| |#1| |#2|)) . T) (((|Kernel| $)) . T) ((|#2|) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) OR (AND (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|RetractableTo| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| (|Polynomial| |#2|))) |has| |#2| (|IntegralDomain|)) (((|Polynomial| |#2|)) |has| |#2| (|Ring|)) (((|Symbol|)) . T)) 
+(((|#1|) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|Ring|)))) 
+(((|#2|) |has| |#2| (|Field|))) 
+((((|Integer|)) |has| |#2| (|PatternMatchable| (|Integer|))) (((|Float|)) |has| |#2| (|PatternMatchable| (|Float|)))) 
+(((|#2|) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Field|))) 
+(((|#2|) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#2|) . T)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) |has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Integer|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|DifferentialRing|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+(((|#1| (|Integer|)) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-1189 |#1| |#2| |#3|)) . T)) 
+(((|#1| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-(((|#1| (-1181 |#1| |#2| |#3|)) . T)) 
-(((|#1| (-790)) . T)) 
-(((|#1| |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+(((|#1| (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#1| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
 (((|#1| |#2|) . T)) 
-((((-168)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) |has| |#1| (-1119))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| (-433 |#2|) (-247)) 
-(|has| |#1| (-931)) 
-(((|#2|) |has| |#2| (-1075))) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-(|has| |#1| (-388)) 
-(((|#1|) |has| |#1| (-194))) 
+((((|Character|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| (|Fraction| |#2|) (|DifferentialRing|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(((|#2|) |has| |#2| (|Ring|))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+(|has| |#1| (|Field|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
 (((|#1| |#1|) . T)) 
-((((-891 |#1|)) . T)) 
-((((-877)) . T)) 
+((((|PAdicInteger| |#1|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1119))) 
-(|has| |#2| (-869)) 
+(((|#2|) |has| |#2| (|SetCategory|))) 
+(|has| |#2| (|OrderedSet|)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-388)) 
-((((-433 (-592))) . T) (((-592)) . T) (((-631 $)) . T)) 
+(|has| |#1| (|Field|)) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T) (((|Kernel| $)) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
 ((($) . T)) 
-(|has| |#1| (-869)) 
-((((-877)) . T)) 
-(((|#1| (-558 |#2|) |#2|) . T)) 
-(((|#1| (-592) (-1103)) . T)) 
-((((-932 |#1|)) . T)) 
-((((-877)) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|IndexedExponents| |#2|) |#2|) . T)) 
+(((|#1| (|Integer|) (|SingletonAsOrderedSet|)) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-433 (-592)) (-1103)) . T)) 
-(((|#1| (-790) (-1103)) . T)) 
-((((-433 |#2|) (-433 |#2|)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-592)) -3836 (|has| (-433 (-592)) (-1065 (-592))) (|has| |#1| (-1065 (-592)))) (((-433 (-592))) . T)) 
-(((|#1| (-623 |#1| |#3|) (-623 |#1| |#2|)) . T)) 
-(((|#1|) |has| |#1| (-194))) 
+(((|#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+((((|Fraction| |#2|) (|Fraction| |#2|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+(((|#1|) . T) (((|Integer|)) OR (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Integer|))) (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|))) . T)) 
+(((|#1| (|IndexedVector| |#1| |#3|) (|IndexedVector| |#1| |#2|)) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(|has| |#2| (-247)) 
-(((|#2| (-558 (-879 |#1|)) (-879 |#1|)) . T)) 
-((($) -3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) ((|#2|) |has| |#2| (-194)) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-((((-877)) . T)) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) . T)) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#2| (|DifferentialRing|)) 
+(((|#2| (|IndexedExponents| (|OrderedVariableList| |#1|)) (|OrderedVariableList| |#1|)) . T)) 
+((($) OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#3|) . T)) 
-((((-877)) . T)) 
-(|has| |#2| (-1165)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-715)) . T)) 
-((((-715)) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-(|has| |#2| (-867)) 
-((((-141)) |has| |#1| (-1119)) (((-877)) -3836 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-502)) (|has| |#1| (-743)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075)) (|has| |#1| (-1131)) (|has| |#1| (-1119)))) 
+((((|OutputForm|)) . T)) 
+(|has| |#2| (|StepThrough|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|MachineFloat|)) . T)) 
+((((|MachineFloat|)) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(|has| |#2| (|OrderedRing|)) 
+((((|Boolean|)) |has| |#1| (|SetCategory|)) (((|OutputForm|)) OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|Group|)) (|has| |#1| (|Monoid|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|)) (|has| |#1| (|SemiGroup|)) (|has| |#1| (|SetCategory|)))) 
 (((|#1|) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-592) |#1|) . T)) 
-((((-715)) . T) (((-433 (-592))) . T) (((-592)) . T)) 
-(((|#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-194))) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-((((-405)) . T)) 
-((((-715)) . T)) 
-((((-433 (-592))) |has| |#2| (-388)) (($) |has| |#2| (-388))) 
-(((|#1|) |has| |#1| (-194))) 
-((((-433 (-980 |#1|))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|MachineFloat|)) . T) (((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+(((|#2|) . T)) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+((((|Float|)) . T)) 
+((((|MachineFloat|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Field|)) (($) |has| |#2| (|Field|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Fraction| (|Polynomial| |#1|))) . T)) 
 (((|#2| |#2|) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((($) . T)) 
-(((|#2|) . T)) 
-(|has| |#2| (-869)) 
-(((|#3|) |has| |#3| (-1075))) 
-(|has| |#2| (-931)) 
-(|has| |#1| (-931)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-869)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((((-1191)) |has| |#2| (-922 (-1191)))) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-502)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-388)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-502)) (|has| |#1| (-582)) (|has| |#1| (-1075)) (|has| |#1| (-1131))) 
-((((-145 |#1|)) . T)) 
-((((-145 |#1|)) . T)) 
-((((-168)) . T)) 
-(|has| |#1| (-373)) 
-((((-1191)) |has| |#1| (-922 (-1191))) (((-1103)) . T)) 
-((($) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-582)) 
-(((|#2|) . T) (((-877)) . T)) 
-(((|#2|) . T) (((-877)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-191 (-237)) (-166) (-166)) . T)) 
-((((-237) (-240) (-240)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-869)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((($) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (|OrderedSet|)) 
+(((|#3|) |has| |#3| (|Ring|))) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|OrderedSet|)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|)))) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|Group|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Field|)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|)) (|has| |#1| (|SemiGroup|))) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+((((|Character|)) . T)) 
+(|has| |#1| (|FiniteFieldCategory|)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) (((|SingletonAsOrderedSet|)) . T)) 
+((($) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#2|) . T) (((|OutputForm|)) . T)) 
+(((|#2|) . T) (((|OutputForm|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Complex| (|DoubleFloat|)) (|ComplexDoubleFloatVector|) (|ComplexDoubleFloatVector|)) . T)) 
+((((|DoubleFloat|) (|DoubleFloatVector|) (|DoubleFloatVector|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|OrderedSet|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) ((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) ((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#3|) . T)) 
-((((-145 |#1|)) . T)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-869)) 
-(((|#2|) . T) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-((((-145 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-194))) 
-(((|#1|) . T)) 
-((((-592)) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-((((-877)) . T)) 
-((((-1103)) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565))) (((-914 (-592))) |has| |#1| (-633 (-914 (-592)))) (((-914 (-405))) |has| |#1| (-633 (-914 (-405)))) (((-405)) |has| |#1| (-1049)) (((-237)) |has| |#1| (-1049))) 
-(((|#1|) |has| |#1| (-388))) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((($ $) . T) (((-631 $) $) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((($) . T) (((-1265 |#1| |#2| |#3| |#4|)) . T) (((-433 (-592))) . T)) 
-((($) -3836 (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-582))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-((((-405)) . T) (((-592)) . T) (((-433 (-592))) . T)) 
-((((-658 (-802 |#1| (-879 |#2|)))) . T) (((-877)) . T)) 
-((((-565)) |has| (-802 |#1| (-879 |#2|)) (-633 (-565)))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-405)) . T)) 
-(((|#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) 
-((((-877)) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-(|has| |#1| (-869)) 
-(|has| |#1| (-869)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-(|has| |#1| (-1119)) 
-((((-877)) . T)) 
-(((|#1| (-790)) . T)) 
-((((-433 (-592))) . T) (((-592)) . T) (((-631 $)) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-((((-592)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((((-1264 |#2| |#3| |#4|)) . T) (((-433 (-592))) |has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592)))) (($) . T)) 
-((((-592)) . T)) 
-(|has| |#2| (-502)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-388)) 
-(-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-171)) (|has| |#1| (-388))) (|has| |#1| (-171))) 
-(-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-169)) (|has| |#1| (-388))) (|has| |#1| (-169))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-247)) 
-(|has| |#1| (-388)) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|OrderedSet|)) 
+(((|#2|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(((|#1|) . T)) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+((((|OutputForm|)) . T)) 
+((((|SingletonAsOrderedSet|)) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (((|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Float|)) |has| |#1| (|RealConstant|)) (((|DoubleFloat|)) |has| |#1| (|RealConstant|))) 
+(((|#1|) |has| |#1| (|Field|))) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((($ $) . T) (((|Kernel| $) $) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((($) . T) (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+((((|Float|)) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) . T) (((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|ConvertibleTo| (|InputForm|)))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Float|)) . T)) 
+(((|#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+(|has| |#1| (|OrderedSet|)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T) (((|Kernel| $)) . T)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|Integer|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T) (((|Fraction| (|Integer|))) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+((((|Integer|)) . T)) 
+(|has| |#2| (|Group|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|Field|)) 
+(OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|CharacteristicZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicZero|))) 
+(OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|CharacteristicNonZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicNonZero|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|DifferentialRing|)) 
+(|has| |#1| (|Field|)) 
 (((|#3|) . T)) 
-(|has| |#2| (-582)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-592)) |has| |#2| (-654 (-592))) ((|#2|) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-(((|#2|) . T)) 
-(|has| |#1| (-1119)) 
+(|has| |#2| (|IntegralDomain|)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) ((|#2|) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+(((|#2|) . T)) 
+(|has| |#1| (|SetCategory|)) 
 (((|#1| |#2|) . T)) 
-((((-191 (-237))) . T)) 
-((((-237)) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-654 (-592)))) 
-(((|#3|) |has| |#3| (-194))) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) 
-((((-592)) . T)) 
-(((|#1| $) |has| |#1| (-303 |#1| |#1|))) 
-((((-433 (-592))) . T) (($) . T) (((-433 |#1|)) . T) ((|#1|) . T)) 
-((((-877)) . T)) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+((((|DoubleFloat|)) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(((|#3|) |has| |#3| (|CommutativeRing|))) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) 
+((((|Integer|)) . T)) 
+(((|#1| $) |has| |#1| (|Eltable| |#1| |#1|))) 
+((((|Fraction| (|Integer|))) . T) (($) . T) (((|Fraction| |#1|)) . T) ((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#3|) . T)) 
-(((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-307)) (|has| |#1| (-388))) (((-433 (-592)) (-433 (-592))) |has| |#1| (-388))) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((($) . T)) 
-((($) . T) ((|#2|) |has| |#2| (-194)) (((-433 (-592))) |has| |#2| (-582))) 
-((((-592) |#1|) . T)) 
-((((-1191)) |has| (-433 |#2|) (-922 (-1191)))) 
-(((|#1|) . T) (($) -3836 (|has| |#1| (-307)) (|has| |#1| (-388))) (((-433 (-592))) |has| |#1| (-388))) 
-((((-565)) |has| |#2| (-633 (-565)))) 
-((((-706 |#2|)) . T) (((-877)) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-((((-891 |#1|)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(-3836 (|has| |#4| (-815)) (|has| |#4| (-867))) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#2|) |has| |#2| (-1075))) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-((((-592)) . T)) 
-((((-433 |#2|)) . T)) 
-(((|#1|) . T)) 
-(((|#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) 
-((((-592) |#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-592)) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-1235))) 
-((($) . T)) 
-((((-433 (-592))) |has| (-433 |#2|) (-1065 (-433 (-592)))) (((-592)) |has| (-433 |#2|) (-1065 (-592))) (((-433 |#2|)) . T)) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
-(((|#1| (-790)) . T)) 
-(|has| |#1| (-869)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-654 (-592)))) 
-((((-592)) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) |has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#1| (-867)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-373)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
+(((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|EntireRing|)) (|has| |#1| (|Field|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Field|))) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((($) . T)) 
+((($) . T) ((|#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#2| (|IntegralDomain|))) 
+((((|Integer|) |#1|) . T)) 
+((((|Symbol|)) |has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) 
+(((|#1|) . T) (($) OR (|has| |#1| (|EntireRing|)) (|has| |#1| (|Field|))) (((|Fraction| (|Integer|))) |has| |#1| (|Field|))) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|)))) 
+((((|Matrix| |#2|)) . T) (((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(((|#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+((((|PAdicInteger| |#1|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#2|) |has| |#2| (|Ring|))) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+((((|Integer|)) . T)) 
+((((|Fraction| |#2|)) . T)) 
+(((|#1|) . T)) 
+(((|#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
+((((|Integer|) |#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((|Integer|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|UniqueFactorizationDomain|))) 
+((($) . T)) 
+((((|Fraction| (|Integer|))) |has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| (|Fraction| |#2|) (|RetractableTo| (|Integer|))) (((|Fraction| |#2|)) . T)) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) 
+((((|Integer|)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) |has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#1| (|OrderedRing|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|FiniteFieldCategory|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
 (((|#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-168)) . T)) 
-((((-802 |#1| (-879 |#2|))) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-(|has| |#1| (-1211)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#3| (-25)) (|has| |#3| (-158)) (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-394)) (|has| |#3| (-743)) (|has| |#3| (-815)) (|has| |#3| (-867)) (|has| |#3| (-1075)) (|has| |#3| (-1119))) 
-((((-1191) |#1|) |has| |#1| (-547 (-1191) |#1|))) 
-(((|#2|) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-932 |#1|)) . T)) 
-((($) . T)) 
-((((-433 (-980 |#1|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#1| (-867)) 
-((((-565)) |has| |#4| (-633 (-565)))) 
-(|has| |#1| (-1119)) 
-((((-877)) . T) (((-658 |#4|)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#2|) . T)) 
-(|has| |#1| (-388)) 
-(((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) |has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))))) 
-((((-592) (-592)) . T)) 
-(|has| |#1| (-869)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#1|) |has| |#1| (-194))) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-171)) (|has| |#1| (-388))) (|has| |#1| (-171))) 
-(-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-169)) (|has| |#1| (-388))) (|has| |#1| (-169))) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-(|has| |#1| (-867)) 
+((((|Character|)) . T)) 
+((((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(|has| |#1| (|TranscendentalFunctionCategory|)) 
+(((|#1|) . T)) 
+(OR (|has| |#3| (|AbelianSemiGroup|)) (|has| |#3| (|CancellationAbelianMonoid|)) (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Finite|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|)) (|has| |#3| (|SetCategory|))) 
+((((|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) 
+(((|#2|) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|PrimeField| |#1|)) . T)) 
+((($) . T)) 
+((((|Fraction| (|Polynomial| |#1|))) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#1| (|OrderedRing|)) 
+((((|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|)))) 
+(|has| |#1| (|SetCategory|)) 
+((((|OutputForm|)) . T) (((|List| |#4|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#2|) . T)) 
+(|has| |#1| (|Field|)) 
+(((|#1|) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) |has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))))) 
+((((|Integer|) (|Integer|)) . T)) 
+(|has| |#1| (|OrderedSet|)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#1|) |has| |#1| (|CommutativeRing|))) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|CharacteristicZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicZero|))) 
+(OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|CharacteristicNonZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicNonZero|))) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+(|has| |#1| (|OrderedRing|)) 
 (((|#1| |#2|) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-654 (-592)))) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
-((((-932 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T) (((-592)) . T)) 
-(|has| |#2| (-169)) 
-(|has| |#2| (-171)) 
-((((-932 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#2| (-790) (-1103)) . T)) 
-(|has| |#1| (-1119)) 
-(((|#2|) |has| |#2| (-194))) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
+((((|PrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(|has| |#2| (|CharacteristicZero|)) 
+((((|PrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#2| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#3|) |has| |#3| (-388))) 
-((((-433 |#2|)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((|#1| |#1|) |has| |#1| (-325 |#1|))) 
-(((|#1|) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)))) 
-((((-332 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-388))) 
-(((|#2|) . T)) 
-((((-433 (-592))) . T) (((-715)) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) |has| (-802 |#1| (-879 |#2|)) (-325 (-802 |#1| (-879 |#2|))))) 
-((((-879 |#1|)) . T)) 
-(|has| |#1| (-388)) 
-(((|#2|) |has| |#2| (-194))) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#2|) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191))) (((-1103)) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191))) (((-1108 (-1191))) . T)) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(((|#4|) |has| |#4| (-1075)) (((-592)) -12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075)))) 
-(((|#3|) |has| |#3| (-1075)) (((-592)) -12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075)))) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
+(((|#3|) |has| |#3| (|Field|))) 
+((((|Fraction| |#2|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|#1| |#1|) |has| |#1| (|Evalable| |#1|))) 
+(((|#1|) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)))) 
+((((|Expression| |#1|)) . T)) 
+(((|#2|) |has| |#2| (|Field|))) 
+(((|#2|) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|MachineFloat|)) . T) (($) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) |has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Evalable| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) 
+((((|OrderedVariableList| |#1|)) . T)) 
+(|has| |#1| (|Field|)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#2|) . T)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) (((|SingletonAsOrderedSet|)) . T)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) (((|SequentialDifferentialVariable| (|Symbol|))) . T)) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#4|) |has| |#4| (|Ring|)) (((|Integer|)) AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|)))) 
+(((|#3|) |has| |#3| (|Ring|)) (((|Integer|)) AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|)))) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
 ((($ $) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-502)) (|has| |#1| (-743)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075)) (|has| |#1| (-1131)) (|has| |#1| (-1119))) 
-(|has| |#1| (-582)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|Group|)) (|has| |#1| (|Monoid|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|)) (|has| |#1| (|SemiGroup|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|IntegralDomain|)) 
 (((|#2|) . T)) 
-((((-877)) . T)) 
-((((-565)) . T)) 
-((((-592)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
 (((|#1|) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) 
-((((-605 |#1|)) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) 
+((((|InnerPrimeField| |#1|)) . T)) 
 ((($) . T)) 
-(((|#1| (-64 |#1|) (-64 |#1|)) . T)) 
+(((|#1| (|OneDimensionalArray| |#1|) (|OneDimensionalArray| |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
-(((|#2|) |has| |#2| (-6 (-4627 "*")))) 
+((((|OutputForm|)) . T)) 
+(((|#2|) |has| |#2| (ATTRIBUTE (|commutative| "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-433 (-592))) |has| |#2| (-1065 (-433 (-592)))) (((-592)) |has| |#2| (-1065 (-592))) ((|#2|) . T) (((-879 |#1|)) . T)) 
-((($) . T) (((-145 |#1|)) . T) (((-433 (-592))) . T)) 
-((((-1142 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((((-1187 |#1|)) . T) (((-1103)) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((((-1142 |#1| (-1191))) . T) (((-1108 (-1191))) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-1191)) . T)) 
-(|has| |#1| (-1119)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) ((|#2|) . T) (((|OrderedVariableList| |#1|)) . T)) 
+((($) . T) (((|BalancedPAdicInteger| |#1|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|SparseMultivariatePolynomial| |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((((|SparseUnivariatePolynomial| |#1|)) . T) (((|SingletonAsOrderedSet|)) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((((|SparseMultivariatePolynomial| |#1| (|Symbol|))) . T) (((|SequentialDifferentialVariable| (|Symbol|))) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Symbol|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
 ((($) . T)) 
-(|has| |#1| (-1119)) 
-((((-592)) -12 (|has| |#1| (-908 (-592))) (|has| |#2| (-908 (-592)))) (((-405)) -12 (|has| |#1| (-908 (-405))) (|has| |#2| (-908 (-405))))) 
+(|has| |#1| (|SetCategory|)) 
+((((|Integer|)) AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))) (((|Float|)) AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) 
 (((|#1| |#2|) . T)) 
-((((-1191) |#1|) . T)) 
+((((|Symbol|) |#1|) . T)) 
 (((|#4|) . T)) 
 (((|#1|) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T)) 
-((((-1191) (-57)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-394)) (|has| |#2| (-743)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075)) (|has| |#2| (-1119))) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-(((|#1| |#1|) |has| |#1| (-194)) (((-433 (-592)) (-433 (-592))) |has| |#1| (-582)) (($ $) |has| |#1| (-582))) 
-((((-1264 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|)) . T)) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-931)) 
-(((|#1| $) |has| |#1| (-303 |#1| |#1|))) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-582)) (($) |has| |#1| (-582))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#3|) |has| |#3| (-388))) 
-(|has| |#1| (-15 * (|#1| (-790) |#1|))) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-((((-1191)) . T)) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-931))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T)) 
+((((|Symbol|) (|Any|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|)) (|has| |#2| (|SetCategory|))) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) (($ $) |has| |#1| (|IntegralDomain|))) 
+((((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T)) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(((|#1| $) |has| |#1| (|Eltable| |#1| |#1|))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) (($) |has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#3|) |has| |#3| (|Field|))) 
+(|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+((((|Symbol|)) . T)) 
+(((|#1|) . T)) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
 (((|#2| |#3|) . T)) 
-((((-592) (-592)) . T)) 
-(((|#1| (-558 |#2|)) . T)) 
-(((|#1| (-790)) . T)) 
-((((-592) (-592)) . T)) 
-(((|#1| (-558 (-1108 (-1191)))) . T)) 
-((((-592)) . T)) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-(|has| |#2| (-931)) 
-(((|#1|) |has| |#1| (-194))) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-((((-877)) . T)) 
-((($ $) . T) (((-1264 |#2| |#3| |#4|) (-1264 |#2| |#3| |#4|)) . T) (((-433 (-592)) (-433 (-592))) |has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592))))) 
-((((-932 |#1|)) . T)) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-842))) 
-((($) . T) (((-433 (-592))) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-388)) 
-(-3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373)) (|has| |#1| (-582))) 
-(|has| |#1| (-388)) 
-((($) . T) (((-1264 |#2| |#3| |#4|)) . T) (((-433 (-592))) |has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592))))) 
+((((|Integer|) (|Integer|)) . T)) 
+(((|#1| (|IndexedExponents| |#2|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+((((|Integer|) (|Integer|)) . T)) 
+(((|#1| (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) . T)) 
+((((|Integer|)) . T)) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+((((|OutputForm|)) . T)) 
+((($ $) . T) (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|))))) 
+((((|PrimeField| |#1|)) . T)) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (|Field|)) 
+(OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+((($) . T) (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T) (((|Fraction| (|Integer|))) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|))))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-582)) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-(-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(-3836 (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075))) 
-((((-592)) |has| |#1| (-654 (-592))) ((|#1|) . T)) 
-((((-592) (-592)) . T)) 
+(|has| |#2| (|IntegralDomain|)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+(OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(OR (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|))) 
+((((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|#1|) . T)) 
+((((|Integer|) (|Integer|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-141)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Boolean|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(((|#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|))) . T)) 
-(|has| |#2| (-388)) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#1| (-869)) 
+(((|#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) . T)) 
+(|has| |#2| (|Field|)) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#1| (|OrderedSet|)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-1119)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-433 $) (-433 $)) |has| |#1| (-582)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#2| |#2|) |has| |#2| (-194)) (((-433 (-592)) (-433 (-592))) |has| |#2| (-582)) (($ $) . T)) 
-(|has| |#2| (-842)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Fraction| $) (|Fraction| $)) |has| |#1| (|IntegralDomain|)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#2| |#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|IntegralDomain|)) (($ $) . T)) 
+(|has| |#2| (|OrderedIntegralDomain|)) 
 (((|#4|) . T)) 
 ((($) . T)) 
-(((|#2|) |has| |#2| (-194)) (((-433 (-592))) |has| |#2| (-582)) (($) . T)) 
-((((-877)) . T)) 
-(((|#1| (-558 (-1191))) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#2| (|IntegralDomain|)) (($) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|IndexedExponents| (|Symbol|))) . T)) 
 ((($ $) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((($) . T)) 
-((((-877)) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(((|#2|) -3836 (|has| |#2| (-6 (-4627 "*"))) (|has| |#2| (-194)))) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-592) (-1227) (-1227)) . T)) 
-(|has| |#2| (-869)) 
-(|has| |#2| (-931)) 
-((((-592)) . T)) 
-(|has| |#1| (-931)) 
-(((|#2|) |has| |#2| (-194))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) . T) (((-592)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((($) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(((|#2|) OR (|has| |#2| (ATTRIBUTE (|commutative| "*"))) (|has| |#2| (|CommutativeRing|)))) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|) (|U16Vector|) (|U16Vector|)) . T)) 
+(|has| |#2| (|OrderedSet|)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(((|#2|) |has| |#2| (|CommutativeRing|))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T) (((|Integer|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) . T)) 
 (((|#1|) . T)) 
-((((-887)) . T) (((-592)) . T) (((-433 (-592))) . T)) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|PseudoAlgebraicClosureOfRationalNumber|)) . T) (((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
-(((|#1| (-433 (-592))) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
 (((|#1|) . T)) 
-((((-565)) . T)) 
-(-3836 (|has| |#1| (-307)) (|has| |#1| (-388))) 
-((((-168)) . T)) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-867)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) . T)) 
+((((|InputForm|)) . T)) 
+(OR (|has| |#1| (|EntireRing|)) (|has| |#1| (|Field|))) 
+((((|Character|)) . T)) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
 (((|#2| |#2|) . T) ((|#1| |#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565))) (((-914 (-592))) |has| |#1| (-633 (-914 (-592)))) (((-914 (-405))) |has| |#1| (-633 (-914 (-405))))) 
-((((-1191) (-57)) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-658 (-168))) . T) (((-1173)) . T)) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-((((-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((|#1| |#1|) |has| |#1| (-325 |#1|))) 
-(|has| |#1| (-869)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) . T)) 
-(((|#2|) |has| |#2| (-388))) 
-((((-877)) . T)) 
-((((-565)) |has| |#4| (-633 (-565)))) 
-((((-877)) . T) (((-658 |#4|)) . T)) 
-(((|#2|) . T)) 
-((((-932 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(-3836 (|has| |#4| (-194)) (|has| |#4| (-743)) (|has| |#4| (-867)) (|has| |#4| (-1075))) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-743)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-((((-1191) (-57)) . T)) 
-((((-592)) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-592) (-592)) . T)) 
-(((|#1|) . T)) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(|has| |#1| (-931)) 
-(|has| |#1| (-931)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-((((-592)) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-592)) . T)) 
-((((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#1| (-433 (-592)) (-1103)) . T)) 
-(|has| |#1| (-1119)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(|has| |#1| (-842)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-932 |#1|) (-932 |#1|)) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((((-433 |#2|)) . T)) 
-((((-592) (-592)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-867)) 
-((((-877)) |has| |#1| (-1119))) 
-(((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) . T) (((-592) (-592)) . T) (($ $) . T)) 
-((((-932 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-194)) 
-(((|#2|) |has| |#2| (-1075)) (((-592)) -12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) 
-(|has| |#2| (-171)) 
-(|has| |#2| (-169)) 
-(((|#1|) . T) (((-433 (-592))) . T) (((-592)) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (((|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) 
+((((|Symbol|) (|Any|)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|List| (|Character|))) . T) (((|String|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+((((|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|#1| |#1|) |has| |#1| (|Evalable| |#1|))) 
+(|has| |#1| (|OrderedSet|)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) . T)) 
+(((|#2|) |has| |#2| (|Field|))) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) . T) (((|List| |#4|)) . T)) 
+(((|#2|) . T)) 
+((((|PrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|Monoid|)) (|has| |#4| (|OrderedRing|)) (|has| |#4| (|Ring|))) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+((((|Symbol|) (|Any|)) . T)) 
+((((|Integer|)) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|) (|Integer|)) . T)) 
+(((|#1|) . T)) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+((((|Integer|)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(|has| |#1| (|OrderedIntegralDomain|)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|PrimeField| |#1|) (|PrimeField| |#1|)) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((((|Fraction| |#2|)) . T)) 
+((((|Integer|) (|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (((|Integer|) (|Integer|)) . T) (($ $) . T)) 
+((((|PrimeField| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|CommutativeRing|)) 
+(((|#2|) |has| |#2| (|Ring|)) (((|Integer|)) AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) 
+(|has| |#2| (|CharacteristicZero|)) 
+(|has| |#2| (|CharacteristicNonZero|)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (((|Integer|)) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-(((|#2|) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((((-57)) . T) (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-(|has| |#1| (-373)) 
-((((-592)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#2| (-633 (-565))) (((-914 (-592))) |has| |#2| (-633 (-914 (-592)))) (((-914 (-405))) |has| |#2| (-633 (-914 (-405))))) 
-((((-1265 |#1| |#2| |#3| |#4|) $) |has| (-1265 |#1| |#2| |#3| |#4|) (-303 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)))) 
-(|has| |#1| (-388)) 
-((((-1103) |#1|) . T) (((-1103) $) . T) (($ $) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-((((-433 (-592)) (-433 (-592))) . T) (((-715) (-715)) . T) (($ $) . T)) 
-((((-332 |#1|)) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-388))) 
-(|has| |#1| (-1119)) 
-(((|#1|) -3836 (|has| |#2| (-392 |#1|)) (|has| |#2| (-443 |#1|)))) 
-(((|#1|) -3836 (|has| |#2| (-392 |#1|)) (|has| |#2| (-443 |#1|)))) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-433 (-592))) . T) (((-715)) . T) (($) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(((|#2|) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((((|Any|)) . T) (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+(|has| |#1| (|FiniteFieldCategory|)) 
+((((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Integer|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))) (((|Pattern| (|Float|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) |has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Eltable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) 
+(|has| |#1| (|Field|)) 
+((((|SingletonAsOrderedSet|) |#1|) . T) (((|SingletonAsOrderedSet|) $) . T) (($ $) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (((|MachineFloat|) (|MachineFloat|)) . T) (($ $) . T)) 
+((((|Expression| |#1|)) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Field|))) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1|) OR (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) 
+(((|#1|) OR (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|MachineFloat|)) . T) (($) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
 (((|#3| |#3|) . T)) 
-((((-592) (-1229) (-1229)) . T)) 
-((((-592)) . T)) 
-(|has| |#2| (-247)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-((((-879 |#1|)) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191))) ((|#3|) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-1049))) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((((-877)) . T)) 
-(((|#1| (-790)) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-((((-433 (-592))) . T) (($) . T) (((-433 |#1|)) . T) ((|#1|) . T)) 
-((((-592)) . T)) 
-(|has| |#1| (-1119)) 
+((((|Integer|) (|U32Vector|) (|U32Vector|)) . T)) 
+((((|Integer|)) . T)) 
+(|has| |#2| (|DifferentialRing|)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((((|OrderedVariableList| |#1|)) . T)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|#3|) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|RealConstant|))) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+((((|Fraction| (|Integer|))) . T) (($) . T) (((|Fraction| |#1|)) . T) ((|#1|) . T)) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
 (((|#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((((-592)) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
+((((|Integer|)) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-((((-605 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
+((((|InnerPrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
 ((($ $) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-1280 |#1|) (-1280 |#1|)) . T)) 
+(((|#1| (|Vector| |#1|) (|Vector| |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-145 |#1|) (-145 |#1|)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-433 (-592))) |has| |#2| (-1065 (-433 (-592)))) (((-592)) |has| |#2| (-1065 (-592))) ((|#2|) . T) (((-879 |#1|)) . T)) 
-((((-1142 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) ((|#2|) . T) (((|OrderedVariableList| |#1|)) . T)) 
+((((|SparseMultivariatePolynomial| |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($ $) . T)) 
-((((-688 |#1|)) . T)) 
-((($) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T)) 
-((((-145 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-592)) -12 (|has| |#1| (-908 (-592))) (|has| |#3| (-908 (-592)))) (((-405)) -12 (|has| |#1| (-908 (-405))) (|has| |#3| (-908 (-405))))) 
+((((|LyndonWord| |#1|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Integer|)) AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#3| (|PatternMatchable| (|Integer|)))) (((|Float|)) AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#3| (|PatternMatchable| (|Float|))))) 
 (((|#2|) . T) ((|#6|) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) (($) . T)) 
-((((-168)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (($) . T)) 
+((((|Character|)) . T)) 
 ((($) . T)) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
 (((|#1|) . T)) 
-(|has| |#2| (-931)) 
-(|has| |#1| (-931)) 
-(|has| |#1| (-931)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
 (((|#4|) . T)) 
-(|has| |#2| (-1049)) 
+(|has| |#2| (|RealConstant|)) 
 ((($) . T)) 
-(|has| |#1| (-931)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-592)) . T)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Integer|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
 (((|#1|) . T) (($) . T)) 
 ((($) . T)) 
-(|has| |#1| (-388)) 
-((((-932 |#1|)) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(-3836 (|has| |#1| (-394)) (|has| |#1| (-869))) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) 
-((((-433 |#2|) |#3|) . T)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) 
-((($) . T) (((-433 (-592))) . T)) 
-((((-790) |#1|) . T)) 
-(((|#2| (-254 (-1699 |#1|) (-790))) . T)) 
-(((|#1| (-558 |#3|)) . T)) 
-((((-433 (-592))) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) |has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))))) 
-(|has| |#1| (-931)) 
-(|has| |#2| (-388)) 
-(-3836 (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(((|#1|) . T)) 
-((((-191 (-405))) . T) (((-237)) . T) (((-405)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-405)) . T) (((-592)) . T)) 
-((((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
+(|has| |#1| (|Field|)) 
+((((|PrimeField| |#1|)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(OR (|has| |#1| (|Finite|)) (|has| |#1| (|OrderedSet|))) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((((|Fraction| |#2|) |#3|) . T)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|NonNegativeInteger|) |#1|) . T)) 
+(((|#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|))) . T)) 
+(((|#1| (|IndexedExponents| |#3|)) . T)) 
+((((|Fraction| (|Integer|))) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) |has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))))) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#2| (|Field|)) 
+(OR (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(((|#1|) . T)) 
+((((|Complex| (|Float|))) . T) (((|DoubleFloat|)) . T) (((|Float|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|Float|)) . T) (((|Integer|)) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-582)) 
-((((-433 (-592))) . T) (($) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-12 (|has| |#1| (-574)) (|has| |#1| (-850))) 
-((((-877)) . T)) 
-((((-1191)) -3836 (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))) (-12 (|has| |#1| (-388)) (|has| |#2| (-922 (-1191)))))) 
-(|has| |#1| (-388)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) 
-(|has| |#1| (-388)) 
-(((|#1|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T)) 
-((((-592) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#1| (-388))) 
-(((|#2|) |has| |#1| (-388))) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#1|) . T)) 
-(((|#2|) . T) (((-1191)) -12 (|has| |#1| (-388)) (|has| |#2| (-1065 (-1191)))) (((-592)) -12 (|has| |#1| (-388)) (|has| |#2| (-1065 (-592)))) (((-433 (-592))) -12 (|has| |#1| (-388)) (|has| |#2| (-1065 (-592))))) 
-(((|#2|) . T)) 
-((((-1191) (-1265 |#1| |#2| |#3| |#4|)) |has| (-1265 |#1| |#2| |#3| |#4|) (-547 (-1191) (-1265 |#1| |#2| |#3| |#4|))) (((-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) |has| (-1265 |#1| |#2| |#3| |#4|) (-325 (-1265 |#1| |#2| |#3| |#4|)))) 
-((((-631 $) $) . T) (($ $) . T)) 
-((((-191 (-237))) . T) (((-191 (-405))) . T) (((-1187 (-715))) . T) (((-914 (-405))) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-(|has| (-433 |#2|) (-247)) 
-(((|#1| (-433 (-592))) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(AND (|has| |#1| (|IntegerNumberSystem|)) (|has| |#1| (|OpenMath|))) 
+((((|OutputForm|)) . T)) 
+((((|Symbol|)) OR (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (AND (|has| |#1| (|Field|)) (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))))) 
+(|has| |#1| (|Field|)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+(|has| |#1| (|Field|)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#1| (|Field|))) 
+(((|#2|) |has| |#1| (|Field|))) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) . T)) 
+(((|#2|) . T) (((|Symbol|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RetractableTo| (|Symbol|)))) (((|Integer|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|))) AND (|has| |#1| (|Field|)) (|has| |#2| (|RetractableTo| (|Integer|))))) 
+(((|#2|) . T)) 
+((((|Symbol|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) |has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|InnerEvalable| (|Symbol|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) |has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Evalable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) 
+((((|Kernel| $) $) . T) (($ $) . T)) 
+((((|Complex| (|DoubleFloat|))) . T) (((|Complex| (|Float|))) . T) (((|SparseUnivariatePolynomial| (|MachineFloat|))) . T) (((|Pattern| (|Float|))) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| (|Fraction| |#2|) (|DifferentialRing|)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
 ((($ $) . T)) 
-(((|#1| (-592)) . T)) 
-((((-1191)) |has| |#2| (-922 (-1191)))) 
-((($) . T)) 
-((((-877)) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#1| (-582)) 
-(((|#2|) |has| |#1| (-388))) 
-((((-405)) -12 (|has| |#1| (-388)) (|has| |#2| (-908 (-405)))) (((-592)) -12 (|has| |#1| (-388)) (|has| |#2| (-908 (-592))))) 
-(|has| |#1| (-388)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-388)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-(((|#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
+(((|#1| (|Integer|)) . T)) 
+((((|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|)))) 
+((($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#2|) |has| |#1| (|Field|))) 
+((((|Float|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|PatternMatchable| (|Float|)))) (((|Integer|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|PatternMatchable| (|Integer|))))) 
+(|has| |#1| (|Field|)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-((((-592) (-592)) . T)) 
-(|has| |#2| (-869)) 
-(-3836 (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
+((((|Integer|) (|Integer|)) . T)) 
+(|has| |#2| (|OrderedSet|)) 
+(OR (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-743)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(|has| |#1| (-171)) 
-((((-1173) |#1|) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(|has| |#1| (-171)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-394))) 
-(|has| |#1| (-171)) 
-((((-605 |#1|)) . T)) 
-((($) . T)) 
-((((-433 |#2|)) . T)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-887)) . T) (((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-373))) 
-(|has| |#1| (-171)) 
-((((-433 |#2|) (-433 |#2|)) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-433 (-592))) |has| |#2| (-1065 (-592))) (((-592)) |has| |#2| (-1065 (-592))) (((-1191)) |has| |#2| (-1065 (-1191))) ((|#2|) . T)) 
-((((-877)) . T)) 
-((($) . T)) 
-((((-1154 |#1| |#2|)) . T)) 
-(((|#1| (-592)) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-((((-592)) |has| |#2| (-908 (-592))) (((-405)) |has| |#2| (-908 (-405)))) 
-(((|#2|) . T)) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-141)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) . T)) 
-(((|#2|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-1191) (-57)) . T)) 
-((((-433 |#2|)) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-(|has| |#1| (-813)) 
-(|has| |#1| (-813)) 
-((((-877)) . T)) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-143)) . T) ((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-237)) . T) (((-405)) . T) (((-914 (-405))) . T)) 
-((((-877)) . T)) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582)) (((-433 (-592))) |has| |#1| (-582))) 
-((((-877)) . T)) 
-((((-631 $) $) . T) (($ $) . T)) 
-(((|#2|) . T)) 
-((((-877)) . T)) 
-((((-932 |#1|) (-932 |#1|)) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(((|#1|) . T)) 
-((((-932 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-388)) 
-(((|#2|) . T)) 
-((((-592)) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-((((-592)) . T)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-((((-191 (-405))) . T) (((-237)) . T) (((-405)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-1173)) . T) (((-565)) . T) (((-592)) . T) (((-914 (-592))) . T) (((-405)) . T) (((-237)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-169)) 
-((($) . T) (((-1264 |#2| |#3| |#4|)) |has| (-1264 |#2| |#3| |#4|) (-194)) (((-433 (-592))) |has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592))))) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-((((-877)) . T)) 
-((((-565)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-877)) |has| |#1| (-1119))) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-502)) (|has| |#1| (-743)) (|has| |#1| (-922 (-1191))) (|has| |#1| (-1075)) (|has| |#1| (-1131)) (|has| |#1| (-1119))) 
-(|has| |#1| (-1165)) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-592) |#1|) . T)) 
-((((-145 |#1|) $) |has| (-145 |#1|) (-303 (-145 |#1|) (-145 |#1|)))) 
-(((|#1|) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-884 |#1|)) . T)) 
-((((-143)) . T) ((|#1|) . T)) 
-((((-877)) . T)) 
-((((-433 $) (-433 $)) |has| |#1| (-582)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) |has| |#1| (-325 |#1|))) 
-((((-592) |#1|) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|String|) |#1|) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|InnerPrimeField| |#1|)) . T)) 
+((($) . T)) 
+((((|Fraction| |#2|)) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|PseudoAlgebraicClosureOfRationalNumber|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|CharacteristicZero|)) 
+((((|Fraction| |#2|) (|Fraction| |#2|)) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Integer|))) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) (((|Symbol|)) |has| |#2| (|RetractableTo| (|Symbol|))) ((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((($) . T)) 
+((((|SplittingNode| |#1| |#2|)) . T)) 
+(((|#1| (|Integer|)) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+((((|Integer|)) |has| |#2| (|PatternMatchable| (|Integer|))) (((|Float|)) |has| |#2| (|PatternMatchable| (|Float|)))) 
+(((|#2|) . T)) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Boolean|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) . T)) 
+(((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Symbol|) (|Any|)) . T)) 
+((((|Fraction| |#2|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(|has| |#1| (|OrderedAbelianGroup|)) 
+(|has| |#1| (|OrderedAbelianGroup|)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|BasicOperator|)) . T) ((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|DoubleFloat|)) . T) (((|Float|)) . T) (((|Pattern| (|Float|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|)) (((|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|))) 
+((((|OutputForm|)) . T)) 
+((((|Kernel| $) $) . T) (($ $) . T)) 
+(((|#2|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|PrimeField| |#1|) (|PrimeField| |#1|)) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(((|#1|) . T)) 
+((((|PrimeField| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|Field|)) 
+(((|#2|) . T)) 
+((((|Integer|)) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+((((|Integer|)) . T)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+((((|Complex| (|Float|))) . T) (((|DoubleFloat|)) . T) (((|Float|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|String|)) . T) (((|InputForm|)) . T) (((|Integer|)) . T) (((|Pattern| (|Integer|))) . T) (((|Float|)) . T) (((|DoubleFloat|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+((($) . T) (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|Group|)) (|has| |#1| (|Monoid|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Ring|)) (|has| |#1| (|SemiGroup|)) (|has| |#1| (|SetCategory|))) 
+(|has| |#1| (|StepThrough|)) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Integer|) |#1|) . T)) 
+((((|BalancedPAdicInteger| |#1|) $) |has| (|BalancedPAdicInteger| |#1|) (|Eltable| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)))) 
+(((|#1|) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|PseudoAlgebraicClosureOfFiniteField| |#1|)) . T)) 
+((((|BasicOperator|)) . T) ((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| $) (|Fraction| $)) |has| |#1| (|IntegralDomain|)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1|) |has| |#1| (|Evalable| |#1|))) 
+((((|Integer|) |#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1191) |#1|) . T)) 
+((((|Symbol|) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-592)) . T) (((-433 (-592))) . T)) 
+((((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-194)) (($) . T) (((-433 (-592))) |has| |#2| (-582))) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-582)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-((((-405)) . T)) 
-(|has| |#1| (-1119)) 
+(((|#2|) |has| |#2| (|CommutativeRing|)) (($) . T) (((|Fraction| (|Integer|))) |has| |#2| (|IntegralDomain|))) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+((((|Float|)) . T)) 
+(|has| |#1| (|SetCategory|)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-388)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-1119)) 
-((((-802 |#1| (-879 |#2|))) |has| (-802 |#1| (-879 |#2|)) (-325 (-802 |#1| (-879 |#2|))))) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
+(|has| |#1| (|Field|)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|SetCategory|)) 
+((((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) |has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Evalable| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
 (((|#1|) . T)) 
 (((|#2| |#3|) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(((|#1|) . T)) 
-(|has| |#2| (-931)) 
-(((|#1| (-558 |#2|)) . T)) 
-(((|#1| (-790)) . T)) 
-(|has| |#1| (-247)) 
-(((|#1| (-558 (-1108 (-1191)))) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) . T)) 
-(((|#1|) . T)) 
-((((-887)) . T) (((-433 (-592))) . T)) 
-((((-433 (-592))) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-592) (-592)) . T)) 
-((((-592)) . T)) 
-(|has| |#2| (-388)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-631 $) $) . T)) 
-(((|#1|) . T)) 
-((((-592)) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(((|#1| (|IndexedExponents| |#2|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(|has| |#1| (|DifferentialRing|)) 
+(((|#1| (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) . T)) 
+(((|#1|) . T)) 
+((((|PseudoAlgebraicClosureOfRationalNumber|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Fraction| (|Integer|))) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Integer|) (|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+(|has| |#2| (|Field|)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((|Kernel| $) $) . T)) 
+(((|#1|) . T)) 
+((((|Integer|)) . T)) 
 (((|#3|) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373))) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-169)) (|has| |#1| (-171)) (|has| |#1| (-194)) (|has| |#1| (-582)) (|has| |#1| (-1075))) 
-((((-592)) |has| |#2| (-654 (-592))) ((|#2|) . T)) 
-((((-605 |#1|) (-605 |#1|)) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((((-592) (-592)) . T)) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#1| (-1280 |#1|) (-1280 |#1|)) . T)) 
-((((-605 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-(((|#2|) |has| |#2| (-6 (-4627 "*")))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-310 |#3|)) . T)) 
-(((|#1|) . T)) 
-((((-433 (-592)) (-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2| |#2|) . T) (($ $) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Ring|))) 
+((((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) ((|#2|) . T)) 
+((((|InnerPrimeField| |#1|) (|InnerPrimeField| |#1|)) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((((|Integer|) (|Integer|)) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1| (|Vector| |#1|) (|Vector| |#1|)) . T)) 
+((((|InnerPrimeField| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#2|) |has| |#2| (ATTRIBUTE (|commutative| "*")))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Equation| |#3|)) . T)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2| |#2|) . T) (($ $) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
 (((|#2| |#2|) . T) ((|#6| |#6|) . T)) 
-((($) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T)) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#2|) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T) (($) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T)) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#2|) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T) (($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) . T)) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#2| (-931)) 
-(|has| |#1| (-931)) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-592) (-592)) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Integer|) (|Integer|)) . T)) 
 (((|#1|) . T)) 
-((((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) . T)) 
+((((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-((((-1191)) . T) ((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-388)) 
-(((|#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) 
-((((-433 (-592)) (-433 (-592))) . T)) 
-((((-592) (-1231) (-1231)) . T)) 
-((((-433 (-592))) . T)) 
-((((-592)) . T)) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-565)) . T)) 
-((((-877)) . T)) 
-((((-1191)) |has| |#2| (-922 (-1191))) (((-1103)) . T)) 
-((((-1264 |#2| |#3| |#4|)) . T)) 
-((((-932 |#1|)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((($) . T) (((-433 (-592))) . T)) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-842))) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-842))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-1235)) 
-(((|#2|) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191)))) 
-((((-932 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#1|) . T)) 
-((((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-582)))) 
-((($) . T) (((-433 (-592))) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (((-592)) . T) (($) . T)) 
-(((|#2|) |has| |#2| (-1075)) (((-592)) -12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-582)))) 
-(|has| |#1| (-582)) 
-(((|#1|) |has| |#1| (-388))) 
-((((-592)) . T)) 
-(|has| |#1| (-813)) 
-(|has| |#1| (-813)) 
-((((-1191) (-145 |#1|)) |has| (-145 |#1|) (-547 (-1191) (-145 |#1|))) (((-145 |#1|) (-145 |#1|)) |has| (-145 |#1|) (-325 (-145 |#1|)))) 
-(((|#2|) . T) (((-592)) |has| |#2| (-1065 (-592))) (((-433 (-592))) |has| |#2| (-1065 (-433 (-592))))) 
-((((-1103)) . T) ((|#2|) . T) (((-592)) |has| |#2| (-1065 (-592))) (((-433 (-592))) |has| |#2| (-1065 (-433 (-592))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-592) (-790)) . T) ((|#3| (-790)) . T)) 
-((((-1103) |#1|) . T) (((-1103) $) . T) (($ $) . T)) 
-(((|#1|) . T)) 
-(((|#1| |#2| (-264 |#2| |#1|) (-254 (-1699 |#2|) (-790)) (-994 |#1|) (-801 |#1|) (-948 |#1|) (-258 (-948 |#1|)) |#3|) . T)) 
-(((|#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-877)) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+((((|Symbol|)) . T) ((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|Field|)) 
+(((|#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((((|Integer|) (|U8Vector|) (|U8Vector|)) . T)) 
+((((|Fraction| (|Integer|))) . T)) 
+((((|Integer|)) . T)) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|InputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|))) (((|SingletonAsOrderedSet|)) . T)) 
+((((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) . T)) 
+((((|PrimeField| |#1|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|UniqueFactorizationDomain|)) 
+(((|#2|) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|)))) 
+((((|PrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#1|) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)))) 
+((($) . T) (((|Fraction| (|Integer|))) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (((|Integer|)) . T) (($) . T)) 
+(((|#2|) |has| |#2| (|Ring|)) (((|Integer|)) AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|)))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#1|) |has| |#1| (|Field|))) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|OrderedAbelianGroup|)) 
+(|has| |#1| (|OrderedAbelianGroup|)) 
+((((|Symbol|) (|BalancedPAdicInteger| |#1|)) |has| (|BalancedPAdicInteger| |#1|) (|InnerEvalable| (|Symbol|) (|BalancedPAdicInteger| |#1|))) (((|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) |has| (|BalancedPAdicInteger| |#1|) (|Evalable| (|BalancedPAdicInteger| |#1|)))) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((((|SingletonAsOrderedSet|)) . T) ((|#2|) . T) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Integer|) (|NonNegativeInteger|)) . T) ((|#3| (|NonNegativeInteger|)) . T)) 
+((((|SingletonAsOrderedSet|) |#1|) . T) (((|SingletonAsOrderedSet|) $) . T) (($ $) . T)) 
+(((|#1|) . T)) 
+(((|#1| |#2| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DirectProduct| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectivePlane| |#1|) (|NeitherSparseOrDensePowerSeries| |#1|) (|Places| |#1|) (|Divisor| (|Places| |#1|)) |#3|) . T)) 
+(((|#2|) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-842)) 
-(|has| |#2| (-842)) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#2|) |has| |#1| (-388)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-(((|#1|) . T) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-592)) |has| |#1| (-908 (-592))) (((-405)) |has| |#1| (-908 (-405)))) 
-(((|#1|) . T)) 
-((((-891 |#1|)) . T)) 
-((((-891 |#1|)) . T)) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-931))) 
-((((-433 (-592))) . T) (((-715)) . T) (($) . T)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-(|has| |#1| (-388)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-879 |#1|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2| (-790)) . T)) 
-((((-1191)) . T)) 
-((((-891 |#1|)) . T)) 
-(-3836 (|has| |#3| (-25)) (|has| |#3| (-158)) (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-815)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-815)) (|has| |#2| (-867))) 
-(-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))) 
-((((-891 |#1|)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-((($ $) . T) (((-631 $) $) . T)) 
-((((-887) (-887)) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((($) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#2|) . T)) 
-((((-592)) . T)) 
-((((-877)) . T)) 
-((((-887)) . T) (($) . T) (((-433 (-592))) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T) (((-433 (-592))) |has| |#1| (-388))) 
-((($) . T) ((|#2|) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-1119)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-(|has| |#2| (-931)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((((-565)) |has| |#2| (-633 (-565))) (((-914 (-405))) |has| |#2| (-633 (-914 (-405)))) (((-914 (-592))) |has| |#2| (-633 (-914 (-592))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#3|) |has| |#3| (-1075)) (((-592)) -12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075)))) 
-((((-1142 |#1| |#2|)) . T) (((-980 |#1|)) |has| |#2| (-633 (-1191))) (((-877)) . T)) 
-((((-980 |#1|)) |has| |#2| (-633 (-1191))) (((-1173)) -12 (|has| |#1| (-1065 (-592))) (|has| |#2| (-633 (-1191)))) (((-914 (-592))) -12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592))))) (((-914 (-405))) -12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405))))) (((-565)) -12 (|has| |#1| (-633 (-565))) (|has| |#2| (-633 (-565))))) 
-((((-1187 |#1|)) . T) (((-877)) . T)) 
-((((-877)) . T)) 
-((((-433 (-592))) |has| |#2| (-1065 (-433 (-592)))) (((-592)) |has| |#2| (-1065 (-592))) ((|#2|) . T) (((-879 |#1|)) . T)) 
-((((-145 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T) (((-1191)) . T)) 
-((((-877)) . T)) 
-((((-592)) . T)) 
-((($) . T)) 
-((((-405)) |has| |#1| (-908 (-405))) (((-592)) |has| |#1| (-908 (-592)))) 
-((((-592)) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) |has| |#1| (-194)) (($) . T)) 
-((((-592)) . T) (((-433 (-592))) . T)) 
-(((|#1|) |has| |#1| (-325 |#1|))) 
-((((-877)) . T)) 
-((((-405)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-433 |#2|) |#3|) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1119)) 
-(((|#2| (-517 (-1699 |#1|) (-790))) . T)) 
-((((-592) |#1|) . T)) 
+(|has| |#2| (|OrderedIntegralDomain|)) 
+(|has| |#2| (|OrderedIntegralDomain|)) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#2|) |has| |#1| (|Field|)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) (((|Float|)) |has| |#1| (|PatternMatchable| (|Float|)))) 
+(((|#1|) . T)) 
+((((|PAdicInteger| |#1|)) . T)) 
+((((|PAdicInteger| |#1|)) . T)) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((((|Fraction| (|Integer|))) . T) (((|MachineFloat|)) . T) (($) . T)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+(|has| |#1| (|Field|)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|OrderedVariableList| |#1|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2| (|NonNegativeInteger|)) . T)) 
+((((|Symbol|)) . T)) 
+((((|PAdicInteger| |#1|)) . T)) 
+(OR (|has| |#3| (|AbelianSemiGroup|)) (|has| |#3| (|CancellationAbelianMonoid|)) (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))) 
+(OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))) 
+((((|PAdicInteger| |#1|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+((($ $) . T) (((|Kernel| $) $) . T)) 
+((((|PseudoAlgebraicClosureOfRationalNumber|) (|PseudoAlgebraicClosureOfRationalNumber|)) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2|) . T)) 
+((((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|PseudoAlgebraicClosureOfRationalNumber|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Field|))) 
+((($) . T) ((|#2|) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Float|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Pattern| (|Integer|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#3|) |has| |#3| (|Ring|)) (((|Integer|)) AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|)))) 
+((((|SparseMultivariatePolynomial| |#1| |#2|)) . T) (((|Polynomial| |#1|)) |has| |#2| (|ConvertibleTo| (|Symbol|))) (((|OutputForm|)) . T)) 
+((((|Polynomial| |#1|)) |has| |#2| (|ConvertibleTo| (|Symbol|))) (((|String|)) AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|)))) (((|Pattern| (|Integer|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|)) AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|))))) 
+((((|SparseUnivariatePolynomial| |#1|)) . T) (((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) ((|#2|) . T) (((|OrderedVariableList| |#1|)) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T) (((|Symbol|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) . T)) 
+((($) . T)) 
+((((|Float|)) |has| |#1| (|PatternMatchable| (|Float|))) (((|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|)))) 
+((((|Integer|)) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) . T)) 
+((((|Integer|)) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) |has| |#1| (|Evalable| |#1|))) 
+((((|OutputForm|)) . T)) 
+((((|Float|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| |#2|) |#3|) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(((|#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|))) . T)) 
+((((|Integer|) |#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| (-558 (-1191))) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-(-3836 (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-592)) . T)) 
+(((|#1| (|IndexedExponents| (|Symbol|))) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+(OR (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|Integer|)) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-1191)) |has| |#1| (-922 (-1191))) (((-1103)) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-654 (-592)))) 
-(|has| |#1| (-582)) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) (((|SingletonAsOrderedSet|)) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(|has| |#1| (|IntegralDomain|)) 
 (((|#1|) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
 (((|#1|) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-877)) . T)) 
-((((-168)) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((((|Character|)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1165)) 
-(((|#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|))) . T)) 
+(|has| |#1| (|StepThrough|)) 
+(((|#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) . T)) 
 (((|#1|) . T)) 
-((((-877)) . T)) 
-((((-433 $) (-433 $)) |has| |#1| (-582)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-592)) |has| |#1| (-1065 (-592))) ((|#1|) . T) ((|#2|) . T)) 
-((((-1103)) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592))))) 
-((((-405)) -12 (|has| |#1| (-908 (-405))) (|has| |#2| (-908 (-405)))) (((-592)) -12 (|has| |#1| (-908 (-592))) (|has| |#2| (-908 (-592))))) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-((((-592) |#1|) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Fraction| $) (|Fraction| $)) |has| |#1| (|IntegralDomain|)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|#1|) . T) ((|#2|) . T)) 
+((((|SingletonAsOrderedSet|)) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) 
+((((|Float|)) AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|)))) (((|Integer|)) AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|))))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+((((|Integer|) |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-(((|#1|) |has| |#1| (-194)) (($) . T)) 
-((($) . T)) 
-((((-715)) . T)) 
-((((-802 |#1| (-879 |#2|))) . T)) 
-((($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-1119)) 
-(|has| |#1| (-1119)) 
-(|has| |#2| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-592)) . T)) 
-((((-1191)) -12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) 
-((((-1191)) -12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-(|has| |#1| (-247)) 
-(((|#2| (-254 (-1699 |#1|) (-790))) . T)) 
-(((|#1| (-558 |#3|)) . T)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#1| (-394)) 
-(|has| |#2| (-931)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) . T)) 
+((($) . T)) 
+((((|MachineFloat|)) . T)) 
+((((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) . T)) 
+((($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|SetCategory|)) 
+(|has| |#1| (|SetCategory|)) 
+(|has| |#2| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|Integer|)) . T)) 
+((((|Symbol|)) AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) 
+((((|Symbol|)) AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(|has| |#1| (|DifferentialRing|)) 
+(((|#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|))) . T)) 
+(((|#1| (|IndexedExponents| |#3|)) . T)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#1| (|Finite|)) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
 (((|#1|) . T) (($) . T)) 
-(-3836 (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(((|#1| (-558 |#2|)) . T)) 
-(((|#1| (-790)) . T)) 
-(-3836 (|has| |#2| (-25)) (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(-12 (|has| |#1| (-21)) (|has| |#2| (-21))) 
-((((-877)) . T)) 
-(-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))) 
-(|has| |#1| (-582)) 
-(-3836 (|has| |#3| (-158)) (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-815)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-743)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(((|#1|) |has| |#1| (-194))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#4|) |has| |#4| (-1075))) 
-(((|#3|) |has| |#3| (-1075))) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-842))) 
-(-12 (|has| |#1| (-388)) (|has| |#2| (-842))) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-433 |#2|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-((((-877)) . T)) 
-((((-191 (-237))) . T)) 
-((((-237)) . T)) 
-((((-191 (-237))) . T)) 
-((((-237)) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T)) 
-(((|#4|) |has| |#4| (-1119)) (((-592)) -12 (|has| |#4| (-1065 (-592))) (|has| |#4| (-1119))) (((-433 (-592))) -12 (|has| |#4| (-1065 (-433 (-592)))) (|has| |#4| (-1119)))) 
-(((|#3|) |has| |#3| (-1119)) (((-592)) -12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119))) (((-433 (-592))) -12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119)))) 
-(|has| |#2| (-388)) 
-(((|#2|) |has| |#2| (-1075)) (((-592)) -12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) 
-(((|#1|) . T)) 
-(|has| |#2| (-388)) 
-((((-433 (-592)) (-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2| |#2|) . T) (($ $) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
+(OR (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(((|#1| (|IndexedExponents| |#2|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(OR (|has| |#2| (|AbelianSemiGroup|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) 
+((((|OutputForm|)) . T)) 
+(OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))) 
+(|has| |#1| (|IntegralDomain|)) 
+(OR (|has| |#3| (|CancellationAbelianMonoid|)) (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#4|) |has| |#4| (|Ring|))) 
+(((|#3|) |has| |#3| (|Ring|))) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) 
+(AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|Fraction| |#2|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+((((|DoubleFloat|)) . T)) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+((((|DoubleFloat|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T)) 
+(((|#4|) |has| |#4| (|SetCategory|)) (((|Integer|)) AND (|has| |#4| (|RetractableTo| (|Integer|))) (|has| |#4| (|SetCategory|))) (((|Fraction| (|Integer|))) AND (|has| |#4| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#4| (|SetCategory|)))) 
+(((|#3|) |has| |#3| (|SetCategory|)) (((|Integer|)) AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|))) (((|Fraction| (|Integer|))) AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|)))) 
+(|has| |#2| (|Field|)) 
+(((|#2|) |has| |#2| (|Ring|)) (((|Integer|)) AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) 
+(((|#1|) . T)) 
+(|has| |#2| (|Field|)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2| |#2|) . T) (($ $) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
 (((|#2| |#2|) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T) (($) -3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-842)) 
-(|has| |#2| (-842)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-15 * (|#1| (-592) |#1|))) 
-(((|#1|) |has| |#2| (-443 |#1|))) 
-(((|#1|) |has| |#2| (-443 |#1|))) 
-((((-932 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) . T)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) |has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))))) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-((((-592) |#1|) . T)) 
-((((-592) |#1|) . T)) 
-((((-592) |#1|) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-592) |#1|) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-1191)) |has| |#1| (-922 (-1191))) (((-840 (-1191))) . T)) 
-(-3836 (|has| |#2| (-388)) (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(-3836 (|has| |#3| (-158)) (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-815)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-((((-841 |#1|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T) (($) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (|OrderedIntegralDomain|)) 
+(|has| |#2| (|OrderedIntegralDomain|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) 
+(((|#1|) |has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) 
+(((|#1|) |has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) 
+((((|PrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) . T)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) |has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))))) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|) |#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|) |#1|) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) (((|OrderlyDifferentialVariable| (|Symbol|))) . T)) 
+(OR (|has| |#2| (|Field|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#3| (|CancellationAbelianMonoid|)) (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+((((|OrderedFreeMonoid| |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-743)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-877)) . T)) 
-((((-1265 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582)) (((-433 (-592))) |has| |#1| (-582))) 
-(((|#2|) . T) (((-592)) |has| |#2| (-654 (-592)))) 
-(|has| |#1| (-388)) 
-(-3836 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (-12 (|has| |#1| (-388)) (|has| |#2| (-247)))) 
-(|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) 
-(|has| |#1| (-388)) 
-(((|#1|) . T)) 
-((((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) ((|#1| |#1|) . T)) 
-((((-592) |#1|) . T)) 
-(-3836 (|has| |#1| (-323)) (|has| |#1| (-388)) (|has| |#1| (-373))) 
-((((-332 |#1|)) . T)) 
-((((-433 (-592)) (-433 (-592))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-((((-715) (-1187 (-715))) . T)) 
-((((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) ((|#1|) . T)) 
-((((-433 (-592))) . T) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (($) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|OutputForm|)) . T)) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|)) (((|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|))) 
+(((|#2|) . T) (((|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) 
+(|has| |#1| (|Field|)) 
+(OR (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (AND (|has| |#1| (|Field|)) (|has| |#2| (|DifferentialRing|)))) 
+(|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) 
+(|has| |#1| (|Field|)) 
+(((|#1|) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) ((|#1| |#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+(OR (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+((((|Expression| |#1|)) . T)) 
+((((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+((((|MachineFloat|) (|SparseUnivariatePolynomial| (|MachineFloat|))) . T)) 
+((((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) ((|#1|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-867)) 
-((($ $) . T) (((-879 |#1|) $) . T) (((-879 |#1|) |#2|) . T)) 
-((((-1142 |#1| (-1191))) . T) (((-840 (-1191))) . T) ((|#1|) . T) (((-592)) |has| |#1| (-1065 (-592))) (((-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) (((-1191)) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+((($ $) . T) (((|OrderedVariableList| |#1|) $) . T) (((|OrderedVariableList| |#1|) |#2|) . T)) 
+((((|SparseMultivariatePolynomial| |#1| (|Symbol|))) . T) (((|OrderlyDifferentialVariable| (|Symbol|))) . T) ((|#1|) . T) (((|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) (((|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Symbol|)) . T)) 
 ((($) . T)) 
 (((|#2| |#1|) . T) ((|#2| $) . T) (($ $) . T)) 
-((((-1103) |#1|) . T) (((-1103) $) . T) (($ $) . T)) 
-((($ $) . T) (((-1191) $) |has| |#1| (-247)) (((-1191) |#1|) |has| |#1| (-247)) (((-1108 (-1191)) |#1|) . T) (((-1108 (-1191)) $) . T)) 
+((((|SingletonAsOrderedSet|) |#1|) . T) (((|SingletonAsOrderedSet|) $) . T) (($ $) . T)) 
+((($ $) . T) (((|Symbol|) $) |has| |#1| (|DifferentialRing|)) (((|Symbol|) |#1|) |has| |#1| (|DifferentialRing|)) (((|SequentialDifferentialVariable| (|Symbol|)) |#1|) . T) (((|SequentialDifferentialVariable| (|Symbol|)) $) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((($) . T) ((|#2|) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592))))) 
-(|has| |#2| (-931)) 
-((($) . T) (((-1264 |#2| |#3| |#4|)) |has| (-1264 |#2| |#3| |#4|) (-194)) (((-433 (-592))) |has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592))))) 
-((((-592) |#1|) . T)) 
-((((-1265 |#1| |#2| |#3| |#4|)) |has| (-1265 |#1| |#2| |#3| |#4|) (-325 (-1265 |#1| |#2| |#3| |#4|)))) 
-((($) . T)) 
-(((|#1|) . T)) 
-((($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#2| |#2|) |has| |#1| (-388)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388)))) 
-(((|#2|) . T)) 
-(|has| |#2| (-247)) 
-(|has| $ (-171)) 
-((((-877)) . T)) 
-((($) . T) (((-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-373))) ((|#1|) . T)) 
-((((-877)) . T)) 
-(|has| |#1| (-867)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) 
-((((-433 |#2|) |#3|) . T)) 
-(((|#1|) . T)) 
-((((-877)) . T)) 
-(((|#2| (-688 |#1|)) . T)) 
-(-12 (|has| |#1| (-323)) (|has| |#1| (-931))) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
+((($) . T) ((|#2|) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+((($) . T) (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Integer|) |#1|) . T)) 
+((((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) |has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Evalable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) 
+((($) . T)) 
+(((|#1|) . T)) 
+((($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#2| |#2|) |has| |#1| (|Field|)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|)))) 
+(((|#2|) . T)) 
+(|has| |#2| (|DifferentialRing|)) 
+(|has| $ (|CharacteristicZero|)) 
+((((|OutputForm|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) ((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(|has| |#1| (|OrderedRing|)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((((|Fraction| |#2|) |#3|) . T)) 
+(((|#1|) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#2| (|LyndonWord| |#1|)) . T)) 
+(AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-582)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) 
-((($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388))) ((|#2|) |has| |#1| (-388)) ((|#1|) . T)) 
-((((-1191)) -3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) 
-(((|#1|) . T) (($) -3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-582))) (((-433 (-592))) -3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-388)))) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) 
-((($) |has| |#1| (-582)) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) 
-((((-592) |#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-(((|#1| (-558 (-840 (-1191)))) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((((-592) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-931))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(((|#1|) . T)) 
-(-3836 (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((($) . T) (((-891 |#1|)) . T) (((-433 (-592))) . T)) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-(|has| |#1| (-582)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-433 |#2|)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) |has| |#1| (-1119))) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) |has| |#1| (-1119))) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#2| (-194)) (($) . T) (((-433 (-592))) |has| |#2| (-582))) 
-(((|#2| |#2|) . T) (((-433 (-592)) (-433 (-592))) . T) (($ $) . T)) 
-(((|#2|) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-592)) . T)) 
-((((-877)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-877)) . T)) 
-((((-605 |#1|)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-592) |#1|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((($ $) . T) (((-1191) $) . T)) 
-((((-1271 |#1| |#2| |#3|)) . T)) 
-(((|#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|))) . T)) 
-((((-565)) |has| |#2| (-633 (-565))) (((-914 (-405))) |has| |#2| (-633 (-914 (-405)))) (((-914 (-592))) |has| |#2| (-633 (-914 (-592))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-914 (-592))) -12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#3| (-633 (-914 (-592))))) (((-914 (-405))) -12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#3| (-633 (-914 (-405))))) (((-565)) -12 (|has| |#1| (-633 (-565))) (|has| |#3| (-633 (-565))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) . T)) 
-((((-877)) . T)) 
-((((-1271 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((((-1271 |#1| |#2| |#3|)) . T) (((-1243 |#1| |#2| |#3|)) . T)) 
-(|has| |#1| (-388)) 
-((((-1191)) . T) (((-877)) . T)) 
-((((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) |has| |#2| (-194)) (($) -3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931)))) 
+(|has| |#1| (|IntegralDomain|)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|))) ((|#2|) |has| |#1| (|Field|)) ((|#1|) . T)) 
+((((|Symbol|)) OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) 
+(((|#1|) . T) (($) OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Integer|))) OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|Field|)))) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+((($) |has| |#1| (|IntegralDomain|)) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) 
+((((|Integer|) |#1|) . T)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(((|#1| (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|Integer|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#1|) . T)) 
+(OR (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((($) . T) (((|PAdicInteger| |#1|)) . T) (((|Fraction| (|Integer|))) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+(|has| |#1| (|IntegralDomain|)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Fraction| |#2|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#2| (|CommutativeRing|)) (($) . T) (((|Fraction| (|Integer|))) |has| |#2| (|IntegralDomain|))) 
+(((|#2| |#2|) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) (($ $) . T)) 
+(((|#2|) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
+((((|InnerPrimeField| |#1|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((($ $) . T) (((|Symbol|) $) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) . T)) 
+(((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) . T)) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Float|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Pattern| (|Integer|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Pattern| (|Integer|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|)) AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#3| (|ConvertibleTo| (|InputForm|))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((((|UnivariateTaylorSeries| |#1| |#2| |#3|)) . T) (((|UnivariateLaurentSeries| |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (|Field|)) 
+((((|Symbol|)) . T) (((|OutputForm|)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) |has| |#2| (|CommutativeRing|)) (($) OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($) . T) (((-433 (-592))) |has| |#2| (-43 (-433 (-592)))) ((|#2|) . T)) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-1123)) . T)) 
-((((-877)) . T)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((($) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T)) 
-((($) . T)) 
-((($) -3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(|has| |#2| (-931)) 
-(|has| |#1| (-931)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1| |#1|) |has| |#1| (-194))) 
-((((-592)) . T)) 
-((((-715)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#1|) |has| |#1| (-194))) 
-((($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#1| (-592)) . T)) 
-((((-877)) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-388)) 
-(|has| |#1| (-388)) 
-(-3836 (|has| |#1| (-194)) (|has| |#1| (-582))) 
-(((|#1| (-790)) . T)) 
-(((|#1| (-592)) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-(((|#1| (-790)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-1119)) 
-((((-433 (-592))) . T)) 
-(((|#1| (-558 |#2|) |#2|) . T)) 
-((((-592) |#1|) . T)) 
-((((-592) |#1|) . T)) 
-(|has| |#1| (-1119)) 
-((((-592) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-914 (-405))) . T) (((-914 (-592))) . T) (((-1191)) . T) (((-565)) . T)) 
-(((|#1|) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(-3836 (|has| |#2| (-158)) (|has| |#2| (-194)) (|has| |#2| (-388)) (|has| |#2| (-815)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-(-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-((((-877)) . T)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#2| (|Algebra| (|Fraction| (|Integer|)))) ((|#2|) . T)) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|SExpression|)) . T)) 
+((((|OutputForm|)) . T)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T)) 
+((($) . T)) 
+((($) OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(|has| |#2| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|))) 
+((((|Integer|)) . T)) 
+((((|MachineFloat|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+((($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#1| (|Integer|)) . T)) 
+((((|OutputForm|)) . T)) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|Field|)) 
+(|has| |#1| (|Field|)) 
+(OR (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|IntegralDomain|))) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#1| (|Integer|)) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|SetCategory|)) 
+((((|Fraction| (|Integer|))) . T)) 
+(((|#1| (|IndexedExponents| |#2|) |#2|) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+(|has| |#1| (|SetCategory|)) 
+((((|Integer|) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((|Pattern| (|Float|))) . T) (((|Pattern| (|Integer|))) . T) (((|Symbol|)) . T) (((|InputForm|)) . T)) 
+(((|#1|) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+(OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((((|OutputForm|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(-3836 (|has| |#2| (-194)) (|has| |#2| (-743)) (|has| |#2| (-867)) (|has| |#2| (-1075))) 
-((((-1191)) -12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) 
-(-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))) 
-((((-592)) . T)) 
-(|has| |#1| (-169)) 
-(|has| |#1| (-171)) 
-(|has| |#1| (-388)) 
+(OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Ring|))) 
+((((|Symbol|)) AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) 
+(OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))) 
+((((|Integer|)) . T)) 
+(|has| |#1| (|CharacteristicNonZero|)) 
+(|has| |#1| (|CharacteristicZero|)) 
+(|has| |#1| (|Field|)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-247)) 
-((((-877)) . T)) 
-(((|#1| (-790) (-1103)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-592) |#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-592) |#1|) . T)) 
-((((-592) |#1|) . T)) 
-((((-145 |#1|)) . T)) 
-((((-592) (-191 (-237))) . T)) 
-((((-592) (-237)) . T)) 
-(((|#2|) |has| |#2| (-1075))) 
-((((-433 (-592))) . T) (($) . T)) 
-(((|#2|) . T)) 
-((((-592)) . T)) 
-((((-592)) . T)) 
-((((-433 (-592))) . T) (((-592)) . T)) 
-((((-1173) (-1191) (-592) (-237) (-877)) . T)) 
+(|has| |#1| (|DifferentialRing|)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|Integer|) |#1|) . T)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Integer|) |#1|) . T)) 
+((((|Integer|) |#1|) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
+((((|Integer|) (|Complex| (|DoubleFloat|))) . T)) 
+((((|Integer|) (|DoubleFloat|)) . T)) 
+(((|#2|) |has| |#2| (|Ring|))) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(((|#2|) . T)) 
+((((|Integer|)) . T)) 
+((((|Integer|)) . T)) 
+((((|Fraction| (|Integer|))) . T) (((|Integer|)) . T)) 
+((((|String|) (|Symbol|) (|Integer|) (|DoubleFloat|) (|OutputForm|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) |has| |#1| (-194)) (($) |has| |#1| (-582))) 
-(-3836 (|has| |#1| (-373)) (|has| |#1| (-394))) 
+((((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) |has| |#1| (|CommutativeRing|)) (($) |has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Finite|))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#1|) . T)) 
-((((-877)) . T)) 
-((($) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-(((|#2|) |has| |#2| (-1119)) (((-592)) -12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (((-433 (-592))) -12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) 
-((((-565)) |has| |#1| (-633 (-565)))) 
-((((-877)) -3836 (|has| |#1| (-869)) (|has| |#1| (-1119)))) 
-((($) . T) (((-433 (-592))) . T)) 
-(|has| |#1| (-931)) 
-(|has| |#1| (-931)) 
-((((-237)) -12 (|has| |#1| (-388)) (|has| |#2| (-1049))) (((-405)) -12 (|has| |#1| (-388)) (|has| |#2| (-1049))) (((-914 (-405))) -12 (|has| |#1| (-388)) (|has| |#2| (-633 (-914 (-405))))) (((-914 (-592))) -12 (|has| |#1| (-388)) (|has| |#2| (-633 (-914 (-592))))) (((-565)) -12 (|has| |#1| (-388)) (|has| |#2| (-633 (-565))))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|OutputForm|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|#1|) . T)) 
+((($) . T) ((|#1|) . T) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+(((|#2|) |has| |#2| (|SetCategory|)) (((|Integer|)) AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (((|Fraction| (|Integer|))) AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) 
+((((|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|)))) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+(|has| |#1| (|PolynomialFactorizationExplicit|)) 
+((((|DoubleFloat|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RealConstant|))) (((|Float|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RealConstant|))) (((|Pattern| (|Float|))) AND (|has| |#1| (|Field|)) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Pattern| (|Integer|))) AND (|has| |#1| (|Field|)) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|InputForm|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|ConvertibleTo| (|InputForm|))))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| |#1|) |has| |#1| (-194))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-582))) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-(((|#2|) . T)) 
-(-3836 (|has| |#1| (-21)) (|has| |#1| (-867))) 
-(((|#1|) |has| |#1| (-194))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| (-433 |#2|) (-171)) 
-((((-433 |#2|) |#3|) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-388)) 
-((($ $) . T) (((-433 (-592)) (-433 (-592))) . T)) 
-(|has| (-433 |#2|) (-169)) 
-((((-715)) . T)) 
-(((|#1|) . T) (((-433 (-592))) . T) (((-592)) . T) (($) . T)) 
-((((-592) (-592)) . T)) 
-((($) . T) (((-433 (-592))) . T)) 
-(-3836 (|has| |#4| (-194)) (|has| |#4| (-743)) (|has| |#4| (-867)) (|has| |#4| (-1075))) 
-(-3836 (|has| |#3| (-194)) (|has| |#3| (-743)) (|has| |#3| (-867)) (|has| |#3| (-1075))) 
-(|has| |#4| (-815)) 
-(-3836 (|has| |#4| (-815)) (|has| |#4| (-867))) 
-(|has| |#4| (-867)) 
-(|has| |#3| (-815)) 
-(-3836 (|has| |#3| (-815)) (|has| |#3| (-867))) 
-(|has| |#3| (-867)) 
-((((-592)) . T)) 
-(((|#2|) . T)) 
-((((-1191)) -3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) 
-(((|#1|) |has| |#1| (-194)) (($) . T)) 
-((((-1191)) -12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) 
+(((|#1| |#1|) |has| |#1| (|CommutativeRing|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|IntegralDomain|))) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+(((|#2|) . T)) 
+(OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|OrderedRing|))) 
+(((|#1|) |has| |#1| (|CommutativeRing|))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| (|Fraction| |#2|) (|CharacteristicZero|)) 
+((((|Fraction| |#2|) |#3|) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Field|)) 
+((($ $) . T) (((|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T)) 
+(|has| (|Fraction| |#2|) (|CharacteristicNonZero|)) 
+((((|MachineFloat|)) . T)) 
+(((|#1|) . T) (((|Fraction| (|Integer|))) . T) (((|Integer|)) . T) (($) . T)) 
+((((|Integer|) (|Integer|)) . T)) 
+((($) . T) (((|Fraction| (|Integer|))) . T)) 
+(OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|Monoid|)) (|has| |#4| (|OrderedRing|)) (|has| |#4| (|Ring|))) 
+(OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Monoid|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) 
+(|has| |#4| (|OrderedAbelianMonoidSup|)) 
+(OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))) 
+(|has| |#4| (|OrderedRing|)) 
+(|has| |#3| (|OrderedAbelianMonoidSup|)) 
+(OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))) 
+(|has| |#3| (|OrderedRing|)) 
+((((|Integer|)) . T)) 
+(((|#2|) . T)) 
+((((|Symbol|)) OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
+(((|#1|) |has| |#1| (|CommutativeRing|)) (($) . T)) 
+((((|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(|has| |#2| (-388)) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(|has| |#2| (|Field|)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T) (($) . T)) 
 (((|#1|) . T)) 
-((((-592) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-((((-879 |#1|)) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
-((((-1154 |#1| |#2|)) . T)) 
-(((|#2|) . T) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-((($) . T)) 
-(|has| |#1| (-1049)) 
-(((|#2|) . T) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| |#2| (-633 (-565))) (((-914 (-592))) |has| |#2| (-633 (-914 (-592)))) (((-914 (-405))) |has| |#2| (-633 (-914 (-405)))) (((-405)) |has| |#2| (-1049)) (((-237)) |has| |#2| (-1049))) 
-((((-1191) (-57)) . T)) 
-(|has| |#1| (-43 (-433 (-592)))) 
-(|has| |#1| (-43 (-433 (-592)))) 
-((((-887)) . T) (((-433 (-592))) . T) (($) . T)) 
-((((-433 (-592))) . T) (($) . T)) 
+((((|Integer|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+((((|OrderedVariableList| |#1|)) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
+((((|SplittingNode| |#1| |#2|)) . T)) 
+(((|#2|) . T) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+((($) . T)) 
+(|has| |#1| (|RealConstant|)) 
+(((|#2|) . T) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| |#2| (|ConvertibleTo| (|InputForm|))) (((|Pattern| (|Integer|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))) (((|Pattern| (|Float|))) |has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (((|Float|)) |has| |#2| (|RealConstant|)) (((|DoubleFloat|)) |has| |#2| (|RealConstant|))) 
+((((|Symbol|) (|Any|)) . T)) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+(|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) 
+((((|PseudoAlgebraicClosureOfRationalNumber|)) . T) (((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
 (((|#2|) . T)) 
 ((($ $) . T)) 
-((((-433 (-592))) . T) (((-715)) . T) (($) . T)) 
-((((-592) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T) (($ $) . T)) 
-((((-1189 |#1| |#2| |#3|)) . T)) 
-((((-1189 |#1| |#2| |#3|)) . T) (((-1181 |#1| |#2| |#3|)) . T)) 
-((((-877)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-592) |#1|) . T)) 
-((((-1189 |#1| |#2| |#3|)) |has| |#1| (-388))) 
+((((|Fraction| (|Integer|))) . T) (((|MachineFloat|)) . T) (($) . T)) 
+((((|Integer|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T) (($ $) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) . T) (((|SparseUnivariateLaurentSeries| |#1| |#2| |#3|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|Integer|) |#1|) . T)) 
+((((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) |has| |#1| (|Field|))) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-388)) 
-(((|#3|) . T) ((|#2|) . T) (($) -3836 (|has| |#4| (-194)) (|has| |#4| (-867)) (|has| |#4| (-1075))) ((|#4|) -3836 (|has| |#4| (-194)) (|has| |#4| (-388)) (|has| |#4| (-1075)))) 
-(((|#2|) . T) (($) -3836 (|has| |#3| (-194)) (|has| |#3| (-867)) (|has| |#3| (-1075))) ((|#3|) -3836 (|has| |#3| (-194)) (|has| |#3| (-388)) (|has| |#3| (-1075)))) 
+(|has| |#2| (|Field|)) 
+(((|#3|) . T) ((|#2|) . T) (($) OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|OrderedRing|)) (|has| |#4| (|Ring|))) ((|#4|) OR (|has| |#4| (|CommutativeRing|)) (|has| |#4| (|Field|)) (|has| |#4| (|Ring|)))) 
+(((|#2|) . T) (($) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|OrderedRing|)) (|has| |#3| (|Ring|))) ((|#3|) OR (|has| |#3| (|CommutativeRing|)) (|has| |#3| (|Field|)) (|has| |#3| (|Ring|)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-388)) 
-((((-145 |#1|)) . T)) 
+(|has| |#1| (|Field|)) 
+((((|BalancedPAdicInteger| |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-433 (-592))) |has| |#2| (-1065 (-433 (-592)))) (((-592)) |has| |#2| (-1065 (-592))) ((|#2|) . T) (((-879 |#1|)) . T)) 
-((((-877)) . T)) 
-((((-565)) |has| (-191 (-237)) (-633 (-565)))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-565)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
+((((|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (((|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) ((|#2|) . T) (((|OrderedVariableList| |#1|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) |has| (|Complex| (|DoubleFloat|)) (|ConvertibleTo| (|InputForm|)))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|InputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
 (((|#1|) . T)) 
-((((-877)) |has| |#1| (-1119))) 
-((((-592) |#1|) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
+((((|Integer|) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#2| $) -12 (|has| |#1| (-388)) (|has| |#2| (-303 |#2| |#2|))) (($ $) . T)) 
+(((|#2| $) AND (|has| |#1| (|Field|)) (|has| |#2| (|Eltable| |#2| |#2|))) (($ $) . T)) 
 ((($ $) . T)) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-((((-877)) . T)) 
-(((|#1| (-558 |#2|)) . T)) 
-((((-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) . T)) 
-(((|#1| (-592)) . T)) 
-(((|#1| (-433 (-592))) . T)) 
-(((|#1| (-790)) . T)) 
-(((|#1| (-790)) . T)) 
-(((|#1|) . T)) 
-((((-145 |#1|)) . T) (($) . T) (((-433 (-592))) . T)) 
-(-3836 (|has| |#2| (-477)) (|has| |#2| (-582)) (|has| |#2| (-931))) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) 
-((($) . T)) 
-(((|#2| (-558 (-879 |#1|))) . T)) 
-((((-2 (|:| |k| (-592)) (|:| |c| |#1|))) . T)) 
-((((-592) |#1|) . T)) 
-(((|#2|) . T)) 
-(-3836 (|has| |#1| (-477)) (|has| |#1| (-931))) 
-(((|#2| (-790)) . T)) 
-((((-877)) |has| |#1| (-1119))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+((((|OutputForm|)) . T)) 
+(((|#1| (|IndexedExponents| |#2|)) . T)) 
+((((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) . T)) 
+(((|#1| (|Integer|)) . T)) 
+(((|#1| (|Fraction| (|Integer|))) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#1| (|NonNegativeInteger|)) . T)) 
+(((|#1|) . T)) 
+((((|BalancedPAdicInteger| |#1|)) . T) (($) . T) (((|Fraction| (|Integer|))) . T)) 
+(OR (|has| |#2| (|GcdDomain|)) (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+((($) . T)) 
+(((|#2| (|IndexedExponents| (|OrderedVariableList| |#1|))) . T)) 
+((((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) . T)) 
+((((|Integer|) |#1|) . T)) 
+(((|#2|) . T)) 
+(OR (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) 
+(((|#2| (|NonNegativeInteger|)) . T)) 
+((((|OutputForm|)) |has| |#1| (|SetCategory|))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1173) |#1|) . T)) 
-((((-433 |#2|)) . T)) 
-((((-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-(|has| |#1| (-582)) 
-(|has| |#1| (-582)) 
-((($) -3836 (|has| |#1| (-388)) (|has| |#1| (-477)) (|has| |#1| (-582)) (|has| |#1| (-931))) ((|#1|) |has| |#1| (-194)) (((-433 (-592))) |has| |#1| (-43 (-433 (-592))))) 
-((((-592)) . T)) 
+((((|String|) |#1|) . T)) 
+((((|Fraction| |#2|)) . T)) 
+((((|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+(|has| |#1| (|IntegralDomain|)) 
+(|has| |#1| (|IntegralDomain|)) 
+((($) OR (|has| |#1| (|Field|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|#1|) |has| |#1| (|CommutativeRing|)) (((|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((((|Integer|)) . T)) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#2| $) |has| |#2| (-303 |#2| |#2|))) 
-(((|#1| (-658 |#1|)) |has| |#1| (-867))) 
-(-3836 (|has| |#1| (-247)) (|has| |#1| (-373))) 
-(-3836 (|has| |#1| (-388)) (|has| |#1| (-373))) 
-(|has| |#1| (-1119)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1165)) 
-((((-433 (-592))) . T) (($) . T)) 
-((((-1027 |#1|)) . T) ((|#1|) . T) (((-592)) -3836 (|has| (-1027 |#1|) (-1065 (-592))) (|has| |#1| (-1065 (-592)))) (((-433 (-592))) -3836 (|has| (-1027 |#1|) (-1065 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-1191)) |has| |#1| (-922 (-1191)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) 
-((((-592) (-191 (-237))) . T)) 
-((((-592) (-237)) . T)) 
-(((|#1| (-623 |#1| |#3|) (-623 |#1| |#2|)) . T)) 
-(((|#1|) . T)) 
-((((-191 (-237))) . T)) 
-((((-237)) . T)) 
+(((|#2| $) |has| |#2| (|Eltable| |#2| |#2|))) 
+(((|#1| (|List| |#1|)) |has| |#1| (|OrderedRing|))) 
+(OR (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(OR (|has| |#1| (|Field|)) (|has| |#1| (|FiniteFieldCategory|))) 
+(|has| |#1| (|SetCategory|)) 
+(((|#1|) . T)) 
+(|has| |#1| (|StepThrough|)) 
+((((|Fraction| (|Integer|))) . T) (($) . T)) 
+((((|Quaternion| |#1|)) . T) ((|#1|) . T) (((|Integer|)) OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Integer|))) (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|))) OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+(((|#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|Integer|) (|Complex| (|DoubleFloat|))) . T)) 
+((((|Integer|) (|DoubleFloat|)) . T)) 
+(((|#1| (|IndexedVector| |#1| |#3|) (|IndexedVector| |#1| |#2|)) . T)) 
+(((|#1|) . T)) 
+((((|Complex| (|DoubleFloat|))) . T)) 
+((((|DoubleFloat|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-1154 |#1| |#2|) (-1154 |#1| |#2|)) |has| (-1154 |#1| |#2|) (-325 (-1154 |#1| |#2|)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 
-((((-145 |#1|)) |has| (-145 |#1|) (-325 (-145 |#1|)))) 
-(-3836 (|has| |#1| (-869)) (|has| |#1| (-1119))) 
+((((|SplittingNode| |#1| |#2|) (|SplittingNode| |#1| |#2|)) |has| (|SplittingNode| |#1| |#2|) (|Evalable| (|SplittingNode| |#1| |#2|)))) 
+(((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
+((((|BalancedPAdicInteger| |#1|)) |has| (|BalancedPAdicInteger| |#1|) (|Evalable| (|BalancedPAdicInteger| |#1|)))) 
+(OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|SetCategory|))) 
 ((($ $) . T)) 
-((($ $) . T) (((-879 |#1|) $) . T) (((-879 |#1|) |#2|) . T)) 
-((($ $) . T) ((|#2| $) |has| |#1| (-247)) ((|#2| |#1|) |has| |#1| (-247)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
-(((-676 . -1119) T) ((-279 . -547) 158177) ((-264 . -547) 158115) ((-599 . -140) 158100) ((-558 . -23) T) ((-262 . -1119) 158050) ((-146 . -325) 157994) ((-514 . -547) 157754) ((-710 . -125) T) ((-1155 . -547) 157662) ((-416 . -158) T) ((-1291 . -1005) 157631) ((-240 . -19) 157613) ((-166 . -19) 157588) ((-623 . -523) 157572) ((-841 . -865) T) ((-637 . -158) T) ((-555 . -62) 157522) ((-240 . -625) 157497) ((-166 . -625) 157465) ((-64 . -547) 157398) ((-551 . -547) 157331) ((-444 . -922) 157290) ((-191 . -1075) T) ((-549 . -547) 157223) ((-530 . -547) 157156) ((-529 . -547) 157089) ((-821 . -1065) 156869) ((-715 . -43) 156834) ((-363 . -373) T) ((-1185 . -1165) 156812) ((-1113 . -1112) 156796) ((-1113 . -1119) 156774) ((-191 . -260) 156725) ((-191 . -247) 156676) ((-1113 . -1114) 156634) ((-893 . -303) 156592) ((-237 . -817) T) ((-237 . -814) T) ((-710 . -301) NIL) ((-1164 . -1202) 156571) ((-433 . -1021) 156555) ((-996 . -125) T) ((-717 . -21) T) ((-717 . -25) T) ((-1293 . -661) 156529) ((-1229 . -175) 156511) ((-1228 . -1225) T) ((-1185 . -43) 156340) ((-332 . -182) 156319) ((-332 . -167) 156298) ((-1164 . -131) 156248) ((-160 . -25) T) ((-45 . -245) 156225) ((-145 . -21) T) ((-145 . -25) T) ((-627 . -305) 156201) ((-504 . -305) 156180) ((-1252 . -1075) T) ((-874 . -1075) T) ((-821 . -358) 156164) ((-146 . -1165) NIL) ((-96 . -632) 156131) ((-513 . -158) T) ((-1252 . -346) 156108) ((-615 . -1225) T) ((-838 . -678) 156059) ((-599 . -1075) T) ((-1252 . -247) T) ((-676 . -734) 156043) ((-986 . -305) 156020) ((-801 . -523) 155972) ((-65 . -39) T) ((-1086 . -817) T) ((-1086 . -814) T) ((-838 . -743) T) ((-748 . -52) 155937) ((-639 . -43) 155924) ((-379 . -307) T) ((-376 . -307) T) ((-364 . -307) T) ((-279 . -307) 155855) ((-264 . -307) 155786) ((-1051 . -125) T) ((-439 . -743) T) ((-146 . -43) 155731) ((-439 . -502) T) ((-378 . -125) T) ((-1220 . -1082) T) ((-728 . -1082) T) ((-1275 . -1270) 155715) ((-1275 . -1257) 155692) ((-1189 . -52) 155669) ((-1188 . -52) 155639) ((-1181 . -52) 155616) ((-1063 . -175) 155562) ((-932 . -307) T) ((-1143 . -52) 155534) ((-710 . -325) NIL) ((-548 . -632) 155516) ((-543 . -632) 155498) ((-541 . -632) 155480) ((-347 . -1119) 155430) ((-136 . -125) T) ((-729 . -477) 155361) ((-53 . -125) T) ((-1263 . -303) 155346) ((-1242 . -303) 155266) ((-658 . -683) 155250) ((-658 . -664) 155234) ((-359 . -21) T) ((-359 . -25) T) ((-45 . -373) NIL) ((-887 . -1119) T) ((-195 . -21) T) ((-195 . -25) T) ((-882 . -1119) T) ((-658 . -399) 155218) ((-623 . -303) 155195) ((-414 . -125) T) ((-1137 . -167) T) ((-156 . -632) 155162) ((-896 . -1119) T) ((-672 . -437) 155146) ((-731 . -632) 155128) ((-1293 . -743) T) ((-240 . -632) 155110) ((-240 . -633) 155092) ((-179 . -632) 155074) ((-166 . -632) 155056) ((-166 . -633) 155008) ((-183 . -632) 154990) ((-1121 . -39) T) ((-136 . -137) T) ((-892 . -817) NIL) ((-892 . -814) NIL) ((-876 . -869) T) ((-748 . -908) NIL) ((-1302 . -158) T) ((-407 . -158) T) ((-926 . -125) T) ((-748 . -1065) 154866) ((-558 . -158) T) ((-1107 . -437) 154850) ((-1028 . -523) 154834) ((-146 . -426) 154811) ((-1181 . -1225) 154790) ((-804 . -437) 154774) ((-802 . -437) 154758) ((-971 . -39) T) ((-710 . -1165) NIL) ((-266 . -661) 154593) ((-265 . -661) 154415) ((-839 . -943) 154394) ((-479 . -437) 154378) ((-623 . -19) 154362) ((-1160 . -1219) 154331) ((-1181 . -908) NIL) ((-1181 . -906) 154283) ((-623 . -625) 154260) ((-1212 . -632) 154227) ((-1190 . -632) 154209) ((-67 . -421) T) ((-1188 . -1065) 154144) ((-1181 . -1065) 154110) ((-801 . -303) 154043) ((-710 . -43) 153993) ((-503 . -303) 153978) ((-748 . -403) 153962) ((-887 . -734) 153927) ((-672 . -1082) T) ((-882 . -734) 153877) ((-1263 . -1030) 153843) ((-1242 . -1030) 153809) ((-1087 . -1202) 153784) ((-893 . -633) 153585) ((-893 . -632) 153567) ((-1199 . -523) 153504) ((-444 . -1049) 153482) ((-53 . -325) 153469) ((-1087 . -131) 153415) ((-514 . -523) 153352) ((-552 . -1225) T) ((-1155 . -523) 153323) ((-1181 . -358) 153275) ((-1181 . -403) 153227) ((-463 . -125) T) ((-1107 . -1082) T) ((-266 . -39) T) ((-265 . -39) T) ((-801 . -1267) 153179) ((-804 . -1082) T) ((-802 . -1082) T) ((-748 . -922) 153156) ((-479 . -1082) T) ((-801 . -625) 153101) ((-64 . -523) 153085) ((-1062 . -1081) 153059) ((-950 . -1119) T) ((-551 . -523) 153043) ((-549 . -523) 153027) ((-530 . -523) 153011) ((-529 . -523) 152995) ((-761 . -943) 152974) ((-262 . -547) 152907) ((-1062 . -140) 152874) ((-1189 . -922) 152787) ((-255 . -661) 152747) ((-687 . -1131) T) ((-1188 . -922) 152653) ((-1181 . -922) 152486) ((-1143 . -922) 152470) ((-378 . -1165) T) ((-341 . -1081) 152452) ((-266 . -813) 152431) ((-266 . -816) 152382) ((-266 . -815) 152361) ((-265 . -813) 152340) ((-265 . -816) 152291) ((-265 . -815) 152270) ((-55 . -1082) T) ((-266 . -743) 152180) ((-265 . -743) 152090) ((-1220 . -1119) T) ((-687 . -23) T) ((-605 . -1082) T) ((-550 . -1082) T) ((-405 . -1081) 152055) ((-341 . -140) 152030) ((-78 . -409) T) ((-78 . -421) T) ((-1051 . -43) 151967) ((-710 . -426) 151949) ((-121 . -125) T) ((-728 . -1119) T) ((-1031 . -169) 151921) ((-405 . -140) 151870) ((-336 . -1235) 151849) ((-503 . -1030) 151815) ((-378 . -43) 151780) ((-45 . -396) 151752) ((-1031 . -171) 151724) ((-157 . -155) 151708) ((-151 . -155) 151692) ((-856 . -1081) 151662) ((-855 . -21) 151614) ((-849 . -1081) 151598) ((-855 . -25) 151550) ((-336 . -582) 151501) ((-592 . -850) T) ((-254 . -1225) T) ((-887 . -194) T) ((-882 . -194) T) ((-856 . -140) 151466) ((-849 . -140) 151445) ((-1263 . -632) 151427) ((-1242 . -632) 151409) ((-1242 . -633) 151080) ((-1187 . -931) 151059) ((-1142 . -931) 151038) ((-53 . -43) 151003) ((-1300 . -1131) T) ((-623 . -632) 150942) ((-623 . -633) 150903) ((-1298 . -1131) T) ((-254 . -1065) 150730) ((-1187 . -661) 150655) ((-1142 . -661) 150580) ((-735 . -632) 150562) ((-873 . -661) 150536) ((-1300 . -23) T) ((-1298 . -23) T) ((-1185 . -245) 150520) ((-1062 . -1075) T) ((-1199 . -303) 150499) ((-191 . -394) 150450) ((-1032 . -1225) T) ((-49 . -23) T) ((-1306 . -125) T) ((-1220 . -734) 150347) ((-514 . -303) 150326) ((-609 . -1119) T) ((-1206 . -1119) T) ((-1160 . -1128) 150295) ((-1123 . -1122) 150247) ((-416 . -21) T) ((-416 . -25) T) ((-176 . -1131) T) ((-1032 . -1065) 150207) ((-1032 . -906) 150189) ((-1032 . -908) 150171) ((-760 . -125) T) ((-255 . -743) T) ((-639 . -245) 150155) ((-637 . -21) T) ((-306 . -582) T) ((-637 . -25) T) ((-728 . -734) 150120) ((-405 . -1075) T) ((-254 . -403) 150089) ((-240 . -305) 150064) ((-166 . -305) 150032) ((-235 . -1082) T) ((-146 . -245) 150009) ((-64 . -303) 149986) ((-176 . -23) T) ((-549 . -303) 149963) ((-347 . -547) 149896) ((-529 . -303) 149873) ((-405 . -260) T) ((-405 . -247) T) ((-884 . -632) 149855) ((-856 . -1075) T) ((-849 . -1075) T) ((-801 . -632) 149837) ((-801 . -633) NIL) ((-729 . -977) 149806) ((-717 . -869) T) ((-503 . -632) 149788) ((-849 . -247) 149767) ((-160 . -869) T) ((-1226 . -1225) T) ((-672 . -1119) T) ((-1199 . -625) 149746) ((-575 . -1202) 149725) ((-356 . -1119) T) ((-336 . -388) 149704) ((-433 . -171) 149683) ((-433 . -169) 149662) ((-1227 . -175) 149644) ((-258 . -1119) T) ((-993 . -1131) 149543) ((-254 . -922) 149475) ((-837 . -1131) 149385) ((-668 . -871) 149369) ((-514 . -625) 149348) ((-575 . -131) 149298) ((-1032 . -403) 149280) ((-1032 . -358) 149262) ((-1191 . -632) 149244) ((-1187 . -678) 149175) ((-118 . -1119) T) ((-993 . -23) 148986) ((-513 . -21) T) ((-513 . -25) T) ((-837 . -23) 148856) ((-1142 . -678) 148807) ((-64 . -19) 148791) ((-1191 . -633) 148713) ((-1187 . -743) T) ((-1142 . -743) T) ((-549 . -19) 148697) ((-529 . -19) 148681) ((-64 . -625) 148658) ((-1107 . -1119) T) ((-923 . -125) 148636) ((-873 . -743) T) ((-804 . -1119) T) ((-549 . -625) 148613) ((-529 . -625) 148590) ((-802 . -1119) T) ((-802 . -1089) 148557) ((-487 . -1119) T) ((-479 . -1119) T) ((-1275 . -125) T) ((-609 . -734) 148532) ((-281 . -125) 148510) ((-662 . -1119) T) ((-1275 . -301) 148476) ((-1271 . -52) 148453) ((-1265 . -125) T) ((-1264 . -52) 148423) ((-1032 . -922) NIL) ((-1243 . -52) 148400) ((-642 . -1131) T) ((-687 . -158) T) ((-1237 . -52) 148377) ((-1220 . -194) 148328) ((-1188 . -323) 148307) ((-1181 . -323) 148286) ((-1101 . -1235) 148237) ((-293 . -1119) T) ((-90 . -466) T) ((-90 . -421) T) ((-1101 . -582) 148188) ((-797 . -632) 148170) ((-55 . -1119) T) ((-728 . -194) T) ((-617 . -52) 148147) ((-237 . -661) 148112) ((-605 . -1119) T) ((-561 . -1119) T) ((-550 . -1119) T) ((-384 . -1235) T) ((-377 . -1235) T) ((-365 . -1235) T) ((-521 . -842) T) ((-521 . -943) T) ((-336 . -1131) T) ((-132 . -1235) T) ((-760 . -325) 148099) ((-359 . -869) T) ((-230 . -943) T) ((-230 . -842) T) ((-731 . -1081) 148069) ((-384 . -582) T) ((-377 . -582) T) ((-365 . -582) T) ((-132 . -582) T) ((-1181 . -1049) NIL) ((-672 . -734) 148039) ((-887 . -307) T) ((-882 . -307) T) ((-336 . -23) T) ((-72 . -1225) T) ((-1028 . -632) 148006) ((-710 . -245) 147988) ((-258 . -734) 147970) ((-731 . -140) 147935) ((-658 . -39) T) ((-262 . -523) 147919) ((-1121 . -1116) 147903) ((-193 . -1119) T) ((-980 . -931) 147882) ((-516 . -931) 147861) ((-1302 . -21) T) ((-1302 . -25) T) ((-1300 . -158) T) ((-1298 . -158) T) ((-1107 . -734) 147710) ((-1086 . -661) 147697) ((-980 . -661) 147622) ((-804 . -734) 147451) ((-565 . -632) 147433) ((-565 . -633) 147414) ((-802 . -734) 147263) ((-1291 . -125) T) ((-1098 . -125) T) ((-407 . -25) T) ((-407 . -21) T) ((-516 . -661) 147188) ((-487 . -734) 147159) ((-479 . -734) 147008) ((-1016 . -125) T) ((-754 . -125) T) ((-1306 . -1165) T) ((-1276 . -632) 146974) ((-558 . -25) T) ((-1243 . -1225) 146953) ((-1264 . -1065) 146888) ((-1243 . -908) NIL) ((-1243 . -906) 146840) ((-163 . -125) T) ((-49 . -158) T) ((-1199 . -633) NIL) ((-1199 . -632) 146822) ((-1156 . -1140) 146767) ((-363 . -1082) T) ((-681 . -632) 146749) ((-306 . -1131) T) ((-379 . -632) 146731) ((-376 . -632) 146713) ((-364 . -632) 146695) ((-279 . -633) 146443) ((-279 . -632) 146425) ((-264 . -632) 146407) ((-264 . -633) 146268) ((-1072 . -1219) 146197) ((-923 . -325) 146135) ((-1243 . -1065) 146101) ((-1220 . -547) 146068) ((-1155 . -632) 146050) ((-995 . -632) 146032) ((-841 . -743) T) ((-605 . -734) 145997) ((-623 . -305) 145974) ((-550 . -734) 145919) ((-514 . -633) NIL) ((-514 . -632) 145901) ((-332 . -125) T) ((-281 . -325) 145839) ((-329 . -125) T) ((-306 . -23) T) ((-176 . -158) T) ((-932 . -632) 145821) ((-932 . -633) 145803) ((-412 . -743) T) ((-893 . -1081) 145755) ((-893 . -140) 145686) ((-237 . -678) T) ((-760 . -43) 145610) ((-162 . -125) T) ((-143 . -125) T) ((-729 . -1255) 145594) ((-731 . -1075) T) ((-710 . -373) NIL) ((-551 . -632) 145561) ((-405 . -817) T) ((-235 . -1119) T) ((-405 . -814) T) ((-237 . -816) T) ((-237 . -813) T) ((-64 . -633) 145522) ((-64 . -632) 145461) ((-237 . -743) T) ((-549 . -633) 145422) ((-549 . -632) 145361) ((-530 . -632) 145328) ((-529 . -633) 145289) ((-529 . -632) 145228) ((-1101 . -388) 145179) ((-45 . -437) 145156) ((-82 . -1225) T) ((-138 . -125) T) ((-994 . -999) 145140) ((-892 . -931) NIL) ((-384 . -349) 145124) ((-384 . -388) T) ((-377 . -349) 145108) ((-377 . -388) T) ((-365 . -349) 145092) ((-365 . -388) T) ((-332 . -301) 145071) ((-132 . -388) T) ((-75 . -1225) T) ((-1243 . -358) 145023) ((-892 . -661) 144968) ((-1243 . -403) 144920) ((-993 . -158) 144775) ((-837 . -158) 144645) ((-1086 . -678) T) ((-986 . -664) 144629) ((-980 . -678) 144580) ((-1107 . -194) 144491) ((-1086 . -816) T) ((-1086 . -813) T) ((-986 . -399) 144475) ((-138 . -137) T) ((-516 . -678) 144426) ((-801 . -305) 144371) ((-804 . -194) 144262) ((-802 . -194) 144173) ((-838 . -52) 144135) ((-1086 . -743) T) ((-347 . -523) 144119) ((-980 . -743) T) ((-479 . -194) 144030) ((-262 . -303) 144007) ((-516 . -743) T) ((-1291 . -325) 143945) ((-1275 . -43) 143842) ((-1271 . -922) 143755) ((-1264 . -922) 143661) ((-1263 . -1081) 143496) ((-1243 . -922) 143329) ((-1242 . -1081) 143137) ((-1237 . -922) 143050) ((-1229 . -125) T) ((-1220 . -307) 143029) ((-1160 . -175) 143013) ((-1096 . -125) T) ((-954 . -983) T) ((-754 . -325) 142951) ((-80 . -1225) T) ((-191 . -931) 142904) ((-34 . -125) T) ((-681 . -408) 142876) ((-30 . -983) T) ((-1 . -632) 142858) ((-1137 . -125) T) ((-1101 . -23) T) ((-55 . -636) 142842) ((-1101 . -1131) T) ((-1031 . -435) 142814) ((-617 . -922) 142727) ((-464 . -125) T) ((-163 . -325) NIL) ((-893 . -1075) T) ((-855 . -869) 142706) ((-86 . -1225) T) ((-728 . -307) T) ((-45 . -1082) T) ((-605 . -194) T) ((-550 . -194) T) ((-544 . -632) 142688) ((-191 . -661) 142598) ((-540 . -632) 142580) ((-375 . -171) 142562) ((-375 . -169) T) ((-384 . -1131) T) ((-377 . -1131) T) ((-365 . -1131) T) ((-1032 . -323) T) ((-937 . -323) T) ((-893 . -260) T) ((-132 . -1131) T) ((-893 . -247) 142541) ((-760 . -426) 142525) ((-1263 . -140) 142339) ((-1242 . -140) 142121) ((-262 . -1267) 142105) ((-592 . -867) T) ((-384 . -23) T) ((-378 . -373) T) ((-332 . -325) 142092) ((-329 . -325) 141988) ((-377 . -23) T) ((-336 . -158) T) ((-365 . -23) T) ((-1032 . -1049) T) ((-132 . -23) T) ((-262 . -625) 141965) ((-1265 . -43) 141822) ((-1252 . -931) 141801) ((-141 . -1119) T) ((-892 . -678) T) ((-1063 . -125) T) ((-1252 . -661) 141726) ((-892 . -816) NIL) ((-874 . -661) 141700) ((-892 . -813) NIL) ((-838 . -908) NIL) ((-892 . -743) T) ((-1107 . -547) 141563) ((-804 . -547) 141509) ((-802 . -547) 141461) ((-599 . -661) 141448) ((-838 . -1065) 141276) ((-479 . -547) 141214) ((-414 . -415) T) ((-65 . -1225) T) ((-637 . -869) 141193) ((-533 . -675) T) ((-1160 . -1005) 141162) ((-884 . -1081) 141114) ((-801 . -1081) 141066) ((-1031 . -477) T) ((-715 . -867) T) ((-543 . -814) T) ((-503 . -1081) 140901) ((-363 . -1119) T) ((-329 . -1165) NIL) ((-306 . -158) T) ((-420 . -1119) T) ((-891 . -1082) T) ((-710 . -396) 140868) ((-884 . -140) 140799) ((-801 . -140) 140730) ((-235 . -636) 140707) ((-191 . -678) 140638) ((-347 . -303) 140615) ((-1229 . -325) NIL) ((-503 . -140) 140429) ((-1263 . -1075) T) ((-1242 . -1075) T) ((-838 . -403) 140413) ((-191 . -743) T) ((-668 . -125) T) ((-1263 . -260) 140392) ((-1263 . -247) 140344) ((-1242 . -247) 140249) ((-1242 . -260) 140228) ((-1031 . -428) NIL) ((-687 . -654) 140176) ((-332 . -43) 140086) ((-329 . -43) 140015) ((-74 . -632) 139997) ((-336 . -526) 139963) ((-1199 . -305) 139942) ((-1132 . -1131) 139852) ((-88 . -1225) T) ((-66 . -632) 139834) ((-514 . -305) 139813) ((-1293 . -1065) 139790) ((-1179 . -1119) T) ((-1132 . -23) 139660) ((-1252 . -678) 139591) ((-838 . -922) 139527) ((-1252 . -743) T) ((-1121 . -1225) T) ((-1107 . -307) 139458) ((-915 . -125) T) ((-804 . -307) 139369) ((-599 . -678) T) ((-347 . -19) 139353) ((-64 . -305) 139330) ((-802 . -307) 139261) ((-874 . -743) T) ((-146 . -867) NIL) ((-549 . -305) 139238) ((-347 . -625) 139215) ((-529 . -305) 139192) ((-479 . -307) 139123) ((-1063 . -325) 138974) ((-599 . -743) T) ((-676 . -632) 138956) ((-262 . -633) 138917) ((-262 . -632) 138856) ((-1161 . -39) T) ((-971 . -1225) T) ((-363 . -734) 138801) ((-884 . -1075) T) ((-801 . -1075) T) ((-687 . -25) T) ((-687 . -21) T) ((-1137 . -1165) T) ((-503 . -1075) T) ((-650 . -443) 138766) ((-626 . -443) 138731) ((-949 . -1119) T) ((-884 . -247) T) ((-884 . -260) T) ((-801 . -247) 138690) ((-801 . -260) T) ((-605 . -307) T) ((-550 . -307) T) ((-1264 . -323) 138669) ((-503 . -247) 138621) ((-503 . -260) 138600) ((-1243 . -323) 138579) ((-1101 . -158) T) ((-893 . -817) 138558) ((-168 . -125) T) ((-45 . -1119) T) ((-893 . -814) 138537) ((-658 . -1038) 138521) ((-604 . -1082) T) ((-592 . -1082) T) ((-528 . -1082) T) ((-433 . -477) T) ((-384 . -158) T) ((-332 . -426) 138505) ((-329 . -426) 138466) ((-377 . -158) T) ((-365 . -158) T) ((-1243 . -1049) NIL) ((-1113 . -632) 138433) ((-132 . -158) T) ((-1137 . -43) 138420) ((-944 . -1119) T) ((-790 . -1119) T) ((-688 . -1119) T) ((-717 . -171) T) ((-1185 . -437) 138404) ((-145 . -171) T) ((-1300 . -21) T) ((-1300 . -25) T) ((-1298 . -21) T) ((-1298 . -25) T) ((-681 . -1081) 138388) ((-558 . -869) T) ((-533 . -869) T) ((-379 . -1081) 138340) ((-376 . -1081) 138292) ((-364 . -1081) 138244) ((-266 . -1225) T) ((-265 . -1225) T) ((-279 . -1081) 138087) ((-264 . -1081) 137930) ((-681 . -140) 137909) ((-379 . -140) 137840) ((-376 . -140) 137771) ((-364 . -140) 137702) ((-279 . -140) 137524) ((-264 . -140) 137346) ((-839 . -1235) 137325) ((-639 . -437) 137309) ((-49 . -21) T) ((-49 . -25) T) ((-837 . -654) 137215) ((-839 . -582) 137194) ((-266 . -1065) 137021) ((-265 . -1065) 136848) ((-156 . -148) 136832) ((-932 . -1081) 136797) ((-715 . -1082) T) ((-729 . -125) T) ((-240 . -664) 136779) ((-166 . -664) 136754) ((-363 . -194) T) ((-240 . -399) 136736) ((-166 . -399) 136711) ((-176 . -21) T) ((-176 . -25) T) ((-93 . -632) 136693) ((-932 . -140) 136642) ((-45 . -734) 136587) ((-891 . -1119) T) ((-347 . -633) 136548) ((-347 . -632) 136487) ((-1242 . -814) 136440) ((-1185 . -1082) T) ((-1242 . -817) 136393) ((-266 . -403) 136362) ((-265 . -403) 136331) ((-887 . -632) 136313) ((-882 . -632) 136295) ((-668 . -43) 136265) ((-627 . -39) T) ((-517 . -1131) 136175) ((-504 . -39) T) ((-1132 . -158) 136045) ((-1193 . -582) 136024) ((-993 . -25) 135835) ((-896 . -632) 135817) ((-993 . -21) 135772) ((-837 . -21) 135682) ((-837 . -25) 135533) ((-1187 . -52) 135510) ((-639 . -1082) T) ((-1142 . -52) 135482) ((-488 . -1119) T) ((-379 . -1075) T) ((-376 . -1075) T) ((-517 . -23) 135352) ((-364 . -1075) T) ((-279 . -1075) T) ((-264 . -1075) T) ((-1062 . -661) 135326) ((-146 . -1082) T) ((-986 . -39) T) ((-761 . -1235) 135305) ((-379 . -247) 135284) ((-379 . -260) T) ((-376 . -247) 135263) ((-376 . -260) T) ((-364 . -247) 135242) ((-364 . -260) T) ((-279 . -346) 135214) ((-264 . -346) 135171) ((-279 . -247) 135150) ((-1171 . -175) 135134) ((-761 . -582) 135045) ((-266 . -922) 134977) ((-265 . -922) 134909) ((-1103 . -869) T) ((-1246 . -1225) T) ((-440 . -1131) T) ((-1227 . -125) T) ((-1079 . -23) T) ((-932 . -1075) T) ((-341 . -661) 134891) ((-1051 . -867) T) ((-1220 . -1030) 134857) ((-1188 . -943) 134836) ((-1181 . -943) 134815) ((-932 . -260) T) ((-839 . -388) 134794) ((-411 . -23) T) ((-157 . -1119) 134772) ((-151 . -1119) 134750) ((-932 . -247) T) ((-1181 . -842) NIL) ((-405 . -661) 134715) ((-891 . -734) 134702) ((-1231 . -1119) T) ((-1072 . -175) 134667) ((-45 . -194) T) ((-710 . -437) 134649) ((-729 . -325) 134636) ((-856 . -661) 134596) ((-849 . -661) 134570) ((-336 . -25) T) ((-336 . -21) T) ((-672 . -303) 134549) ((-604 . -1119) T) ((-592 . -1119) T) ((-528 . -1119) T) ((-262 . -305) 134526) ((-329 . -245) 134487) ((-1187 . -908) NIL) ((-1142 . -908) 134346) ((-1187 . -1065) 134226) ((-1142 . -1065) 134109) ((-873 . -1065) 134005) ((-804 . -303) 133932) ((-950 . -632) 133914) ((-839 . -1131) T) ((-1062 . -743) T) ((-623 . -664) 133898) ((-1072 . -1005) 133827) ((-1027 . -125) T) ((-839 . -23) T) ((-729 . -1165) 133805) ((-710 . -1082) T) ((-623 . -399) 133789) ((-375 . -477) T) ((-363 . -307) T) ((-1281 . -1119) T) ((-489 . -125) T) ((-425 . -125) T) ((-306 . -21) T) ((-306 . -25) T) ((-386 . -743) T) ((-405 . -678) T) ((-727 . -1119) T) ((-715 . -1119) T) ((-386 . -502) T) ((-1227 . -325) NIL) ((-1220 . -632) 133771) ((-1187 . -403) 133755) ((-1142 . -403) 133739) ((-1051 . -437) 133701) ((-163 . -243) 133683) ((-405 . -816) T) ((-405 . -813) T) ((-891 . -194) T) ((-405 . -743) T) ((-728 . -632) 133665) ((-729 . -43) 133494) ((-1280 . -1278) 133478) ((-375 . -428) T) ((-1280 . -1119) 133428) ((-604 . -734) 133415) ((-592 . -734) 133402) ((-528 . -734) 133367) ((-884 . -1297) 133351) ((-332 . -644) 133330) ((-856 . -743) T) ((-849 . -743) T) ((-1185 . -1119) T) ((-658 . -1225) T) ((-1101 . -654) 133278) ((-1187 . -922) 133221) ((-1142 . -922) 133205) ((-676 . -1081) 133189) ((-132 . -654) 133171) ((-517 . -158) 133041) ((-801 . -664) 132993) ((-1193 . -1131) T) ((-884 . -394) T) ((-980 . -52) 132962) ((-761 . -1131) T) ((-639 . -1119) T) ((-676 . -140) 132941) ((-347 . -305) 132918) ((-516 . -52) 132875) ((-1193 . -23) T) ((-150 . -1119) T) ((-146 . -1119) T) ((-126 . -125) 132853) ((-761 . -23) T) ((-1290 . -1131) T) ((-1079 . -158) T) ((-1051 . -1082) T) ((-841 . -1065) 132837) ((-1031 . -741) 132809) ((-1290 . -23) T) ((-715 . -734) 132774) ((-609 . -632) 132756) ((-412 . -1065) 132740) ((-378 . -1082) T) ((-411 . -158) T) ((-343 . -1065) 132724) ((-237 . -908) 132706) ((-1032 . -943) T) ((-96 . -39) T) ((-1032 . -842) T) ((-937 . -943) T) ((-521 . -1235) T) ((-1206 . -632) 132688) ((-1124 . -1119) T) ((-230 . -1235) T) ((-1027 . -325) 132653) ((-237 . -1065) 132613) ((-45 . -307) T) ((-1101 . -21) T) ((-1101 . -25) T) ((-1137 . -850) T) ((-521 . -582) T) ((-384 . -25) T) ((-230 . -582) T) ((-384 . -21) T) ((-377 . -25) T) ((-377 . -21) T) ((-731 . -661) 132573) ((-365 . -25) T) ((-365 . -21) T) ((-132 . -25) T) ((-132 . -21) T) ((-53 . -1082) T) ((-1185 . -734) 132402) ((-604 . -194) T) ((-592 . -194) T) ((-528 . -194) T) ((-672 . -632) 132384) ((-754 . -753) 132368) ((-356 . -632) 132350) ((-258 . -632) 132332) ((-73 . -409) T) ((-73 . -421) T) ((-1121 . -131) 132316) ((-1086 . -908) 132298) ((-980 . -908) 132223) ((-667 . -1131) T) ((-639 . -734) 132210) ((-516 . -908) NIL) ((-1160 . -125) T) ((-1086 . -1065) 132192) ((-118 . -632) 132174) ((-513 . -171) T) ((-980 . -1065) 132054) ((-146 . -734) 131999) ((-667 . -23) T) ((-516 . -1065) 131875) ((-1107 . -633) NIL) ((-1107 . -632) 131857) ((-804 . -633) NIL) ((-804 . -632) 131818) ((-802 . -633) 131452) ((-802 . -632) 131366) ((-1132 . -654) 131272) ((-487 . -632) 131254) ((-479 . -632) 131236) ((-479 . -633) 131097) ((-1063 . -243) 131043) ((-156 . -39) T) ((-839 . -158) T) ((-893 . -931) 131022) ((-662 . -632) 131004) ((-379 . -1297) 130988) ((-376 . -1297) 130972) ((-364 . -1297) 130956) ((-157 . -547) 130889) ((-151 . -547) 130822) ((-544 . -814) T) ((-544 . -817) T) ((-543 . -816) T) ((-126 . -325) 130760) ((-234 . -125) 130738) ((-240 . -39) T) ((-166 . -39) T) ((-710 . -1119) T) ((-715 . -194) T) ((-1231 . -547) NIL) ((-893 . -661) 130690) ((-1027 . -43) 130638) ((-70 . -410) T) ((-293 . -632) 130620) ((-70 . -421) T) ((-980 . -403) 130604) ((-891 . -307) T) ((-55 . -632) 130586) ((-887 . -1081) 130551) ((-882 . -1081) 130501) ((-605 . -632) 130483) ((-605 . -633) 130465) ((-516 . -403) 130449) ((-561 . -632) 130431) ((-550 . -632) 130413) ((-932 . -1297) 130400) ((-892 . -1225) T) ((-887 . -140) 130349) ((-717 . -477) T) ((-882 . -140) 130276) ((-528 . -547) 130242) ((-521 . -388) T) ((-379 . -394) 130221) ((-376 . -394) 130200) ((-364 . -394) 130179) ((-230 . -388) T) ((-731 . -743) T) ((-145 . -477) T) ((-1185 . -194) 130070) ((-1301 . -1292) 130054) ((-892 . -906) 130031) ((-892 . -908) NIL) ((-993 . -869) 129930) ((-837 . -869) 129881) ((-668 . -670) 129865) ((-1212 . -39) T) ((-193 . -632) 129847) ((-1132 . -21) 129757) ((-1132 . -25) 129608) ((-996 . -1119) T) ((-892 . -1065) 129585) ((-980 . -922) 129566) ((-1252 . -52) 129543) ((-932 . -394) T) ((-64 . -664) 129527) ((-549 . -664) 129511) ((-516 . -922) 129488) ((-76 . -466) T) ((-76 . -421) T) ((-529 . -664) 129472) ((-64 . -399) 129456) ((-639 . -194) T) ((-549 . -399) 129440) ((-529 . -399) 129424) ((-849 . -725) 129408) ((-1187 . -323) 129387) ((-1193 . -158) T) ((-146 . -194) T) ((-761 . -158) T) ((-1160 . -325) 129325) ((-191 . -1225) T) ((-650 . -763) 129309) ((-626 . -763) 129293) ((-1290 . -158) T) ((-1264 . -943) 129272) ((-1243 . -943) 129251) ((-1243 . -842) NIL) ((-710 . -734) 129201) ((-1242 . -931) 129154) ((-1051 . -1119) T) ((-892 . -403) 129131) ((-892 . -358) 129108) ((-927 . -1131) T) ((-191 . -906) 129092) ((-191 . -908) 129017) ((-1280 . -547) 128950) ((-893 . -678) T) ((-521 . -1131) T) ((-378 . -1119) T) ((-230 . -1131) T) ((-81 . -466) T) ((-81 . -421) T) ((-1263 . -661) 128847) ((-191 . -1065) 128743) ((-336 . -869) T) ((-887 . -1075) T) ((-882 . -1075) T) ((-1242 . -661) 128613) ((-893 . -816) 128592) ((-893 . -813) 128571) ((-1302 . -1295) 128550) ((-893 . -743) T) ((-521 . -23) T) ((-235 . -632) 128532) ((-195 . -477) T) ((-234 . -325) 128470) ((-91 . -466) T) ((-91 . -421) T) ((-887 . -260) T) ((-230 . -23) T) ((-882 . -260) T) ((-760 . -437) 128454) ((-537 . -560) 128329) ((-604 . -307) T) ((-592 . -307) T) ((-693 . -1065) 128313) ((-528 . -307) T) ((-1185 . -547) 128259) ((-162 . -499) 128214) ((-136 . -1119) T) ((-53 . -1119) T) ((-729 . -245) 128198) ((-892 . -922) NIL) ((-1252 . -908) NIL) ((-911 . -125) T) ((-907 . -125) T) ((-414 . -1119) T) ((-191 . -403) 128182) ((-191 . -358) 128166) ((-1252 . -1065) 128046) ((-874 . -1065) 127942) ((-1156 . -125) T) ((-667 . -158) T) ((-146 . -547) 127805) ((-676 . -814) 127784) ((-676 . -817) 127763) ((-599 . -1065) 127745) ((-310 . -1287) 127715) ((-880 . -125) T) ((-992 . -582) 127694) ((-1220 . -1081) 127577) ((-517 . -654) 127483) ((-926 . -1119) T) ((-1051 . -734) 127420) ((-728 . -1081) 127385) ((-884 . -661) 127337) ((-801 . -661) 127289) ((-623 . -39) T) ((-1161 . -1225) T) ((-1220 . -140) 127151) ((-503 . -661) 127048) ((-378 . -734) 126993) ((-191 . -922) 126952) ((-715 . -307) T) ((-760 . -1082) T) ((-710 . -194) T) ((-728 . -140) 126901) ((-1306 . -1082) T) ((-1252 . -403) 126885) ((-444 . -1235) 126863) ((-329 . -867) NIL) ((-1263 . -678) 126842) ((-1242 . -678) 126821) ((-444 . -582) T) ((-237 . -323) T) ((-1242 . -813) 126774) ((-1242 . -816) 126727) ((-33 . -1117) T) ((-1263 . -743) T) ((-1242 . -743) T) ((-53 . -734) 126692) ((-1185 . -307) 126603) ((-237 . -1049) T) ((-375 . -1287) 126580) ((-1265 . -437) 126546) ((-735 . -743) T) ((-1252 . -922) 126489) ((-141 . -632) 126471) ((-141 . -633) 126453) ((-735 . -502) T) ((-517 . -21) 126363) ((-157 . -523) 126347) ((-151 . -523) 126331) ((-517 . -25) 126182) ((-639 . -307) T) ((-801 . -39) T) ((-1231 . -523) 126164) ((-609 . -1081) 126139) ((-1230 . -62) 126105) ((-463 . -1119) T) ((-1086 . -323) T) ((-146 . -307) T) ((-1123 . -125) T) ((-1031 . -125) T) ((-609 . -140) 126066) ((-1275 . -1082) T) ((-1156 . -325) 126004) ((-1220 . -1075) T) ((-1086 . -1049) T) ((-71 . -1225) T) ((-1079 . -25) T) ((-1079 . -21) T) ((-728 . -1075) T) ((-884 . -678) T) ((-801 . -678) T) ((-411 . -21) T) ((-411 . -25) T) ((-710 . -547) NIL) ((-1051 . -194) T) ((-503 . -678) 125983) ((-728 . -260) T) ((-1086 . -574) T) ((-884 . -743) T) ((-801 . -743) T) ((-535 . -125) T) ((-378 . -194) T) ((-363 . -632) 125965) ((-420 . -632) 125947) ((-503 . -743) T) ((-1137 . -867) T) ((-914 . -1065) 125915) ((-132 . -869) T) ((-672 . -1081) 125899) ((-521 . -158) T) ((-1265 . -1082) T) ((-230 . -158) T) ((-258 . -1081) 125881) ((-1171 . -125) 125859) ((-121 . -1119) T) ((-262 . -683) 125843) ((-262 . -664) 125827) ((-672 . -140) 125806) ((-332 . -437) 125790) ((-262 . -399) 125774) ((-1174 . -249) 125721) ((-1027 . -245) 125705) ((-258 . -140) 125680) ((-79 . -1225) T) ((-53 . -194) T) ((-717 . -413) T) ((-717 . -167) T) ((-1301 . -125) T) ((-1107 . -1081) 125523) ((-279 . -931) 125502) ((-264 . -931) 125481) ((-804 . -1081) 125304) ((-802 . -1081) 125147) ((-627 . -1225) T) ((-1179 . -632) 125129) ((-1107 . -140) 124951) ((-1072 . -125) T) ((-504 . -1225) T) ((-487 . -1081) 124922) ((-479 . -1081) 124765) ((-681 . -661) 124749) ((-892 . -323) T) ((-804 . -140) 124551) ((-802 . -140) 124373) ((-379 . -661) 124325) ((-376 . -661) 124277) ((-364 . -661) 124229) ((-279 . -661) 124154) ((-264 . -661) 124079) ((-1173 . -869) T) ((-487 . -140) 124040) ((-479 . -140) 123862) ((-1108 . -1065) 123846) ((-1097 . -1065) 123823) ((-1028 . -39) T) ((-986 . -1225) T) ((-156 . -1038) 123807) ((-992 . -1131) T) ((-892 . -1049) NIL) ((-752 . -1131) T) ((-732 . -1131) T) ((-1280 . -523) 123791) ((-1156 . -43) 123751) ((-992 . -23) T) ((-932 . -661) 123716) ((-862 . -125) T) ((-839 . -21) T) ((-839 . -25) T) ((-752 . -23) T) ((-732 . -23) T) ((-134 . -675) T) ((-797 . -743) T) ((-605 . -1081) 123681) ((-550 . -1081) 123626) ((-241 . -62) 123584) ((-478 . -23) T) ((-433 . -125) T) ((-278 . -125) T) ((-797 . -502) T) ((-994 . -125) T) ((-710 . -307) T) ((-880 . -43) 123554) ((-1231 . -303) 123529) ((-605 . -140) 123478) ((-550 . -140) 123395) ((-761 . -654) 123343) ((-444 . -1131) T) ((-332 . -1082) 123233) ((-329 . -1082) T) ((-949 . -632) 123215) ((-760 . -1119) T) ((-672 . -1075) T) ((-1306 . -1119) T) ((-191 . -323) 123146) ((-444 . -23) T) ((-45 . -632) 123128) ((-45 . -633) 123112) ((-132 . -1021) 123094) ((-145 . -890) 123078) ((-53 . -547) 123044) ((-1212 . -1038) 123028) ((-1199 . -39) T) ((-944 . -632) 123010) ((-1132 . -869) 122961) ((-790 . -632) 122943) ((-688 . -632) 122925) ((-1252 . -323) 122904) ((-1231 . -19) 122886) ((-1231 . -625) 122861) ((-1171 . -325) 122799) ((-1111 . -1225) T) ((-514 . -39) T) ((-1107 . -1075) T) ((-513 . -477) T) ((-887 . -1297) 122774) ((-882 . -1297) 122734) ((-1155 . -39) T) ((-804 . -1075) T) ((-802 . -1075) T) ((-660 . -249) 122718) ((-647 . -249) 122664) ((-1193 . -21) T) ((-1193 . -25) T) ((-1107 . -346) 122625) ((-1107 . -247) 122604) ((-804 . -346) 122581) ((-804 . -247) T) ((-479 . -1075) T) ((-802 . -346) 122553) ((-748 . -1235) 122532) ((-379 . -678) T) ((-376 . -678) T) ((-364 . -678) T) ((-347 . -664) 122516) ((-279 . -678) 122467) ((-264 . -678) 122418) ((-64 . -39) T) ((-551 . -39) T) ((-549 . -39) T) ((-479 . -346) 122397) ((-347 . -399) 122381) ((-530 . -39) T) ((-529 . -39) T) ((-1031 . -1165) NIL) ((-748 . -582) 122312) ((-650 . -125) T) ((-626 . -125) T) ((-379 . -743) T) ((-376 . -743) T) ((-364 . -743) T) ((-279 . -743) T) ((-264 . -743) T) ((-761 . -25) T) ((-761 . -21) T) ((-1290 . -21) T) ((-1072 . -325) 122220) ((-1290 . -25) T) ((-1275 . -1119) T) ((-923 . -1119) 122198) ((-55 . -1075) T) ((-1189 . -582) 122177) ((-1188 . -1235) 122156) ((-1188 . -582) 122107) ((-1181 . -1235) 122086) ((-932 . -678) T) ((-605 . -1075) T) ((-550 . -1075) T) ((-537 . -125) T) ((-1051 . -307) T) ((-386 . -1065) 122070) ((-341 . -1065) 122054) ((-281 . -1119) 122032) ((-405 . -908) 122014) ((-1181 . -582) 121965) ((-1143 . -582) 121944) ((-1031 . -43) 121889) ((-821 . -1131) T) ((-932 . -743) T) ((-605 . -260) T) ((-605 . -247) T) ((-550 . -247) T) ((-550 . -260) T) ((-760 . -734) 121813) ((-378 . -307) T) ((-660 . -711) 121797) ((-405 . -1065) 121757) ((-281 . -280) 121741) ((-1137 . -1082) T) ((-126 . -155) 121725) ((-821 . -23) T) ((-1300 . -1295) 121701) ((-1298 . -1295) 121680) ((-1280 . -303) 121657) ((-433 . -325) 121622) ((-1265 . -1119) T) ((-1185 . -303) 121549) ((-891 . -632) 121531) ((-856 . -1065) 121500) ((-217 . -809) T) ((-216 . -809) T) ((-34 . -37) 121477) ((-215 . -809) T) ((-214 . -809) T) ((-213 . -809) T) ((-212 . -809) T) ((-211 . -809) T) ((-210 . -809) T) ((-209 . -809) T) ((-208 . -809) T) ((-528 . -1030) T) ((-292 . -858) T) ((-291 . -858) T) ((-290 . -858) T) ((-289 . -858) T) ((-53 . -307) T) ((-288 . -858) T) ((-287 . -858) T) ((-286 . -858) T) ((-207 . -809) T) ((-631 . -869) T) ((-668 . -437) 121461) ((-134 . -869) T) ((-667 . -21) T) ((-667 . -25) T) ((-488 . -632) 121443) ((-1301 . -43) 121413) ((-1280 . -19) 121397) ((-146 . -303) 121327) ((-238 . -125) T) ((-165 . -125) T) ((-1280 . -625) 121304) ((-1291 . -1119) T) ((-1275 . -734) 121201) ((-1098 . -1119) T) ((-1016 . -1119) T) ((-992 . -158) T) ((-754 . -1119) T) ((-752 . -158) T) ((-732 . -158) T) ((-544 . -815) T) ((-433 . -1165) 121179) ((-478 . -158) T) ((-544 . -816) T) ((-235 . -1075) T) ((-310 . -125) 120961) ((-163 . -1119) T) ((-715 . -1030) T) ((-96 . -1225) T) ((-157 . -632) 120928) ((-151 . -632) 120895) ((-760 . -194) T) ((-1306 . -194) T) ((-1231 . -633) 120877) ((-1231 . -632) 120859) ((-1188 . -388) 120838) ((-1181 . -388) 120817) ((-332 . -1119) T) ((-444 . -158) T) ((-329 . -1119) T) ((-433 . -43) 120769) ((-1150 . -125) T) ((-1265 . -734) 120626) ((-668 . -1082) T) ((-336 . -169) 120605) ((-336 . -171) 120584) ((-162 . -1119) T) ((-143 . -1119) T) ((-876 . -125) T) ((-604 . -632) 120566) ((-592 . -633) 120465) ((-592 . -632) 120447) ((-528 . -632) 120429) ((-528 . -633) 120374) ((-519 . -23) T) ((-517 . -869) 120325) ((-138 . -1119) T) ((-521 . -654) 120307) ((-801 . -1038) 120259) ((-230 . -654) 120241) ((-237 . -430) T) ((-676 . -661) 120225) ((-1187 . -943) 120204) ((-748 . -1131) T) ((-375 . -125) T) ((-840 . -869) T) ((-748 . -23) T) ((-363 . -1081) 120149) ((-1173 . -1172) T) ((-1161 . -131) 120133) ((-1275 . -194) 120084) ((-1189 . -1131) T) ((-1188 . -1131) T) ((-1181 . -1131) T) ((-1143 . -1131) T) ((-548 . -1065) 120068) ((-363 . -140) 119985) ((-238 . -325) NIL) ((-165 . -325) NIL) ((-1032 . -1235) T) ((-156 . -1225) T) ((-937 . -1235) T) ((-1281 . -632) 119967) ((-1229 . -1119) T) ((-710 . -303) NIL) ((-1189 . -23) T) ((-1188 . -23) T) ((-1181 . -23) T) ((-1156 . -245) 119951) ((-1143 . -23) T) ((-1096 . -1119) T) ((-1032 . -582) T) ((-937 . -582) T) ((-821 . -158) T) ((-240 . -1225) T) ((-166 . -1225) T) ((-760 . -547) 119917) ((-727 . -632) 119899) ((-34 . -1119) T) ((-332 . -734) 119809) ((-329 . -734) 119738) ((-715 . -632) 119720) ((-715 . -633) 119665) ((-433 . -426) 119649) ((-464 . -1119) T) ((-521 . -25) T) ((-521 . -21) T) ((-1137 . -1119) T) ((-230 . -25) T) ((-230 . -21) T) ((-729 . -437) 119633) ((-731 . -1065) 119602) ((-1280 . -632) 119541) ((-1280 . -633) 119502) ((-1265 . -194) T) ((-262 . -39) T) ((-1185 . -633) NIL) ((-1185 . -632) 119484) ((-953 . -1003) T) ((-1212 . -1225) T) ((-676 . -813) 119463) ((-676 . -816) 119442) ((-424 . -421) T) ((-555 . -125) 119420) ((-1063 . -1119) T) ((-234 . -1023) 119404) ((-538 . -125) T) ((-639 . -632) 119386) ((-50 . -869) NIL) ((-639 . -633) 119363) ((-1063 . -629) 119338) ((-923 . -547) 119271) ((-363 . -1075) T) ((-150 . -632) 119253) ((-146 . -633) NIL) ((-146 . -632) 119235) ((-893 . -1225) T) ((-687 . -443) 119219) ((-687 . -1140) 119164) ((-281 . -547) 119097) ((-533 . -175) 119079) ((-363 . -247) T) ((-363 . -260) T) ((-45 . -1081) 119024) ((-893 . -906) 119008) ((-893 . -908) 118933) ((-729 . -1082) T) ((-710 . -1030) NIL) ((-1263 . -52) 118903) ((-1242 . -52) 118880) ((-1155 . -1038) 118851) ((-1137 . -734) 118838) ((-1124 . -632) 118820) ((-893 . -1065) 118684) ((-237 . -943) T) ((-45 . -140) 118601) ((-760 . -307) T) ((-1101 . -171) 118580) ((-1101 . -169) 118531) ((-1032 . -388) T) ((-887 . -661) 118496) ((-882 . -661) 118446) ((-336 . -1214) 118412) ((-405 . -323) T) ((-336 . -1211) 118378) ((-332 . -194) 118357) ((-329 . -194) T) ((-1031 . -245) 118334) ((-937 . -388) T) ((-605 . -1297) 118321) ((-550 . -1297) 118298) ((-384 . -171) 118277) ((-384 . -169) 118228) ((-377 . -171) 118207) ((-377 . -169) 118158) ((-627 . -1202) 118134) ((-365 . -171) 118113) ((-365 . -169) 118064) ((-336 . -40) 118030) ((-504 . -1202) 118009) ((0 . |EnumerationCategory|) T) ((-336 . -116) 117975) ((-405 . -1049) T) ((-132 . -171) T) ((-132 . -169) NIL) ((-50 . -249) 117925) ((-668 . -1119) T) ((-627 . -131) 117872) ((-519 . -158) T) ((-504 . -131) 117822) ((-254 . -1131) 117732) ((-1106 . -1131) T) ((-893 . -403) 117716) ((-893 . -358) 117700) ((-254 . -23) 117570) ((-1086 . -943) T) ((-1086 . -842) T) ((-605 . -394) T) ((-550 . -394) T) ((-761 . -869) 117549) ((-1231 . -305) 117524) ((-375 . -1165) T) ((-347 . -39) T) ((-49 . -443) 117508) ((-1106 . -23) T) ((-416 . -763) 117492) ((-1291 . -547) 117425) ((-748 . -158) T) ((-1275 . -307) 117404) ((-1271 . -582) 117383) ((-1264 . -1235) 117362) ((-1264 . -582) 117313) ((-1243 . -1235) 117292) ((-1243 . -582) 117243) ((-754 . -547) 117176) ((-1242 . -1225) 117155) ((-1242 . -908) 117028) ((-915 . -1119) T) ((-168 . -863) T) ((-1242 . -906) 116998) ((-1237 . -582) 116977) ((-1189 . -158) T) ((-555 . -325) 116915) ((-1188 . -158) T) ((-163 . -547) NIL) ((-1181 . -158) T) ((-1143 . -158) T) ((-1051 . -1030) T) ((-1032 . -23) T) ((-375 . -43) 116880) ((-1032 . -1131) T) ((-937 . -1131) T) ((-87 . -632) 116862) ((-45 . -1075) T) ((-891 . -1081) 116849) ((-893 . -922) 116808) ((-801 . -52) 116785) ((-717 . -125) T) ((-1031 . -373) NIL) ((-623 . -1225) T) ((-1000 . -23) T) ((-937 . -23) T) ((-891 . -140) 116770) ((-453 . -1131) T) ((-503 . -52) 116740) ((-160 . -125) T) ((-45 . -247) 116712) ((-45 . -260) T) ((-145 . -125) T) ((-618 . -582) 116691) ((-617 . -582) 116670) ((-710 . -632) 116652) ((-710 . -633) 116560) ((-332 . -547) 116526) ((-329 . -547) 116277) ((-887 . -678) T) ((-882 . -678) T) ((-1263 . -1065) 116261) ((-1242 . -1065) 116047) ((-1027 . -437) 116031) ((-453 . -23) T) ((-1137 . -194) T) ((-887 . -743) T) ((-882 . -743) T) ((-1265 . -307) T) ((-668 . -734) 116001) ((-168 . -1119) T) ((-53 . -1030) T) ((-433 . -245) 115985) ((-311 . -249) 115935) ((-892 . -943) T) ((-892 . -842) NIL) ((-996 . -632) 115917) ((-879 . -869) T) ((-1242 . -358) 115887) ((-1242 . -403) 115857) ((-234 . -1138) 115841) ((-801 . -1225) T) ((-1280 . -305) 115818) ((-524 . -125) T) ((-1220 . -661) 115743) ((-992 . -21) T) ((-992 . -25) T) ((-752 . -21) T) ((-752 . -25) T) ((-732 . -21) T) ((-732 . -25) T) ((-728 . -661) 115708) ((-478 . -21) T) ((-478 . -25) T) ((-359 . -125) T) ((-195 . -125) T) ((-1027 . -1082) T) ((-891 . -1075) T) ((-884 . -1065) 115692) ((-793 . -125) T) ((-1229 . -547) NIL) ((-1264 . -388) 115671) ((-1263 . -922) 115577) ((-1243 . -388) 115556) ((-1242 . -922) 115407) ((-1051 . -632) 115389) ((-433 . -850) 115342) ((-1189 . -526) 115308) ((-191 . -943) 115239) ((-1188 . -526) 115205) ((-1181 . -526) 115171) ((-729 . -1119) T) ((-1143 . -526) 115137) ((-604 . -1081) 115124) ((-592 . -1081) 115111) ((-528 . -1081) 115076) ((-332 . -307) 115055) ((-329 . -307) T) ((-378 . -632) 115037) ((-444 . -25) T) ((-444 . -21) T) ((-121 . -303) 115016) ((-604 . -140) 115001) ((-592 . -140) 114986) ((-528 . -140) 114935) ((-1191 . -908) 114902) ((-35 . -125) T) ((-923 . -523) 114886) ((-136 . -632) 114868) ((-53 . -632) 114850) ((-53 . -633) 114795) ((-281 . -523) 114779) ((-254 . -158) 114649) ((-1252 . -943) 114628) ((-838 . -1235) 114607) ((-1063 . -547) 114415) ((-1106 . -158) T) ((-414 . -632) 114397) ((-838 . -582) 114328) ((-609 . -661) 114303) ((-279 . -52) 114275) ((-264 . -52) 114232) ((-558 . -542) 114209) ((-1028 . -1225) T) ((-1271 . -23) T) ((-1271 . -1131) T) ((-1264 . -1131) T) ((-715 . -1081) 114174) ((-801 . -922) 114087) ((-1264 . -23) T) ((-1243 . -1131) T) ((-1237 . -1131) T) ((-1031 . -396) 114059) ((-728 . -678) T) ((-141 . -394) T) ((-503 . -922) 113965) ((-1243 . -23) T) ((-1237 . -23) T) ((-926 . -632) 113947) ((-96 . -131) 113931) ((-1220 . -743) T) ((-927 . -869) 113882) ((-717 . -1165) T) ((-715 . -140) 113831) ((-1227 . -1119) T) ((-618 . -1131) T) ((-617 . -1131) T) ((-729 . -734) 113660) ((-728 . -743) T) ((-1137 . -307) T) ((-1032 . -158) T) ((-521 . -869) T) ((-1000 . -158) T) ((-937 . -158) T) ((-821 . -25) T) ((-230 . -869) T) ((-821 . -21) T) ((-604 . -1075) T) ((-592 . -1075) T) ((-528 . -1075) T) ((-618 . -23) T) ((-363 . -1297) 113637) ((-336 . -477) 113616) ((-359 . -325) 113603) ((-617 . -23) T) ((-453 . -158) T) ((-672 . -661) 113577) ((-1185 . -1081) 113400) ((-262 . -1038) 113384) ((-893 . -323) T) ((-1302 . -1292) 113368) ((-790 . -814) T) ((-790 . -817) T) ((-717 . -43) 113355) ((-258 . -661) 113337) ((-592 . -247) T) ((-528 . -260) T) ((-528 . -247) T) ((-1185 . -140) 113139) ((-1164 . -249) 113089) ((-1107 . -931) 113068) ((-145 . -43) 113055) ((-223 . -822) T) ((-222 . -822) T) ((-221 . -822) T) ((-220 . -822) T) ((-893 . -1049) 113033) ((-1291 . -523) 113017) ((-804 . -931) 112996) ((-802 . -931) 112975) ((-1199 . -1225) T) ((-479 . -931) 112954) ((-754 . -523) 112938) ((-1107 . -661) 112863) ((-804 . -661) 112788) ((-639 . -1081) 112775) ((-514 . -1225) T) ((-363 . -394) T) ((-163 . -523) 112757) ((-802 . -661) 112682) ((-1155 . -1225) T) ((-487 . -661) 112653) ((-279 . -908) 112512) ((-264 . -908) NIL) ((-146 . -1081) 112457) ((-479 . -661) 112382) ((-681 . -1065) 112359) ((-639 . -140) 112344) ((-379 . -1065) 112328) ((-376 . -1065) 112312) ((-364 . -1065) 112296) ((-279 . -1065) 112140) ((-264 . -1065) 112016) ((-146 . -140) 111933) ((-64 . -1225) T) ((-551 . -1225) T) ((-549 . -1225) T) ((-530 . -1225) T) ((-529 . -1225) T) ((-463 . -632) 111915) ((-460 . -632) 111897) ((-3 . -125) T) ((-1055 . -1219) 111866) ((-855 . -125) T) ((-706 . -62) 111824) ((-715 . -1075) T) ((-55 . -661) 111798) ((-306 . -477) T) ((-505 . -1219) 111767) ((-1275 . -303) 111752) ((0 . -125) T) ((-605 . -661) 111717) ((-550 . -661) 111662) ((-54 . -125) T) ((-932 . -1065) 111649) ((-715 . -260) T) ((-1101 . -435) 111628) ((-748 . -654) 111576) ((-1027 . -1119) T) ((-729 . -194) 111467) ((-521 . -1021) 111449) ((-489 . -1119) T) ((-279 . -403) 111433) ((-264 . -403) 111417) ((-425 . -1119) T) ((-1185 . -1075) T) ((-359 . -43) 111401) ((-1054 . -125) 111379) ((-230 . -1021) 111361) ((-195 . -43) 111293) ((-1263 . -323) 111272) ((-1242 . -323) 111251) ((-1185 . -346) 111228) ((-672 . -743) T) ((-1185 . -247) T) ((-121 . -632) 111210) ((-1181 . -654) 111162) ((-519 . -25) T) ((-519 . -21) T) ((-1242 . -1049) 111114) ((-1107 . -678) 111065) ((-639 . -1075) T) ((-405 . -430) T) ((-804 . -678) 110996) ((-802 . -678) 110947) ((-416 . -125) T) ((-279 . -922) 110893) ((-264 . -922) 110870) ((-146 . -1075) T) ((-479 . -678) 110821) ((-838 . -1131) T) ((-1107 . -743) T) ((-639 . -247) 110800) ((-637 . -125) T) ((-1229 . -523) 110782) ((-804 . -743) T) ((-802 . -743) T) ((-1228 . -62) 110748) ((-439 . -1131) T) ((-146 . -260) T) ((-45 . -394) NIL) ((-146 . -247) NIL) ((-479 . -743) T) ((-838 . -23) T) ((-748 . -25) T) ((-748 . -21) T) ((-719 . -869) T) ((-1098 . -303) 110727) ((-83 . -422) T) ((-83 . -421) T) ((-1275 . -1030) 110693) ((-1271 . -158) T) ((-1264 . -158) T) ((-710 . -1081) 110643) ((-1243 . -158) T) ((-1237 . -158) T) ((-1189 . -25) T) ((-1171 . -1163) 110627) ((-1156 . -437) 110611) ((-605 . -678) T) ((-650 . -392) 110543) ((-626 . -392) 110475) ((-550 . -678) T) ((-126 . -1119) 110453) ((-1189 . -21) T) ((-1188 . -21) T) ((-1188 . -25) T) ((-1027 . -734) 110401) ((-235 . -661) 110368) ((-710 . -140) 110295) ((-55 . -743) T) ((-1181 . -21) T) ((-375 . -373) T) ((-1181 . -25) T) ((-1101 . -477) 110246) ((-1143 . -21) T) ((-729 . -547) 110192) ((-605 . -743) T) ((-550 . -743) T) ((-884 . -323) T) ((-1143 . -25) T) ((-801 . -323) T) ((-618 . -158) T) ((-617 . -158) T) ((-384 . -477) T) ((-377 . -477) T) ((-365 . -477) T) ((-503 . -323) 110171) ((-329 . -303) 110037) ((-132 . -477) T) ((-84 . -466) T) ((-84 . -421) T) ((-513 . -125) T) ((-760 . -633) 109898) ((-760 . -632) 109880) ((-1306 . -632) 109862) ((-1306 . -633) 109844) ((-1101 . -428) 109823) ((-1063 . -523) 109755) ((-592 . -817) T) ((-592 . -814) T) ((-1087 . -249) 109701) ((-384 . -428) 109652) ((-377 . -428) 109603) ((-365 . -428) 109554) ((-1293 . -1131) T) ((-1293 . -23) T) ((-1282 . -125) T) ((-1156 . -1082) T) ((-687 . -763) 109538) ((-1193 . -169) 109517) ((-1193 . -171) 109496) ((-1160 . -1119) T) ((-1160 . -1094) 109465) ((-74 . -1225) T) ((-1051 . -1081) 109402) ((-880 . -1082) T) ((-761 . -169) 109381) ((-761 . -171) 109360) ((-254 . -654) 109266) ((-710 . -1075) T) ((-255 . -582) 109245) ((-378 . -1081) 109190) ((-66 . -1225) T) ((-1051 . -140) 109099) ((-923 . -632) 109066) ((-710 . -260) T) ((-710 . -247) NIL) ((-1227 . -547) NIL) ((-862 . -867) 109045) ((-715 . -817) T) ((-715 . -814) T) ((-1275 . -632) 109027) ((-1229 . -303) 109002) ((-1031 . -437) 108979) ((-378 . -140) 108896) ((-281 . -632) 108863) ((-405 . -943) T) ((-433 . -867) 108842) ((-729 . -307) 108753) ((-235 . -743) T) ((-1271 . -526) 108719) ((-1264 . -526) 108685) ((-1243 . -526) 108651) ((-1237 . -526) 108617) ((-332 . -1030) 108596) ((-234 . -1119) 108574) ((-336 . -1002) 108536) ((-129 . -125) T) ((-53 . -1081) 108501) ((-1302 . -125) T) ((-407 . -125) T) ((-53 . -140) 108450) ((-1032 . -654) 108432) ((-1265 . -632) 108414) ((-558 . -125) T) ((-533 . -125) T) ((-1150 . -1151) 108398) ((-176 . -1287) 108382) ((-262 . -1225) T) ((-1229 . -19) 108364) ((-801 . -690) 108316) ((-1187 . -1235) 108295) ((-1142 . -1235) 108274) ((-254 . -21) 108184) ((-254 . -25) 108035) ((-157 . -148) 108019) ((-151 . -148) 108003) ((-1231 . -664) 107985) ((-49 . -763) 107969) ((-1229 . -625) 107944) ((-1187 . -582) 107855) ((-1142 . -582) 107786) ((-1231 . -399) 107768) ((-1063 . -303) 107743) ((-1106 . -25) T) ((-1106 . -21) T) ((-838 . -158) T) ((-146 . -817) NIL) ((-146 . -814) NIL) ((-379 . -323) T) ((-376 . -323) T) ((-364 . -323) T) ((-1113 . -1225) T) ((-266 . -1131) 107653) ((-265 . -1131) 107563) ((-1051 . -1075) T) ((-1031 . -1082) T) ((-363 . -661) 107508) ((-637 . -43) 107492) ((-1291 . -632) 107454) ((-1291 . -633) 107415) ((-1098 . -632) 107397) ((-1051 . -260) T) ((-378 . -1075) T) ((-837 . -1287) 107367) ((-266 . -23) T) ((-265 . -23) T) ((-1016 . -632) 107349) ((-754 . -633) 107310) ((-754 . -632) 107292) ((-821 . -869) 107271) ((-1027 . -547) 107183) ((-378 . -247) T) ((-378 . -260) T) ((-1174 . -175) 107130) ((-1032 . -25) T) ((-163 . -632) 107112) ((-163 . -633) 107071) ((-932 . -323) T) ((-1032 . -21) T) ((-1000 . -25) T) ((-937 . -21) T) ((-937 . -25) T) ((-453 . -21) T) ((-453 . -25) T) ((-862 . -437) 107055) ((-53 . -1075) T) ((-1300 . -1292) 107039) ((-1298 . -1292) 107023) ((-1063 . -625) 106998) ((-332 . -633) 106859) ((-332 . -632) 106841) ((-329 . -633) NIL) ((-329 . -632) 106823) ((-53 . -260) T) ((-53 . -247) T) ((-668 . -303) 106784) ((-575 . -249) 106734) ((-162 . -632) 106716) ((-143 . -632) 106698) ((-513 . -43) 106663) ((-1302 . -1299) 106642) ((-1293 . -158) T) ((-1301 . -1082) T) ((-1103 . -125) T) ((-138 . -632) 106624) ((-93 . -1225) T) ((-533 . -325) NIL) ((-1028 . -131) 106608) ((-911 . -1119) T) ((-907 . -1119) T) ((-1280 . -664) 106592) ((-1280 . -399) 106576) ((-347 . -1225) T) ((-615 . -869) T) ((-255 . -1131) T) ((-1156 . -1119) T) ((-1156 . -1078) 106516) ((-363 . -678) T) ((-126 . -547) 106449) ((-954 . -632) 106431) ((-255 . -23) T) ((-363 . -743) T) ((-30 . -632) 106413) ((-880 . -1119) T) ((-862 . -1082) 106392) ((-45 . -661) 106337) ((-237 . -1235) T) ((-433 . -1082) T) ((-1173 . -175) 106319) ((-1027 . -307) 106270) ((-237 . -582) T) ((-1229 . -633) 106252) ((-336 . -1260) 106236) ((-336 . -1257) 106206) ((-1229 . -632) 106188) ((-1199 . -1202) 106167) ((-1096 . -632) 106149) ((-34 . -632) 106131) ((-887 . -1065) 106091) ((-882 . -1065) 106036) ((-660 . -175) 106020) ((-647 . -175) 105966) ((-1199 . -131) 105916) ((-514 . -1202) 105895) ((-521 . -171) T) ((-521 . -169) NIL) ((-1137 . -633) 105810) ((-464 . -632) 105792) ((-230 . -171) T) ((-230 . -169) NIL) ((-1137 . -632) 105774) ((-57 . -125) T) ((-1243 . -654) 105726) ((-514 . -131) 105676) ((-1022 . -23) T) ((-1302 . -43) 105646) ((-1187 . -1131) T) ((-1142 . -1131) T) ((-1086 . -1235) T) ((-873 . -1131) T) ((-980 . -1235) 105625) ((-1227 . -523) 105607) ((-516 . -1235) 105586) ((-748 . -869) 105565) ((-1086 . -582) T) ((-1226 . -62) 105531) ((-980 . -582) 105462) ((-1187 . -23) T) ((-1142 . -23) T) ((-873 . -23) T) ((-516 . -582) 105393) ((-1156 . -734) 105325) ((-1160 . -547) 105258) ((-1063 . -633) NIL) ((-1063 . -632) 105240) ((-1306 . -1081) 105227) ((-880 . -734) 105197) ((-1306 . -140) 105182) ((-1271 . -25) T) ((-1220 . -52) 105151) ((-266 . -158) T) ((-265 . -158) T) ((-1123 . -1119) T) ((-1031 . -1119) T) ((-67 . -632) 105133) ((-1181 . -869) NIL) ((-1051 . -814) T) ((-1051 . -817) T) ((-1271 . -21) T) ((-760 . -1081) 105057) ((-1264 . -21) T) ((-45 . -678) T) ((-891 . -661) 105044) ((-1264 . -25) T) ((-1243 . -21) T) ((-1243 . -25) T) ((-1237 . -25) T) ((-1237 . -21) T) ((-1055 . -175) 105028) ((-893 . -842) 105007) ((-893 . -943) T) ((-760 . -140) 104910) ((-729 . -303) 104837) ((-618 . -21) T) ((-618 . -25) T) ((-617 . -21) T) ((-45 . -743) T) ((-234 . -547) 104770) ((-617 . -25) T) ((-505 . -175) 104754) ((-492 . -175) 104738) ((-944 . -743) T) ((-790 . -815) T) ((-790 . -816) T) ((-535 . -1119) T) ((-790 . -743) T) ((-237 . -388) T) ((-1171 . -1119) 104716) ((-892 . -1235) T) ((-668 . -632) 104698) ((-892 . -582) T) ((-710 . -394) NIL) ((-384 . -1287) 104682) ((-687 . -125) T) ((-377 . -1287) 104666) ((-365 . -1287) 104650) ((-1301 . -1119) T) ((-552 . -869) 104629) ((-1275 . -1081) 104512) ((-839 . -477) 104491) ((-1072 . -1119) T) ((-1072 . -1094) 104420) ((-1055 . -1005) 104389) ((-841 . -1131) T) ((-1031 . -734) 104334) ((-1275 . -140) 104196) ((-255 . -158) T) ((-412 . -1131) T) ((-505 . -1005) 104165) ((-492 . -1005) 104134) ((-948 . -1117) T) ((-134 . -175) 104116) ((-78 . -632) 104098) ((-915 . -632) 104080) ((-1101 . -741) 104059) ((-760 . -1075) T) ((-1306 . -1075) T) ((-1227 . -303) 104034) ((-891 . -678) T) ((-838 . -654) 103982) ((-310 . -1082) 103924) ((-191 . -1235) 103829) ((-237 . -1131) T) ((-343 . -23) T) ((-1181 . -1021) 103781) ((-862 . -1119) T) ((-760 . -260) 103760) ((-1143 . -757) 103739) ((-1265 . -1081) 103628) ((-1263 . -943) 103607) ((-891 . -743) T) ((-191 . -582) 103518) ((-1242 . -943) 103497) ((-604 . -661) 103484) ((-433 . -1119) T) ((-592 . -661) 103471) ((-278 . -1119) T) ((-528 . -661) 103436) ((-237 . -23) T) ((-1242 . -842) 103389) ((-994 . -1119) T) ((-1300 . -125) T) ((-378 . -1297) 103366) ((-1298 . -125) T) ((-1265 . -140) 103216) ((-168 . -632) 103198) ((-1022 . -158) T) ((-49 . -125) T) ((-254 . -869) 103149) ((-1301 . -734) 103119) ((-1252 . -1235) 103098) ((-126 . -523) 103082) ((-1252 . -582) 102993) ((-1227 . -19) 102975) ((-1107 . -52) 102936) ((-1086 . -1131) T) ((-980 . -1131) T) ((-157 . -39) T) ((-151 . -39) T) ((-1231 . -39) T) ((-1229 . -305) 102911) ((-804 . -52) 102888) ((-802 . -52) 102860) ((-1227 . -625) 102835) ((-1187 . -158) T) ((-378 . -394) T) ((-516 . -1131) T) ((-1142 . -158) T) ((-1086 . -23) T) ((-479 . -52) 102814) ((-892 . -388) T) ((-873 . -158) T) ((-176 . -125) T) ((-761 . -477) 102745) ((-980 . -23) T) ((-599 . -582) T) ((-838 . -25) T) ((-838 . -21) T) ((-1156 . -547) 102678) ((-609 . -1065) 102662) ((-516 . -23) T) ((-375 . -1082) T) ((-1275 . -1075) T) ((-1220 . -922) 102643) ((-687 . -325) 102581) ((-1275 . -247) 102540) ((-1132 . -1287) 102510) ((-715 . -661) 102475) ((-1032 . -869) T) ((-1031 . -194) T) ((-992 . -169) 102454) ((-650 . -1119) T) ((-626 . -1119) T) ((-992 . -171) 102433) ((-884 . -943) T) ((-752 . -171) 102412) ((-752 . -169) 102391) ((-1000 . -869) T) ((-801 . -943) T) ((-503 . -943) 102370) ((-332 . -1081) 102280) ((-329 . -1081) 102209) ((-1027 . -303) 102167) ((-1185 . -931) 102146) ((-433 . -734) 102098) ((-717 . -867) T) ((-562 . -1117) T) ((-537 . -1119) T) ((-1265 . -346) 102042) ((-1265 . -1075) T) ((-604 . -678) T) ((-332 . -140) 101931) ((-329 . -140) 101816) ((-592 . -678) T) ((-528 . -678) T) ((-1185 . -661) 101741) ((-993 . -125) T) ((-837 . -125) 101531) ((-729 . -633) NIL) ((-729 . -632) 101513) ((-1063 . -305) 101488) ((-672 . -1065) 101384) ((-887 . -323) T) ((-604 . -743) T) ((-592 . -816) T) ((-592 . -813) T) ((-191 . -388) 101335) ((-592 . -743) T) ((-528 . -743) T) ((-258 . -1065) 101319) ((-882 . -323) T) ((-1160 . -523) 101303) ((-1107 . -908) NIL) ((-892 . -1131) T) ((-146 . -931) NIL) ((-1300 . -1299) 101279) ((-1298 . -1299) 101258) ((-804 . -908) NIL) ((-802 . -908) 101117) ((-1293 . -25) T) ((-1293 . -21) T) ((-1223 . -125) 101095) ((-1125 . -421) T) ((-639 . -661) 101082) ((-479 . -908) NIL) ((-691 . -125) 101060) ((-1107 . -1065) 100887) ((-892 . -23) T) ((-804 . -1065) 100746) ((-802 . -1065) 100603) ((-146 . -661) 100548) ((-479 . -1065) 100424) ((-662 . -1065) 100408) ((-642 . -125) T) ((-234 . -523) 100392) ((-1280 . -39) T) ((-650 . -734) 100376) ((-626 . -734) 100360) ((-687 . -43) 100320) ((-715 . -678) T) ((-336 . -125) T) ((-238 . -1119) T) ((-165 . -1119) T) ((-90 . -632) 100302) ((-55 . -1065) 100286) ((-1137 . -1081) 100273) ((-1107 . -403) 100257) ((-804 . -403) 100241) ((-65 . -62) 100203) ((-715 . -816) T) ((-715 . -813) T) ((-605 . -1065) 100190) ((-550 . -1065) 100167) ((-715 . -743) T) ((-343 . -158) T) ((-332 . -1075) 100057) ((-329 . -1075) T) ((-191 . -1131) T) ((-802 . -403) 100041) ((-50 . -175) 99991) ((-1032 . -1021) 99973) ((-1227 . -633) 99955) ((-1227 . -632) 99937) ((-479 . -403) 99921) ((-433 . -194) T) ((-332 . -260) 99900) ((-329 . -260) T) ((-329 . -247) NIL) ((-310 . -1119) 99682) ((-237 . -158) T) ((-1137 . -140) 99667) ((-191 . -23) T) ((-821 . -171) 99646) ((-821 . -169) 99625) ((-266 . -654) 99531) ((-265 . -654) 99437) ((-1185 . -678) 99368) ((-336 . -301) 99334) ((-1185 . -743) T) ((-1171 . -547) 99267) ((-1150 . -1119) T) ((-237 . -1084) T) ((-837 . -325) 99205) ((-1107 . -922) 99140) ((-804 . -922) 99083) ((-802 . -922) 99067) ((-1300 . -43) 99037) ((-1298 . -43) 99007) ((-1252 . -1131) T) ((-874 . -1131) T) ((-639 . -678) 98986) ((-479 . -922) 98963) ((-876 . -1119) T) ((-146 . -678) T) ((-1252 . -23) T) ((-599 . -1131) T) ((-874 . -23) T) ((-639 . -743) T) ((-379 . -943) T) ((-376 . -943) T) ((-306 . -125) T) ((-364 . -943) T) ((-1086 . -158) T) ((-980 . -158) T) ((-146 . -816) NIL) ((-146 . -813) NIL) ((-146 . -743) T) ((-710 . -931) NIL) ((-1072 . -547) 98847) ((-516 . -158) T) ((-599 . -23) T) ((-691 . -325) 98785) ((-650 . -780) T) ((-626 . -780) T) ((-1243 . -869) NIL) ((-1031 . -307) T) ((-266 . -21) T) ((-710 . -661) 98735) ((-375 . -1119) T) ((-266 . -25) T) ((-265 . -21) T) ((-265 . -25) T) ((-176 . -43) 98719) ((-2 . -125) T) ((-932 . -943) T) ((-517 . -1287) 98689) ((-235 . -1065) 98666) ((-1137 . -1075) T) ((-728 . -323) T) ((-310 . -734) 98608) ((-717 . -1082) T) ((-521 . -477) T) ((-433 . -547) 98520) ((-230 . -477) T) ((-1137 . -247) T) ((-311 . -175) 98470) ((-1027 . -633) 98431) ((-1027 . -632) 98413) ((-1018 . -632) 98395) ((-145 . -1082) T) ((-668 . -1081) 98379) ((-237 . -526) T) ((-489 . -632) 98361) ((-425 . -632) 98343) ((-425 . -633) 98320) ((-1079 . -1287) 98290) ((-668 . -140) 98269) ((-1156 . -523) 98253) ((-837 . -43) 98223) ((-68 . -466) T) ((-68 . -421) T) ((-1174 . -125) T) ((-892 . -158) T) ((-518 . -125) 98201) ((-1306 . -394) T) ((-761 . -977) 98170) ((-1101 . -125) T) ((-1085 . -125) T) ((-375 . -734) 98115) ((-748 . -171) 98094) ((-748 . -169) 98073) ((-1051 . -661) 98010) ((-555 . -1119) 97988) ((-384 . -125) T) ((-377 . -125) T) ((-710 . -678) T) ((-365 . -125) T) ((-255 . -21) T) ((-255 . -25) T) ((-132 . -125) T) ((-538 . -1119) T) ((-378 . -661) 97933) ((-1187 . -654) 97881) ((-1142 . -654) 97829) ((-411 . -542) 97808) ((-855 . -867) 97787) ((-405 . -1235) T) ((-710 . -743) T) ((-359 . -1082) T) ((-1243 . -1021) 97739) ((-195 . -1082) T) ((-126 . -632) 97706) ((-1189 . -169) 97685) ((-1189 . -171) 97664) ((-405 . -582) T) ((-1188 . -171) 97643) ((-1188 . -169) 97622) ((-1181 . -169) 97529) ((-433 . -307) T) ((-1181 . -171) 97436) ((-1143 . -171) 97415) ((-1143 . -169) 97394) ((-336 . -43) 97235) ((-191 . -158) T) ((-329 . -817) NIL) ((-329 . -814) NIL) ((-668 . -1075) T) ((-53 . -661) 97200) ((-1022 . -21) T) ((-157 . -1038) 97184) ((-151 . -1038) 97168) ((-1022 . -25) T) ((-923 . -148) 97152) ((-1173 . -125) T) ((-1252 . -158) T) ((-838 . -869) 97131) ((-1227 . -305) 97106) ((-1187 . -25) T) ((-1187 . -21) T) ((-1174 . -325) 96901) ((-1171 . -523) 96885) ((-874 . -158) T) ((-1142 . -25) T) ((-1142 . -21) T) ((-873 . -25) T) ((-873 . -21) T) ((-804 . -323) 96864) ((-35 . -37) 96848) ((-1164 . -175) 96798) ((-1160 . -632) 96760) ((-660 . -125) 96738) ((-647 . -125) T) ((-1160 . -633) 96699) ((-599 . -158) T) ((-637 . -867) 96678) ((-1051 . -813) T) ((-1051 . -816) T) ((-1051 . -678) T) ((-1051 . -743) T) ((-518 . -325) 96616) ((-478 . -443) 96586) ((-375 . -194) T) ((-238 . -547) NIL) ((-165 . -547) NIL) ((-306 . -43) 96573) ((-292 . -125) T) ((-291 . -125) T) ((-290 . -125) T) ((-289 . -125) T) ((-288 . -125) T) ((-287 . -125) T) ((-286 . -125) T) ((-226 . -125) T) ((-363 . -1065) 96550) ((-225 . -125) T) ((-223 . -125) T) ((-222 . -125) T) ((-221 . -125) T) ((-220 . -125) T) ((-378 . -678) T) ((-217 . -125) T) ((-216 . -125) T) ((-729 . -1081) 96373) ((-215 . -125) T) ((-214 . -125) T) ((-213 . -125) T) ((-212 . -125) T) ((-211 . -125) T) ((-210 . -125) T) ((-209 . -125) T) ((-208 . -125) T) ((-207 . -125) T) ((-378 . -743) T) ((-729 . -140) 96175) ((-687 . -245) 96159) ((-605 . -323) T) ((-550 . -323) T) ((-310 . -547) 96108) ((-132 . -325) NIL) ((-77 . -421) T) ((-1132 . -125) 95898) ((-855 . -437) 95882) ((-1137 . -817) T) ((-1137 . -814) T) ((-717 . -1119) T) ((-53 . -678) T) ((-405 . -388) T) ((-191 . -526) 95860) ((-234 . -632) 95827) ((-160 . -1119) T) ((-145 . -1119) T) ((-53 . -743) T) ((-1072 . -523) 95792) ((-163 . -451) 95774) ((-163 . -394) T) ((-1055 . -125) T) ((-545 . -542) 95753) ((-505 . -125) T) ((-492 . -125) T) ((-1062 . -1131) T) ((-761 . -1255) 95737) ((-1189 . -40) 95703) ((-1189 . -116) 95669) ((-1189 . -1214) 95635) ((-1189 . -1211) 95601) ((-1188 . -1211) 95567) ((-1173 . -325) NIL) ((-94 . -422) T) ((-94 . -421) T) ((-1101 . -1165) 95546) ((-1188 . -1214) 95512) ((-1188 . -116) 95478) ((-1062 . -23) T) ((-1188 . -40) 95444) ((-599 . -526) T) ((-1181 . -1211) 95410) ((-1181 . -1214) 95376) ((-1181 . -116) 95342) ((-1181 . -40) 95308) ((-386 . -1131) T) ((-384 . -1165) 95287) ((-377 . -1165) 95266) ((-365 . -1165) 95245) ((-1143 . -40) 95211) ((-1143 . -116) 95177) ((-1143 . -1214) 95143) ((-132 . -1165) T) ((-1143 . -1211) 95109) ((-855 . -1082) 95088) ((-660 . -325) 95026) ((-647 . -325) 94877) ((-1101 . -43) 94745) ((-729 . -1075) T) ((-1086 . -654) 94727) ((-1032 . -171) T) ((-980 . -654) 94675) ((-524 . -1119) T) ((-1032 . -169) NIL) ((-405 . -1131) T) ((-343 . -25) T) ((-341 . -23) T) ((-971 . -869) 94654) ((-729 . -346) 94631) ((-516 . -654) 94579) ((-45 . -1065) 94454) ((-717 . -734) 94441) ((-729 . -247) T) ((-359 . -1119) T) ((-195 . -1119) T) ((-351 . -869) T) ((-444 . -477) 94391) ((-405 . -23) T) ((-384 . -43) 94356) ((-377 . -43) 94321) ((-365 . -43) 94286) ((-85 . -466) T) ((-85 . -421) T) ((-237 . -25) T) ((-237 . -21) T) ((-856 . -1131) T) ((-132 . -43) 94236) ((-849 . -1131) T) ((-793 . -1119) T) ((-145 . -734) 94223) ((-688 . -1065) 94207) ((-631 . -125) T) ((-856 . -23) T) ((-849 . -23) T) ((-1230 . -125) T) ((-1171 . -303) 94184) ((-1132 . -325) 94122) ((-1121 . -249) 94106) ((-69 . -422) T) ((-69 . -421) T) ((-134 . -125) T) ((-45 . -403) 94083) ((-35 . -1119) T) ((-1229 . -664) 94065) ((-667 . -871) 94049) ((-1229 . -399) 94031) ((-1086 . -21) T) ((-1086 . -25) T) ((-837 . -245) 94000) ((-980 . -25) T) ((-980 . -21) T) ((-637 . -1082) T) ((-516 . -25) T) ((-516 . -21) T) ((-1055 . -325) 93938) ((-911 . -632) 93920) ((-907 . -632) 93902) ((-266 . -869) 93853) ((-265 . -869) 93804) ((-555 . -547) 93737) ((-892 . -654) 93714) ((-505 . -325) 93652) ((-492 . -325) 93590) ((-375 . -307) T) ((-1171 . -1267) 93574) ((-1156 . -632) 93536) ((-1156 . -633) 93497) ((-1154 . -125) T) ((-1027 . -1081) 93393) ((-45 . -922) 93345) ((-1171 . -625) 93322) ((-760 . -661) 93246) ((-1306 . -661) 93233) ((-1087 . -175) 93179) ((-893 . -1235) T) ((-1027 . -140) 93054) ((-359 . -734) 93038) ((-880 . -632) 93020) ((-195 . -734) 92952) ((-433 . -303) 92910) ((-893 . -582) T) ((-132 . -426) 92892) ((-89 . -410) T) ((-89 . -421) T) ((-887 . -943) T) ((-882 . -943) T) ((-717 . -194) T) ((-121 . -743) T) ((-517 . -125) 92682) ((-121 . -502) T) ((-145 . -194) T) ((-1132 . -43) 92652) ((-191 . -654) 92600) ((-238 . -523) 92582) ((-165 . -523) 92557) ((-1079 . -125) T) ((-892 . -25) T) ((-837 . -252) 92536) ((-892 . -21) T) ((-840 . -125) T) ((-1230 . -325) NIL) ((-440 . -125) T) ((-411 . -125) T) ((-134 . -325) NIL) ((-241 . -125) 92514) ((-157 . -1225) T) ((-151 . -1225) T) ((-1231 . -1225) T) ((-1062 . -158) T) ((-687 . -392) 92498) ((-1275 . -661) 92423) ((-1306 . -743) T) ((-1271 . -169) 92402) ((-1271 . -171) 92381) ((-1027 . -1075) T) ((-1264 . -171) 92360) ((-1252 . -654) 92308) ((-1123 . -632) 92290) ((-1031 . -632) 92272) ((-760 . -678) 92251) ((-548 . -23) T) ((-543 . -23) T) ((-363 . -323) T) ((-541 . -23) T) ((-341 . -158) T) ((-3 . -1119) T) ((-1031 . -633) 92235) ((-1027 . -260) 92214) ((-1027 . -247) 92193) ((-1264 . -169) 92172) ((-1263 . -1235) 92151) ((-855 . -1119) T) ((-1243 . -169) 92058) ((-1243 . -171) 91965) ((-1242 . -1235) 91944) ((-1237 . -169) 91923) ((-1237 . -171) 91902) ((-760 . -502) 91881) ((-760 . -743) T) ((-405 . -158) T) ((-592 . -908) 91863) ((0 . -1119) T) ((-195 . -194) T) ((-191 . -21) T) ((-191 . -25) T) ((-54 . -1119) T) ((-1265 . -661) 91752) ((-1263 . -582) 91703) ((-731 . -1131) T) ((-1242 . -582) 91654) ((-592 . -1065) 91636) ((-617 . -171) 91615) ((-617 . -169) 91594) ((-528 . -1065) 91537) ((-92 . -410) T) ((-92 . -421) T) ((-893 . -388) T) ((-1185 . -52) 91514) ((-856 . -158) T) ((-849 . -158) T) ((-731 . -23) T) ((-535 . -632) 91496) ((-1302 . -1082) T) ((-405 . -1084) T) ((-1054 . -1119) 91474) ((-923 . -39) T) ((-517 . -325) 91412) ((-1171 . -633) 91373) ((-1171 . -632) 91340) ((-281 . -39) T) ((-1187 . -869) 91319) ((-50 . -125) T) ((-1142 . -869) 91298) ((-839 . -125) T) ((-1252 . -25) T) ((-1252 . -21) T) ((-874 . -25) T) ((-49 . -392) 91282) ((-874 . -21) T) ((-748 . -477) 91233) ((-1301 . -632) 91215) ((-599 . -25) T) ((-599 . -21) T) ((-416 . -1119) T) ((-1079 . -325) 91153) ((-637 . -1119) T) ((-715 . -908) 91135) ((-1280 . -1225) T) ((-241 . -325) 91073) ((-168 . -394) T) ((-1072 . -633) 91015) ((-1072 . -632) 90958) ((-884 . -1235) T) ((-329 . -931) NIL) ((-801 . -1235) T) ((-1275 . -743) T) ((-715 . -1065) 90903) ((-728 . -943) T) ((-503 . -1235) 90882) ((-1188 . -477) 90861) ((-1181 . -477) 90840) ((-884 . -582) T) ((-350 . -125) T) ((-801 . -582) T) ((-893 . -1131) T) ((-332 . -661) 90661) ((-329 . -661) 90590) ((-503 . -582) 90541) ((-359 . -547) 90507) ((-575 . -175) 90457) ((-45 . -323) T) ((-1185 . -908) NIL) ((-862 . -632) 90439) ((-717 . -307) T) ((-893 . -23) T) ((-405 . -526) T) ((-1101 . -245) 90409) ((-545 . -125) T) ((-433 . -633) 90210) ((-433 . -632) 90192) ((-278 . -632) 90174) ((-145 . -307) T) ((-1185 . -1065) 90054) ((-994 . -632) 90036) ((-1265 . -743) T) ((-1263 . -388) 90015) ((-1242 . -388) 89994) ((-1291 . -39) T) ((-146 . -1225) T) ((-132 . -245) 89976) ((-1193 . -125) T) ((-513 . -1119) T) ((-555 . -523) 89960) ((-761 . -125) T) ((-754 . -39) T) ((-517 . -43) 89930) ((-163 . -39) T) ((-146 . -906) 89907) ((-146 . -908) NIL) ((-639 . -1065) 89790) ((-658 . -869) 89769) ((-1290 . -125) T) ((-311 . -125) T) ((-729 . -394) 89748) ((-146 . -1065) 89725) ((-416 . -734) 89709) ((-1185 . -403) 89693) ((-637 . -734) 89677) ((-50 . -325) 89481) ((-838 . -169) 89460) ((-838 . -171) 89439) ((-1301 . -408) 89418) ((-841 . -869) T) ((-1282 . -1119) T) ((-1271 . -40) 89384) ((-1271 . -116) 89350) ((-1271 . -1214) 89316) ((-1271 . -1211) 89282) ((-1264 . -1211) 89248) ((-1174 . -243) 89195) ((-1264 . -1214) 89161) ((-412 . -869) 89140) ((-1264 . -116) 89106) ((-1264 . -40) 89072) ((-1263 . -1131) T) ((-238 . -704) 89040) ((-165 . -704) 89001) ((-1243 . -1211) 88967) ((-1243 . -1214) 88933) ((-1243 . -116) 88899) ((-548 . -158) T) ((-1243 . -40) 88865) ((-1237 . -1214) 88831) ((-1237 . -1211) 88797) ((-1242 . -1131) T) ((-1237 . -40) 88763) ((-650 . -632) 88732) ((-626 . -632) 88701) ((-33 . -125) T) ((-237 . -869) T) ((-332 . -678) 88680) ((-329 . -678) T) ((-1237 . -116) 88646) ((-1137 . -661) 88633) ((-1185 . -922) 88576) ((-1101 . -373) 88555) ((-615 . -175) 88537) ((-891 . -323) T) ((-195 . -307) T) ((-146 . -403) 88514) ((-146 . -358) 88491) ((-884 . -388) T) ((-801 . -388) T) ((-329 . -816) NIL) ((-329 . -813) NIL) ((-332 . -743) 88340) ((-329 . -743) T) ((-537 . -632) 88322) ((-503 . -388) 88301) ((-384 . -373) 88280) ((-377 . -373) 88259) ((-365 . -373) 88238) ((-332 . -502) 88217) ((-1263 . -23) T) ((-1242 . -23) T) ((-735 . -1131) T) ((-731 . -158) T) ((-667 . -125) T) ((-513 . -734) 88182) ((-50 . -299) 88132) ((-129 . -1119) T) ((-73 . -632) 88114) ((-879 . -125) T) ((-639 . -922) 88073) ((-1302 . -1119) T) ((-407 . -1119) T) ((-1229 . -39) T) ((-1227 . -664) 88055) ((-1227 . -399) 88037) ((-87 . -1225) T) ((-1086 . -869) T) ((-980 . -869) 88016) ((-146 . -922) NIL) ((-804 . -943) 87995) ((-730 . -869) T) ((-558 . -1119) T) ((-533 . -1119) T) ((-379 . -1235) T) ((-376 . -1235) T) ((-364 . -1235) T) ((-279 . -1235) 87974) ((-264 . -1235) 87953) ((-1132 . -245) 87922) ((-516 . -869) 87901) ((-1173 . -850) T) ((-1156 . -1081) 87885) ((-416 . -780) T) ((-761 . -325) 87872) ((-710 . -1225) T) ((-379 . -582) T) ((-376 . -582) T) ((-364 . -582) T) ((-279 . -582) 87803) ((-264 . -582) 87734) ((-1156 . -140) 87713) ((-478 . -763) 87683) ((-880 . -1081) 87653) ((-839 . -43) 87590) ((-710 . -906) 87572) ((-710 . -908) 87554) ((-311 . -325) 87358) ((-932 . -1235) T) ((-884 . -1131) T) ((-880 . -140) 87323) ((-687 . -437) 87307) ((-801 . -1131) T) ((-710 . -1065) 87252) ((-1171 . -305) 87229) ((-1032 . -477) T) ((-932 . -582) T) ((-605 . -943) T) ((-503 . -1131) T) ((-550 . -943) T) ((-937 . -477) T) ((-238 . -632) 87211) ((-165 . -632) 87193) ((-70 . -632) 87175) ((-1137 . -678) T) ((-884 . -23) T) ((-647 . -243) 87121) ((-801 . -23) T) ((-503 . -23) T) ((-1137 . -816) T) ((-893 . -158) T) ((-1137 . -813) T) ((-1293 . -1295) 87100) ((-1137 . -743) T) ((-668 . -661) 87074) ((-310 . -632) 86815) ((-1063 . -39) T) ((-837 . -867) 86794) ((-604 . -323) T) ((-592 . -323) T) ((-528 . -323) T) ((-1302 . -734) 86764) ((-710 . -403) 86746) ((-710 . -358) 86728) ((-513 . -194) T) ((-407 . -734) 86698) ((-761 . -1165) 86676) ((-892 . -869) NIL) ((-592 . -1049) T) ((-528 . -1049) T) ((-1150 . -632) 86658) ((-1132 . -252) 86637) ((-227 . -125) T) ((-1164 . -125) T) ((-76 . -632) 86619) ((-1156 . -1075) T) ((-1193 . -43) 86516) ((-876 . -632) 86498) ((-592 . -574) T) ((-761 . -43) 86327) ((-687 . -1082) T) ((-748 . -977) 86280) ((-1156 . -247) 86259) ((-1103 . -1119) T) ((-1062 . -25) T) ((-1062 . -21) T) ((-1031 . -1081) 86204) ((-927 . -125) T) ((-880 . -1075) T) ((-797 . -1131) T) ((-710 . -922) NIL) ((-379 . -349) 86188) ((-379 . -388) T) ((-376 . -349) 86172) ((-376 . -388) T) ((-364 . -349) 86156) ((-364 . -388) T) ((-521 . -125) T) ((-1290 . -43) 86126) ((-555 . -704) 86076) ((-230 . -125) T) ((-1051 . -1065) 85956) ((-1031 . -140) 85873) ((-1189 . -1002) 85842) ((-1188 . -1002) 85804) ((-552 . -175) 85788) ((-1101 . -396) 85767) ((-375 . -632) 85749) ((-341 . -21) T) ((-378 . -1065) 85726) ((-341 . -25) T) ((-1181 . -1002) 85695) ((-1143 . -1002) 85662) ((-81 . -632) 85644) ((-715 . -323) T) ((-191 . -869) 85623) ((-932 . -388) T) ((-405 . -25) T) ((-405 . -21) T) ((-932 . -349) 85610) ((-91 . -632) 85592) ((-715 . -1049) T) ((-693 . -869) T) ((-1263 . -158) T) ((-1242 . -158) T) ((-923 . -1038) 85576) ((-856 . -21) T) ((-53 . -1065) 85519) ((-856 . -25) T) ((-849 . -25) T) ((-849 . -21) T) ((-1300 . -1082) T) ((-1298 . -1082) T) ((-668 . -743) T) ((-1185 . -323) 85498) ((-281 . -1038) 85482) ((-1301 . -1081) 85466) ((-1252 . -869) 85445) ((-837 . -437) 85414) ((-126 . -148) 85398) ((-57 . -1119) T) ((-953 . -632) 85380) ((-892 . -1021) 85357) ((-845 . -125) T) ((-1301 . -140) 85336) ((-667 . -43) 85306) ((-599 . -869) T) ((-379 . -1131) T) ((-376 . -1131) T) ((-364 . -1131) T) ((-279 . -1131) T) ((-264 . -1131) T) ((-639 . -323) 85285) ((-1164 . -325) 85089) ((-681 . -23) T) ((-517 . -245) 85058) ((-176 . -1082) T) ((-379 . -23) T) ((-376 . -23) T) ((-364 . -23) T) ((-146 . -323) T) ((-279 . -23) T) ((-264 . -23) T) ((-1031 . -1075) T) ((-729 . -931) 85037) ((-1031 . -247) 85009) ((-1031 . -260) T) ((-146 . -1049) NIL) ((-932 . -1131) T) ((-1264 . -477) 84988) ((-1243 . -477) 84967) ((-555 . -632) 84934) ((-729 . -661) 84859) ((-433 . -1081) 84811) ((-884 . -158) T) ((-538 . -632) 84793) ((-932 . -23) T) ((-801 . -158) T) ((-521 . -325) NIL) ((-503 . -158) T) ((-230 . -325) NIL) ((-433 . -140) 84724) ((-837 . -1082) 84654) ((-754 . -1116) 84638) ((-1263 . -526) 84604) ((-1242 . -526) 84570) ((-163 . -1116) 84552) ((-513 . -307) T) ((-1301 . -1075) T) ((-1087 . -125) T) ((-533 . -547) NIL) ((-719 . -125) T) ((-517 . -252) 84531) ((-1187 . -169) 84510) ((-1187 . -171) 84489) ((-1142 . -171) 84468) ((-1142 . -169) 84447) ((-650 . -1081) 84431) ((-626 . -1081) 84415) ((-1189 . -1270) 84399) ((-687 . -1119) T) ((-687 . -1078) 84339) ((-1189 . -1257) 84316) ((-1188 . -1262) 84277) ((-521 . -1165) T) ((-1188 . -1257) 84247) ((-1188 . -1260) 84231) ((-1181 . -1241) 84192) ((-230 . -1165) T) ((-363 . -943) T) ((-840 . -284) 84176) ((-650 . -140) 84155) ((-626 . -140) 84134) ((-1181 . -1257) 84111) ((-862 . -1075) 84090) ((-1181 . -1239) 84074) ((-548 . -25) T) ((-528 . -318) T) ((-544 . -23) T) ((-543 . -25) T) ((-541 . -25) T) ((-540 . -23) T) ((-729 . -678) 84005) ((-433 . -1075) T) ((-336 . -1082) T) ((-710 . -323) T) ((-132 . -867) T) ((-433 . -260) T) ((-433 . -247) 83984) ((-729 . -743) T) ((-521 . -43) 83934) ((-230 . -43) 83884) ((-503 . -526) 83850) ((-1173 . -1158) T) ((-1120 . -125) T) ((-717 . -632) 83832) ((-717 . -633) 83747) ((-731 . -21) T) ((-731 . -25) T) ((-160 . -632) 83729) ((-145 . -632) 83711) ((-179 . -25) T) ((-1300 . -1119) T) ((-893 . -654) 83659) ((-1298 . -1119) T) ((-992 . -125) T) ((-752 . -125) T) ((-732 . -125) T) ((-478 . -125) T) ((-1227 . -39) T) ((-838 . -477) 83610) ((-49 . -1119) T) ((-1108 . -869) T) ((-681 . -158) T) ((-1087 . -325) 83461) ((-687 . -734) 83445) ((-306 . -1082) T) ((-379 . -158) T) ((-376 . -158) T) ((-364 . -158) T) ((-279 . -158) T) ((-264 . -158) T) ((-760 . -1225) T) ((-444 . -125) T) ((-1275 . -52) 83422) ((-176 . -1119) T) ((-50 . -243) 83372) ((-761 . -245) 83356) ((-1027 . -661) 83294) ((-986 . -869) 83273) ((-760 . -906) 83257) ((-760 . -908) 83182) ((-254 . -1287) 83152) ((-1051 . -323) T) ((-310 . -1081) 83073) ((-932 . -158) T) ((-45 . -943) T) ((-760 . -1065) 82795) ((-521 . -426) 82777) ((-524 . -632) 82759) ((-378 . -323) T) ((-230 . -426) 82741) ((-1101 . -437) 82725) ((-310 . -140) 82641) ((-887 . -1235) T) ((-882 . -1235) T) ((-893 . -25) T) ((-893 . -21) T) ((-887 . -582) T) ((-882 . -582) T) ((-359 . -632) 82623) ((-1265 . -52) 82567) ((-237 . -171) T) ((-195 . -632) 82549) ((-1132 . -867) 82528) ((-793 . -632) 82510) ((-627 . -249) 82457) ((-504 . -249) 82407) ((-1300 . -734) 82377) ((-53 . -323) T) ((-1298 . -734) 82347) ((-993 . -1119) T) ((-837 . -1119) 82137) ((-327 . -125) T) ((-923 . -1225) T) ((-760 . -403) 82106) ((-53 . -1049) T) ((-1242 . -654) 82014) ((-706 . -125) 81992) ((-49 . -734) 81976) ((-575 . -125) T) ((-72 . -409) T) ((-281 . -1225) T) ((-72 . -421) T) ((-35 . -632) 81958) ((-676 . -23) T) ((-687 . -780) T) ((-1223 . -1119) 81936) ((-375 . -1081) 81881) ((-691 . -1119) 81859) ((-1086 . -171) T) ((-980 . -171) 81838) ((-980 . -169) 81817) ((-821 . -125) T) ((-176 . -734) 81801) ((-516 . -171) 81780) ((-516 . -169) 81759) ((-375 . -140) 81676) ((-1101 . -1082) T) ((-341 . -869) 81655) ((-995 . -1117) T) ((-1271 . -1002) 81624) ((-1264 . -1002) 81586) ((-1243 . -1002) 81555) ((-642 . -1119) T) ((-760 . -922) 81536) ((-544 . -158) T) ((-540 . -158) T) ((-311 . -243) 81486) ((-384 . -1082) T) ((-377 . -1082) T) ((-365 . -1082) T) ((-310 . -1075) 81428) ((-1237 . -1002) 81397) ((-405 . -869) T) ((-132 . -1082) T) ((-1027 . -743) T) ((-891 . -943) T) ((-862 . -817) 81376) ((-862 . -814) 81355) ((-444 . -325) 81294) ((-497 . -125) T) ((-617 . -1002) 81263) ((-336 . -1119) T) ((-433 . -817) 81242) ((-433 . -814) 81221) ((-533 . -523) 81203) ((-1265 . -1065) 81169) ((-1263 . -21) T) ((-1263 . -25) T) ((-1242 . -21) T) ((-1242 . -25) T) ((-837 . -734) 81111) ((-1228 . -125) T) ((-887 . -388) T) ((-882 . -388) T) ((-715 . -430) T) ((-1291 . -1225) T) ((-1132 . -437) 81080) ((-1031 . -394) NIL) ((-126 . -39) T) ((-754 . -1225) T) ((-49 . -780) T) ((-615 . -125) T) ((-82 . -422) T) ((-82 . -421) T) ((-667 . -670) 81064) ((-163 . -1225) T) ((-892 . -171) T) ((-892 . -169) NIL) ((-1275 . -922) 80977) ((-375 . -1075) T) ((-75 . -409) T) ((-75 . -421) T) ((-1180 . -125) T) ((-687 . -547) 80910) ((-706 . -325) 80848) ((-992 . -43) 80745) ((-752 . -43) 80715) ((-575 . -325) 80519) ((-332 . -1225) T) ((-375 . -247) T) ((-375 . -260) T) ((-329 . -1225) T) ((-306 . -1119) T) ((-1195 . -632) 80501) ((-728 . -1235) T) ((-1171 . -664) 80485) ((-1220 . -582) 80464) ((-884 . -25) T) ((-884 . -21) T) ((-728 . -582) T) ((-332 . -906) 80448) ((-332 . -908) 80373) ((-329 . -906) 80334) ((-329 . -908) NIL) ((-821 . -325) 80299) ((-801 . -25) T) ((-336 . -734) 80140) ((-801 . -21) T) ((-343 . -342) 80117) ((-519 . -125) T) ((-503 . -25) T) ((-503 . -21) T) ((-444 . -43) 80091) ((-332 . -1065) 79754) ((-237 . -1211) T) ((-237 . -1214) T) ((-3 . -632) 79736) ((-329 . -1065) 79666) ((-887 . -1131) T) ((-2 . -1119) T) ((-2 . |RecordCategory|) T) ((-882 . -1131) T) ((-855 . -632) 79648) ((-1132 . -1082) 79578) ((-604 . -943) T) ((-592 . -842) T) ((-592 . -943) T) ((-528 . -943) T) ((-162 . -1065) 79562) ((-237 . -116) T) ((-80 . -466) T) ((-80 . -421) T) ((0 . -632) 79544) ((-191 . -171) 79523) ((-191 . -169) 79474) ((-237 . -40) T) ((-54 . -632) 79456) ((-887 . -23) T) ((-513 . -1082) T) ((-882 . -23) T) ((-521 . -245) 79438) ((-518 . -997) 79422) ((-517 . -867) 79401) ((-230 . -245) 79383) ((-86 . -466) T) ((-86 . -421) T) ((-1160 . -39) T) ((-837 . -194) 79362) ((-748 . -125) T) ((-1054 . -632) 79329) ((-533 . -303) 79304) ((-332 . -403) 79273) ((-329 . -403) 79234) ((-329 . -358) 79195) ((-1228 . -325) NIL) ((-838 . -977) 79142) ((-676 . -158) T) ((-1252 . -169) 79121) ((-1252 . -171) 79100) ((-1229 . -1225) T) ((-1189 . -125) T) ((-1188 . -125) T) ((-1181 . -125) T) ((-1174 . -1119) T) ((-1143 . -125) T) ((-234 . -39) T) ((-306 . -734) 79087) ((-1174 . -629) 79063) ((-615 . -325) NIL) ((-1271 . -1270) 79047) ((-1271 . -1257) 79024) ((-518 . -1119) 79002) ((-1264 . -1262) 78963) ((-416 . -632) 78945) ((-543 . -869) T) ((-1164 . -243) 78895) ((-1264 . -1257) 78865) ((-1264 . -1260) 78849) ((-1243 . -1241) 78810) ((-1243 . -1257) 78787) ((-1243 . -1239) 78771) ((-1237 . -1270) 78755) ((-1237 . -1257) 78732) ((-637 . -632) 78714) ((-1189 . -301) 78680) ((-715 . -943) T) ((-1188 . -301) 78646) ((-1181 . -301) 78612) ((-1143 . -301) 78578) ((-1101 . -1119) T) ((-1085 . -1119) T) ((-53 . -318) T) ((-332 . -922) 78544) ((-329 . -922) NIL) ((-1085 . -1091) 78523) ((-1137 . -908) 78505) ((-821 . -43) 78489) ((-279 . -654) 78437) ((-264 . -654) 78385) ((-717 . -1081) 78372) ((-617 . -1257) 78349) ((-1137 . -1065) 78331) ((-336 . -194) 78262) ((-384 . -1119) T) ((-377 . -1119) T) ((-365 . -1119) T) ((-533 . -19) 78244) ((-1121 . -175) 78228) ((-760 . -323) 78207) ((-132 . -1119) T) ((-145 . -1081) 78194) ((-728 . -388) T) ((-533 . -625) 78169) ((-717 . -140) 78154) ((-462 . -125) T) ((-1185 . -943) 78133) ((-50 . -1163) 78083) ((-145 . -140) 78068) ((-240 . -869) T) ((-166 . -869) 78038) ((-650 . -737) T) ((-626 . -737) T) ((-837 . -547) 77971) ((-1063 . -1225) T) ((-971 . -175) 77955) ((-552 . -125) 77905) ((-1107 . -1235) 77884) ((-804 . -1235) 77863) ((-802 . -1235) 77842) ((-67 . -1225) T) ((-513 . -632) 77794) ((-513 . -633) 77716) ((-1187 . -477) 77647) ((-1173 . -1119) T) ((-1156 . -661) 77621) ((-1107 . -582) 77552) ((-517 . -437) 77521) ((-639 . -943) 77500) ((-479 . -1235) 77479) ((-1142 . -477) 77430) ((-804 . -582) 77341) ((-424 . -632) 77323) ((-802 . -582) 77254) ((-748 . -325) 77241) ((-691 . -547) 77174) ((-681 . -25) T) ((-681 . -21) T) ((-479 . -582) 77105) ((-146 . -943) T) ((-146 . -842) NIL) ((-379 . -25) T) ((-379 . -21) T) ((-376 . -25) T) ((-376 . -21) T) ((-364 . -25) T) ((-364 . -21) T) ((-279 . -25) T) ((-279 . -21) T) ((-88 . -410) T) ((-88 . -421) T) ((-264 . -25) T) ((-264 . -21) T) ((-1282 . -632) 77087) ((-1220 . -1131) T) ((-1220 . -23) T) ((-1181 . -325) 76972) ((-1143 . -325) 76959) ((-1101 . -734) 76827) ((-880 . -661) 76787) ((-971 . -1009) 76771) ((-932 . -21) T) ((-306 . -194) T) ((-932 . -25) T) ((-893 . -869) 76722) ((-887 . -158) T) ((-728 . -1131) T) ((-728 . -23) T) ((-660 . -1119) 76700) ((-647 . -629) 76675) ((-647 . -1119) T) ((-605 . -1235) T) ((-550 . -1235) T) ((-605 . -582) T) ((-550 . -582) T) ((-384 . -734) 76627) ((-377 . -734) 76579) ((-365 . -734) 76531) ((-359 . -1081) 76515) ((-195 . -140) 76414) ((-195 . -1081) 76346) ((-132 . -734) 76296) ((-359 . -140) 76275) ((-292 . -1119) T) ((-291 . -1119) T) ((-290 . -1119) T) ((-289 . -1119) T) ((-717 . -1075) T) ((-288 . -1119) T) ((-287 . -1119) T) ((-286 . -1119) T) ((-226 . -1119) T) ((-225 . -1119) T) ((-223 . -1119) T) ((-191 . -1214) 76253) ((-191 . -1211) 76231) ((-222 . -1119) T) ((-221 . -1119) T) ((-145 . -1075) T) ((-220 . -1119) T) ((-217 . -1119) T) ((-717 . -247) T) ((-216 . -1119) T) ((-215 . -1119) T) ((-214 . -1119) T) ((-213 . -1119) T) ((-212 . -1119) T) ((-211 . -1119) T) ((-210 . -1119) T) ((-209 . -1119) T) ((-208 . -1119) T) ((-207 . -1119) T) ((-254 . -125) 76021) ((-191 . -40) 75999) ((-191 . -116) 75977) ((-882 . -158) T) ((-668 . -1065) 75873) ((-517 . -1082) 75803) ((-1156 . -39) T) ((-1132 . -1119) 75593) ((-1106 . -125) T) ((-687 . -523) 75577) ((-78 . -1225) T) ((-129 . -632) 75559) ((-1302 . -632) 75541) ((-407 . -632) 75523) ((-748 . -43) 75372) ((-599 . -1214) T) ((-599 . -1211) T) ((-558 . -632) 75354) ((-552 . -325) 75292) ((-533 . -632) 75274) ((-533 . -633) 75256) ((-1181 . -1165) NIL) ((-1055 . -1094) 75225) ((-1055 . -1119) T) ((-1032 . -125) T) ((-1000 . -125) T) ((-937 . -125) T) ((-915 . -1065) 75202) ((-1156 . -743) T) ((-1031 . -661) 75147) ((-505 . -1119) T) ((-492 . -1119) T) ((-609 . -23) T) ((-599 . -40) T) ((-599 . -116) T) ((-453 . -125) T) ((-1087 . -243) 75093) ((-1189 . -43) 74990) ((-880 . -743) T) ((-710 . -943) T) ((-544 . -25) T) ((-540 . -21) T) ((-540 . -25) T) ((-1188 . -43) 74831) ((-359 . -1075) T) ((-1181 . -43) 74627) ((-1101 . -194) T) ((-195 . -1075) T) ((-1143 . -43) 74524) ((-729 . -52) 74501) ((-384 . -194) T) ((-377 . -194) T) ((-551 . -62) 74475) ((-530 . -62) 74425) ((-375 . -1297) 74402) ((-237 . -477) T) ((-336 . -307) 74353) ((-365 . -194) T) ((-195 . -260) T) ((-1242 . -869) 74252) ((-132 . -194) T) ((-893 . -1021) 74236) ((-672 . -1131) T) ((-605 . -388) T) ((-605 . -349) 74223) ((-550 . -349) 74200) ((-550 . -388) T) ((-332 . -323) 74179) ((-329 . -323) T) ((-623 . -869) 74158) ((-1132 . -734) 74100) ((-552 . -299) 74084) ((-672 . -23) T) ((-444 . -245) 74068) ((-1226 . -125) T) ((-329 . -1049) NIL) ((-356 . -23) T) ((-258 . -23) T) ((-126 . -1038) 74052) ((-50 . -41) 74031) ((-631 . -1119) T) ((-375 . -394) T) ((-528 . -27) T) ((-254 . -325) 73969) ((-1107 . -1131) T) ((-1301 . -661) 73943) ((-804 . -1131) T) ((-802 . -1131) T) ((-479 . -1131) T) ((-1086 . -477) T) ((-1230 . -1119) T) ((-980 . -477) 73894) ((-134 . -1119) T) ((-1107 . -23) T) ((-839 . -1082) T) ((-804 . -23) T) ((-802 . -23) T) ((-516 . -477) 73845) ((-1174 . -547) 73593) ((-407 . -408) 73572) ((-1193 . -437) 73556) ((-487 . -23) T) ((-479 . -23) T) ((-761 . -437) 73540) ((-760 . -318) T) ((-518 . -547) 73473) ((-1031 . -678) T) ((-306 . -307) T) ((-1103 . -632) 73455) ((-433 . -931) 73434) ((-55 . -1131) T) ((-1051 . -943) T) ((-1031 . -743) T) ((-729 . -908) NIL) ((-605 . -1131) T) ((-550 . -1131) T) ((-862 . -661) 73407) ((-1220 . -158) T) ((-1181 . -426) 73359) ((-1032 . -325) NIL) ((-837 . -523) 73343) ((-378 . -943) T) ((-1171 . -39) T) ((-433 . -661) 73295) ((-55 . -23) T) ((-728 . -158) T) ((-729 . -1065) 73175) ((-605 . -23) T) ((-132 . -547) NIL) ((-550 . -23) T) ((-191 . -435) 73146) ((-237 . -1153) T) ((-1154 . -1119) T) ((-1293 . -1292) 73130) ((-717 . -817) T) ((-717 . -814) T) ((-405 . -171) T) ((-1137 . -323) T) ((-1242 . -1021) 73100) ((-53 . -943) T) ((-691 . -523) 73084) ((-266 . -1287) 73054) ((-265 . -1287) 73024) ((-1191 . -869) T) ((-1132 . -194) 73003) ((-1137 . -1049) T) ((-1072 . -39) T) ((-856 . -171) 72982) ((-856 . -169) 72961) ((-754 . -131) 72945) ((-631 . -159) T) ((-517 . -1119) 72735) ((-1193 . -1082) T) ((-892 . -477) T) ((-90 . -1225) T) ((-254 . -43) 72705) ((-163 . -131) 72687) ((-950 . -1117) T) ((-729 . -403) 72671) ((-761 . -1082) T) ((-1137 . -574) T) ((-1226 . -325) NIL) ((-416 . -1081) 72655) ((-1301 . -743) T) ((-1290 . -1082) T) ((-1187 . -977) 72624) ((-57 . -632) 72606) ((-1142 . -977) 72573) ((-667 . -437) 72557) ((-1271 . -125) T) ((-1264 . -125) T) ((-637 . -1081) 72541) ((-676 . -25) T) ((-676 . -21) T) ((-1173 . -547) NIL) ((-1243 . -125) T) ((-1227 . -1225) T) ((-416 . -140) 72520) ((-234 . -269) 72504) ((-1237 . -125) T) ((-1079 . -1119) T) ((-1032 . -1165) T) ((-1079 . -1078) 72444) ((-840 . -1119) T) ((-363 . -1235) T) ((-650 . -661) 72428) ((-637 . -140) 72407) ((-626 . -661) 72391) ((-618 . -125) T) ((-609 . -158) T) ((-617 . -125) T) ((-440 . -1119) T) ((-411 . -1119) T) ((-241 . -1119) 72369) ((-660 . -547) 72302) ((-647 . -547) 72110) ((-855 . -1075) 72089) ((-658 . -175) 72073) ((-363 . -582) T) ((-729 . -922) 72016) ((-575 . -243) 71966) ((-1271 . -301) 71932) ((-1264 . -301) 71898) ((-1243 . -301) 71864) ((-1101 . -307) 71815) ((-521 . -867) T) ((-235 . -1131) T) ((-1237 . -301) 71781) ((-1220 . -526) 71747) ((-1032 . -43) 71697) ((-230 . -867) T) ((-433 . -678) T) ((-937 . -43) 71649) ((-862 . -816) 71628) ((-862 . -813) 71607) ((-862 . -743) 71586) ((-384 . -307) T) ((-377 . -307) T) ((-365 . -307) T) ((-191 . -477) 71517) ((-453 . -43) 71501) ((-132 . -307) T) ((-235 . -23) T) ((-433 . -816) 71480) ((-433 . -813) 71459) ((-433 . -743) T) ((-533 . -305) 71434) ((-513 . -1081) 71399) ((-672 . -158) T) ((-1132 . -547) 71332) ((-356 . -158) T) ((-191 . -428) 71311) ((-258 . -158) T) ((-517 . -734) 71253) ((-837 . -303) 71230) ((-513 . -140) 71179) ((-33 . -37) 71163) ((-667 . -1082) T) ((-1252 . -477) 71094) ((-1107 . -158) T) ((-279 . -869) 71073) ((-264 . -869) 71052) ((-804 . -158) T) ((-802 . -158) T) ((-599 . -477) T) ((-1079 . -734) 70994) ((-637 . -1075) T) ((-1055 . -547) 70927) ((-487 . -158) T) ((-479 . -158) T) ((-50 . -1119) T) ((-411 . -734) 70897) ((-839 . -1119) T) ((-505 . -547) 70830) ((-492 . -547) 70763) ((-478 . -392) 70733) ((-50 . -629) 70712) ((-332 . -318) T) ((-687 . -632) 70674) ((-64 . -869) 70653) ((-1243 . -325) 70538) ((-1032 . -426) 70520) ((-837 . -625) 70497) ((-549 . -869) 70476) ((-529 . -869) 70455) ((-45 . -1235) T) ((-1027 . -1065) 70351) ((-55 . -158) T) ((-605 . -158) T) ((-550 . -158) T) ((-310 . -661) 70211) ((-363 . -349) 70188) ((-363 . -388) T) ((-341 . -342) 70165) ((-336 . -303) 70150) ((-45 . -582) T) ((-405 . -1211) T) ((-405 . -1214) T) ((-1063 . -1202) 70125) ((-1199 . -249) 70075) ((-1181 . -245) 70027) ((-1063 . -131) 69973) ((-350 . -1119) T) ((-405 . -116) T) ((-405 . -40) T) ((-887 . -21) T) ((-887 . -25) T) ((-882 . -25) T) ((-513 . -1075) T) ((-562 . -560) 69917) ((-882 . -21) T) ((-514 . -249) 69867) ((-1174 . -523) 69801) ((-1302 . -1081) 69785) ((-407 . -1081) 69769) ((-513 . -260) T) ((-838 . -125) T) ((-731 . -171) 69748) ((-731 . -169) 69727) ((-518 . -523) 69711) ((-1302 . -140) 69690) ((-519 . -355) 69659) ((-1027 . -403) 69643) ((-545 . -1119) T) ((-517 . -194) 69622) ((-1027 . -358) 69606) ((-439 . -125) T) ((-407 . -140) 69585) ((-297 . -1012) 69569) ((-296 . -1012) 69553) ((-238 . -39) T) ((-165 . -39) T) ((-1230 . -547) NIL) ((-1300 . -632) 69535) ((-1298 . -632) 69517) ((-134 . -547) NIL) ((-1187 . -1255) 69501) ((-873 . -871) 69485) ((-1193 . -1119) T) ((-126 . -1225) T) ((-980 . -977) 69446) ((-761 . -1119) T) ((-839 . -734) 69383) ((-1243 . -1165) NIL) ((-516 . -977) 69328) ((-1086 . -167) T) ((-65 . -125) 69306) ((-49 . -632) 69288) ((-83 . -632) 69270) ((-375 . -661) 69215) ((-1290 . -1119) T) ((-544 . -869) T) ((-363 . -1131) T) ((-311 . -1119) T) ((-1027 . -922) 69174) ((-311 . -629) 69153) ((-1271 . -43) 69050) ((-1264 . -43) 68891) ((-561 . -1117) T) ((-1243 . -43) 68687) ((-521 . -1082) T) ((-1237 . -43) 68584) ((-230 . -1082) T) ((-363 . -23) T) ((-176 . -632) 68566) ((-855 . -817) 68545) ((-855 . -814) 68524) ((-760 . -943) 68503) ((-618 . -43) 68476) ((-617 . -43) 68373) ((-891 . -582) T) ((-235 . -158) T) ((-336 . -1030) 68339) ((-84 . -632) 68321) ((-729 . -323) 68300) ((-310 . -743) 68202) ((-846 . -125) T) ((-879 . -863) T) ((-310 . -502) 68181) ((-1293 . -125) T) ((-45 . -388) T) ((-893 . -171) 68160) ((-33 . -1119) T) ((-893 . -169) 68139) ((-1173 . -523) 68121) ((-1302 . -1075) T) ((-517 . -547) 68054) ((-1160 . -1225) T) ((-993 . -632) 68036) ((-660 . -523) 68020) ((-647 . -523) 67952) ((-837 . -632) 67710) ((-53 . -27) T) ((-1193 . -734) 67607) ((-667 . -1119) T) ((-462 . -389) 67581) ((-761 . -734) 67410) ((-1121 . -125) T) ((-838 . -325) 67397) ((-879 . -1119) T) ((-1298 . -408) 67369) ((-1079 . -547) 67302) ((-1174 . -303) 67278) ((-254 . -245) 67247) ((-1290 . -734) 67217) ((-839 . -194) 67196) ((-375 . -678) T) ((-241 . -547) 67129) ((-637 . -817) 67108) ((-637 . -814) 67087) ((-1223 . -632) 67034) ((-234 . -1225) T) ((-691 . -632) 67001) ((-1171 . -1038) 66985) ((-375 . -743) T) ((-971 . -125) 66935) ((-1243 . -426) 66887) ((-1132 . -523) 66871) ((-65 . -325) 66809) ((-351 . -125) T) ((-1220 . -21) T) ((-1220 . -25) T) ((-45 . -1131) T) ((-728 . -21) T) ((-642 . -632) 66791) ((-548 . -342) 66770) ((-728 . -25) T) ((-132 . -303) NIL) ((-944 . -1131) T) ((-45 . -23) T) ((-790 . -1131) T) ((-592 . -1235) T) ((-528 . -1235) T) ((-336 . -632) 66752) ((-1032 . -245) 66734) ((-191 . -188) 66718) ((-604 . -582) T) ((-592 . -582) T) ((-528 . -582) T) ((-790 . -23) T) ((-1263 . -171) 66697) ((-1174 . -625) 66673) ((-1263 . -169) 66652) ((-1055 . -523) 66636) ((-1242 . -169) 66561) ((-1242 . -171) 66486) ((-1293 . -1299) 66465) ((-505 . -523) 66449) ((-492 . -523) 66433) ((-555 . -39) T) ((-667 . -734) 66403) ((-676 . -869) 66382) ((-1193 . -194) 66333) ((-390 . -125) T) ((-254 . -252) 66312) ((-266 . -125) T) ((-265 . -125) T) ((-1252 . -977) 66281) ((-133 . -125) T) ((-262 . -869) 66260) ((-838 . -43) 66109) ((-761 . -194) 66000) ((-50 . -547) 65760) ((-1173 . -303) 65735) ((-227 . -1119) T) ((-1164 . -1119) T) ((-948 . -125) T) ((-1164 . -629) 65714) ((-609 . -25) T) ((-609 . -21) T) ((-1121 . -325) 65652) ((-992 . -437) 65636) ((-715 . -1235) T) ((-647 . -303) 65611) ((-1107 . -654) 65559) ((-804 . -654) 65507) ((-802 . -654) 65455) ((-363 . -158) T) ((-306 . -632) 65437) ((-948 . -947) 65409) ((-715 . -582) T) ((-927 . -1119) T) ((-891 . -1131) T) ((-479 . -654) 65357) ((-927 . -925) 65341) ((-884 . -883) T) ((-884 . -885) T) ((-971 . -325) 65279) ((-405 . -477) T) ((-891 . -23) T) ((-521 . -1119) T) ((-884 . -169) T) ((-717 . -661) 65266) ((-884 . -171) 65245) ((-230 . -1119) T) ((-332 . -943) 65224) ((-329 . -943) T) ((-329 . -842) NIL) ((-416 . -737) T) ((-801 . -169) 65203) ((-801 . -171) 65182) ((-1230 . -523) 65164) ((-145 . -661) 65151) ((-503 . -169) 65130) ((-444 . -437) 65114) ((-503 . -171) 65093) ((-134 . -523) 65075) ((-1185 . -1235) 65054) ((-2 . -632) 65036) ((-1173 . -19) 65018) ((-1185 . -582) 64929) ((-1173 . -625) 64904) ((-672 . -21) T) ((-672 . -25) T) ((-615 . -1158) T) ((-1132 . -303) 64881) ((-356 . -25) T) ((-356 . -21) T) ((-258 . -25) T) ((-258 . -21) T) ((-528 . -388) T) ((-1293 . -43) 64851) ((-1156 . -1225) T) ((-647 . -625) 64826) ((-1107 . -25) T) ((-1107 . -21) T) ((-992 . -1082) T) ((-761 . -547) 64772) ((-558 . -814) T) ((-558 . -817) T) ((-146 . -1235) T) ((-255 . -125) T) ((-639 . -582) T) ((-804 . -25) T) ((-804 . -21) T) ((-802 . -21) T) ((-802 . -25) T) ((-752 . -1082) T) ((-732 . -1082) T) ((-687 . -1081) 64756) ((-487 . -25) T) ((-146 . -582) T) ((-487 . -21) T) ((-479 . -25) T) ((-479 . -21) T) ((-1156 . -1065) 64652) ((-839 . -307) 64631) ((-760 . -456) 64615) ((-845 . -1119) T) ((-1300 . -1081) 64599) ((-1298 . -1081) 64583) ((-687 . -140) 64562) ((-311 . -547) 64322) ((-1263 . -1211) 64288) ((-1263 . -1214) 64254) ((-1246 . -125) 64232) ((-266 . -325) 64170) ((-265 . -325) 64108) ((-1243 . -245) 64060) ((-1174 . -633) NIL) ((-1174 . -632) 64042) ((-1242 . -1211) 64008) ((-1242 . -1214) 63974) ((-1156 . -403) 63958) ((-1137 . -842) T) ((-1137 . -943) T) ((-1132 . -625) 63935) ((-1101 . -633) 63919) ((-1101 . -632) 63901) ((-1085 . -632) 63883) ((-562 . -125) T) ((-518 . -632) 63850) ((-837 . -305) 63827) ((-627 . -175) 63774) ((-444 . -1082) T) ((-521 . -734) 63724) ((-517 . -523) 63708) ((-347 . -869) 63687) ((-359 . -661) 63661) ((-55 . -21) T) ((-55 . -25) T) ((-230 . -734) 63611) ((-191 . -741) 63582) ((-195 . -661) 63514) ((-605 . -21) T) ((-605 . -25) T) ((-550 . -25) T) ((-550 . -21) T) ((-504 . -175) 63464) ((-717 . -678) T) ((-1022 . -125) T) ((-877 . -125) T) ((-821 . -437) 63427) ((-45 . -158) T) ((-226 . -917) T) ((-715 . -388) T) ((-717 . -816) T) ((-717 . -813) T) ((-604 . -1131) T) ((-592 . -1131) T) ((-145 . -678) T) ((-528 . -1131) T) ((-717 . -743) T) ((-384 . -632) 63409) ((-377 . -632) 63391) ((-365 . -632) 63373) ((-71 . -422) T) ((-71 . -421) T) ((-132 . -633) 63303) ((-132 . -632) 63285) ((-225 . -917) T) ((-986 . -175) 63269) ((-1263 . -116) 63235) ((-790 . -158) T) ((-160 . -743) T) ((-145 . -743) T) ((-1263 . -40) 63201) ((-1079 . -523) 63185) ((-604 . -23) T) ((-592 . -23) T) ((-528 . -23) T) ((-1242 . -116) 63151) ((-1242 . -40) 63117) ((-1187 . -125) T) ((-1142 . -125) T) ((-873 . -125) T) ((-241 . -523) 63101) ((-1300 . -140) 63080) ((-1298 . -140) 63059) ((-49 . -1081) 63043) ((-1252 . -1255) 63027) ((-874 . -871) 63011) ((-1193 . -307) 62990) ((-134 . -303) 62965) ((-1156 . -922) 62924) ((-49 . -140) 62903) ((-761 . -307) 62814) ((-1300 . -1075) T) ((-687 . -1075) T) ((-1181 . -867) NIL) ((-1173 . -633) NIL) ((-1173 . -632) 62796) ((-1087 . -629) 62771) ((-1087 . -1119) T) ((-79 . -466) T) ((-79 . -421) T) ((-687 . -247) 62750) ((-176 . -1081) 62734) ((-599 . -579) 62718) ((-379 . -171) 62697) ((-379 . -169) 62648) ((-376 . -171) 62627) ((-719 . -1119) T) ((-376 . -169) 62578) ((-364 . -171) 62557) ((-364 . -169) 62508) ((-279 . -169) 62487) ((-279 . -171) 62466) ((-266 . -43) 62436) ((-264 . -171) 62415) ((-146 . -388) T) ((-264 . -169) 62394) ((-265 . -43) 62364) ((-176 . -140) 62343) ((-1031 . -1065) 62218) ((-949 . -1117) T) ((-710 . -1235) T) ((-821 . -1082) T) ((-715 . -1131) T) ((-1298 . -1075) T) ((-1185 . -1131) T) ((-1171 . -1225) T) ((-1031 . -403) 62195) ((-932 . -169) T) ((-932 . -171) 62177) ((-891 . -158) T) ((-837 . -1081) 62074) ((-715 . -23) T) ((-710 . -582) T) ((-660 . -632) 62041) ((-660 . -633) 62002) ((-647 . -633) NIL) ((-647 . -632) 61984) ((-521 . -194) T) ((-235 . -21) T) ((-195 . -678) T) ((-235 . -25) T) ((-230 . -194) T) ((-503 . -1214) 61950) ((-503 . -1211) 61916) ((-292 . -632) 61898) ((-291 . -632) 61880) ((-290 . -632) 61862) ((-289 . -632) 61844) ((-288 . -632) 61826) ((-533 . -664) 61808) ((-287 . -632) 61790) ((-359 . -743) T) ((-286 . -632) 61772) ((-134 . -19) 61754) ((-195 . -743) T) ((-533 . -399) 61736) ((-226 . -632) 61718) ((-552 . -1163) 61702) ((-533 . -153) T) ((-134 . -625) 61677) ((-225 . -632) 61659) ((-503 . -40) 61625) ((-503 . -116) 61591) ((-223 . -632) 61573) ((-222 . -632) 61555) ((-221 . -632) 61537) ((-220 . -632) 61519) ((-217 . -632) 61501) ((-216 . -632) 61483) ((-215 . -632) 61465) ((-214 . -632) 61447) ((-213 . -632) 61429) ((-212 . -632) 61411) ((-211 . -632) 61393) ((-565 . -1122) 61345) ((-210 . -632) 61327) ((-209 . -632) 61309) ((-50 . -523) 61246) ((-208 . -632) 61228) ((-207 . -632) 61210) ((-1185 . -23) T) ((-837 . -140) 61100) ((-658 . -125) 61050) ((-517 . -303) 61027) ((-1132 . -632) 60785) ((-1120 . -1119) T) ((-1072 . -1225) T) ((-639 . -1131) T) ((-1301 . -1065) 60769) ((-1187 . -325) 60756) ((-1142 . -325) 60743) ((-146 . -1131) T) ((-1230 . -704) 60709) ((-841 . -125) T) ((-639 . -23) T) ((-1164 . -547) 60469) ((-412 . -125) T) ((-343 . -125) T) ((-1031 . -922) 60421) ((-992 . -1119) T) ((-176 . -1075) T) ((-748 . -437) 60405) ((-146 . -23) T) ((-752 . -1119) T) ((-732 . -1119) T) ((-719 . -159) T) ((-478 . -1119) T) ((-332 . -456) 60389) ((-433 . -1225) T) ((-1055 . -633) 60350) ((-1055 . -632) 60312) ((-1051 . -1235) T) ((-237 . -125) T) ((-255 . -43) 60258) ((-838 . -245) 60242) ((-1051 . -582) T) ((-855 . -661) 60215) ((-378 . -1235) T) ((-505 . -632) 60177) ((-505 . -633) 60138) ((-492 . -633) 60099) ((-492 . -632) 60061) ((-433 . -906) 60045) ((-336 . -1081) 59880) ((-433 . -908) 59805) ((-862 . -1065) 59701) ((-521 . -547) NIL) ((-517 . -625) 59678) ((-378 . -582) T) ((-230 . -547) NIL) ((-893 . -477) T) ((-444 . -1119) T) ((-433 . -1065) 59542) ((-336 . -140) 59356) ((-710 . -388) T) ((-237 . -301) T) ((-53 . -1235) T) ((-837 . -1075) 59286) ((-604 . -158) T) ((-592 . -158) T) ((-528 . -158) T) ((-53 . -582) T) ((-1174 . -305) 59262) ((-1187 . -1165) 59240) ((-332 . -27) 59219) ((-1086 . -125) T) ((-837 . -247) 59171) ((-254 . -867) 59150) ((-980 . -125) T) ((-730 . -125) T) ((-311 . -523) 59087) ((-516 . -125) T) ((-748 . -1082) T) ((-631 . -632) 59069) ((-631 . -633) 58930) ((-433 . -403) 58914) ((-433 . -358) 58898) ((-1187 . -43) 58727) ((-1142 . -43) 58576) ((-873 . -43) 58546) ((-416 . -661) 58530) ((-658 . -325) 58468) ((-1230 . -632) 58450) ((-992 . -734) 58347) ((-752 . -734) 58317) ((-234 . -131) 58301) ((-50 . -303) 58226) ((-637 . -661) 58200) ((-327 . -1119) T) ((-306 . -1081) 58187) ((-134 . -632) 58169) ((-134 . -633) 58151) ((-478 . -734) 58121) ((-838 . -268) 58060) ((-706 . -1119) 58038) ((-575 . -1119) T) ((-1189 . -1082) T) ((-1188 . -1082) T) ((-306 . -140) 58023) ((-1181 . -1082) T) ((-1143 . -1082) T) ((-575 . -629) 58002) ((-1032 . -867) T) ((-241 . -704) 57960) ((-710 . -1131) T) ((-1220 . -757) 57936) ((-995 . -999) 57913) ((-336 . -1075) T) ((-363 . -25) T) ((-363 . -21) T) ((-433 . -922) 57872) ((-73 . -1225) T) ((-855 . -816) 57851) ((-444 . -734) 57825) ((-821 . -1119) T) ((-855 . -813) 57804) ((-715 . -158) T) ((-729 . -943) 57783) ((-710 . -23) T) ((-521 . -307) T) ((-855 . -743) 57762) ((-336 . -247) 57714) ((-336 . -260) 57693) ((-230 . -307) T) ((-1051 . -388) T) ((-1263 . -477) 57672) ((-1242 . -477) 57651) ((-378 . -349) 57628) ((-378 . -388) T) ((-1154 . -632) 57610) ((-50 . -1267) 57560) ((-892 . -125) T) ((-658 . -299) 57544) ((-715 . -1084) T) ((-513 . -661) 57509) ((-497 . -1119) T) ((-50 . -625) 57434) ((-1173 . -305) 57409) ((-1185 . -158) T) ((-45 . -654) 57343) ((-53 . -388) T) ((-1125 . -632) 57325) ((-1107 . -869) 57304) ((-647 . -305) 57279) ((-1228 . -1119) T) ((-980 . -325) 57266) ((-804 . -869) 57245) ((-802 . -869) 57224) ((-479 . -869) 57203) ((-517 . -632) 56961) ((-254 . -437) 56930) ((-238 . -1225) T) ((-165 . -1225) T) ((-240 . -175) 56912) ((-166 . -175) 56887) ((-70 . -1225) T) ((-761 . -303) 56814) ((-639 . -158) T) ((-516 . -325) 56801) ((-1087 . -547) 56609) ((-306 . -1075) T) ((-146 . -158) T) ((-478 . -780) T) ((-992 . -194) 56560) ((-1180 . -1119) T) ((-1132 . -305) 56537) ((-1101 . -1081) 56447) ((-637 . -816) 56426) ((-615 . -1119) T) ((-637 . -813) 56405) ((-637 . -743) T) ((-311 . -303) 56384) ((-310 . -1225) T) ((-1079 . -632) 56346) ((-1079 . -633) 56307) ((-1051 . -1131) T) ((-191 . -125) T) ((-293 . -869) T) ((-1121 . -243) 56291) ((-840 . -632) 56273) ((-1101 . -140) 56162) ((-1031 . -323) T) ((-884 . -477) T) ((-821 . -734) 56146) ((-384 . -1081) 56098) ((-378 . -1131) T) ((-377 . -1081) 56050) ((-440 . -632) 56032) ((-411 . -632) 56014) ((-365 . -1081) 55966) ((-241 . -632) 55933) ((-1051 . -23) T) ((-801 . -477) T) ((-132 . -1081) 55883) ((-920 . -125) T) ((-860 . -125) T) ((-830 . -125) T) ((-788 . -125) T) ((-693 . -125) T) ((-503 . -477) 55862) ((-444 . -194) T) ((-384 . -140) 55793) ((-377 . -140) 55724) ((-365 . -140) 55655) ((-266 . -245) 55624) ((-265 . -245) 55593) ((-378 . -23) T) ((-76 . -1225) T) ((-237 . -43) 55558) ((-132 . -140) 55485) ((-45 . -25) T) ((-45 . -21) T) ((-687 . -737) T) ((-191 . -301) 55463) ((-884 . -428) T) ((-53 . -1131) T) ((-944 . -25) T) ((-790 . -25) T) ((-1164 . -523) 55400) ((-513 . -678) T) ((-519 . -1119) T) ((-1302 . -661) 55374) ((-1252 . -125) T) ((-874 . -125) T) ((-254 . -1082) 55304) ((-1086 . -1165) T) ((-993 . -814) 55257) ((-407 . -661) 55241) ((-53 . -23) T) ((-993 . -817) 55194) ((-837 . -817) 55145) ((-837 . -814) 55096) ((-311 . -625) 55075) ((-513 . -743) T) ((-1185 . -526) 55053) ((-599 . -125) T) ((-1106 . -1082) T) ((-892 . -325) 54997) ((-667 . -303) 54976) ((-141 . -675) T) ((-81 . -1225) T) ((-1086 . -43) 54963) ((-681 . -400) 54942) ((-980 . -43) 54791) ((-748 . -1119) T) ((-516 . -43) 54640) ((-91 . -1225) T) ((-599 . -301) T) ((-1243 . -867) NIL) ((-1189 . -1119) T) ((-1188 . -1119) T) ((-1181 . -1119) T) ((-375 . -1065) 54617) ((-1101 . -1075) T) ((-1032 . -1082) T) ((-50 . -632) 54599) ((-50 . -633) NIL) ((-937 . -1082) T) ((-839 . -632) 54581) ((-1161 . -125) 54559) ((-1101 . -260) 54510) ((-453 . -1082) T) ((-384 . -1075) T) ((-377 . -1075) T) ((-390 . -389) 54487) ((-365 . -1075) T) ((-266 . -252) 54466) ((-265 . -252) 54445) ((-133 . -389) 54419) ((-1101 . -247) 54344) ((-1143 . -1119) T) ((-310 . -922) 54303) ((-132 . -1075) T) ((-760 . -1235) 54282) ((-710 . -158) T) ((-444 . -547) 54124) ((-384 . -247) 54103) ((-384 . -260) T) ((-49 . -737) T) ((-377 . -247) 54082) ((-377 . -260) T) ((-365 . -247) 54061) ((-365 . -260) T) ((-760 . -582) T) ((-191 . -325) 54026) ((-132 . -260) T) ((-132 . -247) T) ((-336 . -814) T) ((-891 . -21) T) ((-891 . -25) T) ((-433 . -323) T) ((-533 . -39) T) ((-134 . -305) 54001) ((-1132 . -1081) 53898) ((-892 . -1165) NIL) ((-887 . -886) T) ((-887 . -885) T) ((-882 . -881) T) ((-882 . -885) T) ((-882 . -886) T) ((-350 . -632) 53880) ((-433 . -1049) 53858) ((-1132 . -140) 53748) ((-887 . -169) 53718) ((-887 . -171) T) ((-882 . -171) T) ((-882 . -169) 53688) ((-462 . -1119) T) ((-1302 . -743) T) ((-68 . -632) 53670) ((-892 . -43) 53615) ((-555 . -1225) T) ((-623 . -175) 53599) ((-545 . -632) 53581) ((-1252 . -325) 53568) ((-748 . -734) 53417) ((-558 . -815) T) ((-558 . -816) T) ((-592 . -654) 53399) ((-528 . -654) 53359) ((-379 . -477) T) ((-376 . -477) T) ((-364 . -477) T) ((-279 . -477) 53310) ((-552 . -1119) 53260) ((-264 . -477) 53211) ((-1164 . -303) 53190) ((-1193 . -632) 53172) ((-706 . -547) 53105) ((-992 . -307) 53084) ((-575 . -547) 52844) ((-761 . -633) NIL) ((-761 . -632) 52826) ((-1290 . -632) 52808) ((-1187 . -245) 52792) ((-191 . -1165) 52771) ((-1275 . -582) 52750) ((-1189 . -734) 52647) ((-1188 . -734) 52488) ((-914 . -125) T) ((-1181 . -734) 52284) ((-1143 . -734) 52181) ((-1171 . -690) 52165) ((-379 . -428) 52116) ((-376 . -428) 52067) ((-364 . -428) 52018) ((-1051 . -158) T) ((-821 . -547) 51930) ((-311 . -633) NIL) ((-311 . -632) 51912) ((-932 . -477) T) ((-993 . -394) 51865) ((-837 . -394) 51844) ((-543 . -542) 51823) ((-541 . -542) 51802) ((-521 . -303) NIL) ((-517 . -305) 51779) ((-444 . -307) T) ((-378 . -158) T) ((-230 . -303) NIL) ((-710 . -526) NIL) ((-121 . -1131) T) ((-191 . -43) 51607) ((-1265 . -582) T) ((-1263 . -1002) 51569) ((-1161 . -325) 51507) ((-1242 . -1002) 51476) ((-932 . -428) T) ((-1132 . -1075) 51406) ((-1164 . -625) 51385) ((-760 . -388) 51364) ((-801 . -175) 51316) ((-141 . -869) T) ((-1087 . -523) 51248) ((-604 . -21) T) ((-604 . -25) T) ((-592 . -21) T) ((-592 . -25) T) ((-528 . -25) T) ((-528 . -21) T) ((-1252 . -1165) 51226) ((-1132 . -247) 51178) ((-53 . -158) T) ((-33 . -632) 51160) ((-996 . -1117) T) ((-1207 . -125) T) ((-254 . -1119) 50950) ((-892 . -426) 50927) ((-1108 . -125) T) ((-1097 . -125) T) ((-1228 . -547) NIL) ((-627 . -125) T) ((-504 . -125) T) ((-1252 . -43) 50756) ((-1106 . -1119) T) ((-874 . -43) 50726) ((-1185 . -654) 50674) ((-748 . -194) 50585) ((-667 . -632) 50567) ((-599 . -43) 50554) ((-986 . -125) 50504) ((-879 . -632) 50486) ((-879 . -633) 50408) ((-615 . -547) NIL) ((-1271 . -1082) T) ((-1264 . -1082) T) ((-1243 . -1082) T) ((-1237 . -1082) T) ((-1306 . -1131) T) ((-1220 . -171) 50387) ((-1189 . -194) 50338) ((-618 . -1082) T) ((-617 . -1082) T) ((-1188 . -194) 50269) ((-1181 . -194) 50200) ((-1143 . -194) 50151) ((-1032 . -1119) T) ((-1000 . -1119) T) ((-937 . -1119) T) ((-821 . -819) 50135) ((-801 . -665) 50119) ((-801 . -1002) 50088) ((-760 . -1131) T) ((-715 . -25) T) ((-715 . -21) T) ((-146 . -654) 50065) ((-717 . -908) 50047) ((-453 . -1119) T) ((-332 . -1235) 50026) ((-329 . -1235) T) ((-191 . -426) 50010) ((-1220 . -169) 49989) ((-503 . -1002) 49951) ((-77 . -632) 49933) ((-760 . -23) T) ((-132 . -817) T) ((-132 . -814) T) ((-332 . -582) 49912) ((-717 . -1065) 49894) ((-329 . -582) T) ((-1306 . -23) T) ((-160 . -1065) 49876) ((-517 . -1081) 49773) ((-50 . -305) 49698) ((-1185 . -25) T) ((-1185 . -21) T) ((-254 . -734) 49640) ((-517 . -140) 49530) ((-1111 . -125) 49508) ((-1062 . -125) T) ((-1106 . -734) 49485) ((-658 . -850) 49464) ((-1226 . -1119) T) ((-748 . -547) 49402) ((-1079 . -1081) 49386) ((-639 . -21) T) ((-639 . -25) T) ((-1087 . -303) 49361) ((-386 . -125) T) ((-341 . -125) T) ((-687 . -661) 49335) ((-411 . -1081) 49319) ((-1079 . -140) 49298) ((-838 . -437) 49282) ((-146 . -25) T) ((-94 . -632) 49264) ((-146 . -21) T) ((-627 . -325) 49059) ((-504 . -325) 48863) ((-1275 . -1131) T) ((-1164 . -633) NIL) ((-411 . -140) 48842) ((-405 . -125) T) ((-227 . -632) 48824) ((-1164 . -632) 48806) ((-1032 . -734) 48756) ((-1181 . -547) 48490) ((-937 . -734) 48442) ((-1143 . -547) 48412) ((-375 . -323) T) ((-1275 . -23) T) ((-1199 . -175) 48362) ((-986 . -325) 48300) ((-856 . -125) T) ((-453 . -734) 48284) ((-237 . -850) T) ((-849 . -125) T) ((-847 . -125) T) ((-514 . -175) 48234) ((-1263 . -1262) 48213) ((-1137 . -1235) T) ((-359 . -1065) 48180) ((-1263 . -1257) 48150) ((-1263 . -1260) 48134) ((-1242 . -1241) 48113) ((-85 . -632) 48095) ((-927 . -632) 48077) ((-1242 . -1257) 48054) ((-1137 . -582) T) ((-944 . -869) T) ((-790 . -869) T) ((-521 . -633) 47984) ((-521 . -632) 47966) ((-405 . -301) T) ((-688 . -869) T) ((-1242 . -1239) 47950) ((-1265 . -1131) T) ((-230 . -633) 47880) ((-230 . -632) 47862) ((-1087 . -625) 47837) ((-64 . -175) 47821) ((-549 . -175) 47805) ((-529 . -175) 47789) ((-384 . -1297) 47773) ((-377 . -1297) 47757) ((-365 . -1297) 47741) ((-332 . -388) 47720) ((-329 . -388) T) ((-517 . -1075) 47650) ((-710 . -654) 47632) ((-1300 . -661) 47606) ((-1298 . -661) 47580) ((-1265 . -23) T) ((-706 . -523) 47564) ((-69 . -632) 47546) ((-1132 . -817) 47497) ((-1132 . -814) 47448) ((-575 . -523) 47385) ((-687 . -39) T) ((-517 . -247) 47337) ((-311 . -305) 47316) ((-254 . -194) 47295) ((-884 . -1287) 47279) ((-838 . -1082) T) ((-49 . -661) 47237) ((-1101 . -394) 47188) ((-748 . -307) 47119) ((-552 . -547) 47052) ((-839 . -1081) 47003) ((-1107 . -169) 46982) ((-384 . -394) 46961) ((-377 . -394) 46940) ((-365 . -394) 46919) ((-1107 . -171) 46898) ((-892 . -245) 46875) ((-839 . -140) 46810) ((-804 . -169) 46789) ((-804 . -171) 46768) ((-279 . -977) 46735) ((-266 . -867) 46714) ((-264 . -977) 46659) ((-265 . -867) 46638) ((-802 . -169) 46617) ((-802 . -171) 46596) ((-176 . -661) 46570) ((-479 . -171) 46549) ((-479 . -169) 46528) ((-687 . -743) T) ((-845 . -632) 46510) ((-1271 . -1119) T) ((-1264 . -1119) T) ((-1243 . -1119) T) ((-1237 . -1119) T) ((-1220 . -1214) 46476) ((-1220 . -1211) 46442) ((-1189 . -307) 46421) ((-1188 . -307) 46372) ((-1181 . -307) 46323) ((-1143 . -307) 46302) ((-359 . -922) 46283) ((-1032 . -194) T) ((-937 . -194) T) ((-801 . -1257) 46260) ((-618 . -1119) T) ((-617 . -1119) T) ((-710 . -21) T) ((-710 . -25) T) ((-503 . -1260) 46244) ((-503 . -1257) 46214) ((-444 . -303) 46142) ((-332 . -1131) 45991) ((-329 . -1131) T) ((-1220 . -40) 45957) ((-1220 . -116) 45923) ((-89 . -632) 45905) ((-96 . -125) 45883) ((-1306 . -158) T) ((-1228 . -523) 45865) ((-760 . -158) T) ((-605 . -169) T) ((-605 . -171) 45847) ((-550 . -171) 45829) ((-550 . -169) T) ((-332 . -23) 45681) ((-45 . -362) 45655) ((-329 . -23) T) ((-1173 . -664) 45637) ((-837 . -661) 45485) ((-1293 . -1082) T) ((-1173 . -399) 45467) ((-191 . -245) 45451) ((-615 . -523) 45433) ((-254 . -547) 45366) ((-1300 . -743) T) ((-1298 . -743) T) ((-1193 . -1081) 45249) ((-761 . -1081) 45072) ((-1193 . -140) 44934) ((-839 . -1075) T) ((-761 . -140) 44736) ((-548 . -125) T) ((-53 . -654) 44696) ((-543 . -125) T) ((-541 . -125) T) ((-1290 . -1081) 44666) ((-1062 . -43) 44650) ((-839 . -247) T) ((-839 . -260) 44629) ((-575 . -303) 44608) ((-1290 . -140) 44573) ((-1252 . -245) 44557) ((-1271 . -734) 44454) ((-1264 . -734) 44295) ((-1087 . -633) NIL) ((-1087 . -632) 44277) ((-1243 . -734) 44073) ((-1237 . -734) 43970) ((-1031 . -943) T) ((-719 . -632) 43939) ((-176 . -743) T) ((-1275 . -158) T) ((-1231 . -869) T) ((-1132 . -394) 43918) ((-1032 . -547) NIL) ((-266 . -437) 43887) ((-265 . -437) 43856) ((-1051 . -25) T) ((-1051 . -21) T) ((-618 . -734) 43829) ((-617 . -734) 43726) ((-821 . -303) 43684) ((-156 . -125) 43662) ((-855 . -1065) 43558) ((-191 . -850) 43537) ((-336 . -661) 43434) ((-837 . -39) T) ((-731 . -125) T) ((-1137 . -1131) T) ((-1054 . -1225) T) ((-405 . -43) 43399) ((-378 . -25) T) ((-378 . -21) T) ((-240 . -125) T) ((-183 . -125) T) ((-179 . -125) T) ((-166 . -125) T) ((-379 . -1287) 43383) ((-376 . -1287) 43367) ((-364 . -1287) 43351) ((-887 . -477) T) ((-191 . -373) 43330) ((-592 . -869) T) ((-528 . -869) T) ((-882 . -477) T) ((-1137 . -23) T) ((-92 . -632) 43312) ((-717 . -323) T) ((-856 . -43) 43282) ((-849 . -43) 43252) ((-1265 . -158) T) ((-1164 . -305) 43231) ((-993 . -743) 43130) ((-993 . -815) 43083) ((-993 . -816) 43036) ((-837 . -813) 43015) ((-145 . -323) T) ((-96 . -325) 42953) ((-691 . -39) T) ((-575 . -625) 42932) ((-53 . -25) T) ((-53 . -21) T) ((-837 . -816) 42883) ((-837 . -815) 42862) ((-717 . -1049) T) ((-667 . -1081) 42846) ((-993 . -502) 42799) ((-837 . -743) 42709) ((-932 . -1287) 42696) ((-258 . -342) 42673) ((-887 . -428) 42643) ((-517 . -817) 42594) ((-517 . -814) 42545) ((-882 . -428) 42515) ((-1193 . -1075) T) ((-1226 . -547) NIL) ((-761 . -1075) T) ((-667 . -140) 42494) ((-1193 . -346) 42470) ((-1212 . -125) 42448) ((-1120 . -632) 42430) ((-717 . -574) T) ((-761 . -346) 42407) ((-838 . -1119) T) ((-761 . -247) T) ((-1290 . -1075) T) ((-439 . -1119) T) ((-266 . -1082) 42337) ((-265 . -1082) 42267) ((-306 . -661) 42254) ((-615 . -303) 42229) ((-706 . -704) 42187) ((-1271 . -194) 42138) ((-992 . -632) 42120) ((-893 . -125) T) ((-752 . -632) 42102) ((-732 . -632) 42084) ((-1264 . -194) 42015) ((-1243 . -194) 41946) ((-1237 . -194) 41897) ((-715 . -869) T) ((-1032 . -307) T) ((-478 . -632) 41879) ((-642 . -743) T) ((-65 . -1119) 41857) ((-262 . -175) 41841) ((-937 . -307) T) ((-1051 . -1040) T) ((-642 . -502) T) ((-729 . -1235) 41820) ((-336 . -678) 41799) ((-1275 . -526) 41765) ((-618 . -194) 41744) ((-617 . -194) 41695) ((-1280 . -869) 41674) ((-729 . -582) 41585) ((-433 . -943) T) ((-433 . -842) 41564) ((-336 . -816) T) ((-336 . -743) T) ((-444 . -632) 41546) ((-444 . -633) 41447) ((-658 . -1163) 41431) ((-134 . -664) 41413) ((-195 . -323) T) ((-156 . -325) 41351) ((-134 . -399) 41333) ((-424 . -1225) T) ((-332 . -158) 41204) ((-329 . -158) T) ((-74 . -421) T) ((-134 . -153) T) ((-1185 . -869) 41183) ((-552 . -523) 41167) ((-668 . -1131) T) ((-615 . -19) 41149) ((-240 . -325) NIL) ((-66 . -466) T) ((-166 . -325) NIL) ((-66 . -421) T) ((-846 . -1119) T) ((-615 . -625) 41124) ((-513 . -1065) 41084) ((-667 . -1075) T) ((-668 . -23) T) ((-1293 . -1119) T) ((-838 . -734) 40933) ((-1228 . -704) 40899) ((-150 . -869) T) ((-146 . -869) NIL) ((-1187 . -437) 40883) ((-1142 . -437) 40867) ((-873 . -437) 40851) ((-255 . -1082) T) ((-306 . -678) T) ((-1263 . -125) T) ((-1243 . -547) 40585) ((-1212 . -325) 40523) ((-327 . -632) 40505) ((-1242 . -125) T) ((-1121 . -1119) T) ((-1189 . -303) 40490) ((-1188 . -303) 40475) ((-306 . -743) T) ((-132 . -931) NIL) ((-706 . -632) 40442) ((-706 . -633) 40403) ((-1101 . -661) 40313) ((-622 . -632) 40295) ((-575 . -633) NIL) ((-575 . -632) 40277) ((-1181 . -303) 40125) ((-521 . -1081) 40075) ((-728 . -477) T) ((-544 . -542) 40054) ((-540 . -542) 40033) ((-230 . -1081) 39983) ((-384 . -661) 39935) ((-377 . -661) 39887) ((-237 . -867) T) ((-365 . -661) 39839) ((-623 . -125) 39789) ((-517 . -394) 39768) ((-132 . -661) 39718) ((-521 . -140) 39645) ((-254 . -523) 39629) ((-363 . -171) 39611) ((-363 . -169) T) ((-191 . -396) 39582) ((-971 . -1278) 39566) ((-230 . -140) 39493) ((-893 . -325) 39458) ((-971 . -1119) 39408) ((-821 . -633) 39369) ((-821 . -632) 39351) ((-735 . -125) T) ((-351 . -1119) T) ((-1137 . -158) T) ((-731 . -43) 39321) ((-332 . -526) 39300) ((-533 . -1225) T) ((-1263 . -301) 39266) ((-1242 . -301) 39232) ((-347 . -175) 39216) ((-1087 . -305) 39191) ((-1293 . -734) 39161) ((-1174 . -39) T) ((-1302 . -1065) 39138) ((-760 . -654) 39044) ((-497 . -632) 39026) ((-518 . -39) T) ((-407 . -1065) 39010) ((-1187 . -1082) T) ((-1142 . -1082) T) ((-873 . -1082) T) ((-1086 . -867) T) ((-838 . -194) 38921) ((-552 . -303) 38898) ((-1228 . -632) 38880) ((-1306 . -25) T) ((-1271 . -307) 38859) ((-1264 . -307) 38810) ((-146 . -1021) 38787) ((-884 . -125) T) ((-1243 . -307) 38738) ((-801 . -125) T) ((-1237 . -307) 38717) ((-1207 . -389) 38691) ((-1189 . -1030) 38657) ((-1188 . -1030) 38623) ((-1108 . -284) 38607) ((-503 . -125) T) ((-390 . -1119) T) ((-266 . -1119) T) ((-265 . -1119) T) ((-1181 . -1030) 38573) ((-133 . -1119) T) ((-1143 . -1030) 38539) ((-893 . -1165) 38517) ((-1101 . -678) 38468) ((-627 . -389) 38408) ((-1101 . -743) T) ((-627 . -243) 38355) ((-615 . -632) 38337) ((-615 . -633) NIL) ((-710 . -869) T) ((-504 . -243) 38287) ((-521 . -1075) T) ((-948 . -1119) T) ((-93 . -465) T) ((-93 . -421) T) ((-230 . -1075) T) ((-384 . -678) T) ((-34 . -1117) T) ((-377 . -678) T) ((-365 . -678) T) ((-729 . -1131) T) ((-618 . -307) 38266) ((-617 . -307) 38245) ((-132 . -678) T) ((-521 . -260) T) ((-521 . -247) T) ((-1180 . -632) 38227) ((-893 . -43) 38179) ((-230 . -260) T) ((-230 . -247) T) ((-760 . -25) T) ((-760 . -21) T) ((-384 . -743) T) ((-377 . -743) T) ((-365 . -743) T) ((-132 . -816) T) ((-132 . -813) T) ((-552 . -1267) 38163) ((-132 . -743) T) ((-729 . -23) T) ((-1226 . -523) 38145) ((-503 . -301) 38111) ((-1306 . -21) T) ((-1242 . -325) 38050) ((-1191 . -125) T) ((-45 . -169) 38022) ((-45 . -171) 37994) ((-552 . -625) 37971) ((-1132 . -661) 37819) ((-623 . -325) 37757) ((-50 . -664) 37707) ((-50 . -683) 37657) ((-50 . -399) 37607) ((-1173 . -39) T) ((-892 . -867) NIL) ((-668 . -158) T) ((-519 . -632) 37589) ((-254 . -303) 37566) ((-660 . -39) T) ((-647 . -39) T) ((-1107 . -477) 37517) ((-838 . -547) 37382) ((-804 . -477) 37313) ((-802 . -477) 37264) ((-797 . -125) T) ((-479 . -477) 37215) ((-980 . -437) 37199) ((-748 . -632) 37181) ((-266 . -734) 37123) ((-265 . -734) 37065) ((-748 . -633) 36926) ((-516 . -437) 36910) ((-359 . -318) T) ((-255 . -1119) T) ((-375 . -943) T) ((-1028 . -125) 36888) ((-1051 . -869) T) ((-65 . -547) 36821) ((-1275 . -25) T) ((-1275 . -21) T) ((-1242 . -1165) 36773) ((-1032 . -303) NIL) ((-237 . -1082) T) ((-405 . -850) T) ((-1132 . -39) T) ((-801 . -325) 36642) ((-605 . -477) T) ((-550 . -477) T) ((-1246 . -1112) 36626) ((-1246 . -1119) 36604) ((-254 . -625) 36581) ((-1246 . -1114) 36538) ((-1189 . -632) 36520) ((-1188 . -632) 36502) ((-1181 . -632) 36484) ((-1181 . -633) NIL) ((-1143 . -632) 36466) ((-893 . -426) 36450) ((-562 . -1119) T) ((-565 . -125) T) ((-1263 . -43) 36291) ((-1242 . -43) 36105) ((-891 . -171) T) ((-605 . -428) T) ((-53 . -869) T) ((-550 . -428) T) ((-1265 . -21) T) ((-1265 . -25) T) ((-1132 . -813) 36084) ((-1132 . -816) 36035) ((-1132 . -815) 36014) ((-1022 . -1119) T) ((-1055 . -39) T) ((-877 . -1119) T) ((-1276 . -125) T) ((-1132 . -743) 35924) ((-681 . -125) T) ((-575 . -305) 35903) ((-1199 . -125) T) ((-505 . -39) T) ((-492 . -39) T) ((-379 . -125) T) ((-376 . -125) T) ((-364 . -125) T) ((-279 . -125) T) ((-264 . -125) T) ((-513 . -323) T) ((-1086 . -1082) T) ((-980 . -1082) T) ((-332 . -654) 35809) ((-329 . -654) 35770) ((-516 . -1082) T) ((-514 . -125) T) ((-462 . -632) 35752) ((-1187 . -1119) T) ((-1142 . -1119) T) ((-873 . -1119) T) ((-1155 . -125) T) ((-838 . -307) 35683) ((-992 . -1081) 35566) ((-513 . -1049) T) ((-752 . -1081) 35536) ((-1161 . -1138) 35520) ((-1121 . -547) 35453) ((-995 . -125) T) ((-478 . -1081) 35423) ((-992 . -140) 35285) ((-887 . -1287) 35260) ((-882 . -1287) 35220) ((-932 . -125) T) ((-884 . -1165) T) ((-752 . -140) 35185) ((-255 . -734) 35131) ((-64 . -125) 35081) ((-552 . -633) 35042) ((-552 . -632) 34981) ((-551 . -125) 34959) ((-549 . -125) 34909) ((-530 . -125) 34887) ((-529 . -125) 34837) ((-478 . -140) 34788) ((-266 . -194) 34767) ((-265 . -194) 34746) ((-444 . -1081) 34720) ((-1220 . -1002) 34681) ((-1027 . -1131) T) ((-884 . -43) 34646) ((-801 . -43) 34584) ((-971 . -547) 34517) ((-521 . -817) T) ((-503 . -43) 34358) ((-444 . -140) 34325) ((-521 . -814) T) ((-1028 . -325) 34263) ((-230 . -817) T) ((-230 . -814) T) ((-1027 . -23) T) ((-729 . -158) T) ((-1242 . -426) 34233) ((-1230 . -39) T) ((-332 . -25) 34085) ((-191 . -437) 34069) ((-332 . -21) 33940) ((-329 . -25) T) ((-329 . -21) T) ((-879 . -394) T) ((-134 . -39) T) ((-517 . -661) 33788) ((-892 . -1082) T) ((-615 . -305) 33763) ((-604 . -171) T) ((-592 . -171) T) ((-528 . -171) T) ((-1187 . -734) 33592) ((-1142 . -734) 33441) ((-1137 . -654) 33423) ((-873 . -734) 33393) ((-687 . -1225) T) ((-1 . -125) T) ((-254 . -632) 33151) ((-1252 . -437) 33135) ((-1226 . -704) 33101) ((-1199 . -325) 32905) ((-992 . -1075) T) ((-752 . -1075) T) ((-732 . -1075) T) ((-658 . -1119) 32855) ((-1079 . -661) 32839) ((-874 . -437) 32823) ((-544 . -125) T) ((-540 . -125) T) ((-264 . -325) 32810) ((-279 . -325) 32797) ((-1106 . -632) 32779) ((-992 . -346) 32758) ((-411 . -661) 32742) ((-514 . -325) 32546) ((-266 . -547) 32479) ((-687 . -1065) 32375) ((-265 . -547) 32308) ((-1155 . -325) 32234) ((-255 . -194) 32213) ((-841 . -1119) T) ((-821 . -1081) 32197) ((-1271 . -303) 32182) ((-1264 . -303) 32167) ((-1243 . -303) 32015) ((-1237 . -303) 32000) ((-412 . -1119) T) ((-343 . -1119) T) ((-444 . -1075) T) ((-191 . -1082) T) ((-64 . -325) 31938) ((-821 . -140) 31917) ((-617 . -303) 31902) ((-551 . -325) 31840) ((-549 . -325) 31778) ((-530 . -325) 31716) ((-529 . -325) 31654) ((-444 . -247) 31633) ((-517 . -39) T) ((-1032 . -633) 31563) ((-237 . -1119) T) ((-1032 . -632) 31545) ((-1000 . -632) 31527) ((-1000 . -633) 31502) ((-937 . -632) 31484) ((-715 . -171) T) ((-717 . -943) T) ((-717 . -842) T) ((-453 . -632) 31466) ((-1137 . -21) T) ((-1137 . -25) T) ((-687 . -403) 31450) ((-145 . -943) T) ((-893 . -245) 31434) ((-83 . -1225) T) ((-156 . -155) 31418) ((-1079 . -39) T) ((-1300 . -1065) 31392) ((-1298 . -1065) 31349) ((-1252 . -1082) T) ((-1185 . -169) 31328) ((-1185 . -171) 31307) ((-874 . -1082) T) ((-517 . -813) 31286) ((-379 . -1165) 31265) ((-376 . -1165) 31244) ((-364 . -1165) 31223) ((-517 . -816) 31174) ((-517 . -815) 31153) ((-241 . -39) T) ((-517 . -743) 31063) ((-65 . -523) 31047) ((-599 . -1082) T) ((-1226 . -632) 31029) ((-1187 . -194) 30920) ((-1142 . -194) 30831) ((-1086 . -1119) T) ((-1107 . -977) 30776) ((-980 . -1119) T) ((-839 . -661) 30727) ((-804 . -977) 30696) ((-730 . -1119) T) ((-802 . -977) 30663) ((-549 . -299) 30647) ((-687 . -922) 30606) ((-516 . -1119) T) ((-479 . -977) 30573) ((-84 . -1225) T) ((-379 . -43) 30538) ((-376 . -43) 30503) ((-364 . -43) 30468) ((-279 . -43) 30317) ((-264 . -43) 30166) ((-932 . -1165) T) ((-639 . -171) 30145) ((-639 . -169) 30124) ((-146 . -171) T) ((-146 . -169) NIL) ((-440 . -743) T) ((-821 . -1075) T) ((-363 . -477) T) ((-1271 . -1030) 30090) ((-1264 . -1030) 30056) ((-1243 . -1030) 30022) ((-1237 . -1030) 29988) ((-932 . -43) 29953) ((-237 . -734) 29918) ((-760 . -869) T) ((-45 . -435) 29890) ((-336 . -52) 29860) ((-1027 . -158) T) ((-837 . -1225) T) ((-195 . -943) T) ((-363 . -428) T) ((-552 . -305) 29837) ((-50 . -39) T) ((-837 . -1065) 29664) ((-761 . -931) 29643) ((-676 . -125) T) ((-668 . -21) T) ((-668 . -25) T) ((-1121 . -523) 29627) ((-1242 . -245) 29597) ((-691 . -1225) T) ((-262 . -125) 29547) ((-892 . -1119) T) ((-1193 . -661) 29472) ((-1086 . -734) 29459) ((-748 . -1081) 29302) ((-1187 . -547) 29248) ((-980 . -734) 29097) ((-1142 . -547) 29049) ((-761 . -661) 28974) ((-516 . -734) 28823) ((-72 . -632) 28805) ((-748 . -140) 28627) ((-839 . -678) 28606) ((-971 . -523) 28590) ((-1290 . -661) 28550) ((-1189 . -1081) 28433) ((-839 . -743) T) ((-1188 . -1081) 28268) ((-1181 . -1081) 28058) ((-255 . -307) 28037) ((-1143 . -1081) 27920) ((-1031 . -1235) T) ((-1113 . -125) 27898) ((-837 . -403) 27867) ((-1031 . -582) T) ((-1189 . -140) 27729) ((-1188 . -140) 27543) ((-1181 . -140) 27289) ((-1143 . -140) 27151) ((-1124 . -1122) 27115) ((-405 . -867) T) ((-1271 . -632) 27097) ((-1264 . -632) 27079) ((-1243 . -632) 27061) ((-1243 . -633) NIL) ((-1237 . -632) 27043) ((-254 . -305) 27020) ((-45 . -477) T) ((-237 . -194) T) ((-191 . -1119) T) ((-710 . -171) T) ((-710 . -169) NIL) ((-618 . -632) 27002) ((-617 . -632) 26984) ((-920 . -1119) T) ((-860 . -1119) T) ((-830 . -1119) T) ((-788 . -1119) T) ((-672 . -871) 26968) ((-693 . -1119) T) ((-837 . -922) 26900) ((-1185 . -1211) 26878) ((-1185 . -1214) 26856) ((-45 . -428) NIL) ((-1137 . -675) T) ((-892 . -734) 26801) ((-266 . -523) 26785) ((-265 . -523) 26769) ((-729 . -654) 26717) ((-667 . -661) 26691) ((-311 . -39) T) ((-1185 . -116) 26669) ((-1185 . -40) 26647) ((-748 . -1075) T) ((-605 . -1287) 26634) ((-550 . -1287) 26611) ((-1252 . -1119) T) ((-1187 . -307) 26522) ((-1142 . -307) 26453) ((-1086 . -194) T) ((-761 . -678) 26384) ((-874 . -1119) T) ((-980 . -194) 26295) ((-804 . -1255) 26279) ((-658 . -547) 26212) ((-82 . -632) 26194) ((-748 . -346) 26159) ((-1193 . -743) T) ((-599 . -1119) T) ((-516 . -194) 26070) ((-761 . -743) T) ((-262 . -325) 26008) ((-1156 . -1131) T) ((-75 . -632) 25990) ((-1290 . -743) T) ((-1189 . -1075) T) ((-1188 . -1075) T) ((-347 . -125) 25940) ((-1181 . -1075) T) ((-1156 . -23) T) ((-1143 . -1075) T) ((-96 . -1138) 25924) ((-880 . -1131) T) ((-1189 . -247) 25883) ((-1188 . -260) 25862) ((-1188 . -247) 25814) ((-1181 . -247) 25701) ((-1181 . -260) 25680) ((-336 . -922) 25586) ((-887 . -125) T) ((-882 . -125) T) ((-880 . -23) T) ((-191 . -734) 25414) ((-1120 . -394) T) ((-433 . -1235) T) ((-1051 . -171) T) ((-1031 . -388) T) ((-971 . -303) 25391) ((-891 . -477) T) ((-884 . -373) T) ((-332 . -869) T) ((-329 . -869) NIL) ((-896 . -125) T) ((-561 . -560) 25245) ((-729 . -25) T) ((-433 . -582) T) ((-729 . -21) T) ((-378 . -171) 25227) ((-378 . -169) T) ((-1161 . -1119) 25205) ((-478 . -737) T) ((-80 . -632) 25187) ((-143 . -869) T) ((-262 . -299) 25171) ((-254 . -1081) 25068) ((-86 . -632) 25050) ((-752 . -394) 25003) ((-1191 . -850) T) ((-754 . -249) 24987) ((-1252 . -734) 24816) ((-1174 . -1225) T) ((-163 . -249) 24798) ((-254 . -140) 24688) ((-1106 . -1081) 24665) ((-53 . -171) T) ((-892 . -194) T) ((-874 . -734) 24635) ((-518 . -1225) T) ((-980 . -547) 24581) ((-667 . -743) T) ((-599 . -734) 24568) ((-1106 . -140) 24533) ((-1062 . -1082) T) ((-516 . -547) 24471) ((-971 . -19) 24455) ((-971 . -625) 24432) ((-838 . -633) NIL) ((-838 . -632) 24414) ((-1032 . -1081) 24364) ((-439 . -632) 24346) ((-266 . -303) 24323) ((-265 . -303) 24300) ((-521 . -931) NIL) ((-332 . -29) 24270) ((-132 . -1225) T) ((-1031 . -1131) T) ((-230 . -931) NIL) ((-937 . -1081) 24222) ((-1229 . -869) T) ((-1101 . -1065) 24118) ((-1032 . -140) 24045) ((-754 . -711) 24029) ((-279 . -245) 24013) ((-453 . -1081) 23997) ((-405 . -1082) T) ((-1031 . -23) T) ((-937 . -140) 23928) ((-710 . -1214) NIL) ((-521 . -661) 23878) ((-132 . -906) 23860) ((-132 . -908) 23842) ((-710 . -1211) NIL) ((-230 . -661) 23792) ((-384 . -1065) 23776) ((-377 . -1065) 23760) ((-347 . -325) 23698) ((-365 . -1065) 23682) ((-237 . -307) T) ((-453 . -140) 23661) ((-65 . -632) 23628) ((-191 . -194) T) ((-1137 . -869) T) ((-132 . -1065) 23588) ((-914 . -1119) T) ((-856 . -1082) T) ((-849 . -1082) T) ((-710 . -40) NIL) ((-710 . -116) NIL) ((-329 . -1021) 23549) ((-604 . -477) T) ((-592 . -477) T) ((-528 . -477) T) ((-433 . -388) T) ((-254 . -1075) 23479) ((-1164 . -39) T) ((-950 . -125) T) ((-513 . -943) T) ((-1027 . -654) 23427) ((-266 . -625) 23404) ((-265 . -625) 23381) ((-1101 . -403) 23365) ((-892 . -547) 23228) ((-254 . -247) 23180) ((-1173 . -1225) T) ((-846 . -632) 23162) ((-996 . -999) 23146) ((-1301 . -1131) T) ((-1293 . -632) 23128) ((-1252 . -194) 23019) ((-132 . -403) 23001) ((-132 . -358) 22983) ((-1086 . -307) T) ((-980 . -307) 22914) ((-821 . -394) 22893) ((-950 . -947) 22872) ((-660 . -1225) T) ((-647 . -1225) T) ((-516 . -307) 22803) ((-599 . -194) T) ((-347 . -299) 22787) ((-1301 . -23) T) ((-1220 . -125) T) ((-1207 . -1119) T) ((-1108 . -1119) T) ((-1097 . -1119) T) ((-88 . -632) 22769) ((-728 . -125) T) ((-379 . -373) 22748) ((-627 . -1119) T) ((-376 . -373) 22727) ((-364 . -373) 22706) ((-1199 . -243) 22656) ((-504 . -1119) T) ((-255 . -303) 22633) ((-279 . -268) 22595) ((-1156 . -158) T) ((-627 . -629) 22571) ((-1101 . -922) 22504) ((-1032 . -1075) T) ((-937 . -1075) T) ((-504 . -629) 22483) ((-1181 . -814) NIL) ((-1181 . -817) NIL) ((-1121 . -633) 22444) ((-1121 . -632) 22426) ((-514 . -243) 22376) ((-1032 . -260) T) ((-1032 . -247) T) ((-986 . -1119) 22326) ((-453 . -1075) T) ((-937 . -260) T) ((-880 . -158) T) ((-715 . -477) T) ((-521 . -678) T) ((-862 . -1131) 22305) ((-132 . -922) NIL) ((-1220 . -301) 22271) ((-230 . -678) T) ((-893 . -867) 22250) ((-1132 . -1225) T) ((-927 . -743) T) ((-191 . -547) 22162) ((-1027 . -25) T) ((-927 . -502) T) ((-433 . -1131) T) ((-521 . -816) T) ((-521 . -813) T) ((-932 . -373) T) ((-521 . -743) T) ((-230 . -816) T) ((-230 . -813) T) ((-1027 . -21) T) ((-230 . -743) T) ((-862 . -23) 22114) ((-336 . -323) 22093) ((-1063 . -249) 22039) ((-433 . -23) T) ((-971 . -633) 22000) ((-971 . -632) 21939) ((-658 . -523) 21923) ((-50 . -1038) 21873) ((-887 . -43) 21838) ((-882 . -43) 21803) ((-1185 . -477) 21734) ((-351 . -632) 21716) ((-1132 . -1065) 21543) ((-615 . -664) 21525) ((-615 . -399) 21507) ((-363 . -1287) 21484) ((-1055 . -1225) T) ((-892 . -307) T) ((-1252 . -547) 21430) ((-505 . -1225) T) ((-492 . -1225) T) ((-609 . -125) T) ((-1187 . -303) 21357) ((-639 . -477) 21336) ((-1028 . -1023) 21320) ((-1293 . -408) 21292) ((-146 . -477) T) ((-1206 . -125) T) ((-1111 . -1119) 21270) ((-1062 . -1119) T) ((-915 . -869) T) ((-1271 . -1081) 21153) ((-375 . -1235) T) ((-1264 . -1081) 20988) ((-1132 . -403) 20957) ((-1243 . -1081) 20747) ((-1237 . -1081) 20630) ((-1271 . -140) 20492) ((-1264 . -140) 20306) ((-1243 . -140) 20052) ((-1237 . -140) 19914) ((-1220 . -325) 19901) ((-375 . -582) T) ((-390 . -632) 19883) ((-306 . -323) T) ((-618 . -1081) 19856) ((-617 . -1081) 19739) ((-386 . -1119) T) ((-341 . -1119) T) ((-266 . -632) 19700) ((-265 . -632) 19661) ((-1031 . -158) T) ((-133 . -632) 19643) ((-650 . -23) T) ((-710 . -435) 19610) ((-626 . -23) T) ((-672 . -125) T) ((-618 . -140) 19581) ((-617 . -140) 19443) ((-405 . -1119) T) ((-356 . -125) T) ((-191 . -307) 19354) ((-258 . -125) T) ((-1242 . -867) 19307) ((-948 . -632) 19289) ((-731 . -1082) T) ((-1161 . -547) 19222) ((-1132 . -922) 19154) ((-856 . -1119) T) ((-849 . -1119) T) ((-847 . -1119) T) ((-118 . -125) T) ((-168 . -869) T) ((-760 . -171) 19133) ((-760 . -169) 19112) ((-631 . -906) 19096) ((-1230 . -1225) T) ((-1231 . -175) 19078) ((-134 . -1225) T) ((-1107 . -125) T) ((-1087 . -39) T) ((-804 . -125) T) ((-802 . -125) T) ((-487 . -125) T) ((-479 . -125) T) ((-254 . -817) 19029) ((-254 . -814) 18980) ((-801 . -1163) 18932) ((-662 . -125) T) ((-1252 . -307) 18843) ((-681 . -649) 18827) ((-658 . -303) 18804) ((-1062 . -734) 18788) ((-599 . -307) T) ((-992 . -661) 18713) ((-1301 . -158) T) ((-752 . -661) 18673) ((-732 . -661) 18660) ((-293 . -125) T) ((-478 . -661) 18590) ((-55 . -125) T) ((-605 . -125) T) ((-561 . -125) T) ((-550 . -125) T) ((-1271 . -1075) T) ((-1264 . -1075) T) ((-1243 . -1075) T) ((-1237 . -1075) T) ((-1271 . -247) 18549) ((-1264 . -260) 18528) ((-341 . -734) 18510) ((-1264 . -247) 18462) ((-1243 . -247) 18349) ((-1243 . -260) 18328) ((-1237 . -247) 18287) ((-1220 . -43) 18184) ((-1032 . -817) T) ((-618 . -1075) T) ((-617 . -1075) T) ((-1032 . -814) T) ((-1000 . -817) T) ((-1000 . -814) T) ((-255 . -632) 18166) ((-893 . -1082) T) ((-891 . -890) 18150) ((-710 . -477) T) ((-405 . -734) 18115) ((-444 . -661) 18089) ((-729 . -869) 18068) ((-728 . -43) 18033) ((-617 . -247) 17992) ((-45 . -741) 17964) ((-375 . -349) 17941) ((-375 . -388) T) ((-1275 . -169) 17920) ((-1275 . -171) 17899) ((-1101 . -323) 17850) ((-310 . -1131) 17731) ((-1125 . -1225) T) ((-193 . -125) T) ((-1246 . -632) 17698) ((-862 . -158) 17650) ((-658 . -1267) 17634) ((-856 . -734) 17604) ((-849 . -734) 17574) ((-517 . -1225) T) ((-384 . -323) T) ((-377 . -323) T) ((-365 . -323) T) ((-658 . -625) 17551) ((-433 . -158) T) ((-552 . -683) 17535) ((-132 . -323) T) ((-310 . -23) 17418) ((-552 . -664) 17402) ((-710 . -428) NIL) ((-552 . -399) 17386) ((-562 . -632) 17368) ((-96 . -1119) 17346) ((-132 . -1049) T) ((-592 . -167) T) ((-1280 . -175) 17330) ((-517 . -1065) 17157) ((-1265 . -169) 17118) ((-1265 . -171) 17079) ((-1079 . -1225) T) ((-1022 . -632) 17061) ((-877 . -632) 17043) ((-838 . -1081) 16886) ((-1107 . -325) 16873) ((-241 . -1225) T) ((-804 . -325) 16860) ((-802 . -325) 16847) ((-838 . -140) 16669) ((-479 . -325) 16656) ((-1187 . -633) NIL) ((-1187 . -632) 16638) ((-1142 . -632) 16620) ((-1142 . -633) 16368) ((-1062 . -194) T) ((-873 . -632) 16350) ((-971 . -305) 16327) ((-627 . -547) 16075) ((-840 . -1065) 16059) ((-504 . -547) 15819) ((-992 . -743) T) ((-752 . -743) T) ((-732 . -743) T) ((-375 . -1131) T) ((-1194 . -632) 15801) ((-235 . -125) T) ((-517 . -403) 15770) ((-548 . -1119) T) ((-543 . -1119) T) ((-541 . -1119) T) ((-821 . -661) 15744) ((-1051 . -477) T) ((-986 . -547) 15677) ((-375 . -23) T) ((-1227 . -869) T) ((-650 . -158) T) ((-626 . -158) T) ((-444 . -678) 15627) ((-378 . -477) T) ((-254 . -394) 15606) ((-405 . -194) T) ((-1263 . -1082) T) ((-1242 . -1082) T) ((-237 . -1030) T) ((-994 . -1117) T) ((-715 . -413) T) ((-444 . -743) T) ((-717 . -1235) T) ((-1156 . -654) 15554) ((-1293 . -1081) 15538) ((-604 . -890) 15522) ((-1174 . -1202) 15498) ((-731 . -1119) T) ((-717 . -582) T) ((-156 . -1119) 15476) ((-517 . -922) 15408) ((-240 . -1278) 15390) ((-240 . -1119) T) ((-166 . -1278) 15365) ((-183 . -1119) T) ((-672 . -43) 15335) ((-378 . -428) T) ((-332 . -171) 15314) ((-332 . -169) 15293) ((-145 . -582) T) ((-329 . -171) 15249) ((-329 . -169) 15205) ((-53 . -477) T) ((-179 . -1119) T) ((-166 . -1119) T) ((-1174 . -131) 15152) ((-1185 . -977) 15121) ((-804 . -1165) 15099) ((-706 . -39) T) ((-1293 . -140) 15078) ((-575 . -39) T) ((-518 . -131) 15062) ((-266 . -305) 15039) ((-265 . -305) 15016) ((-892 . -303) 14946) ((-50 . -1225) T) ((-838 . -1075) T) ((-1193 . -52) 14922) ((-838 . -346) 14884) ((-1107 . -43) 14733) ((-838 . -247) 14712) ((-804 . -43) 14541) ((-802 . -43) 14390) ((-761 . -52) 14367) ((-479 . -43) 14216) ((-658 . -633) 14177) ((-658 . -632) 14116) ((-605 . -1165) T) ((-550 . -1165) T) ((-1161 . -523) 14100) ((-1212 . -1119) 14078) ((-1156 . -25) T) ((-1156 . -21) T) ((-884 . -1082) T) ((-801 . -1082) T) ((-1275 . -1214) 14044) ((-1275 . -1211) 14010) ((-503 . -1082) T) ((-1243 . -814) NIL) ((-1243 . -817) NIL) ((-1027 . -869) 13989) ((-841 . -632) 13971) ((-880 . -21) T) ((-880 . -25) T) ((-821 . -743) T) ((-537 . -1117) T) ((-195 . -1235) T) ((-605 . -43) 13936) ((-550 . -43) 13901) ((-412 . -632) 13883) ((-343 . -632) 13865) ((-191 . -303) 13823) ((-1275 . -40) 13789) ((-1275 . -116) 13755) ((-68 . -1225) T) ((-141 . -125) T) ((-893 . -1119) T) ((-195 . -582) T) ((-731 . -734) 13725) ((-310 . -158) 13608) ((-237 . -632) 13590) ((-237 . -633) 13520) ((-1228 . -39) T) ((-1031 . -654) 13454) ((-1293 . -1075) T) ((-1137 . -171) T) ((-647 . -1202) 13429) ((-748 . -931) 13408) ((-615 . -39) T) ((-660 . -131) 13392) ((-647 . -131) 13338) ((-761 . -908) NIL) ((-1252 . -303) 13265) ((-748 . -661) 13190) ((-311 . -1225) T) ((-1193 . -1065) 13086) ((-761 . -1065) 12966) ((-1181 . -931) NIL) ((-1086 . -633) 12881) ((-1086 . -632) 12863) ((-363 . -125) T) ((-266 . -1081) 12760) ((-265 . -1081) 12657) ((-420 . -125) T) ((-980 . -632) 12639) ((-980 . -633) 12500) ((-730 . -632) 12482) ((-1291 . -1219) 12451) ((-516 . -632) 12433) ((-516 . -633) 12294) ((-279 . -437) 12278) ((-264 . -437) 12262) ((-266 . -140) 12152) ((-265 . -140) 12042) ((-1189 . -661) 11967) ((-1188 . -661) 11864) ((-1181 . -661) 11716) ((-1143 . -661) 11641) ((-375 . -158) T) ((-87 . -466) T) ((-87 . -421) T) ((-1031 . -25) T) ((-1031 . -21) T) ((-893 . -734) 11593) ((-405 . -307) T) ((-191 . -1030) 11544) ((-761 . -403) 11528) ((-710 . -413) T) ((-1027 . -1025) 11512) ((-717 . -1131) T) ((-710 . -188) 11494) ((-1263 . -1119) T) ((-1242 . -1119) T) ((-332 . -1211) 11473) ((-332 . -1214) 11452) ((-1179 . -125) T) ((-332 . -987) 11431) ((-160 . -1131) T) ((-145 . -1131) T) ((-623 . -1278) 11415) ((-717 . -23) T) ((-623 . -1119) 11365) ((-96 . -547) 11298) ((-195 . -388) T) ((-1185 . -1255) 11282) ((-332 . -116) 11261) ((-332 . -40) 11240) ((-627 . -523) 11174) ((-160 . -23) T) ((-145 . -23) T) ((-735 . -1119) T) ((-504 . -523) 11111) ((-433 . -654) 11059) ((-667 . -1065) 10955) ((-761 . -922) 10898) ((-986 . -523) 10882) ((-748 . -678) 10833) ((-379 . -1082) T) ((-376 . -1082) T) ((-364 . -1082) T) ((-279 . -1082) T) ((-264 . -1082) T) ((-892 . -633) NIL) ((-892 . -632) 10815) ((-1301 . -21) T) ((-599 . -1030) T) ((-748 . -743) T) ((-1301 . -25) T) ((-266 . -1075) 10745) ((-265 . -1075) 10675) ((-255 . -1081) 10621) ((-77 . -1225) T) ((-949 . -125) T) ((-266 . -247) 10573) ((-265 . -247) 10525) ((-255 . -140) 10464) ((-45 . -125) T) ((-932 . -1082) T) ((-1188 . -678) 10443) ((-1181 . -678) 10422) ((-1189 . -743) T) ((-1188 . -743) T) ((-1181 . -743) T) ((-1181 . -813) NIL) ((-1181 . -816) NIL) ((-1143 . -743) T) ((-949 . -947) 10380) ((-884 . -1119) T) ((-944 . -125) T) ((-801 . -1119) T) ((-790 . -125) T) ((-688 . -125) T) ((-503 . -1119) T) ((-359 . -1131) T) ((-1263 . -734) 10221) ((-195 . -1131) T) ((-336 . -943) 10200) ((-760 . -477) 10179) ((-893 . -194) T) ((-1242 . -734) 9993) ((-862 . -21) 9945) ((-862 . -25) 9897) ((-262 . -1163) 9881) ((-156 . -547) 9814) ((-433 . -25) T) ((-433 . -21) T) ((-359 . -23) T) ((-191 . -633) 9580) ((-191 . -632) 9562) ((-195 . -23) T) ((-658 . -305) 9539) ((-240 . -547) NIL) ((-166 . -547) NIL) ((-552 . -39) T) ((-920 . -632) 9521) ((-94 . -1225) T) ((-860 . -632) 9503) ((-830 . -632) 9485) ((-788 . -632) 9467) ((-693 . -632) 9449) ((-254 . -661) 9297) ((-1191 . -1119) T) ((-1187 . -1081) 9120) ((-1164 . -1225) T) ((-1142 . -1081) 8963) ((-873 . -1081) 8947) ((-1106 . -661) 8924) ((-1187 . -140) 8726) ((-1142 . -140) 8548) ((-873 . -140) 8527) ((-1252 . -633) NIL) ((-1252 . -632) 8509) ((-363 . -1165) T) ((-874 . -632) 8491) ((-1097 . -303) 8470) ((-255 . -1075) T) ((-85 . -1225) T) ((-1032 . -931) NIL) ((-627 . -303) 8446) ((-1212 . -547) 8379) ((-521 . -1225) T) ((-599 . -632) 8361) ((-504 . -303) 8340) ((-1107 . -245) 8324) ((-1032 . -661) 8274) ((-230 . -1225) T) ((-986 . -303) 8251) ((-937 . -661) 8203) ((-306 . -943) T) ((-839 . -323) 8182) ((-891 . -125) T) ((-804 . -245) 8166) ((-797 . -1119) T) ((-884 . -734) 8118) ((-801 . -734) 8056) ((-650 . -21) T) ((-650 . -25) T) ((-626 . -21) T) ((-363 . -43) 8021) ((-710 . -741) 7988) ((-521 . -906) 7970) ((-521 . -908) 7952) ((-503 . -734) 7793) ((-230 . -906) 7775) ((-69 . -1225) T) ((-230 . -908) 7757) ((-626 . -25) T) ((-453 . -661) 7731) ((-521 . -1065) 7691) ((-893 . -547) 7603) ((-230 . -1065) 7563) ((-254 . -39) T) ((-1028 . -1119) 7541) ((-1263 . -194) 7472) ((-1242 . -194) 7403) ((-729 . -169) 7382) ((-729 . -171) 7361) ((-717 . -158) T) ((-162 . -494) 7338) ((-488 . -125) T) ((-672 . -670) 7322) ((-1161 . -632) 7289) ((-145 . -158) T) ((-513 . -1235) T) ((-627 . -625) 7265) ((-504 . -625) 7244) ((-356 . -355) 7213) ((-565 . -1119) T) ((-1187 . -1075) T) ((-513 . -582) T) ((-258 . -257) 7197) ((-1142 . -1075) T) ((-873 . -1075) T) ((-254 . -813) 7176) ((-254 . -816) 7127) ((-254 . -815) 7106) ((-1187 . -346) 7083) ((-254 . -743) 6993) ((-986 . -19) 6977) ((-521 . -403) 6959) ((-521 . -358) 6941) ((-1142 . -346) 6913) ((-378 . -1287) 6890) ((-230 . -403) 6872) ((-230 . -358) 6854) ((-986 . -625) 6831) ((-1187 . -247) T) ((-681 . -1119) T) ((-1276 . -1119) T) ((-1199 . -1119) T) ((-1107 . -268) 6768) ((-379 . -1119) T) ((-376 . -1119) T) ((-364 . -1119) T) ((-279 . -1119) T) ((-264 . -1119) T) ((-89 . -1225) T) ((-157 . -125) 6746) ((-151 . -125) 6724) ((-761 . -323) 6703) ((-1199 . -629) 6682) ((-1231 . -125) T) ((-1155 . -1119) T) ((-514 . -1119) T) ((-1101 . -943) 6633) ((-1032 . -816) T) ((-514 . -629) 6612) ((-266 . -817) 6563) ((-266 . -814) 6514) ((-265 . -817) 6465) ((-45 . -1165) NIL) ((-265 . -814) 6416) ((-1032 . -813) T) ((-1032 . -678) T) ((-1032 . -743) T) ((-1000 . -816) T) ((-995 . -1119) T) ((-937 . -678) T) ((-937 . -743) T) ((-932 . -1119) T) ((-893 . -307) T) ((-96 . -523) 6400) ((-521 . -922) NIL) ((-884 . -194) T) ((-237 . -1081) 6365) ((-855 . -1131) 6344) ((-230 . -922) NIL) ((-801 . -194) T) ((-64 . -1119) 6294) ((-551 . -1119) 6272) ((-549 . -1119) 6222) ((-530 . -1119) 6200) ((-529 . -1119) 6150) ((-604 . -125) T) ((-592 . -125) T) ((-528 . -125) T) ((-503 . -194) 6081) ((-384 . -943) T) ((-377 . -943) T) ((-365 . -943) T) ((-237 . -140) 6030) ((-855 . -23) 5982) ((-453 . -743) T) ((-132 . -943) T) ((-45 . -43) 5927) ((-132 . -842) T) ((-605 . -373) T) ((-550 . -373) T) ((-1242 . -547) 5787) ((-332 . -477) 5766) ((-329 . -477) T) ((-1226 . -39) T) ((-856 . -303) 5745) ((-359 . -158) T) ((-195 . -158) T) ((-310 . -25) 5609) ((-310 . -21) 5492) ((-50 . -1202) 5471) ((-71 . -632) 5453) ((-914 . -632) 5435) ((-623 . -547) 5368) ((-50 . -131) 5318) ((-1121 . -451) 5302) ((-1121 . -394) 5281) ((-1087 . -1225) T) ((-1086 . -1081) 5268) ((-980 . -1081) 5111) ((-516 . -1081) 4954) ((-681 . -734) 4938) ((-1086 . -140) 4923) ((-980 . -140) 4745) ((-513 . -388) T) ((-379 . -734) 4697) ((-376 . -734) 4649) ((-364 . -734) 4601) ((-279 . -734) 4450) ((-264 . -734) 4299) ((-1281 . -125) T) ((-1280 . -125) 4249) ((-971 . -664) 4233) ((-1271 . -661) 4158) ((-516 . -140) 3980) ((-1264 . -661) 3877) ((-1243 . -661) 3729) ((-1243 . -931) NIL) ((-971 . -399) 3713) ((-1237 . -661) 3638) ((-79 . -632) 3620) ((-992 . -52) 3599) ((-637 . -1131) T) ((-1 . -1119) T) ((-727 . -125) T) ((-715 . -125) T) ((-1207 . -632) 3581) ((-1108 . -632) 3563) ((-1097 . -632) 3545) ((-932 . -734) 3510) ((-156 . -523) 3494) ((-801 . -547) 3326) ((-637 . -23) T) ((-416 . -23) T) ((-627 . -632) 3308) ((-92 . -1225) T) ((-627 . -633) NIL) ((-504 . -633) NIL) ((-504 . -632) 3290) ((-375 . -25) T) ((-375 . -21) T) ((-240 . -523) 3272) ((-157 . -325) 3210) ((-544 . -1119) T) ((-540 . -1119) T) ((-166 . -523) 3185) ((-151 . -325) 3123) ((-618 . -661) 3110) ((-238 . -62) 3078) ((-165 . -62) 3039) ((-237 . -1075) T) ((-617 . -661) 2964) ((-1231 . -325) NIL) ((-405 . -1030) T) ((-237 . -260) T) ((-237 . -247) T) ((-1185 . -125) T) ((-986 . -633) 2925) ((-986 . -632) 2864) ((-891 . -43) 2851) ((-1263 . -307) 2802) ((-1242 . -307) 2753) ((-1137 . -477) T) ((-535 . -869) T) ((-332 . -1153) 2732) ((-1027 . -171) 2711) ((-1027 . -169) 2690) ((-760 . -182) T) ((-760 . -167) T) ((-528 . -325) 2677) ((-311 . -1202) 2656) ((-513 . -1131) T) ((-892 . -1081) 2601) ((-639 . -125) T) ((-1212 . -523) 2585) ((-266 . -394) 2564) ((-265 . -394) 2543) ((-1185 . -301) 2521) ((-1086 . -1075) T) ((-311 . -131) 2471) ((-150 . -125) T) ((-146 . -125) T) ((-35 . -1117) T) ((-980 . -1075) T) ((-892 . -140) 2388) ((-513 . -23) T) ((-516 . -1075) T) ((-1086 . -247) T) ((-980 . -346) 2357) ((-516 . -346) 2314) ((-379 . -194) T) ((-376 . -194) T) ((-364 . -194) T) ((-279 . -194) 2225) ((-264 . -194) 2136) ((-992 . -1065) 2032) ((-752 . -1065) 2003) ((-1124 . -125) T) ((-1111 . -632) 1970) ((-1062 . -632) 1952) ((-1264 . -678) 1931) ((-1243 . -678) 1910) ((-1275 . -1002) 1879) ((-1271 . -743) T) ((-1264 . -743) T) ((-1243 . -743) T) ((-1243 . -813) NIL) ((-1243 . -816) NIL) ((-884 . -307) T) ((-191 . -1081) 1789) ((-932 . -194) T) ((-801 . -307) T) ((-1237 . -743) T) ((-1291 . -175) 1773) ((-1031 . -362) 1747) ((-1028 . -547) 1680) ((-862 . -869) 1659) ((-592 . -1165) T) ((-503 . -307) 1610) ((-618 . -743) T) ((-386 . -632) 1592) ((-341 . -632) 1574) ((-444 . -1065) 1470) ((-617 . -743) T) ((-433 . -869) 1421) ((-191 . -140) 1310) ((-887 . -1082) T) ((-882 . -1082) T) ((-855 . -158) 1262) ((-754 . -175) 1246) ((-1280 . -325) 1184) ((-521 . -323) T) ((-405 . -632) 1151) ((-552 . -1038) 1135) ((-405 . -633) 1049) ((-230 . -323) T) ((-163 . -175) 1031) ((-731 . -303) 1010) ((-1185 . -325) 997) ((-521 . -1049) T) ((-604 . -43) 984) ((-592 . -43) 971) ((-528 . -43) 936) ((-240 . -303) 911) ((-166 . -303) 879) ((-230 . -1049) T) ((-892 . -1075) T) ((-856 . -632) 861) ((-849 . -632) 843) ((-847 . -632) 825) ((-838 . -931) 804) ((-1302 . -1131) T) ((-1252 . -1081) 627) ((-874 . -1081) 611) ((-892 . -260) T) ((-892 . -247) NIL) ((-706 . -1225) T) ((-1302 . -23) T) ((-838 . -661) 536) ((-575 . -1225) T) ((-444 . -358) 520) ((-599 . -1081) 507) ((-1252 . -140) 309) ((-717 . -654) 291) ((-874 . -140) 270) ((-407 . -23) T) ((-1199 . -547) 30)) 
\ No newline at end of file
+((($ $) . T) (((|OrderedVariableList| |#1|) $) . T) (((|OrderedVariableList| |#1|) |#2|) . T)) 
+((($ $) . T) ((|#2| $) |has| |#1| (|DifferentialRing|)) ((|#2| |#1|) |has| |#1| (|DifferentialRing|)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
+(((|Localize| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |InnerEvalable|) 224124) ((|DistributedMultivariatePolynomial| . |InnerEvalable|) 224028) ((|Interval| . |BiModule|) 224013) ((|IndexedExponents| . |AbelianMonoid|) T) ((|DataList| . |SetCategory|) 223950) ((|BalancedPAdicRational| . |Evalable|) 223834) ((|HashTable| . |InnerEvalable|) 223542) ((|MachineComplex| . |BasicType|) T) ((|SplittingTree| . |InnerEvalable|) 223404) ((|FreeNilpotentLie| . |CancellationAbelianMonoid|) T) ((|WuWenTsunTriangularSet| . |PolynomialSetCategory|) 223373) ((|DoubleFloatVector| . |OneDimensionalArrayAggregate|) 223346) ((|ComplexDoubleFloatVector| . |OneDimensionalArrayAggregate|) 223307) ((|IndexedVector| . |HomogeneousAggregate|) 223291) ((|OrderedFreeMonoid| . |OrderedMonoid|) T) ((|LocalAlgebra| . |CancellationAbelianMonoid|) T) ((|IndexedMatrix| . |TwoDimensionalArrayCategory|) 223219) ((|DoubleFloatVector| . |IndexedAggregate|) 223180) ((|ComplexDoubleFloatVector| . |IndexedAggregate|) 223129) ((|OneDimensionalArray| . |InnerEvalable|) 223048) ((|InnerIndexedTwoDimensionalArray| . |InnerEvalable|) 222967) ((|Factored| . |PartialDifferentialRing|) 222899) ((|Complex| . |Ring|) T) ((|IndexedFlexibleArray| . |InnerEvalable|) 222818) ((|IndexedTwoDimensionalArray| . |InnerEvalable|) 222737) ((|IndexedOneDimensionalArray| . |InnerEvalable|) 222656) ((|Octonion| . |RetractableTo|) 222333) ((|MachineFloat| . |Algebra|) 222287) ((|FiniteFieldCyclicGroup| . |FiniteFieldCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |StepThrough|) 222257) ((|Segment| . |SegmentCategory|) 222241) ((|Segment| . |SetCategory|) 222211) ((|Complex| . |DivisionRing|) 222145) ((|Complex| . |DifferentialRing|) 222068) ((|Segment| . |SegmentExpansionCategory|) 222015) ((|PAdicRationalConstructor| . |Eltable|) 221968) ((|DoubleFloat| . |OrderedCancellationAbelianMonoid|) T) ((|DoubleFloat| . |OrderedAbelianMonoid|) T) ((|MachineComplex| . |ElementaryFunctionCategory|) NIL) ((|SparseTable| . |TableAggregate|) 221947) ((|Fraction| . |QuotientFieldCategory|) 221931) ((|ProjectiveSpace| . |BasicType|) T) ((|MachineInteger| . |AbelianGroup|) T) ((|MachineInteger| . |AbelianSemiGroup|) T) ((|XDistributedPolynomial| . |LeftModule|) 221905) ((|U32Vector| . |Collection|) 221882) ((|U32Matrix| . |Type|) T) ((|SparseUnivariatePolynomialExpressions| . |Algebra|) 221622) ((|Expression| . |CombinatorialOpsCategory|) 221589) ((|Expression| . |CombinatorialFunctionCategory|) 221556) ((|SparseTable| . |BagAggregate|) 221498) ((|CardinalNumber| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |DifferentialExtension|) 221469) ((|BalancedPAdicInteger| . |AbelianGroup|) T) ((|BalancedPAdicInteger| . |AbelianSemiGroup|) T) ((|KeyedAccessFile| . |EltableAggregate|) 221442) ((|GeneralSparseTable| . |EltableAggregate|) 221421) ((|UnivariatePolynomial| . |Ring|) T) ((|UnivariateSkewPolynomial| . |Ring|) T) ((|Octonion| . |FullyEvalableOver|) 221405) ((|BalancedPAdicRational| . |StepThrough|) NIL) ((|ArrayStack| . |CoercibleTo|) 221356) ((|Pi| . |CancellationAbelianMonoid|) T) ((|UnivariatePolynomial| . |FiniteAbelianMonoidRing|) 221317) ((|IndexedString| . |Type|) T) ((|OrderlyDifferentialPolynomial| . |LeftOreRing|) 221235) ((|Interval| . |Ring|) T) ((|UnivariatePolynomial| . |DifferentialRing|) T) ((|Localize| . |Module|) 221219) ((|PrimitiveArray| . |EltableAggregate|) 221191) ((|NeitherSparseOrDensePowerSeries| . |HomogeneousAggregate|) 221132) ((|TwoDimensionalArray| . |Aggregate|) T) ((|RomanNumeral| . |OrderedCancellationAbelianMonoid|) T) ((|RomanNumeral| . |OrderedAbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |Monoid|) T) ((|MultivariatePolynomial| . |AbelianMonoidRing|) 221066) ((|LaurentPolynomial| . |Algebra|) 221053) ((|FiniteFieldExtensionByPolynomial| . |EntireRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |EntireRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |EntireRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |EntireRing|) 220939) ((|DistributedMultivariatePolynomial| . |EntireRing|) 220825) ((|RealClosure| . |BasicType|) T) ((|FractionalIdeal| . |Monoid|) T) ((|BalancedPAdicRational| . |Algebra|) 220741) ((|FractionalIdeal| . |Group|) T) ((|FiniteField| . |BasicType|) T) ((|TaylorSeries| . |Rng|) T) ((|ModularField| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |UnivariateTaylorSeriesCategory|) 220725) ((|UnivariateTaylorSeriesCZero| . |UnivariatePowerSeriesCategory|) 220686) ((|SparseUnivariateTaylorSeries| . |AbelianMonoidRing|) 220647) ((|SparseUnivariatePuiseuxSeries| . |AbelianMonoidRing|) 220606) ((|SparseUnivariateLaurentSeries| . |AbelianMonoidRing|) 220578) ((|Result| . |Collection|) 220511) ((|PrimeField| . |EntireRing|) T) ((|SparseMultivariateTaylorSeries| . |AbelianMonoidRing|) 220469) ((|MachineComplex| . |Evalable|) NIL) ((|InnerFreeAbelianMonoid| . |CoercibleTo|) 220443) ((|IndexedDirectProductOrderedAbelianMonoid| . |CoercibleTo|) 220417) ((|IndexedDirectProductAbelianMonoid| . |CoercibleTo|) 220391) ((|FlexibleArray| . |SetCategory|) 220328) ((|BlowUpWithHamburgerNoether| . |BasicType|) T) ((|ModMonic| . |GcdDomain|) 220223) ((|AlgebraicNumber| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Eltable|) 220208) ((|UnivariateLaurentSeriesConstructor| . |Eltable|) 220120) ((|List| . |ListAggregate|) 220104) ((|List| . |LinearAggregate|) 220088) ((|FortranExpression| . |AbelianGroup|) T) ((|FortranExpression| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |FiniteFieldCategory|) NIL) ((|PseudoAlgebraicClosureOfRationalNumber| . |SetCategory|) T) ((|ContinuedFraction| . |AbelianGroup|) T) ((|ContinuedFraction| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |SetCategory|) T) ((|List| . |FiniteLinearAggregate|) 220072) ((|IndexedVector| . |Eltable|) 220044) ((|FileName| . |BasicType|) T) ((|SingleInteger| . |CombinatorialFunctionCategory|) T) ((|BinaryTournament| . |CoercibleTo|) 219995) ((|Palette| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |FullyRetractableTo|) 219979) ((|ModuleOperator| . |CoercibleTo|) 219953) ((|XDistributedPolynomial| . |Monoid|) T) ((|DoubleFloatVector| . |CoercibleTo|) 219927) ((|DoubleFloatVector| . |ConvertibleTo|) 219902) ((|Color| . |CoercibleTo|) 219876) ((|ComplexDoubleFloatVector| . |CoercibleTo|) 219850) ((|ComplexDoubleFloatVector| . |ConvertibleTo|) 219763) ((|Commutator| . |CoercibleTo|) 219737) ((|Set| . |Aggregate|) T) ((|BlowUpWithHamburgerNoether| . |BlowUpMethodCategory|) T) ((|PAdicRational| . |OrderedCancellationAbelianMonoid|) NIL) ((|PAdicRational| . |OrderedAbelianMonoid|) NIL) ((|OrdSetInts| . |OrderedSet|) T) ((|MultivariatePolynomial| . |PatternMatchable|) NIL) ((|XRecursivePolynomial| . |CancellationAbelianMonoid|) T) ((|FreeModule1| . |CancellationAbelianMonoid|) T) ((|PermutationGroup| . |BasicType|) T) ((|MultivariatePolynomial| . |RetractableTo|) 219544) ((|IndexedExponents| . |CancellationAbelianMonoid|) T) ((|SequentialDifferentialPolynomial| . |FullyRetractableTo|) 219528) ((|Queue| . |HomogeneousAggregate|) 219512) ((|BalancedPAdicRational| . |FullyPatternMatchable|) 219471) ((|SparseUnivariateLaurentSeries| . |Type|) 219447) ((|NewSparseUnivariatePolynomial| . |FullyRetractableTo|) 219431) ((|NewSparseMultivariatePolynomial| . |FullyRetractableTo|) 219415) ((|Point| . |Aggregate|) T) ((|MachineComplex| . |StepThrough|) NIL) ((|DirectProductModule| . |LeftModule|) 219216) ((|DirectProductMatrixModule| . |LeftModule|) 219004) ((|OrdinaryDifferentialRing| . |PrincipalIdealDomain|) 218980) ((|GeneralDistributedMultivariatePolynomial| . |FullyRetractableTo|) 218964) ((|IndexedVector| . |OneDimensionalArrayAggregate|) 218948) ((|SquareFreeRegularTriangularSet| . |TriangularSetCategory|) 218917) ((|SparseUnivariateLaurentSeries| . |PatternMatchable|) NIL) ((|SparseUnivariateLaurentSeries| . |Patternable|) 218841) ((|IndexedVector| . |IndexedAggregate|) 218813) ((|Tree| . |CoercibleTo|) 218764) ((|Switch| . |CoercibleTo|) 218738) ((|Asp12| . |FortranProgramCategory|) T) ((|SparseUnivariatePuiseuxSeries| . |RetractableTo|) 218622) ((|SparseUnivariateLaurentSeries| . |RetractableTo|) 218563) ((|NeitherSparseOrDensePowerSeries| . |Eltable|) 218480) ((|MachineComplex| . |Algebra|) 218409) ((|GeneralUnivariatePowerSeries| . |Eltable|) 218394) ((|MultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 218378) ((|PseudoAlgebraicClosureOfRationalNumber| . |Module|) 218332) ((|LinearOrdinaryDifferentialOperator| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Module|) 218235) ((|UnivariatePuiseuxSeriesConstructor| . |RadicalCategory|) 218184) ((|UnivariateLaurentSeriesConstructor| . |RadicalCategory|) 218133) ((|RoutinesTable| . |TableAggregate|) 218103) ((|PAdicRationalConstructor| . |ConvertibleTo|) 217791) ((|PAdicRationalConstructor| . |CoercibleTo|) 217765) ((|Table| . |HomogeneousAggregate|) 217694) ((|Factored| . |RealConstant|) 217663) ((|AlgebraicNumber| . |Evalable|) 217650) ((|RoutinesTable| . |BagAggregate|) 217583) ((|HashTable| . |HomogeneousAggregate|) 217512) ((|IndexedList| . |Type|) T) ((|SplittingTree| . |HomogeneousAggregate|) 217473) ((|SparseUnivariateLaurentSeries| . |FullyEvalableOver|) 217397) ((|SparseUnivariateLaurentSeries| . |FullyLinearlyExplicitRingOver|) 217321) ((|FortranType| . |BasicType|) T) ((|SequentialDifferentialPolynomial| . |Rng|) T) ((|DirectProductModule| . |Aggregate|) T) ((|DirectProductMatrixModule| . |Aggregate|) T) ((|NeitherSparseOrDensePowerSeries| . |UnaryRecursiveAggregate|) 217262) ((|NewSparseUnivariatePolynomial| . |Rng|) T) ((|NewSparseMultivariatePolynomial| . |Rng|) T) ((|MultivariatePolynomial| . |PartialDifferentialRing|) 217222) ((|GeneralDistributedMultivariatePolynomial| . |Rng|) T) ((|NeitherSparseOrDensePowerSeries| . |IndexedAggregate|) 217151) ((|OneDimensionalArray| . |HomogeneousAggregate|) 217135) ((|ResidueRing| . |RightModule|) 217109) ((|Plcs| . |SetCategory|) T) ((|InnerIndexedTwoDimensionalArray| . |HomogeneousAggregate|) 217093) ((|IndexedFlexibleArray| . |HomogeneousAggregate|) 217077) ((|IndexedTwoDimensionalArray| . |HomogeneousAggregate|) 217061) ((|IndexedOneDimensionalArray| . |HomogeneousAggregate|) 217045) ((|MyUnivariatePolynomial| . |PrincipalIdealDomain|) 217021) ((|DataList| . |InnerEvalable|) 216940) ((|ResidueRing| . |BiModule|) 216907) ((|SparseUnivariateTaylorSeries| . |PartialDifferentialRing|) 216771) ((|DirichletRing| . |LeftModule|) 216718) ((|LieSquareMatrix| . |SemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |PartialDifferentialRing|) 216580) ((|SparseUnivariateLaurentSeries| . |PartialDifferentialRing|) 216326) ((|SparseMultivariateTaylorSeries| . |PartialDifferentialRing|) 216310) ((|FiniteField| . |StepThrough|) T) ((|FreeAbelianGroup| . |RightModule|) 216287) ((|DirectProductModule| . |OrderedAbelianGroup|) 216257) ((|DirectProductModule| . |OrderedAbelianSemiGroup|) 216181) ((|DirectProductModule| . |OrderedAbelianMonoidSup|) 216139) ((|DirectProductMatrixModule| . |OrderedAbelianGroup|) 216109) ((|DirectProductMatrixModule| . |OrderedAbelianSemiGroup|) 216033) ((|DirectProductMatrixModule| . |OrderedAbelianMonoidSup|) 215991) ((|AntiSymm| . |Rng|) T) ((|DirectProductModule| . |Monoid|) 215877) ((|DirectProductMatrixModule| . |Monoid|) 215763) ((|TaylorSeries| . |SetCategory|) T) ((|LieSquareMatrix| . |AbelianMonoid|) T) ((|InnerPrimeField| . |Rng|) T) ((|InnerFiniteField| . |Rng|) T) ((|Float| . |RightModule|) 215717) ((|FreeAbelianGroup| . |BiModule|) 215682) ((|Asp34| . |FortranMatrixCategory|) T) ((|Asp34| . |FortranProgramCategory|) T) ((|RealClosure| . |Algebra|) 215603) ((|MachineComplex| . |FullyPatternMatchable|) 215575) ((|Automorphism| . |BasicType|) T) ((|ModularField| . |SetCategory|) T) ((|RadicalFunctionField| . |CharacteristicNonZero|) 215522) ((|Float| . |BiModule|) 215449) ((|ExponentialOfUnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 215425) ((|GeneralUnivariatePowerSeries| . |RadicalCategory|) 215374) ((|FiniteField| . |Algebra|) 215328) ((|AlgebraicFunctionField| . |FiniteRankAlgebra|) 215294) ((|RadicalFunctionField| . |CharacteristicZero|) 215244) ((|BinaryTree| . |BinaryTreeCategory|) 215228) ((|BinarySearchTree| . |BinaryTreeCategory|) 215212) ((|Operator| . |RightModule|) 215169) ((|OnePointCompletion| . |AbelianGroup|) 215104) ((|OppositeMonogenicLinearOperator| . |RightModule|) 215088) ((|OnePointCompletion| . |AbelianSemiGroup|) 215023) ((|ExponentialOfUnivariatePuiseuxSeries| . |IntegralDomain|) 214962) ((|Integer| . |OpenMath|) T) ((|DirectProduct| . |Type|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |CommutativeRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CommutativeRing|) T) ((|Operator| . |BiModule|) 214914) ((|OppositeMonogenicLinearOperator| . |BiModule|) 214893) ((|UnivariatePuiseuxSeriesConstructor| . |CoercibleTo|) 214867) ((|UnivariateLaurentSeriesConstructor| . |CoercibleTo|) 214841) ((|UnivariateLaurentSeriesConstructor| . |ConvertibleTo|) 214384) ((|SparseUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 214334) ((|SparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 214284) ((|AlgebraicNumber| . |Algebra|) 214238) ((|XPolynomial| . |SemiGroup|) T) ((|IndexedVector| . |CoercibleTo|) 214156) ((|IndexedVector| . |ConvertibleTo|) 214092) ((|XPBWPolynomial| . |SemiGroup|) T) ((|DirectProduct| . |RetractableTo|) 213843) ((|SparseUnivariatePolynomial| . |LeftModule|) 213740) ((|SparseMultivariatePolynomial| . |LeftModule|) 213637) ((|MoebiusTransform| . |CoercibleTo|) 213611) ((|SparseUnivariateSkewPolynomial| . |LeftModule|) 213585) ((|XPolynomial| . |AbelianMonoid|) T) ((|XPBWPolynomial| . |AbelianMonoid|) T) ((|SparseUnivariatePolynomialExpressions| . |DifferentialExtension|) 213569) ((|ResidueRing| . |Ring|) T) ((|Table| . |Eltable|) 213548) ((|Complex| . |Finite|) 213481) ((|RadixExpansion| . |Type|) T) ((|AlgebraGivenByStructuralConstants| . |AbelianMonoid|) T) ((|IntegerMod| . |BasicType|) T) ((|TaylorSeries| . |Module|) 213325) ((|HashTable| . |Eltable|) 213304) ((|IntegrationResult| . |SetCategory|) T) ((|TexFormat| . |SetCategory|) T) ((|SquareFreeRegularTriangularSet| . |SquareFreeRegularTriangularSetCategory|) 213273) ((|SExpression| . |SExpressionCategory|) 213197) ((|FreeNilpotentLie| . |AbelianGroup|) T) ((|FreeNilpotentLie| . |AbelianSemiGroup|) T) ((|CliffordAlgebra| . |SemiGroup|) T) ((|RadixExpansion| . |RetractableTo|) 213141) ((|RadixExpansion| . |Patternable|) 213118) ((|RadixExpansion| . |PatternMatchable|) 213095) ((|MyExpression| . |BasicType|) T) ((|DirichletRing| . |Monoid|) T) ((|LaurentPolynomial| . |DifferentialExtension|) 213079) ((|LocalAlgebra| . |AbelianGroup|) T) ((|EuclideanModularRing| . |IntegralDomain|) T) ((|LocalAlgebra| . |AbelianSemiGroup|) T) ((|ModularField| . |Module|) 213033) ((|Float| . |Ring|) T) ((|DirectProduct| . |FullyLinearlyExplicitRingOver|) 213001) ((|DoubleFloatVector| . |EltableAggregate|) 212962) ((|ComplexDoubleFloatVector| . |EltableAggregate|) 212911) ((|DeRhamComplex| . |Rng|) T) ((|BalancedPAdicRational| . |DifferentialExtension|) 212870) ((|OneDimensionalArray| . |Eltable|) 212842) ((|CliffordAlgebra| . |AbelianMonoid|) T) ((|IndexedFlexibleArray| . |Eltable|) 212814) ((|FlexibleArray| . |InnerEvalable|) 212733) ((|IndexedOneDimensionalArray| . |Eltable|) 212705) ((|Float| . |DivisionRing|) T) ((|Float| . |DifferentialRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 212679) ((|Operator| . |Ring|) T) ((|OppositeMonogenicLinearOperator| . |Ring|) T) ((|NeitherSparseOrDensePowerSeries| . |CoercibleTo|) 212653) ((|NeitherSparseOrDensePowerSeries| . |ConvertibleTo|) NIL) ((|ModMonic| . |PolynomialCategory|) 212588) ((|MachineInteger| . |OrderedSet|) T) ((|GeneralUnivariatePowerSeries| . |CoercibleTo|) 212562) ((|OppositeMonogenicLinearOperator| . |DifferentialRing|) 212527) ((|CardinalNumber| . |OrderedSet|) T) ((|U16Matrix| . |Type|) T) ((|LinearOrdinaryDifferentialOperator| . |SetCategory|) T) ((|Table| . |IndexedAggregate|) 212506) ((|InnerTable| . |TableAggregate|) 212485) ((|FiniteDivisor| . |SetCategory|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Field|) 212461) ((|Fraction| . |CharacteristicZero|) 212424) ((|Fraction| . |CharacteristicNonZero|) 212384) ((|U16Vector| . |Collection|) 212361) ((|Divisor| . |SetCategory|) T) ((|Product| . |SemiGroup|) 212249) ((|DirectProduct| . |PartialDifferentialRing|) 212153) ((|OrderedDirectProduct| . |SemiGroup|) 212039) ((|LinearOrdinaryDifferentialOperator2| . |UnivariateSkewPolynomialCategory|) 212023) ((|HashTable| . |IndexedAggregate|) 212002) ((|InnerTable| . |BagAggregate|) 211944) ((|RadixExpansion| . |FullyLinearlyExplicitRingOver|) 211921) ((|RadixExpansion| . |FullyEvalableOver|) 211898) ((|Symbol| . |CoercibleTo|) 211872) ((|SparseUnivariatePolynomial| . |LeftOreRing|) 211767) ((|AttributeButtons| . |SetCategory|) T) ((|Product| . |AbelianMonoid|) 211447) ((|Pi| . |AbelianGroup|) T) ((|Pi| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |AbelianMonoid|) 211250) ((|SparseMultivariatePolynomial| . |LeftOreRing|) 211168) ((|OneDimensionalArray| . |OneDimensionalArrayAggregate|) 211152) ((|Symbol| . |ConvertibleTo|) 211046) ((|SparseUnivariatePolynomial| . |Monoid|) T) ((|SparseMultivariatePolynomial| . |Monoid|) T) ((|IndexedFlexibleArray| . |OneDimensionalArrayAggregate|) 211030) ((|IndexedOneDimensionalArray| . |OneDimensionalArrayAggregate|) 211014) ((|OneDimensionalArray| . |IndexedAggregate|) 210986) ((|SequentialDifferentialPolynomial| . |SetCategory|) T) ((|PendantTree| . |BasicType|) 210956) ((|SparseUnivariateSkewPolynomial| . |Monoid|) T) ((|NewSparseUnivariatePolynomial| . |SetCategory|) T) ((|IndexedFlexibleArray| . |IndexedAggregate|) 210928) ((|IndexedOneDimensionalArray| . |IndexedAggregate|) 210900) ((|NewSparseMultivariatePolynomial| . |SetCategory|) T) ((|NewSparseMultivariatePolynomial| . |RecursivePolynomialCategory|) 210853) ((|GeneralModulePolynomial| . |SetCategory|) T) ((|GeneralDistributedMultivariatePolynomial| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |BasicType|) T) ((|IntegrationResult| . |Module|) 210817) ((|DesingTree| . |BasicType|) 210787) ((|ListMonoidOps| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |ElementaryFunctionCategory|) 210736) ((|UnivariateTaylorSeries| . |AbelianMonoidRing|) 210697) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |BasicType|) T) ((|UnivariatePuiseuxSeries| . |AbelianMonoidRing|) 210656) ((|RadixExpansion| . |PartialDifferentialRing|) NIL) ((|UnivariateLaurentSeries| . |AbelianMonoidRing|) 210628) ((|LieExponentials| . |SemiGroup|) T) ((|LieSquareMatrix| . |CancellationAbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |AbelianMonoidRing|) 210589) ((|TaylorSeries| . |CommutativeRing|) 210518) ((|SparseUnivariatePuiseuxSeries| . |EuclideanDomain|) 210494) ((|SparseUnivariateLaurentSeries| . |EuclideanDomain|) 210470) ((|SimpleAlgebraicExtension| . |UniqueFactorizationDomain|) 210404) ((|ExtAlgBasis| . |SetCategory|) T) ((|Asp78| . |FortranVectorFunctionCategory|) T) ((|Asp78| . |FortranProgramCategory|) T) ((|SimpleAlgebraicExtension| . |IntegralDomain|) 210338) ((|NottinghamGroup| . |CoercibleTo|) 210312) ((|AntiSymm| . |SetCategory|) T) ((|ModularField| . |CommutativeRing|) T) ((|InnerSparseUnivariatePowerSeries| . |AbelianMonoidRing|) 210284) ((|DoubleFloat| . |LeftModule|) 210238) ((|InnerPrimeField| . |SetCategory|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|InnerFiniteField| . |SetCategory|) T) ((|FiniteFieldExtension| . |UniqueFactorizationDomain|) T) ((|FiniteFieldNormalBasisExtension| . |UniqueFactorizationDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |UniqueFactorizationDomain|) T) ((|HexadecimalExpansion| . |OrderedIntegralDomain|) T) ((|HexadecimalExpansion| . |PrincipalIdealDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |SemiGroup|) T) ((|BinaryExpansion| . |UniqueFactorizationDomain|) T) ((|MyExpression| . |Evalable|) 210225) ((|FortranExpression| . |OrderedSet|) T) ((|DecimalExpansion| . |PrincipalIdealDomain|) T) ((|DecimalExpansion| . |OrderedIntegralDomain|) T) ((|ModuleOperator| . |RightModule|) 210182) ((|FiniteFieldExtension| . |IntegralDomain|) T) ((|FiniteFieldNormalBasisExtension| . |IntegralDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |IntegralDomain|) T) ((|BinaryExpansion| . |IntegralDomain|) T) ((|SparseUnivariateLaurentSeries| . |RealConstant|) NIL) ((|LinearOrdinaryDifferentialOperator| . |Module|) 210139) ((|PseudoAlgebraicClosureOfRationalNumber| . |EntireRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |EntireRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|Asp27| . |Type|) T) ((|Queue| . |CoercibleTo|) 210090) ((|MachineComplex| . |DifferentialExtension|) 210062) ((|Divisor| . |Module|) 210039) ((|ModuleOperator| . |BiModule|) 209991) ((|List| . |Aggregate|) T) ((|DataList| . |HomogeneousAggregate|) 209975) ((|Set| . |SetAggregate|) 209959) ((|SubSpaceComponentProperty| . |SetCategory|) T) ((|Polynomial| . |PolynomialFactorizationExplicit|) 209909) ((|HomogeneousDistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 209859) ((|XRecursivePolynomial| . |AbelianGroup|) T) ((|XRecursivePolynomial| . |AbelianSemiGroup|) T) ((|XPolynomial| . |CancellationAbelianMonoid|) T) ((|XPBWPolynomial| . |CancellationAbelianMonoid|) T) ((|SequentialDifferentialPolynomial| . |Module|) 209622) ((|RomanNumeral| . |LeftModule|) 209609) ((|Polynomial| . |LeftModule|) 209506) ((|NewSparseUnivariatePolynomial| . |Module|) 209246) ((|InputForm| . |CoercibleTo|) 209220) ((|InputForm| . |ConvertibleTo|) 209193) ((|NewSparseMultivariatePolynomial| . |Module|) 208956) ((|WuWenTsunTriangularSet| . |BasicType|) T) ((|Ruleset| . |BasicType|) T) ((|FreeModule1| . |AbelianSemiGroup|) T) ((|FreeModule1| . |AbelianGroup|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |LeftModule|) 208853) ((|GeneralModulePolynomial| . |Module|) 208824) ((|GeneralDistributedMultivariatePolynomial| . |Module|) 208587) ((|QuasiAlgebraicSet| . |BasicType|) T) ((|Multiset| . |BasicType|) T) ((|IntegerMod| . |StepThrough|) T) ((|Variable| . |CoercibleTo|) 208542) ((|IndexedExponents| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeries| . |Type|) 208518) ((|UnivariatePuiseuxSeries| . |RetractableTo|) 208414) ((|UnivariateLaurentSeries| . |PatternMatchable|) NIL) ((|UnivariateLaurentSeries| . |Patternable|) 208344) ((|CharacterClass| . |BasicType|) T) ((|AlgebraGivenByStructuralConstants| . |CancellationAbelianMonoid|) T) ((|Table| . |ConvertibleTo|) NIL) ((|Table| . |CoercibleTo|) 208318) ((|SquareMatrix| . |SquareMatrixCategory|) 208241) ((|FiniteFieldCyclicGroup| . |Rng|) T) ((|LiePolynomial| . |CoercibleTo|) 208215) ((|EuclideanModularRing| . |SemiGroup|) T) ((|FiniteFieldExtensionByPolynomial| . |CoercibleTo|) 208189) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CoercibleTo|) 208163) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CoercibleTo|) 208137) ((|DifferentialSparseMultivariatePolynomial| . |ConvertibleTo|) 207744) ((|DifferentialSparseMultivariatePolynomial| . |CoercibleTo|) 207718) ((|DistributedMultivariatePolynomial| . |CoercibleTo|) 207692) ((|DistributedMultivariatePolynomial| . |ConvertibleTo|) 207470) ((|RegularChain| . |TriangularSetCategory|) 207305) ((|PendantTree| . |Evalable|) 207229) ((|UnivariateLaurentSeries| . |RetractableTo|) 207176) ((|TaylorSeries| . |InnerEvalable|) 207140) ((|SplittingTree| . |CoercibleTo|) 207114) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 207088) ((|OrderedFreeMonoid| . |Monoid|) T) ((|InnerPrimeField| . |Module|) 207042) ((|IndexedVector| . |EltableAggregate|) 207014) ((|InnerFiniteField| . |Module|) 206935) ((|HashTable| . |ConvertibleTo|) NIL) ((|HashTable| . |CoercibleTo|) 206909) ((|Expression| . |BasicType|) T) ((|DesingTree| . |Evalable|) 206833) ((|ExponentialExpansion| . |BasicType|) T) ((|EuclideanModularRing| . |AbelianMonoid|) T) ((|CliffordAlgebra| . |CancellationAbelianMonoid|) T) ((|PrimeField| . |CoercibleTo|) 206807) ((|PrimeField| . |ConvertibleTo|) 206784) ((|FreeMonoid| . |Monoid|) T) ((|PAdicRationalConstructor| . |RightModule|) 206725) ((|PAdicRationalConstructor| . |BiModule|) 206634) ((|DoubleFloat| . |LeftOreRing|) T) ((|MyExpression| . |Algebra|) 206522) ((|CartesianTensor| . |BasicType|) T) ((|BasicOperator| . |BasicType|) T) ((|ModMonic| . |UnivariatePolynomialCategory|) 206506) ((|ModuleOperator| . |Ring|) T) ((|MachineComplex| . |FiniteFieldCategory|) NIL) ((|InnerIndexedTwoDimensionalArray| . |CoercibleTo|) 206457) ((|Float| . |OrderedCancellationAbelianMonoid|) T) ((|DeRhamComplex| . |SetCategory|) T) ((|Float| . |OrderedAbelianMonoid|) T) ((|DoubleFloat| . |OrderedAbelianSemiGroup|) T) ((|DoubleFloat| . |OrderedAbelianGroup|) T) ((|OneDimensionalArray| . |ConvertibleTo|) 206393) ((|OneDimensionalArray| . |CoercibleTo|) 206311) ((|DoubleFloat| . |Monoid|) T) ((|IndexedFlexibleArray| . |ConvertibleTo|) 206247) ((|IndexedFlexibleArray| . |CoercibleTo|) 206165) ((|IndexedTwoDimensionalArray| . |CoercibleTo|) 206116) ((|IndexedOneDimensionalArray| . |ConvertibleTo|) 206052) ((|IndexedOneDimensionalArray| . |CoercibleTo|) 205970) ((|SimpleAlgebraicExtension| . |Field|) 205904) ((|AlgebraicFunctionField| . |FullyRetractableTo|) 205875) ((|Asp49| . |Type|) T) ((|BlowUpWithQuadTrans| . |BasicType|) T) ((|ProjectivePlane| . |ProjectiveSpaceCategory|) 205859) ((|PAdicRational| . |PolynomialFactorizationExplicit|) NIL) ((|FiniteFieldExtension| . |FiniteAlgebraicExtensionField|) 205843) ((|FiniteFieldExtension| . |Field|) T) ((|FiniteFieldNormalBasisExtension| . |FiniteAlgebraicExtensionField|) 205827) ((|FiniteFieldNormalBasisExtension| . |Field|) T) ((|FiniteFieldCyclicGroupExtension| . |FiniteAlgebraicExtensionField|) 205811) ((|FiniteFieldCyclicGroupExtension| . |Field|) T) ((|Expression| . |ElementaryFunctionCategory|) 205778) ((|BinaryExpansion| . |Field|) T) ((|Asp30| . |Type|) T) ((|UnivariateLaurentSeries| . |FullyEvalableOver|) 205708) ((|PAdicRational| . |LeftModule|) 205632) ((|UnivariateLaurentSeries| . |FullyLinearlyExplicitRingOver|) 205562) ((|Product| . |CancellationAbelianMonoid|) 205310) ((|OrderedDirectProduct| . |CancellationAbelianMonoid|) 205113) ((|RomanNumeral| . |LeftOreRing|) T) ((|PrimitiveArray| . |LinearAggregate|) 205097) ((|Polynomial| . |LeftOreRing|) 205015) ((|SequentialDifferentialPolynomial| . |CommutativeRing|) 204868) ((|RomanNumeral| . |OrderedAbelianSemiGroup|) T) ((|RomanNumeral| . |OrderedAbelianGroup|) T) ((|PrimitiveArray| . |FiniteLinearAggregate|) 204852) ((|BlowUpWithQuadTrans| . |BlowUpMethodCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |LeftOreRing|) 204770) ((|NeitherSparseOrDensePowerSeries| . |EltableAggregate|) 204699) ((|NewSparseUnivariatePolynomial| . |CommutativeRing|) 204529) ((|NewSparseMultivariatePolynomial| . |CommutativeRing|) 204382) ((|OrderlyDifferentialPolynomial| . |AbelianMonoidRing|) 204302) ((|RomanNumeral| . |Monoid|) T) ((|FlexibleArray| . |HomogeneousAggregate|) 204286) ((|Polynomial| . |Monoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |CommutativeRing|) 204139) ((|DataList| . |Eltable|) 204111) ((|HomogeneousDistributedMultivariatePolynomial| . |Monoid|) T) ((|WuWenTsunTriangularSet| . |Evalable|) 204035) ((|UnivariateTaylorSeriesCZero| . |Algebra|) 203879) ((|UnivariateTaylorSeries| . |PartialDifferentialRing|) 203743) ((|UnivariatePuiseuxSeries| . |PartialDifferentialRing|) 203605) ((|UnivariatePuiseuxSeriesConstructor| . |RightModule|) 203387) ((|UnivariateLaurentSeries| . |PartialDifferentialRing|) 203139) ((|UnivariateLaurentSeriesConstructor| . |RightModule|) 202891) ((|UnivariateFormalPowerSeries| . |PartialDifferentialRing|) 202755) ((|U32Vector| . |BasicType|) T) ((|TaylorSeries| . |EntireRing|) 202722) ((|SquareFreeRegularTriangularSet| . |Collection|) 202706) ((|RuleCalled| . |BasicType|) T) ((|Plot| . |PlottablePlaneCurveCategory|) T) ((|Multiset| . |Evalable|) 202630) ((|Asp41| . |Type|) T) ((|Complex| . |PolynomialFactorizationExplicit|) 202541) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|LiePolynomial| . |FreeModuleCat|) 202505) ((|PlaneAlgebraicCurvePlot| . |PlottablePlaneCurveCategory|) T) ((|Mapping| . |CoercibleTo|) 202479) ((|SingleInteger| . |BasicType|) T) ((|SimpleAlgebraicExtension| . |AbelianMonoid|) T) ((|AntiSymm| . |LeftAlgebra|) 202463) ((|SimpleAlgebraicExtension| . |SemiGroup|) T) ((|RadicalFunctionField| . |FramedAlgebra|) 202429) ((|InnerSparseUnivariatePowerSeries| . |PartialDifferentialRing|) 202304) ((|FunctionCalled| . |BasicType|) T) ((|CharacterClass| . |Evalable|) NIL) ((|PAdicRationalConstructor| . |Ring|) T) ((|OnePointCompletion| . |OrderedSet|) 202274) ((|Asp6| . |Type|) T) ((|ModularField| . |EntireRing|) T) ((|AlgebraicFunctionField| . |Rng|) T) ((|InnerPrimeField| . |CommutativeRing|) T) ((|InnerFiniteField| . |CommutativeRing|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |CoercibleTo|) 202248) ((|Complex| . |LeftModule|) 202130) ((|IndexedDirectProductAbelianGroup| . |CoercibleTo|) 202104) ((|FiniteFieldNormalBasis| . |CharacteristicZero|) 202070) ((|FiniteFieldNormalBasis| . |CharacteristicNonZero|) T) ((|FiniteFieldExtension| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |SemiGroup|) T) ((|FiniteFieldCyclicGroupExtension| . |SemiGroup|) T) ((|RadixExpansion| . |EuclideanDomain|) T) ((|PartialFraction| . |EuclideanDomain|) T) ((|PAdicRationalConstructor| . |DivisionRing|) T) ((|BinaryExpansion| . |SemiGroup|) T) ((|PAdicRationalConstructor| . |DifferentialRing|) 202035) ((|MyExpression| . |FullyPatternMatchable|) 202019) ((|UnivariatePuiseuxSeriesConstructor| . |BiModule|) 201769) ((|UnivariateLaurentSeriesConstructor| . |BiModule|) 201484) ((|DataList| . |UnaryRecursiveAggregate|) 201468) ((|Integer| . |OrderedRing|) T) ((|FiniteFieldExtension| . |AbelianMonoid|) T) ((|FiniteField| . |FiniteFieldCategory|) T) ((|Expression| . |Evalable|) 201455) ((|ExponentialExpansion| . |Evalable|) 201207) ((|FiniteFieldNormalBasisExtension| . |AbelianMonoid|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtension| . |AbelianMonoid|) T) ((|RadixExpansion| . |RealConstant|) T) ((|BinaryExpansion| . |AbelianMonoid|) T) ((|DataList| . |IndexedAggregate|) 201179) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Algebra|) 200935) ((|UnivariatePolynomial| . |PolynomialFactorizationExplicit|) 200885) ((|Boolean| . |SetCategory|) T) ((|PAdicRational| . |LeftOreRing|) T) ((|Result| . |BasicType|) T) ((|UnivariatePolynomial| . |LeftModule|) 200782) ((|PAdicRational| . |OrderedAbelianSemiGroup|) NIL) ((|UnivariateSkewPolynomial| . |LeftModule|) 200756) ((|PAdicRational| . |OrderedAbelianGroup|) NIL) ((|OrderlyDifferentialPolynomial| . |PatternMatchable|) NIL) ((|PAdicRational| . |Monoid|) T) ((|SequentialDifferentialPolynomial| . |InnerEvalable|) 200525) ((|NewSparseUnivariatePolynomial| . |InnerEvalable|) 200435) ((|NewSparseMultivariatePolynomial| . |InnerEvalable|) 200387) ((|Interval| . |LeftModule|) 200374) ((|OrderlyDifferentialPolynomial| . |RetractableTo|) 200091) ((|GeneralDistributedMultivariatePolynomial| . |InnerEvalable|) 199995) ((|FileName| . |FileNameCategory|) T) ((|TwoDimensionalArray| . |Type|) T) ((|LocalAlgebra| . |OrderedSet|) 199965) ((|IndexedBits| . |Logic|) T) ((|SquareFreeRegularTriangularSet| . |PolynomialSetCategory|) 199934) ((|PseudoAlgebraicClosureOfFiniteField| . |RightModule|) 199875) ((|NeitherSparseOrDensePowerSeries| . |RightModule|) 199816) ((|RadicalFunctionField| . |GcdDomain|) T) ((|MachineFloat| . |OrderedRing|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedAbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |RightModule|) 199598) ((|FiniteFieldCyclicGroup| . |SetCategory|) T) ((|ExponentialExpansion| . |StepThrough|) NIL) ((|EuclideanModularRing| . |CancellationAbelianMonoid|) T) ((|ScriptFormulaFormat| . |SetCategory|) T) ((|PAdicInteger| . |Rng|) T) ((|MachineComplex| . |FiniteRankAlgebra|) 199522) ((|PseudoAlgebraicClosureOfFiniteField| . |BiModule|) 199431) ((|NeitherSparseOrDensePowerSeries| . |BiModule|) 199340) ((|DeRhamComplex| . |LeftAlgebra|) 199309) ((|Complex| . |LeftOreRing|) 199210) ((|FlexibleArray| . |Eltable|) 199182) ((|U32Vector| . |Evalable|) NIL) ((|GeneralUnivariatePowerSeries| . |BiModule|) 198932) ((|UnivariatePuiseuxSeriesConstructor| . |Ring|) T) ((|UnivariateLaurentSeriesConstructor| . |Ring|) T) ((|OrderlyDifferentialPolynomial| . |FullyLinearlyExplicitRingOver|) 198916) ((|Complex| . |Monoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |DivisionRing|) 198892) ((|UnivariatePuiseuxSeriesConstructor| . |DifferentialRing|) 198827) ((|UnivariateLaurentSeriesConstructor| . |DifferentialRing|) 198707) ((|UnivariateLaurentSeriesConstructor| . |DivisionRing|) 198683) ((|RadicalFunctionField| . |FieldOfPrimeCharacteristic|) NIL) ((|LieSquareMatrix| . |LinearlyExplicitRingOver|) 198599) ((|Expression| . |Algebra|) 198461) ((|ExponentialExpansion| . |Algebra|) 198333) ((|Asp29| . |CoercibleTo|) 198307) ((|ExponentialOfUnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 198256) ((|Table| . |EltableAggregate|) 198235) ((|SplitHomogeneousDirectProduct| . |SemiGroup|) 198121) ((|Asp74| . |Type|) T) ((|Asp10| . |CoercibleTo|) 198095) ((|HashTable| . |EltableAggregate|) 198074) ((|XDistributedPolynomial| . |RetractableTo|) 198036) ((|SubSpace| . |SetCategory|) T) ((|SplitHomogeneousDirectProduct| . |AbelianMonoid|) 197839) ((|UnivariatePolynomial| . |LeftOreRing|) 197734) ((|OrderlyDifferentialPolynomial| . |PartialDifferentialRing|) 197615) ((|UnivariatePolynomial| . |Monoid|) T) ((|Set| . |Type|) T) ((|SequentialDifferentialPolynomial| . |EntireRing|) 197501) ((|PoincareBirkhoffWittLyndonBasis| . |BasicType|) T) ((|NewSparseUnivariatePolynomial| . |EntireRing|) 197364) ((|Interval| . |LeftOreRing|) T) ((|FlexibleArray| . |OneDimensionalArrayAggregate|) 197348) ((|OneDimensionalArray| . |EltableAggregate|) 197320) ((|NewSparseMultivariatePolynomial| . |EntireRing|) 197206) ((|UnivariateSkewPolynomial| . |Monoid|) T) ((|BalancedPAdicRational| . |OrderedRing|) NIL) ((|IndexedFlexibleArray| . |EltableAggregate|) 197178) ((|FlexibleArray| . |IndexedAggregate|) 197150) ((|IndexedOneDimensionalArray| . |EltableAggregate|) 197122) ((|GeneralDistributedMultivariatePolynomial| . |EntireRing|) 197008) ((|Result| . |Evalable|) 196814) ((|Interval| . |Monoid|) T) ((|Localize| . |CoercibleTo|) 196788) ((|DataList| . |ConvertibleTo|) 196724) ((|DataList| . |CoercibleTo|) 196642) ((|Stack| . |Aggregate|) T) ((|Point| . |Type|) T) ((|FiniteFieldCyclicGroup| . |Module|) 196568) ((|PseudoAlgebraicClosureOfFiniteField| . |Ring|) T) ((|NeitherSparseOrDensePowerSeries| . |Ring|) T) ((|LieSquareMatrix| . |AbelianSemiGroup|) T) ((|LieSquareMatrix| . |AbelianGroup|) T) ((|SingleInteger| . |StepThrough|) T) ((|GeneralUnivariatePowerSeries| . |Ring|) T) ((|AssociatedLieAlgebra| . |FramedNonAssociativeAlgebra|) 196508) ((|AssociatedJordanAlgebra| . |FramedNonAssociativeAlgebra|) 196448) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |DifferentialRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |DivisionRing|) T) ((|NeitherSparseOrDensePowerSeries| . |DifferentialRing|) 196396) ((|NeitherSparseOrDensePowerSeries| . |DivisionRing|) T) ((|InnerPrimeField| . |EntireRing|) T) ((|InnerFiniteField| . |EntireRing|) T) ((|UnivariatePuiseuxSeries| . |EuclideanDomain|) 196372) ((|GeneralUnivariatePowerSeries| . |DifferentialRing|) 196307) ((|GeneralUnivariatePowerSeries| . |DivisionRing|) 196283) ((|UnivariateLaurentSeries| . |EuclideanDomain|) 196259) ((|SimpleAlgebraicExtension| . |CancellationAbelianMonoid|) T) ((|PAdicRationalConstructor| . |OrderedCancellationAbelianMonoid|) 196219) ((|Character| . |BasicType|) T) ((|AlgebraicFunctionField| . |SetCategory|) T) ((|PAdicRationalConstructor| . |OrderedAbelianMonoid|) 196179) ((|List| . |RecursiveAggregate|) 196163) ((|InnerPAdicInteger| . |Rng|) T) ((|Integer| . |Rng|) T) ((|InnerAlgebraicNumber| . |Rng|) T) ((|Fraction| . |GcdDomain|) T) ((|FiniteFieldExtension| . |CancellationAbelianMonoid|) T) ((|Expression| . |FullyPatternMatchable|) 196147) ((|ExponentialExpansion| . |FullyPatternMatchable|) 196062) ((|FiniteFieldNormalBasisExtension| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtension| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeries| . |RealConstant|) NIL) ((|Segment| . |CoercibleTo|) 196013) ((|BinaryExpansion| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |Algebra|) 196000) ((|PositiveInteger| . |SetCategory|) T) ((|NonNegativeInteger| . |SetCategory|) T) ((|LyndonWord| . |SetCategory|) T) ((|MachineInteger| . |CharacteristicZero|) T) ((|SparseUnivariatePolynomialExpressions| . |FullyRetractableTo|) 195984) ((|BalancedPAdicInteger| . |CharacteristicZero|) T) ((|XPolynomial| . |AbelianGroup|) T) ((|XPolynomial| . |AbelianSemiGroup|) T) ((|XPBWPolynomial| . |AbelianGroup|) T) ((|XPBWPolynomial| . |AbelianSemiGroup|) T) ((|LiePolynomial| . |RightModule|) 195968) ((|IndexedExponents| . |OrderedSet|) T) ((|IndexedBits| . |OrderedSet|) T) ((|FiniteFieldExtensionByPolynomial| . |RightModule|) 195909) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |RightModule|) 195850) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |RightModule|) 195791) ((|DirectProductModule| . |Type|) T) ((|DirectProductMatrixModule| . |Type|) T) ((|DifferentialSparseMultivariatePolynomial| . |RightModule|) 195548) ((|DistributedMultivariatePolynomial| . |RightModule|) 195305) ((|LiePolynomial| . |BiModule|) 195284) ((|FiniteFieldExtensionByPolynomial| . |BiModule|) 195193) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |BiModule|) 195102) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |BiModule|) 195011) ((|DifferentialSparseMultivariatePolynomial| . |BiModule|) 194736) ((|DistributedMultivariatePolynomial| . |BiModule|) 194461) ((|OrdinaryDifferentialRing| . |UniqueFactorizationDomain|) 194437) ((|LaurentPolynomial| . |FullyRetractableTo|) 194421) ((|AlgebraGivenByStructuralConstants| . |AbelianGroup|) T) ((|AlgebraGivenByStructuralConstants| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |LinearlyExplicitRingOver|) 194293) ((|OrdinaryDifferentialRing| . |IntegralDomain|) 194269) ((|DirectProductModule| . |RetractableTo|) 194020) ((|DirectProductMatrixModule| . |RetractableTo|) 193771) ((|BinaryTournament| . |BinaryRecursiveAggregate|) 193755) ((|PrimeField| . |RightModule|) 193709) ((|MachineFloat| . |Rng|) T) ((|ModMonic| . |BasicType|) T) ((|DoubleFloatVector| . |LinearAggregate|) 193682) ((|ComplexDoubleFloatVector| . |LinearAggregate|) 193643) ((|FiniteFieldCyclicGroup| . |CommutativeRing|) T) ((|DoubleFloatVector| . |FiniteLinearAggregate|) 193616) ((|ComplexDoubleFloatVector| . |FiniteLinearAggregate|) 193577) ((|CliffordAlgebra| . |AbelianGroup|) T) ((|CliffordAlgebra| . |AbelianSemiGroup|) T) ((|Asp8| . |CoercibleTo|) 193551) ((|PrimeField| . |BiModule|) 193478) ((|AlgebraicFunctionField| . |Module|) 193406) ((|PAdicInteger| . |SetCategory|) T) ((|FlexibleArray| . |ConvertibleTo|) 193342) ((|FlexibleArray| . |CoercibleTo|) 193260) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianMonoid|) 193191) ((|SparseUnivariatePolynomialExpressions| . |Rng|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedCancellationAbelianMonoid|) 193122) ((|DirectProductModule| . |FullyLinearlyExplicitRingOver|) 193090) ((|DirectProductMatrixModule| . |FullyLinearlyExplicitRingOver|) 193058) ((|PseudoAlgebraicClosureOfRationalNumber| . |CoercibleTo|) 193032) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CoercibleTo|) 193006) ((|LinearOrdinaryDifferentialOperator2| . |Algebra|) 192963) ((|KeyedAccessFile| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |SemiGroup|) 192849) ((|GeneralSparseTable| . |Aggregate|) T) ((|SplitHomogeneousDirectProduct| . |CancellationAbelianMonoid|) 192652) ((|SymmetricPolynomial| . |IntegralDomain|) 192619) ((|Product| . |AbelianSemiGroup|) 192299) ((|Palette| . |CoercibleTo|) 192273) ((|Product| . |AbelianGroup|) 192206) ((|OrderedDirectProduct| . |AbelianGroup|) 192093) ((|OrderedDirectProduct| . |AbelianSemiGroup|) 191862) ((|SparseUnivariatePolynomial| . |AbelianMonoidRing|) 191823) ((|LaurentPolynomial| . |Rng|) T) ((|SparseMultivariatePolynomial| . |AbelianMonoidRing|) 191781) ((|GuessOptionFunctions0| . |SetCategory|) T) ((|FiniteFieldExtensionByPolynomial| . |Ring|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Ring|) T) ((|HomogeneousDirectProduct| . |AbelianMonoid|) 191584) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Ring|) T) ((|DifferentialSparseMultivariatePolynomial| . |Ring|) T) ((|DistributedMultivariatePolynomial| . |Ring|) T) ((|ResidueRing| . |LeftModule|) 191558) ((|BalancedPAdicRational| . |Rng|) T) ((|PrimitiveArray| . |Aggregate|) T) ((|MyUnivariatePolynomial| . |UniqueFactorizationDomain|) 191508) ((|FiniteFieldExtensionByPolynomial| . |DifferentialRing|) 191483) ((|FiniteFieldExtensionByPolynomial| . |DivisionRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |DifferentialRing|) 191458) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |DivisionRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |DifferentialRing|) 191433) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |DivisionRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 191391) ((|DistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 191323) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialRing|) 191288) ((|Stream| . |Collection|) 191272) ((|MyUnivariatePolynomial| . |IntegralDomain|) 191135) ((|DirectProductModule| . |PartialDifferentialRing|) 191039) ((|DirectProductMatrixModule| . |PartialDifferentialRing|) 190943) ((|SingletonAsOrderedSet| . |OrderedSet|) T) ((|UniversalSegment| . |Type|) T) ((|FramedModule| . |SemiGroup|) T) ((|U16Vector| . |BasicType|) T) ((|RectangularMatrix| . |AbelianMonoid|) T) ((|PrimeField| . |Ring|) T) ((|FreeAbelianGroup| . |LeftModule|) 190920) ((|RealClosure| . |OrderedRing|) T) ((|TaylorSeries| . |RadicalCategory|) 190869) ((|SparseUnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 190845) ((|SparseUnivariateLaurentSeries| . |PrincipalIdealDomain|) 190821) ((|PrimeField| . |DivisionRing|) T) ((|OrdinaryDifferentialRing| . |Field|) 190797) ((|FreeModule| . |AbelianMonoid|) T) ((|BinaryTree| . |SetCategory|) 190767) ((|BinarySearchTree| . |SetCategory|) 190737) ((|PrimeField| . |DifferentialRing|) T) ((|SparseUnivariateLaurentSeries| . |OrderedIntegralDomain|) NIL) ((|Float| . |LeftModule|) 190691) ((|PAdicInteger| . |Module|) 190678) ((|U8Vector| . |SetCategory|) T) ((|RegularChain| . |Collection|) 190597) ((|AlgebraicFunctionField| . |CommutativeRing|) T) ((|MachineComplex| . |FullyRetractableTo|) 190569) ((|ModMonic| . |Evalable|) 190556) ((|Operator| . |LeftModule|) 190503) ((|OppositeMonogenicLinearOperator| . |LeftModule|) 190477) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator| . |Eltable|) 190456) ((|InnerPAdicInteger| . |SetCategory|) T) ((|Integer| . |SetCategory|) T) ((|InnerAlgebraicNumber| . |SetCategory|) T) ((|DataList| . |EltableAggregate|) 190428) ((|ExponentialExpansion| . |DifferentialExtension|) 190343) ((|SparseUnivariatePolynomial| . |PatternMatchable|) NIL) ((|SparseMultivariatePolynomial| . |PatternMatchable|) 190122) ((|SparseUnivariatePolynomial| . |RetractableTo|) 189932) ((|SparseMultivariatePolynomial| . |RetractableTo|) 189763) ((|SparseUnivariateSkewPolynomial| . |RetractableTo|) 189607) ((|NewSparseUnivariatePolynomial| . |Eltable|) 189510) ((|Plcs| . |CoercibleTo|) 189484) ((|OrdinaryDifferentialRing| . |SemiGroup|) T) ((|ResidueRing| . |Monoid|) T) ((|IndexedVector| . |LinearAggregate|) 189468) ((|RegularChain| . |PolynomialSetCategory|) 189303) ((|Quaternion| . |BasicType|) T) ((|OrdinaryDifferentialRing| . |AbelianMonoid|) T) ((|ModMonic| . |StepThrough|) 189273) ((|MachineComplex| . |Rng|) T) ((|IndexedVector| . |FiniteLinearAggregate|) 189257) ((|FiniteFieldNormalBasis| . |GcdDomain|) T) ((|FiniteFieldCyclicGroup| . |EntireRing|) T) ((|TwoDimensionalViewport| . |SetCategory|) T) ((|GuessOption| . |BasicType|) T) ((|FullPartialFractionExpansion| . |BasicType|) T) ((|EuclideanModularRing| . |AbelianGroup|) T) ((|EuclideanModularRing| . |AbelianSemiGroup|) T) ((|FreeGroup| . |Monoid|) T) ((|Float| . |LeftOreRing|) T) ((|MathMLFormat| . |SetCategory|) T) ((|MachineFloat| . |SetCategory|) T) ((|FreeGroup| . |Group|) T) ((|U16Vector| . |Evalable|) NIL) ((|TaylorSeries| . |CoercibleTo|) 189231) ((|SparseUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 189215) ((|SparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 189199) ((|RealClosure| . |FullyRetractableTo|) 189150) ((|CharacterClass| . |Dictionary|) 189125) ((|Float| . |OrderedAbelianSemiGroup|) T) ((|Float| . |OrderedAbelianGroup|) T) ((|PAdicInteger| . |CommutativeRing|) T) ((|Float| . |Monoid|) T) ((|ModularField| . |CoercibleTo|) 189099) ((|ModMonic| . |Algebra|) 188839) ((|Vector| . |VectorCategory|) 188823) ((|FiniteFieldNormalBasis| . |FieldOfPrimeCharacteristic|) T) ((|Vector| . |SetCategory|) 188760) ((|InnerPAdicInteger| . |Module|) 188747) ((|Integer| . |Module|) 188734) ((|InnerAlgebraicNumber| . |Module|) 188688) ((|PseudoAlgebraicClosureOfFiniteField| . |ExtensionField|) 188672) ((|Expression| . |LiouvillianFunctionCategory|) 188639) ((|Operator| . |Monoid|) T) ((|OppositeMonogenicLinearOperator| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |SetCategory|) T) ((|List| . |Type|) T) ((|SimpleAlgebraicExtension| . |LinearlyExplicitRingOver|) 188555) ((|SparseUnivariatePolynomial| . |PartialDifferentialRing|) 188453) ((|SparseMultivariatePolynomial| . |PartialDifferentialRing|) 188437) ((|Localize| . |RightModule|) 188421) ((|BinaryExpansion| . |LinearlyExplicitRingOver|) 188398) ((|HomogeneousDirectProduct| . |CancellationAbelianMonoid|) 188201) ((|NeitherSparseOrDensePowerSeries| . |LinearAggregate|) 188142) ((|SymmetricPolynomial| . |SemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Finite|) T) ((|Polynomial| . |AbelianMonoidRing|) 188094) ((|MyUnivariatePolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |SetCategory|) T) ((|Localize| . |BiModule|) 188073) ((|FlexibleArray| . |EltableAggregate|) 188045) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianMonoidRing|) 187966) ((|SymmetricPolynomial| . |AbelianMonoid|) T) ((|BasicStochasticDifferential| . |SetCategory|) T) ((|BalancedPAdicRational| . |SetCategory|) T) ((|BalancedBinaryTree| . |BasicType|) 187936) ((|MyUnivariatePolynomial| . |AbelianMonoid|) T) ((|WeightedPolynomials| . |SemiGroup|) T) ((|RectangularMatrix| . |CancellationAbelianMonoid|) T) ((|RealClosure| . |Rng|) T) ((|OrderedFreeMonoid| . |RetractableTo|) 187920) ((|RadicalFunctionField| . |MonogenicAlgebra|) 187886) ((|WeightedPolynomials| . |AbelianMonoid|) T) ((|MachineFloat| . |Module|) 187840) ((|IntegrationResult| . |CoercibleTo|) 187814) ((|FreeMonoid| . |RetractableTo|) 187798) ((|FiniteField| . |Rng|) T) ((|FreeModule| . |CancellationAbelianMonoid|) T) ((|FreeAbelianMonoid| . |RetractableTo|) 187782) ((|DoubleFloat| . |PatternMatchable|) 187761) ((|RadixExpansion| . |PrincipalIdealDomain|) T) ((|ArrayStack| . |Aggregate|) T) ((|RadixExpansion| . |OrderedIntegralDomain|) T) ((|PartialFraction| . |PrincipalIdealDomain|) T) ((|HexadecimalExpansion| . |UniqueFactorizationDomain|) T) ((|TexFormat| . |CoercibleTo|) 187735) ((|SExpressionOf| . |SetCategory|) T) ((|DecimalExpansion| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |Evalable|) 187694) ((|DoubleFloat| . |RetractableTo|) 187638) ((|AlgebraicFunctionField| . |EntireRing|) T) ((|SimpleAlgebraicExtension| . |AbelianGroup|) T) ((|SimpleAlgebraicExtension| . |AbelianSemiGroup|) T) ((|SingleInteger| . |OpenMath|) T) ((|HexadecimalExpansion| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |AbelianGroup|) T) ((|FiniteFieldNormalBasisExtension| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |AbelianGroup|) T) ((|ModuleOperator| . |LeftModule|) 187585) ((|FiniteFieldCyclicGroupExtension| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroupExtension| . |AbelianGroup|) T) ((|BinaryExpansion| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |AbelianGroup|) T) ((|AlgebraicNumber| . |Rng|) T) ((|SparseUnivariatePolynomialExpressions| . |Module|) 187325) ((|InnerPAdicInteger| . |CommutativeRing|) T) ((|Integer| . |CommutativeRing|) T) ((|InnerAlgebraicNumber| . |CommutativeRing|) T) ((|LinearOrdinaryDifferentialOperator| . |CoercibleTo|) 187299) ((|Multiset| . |MultisetAggregate|) 187283) ((|FiniteDivisor| . |CoercibleTo|) 187257) ((|Divisor| . |CoercibleTo|) 187231) ((|Asp28| . |FortranMatrixCategory|) T) ((|Asp28| . |FortranProgramCategory|) T) ((|Set| . |BagAggregate|) 187215) ((|RomanNumeral| . |PatternMatchable|) 187192) ((|Polynomial| . |PatternMatchable|) 187073) ((|LinearOrdinaryDifferentialOperator1| . |SemiGroup|) T) ((|LaurentPolynomial| . |Module|) 187060) ((|HomogeneousDistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|SquareFreeRegularTriangularSet| . |BasicType|) T) ((|RomanNumeral| . |RetractableTo|) 187037) ((|AttributeButtons| . |CoercibleTo|) 187011) ((|Pi| . |CharacteristicZero|) T) ((|Polynomial| . |RetractableTo|) 186836) ((|BalancedPAdicRational| . |Module|) 186752) ((|LinearOrdinaryDifferentialOperator1| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |RetractableTo|) 186559) ((|SequentialDifferentialPolynomial| . |ConvertibleTo|) NIL) ((|SequentialDifferentialPolynomial| . |CoercibleTo|) 186533) ((|NewSparseUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|NewSparseUnivariatePolynomial| . |CoercibleTo|) 186463) ((|NewSparseMultivariatePolynomial| . |ConvertibleTo|) 185902) ((|NewSparseMultivariatePolynomial| . |CoercibleTo|) 185761) ((|SplitHomogeneousDirectProduct| . |LinearlyExplicitRingOver|) 185633) ((|GeneralModulePolynomial| . |CoercibleTo|) 185607) ((|GeneralDistributedMultivariatePolynomial| . |CoercibleTo|) 185581) ((|GeneralDistributedMultivariatePolynomial| . |ConvertibleTo|) 185359) ((|Result| . |Dictionary|) 185292) ((|BinaryTournament| . |Aggregate|) T) ((|OrdinaryDifferentialRing| . |CancellationAbelianMonoid|) T) ((|PAdicRationalConstructor| . |PolynomialFactorizationExplicit|) 185242) ((|ListMonoidOps| . |CoercibleTo|) 185216) ((|FiniteFieldExtensionByPolynomial| . |ExtensionField|) 185200) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |ExtensionField|) 185184) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |ExtensionField|) 185168) ((|BinaryTree| . |InnerEvalable|) 185087) ((|BinarySearchTree| . |InnerEvalable|) 185006) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedCancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedAbelianSemiGroup|) T) ((|BalancedBinaryTree| . |Evalable|) 184930) ((|Dequeue| . |BasicType|) 184900) ((|DoubleFloatVector| . |Aggregate|) T) ((|ComplexDoubleFloatVector| . |Aggregate|) T) ((|MachineComplex| . |SetCategory|) T) ((|MachineFloat| . |CommutativeRing|) T) ((|U8Vector| . |InnerEvalable|) NIL) ((|PAdicRationalConstructor| . |LeftModule|) 184841) ((|Quaternion| . |Algebra|) 184775) ((|Asp20| . |FortranMatrixFunctionCategory|) T) ((|ExtAlgBasis| . |CoercibleTo|) 184749) ((|Asp20| . |FortranProgramCategory|) T) ((|Polynomial| . |FullyLinearlyExplicitRingOver|) 184733) ((|PAdicInteger| . |EntireRing|) T) ((|AntiSymm| . |CoercibleTo|) 184707) ((|PseudoAlgebraicClosureOfRationalNumber| . |RightModule|) 184661) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |RightModule|) 184564) ((|InnerPrimeField| . |CoercibleTo|) 184538) ((|InnerPrimeField| . |ConvertibleTo|) 184515) ((|HomogeneousDistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 184499) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 184473) ((|InnerFiniteField| . |CoercibleTo|) 184447) ((|PrimeField| . |ExtensionField|) 184434) ((|PAdicRational| . |Type|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |BiModule|) 184361) ((|MachineInteger| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |BiModule|) 184194) ((|InnerAlgebraicNumber| . |InnerEvalable|) 184156) ((|HexadecimalExpansion| . |Field|) T) ((|FiniteFieldExtensionByPolynomial| . |Finite|) 184131) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Finite|) 184106) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Finite|) 184081) ((|DecimalExpansion| . |Field|) T) ((|ModuleOperator| . |Monoid|) T) ((|BalancedPAdicInteger| . |GcdDomain|) T) ((|SparseUnivariatePolynomialExpressions| . |CommutativeRing|) 183911) ((|XPolynomialRing| . |XAlgebra|) 183895) ((|PAdicRational| . |Patternable|) 183862) ((|PAdicRational| . |PatternMatchable|) NIL) ((|Product| . |OrderedSet|) 183706) ((|OrderedDirectProduct| . |OrderedSet|) 183630) ((|LinearOrdinaryDifferentialOperator2| . |LinearOrdinaryDifferentialOperatorCategory|) 183614) ((|Tree| . |Aggregate|) T) ((|SubSpaceComponentProperty| . |CoercibleTo|) 183588) ((|SplitHomogeneousDirectProduct| . |AbelianGroup|) 183475) ((|SplitHomogeneousDirectProduct| . |AbelianSemiGroup|) 183244) ((|ProjectiveSpace| . |SetCategory|) T) ((|PAdicRational| . |RetractableTo|) 183211) ((|Polynomial| . |PartialDifferentialRing|) 183189) ((|UnivariatePolynomial| . |AbelianMonoidRing|) 183150) ((|PrimeField| . |Finite|) T) ((|OneDimensionalArray| . |LinearAggregate|) 183134) ((|IndexedFlexibleArray| . |LinearAggregate|) 183118) ((|HomogeneousDistributedMultivariatePolynomial| . |PartialDifferentialRing|) 183078) ((|Asp31| . |FortranVectorFunctionCategory|) T) ((|Asp31| . |FortranProgramCategory|) T) ((|IndexedOneDimensionalArray| . |LinearAggregate|) 183062) ((|OneDimensionalArray| . |FiniteLinearAggregate|) 183046) ((|LaurentPolynomial| . |CommutativeRing|) T) ((|IndexedFlexibleArray| . |FiniteLinearAggregate|) 183030) ((|IndexedOneDimensionalArray| . |FiniteLinearAggregate|) 183014) ((|OppositeMonogenicLinearOperator| . |MonogenicLinearOperator|) 182998) ((|SparseUnivariatePolynomial| . |EuclideanDomain|) 182974) ((|SymmetricPolynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |CommutativeRing|) T) ((|MyUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|SquareFreeRegularTriangularSet| . |Evalable|) 182898) ((|Complex| . |Type|) T) ((|AssociatedLieAlgebra| . |NonAssociativeAlgebra|) 182882) ((|AssociatedJordanAlgebra| . |NonAssociativeAlgebra|) 182866) ((|WeightedPolynomials| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 182842) ((|UnivariateLaurentSeries| . |PrincipalIdealDomain|) 182818) ((|UnivariateLaurentSeries| . |OrderedIntegralDomain|) NIL) ((|MachineComplex| . |Module|) 182747) ((|UnivariateLaurentSeriesConstructor| . |PolynomialFactorizationExplicit|) 182668) ((|RealClosure| . |SetCategory|) T) ((|PAdicRational| . |FullyLinearlyExplicitRingOver|) 182635) ((|PAdicRational| . |FullyEvalableOver|) 182602) ((|Permutation| . |SemiGroup|) T) ((|Complex| . |Patternable|) 182586) ((|Complex| . |PatternMatchable|) 182467) ((|Vector| . |InnerEvalable|) 182386) ((|PAdicRationalConstructor| . |LeftOreRing|) T) ((|HexadecimalExpansion| . |SemiGroup|) T) ((|FiniteField| . |SetCategory|) T) ((|DecimalExpansion| . |SemiGroup|) T) ((|Asp42| . |FortranVectorFunctionCategory|) T) ((|Asp42| . |FortranProgramCategory|) T) ((|UnivariatePuiseuxSeriesConstructor| . |LeftModule|) 182255) ((|Complex| . |RetractableTo|) 182099) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedSet|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Ring|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Ring|) T) ((|UnivariateLaurentSeriesConstructor| . |LeftModule|) 181938) ((|PAdicRationalConstructor| . |OrderedAbelianSemiGroup|) 181898) ((|PAdicRationalConstructor| . |OrderedAbelianGroup|) 181858) ((|XRecursivePolynomial| . |XFreeAlgebra|) 181837) ((|PAdicRationalConstructor| . |Monoid|) T) ((|HexadecimalExpansion| . |AbelianMonoid|) T) ((|DeRhamComplex| . |CoercibleTo|) 181811) ((|ContinuedFraction| . |GcdDomain|) T) ((|Dequeue| . |Evalable|) 181735) ((|Asp7| . |FortranVectorFunctionCategory|) T) ((|Asp7| . |FortranProgramCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |DivisionRing|) T) ((|DecimalExpansion| . |AbelianMonoid|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |DivisionRing|) T) ((|MyExpression| . |FullyRetractableTo|) 181719) ((|InfClsPt| . |InfinitlyClosePointCategory|) 181483) ((|InnerPAdicInteger| . |EntireRing|) T) ((|Integer| . |EntireRing|) T) ((|Magma| . |RetractableTo|) 181467) ((|InnerAlgebraicNumber| . |EntireRing|) T) ((|SparseUnivariatePolynomialExpressions| . |InnerEvalable|) 181377) ((|CartesianTensor| . |GradedModule|) 181295) ((|BlowUpWithHamburgerNoether| . |SetCategory|) T) ((|AlgebraicNumber| . |SetCategory|) T) ((|ModMonic| . |DifferentialExtension|) 181279) ((|PAdicRational| . |PartialDifferentialRing|) NIL) ((|UnivariatePolynomial| . |PatternMatchable|) NIL) ((|PatternMatchResult| . |BasicType|) T) ((|PatternMatchListResult| . |BasicType|) T) ((|FileName| . |SetCategory|) T) ((|Complex| . |FullyLinearlyExplicitRingOver|) 181263) ((|Complex| . |FullyEvalableOver|) 181247) ((|UnivariatePolynomial| . |RetractableTo|) 181057) ((|UnivariateSkewPolynomial| . |RetractableTo|) 180901) ((|SquareMatrix| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator1| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |InnerEvalable|) 180615) ((|Localize| . |OrderedAbelianMonoid|) 180577) ((|Localize| . |OrderedCancellationAbelianMonoid|) 180539) ((|Interval| . |RetractableTo|) 180516) ((|Equation| . |VectorSpace|) 180483) ((|OrdinaryWeightedPolynomials| . |BasicType|) T) ((|PolynomialRing| . |IntegralDomain|) 180450) ((|TaylorSeries| . |RightModule|) 180283) ((|HomogeneousDirectProduct| . |LinearlyExplicitRingOver|) 180155) ((|PermutationGroup| . |SetCategory|) T) ((|RealClosure| . |Module|) 180076) ((|ModularField| . |RightModule|) 180030) ((|PseudoAlgebraicClosureOfFiniteField| . |LeftModule|) 179971) ((|NeitherSparseOrDensePowerSeries| . |LeftModule|) 179912) ((|IndexedVector| . |Aggregate|) T) ((|Stack| . |Type|) T) ((|TaylorSeries| . |BiModule|) 179713) ((|GeneralUnivariatePowerSeries| . |LeftModule|) 179582) ((|FiniteField| . |Module|) 179508) ((|Complex| . |PartialDifferentialRing|) 179440) ((|MachineFloat| . |EntireRing|) T) ((|MyExpression| . |Rng|) T) ((|MachineComplex| . |CommutativeRing|) T) ((|ModularField| . |BiModule|) 179367) ((|IntegerMod| . |Rng|) T) ((|UnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 179351) ((|Factored| . |UniqueFactorizationDomain|) 179307) ((|ExponentialExpansion| . |OrderedRing|) NIL) ((|UnivariatePuiseuxSeriesConstructor| . |LeftOreRing|) 179283) ((|UnivariateLaurentSeriesConstructor| . |LeftOreRing|) 179259) ((|Factored| . |IntegralDomain|) T) ((|DoubleFloat| . |EuclideanDomain|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianGroup|) 179190) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianSemiGroup|) 179121) ((|AffinePlane| . |SetCategoryWithDegree|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Monoid|) T) ((|UnivariateLaurentSeriesConstructor| . |Monoid|) T) ((|AlgebraicNumber| . |Module|) 179075) ((|SparseUnivariatePolynomialExpressions| . |EntireRing|) 178938) ((|DoubleFloat| . |RealConstant|) T) ((|FiniteFieldNormalBasis| . |VectorSpace|) 178907) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |FullyRetractableTo|) 178853) ((|MoebiusTransform| . |Monoid|) T) ((|UnivariatePolynomial| . |PartialDifferentialRing|) 178751) ((|Boolean| . |CoercibleTo|) 178725) ((|Boolean| . |ConvertibleTo|) 178700) ((|MoebiusTransform| . |Group|) T) ((|HomogeneousDirectProduct| . |AbelianGroup|) 178587) ((|BinaryTree| . |HomogeneousAggregate|) 178571) ((|BinarySearchTree| . |HomogeneousAggregate|) 178555) ((|HomogeneousDirectProduct| . |AbelianSemiGroup|) 178324) ((|LaurentPolynomial| . |EntireRing|) T) ((|NeitherSparseOrDensePowerSeries| . |Aggregate|) T) ((|U8Vector| . |HomogeneousAggregate|) 178301) ((|IntegrationResult| . |RightModule|) 178265) ((|U8Matrix| . |TwoDimensionalArrayCategory|) 178216) ((|FortranType| . |SetCategory|) T) ((|RomanNumeral| . |EuclideanDomain|) T) ((|BalancedPAdicRational| . |EntireRing|) T) ((|SExpression| . |BasicType|) T) ((|RadicalFunctionField| . |BasicType|) T) ((|IntegrationResult| . |BiModule|) 178155) ((|UnivariateTaylorSeriesCZero| . |Rng|) T) ((|SquareMatrix| . |Evalable|) 178079) ((|TaylorSeries| . |Ring|) T) ((|RomanNumeral| . |RealConstant|) T) ((|Asp24| . |Type|) T) ((|RectangularMatrix| . |AbelianSemiGroup|) T) ((|RectangularMatrix| . |AbelianGroup|) T) ((|ModularField| . |Ring|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |LeftOreRing|) T) ((|NeitherSparseOrDensePowerSeries| . |LeftOreRing|) T) ((|FreeModule| . |AbelianGroup|) T) ((|FreeModule| . |AbelianSemiGroup|) T) ((|MachineComplex| . |InnerEvalable|) NIL) ((|RealClosure| . |CommutativeRing|) T) ((|GeneralUnivariatePowerSeries| . |LeftOreRing|) 178055) ((|ModularField| . |DivisionRing|) T) ((|RomanNumeral| . |IntegerNumberSystem|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Monoid|) T) ((|NeitherSparseOrDensePowerSeries| . |Monoid|) T) ((|IndexCard| . |BasicType|) T) ((|FiniteField| . |CommutativeRing|) T) ((|FiniteFieldCyclicGroup| . |CoercibleTo|) 178029) ((|ScriptFormulaFormat| . |CoercibleTo|) 178003) ((|GeneralUnivariatePowerSeries| . |Monoid|) T) ((|SingleInteger| . |OrderedRing|) T) ((|Pattern| . |RetractableTo|) 177968) ((|BinaryExpansion| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator| . |RightModule|) 177952) ((|HexadecimalExpansion| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Rng|) T) ((|DecimalExpansion| . |CancellationAbelianMonoid|) T) ((|Divisor| . |RightModule|) 177929) ((|Stream| . |BasicType|) 177899) ((|Automorphism| . |SetCategory|) T) ((|DataList| . |ListAggregate|) 177883) ((|DataList| . |LinearAggregate|) 177867) ((|LinearOrdinaryDifferentialOperator| . |BiModule|) 177846) ((|Expression| . |FullyRetractableTo|) 177830) ((|DataList| . |FiniteLinearAggregate|) 177814) ((|StringTable| . |DictionaryOperations|) 177750) ((|Quaternion| . |DifferentialExtension|) 177734) ((|Divisor| . |BiModule|) 177699) ((|Asp35| . |Type|) T) ((|AlgebraicNumber| . |CommutativeRing|) T) ((|MachineInteger| . |FortranMachineTypeCategory|) T) ((|MachineInteger| . |CombinatorialFunctionCategory|) T) ((|XPolynomialRing| . |BasicType|) T) ((|SequentialDifferentialPolynomial| . |RightModule|) 177456) ((|DifferentialSparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 177406) ((|DistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 177356) ((|NewSparseUnivariatePolynomial| . |RightModule|) 177090) ((|NewSparseMultivariatePolynomial| . |RightModule|) 176847) ((|KeyedAccessFile| . |Type|) T) ((|SubSpace| . |CoercibleTo|) 176821) ((|SequentialDifferentialPolynomial| . |BiModule|) 176546) ((|RegularChain| . |BasicType|) T) ((|GeneralSparseTable| . |Type|) T) ((|GeneralModulePolynomial| . |RightModule|) 176517) ((|GeneralDistributedMultivariatePolynomial| . |RightModule|) 176274) ((|LiePolynomial| . |LeftModule|) 176258) ((|PAdicRational| . |EuclideanDomain|) T) ((|NewSparseUnivariatePolynomial| . |BiModule|) 175960) ((|NewSparseMultivariatePolynomial| . |BiModule|) 175685) ((|FiniteFieldExtensionByPolynomial| . |LeftModule|) 175626) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |LeftModule|) 175567) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |LeftModule|) 175508) ((|DifferentialSparseMultivariatePolynomial| . |LeftModule|) 175405) ((|DistributedMultivariatePolynomial| . |LeftModule|) 175302) ((|String| . |OrderedSet|) T) ((|GeneralModulePolynomial| . |BiModule|) 175263) ((|GeneralDistributedMultivariatePolynomial| . |BiModule|) 174988) ((|SequentialDifferentialVariable| . |RetractableTo|) 174972) ((|RewriteRule| . |RetractableTo|) 174943) ((|Queue| . |Aggregate|) T) ((|PrimitiveArray| . |Type|) T) ((|BinaryTournament| . |RecursiveAggregate|) 174927) ((|PolynomialRing| . |SemiGroup|) T) ((|PAdicRational| . |RealConstant|) NIL) ((|MonoidRing| . |SemiGroup|) T) ((|ModularRing| . |SemiGroup|) T) ((|Vector| . |HomogeneousAggregate|) 174911) ((|SquareMatrix| . |Algebra|) 174856) ((|PolynomialRing| . |AbelianMonoid|) T) ((|PrimeField| . |LeftModule|) 174810) ((|OrderedCompletion| . |BasicType|) T) ((|OrdinaryDifferentialRing| . |AbelianGroup|) T) ((|OrdinaryDifferentialRing| . |AbelianSemiGroup|) T) ((|MonoidRing| . |AbelianMonoid|) T) ((|ModularRing| . |AbelianMonoid|) T) ((|Bits| . |Logic|) T) ((|NottinghamGroup| . |Monoid|) T) ((|InnerPrimeField| . |RightModule|) 174764) ((|InnerFiniteField| . |RightModule|) 174685) ((|DenavitHartenbergMatrix| . |TwoDimensionalArrayCategory|) 174637) ((|GenericNonAssociativeAlgebra| . |AbelianMonoid|) T) ((|Fraction| . |BasicType|) T) ((|DrawOption| . |BasicType|) T) ((|NottinghamGroup| . |Group|) T) ((|ProjectivePlane| . |BasicType|) T) ((|MachineComplex| . |EntireRing|) T) ((|OrdinaryWeightedPolynomials| . |Algebra|) 174594) ((|U8Vector| . |Eltable|) 174559) ((|InnerPrimeField| . |BiModule|) 174486) ((|InnerFiniteField| . |BiModule|) 174355) ((|MyUnivariatePolynomial| . |LinearlyExplicitRingOver|) 174271) ((|Factored| . |SemiGroup|) T) ((|Expression| . |Rng|) 174103) ((|ExponentialExpansion| . |Rng|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 174077) ((|MyExpression| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |Ring|) T) ((|IntegerMod| . |SetCategory|) T) ((|Complex| . |EuclideanDomain|) 173978) ((|Factored| . |AbelianMonoid|) T) ((|AlgebraicFunctionField| . |CoercibleTo|) 173952) ((|AlgebraicFunctionField| . |ConvertibleTo|) 173936) ((|BinaryExpansion| . |QuotientFieldCategory|) 173913) ((|BalancedPAdicInteger| . |PAdicIntegerCategory|) 173897) ((|AlgebraicNumber| . |InnerEvalable|) 173859) ((|Tree| . |RecursiveAggregate|) 173843) ((|Table| . |Aggregate|) T) ((|PositiveInteger| . |CoercibleTo|) 173817) ((|SplitHomogeneousDirectProduct| . |OrderedSet|) 173741) ((|NonNegativeInteger| . |CoercibleTo|) 173715) ((|LyndonWord| . |CoercibleTo|) 173689) ((|UnivariatePolynomial| . |EuclideanDomain|) 173665) ((|U8Vector| . |OneDimensionalArrayAggregate|) 173642) ((|U8Vector| . |IndexedAggregate|) 173607) ((|Stream| . |Evalable|) 173531) ((|SegmentBinding| . |Type|) T) ((|HashTable| . |Aggregate|) T) ((|SequentialDifferentialPolynomial| . |Ring|) T) ((|Pi| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |ExtensionField|) 173495) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |ExtensionField|) 173408) ((|SplittingTree| . |Aggregate|) T) ((|NewSparseUnivariatePolynomial| . |Ring|) T) ((|NewSparseMultivariatePolynomial| . |Ring|) T) ((|ListMultiDictionary| . |DictionaryOperations|) 173392) ((|Library| . |DictionaryOperations|) 173325) ((|SymmetricPolynomial| . |AbelianGroup|) T) ((|SymmetricPolynomial| . |AbelianSemiGroup|) T) ((|SequentialDifferentialPolynomial| . |FiniteAbelianMonoidRing|) 173242) ((|SequentialDifferentialPolynomial| . |DifferentialRing|) 173207) ((|NewSparseUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 173168) ((|NewSparseUnivariatePolynomial| . |DifferentialRing|) T) ((|GeneralDistributedMultivariatePolynomial| . |Ring|) T) ((|NewSparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 173126) ((|MultivariatePolynomial| . |UniqueFactorizationDomain|) 173076) ((|FiniteFieldExtensionByPolynomial| . |LeftOreRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |LeftOreRing|) T) ((|FlexibleArray| . |LinearAggregate|) 173060) ((|DifferentialSparseMultivariatePolynomial| . |LeftOreRing|) 172978) ((|DistributedMultivariatePolynomial| . |LeftOreRing|) 172896) ((|OneDimensionalArray| . |Aggregate|) T) ((|InnerIndexedTwoDimensionalArray| . |Aggregate|) T) ((|IndexedFlexibleArray| . |Aggregate|) T) ((|GeneralDistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 172875) ((|FlexibleArray| . |FiniteLinearAggregate|) 172859) ((|IndexedTwoDimensionalArray| . |Aggregate|) T) ((|IndexedOneDimensionalArray| . |Aggregate|) T) ((|RadicalFunctionField| . |StepThrough|) NIL) ((|MultivariatePolynomial| . |IntegralDomain|) 172745) ((|AssociatedLieAlgebra| . |BasicType|) T) ((|AssociatedJordanAlgebra| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |Monoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Monoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Monoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |Monoid|) T) ((|DistributedMultivariatePolynomial| . |Monoid|) T) ((|MyUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|MyUnivariatePolynomial| . |AbelianGroup|) T) ((|WeightedPolynomials| . |AbelianGroup|) T) ((|RegularChain| . |Evalable|) 172509) ((|WeightedPolynomials| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeriesCZero| . |SetCategory|) T) ((|PendantTree| . |SetCategory|) 172479) ((|AntiSymm| . |Ring|) T) ((|SparseUnivariateTaylorSeries| . |IntegralDomain|) 172446) ((|SparseUnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 172422) ((|SparseUnivariatePuiseuxSeries| . |IntegralDomain|) 172361) ((|SparseUnivariateLaurentSeries| . |UniqueFactorizationDomain|) 172337) ((|PrimeField| . |LeftOreRing|) T) ((|InnerPrimeField| . |Ring|) T) ((|InnerFiniteField| . |Ring|) T) ((|InfClsPt| . |BasicType|) T) ((|RealClosure| . |EntireRing|) T) ((|FreeGroup| . |RetractableTo|) 172321) ((|FreeAbelianGroup| . |RetractableTo|) 172305) ((|DesingTree| . |SetCategory|) 172275) ((|Float| . |PatternMatchable|) 172254) ((|SparseUnivariateLaurentSeries| . |IntegralDomain|) 172193) ((|SparseMultivariateTaylorSeries| . |IntegralDomain|) 172160) ((|RadicalFunctionField| . |Algebra|) 172088) ((|Octonion| . |SemiGroup|) T) ((|PrimeField| . |Monoid|) T) ((|InnerPrimeField| . |DivisionRing|) T) ((|InnerPrimeField| . |DifferentialRing|) T) ((|InnerFiniteField| . |DifferentialRing|) T) ((|InnerFiniteField| . |DivisionRing|) T) ((|MyExpression| . |Module|) 171976) ((|FiniteField| . |EntireRing|) T) ((|ListMultiDictionary| . |MultiDictionary|) 171960) ((|Float| . |RetractableTo|) 171904) ((|DesingTree| . |DesingTreeCategory|) 171888) ((|SingleInteger| . |Rng|) T) ((|BalancedBinaryTree| . |BinaryTreeCategory|) 171872) ((|Octonion| . |AbelianMonoid|) T) ((|XPolynomial| . |XFreeAlgebra|) 171845) ((|XPBWPolynomial| . |XFreeAlgebra|) 171824) ((|Vector| . |Eltable|) 171796) ((|Fraction| . |Evalable|) 171755) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |SetCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |Eltable|) 171658) ((|PAdicInteger| . |CoercibleTo|) 171632) ((|Operator| . |RetractableTo|) 171590) ((|d01TransformFunctionType| . |NumericalIntegrationCategory|) T) ((|d01gbfAnnaType| . |NumericalIntegrationCategory|) T) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |AffineSpaceCategory|) 171534) ((|d01fcfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01asfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01aqfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01apfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01anfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01amfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01alfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01akfAnnaType| . |NumericalIntegrationCategory|) T) ((|InnerAlgebraicNumber| . |RadicalCategory|) T) ((|e04ucfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04nafAnnaType| . |NumericalOptimizationCategory|) T) ((|e04mbfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04jafAnnaType| . |NumericalOptimizationCategory|) T) ((|AlgebraicNumber| . |EntireRing|) T) ((|e04gcfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04fdfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04dgfAnnaType| . |NumericalOptimizationCategory|) T) ((|d01ajfAnnaType| . |NumericalIntegrationCategory|) T) ((|Kernel| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator2| . |FullyRetractableTo|) 171518) ((|Bits| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator1| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator1| . |AbelianSemiGroup|) T) ((|GuessOptionFunctions0| . |CoercibleTo|) 171492) ((|XPolynomialRing| . |Algebra|) 171449) ((|Vector| . |OneDimensionalArrayAggregate|) 171433) ((|BalancedPAdicRational| . |Eltable|) 171286) ((|DoubleFloatMatrix| . |BasicType|) T) ((|ComplexDoubleFloatMatrix| . |BasicType|) T) ((|Vector| . |IndexedAggregate|) 171258) ((|WuWenTsunTriangularSet| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |Module|) 171102) ((|Ruleset| . |SetCategory|) T) ((|QuasiAlgebraicSet| . |SetCategory|) T) ((|PolynomialRing| . |CancellationAbelianMonoid|) T) ((|Multiset| . |SetCategory|) T) ((|MonoidRing| . |CancellationAbelianMonoid|) T) ((|ModularRing| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianMonoidSup|) T) ((|Fraction| . |StepThrough|) 171072) ((|GenericNonAssociativeAlgebra| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianSemiGroup|) T) ((|DeRhamComplex| . |Ring|) T) ((|Equation| . |BasicType|) 170769) ((|CharacterClass| . |SetCategory|) T) ((|MachineFloat| . |RadicalCategory|) T) ((|ArrayStack| . |Type|) T) ((|BinaryTree| . |CoercibleTo|) 170720) ((|BinarySearchTree| . |CoercibleTo|) 170671) ((|MyExpression| . |CommutativeRing|) T) ((|IntegerMod| . |CommutativeRing|) T) ((|U8Vector| . |ConvertibleTo|) 170646) ((|U8Vector| . |CoercibleTo|) 170620) ((|SparseUnivariatePuiseuxSeries| . |Field|) 170596) ((|SparseUnivariateLaurentSeries| . |Field|) 170572) ((|Expression| . |SetCategory|) T) ((|Factored| . |CancellationAbelianMonoid|) T) ((|ExponentialExpansion| . |SetCategory|) T) ((|Fraction| . |Algebra|) 170513) ((|ThreeSpace| . |BasicType|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Module|) 170269) ((|LinearOrdinaryDifferentialOperator2| . |Rng|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CharacteristicNonZero|) 170229) ((|ExponentialOfUnivariatePuiseuxSeries| . |CharacteristicZero|) 170192) ((|CartesianTensor| . |SetCategory|) T) ((|BasicOperator| . |SetCategory|) T) ((|OrdSetInts| . |BasicType|) T) ((|InnerPAdicInteger| . |CoercibleTo|) 170166) ((|Integer| . |ConvertibleTo|) 170028) ((|Integer| . |CoercibleTo|) 170002) ((|InnerAlgebraicNumber| . |CoercibleTo|) 169976) ((|InnerAlgebraicNumber| . |ConvertibleTo|) 169901) ((|HyperellipticFiniteDivisor| . |AbelianMonoid|) T) ((|HomogeneousDirectProduct| . |OrderedSet|) 169825) ((|BlowUpWithQuadTrans| . |SetCategory|) T) ((|HexadecimalExpansion| . |LinearlyExplicitRingOver|) 169802) ((|NeitherSparseOrDensePowerSeries| . |RecursiveAggregate|) 169743) ((|DecimalExpansion| . |LinearlyExplicitRingOver|) 169720) ((|DoubleFloat| . |FloatingPointSystem|) T) ((|Localize| . |LeftModule|) 169704) ((|SparseUnivariatePolynomial| . |PrincipalIdealDomain|) 169680) ((|MultivariatePolynomial| . |SemiGroup|) T) ((|FiniteFieldNormalBasis| . |BasicType|) T) ((|OrderlyDifferentialVariable| . |OrderedSet|) T) ((|MultivariatePolynomial| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |RightModule|) 169606) ((|String| . |StringCategory|) T) ((|Stack| . |BagAggregate|) 169590) ((|UnivariateTaylorSeriesCZero| . |CommutativeRing|) 169519) ((|SparseUnivariateTaylorSeries| . |SemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |SemiGroup|) T) ((|SparseUnivariateLaurentSeries| . |SemiGroup|) T) ((|SparseMultivariateTaylorSeries| . |SemiGroup|) T) ((|InnerFreeAbelianMonoid| . |RetractableTo|) 169503) ((|FiniteFieldCyclicGroup| . |BiModule|) 169382) ((|DoubleFloatMatrix| . |Evalable|) NIL) ((|ComplexDoubleFloatMatrix| . |Evalable|) NIL) ((|RadixExpansion| . |UniqueFactorizationDomain|) T) ((|BinaryTournament| . |Type|) T) ((|PartialFraction| . |UniqueFactorizationDomain|) T) ((|TwoDimensionalViewport| . |CoercibleTo|) 169356) ((|U32Vector| . |SetCategory|) T) ((|MachineComplex| . |Eltable|) NIL) ((|SparseUnivariateTaylorSeries| . |AbelianMonoid|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |AbelianMonoid|) T) ((|SquareMatrix| . |DifferentialExtension|) 169340) ((|SparseMultivariateTaylorSeries| . |AbelianMonoid|) T) ((|RuleCalled| . |SetCategory|) T) ((|RadixExpansion| . |IntegralDomain|) T) ((|PartialFraction| . |IntegralDomain|) T) ((|Octonion| . |CancellationAbelianMonoid|) T) ((|DoubleFloatVector| . |Type|) T) ((|ComplexDoubleFloatVector| . |Type|) T) ((|MyExpression| . |InnerEvalable|) 169302) ((|MathMLFormat| . |CoercibleTo|) 169276) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|Expression| . |Module|) 169138) ((|ExponentialExpansion| . |Module|) 169010) ((|MachineFloat| . |CoercibleTo|) 168984) ((|MachineFloat| . |ConvertibleTo|) 168909) ((|Fraction| . |FullyPatternMatchable|) 168893) ((|FunctionCalled| . |SetCategory|) T) ((|HexadecimalExpansion| . |AbelianSemiGroup|) T) ((|HexadecimalExpansion| . |AbelianGroup|) T) ((|SingleInteger| . |SetCategory|) T) ((|DecimalExpansion| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |AbelianGroup|) T) ((|ModMonic| . |FullyRetractableTo|) 168877) ((|ModuleOperator| . |RetractableTo|) 168835) ((|Vector| . |CoercibleTo|) 168753) ((|Vector| . |ConvertibleTo|) 168689) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CommutativeRing|) T) ((|DataList| . |Aggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |ConvertibleTo|) NIL) ((|SparseUnivariatePolynomialExpressions| . |CoercibleTo|) 168663) ((|Plot3D| . |PlottableSpaceCurveCategory|) T) ((|Tree| . |Type|) T) ((|Localize| . |OrderedAbelianGroup|) 168625) ((|Localize| . |OrderedAbelianSemiGroup|) 168587) ((|FortranProgram| . |FortranProgramCategory|) T) ((|IndexedMatrix| . |BasicType|) 168557) ((|Result| . |SetCategory|) T) ((|Dequeue| . |QueueAggregate|) 168541) ((|PolynomialIdeals| . |BasicType|) T) ((|LaurentPolynomial| . |CoercibleTo|) 168515) ((|AssociationList| . |OrderedSet|) NIL) ((|LaurentPolynomial| . |ConvertibleTo|) 168486) ((|Result| . |KeyedDictionary|) 168456) ((|PendantTree| . |InnerEvalable|) 168375) ((|FiniteFieldCyclicGroup| . |Ring|) T) ((|BasicStochasticDifferential| . |CoercibleTo|) 168349) ((|BalancedPAdicRational| . |ConvertibleTo|) NIL) ((|BalancedPAdicRational| . |CoercibleTo|) 168323) ((|PAdicRationalConstructor| . |Type|) T) ((|LieSquareMatrix| . |FramedNonAssociativeAlgebra|) 168307) ((|LieSquareMatrix| . |SquareMatrixCategory|) 168230) ((|DesingTree| . |InnerEvalable|) 168149) ((|IndexedBits| . |Collection|) 168126) ((|FiniteFieldCyclicGroup| . |DifferentialRing|) T) ((|FiniteFieldCyclicGroup| . |DivisionRing|) T) ((|AlgebraicFunctionField| . |RightModule|) 168054) ((|PAdicRationalConstructor| . |Patternable|) 168038) ((|PAdicRationalConstructor| . |PatternMatchable|) 167919) ((|ModMonic| . |Rng|) T) ((|MachineComplex| . |RadicalCategory|) NIL) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianMonoidRing|) 167878) ((|UnivariateLaurentSeriesConstructor| . |AbelianMonoidRing|) 167850) ((|SplittingTree| . |RecursiveAggregate|) 167811) ((|SingleInteger| . |Module|) 167798) ((|SExpressionOf| . |CoercibleTo|) 167772) ((|PAdicRationalConstructor| . |RetractableTo|) 167574) ((|DoubleFloat| . |PrincipalIdealDomain|) T) ((|AlgebraicFunctionField| . |BiModule|) 167457) ((|MyExpression| . |EntireRing|) T) ((|SimpleAlgebraicExtension| . |CharacteristicZero|) 167420) ((|SimpleAlgebraicExtension| . |CharacteristicNonZero|) 167338) ((|RadixExpansion| . |Field|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |LeftModule|) 167292) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |LeftModule|) 167195) ((|ExponentialOfUnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 167144) ((|Float| . |EuclideanDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 167093) ((|Expression| . |CommutativeRing|) 167060) ((|ExponentialExpansion| . |CommutativeRing|) T) ((|RadicalFunctionField| . |DifferentialExtension|) 167031) ((|PartialFraction| . |Field|) T) ((|InnerPrimeField| . |ExtensionField|) 167018) ((|InnerFiniteField| . |ExtensionField|) 166982) ((|FiniteFieldExtension| . |CharacteristicZero|) 166945) ((|FiniteFieldExtension| . |CharacteristicNonZero|) 166876) ((|FiniteFieldNormalBasisExtension| . |CharacteristicZero|) 166839) ((|FiniteFieldNormalBasisExtension| . |CharacteristicNonZero|) 166770) ((|KeyedAccessFile| . |TableAggregate|) 166743) ((|FiniteFieldCyclicGroupExtension| . |CharacteristicZero|) 166706) ((|FiniteFieldCyclicGroupExtension| . |CharacteristicNonZero|) 166637) ((|ExponentialOfUnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 166586) ((|GeneralSparseTable| . |TableAggregate|) 166565) ((|Enumeration| . |EnumerationCategory|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 166514) ((|Float| . |RealConstant|) T) ((|BinaryExpansion| . |CharacteristicZero|) T) ((|BinaryExpansion| . |CharacteristicNonZero|) NIL) ((|AssociationList| . |DictionaryOperations|) 166456) ((|LinearOrdinaryDifferentialOperator2| . |SetCategory|) T) ((|KeyedAccessFile| . |BagAggregate|) 166392) ((|HyperellipticFiniteDivisor| . |CancellationAbelianMonoid|) T) ((|GeneralSparseTable| . |BagAggregate|) 166334) ((|DirectProduct| . |SemiGroup|) 166220) ((|StochasticDifferential| . |SemiGroup|) T) ((|PAdicRationalConstructor| . |FullyLinearlyExplicitRingOver|) 166204) ((|PAdicRationalConstructor| . |FullyEvalableOver|) 166188) ((|DirectProduct| . |AbelianMonoid|) 165991) ((|RomanNumeral| . |PrincipalIdealDomain|) T) ((|RomanNumeral| . |OrderedIntegralDomain|) T) ((|InnerPrimeField| . |Finite|) T) ((|InnerFiniteField| . |Finite|) T) ((|MyUnivariatePolynomial| . |OrderedSet|) 165962) ((|U8Vector| . |EltableAggregate|) 165927) ((|FiniteFieldNormalBasis| . |StepThrough|) T) ((|FlexibleArray| . |Aggregate|) T) ((|AlgebraGivenByStructuralConstants| . |FramedNonAssociativeAlgebra|) 165911) ((|StochasticDifferential| . |AbelianMonoid|) T) ((|FreeNilpotentLie| . |NonAssociativeAlgebra|) 165895) ((|WuWenTsunTriangularSet| . |InnerEvalable|) 165814) ((|MultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|UnivariateTaylorSeriesCZero| . |EntireRing|) 165781) ((|UnivariateTaylorSeries| . |IntegralDomain|) 165748) ((|UnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 165724) ((|UnivariatePuiseuxSeries| . |IntegralDomain|) 165663) ((|UnivariateLaurentSeries| . |UniqueFactorizationDomain|) 165639) ((|UnivariateLaurentSeries| . |IntegralDomain|) 165578) ((|Multiset| . |InnerEvalable|) 165497) ((|UnivariateLaurentSeriesConstructor| . |Type|) 165473) ((|UnivariateLaurentSeriesConstructor| . |PatternMatchable|) 165296) ((|PoincareBirkhoffWittLyndonBasis| . |SetCategory|) T) ((|Character| . |OrderedFinite|) T) ((|UnivariateLaurentSeriesConstructor| . |Patternable|) 165263) ((|UnivariateFormalPowerSeries| . |IntegralDomain|) 165230) ((|SparseUnivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|IndexedMatrix| . |Evalable|) 165154) ((|SparseUnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|CharacterClass| . |InnerEvalable|) NIL) ((|SparseUnivariateLaurentSeries| . |CancellationAbelianMonoid|) T) ((|SparseMultivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|RealClosure| . |RadicalCategory|) T) ((|RadixExpansion| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasis| . |Algebra|) 165108) ((|RadixExpansion| . |SemiGroup|) T) ((|PartialFraction| . |SemiGroup|) T) ((|Asp73| . |CoercibleTo|) 165082) ((|AlgebraicFunctionField| . |Ring|) T) ((|PAdicInteger| . |RightModule|) 165069) ((|PAdicRationalConstructor| . |PartialDifferentialRing|) 165001) ((|NeitherSparseOrDensePowerSeries| . |AbelianMonoidRing|) 164973) ((|MachineInteger| . |BasicType|) T) ((|RadicalFunctionField| . |FiniteFieldCategory|) NIL) ((|IndexedVector| . |Type|) T) ((|Partition| . |AbelianMonoid|) T) ((|PartialFraction| . |AbelianMonoid|) T) ((|PAdicInteger| . |BiModule|) 164958) ((|FourierSeries| . |SemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |AbelianMonoidRing|) 164917) ((|CardinalNumber| . |BasicType|) T) ((|AlgebraicFunctionField| . |DifferentialRing|) 164869) ((|AlgebraicFunctionField| . |DivisionRing|) T) ((|BalancedPAdicInteger| . |BasicType|) T) ((|InnerTaylorSeries| . |IntegralDomain|) 164836) ((|InnerSparseUnivariatePowerSeries| . |IntegralDomain|) 164803) ((|MachineComplex| . |CoercibleTo|) 164777) ((|MachineComplex| . |ConvertibleTo|) 164622) ((|Expression| . |InnerEvalable|) 164584) ((|ExponentialExpansion| . |InnerEvalable|) 163990) ((|PseudoAlgebraicClosureOfRationalNumber| . |LeftOreRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |LeftOreRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |RetractableTo|) 163974) ((|UnivariateLaurentSeriesConstructor| . |RetractableTo|) 163689) ((|Quaternion| . |FullyRetractableTo|) 163673) ((|FourierSeries| . |AbelianMonoid|) T) ((|SingleInteger| . |CommutativeRing|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Monoid|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Monoid|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |EntireRing|) T) ((|LinearOrdinaryDifferentialOperator2| . |Module|) 163630) ((|Character| . |SetCategory|) T) ((|AlgebraicNumber| . |RadicalCategory|) T) ((|Fraction| . |DifferentialExtension|) 163614) ((|EqTable| . |DictionaryOperations|) 163556) ((|PAdicRational| . |PrincipalIdealDomain|) T) ((|PAdicRational| . |OrderedIntegralDomain|) NIL) ((|ProjectiveSpace| . |CoercibleTo|) 163530) ((|OrderedVariableList| . |OrderedSet|) T) ((|UnivariateLaurentSeriesConstructor| . |FullyEvalableOver|) 163497) ((|UnivariateLaurentSeriesConstructor| . |FullyLinearlyExplicitRingOver|) 163464) ((|Dequeue| . |StackAggregate|) 163448) ((|NeitherSparseOrDensePowerSeries| . |Type|) T) ((|Vector| . |EltableAggregate|) 163420) ((|HTMLFormat| . |BasicType|) T) ((|TaylorSeries| . |LeftModule|) 163317) ((|PolynomialRing| . |AbelianGroup|) T) ((|PolynomialRing| . |AbelianSemiGroup|) T) ((|MonoidRing| . |AbelianGroup|) T) ((|MonoidRing| . |AbelianSemiGroup|) T) ((|ModularRing| . |AbelianGroup|) T) ((|ModularRing| . |AbelianSemiGroup|) T) ((|ModularField| . |LeftModule|) 163271) ((|GenericNonAssociativeAlgebra| . |AbelianGroup|) T) ((|GenericNonAssociativeAlgebra| . |AbelianSemiGroup|) T) ((|FortranExpression| . |BasicType|) T) ((|ContinuedFraction| . |BasicType|) T) ((|Quaternion| . |Rng|) T) ((|PAdicInteger| . |Ring|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |RetractableTo|) 163255) ((|None| . |BasicType|) T) ((|U32Vector| . |InnerEvalable|) NIL) ((|UnivariatePuiseuxSeries| . |Field|) 163231) ((|UnivariatePuiseuxSeriesConstructor| . |PartialDifferentialRing|) 163093) ((|UnivariateLaurentSeries| . |Field|) 163069) ((|UnivariateLaurentSeriesConstructor| . |PartialDifferentialRing|) 162858) ((|RealClosure| . |CoercibleTo|) 162832) ((|Fraction| . |OpenMath|) 162762) ((|SparseUnivariateTaylorSeries| . |HyperbolicFunctionCategory|) 162711) ((|Complex| . |PrincipalIdealDomain|) 162612) ((|SparseUnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 162561) ((|SparseUnivariateLaurentSeries| . |HyperbolicFunctionCategory|) 162510) ((|ModMonic| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |HyperbolicFunctionCategory|) 162459) ((|InnerPAdicInteger| . |RightModule|) 162446) ((|Integer| . |RightModule|) 162433) ((|InnerAlgebraicNumber| . |RightModule|) 162387) ((|Expression| . |EntireRing|) 162354) ((|ExponentialExpansion| . |EntireRing|) T) ((|FiniteField| . |CoercibleTo|) 162328) ((|Factored| . |AbelianSemiGroup|) T) ((|Factored| . |AbelianGroup|) T) ((|Automorphism| . |Eltable|) 162307) ((|InnerPAdicInteger| . |BiModule|) 162292) ((|Integer| . |BiModule|) 162277) ((|InnerAlgebraicNumber| . |BiModule|) 162204) ((|Symbol| . |PatternMatchable|) 162163) ((|AffineSpace| . |BasicType|) T) ((|PendantTree| . |HomogeneousAggregate|) 162147) ((|BlowUpWithHamburgerNoether| . |CoercibleTo|) 162121) ((|AlgebraicNumber| . |CoercibleTo|) 162095) ((|AlgebraicNumber| . |ConvertibleTo|) 162020) ((|DesingTree| . |HomogeneousAggregate|) 162004) ((|DirectProduct| . |CancellationAbelianMonoid|) 161807) ((|UnivariatePolynomial| . |PrincipalIdealDomain|) 161783) ((|OrderlyDifferentialPolynomial| . |UniqueFactorizationDomain|) 161733) ((|Result| . |InnerEvalable|) 161483) ((|StochasticDifferential| . |CancellationAbelianMonoid|) T) ((|FileName| . |CoercibleTo|) 161457) ((|OrderlyDifferentialPolynomial| . |IntegralDomain|) 161343) ((|IntegrationResult| . |LeftModule|) 161307) ((|DifferentialSparseMultivariatePolynomial| . |AbelianMonoidRing|) 161265) ((|DistributedMultivariatePolynomial| . |AbelianMonoidRing|) 161197) ((|IndexedExponents| . |IndexedDirectProductCategory|) 161158) ((|Queue| . |Type|) T) ((|UnivariateTaylorSeries| . |AbelianMonoid|) T) ((|UnivariateTaylorSeries| . |SemiGroup|) T) ((|UnivariatePuiseuxSeries| . |SemiGroup|) T) ((|MachineFloat| . |RightModule|) 161112) ((|NeitherSparseOrDensePowerSeries| . |PartialDifferentialRing|) 160987) ((|UnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|UnivariateLaurentSeries| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |SemiGroup|) T) ((|RadicalFunctionField| . |FiniteRankAlgebra|) 160953) ((|ModularField| . |LeftOreRing|) T) ((|Boolean| . |Finite|) T) ((|GeneralUnivariatePowerSeries| . |PartialDifferentialRing|) 160815) ((|UnivariateLaurentSeries| . |AbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |AbelianMonoid|) T) ((|PermutationGroup| . |CoercibleTo|) 160789) ((|ArrayStack| . |BagAggregate|) 160773) ((|TaylorSeries| . |Monoid|) T) ((|Permutation| . |OrderedSet|) 160715) ((|MachineInteger| . |StepThrough|) T) ((|MachineFloat| . |BiModule|) 160642) ((|U16Vector| . |SetCategory|) T) ((|InnerTaylorSeries| . |SemiGroup|) T) ((|InnerSparseUnivariatePowerSeries| . |SemiGroup|) T) ((|ModMonic| . |Module|) 160382) ((|ModularField| . |Monoid|) T) ((|SingleInteger| . |EntireRing|) T) ((|RadixExpansion| . |CancellationAbelianMonoid|) T) ((|HexadecimalExpansion| . |OrderedSet|) T) ((|Partition| . |CancellationAbelianMonoid|) T) ((|PartialFraction| . |CancellationAbelianMonoid|) T) ((|Octonion| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |OrderedSet|) T) ((|Octonion| . |AbelianGroup|) T) ((|InnerPAdicInteger| . |Ring|) T) ((|Integer| . |Ring|) T) ((|InnerAlgebraicNumber| . |Ring|) T) ((|InnerTaylorSeries| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |ExtensionField|) 160351) ((|ExponentialOfUnivariatePuiseuxSeries| . |GcdDomain|) 160327) ((|FortranExpression| . |Evalable|) 160314) ((|InnerSparseUnivariatePowerSeries| . |AbelianMonoid|) T) ((|FourierSeries| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator| . |LeftModule|) 160288) ((|SparseUnivariatePolynomialExpressions| . |RightModule|) 160022) ((|DataList| . |RecursiveAggregate|) 160006) ((|PAdicRationalConstructor| . |EuclideanDomain|) T) ((|XRecursivePolynomial| . |XAlgebra|) 159990) ((|NonNegativeInteger| . |OrderedAbelianMonoid|) T) ((|NonNegativeInteger| . |OrderedCancellationAbelianMonoid|) T) ((|MachineInteger| . |Algebra|) 159977) ((|Divisor| . |LeftModule|) 159954) ((|Integer| . |DifferentialRing|) T) ((|InnerAlgebraicNumber| . |DivisionRing|) T) ((|InnerAlgebraicNumber| . |DifferentialRing|) T) ((|SparseUnivariatePolynomialExpressions| . |BiModule|) 159656) ((|SparseTable| . |DictionaryOperations|) 159598) ((|SequentialDifferentialPolynomial| . |PolynomialFactorizationExplicit|) 159548) ((|BalancedPAdicInteger| . |Algebra|) 159535) ((|d02ejfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02cjfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02bhfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02bbfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|PAdicRationalConstructor| . |RealConstant|) 159504) ((|WuWenTsunTriangularSet| . |HomogeneousAggregate|) 159488) ((|NewSparseUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 159438) ((|NewSparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 159388) ((|Table| . |Type|) T) ((|GeneralDistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 159338) ((|Multiset| . |HomogeneousAggregate|) 159322) ((|SequentialDifferentialPolynomial| . |LeftModule|) 159219) ((|NewSparseUnivariatePolynomial| . |LeftModule|) 159116) ((|LaurentPolynomial| . |RightModule|) 159103) ((|HashTable| . |Type|) T) ((|FiniteFieldCyclicGroup| . |Finite|) T) ((|CharacterClass| . |HomogeneousAggregate|) 159078) ((|NewSparseMultivariatePolynomial| . |LeftModule|) 158975) ((|SplittingTree| . |Type|) T) ((|GeneralModulePolynomial| . |LeftModule|) 158946) ((|DifferentialSparseMultivariatePolynomial| . |PatternMatchable|) 158725) ((|DistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|BalancedPAdicRational| . |RightModule|) 158641) ((|GeneralDistributedMultivariatePolynomial| . |LeftModule|) 158538) ((|LiePolynomial| . |RetractableTo|) 158507) ((|LaurentPolynomial| . |BiModule|) 158492) ((|FiniteFieldExtensionByPolynomial| . |RetractableTo|) 158476) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |RetractableTo|) 158460) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |RetractableTo|) 158444) ((|DifferentialSparseMultivariatePolynomial| . |RetractableTo|) 158211) ((|DistributedMultivariatePolynomial| . |RetractableTo|) 158018) ((|BalancedPAdicRational| . |BiModule|) 157877) ((|OneDimensionalArray| . |Type|) T) ((|InnerIndexedTwoDimensionalArray| . |Type|) T) ((|IndexedFlexibleArray| . |Type|) T) ((|IndexedTwoDimensionalArray| . |Type|) T) ((|IndexedOneDimensionalArray| . |Type|) T) ((|FortranType| . |CoercibleTo|) 157851) ((|FortranScalarType| . |CoercibleTo|) 157825) ((|Union| . |BasicType|) T) ((|RegularTriangularSet| . |TriangularSetCategory|) 157794) ((|OnePointCompletion| . |BasicType|) T) ((|Matrix| . |TwoDimensionalArrayCategory|) 157746) ((|MachineFloat| . |Ring|) T) ((|AntiSymm| . |LeftModule|) 157720) ((|EuclideanModularRing| . |GcdDomain|) T) ((|GeneralTriangularSet| . |TriangularSetCategory|) 157689) ((|UnivariateTaylorSeriesCZero| . |Eltable|) 157674) ((|Enumeration| . |BasicType|) T) ((|InnerPrimeField| . |LeftModule|) 157628) ((|InnerFiniteField| . |LeftModule|) 157549) ((|AnonymousFunction| . |BasicType|) T) ((|PrimeField| . |RetractableTo|) 157536) ((|MachineFloat| . |DivisionRing|) T) ((|SimpleAlgebraicExtension| . |FramedAlgebra|) 157515) ((|MultivariatePolynomial| . |LinearlyExplicitRingOver|) 157431) ((|Quaternion| . |SetCategory|) T) ((|ModMonic| . |CommutativeRing|) 157261) ((|HexadecimalExpansion| . |QuotientFieldCategory|) 157238) ((|GuessOption| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 157222) ((|DistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 157206) ((|FullPartialFractionExpansion| . |SetCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |Ring|) T) ((|FortranExpression| . |Algebra|) 157190) ((|Reference| . |BasicType|) 157160) ((|DecimalExpansion| . |QuotientFieldCategory|) 157137) ((|ContinuedFraction| . |Algebra|) 157052) ((|UnivariatePuiseuxSeriesConstructor| . |EuclideanDomain|) 157028) ((|UnivariateLaurentSeriesConstructor| . |EuclideanDomain|) 157004) ((|SparseUnivariatePolynomialExpressions| . |FiniteAbelianMonoidRing|) 156965) ((|LinearOrdinaryDifferentialOperator| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |DifferentialRing|) T) ((|Automorphism| . |CoercibleTo|) 156939) ((|SparseUnivariateLaurentSeries| . |LinearlyExplicitRingOver|) 156863) ((|HyperellipticFiniteDivisor| . |AbelianSemiGroup|) T) ((|HyperellipticFiniteDivisor| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |RealConstant|) 156803) ((|SequentialDifferentialPolynomial| . |LeftOreRing|) 156721) ((|LaurentPolynomial| . |Ring|) T) ((|Float| . |FloatingPointSystem|) T) ((|NewSparseUnivariatePolynomial| . |LeftOreRing|) 156616) ((|NewSparseMultivariatePolynomial| . |LeftOreRing|) 156534) ((|FreeNilpotentLie| . |BasicType|) T) ((|DifferentialSparseMultivariatePolynomial| . |PartialDifferentialRing|) 156453) ((|DistributedMultivariatePolynomial| . |PartialDifferentialRing|) 156413) ((|BalancedPAdicRational| . |Ring|) T) ((|GeneralDistributedMultivariatePolynomial| . |LeftOreRing|) 156331) ((|OrderlyDifferentialPolynomial| . |SemiGroup|) T) ((|SequentialDifferentialPolynomial| . |Monoid|) T) ((|LaurentPolynomial| . |DifferentialRing|) 156296) ((|LocalAlgebra| . |BasicType|) T) ((|U32Vector| . |HomogeneousAggregate|) 156273) ((|NewSparseUnivariatePolynomial| . |Monoid|) T) ((|NewSparseMultivariatePolynomial| . |Monoid|) T) ((|U32Matrix| . |TwoDimensionalArrayCategory|) 156222) ((|FractionalIdeal| . |SemiGroup|) T) ((|BalancedPAdicRational| . |DivisionRing|) T) ((|AlgebraicFunctionField| . |Finite|) NIL) ((|BalancedPAdicRational| . |DifferentialRing|) NIL) ((|GeneralDistributedMultivariatePolynomial| . |Monoid|) T) ((|OrderlyDifferentialPolynomial| . |AbelianMonoid|) T) ((|MultivariatePolynomial| . |AbelianSemiGroup|) T) ((|MultivariatePolynomial| . |AbelianGroup|) T) ((|MakeCachableSet| . |OrderedSet|) T) ((|Ruleset| . |Eltable|) 156201) ((|Asp4| . |FortranFunctionCategory|) T) ((|Asp4| . |FortranProgramCategory|) T) ((|UnivariateTaylorSeriesCZero| . |RadicalCategory|) 156150) ((|UnivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|MachineComplex| . |RightModule|) 156079) ((|UnivariateLaurentSeries| . |CancellationAbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |CancellationAbelianMonoid|) T) ((|SparseUnivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|Stream| . |StreamAggregate|) 156063) ((|SquareMatrix| . |FullyRetractableTo|) 156047) ((|InnerPrimeField| . |LeftOreRing|) T) ((|AssociatedLieAlgebra| . |FiniteRankNonAssociativeAlgebra|) 155928) ((|AssociatedJordanAlgebra| . |FiniteRankNonAssociativeAlgebra|) 155809) ((|InnerFiniteField| . |LeftOreRing|) T) ((|BalancedBinaryTree| . |SetCategory|) 155779) ((|SparseUnivariateTaylorSeries| . |AbelianGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|Quaternion| . |Module|) 155713) ((|DeRhamComplex| . |LeftModule|) 155672) ((|MachineComplex| . |BiModule|) 155557) ((|AntiSymm| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |AbelianGroup|) T) ((|FiniteFieldNormalBasis| . |FiniteFieldCategory|) T) ((|SparseUnivariateLaurentSeries| . |AbelianSemiGroup|) T) ((|SimpleAlgebraicExtension| . |GcdDomain|) 155491) ((|SparseMultivariateTaylorSeries| . |AbelianGroup|) T) ((|ModMonic| . |InnerEvalable|) 155401) ((|InnerPrimeField| . |Monoid|) T) ((|InnerFiniteField| . |Monoid|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |EuclideanDomain|) T) ((|SparseMultivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|NeitherSparseOrDensePowerSeries| . |EuclideanDomain|) T) ((|InnerTaylorSeries| . |CancellationAbelianMonoid|) T) ((|InnerSparseUnivariatePowerSeries| . |CancellationAbelianMonoid|) T) ((|FiniteFieldExtension| . |GcdDomain|) T) ((|FiniteFieldNormalBasisExtension| . |GcdDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |GcdDomain|) T) ((|GeneralUnivariatePowerSeries| . |EuclideanDomain|) 155377) ((|ExponentialExpansion| . |Eltable|) 155054) ((|BinaryExpansion| . |GcdDomain|) T) ((|Asp50| . |FortranVectorFunctionCategory|) T) ((|Asp50| . |FortranProgramCategory|) T) ((|Pi| . |BasicType|) T) ((|MyExpression| . |ConvertibleTo|) 154832) ((|MyExpression| . |CoercibleTo|) 154806) ((|IntegerMod| . |CoercibleTo|) 154780) ((|IntegerMod| . |ConvertibleTo|) 154757) ((|SimpleAlgebraicExtension| . |FieldOfPrimeCharacteristic|) 154719) ((|Result| . |HomogeneousAggregate|) 154636) ((|Integer| . |OrderedCancellationAbelianMonoid|) T) ((|Integer| . |OrderedAbelianMonoid|) T) ((|RoutinesTable| . |DictionaryOperations|) 154569) ((|FiniteFieldExtension| . |FieldOfPrimeCharacteristic|) 154500) ((|FiniteFieldNormalBasisExtension| . |FieldOfPrimeCharacteristic|) 154431) ((|FiniteFieldCyclicGroupExtension| . |FieldOfPrimeCharacteristic|) 154362) ((|XDistributedPolynomial| . |SemiGroup|) T) ((|XDistributedPolynomial| . |AbelianMonoid|) T) ((|ThreeDimensionalViewport| . |BasicType|) T) ((|SquareMatrix| . |Rng|) T) ((|LieSquareMatrix| . |NonAssociativeAlgebra|) 154346) ((|SymmetricPolynomial| . |CharacteristicNonZero|) 154306) ((|SymmetricPolynomial| . |CharacteristicZero|) 154269) ((|SquareFreeRegularTriangularSet| . |SetCategory|) T) ((|SquareFreeRegularTriangularSet| . |RegularTriangularSetCategory|) 154238) ((|Asp29| . |Type|) T) ((|RealClosure| . |RightModule|) 154159) ((|OrdinaryWeightedPolynomials| . |Rng|) T) ((|MyUnivariatePolynomial| . |CharacteristicNonZero|) 154119) ((|MyUnivariatePolynomial| . |CharacteristicZero|) 154082) ((|DirectProduct| . |LinearlyExplicitRingOver|) 153954) ((|MachineComplex| . |Ring|) T) ((|DirichletRing| . |IntegralDomain|) 153920) ((|FiniteField| . |RightModule|) 153846) ((|Asp10| . |Type|) T) ((|RealClosure| . |BiModule|) 153723) ((|PendantTree| . |CoercibleTo|) 153674) ((|MachineComplex| . |DivisionRing|) T) ((|MachineComplex| . |DifferentialRing|) NIL) ((|U16Vector| . |InnerEvalable|) NIL) ((|OrderedCompletion| . |OrderedRing|) 153644) ((|MachineFloat| . |OrderedCancellationAbelianMonoid|) T) ((|MachineFloat| . |OrderedAbelianMonoid|) T) ((|UnivariateTaylorSeriesCZero| . |CoercibleTo|) 153618) ((|U32Vector| . |Eltable|) 153583) ((|RadicalFunctionField| . |FullyRetractableTo|) 153554) ((|FiniteField| . |BiModule|) 153433) ((|DesingTree| . |CoercibleTo|) 153384) ((|Float| . |PrincipalIdealDomain|) T) ((|Fraction| . |OrderedRing|) 153344) ((|ModMonic| . |EntireRing|) 153207) ((|DeRhamComplex| . |Monoid|) T) ((|UnivariateTaylorSeries| . |HyperbolicFunctionCategory|) 153156) ((|UnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 153105) ((|UnivariateLaurentSeries| . |HyperbolicFunctionCategory|) 153054) ((|UnivariateFormalPowerSeries| . |HyperbolicFunctionCategory|) 153003) ((|Expression| . |RadicalCategory|) 152970) ((|Dequeue| . |SetCategory|) 152940) ((|ExponentialOfUnivariatePuiseuxSeries| . |PowerSeriesCategory|) 152873) ((|BasicFunctions| . |BasicType|) T) ((|AlgebraicNumber| . |RightModule|) 152827) ((|XRecursivePolynomial| . |BasicType|) T) ((|FreeModule1| . |BasicType|) T) ((|AlgebraicNumber| . |BiModule|) 152754) ((|RadixExpansion| . |LinearlyExplicitRingOver|) 152731) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CoercibleTo|) 152705) ((|IndexedExponents| . |BasicType|) T) ((|IndexedBits| . |BasicType|) T) ((|ThreeSpace| . |ThreeSpaceCategory|) 152689) ((|CliffordAlgebra| . |VectorSpace|) 152673) ((|DataList| . |Type|) T) ((|U32Vector| . |OneDimensionalArrayAggregate|) 152650) ((|NeitherSparseOrDensePowerSeries| . |LazyStreamAggregate|) 152591) ((|SparseUnivariatePolynomial| . |UniqueFactorizationDomain|) 152541) ((|SparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 152491) ((|DirectProduct| . |AbelianGroup|) 152378) ((|DirectProduct| . |AbelianSemiGroup|) 152147) ((|BinaryTree| . |BinaryRecursiveAggregate|) 152131) ((|BinarySearchTree| . |BinaryRecursiveAggregate|) 152115) ((|U8Vector| . |LinearAggregate|) 152092) ((|AlgebraGivenByStructuralConstants| . |NonAssociativeAlgebra|) 152076) ((|U32Vector| . |IndexedAggregate|) 152041) ((|SparseUnivariatePolynomial| . |IntegralDomain|) 151904) ((|SparseMultivariatePolynomial| . |IntegralDomain|) 151790) ((|U8Vector| . |FiniteLinearAggregate|) 151767) ((|Result| . |Eltable|) 151737) ((|StochasticDifferential| . |AbelianSemiGroup|) T) ((|StochasticDifferential| . |AbelianGroup|) T) ((|OrderlyDifferentialPolynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |OrderedCancellationAbelianMonoid|) NIL) ((|BalancedPAdicRational| . |OrderedAbelianMonoid|) NIL) ((|FiniteFieldExtensionByPolynomial| . |EuclideanDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |EuclideanDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |EuclideanDomain|) T) ((|Segment| . |Type|) T) ((|DirectProductModule| . |SemiGroup|) 151623) ((|DirectProductMatrixModule| . |SemiGroup|) 151509) ((|RealClosure| . |Ring|) T) ((|RadicalFunctionField| . |Rng|) T) ((|FiniteFieldCyclicGroup| . |LeftModule|) 151435) ((|LocalAlgebra| . |Algebra|) 151419) ((|WuWenTsunTriangularSet| . |CoercibleTo|) 151371) ((|WuWenTsunTriangularSet| . |ConvertibleTo|) 151307) ((|Ruleset| . |CoercibleTo|) 151281) ((|RealClosure| . |DivisionRing|) T) ((|FiniteField| . |Ring|) T) ((|OrderedDirectProduct| . |VectorSpace|) 151248) ((|DirectProductModule| . |AbelianMonoid|) T) ((|DirectProductMatrixModule| . |AbelianMonoid|) T) ((|QuasiAlgebraicSet| . |CoercibleTo|) 151222) ((|Multiset| . |ConvertibleTo|) 151158) ((|Multiset| . |CoercibleTo|) 151132) ((|Octonion| . |OrderedSet|) 151103) ((|Quaternion| . |InnerEvalable|) 150992) ((|FiniteField| . |DifferentialRing|) T) ((|FiniteField| . |DivisionRing|) T) ((|StringTable| . |Collection|) 150928) ((|RadixExpansion| . |AbelianSemiGroup|) T) ((|CharacterClass| . |CoercibleTo|) 150902) ((|CharacterClass| . |ConvertibleTo|) 150849) ((|PrimeField| . |EuclideanDomain|) T) ((|RadixExpansion| . |AbelianGroup|) T) ((|Partition| . |AbelianSemiGroup|) T) ((|PartialFraction| . |AbelianGroup|) T) ((|PartialFraction| . |AbelianSemiGroup|) T) ((|FourierSeries| . |AbelianGroup|) T) ((|FourierSeries| . |AbelianSemiGroup|) T) ((|OrderedCompletion| . |FullyRetractableTo|) 150833) ((|AlgebraicNumber| . |Ring|) T) ((|XPolynomial| . |XAlgebra|) 150817) ((|XPBWPolynomial| . |XAlgebra|) 150801) ((|Result| . |IndexedAggregate|) 150771) ((|Expression| . |ConvertibleTo|) 150549) ((|Expression| . |CoercibleTo|) 150523) ((|ExponentialExpansion| . |ConvertibleTo|) NIL) ((|ExponentialExpansion| . |CoercibleTo|) 150497) ((|AlgebraicNumber| . |DivisionRing|) T) ((|AlgebraicNumber| . |DifferentialRing|) T) ((|LinearOrdinaryDifferentialOperator2| . |Eltable|) 150458) ((|InnerTable| . |DictionaryOperations|) 150400) ((|CartesianTensor| . |CoercibleTo|) 150374) ((|BasicOperator| . |CoercibleTo|) 150348) ((|Pi| . |Algebra|) 150302) ((|XRecursivePolynomial| . |XPolynomialsCat|) 150281) ((|XDistributedPolynomial| . |CancellationAbelianMonoid|) T) ((|XPolynomialRing| . |Rng|) T) ((|SingletonAsOrderedSet| . |BasicType|) T) ((|BlowUpWithQuadTrans| . |CoercibleTo|) 150255) ((|Asp8| . |Type|) T) ((|IndexedBits| . |Evalable|) NIL) ((|Queue| . |BagAggregate|) 150239) ((|PatternMatchResult| . |SetCategory|) T) ((|PatternMatchListResult| . |SetCategory|) T) ((|Vector| . |LinearAggregate|) 150223) ((|Vector| . |FiniteLinearAggregate|) 150207) ((|FlexibleArray| . |Type|) T) ((|IndexedString| . |OrderedSet|) T) ((|DirichletRing| . |SemiGroup|) T) ((|SquareMatrix| . |SetCategory|) T) ((|SquareMatrix| . |RectangularMatrixCategory|) 150125) ((|FiniteFieldCyclicGroup| . |LeftOreRing|) T) ((|BalancedBinaryTree| . |InnerEvalable|) 150044) ((|Plot| . |CoercibleTo|) 150018) ((|DirichletRing| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |Monoid|) T) ((|PlaneAlgebraicCurvePlot| . |CoercibleTo|) 149992) ((|OrdinaryWeightedPolynomials| . |SetCategory|) T) ((|OrderedCompletion| . |Rng|) 149962) ((|AlgebraicFunctionField| . |LeftModule|) 149890) ((|DoubleFloat| . |UniqueFactorizationDomain|) T) ((|Fraction| . |Rng|) T) ((|String| . |Collection|) 149865) ((|Quaternion| . |EntireRing|) 149808) ((|DoubleFloat| . |IntegralDomain|) T) ((|U32Vector| . |ConvertibleTo|) 149783) ((|ExponentialOfUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 149767) ((|ExponentialOfUnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 149726) ((|U32Vector| . |CoercibleTo|) 149700) ((|Table| . |TableAggregate|) 149679) ((|RuleCalled| . |CoercibleTo|) 149653) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 149627) ((|PseudoAlgebraicClosureOfRationalNumber| . |RetractableTo|) 149571) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |RetractableTo|) 149464) ((|ListMultiDictionary| . |Collection|) 149448) ((|Library| . |Collection|) 149381) ((|Table| . |BagAggregate|) 149323) ((|HashTable| . |TableAggregate|) 149302) ((|HexadecimalExpansion| . |CharacteristicZero|) T) ((|HexadecimalExpansion| . |CharacteristicNonZero|) NIL) ((|SingleInteger| . |ConvertibleTo|) 149183) ((|FunctionCalled| . |CoercibleTo|) 149157) ((|DecimalExpansion| . |CharacteristicZero|) T) ((|DecimalExpansion| . |CharacteristicNonZero|) NIL) ((|SingleInteger| . |CoercibleTo|) 149131) ((|Any| . |BasicType|) T) ((|UnivariateLaurentSeries| . |LinearlyExplicitRingOver|) 149061) ((|HashTable| . |BagAggregate|) 149003) ((|QuadraticForm| . |AbelianMonoid|) T) ((|XRecursivePolynomial| . |Algebra|) 148960) ((|SparseUnivariatePolynomial| . |SemiGroup|) T) ((|SparseMultivariatePolynomial| . |SemiGroup|) T) ((|RomanNumeral| . |UniqueFactorizationDomain|) T) ((|SparseUnivariateSkewPolynomial| . |SemiGroup|) T) ((|Polynomial| . |UniqueFactorizationDomain|) 148910) ((|U16Vector| . |HomogeneousAggregate|) 148887) ((|HomogeneousDistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 148837) ((|MultivariatePolynomial| . |OrderedSet|) 148808) ((|RomanNumeral| . |IntegralDomain|) T) ((|U16Matrix| . |TwoDimensionalArrayCategory|) 148757) ((|Polynomial| . |IntegralDomain|) 148643) ((|SparseUnivariatePolynomial| . |AbelianMonoid|) T) ((|SparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |IntegralDomain|) 148529) ((|SquareMatrix| . |Module|) 148436) ((|SquareFreeRegularTriangularSet| . |InnerEvalable|) 148355) ((|Result| . |ConvertibleTo|) NIL) ((|Result| . |CoercibleTo|) 148329) ((|IntegerMod| . |RightModule|) 148316) ((|OrdinaryWeightedPolynomials| . |Module|) 148273) ((|IntegerMod| . |BiModule|) 148258) ((|UnivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|TaylorSeries| . |AbelianMonoidRing|) 148210) ((|DirectProductModule| . |CancellationAbelianMonoid|) T) ((|DirectProductMatrixModule| . |CancellationAbelianMonoid|) T) ((|SExpression| . |SetCategory|) T) ((|RadicalFunctionField| . |SetCategory|) T) ((|Asp12| . |CoercibleTo|) 148184) ((|SparseUnivariateLaurentSeries| . |OrderedSet|) NIL) ((|RealClosure| . |OrderedAbelianMonoid|) T) ((|RealClosure| . |OrderedCancellationAbelianMonoid|) T) ((|UnivariateTaylorSeries| . |AbelianGroup|) T) ((|MyExpression| . |RightModule|) 148072) ((|UnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|AlgebraicFunctionField| . |LeftOreRing|) T) ((|PAdicInteger| . |LeftModule|) 148059) ((|UnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeries| . |AbelianGroup|) T) ((|UnivariateLaurentSeries| . |AbelianSemiGroup|) T) ((|UnivariateFormalPowerSeries| . |AbelianSemiGroup|) T) ((|UnivariateFormalPowerSeries| . |AbelianGroup|) T) ((|RegularTriangularSet| . |Collection|) 148043) ((|PAdicRationalConstructor| . |OrderedIntegralDomain|) 148003) ((|PAdicRationalConstructor| . |PrincipalIdealDomain|) T) ((|MyExpression| . |BiModule|) 147859) ((|ModMonic| . |Eltable|) 147762) ((|InnerTaylorSeries| . |AbelianGroup|) T) ((|InnerTaylorSeries| . |AbelianSemiGroup|) T) ((|InnerSparseUnivariatePowerSeries| . |AbelianGroup|) T) ((|AlgebraicFunctionField| . |Monoid|) T) ((|Dequeue| . |InnerEvalable|) 147681) ((|InnerSparseUnivariatePowerSeries| . |AbelianSemiGroup|) T) ((|GeneralTriangularSet| . |Collection|) 147665) ((|GeneralPolynomialSet| . |Collection|) 147649) ((|PositiveInteger| . |Monoid|) T) ((|NonNegativeInteger| . |OrderedAbelianMonoidSup|) T) ((|NonNegativeInteger| . |OrderedAbelianSemiGroup|) T) ((|IndexCard| . |SetCategory|) T) ((|NonNegativeInteger| . |Monoid|) T) ((|DoubleFloat| . |Field|) T) ((|Stream| . |SetCategory|) 147619) ((|PAdicRational| . |UniqueFactorizationDomain|) T) ((|LinearOrdinaryDifferentialOperator2| . |CoercibleTo|) 147593) ((|PAdicRational| . |IntegralDomain|) T) ((|MachineComplex| . |Finite|) NIL) ((|FiniteFieldExtension| . |VectorSpace|) 147577) ((|LieSquareMatrix| . |BasicType|) T) ((|FiniteFieldNormalBasisExtension| . |VectorSpace|) 147561) ((|FiniteFieldCyclicGroupExtension| . |VectorSpace|) 147545) ((|XPolynomialRing| . |SetCategory|) T) ((|IndexedList| . |OrderedSet|) 147516) ((|UnivariateTaylorSeriesCZero| . |RightModule|) 147349) ((|OrdinaryDifferentialRing| . |GcdDomain|) 147325) ((|RegularChain| . |SetCategory|) T) ((|RegularChain| . |RegularTriangularSetCategory|) 147160) ((|RegularTriangularSet| . |PolynomialSetCategory|) 147129) ((|OrderedFreeMonoid| . |SemiGroup|) T) ((|RadicalFunctionField| . |Module|) 147057) ((|UnivariateTaylorSeriesCZero| . |BiModule|) 146858) ((|DirichletRing| . |CancellationAbelianMonoid|) T) ((|FreeMonoid| . |SemiGroup|) T) ((|GeneralTriangularSet| . |PolynomialSetCategory|) 146827) ((|GeneralPolynomialSet| . |PolynomialSetCategory|) 146796) ((|Places| . |SetCategoryWithDegree|) T) ((|Bits| . |Collection|) 146773) ((|Asp34| . |CoercibleTo|) 146747) ((|PoincareBirkhoffWittLyndonBasis| . |CoercibleTo|) 146721) ((|SimpleAlgebraicExtension| . |MonogenicAlgebra|) 146700) ((|MyExpression| . |Ring|) T) ((|IntegerMod| . |Ring|) T) ((|U16Vector| . |Eltable|) 146665) ((|PAdicInteger| . |LeftOreRing|) T) ((|OrderlyDifferentialPolynomial| . |LinearlyExplicitRingOver|) 146581) ((|Equation| . |Rng|) 146501) ((|Complex| . |UniqueFactorizationDomain|) 146347) ((|DoubleFloat| . |SemiGroup|) T) ((|FreeAbelianMonoid| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |QuotientFieldCategory|) 146271) ((|OrderedCompletion| . |SetCategory|) T) ((|MyExpression| . |DivisionRing|) 146238) ((|SparseMultivariateTaylorSeries| . |MultivariateTaylorSeriesCategory|) 146217) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |RightModule|) 146038) ((|UnivariatePuiseuxSeriesConstructor| . |PrincipalIdealDomain|) 146014) ((|PAdicInteger| . |Monoid|) T) ((|Complex| . |IntegralDomain|) 145883) ((|UnivariateLaurentSeriesConstructor| . |PrincipalIdealDomain|) 145859) ((|InnerPAdicInteger| . |LeftModule|) 145846) ((|Fraction| . |SetCategory|) T) ((|Integer| . |LeftModule|) 145833) ((|DrawOption| . |SetCategory|) T) ((|InnerAlgebraicNumber| . |LeftModule|) 145787) ((|DoubleFloat| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedIntegralDomain|) 145718) ((|ProjectivePlane| . |SetCategory|) T) ((|XPolynomial| . |BasicType|) T) ((|FiniteField| . |ExtensionField|) 145687) ((|XPBWPolynomial| . |BasicType|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |BiModule|) 145438) ((|Character| . |CoercibleTo|) 145412) ((|QuadraticForm| . |CancellationAbelianMonoid|) T) ((|AlgebraGivenByStructuralConstants| . |BasicType|) T) ((|DirectProduct| . |OrderedSet|) 145336) ((|XPolynomialRing| . |Module|) 145293) ((|UnivariatePolynomial| . |UniqueFactorizationDomain|) 145243) ((|BalancedBinaryTree| . |HomogeneousAggregate|) 145227) ((|UnivariatePolynomial| . |IntegralDomain|) 145090) ((|U16Vector| . |OneDimensionalArrayAggregate|) 145067) ((|SequentialDifferentialPolynomial| . |AbelianMonoidRing|) 144984) ((|RomanNumeral| . |SemiGroup|) T) ((|Polynomial| . |SemiGroup|) T) ((|BinaryTree| . |Aggregate|) T) ((|BinarySearchTree| . |Aggregate|) T) ((|U8Vector| . |Aggregate|) T) ((|U32Vector| . |EltableAggregate|) 144949) ((|NewSparseUnivariatePolynomial| . |AbelianMonoidRing|) 144910) ((|NewSparseMultivariatePolynomial| . |AbelianMonoidRing|) 144868) ((|U16Vector| . |IndexedAggregate|) 144833) ((|SparseUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteField| . |Finite|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |SemiGroup|) T) ((|SparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|RomanNumeral| . |AbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianMonoidRing|) 144812) ((|PAdicRational| . |Field|) T) ((|SparseUnivariateSkewPolynomial| . |CancellationAbelianMonoid|) T) ((|CliffordAlgebra| . |BasicType|) T) ((|MyUnivariatePolynomial| . |GcdDomain|) 144707) ((|Polynomial| . |AbelianMonoid|) T) ((|Interval| . |IntegralDomain|) T) ((|OrderlyDifferentialPolynomial| . |AbelianSemiGroup|) T) ((|OrderlyDifferentialPolynomial| . |AbelianGroup|) T) ((|SquareMatrix| . |InnerEvalable|) 144626) ((|IntegrationResult| . |RetractableTo|) 144610) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasis| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |Ring|) T) ((|TaylorSeries| . |PartialDifferentialRing|) 144588) ((|LieSquareMatrix| . |Evalable|) 144512) ((|UnivariateTaylorSeriesCZero| . |DifferentialRing|) 144449) ((|SplitHomogeneousDirectProduct| . |VectorSpace|) 144416) ((|MachineFloat| . |LeftModule|) 144370) ((|RadixExpansion| . |OrderedSet|) T) ((|RadicalFunctionField| . |CommutativeRing|) T) ((|PolynomialRing| . |CharacteristicNonZero|) 144330) ((|AssociatedLieAlgebra| . |SetCategory|) T) ((|AssociatedJordanAlgebra| . |SetCategory|) T) ((|PolynomialRing| . |CharacteristicZero|) 144293) ((|PseudoAlgebraicClosureOfFiniteField| . |PrincipalIdealDomain|) T) ((|MonoidRing| . |CharacteristicZero|) 144256) ((|MonoidRing| . |CharacteristicNonZero|) 144216) ((|Partition| . |OrderedSet|) T) ((|NeitherSparseOrDensePowerSeries| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |PrincipalIdealDomain|) 144192) ((|Expression| . |RightModule|) 144054) ((|ExponentialExpansion| . |RightModule|) 143926) ((|Quaternion| . |Eltable|) 143879) ((|SparseUnivariatePolynomialExpressions| . |PolynomialFactorizationExplicit|) 143829) ((|Fraction| . |Module|) 143770) ((|MachineInteger| . |OrderedRing|) T) ((|InfinitlyClosePoint| . |SetCategoryWithDegree|) T) ((|InfClsPt| . |SetCategory|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |FiniteAbelianMonoidRing|) 143660) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Ring|) T) ((|InnerPAdicInteger| . |LeftOreRing|) T) ((|Expression| . |BiModule|) 143490) ((|ExponentialExpansion| . |BiModule|) 143261) ((|Integer| . |LeftOreRing|) T) ((|InnerAlgebraicNumber| . |LeftOreRing|) T) ((|SparseUnivariatePolynomialExpressions| . |LeftModule|) 143158) ((|Product| . |BasicType|) T) ((|OrderedDirectProduct| . |BasicType|) 142850) ((|ModMonic| . |ConvertibleTo|) NIL) ((|ModMonic| . |CoercibleTo|) 142824) ((|Result| . |EltableAggregate|) 142794) ((|LinearOrdinaryDifferentialOperator| . |RetractableTo|) 142638) ((|PseudoAlgebraicClosureOfRationalNumber| . |EuclideanDomain|) T) ((|InnerPAdicInteger| . |Monoid|) T) ((|Integer| . |OrderedAbelianSemiGroup|) T) ((|Integer| . |OrderedAbelianGroup|) T) ((|Complex| . |Field|) 142572) ((|Integer| . |Monoid|) T) ((|InnerAlgebraicNumber| . |Monoid|) T) ((|Divisor| . |RetractableTo|) 142556) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |EuclideanDomain|) T) ((|SquareFreeRegularTriangularSet| . |HomogeneousAggregate|) 142540) ((|SequentialDifferentialPolynomial| . |PatternMatchable|) NIL) ((|PAdicRational| . |SemiGroup|) T) ((|BalancedPAdicRational| . |PolynomialFactorizationExplicit|) NIL) ((|XPolynomial| . |XPolynomialsCat|) 142513) ((|XPBWPolynomial| . |XPolynomialsCat|) 142492) ((|NewSparseUnivariatePolynomial| . |PatternMatchable|) NIL) ((|NewSparseMultivariatePolynomial| . |PatternMatchable|) 142271) ((|XDistributedPolynomial| . |AbelianSemiGroup|) T) ((|XDistributedPolynomial| . |AbelianGroup|) T) ((|Tuple| . |BasicType|) 142241) ((|SimpleFortranProgram| . |FortranProgramCategory|) T) ((|LaurentPolynomial| . |LeftModule|) 142228) ((|GeneralDistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|ThreeDimensionalMatrix| . |BasicType|) 142198) ((|SequentialDifferentialPolynomial| . |RetractableTo|) 141912) ((|PAdicRational| . |AbelianMonoid|) T) ((|NewSparseUnivariatePolynomial| . |RetractableTo|) 141678) ((|NewSparseMultivariatePolynomial| . |RetractableTo|) 141458) ((|BalancedPAdicRational| . |LeftModule|) 141374) ((|GeneralDistributedMultivariatePolynomial| . |RetractableTo|) 141181) ((|ListMonoidOps| . |RetractableTo|) 141165) ((|LieExponentials| . |BasicType|) T) ((|Dequeue| . |HomogeneousAggregate|) 141149) ((|Vector| . |Aggregate|) T) ((|AssociatedLieAlgebra| . |Module|) 141133) ((|AssociatedJordanAlgebra| . |Module|) 141117) ((|LieSquareMatrix| . |Algebra|) 141062) ((|MachineFloat| . |LeftOreRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |BasicType|) T) ((|DoubleFloatMatrix| . |SetCategory|) T) ((|ComplexDoubleFloatMatrix| . |SetCategory|) T) ((|Asp78| . |CoercibleTo|) 141036) ((|AntiSymm| . |RetractableTo|) 141020) ((|SingleInteger| . |RightModule|) 141007) ((|SequentialDifferentialPolynomial| . |FullyLinearlyExplicitRingOver|) 140991) ((|NewSparseUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140975) ((|TwoDimensionalArray| . |TwoDimensionalArrayCategory|) 140901) ((|MachineFloat| . |OrderedAbelianSemiGroup|) T) ((|MachineFloat| . |OrderedAbelianGroup|) T) ((|InnerPrimeField| . |RetractableTo|) 140888) ((|InnerFiniteField| . |RetractableTo|) 140852) ((|MachineFloat| . |Monoid|) T) ((|FreeAbelianMonoid| . |CancellationAbelianMonoid|) T) ((|Expression| . |Ring|) 140684) ((|ExponentialExpansion| . |Ring|) T) ((|Complex| . |SemiGroup|) T) ((|NewSparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140668) ((|AssociationList| . |Collection|) 140610) ((|RadixExpansion| . |QuotientFieldCategory|) 140587) ((|U16Vector| . |ConvertibleTo|) 140562) ((|U16Vector| . |CoercibleTo|) 140536) ((|GeneralDistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140520) ((|Fraction| . |CommutativeRing|) T) ((|Expression| . |DivisionRing|) 140487) ((|ExponentialExpansion| . |DivisionRing|) T) ((|ExponentialExpansion| . |DifferentialRing|) NIL) ((|Equation| . |SetCategory|) 140184) ((|DoubleFloat| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |BiModule|) 140169) ((|Complex| . |AbelianMonoid|) T) ((|Octonion| . |CharacteristicZero|) 140132) ((|Octonion| . |CharacteristicNonZero|) 140092) ((|DirectProductModule| . |LinearlyExplicitRingOver|) 139964) ((|DirectProductMatrixModule| . |LinearlyExplicitRingOver|) 139836) ((|SparseUnivariatePolynomialExpressions| . |LeftOreRing|) 139731) ((|ExponentialOfUnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 139680) ((|SparseUnivariatePolynomialExpressions| . |Monoid|) T) ((|Stream| . |InnerEvalable|) 139599) ((|ThreeSpace| . |SetCategory|) T) ((|DoubleFloat| . |RealNumberSystem|) T) ((|OrderedDirectProduct| . |Evalable|) 139523) ((|SequentialDifferentialPolynomial| . |PartialDifferentialRing|) 139401) ((|NewSparseUnivariatePolynomial| . |PartialDifferentialRing|) 139299) ((|NewSparseMultivariatePolynomial| . |PartialDifferentialRing|) 139283) ((|XPolynomial| . |Algebra|) 139240) ((|XPBWPolynomial| . |Algebra|) 139197) ((|UnivariatePolynomial| . |SemiGroup|) T) ((|UnivariateSkewPolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |LeftOreRing|) 139173) ((|GeneralDistributedMultivariatePolynomial| . |PartialDifferentialRing|) 139133) ((|OrdSetInts| . |SetCategory|) T) ((|BalancedPAdicRational| . |LeftOreRing|) T) ((|UnivariatePolynomial| . |AbelianMonoid|) T) ((|Interval| . |SemiGroup|) T) ((|UnivariateSkewPolynomial| . |AbelianMonoid|) T) ((|LaurentPolynomial| . |Monoid|) T) ((|FiniteFieldExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|EuclideanModularRing| . |BasicType|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|RomanNumeral| . |CancellationAbelianMonoid|) T) ((|Polynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |OrderedAbelianSemiGroup|) NIL) ((|BalancedPAdicRational| . |OrderedAbelianGroup|) NIL) ((|BalancedPAdicRational| . |Monoid|) T) ((|MachineComplex| . |PolynomialFactorizationExplicit|) NIL) ((|RegularChain| . |InnerEvalable|) 138827) ((|HomogeneousDistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|Interval| . |AbelianMonoid|) T) ((|ThreeDimensionalMatrix| . |Evalable|) 138751) ((|AssociatedLieAlgebra| . |NonAssociativeRng|) T) ((|AssociatedJordanAlgebra| . |NonAssociativeRng|) T) ((|UnivariateLaurentSeries| . |OrderedSet|) NIL) ((|RadicalFunctionField| . |EntireRing|) T) ((|DirectProductModule| . |AbelianGroup|) T) ((|MachineComplex| . |LeftModule|) 138680) ((|FiniteFieldNormalBasis| . |SetCategory|) T) ((|DirectProductModule| . |AbelianSemiGroup|) T) ((|DirectProductMatrixModule| . |AbelianGroup|) T) ((|DirectProductMatrixModule| . |AbelianSemiGroup|) T) ((|CliffordAlgebra| . |Algebra|) 138664) ((|Record| . |BasicType|) T) ((|PrimeField| . |PrincipalIdealDomain|) T) ((|HomogeneousDirectProduct| . |VectorSpace|) 138631) ((|DeRhamComplex| . |RetractableTo|) 138600) ((|SingleInteger| . |Ring|) T) ((|ModularField| . |EuclideanDomain|) T) ((|Equation| . |Module|) 138529) ((|MachineInteger| . |Rng|) T) ((|HexadecimalExpansion| . |GcdDomain|) T) ((|Fraction| . |InnerEvalable|) 138418) ((|DecimalExpansion| . |GcdDomain|) T) ((|SingleInteger| . |DifferentialRing|) T) ((|EqTable| . |Collection|) 138360) ((|Quaternion| . |ConvertibleTo|) 138296) ((|Quaternion| . |CoercibleTo|) 138270) ((|QueryEquation| . |CoercibleTo|) 138244) ((|BalancedPAdicInteger| . |Rng|) T) ((|LinearOrdinaryDifferentialOperator2| . |RightModule|) 138228) ((|DoubleFloat| . |HyperbolicFunctionCategory|) T) ((|GuessOption| . |CoercibleTo|) 138202) ((|FullPartialFractionExpansion| . |CoercibleTo|) 138176) ((|FullPartialFractionExpansion| . |ConvertibleTo|) 138147) ((|RectangularMatrix| . |VectorSpace|) 138114) ((|LinearOrdinaryDifferentialOperator2| . |BiModule|) 138093) ((|SquareMatrix| . |HomogeneousAggregate|) 138077) ((|OrderedDirectProduct| . |Algebra|) 138034) ((|Asp19| . |FortranVectorFunctionCategory|) T) ((|Asp19| . |FortranProgramCategory|) T) ((|StringTable| . |BasicType|) T) ((|PAdicRational| . |CancellationAbelianMonoid|) T) ((|Heap| . |BasicType|) 138004) ((|IntegerMod| . |Finite|) T) ((|MyUnivariatePolynomial| . |PolynomialCategory|) 137939) ((|SimpleAlgebraicExtension| . |BasicType|) T) ((|RightOpenIntervalRootCharacterization| . |BasicType|) T) ((|FiniteFieldNormalBasis| . |Module|) 137865) ((|MultivariatePolynomial| . |CharacteristicZero|) 137828) ((|MultivariatePolynomial| . |CharacteristicNonZero|) 137788) ((|RealClosure| . |LeftModule|) 137709) ((|IndexedMatrix| . |SetCategory|) 137679) ((|FiniteFieldExtension| . |BasicType|) T) ((|FiniteFieldNormalBasisExtension| . |BasicType|) T) ((|MachineComplex| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtension| . |BasicType|) T) ((|DirichletRing| . |AbelianGroup|) T) ((|DirichletRing| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |BasicType|) T) ((|PolynomialIdeals| . |SetCategory|) T) ((|FiniteField| . |LeftModule|) 137605) ((|SparseUnivariatePolynomial| . |LinearlyExplicitRingOver|) 137521) ((|SparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 137437) ((|FreeModule| . |IndexedDirectProductCategory|) 137416) ((|OnePointCompletion| . |OrderedRing|) 137386) ((|Float| . |UniqueFactorizationDomain|) T) ((|MachineComplex| . |Monoid|) T) ((|FortranExpression| . |Rng|) T) ((|UnivariateLaurentSeries| . |QuotientFieldCategory|) 137316) ((|ContinuedFraction| . |Rng|) T) ((|BalancedBinaryTree| . |CoercibleTo|) 137267) ((|SparseUnivariateTaylorSeries| . |CharacteristicNonZero|) 137227) ((|SparseUnivariateTaylorSeries| . |CharacteristicZero|) 137190) ((|Float| . |IntegralDomain|) T) ((|SparseUnivariatePuiseuxSeries| . |CharacteristicZero|) 137153) ((|SparseUnivariatePuiseuxSeries| . |CharacteristicNonZero|) 137113) ((|SparseUnivariateLaurentSeries| . |CharacteristicNonZero|) 136957) ((|Fraction| . |EntireRing|) T) ((|SparseUnivariateLaurentSeries| . |CharacteristicZero|) 136807) ((|SparseMultivariateTaylorSeries| . |CharacteristicZero|) 136770) ((|SparseMultivariateTaylorSeries| . |CharacteristicNonZero|) 136730) ((|ExponentialOfUnivariatePuiseuxSeries| . |Algebra|) 136518) ((|Complex| . |CancellationAbelianMonoid|) T) ((|ExponentialExpansion| . |OrderedCancellationAbelianMonoid|) NIL) ((|ExponentialExpansion| . |OrderedAbelianMonoid|) NIL) ((|LinearOrdinaryDifferentialOperator2| . |Ring|) T) ((|AlgebraicNumber| . |LeftModule|) 136472) ((|QuadraticForm| . |AbelianGroup|) T) ((|BinaryTree| . |RecursiveAggregate|) 136456) ((|BinarySearchTree| . |RecursiveAggregate|) 136440) ((|QuadraticForm| . |AbelianSemiGroup|) T) ((|PendantTree| . |BinaryRecursiveAggregate|) 136424) ((|String| . |BasicType|) T) ((|UnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |OrderedSet|) 136395) ((|U16Vector| . |EltableAggregate|) 136360) ((|SparseUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|SparseUnivariatePolynomial| . |AbelianGroup|) T) ((|StringTable| . |Evalable|) 136102) ((|Stream| . |HomogeneousAggregate|) 136086) ((|UnivariateSkewPolynomial| . |CancellationAbelianMonoid|) T) ((|SparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|SparseMultivariatePolynomial| . |AbelianGroup|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianSemiGroup|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianGroup|) T) ((|NewSparseUnivariatePolynomial| . |EuclideanDomain|) 136062) ((|AffineSpace| . |AffineSpaceCategory|) 136046) ((|SparseTable| . |Collection|) 135988) ((|SquareFreeRegularTriangularSet| . |CoercibleTo|) 135940) ((|ListMultiDictionary| . |BasicType|) 135910) ((|Library| . |BasicType|) T) ((|SquareFreeRegularTriangularSet| . |ConvertibleTo|) 135846) ((|Interval| . |CancellationAbelianMonoid|) T) ((|LocalAlgebra| . |OrderedRing|) 135816) ((|RealClosure| . |OrderedAbelianGroup|) T) ((|RealClosure| . |OrderedAbelianSemiGroup|) T) ((|RealClosure| . |LeftOreRing|) T) ((|RealClosure| . |Monoid|) T) ((|Heap| . |Evalable|) 135740) ((|GenericNonAssociativeAlgebra| . |FramedNonAssociativeAlgebra|) 135696) ((|FiniteFieldNormalBasis| . |CommutativeRing|) T) ((|DoubleFloatMatrix| . |InnerEvalable|) NIL) ((|ComplexDoubleFloatMatrix| . |InnerEvalable|) NIL) ((|EuclideanModularRing| . |Algebra|) 135683) ((|e04ucfAnnaType| . |BasicType|) T) ((|e04nafAnnaType| . |BasicType|) T) ((|e04mbfAnnaType| . |BasicType|) T) ((|e04jafAnnaType| . |BasicType|) T) ((|e04gcfAnnaType| . |BasicType|) T) ((|e04fdfAnnaType| . |BasicType|) T) ((|e04dgfAnnaType| . |BasicType|) T) ((|d03fafAnnaType| . |BasicType|) T) ((|FiniteFieldCyclicGroup| . |RetractableTo|) 135652) ((|d03eefAnnaType| . |BasicType|) T) ((|d02ejfAnnaType| . |BasicType|) T) ((|d02cjfAnnaType| . |BasicType|) T) ((|d02bhfAnnaType| . |BasicType|) T) ((|d02bbfAnnaType| . |BasicType|) T) ((|FiniteField| . |LeftOreRing|) T) ((|d01TransformFunctionType| . |BasicType|) T) ((|d01gbfAnnaType| . |BasicType|) T) ((|ModMonic| . |RightModule|) 135386) ((|d01fcfAnnaType| . |BasicType|) T) ((|d01asfAnnaType| . |BasicType|) T) ((|d01aqfAnnaType| . |BasicType|) T) ((|d01apfAnnaType| . |BasicType|) T) ((|d01anfAnnaType| . |BasicType|) T) ((|d01amfAnnaType| . |BasicType|) T) ((|d01alfAnnaType| . |BasicType|) T) ((|d01akfAnnaType| . |BasicType|) T) ((|d01ajfAnnaType| . |BasicType|) T) ((|FiniteField| . |Monoid|) T) ((|ModMonic| . |BiModule|) 135088) ((|LieSquareMatrix| . |DifferentialExtension|) 135072) ((|InnerPrimeField| . |EuclideanDomain|) T) ((|InnerFiniteField| . |EuclideanDomain|) T) ((|Equation| . |InnerEvalable|) 135004) ((|BinaryExpansion| . |Evalable|) NIL) ((|Asp33| . |FortranProgramCategory|) T) ((|SplitHomogeneousDirectProduct| . |BasicType|) 134696) ((|OnePointCompletion| . |FullyRetractableTo|) 134680) ((|SingleInteger| . |OrderedCancellationAbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianMonoid|) T) ((|MachineInteger| . |SetCategory|) T) ((|AlgebraicNumber| . |LeftOreRing|) T) ((|Float| . |Field|) T) ((|Complex| . |HyperbolicFunctionCategory|) 134631) ((|Dequeue| . |CoercibleTo|) 134582) ((|CardinalNumber| . |SetCategory|) T) ((|BalancedPAdicInteger| . |SetCategory|) T) ((|AlgebraicNumber| . |Monoid|) T) ((|RegularChain| . |HomogeneousAggregate|) 134501) ((|CharacterClass| . |FiniteSetAggregate|) 134476) ((|CharacterClass| . |Finite|) T) ((|RegularTriangularSet| . |BasicType|) T) ((|IndexedDirectProductObject| . |IndexedDirectProductCategory|) 134455) ((|GeneralTriangularSet| . |BasicType|) T) ((|GeneralPolynomialSet| . |BasicType|) T) ((|ResidueRing| . |SemiGroup|) T) ((|MyUnivariatePolynomial| . |UnivariatePolynomialCategory|) 134439) ((|SparseUnivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 134388) ((|SparseUnivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 134337) ((|SparseUnivariateTaylorSeries| . |TrigonometricFunctionCategory|) 134286) ((|SparseUnivariateTaylorSeries| . |TranscendentalFunctionCategory|) 134235) ((|SparseUnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 134184) ((|String| . |Evalable|) NIL) ((|Asp9| . |FortranFunctionCategory|) T) ((|Asp9| . |FortranProgramCategory|) T) ((|SimpleAlgebraicExtension| . |StepThrough|) 134146) ((|SparseUnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 134095) ((|SparseUnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 134044) ((|ResidueRing| . |AbelianMonoid|) T) ((|SparseUnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 133993) ((|Interval| . |HyperbolicFunctionCategory|) T) ((|SparseUnivariateLaurentSeries| . |TranscendentalFunctionCategory|) 133942) ((|SparseUnivariateLaurentSeries| . |TrigonometricFunctionCategory|) 133891) ((|SparseUnivariateLaurentSeries| . |ArcTrigonometricFunctionCategory|) 133840) ((|SparseUnivariateLaurentSeries| . |ArcHyperbolicFunctionCategory|) 133789) ((|FreeGroup| . |SemiGroup|) T) ((|FiniteFieldExtension| . |StepThrough|) 133764) ((|FiniteFieldNormalBasisExtension| . |StepThrough|) 133739) ((|FiniteFieldCyclicGroupExtension| . |StepThrough|) 133714) ((|SparseMultivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 133663) ((|SparseMultivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 133612) ((|SparseMultivariateTaylorSeries| . |TrigonometricFunctionCategory|) 133561) ((|BinaryExpansion| . |StepThrough|) T) ((|SparseMultivariateTaylorSeries| . |TranscendentalFunctionCategory|) 133510) ((|OnePointCompletion| . |Rng|) 133480) ((|ListMultiDictionary| . |Evalable|) 133404) ((|Library| . |Evalable|) 133210) ((|SimpleAlgebraicExtension| . |Algebra|) 133033) ((|ModMonic| . |Ring|) T) ((|RomanNumeral| . |LinearlyExplicitRingOver|) 133010) ((|RadixExpansion| . |CharacteristicZero|) T) ((|Polynomial| . |LinearlyExplicitRingOver|) 132926) ((|HTMLFormat| . |SetCategory|) T) ((|RadixExpansion| . |CharacteristicNonZero|) NIL) ((|Float| . |SemiGroup|) T) ((|FreeAbelianMonoid| . |AbelianSemiGroup|) T) ((|FreeAbelianGroup| . |AbelianMonoid|) T) ((|Point| . |OrderedSet|) 132897) ((|ModMonic| . |FiniteAbelianMonoidRing|) 132858) ((|HomogeneousDistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 132774) ((|AlgebraicFunctionField| . |RetractableTo|) 132579) ((|MachineInteger| . |Module|) 132566) ((|ModMonic| . |DifferentialRing|) T) ((|FortranExpression| . |SetCategory|) T) ((|ContinuedFraction| . |SetCategory|) T) ((|FourierComponent| . |OrderedSet|) T) ((|Factored| . |GcdDomain|) 132490) ((|Float| . |AbelianMonoid|) T) ((|FiniteFieldExtension| . |Algebra|) 132444) ((|FiniteFieldNormalBasisExtension| . |Algebra|) 132398) ((|FiniteFieldCyclicGroupExtension| . |Algebra|) 132352) ((|Asp55| . |FortranVectorFunctionCategory|) T) ((|Asp55| . |FortranProgramCategory|) T) ((|DoubleFloat| . |AbelianSemiGroup|) T) ((|DoubleFloat| . |AbelianGroup|) T) ((|Operator| . |SemiGroup|) T) ((|BinaryExpansion| . |Algebra|) 132286) ((|OppositeMonogenicLinearOperator| . |SemiGroup|) T) ((|None| . |SetCategory|) T) ((|BalancedPAdicInteger| . |Module|) 132273) ((|LyndonWord| . |RetractableTo|) 132257) ((|Kernel| . |BasicType|) T) ((|Operator| . |AbelianMonoid|) T) ((|OppositeMonogenicLinearOperator| . |AbelianMonoid|) T) ((|U8Matrix| . |BasicType|) T) ((|Stream| . |Eltable|) 132229) ((|SplitHomogeneousDirectProduct| . |Evalable|) 132153) ((|Set| . |DictionaryOperations|) 132137) ((|Asp1| . |FortranFunctionCategory|) T) ((|Asp1| . |FortranProgramCategory|) T) ((|Bits| . |BasicType|) T) ((|AlgebraicFunctionField| . |FullyLinearlyExplicitRingOver|) 132108) ((|AffineSpace| . |SetCategory|) T) ((|U32Vector| . |LinearAggregate|) 132085) ((|LinearOrdinaryDifferentialOperator1| . |UnivariateSkewPolynomialCategory|) 132069) ((|U32Vector| . |FiniteLinearAggregate|) 132046) ((|RomanNumeral| . |AbelianGroup|) T) ((|RomanNumeral| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |DifferentialExtension|) 132014) ((|Polynomial| . |AbelianSemiGroup|) T) ((|Polynomial| . |AbelianGroup|) T) ((|LocalAlgebra| . |Rng|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|RegularTriangularSet| . |Evalable|) 131938) ((|PatternMatchResult| . |CoercibleTo|) 131912) ((|PatternMatchListResult| . |CoercibleTo|) 131886) ((|DirectProductModule| . |OrderedSet|) 131810) ((|DirectProductMatrixModule| . |OrderedSet|) 131734) ((|IndexedMatrix| . |InnerEvalable|) 131653) ((|PAdicRational| . |LinearlyExplicitRingOver|) 131620) ((|GeneralTriangularSet| . |Evalable|) 131544) ((|GeneralPolynomialSet| . |Evalable|) 131468) ((|FiniteFieldNormalBasis| . |EntireRing|) T) ((|Stream| . |UnaryRecursiveAggregate|) 131452) ((|SquareMatrix| . |CoercibleTo|) 131402) ((|SquareMatrix| . |ConvertibleTo|) 131338) ((|SplittingNode| . |BasicType|) T) ((|Quaternion| . |RightModule|) 131212) ((|AlgebraicFunctionField| . |PartialDifferentialRing|) 131131) ((|Stream| . |IndexedAggregate|) 131103) ((|MyExpression| . |LeftModule|) 130991) ((|IntegerMod| . |LeftModule|) 130978) ((|RoutinesTable| . |Collection|) 130911) ((|PAdicRationalConstructor| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |BiModule|) 130753) ((|FortranExpression| . |Module|) 130737) ((|OrdinaryWeightedPolynomials| . |CoercibleTo|) 130711) ((|ContinuedFraction| . |Module|) 130626) ((|Fraction| . |Eltable|) 130579) ((|PAdicRationalConstructor| . |IntegralDomain|) T) ((|BinaryExpansion| . |FullyPatternMatchable|) 130556) ((|Asp77| . |FortranMatrixFunctionCategory|) T) ((|Asp77| . |FortranProgramCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |PrincipalIdealDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PrincipalIdealDomain|) T) ((|MachineInteger| . |CommutativeRing|) T) ((|Automorphism| . |Monoid|) T) ((|HomogeneousDirectProduct| . |BasicType|) 130248) ((|Automorphism| . |Group|) T) ((|BalancedPAdicInteger| . |CommutativeRing|) T) ((|SplitHomogeneousDirectProduct| . |Algebra|) 130205) ((|Complex| . |LinearlyExplicitRingOver|) 130121) ((|DoubleFloatMatrix| . |HomogeneousAggregate|) 130094) ((|ComplexDoubleFloatMatrix| . |HomogeneousAggregate|) 130055) ((|RectangularMatrix| . |BasicType|) T) ((|PAdicRational| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |DirectProductCategory|) 130034) ((|PAdicRational| . |AbelianGroup|) T) ((|OrderlyDifferentialVariable| . |BasicType|) T) ((|U8Matrix| . |Evalable|) NIL) ((|FramedModule| . |BasicType|) T) ((|FreeModule| . |BasicType|) T) ((|Bits| . |Evalable|) NIL) ((|DenavitHartenbergMatrix| . |BasicType|) 130004) ((|BinaryTree| . |Type|) T) ((|BinarySearchTree| . |Type|) T) ((|U8Vector| . |Type|) T) ((|ResidueRing| . |CancellationAbelianMonoid|) T) ((|LieSquareMatrix| . |FiniteRankNonAssociativeAlgebra|) 129988) ((|UnivariateTaylorSeriesCZero| . |LeftModule|) 129885) ((|IntegerMod| . |Monoid|) T) ((|UnivariateTaylorSeries| . |CharacteristicNonZero|) 129845) ((|UnivariateTaylorSeries| . |CharacteristicZero|) 129808) ((|Quaternion| . |Ring|) T) ((|UnivariatePuiseuxSeries| . |CharacteristicZero|) 129771) ((|UnivariatePolynomial| . |LinearlyExplicitRingOver|) 129687) ((|SExpression| . |CoercibleTo|) 129661) ((|RadicalFunctionField| . |CoercibleTo|) 129635) ((|MyExpression| . |LeftOreRing|) 129602) ((|InnerFreeAbelianMonoid| . |AbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |EuclideanDomain|) T) ((|IndexedDirectProductAbelianMonoid| . |AbelianMonoid|) T) ((|FreeAbelianGroup| . |CancellationAbelianMonoid|) T) ((|Union| . |SetCategory|) T) ((|RadicalFunctionField| . |ConvertibleTo|) 129586) ((|Quaternion| . |DivisionRing|) 129562) ((|Quaternion| . |DifferentialRing|) 129527) ((|UnivariatePuiseuxSeries| . |CharacteristicNonZero|) 129487) ((|UnivariatePuiseuxSeriesConstructor| . |UniqueFactorizationDomain|) 129463) ((|OnePointCompletion| . |SetCategory|) T) ((|UnivariateLaurentSeries| . |CharacteristicNonZero|) 129313) ((|UnivariateLaurentSeries| . |CharacteristicZero|) 129169) ((|UnivariateLaurentSeriesConstructor| . |UniqueFactorizationDomain|) 129145) ((|UnivariateFormalPowerSeries| . |CharacteristicNonZero|) 129105) ((|UnivariateFormalPowerSeries| . |CharacteristicZero|) 129068) ((|MyExpression| . |Group|) 129044) ((|MyExpression| . |Monoid|) T) ((|Float| . |CancellationAbelianMonoid|) T) ((|Integer| . |PatternMatchable|) 129021) ((|Enumeration| . |SetCategory|) T) ((|ContinuedFraction| . |CommutativeRing|) T) ((|Complex| . |AbelianGroup|) T) ((|Complex| . |AbelianSemiGroup|) T) ((|AnonymousFunction| . |SetCategory|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |LeftModule|) 128842) ((|UnivariatePuiseuxSeriesConstructor| . |IntegralDomain|) 128781) ((|ModuleOperator| . |SemiGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |IntegralDomain|) 128720) ((|Integer| . |RetractableTo|) 128697) ((|InnerSparseUnivariatePowerSeries| . |CharacteristicZero|) 128660) ((|InnerSparseUnivariatePowerSeries| . |CharacteristicNonZero|) 128620) ((|InnerAlgebraicNumber| . |RetractableTo|) 128543) ((|Asp80| . |FortranMatrixFunctionCategory|) T) ((|Asp80| . |FortranProgramCategory|) T) ((|PAdicRationalConstructor| . |Field|) T) ((|SparseUnivariatePolynomialExpressions| . |AbelianMonoidRing|) 128504) ((|Operator| . |CancellationAbelianMonoid|) T) ((|OppositeMonogenicLinearOperator| . |CancellationAbelianMonoid|) T) ((|ModuleOperator| . |AbelianMonoid|) T) ((|IndexCard| . |CoercibleTo|) 128478) ((|XRecursivePolynomial| . |Rng|) T) ((|Float| . |RealNumberSystem|) T) ((|Reference| . |SetCategory|) 128448) ((|PendantTree| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Evalable|) 128372) ((|Stream| . |ConvertibleTo|) 128308) ((|Stream| . |CoercibleTo|) 128259) ((|DesingTree| . |Aggregate|) T) ((|SparseUnivariatePolynomial| . |OrderedSet|) 128230) ((|AssociationList| . |BasicType|) T) ((|SparseMultivariatePolynomial| . |OrderedSet|) 128201) ((|OrdinaryDifferentialRing| . |BasicType|) T) ((|UnivariatePolynomial| . |AbelianSemiGroup|) T) ((|UnivariatePolynomial| . |AbelianGroup|) T) ((|UnivariateSkewPolynomial| . |AbelianSemiGroup|) T) ((|AlgebraGivenByStructuralConstants| . |FiniteRankNonAssociativeAlgebra|) 128185) ((|UnivariateSkewPolynomial| . |AbelianGroup|) T) ((|MultivariatePolynomial| . |GcdDomain|) 128103) ((|XPolynomialRing| . |CoercibleTo|) 128077) ((|Interval| . |AbelianSemiGroup|) T) ((|Interval| . |AbelianGroup|) T) ((|FreeNilpotentLie| . |SetCategory|) T) ((|RectangularMatrix| . |Evalable|) 128001) ((|LocalAlgebra| . |SetCategory|) T) ((|MachineFloat| . |PatternMatchable|) 127980) ((|Vector| . |Type|) T) ((|DenavitHartenbergMatrix| . |Evalable|) 127904) ((|Character| . |Finite|) T) ((|RegularChain| . |ConvertibleTo|) 127775) ((|RegularChain| . |CoercibleTo|) 127662) ((|PseudoAlgebraicClosureOfFiniteField| . |UniqueFactorizationDomain|) T) ((|ExponentialExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|NeitherSparseOrDensePowerSeries| . |UniqueFactorizationDomain|) T) ((|UnivariateTaylorSeriesCZero| . |Monoid|) T) ((|MachineFloat| . |RetractableTo|) 127588) ((|ModularField| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |UniqueFactorizationDomain|) 127564) ((|SparseUnivariatePuiseuxSeries| . |GcdDomain|) 127540) ((|SparseUnivariateLaurentSeries| . |GcdDomain|) 127516) ((|PseudoAlgebraicClosureOfFiniteField| . |IntegralDomain|) T) ((|FortranCode| . |BasicType|) T) ((|NeitherSparseOrDensePowerSeries| . |IntegralDomain|) T) ((|PAdicRationalConstructor| . |SemiGroup|) T) ((|Expression| . |LeftModule|) 127243) ((|ExponentialExpansion| . |LeftModule|) 127115) ((|GeneralUnivariatePowerSeries| . |IntegralDomain|) 127054) ((|FortranExpression| . |InnerEvalable|) 127016) ((|InnerTable| . |Collection|) 126958) ((|AlgebraicFunctionField| . |EuclideanDomain|) T) ((|SparseUnivariatePolynomialExpressions| . |PatternMatchable|) NIL) ((|OrderedCompletion| . |CoercibleTo|) 126932) ((|MachineInteger| . |EntireRing|) T) ((|PAdicRationalConstructor| . |AbelianMonoid|) T) ((|Float| . |HyperbolicFunctionCategory|) T) ((|SimpleAlgebraicExtension| . |DifferentialExtension|) 126899) ((|IndexedDirectProductObject| . |BasicType|) T) ((|Fraction| . |ConvertibleTo|) 126587) ((|Fraction| . |CoercibleTo|) 126561) ((|DrawOption| . |CoercibleTo|) 126535) ((|BalancedPAdicInteger| . |EntireRing|) T) ((|SparseUnivariatePolynomialExpressions| . |RetractableTo|) 126345) ((|ProjectivePlane| . |CoercibleTo|) 126319) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Monoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Field|) 126295) ((|UnivariateLaurentSeriesConstructor| . |Field|) 126271) ((|WuWenTsunTriangularSet| . |Aggregate|) T) ((|BalancedPAdicRational| . |Type|) T) ((|BinaryExpansion| . |DifferentialExtension|) 126248) ((|SymmetricPolynomial| . |BasicType|) T) ((|Pi| . |SetCategory|) T) ((|IndexedMatrix| . |HomogeneousAggregate|) 126232) ((|MyUnivariatePolynomial| . |BasicType|) T) ((|Multiset| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Algebra|) 126189) ((|CharacterClass| . |Aggregate|) T) ((|BalancedPAdicRational| . |Patternable|) 126148) ((|BalancedPAdicRational| . |PatternMatchable|) NIL) ((|LaurentPolynomial| . |RetractableTo|) 125979) ((|List| . |OrderedSet|) 125950) ((|WeightedPolynomials| . |BasicType|) T) ((|EqTable| . |BasicType|) T) ((|ModMonic| . |Finite|) 125925) ((|BalancedPAdicRational| . |RetractableTo|) 125884) ((|FreeNilpotentLie| . |Module|) 125868) ((|SparseUnivariatePolynomialExpressions| . |FullyLinearlyExplicitRingOver|) 125852) ((|LocalAlgebra| . |Module|) 125836) ((|AssociationList| . |Evalable|) 125596) ((|OrderlyDifferentialPolynomial| . |CharacteristicNonZero|) 125556) ((|OrderlyDifferentialPolynomial| . |CharacteristicZero|) 125519) ((|XPolynomialRing| . |FreeModuleCat|) 125498) ((|OrderedFreeMonoid| . |OrderedSet|) T) ((|ThreeDimensionalViewport| . |SetCategory|) T) ((|UnivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 125447) ((|UnivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 125396) ((|UnivariateTaylorSeries| . |TrigonometricFunctionCategory|) 125345) ((|UnivariateTaylorSeries| . |TranscendentalFunctionCategory|) 125294) ((|UnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 125243) ((|StringTable| . |Dictionary|) 125179) ((|UnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 125128) ((|FreeMonoid| . |OrderedSet|) 125099) ((|UnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 125048) ((|UnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 124997) ((|UnivariatePuiseuxSeriesConstructor| . |SemiGroup|) T) ((|DoubleFloatMatrix| . |MatrixCategory|) 124926) ((|ComplexDoubleFloatMatrix| . |MatrixCategory|) 124829) ((|UnivariateLaurentSeries| . |TranscendentalFunctionCategory|) 124778) ((|UnivariateLaurentSeries| . |TrigonometricFunctionCategory|) 124727) ((|UnivariateLaurentSeries| . |ArcTrigonometricFunctionCategory|) 124676) ((|InnerFreeAbelianMonoid| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeries| . |ArcHyperbolicFunctionCategory|) 124625) ((|UnivariateFormalPowerSeries| . |TrigonometricFunctionCategory|) 124574) ((|UnivariateFormalPowerSeries| . |TranscendentalFunctionCategory|) 124523) ((|UnivariateLaurentSeriesConstructor| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |ArcHyperbolicFunctionCategory|) 124472) ((|AssociatedLieAlgebra| . |CoercibleTo|) 124433) ((|AssociatedJordanAlgebra| . |CoercibleTo|) 124394) ((|AffinePlane| . |BasicType|) T) ((|DoubleFloat| . |OrderedSet|) T) ((|Expression| . |LeftOreRing|) 124361) ((|ExponentialExpansion| . |LeftOreRing|) T) ((|UnivariateFormalPowerSeries| . |ArcTrigonometricFunctionCategory|) 124310) ((|SingleInteger| . |LeftModule|) 124297) ((|SparseUnivariatePolynomialExpressions| . |PartialDifferentialRing|) 124195) ((|SimpleAlgebraicExtension| . |FiniteFieldCategory|) 124157) ((|IndexedString| . |Collection|) 124132) ((|PAdicInteger| . |EuclideanDomain|) T) ((|ContinuedFraction| . |EntireRing|) T) ((|BalancedPAdicRational| . |FullyLinearlyExplicitRingOver|) 124091) ((|BalancedPAdicRational| . |FullyEvalableOver|) 124050) ((|PseudoAlgebraicClosureOfFiniteField| . |Field|) T) ((|NeitherSparseOrDensePowerSeries| . |Field|) T) ((|ExponentialExpansion| . |OrderedAbelianSemiGroup|) NIL) ((|ExponentialExpansion| . |OrderedAbelianGroup|) NIL) ((|Expression| . |Monoid|) 123832) ((|ExponentialExpansion| . |Monoid|) T) ((|InfClsPt| . |CoercibleTo|) 123806) ((|GeneralUnivariatePowerSeries| . |Field|) 123782) ((|FiniteFieldExtension| . |FiniteFieldCategory|) 123757) ((|FiniteFieldNormalBasisExtension| . |FiniteFieldCategory|) 123732) ((|FiniteFieldCyclicGroupExtension| . |FiniteFieldCategory|) 123707) ((|Expression| . |Group|) 123683) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianMonoid|) T) ((|MoebiusTransform| . |SemiGroup|) T) ((|ModuleOperator| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator1| . |BasicType|) T) ((|Pi| . |Module|) 123637) ((|AssociationList| . |ExtensibleLinearAggregate|) 123579) ((|BasicFunctions| . |SetCategory|) T) ((|Asp28| . |CoercibleTo|) 123553) ((|OrderedVariableList| . |BasicType|) T) ((|LaurentPolynomial| . |PartialDifferentialRing|) 123485) ((|XRecursivePolynomial| . |SetCategory|) T) ((|FreeModule1| . |SetCategory|) T) ((|U32Vector| . |Aggregate|) T) ((|U16Vector| . |LinearAggregate|) 123462) ((|U16Vector| . |FiniteLinearAggregate|) 123439) ((|Asp73| . |Type|) T) ((|RomanNumeral| . |OrderedSet|) T) ((|Polynomial| . |OrderedSet|) 123410) ((|BalancedPAdicRational| . |PartialDifferentialRing|) NIL) ((|NewSparseUnivariatePolynomial| . |PrincipalIdealDomain|) 123386) ((|ModuleMonomial| . |OrderedSet|) T) ((|IndexedExponents| . |SetCategory|) T) ((|IndexedBits| . |SetCategory|) T) ((|FiniteFieldExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 123336) ((|DistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 123286) ((|SplitHomogeneousDirectProduct| . |DifferentialExtension|) 123254) ((|HomogeneousDistributedMultivariatePolynomial| . |OrderedSet|) 123225) ((|String| . |OpenMath|) T) ((|SquareMatrix| . |RightModule|) 123209) ((|FreeNilpotentLie| . |NonAssociativeRng|) T) ((|MyUnivariatePolynomial| . |Evalable|) 123196) ((|MachineComplex| . |Type|) T) ((|FiniteFieldExtensionByPolynomial| . |IntegralDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |IntegralDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |IntegralDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |IntegralDomain|) 123082) ((|DistributedMultivariatePolynomial| . |IntegralDomain|) 122968) ((|SquareMatrix| . |BiModule|) 122947) ((|GenericNonAssociativeAlgebra| . |NonAssociativeAlgebra|) 122903) ((|OrdinaryWeightedPolynomials| . |RightModule|) 122860) ((|OrdinaryDifferentialRing| . |Algebra|) 122780) ((|MachineComplex| . |Patternable|) 122752) ((|MachineComplex| . |PatternMatchable|) 122731) ((|EqTable| . |Evalable|) 122491) ((|PrimeField| . |UniqueFactorizationDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |SemiGroup|) T) ((|OrdinaryWeightedPolynomials| . |BiModule|) 122443) ((|LieSquareMatrix| . |FullyRetractableTo|) 122427) ((|NeitherSparseOrDensePowerSeries| . |SemiGroup|) T) ((|MachineComplex| . |RetractableTo|) 122346) ((|Stream| . |EltableAggregate|) 122318) ((|RadixExpansion| . |GcdDomain|) T) ((|PrimeField| . |IntegralDomain|) T) ((|InnerPrimeField| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |SemiGroup|) T) ((|InnerFiniteField| . |PrincipalIdealDomain|) T) ((|PartialFraction| . |GcdDomain|) T) ((|DoubleFloatMatrix| . |CoercibleTo|) 122292) ((|ComplexDoubleFloatMatrix| . |CoercibleTo|) 122266) ((|Asp20| . |CoercibleTo|) 122240) ((|SingleInteger| . |LeftOreRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianMonoid|) T) ((|Library| . |Dictionary|) 122173) ((|NeitherSparseOrDensePowerSeries| . |AbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |AbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianGroup|) T) ((|XDistributedPolynomial| . |XFreeAlgebra|) 122152) ((|SingleInteger| . |Monoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |LeftModule|) 122126) ((|Equation| . |CoercibleTo|) 121761) ((|Result| . |Aggregate|) T) ((|OrderedDirectProduct| . |OrderedRing|) 121731) ((|InnerPAdicInteger| . |EuclideanDomain|) T) ((|Integer| . |EuclideanDomain|) T) ((|InnerAlgebraicNumber| . |EuclideanDomain|) T) ((|XRecursivePolynomial| . |Module|) 121688) ((|MachineComplex| . |FullyLinearlyExplicitRingOver|) 121660) ((|MachineComplex| . |FullyEvalableOver|) 121632) ((|Pi| . |CommutativeRing|) T) ((|FreeModule1| . |Module|) 121589) ((|MyUnivariatePolynomial| . |StepThrough|) 121559) ((|PAdicRational| . |OrderedSet|) NIL) ((|Integer| . |RealConstant|) T) ((|InnerAlgebraicNumber| . |RealConstant|) T) ((|ThreeSpace| . |CoercibleTo|) 121533) ((|SplitHomogeneousDirectProduct| . |DirectProductCategory|) 121512) ((|Database| . |BasicType|) T) ((|SparseTable| . |BasicType|) T) ((|Asp31| . |CoercibleTo|) 121486) ((|SquareMatrix| . |Ring|) T) ((|SymmetricPolynomial| . |Algebra|) 121330) ((|OrdSetInts| . |CoercibleTo|) 121304) ((|Integer| . |IntegerNumberSystem|) T) ((|MyUnivariatePolynomial| . |Algebra|) 121044) ((|LieSquareMatrix| . |Rng|) T) ((|MultivariatePolynomial| . |PolynomialCategory|) 120949) ((|SquareMatrix| . |DifferentialRing|) 120914) ((|SingletonAsOrderedSet| . |SetCategory|) T) ((|ResidueRing| . |AbelianSemiGroup|) T) ((|ResidueRing| . |AbelianGroup|) T) ((|RadicalFunctionField| . |RightModule|) 120842) ((|Permutation| . |BasicType|) T) ((|OrdinaryWeightedPolynomials| . |Ring|) T) ((|NottinghamGroup| . |SemiGroup|) T) ((|MachineComplex| . |PartialDifferentialRing|) NIL) ((|FiniteFieldExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120826) ((|FiniteFieldExtensionByPolynomial| . |Field|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120810) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Field|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120794) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Field|) T) ((|HexadecimalExpansion| . |BasicType|) T) ((|WeightedPolynomials| . |Algebra|) 120751) ((|IndexedMatrix| . |MatrixCategory|) 120679) ((|DecimalExpansion| . |BasicType|) T) ((|RealClosure| . |RetractableTo|) 120505) ((|RadicalFunctionField| . |BiModule|) 120388) ((|SparseUnivariateTaylorSeries| . |PowerSeriesCategory|) 120323) ((|SparseUnivariatePuiseuxSeries| . |PowerSeriesCategory|) 120256) ((|IndexedList| . |Collection|) 120240) ((|SimpleAlgebraicExtension| . |FiniteRankAlgebra|) 120219) ((|FiniteFieldNormalBasis| . |CoercibleTo|) 120193) ((|FreeAbelianGroup| . |AbelianGroup|) T) ((|FiniteField| . |RetractableTo|) 120162) ((|FreeAbelianGroup| . |AbelianSemiGroup|) T) ((|SparseUnivariateLaurentSeries| . |PowerSeriesCategory|) 120108) ((|SparseMultivariateTaylorSeries| . |PowerSeriesCategory|) 120061) ((|Asp42| . |CoercibleTo|) 120035) ((|MachineFloat| . |EuclideanDomain|) T) ((|Complex| . |OrderedSet|) 120006) ((|PrimeField| . |Field|) T) ((|Float| . |AbelianSemiGroup|) T) ((|Float| . |AbelianGroup|) T) ((|PrimeField| . |FiniteAlgebraicExtensionField|) 119993) ((|Asp7| . |CoercibleTo|) 119967) ((|MachineFloat| . |RealConstant|) T) ((|Magma| . |OrderedSet|) T) ((|UnivariatePuiseuxSeriesConstructor| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |CancellationAbelianMonoid|) T) ((|PendantTree| . |RecursiveAggregate|) 119951) ((|Operator| . |AbelianGroup|) T) ((|AlgebraicNumber| . |RetractableTo|) 119874) ((|Operator| . |AbelianSemiGroup|) T) ((|OppositeMonogenicLinearOperator| . |AbelianSemiGroup|) T) ((|OppositeMonogenicLinearOperator| . |AbelianGroup|) T) ((|XPolynomial| . |Rng|) T) ((|XPBWPolynomial| . |Rng|) T) ((|LinearOrdinaryDifferentialOperator2| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |EuclideanDomain|) 119850) ((|DesingTree| . |RecursiveAggregate|) 119834) ((|XPolynomialRing| . |RightModule|) 119818) ((|UnivariatePolynomial| . |OrderedSet|) 119789) ((|OrderedDirectProduct| . |FullyRetractableTo|) 119750) ((|BalancedBinaryTree| . |BinaryRecursiveAggregate|) 119734) ((|Any| . |SetCategory|) T) ((|Plot3D| . |CoercibleTo|) 119708) ((|PAdicRational| . |QuotientFieldCategory|) 119675) ((|OpenMathEncoding| . |BasicType|) T) ((|XPolynomialRing| . |BiModule|) 119654) ((|LinearOrdinaryDifferentialOperator1| . |Algebra|) 119611) ((|Interval| . |OrderedSet|) T) ((|FiniteFieldExtensionByPolynomial| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |SemiGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |SemiGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |SemiGroup|) T) ((|DistributedMultivariatePolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |EuclideanDomain|) 119587) ((|SparseTable| . |Evalable|) 119347) ((|LiePolynomial| . |AbelianMonoid|) T) ((|HomogeneousDirectProduct| . |DifferentialExtension|) 119315) ((|CliffordAlgebra| . |Rng|) T) ((|FiniteFieldExtensionByPolynomial| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianMonoid|) T) ((|BalancedPAdicRational| . |EuclideanDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|DistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|RadicalFunctionField| . |Ring|) T) ((|ModMonic| . |PolynomialFactorizationExplicit|) 119265) ((|RadicalFunctionField| . |DifferentialRing|) 119217) ((|RadicalFunctionField| . |DivisionRing|) T) ((|BalancedPAdicRational| . |RealConstant|) NIL) ((|PrimeField| . |SemiGroup|) T) ((|UnivariatePuiseuxSeries| . |GcdDomain|) 119193) ((|UnivariateLaurentSeries| . |GcdDomain|) 119169) ((|IndexedMatrix| . |CoercibleTo|) 119120) ((|ModMonic| . |LeftModule|) 119017) ((|Fraction| . |RightModule|) 118958) ((|PseudoAlgebraicClosureOfFiniteField| . |CancellationAbelianMonoid|) T) ((|PolynomialIdeals| . |CoercibleTo|) 118932) ((|PrimeField| . |AbelianMonoid|) T) ((|NeitherSparseOrDensePowerSeries| . |CancellationAbelianMonoid|) T) ((|HexadecimalExpansion| . |Evalable|) NIL) ((|GeneralUnivariatePowerSeries| . |CancellationAbelianMonoid|) T) ((|DecimalExpansion| . |Evalable|) NIL) ((|Fraction| . |BiModule|) 118841) ((|OrderedDirectProduct| . |Rng|) 118751) ((|Multiset| . |SetAggregate|) 118735) ((|UnivariatePuiseuxSeriesConstructor| . |HyperbolicFunctionCategory|) 118684) ((|UnivariateLaurentSeriesConstructor| . |HyperbolicFunctionCategory|) 118633) ((|CharacterClass| . |SetAggregate|) 118608) ((|Pi| . |EntireRing|) T) ((|XPolynomialRing| . |Ring|) T) ((|RoutinesTable| . |BasicType|) T) ((|IndexedBits| . |InnerEvalable|) NIL) ((|MakeCachableSet| . |BasicType|) T) ((|HomogeneousDirectProduct| . |DirectProductCategory|) 118587) ((|SparseUnivariatePolynomial| . |CharacteristicNonZero|) 118547) ((|SparseUnivariatePolynomial| . |CharacteristicZero|) 118510) ((|SparseMultivariatePolynomial| . |CharacteristicZero|) 118473) ((|SparseMultivariatePolynomial| . |CharacteristicNonZero|) 118433) ((|AssociatedLieAlgebra| . |RightModule|) 118417) ((|AssociatedJordanAlgebra| . |RightModule|) 118401) ((|SparseUnivariateTaylorSeries| . |UnivariateTaylorSeriesCategory|) 118385) ((|LieSquareMatrix| . |SetCategory|) T) ((|LieSquareMatrix| . |RectangularMatrixCategory|) 118303) ((|SparseUnivariateTaylorSeries| . |UnivariatePowerSeriesCategory|) 118264) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesConstructorCategory|) 118199) ((|HexadecimalExpansion| . |StepThrough|) T) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 118158) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 118142) ((|SparseUnivariateLaurentSeries| . |UnivariateLaurentSeriesConstructorCategory|) 118078) ((|DecimalExpansion| . |StepThrough|) T) ((|FiniteFieldCyclicGroup| . |PrincipalIdealDomain|) T) ((|OrderlyDifferentialVariable| . |DifferentialVariableCategory|) 118062) ((|AssociatedLieAlgebra| . |BiModule|) 118041) ((|AssociatedJordanAlgebra| . |BiModule|) 118020) ((|SparseUnivariateLaurentSeries| . |UnivariatePowerSeriesCategory|) 117992) ((|OrderedCompletion| . |Ring|) 117962) ((|SparseUnivariateLaurentSeries| . |UnivariateLaurentSeriesCategory|) 117946) ((|InnerFreeAbelianMonoid| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |ExpressionSpace|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |AbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianMonoid| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianMonoid|) T) ((|ModMonic| . |LeftOreRing|) 117841) ((|Fraction| . |Ring|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Rng|) T) ((|MachineComplex| . |EuclideanDomain|) T) ((|BinaryExpansion| . |OrderedRing|) T) ((|Fraction| . |DivisionRing|) T) ((|Fraction| . |DifferentialRing|) 117806) ((|ModMonic| . |Monoid|) T) ((|HexadecimalExpansion| . |Algebra|) 117740) ((|DecimalExpansion| . |Algebra|) 117674) ((|GeneralUnivariatePowerSeries| . |HyperbolicFunctionCategory|) 117623) ((|String| . |StringAggregate|) T) ((|SetOfMIntegersInOneToN| . |BasicType|) T) ((|MachineInteger| . |CoercibleTo|) 117597) ((|MachineInteger| . |ConvertibleTo|) 117478) ((|ModuleOperator| . |AbelianGroup|) T) ((|ModuleOperator| . |AbelianSemiGroup|) T) ((|CardinalNumber| . |CoercibleTo|) 117452) ((|BalancedPAdicInteger| . |CoercibleTo|) 117426) ((|Color| . |AbelianSemiGroup|) T) ((|XPolynomial| . |SetCategory|) T) ((|PAdicRationalConstructor| . |LinearlyExplicitRingOver|) 117342) ((|XPBWPolynomial| . |SetCategory|) T) ((|PolynomialRing| . |BasicType|) T) ((|MonoidRing| . |BasicType|) T) ((|ModularRing| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |BasicType|) T) ((|U16Vector| . |Aggregate|) T) ((|OrderlyDifferentialPolynomial| . |GcdDomain|) 117260) ((|AlgebraGivenByStructuralConstants| . |SetCategory|) T) ((|SequentialDifferentialVariable| . |OrderedSet|) T) ((|LiePolynomial| . |CancellationAbelianMonoid|) T) ((|RoutinesTable| . |Evalable|) 117066) ((|LieSquareMatrix| . |Module|) 117050) ((|EuclideanModularRing| . |Rng|) T) ((|FiniteFieldExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|DistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|MyExpression| . |Type|) T) ((|Factored| . |BasicType|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianMonoidRing|) 117011) ((|CliffordAlgebra| . |SetCategory|) T) ((|AssociationList| . |Dictionary|) 116953) ((|MyUnivariatePolynomial| . |DifferentialExtension|) 116937) ((|Quaternion| . |LeftModule|) 116861) ((|PrimitiveArray| . |OrderedSet|) 116832) ((|MyExpression| . |Patternable|) 116816) ((|MyExpression| . |PatternMatchable|) 116697) ((|DirectProduct| . |VectorSpace|) 116664) ((|RealClosure| . |EuclideanDomain|) T) ((|Equation| . |RightModule|) 116571) ((|PrimeField| . |CancellationAbelianMonoid|) T) ((|AlgebraicFunctionField| . |PrincipalIdealDomain|) T) ((|MyExpression| . |RetractableTo|) 116170) ((|HexadecimalExpansion| . |FullyPatternMatchable|) 116147) ((|HTMLFormat| . |CoercibleTo|) 116121) ((|FiniteField| . |EuclideanDomain|) T) ((|DecimalExpansion| . |FullyPatternMatchable|) 116098) ((|SimpleAlgebraicExtension| . |FullyRetractableTo|) 116082) ((|Equation| . |BiModule|) 115984) ((|PseudoAlgebraicClosureOfRationalNumber| . |UniqueFactorizationDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |UniqueFactorizationDomain|) T) ((|PAdicRationalConstructor| . |AbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |IntegralDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |IntegralDomain|) T) ((|FortranExpression| . |CoercibleTo|) 115958) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianMonoidRing|) 115848) ((|DoubleFloat| . |CharacteristicZero|) T) ((|ContinuedFraction| . |CoercibleTo|) 115822) ((|SplitHomogeneousDirectProduct| . |OrderedRing|) 115792) ((|None| . |CoercibleTo|) 115766) ((|KeyedAccessFile| . |DictionaryOperations|) 115702) ((|GeneralSparseTable| . |DictionaryOperations|) 115644) ((|XPolynomial| . |Module|) 115601) ((|AlgebraicNumber| . |EuclideanDomain|) T) ((|XPBWPolynomial| . |Module|) 115558) ((|Product| . |SetCategory|) T) ((|OrderedDirectProduct| . |SetCategory|) 115250) ((|Exit| . |BasicType|) T) ((|PendantTree| . |Type|) T) ((|MyExpression| . |FullyLinearlyExplicitRingOver|) 115218) ((|AlgebraicNumber| . |RealConstant|) T) ((|UnivariateLaurentSeriesConstructor| . |LinearlyExplicitRingOver|) 115088) ((|Matrix| . |BasicType|) 115058) ((|AlgebraGivenByStructuralConstants| . |Module|) 115042) ((|InnerTable| . |BasicType|) T) ((|Asp27| . |FortranMatrixCategory|) T) ((|DesingTree| . |Type|) T) ((|Asp27| . |FortranProgramCategory|) T) ((|AffineSpace| . |CoercibleTo|) 115016) ((|Localize| . |AbelianMonoid|) T) ((|LieSquareMatrix| . |NonAssociativeRng|) T) ((|Tuple| . |SetCategory|) 114986) ((|FiniteFieldNormalBasis| . |RightModule|) 114912) ((|ThreeDimensionalMatrix| . |SetCategory|) 114882) ((|RomanNumeral| . |CharacteristicZero|) T) ((|Polynomial| . |CharacteristicZero|) 114845) ((|Polynomial| . |CharacteristicNonZero|) 114805) ((|Octonion| . |BasicType|) T) ((|CliffordAlgebra| . |Module|) 114789) ((|HomogeneousDistributedMultivariatePolynomial| . |CharacteristicZero|) 114752) ((|HomogeneousDistributedMultivariatePolynomial| . |CharacteristicNonZero|) 114712) ((|FiniteFieldNormalBasis| . |BiModule|) 114591) ((|SimpleAlgebraicExtension| . |Rng|) T) ((|FreeAbelianGroup| . |OrderedSet|) 114562) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|UnivariateTaylorSeries| . |PowerSeriesCategory|) 114497) ((|UnivariatePuiseuxSeries| . |PowerSeriesCategory|) 114430) ((|UnivariateLaurentSeries| . |PowerSeriesCategory|) 114376) ((|LieExponentials| . |SetCategory|) T) ((|MyExpression| . |PartialDifferentialRing|) 114354) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductAbelianGroup| . |CancellationAbelianMonoid|) T) ((|EqTable| . |Dictionary|) 114296) ((|FiniteFieldExtension| . |Rng|) T) ((|FiniteFieldNormalBasisExtension| . |Rng|) T) ((|FiniteFieldCyclicGroupExtension| . |Rng|) T) ((|Equation| . |Ring|) 114216) ((|UnivariateFormalPowerSeries| . |PowerSeriesCategory|) 114151) ((|Float| . |OrderedSet|) T) ((|BinaryExpansion| . |Rng|) T) ((|Quaternion| . |Monoid|) T) ((|PAdicInteger| . |PrincipalIdealDomain|) T) ((|OrderedCompletion| . |OrderedCancellationAbelianMonoid|) 114121) ((|OrderedCompletion| . |OrderedAbelianMonoid|) 114091) ((|Factored| . |Evalable|) 114018) ((|GraphImage| . |BasicType|) T) ((|InnerSparseUnivariatePowerSeries| . |PowerSeriesCategory|) 113964) ((|ExponentialOfUnivariatePuiseuxSeries| . |SetCategory|) T) ((|Fraction| . |OrderedCancellationAbelianMonoid|) 113924) ((|Fraction| . |OrderedAbelianMonoid|) 113884) ((|IndexedBits| . |HomogeneousAggregate|) 113861) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |RetractableTo|) 113807) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianGroup|) T) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |Module|) 113736) ((|U32Matrix| . |BasicType|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Field|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Field|) T) ((|MachineFloat| . |FloatingPointSystem|) T) ((|WuWenTsunTriangularSet| . |Type|) T) ((|SplitHomogeneousDirectProduct| . |FullyRetractableTo|) 113697) ((|RadicalFunctionField| . |Finite|) NIL) ((|BalancedBinaryTree| . |Aggregate|) T) ((|Multiset| . |Type|) T) ((|AlgebraGivenByStructuralConstants| . |NonAssociativeRng|) T) ((|IndexedString| . |BasicType|) T) ((|Asp49| . |FortranFunctionCategory|) T) ((|Asp49| . |FortranProgramCategory|) T) ((|LinearOrdinaryDifferentialOperator1| . |LinearOrdinaryDifferentialOperatorCategory|) 113681) ((|CharacterClass| . |Type|) T) ((|PAdicRational| . |CharacteristicZero|) T) ((|PAdicRational| . |CharacteristicNonZero|) NIL) ((|UnivariateTaylorSeriesCZero| . |PartialDifferentialRing|) 113545) ((|FiniteFieldNormalBasis| . |Ring|) T) ((|Asp30| . |FortranMatrixCategory|) T) ((|Asp30| . |FortranProgramCategory|) T) ((|SuchThat| . |BasicType|) T) ((|LieSquareMatrix| . |InnerEvalable|) 113464) ((|Matrix| . |Evalable|) 113388) ((|PolynomialRing| . |Algebra|) 113232) ((|MonoidRing| . |Algebra|) 113189) ((|InnerTable| . |Evalable|) 112949) ((|Expression| . |Type|) T) ((|FiniteFieldNormalBasis| . |DifferentialRing|) T) ((|FiniteFieldNormalBasis| . |DivisionRing|) T) ((|ExponentialExpansion| . |Type|) T) ((|EuclideanModularRing| . |SetCategory|) T) ((|SymbolTable| . |CoercibleTo|) 112923) ((|ModularField| . |UniqueFactorizationDomain|) T) ((|Stream| . |LinearAggregate|) 112907) ((|TaylorSeries| . |IntegralDomain|) 112874) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianGroup|) T) ((|ModularField| . |IntegralDomain|) T) ((|Expression| . |Patternable|) 112858) ((|Expression| . |PatternMatchable|) 112739) ((|ExponentialExpansion| . |Patternable|) 112654) ((|ExponentialExpansion| . |PatternMatchable|) NIL) ((|Octonion| . |Evalable|) 112613) ((|NeitherSparseOrDensePowerSeries| . |AbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Module|) 112401) ((|NeitherSparseOrDensePowerSeries| . |AbelianGroup|) T) ((|FreeAbelianMonoid| . |FreeAbelianMonoidCategory|) 112362) ((|HyperellipticFiniteDivisor| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |AbelianSemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |AbelianGroup|) T) ((|Factored| . |Algebra|) 112336) ((|Expression| . |RetractableTo|) 111840) ((|DoubleFloat| . |TranscendentalFunctionCategory|) T) ((|DoubleFloat| . |TrigonometricFunctionCategory|) T) ((|Union| . |CoercibleTo|) 111814) ((|ExponentialExpansion| . |RetractableTo|) 111678) ((|PseudoAlgebraicClosureOfRationalNumber| . |SemiGroup|) T) ((|Record| . |SetCategory|) T) ((|Record| . |RecordCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |SemiGroup|) T) ((|OnePointCompletion| . |CoercibleTo|) 111652) ((|SplitHomogeneousDirectProduct| . |Rng|) 111562) ((|InnerPAdicInteger| . |PrincipalIdealDomain|) T) ((|Integer| . |OrderedIntegralDomain|) T) ((|Integer| . |PrincipalIdealDomain|) T) ((|InnerAlgebraicNumber| . |PrincipalIdealDomain|) T) ((|CartesianTensor| . |RetractableTo|) 111546) ((|DoubleFloat| . |ArcTrigonometricFunctionCategory|) T) ((|Asp41| . |FortranVectorFunctionCategory|) T) ((|Asp41| . |FortranProgramCategory|) T) ((|Enumeration| . |CoercibleTo|) 111520) ((|Complex| . |CharacteristicZero|) 111483) ((|Complex| . |CharacteristicNonZero|) 111401) ((|DoubleFloat| . |ArcHyperbolicFunctionCategory|) T) ((|AnonymousFunction| . |CoercibleTo|) 111375) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianMonoid|) T) ((|Pi| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |DifferentialExtension|) 111352) ((|Heap| . |PriorityQueueAggregate|) 111336) ((|HomogeneousDirectProduct| . |OrderedRing|) 111306) ((|DecimalExpansion| . |DifferentialExtension|) 111283) ((|Asp6| . |FortranVectorFunctionCategory|) T) ((|Asp6| . |FortranProgramCategory|) T) ((|SquareFreeRegularTriangularSet| . |Aggregate|) T) ((|OrderedDirectProduct| . |CommutativeRing|) 111249) ((|MultivariatePolynomial| . |BasicType|) T) ((|Reference| . |CoercibleTo|) 111200) ((|IndexedBits| . |Eltable|) 111165) ((|Expression| . |FullyLinearlyExplicitRingOver|) 111133) ((|ExponentialExpansion| . |FullyLinearlyExplicitRingOver|) 111048) ((|ExponentialExpansion| . |FullyEvalableOver|) 110963) ((|U32Matrix| . |Evalable|) NIL) ((|OrderlyDifferentialPolynomial| . |PolynomialCategory|) 110840) ((|Localize| . |CancellationAbelianMonoid|) T) ((|UnivariatePolynomial| . |CharacteristicNonZero|) 110800) ((|UnivariatePolynomial| . |CharacteristicZero|) 110763) ((|U32Vector| . |Type|) T) ((|SparseUnivariateTaylorSeries| . |BasicType|) T) ((|SparseUnivariatePuiseuxSeries| . |BasicType|) T) ((|SparseUnivariateLaurentSeries| . |BasicType|) T) ((|StringTable| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |BasicType|) T) ((|Dequeue| . |Aggregate|) T) ((|EuclideanModularRing| . |Module|) 110750) ((|StringTable| . |KeyedDictionary|) 110723) ((|IndexedString| . |Evalable|) NIL) ((|UnivariateTaylorSeries| . |UnivariateTaylorSeriesCategory|) 110707) ((|UnivariateTaylorSeries| . |UnivariatePowerSeriesCategory|) 110668) ((|Heap| . |SetCategory|) 110638) ((|UnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesConstructorCategory|) 110579) ((|FreeNilpotentLie| . |CoercibleTo|) 110553) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedSet|) T) ((|SparseTable| . |Dictionary|) 110495) ((|UnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 110454) ((|UnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 110438) ((|UnivariateLaurentSeries| . |UnivariateLaurentSeriesConstructorCategory|) 110380) ((|UnivariateLaurentSeries| . |UnivariatePowerSeriesCategory|) 110352) ((|UnivariateLaurentSeries| . |UnivariateLaurentSeriesCategory|) 110336) ((|UnivariateFormalPowerSeries| . |UnivariateTaylorSeriesCategory|) 110320) ((|UnivariateFormalPowerSeries| . |UnivariatePowerSeriesCategory|) 110281) ((|LocalAlgebra| . |CoercibleTo|) 110255) ((|SparseUnivariateTaylorSeries| . |ElementaryFunctionCategory|) 110204) ((|MachineFloat| . |PrincipalIdealDomain|) T) ((|SparseUnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 110153) ((|SparseUnivariateLaurentSeries| . |ElementaryFunctionCategory|) 110102) ((|SparseMultivariateTaylorSeries| . |ElementaryFunctionCategory|) 110051) ((|SimpleAlgebraicExtension| . |SetCategory|) T) ((|RightOpenIntervalRootCharacterization| . |SetCategory|) T) ((|AlgebraicNumber| . |ExpressionSpace|) T) ((|Expression| . |PartialDifferentialRing|) 110013) ((|ExponentialExpansion| . |PartialDifferentialRing|) NIL) ((|RightOpenIntervalRootCharacterization| . |RealRootCharacterizationCategory|) 109992) ((|SingleInteger| . |PatternMatchable|) 109969) ((|Octonion| . |Algebra|) 109953) ((|DifferentialSparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 109869) ((|DistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 109785) ((|MachineInteger| . |RightModule|) 109772) ((|InnerSparseUnivariatePowerSeries| . |UnivariatePowerSeriesCategory|) 109744) ((|SingleInteger| . |RetractableTo|) 109721) ((|ExponentialOfUnivariatePuiseuxSeries| . |CommutativeRing|) 109627) ((|FiniteFieldExtension| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtension| . |SetCategory|) T) ((|FiniteFieldCyclicGroupExtension| . |SetCategory|) T) ((|IndexedBits| . |OneDimensionalArrayAggregate|) 109604) ((|Set| . |Collection|) 109588) ((|MyExpression| . |EuclideanDomain|) 109555) ((|BinaryExpansion| . |SetCategory|) T) ((|BalancedPAdicInteger| . |RightModule|) 109542) ((|ModularField| . |Field|) T) ((|IndexedBits| . |IndexedAggregate|) 109507) ((|MachineInteger| . |BiModule|) 109492) ((|FortranTemplate| . |BasicType|) T) ((|SparseUnivariatePolynomialExpressions| . |PrincipalIdealDomain|) 109468) ((|AssociationList| . |StreamAggregate|) 109410) ((|BalancedPAdicInteger| . |BiModule|) 109395) ((|DoubleFloatVector| . |OrderedSet|) T) ((|ComplexDoubleFloatVector| . |OrderedSet|) 109343) ((|AssociatedLieAlgebra| . |Monad|) T) ((|AssociatedJordanAlgebra| . |Monad|) T) ((|OrderedDirectProduct| . |InnerEvalable|) 109262) ((|Result| . |Type|) T) ((|Point| . |Collection|) 109246) ((|IndexedList| . |BasicType|) 109183) ((|SequentialDifferentialPolynomial| . |UniqueFactorizationDomain|) 109133) ((|NewSparseUnivariatePolynomial| . |UniqueFactorizationDomain|) 109083) ((|NewSparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 109033) ((|Asp12| . |Type|) T) ((|Pi| . |CoercibleTo|) 108965) ((|Pi| . |ConvertibleTo|) 108834) ((|SparseUnivariatePolynomial| . |GcdDomain|) 108729) ((|String| . |SetCategory|) T) ((|SquareMatrix| . |LeftModule|) 108703) ((|SequentialDifferentialPolynomial| . |IntegralDomain|) 108589) ((|HomogeneousDirectProduct| . |FullyRetractableTo|) 108550) ((|LaurentPolynomial| . |PrincipalIdealDomain|) 108526) ((|GeneralDistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 108476) ((|SparseMultivariatePolynomial| . |GcdDomain|) 108394) ((|NewSparseUnivariatePolynomial| . |IntegralDomain|) 108257) ((|FortranProgram| . |CoercibleTo|) 108231) ((|NewSparseMultivariatePolynomial| . |IntegralDomain|) 108117) ((|MultivariatePolynomial| . |Evalable|) 108104) ((|ThreeDimensionalMatrix| . |InnerEvalable|) 108023) ((|LiePolynomial| . |AbelianSemiGroup|) T) ((|LiePolynomial| . |AbelianGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |IntegralDomain|) 107909) ((|BalancedPAdicRational| . |PrincipalIdealDomain|) T) ((|BalancedPAdicRational| . |OrderedIntegralDomain|) NIL) ((|FiniteFieldExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldExtensionByPolynomial| . |AbelianGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianGroup|) T) ((|Asp74| . |FortranMatrixFunctionCategory|) T) ((|Asp74| . |FortranProgramCategory|) T) ((|DistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|DistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|ThreeDimensionalViewport| . |CoercibleTo|) 107883) ((|TaylorSeries| . |SemiGroup|) T) ((|TaylorSeries| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |Evalable|) 107684) ((|SparseMultivariateTaylorSeries| . |Evalable|) 107671) ((|SimpleAlgebraicExtension| . |Module|) 107494) ((|OrdinaryWeightedPolynomials| . |LeftModule|) 107441) ((|Point| . |PointCategory|) 107425) ((|PrimeField| . |AbelianGroup|) T) ((|EuclideanModularRing| . |CommutativeRing|) T) ((|PrimeField| . |AbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |OrderedSet|) 107352) ((|PseudoAlgebraicClosureOfRationalNumber| . |CancellationAbelianMonoid|) T) ((|ModularField| . |SemiGroup|) T) ((|ModularField| . |AbelianMonoid|) T) ((|ListMultiDictionary| . |SetCategory|) 107322) ((|Library| . |KeyedDictionary|) 107292) ((|Library| . |SetCategory|) T) ((|InnerPrimeField| . |UniqueFactorizationDomain|) T) ((|InnerFiniteField| . |UniqueFactorizationDomain|) T) ((|InnerPrimeField| . |IntegralDomain|) T) ((|InnerFiniteField| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |Module|) 107233) ((|FiniteFieldNormalBasisExtension| . |Module|) 107174) ((|FiniteFieldCyclicGroupExtension| . |Module|) 107115) ((|FortranExpression| . |RightModule|) 107099) ((|ContinuedFraction| . |BiModule|) 106964) ((|ContinuedFraction| . |RightModule|) 106879) ((|BinaryExpansion| . |Module|) 106813) ((|FortranExpression| . |BiModule|) 106792) ((|e04ucfAnnaType| . |SetCategory|) T) ((|e04nafAnnaType| . |SetCategory|) T) ((|e04mbfAnnaType| . |SetCategory|) T) ((|e04jafAnnaType| . |SetCategory|) T) ((|MachineInteger| . |Ring|) T) ((|e04gcfAnnaType| . |SetCategory|) T) ((|e04fdfAnnaType| . |SetCategory|) T) ((|e04dgfAnnaType| . |SetCategory|) T) ((|d03fafAnnaType| . |SetCategory|) T) ((|d03eefAnnaType| . |SetCategory|) T) ((|d02ejfAnnaType| . |SetCategory|) T) ((|Complex| . |TrigonometricFunctionCategory|) 106743) ((|Complex| . |TranscendentalFunctionCategory|) 106694) ((|d02cjfAnnaType| . |SetCategory|) T) ((|d02bhfAnnaType| . |SetCategory|) T) ((|BalancedPAdicInteger| . |Ring|) T) ((|d02bbfAnnaType| . |SetCategory|) T) ((|d01TransformFunctionType| . |SetCategory|) T) ((|MachineInteger| . |DifferentialRing|) T) ((|d01gbfAnnaType| . |SetCategory|) T) ((|d01fcfAnnaType| . |SetCategory|) T) ((|d01asfAnnaType| . |SetCategory|) T) ((|d01aqfAnnaType| . |SetCategory|) T) ((|d01apfAnnaType| . |SetCategory|) T) ((|d01anfAnnaType| . |SetCategory|) T) ((|d01amfAnnaType| . |SetCategory|) T) ((|d01alfAnnaType| . |SetCategory|) T) ((|d01akfAnnaType| . |SetCategory|) T) ((|d01ajfAnnaType| . |SetCategory|) T) ((|DirectProduct| . |BasicType|) 106386) ((|Complex| . |ArcHyperbolicFunctionCategory|) 106337) ((|Complex| . |ArcTrigonometricFunctionCategory|) 106288) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |RetractableTo|) 106132) ((|HomogeneousDirectProduct| . |Rng|) 106042) ((|SquareMatrix| . |Aggregate|) T) ((|SplitHomogeneousDirectProduct| . |SetCategory|) 105734) ((|StochasticDifferential| . |BasicType|) T) ((|LieSquareMatrix| . |HomogeneousAggregate|) 105718) ((|Asp34| . |Type|) T) ((|BasicFunctions| . |CoercibleTo|) 105692) ((|XRecursivePolynomial| . |CoercibleTo|) 105666) ((|FreeModule1| . |CoercibleTo|) 105640) ((|MultivariatePolynomial| . |Algebra|) 105403) ((|Interval| . |TrigonometricFunctionCategory|) T) ((|Interval| . |TranscendentalFunctionCategory|) T) ((|IndexedExponents| . |CoercibleTo|) 105377) ((|IndexedList| . |Evalable|) 105301) ((|IndexedBits| . |CoercibleTo|) 105275) ((|IndexedBits| . |ConvertibleTo|) 105250) ((|SparseUnivariateLaurentSeries| . |StepThrough|) NIL) ((|RegularTriangularSet| . |RegularTriangularSetCategory|) 105219) ((|RegularTriangularSet| . |SetCategory|) T) ((|RadixExpansion| . |BasicType|) T) ((|Partition| . |BasicType|) T) ((|PartialFraction| . |BasicType|) T) ((|PoincareBirkhoffWittLyndonBasis| . |RetractableTo|) 105188) ((|SquareMatrix| . |Monoid|) T) ((|RadicalFunctionField| . |LeftModule|) 105116) ((|GeneralTriangularSet| . |SetCategory|) T) ((|GeneralPolynomialSet| . |SetCategory|) T) ((|IntegrationResult| . |AbelianMonoid|) T) ((|Interval| . |ArcHyperbolicFunctionCategory|) T) ((|Interval| . |ArcTrigonometricFunctionCategory|) T) ((|FourierSeries| . |BasicType|) T) ((|RoutinesTable| . |Dictionary|) 105049) ((|SparseUnivariateTaylorSeries| . |Algebra|) 104893) ((|OrdinaryWeightedPolynomials| . |Monoid|) T) ((|MachineComplex| . |PrincipalIdealDomain|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianSemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |Algebra|) 104681) ((|FortranExpression| . |Ring|) T) ((|SparseUnivariateLaurentSeries| . |Algebra|) 104396) ((|SimpleAlgebraicExtension| . |CommutativeRing|) T) ((|ContinuedFraction| . |Ring|) T) ((|SparseMultivariateTaylorSeries| . |Algebra|) 104240) ((|ModMonic| . |AbelianMonoidRing|) 104201) ((|FiniteFieldExtension| . |CommutativeRing|) T) ((|FiniteFieldNormalBasisExtension| . |CommutativeRing|) T) ((|InnerIndexedTwoDimensionalArray| . |TwoDimensionalArrayCategory|) 104175) ((|IndexedTwoDimensionalArray| . |TwoDimensionalArrayCategory|) 104077) ((|FiniteFieldNormalBasis| . |ExtensionField|) 104046) ((|DoubleFloat| . |GcdDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |EntireRing|) 103985) ((|FiniteFieldCyclicGroupExtension| . |CommutativeRing|) T) ((|ContinuedFraction| . |DivisionRing|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedSet|) 103854) ((|BinaryExpansion| . |CommutativeRing|) T) ((|PAdicRationalConstructor| . |QuotientFieldCategory|) 103838) ((|LinearOrdinaryDifferentialOperator| . |SemiGroup|) T) ((|InnerPrimeField| . |Field|) T) ((|InnerPrimeField| . |FiniteAlgebraicExtensionField|) 103825) ((|InnerFiniteField| . |FiniteAlgebraicExtensionField|) 103789) ((|InnerFiniteField| . |Field|) T) ((|Expression| . |EuclideanDomain|) 103756) ((|ExponentialExpansion| . |EuclideanDomain|) T) ((|IndexedVector| . |OrderedSet|) 103727) ((|SplitHomogeneousDirectProduct| . |Module|) 103656) ((|IndexedList| . |ExtensibleLinearAggregate|) 103640) ((|LinearOrdinaryDifferentialOperator| . |AbelianMonoid|) T) ((|Factored| . |DifferentialExtension|) 103624) ((|U16Matrix| . |BasicType|) T) ((|ExponentialExpansion| . |RealConstant|) NIL) ((|FiniteDivisor| . |AbelianMonoid|) T) ((|Divisor| . |AbelianMonoid|) T) ((|BalancedBinaryTree| . |RecursiveAggregate|) 103608) ((|AssociationList| . |AssociationListAggregate|) 103587) ((|Kernel| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |Finite|) T) ((|InnerAlgebraicNumber| . |AlgebraicallyClosedField|) T) ((|DirectProduct| . |Evalable|) 103511) ((|SequentialDifferentialPolynomial| . |SemiGroup|) T) ((|XPolynomialRing| . |LeftModule|) 103485) ((|NewSparseUnivariatePolynomial| . |SemiGroup|) T) ((|NewSparseMultivariatePolynomial| . |SemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |SemiGroup|) T) ((|RomanNumeral| . |GcdDomain|) T) ((|U8Matrix| . |SetCategory|) T) ((|Polynomial| . |GcdDomain|) 103403) ((|Bits| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |AbelianMonoid|) T) ((|OrdinaryDifferentialRing| . |Rng|) T) ((|NewSparseUnivariatePolynomial| . |AbelianMonoid|) T) ((|NewSparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |GcdDomain|) 103321) ((|StringTable| . |InnerEvalable|) 103005) ((|FreeModule1| . |FreeModuleCat|) 102984) ((|SymmetricPolynomial| . |FullyRetractableTo|) 102968) ((|GeneralModulePolynomial| . |AbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|MyUnivariatePolynomial| . |FullyRetractableTo|) 102952) ((|MyExpression| . |ExpressionSpace|) T) ((|Heap| . |InnerEvalable|) 102871) ((|RadicalFunctionField| . |LeftOreRing|) T) ((|EuclideanModularRing| . |EntireRing|) T) ((|SingletonAsOrderedSet| . |CoercibleTo|) 102845) ((|Fraction| . |PolynomialFactorizationExplicit|) 102795) ((|AntiSymm| . |SemiGroup|) T) ((|RealClosure| . |PrincipalIdealDomain|) T) ((|RadicalFunctionField| . |Monoid|) T) ((|ModMonic| . |PatternMatchable|) NIL) ((|InnerPrimeField| . |SemiGroup|) T) ((|InnerFiniteField| . |SemiGroup|) T) ((|OrderedCompletion| . |LeftModule|) 102759) ((|TaylorSeries| . |CancellationAbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |FullyPatternMatchable|) 102683) ((|RadixExpansion| . |Evalable|) NIL) ((|OrderedDirectProduct| . |HomogeneousAggregate|) 102667) ((|FiniteField| . |PrincipalIdealDomain|) T) ((|Stream| . |Aggregate|) T) ((|Fraction| . |LeftModule|) 102608) ((|AntiSymm| . |AbelianMonoid|) T) ((|ModularField| . |CancellationAbelianMonoid|) T) ((|ModMonic| . |RetractableTo|) 102418) ((|InnerPrimeField| . |AbelianMonoid|) T) ((|BinaryExpansion| . |InnerEvalable|) NIL) ((|InnerFiniteField| . |AbelianMonoid|) T) ((|Complex| . |FramedAlgebra|) 102366) ((|DoubleFloat| . |SpecialFunctionCategory|) T) ((|SplittingNode| . |SetCategory|) T) ((|XDistributedPolynomial| . |XAlgebra|) 102350) ((|MachineInteger| . |OrderedCancellationAbelianMonoid|) T) ((|MachineInteger| . |OrderedAbelianMonoid|) T) ((|Float| . |CharacteristicZero|) T) ((|SingleInteger| . |EuclideanDomain|) T) ((|UnivariateLaurentSeriesConstructor| . |QuotientFieldCategory|) 102317) ((|AlgebraicNumber| . |PrincipalIdealDomain|) T) ((|ThreeDimensionalMatrix| . |HomogeneousAggregate|) 102301) ((|DirectProductModule| . |VectorSpace|) 102268) ((|DirectProductMatrixModule| . |VectorSpace|) 102235) ((|Symbol| . |OrderedSet|) T) ((|SplitHomogeneousDirectProduct| . |CommutativeRing|) 102201) ((|SingleInteger| . |RealConstant|) T) ((|RegularChain| . |Aggregate|) T) ((|Operator| . |CharacteristicZero|) 102164) ((|Operator| . |CharacteristicNonZero|) 102124) ((|Multiset| . |BagAggregate|) 102108) ((|Kernel| . |CachableSet|) T) ((|HomogeneousDirectProduct| . |SetCategory|) 101800) ((|SymmetricPolynomial| . |Rng|) T) ((|PAdicRational| . |GcdDomain|) T) ((|Asp78| . |Type|) T) ((|DirectProduct| . |Algebra|) 101757) ((|CharacterClass| . |BagAggregate|) 101732) ((|Plcs| . |SetCategoryWithDegree|) T) ((|ModMonic| . |FullyLinearlyExplicitRingOver|) 101716) ((|MyUnivariatePolynomial| . |Rng|) T) ((|SingleInteger| . |IntegerNumberSystem|) T) ((|U16Matrix| . |Evalable|) NIL) ((|FreeNilpotentLie| . |RightModule|) 101700) ((|XPolynomialRing| . |Monoid|) T) ((|WeightedPolynomials| . |Rng|) T) ((|SparseUnivariatePolynomial| . |PolynomialCategory|) 101635) ((|Any| . |CoercibleTo|) 101609) ((|SparseMultivariatePolynomial| . |PolynomialCategory|) 101562) ((|LinearOrdinaryDifferentialOperator1| . |FullyRetractableTo|) 101546) ((|UnivariateTaylorSeries| . |BasicType|) T) ((|UnivariatePuiseuxSeries| . |BasicType|) T) ((|LocalAlgebra| . |RightModule|) 101530) ((|Localize| . |AbelianSemiGroup|) T) ((|Localize| . |AbelianGroup|) T) ((|String| . |InnerEvalable|) NIL) ((|UnivariateLaurentSeries| . |BasicType|) T) ((|U16Vector| . |Type|) T) ((|FreeNilpotentLie| . |BiModule|) 101509) ((|Dequeue| . |DequeueAggregate|) 101493) ((|UnivariateFormalPowerSeries| . |BasicType|) T) ((|RectangularMatrix| . |SetCategory|) T) ((|RadixExpansion| . |StepThrough|) T) ((|RectangularMatrix| . |RectangularMatrixCategory|) 101411) ((|OrderlyDifferentialVariable| . |SetCategory|) T) ((|FiniteFieldCyclicGroup| . |UniqueFactorizationDomain|) T) ((|AssociatedLieAlgebra| . |LeftModule|) 101395) ((|LocalAlgebra| . |BiModule|) 101374) ((|AssociatedJordanAlgebra| . |LeftModule|) 101358) ((|InnerTaylorSeries| . |BasicType|) T) ((|IntegrationResult| . |CancellationAbelianMonoid|) T) ((|InnerSparseUnivariatePowerSeries| . |BasicType|) T) ((|FramedModule| . |SetCategory|) T) ((|FreeModule| . |SetCategory|) T) ((|DenavitHartenbergMatrix| . |SetCategory|) 101328) ((|ListMultiDictionary| . |InnerEvalable|) 101247) ((|Library| . |InnerEvalable|) 100997) ((|OnePointCompletion| . |Ring|) 100967) ((|List| . |Collection|) 100951) ((|FiniteFieldCyclicGroup| . |IntegralDomain|) T) ((|ModMonic| . |PartialDifferentialRing|) 100849) ((|InnerTable| . |Dictionary|) 100791) ((|UnivariateTaylorSeries| . |ElementaryFunctionCategory|) 100740) ((|UnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 100689) ((|UnivariateLaurentSeries| . |ElementaryFunctionCategory|) 100638) ((|SimpleAlgebraicExtension| . |EntireRing|) 100572) ((|HexadecimalExpansion| . |OrderedRing|) T) ((|DeRhamComplex| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |ElementaryFunctionCategory|) 100521) ((|TaylorSeries| . |HyperbolicFunctionCategory|) 100470) ((|RadixExpansion| . |Algebra|) 100404) ((|DecimalExpansion| . |OrderedRing|) T) ((|Fraction| . |LeftOreRing|) T) ((|PartialFraction| . |Algebra|) 100345) ((|OrderedCompletion| . |OrderedAbelianSemiGroup|) 100315) ((|OrderedCompletion| . |OrderedAbelianGroup|) 100285) ((|OrderedCompletion| . |Monoid|) 100255) ((|FiniteFieldExtension| . |EntireRing|) T) ((|FiniteFieldNormalBasisExtension| . |EntireRing|) T) ((|FiniteFieldCyclicGroupExtension| . |EntireRing|) T) ((|Complex| . |GcdDomain|) 100156) ((|FourierSeries| . |Algebra|) 100140) ((|BinaryExpansion| . |EntireRing|) T) ((|DeRhamComplex| . |AbelianMonoid|) T) ((|Fraction| . |OrderedAbelianSemiGroup|) 100100) ((|Fraction| . |OrderedAbelianGroup|) 100060) ((|Fraction| . |Monoid|) T) ((|IndexedBits| . |EltableAggregate|) 100025) ((|Pi| . |RightModule|) 99979) ((|LinearOrdinaryDifferentialOperator| . |CancellationAbelianMonoid|) T) ((|SplitHomogeneousDirectProduct| . |InnerEvalable|) 99898) ((|FiniteDivisor| . |CancellationAbelianMonoid|) T) ((|Complex| . |FieldOfPrimeCharacteristic|) 99860) ((|Divisor| . |CancellationAbelianMonoid|) T) ((|HomogeneousDirectProduct| . |Module|) 99789) ((|OrderedDirectProduct| . |Eltable|) 99761) ((|Pi| . |BiModule|) 99688) ((|AffinePlane| . |AffineSpaceCategory|) 99672) ((|LinearOrdinaryDifferentialOperator1| . |Rng|) T) ((|UnivariatePolynomial| . |GcdDomain|) 99567) ((|SequentialDifferentialPolynomial| . |CancellationAbelianMonoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |OrderedSet|) 99538) ((|DistributedMultivariatePolynomial| . |OrderedSet|) 99509) ((|NewSparseUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|NewSparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|Interval| . |GcdDomain|) T) ((|RectangularMatrix| . |Module|) 99438) ((|LocalAlgebra| . |Ring|) T) ((|RegularTriangularSet| . |InnerEvalable|) 99357) ((|GeneralModulePolynomial| . |CancellationAbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|AssociationList| . |SetCategory|) T) ((|FreeModule| . |Module|) 99314) ((|OrdinaryDifferentialRing| . |SetCategory|) T) ((|GeneralTriangularSet| . |InnerEvalable|) 99233) ((|GeneralPolynomialSet| . |InnerEvalable|) 99152) ((|GenericNonAssociativeAlgebra| . |FiniteRankNonAssociativeAlgebra|) 99108) ((|AssociationList| . |KeyedDictionary|) 99087) ((|Expression| . |ExpressionSpace|) T) ((|LieSquareMatrix| . |CoercibleTo|) 99037) ((|OneDimensionalArray| . |OrderedSet|) 99008) ((|UnivariateLaurentSeries| . |Evalable|) 98827) ((|RadixExpansion| . |FullyPatternMatchable|) 98804) ((|OrderedDirectProduct| . |IndexedAggregate|) 98776) ((|IndexedFlexibleArray| . |OrderedSet|) 98747) ((|IndexedOneDimensionalArray| . |OrderedSet|) 98718) ((|AlgebraicFunctionField| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |RetractableTo|) 98562) ((|AntiSymm| . |CancellationAbelianMonoid|) T) ((|InnerPrimeField| . |CancellationAbelianMonoid|) T) ((|InnerFiniteField| . |CancellationAbelianMonoid|) T) ((|Equation| . |LeftModule|) 98386) ((|FiniteFieldCyclicGroup| . |FiniteAlgebraicExtensionField|) 98355) ((|FiniteFieldCyclicGroup| . |Field|) T) ((|FreeAbelianGroup| . |FreeAbelianMonoidCategory|) 98327) ((|ExponentialOfUnivariatePuiseuxSeries| . |Eltable|) 98312) ((|AlgebraicFunctionField| . |IntegralDomain|) T) ((|Float| . |TranscendentalFunctionCategory|) T) ((|Float| . |TrigonometricFunctionCategory|) T) ((|Result| . |TableAggregate|) 98282) ((|Table| . |DictionaryOperations|) 98224) ((|SparseUnivariateLaurentSeries| . |DifferentialExtension|) 98148) ((|Result| . |BagAggregate|) 98081) ((|FortranCode| . |SetCategory|) T) ((|Float| . |ArcTrigonometricFunctionCategory|) T) ((|Float| . |ArcHyperbolicFunctionCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianSemiGroup|) T) ((|Pi| . |Ring|) T) ((|InfinitlyClosePoint| . |InfinitlyClosePointCategory|) 98025) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianGroup|) T) ((|HashTable| . |DictionaryOperations|) 97967) ((|StringTable| . |HomogeneousAggregate|) 97890) ((|XRecursivePolynomial| . |RightModule|) 97874) ((|FreeModule1| . |RightModule|) 97858) ((|Pi| . |DivisionRing|) T) ((|OrderlyDifferentialPolynomial| . |BasicType|) T) ((|ModuleOperator| . |CharacteristicZero|) 97821) ((|ModuleOperator| . |CharacteristicNonZero|) 97781) ((|Heap| . |HomogeneousAggregate|) 97765) ((|XRecursivePolynomial| . |BiModule|) 97744) ((|HyperellipticFiniteDivisor| . |FiniteDivisorCategory|) 97713) ((|Quaternion| . |FullyLinearlyExplicitRingOver|) 97697) ((|IndexedDirectProductObject| . |SetCategory|) T) ((|HomogeneousDirectProduct| . |CommutativeRing|) 97663) ((|Quaternion| . |FullyEvalableOver|) 97647) ((|FractionalIdeal| . |BasicType|) T) ((|FreeModule1| . |BiModule|) 97626) ((|ElementaryFunctionsUnivariatePuiseuxSeries| . |PartialTranscendentalFunctions|) 97610) ((|ElementaryFunctionsUnivariateLaurentSeries| . |PartialTranscendentalFunctions|) 97594) ((|DoubleFloatMatrix| . |Aggregate|) T) ((|ComplexDoubleFloatMatrix| . |Aggregate|) T) ((|U8Matrix| . |InnerEvalable|) NIL) ((|XPolynomial| . |CoercibleTo|) 97568) ((|XPBWPolynomial| . |CoercibleTo|) 97542) ((|Bits| . |InnerEvalable|) NIL) ((|SparseUnivariatePolynomial| . |UnivariatePolynomialCategory|) 97526) ((|SparseUnivariateSkewPolynomial| . |UnivariateSkewPolynomialCategory|) 97510) ((|SymmetricPolynomial| . |SetCategory|) T) ((|BalancedBinaryTree| . |Type|) T) ((|Polynomial| . |PolynomialCategory|) 97451) ((|MyUnivariatePolynomial| . |SetCategory|) T) ((|OrdinaryDifferentialRing| . |Module|) 97371) ((|UnivariateLaurentSeries| . |StepThrough|) NIL) ((|HomogeneousDistributedMultivariatePolynomial| . |PolynomialCategory|) 97263) ((|RomanNumeral| . |CombinatorialFunctionCategory|) T) ((|TwoDimensionalArray| . |BasicType|) 97233) ((|AlgebraGivenByStructuralConstants| . |CoercibleTo|) 97207) ((|Asp4| . |CoercibleTo|) 97181) ((|FiniteFieldNormalBasis| . |LeftModule|) 97107) ((|WeightedPolynomials| . |SetCategory|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedSet|) T) ((|FiniteFieldCyclicGroup| . |SemiGroup|) T) ((|EqTable| . |SetCategory|) T) ((|Quaternion| . |PartialDifferentialRing|) 97039) ((|EqTable| . |KeyedDictionary|) 97018) ((|UnivariateTaylorSeries| . |Algebra|) 96862) ((|UnivariatePuiseuxSeries| . |Algebra|) 96650) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|UnivariateLaurentSeries| . |Algebra|) 96371) ((|HexadecimalExpansion| . |Rng|) T) ((|UnivariateFormalPowerSeries| . |Algebra|) 96215) ((|DecimalExpansion| . |Rng|) T) ((|FiniteFieldCyclicGroup| . |AbelianMonoid|) T) ((|CliffordAlgebra| . |CoercibleTo|) 96189) ((|OnePointCompletion| . |OrderedCancellationAbelianMonoid|) 96159) ((|OnePointCompletion| . |OrderedAbelianMonoid|) 96129) ((|MyExpression| . |PrincipalIdealDomain|) 96096) ((|InnerTaylorSeries| . |Algebra|) 96057) ((|InnerSparseUnivariatePowerSeries| . |Algebra|) 95901) ((|PAdicInteger| . |IntegralDomain|) T) ((|DeRhamComplex| . |CancellationAbelianMonoid|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |RadicalCategory|) 95850) ((|Asp50| . |CoercibleTo|) 95824) ((|ModMonic| . |EuclideanDomain|) 95800) ((|Equation| . |Monoid|) 95673) ((|OpenMathErrorKind| . |BasicType|) T) ((|OrderedVariableList| . |OrderedFinite|) T) ((|Equation| . |Group|) 95649) ((|XDistributedPolynomial| . |BasicType|) T) ((|AlgebraicFunctionField| . |Field|) T) ((|PAdicRationalConstructor| . |CharacteristicZero|) 95612) ((|AffinePlane| . |SetCategory|) T) ((|PAdicRationalConstructor| . |CharacteristicNonZero|) 95572) ((|String| . |HomogeneousAggregate|) 95547) ((|XRecursivePolynomial| . |Ring|) T) ((|HomogeneousDirectProduct| . |InnerEvalable|) 95466) ((|SquareFreeRegularTriangularSet| . |Type|) T) ((|Product| . |CoercibleTo|) 95440) ((|ListMultiDictionary| . |HomogeneousAggregate|) 95424) ((|Library| . |HomogeneousAggregate|) 95341) ((|OrderedDirectProduct| . |CoercibleTo|) 94990) ((|AlgebraicNumber| . |AlgebraicallyClosedField|) T) ((|SymmetricPolynomial| . |Module|) 94834) ((|LinearOrdinaryDifferentialOperator1| . |SetCategory|) T) ((|FortranTemplate| . |FileCategory|) 94799) ((|MyUnivariatePolynomial| . |Module|) 94539) ((|Set| . |BasicType|) T) ((|OrderlyDifferentialPolynomial| . |Evalable|) 94526) ((|OrderedVariableList| . |SetCategory|) T) ((|XPBWPolynomial| . |FreeModuleCat|) 94469) ((|RectangularMatrix| . |InnerEvalable|) 94388) ((|StringTable| . |Eltable|) 94361) ((|DirectProduct| . |DifferentialExtension|) 94329) ((|WeightedPolynomials| . |Module|) 94286) ((|OrdinaryDifferentialRing| . |CommutativeRing|) 94262) ((|FiniteFieldNormalBasis| . |LeftOreRing|) T) ((|DenavitHartenbergMatrix| . |InnerEvalable|) 94181) ((|LocalAlgebra| . |OrderedCancellationAbelianMonoid|) 94151) ((|LocalAlgebra| . |OrderedAbelianMonoid|) 94121) ((|Tuple| . |CoercibleTo|) 94040) ((|Dequeue| . |Type|) T) ((|ThreeDimensionalMatrix| . |CoercibleTo|) 93991) ((|Stream| . |RecursiveAggregate|) 93975) ((|FiniteFieldNormalBasis| . |Monoid|) T) ((|Point| . |BasicType|) 93912) ((|UnivariateLaurentSeries| . |FullyPatternMatchable|) 93842) ((|SplitHomogeneousDirectProduct| . |HomogeneousAggregate|) 93826) ((|TwoDimensionalArray| . |Evalable|) 93750) ((|FourierComponent| . |BasicType|) T) ((|TaylorSeries| . |AbelianGroup|) T) ((|TaylorSeries| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |SemiGroup|) T) ((|ModularField| . |AbelianGroup|) T) ((|LieExponentials| . |CoercibleTo|) 93724) ((|InnerFreeAbelianMonoid| . |FreeAbelianMonoidCategory|) 93703) ((|ModularField| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |Eltable|) NIL) ((|PositiveInteger| . |SemiGroup|) T) ((|AlgebraicFunctionField| . |AbelianMonoid|) T) ((|NonNegativeInteger| . |SemiGroup|) T) ((|Integer| . |UniqueFactorizationDomain|) T) ((|InnerAlgebraicNumber| . |UniqueFactorizationDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CoercibleTo|) 93677) ((|RadixExpansion| . |DifferentialExtension|) 93654) ((|Complex| . |ComplexCategory|) 93638) ((|InnerPAdicInteger| . |IntegralDomain|) T) ((|Integer| . |IntegralDomain|) T) ((|InnerAlgebraicNumber| . |IntegralDomain|) T) ((|NonNegativeInteger| . |AbelianMonoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |CharacteristicZero|) 93601) ((|StringTable| . |IndexedAggregate|) 93574) ((|UnivariatePuiseuxSeriesConstructor| . |CharacteristicNonZero|) 93534) ((|RegularTriangularSet| . |HomogeneousAggregate|) 93518) ((|UnivariateLaurentSeriesConstructor| . |CharacteristicNonZero|) 93405) ((|UnivariateLaurentSeriesConstructor| . |CharacteristicZero|) 93298) ((|XDistributedPolynomial| . |XPolynomialsCat|) 93277) ((|GeneralTriangularSet| . |HomogeneousAggregate|) 93261) ((|GeneralPolynomialSet| . |HomogeneousAggregate|) 93245) ((|IndexedMatrix| . |Aggregate|) T) ((|LinearOrdinaryDifferentialOperator1| . |Module|) 93202) ((|Localize| . |OrderedSet|) 93164) ((|SymmetricPolynomial| . |CommutativeRing|) 93093) ((|File| . |BasicType|) T) ((|DirectProduct| . |DirectProductCategory|) 93072) ((|DirectProductModule| . |BasicType|) T) ((|DirectProductMatrixModule| . |BasicType|) T) ((|UnivariatePolynomial| . |PolynomialCategory|) 93007) ((|BinaryFile| . |BasicType|) T) ((|DataList| . |OrderedSet|) 92978) ((|OrderlyDifferentialPolynomial| . |Algebra|) 92741) ((|MyUnivariatePolynomial| . |CommutativeRing|) 92571) ((|AssociationList| . |InnerEvalable|) 92279) ((|String| . |Eltable|) 92242) ((|Database| . |SetCategory|) T) ((|SparseTable| . |SetCategory|) T) ((|Places| . |BasicType|) T) ((|SparseTable| . |KeyedDictionary|) 92221) ((|IntegrationResult| . |AbelianSemiGroup|) T) ((|IntegrationResult| . |AbelianGroup|) T) ((|Set| . |Evalable|) 92145) ((|PolynomialRing| . |FullyRetractableTo|) 92129) ((|MachineFloat| . |UniqueFactorizationDomain|) T) ((|Library| . |Eltable|) 92099) ((|SequentialDifferentialPolynomial| . |LinearlyExplicitRingOver|) 92015) ((|NewSparseUnivariatePolynomial| . |LinearlyExplicitRingOver|) 91931) ((|NewSparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 91847) ((|FiniteFieldCyclicGroup| . |CancellationAbelianMonoid|) T) ((|EuclideanModularRing| . |CoercibleTo|) 91821) ((|Places| . |PlacesCategory|) 91764) ((|MachineFloat| . |IntegralDomain|) T) ((|Permutation| . |SetCategory|) T) ((|PAdicInteger| . |SemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 91680) ((|Permutation| . |PermutationCategory|) 91664) ((|PseudoAlgebraicClosureOfFiniteField| . |PseudoAlgebraicClosureOfFiniteFieldCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|Point| . |Evalable|) 91588) ((|Float| . |GcdDomain|) T) ((|PAdicInteger| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |CharacteristicNonZero|) T) ((|MachineInteger| . |LeftModule|) 91575) ((|PseudoAlgebraicClosureOfFiniteField| . |CharacteristicZero|) 91538) ((|DecimalExpansion| . |SetCategory|) T) ((|Expression| . |PrincipalIdealDomain|) 91505) ((|ExponentialExpansion| . |PrincipalIdealDomain|) T) ((|ExponentialExpansion| . |OrderedIntegralDomain|) NIL) ((|FreeNilpotentLie| . |Monad|) T) ((|NeitherSparseOrDensePowerSeries| . |CharacteristicNonZero|) 91465) ((|NeitherSparseOrDensePowerSeries| . |CharacteristicZero|) 91428) ((|U8Matrix| . |HomogeneousAggregate|) 91405) ((|BalancedPAdicInteger| . |LeftModule|) 91392) ((|GeneralUnivariatePowerSeries| . |CharacteristicNonZero|) 91352) ((|Factored| . |FullyRetractableTo|) 91336) ((|GeneralUnivariatePowerSeries| . |CharacteristicZero|) 91299) ((|Bits| . |HomogeneousAggregate|) 91276) ((|SparseUnivariatePolynomialExpressions| . |UniqueFactorizationDomain|) 91226) ((|Record| . |CoercibleTo|) 91200) ((|String| . |OneDimensionalArrayAggregate|) 91175) ((|SparseUnivariatePolynomialExpressions| . |IntegralDomain|) 91038) ((|String| . |IndexedAggregate|) 91001) ((|LinearOrdinaryDifferentialOperator| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator| . |AbelianSemiGroup|) T) ((|IndexedString| . |StringAggregate|) T) ((|SplitHomogeneousDirectProduct| . |Eltable|) 90973) ((|FiniteDivisor| . |AbelianSemiGroup|) T) ((|FiniteDivisor| . |AbelianGroup|) T) ((|Divisor| . |AbelianSemiGroup|) T) ((|Divisor| . |AbelianGroup|) T) ((|InnerAlgebraicNumber| . |Field|) T) ((|XDistributedPolynomial| . |Algebra|) 90930) ((|SquareMatrix| . |Type|) T) ((|Library| . |IndexedAggregate|) 90900) ((|SequentialDifferentialPolynomial| . |AbelianSemiGroup|) T) ((|SequentialDifferentialPolynomial| . |AbelianGroup|) T) ((|PolynomialRing| . |Rng|) T) ((|MyUnivariatePolynomial| . |InnerEvalable|) 90810) ((|IndexedExponents| . |OrderedAbelianMonoid|) T) ((|IndexedExponents| . |OrderedCancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |UniqueFactorizationDomain|) T) ((|DirichletRing| . |BasicType|) T) ((|LaurentPolynomial| . |IntegralDomain|) T) ((|NewSparseUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|NewSparseUnivariatePolynomial| . |AbelianGroup|) T) ((|NewSparseMultivariatePolynomial| . |AbelianGroup|) T) ((|NewSparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|MonoidRing| . |Rng|) T) ((|ModularRing| . |Rng|) T) ((|LieSquareMatrix| . |RightModule|) 90794) ((|GeneralModulePolynomial| . |AbelianSemiGroup|) T) ((|BalancedPAdicRational| . |IntegralDomain|) T) ((|GeneralModulePolynomial| . |AbelianGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|SquareMatrix| . |RetractableTo|) 90638) ((|OrdinaryDifferentialRing| . |EntireRing|) 90614) ((|MyExpression| . |FunctionSpace|) 90598) ((|OpenMathEncoding| . |SetCategory|) T) ((|XPolynomial| . |RightModule|) 90582) ((|XPBWPolynomial| . |RightModule|) 90566) ((|LieSquareMatrix| . |BiModule|) 90545) ((|EqTable| . |InnerEvalable|) 90253) ((|UnivariatePuiseuxSeriesConstructor| . |TranscendentalFunctionCategory|) 90202) ((|UnivariatePuiseuxSeriesConstructor| . |TrigonometricFunctionCategory|) 90151) ((|UniversalSegment| . |BasicType|) 90121) ((|DirectProductModule| . |Evalable|) 90045) ((|DirectProductMatrixModule| . |Evalable|) 89969) ((|UnivariateLaurentSeries| . |DifferentialExtension|) 89899) ((|StringTable| . |ConvertibleTo|) NIL) ((|StringTable| . |CoercibleTo|) 89873) ((|UnivariateLaurentSeriesConstructor| . |TranscendentalFunctionCategory|) 89822) ((|UnivariateLaurentSeriesConstructor| . |TrigonometricFunctionCategory|) 89771) ((|SquareMatrix| . |FullyLinearlyExplicitRingOver|) 89755) ((|SingleInteger| . |OrderedIntegralDomain|) T) ((|SingleInteger| . |PrincipalIdealDomain|) T) ((|SplitHomogeneousDirectProduct| . |IndexedAggregate|) 89727) ((|SimpleAlgebraicExtension| . |ConvertibleTo|) 89711) ((|SimpleAlgebraicExtension| . |CoercibleTo|) 89685) ((|RightOpenIntervalRootCharacterization| . |CoercibleTo|) 89659) ((|InfinitlyClosePoint| . |BasicType|) T) ((|Heap| . |CoercibleTo|) 89610) ((|OrderedDirectProduct| . |EltableAggregate|) 89582) ((|KeyedAccessFile| . |Collection|) 89518) ((|Factored| . |Rng|) T) ((|HexadecimalExpansion| . |Module|) 89452) ((|HomogeneousDirectProduct| . |HomogeneousAggregate|) 89436) ((|FlexibleArray| . |OrderedSet|) 89407) ((|FortranExpression| . |LeftModule|) 89381) ((|AntiSymm| . |AbelianGroup|) T) ((|AntiSymm| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |Module|) 89315) ((|Complex| . |MonogenicAlgebra|) 89263) ((|ContinuedFraction| . |LeftModule|) 89178) ((|InnerPrimeField| . |AbelianGroup|) T) ((|InnerPrimeField| . |AbelianSemiGroup|) T) ((|InnerFiniteField| . |AbelianSemiGroup|) T) ((|InnerFiniteField| . |AbelianGroup|) T) ((|GeneralSparseTable| . |Collection|) 89120) ((|MachineInteger| . |LeftOreRing|) T) ((|QuadraticForm| . |BasicType|) T) ((|OutputForm| . |BasicType|) T) ((|Octonion| . |FullyRetractableTo|) 89076) ((|AlgebraicFunctionField| . |CancellationAbelianMonoid|) T) ((|d03fafAnnaType| . |PartialDifferentialEquationsSolverCategory|) T) ((|MachineFloat| . |Field|) T) ((|MachineInteger| . |OrderedAbelianSemiGroup|) T) ((|MachineInteger| . |OrderedAbelianGroup|) T) ((|InnerPAdicInteger| . |SemiGroup|) T) ((|Integer| . |SemiGroup|) T) ((|BalancedPAdicInteger| . |LeftOreRing|) T) ((|InnerAlgebraicNumber| . |SemiGroup|) T) ((|MachineInteger| . |Monoid|) T) ((|FiniteFieldExtension| . |CoercibleTo|) 89050) ((|FiniteFieldNormalBasisExtension| . |CoercibleTo|) 89024) ((|FiniteFieldCyclicGroupExtension| . |CoercibleTo|) 88998) ((|Asp24| . |FortranFunctionCategory|) T) ((|Asp24| . |FortranProgramCategory|) T) ((|BinaryExpansion| . |ConvertibleTo|) 88899) ((|BinaryExpansion| . |CoercibleTo|) 88873) ((|d03eefAnnaType| . |PartialDifferentialEquationsSolverCategory|) T) ((|PrimitiveArray| . |Collection|) 88857) ((|UnivariatePuiseuxSeriesConstructor| . |ArcTrigonometricFunctionCategory|) 88806) ((|NonNegativeInteger| . |CancellationAbelianMonoid|) T) ((|CardinalNumber| . |Monoid|) T) ((|BalancedPAdicInteger| . |Monoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |ArcHyperbolicFunctionCategory|) 88755) ((|RectangularMatrix| . |HomogeneousAggregate|) 88739) ((|InnerPAdicInteger| . |AbelianMonoid|) T) ((|Integer| . |AbelianMonoid|) T) ((|InnerAlgebraicNumber| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |ArcTrigonometricFunctionCategory|) 88688) ((|UnivariateLaurentSeriesConstructor| . |ArcHyperbolicFunctionCategory|) 88637) ((|SparseUnivariatePolynomial| . |BasicType|) T) ((|SparseMultivariatePolynomial| . |BasicType|) T) ((|SparseUnivariateSkewPolynomial| . |BasicType|) T) ((|DenavitHartenbergMatrix| . |HomogeneousAggregate|) 88621) ((|XPolynomial| . |BiModule|) 88600) ((|XPBWPolynomial| . |BiModule|) 88579) ((|AlgebraGivenByStructuralConstants| . |RightModule|) 88563) ((|UnivariatePolynomial| . |UnivariatePolynomialCategory|) 88547) ((|UnivariateSkewPolynomial| . |UnivariateSkewPolynomialCategory|) 88531) ((|SymmetricPolynomial| . |EntireRing|) 88498) ((|Bits| . |Eltable|) 88463) ((|SquareMatrix| . |PartialDifferentialRing|) 88395) ((|AlgebraGivenByStructuralConstants| . |BiModule|) 88374) ((|MyUnivariatePolynomial| . |EntireRing|) 88237) ((|XPolynomial| . |Ring|) T) ((|LieSquareMatrix| . |Ring|) T) ((|SparseUnivariateLaurentSeries| . |OrderedRing|) NIL) ((|String| . |ConvertibleTo|) NIL) ((|String| . |CoercibleTo|) 88211) ((|RoutinesTable| . |KeyedDictionary|) 88181) ((|RoutinesTable| . |SetCategory|) T) ((|Asp35| . |FortranVectorFunctionCategory|) T) ((|Asp35| . |FortranProgramCategory|) T) ((|LieSquareMatrix| . |DifferentialRing|) 88146) ((|CliffordAlgebra| . |RightModule|) 88130) ((|Interval| . |IntervalCategory|) 88114) ((|FiniteFieldExtensionByPolynomial| . |CharacteristicZero|) 88077) ((|FiniteFieldExtensionByPolynomial| . |CharacteristicNonZero|) 88008) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CharacteristicZero|) 87971) ((|MakeCachableSet| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CharacteristicNonZero|) 87902) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CharacteristicZero|) 87865) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CharacteristicNonZero|) 87796) ((|DifferentialSparseMultivariatePolynomial| . |CharacteristicNonZero|) 87756) ((|DifferentialSparseMultivariatePolynomial| . |CharacteristicZero|) 87719) ((|DirectProductModule| . |Algebra|) 87676) ((|DistributedMultivariatePolynomial| . |CharacteristicZero|) 87639) ((|BalancedPAdicRational| . |Field|) T) ((|DistributedMultivariatePolynomial| . |CharacteristicNonZero|) 87599) ((|DirectProductMatrixModule| . |Algebra|) 87556) ((|CliffordAlgebra| . |BiModule|) 87535) ((|RadicalFunctionField| . |RetractableTo|) 87340) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|MachineComplex| . |UniqueFactorizationDomain|) T) ((|Octonion| . |Rng|) T) ((|MachineFloat| . |SemiGroup|) T) ((|XPBWPolynomial| . |Ring|) T) ((|SparseUnivariatePolynomialExpressions| . |SemiGroup|) T) ((|Stream| . |Type|) T) ((|RadicalFunctionField| . |FullyLinearlyExplicitRingOver|) 87311) ((|PrimeField| . |CharacteristicNonZero|) T) ((|PrimeField| . |CharacteristicZero|) 87277) ((|PAdicInteger| . |CancellationAbelianMonoid|) T) ((|OrderedDirectProduct| . |RightModule|) 87147) ((|MachineFloat| . |AbelianMonoid|) T) ((|MachineComplex| . |IntegralDomain|) T) ((|ListMultiDictionary| . |CoercibleTo|) 87098) ((|ListMultiDictionary| . |ConvertibleTo|) 87034) ((|Library| . |ConvertibleTo|) NIL) ((|Library| . |CoercibleTo|) 87008) ((|HexadecimalExpansion| . |CommutativeRing|) T) ((|DeRhamComplex| . |AbelianGroup|) T) ((|ContinuedFraction| . |LeftOreRing|) T) ((|DeRhamComplex| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |CommutativeRing|) T) ((|GeneralUnivariatePowerSeries| . |TrigonometricFunctionCategory|) 86957) ((|GeneralUnivariatePowerSeries| . |TranscendentalFunctionCategory|) 86906) ((|e04ucfAnnaType| . |CoercibleTo|) 86880) ((|e04nafAnnaType| . |CoercibleTo|) 86854) ((|e04mbfAnnaType| . |CoercibleTo|) 86828) ((|e04jafAnnaType| . |CoercibleTo|) 86802) ((|e04gcfAnnaType| . |CoercibleTo|) 86776) ((|IndexedBits| . |LinearAggregate|) 86753) ((|e04fdfAnnaType| . |CoercibleTo|) 86727) ((|FortranExpression| . |Monoid|) T) ((|e04dgfAnnaType| . |CoercibleTo|) 86701) ((|Bits| . |OneDimensionalArrayAggregate|) 86678) ((|ContinuedFraction| . |Monoid|) T) ((|IndexedBits| . |FiniteLinearAggregate|) 86655) ((|d03fafAnnaType| . |CoercibleTo|) 86629) ((|IndexedList| . |StreamAggregate|) 86613) ((|IndexedBits| . |BitAggregate|) T) ((|Bits| . |IndexedAggregate|) 86578) ((|d03eefAnnaType| . |CoercibleTo|) 86552) ((|GeneralUnivariatePowerSeries| . |ArcHyperbolicFunctionCategory|) 86501) ((|GeneralUnivariatePowerSeries| . |ArcTrigonometricFunctionCategory|) 86450) ((|d02ejfAnnaType| . |CoercibleTo|) 86424) ((|d02cjfAnnaType| . |CoercibleTo|) 86398) ((|d02bhfAnnaType| . |CoercibleTo|) 86372) ((|d02bbfAnnaType| . |CoercibleTo|) 86346) ((|d01TransformFunctionType| . |CoercibleTo|) 86320) ((|d01gbfAnnaType| . |CoercibleTo|) 86294) ((|d01fcfAnnaType| . |CoercibleTo|) 86268) ((|d01asfAnnaType| . |CoercibleTo|) 86242) ((|d01aqfAnnaType| . |CoercibleTo|) 86216) ((|d01apfAnnaType| . |CoercibleTo|) 86190) ((|d01anfAnnaType| . |CoercibleTo|) 86164) ((|InputForm| . |SExpressionCategory|) 86088) ((|d01amfAnnaType| . |CoercibleTo|) 86062) ((|d01alfAnnaType| . |CoercibleTo|) 86036) ((|AssociationList| . |HomogeneousAggregate|) 85965) ((|d01akfAnnaType| . |CoercibleTo|) 85939) ((|d01ajfAnnaType| . |CoercibleTo|) 85913) ((|SparseUnivariatePolynomialExpressions| . |AbelianMonoid|) T) ((|OrderedDirectProduct| . |BiModule|) 85776) ((|List| . |BasicType|) 85713) ((|HomogeneousDirectProduct| . |Eltable|) 85685) ((|SplitHomogeneousDirectProduct| . |CoercibleTo|) 85334) ((|SetOfMIntegersInOneToN| . |SetCategory|) T) ((|RegularChain| . |Type|) T) ((|LaurentPolynomial| . |SemiGroup|) T) ((|XPolynomialRing| . |RetractableTo|) 85318) ((|SparseUnivariatePolynomial| . |Evalable|) 85305) ((|SparseMultivariatePolynomial| . |Evalable|) 85292) ((|BalancedPAdicRational| . |SemiGroup|) T) ((|U8Matrix| . |MatrixCategory|) 85243) ((|OrderedFreeMonoid| . |BasicType|) T) ((|LaurentPolynomial| . |AbelianMonoid|) T) ((|SparseTable| . |InnerEvalable|) 84951) ((|FreeMonoid| . |BasicType|) T) ((|FreeAbelianMonoid| . |BasicType|) T) ((|RadicalFunctionField| . |PartialDifferentialRing|) 84870) ((|PolynomialRing| . |SetCategory|) T) ((|CliffordAlgebra| . |Ring|) T) ((|MultivariatePolynomial| . |FullyRetractableTo|) 84854) ((|BalancedPAdicRational| . |AbelianMonoid|) T) ((|MonoidRing| . |SetCategory|) T) ((|ModularRing| . |SetCategory|) T) ((|MakeCachableSet| . |CachableSet|) T) ((|GenericNonAssociativeAlgebra| . |SetCategory|) T) ((|Expression| . |FunctionSpace|) 84838) ((|Fraction| . |Type|) T) ((|RegularTriangularSet| . |ConvertibleTo|) 84774) ((|RegularTriangularSet| . |CoercibleTo|) 84726) ((|RealClosure| . |UniqueFactorizationDomain|) T) ((|DoubleFloat| . |BasicType|) T) ((|DirichletRing| . |Algebra|) 84646) ((|OrderlyDifferentialPolynomial| . |DifferentialExtension|) 84630) ((|RealClosure| . |IntegralDomain|) T) ((|OnePointCompletion| . |LeftModule|) 84594) ((|FiniteField| . |UniqueFactorizationDomain|) T) ((|GeneralTriangularSet| . |CoercibleTo|) 84546) ((|GeneralTriangularSet| . |ConvertibleTo|) 84482) ((|GeneralPolynomialSet| . |ConvertibleTo|) 84418) ((|GeneralPolynomialSet| . |CoercibleTo|) 84370) ((|Fraction| . |Patternable|) 84354) ((|ExponentialOfUnivariatePuiseuxSeries| . |RightModule|) 84136) ((|Fraction| . |PatternMatchable|) 84017) ((|OrderedCompletion| . |RetractableTo|) 83861) ((|HexadecimalExpansion| . |InnerEvalable|) NIL) ((|HomogeneousDirectProduct| . |IndexedAggregate|) 83833) ((|FiniteField| . |IntegralDomain|) T) ((|DecimalExpansion| . |InnerEvalable|) NIL) ((|PAdicRationalConstructor| . |GcdDomain|) T) ((|Factored| . |SetCategory|) T) ((|Fraction| . |RetractableTo|) 83635) ((|ExponentialOfUnivariatePuiseuxSeries| . |BiModule|) 83385) ((|MachineComplex| . |Field|) T) ((|DoubleFloat| . |ElementaryFunctionCategory|) T) ((|AlgebraicNumber| . |UniqueFactorizationDomain|) T) ((|OrderedDirectProduct| . |Ring|) 83295) ((|InnerPAdicInteger| . |CancellationAbelianMonoid|) T) ((|Integer| . |CancellationAbelianMonoid|) T) ((|InnerAlgebraicNumber| . |CancellationAbelianMonoid|) T) ((|AlgebraicNumber| . |IntegralDomain|) T) ((|StringTable| . |EltableAggregate|) 83268) ((|SparseUnivariatePolynomial| . |StepThrough|) 83238) ((|Expression| . |AlgebraicallyClosedField|) 83205) ((|RomanNumeral| . |BasicType|) T) ((|OrderedDirectProduct| . |DifferentialRing|) 83142) ((|DirectProduct| . |OrderedRing|) 83112) ((|Polynomial| . |BasicType|) T) ((|ModuleMonomial| . |BasicType|) T) ((|EqTable| . |HomogeneousAggregate|) 83041) ((|HomogeneousDistributedMultivariatePolynomial| . |BasicType|) T) ((|MultivariatePolynomial| . |Rng|) T) ((|Kernel| . |CoercibleTo|) 83015) ((|Kernel| . |ConvertibleTo|) 82793) ((|Fraction| . |FullyLinearlyExplicitRingOver|) 82777) ((|Fraction| . |FullyEvalableOver|) 82761) ((|SparseUnivariatePolynomial| . |Algebra|) 82501) ((|SparseMultivariatePolynomial| . |Algebra|) 82264) ((|SparseUnivariateSkewPolynomial| . |Algebra|) 82221) ((|FreeNilpotentLie| . |LeftModule|) 82205) ((|List| . |Evalable|) 82129) ((|U8Matrix| . |CoercibleTo|) 82103) ((|PolynomialRing| . |Module|) 81947) ((|MonoidRing| . |Module|) 81904) ((|Dequeue| . |BagAggregate|) 81888) ((|AssociationList| . |Eltable|) 81800) ((|LocalAlgebra| . |LeftModule|) 81774) ((|Exit| . |SetCategory|) T) ((|EuclideanModularRing| . |RightModule|) 81761) ((|Bits| . |CoercibleTo|) 81735) ((|Bits| . |ConvertibleTo|) 81710) ((|GenericNonAssociativeAlgebra| . |Module|) 81666) ((|OrderlyDifferentialPolynomial| . |DifferentialPolynomialCategory|) 81532) ((|Matrix| . |SetCategory|) 81502) ((|InnerTable| . |SetCategory|) T) ((|SparseUnivariateTaylorSeries| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |Rng|) T) ((|EuclideanModularRing| . |BiModule|) 81487) ((|SparseUnivariateLaurentSeries| . |Rng|) T) ((|SparseMultivariateTaylorSeries| . |Rng|) T) ((|InnerTable| . |KeyedDictionary|) 81466) ((|RadixExpansion| . |OrderedRing|) T) ((|DenavitHartenbergMatrix| . |MatrixCategory|) 81418) ((|MachineComplex| . |SemiGroup|) T) ((|TaylorSeries| . |MultivariateTaylorSeriesCategory|) 81391) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |ProjectiveSpaceCategory|) 81335) ((|ExponentialOfUnivariatePuiseuxSeries| . |Ring|) T) ((|FiniteFieldCyclicGroup| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroup| . |AbelianGroup|) T) ((|Fraction| . |PartialDifferentialRing|) 81267) ((|Asp28| . |Type|) T) ((|OnePointCompletion| . |OrderedAbelianSemiGroup|) 81237) ((|Factored| . |Module|) 81211) ((|Octonion| . |SetCategory|) T) ((|OnePointCompletion| . |OrderedAbelianGroup|) 81181) ((|MachineFloat| . |CancellationAbelianMonoid|) T) ((|ModMonic| . |PrincipalIdealDomain|) 81157) ((|MachineComplex| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |EntireRing|) T) ((|OnePointCompletion| . |Monoid|) 81127) ((|ExponentialOfUnivariatePuiseuxSeries| . |DifferentialRing|) 81062) ((|ExponentialOfUnivariatePuiseuxSeries| . |DivisionRing|) 81038) ((|DecimalExpansion| . |EntireRing|) T) ((|RealClosure| . |Field|) T) ((|UnivariatePuiseuxSeriesConstructor| . |GcdDomain|) 81014) ((|UnivariateLaurentSeriesConstructor| . |GcdDomain|) 80990) ((|FiniteField| . |FiniteAlgebraicExtensionField|) 80959) ((|FiniteField| . |Field|) T) ((|SplittingNode| . |CoercibleTo|) 80933) ((|AssociationList| . |UnaryRecursiveAggregate|) 80875) ((|PAdicRational| . |BasicType|) T) ((|List| . |ExtensibleLinearAggregate|) 80859) ((|MachineFloat| . |RealNumberSystem|) T) ((|Pi| . |LeftModule|) 80813) ((|GraphImage| . |SetCategory|) T) ((|AssociationList| . |IndexedAggregate|) 80725) ((|String| . |EltableAggregate|) 80688) ((|SparseUnivariatePolynomialExpressions| . |CancellationAbelianMonoid|) T) ((|AlgebraicFunctionField| . |LinearlyExplicitRingOver|) 80578) ((|AlgebraicNumber| . |Field|) T) ((|SimpleFortranProgram| . |CoercibleTo|) 80552) ((|SequentialDifferentialPolynomial| . |OrderedSet|) 80523) ((|Library| . |EltableAggregate|) 80493) ((|U32Matrix| . |SetCategory|) T) ((|Polynomial| . |Evalable|) 80480) ((|NewSparseUnivariatePolynomial| . |OrderedSet|) 80451) ((|NewSparseMultivariatePolynomial| . |OrderedSet|) 80422) ((|GeneralDistributedMultivariatePolynomial| . |OrderedSet|) 80393) ((|HomogeneousDirectProduct| . |CoercibleTo|) 80042) ((|DirectProduct| . |FullyRetractableTo|) 80003) ((|DoubleFloatMatrix| . |Type|) T) ((|ComplexDoubleFloatMatrix| . |Type|) T) ((|DoubleFloatVector| . |Collection|) 79976) ((|ComplexDoubleFloatVector| . |Collection|) 79937) ((|Asp20| . |Type|) T) ((|MyUnivariatePolynomial| . |Eltable|) 79840) ((|LaurentPolynomial| . |CancellationAbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Evalable|) 79827) ((|RoutinesTable| . |InnerEvalable|) 79577) ((|EuclideanModularRing| . |Ring|) T) ((|BalancedPAdicRational| . |CancellationAbelianMonoid|) T) ((|GenericNonAssociativeAlgebra| . |NonAssociativeRng|) T) ((|PolynomialRing| . |CommutativeRing|) 79506) ((|SuchThat| . |SetCategory|) T) ((|SplitHomogeneousDirectProduct| . |EltableAggregate|) 79478) ((|SimpleAlgebraicExtension| . |RightModule|) 79360) ((|LocalAlgebra| . |OrderedAbelianSemiGroup|) 79330) ((|IndexedString| . |SetCategory|) T) ((|LocalAlgebra| . |OrderedAbelianGroup|) 79300) ((|LocalAlgebra| . |Monoid|) T) ((|EqTable| . |Eltable|) 79279) ((|Equation| . |Type|) T) ((|RectangularMatrix| . |CoercibleTo|) 79229) ((|RectangularMatrix| . |ConvertibleTo|) 79165) ((|RealClosure| . |SemiGroup|) T) ((|Complex| . |BasicType|) T) ((|ExtAlgBasis| . |OrderedSet|) T) ((|Set| . |Dictionary|) 79149) ((|OrderlyDifferentialVariable| . |CoercibleTo|) 79123) ((|SimpleAlgebraicExtension| . |BiModule|) 78973) ((|RadicalFunctionField| . |EuclideanDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |GcdDomain|) T) ((|Octonion| . |Module|) 78957) ((|FiniteFieldExtension| . |RightModule|) 78898) ((|FiniteField| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |RightModule|) 78839) ((|FramedModule| . |CoercibleTo|) 78813) ((|FreeModule| . |CoercibleTo|) 78787) ((|FiniteFieldCyclicGroupExtension| . |RightModule|) 78728) ((|DenavitHartenbergMatrix| . |CoercibleTo|) 78679) ((|RealClosure| . |AbelianMonoid|) T) ((|NeitherSparseOrDensePowerSeries| . |GcdDomain|) T) ((|BinaryExpansion| . |RightModule|) 78613) ((|NumericalPDEProblem| . |BasicType|) T) ((|NumericalOptimizationProblem| . |BasicType|) T) ((|NumericalODEProblem| . |BasicType|) T) ((|NumericalIntegrationProblem| . |BasicType|) T) ((|Magma| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |GcdDomain|) 78589) ((|Factored| . |CommutativeRing|) T) ((|FiniteFieldExtension| . |BiModule|) 78498) ((|FiniteFieldNormalBasisExtension| . |BiModule|) 78407) ((|FiniteFieldCyclicGroupExtension| . |BiModule|) 78316) ((|DirectProductModule| . |DifferentialExtension|) 78284) ((|DirectProductMatrixModule| . |DifferentialExtension|) 78252) ((|FiniteField| . |AbelianMonoid|) T) ((|Asp31| . |Type|) T) ((|DoubleFloat| . |Algebra|) 78206) ((|BinaryExpansion| . |BiModule|) 78101) ((|AlgebraicFunctionField| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |AbelianGroup|) T) ((|LieSquareMatrix| . |Monad|) T) ((|Complex| . |ElementaryFunctionCategory|) 78052) ((|PseudoAlgebraicClosureOfFiniteField| . |FieldOfPrimeCharacteristic|) T) ((|AlgebraicNumber| . |SemiGroup|) T) ((|PositiveInteger| . |AbelianSemiGroup|) T) ((|NonNegativeInteger| . |AbelianSemiGroup|) T) ((|SparseTable| . |HomogeneousAggregate|) 77981) ((|Pi| . |LeftOreRing|) T) ((|HyperellipticFiniteDivisor| . |SetCategory|) T) ((|XRecursivePolynomial| . |LeftModule|) 77955) ((|UnivariatePolynomial| . |BasicType|) T) ((|UnivariateSkewPolynomial| . |BasicType|) T) ((|DirectProduct| . |Rng|) 77865) ((|RomanNumeral| . |StepThrough|) T) ((|Product| . |OrderedAbelianMonoid|) 77776) ((|FreeModule1| . |LeftModule|) 77760) ((|AlgebraicNumber| . |AbelianMonoid|) T) ((|Product| . |OrderedCancellationAbelianMonoid|) 77671) ((|OrderedDirectProduct| . |OrderedCancellationAbelianMonoid|) 77595) ((|OrderedDirectProduct| . |OrderedAbelianMonoid|) 77519) ((|EqTable| . |IndexedAggregate|) 77498) ((|Pi| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |HyperbolicFunctionCategory|) 77449) ((|Interval| . |BasicType|) T) ((|StochasticDifferential| . |Rng|) T) ((|PAdicRational| . |Evalable|) 77357) ((|LinearOrdinaryDifferentialOperator1| . |Eltable|) 77336) ((|Boolean| . |Logic|) T) ((|Asp42| . |Type|) T) ((|RomanNumeral| . |Algebra|) 77323) ((|LiePolynomial| . |FreeLieAlgebra|) 77302) ((|Polynomial| . |Algebra|) 77065) ((|MultivariatePolynomial| . |SetCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Algebra|) 76828) ((|Asp7| . |Type|) T) ((|Interval| . |ElementaryFunctionCategory|) T) ((|UnivariateLaurentSeries| . |OrderedRing|) NIL) ((|SparseUnivariateTaylorSeries| . |SetCategory|) T) ((|SparseUnivariatePuiseuxSeries| . |SetCategory|) T) ((|SparseUnivariateLaurentSeries| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |RetractableTo|) 76797) ((|SimpleAlgebraicExtension| . |Ring|) T) ((|RadixExpansion| . |Rng|) T) ((|AssociationList| . |CoercibleTo|) 76771) ((|AssociationList| . |ConvertibleTo|) NIL) ((|PartialFraction| . |Rng|) T) ((|OrdinaryDifferentialRing| . |CoercibleTo|) 76745) ((|Stack| . |BasicType|) 76715) ((|SimpleAlgebraicExtension| . |DivisionRing|) 76649) ((|FourierSeries| . |Rng|) T) ((|FiniteFieldExtension| . |Ring|) T) ((|FiniteFieldNormalBasisExtension| . |Ring|) T) ((|File| . |FileCategory|) 76620) ((|FiniteFieldCyclicGroupExtension| . |Ring|) T) ((|DirectProductModule| . |DirectProductCategory|) 76599) ((|DirectProductMatrixModule| . |DirectProductCategory|) 76578) ((|BinaryFile| . |FileCategory|) 76536) ((|SimpleAlgebraicExtension| . |DifferentialRing|) 76430) ((|SparseMultivariateTaylorSeries| . |SetCategory|) T) ((|Equation| . |PartialDifferentialRing|) 76362) ((|BinaryExpansion| . |Ring|) T) ((|MyExpression| . |UniqueFactorizationDomain|) 76329) ((|MachineComplex| . |CancellationAbelianMonoid|) T) ((|Factored| . |InnerEvalable|) 76125) ((|FiniteFieldExtension| . |DifferentialRing|) 76100) ((|FiniteFieldExtension| . |DivisionRing|) T) ((|AlgebraGivenByStructuralConstants| . |Monad|) T) ((|FiniteFieldNormalBasisExtension| . |DifferentialRing|) 76075) ((|FiniteFieldNormalBasisExtension| . |DivisionRing|) T) ((|FiniteFieldCyclicGroupExtension| . |DifferentialRing|) 76050) ((|FiniteFieldCyclicGroupExtension| . |DivisionRing|) T) ((|MyExpression| . |IntegralDomain|) T) ((|Complex| . |Evalable|) 76009) ((|BinaryExpansion| . |DivisionRing|) T) ((|BinaryExpansion| . |DifferentialRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedAbelianMonoid|) T) ((|PAdicInteger| . |AbelianGroup|) T) ((|PAdicInteger| . |AbelianSemiGroup|) T) ((|Fraction| . |EuclideanDomain|) T) ((|IndexedBits| . |Aggregate|) T) ((|Bits| . |EltableAggregate|) 75974) ((|SplitHomogeneousDirectProduct| . |RightModule|) 75844) ((|PAdicRational| . |StepThrough|) NIL) ((|PseudoAlgebraicClosureOfRationalNumber| . |PseudoAlgebraicClosureOfRationalNumberCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfRationalNumberCategory|) T) ((|FortranCode| . |CoercibleTo|) 75818) ((|Fraction| . |RealConstant|) 75787) ((|SplitHomogeneousDirectProduct| . |BiModule|) 75650) ((|PseudoAlgebraicClosureOfRationalNumber| . |CharacteristicNonZero|) 75590) ((|PseudoAlgebraicClosureOfRationalNumber| . |CharacteristicZero|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CharacteristicZero|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CharacteristicNonZero|) 75530) ((|FortranTemplate| . |SetCategory|) T) ((|XRecursivePolynomial| . |Monoid|) T) ((|Asp19| . |CoercibleTo|) 75504) ((|PAdicRational| . |Algebra|) 75428) ((|IndexedMatrix| . |Type|) T) ((|IndexedVector| . |Collection|) 75412) ((|IndexedDirectProductObject| . |CoercibleTo|) 75386) ((|UnivariatePolynomial| . |Evalable|) 75373) ((|MultivariatePolynomial| . |Module|) 75136) ((|IndexedExponents| . |OrderedAbelianMonoidSup|) T) ((|IndexedExponents| . |OrderedAbelianSemiGroup|) T) ((|Integer| . |LinearlyExplicitRingOver|) 75113) ((|InnerAlgebraicNumber| . |LinearlyExplicitRingOver|) 75057) ((|FiniteFieldExtensionByPolynomial| . |GcdDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |GcdDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |GcdDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |GcdDomain|) 74975) ((|IndexedList| . |SetCategory|) 74912) ((|DistributedMultivariatePolynomial| . |GcdDomain|) 74830) ((|SparseTable| . |Eltable|) 74809) ((|SymmetricPolynomial| . |CoercibleTo|) 74783) ((|Matrix| . |InnerEvalable|) 74702) ((|PolynomialRing| . |EntireRing|) 74669) ((|InnerTable| . |InnerEvalable|) 74377) ((|MyUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|MyUnivariatePolynomial| . |CoercibleTo|) 74351) ((|WeightedPolynomials| . |CoercibleTo|) 74325) ((|SparseUnivariatePolynomial| . |DifferentialExtension|) 74309) ((|Complex| . |StepThrough|) 74271) ((|UnivariateTaylorSeriesCZero| . |IntegralDomain|) 74238) ((|SparseUnivariateTaylorSeries| . |Module|) 74082) ((|SparseUnivariatePuiseuxSeries| . |Module|) 73870) ((|Pattern| . |BasicType|) T) ((|SparseUnivariateLaurentSeries| . |Module|) 73585) ((|SparseMultivariateTaylorSeries| . |Module|) 73429) ((|Stream| . |LazyStreamAggregate|) 73413) ((|FiniteFieldExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73344) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73275) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73206) ((|RealClosure| . |CancellationAbelianMonoid|) T) ((|Octonion| . |InnerEvalable|) 73095) ((|EqTable| . |ConvertibleTo|) NIL) ((|EqTable| . |CoercibleTo|) 73069) ((|PrimeField| . |GcdDomain|) T) ((|Product| . |Finite|) 73014) ((|OrderedDirectProduct| . |Finite|) 72989) ((|IndexedDirectProductOrderedAbelianMonoid| . |IndexedDirectProductCategory|) 72968) ((|IndexedDirectProductAbelianMonoid| . |IndexedDirectProductCategory|) 72947) ((|HexadecimalExpansion| . |Eltable|) NIL) ((|HomogeneousDirectProduct| . |EltableAggregate|) 72919) ((|Factored| . |EntireRing|) T) ((|FiniteField| . |CancellationAbelianMonoid|) T) ((|DecimalExpansion| . |Eltable|) NIL) ((|MachineComplex| . |HyperbolicFunctionCategory|) NIL) ((|Automorphism| . |SemiGroup|) T) ((|Complex| . |Algebra|) 72677) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |IntegralDomain|) T) ((|UnivariatePuiseuxSeriesConstructor| . |PowerSeriesCategory|) 72610) ((|Stack| . |Evalable|) 72534) ((|UnivariateLaurentSeriesConstructor| . |PowerSeriesCategory|) 72480) ((|PrimeField| . |FieldOfPrimeCharacteristic|) T) ((|SplitHomogeneousDirectProduct| . |Ring|) 72390) ((|SparseTable| . |IndexedAggregate|) 72369) ((|MyExpression| . |Field|) 72336) ((|NeitherSparseOrDensePowerSeries| . |Collection|) 72277) ((|Boolean| . |OrderedSet|) T) ((|RoutinesTable| . |HomogeneousAggregate|) 72194) ((|InnerPAdicInteger| . |AbelianGroup|) T) ((|InnerPAdicInteger| . |AbelianSemiGroup|) T) ((|Integer| . |AbelianGroup|) T) ((|Integer| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |AbelianGroup|) T) ((|UnivariatePolynomial| . |StepThrough|) 72164) ((|SplitHomogeneousDirectProduct| . |DifferentialRing|) 72101) ((|AlgebraicNumber| . |CancellationAbelianMonoid|) T) ((|AffinePlane| . |CoercibleTo|) 72075) ((|ProjectiveSpace| . |SetCategoryWithDegree|) T) ((|TextFile| . |BasicType|) T) ((|DirectProduct| . |SetCategory|) 71767) ((|PAdicRational| . |FullyPatternMatchable|) 71734) ((|SequentialDifferentialVariable| . |BasicType|) T) ((|RewriteRule| . |BasicType|) T) ((|U32Matrix| . |InnerEvalable|) NIL) ((|KeyedAccessFile| . |BasicType|) T) ((|GeneralSparseTable| . |BasicType|) T) ((|UnivariatePolynomial| . |Algebra|) 71474) ((|StochasticDifferential| . |SetCategory|) T) ((|UnivariateSkewPolynomial| . |Algebra|) 71431) ((|SparseUnivariatePolynomialExpressions| . |LinearlyExplicitRingOver|) 71347) ((|MultivariatePolynomial| . |CommutativeRing|) 71200) ((|LinearOrdinaryDifferentialOperator1| . |CoercibleTo|) 71174) ((|Interval| . |Algebra|) 71161) ((|PrimitiveArray| . |BasicType|) 71098) ((|OrderedVariableList| . |CoercibleTo|) 71072) ((|OrderedVariableList| . |ConvertibleTo|) 70966) ((|IndexedString| . |InnerEvalable|) NIL) ((|UnivariateTaylorSeries| . |Rng|) T) ((|UnivariatePuiseuxSeries| . |Rng|) T) ((|UnivariateLaurentSeries| . |Rng|) T) ((|UnivariateFormalPowerSeries| . |Rng|) T) ((|IntegerMod| . |SemiGroup|) T) ((|TaylorSeries| . |CharacteristicZero|) 70929) ((|SparseUnivariateTaylorSeries| . |CommutativeRing|) 70858) ((|InnerTaylorSeries| . |Rng|) T) ((|InnerSparseUnivariatePowerSeries| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |CommutativeRing|) 70764) ((|SparseUnivariateLaurentSeries| . |CommutativeRing|) 70670) ((|SparseMultivariateTaylorSeries| . |CommutativeRing|) 70599) ((|RadixExpansion| . |SetCategory|) T) ((|Partition| . |SetCategory|) T) ((|PartialFraction| . |SetCategory|) T) ((|Octonion| . |OctonionCategory|) 70583) ((|NeitherSparseOrDensePowerSeries| . |LocalPowerSeriesCategory|) 70567) ((|NeitherSparseOrDensePowerSeries| . |PowerSeriesCategory|) 70513) ((|MyExpression| . |SemiGroup|) T) ((|MachineFloat| . |AbelianSemiGroup|) T) ((|MachineFloat| . |AbelianGroup|) T) ((|BalancedPAdicRational| . |LinearlyExplicitRingOver|) 70472) ((|MachineInteger| . |PatternMatchable|) 70449) ((|FourierSeries| . |SetCategory|) T) ((|Expression| . |UniqueFactorizationDomain|) 70416) ((|ExponentialExpansion| . |UniqueFactorizationDomain|) T) ((|Complex| . |FullyPatternMatchable|) 70400) ((|TaylorSeries| . |CharacteristicNonZero|) 70360) ((|GeneralUnivariatePowerSeries| . |PowerSeriesCategory|) 70293) ((|Asp33| . |CoercibleTo|) 70267) ((|MyExpression| . |AbelianMonoid|) T) ((|BinaryExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|BinaryExpansion| . |OrderedAbelianMonoid|) T) ((|Expression| . |IntegralDomain|) 70234) ((|MachineInteger| . |RetractableTo|) 70211) ((|ExponentialExpansion| . |IntegralDomain|) T) ((|IntegerMod| . |AbelianMonoid|) T) ((|CardinalNumber| . |RetractableTo|) 70177) ((|HomogeneousDirectProduct| . |RightModule|) 70047) ((|AssociationList| . |EltableAggregate|) 69959) ((|SparseUnivariatePolynomialExpressions| . |AbelianSemiGroup|) T) ((|SparseUnivariatePolynomialExpressions| . |AbelianGroup|) T) ((|DirectProduct| . |Module|) 69888) ((|HomogeneousDirectProduct| . |BiModule|) 69751) ((|SegmentBinding| . |BasicType|) 69721) ((|ResidueRing| . |BasicType|) T) ((|StochasticDifferential| . |Module|) 69690) ((|List| . |OpenMath|) 69663) ((|U16Matrix| . |SetCategory|) T) ((|MultivariatePolynomial| . |InnerEvalable|) 69567) ((|RectangularMatrix| . |RightModule|) 69551) ((|LaurentPolynomial| . |AbelianGroup|) T) ((|LaurentPolynomial| . |AbelianSemiGroup|) T) ((|RoutinesTable| . |Eltable|) 69521) ((|FreeGroup| . |BasicType|) T) ((|FreeAbelianGroup| . |BasicType|) T) ((|LieSquareMatrix| . |LeftModule|) 69495) ((|FreeModule| . |RightModule|) 69479) ((|RectangularMatrix| . |BiModule|) 69458) ((|OrderlyDifferentialPolynomial| . |FullyRetractableTo|) 69442) ((|BalancedPAdicRational| . |AbelianSemiGroup|) T) ((|Asp9| . |CoercibleTo|) 69416) ((|BalancedPAdicRational| . |AbelianGroup|) T) ((|KeyedAccessFile| . |Evalable|) 69158) ((|GeneralSparseTable| . |Evalable|) 68918) ((|UnivariateTaylorSeriesCZero| . |SemiGroup|) T) ((|SparseTable| . |ConvertibleTo|) NIL) ((|FreeModule| . |BiModule|) 68897) ((|Float| . |BasicType|) T) ((|Database| . |CoercibleTo|) 68871) ((|SparseTable| . |CoercibleTo|) 68845) ((|RadixExpansion| . |Module|) 68779) ((|SparseUnivariateLaurentSeries| . |InnerEvalable|) 68309) ((|PartialFraction| . |Module|) 68250) ((|SparseMultivariateTaylorSeries| . |InnerEvalable|) 68220) ((|FiniteFieldNormalBasis| . |EuclideanDomain|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianMonoid|) T) ((|Table| . |Collection|) 68162) ((|PrimitiveArray| . |Evalable|) 68086) ((|Operator| . |BasicType|) T) ((|FourierSeries| . |Module|) 68070) ((|DoubleFloat| . |OpenMath|) T) ((|OppositeMonogenicLinearOperator| . |BasicType|) T) ((|OpenMathError| . |BasicType|) T) ((|HashTable| . |Collection|) 68012) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePuiseuxSeriesConstructorCategory|) 67991) ((|SingleInteger| . |UniqueFactorizationDomain|) T) ((|FortranExpression| . |RetractableTo|) 67954) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePowerSeriesCategory|) 67913) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePuiseuxSeriesCategory|) 67897) ((|UnivariateLaurentSeriesConstructor| . |UnivariateLaurentSeriesConstructorCategory|) 67876) ((|Asp55| . |CoercibleTo|) 67850) ((|Permutation| . |CoercibleTo|) 67824) ((|UnivariateLaurentSeriesConstructor| . |UnivariatePowerSeriesCategory|) 67796) ((|SingleInteger| . |IntegralDomain|) T) ((|PositiveInteger| . |OrderedSet|) T) ((|NonNegativeInteger| . |OrderedSet|) T) ((|HexadecimalExpansion| . |ConvertibleTo|) 67697) ((|HexadecimalExpansion| . |CoercibleTo|) 67671) ((|Float| . |ElementaryFunctionCategory|) T) ((|LyndonWord| . |OrderedSet|) T) ((|UnivariateLaurentSeriesConstructor| . |UnivariateLaurentSeriesCategory|) 67655) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |SemiGroup|) T) ((|DecimalExpansion| . |ConvertibleTo|) 67556) ((|DecimalExpansion| . |CoercibleTo|) 67530) ((|RoutinesTable| . |IndexedAggregate|) 67500) ((|OneDimensionalArray| . |Collection|) 67484) ((|IndexedFlexibleArray| . |Collection|) 67468) ((|IndexedOneDimensionalArray| . |Collection|) 67452) ((|FiniteFieldExtension| . |ExtensionField|) 67436) ((|FiniteFieldNormalBasisExtension| . |ExtensionField|) 67420) ((|FiniteFieldCyclicGroupExtension| . |ExtensionField|) 67404) ((|Expression| . |Field|) 67371) ((|ExponentialExpansion| . |Field|) T) ((|HomogeneousDirectProduct| . |Ring|) 67281) ((|MachineComplex| . |LinearlyExplicitRingOver|) 67253) ((|XPolynomial| . |LeftModule|) 67227) ((|XPBWPolynomial| . |LeftModule|) 67201) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianMonoid|) T) ((|Matrix| . |HomogeneousAggregate|) 67185) ((|Asp1| . |CoercibleTo|) 67159) ((|SplitHomogeneousDirectProduct| . |OrderedCancellationAbelianMonoid|) 67083) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianMonoid|) 67007) ((|InnerTable| . |HomogeneousAggregate|) 66936) ((|LieSquareMatrix| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |DifferentialRing|) 66873) ((|EqTable| . |EltableAggregate|) 66852) ((|DirectProduct| . |CommutativeRing|) 66818) ((|PseudoAlgebraicClosureOfFiniteField| . |VectorSpace|) 66802) ((|OrderlyDifferentialPolynomial| . |Rng|) T) ((|AlgebraGivenByStructuralConstants| . |LeftModule|) 66751) ((|SimpleAlgebraicExtension| . |Finite|) 66684) ((|MultivariatePolynomial| . |EntireRing|) 66570) ((|IndexedList| . |InnerEvalable|) 66489) ((|OrdinaryDifferentialRing| . |RightModule|) 66426) ((|SequentialDifferentialPolynomial| . |CharacteristicNonZero|) 66386) ((|FiniteFieldExtension| . |Finite|) 66361) ((|FiniteFieldNormalBasisExtension| . |Finite|) 66336) ((|FiniteFieldCyclicGroupExtension| . |Finite|) 66311) ((|SequentialDifferentialPolynomial| . |CharacteristicZero|) 66274) ((|PAdicRational| . |DifferentialExtension|) 66241) ((|OrdinaryDifferentialRing| . |BiModule|) 66151) ((|NewSparseUnivariatePolynomial| . |CharacteristicNonZero|) 66111) ((|NewSparseUnivariatePolynomial| . |CharacteristicZero|) 66074) ((|DifferentialSparseMultivariatePolynomial| . |PolynomialCategory|) 66027) ((|DirectProductModule| . |OrderedRing|) 65997) ((|DistributedMultivariatePolynomial| . |PolynomialCategory|) 65900) ((|DirectProductMatrixModule| . |OrderedRing|) 65870) ((|NewSparseMultivariatePolynomial| . |CharacteristicNonZero|) 65830) ((|NewSparseMultivariatePolynomial| . |CharacteristicZero|) 65793) ((|CliffordAlgebra| . |LeftModule|) 65767) ((|GeneralDistributedMultivariatePolynomial| . |CharacteristicZero|) 65730) ((|GeneralDistributedMultivariatePolynomial| . |CharacteristicNonZero|) 65690) ((|LieSquareMatrix| . |Monoid|) T) ((|OpenMathEncoding| . |CoercibleTo|) 65664) ((|UnivariateTaylorSeries| . |SetCategory|) T) ((|UnivariatePuiseuxSeries| . |SetCategory|) T) ((|UnivariateLaurentSeries| . |SetCategory|) T) ((|UnivariateFormalPowerSeries| . |SetCategory|) T) ((|TaylorSeries| . |TrigonometricFunctionCategory|) 65613) ((|TaylorSeries| . |TranscendentalFunctionCategory|) 65562) ((|SparseUnivariateTaylorSeries| . |EntireRing|) 65529) ((|SparseUnivariatePuiseuxSeries| . |EntireRing|) 65468) ((|SparseUnivariateLaurentSeries| . |EntireRing|) 65407) ((|SparseMultivariateTaylorSeries| . |EntireRing|) 65374) ((|FortranExpression| . |PartialDifferentialRing|) 65352) ((|RadixExpansion| . |CommutativeRing|) T) ((|PartialFraction| . |CommutativeRing|) T) ((|NeitherSparseOrDensePowerSeries| . |UnivariatePowerSeriesCategory|) 65324) ((|InnerTaylorSeries| . |SetCategory|) T) ((|InnerSparseUnivariatePowerSeries| . |SetCategory|) T) ((|MachineComplex| . |AbelianGroup|) T) ((|MachineComplex| . |AbelianSemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |UnivariatePuiseuxSeriesCategory|) 65308) ((|GeneralUnivariatePowerSeries| . |UnivariatePowerSeriesCategory|) 65267) ((|Factored| . |Eltable|) 65185) ((|Expression| . |SemiGroup|) 64967) ((|ExponentialExpansion| . |SemiGroup|) T) ((|TaylorSeries| . |ArcHyperbolicFunctionCategory|) 64916) ((|TaylorSeries| . |ArcTrigonometricFunctionCategory|) 64865) ((|Asp77| . |CoercibleTo|) 64839) ((|ArrayStack| . |BasicType|) 64809) ((|IntegerMod| . |CancellationAbelianMonoid|) T) ((|U32Matrix| . |HomogeneousAggregate|) 64786) ((|MyExpression| . |CancellationAbelianMonoid|) T) ((|InnerPrimeField| . |CharacteristicNonZero|) T) ((|InnerPrimeField| . |CharacteristicZero|) 64752) ((|InnerFiniteField| . |CharacteristicZero|) 64718) ((|InnerFiniteField| . |CharacteristicNonZero|) T) ((|Expression| . |AbelianMonoid|) 64486) ((|AlgebraicFunctionField| . |FunctionFieldCategory|) 64460) ((|ExponentialExpansion| . |AbelianMonoid|) T) ((|String| . |LinearAggregate|) 64435) ((|OrderedDirectProduct| . |LeftModule|) 64249) ((|XDistributedPolynomial| . |Rng|) T) ((|String| . |FiniteLinearAggregate|) 64224) ((|Complex| . |DifferentialExtension|) 64208) ((|IndexedString| . |HomogeneousAggregate|) 64183) ((|DirectProduct| . |InnerEvalable|) 64102) ((|XPolynomial| . |Monoid|) T) ((|XPBWPolynomial| . |Monoid|) T) ((|SymmetricPolynomial| . |RightModule|) 63935) ((|MyUnivariatePolynomial| . |RightModule|) 63669) ((|SymmetricPolynomial| . |BiModule|) 63470) ((|OrdinaryDifferentialRing| . |Ring|) T) ((|MyUnivariatePolynomial| . |BiModule|) 63172) ((|InnerFreeAbelianMonoid| . |BasicType|) T) ((|AlgebraicNumber| . |LinearlyExplicitRingOver|) 63116) ((|IndexedDirectProductOrderedAbelianMonoid| . |BasicType|) T) ((|IndexedDirectProductAbelianMonoid| . |BasicType|) T) ((|WeightedPolynomials| . |RightModule|) 63073) ((|ResidueRing| . |Algebra|) 63057) ((|OrdinaryDifferentialRing| . |DifferentialRing|) T) ((|OrdinaryDifferentialRing| . |DivisionRing|) 63033) ((|InnerTable| . |Eltable|) 63012) ((|WeightedPolynomials| . |BiModule|) 62964) ((|UnivariatePolynomial| . |DifferentialExtension|) 62948) ((|UnivariateTaylorSeries| . |Module|) 62792) ((|UnivariatePuiseuxSeries| . |Module|) 62580) ((|RoutinesTable| . |ConvertibleTo|) NIL) ((|RoutinesTable| . |CoercibleTo|) 62554) ((|UnivariateLaurentSeries| . |Module|) 62275) ((|UnivariateFormalPowerSeries| . |Module|) 62119) ((|RadicalFunctionField| . |PrincipalIdealDomain|) T) ((|MakeCachableSet| . |CoercibleTo|) 62080) ((|CliffordAlgebra| . |Monoid|) T) ((|UnivariateTaylorSeriesCZero| . |CancellationAbelianMonoid|) T) ((|U8Vector| . |OrderedSet|) T) ((|SplitHomogeneousDirectProduct| . |Finite|) 62055) ((|RadixExpansion| . |InnerEvalable|) NIL) ((|DirectProductModule| . |FullyRetractableTo|) 62016) ((|DirectProductMatrixModule| . |FullyRetractableTo|) 61977) ((|RealClosure| . |AbelianSemiGroup|) T) ((|RealClosure| . |AbelianGroup|) T) ((|InnerTaylorSeries| . |Module|) 61938) ((|InnerSparseUnivariatePowerSeries| . |Module|) 61782) ((|Octonion| . |Eltable|) 61735) ((|BinaryTournament| . |BasicType|) 61705) ((|OnePointCompletion| . |RetractableTo|) 61549) ((|Complex| . |OpenMath|) 61522) ((|ExponentialOfUnivariatePuiseuxSeries| . |LeftModule|) 61391) ((|OrderedDirectProduct| . |Aggregate|) T) ((|ModuleOperator| . |BasicType|) T) ((|SingleInteger| . |SemiGroup|) T) ((|Reference| . |Type|) T) ((|Float| . |Algebra|) 61345) ((|FiniteField| . |AbelianSemiGroup|) T) ((|FiniteField| . |AbelianGroup|) T) ((|DoubleFloatVector| . |BasicType|) T) ((|Commutator| . |BasicType|) T) ((|Color| . |BasicType|) T) ((|ComplexDoubleFloatVector| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |VectorSpace|) 61329) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |VectorSpace|) 61313) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |VectorSpace|) 61297) ((|PseudoAlgebraicClosureOfRationalNumber| . |GcdDomain|) T) ((|Complex| . |FiniteFieldCategory|) 61259) ((|Integer| . |OrderedSet|) T) ((|InnerAlgebraicNumber| . |OrderedSet|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |GcdDomain|) T) ((|SingleInteger| . |AbelianMonoid|) T) ((|Asp80| . |CoercibleTo|) 61233) ((|MachineInteger| . |EuclideanDomain|) T) ((|Operator| . |Algebra|) 61190) ((|OppositeMonogenicLinearOperator| . |Algebra|) 61147) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CancellationAbelianMonoid|) T) ((|SparseTable| . |EltableAggregate|) 61126) ((|Product| . |Monoid|) 61014) ((|Product| . |OrderedAbelianMonoidSup|) 60925) ((|Product| . |OrderedAbelianSemiGroup|) 60836) ((|OrderedDirectProduct| . |OrderedAbelianGroup|) 60806) ((|BalancedPAdicInteger| . |EuclideanDomain|) T) ((|ArrayStack| . |Evalable|) 60730) ((|ThreeDimensionalMatrix| . |Aggregate|) T) ((|InnerTable| . |IndexedAggregate|) 60709) ((|AlgebraicNumber| . |AbelianSemiGroup|) T) ((|AlgebraicNumber| . |AbelianGroup|) T) ((|OrderedDirectProduct| . |OrderedAbelianSemiGroup|) 60633) ((|OrderedDirectProduct| . |OrderedAbelianMonoidSup|) 60591) ((|MachineInteger| . |RealConstant|) T) ((|LinearOrdinaryDifferentialOperator1| . |RightModule|) 60575) ((|Product| . |Group|) 60522) ((|OrderedDirectProduct| . |Monoid|) 60408) ((|PrimeField| . |VectorSpace|) 60395) ((|Divisor| . |FreeAbelianMonoidCategory|) 60367) ((|PseudoAlgebraicClosureOfRationalNumber| . |FieldOfPrimeCharacteristic|) 60307) ((|HomogeneousDirectProduct| . |OrderedCancellationAbelianMonoid|) 60231) ((|HomogeneousDirectProduct| . |OrderedAbelianMonoid|) 60155) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |FieldOfPrimeCharacteristic|) 60095) ((|SymmetricPolynomial| . |Ring|) T) ((|U16Matrix| . |InnerEvalable|) NIL) ((|MyUnivariatePolynomial| . |Ring|) T) ((|LinearOrdinaryDifferentialOperator1| . |BiModule|) 60074) ((|SymmetricPolynomial| . |FiniteAbelianMonoidRing|) 60044) ((|Tree| . |BasicType|) 60014) ((|SetOfMIntegersInOneToN| . |CoercibleTo|) 59988) ((|MachineInteger| . |IntegerNumberSystem|) T) ((|MyUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 59949) ((|OrderlyDifferentialPolynomial| . |SetCategory|) T) ((|MyUnivariatePolynomial| . |DifferentialRing|) T) ((|WeightedPolynomials| . |Ring|) T) ((|FractionalIdeal| . |SetCategory|) T) ((|DirectProductModule| . |Rng|) 59859) ((|DirectProductMatrixModule| . |Rng|) 59769) ((|EuclideanModularRing| . |LeftModule|) 59756) ((|IndexedString| . |Eltable|) 59719) ((|Matrix| . |MatrixCategory|) 59671) ((|UnivariateTaylorSeries| . |CommutativeRing|) 59600) ((|PolynomialRing| . |CoercibleTo|) 59574) ((|PAdicRationalConstructor| . |BasicType|) T) ((|MonoidRing| . |CoercibleTo|) 59548) ((|ModularRing| . |CoercibleTo|) 59522) ((|UnivariatePuiseuxSeries| . |CommutativeRing|) 59428) ((|UnivariateLaurentSeries| . |CommutativeRing|) 59334) ((|UnivariateFormalPowerSeries| . |CommutativeRing|) 59263) ((|MachineFloat| . |OrderedSet|) T) ((|RadixExpansion| . |EntireRing|) T) ((|GenericNonAssociativeAlgebra| . |CoercibleTo|) 59237) ((|LieExponentials| . |Monoid|) T) ((|TwoDimensionalArray| . |SetCategory|) 59207) ((|DataList| . |Collection|) 59191) ((|PartialFraction| . |EntireRing|) T) ((|RealClosure| . |RealClosedField|) T) ((|LieExponentials| . |Group|) T) ((|ModMonic| . |UniqueFactorizationDomain|) 59141) ((|ExponentialOfUnivariatePuiseuxSeries| . |LeftOreRing|) 59117) ((|UnivariateTaylorSeriesCZero| . |HyperbolicFunctionCategory|) 59066) ((|InnerTaylorSeries| . |CommutativeRing|) 59033) ((|InnerSparseUnivariatePowerSeries| . |CommutativeRing|) 58962) ((|Vector| . |OrderedSet|) 58933) ((|ModMonic| . |IntegralDomain|) 58796) ((|Fraction| . |PrincipalIdealDomain|) T) ((|Fraction| . |OrderedIntegralDomain|) 58756) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedAbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Monoid|) T) ((|Factored| . |CoercibleTo|) 58730) ((|Factored| . |ConvertibleTo|) 58576) ((|List| . |StreamAggregate|) 58560) ((|Bits| . |LinearAggregate|) 58537) ((|ContinuedFraction| . |EuclideanDomain|) T) ((|BinaryTournament| . |Evalable|) 58461) ((|Bits| . |FiniteLinearAggregate|) 58438) ((|FortranProgram| . |Type|) T) ((|Expression| . |CancellationAbelianMonoid|) 58240) ((|ExponentialExpansion| . |CancellationAbelianMonoid|) T) ((|Asp29| . |FortranProgramCategory|) T) ((|Bits| . |BitAggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |OrderedSet|) 58211) ((|IndexedList| . |HomogeneousAggregate|) 58195) ((|LinearOrdinaryDifferentialOperator2| . |SemiGroup|) T) ((|IndexedString| . |OneDimensionalArrayAggregate|) 58170) ((|DoubleFloatVector| . |Evalable|) NIL) ((|Asp10| . |FortranVectorFunctionCategory|) T) ((|ComplexDoubleFloatVector| . |Evalable|) NIL) ((|Asp10| . |FortranProgramCategory|) T) ((|OpenMathErrorKind| . |SetCategory|) T) ((|IndexedString| . |IndexedAggregate|) 58133) ((|Pi| . |RetractableTo|) 58077) ((|LinearOrdinaryDifferentialOperator1| . |Ring|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianMonoid|) T) ((|XDistributedPolynomial| . |SetCategory|) T) ((|OrderlyDifferentialPolynomial| . |Module|) 57840) ((|U32Matrix| . |MatrixCategory|) 57789) ((|BasicStochasticDifferential| . |OrderedSet|) T) ((|BalancedPAdicRational| . |OrderedSet|) NIL) ((|SparseUnivariatePolynomial| . |FullyRetractableTo|) 57773) ((|SparseMultivariatePolynomial| . |FullyRetractableTo|) 57757) ((|SparseUnivariateSkewPolynomial| . |FullyRetractableTo|) 57741) ((|DirichletRing| . |Rng|) T) ((|EuclideanModularRing| . |LeftOreRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |BasicType|) T) ((|UnivariateLaurentSeries| . |InnerEvalable|) 57313) ((|Tree| . |Evalable|) 57237) ((|Exit| . |CoercibleTo|) 57211) ((|UnivariateLaurentSeriesConstructor| . |BasicType|) T) ((|Set| . |SetCategory|) T) ((|SparseUnivariateTaylorSeries| . |Eltable|) 57196) ((|SparseUnivariatePuiseuxSeries| . |Eltable|) 57181) ((|EuclideanModularRing| . |Monoid|) T) ((|BinaryExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|Matrix| . |CoercibleTo|) 57132) ((|Matrix| . |ConvertibleTo|) 57068) ((|SimpleAlgebraicExtension| . |LeftModule|) 56950) ((|InfiniteTuple| . |CoercibleTo|) 56924) ((|InnerTable| . |ConvertibleTo|) NIL) ((|InnerTable| . |CoercibleTo|) 56898) ((|SparseUnivariateLaurentSeries| . |Eltable|) 56638) ((|HexadecimalExpansion| . |RightModule|) 56572) ((|ModularField| . |GcdDomain|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |IndexedDirectProductCategory|) 56551) ((|IndexedDirectProductAbelianGroup| . |IndexedDirectProductCategory|) 56530) ((|DecimalExpansion| . |RightModule|) 56464) ((|FiniteFieldExtension| . |LeftModule|) 56405) ((|FiniteFieldNormalBasisExtension| . |LeftModule|) 56346) ((|DoubleFloat| . |OrderedRing|) T) ((|FiniteFieldCyclicGroupExtension| . |LeftModule|) 56287) ((|IndexedVector| . |BasicType|) 56224) ((|HomogeneousDirectProduct| . |Finite|) 56199) ((|BinaryExpansion| . |LeftModule|) 56133) ((|HexadecimalExpansion| . |BiModule|) 56028) ((|DirectProduct| . |HomogeneousAggregate|) 56012) ((|FiniteFieldCyclicGroup| . |CharacteristicZero|) 55978) ((|FiniteFieldCyclicGroup| . |CharacteristicNonZero|) T) ((|Complex| . |FiniteRankAlgebra|) 55926) ((|Point| . |VectorCategory|) 55910) ((|DecimalExpansion| . |BiModule|) 55805) ((|PAdicRationalConstructor| . |Evalable|) 55764) ((|Point| . |SetCategory|) 55701) ((|Octonion| . |ConvertibleTo|) 55637) ((|Octonion| . |CoercibleTo|) 55611) ((|MoebiusTransform| . |BasicType|) T) ((|FourierComponent| . |SetCategory|) T) ((|SingleInteger| . |CancellationAbelianMonoid|) T) ((|ModuleOperator| . |Algebra|) 55568) ((|Expression| . |HyperbolicFunctionCategory|) 55535) ((|IndexedBits| . |Type|) T) ((|UnivariatePuiseuxSeriesConstructor| . |ElementaryFunctionCategory|) 55484) ((|UnivariateLaurentSeriesConstructor| . |ElementaryFunctionCategory|) 55433) ((|FlexibleArray| . |Collection|) 55417) ((|RoutinesTable| . |EltableAggregate|) 55387) ((|XDistributedPolynomial| . |Module|) 55344) ((|StringTable| . |Aggregate|) T) ((|XRecursivePolynomial| . |RetractableTo|) 55306) ((|MyExpression| . |LinearlyExplicitRingOver|) 55178) ((|GraphImage| . |CoercibleTo|) 55152) ((|Heap| . |Aggregate|) T) ((|FreeModule1| . |RetractableTo|) 55136) ((|SparseUnivariatePolynomial| . |Rng|) T) ((|SparseMultivariatePolynomial| . |Rng|) T) ((|SparseUnivariateSkewPolynomial| . |Rng|) T) ((|RomanNumeral| . |OrderedRing|) T) ((|OrderlyDifferentialPolynomial| . |CommutativeRing|) 54989) ((|IndexedList| . |Eltable|) 54961) ((|U32Matrix| . |CoercibleTo|) 54935) ((|IntegerMod| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeries| . |EntireRing|) 54902) ((|UnivariatePuiseuxSeries| . |EntireRing|) 54841) ((|BalancedPAdicRational| . |QuotientFieldCategory|) 54800) ((|PseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|UnivariateLaurentSeries| . |EntireRing|) 54739) ((|NeitherSparseOrDensePowerSeries| . |BasicType|) T) ((|UnivariateFormalPowerSeries| . |EntireRing|) 54706) ((|TextFile| . |FileCategory|) 54671) ((|SparseUnivariateTaylorSeries| . |RadicalCategory|) 54620) ((|SparseUnivariatePuiseuxSeries| . |RadicalCategory|) 54569) ((|SequentialDifferentialVariable| . |DifferentialVariableCategory|) 54553) ((|GeneralUnivariatePowerSeries| . |BasicType|) T) ((|File| . |SetCategory|) T) ((|DirectProductModule| . |SetCategory|) T) ((|DirectProductMatrixModule| . |SetCategory|) T) ((|SparseUnivariateLaurentSeries| . |RadicalCategory|) 54502) ((|BinaryFile| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |RadicalCategory|) 54451) ((|PAdicRationalConstructor| . |StepThrough|) 54421) ((|SimpleAlgebraicExtension| . |LeftOreRing|) 54355) ((|KeyedAccessFile| . |FileCategory|) 54278) ((|SimpleAlgebraicExtension| . |Monoid|) T) ((|KeyedAccessFile| . |Dictionary|) 54214) ((|IndexedString| . |CoercibleTo|) 54188) ((|IndexedString| . |ConvertibleTo|) NIL) ((|MachineComplex| . |OrderedSet|) T) ((|GeneralSparseTable| . |Dictionary|) 54130) ((|HexadecimalExpansion| . |Ring|) T) ((|Places| . |SetCategory|) T) ((|Asp8| . |FortranVectorCategory|) T) ((|Asp8| . |FortranProgramCategory|) T) ((|DecimalExpansion| . |Ring|) T) ((|FiniteFieldExtension| . |LeftOreRing|) T) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|FiniteFieldNormalBasisExtension| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtension| . |LeftOreRing|) T) ((|ModMonic| . |SemiGroup|) T) ((|InnerTaylorSeries| . |EntireRing|) 54097) ((|InnerSparseUnivariatePowerSeries| . |EntireRing|) 54064) ((|BinaryExpansion| . |LeftOreRing|) T) ((|HexadecimalExpansion| . |DivisionRing|) T) ((|HexadecimalExpansion| . |DifferentialRing|) T) ((|SuchThat| . |CoercibleTo|) 54038) ((|PAdicRationalConstructor| . |Algebra|) 53979) ((|DecimalExpansion| . |DivisionRing|) T) ((|DecimalExpansion| . |DifferentialRing|) T) ((|MyExpression| . |AbelianSemiGroup|) T) ((|MyExpression| . |AbelianGroup|) T) ((|FiniteFieldExtension| . |Monoid|) T) ((|FiniteFieldNormalBasisExtension| . |Monoid|) T) ((|FiniteFieldCyclicGroupExtension| . |Monoid|) T) ((|BinaryExpansion| . |OrderedAbelianSemiGroup|) T) ((|BinaryExpansion| . |OrderedAbelianGroup|) T) ((|IndexedList| . |UnaryRecursiveAggregate|) 53963) ((|BinaryExpansion| . |Monoid|) T) ((|ModMonic| . |AbelianMonoid|) T) ((|U16Matrix| . |HomogeneousAggregate|) 53940) ((|GeneralUnivariatePowerSeries| . |ElementaryFunctionCategory|) 53889) ((|IntegerMod| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |Evalable|) 53819) ((|Symbol| . |BasicType|) T) ((|AlgebraicFunctionField| . |CharacteristicNonZero|) 53766) ((|AlgebraicFunctionField| . |CharacteristicZero|) 53716) ((|IndexedList| . |IndexedAggregate|) 53688) ((|SplitHomogeneousDirectProduct| . |LeftModule|) 53502) ((|IndexedVector| . |Evalable|) 53426) ((|AssociationList| . |LinearAggregate|) 53368) ((|AssociationList| . |ListAggregate|) 53310) ((|AssociationList| . |FiniteLinearAggregate|) 53252) ((|String| . |Aggregate|) T) ((|PAdicRational| . |OrderedRing|) NIL) ((|LinearOrdinaryDifferentialOperator2| . |CancellationAbelianMonoid|) T) ((|HyperellipticFiniteDivisor| . |CoercibleTo|) 53226) ((|DirectProduct| . |Eltable|) 53198) ((|ListMultiDictionary| . |Aggregate|) T) ((|Library| . |Aggregate|) T) ((|SequentialDifferentialPolynomial| . |GcdDomain|) 53116) ((|OrderlyDifferentialPolynomial| . |InnerEvalable|) 52891) ((|NewSparseUnivariatePolynomial| . |GcdDomain|) 52786) ((|NewSparseMultivariatePolynomial| . |GcdDomain|) 52704) ((|NottinghamGroup| . |BasicType|) T) ((|GeneralDistributedMultivariatePolynomial| . |GcdDomain|) 52622) ((|Polynomial| . |FullyRetractableTo|) 52606) ((|MultivariatePolynomial| . |CoercibleTo|) 52580) ((|DirectProductModule| . |Module|) 52509) ((|DirectProductMatrixModule| . |Module|) 52438) ((|MultivariatePolynomial| . |ConvertibleTo|) 52216) ((|HomogeneousDistributedMultivariatePolynomial| . |FullyRetractableTo|) 52200) ((|FortranExpression| . |ExpressionSpace|) T) ((|DirichletRing| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |PrincipalIdealDomain|) T) ((|Queue| . |BasicType|) 52170) ((|RealClosure| . |OrderedSet|) T) ((|TwoDimensionalArray| . |InnerEvalable|) 52089) ((|UnivariateTaylorSeriesCZero| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |StepThrough|) 52030) ((|RadixExpansion| . |Eltable|) NIL) ((|DoubleFloat| . |Rng|) T) ((|Float| . |OpenMath|) T) ((|SplitHomogeneousDirectProduct| . |Aggregate|) T) ((|NeitherSparseOrDensePowerSeries| . |Evalable|) 51860) ((|InnerPrimeField| . |GcdDomain|) T) ((|InnerFiniteField| . |GcdDomain|) T) ((|UniversalSegment| . |SegmentCategory|) 51844) ((|UniversalSegment| . |SetCategory|) 51814) ((|DirectProduct| . |IndexedAggregate|) 51786) ((|UniversalSegment| . |SegmentExpansionCategory|) 51731) ((|SparseUnivariateTaylorSeries| . |CoercibleTo|) 51705) ((|SparseUnivariatePuiseuxSeries| . |CoercibleTo|) 51679) ((|SparseUnivariateLaurentSeries| . |CoercibleTo|) 51653) ((|SparseUnivariateLaurentSeries| . |ConvertibleTo|) NIL) ((|SparseMultivariateTaylorSeries| . |CoercibleTo|) 51627) ((|PAdicRationalConstructor| . |FullyPatternMatchable|) 51611) ((|InfinitlyClosePoint| . |SetCategory|) T) ((|InputForm| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Algebra|) 51399) ((|UnivariateLaurentSeriesConstructor| . |Algebra|) 51157) ((|PAdicInteger| . |CharacteristicZero|) T) ((|InnerPrimeField| . |FieldOfPrimeCharacteristic|) T) ((|AlgebraicNumber| . |OrderedSet|) T) ((|InnerFiniteField| . |FieldOfPrimeCharacteristic|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianGroup|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianSemiGroup|) T) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianGroup|) 51127) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianSemiGroup|) 51051) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianMonoidSup|) 51009) ((|QuadraticForm| . |SetCategory|) T) ((|RegularTriangularSet| . |Aggregate|) T) ((|OutputForm| . |SetCategory|) T) ((|Variable| . |BasicType|) T) ((|SplitHomogeneousDirectProduct| . |Monoid|) 50895) ((|LiePolynomial| . |BasicType|) T) ((|InnerTable| . |EltableAggregate|) 50874) ((|Table| . |BasicType|) T) ((|GeneralTriangularSet| . |Aggregate|) T) ((|GeneralPolynomialSet| . |Aggregate|) T) ((|FiniteFieldExtensionByPolynomial| . |BasicType|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |BasicType|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |BasicType|) T) ((|DifferentialSparseMultivariatePolynomial| . |BasicType|) T) ((|DistributedMultivariatePolynomial| . |BasicType|) T) ((|Pi| . |EuclideanDomain|) T) ((|RomanNumeral| . |Rng|) T) ((|Polynomial| . |Rng|) T) ((|Expression| . |LinearlyExplicitRingOver|) 50746) ((|ExponentialExpansion| . |LinearlyExplicitRingOver|) 50661) ((|HomogeneousDistributedMultivariatePolynomial| . |Rng|) T) ((|HashTable| . |BasicType|) T) ((|FortranTemplate| . |CoercibleTo|) 50635) ((|SparseUnivariatePolynomial| . |SetCategory|) T) ((|SparseMultivariatePolynomial| . |SetCategory|) T) ((|SparseUnivariateSkewPolynomial| . |SetCategory|) T) ((|SplittingTree| . |BasicType|) T) ((|OrderlyDifferentialPolynomial| . |EntireRing|) 50521) ((|PolynomialRing| . |RightModule|) 50354) ((|Pi| . |RealConstant|) T) ((|MonoidRing| . |RightModule|) 50311) ((|Stack| . |StackAggregate|) 50295) ((|Set| . |InnerEvalable|) 50214) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |RightModule|) 50170) ((|PolynomialRing| . |BiModule|) 49971) ((|PseudoAlgebraicClosureOfRationalNumber| . |VectorSpace|) 49935) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |VectorSpace|) 49848) ((|PrimeField| . |BasicType|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |StepThrough|) T) ((|MonoidRing| . |BiModule|) 49800) ((|DirichletRing| . |Module|) 49720) ((|OneDimensionalArray| . |BasicType|) 49657) ((|IndexedList| . |ConvertibleTo|) 49593) ((|IndexedList| . |CoercibleTo|) 49511) ((|InnerIndexedTwoDimensionalArray| . |BasicType|) 49481) ((|IndexedFlexibleArray| . |BasicType|) 49418) ((|IndexedTwoDimensionalArray| . |BasicType|) 49388) ((|IndexedOneDimensionalArray| . |BasicType|) 49325) ((|GenericNonAssociativeAlgebra| . |BiModule|) 49248) ((|DirectProductModule| . |CommutativeRing|) 49214) ((|DirectProductMatrixModule| . |CommutativeRing|) 49180) ((|Factored| . |RightModule|) 49154) ((|TaylorSeries| . |PowerSeriesCategory|) 49095) ((|Quaternion| . |SemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Algebra|) 49049) ((|NeitherSparseOrDensePowerSeries| . |Algebra|) 48963) ((|Point| . |InnerEvalable|) 48882) ((|HexadecimalExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |Algebra|) 48670) ((|Factored| . |BiModule|) 48637) ((|HexadecimalExpansion| . |OrderedAbelianMonoid|) T) ((|Queue| . |Evalable|) 48561) ((|DecimalExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|DecimalExpansion| . |OrderedAbelianMonoid|) T) ((|Quaternion| . |AbelianMonoid|) T) ((|ModMonic| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |FullyPatternMatchable|) 48528) ((|U8Matrix| . |Aggregate|) T) ((|Expression| . |AbelianSemiGroup|) 48296) ((|Complex| . |FullyRetractableTo|) 48280) ((|Expression| . |AbelianGroup|) 48082) ((|ExponentialExpansion| . |AbelianSemiGroup|) T) ((|ExponentialExpansion| . |AbelianGroup|) T) ((|OrderedVariableList| . |Finite|) T) ((|Bits| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |LeftModule|) 47896) ((|PAdicRational| . |Rng|) T) ((|IndexedString| . |EltableAggregate|) 47859) ((|InnerPAdicInteger| . |CharacteristicZero|) T) ((|Integer| . |CharacteristicZero|) T) ((|InnerAlgebraicNumber| . |CharacteristicZero|) T) ((|SparseUnivariatePolynomial| . |Module|) 47599) ((|SparseMultivariatePolynomial| . |Module|) 47362) ((|SingleInteger| . |LinearlyExplicitRingOver|) 47339) ((|SparseUnivariateSkewPolynomial| . |Module|) 47296) ((|LieSquareMatrix| . |Type|) T) ((|Mapping| . |BasicType|) T) ((|DirectProduct| . |CoercibleTo|) 46945) ((|UnivariatePolynomial| . |FullyRetractableTo|) 46929) ((|U16Matrix| . |MatrixCategory|) 46878) ((|Table| . |Evalable|) 46638) ((|PolynomialRing| . |Ring|) T) ((|MonoidRing| . |Ring|) T) ((|ModularRing| . |Ring|) T) ((|List| . |SetCategory|) 46575) ((|RectangularMatrix| . |LeftModule|) 46559) ((|UnivariateSkewPolynomial| . |FullyRetractableTo|) 46543) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |BasicType|) T) ((|IndexedDirectProductAbelianGroup| . |BasicType|) T) ((|DistributedMultivariatePolynomial| . |Evalable|) 46530) ((|DifferentialSparseMultivariatePolynomial| . |Evalable|) 46517) ((|StochasticDifferential| . |CoercibleTo|) 46491) ((|PolynomialRing| . |FiniteAbelianMonoidRing|) 46470) ((|FreeModule| . |LeftModule|) 46454) ((|HashTable| . |Evalable|) 46214) ((|DirectProductModule| . |InnerEvalable|) 46133) ((|LieSquareMatrix| . |RetractableTo|) 45977) ((|DirectProductMatrixModule| . |InnerEvalable|) 45896) ((|SplittingTree| . |Evalable|) 45786) ((|DirichletRing| . |CommutativeRing|) 45752) ((|OrderedFreeMonoid| . |SetCategory|) T) ((|Octonion| . |RightModule|) 45736) ((|UnivariateTaylorSeries| . |Eltable|) 45721) ((|UnivariatePuiseuxSeries| . |Eltable|) 45706) ((|UnivariateLaurentSeries| . |Eltable|) 45470) ((|UnivariateFormalPowerSeries| . |Eltable|) 45455) ((|FreeMonoid| . |SetCategory|) T) ((|FreeAbelianMonoid| . |SetCategory|) T) ((|Factored| . |Ring|) T) ((|Complex| . |Rng|) T) ((|OneDimensionalArray| . |Evalable|) 45379) ((|Octonion| . |BiModule|) 45358) ((|InnerSparseUnivariatePowerSeries| . |Eltable|) 45343) ((|InnerIndexedTwoDimensionalArray| . |Evalable|) 45267) ((|IndexedFlexibleArray| . |Evalable|) 45191) ((|IndexedTwoDimensionalArray| . |Evalable|) 45115) ((|IndexedOneDimensionalArray| . |Evalable|) 45039) ((|Factored| . |DifferentialRing|) 45004) ((|HomogeneousDirectProduct| . |Aggregate|) T) ((|RadixExpansion| . |ConvertibleTo|) 44905) ((|DoubleFloat| . |SetCategory|) T) ((|RadixExpansion| . |CoercibleTo|) 44879) ((|Partition| . |CoercibleTo|) 44853) ((|Partition| . |ConvertibleTo|) 44821) ((|PartialFraction| . |CoercibleTo|) 44795) ((|MachineFloat| . |CharacteristicZero|) T) ((|MachineInteger| . |PrincipalIdealDomain|) T) ((|MachineInteger| . |OrderedIntegralDomain|) T) ((|FourierSeries| . |CoercibleTo|) 44769) ((|SingleInteger| . |AbelianGroup|) T) ((|SingleInteger| . |AbelianSemiGroup|) T) ((|LieSquareMatrix| . |FullyLinearlyExplicitRingOver|) 44753) ((|BalancedPAdicInteger| . |PrincipalIdealDomain|) T) ((|PAdicRationalConstructor| . |DifferentialExtension|) 44737) ((|Asp4| . |Type|) T) ((|BinaryTournament| . |BinaryTreeCategory|) 44721) ((|RectangularMatrix| . |Aggregate|) T) ((|XPolynomial| . |RetractableTo|) 44677) ((|XPBWPolynomial| . |RetractableTo|) 44590) ((|UnivariatePolynomial| . |Rng|) T) ((|SparseUnivariatePolynomialExpressions| . |CharacteristicNonZero|) 44550) ((|SparseUnivariatePolynomialExpressions| . |CharacteristicZero|) 44513) ((|UnivariateSkewPolynomial| . |Rng|) T) ((|HomogeneousDirectProduct| . |OrderedAbelianGroup|) 44483) ((|FiniteFieldExtensionByPolynomial| . |StepThrough|) 44458) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |StepThrough|) 44433) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |StepThrough|) 44408) ((|HomogeneousDirectProduct| . |OrderedAbelianSemiGroup|) 44332) ((|HomogeneousDirectProduct| . |OrderedAbelianMonoidSup|) 44290) ((|DenavitHartenbergMatrix| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Monoid|) 44176) ((|TwoDimensionalArray| . |HomogeneousAggregate|) 44160) ((|Interval| . |Rng|) T) ((|U16Matrix| . |CoercibleTo|) 44134) ((|SparseUnivariatePolynomial| . |CommutativeRing|) 43964) ((|SparseMultivariatePolynomial| . |CommutativeRing|) 43817) ((|RomanNumeral| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |PolynomialCategory|) 43688) ((|Polynomial| . |SetCategory|) T) ((|OrdinaryDifferentialRing| . |LeftModule|) 43625) ((|NewSparseUnivariatePolynomial| . |PolynomialCategory|) 43560) ((|ModuleMonomial| . |SetCategory|) T) ((|NewSparseMultivariatePolynomial| . |PolynomialCategory|) 43513) ((|IndexedFlexibleArray| . |ExtensibleLinearAggregate|) 43497) ((|LieSquareMatrix| . |PartialDifferentialRing|) 43429) ((|HomogeneousDistributedMultivariatePolynomial| . |SetCategory|) T) ((|GeneralDistributedMultivariatePolynomial| . |PolynomialCategory|) 43379) ((|Asp50| . |Type|) T) ((|FiniteFieldExtensionByPolynomial| . |Algebra|) 43333) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Algebra|) 43287) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Algebra|) 43241) ((|DifferentialSparseMultivariatePolynomial| . |Algebra|) 43004) ((|DistributedMultivariatePolynomial| . |Algebra|) 42767) ((|PrimeField| . |StepThrough|) T) ((|LaurentPolynomial| . |CharacteristicZero|) 42730) ((|LaurentPolynomial| . |CharacteristicNonZero|) 42690) ((|BalancedPAdicRational| . |CharacteristicZero|) T) ((|BalancedPAdicRational| . |CharacteristicNonZero|) NIL) ((|FramedModule| . |Monoid|) T) ((|Octonion| . |Ring|) T) ((|FiniteFieldCyclicGroup| . |GcdDomain|) T) ((|UnivariateTaylorSeries| . |RadicalCategory|) 42639) ((|UnivariatePuiseuxSeries| . |RadicalCategory|) 42588) ((|UnivariateLaurentSeries| . |RadicalCategory|) 42537) ((|UnivariateFormalPowerSeries| . |RadicalCategory|) 42486) ((|PrimeField| . |Algebra|) 42440) ((|DoubleFloat| . |Module|) 42394) ((|MyExpression| . |OrderedSet|) T) ((|AlgebraicFunctionField| . |FramedAlgebra|) 42360) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianMonoidRing|) 42319) ((|Quaternion| . |CancellationAbelianMonoid|) T) ((|OrderedDirectProduct| . |Type|) T) ((|ContinuedFraction| . |PrincipalIdealDomain|) T) ((|FiniteFieldCyclicGroup| . |FieldOfPrimeCharacteristic|) T) ((|IndexedList| . |EltableAggregate|) 42291) ((|AssociationList| . |Aggregate|) T) ((|OrderedDirectProduct| . |RetractableTo|) 42042) ((|MyUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 41992) ((|Localize| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianSemiGroup|) T) ((|Set| . |HomogeneousAggregate|) 41976) ((|UnivariateLaurentSeriesConstructor| . |DifferentialExtension|) 41943) ((|ThreeDimensionalMatrix| . |Type|) T) ((|DataList| . |BasicType|) 41880) ((|PAdicRational| . |SetCategory|) T) ((|SymmetricPolynomial| . |LeftModule|) 41777) ((|RomanNumeral| . |Module|) 41764) ((|MultivariatePolynomial| . |RightModule|) 41521) ((|SparseUnivariatePolynomial| . |InnerEvalable|) 41431) ((|Polynomial| . |Module|) 41194) ((|SparseMultivariatePolynomial| . |InnerEvalable|) 41146) ((|MyUnivariatePolynomial| . |LeftModule|) 41043) ((|HomogeneousDistributedMultivariatePolynomial| . |Module|) 40806) ((|Asp27| . |CoercibleTo|) 40780) ((|MultivariatePolynomial| . |BiModule|) 40505) ((|OrdinaryDifferentialRing| . |LeftOreRing|) 40481) ((|Point| . |HomogeneousAggregate|) 40465) ((|WeightedPolynomials| . |LeftModule|) 40412) ((|SparseUnivariateTaylorSeries| . |RightModule|) 40245) ((|OrdinaryDifferentialRing| . |Monoid|) T) ((|SparseUnivariatePuiseuxSeries| . |RightModule|) 40027) ((|SparseUnivariateLaurentSeries| . |RightModule|) 39736) ((|DirichletRing| . |EntireRing|) 39702) ((|SparseMultivariateTaylorSeries| . |RightModule|) 39535) ((|RadicalFunctionField| . |UniqueFactorizationDomain|) T) ((|Segment| . |BasicType|) 39505) ((|OrderedDirectProduct| . |FullyLinearlyExplicitRingOver|) 39473) ((|RadicalFunctionField| . |IntegralDomain|) T) ((|SparseUnivariateTaylorSeries| . |BiModule|) 39274) ((|SparseUnivariatePuiseuxSeries| . |BiModule|) 39024) ((|SparseUnivariateLaurentSeries| . |BiModule|) 38653) ((|SparseMultivariateTaylorSeries| . |BiModule|) 38454) ((|SExpressionOf| . |SExpressionCategory|) 38418) ((|Float| . |OrderedRing|) T) ((|UnivariateTaylorSeries| . |CoercibleTo|) 38392) ((|UnivariatePuiseuxSeries| . |CoercibleTo|) 38366) ((|UnivariateLaurentSeries| . |CoercibleTo|) 38340) ((|UnivariateLaurentSeries| . |ConvertibleTo|) NIL) ((|UnivariateFormalPowerSeries| . |CoercibleTo|) 38314) ((|DirectProduct| . |EltableAggregate|) 38286) ((|AlgebraicFunctionField| . |GcdDomain|) T) ((|DoubleFloat| . |CommutativeRing|) T) ((|Complex| . |SetCategory|) T) ((|MachineComplex| . |CharacteristicZero|) T) ((|MachineComplex| . |CharacteristicNonZero|) NIL) ((|InnerTaylorSeries| . |CoercibleTo|) 38260) ((|InnerSparseUnivariatePowerSeries| . |CoercibleTo|) 38234) ((|NumericalPDEProblem| . |SetCategory|) T) ((|NumericalOptimizationProblem| . |SetCategory|) T) ((|NumericalODEProblem| . |SetCategory|) T) ((|NumericalIntegrationProblem| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |UnivariateSkewPolynomialCategory|) 38218) ((|Magma| . |SetCategory|) T) ((|OrderedDirectProduct| . |PartialDifferentialRing|) 38122) ((|SparseUnivariatePolynomialExpressions| . |TranscendentalFunctionCategory|) 38073) ((|SparseUnivariatePolynomialExpressions| . |TrigonometricFunctionCategory|) 38024) ((|AlgebraicFunctionField| . |FieldOfPrimeCharacteristic|) NIL) ((|SingleInteger| . |Logic|) T) ((|PAdicRational| . |Module|) 37948) ((|DirectProductModule| . |HomogeneousAggregate|) 37932) ((|DirectProductMatrixModule| . |HomogeneousAggregate|) 37916) ((|ModMonic| . |LinearlyExplicitRingOver|) 37832) ((|LinearOrdinaryDifferentialOperator1| . |LeftModule|) 37806) ((|EqTable| . |Aggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |ArcTrigonometricFunctionCategory|) 37757) ((|SparseUnivariatePolynomialExpressions| . |ArcHyperbolicFunctionCategory|) 37708) ((|MultivariatePolynomial| . |Ring|) T) ((|InnerPrimeField| . |VectorSpace|) 37695) ((|InnerFiniteField| . |VectorSpace|) 37659) ((|UnivariatePolynomial| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |EntireRing|) 37522) ((|SparseMultivariatePolynomial| . |EntireRing|) 37408) ((|RomanNumeral| . |CommutativeRing|) T) ((|MyUnivariatePolynomial| . |LeftOreRing|) 37303) ((|UnivariateSkewPolynomial| . |SetCategory|) T) ((|Polynomial| . |CommutativeRing|) 37156) ((|NewSparseUnivariatePolynomial| . |UnivariatePolynomialCategory|) 37140) ((|List| . |InnerEvalable|) 37059) ((|Asp49| . |CoercibleTo|) 37033) ((|MultivariatePolynomial| . |FiniteAbelianMonoidRing|) 36967) ((|SymmetricPolynomial| . |Monoid|) T) ((|Interval| . |SetCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |CommutativeRing|) 36820) ((|MyUnivariatePolynomial| . |Monoid|) T) ((|DataList| . |Evalable|) 36744) ((|SquareMatrix| . |SemiGroup|) T) ((|Asp30| . |CoercibleTo|) 36718) ((|WeightedPolynomials| . |Monoid|) T) ((|SparseUnivariateTaylorSeries| . |Ring|) T) ((|SparseUnivariatePuiseuxSeries| . |Ring|) T) ((|FlexibleArray| . |BasicType|) 36655) ((|SparseUnivariateLaurentSeries| . |Ring|) T) ((|SquareMatrix| . |AbelianMonoid|) T) ((|SparseMultivariateTaylorSeries| . |Ring|) T) ((|ArrayStack| . |StackAggregate|) 36639) ((|OrdinaryWeightedPolynomials| . |SemiGroup|) T) ((|SparseUnivariateTaylorSeries| . |DifferentialRing|) 36576) ((|SparseUnivariatePuiseuxSeries| . |DivisionRing|) 36552) ((|SparseUnivariatePuiseuxSeries| . |DifferentialRing|) 36487) ((|SparseUnivariateLaurentSeries| . |DifferentialRing|) 36324) ((|SparseUnivariateLaurentSeries| . |DivisionRing|) 36300) ((|ExponentialOfUnivariatePuiseuxSeries| . |PartialDifferentialRing|) 36162) ((|PseudoAlgebraicClosureOfRationalNumber| . |BasicType|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |BasicType|) T) ((|OrdinaryWeightedPolynomials| . |AbelianMonoid|) T) ((|Complex| . |Module|) 35920) ((|SetOfMIntegersInOneToN| . |Finite|) T) ((|Fraction| . |UniqueFactorizationDomain|) T) ((|RealClosure| . |CharacteristicZero|) T) ((|RadicalFunctionField| . |Field|) T) ((|Point| . |Eltable|) 35892) ((|PAdicInteger| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |FiniteFieldCategory|) T) ((|Expression| . |OrderedSet|) T) ((|ExponentialExpansion| . |OrderedSet|) NIL) ((|Palette| . |BasicType|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |InfinitlyClosePointCategory|) 35419) ((|ModMonic| . |AbelianSemiGroup|) T) ((|Fraction| . |IntegralDomain|) T) ((|ModMonic| . |AbelianGroup|) T) ((|FiniteField| . |CharacteristicZero|) 35385) ((|FiniteField| . |CharacteristicNonZero|) T) ((|Stack| . |SetCategory|) 35355) ((|GenericNonAssociativeAlgebra| . |Monad|) T) ((|Asp41| . |CoercibleTo|) 35329) ((|BasicOperator| . |OrderedSet|) T) ((|DataList| . |ExtensibleLinearAggregate|) 35313) ((|DirectProduct| . |RightModule|) 35183) ((|Asp6| . |CoercibleTo|) 35157) ((|MonoidRing| . |Finite|) 35102) ((|Symbol| . |OpenMath|) T) ((|Multiset| . |DictionaryOperations|) 35086) ((|UnivariatePolynomial| . |Module|) 34826) ((|StringTable| . |Type|) T) ((|CharacterClass| . |DictionaryOperations|) 34801) ((|DirectProduct| . |BiModule|) 34664) ((|StochasticDifferential| . |RightModule|) 34633) ((|AlgebraicNumber| . |CharacteristicZero|) T) ((|PAdicRational| . |CommutativeRing|) T) ((|UnivariateSkewPolynomial| . |Module|) 34590) ((|Heap| . |Type|) T) ((|Polynomial| . |InnerEvalable|) 34530) ((|LinearOrdinaryDifferentialOperator1| . |Monoid|) T) ((|Interval| . |Module|) 34517) ((|StochasticDifferential| . |BiModule|) 34466) ((|ResidueRing| . |Rng|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |InnerEvalable|) 34370) ((|Point| . |OneDimensionalArrayAggregate|) 34354) ((|Point| . |IndexedAggregate|) 34326) ((|OrderlyDifferentialPolynomial| . |ConvertibleTo|) NIL) ((|OrderlyDifferentialPolynomial| . |CoercibleTo|) 34300) ((|RadixExpansion| . |RightModule|) 34234) ((|FractionalIdeal| . |CoercibleTo|) 34208) ((|DirectProductModule| . |Eltable|) 34180) ((|DirectProductMatrixModule| . |Eltable|) 34152) ((|HexadecimalExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|Expression| . |AlgebraicallyClosedFunctionSpace|) 34110) ((|BinaryExpansion| . |Type|) T) ((|RadicalFunctionField| . |SemiGroup|) T) ((|DecimalExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|PartialFraction| . |RightModule|) 34051) ((|U32Vector| . |OrderedSet|) T) ((|SimpleAlgebraicExtension| . |RetractableTo|) 33895) ((|RadixExpansion| . |BiModule|) 33790) ((|Multiset| . |MultiDictionary|) 33774) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialExtension|) 33758) ((|FourierSeries| . |RightModule|) 33742) ((|Float| . |Rng|) T) ((|RadicalFunctionField| . |AbelianMonoid|) T) ((|PartialFraction| . |BiModule|) 33651) ((|MachineComplex| . |TrigonometricFunctionCategory|) NIL) ((|HexadecimalExpansion| . |LeftModule|) 33585) ((|BinaryExpansion| . |Patternable|) 33562) ((|BinaryExpansion| . |PatternMatchable|) 33539) ((|MachineComplex| . |TranscendentalFunctionCategory|) NIL) ((|DecimalExpansion| . |LeftModule|) 33473) ((|FiniteFieldExtension| . |RetractableTo|) 33457) ((|FiniteFieldNormalBasisExtension| . |RetractableTo|) 33441) ((|FlexibleArray| . |Evalable|) 33365) ((|FiniteFieldCyclicGroupExtension| . |RetractableTo|) 33349) ((|DoubleFloat| . |EntireRing|) T) ((|FourierSeries| . |BiModule|) 33328) ((|TwoDimensionalArray| . |CoercibleTo|) 33279) ((|Complex| . |CommutativeRing|) T) ((|SingleInteger| . |OrderedSet|) T) ((|BinaryExpansion| . |RetractableTo|) 33223) ((|Pattern| . |SetCategory|) T) ((|Operator| . |Rng|) T) ((|OppositeMonogenicLinearOperator| . |Rng|) T) ((|MachineComplex| . |ArcHyperbolicFunctionCategory|) NIL) ((|MachineComplex| . |ArcTrigonometricFunctionCategory|) NIL) ((|ExponentialExpansion| . |QuotientFieldCategory|) 33138) ((|InnerPAdicInteger| . |GcdDomain|) T) ((|Integer| . |GcdDomain|) T) ((|InnerAlgebraicNumber| . |GcdDomain|) T) ((|Fraction| . |Field|) T) ((|DirectProduct| . |Ring|) 33048) ((|SparseTable| . |Aggregate|) T) ((|Plcs| . |BasicType|) T) ((|Pi| . |PrincipalIdealDomain|) T) ((|Quaternion| . |LinearlyExplicitRingOver|) 32964) ((|DirectProductModule| . |IndexedAggregate|) 32936) ((|DirectProductMatrixModule| . |IndexedAggregate|) 32908) ((|SimpleAlgebraicExtension| . |FullyLinearlyExplicitRingOver|) 32892) ((|PAdicRational| . |InnerEvalable|) 32662) ((|DirectProduct| . |DifferentialRing|) 32599) ((|String| . |Type|) T) ((|OpenMathErrorKind| . |CoercibleTo|) 32573) ((|ProjectiveSpace| . |ProjectiveSpaceCategory|) 32557) ((|XPolynomialRing| . |SemiGroup|) T) ((|XDistributedPolynomial| . |CoercibleTo|) 32531) ((|UnivariatePolynomial| . |CommutativeRing|) 32361) ((|BinaryExpansion| . |FullyLinearlyExplicitRingOver|) 32338) ((|BinaryExpansion| . |FullyEvalableOver|) 32315) ((|RomanNumeral| . |EntireRing|) T) ((|Polynomial| . |EntireRing|) 32201) ((|Octonion| . |Finite|) 32176) ((|Plcs| . |PlacesCategory|) 32155) ((|ListMultiDictionary| . |Type|) T) ((|Library| . |Type|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |EntireRing|) 32041) ((|Interval| . |CommutativeRing|) T) ((|FlexibleArray| . |ExtensibleLinearAggregate|) 32025) ((|XPolynomialRing| . |AbelianMonoid|) T) ((|TaylorSeries| . |BasicType|) T) ((|TextFile| . |SetCategory|) T) ((|SequentialDifferentialVariable| . |SetCategory|) T) ((|RewriteRule| . |SetCategory|) T) ((|Asp74| . |CoercibleTo|) 31999) ((|ModularField| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |FiniteFieldCategory|) 31974) ((|KeyedAccessFile| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FiniteFieldCategory|) 31949) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FiniteFieldCategory|) 31924) ((|Table| . |Dictionary|) 31866) ((|GeneralSparseTable| . |SetCategory|) T) ((|DirichletRing| . |Eltable|) 31830) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialPolynomialCategory|) 31778) ((|SquareMatrix| . |CancellationAbelianMonoid|) T) ((|KeyedAccessFile| . |KeyedDictionary|) 31751) ((|SimpleAlgebraicExtension| . |PartialDifferentialRing|) 31654) ((|RadixExpansion| . |Ring|) T) ((|PartialFraction| . |Ring|) T) ((|GeneralSparseTable| . |KeyedDictionary|) 31633) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianMonoid|) NIL) ((|SparseUnivariateLaurentSeries| . |OrderedCancellationAbelianMonoid|) NIL) ((|Set| . |ConvertibleTo|) 31569) ((|Set| . |CoercibleTo|) 31543) ((|HashTable| . |Dictionary|) 31485) ((|RadixExpansion| . |DivisionRing|) T) ((|RadixExpansion| . |DifferentialRing|) T) ((|PrimitiveArray| . |SetCategory|) 31422) ((|FourierSeries| . |Ring|) T) ((|PartialFraction| . |DivisionRing|) T) ((|OrdinaryWeightedPolynomials| . |CancellationAbelianMonoid|) T) ((|MachineFloat| . |GcdDomain|) T) ((|HexadecimalExpansion| . |LeftOreRing|) T) ((|OrderedCompletion| . |SemiGroup|) 31392) ((|BinaryExpansion| . |PartialDifferentialRing|) NIL) ((|TaylorSeries| . |ElementaryFunctionCategory|) 31341) ((|DecimalExpansion| . |LeftOreRing|) T) ((|PAdicRationalConstructor| . |OrderedRing|) 31301) ((|SplitHomogeneousDirectProduct| . |Type|) T) ((|Permutation| . |Monoid|) T) ((|Complex| . |InnerEvalable|) 31190) ((|Quaternion| . |AbelianSemiGroup|) T) ((|Permutation| . |Group|) T) ((|Fraction| . |SemiGroup|) T) ((|HexadecimalExpansion| . |OrderedAbelianSemiGroup|) T) ((|HexadecimalExpansion| . |OrderedAbelianGroup|) T) ((|PrimeField| . |FiniteFieldCategory|) T) ((|HexadecimalExpansion| . |Monoid|) T) ((|DecimalExpansion| . |OrderedAbelianSemiGroup|) T) ((|DecimalExpansion| . |OrderedAbelianGroup|) T) ((|Quaternion| . |AbelianGroup|) T) ((|DecimalExpansion| . |Monoid|) T) ((|OrderedCompletion| . |AbelianMonoid|) 31125) ((|ExponentialOfUnivariatePuiseuxSeries| . |EuclideanDomain|) 31101) ((|Result| . |DictionaryOperations|) 31034) ((|Fraction| . |AbelianMonoid|) T) ((|Point| . |ConvertibleTo|) 30970) ((|Point| . |CoercibleTo|) 30888) ((|List| . |HomogeneousAggregate|) 30872) ((|AssociationList| . |RecursiveAggregate|) 30814) ((|PseudoAlgebraicClosureOfRationalNumber| . |Algebra|) 30768) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Algebra|) 30722) ((|SparseUnivariatePolynomialExpressions| . |GcdDomain|) 30617) ((|FourierComponent| . |CoercibleTo|) 30591) ((|SplitHomogeneousDirectProduct| . |RetractableTo|) 30342) ((|IndexedString| . |LinearAggregate|) 30317) ((|IndexedString| . |FiniteLinearAggregate|) 30292) ((|FiniteFieldCyclicGroup| . |VectorSpace|) 30261) ((|RegularTriangularSet| . |Type|) T) ((|PAdicRational| . |EntireRing|) T) ((|UnivariatePolynomial| . |InnerEvalable|) 30171) ((|GeneralTriangularSet| . |Type|) T) ((|GeneralPolynomialSet| . |Type|) T) ((|IntegrationResult| . |BasicType|) T) ((|SparseUnivariatePolynomial| . |Eltable|) 30074) ((|LaurentPolynomial| . |GcdDomain|) 30050) ((|Queue| . |QueueAggregate|) 30034) ((|XDistributedPolynomial| . |FreeModuleCat|) 29991) ((|BalancedPAdicRational| . |GcdDomain|) T) ((|TexFormat| . |BasicType|) T) ((|SegmentBinding| . |SetCategory|) 29961) ((|ResidueRing| . |SetCategory|) T) ((|PoincareBirkhoffWittLyndonBasis| . |OrderedSet|) T) ((|UnivariateTaylorSeries| . |RightModule|) 29794) ((|FiniteFieldNormalBasis| . |UniqueFactorizationDomain|) T) ((|UnivariatePuiseuxSeries| . |RightModule|) 29576) ((|SplitHomogeneousDirectProduct| . |FullyLinearlyExplicitRingOver|) 29544) ((|UnivariateLaurentSeries| . |RightModule|) 29259) ((|UnivariateFormalPowerSeries| . |RightModule|) 29092) ((|UnivariateTaylorSeries| . |BiModule|) 28893) ((|UnivariatePuiseuxSeries| . |BiModule|) 28643) ((|UnivariateLaurentSeries| . |BiModule|) 28284) ((|UnivariateFormalPowerSeries| . |BiModule|) 28085) ((|TaylorSeries| . |Evalable|) 28072) ((|FiniteFieldNormalBasis| . |IntegralDomain|) T) ((|File| . |CoercibleTo|) 28046) ((|EuclideanModularRing| . |EuclideanDomain|) T) ((|InnerTaylorSeries| . |RightModule|) 28007) ((|InnerSparseUnivariatePowerSeries| . |RightModule|) 27840) ((|FreeGroup| . |SetCategory|) T) ((|FreeAbelianGroup| . |SetCategory|) T) ((|DirectProductModule| . |CoercibleTo|) 27790) ((|DirectProductMatrixModule| . |CoercibleTo|) 27740) ((|RadicalFunctionField| . |CancellationAbelianMonoid|) T) ((|BinaryFile| . |CoercibleTo|) 27714) ((|AssociatedLieAlgebra| . |AbelianMonoid|) T) ((|MachineComplex| . |FramedAlgebra|) 27638) ((|AssociatedJordanAlgebra| . |AbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator| . |BasicType|) T) ((|InnerTaylorSeries| . |BiModule|) 27597) ((|InnerSparseUnivariatePowerSeries| . |BiModule|) 27398) ((|Float| . |SetCategory|) T) ((|FiniteDivisor| . |BasicType|) T) ((|Complex| . |EntireRing|) 27267) ((|Divisor| . |BasicType|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedRing|) 27198) ((|Places| . |CoercibleTo|) 27172) ((|ModuleOperator| . |Rng|) T) ((|Stack| . |InnerEvalable|) 27091) ((|SplitHomogeneousDirectProduct| . |PartialDifferentialRing|) 26995) ((|Operator| . |SetCategory|) T) ((|OppositeMonogenicLinearOperator| . |SetCategory|) T) ((|OpenMathError| . |SetCategory|) T) ((|AttributeButtons| . |BasicType|) T) ((|Character| . |OrderedSet|) T) ((|MyExpression| . |CharacteristicZero|) 26958) ((|MyExpression| . |CharacteristicNonZero|) 26918) ((|Kernel| . |Patternable|) 26902) ((|U8Matrix| . |Type|) T) ((|U8Vector| . |Collection|) 26879) ((|Bits| . |Type|) T) ((|SequentialDifferentialPolynomial| . |BasicType|) T) ((|RoutinesTable| . |Aggregate|) T) ((|NewSparseUnivariatePolynomial| . |BasicType|) T) ((|NewSparseMultivariatePolynomial| . |BasicType|) T) ((|GeneralModulePolynomial| . |BasicType|) T) ((|GeneralDistributedMultivariatePolynomial| . |BasicType|) T) ((|DirectProduct| . |OrderedCancellationAbelianMonoid|) 26803) ((|DirectProduct| . |OrderedAbelianMonoid|) 26727) ((|NeitherSparseOrDensePowerSeries| . |StreamAggregate|) 26668) ((|ListMonoidOps| . |BasicType|) T) ((|UnivariatePolynomial| . |EntireRing|) 26531) ((|LiePolynomial| . |LieAlgebra|) 26515) ((|List| . |Eltable|) 26487) ((|ResidueRing| . |Module|) 26471) ((|Interval| . |EntireRing|) T) ((|PolynomialRing| . |LeftModule|) 26368) ((|XPolynomialRing| . |CancellationAbelianMonoid|) T) ((|MonoidRing| . |LeftModule|) 26315) ((|ModularRing| . |LeftModule|) 26302) ((|ExtAlgBasis| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |LeftModule|) 26195) ((|AntiSymm| . |BasicType|) T) ((|InnerPrimeField| . |BasicType|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|InnerFiniteField| . |BasicType|) T) ((|UnivariateTaylorSeries| . |Ring|) T) ((|UnivariatePuiseuxSeries| . |Ring|) T) ((|UnivariateLaurentSeries| . |Ring|) T) ((|UnivariateFormalPowerSeries| . |Ring|) T) ((|UnivariateTaylorSeries| . |DifferentialRing|) 26132) ((|UnivariatePuiseuxSeries| . |DivisionRing|) 26108) ((|FreeAbelianGroup| . |Module|) 26085) ((|UnivariatePuiseuxSeries| . |DifferentialRing|) 26020) ((|UnivariateLaurentSeries| . |DifferentialRing|) 25863) ((|UnivariateLaurentSeries| . |DivisionRing|) 25839) ((|UnivariateFormalPowerSeries| . |DifferentialRing|) 25776) ((|TaylorSeries| . |Algebra|) 25620) ((|RadixExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|InnerTaylorSeries| . |Ring|) T) ((|InnerSparseUnivariatePowerSeries| . |Ring|) T) ((|RadixExpansion| . |OrderedAbelianMonoid|) T) ((|Partition| . |OrderedCancellationAbelianMonoid|) T) ((|Partition| . |OrderedAbelianMonoid|) T) ((|DirichletRing| . |CoercibleTo|) 25594) ((|PAdicRationalConstructor| . |Rng|) T) ((|PAdicInteger| . |PAdicIntegerCategory|) 25578) ((|MachineComplex| . |GcdDomain|) T) ((|Float| . |Module|) 25532) ((|Factored| . |LeftModule|) 25506) ((|ModMonic| . |OrderedSet|) 25477) ((|ModularField| . |Algebra|) 25431) ((|InnerSparseUnivariatePowerSeries| . |DifferentialRing|) 25379) ((|AlgebraicFunctionField| . |MonogenicAlgebra|) 25345) ((|FiniteFieldNormalBasis| . |FiniteAlgebraicExtensionField|) 25314) ((|FiniteFieldNormalBasis| . |Field|) T) ((|UnivariateTaylorSeriesCZero| . |CharacteristicNonZero|) 25274) ((|UnivariateTaylorSeriesCZero| . |CharacteristicZero|) 25237) ((|SimpleAlgebraicExtension| . |EuclideanDomain|) 25171) ((|Equation| . |SemiGroup|) 25017) ((|SimpleFortranProgram| . |Type|) T) ((|SubSpaceComponentProperty| . |BasicType|) T) ((|UniversalSegment| . |CoercibleTo|) 24968) ((|OrderedCompletion| . |CancellationAbelianMonoid|) 24903) ((|List| . |UnaryRecursiveAggregate|) 24887) ((|Operator| . |Module|) 24844) ((|OppositeMonogenicLinearOperator| . |Module|) 24801) ((|HomogeneousDirectProduct| . |Type|) T) ((|FiniteFieldExtension| . |EuclideanDomain|) T) ((|FiniteFieldNormalBasisExtension| . |EuclideanDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |EuclideanDomain|) T) ((|List| . |IndexedAggregate|) 24773) ((|Fraction| . |CancellationAbelianMonoid|) T) ((|IndexedList| . |ListAggregate|) 24757) ((|BinaryExpansion| . |EuclideanDomain|) T) ((|Equation| . |AbelianMonoid|) 24591) ((|IndexedList| . |LinearAggregate|) 24575) ((|MachineComplex| . |FieldOfPrimeCharacteristic|) NIL) ((|IndexedList| . |FiniteLinearAggregate|) 24559) ((|InfinitlyClosePoint| . |CoercibleTo|) 24533) ((|ArrayStack| . |SetCategory|) 24503) ((|BinaryExpansion| . |RealConstant|) T) ((|Integer| . |CombinatorialFunctionCategory|) T) ((|Vector| . |Collection|) 24487) ((|HomogeneousDirectProduct| . |RetractableTo|) 24238) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CharacteristicNonZero|) 24160) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CharacteristicZero|) 24085) ((|RectangularMatrix| . |Type|) T) ((|QuadraticForm| . |CoercibleTo|) 24059) ((|OutputForm| . |CoercibleTo|) 24033) ((|OrderlyDifferentialPolynomial| . |RightModule|) 23790) ((|SequentialDifferentialPolynomial| . |Evalable|) 23777) ((|DenavitHartenbergMatrix| . |Type|) T) ((|NewSparseUnivariatePolynomial| . |Evalable|) 23764) ((|NewSparseMultivariatePolynomial| . |Evalable|) 23751) ((|OrderlyDifferentialPolynomial| . |BiModule|) 23476) ((|GeneralDistributedMultivariatePolynomial| . |Evalable|) 23463) ((|SparseUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|SparseUnivariatePolynomial| . |CoercibleTo|) 23437) ((|SparseMultivariatePolynomial| . |CoercibleTo|) 23411) ((|SparseMultivariatePolynomial| . |ConvertibleTo|) 23018) ((|ResidueRing| . |CommutativeRing|) T) ((|SparseUnivariateSkewPolynomial| . |CoercibleTo|) 22992) ((|Point| . |EltableAggregate|) 22964) ((|KeyedAccessFile| . |InnerEvalable|) 22648) ((|OrderlyDifferentialVariable| . |RetractableTo|) 22632) ((|GeneralSparseTable| . |InnerEvalable|) 22340) ((|PolynomialRing| . |Monoid|) T) ((|MonoidRing| . |Monoid|) T) ((|ModularRing| . |Monoid|) T) ((|FiniteFieldNormalBasis| . |SemiGroup|) T) ((|TheSymbolTable| . |CoercibleTo|) 22314) ((|DeRhamComplex| . |BasicType|) T) ((|HomogeneousDirectProduct| . |FullyLinearlyExplicitRingOver|) 22282) ((|InnerFreeAbelianMonoid| . |SetCategory|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |SetCategory|) T) ((|IndexedDirectProductAbelianMonoid| . |SetCategory|) T) ((|Octonion| . |LeftModule|) 22256) ((|RealClosure| . |GcdDomain|) T) ((|PrimitiveArray| . |InnerEvalable|) 22175) ((|FiniteFieldNormalBasis| . |AbelianMonoid|) T) ((|U16Vector| . |OrderedSet|) T) ((|AssociatedLieAlgebra| . |CancellationAbelianMonoid|) T) ((|AssociatedJordanAlgebra| . |CancellationAbelianMonoid|) T) ((|Factored| . |LeftOreRing|) 22099) ((|FiniteField| . |GcdDomain|) T) ((|DirectProduct| . |Finite|) 22074) ((|Float| . |CommutativeRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Rng|) T) ((|UnivariateLaurentSeriesConstructor| . |Rng|) T) ((|DoubleFloat| . |RadicalCategory|) T) ((|ProjectivePlane| . |SetCategoryWithDegree|) T) ((|MachineFloat| . |FortranMachineTypeCategory|) T) ((|Factored| . |Monoid|) T) ((|MachineInteger| . |UniqueFactorizationDomain|) T) ((|SquareMatrix| . |LinearlyExplicitRingOver|) 21990) ((|XDistributedPolynomial| . |RightModule|) 21974) ((|InnerPAdicInteger| . |PAdicIntegerCategory|) 21958) ((|StringTable| . |TableAggregate|) 21931) ((|ModuleOperator| . |SetCategory|) T) ((|MachineInteger| . |IntegralDomain|) T) ((|BinaryTournament| . |SetCategory|) 21901) ((|HomogeneousDirectProduct| . |PartialDifferentialRing|) 21805) ((|DoubleFloatVector| . |VectorCategory|) 21778) ((|DoubleFloatVector| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |VectorCategory|) 21739) ((|Commutator| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |Algebra|) 21696) ((|FiniteField| . |FieldOfPrimeCharacteristic|) T) ((|Expression| . |CharacteristicZero|) 21659) ((|Expression| . |CharacteristicNonZero|) 21619) ((|BalancedPAdicInteger| . |IntegralDomain|) T) ((|ExponentialExpansion| . |CharacteristicZero|) 21513) ((|ExponentialExpansion| . |CharacteristicNonZero|) 21404) ((|AlgebraicNumber| . |GcdDomain|) T) ((|Color| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |SetCategory|) T) ((|StringTable| . |BagAggregate|) 21340) ((|SparseUnivariatePolynomialExpressions| . |PolynomialCategory|) 21275) ((|NewSparseUnivariatePolynomial| . |StepThrough|) 21245) ((|Matrix| . |Aggregate|) T) ((|XDistributedPolynomial| . |BiModule|) 21224) ((|InnerTable| . |Aggregate|) T) ((|Heap| . |BagAggregate|) 21208) ((|DirectProductModule| . |EltableAggregate|) 21180) ((|DirectProductMatrixModule| . |EltableAggregate|) 21152) ((|PAdicRational| . |Eltable|) 21037) ((|AssociationList| . |Type|) T) ((|OrderlyDifferentialPolynomial| . |Ring|) T) ((|SymmetricPolynomial| . |AbelianMonoidRing|) 21007) ((|OrderlyDifferentialPolynomial| . |FiniteAbelianMonoidRing|) 20927) ((|SequentialDifferentialPolynomial| . |Algebra|) 20690) ((|OrderlyDifferentialPolynomial| . |DifferentialRing|) 20655) ((|NewSparseUnivariatePolynomial| . |Algebra|) 20395) ((|NewSparseMultivariatePolynomial| . |Algebra|) 20158) ((|MyUnivariatePolynomial| . |AbelianMonoidRing|) 20119) ((|GeneralDistributedMultivariatePolynomial| . |Algebra|) 19882) ((|List| . |ConvertibleTo|) 19818) ((|List| . |CoercibleTo|) 19736) ((|InnerPrimeField| . |StepThrough|) T) ((|InnerFiniteField| . |StepThrough|) T) ((|Stack| . |HomogeneousAggregate|) 19720) ((|Tree| . |SetCategory|) 19690) ((|SquareMatrix| . |AbelianSemiGroup|) T) ((|SquareMatrix| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Rng|) T) ((|NeitherSparseOrDensePowerSeries| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |TrigonometricFunctionCategory|) 19639) ((|UnivariateTaylorSeriesCZero| . |TranscendentalFunctionCategory|) 19588) ((|GeneralUnivariatePowerSeries| . |Rng|) T) ((|UnivariateLaurentSeries| . |OrderedAbelianMonoid|) NIL) ((|UnivariateLaurentSeries| . |OrderedCancellationAbelianMonoid|) NIL) ((|Quaternion| . |OrderedSet|) 19559) ((|OrderedFreeMonoid| . |CoercibleTo|) 19533) ((|OrdinaryWeightedPolynomials| . |AbelianGroup|) T) ((|OrdinaryWeightedPolynomials| . |AbelianSemiGroup|) T) ((|Octonion| . |Monoid|) T) ((|InfClsPt| . |SetCategoryWithDegree|) T) ((|ContinuedFraction| . |UniqueFactorizationDomain|) T) ((|InnerPrimeField| . |Algebra|) 19487) ((|InnerFiniteField| . |Algebra|) 19441) ((|FreeMonoid| . |CoercibleTo|) 19415) ((|FreeAbelianMonoid| . |CoercibleTo|) 19389) ((|Complex| . |Eltable|) 19342) ((|UnivariateTaylorSeriesCZero| . |ArcHyperbolicFunctionCategory|) 19291) ((|UnivariateTaylorSeriesCZero| . |ArcTrigonometricFunctionCategory|) 19240) ((|Asp19| . |Type|) T) ((|Boolean| . |BasicType|) T) ((|PAdicRationalConstructor| . |SetCategory|) T) ((|ContinuedFraction| . |IntegralDomain|) T) ((|ModuleOperator| . |Module|) 19197) ((|Equation| . |CancellationAbelianMonoid|) 19031) ((|DoubleFloat| . |CoercibleTo|) 19005) ((|DoubleFloat| . |ConvertibleTo|) 18908) ((|U32Matrix| . |Aggregate|) T) ((|RadicalFunctionField| . |LinearlyExplicitRingOver|) 18798) ((|XDistributedPolynomial| . |Ring|) T) ((|SingleInteger| . |CharacteristicZero|) T) ((|Library| . |TableAggregate|) 18768) ((|MultivariatePolynomial| . |PolynomialFactorizationExplicit|) 18718) ((|IndexedString| . |Aggregate|) T) ((|ListMultiDictionary| . |BagAggregate|) 18702) ((|Library| . |BagAggregate|) 18635) ((|MyUnivariatePolynomial| . |PatternMatchable|) NIL) ((|UnivariatePolynomial| . |Eltable|) 18538) ((|MultivariatePolynomial| . |LeftModule|) 18435) ((|EqTable| . |Type|) T) ((|SymmetricPolynomial| . |RetractableTo|) 18279) ((|MyUnivariatePolynomial| . |RetractableTo|) 18089) ((|SparseUnivariateLaurentSeries| . |PolynomialFactorizationExplicit|) NIL) ((|RomanNumeral| . |ConvertibleTo|) 17970) ((|RomanNumeral| . |CoercibleTo|) 17944) ((|FiniteFieldCyclicGroup| . |BasicType|) T) ((|DirectProductModule| . |RightModule|) 17814) ((|DirectProductMatrixModule| . |RightModule|) 17684) ((|ScriptFormulaFormat| . |BasicType|) T) ((|Polynomial| . |CoercibleTo|) 17658) ((|Polynomial| . |ConvertibleTo|) 17436) ((|ModuleMonomial| . |CoercibleTo|) 17410) ((|WuWenTsunTriangularSet| . |TriangularSetCategory|) 17379) ((|HomogeneousDistributedMultivariatePolynomial| . |CoercibleTo|) 17353) ((|HomogeneousDistributedMultivariatePolynomial| . |ConvertibleTo|) 17131) ((|DifferentialSparseMultivariatePolynomial| . |FullyRetractableTo|) 17115) ((|DistributedMultivariatePolynomial| . |FullyRetractableTo|) 17099) ((|DirectProductModule| . |BiModule|) 16962) ((|DirectProductMatrixModule| . |BiModule|) 16825) ((|SparseUnivariateTaylorSeries| . |LeftModule|) 16722) ((|SparseUnivariatePuiseuxSeries| . |LeftModule|) 16591) ((|SparseUnivariateLaurentSeries| . |LeftModule|) 16387) ((|SparseMultivariateTaylorSeries| . |LeftModule|) 16284) ((|FiniteFieldNormalBasis| . |CancellationAbelianMonoid|) T) ((|Asp73| . |FortranVectorFunctionCategory|) T) ((|Asp73| . |FortranProgramCategory|) T) ((|RadicalFunctionField| . |AbelianSemiGroup|) T) ((|RadicalFunctionField| . |AbelianGroup|) T) ((|PAdicRationalConstructor| . |Module|) 16225) ((|Float| . |EntireRing|) T) ((|Complex| . |RadicalCategory|) 16137) ((|MyUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 16121) ((|MachineComplex| . |FortranMachineTypeCategory|) T) ((|Quaternion| . |QuaternionCategory|) 16105) ((|MachineInteger| . |SemiGroup|) T) ((|MachineComplex| . |ComplexCategory|) 16077) ((|UnivariatePuiseuxSeriesConstructor| . |SetCategory|) T) ((|UnivariateLaurentSeriesConstructor| . |SetCategory|) T) ((|Expression| . |TranscendentalFunctionCategory|) 16044) ((|Expression| . |TrigonometricFunctionCategory|) 16011) ((|SubSpace| . |BasicType|) T) ((|Expression| . |PrimitiveFunctionCategory|) 15978) ((|CardinalNumber| . |SemiGroup|) T) ((|BalancedPAdicInteger| . |SemiGroup|) T) ((|IndexedVector| . |VectorCategory|) 15962) ((|MachineInteger| . |AbelianMonoid|) T) ((|IndexedVector| . |SetCategory|) 15899) ((|ArrayStack| . |InnerEvalable|) 15818) ((|ContinuedFraction| . |Field|) T) ((|SparseUnivariatePolynomialExpressions| . |UnivariatePolynomialCategory|) 15802) ((|Expression| . |ArcTrigonometricFunctionCategory|) 15769) ((|Expression| . |ArcHyperbolicFunctionCategory|) 15736) ((|KeyedAccessFile| . |HomogeneousAggregate|) 15659) ((|CardinalNumber| . |AbelianMonoid|) T) ((|BalancedPAdicInteger| . |AbelianMonoid|) T) ((|MoebiusTransform| . |SetCategory|) T) ((|GeneralSparseTable| . |HomogeneousAggregate|) 15588) ((|Fraction| . |LinearlyExplicitRingOver|) 15504) ((|LinearOrdinaryDifferentialOperator1| . |RetractableTo|) 15348) ((|MyUnivariatePolynomial| . |PartialDifferentialRing|) 15246) ((|PrimitiveArray| . |HomogeneousAggregate|) 15230) ((|MultivariatePolynomial| . |LeftOreRing|) 15148) ((|FiniteFieldExtensionByPolynomial| . |Rng|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Rng|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Rng|) T) ((|DifferentialSparseMultivariatePolynomial| . |Rng|) T) ((|DistributedMultivariatePolynomial| . |Rng|) T) ((|PAdicRational| . |ConvertibleTo|) NIL) ((|PAdicRational| . |CoercibleTo|) 15122) ((|XPolynomialRing| . |AbelianGroup|) T) ((|Interval| . |RadicalCategory|) T) ((|MultivariatePolynomial| . |Monoid|) T) ((|XPolynomialRing| . |AbelianSemiGroup|) T) ((|DirectProductModule| . |Ring|) 15032) ((|DirectProductMatrixModule| . |Ring|) 14942) ((|DirichletRing| . |RightModule|) 14862) ((|Asp33| . |Type|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|DirectProductModule| . |DifferentialRing|) 14799) ((|DirectProductMatrixModule| . |DifferentialRing|) 14736) ((|DirichletRing| . |BiModule|) 14649) ((|AlgebraicFunctionField| . |BasicType|) T) ((|PrimeField| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |LeftOreRing|) 14625) ((|SparseUnivariateLaurentSeries| . |LeftOreRing|) 14601) ((|SparseUnivariateTaylorSeries| . |Monoid|) T) ((|SparseUnivariatePuiseuxSeries| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianGroup|) NIL) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianSemiGroup|) NIL) ((|SparseMultivariateTaylorSeries| . |Monoid|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |PlacesCategory|) 14464) ((|PseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PositiveInteger| . |BasicType|) T) ((|NeitherSparseOrDensePowerSeries| . |SetCategory|) T) ((|NonNegativeInteger| . |BasicType|) T) ((|LyndonWord| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |SetCategory|) T) ((|FortranExpression| . |SemiGroup|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Module|) 14252) ((|ContinuedFraction| . |SemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 14228) ((|MyExpression| . |GcdDomain|) 14195) ((|PAdicRationalConstructor| . |CommutativeRing|) T) ((|UnivariateLaurentSeriesConstructor| . |Module|) 13953) ((|OrderedCompletion| . |AbelianGroup|) 13888) ((|OrderedCompletion| . |AbelianSemiGroup|) 13823) ((|DataList| . |StreamAggregate|) 13807) ((|BinaryTournament| . |InnerEvalable|) 13726) ((|Fraction| . |AbelianSemiGroup|) T) ((|Fraction| . |AbelianGroup|) T) ((|FortranExpression| . |AbelianMonoid|) T) ((|Complex| . |ConvertibleTo|) 13346) ((|Complex| . |CoercibleTo|) 13320) ((|ContinuedFraction| . |AbelianMonoid|) T) ((|List| . |EltableAggregate|) 13292) ((|DoubleFloatVector| . |InnerEvalable|) NIL) ((|ComplexDoubleFloatVector| . |InnerEvalable|) NIL) ((|IndexedList| . |Aggregate|) T) ((|NumericalPDEProblem| . |CoercibleTo|) 13266) ((|Asp9| . |Type|) T) ((|NumericalOptimizationProblem| . |CoercibleTo|) 13240) ((|NumericalODEProblem| . |CoercibleTo|) 13214) ((|NumericalIntegrationProblem| . |CoercibleTo|) 13188) ((|Magma| . |CoercibleTo|) 13162) ((|DirectProduct| . |LeftModule|) 12976) ((|Symbol| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |RightModule|) 12710) ((|SparseTable| . |Type|) T) ((|SparseMultivariatePolynomial| . |RightModule|) 12467) ((|SparseUnivariateSkewPolynomial| . |RightModule|) 12451) ((|StochasticDifferential| . |LeftModule|) 12420) ((|SparseUnivariatePolynomial| . |BiModule|) 12122) ((|SparseMultivariatePolynomial| . |BiModule|) 11847) ((|SparseUnivariateSkewPolynomial| . |BiModule|) 11826) ((|UnivariatePolynomial| . |ConvertibleTo|) NIL) ((|UnivariatePolynomial| . |CoercibleTo|) 11800) ((|FiniteFieldCyclicGroup| . |StepThrough|) T) ((|UnivariateSkewPolynomial| . |CoercibleTo|) 11774) ((|RewriteRule| . |Eltable|) 11753) ((|DirichletRing| . |Ring|) T) ((|Asp55| . |Type|) T) ((|RadixExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|KeyedAccessFile| . |Eltable|) 11726) ((|Tree| . |InnerEvalable|) 11645) ((|HexadecimalExpansion| . |Type|) T) ((|Interval| . |CoercibleTo|) 11619) ((|GeneralSparseTable| . |Eltable|) 11598) ((|SequentialDifferentialPolynomial| . |DifferentialExtension|) 11582) ((|RadixExpansion| . |LeftModule|) 11516) ((|DecimalExpansion| . |Type|) T) ((|PrimitiveArray| . |Eltable|) 11488) ((|PartialFraction| . |LeftModule|) 11429) ((|EuclideanModularRing| . |PrincipalIdealDomain|) T) ((|OrdinaryDifferentialRing| . |EuclideanDomain|) 11405) ((|PAdicInteger| . |BasicType|) T) ((|NewSparseUnivariatePolynomial| . |DifferentialExtension|) 11389) ((|NottinghamGroup| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Module|) 11330) ((|NeitherSparseOrDensePowerSeries| . |Module|) 11244) ((|AssociatedLieAlgebra| . |AbelianGroup|) T) ((|AssociatedLieAlgebra| . |AbelianSemiGroup|) T) ((|AssociatedJordanAlgebra| . |AbelianGroup|) T) ((|FiniteFieldCyclicGroup| . |Algebra|) 11198) ((|MachineComplex| . |MonogenicAlgebra|) 11122) ((|HexadecimalExpansion| . |Patternable|) 11099) ((|HexadecimalExpansion| . |PatternMatchable|) 11076) ((|GeneralUnivariatePowerSeries| . |Module|) 10864) ((|DecimalExpansion| . |Patternable|) 10841) ((|Asp1| . |Type|) T) ((|DecimalExpansion| . |PatternMatchable|) 10818) ((|AssociatedJordanAlgebra| . |AbelianSemiGroup|) T) ((|FourierSeries| . |LeftModule|) 10792) ((|HexadecimalExpansion| . |RetractableTo|) 10736) ((|PAdicRationalConstructor| . |InnerEvalable|) 10625) ((|DecimalExpansion| . |RetractableTo|) 10569) ((|DirectProduct| . |Aggregate|) T) ((|Queue| . |SetCategory|) 10539) ((|UnivariatePuiseuxSeriesConstructor| . |CommutativeRing|) 10445) ((|UnivariateLaurentSeriesConstructor| . |CommutativeRing|) 10351) ((|ModMonic| . |CharacteristicNonZero|) 10311) ((|ModMonic| . |CharacteristicZero|) 10274) ((|MachineInteger| . |CancellationAbelianMonoid|) T) ((|CartesianTensor| . |GradedAlgebra|) 10235) ((|GuessOptionFunctions0| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator| . |LinearOrdinaryDifferentialOperatorCategory|) 10219) ((|Stack| . |CoercibleTo|) 10170) ((|BalancedPAdicInteger| . |CancellationAbelianMonoid|) T) ((|Pi| . |UniqueFactorizationDomain|) T) ((|KeyedAccessFile| . |IndexedAggregate|) 10143) ((|GeneralSparseTable| . |IndexedAggregate|) 10122) ((|FiniteDivisor| . |FiniteDivisorCategory|) 10091) ((|InputForm| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |Ring|) T) ((|Pi| . |IntegralDomain|) T) ((|Divisor| . |DivisorCategory|) 10075) ((|SparseMultivariatePolynomial| . |Ring|) T) ((|SparseUnivariateSkewPolynomial| . |Ring|) T) ((|DirectProduct| . |OrderedAbelianGroup|) 10045) ((|DirectProduct| . |OrderedAbelianSemiGroup|) 9969) ((|DirectProduct| . |OrderedAbelianMonoidSup|) 9927) ((|SparseUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 9888) ((|DirectProduct| . |Monoid|) 9774) ((|PrimitiveArray| . |OneDimensionalArrayAggregate|) 9758) ((|HexadecimalExpansion| . |FullyLinearlyExplicitRingOver|) 9735) ((|HexadecimalExpansion| . |FullyEvalableOver|) 9712) ((|SparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 9670) ((|FiniteField| . |VectorSpace|) 9639) ((|DecimalExpansion| . |FullyLinearlyExplicitRingOver|) 9616) ((|DecimalExpansion| . |FullyEvalableOver|) 9593) ((|PrimitiveArray| . |IndexedAggregate|) 9565) ((|SparseUnivariatePolynomial| . |DifferentialRing|) T) ((|LiePolynomial| . |SetCategory|) T) ((|Variable| . |SetCategory|) T) ((|Table| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |DifferentialPolynomialCategory|) 9425) ((|FiniteFieldExtensionByPolynomial| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |SetCategory|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |SetCategory|) T) ((|DistributedMultivariatePolynomial| . |SetCategory|) T) ((|Asp77| . |Type|) T) ((|BinaryTree| . |BasicType|) 9395) ((|BinarySearchTree| . |BasicType|) 9365) ((|MyUnivariatePolynomial| . |EuclideanDomain|) 9341) ((|Table| . |KeyedDictionary|) 9320) ((|U8Vector| . |BasicType|) T) ((|SplittingTree| . |SetCategory|) T) ((|HashTable| . |SetCategory|) T) ((|SimpleAlgebraicExtension| . |PrincipalIdealDomain|) 9254) ((|RadixExpansion| . |OrderedAbelianSemiGroup|) T) ((|HashTable| . |KeyedDictionary|) 9233) ((|DirectProductModule| . |OrderedCancellationAbelianMonoid|) 9157) ((|DirectProductModule| . |OrderedAbelianMonoid|) 9081) ((|DirectProductMatrixModule| . |OrderedCancellationAbelianMonoid|) 9005) ((|AlgebraicFunctionField| . |StepThrough|) NIL) ((|DirectProductMatrixModule| . |OrderedAbelianMonoid|) 8929) ((|RadixExpansion| . |OrderedAbelianGroup|) T) ((|RadixExpansion| . |LeftOreRing|) T) ((|RadixExpansion| . |Monoid|) T) ((|Partition| . |OrderedAbelianSemiGroup|) T) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PartialFraction| . |LeftOreRing|) T) ((|PartialFraction| . |Monoid|) T) ((|PrimeField| . |SetCategory|) T) ((|PAdicRationalConstructor| . |EntireRing|) T) ((|ArrayStack| . |HomogeneousAggregate|) 8913) ((|HexadecimalExpansion| . |PartialDifferentialRing|) NIL) ((|PseudoAlgebraicClosureOfFiniteField| . |CommutativeRing|) T) ((|DoubleFloat| . |RightModule|) 8867) ((|OnePointCompletion| . |SemiGroup|) 8837) ((|DecimalExpansion| . |PartialDifferentialRing|) NIL) ((|NeitherSparseOrDensePowerSeries| . |CommutativeRing|) T) ((|OneDimensionalArray| . |SetCategory|) 8774) ((|InnerIndexedTwoDimensionalArray| . |SetCategory|) 8744) ((|IndexedFlexibleArray| . |SetCategory|) 8681) ((|IndexedTwoDimensionalArray| . |SetCategory|) 8651) ((|IndexedOneDimensionalArray| . |SetCategory|) 8588) ((|InnerPAdicInteger| . |BasicType|) T) ((|Integer| . |BasicType|) T) ((|InnerAlgebraicNumber| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |CommutativeRing|) 8494) ((|FiniteFieldExtension| . |PrincipalIdealDomain|) T) ((|FiniteFieldNormalBasisExtension| . |PrincipalIdealDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |PrincipalIdealDomain|) T) ((|DoubleFloat| . |BiModule|) 8421) ((|OnePointCompletion| . |AbelianMonoid|) 8356) ((|FourierSeries| . |Monoid|) T) ((|BinaryExpansion| . |PrincipalIdealDomain|) T) ((|AlgebraicFunctionField| . |Algebra|) 8284) ((|BinaryExpansion| . |OrderedIntegralDomain|) T) ((|InnerPrimeField| . |FiniteFieldCategory|) T) ((|InnerFiniteField| . |FiniteFieldCategory|) T) ((|UnivariateLaurentSeriesConstructor| . |InnerEvalable|) 8115) ((|Expression| . |GcdDomain|) 8082) ((|ExponentialExpansion| . |GcdDomain|) T) ((|U16Matrix| . |Aggregate|) T) ((|Operator| . |Eltable|) 8061) ((|FortranExpression| . |CancellationAbelianMonoid|) T) ((|ContinuedFraction| . |CancellationAbelianMonoid|) T) ((|Equation| . |AbelianSemiGroup|) 7861) ((|Equation| . |AbelianGroup|) 7695) ((|AssociationList| . |TableAggregate|) 7674) ((|Asp24| . |CoercibleTo|) 7648) ((|Pattern| . |CoercibleTo|) 7622) ((|IndexedVector| . |InnerEvalable|) 7541) ((|AssociationList| . |BagAggregate|) 7483) ((|Set| . |FiniteSetAggregate|) 7467) ((|Set| . |Finite|) 7442) ((|RoutinesTable| . |Type|) T) ((|RomanNumeral| . |RightModule|) 7429) ((|Polynomial| . |RightModule|) 7186) ((|HomogeneousDistributedMultivariatePolynomial| . |RightModule|) 6943) ((|LiePolynomial| . |Module|) 6927) ((|RomanNumeral| . |BiModule|) 6912) ((|Polynomial| . |BiModule|) 6637) ((|Pi| . |Field|) T) ((|FiniteFieldExtensionByPolynomial| . |Module|) 6578) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Module|) 6519) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Module|) 6460) ((|DifferentialSparseMultivariatePolynomial| . |Module|) 6223) ((|DistributedMultivariatePolynomial| . |Module|) 5986) ((|TwoDimensionalViewport| . |BasicType|) T) ((|Vector| . |BasicType|) 5923) ((|Point| . |LinearAggregate|) 5907) ((|UnivariateTaylorSeries| . |LeftModule|) 5804) ((|HomogeneousDistributedMultivariatePolynomial| . |BiModule|) 5529) ((|UnivariatePuiseuxSeries| . |LeftModule|) 5398) ((|UnivariateLaurentSeries| . |LeftModule|) 5200) ((|UnivariateLaurentSeries| . |PolynomialFactorizationExplicit|) NIL) ((|Point| . |FiniteLinearAggregate|) 5184) ((|UnivariateFormalPowerSeries| . |LeftModule|) 5081) ((|Asp35| . |CoercibleTo|) 5055) ((|PolynomialRing| . |AbelianMonoidRing|) 5034) ((|LocalAlgebra| . |SemiGroup|) T) ((|Mapping| . |SetCategory|) T) ((|MathMLFormat| . |BasicType|) T) ((|MachineFloat| . |BasicType|) T) ((|TextFile| . |CoercibleTo|) 5008) ((|SequentialDifferentialVariable| . |CoercibleTo|) 4982) ((|RewriteRule| . |CoercibleTo|) 4956) ((|PrimeField| . |Module|) 4910) ((|BinaryTournament| . |HomogeneousAggregate|) 4894) ((|NeitherSparseOrDensePowerSeries| . |InnerEvalable|) 4676) ((|LocalAlgebra| . |AbelianMonoid|) T) ((|FreeNilpotentLie| . |AbelianMonoid|) T) ((|KeyedAccessFile| . |CoercibleTo|) 4650) ((|Asp80| . |Type|) T) ((|KeyedAccessFile| . |ConvertibleTo|) NIL) ((|GeneralSparseTable| . |ConvertibleTo|) NIL) ((|GeneralSparseTable| . |CoercibleTo|) 4624) ((|FiniteFieldNormalBasis| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasis| . |AbelianGroup|) T) ((|DoubleFloatVector| . |HomogeneousAggregate|) 4597) ((|BinaryTree| . |Evalable|) 4521) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |SetCategory|) T) ((|IndexedDirectProductAbelianGroup| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |HomogeneousAggregate|) 4482) ((|BinarySearchTree| . |Evalable|) 4406) ((|InnerTaylorSeries| . |LeftModule|) 4393) ((|DoubleFloatMatrix| . |TwoDimensionalArrayCategory|) 4322) ((|ComplexDoubleFloatMatrix| . |TwoDimensionalArrayCategory|) 4225) ((|DoubleFloat| . |Ring|) T) ((|InnerSparseUnivariatePowerSeries| . |LeftModule|) 4122) ((|U8Vector| . |Evalable|) NIL) ((|Float| . |RadicalCategory|) T) ((|DoubleFloat| . |DivisionRing|) T) ((|DoubleFloat| . |DifferentialRing|) T) ((|SparseUnivariatePolynomialExpressions| . |BasicType|) T) ((|PrimitiveArray| . |ConvertibleTo|) 4058) ((|PrimitiveArray| . |CoercibleTo|) 3976) ((|PAdicInteger| . |Algebra|) 3963) ((|UnivariatePuiseuxSeriesConstructor| . |EntireRing|) 3902) ((|UnivariateLaurentSeriesConstructor| . |EntireRing|) 3841) ((|SingleInteger| . |GcdDomain|) T) ((|IndexCard| . |OrderedSet|) T) ((|Expression| . |SpecialFunctionCategory|) 3808) ((|Quaternion| . |CharacteristicZero|) 3771) ((|Quaternion| . |CharacteristicNonZero|) 3731) ((|MyExpression| . |CombinatorialOpsCategory|) T) ((|MyExpression| . |CombinatorialFunctionCategory|) T) ((|InnerAlgebraicNumber| . |Evalable|) 3718) ((|EqTable| . |TableAggregate|) 3697) ((|Pi| . |SemiGroup|) T) ((|PAdicRational| . |RightModule|) 3621) ((|LaurentPolynomial| . |BasicType|) T) ((|Tree| . |HomogeneousAggregate|) 3605) ((|DirectProductModule| . |Finite|) 3580) ((|DirectProductMatrixModule| . |Finite|) 3555) ((|SparseUnivariatePolynomialExpressions| . |ElementaryFunctionCategory|) 3506) ((|RomanNumeral| . |Ring|) T) ((|EqTable| . |BagAggregate|) 3448) ((|BasicStochasticDifferential| . |BasicType|) T) ((|BalancedPAdicRational| . |BasicType|) T) ((|AffineSpace| . |SetCategoryWithDegree|) T) ((|Polynomial| . |Ring|) T) ((|PAdicRational| . |BiModule|) 3323) ((|Pi| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Ring|) T) ((|RomanNumeral| . |DifferentialRing|) T) ((|Polynomial| . |FiniteAbelianMonoidRing|) 3275) ((|HomogeneousDistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 3196) ((|FiniteFieldExtensionByPolynomial| . |CommutativeRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CommutativeRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CommutativeRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |CommutativeRing|) 3049) ((|DistributedMultivariatePolynomial| . |CommutativeRing|) 2902) ((|PolynomialRing| . |RetractableTo|) 2746) ((|MonoidRing| . |RetractableTo|) 2717) ((|SExpressionOf| . |BasicType|) T) ((|SegmentBinding| . |CoercibleTo|) 2668) ((|ResidueRing| . |CoercibleTo|) 2642) ((|UnivariatePuiseuxSeries| . |LeftOreRing|) 2618) ((|UnivariateLaurentSeries| . |LeftOreRing|) 2594) ((|UnivariateTaylorSeriesCZero| . |PowerSeriesCategory|) 2529) ((|UnivariateTaylorSeries| . |Monoid|) T) ((|UnivariatePuiseuxSeries| . |Monoid|) T) ((|UnivariateLaurentSeries| . |Monoid|) T) ((|UnivariateLaurentSeries| . |OrderedAbelianGroup|) NIL) ((|UnivariateLaurentSeries| . |OrderedAbelianSemiGroup|) NIL) ((|PseudoAlgebraicClosureOfFiniteField| . |EntireRing|) T) ((|Complex| . |RightModule|) 2411) ((|PrimeField| . |CommutativeRing|) T) ((|NeitherSparseOrDensePowerSeries| . |EntireRing|) T) ((|UnivariateFormalPowerSeries| . |Monoid|) T) ((|WuWenTsunTriangularSet| . |Collection|) 2395) ((|RadicalFunctionField| . |FunctionFieldCategory|) 2369) ((|Queue| . |InnerEvalable|) 2288) ((|OrderedCompletion| . |OrderedSet|) 2258) ((|Integer| . |StepThrough|) T) ((|GeneralUnivariatePowerSeries| . |EntireRing|) 2197) ((|InnerTaylorSeries| . |Monoid|) T) ((|FreeGroup| . |CoercibleTo|) 2171) ((|FreeAbelianGroup| . |CoercibleTo|) 2145) ((|Factored| . |RetractableTo|) 1989) ((|InnerSparseUnivariatePowerSeries| . |Monoid|) T) ((|Fraction| . |OrderedSet|) 1916) ((|Complex| . |BiModule|) 1766) ((|PseudoAlgebraicClosureOfRationalNumber| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Rng|) T) ((|OnePointCompletion| . |CancellationAbelianMonoid|) 1701) ((|Multiset| . |Collection|) 1685) ((|Vector| . |Evalable|) 1609) ((|HexadecimalExpansion| . |EuclideanDomain|) T) ((|Float| . |CoercibleTo|) 1559) ((|IndexedList| . |RecursiveAggregate|) 1543) ((|Float| . |ConvertibleTo|) 1427) ((|DecimalExpansion| . |EuclideanDomain|) T) ((|CharacterClass| . |Collection|) 1402) ((|ModuleOperator| . |Eltable|) 1381) ((|SparseUnivariatePolynomialExpressions| . |Evalable|) 1368) ((|HexadecimalExpansion| . |RealConstant|) T) ((|InnerPAdicInteger| . |Algebra|) 1355) ((|Integer| . |Algebra|) 1342) ((|InnerAlgebraicNumber| . |Algebra|) 1296) ((|DoubleFloatVector| . |Eltable|) 1257) ((|ComplexDoubleFloatVector| . |Eltable|) 1206) ((|DecimalExpansion| . |RealConstant|) T) ((|PAdicRational| . |Ring|) T) ((|Operator| . |CoercibleTo|) 1180) ((|OppositeMonogenicLinearOperator| . |CoercibleTo|) 1154) ((|OpenMathError| . |CoercibleTo|) 1128) ((|OrderlyDifferentialPolynomial| . |PolynomialFactorizationExplicit|) 1078) ((|XRecursivePolynomial| . |SemiGroup|) T) ((|UnivariatePolynomial| . |RightModule|) 812) ((|UnivariateSkewPolynomial| . |RightModule|) 796) ((|PAdicRational| . |DivisionRing|) T) ((|PAdicRational| . |DifferentialRing|) NIL) ((|Matrix| . |Type|) T) ((|XRecursivePolynomial| . |AbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |LeftModule|) 693) ((|InnerTable| . |Type|) T) ((|Factored| . |FullyEvalableOver|) 677) ((|Interval| . |RightModule|) 664) ((|UnivariatePolynomial| . |BiModule|) 366) ((|MachineInteger| . |LinearlyExplicitRingOver|) 343) ((|UnivariateSkewPolynomial| . |BiModule|) 322) ((|FreeModule1| . |AbelianMonoid|) T) ((|Table| . |InnerEvalable|) 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/compress.daase b/src/share/algebra/compress.daase
deleted file mode 100644
index e194d48..0000000
--- a/src/share/algebra/compress.daase
+++ /dev/null
@@ -1,3 +0,0 @@
-
-(30 . 3613822954)            
-(4628 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |AdditiveValuationAttribute| |ApproximateAttribute| |ArbitraryExponentAttribute| |ArbitraryPrecisionAttribute| |CanonicalClosedAttribute| |CanonicalAttribute| |CentralAttribute| |CommutativeStarAttribute| |CanonicalUnitNormalAttribute| |FiniteAggregateAttribute| |JacobiIdentityAttribute| |LazyRepresentationAttribute| |LeftUnitaryAttribute| |MultiplicativeValuationAttribute| |NotherianAttribute| |NullSquareAttribute| |NoZeroDivisorsAttribute| |PartiallyOrderedSetAttribute| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |ShallowlyMutableAttribute| |AttributeButtons| |AttributeRegistry| |UnitsKnownAttribute| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BasicStochasticDifferential| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Comparable| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite&| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LeftOreRing| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |ModularAlgebraicGcdOperations| |Magma| |MatrixManipulation| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |U32VectorPolynomialOperations| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |StochasticDifferential| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamTensor| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |recoverAfterFail| |unit?| |cSec| |OMUnknownCD?| |rootsOf| |monomRDE| |append| |freeOf?| |selectPDERoutines| |truncatedmultiplication| |basisOfRightAnnihilator| |lazy?| |negative?| |function| |rectangularMatrix| |sts2stst| |removeConjugate| |saturate| |graphCurves| |eyeDistance| |diagonal| |list| |fortranLiteralLine| |aQuartic| |mkAnswer| |cycleSplit!| |shuffle| |showTheIFTable| |argumentList!| |complex?| |primPartElseUnitCanonical!| |directSum| |removeRedundantFactorsInContents| |has?| |inverseIntegralMatrix| |tab1| |setleft!| |acscIfCan| |key| |sizeMultiplication| |sequences| |infiniteProduct| |escape| |ef2edf| |split| |brillhartIrreducible?| |mulbybinomial| |extendedIntegrate| |removeDuplicates| |hasTopPredicate?| |foundPlaces| |orbit| |iiacoth| |coordinate| |rest| |axesColorDefault| |idealSimplify| |incrementKthElement| |chiSquare| |gradient| |createMultiplicationTable| |reverse| |surface| |bubbleSort!| |multiplyCoefficients| |baseRDEsys| |removeFirstZeroes| |setDifference| |leftFactor| |laguerre| |genericLeftTraceForm| |selectIntegrationRoutines| |OMreadFile| |setIntersection| |iiasec| |basicSet| |noLinearFactor?| |lcmCoef| |exists?| |ddot| |abs| |ScanRoman| |trunc| |coerceImages| |normalDeriv| |setUnion| |symbol| |weights| |readable?| |lllp| |movedPoints| |size| |ddFact| |enumerate| |tab| |dimensionsOf| |midpoint| |one| |substitute| |perfectNthRoot| |tValues| |yRange| |divisorCascade| |cschIfCan| |factorSquareFreePolynomial| |zero| |OMputError| |nor| |green| |newSubProgram| |Not| |ratDenom| ^ |minGbasis| |qsetelt!| |iiexp| |Nul| |trapezoidalo| |exp| |rightNorm| |numericalOptimization| |dswap| |mr| |pi| |axes| |algebraicCoefficients?| |doubleComplex?| |nextNormalPoly| |tensorMap| |totalGroebner| |sqrt| |ranges| |taylorRep| |whileLoop| |monicDivide| |Or| |numer| |parametrize| |crest| |allPairsAmong| |critMonD1| |halfExtendedSubResultantGcd2| |multiplicative?| |tubeRadius| |denom| |li| |setEpilogue!| |leftScalarTimes!| |vconcat| |removeDuplicates!| |kernel| |erf| |minimumExponent| EQ |nthFractionalTerm| |rCoord| |rationalPower| |monic?| |lastSubResultantElseSplit| |increase| |draw| |conditionsForIdempotents| |fullDesTree| |addmod| |front| |rightExactQuotient| |makeObject| |fullParamInit| |zeroDimensional?| |branchIfCan| |discriminant| |singularPointsWithRestriction| |cardinality| |ocf2ocdf| |dilog| |coef| |desingTreeWoFullParam| |plot| |lfextendedint| |principalIdeal| |linearAssociatedLog| |monom| |lazyPquo| |sin| |moreAlgebraic?| |stoseInternalLastSubResultant| |shiftLeft| |lazyPrem| |guessExpRat| |cos| |llprop| |stripCommentsAndBlanks| |separate| |wholePart| |sqfree| |tan| |leastMonomial| |pointInIdeal?| |acoshIfCan| |nextPartition| |rule| |OMsetEncoding| |mainValue| |cot| |associative?| |charthRoot| |moduloP| |trigs| |genericRightNorm| |sec| |setMinPoints| |drot| |mul| |primeFrobenius| |deepestInitial| |csc| |composite| |roughBase?| |linearMatrix| |bernoulliB| |ruleset| |asin| |expandLog| |monomial2series| |daxpy| |cylindrical| |numericalIntegration| |reduceLODE| |acos| |posExpnPart| |interval| |stopTableInvSet!| |resultant| |checkOptions| |atan| |rarrow| |groebner?| |pair?| |getlo| |generators| |acot| |edf2ef| |content| |unitCanonical| |startStats!| |consnewpol| |car| |asec| |eisensteinIrreducible?| |maxTower| |factorFraction| |leftUnits| |expr| |cdr| |rules| |acsc| |endOfFile?| |nextLatticePermutation| |composites| |orthonormalBasis| |palgRDE| |reportInstantiations| |squareTop| |sinh| |iiBesselK| |curryLeft| |cAsech| |closeComponent| |OMputSymbol| |cosh| |rightCharacteristicPolynomial| |OMencodingSGML| |jacobi| |compdegd| |rem| |intersectionDivisor| |tanh| |encode| |restorePrecision| |numericIfCan| |positiveRemainder| |cTanh| |coth| |numberRatPlacesExtDeg| |algebraicVariables| |trapezoidal| |pointSizeDefault| |quo| |match| |sech| |aColumn| |leftExtendedGcd| |optional?| |pmComplexintegrate| |palgRDE0| |OMputAttr| |op| |csch| |DiffC| |prefixRagits| |zCoord| |listBranches| |leftRank| |error| |/\\| |asinh| |rdregime| |highCommonTerms| |cyclicEqual?| |zeroMatrix| |affineAlgSetLocal| |\\/| |acosh| |determinant| |represents| |neglist| |cCosh| |cCsc| |atanh| |iiAiryAi| |setPosition| |lowerCase| |ramifiedAtInfinity?| |processTemplate| |acoth| |OMwrite| |palgextint| |firstExponent| |lazyEvaluate| ~= |asech| |quasiComponent| |prime| |integralCoordinates| |evaluate| |coefficients| |numberOfImproperPartitions| |isMult| |atanhIfCan| |LiePolyIfCan| |getVariableOrder| |dictionary| |simplifyPower| |roughBasicSet| |OMsend| |PollardSmallFactor| |elColumn2!| |enqueue!| |alphabetic| |goodPoint| |createNormalPrimitivePoly| |principal?| |swapColumns!| |stosePrepareSubResAlgo| |complexRoots| |exp1| |lists| |option?| |showTheFTable| |palgLODE| |constantKernel| |rhs| |makeMulti| |showTheSymbolTable| |dec| |gbasis| |numberOfNormalPoly| |ptree| |associatedEquations| |predicates| |resetNew| |coerce| |solveLinearlyOverQ| |desingTreeAtPoint| |submod| |topPredicate| |isQuotient| |complexNormalize| |infieldIntegrate| |positive?| |leader| |leadingBasisTerm| |phiCoord| |qnew| |shiftRight| |prinpolINFO| |maxDegree| |#| |complete| |df2ef| |balancedBinaryTree| |ShiftC| |modulus| |cyclicGroup| |FormatRoman| |setAdaptive| |pointData| |palginfieldint| |iiatanh| |monomRDEsys| |initials| |listOfMonoms| |setPoly| |recur| |dequeue!| |setTopPredicate| |showIntensityFunctions| |initTable!| |printingInfo?| |position| |limitPlus| |HenselLift| |eq?| |currentSubProgram| |findCycle| |overlabel| |tablePow| |dot| |binaryTree| |sumOfKthPowerDivisors| |and| |basisOfMiddleNucleus| |selectsecond| |symmetricPower| |fullOut| |expint| |decreasePrecision| |sumSquares| |critpOrder| |fffg| |testDim| |charClass| |partition| |unitNormalize| |safety| |genusTreeNeg| |multiplicity| |int| |copyDrift| |initiallyReduce| |functionIsContinuousAtEndPoints| |typeList| |selectFiniteRoutines| |round| |setnext!| |iiacos| |setref| |getStream| |functionIsOscillatory| |curveV| |characteristicSerie| |leftRemainder| |contract| |second| |upperCase?| |interReduce| |indiceSubResultantEuclidean| |reseed| |subs2ndVar| |imagI| |extractPoint| |inR?| |open| |polynomialZeros| |internalIntegrate0| |pow| |convert| |scan| |initParLocLeaves| |padicallyExpand| |formula| |flatten| |nthRootIfCan| |simplifyLog| |tryFunctionalDecomposition| |chebyshevU| |selectOrPolynomials| |tryFunctionalDecomposition?| |alternatingGroup| |bezoutMatrix| |bumptab1| |screenResolution| |pfaffian| |blowUpWithExcpDiv| |pdf2ef| |finiteSeries2LinSys| |fortranCarriageReturn| |innerEigenvectors| |traceMatrix| |resultantReduit| |leftRegularRepresentation| |headReduce| |adaptive| |exprex| |numeric| |coerceS| |safeCeiling| |shiftHP| |radical| |bitCoef| |limitedIntegrate| |maxIndex| |exprHasAlgebraicWeight| |homogeneous?| |rowEch| |inf| |SturmHabichtCoefficients| |rightGcd| |generalizedEigenvector| |thetaCoord| |preprocess| |mergeFactors| |mdeg| |index| |viewport2D| |superscript| |smaller?| |mapSolve| |doubleDisc| |point| |zeroSquareMatrix| |plenaryPower| |subscriptedVariables| |guessHolo| |purelyTranscendental?| |min| |cup| |updateStatus!| |hasHi| |linears| |makeSin| |chebyshevT| |monicRightDivide| |stoseLastSubResultant| |modularGcdPrimitive| |minimize| |library| |simplify| |itsALeaf!| |OMgetType| |normalizedDivide| |call| |supp| |lintgcd| |iicsch| |coHeight| ^= |removeSuperfluousQuasiComponents| |cSech| |iroot| |stFuncN| |variableName| |baseRDE| |choosemon| |functionNames| |increasePrecision| |integral| |leftTrace| |tensorProduct| |curry| |reduceBasisAtInfinity| |excepCoord| |rightDiscriminant| |universe| |reducedQPowers| |pquo| |radicalEigenvector| |palglimint0| |legendre| |iicot| |lineColorDefault| |completeEval| |singRicDE| |separant| |expandTrigProducts| |leviCivitaSymbol| |biringToPolyRing| |rowEchLocal| |sechIfCan| |firstSubsetGray| |fill!| |hermite| |OMgetAtp| |OMgetEndBVar| |segment| |options| |maxRowIndex| |setLegalFortranSourceExtensions| |ScanArabic| |datalist| |copyIto| |rewriteSetWithReduction| |writable?| |swap| |decompose| |copyslice| |ldf2vmf| |monicDecomposeIfCan| |definingInequation| |numberOfChildren| |setEmpty!| |OMread| |singularitiesOf| |third| |patternVariable| |transcendent?| |first| |primeFactor| |subs1stVar| |decrease| |raisePolynomial| |sinIfCan| |eigenMatrix| |argscript| |guessAlg| |fresnelC| |subresultantVector| |algebraicDecompose| |expextendedint| |cot2trig| |iiacot| |imagi| |replaceKthElement| |pr2dmp| |dimension| |coefficient| |startTableGcd!| |antisymmetricTensors| D |doublyTransitive?| |pToDmp| |exprHasLogarithmicWeights| |OMgetError| |sdf2lst| |euclideanNormalForm| |normal| |rowEchWoZeroLines| |basisOfCenter| |OMgetEndBind| |rightTraceMatrix| |linearPart| |kroneckerDelta| |right| |interpretString| |rightLcm| |complexExpand| |SturmHabicht| |iisech| |normal01| |left| |An| |coefOfFirstNonZeroTerm| |blockSplit| |indicialEquationAtInfinity| |bottom!| |factorsOfCyclicGroupSize| |list?| |outputAsTex| |relerror| |schwerpunkt| |nthExponent| |vectorcombination| |univariate?| |prod| |vertSplit| |ReduceOrder| |shallowCopy| |selectAndPolynomials| |isamax| |ScanFloatIgnoreSpaces| |resetBadValues| |mkIntegral| |quasiRegular| |zag| |taylor| |numFunEvals3D| |lp| |coth2tanh| |operation| |cAcsch| |canonicalIfCan| |lazyPseudoRemainder| |laurent| |perspective| |cyclicParents| |dcopy| |log2| |normalizedAssociate| |column| |puiseux| |digamma| |pastel| |rur| |ratPoly| |extractClosed| |Ei5| |psolve| |mkcomm| |nonSingularModel| |OMputObject| |polynomial| |leftMinimalPolynomial| |eigenvalues| |contractSolve| |ord| |edf2efi| |linGenPos| |subMatrix| |changeMeasure| |dioSolve| |varselect| |eulerE| |ffactor| |badNum| |delta| |monomial?| |OMParseError?| |elRow1!| |reindex| |elem?| |zeta| |factors| |quasiMonic?| |OMputEndBind| |prevPrime| |addiag| |rischDEsys| |floor| |polyred| |coerceListOfPairs| |eq| |duplicates| |fi2df| |signAround| |squareFreePrim| |uniform01| |point?| |extendedSubResultantGcd| |backOldPos| |nsqfree| |iisin| |copy!| |lflimitedint| |scanOneDimSubspaces| |physicalLength!| |clearTheFTable| |sqfrFactor| |intChoose| |pascalTriangle| |limit| |externalList| |secIfCan| |wordInGenerators| |basisOfLeftAnnihilator| |uncouplingMatrices| |forLoop| |fixedPoints| |setTex!| |makeSUP| |lambda| |LiePoly| |tube| |message| |cAcosh| |setImagSteps| |nthCoef| |repack1| |evalADE| |iiperm| |satisfy?| |yellow| |horizConcat| |qShiftAction| |unmakeSUP| |infinityNorm| |addMatch| |commonDenominator| |cAcos| |sum| |splitSquarefree| |meshPar1Var| |realEigenvectors| |negAndPosEdge| |Lazard2| |critM| |abelianGroup| |getDomains| |iisec| |matrixConcat3D| |setfirst!| |complexEigenvectors| |seed| |makeTerm| |singular?| |extract!| |parent| |mapMatrixIfCan| |lazyGintegrate| |tanQ| |rightPower| |henselFact| |insert!| |normal?| |meatAxe| |addPointLast| |projectivePoint| LODO2FUN |plus| |rightRankPolynomial| |weierstrass| |outlineRender| |cyclePartition| |iicsc| |readLineIfCan!| |size?| |roman| |binaryTournament| |basisOfInterpolateForms| |foundZeroes| |commutator| |rombergo| |pseudoQuotient| |setprevious!| |trigs2explogs| |packageCall| F2FG |setmult!| |irreducible?| |reducedForm| |lquo| |inGroundField?| |alphanumeric?| |izamax| |stepBlowUp| |viewPosDefault| |fortranLinkerArgs| |messagePrint| |nextPrime| |shiftInfoRec| |rightZero| |factorCantorZassenhaus| |acosIfCan| |zaxpy| |scaleRoots| |airyBi| |singleFactorBound| |omError| |accuracyIF| |exponentialOrder| |calcRanges| |pattern| |quadratic| |mapdiv| |tower| |range| |resultantEuclideannaif| |partialQuotients| |powerAssociative?| |Beta| |complexEigenvalues| |reduced?| |basisOfNucleus| |completeSmith| |infieldint| |iiBesselJ| |discreteLog| |summation| |unrankImproperPartitions1| |connect| |component| |setProperties| |leadingSupport| |complement| |pointColor| |localReal?| |nextSublist| |cache| |totalDegree| |points| |subscript| |aLinear| |mergeDifference| E1 |basis| |cLog| |argumentListOf| |lazyPseudoDivide| |kovacic| |lowerCase!| |OMputVariable| |bitLength| |identification| |symmetricRemainder| |doubleFloatFormat| |slope| |e01sbf| |position!| |ravel| |hessian| |dihedral| |getShiftRec| |mapmult| |mapUnivariate| |tubePlot| |expandPower| |OMcloseConn| |drawStyle| |clearDenominator| |rootOfIrreduciblePoly| UTS2UP |rootKerSimp| |strongGenerators| |set| |interpolateFormsForFact| |removeZero| |conjugate| |bipolar| GF2FG |quotient| |coordinates| |colorFunction| |acotIfCan| |firstNumer| |mainDefiningPolynomial| |diagonalProduct| |setScreenResolution3D| |inHallBasis?| |transform| |cot2tan| |complexSolve| |setColumn!| |paren| |stronglyReduce| |transpose| |suppOfZero| |ldf2lst| |zeroSetSplit| |leftMult| |setCondition!| |insertTop!| |linearAssociatedExp| |setClipValue| |entry?| |setPrologue!| |qPot| |isExpt| |viewDefaults| |useEisensteinCriterion| |clearTheIFTable| |minIndex| |replace| |integerBound| |charpol| |heapSort| |concat| |packModulus| |newtonPolySlope| |adjunctionDivisor| |rational| |irreducibleFactors| |zero?| |pole?| |controlPanel| |rowEchelonLocal| |viewSizeDefault| |exprHasWeightCosWXorSinWX| |imagE| |outputArgs| |besselY| |optAttributes| |ramified?| |factorial| |duplicates?| |tomodpa| |degOneCoef| |eigenvector| |conditionP| |quotedOperators| |mainVariables| |external?| |tableau| |getDatabase| |symbNameV| |acothIfCan| |FormatArabic| |jacobiIdentity?| |primintfldpoly| |completeHermite| |viewThetaDefault| |clipSurface| |rightRegularRepresentation| |torsion?| |clipPointsDefault| |rootRadius| |truncate| |goto| |closed?| |primextintfrac| |multiEuclidean| |magnitude| |ideal| |perfectNthPower?| |exQuo| |drawToScale| |adaptive3D?| |triangSolve| |viewPhiDefault| |factorset| |minPoints| |constantOperator| |convertIfCan| |changeVar| |value| |rightScalarTimes!| |changeNameToObjf| |cyclotomicDecomposition| |uncorrelated?| |physicalLength| |edf2df| |meshFun2Var| |adjoint| |morphism| |properties| |getCode| |numberOfFractionalTerms| |laurentRep| |beauzamyBound| |jordanAdmissible?| |setParam!| |badValues| |critT| |linearAssociatedOrder| |semiDiscriminantEuclidean| |cotIfCan| |initiallyReduced?| |aRow| |Gamma| |infinite?| |subtractIfCan| |scalarTypeOf| |cubic| |lBasis| |curve| |OMputString| |replaceVarByOne| |userOrdered?| |linearlyDependentOverZ?| |alternative?| |findCoef| |variationOfParameters| |returns| |generic?| |iicos| |linear?| |space| |getBadValues| |hasPredicate?| |high| |aspFilename| |algDsolve| |mainCharacterization| |remainder!| |script| |lfextlimint| |createNormalPoly| |constDsolve| |extDegree| |minrank| |var1Steps| |inrootof| |pointValue| |dn| |pToHdmp| |copyInto!| |nonLinearPart| |diag| |redmat| |iiacsch| |primlimitedint| |deepExpand| |chartCoord| |explicitlyEmpty?| |numberOfDivisors| |viewWriteDefault| |key?| |leftCharacteristicPolynomial| |roughEqualIdeals?| |cycleTail| |retract| |completeEchelonBasis| |OMputBVar| |complexNumericIfCan| |OMopenString| |setClosed| |fortran| |expintegrate| BY |degreeOfMinimalForm| |quoByVar| |innerSolve| |subNode?| |screenResolution3D| |OMgetFloat| |vectoraddmul| |asinhIfCan| |moebiusMu| |divergence| |csc2sin| |twoFactor| |OMgetEndApp| |cAcoth| |rightExtendedGcd| |fresnelS| |deref| |viewZoomDefault| |isPower| |linearlyDependent?| |computeCycleLength| |LowTriBddDenomInv| |lazyVariations| |iCompose| |invertIfCan| |iteratedInitials| |rational?| |shiftRoots| |totalLex| |complexForm| |cyclicSubmodule| |dzasum| |removeSuperfluousCases| |sortConstraints| |create| |tracePowMod| |areEquivalent?| |leftFactorIfCan| |evenInfiniteProduct| |generalInfiniteProduct| |slex| |setcurve!| |elRow2!| |extractTop!| |sec2cos| |lowerCase?| |geometric| |removeCosSq| |branchPointAtInfinity?| |maxLevel| |viewDeltaXDefault| |semiLastSubResultantEuclidean| |subset?| |SturmHabichtMultiple| |rationalPlaces| |axServer| |iiacosh| |makeViewport3D| |lieAdmissible?| |simpson| |parametersOf| |lfunc| |OMReadError?| |univariateSolve| |plus!| |radicalEigenvectors| |setMaxPoints3D| |showRegion| |constantToUnaryFunction| |cscIfCan| |normalized?| |OMputAtp| |primPartElseUnitCanonical| |integralRepresents| |setlocalPoint!| |rightRemainder| |diff| |pop!| |iiBesselI| |idamax| |viewDeltaYDefault| |normInvertible?| |rewriteSetByReducingWithParticularGenerators| |romberg| |children| |paraboloidal| |midpoints| |nextColeman| |factorAndSplit| |inverseLaplace| |OMputFloat| |besselK| |laurentIfCan| |fortranCharacter| |rightRecip| |randomLC| |wordInStrongGenerators| |localParamOfSimplePt| |collect| |findTerm| |mapUnivariateIfCan| |medialSet| |cyclicCopy| |reverse!| |deriv| |binary| |tex| |bringDown| |removeRoughlyRedundantFactorsInContents| |addBadValue| |aQuadratic| |powmod| |rischDE| |subResultantsChain| |algint| |exponents| |multinomial| |LagrangeInterpolation| |leftZero| |monicRightFactorIfCan| |chvar| |maxSubst| |viewWriteAvailable| |algintegrate| |pile| |qqq| |height| |gcdPolynomial| |associates?| |pack!| |approxNthRoot| |tanIfCan| |partitions| |power!| |lfinfieldint| |insertionSort!| |divide!| |setButtonValue| |setRow!| |logIfCan| |sh| |derivative| |setLabelValue| |expenseOfEvaluation| |toScale| |less?| |fortranLogical| |f02awf| |suppOfPole| |returnTypeOf| |copyBSD| |adaptive?| |goppaCode| |f02akf| |conical| |pmintegrate| |central?| |dznrm2| |squareFreeLexTriangular| |f02ajf| |generalInterpolation| |zoom| |iiasech| |Lazard| |arity| |f02agf| |cosh2sech| |branchPoint?| |maxPoints3D| |checkForZero| |closedCurve| |semiIndiceSubResultantEuclidean| |makeCrit| |univariatePolynomialsGcds| |localIntegralBasis| |prepareSubResAlgo| |f02aff| |setelt!| |OMclose| |cSinh| |singularPoints| |acschIfCan| |f02aef| |laplacian| |qroot| |OMputEndBVar| |setFieldInfo| |palgint| |f02adf| |setlocalParam!| |startTableInvSet!| |idealiserMatrix| |indicialEquations| |getButtonValue| |f02abf| |rightUnits| |definingEquations| |randomR| |close!| |torsionIfCan| |coerceL| |f02aaf| |mapDown!| |OMmakeConn| |collectUpper| |socf2socdf| |bumprow| |top!| |measure| |knownInfBasis| |rationalPoint?| |oddintegers| |selectPolynomials| |balancedFactorisation| |nil| |isOp| |iprint| |usingTable?| |sin?| |symmetricSquare| |lexGroebner| |getExplanations| |totalfract| |permanent| |stack| |tanh2coth| |degreeSubResultantEuclidean| |stoseInvertibleSetsqfreg| |identityMatrix| |bivariatePolynomials| |integralLastSubResultant| |imagK| |monicLeftDivide| |approximate| |asimpson| |multMonom| |mainVariable?| |f2st| |printHeader| |flagFactor| |safeFloor| |LazardQuotient| |vectorise| |reduceRowOnList| |quotVecSpaceBasis| |fractionFreeGauss!| |internalSubQuasiComponent?| |generalizedContinuumHypothesisAssumed| |createPrimitiveNormalPoly| |seriesToOutputForm| |purelyAlgebraicLeadingMonomial?| |zeroSetSplitIntoTriangularSystems| |rightUnit| |fortranDouble| |chartV| |matrixGcd| |ZetaFunction| |rotatez| |primitiveElement| |swapRows!| |oddlambert| |showTheRoutinesTable| |setSingularPoints| |Si| |unitVector| |dAndcExp| |numberOfComposites| |deepestTail| |iiBesselY| |npcoef| |makeYoungTableau| |true| |comparison| |leftPower| |setVariableOrder| |subSet| |latex| |stop| ** |applyRules| |radicalEigenvalues| |iomode| |makeViewport2D| |varList| |generalizedEigenvectors| |dmpToHdmp| |tanAn| |selectfirst| |fortranTypeOf| |tanhIfCan| |setMaxPoints| |topFortranOutputStack| |minimalForm| |cos2sec| |affinePoint| |df2mf| |withPredicates| |convergents| |nextsubResultant2| |cap| |writeLine!| |minPoly| |se2rfi| |columns| |merge!| |ridHack1| |affineRationalPoints| |flexible?| |nary?| |ref| |stoseInvertibleSetreg| |extension| |ParCond| |symmetricTensors| |antiAssociative?| |equation| |setsymbName!| |truncatedmuladd| |rischNormalize| |subCase?| |wrregime| |anfactor| |map| |style| |assign| |listexp| |loopPoints| |listLoops| |reduceRow| |hypergeometric0F1| |anticoord| |solveLinearPolynomialEquationByFractions| |B1solve| |placesOfDegree| |Ei3| |ceiling| |RittWuCompare| |cross| |row| |palgintegrate| |root| |lcm| |internalIntegrate| |constant?| |rationalApproximation| |printStatement| |rangePascalTriangle| |localUnquote| |bfKeys| |makeResult| |noKaratsuba| |Ei6| |getZechTable| |iipow| |hdmpToDmp| |gcdcofact| |algebraicOf| |numberOfCycles| |atom?| |printTypes| |euclideanSize| |palgLODE0| |complexElementary| |nextNormalPrimitivePoly| |xor| |nodes| |block| |e02bcf| |mulbyscalar| |extendIfCan| |cAsin| |guessRat| |low| |denominator| |e02bbf| |Yun| |UnVectorise| |UP2ifCan| |decomposeFunc| |makeFR| |removeRoughlyRedundantFactorsInPol| |e02baf| |operator| |bandedHessian| |norm| |leftTraceMatrix| |imaginary| |blue| |e02akf| |eigenvectors| |repSq| |stiffnessAndStabilityFactor| |figureUnits| |prime?| |skewSFunction| |e02ajf| |normalDenom| |eval| |extend| |shellSort| |att2Result| |move| |solveLinear| |e04ycf| |reducedDiscriminant| |mpsode| |semiSubResultantGcdEuclidean1| |ode| |graeffe| |distribute| |e04ucf| |reopen!| |LPolynomial| |toroidal| |brillhartTrials| |genericLeftMinimalPolynomial| |classNumber| |e04naf| |redPol| |stoseInvertibleSet| |back| |null?| |sort!| |useSingleFactorBound| |e04mbf| |normalElement| |getMeasure| |tree| |previousTower| |center| |createMultiplicationMatrix| |keys| |e04jaf| |polyRingToBlUpRing| |introduce!| |antiCommutator| |halfExtendedSubResultantGcd1| |subTriSet?| |condition| |resultantnaif| |e04gcf| |approximants| |iiasinh| |intersect| |makeEq| |setsubMatrix!| |errorInfo| |internalDecompose| |e04fdf| |cExp| |setOrder| |generalLambert| |cTan| |fixedPointExquo| |countRealRoots| |e04dgf| |systemCommand| |outputMeasure| |continuedFraction| |corrPoly| |inBetweenExcpDiv| |standardBasisOfCyclicSubmodule| |graphState| |f01ref| |measure2Result| |trim| |getMatch| |lyndon| |newTypeLists| |cn| |f01rdf| |genericRightDiscriminant| |series| |leadingIdeal| |yCoord| |stoseIntegralLastSubResultant| |recolor| |f01rcf| |OMputApp| |coercePreimagesImages| |validExponential| |empty| |constantOpIfCan| |acsch| |f01qef| |besselI| |extractProperty| |pointLists| |OMputEndError| |generalizedContinuumHypothesisAssumed?| |OMlistCDs| |f01qdf| |shanksDiscLogAlgorithm| |extractIndex| |multV| |newton| |divOfPole| |genericRightMinimalPolynomial| |f01qcf| |rootSimp| |exactQuotient!| |enterInCache| |internal?| |differentialVariables| |subMultV| |f01mcf| |getMultiplicationMatrix| |search| |tanNa| |primes| |taylorIfCan| |distance| |coefChoose| |f01maf| |finiteSeries2Vector| |certainlySubVariety?| |integralMatrixAtInfinity| |unravel| |effective?| |semicolonSeparate| |f01bsf| |module| |newReduc| |color| |diagonalMatrix| |generator| |primaryDecomp| |child?| |f01brf| |pdf2df| |clikeUniv| |diagonal?| |normFactors| |fTable| |empty?| |factorials| |unprotectedRemoveRedundantFactors| |enterPointData| |isPlus| |guessADE| |setright!| |mantissa| |hash| |real?| |solveid| |inverseColeman| |explicitlyFinite?| |clipWithRanges| |bezoutDiscriminant| |times!| |generalCoefficient| |cCsch| |sylvesterSequence| |prinshINFO| |qfactor| |BumInSepFFE| |collectQuasiMonic| |coshIfCan| |unrankImproperPartitions0| |minPoints3D| |setsubmult!| |trailingCoefficient| |factorSFBRlcUnit| |lllip| |lieAlgebra?| |printCode| |reciprocalPolynomial| |mapExponents| |toseInvertibleSet| |invertible?| |zeroDim?| |sech2cosh| |gcdprim| |terms| |OMgetInteger| |nullary| |finiteSeries2LinSysWOVectorise| |overset?| |radPoly| |triangular?| |cosIfCan| |problemPoints| |degreeSubResultant| |leadingTerm| |partialDenominators| |iidsum| |stirling1| LE |graphImage| |cAsinh| |leftTrim| |lo| |sample| |every?| |dasum| |leftRankPolynomial| |maxColIndex| |realSolve| |light| |incr| |OMputInteger| |inRadical?| |excpDivV| |fibonacci| |is?| |interpolate| |hi| |seriesSolve| |sumOfSquares| |quadraticBezier| |nlde| |ellipticCylindrical| |generalSqFr| |optpair| |generalizedInverse| |startPolynomial| |subHeight| |mainCoefficients| |remainder| |firstUncouplingMatrix| |print| |leftDiscriminant| |iiBeta| |augment| |mindegTerm| |setFoundPlacesToEmpty| |meshPar2Var| |iisqrt2| |lazyResidueClass| |belong?| |symmetricProduct| |iidigamma| |routines| |OMgetEndObject| |printStats!| |createRandomElement| |mathieu22| |resize| |setvalue!| |permutations| |fortranComplex| |setValue!| |ParCondList| |rowEchelon| |quasiRegular?| |alterDrift!| |node?| |numberOfValuesNeeded| |listAllMonoExp| |df2st| |absolutelyIrreducible?| |companionBlocks| |leftNorm| |lyndon?| |bandedJacobian| |declare| |weighted| |oddInfiniteProduct| |region| |setAdaptive3D| |algebraic?| |radicalRoots| |shrinkable| |putColorInfo| |removeRoughlyRedundantFactorsInPols| |bright| |bandMatrix| |expenseOfEvaluationIF| |double?| |supRittWu?| |extractSplittingLeaf| |result| |factorByRecursion| |factorSquareFree| |squareMatrix| |normalise| |infRittWu?| |generate| |output| |OMgetSymbol| |numberOfIrreduciblePoly| |diffHP| |incrementBy| |reduceByQuasiMonic| |leadingIndex| |atoms| |cAcsc| |toseLastSubResultant| |gramschmidt| |expand| |lighting| |clip| |matrixDimensions| |insertMatch| |filterWhile| |quadratic?| |elements| |hconcat| |genericRightTraceForm| |monomials| |filterUntil| |outputGeneral| |polyRicDE| |linSolve| |select| |additive?| |intensity| |power| |csch2sinh| |primintegrate| |harmonic| |square?| |lagrange| |gcdPrimitive| |symmetricGroup| |overbar| |qShiftC| |multiset| |showFortranOutputStack| |stopTable!| |fixPredicate| |maxPower| |linearPolynomials| |airyAi| |member?| |sayLength| |antiCommutative?| |smith| GE |genericPosition| |makeRecord| |OMgetBind| |curve?| |jacobian| |elliptic| |fullInfClsPt| |useNagFunctions| |OMputEndAtp| |subst| |numberOfVariables| |assoc| |shade| |deleteProperty!| |selectSumOfSquaresRoutines| |setrest!| |iter| |homogeneous| |lastSubResultantEuclidean| |trace2PowMod| |mainSquareFreePart| |factorGroebnerBasis| |mkPrim| |maxrow| |integrate| ~ |squareFree| |evaluateInverse| |desingTree| |newLine| |parse| |bitTruth| |middle| |zeroDimPrime?| |rightDivide| |constantLeft| |algebraicSort| |rk4a| |associatedSystem| |dihedralGroup| |nullity| |rk4f| |build| |subResultantChain| |icamax| |inverse| |cycleEntry| |radix| |inconsistent?| |cyclic| |tail| |semiDegreeSubResultantEuclidean| |label| |ratpart| |minus!| |interpret| |exactQuotient| |purelyAlgebraic?| |getOp| |OMreadStr| |initial| |option| |symbolIfCan| |repeating| |upperCase!| |repeatUntilLoop| |actualExtensionV| |simplifyExp| |multiEuclideanTree| |maxint| |delete| |atanIfCan| |groebnerFactorize| |sylvesterMatrix| |iidprod| |pseudoRemainder| |And| |exponent| |generalTwoFactor| |removeConstantTerm| |monomialIntegrate| |chineseRemainder| |sub| |iifact| |goodnessOfFit| |scalarMatrix| |zeroOf| |wreath| |setPredicates| |edf2fi| |cyclic?| |rk4qc| |Hausdorff| |simpleBounds?| |clipBoolean| |components| |clearTheSymbolTable| |equality| |OMencodingXML| |multiple| |level| |roughUnitIdeal?| |tubePointsDefault| |returnType!| |new| |optional| |nextIrreduciblePoly| |permutationRepresentation| |cyclotomicFactorization| |rationalFunction| |gcdcofactprim| |nextPrimitiveNormalPoly| |subResultantGcd| |setDegree!| |not| |mat| |mainVariable| = |leftOne| |minset| |null| |mvar| |mulmod| |fortranReal| |primitivePart| |d02cjf| |kmax| |retractToGrn| < |tubePoints| |biRank| |d02bhf| |applyQuote| |mapCoef| |root?| > |internalSubPolSet?| |indexName| |d02bbf| |moduleSum| |relationsIdeal| <= |box| |mindeg| |e02ahf| |getRef| |objects| |removeSinhSq| >= |ode2| |substring?| |char| |conjugates| |notelem| |pushup| |primitive?| |replaceDiffs| |OMopenFile| |head| |oneDimensionalArray| |LyndonBasis| |untab| + |limitedint| |coord| |d03faf| |ignore?| |rquo| - |iisqrt3| |birth| |d03eef| |exteriorDifferential| |selectODEIVPRoutines| |endSubProgram| / |next| |homogenize| |d03edf| |linearBezier| |cycleLength| |max| |possiblyNewVariety?| |declare!| |iipolygamma| |makeGraphImage| |splitNodeOf!| |evenlambert| |suffix?| |false| |symFunc| |OMgetApp| |partialFraction| |zRange| |explimitedint| |orderIfNegative| |bipolarCylindrical| |arrayStack| |expt| |normalizeIfCan| |groebnerIdeal| |factorPolynomial| |dnrm2| |cCot| |createNormalElement| |getEq| |listConjugateBases| |SturmHabichtSequence| |checkExtraValues| |powerSum| |cAtan| |top| |ShiftAction| |guess| |octon| |OMconnOutDevice| |outputSpacing| |subresultantSequence| |ODESolve| |lfintegrate| |makeVariable| |rroot| |someBasis| |fortranDoubleComplex| |packExps| |degreePartition| |objectOf| |ode1| |assert| |extractIfCan| |multisect| |any?| |commutativeEquality| |recip| |odd?| |quasiAlgebraicSet| |subsInVar| |initializeParamOfPlaces| |evalat| |setStatus| |semiResultantReduitEuclidean| |prefix?| |c05nbf| |quoted?| |factorList| |prem| |exponential1| |linkToFortran| |c05adf| |rootBound| |write!| |normalForm| |definingPolynomial| |graphStates| |c06gsf| |cycleRagits| |copyQuadVar| |univariatePolynomial| |integerDecode| |tRange| |c06gqf| |translate| |basisOfRightNucloid| |mapGen| |integers| |laguerreL| |c06gcf| |pointDominateBy| |integralDerivationMatrix| |solveInField| |boundOfCauchy| |legendreP| |c06gbf| |OMgetEndAttr| |patternMatch| |dflist| |musserTrials| |getGoodPrime| |c06fuf| |Frobenius| |cond| |wholeRagits| |polCase| |setFoundZeroes| |linearDependence| |c06frf| |lifting1| |rootNormalize| |iibinom| |theCurve| |c06fqf| |insertRoot!| |columnSpace| |tanintegrate| |permutationGroup| |printInfo!| |c06fpf| |totalDifferential| |leadingExponent| |finiteBasis| |chainSubResultants| |depth| |c06ekf| |createHN| |genericLeftTrace| |modifyPointData| |character?| |c06ecf| |deepCopy| |dom| |bfEntry| |polygon| |copies| |quadraticForm| |count| |c06ebf| |solveLinearPolynomialEquationByRecursion| |prolateSpheroidal| |hex| |lex| |cartesian| |c06eaf| |computePowers| |retractable?| |mix| |readIfCan!| |mapUp!| |s17def| |placesAbove| |fortranInteger| |besselJ| |binaryFunction| |extensionDegree| |s17dcf| |definingField| |exptMod| |generic| |coleman| |s17akf| |distFact| |roughSubIdeal?| |const| |headRemainder| |internalInfRittWu?| |s17ajf| |fortranLiteral| |Musser| |triangularSystems| |listAllMono| |setAttributeButtonStep| |s17ahf| |pol| |blankSeparate| |systemSizeIF| |setleaves!| |s17agf| |maxdeg| |removeSquaresIfCan| |nullary?| |lifting| |s17aff| |predicate| |univariatePolynomials| |invertibleSet| |binarySearchTree| |s17aef| |minimalPolynomial| |splitLinear| |leastPower| |guessRec| |makeFloatFunction| |s17adf| |sPol| |close| |optimize| |OMsupportsSymbol?| |Zero| |width| |maximumExponent| LT |s17acf| |showScalarValues| |allDegrees| |solveRetract| |mapBivariate| |s15aef| |solveLinearPolynomialEquation| |identitySquareMatrix| |isAbsolutelyIrreducible?| |tanh2trigh| |s15adf| |palgint0| |chiSquare1| |transCoord| |semiSubResultantGcdEuclidean2| |s14baf| |parabolic| |useEisensteinCriterion?| |display| |finiteBound| |pseudoRem| |s14abf| |subspace| |pureLex| |drawComplex| |setErrorBound| |s14aaf| |commutative?| |lookup| |lexico| |gcd| |reverseLex| |failed| |s13adf| |entry| |vspace| |even?| |nullSpace| |iitan| |s13acf| |one?| |tubeRadiusDefault| |hyperelliptic| |finite?| |cSin| |s13aaf| |bat| |symbolTable| |toseInvertible?| |genusNeg| |push!| |diagonals| |s01eaf| |dfRange| |pushFortranOutputStack| |or| |outputAsScript| |getMultiplicationTable| |virtualDegree| |Ei2| |s21bdf| |filename| |euclideanGroebner| |iflist2Result| |blockConcat| |changeWeightLevel| |s21bcf| |popFortranOutputStack| |complexIntegrate| |distdfact| |ScanFloatIgnoreSpacesIfCan| |presub| |s21bbf| |gnuDraw| |outputAsFortran| |nextsousResultant2| |factorSqFree| |triangulate| |curveColor| |s21baf| |hitherPlane| |dimensionOfIrreducibleRepresentation| |polyRing2UPUP| |wholeRadix| |primlimintfrac| |s20adf| |subResultantGcdEuclidean| |positiveSolve| |plotPolar| |localParamV| |e02agf| |innerint| |guessBinRat| |stopTableGcd!| |constantRight| |newElement| |match?| |s20acf| |exquo| |basisOfCentroid| |sturmVariationsOf| |concat!| |unitNormal| |revert| |d01aqf| |div| |outputFixed| |listYoungTableaus| |splitDenominator| |iiAiryBi| |s19adf| |basisOfInterpolateFormsForFact| |explicitEntries?| |machineFraction| |logical?| |d01apf| |lhs| |supDimElseRittWu?| |getGraph| |checkRur| |s19acf| |radicalOfLeftTraceForm| |monicCompleteDecompose| |resultantEuclidean| |realRoots| |d01anf| |differentiate| |quote| |computeBasis| |modifyPoint| |hexDigit?| |d01amf| |lift| |shift| |sizeLess?| |factorSquareFreeByRecursion| |curryRight| |normalizeAtInfinity| |d01alf| |reduce| |toseSquareFreePart| |rightMult| |Ei4| |OMgetEndError| |s19abf| |property| |associatorDependence| |vector| |insert| |associator| |distinguishedCommonRootsOf| |divideIfCan| |d01akf| |bits| |powers| |completeHensel| |reduction| |s19aaf| |ramifMult| |iiabs| |viewpoint| |product| |d01ajf| GT |units| |leaf?| |factorsOfDegree| |cCoth| |infix| |s18def| |complexZeros| |sturmSequence| |previous| |asecIfCan| |s18dcf| |localParam| |genericLeftNorm| |rightFactorCandidate| |leftLcm| |s18aff| |basisOfLeftNucloid| |applyTransform| |noncommutativeJordanAlgebra?| |LyndonWordsList1| |code| |init| |s18aef| |bat1| |mathieu12| |halfExtendedResultant1| |indices| |s18adf| |setexcpDiv!| |reshape| |rightFactorIfCan| |cyclicEntries| |hermiteH| |s18acf| |drotg| |integralAtInfinity?| |rewriteIdealWithHeadRemainder| |dimensions| |integralBasisAtInfinity| |f04qaf| |lastSubResultant| |shufflein| |mightHaveRoots| |listOfTerms| |f04mcf| |showTypeInOutput| |twist| |En| |oblateSpheroidal| |f04mbf| |invertibleElseSplit?| |LyndonWordsList| |var2StepsDefault| |rotate| |f04maf| |OMserve| |iicosh| |sinhcosh| |allRootsOf| |f04jgf| |denomRicDE| |squareFreePart| |semiResultantEuclidean1| |f04faf| |numberOfOperations| |createLowComplexityNormalBasis| |algSplitSimple| |prologue| |f04axf| |maxDerivative| |makeCos| |outputFloating| |bracket| |f04atf| |direction| |inverseIntegralMatrixAtInfinity| |solid| |makeSeries| |f04asf| |reduceLineOverLine| |linearDependenceOverZ| |cAtanh| |computeInt| |ptFunc| SEGMENT |fullOutput| |karatsubaDivide| |flexibleArray| |f04arf| |removeRedundantFactors| |Is| |pointColorDefault| |generateIrredPoly| |weight| |iExquo| |upperCase| |f04adf| |divisors| |index?| |minordet| |nand| |putGraph| |Vectorise| |realZeros| |exprToXXP| |compBound| |mesh?| |imagk| |resetAttributeButtons| |digit?| |removeZeroes| |rangeIsFinite| |cAsec| |largest| |reset| |continue| |iicoth| |extendedint| |sbt| |whatInfinity| |write| F2EXPRR |numberOfComponents| |logGamma| |save| |setpoint!| |selectMultiDimensionalRoutines| |createPrimitiveElement| |clearTable!| |f07fef| |fractRagits| |isList| |myDegree| |removeIrreducibleRedundantFactors| |f07fdf| |hasSolution?| |moebius| |var1StepsDefault| Y |blowUp| |setCurve| |f07aef| |euler| |splitConstant| |factor1| |dark| |f07adf| |hdmpToP| NOT |imagj| |dim| |listRepresentation| |d| |OMconnInDevice| OR |rightOne| |numerator| |numberOfFactors| |s17dlf| |divOfZero| AND |pointPlot| |commaSeparate| |factorUsingMusser| |s17dhf| |leftAlternative?| |janko2| |arg1| |hue| |s17dgf| |quotValuation| |denomLODE| |arg2| |addPoint2| |fractionPart| |f02xef| |explogs2trigs| |internalZeroSetSplit| |simpsono| |sumOfDivisors| |f02wef| |zerosOf| |po| |BasicMethod| |maxPoints| |f02fjf| |possiblyInfinite?| |scripted?| |permutation| |bumptab| |f02bjf| |update| |lSpaceBasis| |testModulus| |palgextint0| |numberOfHues| |laplace| |f02bbf| |hexDigit| |e| |replaceVarByZero| |rightQuotient| |invmultisect| |f02axf| |double| |aCubic| |nthExpon| |tan2trig| |karatsubaOnce| |printInfo| |denominators| |lowerPolynomial| * |increment| |gethi| |bombieriNorm| |swap!| |infClsPt?| |cosSinInfo| |numFunEvals| |internalAugment| |groebner| |nthr| |minPol| |rootOf| |alterQuadVar!| |patternMatchTimes| |getPickedPoints| |symbolTableOf| |bit?| |maxShift| |xCoord| |solid?| |selectNonFiniteRoutines| |rightMinimalPolynomial| |lazyIrreducibleFactors| |genus| |iFTable| |rk4| |nextItem| |poisson| |mainContent| |initializeGroupForWordProblem| |setTower!| |ksec| |elt| |youngGroup| |maxMixedDegree| |outputList| |upDateBranches| |setelt| |rubiksGroup| |stoseInvertible?sqfreg| |coth2trigh| |redpps| |totolex| |dmp2rfi| |polar| |sign| |uniform| |contains?| |makeSketch| |partialNumerators| |reducedSystem| |cubicBezier| |dscal| |fullDisplay| |overlap| |appendPoint| |antisymmetric?| |ratDsolve| |sin2csc| |LyndonCoordinates| |qinterval| |sizePascalTriangle| |HermiteIntegrate| F |qelt| |sort| |affineAlgSet| |subQuasiComponent?| |rotatex| |rewriteIdealWithQuasiMonicGenerators| |credPol| |showClipRegion| |GospersMethod| |fillPascalTriangle| |rationalPoints| |mapExpon| |check| |basisOfLeftNucleus| |atrapezoidal| |hMonic| |setScreenResolution| |rdHack1| |DiffAction| |pushdown| |OMlistSymbols| |quotientByP| |indiceSubResultant| |clearFortranOutputStack| |variable| |changeName| |complementaryBasis| |over| |map!| |subPolSet?| |prefix| |multiplyExponents| UP2UTS |child| |particularSolution| |leftUnit| |createIrreduciblePoly| |real| |karatsuba| |OMencodingUnknown| |cycles| |traverse| |complex| |exprToGenUPS| |mainMonomials| |parts| |solve| |lambert| |input| |pushucoef| |repeating?| |characteristic| |unvectorise| |test| |heap| |createGenericMatrix| |prepareDecompose| |table| |bernoulli| |polygamma| |ipow| |makeUnit| |lprop| |basisOfCommutingElements| |integralBasis| |sincos| |modularGcd| |gderiv| |quickSort| |refine| |idealiser| |comp| |typeLists| |halfExtendedResultant2| |rightRank| |symmetric?| |decimal| |numberOfMonomials| |leadingCoefficientRicDE| |removeCoshSq| |type| |digit| |hclf| |binomial| |squareFreePolynomial| |drawCurves| |numerators| |lepol| |precision| |delay| |functionName| |find| |basisOfRightNucleus| |divisorAtDesingTree| FG2F |stFunc1| |exprToUPS| |numberPlacesDegExtDeg| |dominantTerm| |froot| |monomialIntPoly| |compose| |structuralConstants| |OMconnectTCP| |leaves| |binomThmExpt| |remove!| |updatD| |sparsityIF| |frobenius| |asechIfCan| |presuper| |nonQsign| |factorOfDegree| |cycleElt| |mathieu11| |shallowExpand| |sorted?| |element| |perfectSquare?| |sup| |red| |createPrimitivePoly| |directory| |rst| |leftDivide| |variables| |scale| |common| |approxSqrt| |iiasin| |times| |createThreeSpace| |invmod| |closedCurve?| |yCoordinates| |name| |divisor| |regime| |failed?| |copyfirst| |droot| |debug3D| |createZechTable| |mirror| |polyPart| |queue| |jordanAlgebra?| |modTree| |htrigs| |infinity| |any| |setMinPoints3D| |df2fi| |delete!| |rspace| |computeCycleEntry| |title| |nextSubsetGray| |fprindINFO| |rootPoly| |polarCoordinates| |updatF| |expIfCan| |quartic| |nextPrimitivePoly| |select!| |guessPade| |normDeriv2| |Aleph| |functionIsFracPolynomial?| |stoseInvertible?| |complexLimit| |t| |doubleResultant| |fracPart| |stronglyReduced?| |unexpand| |inspect| |mesh| |displayKind| |checkPrecision| |clearCache| |radicalSolve| |split!| |btwFact| |infLex?| |create3Space| |rotatey| |zeroDimPrimary?| |outputForm| |extendedgcd| |setRealSteps| |collectUnder| |setchart!| |redPo| |divideIfCan!| |leftExactQuotient| |Ci| |leftRecip| |extendedEuclidean| |mainKernel| |univcase| |taylorQuoByVar| |palglimint| |changeBase| |quadTransform| |guessPRec| |subNodeOf?| |number?| |readLine!| |ricDsolve| |implies| |generalPosition| |intcompBasis| |derivationCoordinates| |rank| |critB| |hadamard| |semiResultantEuclideannaif| |rotate!| |PDESolve| |iilog| |rationalIfCan| |OMreceive| |compactFraction| |inc| |matrix| |e01sff| |symbol?| |parabolicCylindrical| |genericLeftDiscriminant| |void| |logpart| |f2df| |rightAlternative?| |cPower| |vedf2vef| |log10| |characteristicPolynomial| |summary| |origin| |reducedContinuedFraction| |leastAffineMultiple| |conditions| |innerSolve1| |show| |minimumDegree| |iisinh| |cothIfCan| |pomopo!| |entries| |realEigenvalues| |OMgetBVar| |algebraicSet| |bivariateSLPEBR| |e02aef| |relativeApprox| |tableForDiscreteLogarithm| |writeObj| |numberOfComputedEntries| |identity| |Somos| |spherical| |stiffnessAndStabilityOfODEIF| |c02agf| |extractBottom!| |base| |vark| |safetyMargin| |drift| |c02aff| |addMatchRestricted| |linear| |length| |lastNonNull| |setStatus!| |parametric?| |e02adf| |pleskenSplit| |scripts| |epilogue| |mathieu24| |critMTonD1| |rootPower| |c05pbf| |node| |showAttributes| |rowEchWoZeroLinesWOVectorise| |OMputEndObject| |constant| |clipParametric| |modularFactor| |UpTriBddDenomInv| |localize| |xRange| |last| |credits| |One| |compile| |getAncestors| |schema| |characteristicSet| |leftGcd| |addPoint| |iiatan| |Ei1| |coerceP| |e01sef| |sncndn| |irreducibleRepresentation| |KrullNumber| |doubleRank| |e01saf| |alternating| |rows| |removeRedundantFactorsInPols| |nodeOf?| |integer?| |infix?| |e01daf| |minColIndex| |constantIfCan| |rightTrace| |separateDegrees| |e01bhf| |prinb| |lazyIntegrate| |makeprod| |deleteRoutine!| |e01bgf| |random| |slash| |nrows| |separateFactors| |setchildren!| |stFunc2| |e01bff| |opeval| |ncols| |Ei| |curveColorPalette| |filterUpTo| |e01bef| |OMencodingBinary| |transcendentalDecompose| |sn| |weakBiRank| |e01baf| |leftQuotient| |dequeue| |stopMusserTrials| |OMsupportsCD?| |displayAsGF| |e02zaf| |listVariable| |unitsColorDefault| |OMputEndAttr| |e02gaf| |groebgen| |listSD| |fintegrate| |MPtoMPT| |translateToOrigin| |e02dff| |eulerPhi| |trivialIdeal?| |imagJ| |getOrder| |difference| |e02def| |countable?| |exponential| |element?| |selectOptimizationRoutines| |combineFeatureCompatibility| |e02ddf| |critBonD| |integerIfCan| |fglmIfCan| |var2Steps| |OMgetVariable| |e02dcf| |flush| |wordsForStrongGenerators| |discriminantEuclidean| |more?| |order| |e02daf| |bsolve| |stoseSquareFreePart| |domainOf| |guessHP| |asinIfCan| |e02bef| |unparse| |suchThat| |OMputBind| |polyRDE| |crushedSet| |e02bdf| |alphanumeric| |expPot| |realElementary| |outerProduct| |setOfMinN| |pade| |minusInfinity| |compiledFunction| |retractIfCan| |pseudoDivide| |OMputEndApp| |monicModulo| |showAll?| |integralMatrix| |plusInfinity| |solve1| |startTable!| |reorder| |fixedDivisor| |evalRec| |lazyPseudoQuotient| |getCurve| |pointToPlace| |quatern| |useSingleFactorBound?| |mainForm| |colorDef| |trueEqual| |operators| |findOrderOfDivisor| |localAbs| |showAllElements| |specialTrigs| |read!| |affineSingularPoints| |dcabs1| |stirling2| |OMbindTCP| |normalize| |localPointV| |postfix| |isobaric?| |multiple?| |hcrf| |maxrank| |graphs| |digits| |superHeight| |autoReduced?| |cCos| |internalLastSubResultant| |errorKind| |getSmgl| |OMUnknownSymbol?| |d01gbf| |makeop| |stoseInvertible?reg| |padicFraction| |supersub| |fractRadix| |d01gaf| |isTimes| |nthRoot| |prindINFO| |transcendenceDegree| |sinh2csch| |d01fcf| |nilFactor| |groebSolve| |RemainderList| |in?| |resetVariableOrder| |d01bbf| |say| |nthFlag| |open?| |indicialEquation| |d01asf| |intermediateResultsIF| |debug| |representationType| |powern| |headReduced?| |pdct| |OMgetString| |distinguishedRootsOf| |cyclotomic| |rightTrim| |d02raf| |nthFactor| |hspace| |insertBottom!| |setProperty| |d02kef| |conjug| |newtonPolygon| |obj| RF2UTS |d02gbf| |remove| |rename| |csubst| |makingStats?| |pointColorPalette| |d02gaf| |iiacsc| |construct| |members| |alphabetic?| |numberOfPrimitivePoly| |d02ejf| |symmetricDifference| |createLowComplexityTable| |mainMonomial| |evalIfCan| |lastNonNul| |countRealRootsMultiple| |super| |aromberg| |frst| |complexNumeric| |rootProduct| |firstDenom| |extendedResultant| |OMgetObject| |hasoln| |kernels| |factorUsingYun| |pushdterm| |diophantineSystem| |unaryFunction| |merge| |univariate| |regularRepresentation| |sinhIfCan| |elementary| |setlast!| |multiServ| |tan2cot| |status| |factor| |pointV| |OMgetAttr| |drawComplexVectorField| |iitanh| |lyndonIfCan| |imag| |interpolateForms| |radicalSimplify| |unit| |divideExponents| |iiGamma| |directProduct| |OMgetEndAtp| |bivariate?| |padecf| |elliptic?| |lazyPremWithDefault| |destruct| |squareFreeFactors| |tanSum| |rewriteIdealWithRemainder| |intPatternMatch| |cycle| |wronskianMatrix| |degree| |monomial| |semiResultantEuclidean2| |union| |trace| |numberOfPlacesOfDegree| |fixedPoint| |comment| |multivariate| |pushuconst| |cfirst| |unary?| |genusTree| |perfectSqrt| |expressIdealMember| |float| |changeThreshhold| |xn| |mathieu23| |primitivePart!| |rootSplit| |log| |id| |rename!| |probablyZeroDim?| |fmecg| |integral?| |inv| |integer| |defineProperty| |quadraticNorm| |quasiMonicPolynomials| |irreducibleFactor| |ran| |ground?| |bag| |mask| |orbits| |expintfldpoly| |horizSplit| |ground| |primextendedint| |statusIto| |mainPrimitivePart| |resultantReduitEuclidean| |divide| |lexTriangular| |apply| |leadingMonomial| |string| |argument| |SFunction| |minRowIndex| |singularAtInfinity?| |leadingCoefficient| |constantCoefficientRicDE| |cAcot| |zeroVector| |randnum| |genericRightTrace| |primitiveMonomials| |brace| |dmpToP| |viewport3D| |showArrayValues| |setFormula!| |fortranCompilerName| |cons| |reductum| |LazardQuotient2| |polygon?| |vertConcat| |fullPartialFraction| |cRationalPower| |copy| |removeSinSq| |listOfLists| |string?| |float?| |bezoutResultant| |OMunhandledSymbol| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
diff --git a/src/share/algebra/interp.daase b/src/share/algebra/interp.daase
index 1678315..e23063b 100644
--- a/src/share/algebra/interp.daase
+++ b/src/share/algebra/interp.daase
@@ -1,5374 +1,5374 @@
 
-(3640270 . 3613822976)       
-((-4076 (((-141) (-1 (-141) |#2| |#2|) $) 62) (((-141) $) NIL)) (-2831 (($ (-1 (-141) |#2| |#2|) $) 17) (($ $) NIL)) (-3932 ((|#2| $ (-592) |#2|) NIL) ((|#2| $ (-1246 (-592)) |#2|) 34)) (-2512 (($ $) 58)) (-3657 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-1721 (((-592) (-1 (-141) |#2|) $) 22) (((-592) |#2| $) NIL) (((-592) |#2| $ (-592)) 70)) (-4004 (((-658 |#2|) $) 13)) (-4491 (($ (-1 (-141) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-3987 (($ (-1 |#2| |#2|) $) 29)) (-2731 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-3666 (($ |#2| $ (-592)) NIL) (($ $ $ (-592)) 49)) (-4050 (((-3 |#2| "failed") (-1 (-141) |#2|) $) 24)) (-3002 (((-141) (-1 (-141) |#2|) $) 21)) (-3927 ((|#2| $ (-592) |#2|) NIL) ((|#2| $ (-592)) NIL) (($ $ (-1246 (-592))) 48)) (-3208 (($ $ (-592)) 55) (($ $ (-1246 (-592))) 54)) (-3452 (((-790) (-1 (-141) |#2|) $) 26) (((-790) |#2| $) NIL)) (-2385 (($ $ $ (-592)) 51)) (-4599 (($ $) 50)) (-4466 (($ (-658 |#2|)) 52)) (-2266 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-658 $)) 61)) (-1683 (((-877) $) 69)) (-3369 (((-141) (-1 (-141) |#2|) $) 20)) (-3255 (((-141) $ $) 64)) (-3266 (((-141) $ $) 72))) 
-(((-18 |#1| |#2|) (-10 -8 (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -2831 (|#1| |#1|)) (-15 -2831 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -2512 (|#1| |#1|)) (-15 -2385 (|#1| |#1| |#1| (-592))) (-15 -4076 ((-141) |#1|)) (-15 -4491 (|#1| |#1| |#1|)) (-15 -1721 ((-592) |#2| |#1| (-592))) (-15 -1721 ((-592) |#2| |#1|)) (-15 -1721 ((-592) (-1 (-141) |#2|) |#1|)) (-15 -4076 ((-141) (-1 (-141) |#2| |#2|) |#1|)) (-15 -4491 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -3932 (|#2| |#1| (-1246 (-592)) |#2|)) (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -3208 (|#1| |#1| (-1246 (-592)))) (-15 -3208 (|#1| |#1| (-592))) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2266 (|#1| (-658 |#1|))) (-15 -2266 (|#1| |#1| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -4050 ((-3 |#2| "failed") (-1 (-141) |#2|) |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3927 (|#2| |#1| (-592))) (-15 -3927 (|#2| |#1| (-592) |#2|)) (-15 -3932 (|#2| |#1| (-592) |#2|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -4004 ((-658 |#2|) |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4599 (|#1| |#1|))) (-19 |#2|) (-1225)) (T -18)) 
-NIL 
-(-10 -8 (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -2831 (|#1| |#1|)) (-15 -2831 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -2512 (|#1| |#1|)) (-15 -2385 (|#1| |#1| |#1| (-592))) (-15 -4076 ((-141) |#1|)) (-15 -4491 (|#1| |#1| |#1|)) (-15 -1721 ((-592) |#2| |#1| (-592))) (-15 -1721 ((-592) |#2| |#1|)) (-15 -1721 ((-592) (-1 (-141) |#2|) |#1|)) (-15 -4076 ((-141) (-1 (-141) |#2| |#2|) |#1|)) (-15 -4491 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -3932 (|#2| |#1| (-1246 (-592)) |#2|)) (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -3208 (|#1| |#1| (-1246 (-592)))) (-15 -3208 (|#1| |#1| (-592))) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2266 (|#1| (-658 |#1|))) (-15 -2266 (|#1| |#1| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -4050 ((-3 |#2| "failed") (-1 (-141) |#2|) |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3927 (|#2| |#1| (-592))) (-15 -3927 (|#2| |#1| (-592) |#2|)) (-15 -3932 (|#2| |#1| (-592) |#2|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -4004 ((-658 |#2|) |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4599 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) 91) (((-141) $) 85 (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) 82 (|has| $ (-6 -4626))) (($ $) 81 (-12 (|has| |#1| (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) |#1|) 49 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-2512 (($ $) 83 (|has| $ (-6 -4626)))) (-1373 (($ $) 93)) (-1360 (($ $) 73 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 72 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 69 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 48)) (-1721 (((-592) (-1 (-141) |#1|) $) 90) (((-592) |#1| $) 89 (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) 88 (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 80 (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 79 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 39 (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 66)) (-1892 (($ $ |#1|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) |#1|) 47) ((|#1| $ (-592)) 46) (($ $ (-1246 (-592))) 58)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 84 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 65)) (-2266 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 77 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 76 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-3279 (((-141) $ $) 78 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 75 (|has| |#1| (-869)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-19 |#1|) (-1311) (-1225)) (T -19)) 
-NIL 
-(-13 (-399 |t#1|) (-10 -7 (-6 -4626))) 
-(((-39) . T) ((-125) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-632 (-877)) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-399 |#1|) . T) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-869) |has| |#1| (-869)) ((-1119) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-1225) . T)) 
-((-2350 (((-3 $ "failed") $ $) 12)) (-3306 (($ $) NIL) (($ $ $) 9)) (* (($ (-944) $) NIL) (($ (-790) $) 16) (($ (-592) $) 21))) 
-(((-20 |#1|) (-10 -8 (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 -2350 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) (-21)) (T -20)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 -2350 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19))) 
-(((-21) (-1311)) (T -21)) 
-((-3306 (*1 *1 *1) (-4 *1 (-21))) (-3306 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-592))))) 
-(-13 (-158) (-10 -8 (-15 -3306 ($ $)) (-15 -3306 ($ $ $)) (-15 * ($ (-592) $)))) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-2272 (((-141) $) 10)) (-3001 (($) 15)) (* (($ (-944) $) 14) (($ (-790) $) 18))) 
-(((-22 |#1|) (-10 -8 (-15 * (|#1| (-790) |#1|)) (-15 -2272 ((-141) |#1|)) (-15 -3001 (|#1|)) (-15 * (|#1| (-944) |#1|))) (-23)) (T -22)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-790) |#1|)) (-15 -2272 ((-141) |#1|)) (-15 -3001 (|#1|)) (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14))) 
-(((-23) (-1311)) (T -23)) 
-((-3514 (*1 *1) (-4 *1 (-23))) (-3001 (*1 *1) (-4 *1 (-23))) (-2272 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-141)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-790))))) 
-(-13 (-25) (-10 -8 (-15 (-3514) ($) -4249) (-15 -3001 ($) -4249) (-15 -2272 ((-141) $)) (-15 * ($ (-790) $)))) 
-(((-25) . T) ((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((* (($ (-944) $) 10))) 
-(((-24 |#1|) (-10 -8 (-15 * (|#1| (-944) |#1|))) (-25)) (T -24)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12))) 
-(((-25) (-1311)) (T -25)) 
-((-3300 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-944))))) 
-(-13 (-1119) (-10 -8 (-15 -3300 ($ $ $)) (-15 * ($ (-944) $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3863 (((-658 $) (-980 $)) 29) (((-658 $) (-1187 $)) 16) (((-658 $) (-1187 $) (-1191)) 20)) (-3224 (($ (-980 $)) 27) (($ (-1187 $)) 11) (($ (-1187 $) (-1191)) 54)) (-1316 (((-658 $) (-980 $)) 30) (((-658 $) (-1187 $)) 18) (((-658 $) (-1187 $) (-1191)) 19)) (-3906 (($ (-980 $)) 28) (($ (-1187 $)) 13) (($ (-1187 $) (-1191)) NIL))) 
-(((-26 |#1|) (-10 -8 (-15 -3863 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -3863 ((-658 |#1|) (-1187 |#1|))) (-15 -3863 ((-658 |#1|) (-980 |#1|))) (-15 -3224 (|#1| (-1187 |#1|) (-1191))) (-15 -3224 (|#1| (-1187 |#1|))) (-15 -3224 (|#1| (-980 |#1|))) (-15 -1316 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -1316 ((-658 |#1|) (-1187 |#1|))) (-15 -1316 ((-658 |#1|) (-980 |#1|))) (-15 -3906 (|#1| (-1187 |#1|) (-1191))) (-15 -3906 (|#1| (-1187 |#1|))) (-15 -3906 (|#1| (-980 |#1|)))) (-27)) (T -26)) 
-NIL 
-(-10 -8 (-15 -3863 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -3863 ((-658 |#1|) (-1187 |#1|))) (-15 -3863 ((-658 |#1|) (-980 |#1|))) (-15 -3224 (|#1| (-1187 |#1|) (-1191))) (-15 -3224 (|#1| (-1187 |#1|))) (-15 -3224 (|#1| (-980 |#1|))) (-15 -1316 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -1316 ((-658 |#1|) (-1187 |#1|))) (-15 -1316 ((-658 |#1|) (-980 |#1|))) (-15 -3906 (|#1| (-1187 |#1|) (-1191))) (-15 -3906 (|#1| (-1187 |#1|))) (-15 -3906 (|#1| (-980 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-3863 (((-658 $) (-980 $)) 76) (((-658 $) (-1187 $)) 75) (((-658 $) (-1187 $) (-1191)) 74)) (-3224 (($ (-980 $)) 79) (($ (-1187 $)) 78) (($ (-1187 $) (-1191)) 77)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-1442 (($ $) 88)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-1316 (((-658 $) (-980 $)) 82) (((-658 $) (-1187 $)) 81) (((-658 $) (-1187 $) (-1191)) 80)) (-3906 (($ (-980 $)) 85) (($ (-1187 $)) 84) (($ (-1187 $) (-1191)) 83)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2802 (((-141) $) 69)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 87)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66) (($ $ (-433 (-592))) 86)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-27) (-1311)) (T -27)) 
-((-3906 (*1 *1 *2) (-12 (-5 *2 (-980 *1)) (-4 *1 (-27)))) (-3906 (*1 *1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-27)))) (-3906 (*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-27)))) (-1316 (*1 *2 *3) (-12 (-5 *3 (-980 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) (-1316 (*1 *2 *3) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) (-1316 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *1)) (-5 *4 (-1191)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) (-3224 (*1 *1 *2) (-12 (-5 *2 (-980 *1)) (-4 *1 (-27)))) (-3224 (*1 *1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-27)))) (-3224 (*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-27)))) (-3863 (*1 *2 *3) (-12 (-5 *3 (-980 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) (-3863 (*1 *2 *3) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) (-3863 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *1)) (-5 *4 (-1191)) (-4 *1 (-27)) (-5 *2 (-658 *1))))) 
-(-13 (-388) (-1030) (-10 -8 (-15 -3906 ($ (-980 $))) (-15 -3906 ($ (-1187 $))) (-15 -3906 ($ (-1187 $) (-1191))) (-15 -1316 ((-658 $) (-980 $))) (-15 -1316 ((-658 $) (-1187 $))) (-15 -1316 ((-658 $) (-1187 $) (-1191))) (-15 -3224 ($ (-980 $))) (-15 -3224 ($ (-1187 $))) (-15 -3224 ($ (-1187 $) (-1191))) (-15 -3863 ((-658 $) (-980 $))) (-15 -3863 ((-658 $) (-1187 $))) (-15 -3863 ((-658 $) (-1187 $) (-1191))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1030) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-3863 (((-658 $) (-980 $)) NIL) (((-658 $) (-1187 $)) NIL) (((-658 $) (-1187 $) (-1191)) 50) (((-658 $) $) 19) (((-658 $) $ (-1191)) 41)) (-3224 (($ (-980 $)) NIL) (($ (-1187 $)) NIL) (($ (-1187 $) (-1191)) 52) (($ $) 17) (($ $ (-1191)) 37)) (-1316 (((-658 $) (-980 $)) NIL) (((-658 $) (-1187 $)) NIL) (((-658 $) (-1187 $) (-1191)) 48) (((-658 $) $) 15) (((-658 $) $ (-1191)) 43)) (-3906 (($ (-980 $)) NIL) (($ (-1187 $)) NIL) (($ (-1187 $) (-1191)) NIL) (($ $) 12) (($ $ (-1191)) 39))) 
-(((-28 |#1| |#2|) (-10 -8 (-15 -3863 ((-658 |#1|) |#1| (-1191))) (-15 -3224 (|#1| |#1| (-1191))) (-15 -3863 ((-658 |#1|) |#1|)) (-15 -3224 (|#1| |#1|)) (-15 -1316 ((-658 |#1|) |#1| (-1191))) (-15 -3906 (|#1| |#1| (-1191))) (-15 -1316 ((-658 |#1|) |#1|)) (-15 -3906 (|#1| |#1|)) (-15 -3863 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -3863 ((-658 |#1|) (-1187 |#1|))) (-15 -3863 ((-658 |#1|) (-980 |#1|))) (-15 -3224 (|#1| (-1187 |#1|) (-1191))) (-15 -3224 (|#1| (-1187 |#1|))) (-15 -3224 (|#1| (-980 |#1|))) (-15 -1316 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -1316 ((-658 |#1|) (-1187 |#1|))) (-15 -1316 ((-658 |#1|) (-980 |#1|))) (-15 -3906 (|#1| (-1187 |#1|) (-1191))) (-15 -3906 (|#1| (-1187 |#1|))) (-15 -3906 (|#1| (-980 |#1|)))) (-29 |#2|) (-13 (-869) (-582))) (T -28)) 
-NIL 
-(-10 -8 (-15 -3863 ((-658 |#1|) |#1| (-1191))) (-15 -3224 (|#1| |#1| (-1191))) (-15 -3863 ((-658 |#1|) |#1|)) (-15 -3224 (|#1| |#1|)) (-15 -1316 ((-658 |#1|) |#1| (-1191))) (-15 -3906 (|#1| |#1| (-1191))) (-15 -1316 ((-658 |#1|) |#1|)) (-15 -3906 (|#1| |#1|)) (-15 -3863 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -3863 ((-658 |#1|) (-1187 |#1|))) (-15 -3863 ((-658 |#1|) (-980 |#1|))) (-15 -3224 (|#1| (-1187 |#1|) (-1191))) (-15 -3224 (|#1| (-1187 |#1|))) (-15 -3224 (|#1| (-980 |#1|))) (-15 -1316 ((-658 |#1|) (-1187 |#1|) (-1191))) (-15 -1316 ((-658 |#1|) (-1187 |#1|))) (-15 -1316 ((-658 |#1|) (-980 |#1|))) (-15 -3906 (|#1| (-1187 |#1|) (-1191))) (-15 -3906 (|#1| (-1187 |#1|))) (-15 -3906 (|#1| (-980 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-3863 (((-658 $) (-980 $)) 76) (((-658 $) (-1187 $)) 75) (((-658 $) (-1187 $) (-1191)) 74) (((-658 $) $) 120) (((-658 $) $ (-1191)) 118)) (-3224 (($ (-980 $)) 79) (($ (-1187 $)) 78) (($ (-1187 $) (-1191)) 77) (($ $) 121) (($ $ (-1191)) 119)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1191)) $) 195)) (-4492 (((-433 (-1187 $)) $ (-631 $)) 227 (|has| |#1| (-582)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2165 (((-658 (-631 $)) $) 158)) (-2350 (((-3 $ "failed") $ $) 18)) (-3147 (($ $ (-658 (-631 $)) (-658 $)) 148) (($ $ (-658 (-310 $))) 147) (($ $ (-310 $)) 146)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-1442 (($ $) 88)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-1316 (((-658 $) (-980 $)) 82) (((-658 $) (-1187 $)) 81) (((-658 $) (-1187 $) (-1191)) 80) (((-658 $) $) 124) (((-658 $) $ (-1191)) 122)) (-3906 (($ (-980 $)) 85) (($ (-1187 $)) 84) (($ (-1187 $) (-1191)) 83) (($ $) 125) (($ $ (-1191)) 123)) (-4368 (((-3 (-980 |#1|) "failed") $) 245 (|has| |#1| (-1075))) (((-3 (-433 (-980 |#1|)) "failed") $) 229 (|has| |#1| (-582))) (((-3 |#1| "failed") $) 191) (((-3 (-592) "failed") $) 189 (|has| |#1| (-1065 (-592)))) (((-3 (-1191) "failed") $) 182) (((-3 (-631 $) "failed") $) 133) (((-3 (-433 (-592)) "failed") $) 117 (-3836 (-12 (|has| |#1| (-1065 (-592))) (|has| |#1| (-582))) (|has| |#1| (-1065 (-433 (-592))))))) (-2400 (((-980 |#1|) $) 246 (|has| |#1| (-1075))) (((-433 (-980 |#1|)) $) 230 (|has| |#1| (-582))) ((|#1| $) 192) (((-592) $) 188 (|has| |#1| (-1065 (-592)))) (((-1191) $) 183) (((-631 $) $) 134) (((-433 (-592)) $) 116 (-3836 (-12 (|has| |#1| (-1065 (-592))) (|has| |#1| (-582))) (|has| |#1| (-1065 (-433 (-592))))))) (-1586 (($ $ $) 53)) (-3945 (((-706 |#1|) (-706 $)) 235 (|has| |#1| (-1075))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 234 (|has| |#1| (-1075))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 115 (-3836 (-1732 (|has| |#1| (-1075)) (|has| |#1| (-654 (-592)))) (-1732 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))))) (((-706 (-592)) (-706 $)) 114 (-3836 (-1732 (|has| |#1| (-1075)) (|has| |#1| (-654 (-592)))) (-1732 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))))) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2802 (((-141) $) 69)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 187 (|has| |#1| (-908 (-405)))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 186 (|has| |#1| (-908 (-592))))) (-2243 (($ (-658 $)) 152) (($ $) 151)) (-4388 (((-658 (-143)) $) 159)) (-2791 (((-143) (-143)) 160)) (-3558 (((-141) $) 30)) (-3372 (((-141) $) 180 (|has| $ (-1065 (-592))))) (-3838 (($ $) 212 (|has| |#1| (-1075)))) (-1448 (((-1142 |#1| (-631 $)) $) 211 (|has| |#1| (-1075)))) (-4422 (($ $ (-592)) 87)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2710 (((-1187 $) (-631 $)) 177 (|has| $ (-1075)))) (-1837 (($ $ $) 131)) (-3319 (($ $ $) 130)) (-2731 (($ (-1 $ $) (-631 $)) 166)) (-4160 (((-3 (-631 $) "failed") $) 156)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4486 (((-658 (-631 $)) $) 157)) (-1462 (($ (-143) (-658 $)) 165) (($ (-143) $) 164)) (-4421 (((-3 (-658 $) "failed") $) 206 (|has| |#1| (-1131)))) (-2427 (((-3 (-2 (|:| |val| $) (|:| -3215 (-592))) "failed") $) 215 (|has| |#1| (-1075)))) (-2947 (((-3 (-658 $) "failed") $) 208 (|has| |#1| (-25)))) (-1649 (((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 $))) "failed") $) 209 (|has| |#1| (-25)))) (-2257 (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-1191)) 214 (|has| |#1| (-1075))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-143)) 213 (|has| |#1| (-1075))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $) 207 (|has| |#1| (-1131)))) (-3013 (((-141) $ (-1191)) 163) (((-141) $ (-143)) 162)) (-4552 (($ $) 68)) (-2535 (((-790) $) 155)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 193)) (-4565 ((|#1| $) 194)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-1319 (((-141) $ (-1191)) 168) (((-141) $ $) 167)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-3554 (((-141) $) 179 (|has| $ (-1065 (-592))))) (-2806 (($ $ (-1191) (-790) (-1 $ $)) 219 (|has| |#1| (-1075))) (($ $ (-1191) (-790) (-1 $ (-658 $))) 218 (|has| |#1| (-1075))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ (-658 $)))) 217 (|has| |#1| (-1075))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ $))) 216 (|has| |#1| (-1075))) (($ $ (-658 (-143)) (-658 $) (-1191)) 205 (|has| |#1| (-633 (-565)))) (($ $ (-143) $ (-1191)) 204 (|has| |#1| (-633 (-565)))) (($ $) 203 (|has| |#1| (-633 (-565)))) (($ $ (-658 (-1191))) 202 (|has| |#1| (-633 (-565)))) (($ $ (-1191)) 201 (|has| |#1| (-633 (-565)))) (($ $ (-143) (-1 $ $)) 176) (($ $ (-143) (-1 $ (-658 $))) 175) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) 174) (($ $ (-658 (-143)) (-658 (-1 $ $))) 173) (($ $ (-1191) (-1 $ $)) 172) (($ $ (-1191) (-1 $ (-658 $))) 171) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) 170) (($ $ (-658 (-1191)) (-658 (-1 $ $))) 169) (($ $ (-658 $) (-658 $)) 140) (($ $ $ $) 139) (($ $ (-310 $)) 138) (($ $ (-658 (-310 $))) 137) (($ $ (-658 (-631 $)) (-658 $)) 136) (($ $ (-631 $) $) 135)) (-2769 (((-790) $) 56)) (-3927 (($ (-143) (-658 $)) 145) (($ (-143) $ $ $ $) 144) (($ (-143) $ $ $) 143) (($ (-143) $ $) 142) (($ (-143) $) 141)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-2818 (($ $ $) 154) (($ $) 153)) (-3644 (($ $ (-1191)) 243 (|has| |#1| (-1075))) (($ $ (-658 (-1191))) 242 (|has| |#1| (-1075))) (($ $ (-1191) (-790)) 241 (|has| |#1| (-1075))) (($ $ (-658 (-1191)) (-658 (-790))) 240 (|has| |#1| (-1075)))) (-2782 (($ $) 222 (|has| |#1| (-582)))) (-1456 (((-1142 |#1| (-631 $)) $) 221 (|has| |#1| (-582)))) (-3390 (($ $) 178 (|has| $ (-1075)))) (-1778 (((-565) $) 249 (|has| |#1| (-633 (-565)))) (($ (-444 $)) 220 (|has| |#1| (-582))) (((-914 (-405)) $) 185 (|has| |#1| (-633 (-914 (-405))))) (((-914 (-592)) $) 184 (|has| |#1| (-633 (-914 (-592)))))) (-2227 (($ $ $) 248 (|has| |#1| (-502)))) (-2131 (($ $ $) 247 (|has| |#1| (-502)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ (-980 |#1|)) 244 (|has| |#1| (-1075))) (($ (-433 (-980 |#1|))) 228 (|has| |#1| (-582))) (($ (-433 (-980 (-433 |#1|)))) 226 (|has| |#1| (-582))) (($ (-980 (-433 |#1|))) 225 (|has| |#1| (-582))) (($ (-433 |#1|)) 224 (|has| |#1| (-582))) (($ (-1142 |#1| (-631 $))) 210 (|has| |#1| (-1075))) (($ |#1|) 190) (($ (-1191)) 181) (($ (-631 $)) 132)) (-1517 (((-3 $ "failed") $) 233 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-3280 (($ (-658 $)) 150) (($ $) 149)) (-3038 (((-141) (-143)) 161)) (-2537 (((-141) $ $) 38)) (-3270 (($ (-1191) (-658 $)) 200) (($ (-1191) $ $ $ $) 199) (($ (-1191) $ $ $) 198) (($ (-1191) $ $) 197) (($ (-1191) $) 196)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1191)) 239 (|has| |#1| (-1075))) (($ $ (-658 (-1191))) 238 (|has| |#1| (-1075))) (($ $ (-1191) (-790)) 237 (|has| |#1| (-1075))) (($ $ (-658 (-1191)) (-658 (-790))) 236 (|has| |#1| (-1075)))) (-3286 (((-141) $ $) 128)) (-3273 (((-141) $ $) 127)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 129)) (-3266 (((-141) $ $) 126)) (-3313 (($ $ $) 62) (($ (-1142 |#1| (-631 $)) (-1142 |#1| (-631 $))) 223 (|has| |#1| (-582)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66) (($ $ (-433 (-592))) 86)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-194))) (($ |#1| $) 231 (|has| |#1| (-194))))) 
-(((-29 |#1|) (-1311) (-13 (-869) (-582))) (T -29)) 
-((-3906 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-869) (-582))))) (-1316 (*1 *2 *1) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *3)))) (-3906 (*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-869) (-582))))) (-1316 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *4)))) (-3224 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-869) (-582))))) (-3863 (*1 *2 *1) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *3)))) (-3224 (*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-869) (-582))))) (-3863 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *4))))) 
-(-13 (-27) (-456 |t#1|) (-10 -8 (-15 -3906 ($ $)) (-15 -1316 ((-658 $) $)) (-15 -3906 ($ $ (-1191))) (-15 -1316 ((-658 $) $ (-1191))) (-15 -3224 ($ $)) (-15 -3863 ((-658 $) $)) (-15 -3224 ($ $ (-1191))) (-15 -3863 ((-658 $) $ (-1191))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) . T) ((-27) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 |#1| |#1|) |has| |#1| (-194)) ((-140 $ $) . T) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-633 (-914 (-405))) |has| |#1| (-633 (-914 (-405)))) ((-633 (-914 (-592))) |has| |#1| (-633 (-914 (-592)))) ((-260) . T) ((-307) . T) ((-323) . T) ((-325 $) . T) ((-318) . T) ((-388) . T) ((-403 |#1|) |has| |#1| (-1075)) ((-426 |#1|) . T) ((-437 |#1|) . T) ((-456 |#1|) . T) ((-477) . T) ((-502) |has| |#1| (-502)) ((-547 (-631 $) $) . T) ((-547 $ $) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 |#1|) |has| |#1| (-194)) ((-661 $) . T) ((-678) . T) ((-654 (-592)) -12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) ((-654 |#1|) |has| |#1| (-1075)) ((-734 (-433 (-592))) . T) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) . T) ((-743) . T) ((-869) . T) ((-922 (-1191)) |has| |#1| (-1075)) ((-908 (-405)) |has| |#1| (-908 (-405))) ((-908 (-592)) |has| |#1| (-908 (-592))) ((-906 |#1|) . T) ((-943) . T) ((-1030) . T) ((-1065 (-433 (-592))) -3836 (|has| |#1| (-1065 (-433 (-592)))) (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592))))) ((-1065 (-433 (-980 |#1|))) |has| |#1| (-582)) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 (-631 $)) . T) ((-1065 (-980 |#1|)) |has| |#1| (-1075)) ((-1065 (-1191)) . T) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) . T) ((-1081 |#1|) |has| |#1| (-194)) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1225) . T) ((-1235) . T)) 
-((-1413 (((-1113 (-237)) $) NIL)) (-4254 (((-1113 (-237)) $) NIL)) (-4028 (($ $ (-237)) 122)) (-3943 (($ (-980 (-592)) (-1191) (-1191) (-1113 (-433 (-592))) (-1113 (-433 (-592)))) 84)) (-1613 (((-658 (-658 (-971 (-237)))) $) 134)) (-1683 (((-877) $) 146))) 
-(((-30) (-13 (-983) (-10 -8 (-15 -3943 ($ (-980 (-592)) (-1191) (-1191) (-1113 (-433 (-592))) (-1113 (-433 (-592))))) (-15 -4028 ($ $ (-237)))))) (T -30)) 
-((-3943 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-980 (-592))) (-5 *3 (-1191)) (-5 *4 (-1113 (-433 (-592)))) (-5 *1 (-30)))) (-4028 (*1 *1 *1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-30))))) 
-(-13 (-983) (-10 -8 (-15 -3943 ($ (-980 (-592)) (-1191) (-1191) (-1113 (-433 (-592))) (-1113 (-433 (-592))))) (-15 -4028 ($ $ (-237))))) 
-((-4394 (((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3|) 38)) (-2715 (((-658 |#5|) |#3| (-944)) 33)) (-3961 (((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 |#3|)) 40))) 
-(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3961 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 |#3|))) (-15 -4394 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3|)) (-15 -2715 ((-658 |#5|) |#3| (-944)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|)) (T -31)) 
-((-2715 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-658 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)))) (-4394 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *7) "failed" "Infinite" (-592))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4)))) (-3961 (*1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-999 *4))))) 
-(-10 -7 (-15 -3961 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 |#3|))) (-15 -4394 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3|)) (-15 -2715 ((-658 |#5|) |#3| (-944)))) 
-((-3600 (((-1187 (-1187 |#1|)) |#3|) 35)) (-1451 (((-658 (-658 (-1187 (-1187 |#1|)))) (-658 (-1187 (-1187 |#1|)))) 54)) (-4394 (((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-1187 (-1187 |#1|))) 56) (((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3|) 57)) (-2715 (((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3| (-944)) 51)) (-1622 (((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 (-1187 (-1187 |#1|)))) 70)) (-3961 (((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 |#3|)) 50))) 
-(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4394 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3|)) (-15 -4394 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-1187 (-1187 |#1|)))) (-15 -1622 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 (-1187 (-1187 |#1|))))) (-15 -3961 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 |#3|))) (-15 -3600 ((-1187 (-1187 |#1|)) |#3|)) (-15 -1451 ((-658 (-658 (-1187 (-1187 |#1|)))) (-658 (-1187 (-1187 |#1|))))) (-15 -2715 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3| (-944)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|)) (T -32)) 
-((-2715 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)))) (-1451 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-658 (-658 (-1187 (-1187 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-658 (-1187 (-1187 *4)))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *8 (-999 *4)))) (-3600 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-1187 (-1187 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4)))) (-3961 (*1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-999 *4)))) (-1622 (*1 *2 *3) (-12 (-5 *3 (-658 (-1187 (-1187 *4)))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *8 (-999 *4)))) (-4394 (*1 *2 *3) (-12 (-5 *3 (-1187 (-1187 *4))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *8 (-999 *4)))) (-4394 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *7) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4))))) 
-(-10 -7 (-15 -4394 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3|)) (-15 -4394 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-1187 (-1187 |#1|)))) (-15 -1622 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 (-1187 (-1187 |#1|))))) (-15 -3961 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) (-658 |#3|))) (-15 -3600 ((-1187 (-1187 |#1|)) |#3|)) (-15 -1451 ((-658 (-658 (-1187 (-1187 |#1|)))) (-658 (-1187 (-1187 |#1|))))) (-15 -2715 ((-3 (-658 |#5|) "failed" "Infinite" (-592)) |#3| (-944)))) 
-((-1641 (((-141) $ $) NIL)) (-3932 ((|#1| $ (-592) |#1|) NIL)) (-1328 (((-658 $) (-658 $) (-790)) NIL) (((-658 $) (-658 $)) NIL)) (-2435 (((-141) $ (-790)) NIL) (((-141) $) NIL)) (-2382 (((-658 |#1|) $) NIL)) (-4200 (($) NIL)) (-1363 (((-658 $) $) NIL) (((-658 $) $ (-790)) NIL)) (-1333 (((-658 |#1|) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 ((|#1| $ (-592)) NIL)) (-4525 (((-944) $) NIL)) (-3472 ((|#1| $) NIL)) (-2227 (($ $ (-790)) NIL) (($ $) NIL)) (-1683 (((-877) $) NIL) (((-658 |#1|) $) NIL) (($ (-658 |#1|)) NIL)) (-2703 (($ (-658 |#1|)) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-33 |#1|) (-37 |#1|) (-388)) (T -33)) 
-NIL 
-(-37 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-3932 (((-884 |#1|) $ (-592) (-884 |#1|)) NIL)) (-1328 (((-658 $) (-658 $) (-790)) NIL) (((-658 $) (-658 $)) NIL)) (-2435 (((-141) $ (-790)) NIL) (((-141) $) NIL)) (-2382 (((-658 (-884 |#1|)) $) NIL)) (-4200 (($) NIL)) (-1363 (((-658 $) $) NIL) (((-658 $) $ (-790)) NIL)) (-1333 (((-658 (-884 |#1|)) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 (((-884 |#1|) $ (-592)) NIL)) (-4525 (((-944) $) NIL)) (-3472 (((-884 |#1|) $) NIL)) (-2227 (($ $ (-790)) NIL) (($ $) NIL)) (-1683 (((-877) $) NIL) (((-658 (-884 |#1|)) $) NIL) (($ (-658 (-884 |#1|))) NIL)) (-2703 (($ (-658 (-884 |#1|))) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-34 |#1|) (-37 (-884 |#1|)) (-373)) (T -34)) 
-NIL 
-(-37 (-884 |#1|)) 
-((-1641 (((-141) $ $) NIL)) (-3932 ((|#2| $ (-592) |#2|) NIL)) (-1328 (((-658 $) (-658 $) (-790)) 39) (((-658 $) (-658 $)) 40)) (-2435 (((-141) $ (-790)) 36) (((-141) $) 38)) (-2382 (((-658 |#2|) $) 31)) (-4200 (($) 12)) (-1363 (((-658 $) $) 48) (((-658 $) $ (-790)) 45)) (-1333 (((-658 |#2|) $) 30)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 ((|#2| $ (-592)) NIL)) (-4525 (((-944) $) 20)) (-3472 ((|#2| $) 26)) (-2227 (($ $ (-790)) 33) (($ $) 47)) (-1683 (((-877) $) 23) (((-658 |#2|) $) 28) (($ (-658 |#2|)) 51)) (-2703 (($ (-658 |#2|)) 29)) (-3255 (((-141) $ $) 35))) 
-(((-35 |#1| |#2|) (-37 |#2|) (-790) (-388)) (T -35)) 
-NIL 
-(-37 |#2|) 
-((-3906 ((|#2| (-1187 |#2|) (-1191)) 42)) (-2791 (((-143) (-143)) 54)) (-2710 (((-1187 |#2|) (-631 |#2|)) 129 (|has| |#1| (-1065 (-592))))) (-1861 ((|#2| |#1| (-592)) 108 (|has| |#1| (-1065 (-592))))) (-2381 ((|#2| (-1187 |#2|) |#2|) 30)) (-4100 (((-877) (-658 |#2|)) 84)) (-3390 ((|#2| |#2|) 125 (|has| |#1| (-1065 (-592))))) (-3038 (((-141) (-143)) 18)) (** ((|#2| |#2| (-433 (-592))) 89 (|has| |#1| (-1065 (-592)))))) 
-(((-36 |#1| |#2|) (-10 -7 (-15 -3906 (|#2| (-1187 |#2|) (-1191))) (-15 -2791 ((-143) (-143))) (-15 -3038 ((-141) (-143))) (-15 -2381 (|#2| (-1187 |#2|) |#2|)) (-15 -4100 ((-877) (-658 |#2|))) (IF (|has| |#1| (-1065 (-592))) (PROGN (-15 ** (|#2| |#2| (-433 (-592)))) (-15 -2710 ((-1187 |#2|) (-631 |#2|))) (-15 -3390 (|#2| |#2|)) (-15 -1861 (|#2| |#1| (-592)))) |noBranch|)) (-13 (-869) (-582)) (-456 |#1|)) (T -36)) 
-((-1861 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *2 (-456 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1065 *4)) (-4 *3 (-13 (-869) (-582))))) (-3390 (*1 *2 *2) (-12 (-4 *3 (-1065 (-592))) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-36 *3 *2)) (-4 *2 (-456 *3)))) (-2710 (*1 *2 *3) (-12 (-5 *3 (-631 *5)) (-4 *5 (-456 *4)) (-4 *4 (-1065 (-592))) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-1187 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-1065 (-592))) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-36 *4 *2)) (-4 *2 (-456 *4)))) (-4100 (*1 *2 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-877)) (-5 *1 (-36 *4 *5)))) (-2381 (*1 *2 *3 *2) (-12 (-5 *3 (-1187 *2)) (-4 *2 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-36 *4 *2)))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-36 *4 *5)) (-4 *5 (-456 *4)))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-36 *3 *4)) (-4 *4 (-456 *3)))) (-3906 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *2)) (-5 *4 (-1191)) (-4 *2 (-456 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-869) (-582)))))) 
-(-10 -7 (-15 -3906 (|#2| (-1187 |#2|) (-1191))) (-15 -2791 ((-143) (-143))) (-15 -3038 ((-141) (-143))) (-15 -2381 (|#2| (-1187 |#2|) |#2|)) (-15 -4100 ((-877) (-658 |#2|))) (IF (|has| |#1| (-1065 (-592))) (PROGN (-15 ** (|#2| |#2| (-433 (-592)))) (-15 -2710 ((-1187 |#2|) (-631 |#2|))) (-15 -3390 (|#2| |#2|)) (-15 -1861 (|#2| |#1| (-592)))) |noBranch|)) 
-((-1641 (((-141) $ $) 7)) (-3932 ((|#1| $ (-592) |#1|) 14)) (-1328 (((-658 $) (-658 $) (-790)) 20) (((-658 $) (-658 $)) 19)) (-2435 (((-141) $ (-790)) 18) (((-141) $) 17)) (-2382 (((-658 |#1|) $) 13)) (-4200 (($) 29)) (-1363 (((-658 $) $) 24) (((-658 $) $ (-790)) 23)) (-1333 (((-658 |#1|) $) 16)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3927 ((|#1| $ (-592)) 15)) (-4525 (((-944) $) 12)) (-3472 ((|#1| $) 27)) (-2227 (($ $ (-790)) 22) (($ $) 21)) (-1683 (((-877) $) 11) (((-658 |#1|) $) 26) (($ (-658 |#1|)) 25)) (-2703 (($ (-658 |#1|)) 28)) (-3255 (((-141) $ $) 6))) 
-(((-37 |#1|) (-1311) (-388)) (T -37)) 
-((-4200 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-388)))) (-2703 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-37 *3)))) (-3472 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-388)))) (-1683 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-37 *3)))) (-1363 (*1 *2 *1) (-12 (-4 *3 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-37 *3)))) (-1363 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-37 *4)))) (-2227 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-37 *3)) (-4 *3 (-388)))) (-2227 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-388)))) (-1328 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *1)) (-5 *3 (-790)) (-4 *1 (-37 *4)) (-4 *4 (-388)))) (-1328 (*1 *2 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-37 *3)) (-4 *3 (-388)))) (-2435 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-37 *4)) (-4 *4 (-388)) (-5 *2 (-141)))) (-2435 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) (-1333 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-37 *2)) (-4 *2 (-388)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-37 *2)) (-4 *2 (-388)))) (-2382 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3))))) 
-(-13 (-1117) (-10 -8 (-15 -4200 ($)) (-15 -2703 ($ (-658 |t#1|))) (-15 -3472 (|t#1| $)) (-15 -1683 ((-658 |t#1|) $)) (-15 -1683 ($ (-658 |t#1|))) (-15 -1363 ((-658 $) $)) (-15 -1363 ((-658 $) $ (-790))) (-15 -2227 ($ $ (-790))) (-15 -2227 ($ $)) (-15 -1328 ((-658 $) (-658 $) (-790))) (-15 -1328 ((-658 $) (-658 $))) (-15 -2435 ((-141) $ (-790))) (-15 -2435 ((-141) $)) (-15 -1333 ((-658 |t#1|) $)) (-15 -3927 (|t#1| $ (-592))) (-15 -3932 (|t#1| $ (-592) |t#1|)) (-15 -2382 ((-658 |t#1|) $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T) ((-1117) . T)) 
-((-2126 (((-141) $ (-790)) 16)) (-3001 (($) 10)) (-4345 (((-141) $ (-790)) 15)) (-2554 (((-141) $ (-790)) 14)) (-1724 (((-141) $ $) 8)) (-2943 (((-141) $) 13))) 
-(((-38 |#1|) (-10 -8 (-15 -3001 (|#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790))) (-15 -2943 ((-141) |#1|)) (-15 -1724 ((-141) |#1| |#1|))) (-39)) (T -38)) 
-NIL 
-(-10 -8 (-15 -3001 (|#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790))) (-15 -2943 ((-141) |#1|)) (-15 -1724 ((-141) |#1| |#1|))) 
-((-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-4345 (((-141) $ (-790)) 9)) (-2554 (((-141) $ (-790)) 10)) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-4599 (($ $) 13)) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-39) (-1311)) (T -39)) 
-((-1724 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-141)))) (-4599 (*1 *1 *1) (-4 *1 (-39))) (-2890 (*1 *1) (-4 *1 (-39))) (-2943 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-141)))) (-2554 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-790)) (-5 *2 (-141)))) (-4345 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-790)) (-5 *2 (-141)))) (-2126 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-790)) (-5 *2 (-141)))) (-3001 (*1 *1) (-4 *1 (-39))) (-1699 (*1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-39)) (-5 *2 (-790))))) 
-(-13 (-1225) (-10 -8 (-15 -1724 ((-141) $ $)) (-15 -4599 ($ $)) (-15 -2890 ($)) (-15 -2943 ((-141) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -3001 ($) -4249) (IF (|has| $ (-6 -4625)) (-15 -1699 ((-790) $)) |noBranch|))) 
-(((-1225) . T)) 
-((-1630 (($ $) 11)) (-1617 (($ $) 10)) (-1642 (($ $) 9)) (-2892 (($ $) 8)) (-1636 (($ $) 7)) (-1624 (($ $) 6))) 
-(((-40) (-1311)) (T -40)) 
-((-1630 (*1 *1 *1) (-4 *1 (-40))) (-1617 (*1 *1 *1) (-4 *1 (-40))) (-1642 (*1 *1 *1) (-4 *1 (-40))) (-2892 (*1 *1 *1) (-4 *1 (-40))) (-1636 (*1 *1 *1) (-4 *1 (-40))) (-1624 (*1 *1 *1) (-4 *1 (-40)))) 
-(-13 (-10 -8 (-15 -1624 ($ $)) (-15 -1636 ($ $)) (-15 -2892 ($ $)) (-15 -1642 ($ $)) (-15 -1617 ($ $)) (-15 -1630 ($ $)))) 
-((-1641 (((-141) $ $) 18 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-2324 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 117)) (-1915 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 140)) (-3188 (($ $) 138)) (-4016 (($) 66) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 65)) (-3898 (((-1285) $ |#1| |#1|) 93 (|has| $ (-6 -4626))) (((-1285) $ (-592) (-592)) 170 (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) 151 (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 201) (((-141) $) 195 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-2831 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 192 (|has| $ (-6 -4626))) (($ $) 191 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3047 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 126 (|has| $ (-6 -4626)))) (-3153 (($ $ $) 147 (|has| $ (-6 -4626)))) (-4496 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 149 (|has| $ (-6 -4626)))) (-2101 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 145 (|has| $ (-6 -4626)))) (-3932 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 181 (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-1246 (-592)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 152 (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "last" (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 150 (|has| $ (-6 -4626))) (($ $ "rest" $) 148 (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "first" (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 146 (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "value" (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 125 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 124 (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 42 (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 208)) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 52 (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 167 (|has| $ (-6 -4625)))) (-1765 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 139)) (-2916 (((-3 |#2| "failed") |#1| $) 57)) (-3001 (($) 7 T CONST)) (-2512 (($ $) 193 (|has| $ (-6 -4626)))) (-1373 (($ $) 203)) (-1366 (($ $ (-790)) 134) (($ $) 132)) (-1461 (($ $) 206 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-1360 (($ $) 55 (-3836 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625))) (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 43 (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 212) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 207 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 54 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 51 (|has| $ (-6 -4625))) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 169 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 166 (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 53 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 50 (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 49 (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 168 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 165 (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 164 (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 182 (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) 82) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) 180)) (-3868 (((-141) $) 184)) (-1721 (((-592) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 200) (((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 199 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) (((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) 198 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 30 (|has| $ (-6 -4625))) (((-658 |#2|) $) 73 (|has| $ (-6 -4625))) (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 106 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 115)) (-3055 (((-141) $ $) 123 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-3242 (($ (-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 161)) (-4345 (((-141) $ (-790)) 9)) (-2261 ((|#1| $) 90 (|has| |#1| (-869))) (((-592) $) 172 (|has| (-592) (-869)))) (-1837 (($ $ $) 190 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-2713 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-4491 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 29 (|has| $ (-6 -4625))) (((-658 |#2|) $) 74 (|has| $ (-6 -4625))) (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 107 (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 27 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-141) |#2| $) 76 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625)))) (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 109 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625))))) (-1813 ((|#1| $) 89 (|has| |#1| (-869))) (((-592) $) 173 (|has| (-592) (-869)))) (-3319 (($ $ $) 189 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 34 (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4626))) (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 102 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 101)) (-1333 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 217)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 120)) (-3683 (((-141) $) 116)) (-2685 (((-1173) $) 22 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4255 (($ $ (-790)) 137) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 135)) (-2840 (((-658 |#1|) $) 59)) (-2396 (((-141) |#1| $) 60)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 36)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 37) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) 211) (($ $ $ (-592)) 210)) (-3666 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) 154) (($ $ $ (-592)) 153)) (-3708 (((-658 |#1|) $) 87) (((-658 (-592)) $) 175)) (-3780 (((-141) |#1| $) 86) (((-141) (-592) $) 176)) (-2951 (((-1137) $) 21 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1918 ((|#2| $) 91 (|has| |#1| (-869))) (($ $ (-790)) 131) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 129)) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 48) (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 163)) (-1892 (($ $ |#2|) 92 (|has| $ (-6 -4626))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 171 (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 38)) (-2955 (((-141) $) 183)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 32 (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) 71 (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 104 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 26 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 25 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 24 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 23 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) 80 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) 78 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) 77 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 113 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 112 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 111 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 110 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#2| $) 88 (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 174 (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4210 (((-658 |#2|) $) 85) (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 177)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 179) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) 178) (($ $ (-1246 (-592))) 157) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "first") 130) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "value") 118)) (-2920 (((-592) $ $) 121)) (-1653 (($) 46) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 45)) (-4113 (($ $ (-592)) 214) (($ $ (-1246 (-592))) 213)) (-3208 (($ $ (-592)) 156) (($ $ (-1246 (-592))) 155)) (-3228 (((-141) $) 119)) (-2399 (($ $) 143)) (-1337 (($ $) 144 (|has| $ (-6 -4626)))) (-3318 (((-790) $) 142)) (-3184 (($ $) 141)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 31 (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 28 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-790) |#2| $) 75 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#2|) $) 72 (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 108 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 105 (|has| $ (-6 -4625)))) (-2385 (($ $ $ (-592)) 194 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565)))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 47) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 162)) (-3619 (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 216) (($ $ $) 215)) (-2266 (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 160) (($ (-658 $)) 159) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 128) (($ $ $) 127)) (-1683 (((-877) $) 20 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-2493 (((-658 $) $) 114)) (-2936 (((-141) $ $) 122 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 39)) (-3149 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") |#1| $) 100)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 33 (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) 70 (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 103 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 187 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3273 (((-141) $ $) 186 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3255 (((-141) $ $) 19 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-3279 (((-141) $ $) 188 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3266 (((-141) $ $) 185 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-41 |#1| |#2|) (-1311) (-1119) (-1119)) (T -41)) 
-((-3149 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-2 (|:| -1350 *3) (|:| -3552 *4)))))) 
-(-13 (-1202 |t#1| |t#2|) (-683 (-2 (|:| -1350 |t#1|) (|:| -3552 |t#2|))) (-10 -8 (-15 -3149 ((-3 (-2 (|:| -1350 |t#1|) (|:| -3552 |t#2|)) "failed") |t#1| $)))) 
-(((-39) . T) ((-131 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-125) -3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869))) ((-632 (-877)) -3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869))) ((-175 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-633 (-565)) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))) ((-243 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-249 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-303 (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-303 |#1| |#2|) . T) ((-305 (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-305 |#1| |#2|) . T) ((-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) -12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-325 |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-299 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-399 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-523 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-523 |#2|) . T) ((-625 (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-625 |#1| |#2|) . T) ((-547 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) -12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-547 |#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-629 |#1| |#2|) . T) ((-664 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-683 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-869) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)) ((-1038 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-1119) -3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869))) ((-1163 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-1202 |#1| |#2|) . T) ((-1225) . T) ((-1267 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T)) 
-((-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) 10))) 
-(((-42 |#1| |#2|) (-10 -8 (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-43 |#2|) (-194)) (T -42)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-43 |#1|) (-1311) (-194)) (T -43)) 
-((-1683 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-194))))) 
-(-13 (-1075) (-734 |t#1|) (-10 -8 (-15 -1683 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) . T) ((-743) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1356 (((-444 |#1|) |#1|) 38)) (-4500 (((-444 |#1|) |#1|) 27) (((-444 |#1|) |#1| (-658 (-53))) 30)) (-1941 (((-141) |#1|) 54))) 
-(((-44 |#1|) (-10 -7 (-15 -4500 ((-444 |#1|) |#1| (-658 (-53)))) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -1356 ((-444 |#1|) |#1|)) (-15 -1941 ((-141) |#1|))) (-1255 (-53))) (T -44)) 
-((-1941 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53))))) (-1356 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53))))) (-4500 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53))))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-53))) (-5 *2 (-444 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53)))))) 
-(-10 -7 (-15 -4500 ((-444 |#1|) |#1| (-658 (-53)))) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -1356 ((-444 |#1|) |#1|)) (-15 -1941 ((-141) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4094 (((-2 (|:| |num| (-1280 |#2|)) (|:| |den| |#2|)) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| (-433 |#2|) (-388)))) (-1555 (($ $) NIL (|has| (-433 |#2|) (-388)))) (-1313 (((-141) $) NIL (|has| (-433 |#2|) (-388)))) (-1800 (((-706 (-433 |#2|)) (-1280 $)) NIL) (((-706 (-433 |#2|))) NIL)) (-4529 (((-433 |#2|) $) NIL)) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-433 |#2|) (-373)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| (-433 |#2|) (-388)))) (-3164 (((-444 $) $) NIL (|has| (-433 |#2|) (-388)))) (-3652 (((-141) $ $) NIL (|has| (-433 |#2|) (-388)))) (-1403 (((-790)) NIL (|has| (-433 |#2|) (-394)))) (-4578 (((-141)) NIL)) (-2105 (((-141) |#1|) NIL) (((-141) |#2|) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| (-433 |#2|) (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-433 |#2|) (-1065 (-433 (-592))))) (((-3 (-433 |#2|) "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| (-433 |#2|) (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| (-433 |#2|) (-1065 (-433 (-592))))) (((-433 |#2|) $) NIL)) (-1626 (($ (-1280 (-433 |#2|)) (-1280 $)) NIL) (($ (-1280 (-433 |#2|))) 57) (($ (-1280 |#2|) |#2|) 124)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-433 |#2|) (-373)))) (-1586 (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-4493 (((-706 (-433 |#2|)) $ (-1280 $)) NIL) (((-706 (-433 |#2|)) $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-433 |#2|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-433 |#2|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-433 |#2|))) (|:| |vec| (-1280 (-433 |#2|)))) (-706 $) (-1280 $)) NIL) (((-706 (-433 |#2|)) (-706 $)) NIL)) (-1872 (((-1280 $) (-1280 $)) NIL)) (-3657 (($ |#3|) NIL) (((-3 $ "failed") (-433 |#3|)) NIL (|has| (-433 |#2|) (-388)))) (-3371 (((-3 $ "failed") $) NIL)) (-3969 (((-658 (-658 |#1|))) NIL (|has| |#1| (-394)))) (-2619 (((-141) |#1| |#1|) NIL)) (-4175 (((-944)) NIL)) (-4290 (($) NIL (|has| (-433 |#2|) (-394)))) (-1634 (((-141)) NIL)) (-2282 (((-141) |#1|) NIL) (((-141) |#2|) NIL)) (-1599 (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| (-433 |#2|) (-388)))) (-3262 (($ $) NIL)) (-2667 (($) NIL (|has| (-433 |#2|) (-373)))) (-3293 (((-141) $) NIL (|has| (-433 |#2|) (-373)))) (-1525 (($ $ (-790)) NIL (|has| (-433 |#2|) (-373))) (($ $) NIL (|has| (-433 |#2|) (-373)))) (-2802 (((-141) $) NIL (|has| (-433 |#2|) (-388)))) (-4346 (((-944) $) NIL (|has| (-433 |#2|) (-373))) (((-855 (-944)) $) NIL (|has| (-433 |#2|) (-373)))) (-3558 (((-141) $) NIL)) (-3804 (((-790)) NIL)) (-3655 (((-1280 $) (-1280 $)) 100)) (-2793 (((-433 |#2|) $) NIL)) (-2010 (((-658 (-980 |#1|)) (-1191)) NIL (|has| |#1| (-388)))) (-3921 (((-3 $ "failed") $) NIL (|has| (-433 |#2|) (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| (-433 |#2|) (-388)))) (-3504 ((|#3| $) NIL (|has| (-433 |#2|) (-388)))) (-3546 (((-944) $) NIL (|has| (-433 |#2|) (-394)))) (-3650 ((|#3| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| (-433 |#2|) (-388))) (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-2685 (((-1173) $) NIL)) (-2618 (((-1285) (-790)) 78)) (-3757 (((-706 (-433 |#2|))) 51)) (-1346 (((-706 (-433 |#2|))) 44)) (-4552 (($ $) NIL (|has| (-433 |#2|) (-388)))) (-2482 (($ (-1280 |#2|) |#2|) 125)) (-2925 (((-706 (-433 |#2|))) 45)) (-4373 (((-706 (-433 |#2|))) 43)) (-3406 (((-2 (|:| |num| (-706 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-1645 (((-2 (|:| |num| (-1280 |#2|)) (|:| |den| |#2|)) $) 63)) (-3720 (((-1280 $)) 42)) (-4023 (((-1280 $)) 41)) (-3717 (((-141) $) NIL)) (-4551 (((-141) $) NIL) (((-141) $ |#1|) NIL) (((-141) $ |#2|) NIL)) (-3703 (($) NIL (|has| (-433 |#2|) (-373)) CONST)) (-1825 (($ (-944)) NIL (|has| (-433 |#2|) (-394)))) (-3560 (((-3 |#2| "failed")) NIL)) (-2951 (((-1137) $) NIL)) (-3918 (((-790)) NIL)) (-2934 (($) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| (-433 |#2|) (-388)))) (-3548 (($ (-658 $)) NIL (|has| (-433 |#2|) (-388))) (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-433 |#2|) (-373)))) (-4500 (((-444 $) $) NIL (|has| (-433 |#2|) (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-433 |#2|) (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| (-433 |#2|) (-388)))) (-3616 (((-3 $ "failed") $ $) NIL (|has| (-433 |#2|) (-388)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| (-433 |#2|) (-388)))) (-2769 (((-790) $) NIL (|has| (-433 |#2|) (-388)))) (-1405 (((-658 $)) NIL (|has| (-433 |#2|) (-394)))) (-3927 ((|#1| $ |#1| |#1|) NIL)) (-3143 (((-3 |#2| "failed")) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| (-433 |#2|) (-388)))) (-1482 (((-433 |#2|) (-1280 $)) NIL) (((-433 |#2|)) 39)) (-2177 (((-790) $) NIL (|has| (-433 |#2|) (-373))) (((-3 (-790) "failed") $ $) NIL (|has| (-433 |#2|) (-373)))) (-3644 (($ $ (-1 (-433 |#2|) (-433 |#2|)) (-790)) NIL (|has| (-433 |#2|) (-388))) (($ $ (-1 (-433 |#2|) (-433 |#2|))) NIL (|has| (-433 |#2|) (-388))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-790)) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373)))) (($ $) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373))))) (-4174 (((-706 (-433 |#2|)) (-1280 $) (-1 (-433 |#2|) (-433 |#2|))) NIL (|has| (-433 |#2|) (-388)))) (-3390 ((|#3|) 50)) (-3809 (($) NIL (|has| (-433 |#2|) (-373)))) (-2231 (((-1280 (-433 |#2|)) $ (-1280 $)) NIL) (((-706 (-433 |#2|)) (-1280 $) (-1280 $)) NIL) (((-1280 (-433 |#2|)) $) 58) (((-706 (-433 |#2|)) (-1280 $)) 101)) (-1778 (((-1280 (-433 |#2|)) $) NIL) (($ (-1280 (-433 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| (-433 |#2|) (-373)))) (-3985 (((-1280 $) (-1280 $)) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 |#2|)) NIL) (($ (-433 (-592))) NIL (-3836 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-1065 (-433 (-592)))))) (($ $) NIL (|has| (-433 |#2|) (-388)))) (-1517 (($ $) NIL (|has| (-433 |#2|) (-373))) (((-3 $ "failed") $) NIL (|has| (-433 |#2|) (-169)))) (-4198 ((|#3| $) NIL)) (-4010 (((-790)) NIL)) (-2457 (((-141)) 37)) (-2576 (((-141) |#1|) 49) (((-141) |#2|) 130)) (-2195 (((-1280 $)) 91)) (-2537 (((-141) $ $) NIL (|has| (-433 |#2|) (-388)))) (-3748 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3059 (((-141)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-433 |#2|) (-388)))) (-3514 (($) 16 T CONST)) (-4257 (($) 26 T CONST)) (-1940 (($ $ (-1 (-433 |#2|) (-433 |#2|)) (-790)) NIL (|has| (-433 |#2|) (-388))) (($ $ (-1 (-433 |#2|) (-433 |#2|))) NIL (|has| (-433 |#2|) (-388))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-790)) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373)))) (($ $) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-433 |#2|) (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 |#2|)) NIL) (($ (-433 |#2|) $) NIL) (($ (-433 (-592)) $) NIL (|has| (-433 |#2|) (-388))) (($ $ (-433 (-592))) NIL (|has| (-433 |#2|) (-388))))) 
-(((-45 |#1| |#2| |#3| |#4|) (-13 (-362 |#1| |#2| |#3|) (-10 -7 (-15 -2618 ((-1285) (-790))))) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) |#3|) (T -45)) 
-((-2618 (*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-4 *5 (-1255 *4)) (-5 *2 (-1285)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1255 (-433 *5))) (-14 *7 *6)))) 
-(-13 (-362 |#1| |#2| |#3|) (-10 -7 (-15 -2618 ((-1285) (-790))))) 
-((-4545 ((|#2| |#2|) 47)) (-2908 ((|#2| |#2|) 116 (-12 (|has| |#2| (-456 |#1|)) (|has| |#1| (-477)) (|has| |#1| (-869)) (|has| |#1| (-1065 (-592)))))) (-4481 ((|#2| |#2|) 85 (-12 (|has| |#2| (-456 |#1|)) (|has| |#1| (-477)) (|has| |#1| (-869)) (|has| |#1| (-1065 (-592)))))) (-4243 ((|#2| |#2|) 86 (-12 (|has| |#2| (-456 |#1|)) (|has| |#1| (-477)) (|has| |#1| (-869)) (|has| |#1| (-1065 (-592)))))) (-2222 ((|#2| (-143) |#2| (-790)) 73 (-12 (|has| |#2| (-456 |#1|)) (|has| |#1| (-477)) (|has| |#1| (-869)) (|has| |#1| (-1065 (-592)))))) (-2005 (((-1187 |#2|) |#2|) 44)) (-1423 ((|#2| |#2| (-658 (-631 |#2|))) 17) ((|#2| |#2| (-658 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
-(((-46 |#1| |#2|) (-10 -7 (-15 -4545 (|#2| |#2|)) (-15 -1423 (|#2| |#2|)) (-15 -1423 (|#2| |#2| |#2|)) (-15 -1423 (|#2| |#2| (-658 |#2|))) (-15 -1423 (|#2| |#2| (-658 (-631 |#2|)))) (-15 -2005 ((-1187 |#2|) |#2|)) (IF (|has| |#1| (-869)) (IF (|has| |#1| (-477)) (IF (|has| |#1| (-1065 (-592))) (IF (|has| |#2| (-456 |#1|)) (PROGN (-15 -4243 (|#2| |#2|)) (-15 -4481 (|#2| |#2|)) (-15 -2908 (|#2| |#2|)) (-15 -2222 (|#2| (-143) |#2| (-790)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-582) (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 |#1| (-631 $)) $)) (-15 -1456 ((-1142 |#1| (-631 $)) $)) (-15 -1683 ($ (-1142 |#1| (-631 $))))))) (T -46)) 
-((-2222 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-143)) (-5 *4 (-790)) (-4 *5 (-477)) (-4 *5 (-869)) (-4 *5 (-1065 (-592))) (-4 *5 (-582)) (-5 *1 (-46 *5 *2)) (-4 *2 (-456 *5)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *5 (-631 $)) $)) (-15 -1456 ((-1142 *5 (-631 $)) $)) (-15 -1683 ($ (-1142 *5 (-631 $))))))))) (-2908 (*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-869)) (-4 *3 (-1065 (-592))) (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-456 *3)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) (-4481 (*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-869)) (-4 *3 (-1065 (-592))) (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-456 *3)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) (-4243 (*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-869)) (-4 *3 (-1065 (-592))) (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-456 *3)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) (-2005 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-1187 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *4 (-631 $)) $)) (-15 -1456 ((-1142 *4 (-631 $)) $)) (-15 -1683 ($ (-1142 *4 (-631 $))))))))) (-1423 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-631 *2))) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *4 (-631 $)) $)) (-15 -1456 ((-1142 *4 (-631 $)) $)) (-15 -1683 ($ (-1142 *4 (-631 $))))))) (-4 *4 (-582)) (-5 *1 (-46 *4 *2)))) (-1423 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *4 (-631 $)) $)) (-15 -1456 ((-1142 *4 (-631 $)) $)) (-15 -1683 ($ (-1142 *4 (-631 $))))))) (-4 *4 (-582)) (-5 *1 (-46 *4 *2)))) (-1423 (*1 *2 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) (-1423 (*1 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) (-4545 (*1 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $)))))))))) 
-(-10 -7 (-15 -4545 (|#2| |#2|)) (-15 -1423 (|#2| |#2|)) (-15 -1423 (|#2| |#2| |#2|)) (-15 -1423 (|#2| |#2| (-658 |#2|))) (-15 -1423 (|#2| |#2| (-658 (-631 |#2|)))) (-15 -2005 ((-1187 |#2|) |#2|)) (IF (|has| |#1| (-869)) (IF (|has| |#1| (-477)) (IF (|has| |#1| (-1065 (-592))) (IF (|has| |#2| (-456 |#1|)) (PROGN (-15 -4243 (|#2| |#2|)) (-15 -4481 (|#2| |#2|)) (-15 -2908 (|#2| |#2|)) (-15 -2222 (|#2| (-143) |#2| (-790)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-4500 (((-444 (-1187 |#3|)) (-1187 |#3|) (-658 (-53))) 22) (((-444 |#3|) |#3| (-658 (-53))) 18))) 
-(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -4500 ((-444 |#3|) |#3| (-658 (-53)))) (-15 -4500 ((-444 (-1187 |#3|)) (-1187 |#3|) (-658 (-53))))) (-869) (-815) (-977 (-53) |#2| |#1|)) (T -47)) 
-((-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-53))) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *7 (-977 (-53) *6 *5)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1187 *7)))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-53))) (-4 *5 (-869)) (-4 *6 (-815)) (-5 *2 (-444 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-977 (-53) *6 *5))))) 
-(-10 -7 (-15 -4500 ((-444 |#3|) |#3| (-658 (-53)))) (-15 -4500 ((-444 (-1187 |#3|)) (-1187 |#3|) (-658 (-53))))) 
-((-4306 (((-790) |#2|) 65)) (-4033 (((-790) |#2|) 68)) (-3639 (((-658 |#2|)) 33)) (-1614 (((-790) |#2|) 67)) (-4271 (((-790) |#2|) 64)) (-3268 (((-790) |#2|) 66)) (-3400 (((-658 (-706 |#1|))) 60)) (-4051 (((-658 |#2|)) 55)) (-1322 (((-658 |#2|) |#2|) 43)) (-2173 (((-658 |#2|)) 57)) (-1733 (((-658 |#2|)) 56)) (-3698 (((-658 (-706 |#1|))) 48)) (-3972 (((-658 |#2|)) 54)) (-2065 (((-658 |#2|) |#2|) 42)) (-4022 (((-658 |#2|)) 50)) (-3617 (((-658 (-706 |#1|))) 61)) (-1949 (((-658 |#2|)) 59)) (-2195 (((-1280 |#2|) (-1280 |#2|)) 83 (|has| |#1| (-323))))) 
-(((-48 |#1| |#2|) (-10 -7 (-15 -1614 ((-790) |#2|)) (-15 -4033 ((-790) |#2|)) (-15 -4271 ((-790) |#2|)) (-15 -4306 ((-790) |#2|)) (-15 -3268 ((-790) |#2|)) (-15 -4022 ((-658 |#2|))) (-15 -2065 ((-658 |#2|) |#2|)) (-15 -1322 ((-658 |#2|) |#2|)) (-15 -3972 ((-658 |#2|))) (-15 -4051 ((-658 |#2|))) (-15 -1733 ((-658 |#2|))) (-15 -2173 ((-658 |#2|))) (-15 -1949 ((-658 |#2|))) (-15 -3698 ((-658 (-706 |#1|)))) (-15 -3400 ((-658 (-706 |#1|)))) (-15 -3617 ((-658 (-706 |#1|)))) (-15 -3639 ((-658 |#2|))) (IF (|has| |#1| (-323)) (-15 -2195 ((-1280 |#2|) (-1280 |#2|))) |noBranch|)) (-582) (-443 |#1|)) (T -48)) 
-((-2195 (*1 *2 *2) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-443 *3)) (-4 *3 (-323)) (-4 *3 (-582)) (-5 *1 (-48 *3 *4)))) (-3639 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-3617 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 (-706 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-3400 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 (-706 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-3698 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 (-706 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-1949 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-2173 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-1733 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-4051 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-3972 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-1322 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4)))) (-2065 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4)))) (-4022 (*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3)))) (-3268 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4)))) (-4306 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4)))) (-4271 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4)))) (-4033 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4)))) (-1614 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(-10 -7 (-15 -1614 ((-790) |#2|)) (-15 -4033 ((-790) |#2|)) (-15 -4271 ((-790) |#2|)) (-15 -4306 ((-790) |#2|)) (-15 -3268 ((-790) |#2|)) (-15 -4022 ((-658 |#2|))) (-15 -2065 ((-658 |#2|) |#2|)) (-15 -1322 ((-658 |#2|) |#2|)) (-15 -3972 ((-658 |#2|))) (-15 -4051 ((-658 |#2|))) (-15 -1733 ((-658 |#2|))) (-15 -2173 ((-658 |#2|))) (-15 -1949 ((-658 |#2|))) (-15 -3698 ((-658 (-706 |#1|)))) (-15 -3400 ((-658 (-706 |#1|)))) (-15 -3617 ((-658 (-706 |#1|)))) (-15 -3639 ((-658 |#2|))) (IF (|has| |#1| (-323)) (-15 -2195 ((-1280 |#2|) (-1280 |#2|))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4509 (((-3 $ "failed")) NIL (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4061 (((-1280 (-706 |#1|)) (-1280 $)) NIL) (((-1280 (-706 |#1|))) 24)) (-3360 (((-1280 $)) 50)) (-3001 (($) NIL T CONST)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (|has| |#1| (-582)))) (-2661 (((-3 $ "failed")) NIL (|has| |#1| (-582)))) (-1951 (((-706 |#1|) (-1280 $)) NIL) (((-706 |#1|)) NIL)) (-4282 ((|#1| $) NIL)) (-2302 (((-706 |#1|) $ (-1280 $)) NIL) (((-706 |#1|) $) NIL)) (-2503 (((-3 $ "failed") $) NIL (|has| |#1| (-582)))) (-2120 (((-1187 (-980 |#1|))) NIL (|has| |#1| (-388)))) (-2111 (($ $ (-944)) NIL)) (-1431 ((|#1| $) NIL)) (-3916 (((-1187 |#1|) $) NIL (|has| |#1| (-582)))) (-1874 ((|#1| (-1280 $)) NIL) ((|#1|) NIL)) (-1582 (((-1187 |#1|) $) NIL)) (-4194 (((-141)) 86)) (-1626 (($ (-1280 |#1|) (-1280 $)) NIL) (($ (-1280 |#1|)) NIL)) (-3371 (((-3 $ "failed") $) 14 (|has| |#1| (-582)))) (-4175 (((-944)) 51)) (-2169 (((-141)) NIL)) (-1833 (($ $ (-944)) NIL)) (-3700 (((-141)) NIL)) (-2973 (((-141)) NIL)) (-2467 (((-141)) 88)) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (|has| |#1| (-582)))) (-3994 (((-3 $ "failed")) NIL (|has| |#1| (-582)))) (-2794 (((-706 |#1|) (-1280 $)) NIL) (((-706 |#1|)) NIL)) (-1869 ((|#1| $) NIL)) (-1802 (((-706 |#1|) $ (-1280 $)) NIL) (((-706 |#1|) $) NIL)) (-4158 (((-3 $ "failed") $) NIL (|has| |#1| (-582)))) (-3004 (((-1187 (-980 |#1|))) NIL (|has| |#1| (-388)))) (-2682 (($ $ (-944)) NIL)) (-3061 ((|#1| $) NIL)) (-2013 (((-1187 |#1|) $) NIL (|has| |#1| (-582)))) (-3030 ((|#1| (-1280 $)) NIL) ((|#1|) NIL)) (-2397 (((-1187 |#1|) $) NIL)) (-3847 (((-141)) 85)) (-2685 (((-1173) $) NIL)) (-4106 (((-141)) 92)) (-2339 (((-141)) 91)) (-2297 (((-141)) 93)) (-2951 (((-1137) $) NIL)) (-2716 (((-141)) 87)) (-3927 ((|#1| $ (-592)) 53)) (-2231 (((-1280 |#1|) $ (-1280 $)) 47) (((-706 |#1|) (-1280 $) (-1280 $)) NIL) (((-1280 |#1|) $) 28) (((-706 |#1|) (-1280 $)) NIL)) (-1778 (((-1280 |#1|) $) NIL) (($ (-1280 |#1|)) NIL)) (-1473 (((-658 (-980 |#1|)) (-1280 $)) NIL) (((-658 (-980 |#1|))) NIL)) (-2131 (($ $ $) NIL)) (-3545 (((-141)) 83)) (-1683 (((-877) $) 68) (($ (-1280 |#1|)) 22)) (-2195 (((-1280 $)) 44)) (-3664 (((-658 (-1280 |#1|))) NIL (|has| |#1| (-582)))) (-3667 (($ $ $ $) NIL)) (-1516 (((-141)) 81)) (-4572 (($ (-706 |#1|) $) 18)) (-2844 (($ $ $) NIL)) (-3135 (((-141)) 84)) (-2723 (((-141)) 82)) (-2359 (((-141)) 80)) (-3514 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1156 |#2| |#1|) $) 19))) 
-(((-49 |#1| |#2| |#3| |#4|) (-13 (-443 |#1|) (-661 (-1156 |#2| |#1|)) (-10 -8 (-15 -1683 ($ (-1280 |#1|))))) (-388) (-944) (-658 (-1191)) (-1280 (-706 |#1|))) (T -49)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-388)) (-14 *6 (-1280 (-706 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-944)) (-14 *5 (-658 (-1191)))))) 
-(-13 (-443 |#1|) (-661 (-1156 |#2| |#1|)) (-10 -8 (-15 -1683 ($ (-1280 |#1|))))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2324 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-1915 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3188 (($ $) NIL)) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626))) (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (((-141) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-2831 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869))))) (-3960 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3047 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626)))) (-3153 (($ $ $) 27 (|has| $ (-6 -4626)))) (-4496 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626)))) (-2101 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 29 (|has| $ (-6 -4626)))) (-3932 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-1246 (-592)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "last" (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626))) (($ $ "rest" $) NIL (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "first" (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "value" (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1765 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2916 (((-3 |#2| "failed") |#1| $) 37)) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1366 (($ $ (-790)) NIL) (($ $) 24)) (-1461 (($ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) NIL)) (-3868 (((-141) $) NIL)) (-1721 (((-592) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) (((-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 18 (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625))) (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 18 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-3242 (($ (-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869))) (((-592) $) 32 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-2713 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-4491 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625))) (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869))) (((-592) $) 34 (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626))) (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1333 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) 41 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4255 (($ $ (-790)) NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2840 (((-658 |#1|) $) 20)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3666 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 |#1|) $) NIL) (((-658 (-592)) $) NIL)) (-3780 (((-141) |#1| $) NIL) (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869))) (($ $ (-790)) NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 23)) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2955 (((-141) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4210 (((-658 |#2|) $) NIL) (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 17)) (-2943 (((-141) $) 16)) (-2890 (($) 13)) (-3927 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ (-592)) NIL) (($ $ (-1246 (-592))) NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "first") NIL) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $ "value") NIL)) (-2920 (((-592) $ $) NIL)) (-1653 (($) 12) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-4113 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3228 (((-141) $) NIL)) (-2399 (($ $) NIL)) (-1337 (($ $) NIL (|has| $ (-6 -4626)))) (-3318 (((-790) $) NIL)) (-3184 (($ $) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3619 (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL) (($ $ $) NIL)) (-2266 (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL) (($ (-658 $)) NIL) (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 25) (($ $ $) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3149 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") |#1| $) 43)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-3279 (((-141) $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-869)))) (-1699 (((-790) $) 22 (|has| $ (-6 -4625))))) 
-(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1119) (-1119)) (T -50)) 
-NIL 
-(-41 |#1| |#2|) 
-((-2027 (((-141) $) 12)) (-2731 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-433 (-592)) $) 24) (($ $ (-433 (-592))) NIL))) 
-(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -2027 ((-141) |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) (-52 |#2| |#3|) (-1075) (-814)) (T -51)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -2027 ((-141) |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2027 (((-141) $) 61)) (-4526 (($ |#1| |#2|) 60)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-4525 ((|#2| $) 63)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582))) (($ |#1|) 46 (|has| |#1| (-194)))) (-1937 ((|#1| $ |#2|) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-52 |#1| |#2|) (-1311) (-1075) (-814)) (T -52)) 
-((-4579 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) (-4573 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)))) (-2027 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-141)))) (-4526 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) (-4593 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) (-1937 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) (-3313 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *2 (-388))))) 
-(-13 (-1075) (-140 |t#1| |t#1|) (-10 -8 (-15 -4579 (|t#1| $)) (-15 -4573 ($ $)) (-15 -4525 (|t#2| $)) (-15 -2731 ($ (-1 |t#1| |t#1|) $)) (-15 -2027 ((-141) $)) (-15 -4526 ($ |t#1| |t#2|)) (-15 -4593 ($ $)) (-15 -1937 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-388)) (-15 -3313 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-194)) (PROGN (-6 (-194)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |t#1| (-582)) (-6 (-582)) |noBranch|) (IF (|has| |t#1| (-43 (-433 (-592)))) (-6 (-43 (-433 (-592)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-307) |has| |#1| (-582)) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-3863 (((-658 $) (-1187 $) (-1191)) NIL) (((-658 $) (-1187 $)) NIL) (((-658 $) (-980 $)) NIL)) (-3224 (($ (-1187 $) (-1191)) NIL) (($ (-1187 $)) NIL) (($ (-980 $)) NIL)) (-2272 (((-141) $) 11)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2165 (((-658 (-631 $)) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3147 (($ $ (-310 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1442 (($ $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-1316 (((-658 $) (-1187 $) (-1191)) NIL) (((-658 $) (-1187 $)) NIL) (((-658 $) (-980 $)) NIL)) (-3906 (($ (-1187 $) (-1191)) NIL) (($ (-1187 $)) NIL) (($ (-980 $)) NIL)) (-4368 (((-3 (-631 $) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL)) (-2400 (((-631 $) $) NIL) (((-592) $) NIL) (((-433 (-592)) $) NIL)) (-1586 (($ $ $) NIL)) (-3945 (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-433 (-592)))) (|:| |vec| (-1280 (-433 (-592))))) (-706 $) (-1280 $)) NIL) (((-706 (-433 (-592))) (-706 $)) NIL)) (-3657 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2243 (($ $) NIL) (($ (-658 $)) NIL)) (-4388 (((-658 (-143)) $) NIL)) (-2791 (((-143) (-143)) NIL)) (-3558 (((-141) $) 14)) (-3372 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-1448 (((-1142 (-592) (-631 $)) $) NIL)) (-4422 (($ $ (-592)) NIL)) (-2793 (((-1187 $) (-1187 $) (-631 $)) NIL) (((-1187 $) (-1187 $) (-658 (-631 $))) NIL) (($ $ (-631 $)) NIL) (($ $ (-658 (-631 $))) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2710 (((-1187 $) (-631 $)) NIL (|has| $ (-1075)))) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 $ $) (-631 $)) NIL)) (-4160 (((-3 (-631 $) "failed") $) NIL)) (-2750 (($ (-658 $)) NIL) (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-4486 (((-658 (-631 $)) $) NIL)) (-1462 (($ (-143) $) NIL) (($ (-143) (-658 $)) NIL)) (-3013 (((-141) $ (-143)) NIL) (((-141) $ (-1191)) NIL)) (-4552 (($ $) NIL)) (-2535 (((-790) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ (-658 $)) NIL) (($ $ $) NIL)) (-1319 (((-141) $ $) NIL) (((-141) $ (-1191)) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3554 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-1191) (-1 $ (-658 $))) NIL) (($ $ (-1191) (-1 $ $)) NIL) (($ $ (-658 (-143)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-143) (-1 $ (-658 $))) NIL) (($ $ (-143) (-1 $ $)) NIL)) (-2769 (((-790) $) NIL)) (-3927 (($ (-143) $) NIL) (($ (-143) $ $) NIL) (($ (-143) $ $ $) NIL) (($ (-143) $ $ $ $) NIL) (($ (-143) (-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2818 (($ $) NIL) (($ $ $) NIL)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-1456 (((-1142 (-592) (-631 $)) $) NIL)) (-3390 (($ $) NIL (|has| $ (-1075)))) (-1778 (((-405) $) NIL) (((-237) $) NIL) (((-191 (-405)) $) NIL)) (-1683 (((-877) $) NIL) (($ (-631 $)) NIL) (($ (-433 (-592))) NIL) (($ $) NIL) (($ (-592)) NIL) (($ (-1142 (-592) (-631 $))) NIL)) (-4010 (((-790)) NIL)) (-3280 (($ $) NIL) (($ (-658 $)) NIL)) (-3038 (((-141) (-143)) NIL)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-592)) NIL) (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-3514 (($) 7 T CONST)) (-4257 (($) 12 T CONST)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 16)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (-3306 (($ $ $) 15) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-433 (-592))) NIL) (($ $ (-592)) NIL) (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (* (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL) (($ $ $) NIL) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-53) (-13 (-318) (-27) (-1065 (-592)) (-1065 (-433 (-592))) (-654 (-592)) (-1049) (-654 (-433 (-592))) (-171) (-633 (-191 (-405))) (-247) (-10 -8 (-15 -1683 ($ (-1142 (-592) (-631 $)))) (-15 -1448 ((-1142 (-592) (-631 $)) $)) (-15 -1456 ((-1142 (-592) (-631 $)) $)) (-15 -3657 ($ $)) (-15 -2793 ((-1187 $) (-1187 $) (-631 $))) (-15 -2793 ((-1187 $) (-1187 $) (-658 (-631 $)))) (-15 -2793 ($ $ (-631 $))) (-15 -2793 ($ $ (-658 (-631 $))))))) (T -53)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1142 (-592) (-631 (-53)))) (-5 *1 (-53)))) (-1448 (*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-53)))) (-5 *1 (-53)))) (-1456 (*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-53)))) (-5 *1 (-53)))) (-3657 (*1 *1 *1) (-5 *1 (-53))) (-2793 (*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-53))) (-5 *3 (-631 (-53))) (-5 *1 (-53)))) (-2793 (*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-53))) (-5 *3 (-658 (-631 (-53)))) (-5 *1 (-53)))) (-2793 (*1 *1 *1 *2) (-12 (-5 *2 (-631 (-53))) (-5 *1 (-53)))) (-2793 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-631 (-53)))) (-5 *1 (-53))))) 
-(-13 (-318) (-27) (-1065 (-592)) (-1065 (-433 (-592))) (-654 (-592)) (-1049) (-654 (-433 (-592))) (-171) (-633 (-191 (-405))) (-247) (-10 -8 (-15 -1683 ($ (-1142 (-592) (-631 $)))) (-15 -1448 ((-1142 (-592) (-631 $)) $)) (-15 -1456 ((-1142 (-592) (-631 $)) $)) (-15 -3657 ($ $)) (-15 -2793 ((-1187 $) (-1187 $) (-631 $))) (-15 -2793 ((-1187 $) (-1187 $) (-658 (-631 $)))) (-15 -2793 ($ $ (-631 $))) (-15 -2793 ($ $ (-658 (-631 $)))))) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 7)) (-3255 (((-141) $ $) NIL))) 
-(((-54) (-1119)) (T -54)) 
-NIL 
-(-1119) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 60)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3461 (((-141) $) 20)) (-4368 (((-3 |#1| "failed") $) 23)) (-2400 ((|#1| $) 24)) (-4593 (($ $) 27)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4579 ((|#1| $) 21)) (-1693 (($ $) 49)) (-2685 (((-1173) $) NIL)) (-1815 (((-141) $) 28)) (-2951 (((-1137) $) NIL)) (-2934 (($ (-790)) 47)) (-1430 (($ (-658 (-592))) 48)) (-4525 (((-790) $) 29)) (-1683 (((-877) $) 63) (($ (-592)) 44) (($ |#1|) 42)) (-1937 ((|#1| $ $) 19)) (-4010 (((-790)) 46)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 30 T CONST)) (-4257 (($) 14 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 40)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
-(((-55 |#1| |#2|) (-13 (-636 |#1|) (-1065 |#1|) (-10 -8 (-15 -4579 (|#1| $)) (-15 -1693 ($ $)) (-15 -4593 ($ $)) (-15 -1937 (|#1| $ $)) (-15 -2934 ($ (-790))) (-15 -1430 ($ (-658 (-592)))) (-15 -1815 ((-141) $)) (-15 -3461 ((-141) $)) (-15 -4525 ((-790) $)) (-15 -2731 ($ (-1 |#1| |#1|) $)))) (-1075) (-658 (-1191))) (T -55)) 
-((-4579 (*1 *2 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-55 *2 *3)) (-14 *3 (-658 (-1191))))) (-1693 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-658 (-1191))))) (-4593 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-658 (-1191))))) (-1937 (*1 *2 *1 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-55 *2 *3)) (-14 *3 (-658 (-1191))))) (-2934 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) (-1430 (*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) (-1815 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-55 *3 *4)) (-14 *4 (-658 (-1191)))))) 
-(-13 (-636 |#1|) (-1065 |#1|) (-10 -8 (-15 -4579 (|#1| $)) (-15 -1693 ($ $)) (-15 -4593 ($ $)) (-15 -1937 (|#1| $ $)) (-15 -2934 ($ (-790))) (-15 -1430 ($ (-658 (-592)))) (-15 -1815 ((-141) $)) (-15 -3461 ((-141) $)) (-15 -4525 ((-790) $)) (-15 -2731 ($ (-1 |#1| |#1|) $)))) 
-((-3461 (((-141) (-57)) 13)) (-4368 (((-3 |#1| "failed") (-57)) 21)) (-2400 ((|#1| (-57)) 22)) (-1683 (((-57) |#1|) 18))) 
-(((-56 |#1|) (-10 -7 (-15 -1683 ((-57) |#1|)) (-15 -4368 ((-3 |#1| "failed") (-57))) (-15 -3461 ((-141) (-57))) (-15 -2400 (|#1| (-57)))) (-1225)) (T -56)) 
-((-2400 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1225)))) (-3461 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-141)) (-5 *1 (-56 *4)) (-4 *4 (-1225)))) (-4368 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1225)))) (-1683 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1225))))) 
-(-10 -7 (-15 -1683 ((-57) |#1|)) (-15 -4368 ((-3 |#1| "failed") (-57))) (-15 -3461 ((-141) (-57))) (-15 -2400 (|#1| (-57)))) 
-((-1641 (((-141) $ $) NIL)) (-3727 (((-1173) (-141)) 25)) (-3364 (((-877) $) 24)) (-4456 (((-793) $) 12)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4350 (((-877) $) 16)) (-3447 (((-1123) $) 14)) (-1683 (((-877) $) 32)) (-4110 (($ (-1123) (-793)) 33)) (-3255 (((-141) $ $) 18))) 
-(((-57) (-13 (-1119) (-10 -8 (-15 -4110 ($ (-1123) (-793))) (-15 -4350 ((-877) $)) (-15 -3364 ((-877) $)) (-15 -3447 ((-1123) $)) (-15 -4456 ((-793) $)) (-15 -3727 ((-1173) (-141)))))) (T -57)) 
-((-4110 (*1 *1 *2 *3) (-12 (-5 *2 (-1123)) (-5 *3 (-793)) (-5 *1 (-57)))) (-4350 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-57)))) (-3364 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-57)))) (-3447 (*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-57)))) (-4456 (*1 *2 *1) (-12 (-5 *2 (-793)) (-5 *1 (-57)))) (-3727 (*1 *2 *3) (-12 (-5 *3 (-141)) (-5 *2 (-1173)) (-5 *1 (-57))))) 
-(-13 (-1119) (-10 -8 (-15 -4110 ($ (-1123) (-793))) (-15 -4350 ((-877) $)) (-15 -3364 ((-877) $)) (-15 -3447 ((-1123) $)) (-15 -4456 ((-793) $)) (-15 -3727 ((-1173) (-141))))) 
-((-4199 (((-1285)) 20)) (-1573 (((-1285) (-141)) 22)) (-2098 (((-1121 (-1191)) (-1191)) 15)) (-4259 (((-1121 (-1191)) (-1191)) 16)) (-4256 (((-1285)) 19))) 
-(((-58) (-10 -7 (-15 -2098 ((-1121 (-1191)) (-1191))) (-15 -4259 ((-1121 (-1191)) (-1191))) (-15 -4256 ((-1285))) (-15 -4199 ((-1285))) (-15 -1573 ((-1285) (-141))))) (T -58)) 
-((-1573 (*1 *2 *3) (-12 (-5 *3 (-141)) (-5 *2 (-1285)) (-5 *1 (-58)))) (-4199 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-58)))) (-4256 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-58)))) (-4259 (*1 *2 *3) (-12 (-5 *2 (-1121 (-1191))) (-5 *1 (-58)) (-5 *3 (-1191)))) (-2098 (*1 *2 *3) (-12 (-5 *2 (-1121 (-1191))) (-5 *1 (-58)) (-5 *3 (-1191))))) 
-(-10 -7 (-15 -2098 ((-1121 (-1191)) (-1191))) (-15 -4259 ((-1121 (-1191)) (-1191))) (-15 -4256 ((-1285))) (-15 -4199 ((-1285))) (-15 -1573 ((-1285) (-141)))) 
-((-4572 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
-(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -4572 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1075) (-661 |#1|) (-871 |#1|)) (T -59)) 
-((-4572 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-661 *5)) (-4 *5 (-1075)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-871 *5))))) 
-(-10 -7 (-15 -4572 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
-((-2756 ((|#3| |#3| (-658 (-1191))) 35)) (-2688 ((|#3| (-658 (-1097 |#1| |#2| |#3|)) |#3| (-944)) 22) ((|#3| (-658 (-1097 |#1| |#2| |#3|)) |#3|) 20))) 
-(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -2688 (|#3| (-658 (-1097 |#1| |#2| |#3|)) |#3|)) (-15 -2688 (|#3| (-658 (-1097 |#1| |#2| |#3|)) |#3| (-944))) (-15 -2756 (|#3| |#3| (-658 (-1191))))) (-1119) (-13 (-1075) (-908 |#1|) (-869) (-633 (-914 |#1|))) (-13 (-456 |#2|) (-908 |#1|) (-633 (-914 |#1|)))) (T -60)) 
-((-2756 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))))) (-2688 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-658 (-1097 *5 *6 *2))) (-5 *4 (-944)) (-4 *5 (-1119)) (-4 *6 (-13 (-1075) (-908 *5) (-869) (-633 (-914 *5)))) (-4 *2 (-13 (-456 *6) (-908 *5) (-633 (-914 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-2688 (*1 *2 *3 *2) (-12 (-5 *3 (-658 (-1097 *4 *5 *2))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
-(-10 -7 (-15 -2688 (|#3| (-658 (-1097 |#1| |#2| |#3|)) |#3|)) (-15 -2688 (|#3| (-658 (-1097 |#1| |#2| |#3|)) |#3| (-944))) (-15 -2756 (|#3| |#3| (-658 (-1191))))) 
-((-2126 (((-141) $ (-790)) 23)) (-2547 (($ $ (-592) |#3|) 45)) (-2242 (($ $ (-592) |#4|) 49)) (-2747 ((|#3| $ (-592)) 58)) (-4004 (((-658 |#2|) $) 30)) (-4345 (((-141) $ (-790)) 25)) (-3133 (((-141) |#2| $) 53)) (-3987 (($ (-1 |#2| |#2|) $) 37)) (-2731 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-2554 (((-141) $ (-790)) 24)) (-1892 (($ $ |#2|) 34)) (-3002 (((-141) (-1 (-141) |#2|) $) 19)) (-3927 ((|#2| $ (-592) (-592)) NIL) ((|#2| $ (-592) (-592) |#2|) 27)) (-3452 (((-790) (-1 (-141) |#2|) $) 28) (((-790) |#2| $) 55)) (-4599 (($ $) 33)) (-2000 ((|#4| $ (-592)) 61)) (-1683 (((-877) $) 66)) (-3369 (((-141) (-1 (-141) |#2|) $) 18)) (-3255 (((-141) $ $) 52)) (-1699 (((-790) $) 26))) 
-(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2242 (|#1| |#1| (-592) |#4|)) (-15 -2547 (|#1| |#1| (-592) |#3|)) (-15 -4004 ((-658 |#2|) |#1|)) (-15 -2000 (|#4| |#1| (-592))) (-15 -2747 (|#3| |#1| (-592))) (-15 -3927 (|#2| |#1| (-592) (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) (-592))) (-15 -1892 (|#1| |#1| |#2|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3133 ((-141) |#2| |#1|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790))) (-15 -4599 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1225) (-399 |#2|) (-399 |#2|)) (T -61)) 
-NIL 
-(-10 -8 (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2242 (|#1| |#1| (-592) |#4|)) (-15 -2547 (|#1| |#1| (-592) |#3|)) (-15 -4004 ((-658 |#2|) |#1|)) (-15 -2000 (|#4| |#1| (-592))) (-15 -2747 (|#3| |#1| (-592))) (-15 -3927 (|#2| |#1| (-592) (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) (-592))) (-15 -1892 (|#1| |#1| |#2|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3133 ((-141) |#2| |#1|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790))) (-15 -4599 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) (-592) |#1|) 41)) (-2547 (($ $ (-592) |#2|) 39)) (-2242 (($ $ (-592) |#3|) 38)) (-3001 (($) 7 T CONST)) (-2747 ((|#2| $ (-592)) 43)) (-1426 ((|#1| $ (-592) (-592) |#1|) 40)) (-3959 ((|#1| $ (-592) (-592)) 45)) (-4004 (((-658 |#1|) $) 30)) (-4292 (((-790) $) 48)) (-3242 (($ (-790) (-790) |#1|) 54)) (-4298 (((-790) $) 47)) (-4345 (((-141) $ (-790)) 9)) (-4577 (((-592) $) 52)) (-4280 (((-592) $) 50)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1898 (((-592) $) 51)) (-3005 (((-592) $) 49)) (-3987 (($ (-1 |#1| |#1|) $) 34)) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) 53)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) (-592)) 46) ((|#1| $ (-592) (-592) |#1|) 44)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-2000 ((|#3| $ (-592)) 42)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-62 |#1| |#2| |#3|) (-1311) (-1225) (-399 |t#1|) (-399 |t#1|)) (T -62)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-3242 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-790)) (-4 *3 (-1225)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-1892 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1225)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-4577 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) (-1898 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) (-4280 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) (-3005 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) (-4292 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-790)))) (-4298 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-790)))) (-3927 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-1225)))) (-3959 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-1225)))) (-3927 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1225)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)))) (-2747 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1225)) (-4 *5 (-399 *4)) (-4 *2 (-399 *4)))) (-2000 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1225)) (-4 *5 (-399 *4)) (-4 *2 (-399 *4)))) (-4004 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-658 *3)))) (-3932 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1225)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)))) (-1426 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1225)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)))) (-2547 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-592)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1225)) (-4 *3 (-399 *4)) (-4 *5 (-399 *4)))) (-2242 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-592)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1225)) (-4 *5 (-399 *4)) (-4 *3 (-399 *4)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2731 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2731 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3))))) 
-(-13 (-523 |t#1|) (-10 -8 (-6 -4626) (-6 -4625) (-15 -3242 ($ (-790) (-790) |t#1|)) (-15 -1892 ($ $ |t#1|)) (-15 -4577 ((-592) $)) (-15 -1898 ((-592) $)) (-15 -4280 ((-592) $)) (-15 -3005 ((-592) $)) (-15 -4292 ((-790) $)) (-15 -4298 ((-790) $)) (-15 -3927 (|t#1| $ (-592) (-592))) (-15 -3959 (|t#1| $ (-592) (-592))) (-15 -3927 (|t#1| $ (-592) (-592) |t#1|)) (-15 -2747 (|t#2| $ (-592))) (-15 -2000 (|t#3| $ (-592))) (-15 -4004 ((-658 |t#1|) $)) (-15 -3932 (|t#1| $ (-592) (-592) |t#1|)) (-15 -1426 (|t#1| $ (-592) (-592) |t#1|)) (-15 -2547 ($ $ (-592) |t#2|)) (-15 -2242 ($ $ (-592) |t#3|)) (-15 -2731 ($ (-1 |t#1| |t#1|) $)) (-15 -3987 ($ (-1 |t#1| |t#1|) $)) (-15 -2731 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -2731 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1779 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-3657 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-2731 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
-(((-63 |#1| |#2|) (-10 -7 (-15 -1779 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2731 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1225) (-1225)) (T -63)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-63 *5 *2)))) (-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
-(-10 -7 (-15 -1779 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2731 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) |#1|) 11 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3297 (($ (-658 |#1|)) 13) (($ (-790) |#1|) 14)) (-3242 (($ (-790) |#1|) 9)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 7)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -3297 ($ (-658 |#1|))) (-15 -3297 ($ (-790) |#1|)))) (-1225)) (T -64)) 
-((-3297 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-64 *3)))) (-3297 (*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *1 (-64 *3)) (-4 *3 (-1225))))) 
-(-13 (-19 |#1|) (-10 -8 (-15 -3297 ($ (-658 |#1|))) (-15 -3297 ($ (-790) |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) (-592) |#1|) NIL)) (-2547 (($ $ (-592) (-64 |#1|)) NIL)) (-2242 (($ $ (-592) (-64 |#1|)) NIL)) (-3001 (($) NIL T CONST)) (-2747 (((-64 |#1|) $ (-592)) NIL)) (-1426 ((|#1| $ (-592) (-592) |#1|) NIL)) (-3959 ((|#1| $ (-592) (-592)) NIL)) (-4004 (((-658 |#1|) $) NIL)) (-4292 (((-790) $) NIL)) (-3242 (($ (-790) (-790) |#1|) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-4577 (((-592) $) NIL)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1898 (((-592) $) NIL)) (-3005 (((-592) $) NIL)) (-3987 (($ (-1 |#1| |#1|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) (-592)) NIL) ((|#1| $ (-592) (-592) |#1|) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-2000 (((-64 |#1|) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4626))) (-1225)) (T -65)) 
-NIL 
-(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4626))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 69) (((-3 $ "failed") (-1280 (-332 (-592)))) 58) (((-3 $ "failed") (-1280 (-980 (-405)))) 91) (((-3 $ "failed") (-1280 (-980 (-592)))) 80) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 47) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 36)) (-2400 (($ (-1280 (-332 (-405)))) 65) (($ (-1280 (-332 (-592)))) 54) (($ (-1280 (-980 (-405)))) 87) (($ (-1280 (-980 (-592)))) 76) (($ (-1280 (-433 (-980 (-405))))) 43) (($ (-1280 (-433 (-980 (-592))))) 29)) (-3592 (((-1285) $) 118)) (-1683 (((-877) $) 111) (($ (-658 (-350))) 100) (($ (-350)) 94) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 97) (($ (-1280 (-359 (-4466 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4466) (-715)))) 28))) 
-(((-66 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4466) (-715))))))) (-1191)) (T -66)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4466) (-715)))) (-5 *1 (-66 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4466) (-715))))))) 
-((-3592 (((-1285) $) 48) (((-1285)) 49)) (-1683 (((-877) $) 45))) 
-(((-67 |#1|) (-13 (-421) (-10 -7 (-15 -3592 ((-1285))))) (-1191)) (T -67)) 
-((-3592 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-67 *3)) (-14 *3 (-1191))))) 
-(-13 (-421) (-10 -7 (-15 -3592 ((-1285))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 142) (((-3 $ "failed") (-1280 (-332 (-592)))) 132) (((-3 $ "failed") (-1280 (-980 (-405)))) 163) (((-3 $ "failed") (-1280 (-980 (-592)))) 152) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 121) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 110)) (-2400 (($ (-1280 (-332 (-405)))) 138) (($ (-1280 (-332 (-592)))) 128) (($ (-1280 (-980 (-405)))) 159) (($ (-1280 (-980 (-592)))) 148) (($ (-1280 (-433 (-980 (-405))))) 117) (($ (-1280 (-433 (-980 (-592))))) 103)) (-3592 (((-1285) $) 96)) (-1683 (((-877) $) 90) (($ (-658 (-350))) 28) (($ (-350)) 34) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 31) (($ (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715)))) 88))) 
-(((-68 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715))))))) (-1191)) (T -68)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715)))) (-5 *1 (-68 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-332 (-405))) 36) (((-3 $ "failed") (-332 (-592))) 41) (((-3 $ "failed") (-980 (-405))) 46) (((-3 $ "failed") (-980 (-592))) 51) (((-3 $ "failed") (-433 (-980 (-405)))) 31) (((-3 $ "failed") (-433 (-980 (-592)))) 26)) (-2400 (($ (-332 (-405))) 34) (($ (-332 (-592))) 39) (($ (-980 (-405))) 44) (($ (-980 (-592))) 49) (($ (-433 (-980 (-405)))) 29) (($ (-433 (-980 (-592)))) 23)) (-3592 (((-1285) $) 73)) (-1683 (((-877) $) 66) (($ (-658 (-350))) 57) (($ (-350)) 63) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 60) (($ (-359 (-4466 (QUOTE X)) (-4466) (-715))) 22))) 
-(((-69 |#1|) (-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466 (QUOTE X)) (-4466) (-715)))))) (-1191)) (T -69)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-359 (-4466 (QUOTE X)) (-4466) (-715))) (-5 *1 (-69 *3)) (-14 *3 (-1191))))) 
-(-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466 (QUOTE X)) (-4466) (-715)))))) 
-((-4368 (((-3 $ "failed") (-706 (-332 (-405)))) 100) (((-3 $ "failed") (-706 (-332 (-592)))) 89) (((-3 $ "failed") (-706 (-980 (-405)))) 122) (((-3 $ "failed") (-706 (-980 (-592)))) 111) (((-3 $ "failed") (-706 (-433 (-980 (-405))))) 78) (((-3 $ "failed") (-706 (-433 (-980 (-592))))) 67)) (-2400 (($ (-706 (-332 (-405)))) 96) (($ (-706 (-332 (-592)))) 85) (($ (-706 (-980 (-405)))) 118) (($ (-706 (-980 (-592)))) 107) (($ (-706 (-433 (-980 (-405))))) 74) (($ (-706 (-433 (-980 (-592))))) 60)) (-3592 (((-1285) $) 130)) (-1683 (((-877) $) 124) (($ (-658 (-350))) 27) (($ (-350)) 33) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 30) (($ (-706 (-359 (-4466) (-4466 (QUOTE X) (QUOTE HESS)) (-715)))) 53))) 
-(((-70 |#1|) (-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466) (-4466 (QUOTE X) (QUOTE HESS)) (-715))))))) (-1191)) (T -70)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466) (-4466 (QUOTE X) (QUOTE HESS)) (-715)))) (-5 *1 (-70 *3)) (-14 *3 (-1191))))) 
-(-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466) (-4466 (QUOTE X) (QUOTE HESS)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-332 (-405))) 54) (((-3 $ "failed") (-332 (-592))) 59) (((-3 $ "failed") (-980 (-405))) 64) (((-3 $ "failed") (-980 (-592))) 69) (((-3 $ "failed") (-433 (-980 (-405)))) 49) (((-3 $ "failed") (-433 (-980 (-592)))) 44)) (-2400 (($ (-332 (-405))) 52) (($ (-332 (-592))) 57) (($ (-980 (-405))) 62) (($ (-980 (-592))) 67) (($ (-433 (-980 (-405)))) 47) (($ (-433 (-980 (-592)))) 41)) (-3592 (((-1285) $) 78)) (-1683 (((-877) $) 72) (($ (-658 (-350))) 27) (($ (-350)) 33) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 30) (($ (-359 (-4466) (-4466 (QUOTE XC)) (-715))) 38))) 
-(((-71 |#1|) (-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466) (-4466 (QUOTE XC)) (-715)))))) (-1191)) (T -71)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-359 (-4466) (-4466 (QUOTE XC)) (-715))) (-5 *1 (-71 *3)) (-14 *3 (-1191))))) 
-(-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466) (-4466 (QUOTE XC)) (-715)))))) 
-((-3592 (((-1285) $) 63)) (-1683 (((-877) $) 57) (($ (-706 (-715))) 49) (($ (-658 (-350))) 48) (($ (-350)) 55) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 53))) 
-(((-72 |#1|) (-409) (-1191)) (T -72)) 
-NIL 
-(-409) 
-((-3592 (((-1285) $) 64)) (-1683 (((-877) $) 58) (($ (-706 (-715))) 50) (($ (-658 (-350))) 49) (($ (-350)) 52) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 55))) 
-(((-73 |#1|) (-409) (-1191)) (T -73)) 
-NIL 
-(-409) 
-((-3592 (((-1285) $) NIL) (((-1285)) 32)) (-1683 (((-877) $) NIL))) 
-(((-74 |#1|) (-13 (-421) (-10 -7 (-15 -3592 ((-1285))))) (-1191)) (T -74)) 
-((-3592 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-74 *3)) (-14 *3 (-1191))))) 
-(-13 (-421) (-10 -7 (-15 -3592 ((-1285))))) 
-((-3592 (((-1285) $) 68)) (-1683 (((-877) $) 62) (($ (-706 (-715))) 53) (($ (-658 (-350))) 56) (($ (-350)) 59) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 52))) 
-(((-75 |#1|) (-409) (-1191)) (T -75)) 
-NIL 
-(-409) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 98) (((-3 $ "failed") (-1280 (-332 (-592)))) 87) (((-3 $ "failed") (-1280 (-980 (-405)))) 119) (((-3 $ "failed") (-1280 (-980 (-592)))) 108) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 76) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 65)) (-2400 (($ (-1280 (-332 (-405)))) 94) (($ (-1280 (-332 (-592)))) 83) (($ (-1280 (-980 (-405)))) 115) (($ (-1280 (-980 (-592)))) 104) (($ (-1280 (-433 (-980 (-405))))) 72) (($ (-1280 (-433 (-980 (-592))))) 58)) (-3592 (((-1285) $) 133)) (-1683 (((-877) $) 127) (($ (-658 (-350))) 122) (($ (-350)) 125) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 50) (($ (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))) 51))) 
-(((-76 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))))))) (-1191)) (T -76)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))) (-5 *1 (-76 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))))))) 
-((-3592 (((-1285) $) 32) (((-1285)) 31)) (-1683 (((-877) $) 35))) 
-(((-77 |#1|) (-13 (-421) (-10 -7 (-15 -3592 ((-1285))))) (-1191)) (T -77)) 
-((-3592 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-77 *3)) (-14 *3 (-1191))))) 
-(-13 (-421) (-10 -7 (-15 -3592 ((-1285))))) 
-((-3592 (((-1285) $) 62)) (-1683 (((-877) $) 56) (($ (-706 (-715))) 47) (($ (-658 (-350))) 50) (($ (-350)) 53) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 46))) 
-(((-78 |#1|) (-409) (-1191)) (T -78)) 
-NIL 
-(-409) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 119) (((-3 $ "failed") (-1280 (-332 (-592)))) 108) (((-3 $ "failed") (-1280 (-980 (-405)))) 141) (((-3 $ "failed") (-1280 (-980 (-592)))) 130) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 98) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 87)) (-2400 (($ (-1280 (-332 (-405)))) 115) (($ (-1280 (-332 (-592)))) 104) (($ (-1280 (-980 (-405)))) 137) (($ (-1280 (-980 (-592)))) 126) (($ (-1280 (-433 (-980 (-405))))) 94) (($ (-1280 (-433 (-980 (-592))))) 80)) (-3592 (((-1285) $) 73)) (-1683 (((-877) $) 27) (($ (-658 (-350))) 63) (($ (-350)) 59) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 66) (($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) 60))) 
-(((-79 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715))))))) (-1191)) (T -79)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) (-5 *1 (-79 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 125) (((-3 $ "failed") (-1280 (-332 (-592)))) 114) (((-3 $ "failed") (-1280 (-980 (-405)))) 147) (((-3 $ "failed") (-1280 (-980 (-592)))) 136) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 103) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 92)) (-2400 (($ (-1280 (-332 (-405)))) 121) (($ (-1280 (-332 (-592)))) 110) (($ (-1280 (-980 (-405)))) 143) (($ (-1280 (-980 (-592)))) 132) (($ (-1280 (-433 (-980 (-405))))) 99) (($ (-1280 (-433 (-980 (-592))))) 85)) (-3592 (((-1285) $) 78)) (-1683 (((-877) $) 70) (($ (-658 (-350))) NIL) (($ (-350)) NIL) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) NIL) (($ (-1280 (-359 (-4466 (QUOTE X) (QUOTE EPS)) (-4466 (QUOTE -3820)) (-715)))) 65))) 
-(((-80 |#1| |#2| |#3|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X) (QUOTE EPS)) (-4466 (QUOTE -3820)) (-715))))))) (-1191) (-1191) (-1191)) (T -80)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X) (QUOTE EPS)) (-4466 (QUOTE -3820)) (-715)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1191)) (-14 *4 (-1191)) (-14 *5 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X) (QUOTE EPS)) (-4466 (QUOTE -3820)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 129) (((-3 $ "failed") (-1280 (-332 (-592)))) 118) (((-3 $ "failed") (-1280 (-980 (-405)))) 151) (((-3 $ "failed") (-1280 (-980 (-592)))) 140) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 107) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 96)) (-2400 (($ (-1280 (-332 (-405)))) 125) (($ (-1280 (-332 (-592)))) 114) (($ (-1280 (-980 (-405)))) 147) (($ (-1280 (-980 (-592)))) 136) (($ (-1280 (-433 (-980 (-405))))) 103) (($ (-1280 (-433 (-980 (-592))))) 89)) (-3592 (((-1285) $) 82)) (-1683 (((-877) $) 74) (($ (-658 (-350))) NIL) (($ (-350)) NIL) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) NIL) (($ (-1280 (-359 (-4466 (QUOTE EPS)) (-4466 (QUOTE YA) (QUOTE YB)) (-715)))) 69))) 
-(((-81 |#1| |#2| |#3|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE EPS)) (-4466 (QUOTE YA) (QUOTE YB)) (-715))))))) (-1191) (-1191) (-1191)) (T -81)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE EPS)) (-4466 (QUOTE YA) (QUOTE YB)) (-715)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1191)) (-14 *4 (-1191)) (-14 *5 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE EPS)) (-4466 (QUOTE YA) (QUOTE YB)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-332 (-405))) 77) (((-3 $ "failed") (-332 (-592))) 82) (((-3 $ "failed") (-980 (-405))) 87) (((-3 $ "failed") (-980 (-592))) 92) (((-3 $ "failed") (-433 (-980 (-405)))) 72) (((-3 $ "failed") (-433 (-980 (-592)))) 67)) (-2400 (($ (-332 (-405))) 75) (($ (-332 (-592))) 80) (($ (-980 (-405))) 85) (($ (-980 (-592))) 90) (($ (-433 (-980 (-405)))) 70) (($ (-433 (-980 (-592)))) 64)) (-3592 (((-1285) $) 61)) (-1683 (((-877) $) 49) (($ (-658 (-350))) 45) (($ (-350)) 55) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 53) (($ (-359 (-4466) (-4466 (QUOTE X)) (-715))) 46))) 
-(((-82 |#1|) (-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466) (-4466 (QUOTE X)) (-715)))))) (-1191)) (T -82)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-359 (-4466) (-4466 (QUOTE X)) (-715))) (-5 *1 (-82 *3)) (-14 *3 (-1191))))) 
-(-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466) (-4466 (QUOTE X)) (-715)))))) 
-((-4368 (((-3 $ "failed") (-332 (-405))) 41) (((-3 $ "failed") (-332 (-592))) 46) (((-3 $ "failed") (-980 (-405))) 51) (((-3 $ "failed") (-980 (-592))) 56) (((-3 $ "failed") (-433 (-980 (-405)))) 36) (((-3 $ "failed") (-433 (-980 (-592)))) 31)) (-2400 (($ (-332 (-405))) 39) (($ (-332 (-592))) 44) (($ (-980 (-405))) 49) (($ (-980 (-592))) 54) (($ (-433 (-980 (-405)))) 34) (($ (-433 (-980 (-592)))) 28)) (-3592 (((-1285) $) 77)) (-1683 (((-877) $) 71) (($ (-658 (-350))) 62) (($ (-350)) 68) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 65) (($ (-359 (-4466) (-4466 (QUOTE X)) (-715))) 27))) 
-(((-83 |#1|) (-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466) (-4466 (QUOTE X)) (-715)))))) (-1191)) (T -83)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-359 (-4466) (-4466 (QUOTE X)) (-715))) (-5 *1 (-83 *3)) (-14 *3 (-1191))))) 
-(-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466) (-4466 (QUOTE X)) (-715)))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 84) (((-3 $ "failed") (-1280 (-332 (-592)))) 73) (((-3 $ "failed") (-1280 (-980 (-405)))) 106) (((-3 $ "failed") (-1280 (-980 (-592)))) 95) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 62) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 51)) (-2400 (($ (-1280 (-332 (-405)))) 80) (($ (-1280 (-332 (-592)))) 69) (($ (-1280 (-980 (-405)))) 102) (($ (-1280 (-980 (-592)))) 91) (($ (-1280 (-433 (-980 (-405))))) 58) (($ (-1280 (-433 (-980 (-592))))) 44)) (-3592 (((-1285) $) 122)) (-1683 (((-877) $) 116) (($ (-658 (-350))) 109) (($ (-350)) 36) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 112) (($ (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715)))) 37))) 
-(((-84 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715))))))) (-1191)) (T -84)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715)))) (-5 *1 (-84 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 137) (((-3 $ "failed") (-1280 (-332 (-592)))) 126) (((-3 $ "failed") (-1280 (-980 (-405)))) 158) (((-3 $ "failed") (-1280 (-980 (-592)))) 147) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 116) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 105)) (-2400 (($ (-1280 (-332 (-405)))) 133) (($ (-1280 (-332 (-592)))) 122) (($ (-1280 (-980 (-405)))) 154) (($ (-1280 (-980 (-592)))) 143) (($ (-1280 (-433 (-980 (-405))))) 112) (($ (-1280 (-433 (-980 (-592))))) 98)) (-3592 (((-1285) $) 91)) (-1683 (((-877) $) 85) (($ (-658 (-350))) 76) (($ (-350)) 83) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 81) (($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) 77))) 
-(((-85 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715))))))) (-1191)) (T -85)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) (-5 *1 (-85 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 73) (((-3 $ "failed") (-1280 (-332 (-592)))) 62) (((-3 $ "failed") (-1280 (-980 (-405)))) 95) (((-3 $ "failed") (-1280 (-980 (-592)))) 84) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 51) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 40)) (-2400 (($ (-1280 (-332 (-405)))) 69) (($ (-1280 (-332 (-592)))) 58) (($ (-1280 (-980 (-405)))) 91) (($ (-1280 (-980 (-592)))) 80) (($ (-1280 (-433 (-980 (-405))))) 47) (($ (-1280 (-433 (-980 (-592))))) 33)) (-3592 (((-1285) $) 121)) (-1683 (((-877) $) 115) (($ (-658 (-350))) 106) (($ (-350)) 112) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 110) (($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) 32))) 
-(((-86 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715))))))) (-1191)) (T -86)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) (-5 *1 (-86 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 90) (((-3 $ "failed") (-1280 (-332 (-592)))) 79) (((-3 $ "failed") (-1280 (-980 (-405)))) 112) (((-3 $ "failed") (-1280 (-980 (-592)))) 101) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 68) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 57)) (-2400 (($ (-1280 (-332 (-405)))) 86) (($ (-1280 (-332 (-592)))) 75) (($ (-1280 (-980 (-405)))) 108) (($ (-1280 (-980 (-592)))) 97) (($ (-1280 (-433 (-980 (-405))))) 64) (($ (-1280 (-433 (-980 (-592))))) 50)) (-3592 (((-1285) $) 43)) (-1683 (((-877) $) 36) (($ (-658 (-350))) 26) (($ (-350)) 29) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 32) (($ (-1280 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715)))) 27))) 
-(((-87 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715))))))) (-1191)) (T -87)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715)))) (-5 *1 (-87 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715))))))) 
-((-4368 (((-3 $ "failed") (-706 (-332 (-405)))) 103) (((-3 $ "failed") (-706 (-332 (-592)))) 92) (((-3 $ "failed") (-706 (-980 (-405)))) 125) (((-3 $ "failed") (-706 (-980 (-592)))) 114) (((-3 $ "failed") (-706 (-433 (-980 (-405))))) 82) (((-3 $ "failed") (-706 (-433 (-980 (-592))))) 71)) (-2400 (($ (-706 (-332 (-405)))) 99) (($ (-706 (-332 (-592)))) 88) (($ (-706 (-980 (-405)))) 121) (($ (-706 (-980 (-592)))) 110) (($ (-706 (-433 (-980 (-405))))) 78) (($ (-706 (-433 (-980 (-592))))) 64)) (-3592 (((-1285) $) 57)) (-1683 (((-877) $) 43) (($ (-658 (-350))) 50) (($ (-350)) 39) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 47) (($ (-706 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715)))) 40))) 
-(((-88 |#1|) (-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715))))))) (-1191)) (T -88)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715)))) (-5 *1 (-88 *3)) (-14 *3 (-1191))))) 
-(-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715))))))) 
-((-4368 (((-3 $ "failed") (-706 (-332 (-405)))) 103) (((-3 $ "failed") (-706 (-332 (-592)))) 92) (((-3 $ "failed") (-706 (-980 (-405)))) 124) (((-3 $ "failed") (-706 (-980 (-592)))) 113) (((-3 $ "failed") (-706 (-433 (-980 (-405))))) 81) (((-3 $ "failed") (-706 (-433 (-980 (-592))))) 70)) (-2400 (($ (-706 (-332 (-405)))) 99) (($ (-706 (-332 (-592)))) 88) (($ (-706 (-980 (-405)))) 120) (($ (-706 (-980 (-592)))) 109) (($ (-706 (-433 (-980 (-405))))) 77) (($ (-706 (-433 (-980 (-592))))) 63)) (-3592 (((-1285) $) 56)) (-1683 (((-877) $) 50) (($ (-658 (-350))) 44) (($ (-350)) 47) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 40) (($ (-706 (-359 (-4466 (QUOTE X)) (-4466) (-715)))) 41))) 
-(((-89 |#1|) (-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466 (QUOTE X)) (-4466) (-715))))))) (-1191)) (T -89)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466 (QUOTE X)) (-4466) (-715)))) (-5 *1 (-89 *3)) (-14 *3 (-1191))))) 
-(-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466 (QUOTE X)) (-4466) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 99) (((-3 $ "failed") (-1280 (-332 (-592)))) 88) (((-3 $ "failed") (-1280 (-980 (-405)))) 121) (((-3 $ "failed") (-1280 (-980 (-592)))) 110) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 77) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 66)) (-2400 (($ (-1280 (-332 (-405)))) 95) (($ (-1280 (-332 (-592)))) 84) (($ (-1280 (-980 (-405)))) 117) (($ (-1280 (-980 (-592)))) 106) (($ (-1280 (-433 (-980 (-405))))) 73) (($ (-1280 (-433 (-980 (-592))))) 59)) (-3592 (((-1285) $) 45)) (-1683 (((-877) $) 39) (($ (-658 (-350))) 48) (($ (-350)) 35) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 51) (($ (-1280 (-359 (-4466 (QUOTE X)) (-4466) (-715)))) 36))) 
-(((-90 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X)) (-4466) (-715))))))) (-1191)) (T -90)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X)) (-4466) (-715)))) (-5 *1 (-90 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X)) (-4466) (-715))))))) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 74) (((-3 $ "failed") (-1280 (-332 (-592)))) 63) (((-3 $ "failed") (-1280 (-980 (-405)))) 96) (((-3 $ "failed") (-1280 (-980 (-592)))) 85) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 52) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 41)) (-2400 (($ (-1280 (-332 (-405)))) 70) (($ (-1280 (-332 (-592)))) 59) (($ (-1280 (-980 (-405)))) 92) (($ (-1280 (-980 (-592)))) 81) (($ (-1280 (-433 (-980 (-405))))) 48) (($ (-1280 (-433 (-980 (-592))))) 34)) (-3592 (((-1285) $) 122)) (-1683 (((-877) $) 116) (($ (-658 (-350))) 107) (($ (-350)) 113) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 111) (($ (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))) 33))) 
-(((-91 |#1|) (-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))))))) (-1191)) (T -91)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))) (-5 *1 (-91 *3)) (-14 *3 (-1191))))) 
-(-13 (-466) (-10 -8 (-15 -1683 ($ (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))))))) 
-((-4368 (((-3 $ "failed") (-706 (-332 (-405)))) 105) (((-3 $ "failed") (-706 (-332 (-592)))) 94) (((-3 $ "failed") (-706 (-980 (-405)))) 127) (((-3 $ "failed") (-706 (-980 (-592)))) 116) (((-3 $ "failed") (-706 (-433 (-980 (-405))))) 83) (((-3 $ "failed") (-706 (-433 (-980 (-592))))) 72)) (-2400 (($ (-706 (-332 (-405)))) 101) (($ (-706 (-332 (-592)))) 90) (($ (-706 (-980 (-405)))) 123) (($ (-706 (-980 (-592)))) 112) (($ (-706 (-433 (-980 (-405))))) 79) (($ (-706 (-433 (-980 (-592))))) 65)) (-3592 (((-1285) $) 58)) (-1683 (((-877) $) 52) (($ (-658 (-350))) 42) (($ (-350)) 49) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 47) (($ (-706 (-359 (-4466 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4466) (-715)))) 43))) 
-(((-92 |#1|) (-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4466) (-715))))))) (-1191)) (T -92)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4466) (-715)))) (-5 *1 (-92 *3)) (-14 *3 (-1191))))) 
-(-13 (-410) (-10 -8 (-15 -1683 ($ (-706 (-359 (-4466 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4466) (-715))))))) 
-((-3592 (((-1285) $) 44)) (-1683 (((-877) $) 38) (($ (-1280 (-715))) 88) (($ (-658 (-350))) 29) (($ (-350)) 35) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 32))) 
-(((-93 |#1|) (-465) (-1191)) (T -93)) 
-NIL 
-(-465) 
-((-4368 (((-3 $ "failed") (-332 (-405))) 42) (((-3 $ "failed") (-332 (-592))) 47) (((-3 $ "failed") (-980 (-405))) 52) (((-3 $ "failed") (-980 (-592))) 57) (((-3 $ "failed") (-433 (-980 (-405)))) 37) (((-3 $ "failed") (-433 (-980 (-592)))) 32)) (-2400 (($ (-332 (-405))) 40) (($ (-332 (-592))) 45) (($ (-980 (-405))) 50) (($ (-980 (-592))) 55) (($ (-433 (-980 (-405)))) 35) (($ (-433 (-980 (-592)))) 29)) (-3592 (((-1285) $) 88)) (-1683 (((-877) $) 82) (($ (-658 (-350))) 76) (($ (-350)) 79) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 73) (($ (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))) 28))) 
-(((-94 |#1|) (-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))))) (-1191)) (T -94)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))) (-5 *1 (-94 *3)) (-14 *3 (-1191))))) 
-(-13 (-422) (-10 -8 (-15 -1683 ($ (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))))) 
-((-2066 (((-1280 (-706 |#1|)) (-706 |#1|)) 54)) (-3176 (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 (-658 (-944))))) |#2| (-944)) 44)) (-1680 (((-2 (|:| |minor| (-658 (-944))) (|:| -2042 |#2|) (|:| |minors| (-658 (-658 (-944)))) (|:| |ops| (-658 |#2|))) |#2| (-944)) 62 (|has| |#1| (-388))))) 
-(((-95 |#1| |#2|) (-10 -7 (-15 -3176 ((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 (-658 (-944))))) |#2| (-944))) (-15 -2066 ((-1280 (-706 |#1|)) (-706 |#1|))) (IF (|has| |#1| (-388)) (-15 -1680 ((-2 (|:| |minor| (-658 (-944))) (|:| -2042 |#2|) (|:| |minors| (-658 (-658 (-944)))) (|:| |ops| (-658 |#2|))) |#2| (-944))) |noBranch|)) (-582) (-670 |#1|)) (T -95)) 
-((-1680 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |minor| (-658 (-944))) (|:| -2042 *3) (|:| |minors| (-658 (-658 (-944)))) (|:| |ops| (-658 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-944)) (-4 *3 (-670 *5)))) (-2066 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-1280 (-706 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-706 *4)) (-4 *5 (-670 *4)))) (-3176 (*1 *2 *3 *4) (-12 (-4 *5 (-582)) (-5 *2 (-2 (|:| -3253 (-706 *5)) (|:| |vec| (-1280 (-658 (-944)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-944)) (-4 *3 (-670 *5))))) 
-(-10 -7 (-15 -3176 ((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 (-658 (-944))))) |#2| (-944))) (-15 -2066 ((-1280 (-706 |#1|)) (-706 |#1|))) (IF (|has| |#1| (-388)) (-15 -1680 ((-2 (|:| |minor| (-658 (-944))) (|:| -2042 |#2|) (|:| |minors| (-658 (-658 (-944)))) (|:| |ops| (-658 |#2|))) |#2| (-944))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3349 ((|#1| $) 34)) (-2126 (((-141) $ (-790)) NIL)) (-3001 (($) NIL T CONST)) (-3568 ((|#1| |#1| $) 30)) (-2486 ((|#1| $) 28)) (-4004 (((-658 |#1|) $) 39 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 41)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4137 ((|#1| $) 45)) (-2113 (($ |#1| $) 31)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-2106 ((|#1| $) 29)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 16)) (-2890 (($) 38)) (-3439 (((-790) $) 26)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 15)) (-1683 (((-877) $) 25 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) NIL)) (-3335 (($ (-658 |#1|)) 36)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 13 (|has| |#1| (-1119)))) (-1699 (((-790) $) 10 (|has| $ (-6 -4625))))) 
-(((-96 |#1|) (-13 (-1138 |#1|) (-10 -8 (-15 -3335 ($ (-658 |#1|))) (-15 -2486 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -3568 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -3349 (|#1| $)) (-15 -3439 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) (-1119)) (T -96)) 
-((-1724 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-2890 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) (-2554 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-96 *4)) (-4 *4 (-1119)))) (-4345 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-96 *4)) (-4 *4 (-1119)))) (-2126 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-96 *4)) (-4 *4 (-1119)))) (-3001 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-96 *3)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-96 *3)))) (-3369 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-96 *4)))) (-3002 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-96 *4)))) (-3452 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-96 *4)))) (-4004 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) (-4467 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) (-3452 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3133 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2685 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2951 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1641 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-4560 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-96 *3)))) (-2106 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-4137 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-3568 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-2486 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-3349 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) (-3439 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) (-3335 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-96 *3))))) 
-(-13 (-1138 |#1|) (-10 -8 (-15 -3335 ($ (-658 |#1|))) (-15 -2486 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -3568 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -3349 (|#1| $)) (-15 -3439 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) 
-NIL 
-(((-97) (-1311)) (T -97)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-98) (-1311)) (T -98)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-99) (-1311)) (T -99)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-100) (-1311)) (T -100)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-101) (-1311)) (T -101)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-102) (-1311)) (T -102)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-103) (-1311)) (T -103)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-104) (-1311)) (T -104)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-105) (-1311)) (T -105)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-106) (-1311)) (T -106)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-107) (-1311)) (T -107)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-108) (-1311)) (T -108)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-109) (-1311)) (T -109)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-110) (-1311)) (T -110)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-111) (-1311)) (T -111)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-112) (-1311)) (T -112)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-113) (-1311)) (T -113)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-NIL 
-(((-114) (-1311)) (T -114)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-((-1559 (($ $) 10)) (-1567 (($ $) 12))) 
-(((-115 |#1|) (-10 -8 (-15 -1567 (|#1| |#1|)) (-15 -1559 (|#1| |#1|))) (-116)) (T -115)) 
-NIL 
-(-10 -8 (-15 -1567 (|#1| |#1|)) (-15 -1559 (|#1| |#1|))) 
-((-1546 (($ $) 11)) (-1533 (($ $) 10)) (-1559 (($ $) 9)) (-1567 (($ $) 8)) (-1552 (($ $) 7)) (-1540 (($ $) 6))) 
-(((-116) (-1311)) (T -116)) 
-((-1546 (*1 *1 *1) (-4 *1 (-116))) (-1533 (*1 *1 *1) (-4 *1 (-116))) (-1559 (*1 *1 *1) (-4 *1 (-116))) (-1567 (*1 *1 *1) (-4 *1 (-116))) (-1552 (*1 *1 *1) (-4 *1 (-116))) (-1540 (*1 *1 *1) (-4 *1 (-116)))) 
-(-13 (-10 -8 (-15 -1540 ($ $)) (-15 -1552 ($ $)) (-15 -1567 ($ $)) (-15 -1559 ($ $)) (-15 -1533 ($ $)) (-15 -1546 ($ $)))) 
-NIL 
-(((-117) (-1311)) (T -117)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-((-1641 (((-141) $ $) NIL)) (-2546 (((-405) (-1173) (-405)) 42) (((-405) (-1173) (-1173) (-405)) 41)) (-3487 (((-405) (-405)) 33)) (-3790 (((-1285)) 36)) (-2685 (((-1173) $) NIL)) (-1471 (((-405) (-1173) (-1173)) 46) (((-405) (-1173)) 48)) (-2951 (((-1137) $) NIL)) (-2602 (((-405) (-1173) (-1173)) 47)) (-1921 (((-405) (-1173) (-1173)) 49) (((-405) (-1173)) 50)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-118) (-13 (-1119) (-10 -7 (-15 -1471 ((-405) (-1173) (-1173))) (-15 -1471 ((-405) (-1173))) (-15 -1921 ((-405) (-1173) (-1173))) (-15 -1921 ((-405) (-1173))) (-15 -2602 ((-405) (-1173) (-1173))) (-15 -3790 ((-1285))) (-15 -3487 ((-405) (-405))) (-15 -2546 ((-405) (-1173) (-405))) (-15 -2546 ((-405) (-1173) (-1173) (-405))) (-6 -4625)))) (T -118)) 
-((-1471 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) (-1471 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) (-1921 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) (-1921 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) (-2602 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) (-3790 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-118)))) (-3487 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-118)))) (-2546 (*1 *2 *3 *2) (-12 (-5 *2 (-405)) (-5 *3 (-1173)) (-5 *1 (-118)))) (-2546 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-405)) (-5 *3 (-1173)) (-5 *1 (-118))))) 
-(-13 (-1119) (-10 -7 (-15 -1471 ((-405) (-1173) (-1173))) (-15 -1471 ((-405) (-1173))) (-15 -1921 ((-405) (-1173) (-1173))) (-15 -1921 ((-405) (-1173))) (-15 -2602 ((-405) (-1173) (-1173))) (-15 -3790 ((-1285))) (-15 -3487 ((-405) (-405))) (-15 -2546 ((-405) (-1173) (-405))) (-15 -2546 ((-405) (-1173) (-1173) (-405))) (-6 -4625))) 
-NIL 
-(((-119) (-1311)) (T -119)) 
-NIL 
-(-13 (-10 -7 (-6 -4625) (-6 (-4627 "*")) (-6 -4626) (-6 -4622) (-6 -4620) (-6 -4619) (-6 -4618) (-6 -4623) (-6 -4617) (-6 -4616) (-6 -4615) (-6 -4614) (-6 -4613) (-6 -4621) (-6 -4624) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4612) (-6 -2642))) 
-NIL 
-(((-120) (-1311)) (T -120)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-((-1641 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2333 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-592))) 22)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 14)) (-2951 (((-1137) $) NIL)) (-3927 ((|#1| $ |#1|) 11)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) 20)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 8 T CONST)) (-3255 (((-141) $ $) 10)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) 28) (($ $ (-790)) NIL) (($ $ (-592)) 16)) (* (($ $ $) 29))) 
-(((-121 |#1|) (-13 (-502) (-303 |#1| |#1|) (-10 -8 (-15 -2333 ($ (-1 |#1| |#1|))) (-15 -2333 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -2333 ($ (-1 |#1| |#1| (-592)))))) (-1075)) (T -121)) 
-((-2333 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-121 *3)))) (-2333 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-121 *3)))) (-2333 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-592))) (-4 *3 (-1075)) (-5 *1 (-121 *3))))) 
-(-13 (-502) (-303 |#1| |#1|) (-10 -8 (-15 -2333 ($ (-1 |#1| |#1|))) (-15 -2333 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -2333 ($ (-1 |#1| |#1| (-592)))))) 
-((-4497 (((-1285) (-1123)) 20)) (-2293 (((-1173) (-1173) (-1173)) 7)) (-2464 (((-1285) (-592) (-1 (-1285) (-1123))) 14))) 
-(((-122) (-10 -7 (-15 -2464 ((-1285) (-592) (-1 (-1285) (-1123)))) (-15 -4497 ((-1285) (-1123))) (-15 -2293 ((-1173) (-1173) (-1173))))) (T -122)) 
-((-2293 (*1 *2 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-122)))) (-4497 (*1 *2 *3) (-12 (-5 *3 (-1123)) (-5 *2 (-1285)) (-5 *1 (-122)))) (-2464 (*1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-1 (-1285) (-1123))) (-5 *2 (-1285)) (-5 *1 (-122))))) 
-(-10 -7 (-15 -2464 ((-1285) (-592) (-1 (-1285) (-1123)))) (-15 -4497 ((-1285) (-1123))) (-15 -2293 ((-1173) (-1173) (-1173)))) 
-((-2622 (((-444 |#2|) |#2| (-658 |#2|)) 10) (((-444 |#2|) |#2| |#2|) 11))) 
-(((-123 |#1| |#2|) (-10 -7 (-15 -2622 ((-444 |#2|) |#2| |#2|)) (-15 -2622 ((-444 |#2|) |#2| (-658 |#2|)))) (-13 (-477) (-171)) (-1255 |#1|)) (T -123)) 
-((-2622 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-13 (-477) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-123 *5 *3)))) (-2622 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-477) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-123 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -2622 ((-444 |#2|) |#2| |#2|)) (-15 -2622 ((-444 |#2|) |#2| (-658 |#2|)))) 
-((-1641 (((-141) $ $) 9))) 
-(((-124 |#1|) (-10 -8 (-15 -1641 ((-141) |#1| |#1|))) (-125)) (T -124)) 
-NIL 
-(-10 -8 (-15 -1641 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-3255 (((-141) $ $) 6))) 
-(((-125) (-1311)) (T -125)) 
-((-1641 (*1 *2 *1 *1) (-12 (-4 *1 (-125)) (-5 *2 (-141)))) (-3255 (*1 *2 *1 *1) (-12 (-4 *1 (-125)) (-5 *2 (-141))))) 
-(-13 (-10 -8 (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) 13 (|has| $ (-6 -4626)))) (-2949 (($ $ $) NIL (|has| $ (-6 -4626)))) (-1348 (($ $ $) NIL (|has| $ (-6 -4626)))) (-3492 (($ $ (-658 |#1|)) 15)) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "left" $) NIL (|has| $ (-6 -4626))) (($ $ "right" $) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-1954 (($ $) 11)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-4245 (($ $ |#1| $) 17)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3464 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-2611 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-658 |#1|) |#1| |#1| |#1|)) 35)) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-1961 (($ $) 10)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) 12)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 9)) (-2890 (($) 16)) (-3927 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1702 (($ (-790) |#1|) 19)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-126 |#1|) (-13 (-155 |#1|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -1702 ($ (-790) |#1|)) (-15 -3492 ($ $ (-658 |#1|))) (-15 -3464 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -3464 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2611 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2611 ($ $ |#1| (-1 (-658 |#1|) |#1| |#1| |#1|))))) (-1119)) (T -126)) 
-((-1702 (*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *1 (-126 *3)) (-4 *3 (-1119)))) (-3492 (*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-126 *3)))) (-3464 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-126 *2)) (-4 *2 (-1119)))) (-3464 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-126 *3)))) (-2611 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1119)) (-5 *1 (-126 *2)))) (-2611 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-658 *2) *2 *2 *2)) (-4 *2 (-1119)) (-5 *1 (-126 *2))))) 
-(-13 (-155 |#1|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -1702 ($ (-790) |#1|)) (-15 -3492 ($ $ (-658 |#1|))) (-15 -3464 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -3464 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2611 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2611 ($ $ |#1| (-1 (-658 |#1|) |#1| |#1| |#1|))))) 
-((-3018 (((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|)) 20)) (-3317 (((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|)) 17)) (-3946 (((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|)) 21))) 
-(((-127 |#1|) (-10 -7 (-15 -3317 ((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|))) (-15 -3018 ((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|))) (-15 -3946 ((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|)))) (-1075)) (T -127)) 
-((-3946 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-1 (-658 *4) *4)) (-5 *1 (-127 *4)) (-5 *3 (-658 *4)))) (-3018 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-1 (-658 *4) *4)) (-5 *1 (-127 *4)) (-5 *3 (-658 *4)))) (-3317 (*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-1 (-658 *4) *4)) (-5 *1 (-127 *4)) (-5 *3 (-658 *4))))) 
-(-10 -7 (-15 -3317 ((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|))) (-15 -3018 ((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|))) (-15 -3946 ((-1 (-658 |#1|) |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|) (-658 |#1|)))) 
-((-3211 ((|#3| |#2| |#2|) 28)) (-4604 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4627 "*"))))) (-1791 ((|#3| |#2| |#2|) 29)) (-2957 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4627 "*")))))) 
-(((-128 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3211 (|#3| |#2| |#2|)) (-15 -1791 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4627 "*"))) (PROGN (-15 -4604 (|#1| |#2| |#2|)) (-15 -2957 (|#1| |#2|))) |noBranch|)) (-1075) (-1255 |#1|) (-704 |#1| |#4| |#5|) (-399 |#1|) (-399 |#1|)) (T -128)) 
-((-2957 (*1 *2 *3) (-12 (|has| *2 (-6 (-4627 "*"))) (-4 *5 (-399 *2)) (-4 *6 (-399 *2)) (-4 *2 (-1075)) (-5 *1 (-128 *2 *3 *4 *5 *6)) (-4 *3 (-1255 *2)) (-4 *4 (-704 *2 *5 *6)))) (-4604 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4627 "*"))) (-4 *5 (-399 *2)) (-4 *6 (-399 *2)) (-4 *2 (-1075)) (-5 *1 (-128 *2 *3 *4 *5 *6)) (-4 *3 (-1255 *2)) (-4 *4 (-704 *2 *5 *6)))) (-1791 (*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-128 *4 *3 *2 *5 *6)) (-4 *3 (-1255 *4)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) (-3211 (*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-128 *4 *3 *2 *5 *6)) (-4 *3 (-1255 *4)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4))))) 
-(-10 -7 (-15 -3211 (|#3| |#2| |#2|)) (-15 -1791 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4627 "*"))) (PROGN (-15 -4604 (|#1| |#2| |#2|)) (-15 -2957 (|#1| |#2|))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-2757 (((-658 (-1191))) 32)) (-3448 (((-2 (|:| |zeros| (-1171 (-237))) (|:| |ones| (-1171 (-237))) (|:| |singularities| (-1171 (-237)))) (-1191)) 35)) (-3255 (((-141) $ $) NIL))) 
-(((-129) (-13 (-1119) (-10 -7 (-15 -2757 ((-658 (-1191)))) (-15 -3448 ((-2 (|:| |zeros| (-1171 (-237))) (|:| |ones| (-1171 (-237))) (|:| |singularities| (-1171 (-237)))) (-1191))) (-6 -4625)))) (T -129)) 
-((-2757 (*1 *2) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-129)))) (-3448 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-2 (|:| |zeros| (-1171 (-237))) (|:| |ones| (-1171 (-237))) (|:| |singularities| (-1171 (-237))))) (-5 *1 (-129))))) 
-(-13 (-1119) (-10 -7 (-15 -2757 ((-658 (-1191)))) (-15 -3448 ((-2 (|:| |zeros| (-1171 (-237))) (|:| |ones| (-1171 (-237))) (|:| |singularities| (-1171 (-237)))) (-1191))) (-6 -4625))) 
-((-4560 (($ (-658 |#2|)) 11))) 
-(((-130 |#1| |#2|) (-10 -8 (-15 -4560 (|#1| (-658 |#2|)))) (-131 |#2|) (-1225)) (T -130)) 
-NIL 
-(-10 -8 (-15 -4560 (|#1| (-658 |#2|)))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-131 |#1|) (-1311) (-1225)) (T -131)) 
-((-4560 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-4 *1 (-131 *3)))) (-2106 (*1 *2 *1) (-12 (-4 *1 (-131 *2)) (-4 *2 (-1225)))) (-2113 (*1 *1 *2 *1) (-12 (-4 *1 (-131 *2)) (-4 *2 (-1225)))) (-4137 (*1 *2 *1) (-12 (-4 *1 (-131 *2)) (-4 *2 (-1225))))) 
-(-13 (-523 |t#1|) (-10 -8 (-6 -4626) (-15 -4560 ($ (-658 |t#1|))) (-15 -2106 (|t#1| $)) (-15 -2113 ($ |t#1| $)) (-15 -4137 (|t#1| $)))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-592) $) NIL (|has| (-592) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-592) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| (-592) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-592) (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| (-592) (-1065 (-592))))) (-2400 (((-592) $) NIL) (((-1191) $) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-592) (-1065 (-592)))) (((-592) $) NIL (|has| (-592) (-1065 (-592))))) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-592) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| (-592) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-592) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-592) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-592) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| (-592) (-1165)))) (-1324 (((-141) $) NIL (|has| (-592) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-2731 (($ (-1 (-592) (-592)) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-592) (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-592) (-323))) (((-433 (-592)) $) NIL)) (-2039 (((-592) $) NIL (|has| (-592) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-592)) (-658 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-592) (-592)) NIL (|has| (-592) (-325 (-592)))) (($ $ (-310 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-310 (-592)))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-1191)) (-658 (-592))) NIL (|has| (-592) (-547 (-1191) (-592)))) (($ $ (-1191) (-592)) NIL (|has| (-592) (-547 (-1191) (-592))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-592)) NIL (|has| (-592) (-303 (-592) (-592))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-592) $) NIL)) (-1778 (((-914 (-592)) $) NIL (|has| (-592) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-592) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-592) (-633 (-565)))) (((-405) $) NIL (|has| (-592) (-1049))) (((-237) $) NIL (|has| (-592) (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-592) (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) 7) (($ (-592)) NIL) (($ (-1191)) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL) (((-1032 2) $) 9)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-592) (-931))) (|has| (-592) (-169))))) (-4010 (((-790)) NIL)) (-2744 (((-592) $) NIL (|has| (-592) (-574)))) (-2514 (($ (-433 (-592))) 8)) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL (|has| (-592) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3313 (($ $ $) NIL) (($ (-592) (-592)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL))) 
-(((-132) (-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -1683 ((-1032 2) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -2514 ($ (-433 (-592))))))) (T -132)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-132)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1032 2)) (-5 *1 (-132)))) (-3856 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-132)))) (-2514 (*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-132))))) 
-(-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -1683 ((-1032 2) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -2514 ($ (-433 (-592)))))) 
-((-1641 (((-141) $ $) NIL)) (-3388 (((-1137) $ (-1137)) 23)) (-2820 (($ $ (-1173)) 17)) (-3463 (((-3 (-1137) "failed") $) 22)) (-4393 (((-1137) $) 20)) (-2208 (((-1137) $ (-1137)) 25)) (-1721 (((-1137) $) 24)) (-1774 (($ (-414)) NIL) (($ (-414) (-1173)) 16)) (-4095 (((-414) $) NIL)) (-2685 (((-1173) $) NIL)) (-2690 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4342 (((-1285) $) NIL)) (-1683 (((-877) $) NIL)) (-2607 (($ $) 18)) (-3255 (((-141) $ $) NIL))) 
-(((-133) (-13 (-389 (-414) (-1137)) (-10 -8 (-15 -3463 ((-3 (-1137) "failed") $)) (-15 -1721 ((-1137) $)) (-15 -2208 ((-1137) $ (-1137)))))) (T -133)) 
-((-3463 (*1 *2 *1) (|partial| -12 (-5 *2 (-1137)) (-5 *1 (-133)))) (-1721 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-133)))) (-2208 (*1 *2 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-133))))) 
-(-13 (-389 (-414) (-1137)) (-10 -8 (-15 -3463 ((-3 (-1137) "failed") $)) (-15 -1721 ((-1137) $)) (-15 -2208 ((-1137) $ (-1137))))) 
-((-1641 (((-141) $ $) NIL)) (-3163 (($ $) NIL)) (-2773 (($ $ $) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) $) NIL (|has| (-141) (-869))) (((-141) (-1 (-141) (-141) (-141)) $) NIL)) (-2831 (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-141) (-869)))) (($ (-1 (-141) (-141) (-141)) $) NIL (|has| $ (-6 -4626)))) (-3960 (($ $) NIL (|has| (-141) (-869))) (($ (-1 (-141) (-141) (-141)) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-141) $ (-1246 (-592)) (-141)) NIL (|has| $ (-6 -4626))) (((-141) $ (-592) (-141)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-4459 (($ (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625))) (($ (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-3657 (((-141) (-1 (-141) (-141) (-141)) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-141) (-141)) $ (-141)) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-141) (-141)) $ (-141) (-141)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-1426 (((-141) $ (-592) (-141)) NIL (|has| $ (-6 -4626)))) (-3959 (((-141) $ (-592)) NIL)) (-1721 (((-592) (-141) $ (-592)) NIL (|has| (-141) (-1119))) (((-592) (-141) $) NIL (|has| (-141) (-1119))) (((-592) (-1 (-141) (-141)) $) NIL)) (-4004 (((-658 (-141)) $) NIL (|has| $ (-6 -4625)))) (-3573 (($ $ $) NIL)) (-3252 (($ $) NIL)) (-1419 (($ $ $) NIL)) (-3242 (($ (-790) (-141)) 8)) (-3782 (($ $ $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL)) (-4491 (($ $ $) NIL (|has| (-141) (-869))) (($ (-1 (-141) (-141) (-141)) $ $) NIL)) (-4467 (((-658 (-141)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL)) (-3987 (($ (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-141) (-141) (-141)) $ $) NIL) (($ (-1 (-141) (-141)) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-3666 (($ $ $ (-592)) NIL) (($ (-141) $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-141) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-141) "failed") (-1 (-141) (-141)) $) NIL)) (-1892 (($ $ (-141)) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-141)) (-658 (-141))) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-141) (-141)) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-310 (-141))) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-658 (-310 (-141)))) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-4210 (((-658 (-141)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 (($ $ (-1246 (-592))) NIL) (((-141) $ (-592)) NIL) (((-141) $ (-592) (-141)) NIL)) (-3208 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3452 (((-790) (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119)))) (((-790) (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-141) (-633 (-565))))) (-4466 (($ (-658 (-141))) NIL)) (-2266 (($ (-658 $)) NIL) (($ $ $) NIL) (($ (-141) $) NIL) (($ $ (-141)) NIL)) (-1683 (((-877) $) NIL)) (-3671 (($ (-790) (-141)) 9)) (-3369 (((-141) (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-1732 (($ $ $) NIL)) (-1424 (($ $) NIL)) (-1623 (($ $ $) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-1616 (($ $ $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-134) (-13 (-153) (-10 -8 (-15 -3671 ($ (-790) (-141)))))) (T -134)) 
-((-3671 (*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-141)) (-5 *1 (-134))))) 
-(-13 (-153) (-10 -8 (-15 -3671 ($ (-790) (-141))))) 
-((-2154 (((-986 (-191 (-237))) (-1137) (-191 (-237)) (-986 (-191 (-237))) (-1137) (-986 (-191 (-237))) (-1137)) 33)) (-2144 (((-592) (-1137) (-986 (-191 (-237))) (-1137)) 32)) (-1980 (((-592) (-592) (-986 (-405)) (-592)) 31)) (-2488 (((-592) (-592) (-986 (-237)) (-592)) 29)) (-3182 (((-592) (-592) (-986 (-191 (-405))) (-592)) 28)) (-2566 (((-237) (-1137) (-986 (-191 (-237))) (-1137)) 25)) (-2440 (((-237) (-1137) (-986 (-191 (-237))) (-1137)) 24)) (-1433 (((-658 (-986 (-237))) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137)) 22)) (-3947 (((-986 (-237)) (-1137) (-237) (-986 (-237)) (-1137)) 21)) (-3716 (((-986 (-237)) (-237) (-237) (-237) (-237)) 18)) (-1523 (((-658 (-986 (-237))) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137) (-237) (-237)) 20)) (-3340 (((-237) (-1137) (-986 (-237)) (-1137)) 17)) (-1391 (((-237) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137)) 16)) (-1997 (((-986 (-237)) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137)) 15)) (-4395 (((-237) (-191 (-237))) 10)) (-1536 (((-986 (-237)) (-1137) (-237) (-986 (-237)) (-1137) (-986 (-237)) (-1137)) 14)) (-3003 (((-237) (-1137) (-986 (-237)) (-1137)) 13))) 
-(((-135) (-10 -7 (-15 -4395 ((-237) (-191 (-237)))) (-15 -3003 ((-237) (-1137) (-986 (-237)) (-1137))) (-15 -1536 ((-986 (-237)) (-1137) (-237) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -1997 ((-986 (-237)) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -1391 ((-237) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -3340 ((-237) (-1137) (-986 (-237)) (-1137))) (-15 -3716 ((-986 (-237)) (-237) (-237) (-237) (-237))) (-15 -1523 ((-658 (-986 (-237))) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137) (-237) (-237))) (-15 -3947 ((-986 (-237)) (-1137) (-237) (-986 (-237)) (-1137))) (-15 -1433 ((-658 (-986 (-237))) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -2440 ((-237) (-1137) (-986 (-191 (-237))) (-1137))) (-15 -2566 ((-237) (-1137) (-986 (-191 (-237))) (-1137))) (-15 -3182 ((-592) (-592) (-986 (-191 (-405))) (-592))) (-15 -2488 ((-592) (-592) (-986 (-237)) (-592))) (-15 -1980 ((-592) (-592) (-986 (-405)) (-592))) (-15 -2144 ((-592) (-1137) (-986 (-191 (-237))) (-1137))) (-15 -2154 ((-986 (-191 (-237))) (-1137) (-191 (-237)) (-986 (-191 (-237))) (-1137) (-986 (-191 (-237))) (-1137))))) (T -135)) 
-((-2154 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-986 (-191 (-237)))) (-5 *3 (-1137)) (-5 *4 (-191 (-237))) (-5 *1 (-135)))) (-2144 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-191 (-237)))) (-5 *2 (-592)) (-5 *1 (-135)))) (-1980 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-986 (-405))) (-5 *1 (-135)))) (-2488 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-986 (-237))) (-5 *1 (-135)))) (-3182 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-986 (-191 (-405)))) (-5 *1 (-135)))) (-2566 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-191 (-237)))) (-5 *2 (-237)) (-5 *1 (-135)))) (-2440 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-191 (-237)))) (-5 *2 (-237)) (-5 *1 (-135)))) (-1433 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *2 (-658 (-986 (-237)))) (-5 *1 (-135)) (-5 *4 (-986 (-237))))) (-3947 (*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-986 (-237))) (-5 *3 (-1137)) (-5 *4 (-237)) (-5 *1 (-135)))) (-1523 (*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1137)) (-5 *5 (-237)) (-5 *2 (-658 (-986 *5))) (-5 *1 (-135)) (-5 *4 (-986 *5)))) (-3716 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-986 (-237))) (-5 *1 (-135)) (-5 *3 (-237)))) (-3340 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-237))) (-5 *2 (-237)) (-5 *1 (-135)))) (-1391 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-237))) (-5 *2 (-237)) (-5 *1 (-135)))) (-1997 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-986 (-237))) (-5 *3 (-1137)) (-5 *1 (-135)))) (-1536 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-986 (-237))) (-5 *3 (-1137)) (-5 *4 (-237)) (-5 *1 (-135)))) (-3003 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-237))) (-5 *2 (-237)) (-5 *1 (-135)))) (-4395 (*1 *2 *3) (-12 (-5 *3 (-191 (-237))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(-10 -7 (-15 -4395 ((-237) (-191 (-237)))) (-15 -3003 ((-237) (-1137) (-986 (-237)) (-1137))) (-15 -1536 ((-986 (-237)) (-1137) (-237) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -1997 ((-986 (-237)) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -1391 ((-237) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -3340 ((-237) (-1137) (-986 (-237)) (-1137))) (-15 -3716 ((-986 (-237)) (-237) (-237) (-237) (-237))) (-15 -1523 ((-658 (-986 (-237))) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137) (-237) (-237))) (-15 -3947 ((-986 (-237)) (-1137) (-237) (-986 (-237)) (-1137))) (-15 -1433 ((-658 (-986 (-237))) (-1137) (-986 (-237)) (-1137) (-986 (-237)) (-1137))) (-15 -2440 ((-237) (-1137) (-986 (-191 (-237))) (-1137))) (-15 -2566 ((-237) (-1137) (-986 (-191 (-237))) (-1137))) (-15 -3182 ((-592) (-592) (-986 (-191 (-405))) (-592))) (-15 -2488 ((-592) (-592) (-986 (-237)) (-592))) (-15 -1980 ((-592) (-592) (-986 (-405)) (-592))) (-15 -2144 ((-592) (-1137) (-986 (-191 (-237))) (-1137))) (-15 -2154 ((-986 (-191 (-237))) (-1137) (-191 (-237)) (-986 (-191 (-237))) (-1137) (-986 (-191 (-237))) (-1137)))) 
-((-1641 (((-141) $ $) NIL)) (-4039 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3531 (((-592) $) 14)) (-3676 (((-592) $) 15)) (-3852 (((-592) $) 16)) (-2685 (((-1173) $) NIL)) (-3899 (((-141) $) 8)) (-2951 (((-1137) $) NIL)) (-1873 (((-592) $) 12)) (-3441 (($ (-592) (-592) (-592) (-592) (-592) (-141) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-1683 (((-877) $) 19) (($ (-658 (-592))) NIL)) (-2392 (((-592) $) 13)) (-3255 (((-141) $ $) NIL))) 
-(((-136) (-13 (-137) (-10 -7 (-6 |HamburgerNoether|)))) (T -136)) 
-NIL 
-(-13 (-137) (-10 -7 (-6 |HamburgerNoether|))) 
-((-1641 (((-141) $ $) 7)) (-4039 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3531 (((-592) $) 17)) (-3676 (((-592) $) 15)) (-3852 (((-592) $) 13)) (-2685 (((-1173) $) 9)) (-3899 (((-141) $) 14)) (-2951 (((-1137) $) 10)) (-1873 (((-592) $) 19)) (-3441 (($ (-592) (-592) (-592) (-592) (-592) (-141) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-1683 (((-877) $) 11) (($ (-658 (-592))) 20)) (-2392 (((-592) $) 18)) (-3255 (((-141) $ $) 6))) 
-(((-137) (-1311)) (T -137)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-137)))) (-1873 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592)))) (-2392 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592)))) (-3531 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592)))) (-3441 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-592)) (-5 *3 (-141)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-137)))) (-3676 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592)))) (-3899 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-141)))) (-3852 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592)))) (-4039 (*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-658 (-592)))) (-15 -1873 ((-592) $)) (-15 -2392 ((-592) $)) (-15 -3531 ((-592) $)) (-15 -3441 ($ (-592) (-592) (-592) (-592) (-592) (-141) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -3676 ((-592) $)) (-15 -3899 ((-141) $)) (-15 -3852 ((-592) $)) (-15 -4039 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-4039 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3531 (((-592) $) 14)) (-3676 (((-592) $) 11)) (-3852 (((-592) $) 15)) (-2685 (((-1173) $) NIL)) (-3899 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-1873 (((-592) $) 12)) (-3441 (($ (-592) (-592) (-592) (-592) (-592) (-141) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-1683 (((-877) $) 17) (($ (-658 (-592))) 10)) (-2392 (((-592) $) 13)) (-3255 (((-141) $ $) NIL))) 
-(((-138) (-13 (-137) (-10 -7 (-6 |QuadraticTransform|)))) (T -138)) 
-NIL 
-(-13 (-137) (-10 -7 (-6 |QuadraticTransform|))) 
-((-2145 (((-2 (|:| |mult| (-790)) (|:| |subMult| (-790)) (|:| |blUpRec| (-658 (-2 (|:| |recTransStr| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-4165 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-790) |#5|) 54)) (-2842 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) |#3| |#5|) 99)) (-2268 (((-658 (-658 (-790))) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) NIL)) (-1888 ((|#3| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) |#5|) 105)) (-3699 ((|#3| |#3| |#5|) 107))) 
-(((-139 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3699 (|#3| |#3| |#5|)) (-15 -4165 ((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-790) |#5|)) (-15 -2145 ((-2 (|:| |mult| (-790)) (|:| |subMult| (-790)) (|:| |blUpRec| (-658 (-2 (|:| |recTransStr| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -2268 ((-658 (-658 (-790))) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|))) (-15 -2842 ((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) |#3| |#5|)) (-15 -1888 (|#3| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) |#5|))) (-388) (-658 (-1191)) (-346 |#1| |#4|) (-252 (-1699 |#2|) (-790)) (-137)) (T -139)) 
-((-1888 (*1 *2 *3 *4) (-12 (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *5)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *2 (-346 *5 *7)) (-5 *1 (-139 *5 *6 *2 *7 *4)) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *4 (-137)))) (-2842 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *5)) (-5 *1 (-139 *5 *6 *3 *7 *4)) (-4 *3 (-346 *5 *7)) (-4 *4 (-137)))) (-2268 (*1 *2 *3) (-12 (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *4)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-658 (-658 (-790)))) (-5 *1 (-139 *4 *5 *6 *7 *8)) (-4 *6 (-346 *4 *7)) (-4 *8 (-137)))) (-2145 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *9 (-252 (-1699 *7) (-790))) (-5 *2 (-2 (|:| |mult| (-790)) (|:| |subMult| (-790)) (|:| |blUpRec| (-658 (-2 (|:| |recTransStr| (-264 (-4466 (QUOTE X) (QUOTE -3820)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-139 *6 *7 *8 *9 *5)) (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-346 *6 *9)) (-4 *5 (-137)))) (-4165 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *5)) (-4 *5 (-388)) (-5 *3 (-790)) (-14 *6 (-658 (-1191))) (-4 *8 (-252 (-1699 *6) *3)) (-5 *1 (-139 *5 *6 *7 *8 *4)) (-4 *7 (-346 *5 *8)) (-4 *4 (-137)))) (-3699 (*1 *2 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *1 (-139 *4 *5 *2 *6 *3)) (-4 *2 (-346 *4 *6)) (-4 *3 (-137))))) 
-(-10 -7 (-15 -3699 (|#3| |#3| |#5|)) (-15 -4165 ((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-790) |#5|)) (-15 -2145 ((-2 (|:| |mult| (-790)) (|:| |subMult| (-790)) (|:| |blUpRec| (-658 (-2 (|:| |recTransStr| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -2268 ((-658 (-658 (-790))) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|))) (-15 -2842 ((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) |#3| |#5|)) (-15 -1888 (|#3| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) |#5|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
-(((-140 |#1| |#2|) (-1311) (-1075) (-1075)) (T -140)) 
-NIL 
-(-13 (-661 |t#1|) (-1081 |t#2|) (-10 -7 (-6 -4620) (-6 -4619))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-1081 |#2|) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-3163 (($ $) 12)) (-2773 (($ $ $) 17)) (-2680 (($) 8 T CONST)) (-4012 (((-141) $) 7)) (-1403 (((-790)) 24)) (-4290 (($) 30)) (-3573 (($ $ $) 15)) (-3252 (($ $) 10)) (-1419 (($ $ $) 18)) (-3782 (($ $ $) 19)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-3546 (((-944) $) 29)) (-2685 (((-1173) $) NIL)) (-1825 (($ (-944)) 28)) (-4171 (($ $ $) 21)) (-2951 (((-1137) $) NIL)) (-3327 (($) 9 T CONST)) (-1405 (((-658 $)) NIL)) (-1778 (((-565) $) 36)) (-1683 (((-877) $) 39)) (-1732 (($ $ $) 13)) (-1424 (($ $) 11)) (-1623 (($ $ $) 16)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 20)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 22)) (-1616 (($ $ $) 14))) 
-(((-141) (-13 (-869) (-394) (-675) (-633 (-565)) (-10 -8 (-15 -2680 ($) -4249) (-15 -3327 ($) -4249) (-15 -1424 ($ $)) (-15 -3252 ($ $)) (-15 -1732 ($ $ $)) (-15 -3573 ($ $ $)) (-15 -2773 ($ $ $)) (-15 -3782 ($ $ $)) (-15 -1419 ($ $ $)) (-15 -4171 ($ $ $)) (-15 -4012 ((-141) $))))) (T -141)) 
-((-2680 (*1 *1) (-5 *1 (-141))) (-3327 (*1 *1) (-5 *1 (-141))) (-1424 (*1 *1 *1) (-5 *1 (-141))) (-3252 (*1 *1 *1) (-5 *1 (-141))) (-1732 (*1 *1 *1 *1) (-5 *1 (-141))) (-3573 (*1 *1 *1 *1) (-5 *1 (-141))) (-2773 (*1 *1 *1 *1) (-5 *1 (-141))) (-3782 (*1 *1 *1 *1) (-5 *1 (-141))) (-1419 (*1 *1 *1 *1) (-5 *1 (-141))) (-4171 (*1 *1 *1 *1) (-5 *1 (-141))) (-4012 (*1 *1 *1) (-5 *1 (-141)))) 
-(-13 (-869) (-394) (-675) (-633 (-565)) (-10 -8 (-15 -2680 ($) -4249) (-15 -3327 ($) -4249) (-15 -1424 ($ $)) (-15 -3252 ($ $)) (-15 -1732 ($ $ $)) (-15 -3573 ($ $ $)) (-15 -2773 ($ $ $)) (-15 -3782 ($ $ $)) (-15 -1419 ($ $ $)) (-15 -4171 ($ $ $)) (-15 -4012 ((-141) $)))) 
-((-1646 (((-3 (-1 |#1| (-658 |#1|)) "failed") (-143)) 18) (((-143) (-143) (-1 |#1| |#1|)) 13) (((-143) (-143) (-1 |#1| (-658 |#1|))) 11) (((-3 |#1| "failed") (-143) (-658 |#1|)) 20)) (-2550 (((-3 (-658 (-1 |#1| (-658 |#1|))) "failed") (-143)) 24) (((-143) (-143) (-1 |#1| |#1|)) 30) (((-143) (-143) (-658 (-1 |#1| (-658 |#1|)))) 26)) (-2321 (((-143) |#1|) 53 (|has| |#1| (-869)))) (-2891 (((-3 |#1| "failed") (-143)) 48 (|has| |#1| (-869))))) 
-(((-142 |#1|) (-10 -7 (-15 -1646 ((-3 |#1| "failed") (-143) (-658 |#1|))) (-15 -1646 ((-143) (-143) (-1 |#1| (-658 |#1|)))) (-15 -1646 ((-143) (-143) (-1 |#1| |#1|))) (-15 -1646 ((-3 (-1 |#1| (-658 |#1|)) "failed") (-143))) (-15 -2550 ((-143) (-143) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2550 ((-143) (-143) (-1 |#1| |#1|))) (-15 -2550 ((-3 (-658 (-1 |#1| (-658 |#1|))) "failed") (-143))) (IF (|has| |#1| (-869)) (PROGN (-15 -2321 ((-143) |#1|)) (-15 -2891 ((-3 |#1| "failed") (-143)))) |noBranch|)) (-1119)) (T -142)) 
-((-2891 (*1 *2 *3) (|partial| -12 (-5 *3 (-143)) (-4 *2 (-1119)) (-4 *2 (-869)) (-5 *1 (-142 *2)))) (-2321 (*1 *2 *3) (-12 (-5 *2 (-143)) (-5 *1 (-142 *3)) (-4 *3 (-869)) (-4 *3 (-1119)))) (-2550 (*1 *2 *3) (|partial| -12 (-5 *3 (-143)) (-5 *2 (-658 (-1 *4 (-658 *4)))) (-5 *1 (-142 *4)) (-4 *4 (-1119)))) (-2550 (*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) (-2550 (*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 (-1 *4 (-658 *4)))) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) (-1646 (*1 *2 *3) (|partial| -12 (-5 *3 (-143)) (-5 *2 (-1 *4 (-658 *4))) (-5 *1 (-142 *4)) (-4 *4 (-1119)))) (-1646 (*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) (-1646 (*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *4 (-658 *4))) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) (-1646 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-658 *2)) (-5 *1 (-142 *2)) (-4 *2 (-1119))))) 
-(-10 -7 (-15 -1646 ((-3 |#1| "failed") (-143) (-658 |#1|))) (-15 -1646 ((-143) (-143) (-1 |#1| (-658 |#1|)))) (-15 -1646 ((-143) (-143) (-1 |#1| |#1|))) (-15 -1646 ((-3 (-1 |#1| (-658 |#1|)) "failed") (-143))) (-15 -2550 ((-143) (-143) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2550 ((-143) (-143) (-1 |#1| |#1|))) (-15 -2550 ((-3 (-658 (-1 |#1| (-658 |#1|))) "failed") (-143))) (IF (|has| |#1| (-869)) (PROGN (-15 -2321 ((-143) |#1|)) (-15 -2891 ((-3 |#1| "failed") (-143)))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-3775 (((-790) $) 68) (($ $ (-790)) 30)) (-4536 (((-141) $) 32)) (-4452 (($ $ (-1173) (-793)) 26)) (-2182 (($ $ (-50 (-1173) (-793))) 13)) (-3663 (((-3 (-793) "failed") $ (-1173)) 24)) (-2334 (((-50 (-1173) (-793)) $) 12)) (-2791 (($ (-1191)) 15) (($ (-1191) (-790)) 20)) (-3496 (((-141) $) 31)) (-2717 (((-141) $) 33)) (-4095 (((-1191) $) 8)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-3013 (((-141) $ (-1191)) 10)) (-4007 (($ $ (-1 (-565) (-658 (-565)))) 50) (((-3 (-1 (-565) (-658 (-565))) "failed") $) 54)) (-2951 (((-1137) $) NIL)) (-1345 (((-141) $ (-1173)) 29)) (-3235 (($ $ (-1 (-141) $ $)) 35)) (-3536 (((-3 (-1 (-877) (-658 (-877))) "failed") $) 52) (($ $ (-1 (-877) (-658 (-877)))) 41) (($ $ (-1 (-877) (-877))) 43)) (-3151 (($ $ (-1173)) 45)) (-4599 (($ $) 61)) (-2681 (($ $ (-1 (-141) $ $)) 36)) (-1683 (((-877) $) 48)) (-3366 (($ $ (-1173)) 27)) (-2573 (((-3 (-790) "failed") $) 56)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 67)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 72))) 
-(((-143) (-13 (-869) (-10 -8 (-15 -4095 ((-1191) $)) (-15 -2334 ((-50 (-1173) (-793)) $)) (-15 -4599 ($ $)) (-15 -2791 ($ (-1191))) (-15 -2791 ($ (-1191) (-790))) (-15 -2573 ((-3 (-790) "failed") $)) (-15 -3496 ((-141) $)) (-15 -4536 ((-141) $)) (-15 -2717 ((-141) $)) (-15 -3775 ((-790) $)) (-15 -3775 ($ $ (-790))) (-15 -3235 ($ $ (-1 (-141) $ $))) (-15 -2681 ($ $ (-1 (-141) $ $))) (-15 -3536 ((-3 (-1 (-877) (-658 (-877))) "failed") $)) (-15 -3536 ($ $ (-1 (-877) (-658 (-877))))) (-15 -3536 ($ $ (-1 (-877) (-877)))) (-15 -4007 ($ $ (-1 (-565) (-658 (-565))))) (-15 -4007 ((-3 (-1 (-565) (-658 (-565))) "failed") $)) (-15 -3013 ((-141) $ (-1191))) (-15 -1345 ((-141) $ (-1173))) (-15 -3366 ($ $ (-1173))) (-15 -3151 ($ $ (-1173))) (-15 -3663 ((-3 (-793) "failed") $ (-1173))) (-15 -4452 ($ $ (-1173) (-793))) (-15 -2182 ($ $ (-50 (-1173) (-793))))))) (T -143)) 
-((-4095 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-143)))) (-2334 (*1 *2 *1) (-12 (-5 *2 (-50 (-1173) (-793))) (-5 *1 (-143)))) (-4599 (*1 *1 *1) (-5 *1 (-143))) (-2791 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-143)))) (-2791 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-790)) (-5 *1 (-143)))) (-2573 (*1 *2 *1) (|partial| -12 (-5 *2 (-790)) (-5 *1 (-143)))) (-3496 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-143)))) (-4536 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-143)))) (-2717 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-143)))) (-3775 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-143)))) (-3775 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-143)))) (-3235 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-141) (-143) (-143))) (-5 *1 (-143)))) (-2681 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-141) (-143) (-143))) (-5 *1 (-143)))) (-3536 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-877) (-658 (-877)))) (-5 *1 (-143)))) (-3536 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-877) (-658 (-877)))) (-5 *1 (-143)))) (-3536 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-877) (-877))) (-5 *1 (-143)))) (-4007 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-565) (-658 (-565)))) (-5 *1 (-143)))) (-4007 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-565) (-658 (-565)))) (-5 *1 (-143)))) (-3013 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-141)) (-5 *1 (-143)))) (-1345 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-141)) (-5 *1 (-143)))) (-3366 (*1 *1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-143)))) (-3151 (*1 *1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-143)))) (-3663 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1173)) (-5 *2 (-793)) (-5 *1 (-143)))) (-4452 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1173)) (-5 *3 (-793)) (-5 *1 (-143)))) (-2182 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1173) (-793))) (-5 *1 (-143))))) 
-(-13 (-869) (-10 -8 (-15 -4095 ((-1191) $)) (-15 -2334 ((-50 (-1173) (-793)) $)) (-15 -4599 ($ $)) (-15 -2791 ($ (-1191))) (-15 -2791 ($ (-1191) (-790))) (-15 -2573 ((-3 (-790) "failed") $)) (-15 -3496 ((-141) $)) (-15 -4536 ((-141) $)) (-15 -2717 ((-141) $)) (-15 -3775 ((-790) $)) (-15 -3775 ($ $ (-790))) (-15 -3235 ($ $ (-1 (-141) $ $))) (-15 -2681 ($ $ (-1 (-141) $ $))) (-15 -3536 ((-3 (-1 (-877) (-658 (-877))) "failed") $)) (-15 -3536 ($ $ (-1 (-877) (-658 (-877))))) (-15 -3536 ($ $ (-1 (-877) (-877)))) (-15 -4007 ($ $ (-1 (-565) (-658 (-565))))) (-15 -4007 ((-3 (-1 (-565) (-658 (-565))) "failed") $)) (-15 -3013 ((-141) $ (-1191))) (-15 -1345 ((-141) $ (-1173))) (-15 -3366 ($ $ (-1173))) (-15 -3151 ($ $ (-1173))) (-15 -3663 ((-3 (-793) "failed") $ (-1173))) (-15 -4452 ($ $ (-1173) (-793))) (-15 -2182 ($ $ (-50 (-1173) (-793)))))) 
-((-2263 (((-592) |#2|) 36))) 
-(((-144 |#1| |#2|) (-10 -7 (-15 -2263 ((-592) |#2|))) (-13 (-388) (-1065 (-433 (-592)))) (-1255 |#1|)) (T -144)) 
-((-2263 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-1065 (-433 *2)))) (-5 *2 (-592)) (-5 *1 (-144 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -2263 ((-592) |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $ (-592)) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-2749 (($ (-1187 (-592)) (-592)) NIL)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3980 (($ $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-4346 (((-790) $) NIL)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1704 (((-592)) NIL)) (-1518 (((-592) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2807 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4406 (((-1171 (-592)) $) NIL)) (-1700 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL)) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL)) (-2642 (((-592) $ (-592)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL))) 
-(((-145 |#1|) (-890 |#1|) (-592)) (T -145)) 
-NIL 
-(-890 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-145 |#1|) $) NIL (|has| (-145 |#1|) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-145 |#1|) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-145 |#1|) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-145 |#1|) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-145 |#1|) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| (-145 |#1|) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-145 |#1|) (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| (-145 |#1|) (-1065 (-592))))) (-2400 (((-145 |#1|) $) NIL) (((-1191) $) NIL (|has| (-145 |#1|) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-145 |#1|) (-1065 (-592)))) (((-592) $) NIL (|has| (-145 |#1|) (-1065 (-592))))) (-3792 (($ $) NIL) (($ (-592) $) NIL)) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-145 |#1|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-145 |#1|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-145 |#1|))) (|:| |vec| (-1280 (-145 |#1|)))) (-706 $) (-1280 $)) NIL) (((-706 (-145 |#1|)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-145 |#1|) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| (-145 |#1|) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-145 |#1|) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-145 |#1|) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-145 |#1|) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| (-145 |#1|) (-1165)))) (-1324 (((-141) $) NIL (|has| (-145 |#1|) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-145 |#1|) (-869)))) (-3319 (($ $ $) NIL (|has| (-145 |#1|) (-869)))) (-2731 (($ (-1 (-145 |#1|) (-145 |#1|)) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-145 |#1|) (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-145 |#1|) (-323)))) (-2039 (((-145 |#1|) $) NIL (|has| (-145 |#1|) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-145 |#1|) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-145 |#1|) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-145 |#1|)) (-658 (-145 |#1|))) NIL (|has| (-145 |#1|) (-325 (-145 |#1|)))) (($ $ (-145 |#1|) (-145 |#1|)) NIL (|has| (-145 |#1|) (-325 (-145 |#1|)))) (($ $ (-310 (-145 |#1|))) NIL (|has| (-145 |#1|) (-325 (-145 |#1|)))) (($ $ (-658 (-310 (-145 |#1|)))) NIL (|has| (-145 |#1|) (-325 (-145 |#1|)))) (($ $ (-658 (-1191)) (-658 (-145 |#1|))) NIL (|has| (-145 |#1|) (-547 (-1191) (-145 |#1|)))) (($ $ (-1191) (-145 |#1|)) NIL (|has| (-145 |#1|) (-547 (-1191) (-145 |#1|))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-145 |#1|)) NIL (|has| (-145 |#1|) (-303 (-145 |#1|) (-145 |#1|))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| (-145 |#1|) (-247))) (($ $ (-790)) NIL (|has| (-145 |#1|) (-247))) (($ $ (-1191)) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-1 (-145 |#1|) (-145 |#1|)) (-790)) NIL) (($ $ (-1 (-145 |#1|) (-145 |#1|))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-145 |#1|) $) NIL)) (-1778 (((-914 (-592)) $) NIL (|has| (-145 |#1|) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-145 |#1|) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-145 |#1|) (-633 (-565)))) (((-405) $) NIL (|has| (-145 |#1|) (-1049))) (((-237) $) NIL (|has| (-145 |#1|) (-1049)))) (-2867 (((-195 (-433 (-592))) $) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-145 |#1|) (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-145 |#1|)) NIL) (($ (-1191)) NIL (|has| (-145 |#1|) (-1065 (-1191))))) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-145 |#1|) (-931))) (|has| (-145 |#1|) (-169))))) (-4010 (((-790)) NIL)) (-2744 (((-145 |#1|) $) NIL (|has| (-145 |#1|) (-574)))) (-2537 (((-141) $ $) NIL)) (-2642 (((-433 (-592)) $ (-592)) NIL)) (-1392 (($ $) NIL (|has| (-145 |#1|) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL (|has| (-145 |#1|) (-247))) (($ $ (-790)) NIL (|has| (-145 |#1|) (-247))) (($ $ (-1191)) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-145 |#1|) (-922 (-1191)))) (($ $ (-1 (-145 |#1|) (-145 |#1|)) (-790)) NIL) (($ $ (-1 (-145 |#1|) (-145 |#1|))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-145 |#1|) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-145 |#1|) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-145 |#1|) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-145 |#1|) (-869)))) (-3313 (($ $ $) NIL) (($ (-145 |#1|) (-145 |#1|)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-145 |#1|) $) NIL) (($ $ (-145 |#1|)) NIL))) 
-(((-146 |#1|) (-13 (-1021 (-145 |#1|)) (-10 -8 (-15 -2642 ((-433 (-592)) $ (-592))) (-15 -2867 ((-195 (-433 (-592))) $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)))) (-592)) (T -146)) 
-((-2642 (*1 *2 *1 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-146 *4)) (-14 *4 *3) (-5 *3 (-592)))) (-2867 (*1 *2 *1) (-12 (-5 *2 (-195 (-433 (-592)))) (-5 *1 (-146 *3)) (-14 *3 (-592)))) (-3792 (*1 *1 *1) (-12 (-5 *1 (-146 *2)) (-14 *2 (-592)))) (-3792 (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-146 *3)) (-14 *3 *2)))) 
-(-13 (-1021 (-145 |#1|)) (-10 -8 (-15 -2642 ((-433 (-592)) $ (-592))) (-15 -2867 ((-195 (-433 (-592))) $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)))) 
-((-3932 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-2774 (((-658 $) $) 27)) (-3055 (((-141) $ $) 32)) (-3133 (((-141) |#2| $) 36)) (-4063 (((-658 |#2|) $) 22)) (-3683 (((-141) $) 16)) (-3927 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-3228 (((-141) $) 45)) (-1683 (((-877) $) 41)) (-2493 (((-658 $) $) 28)) (-3255 (((-141) $ $) 34)) (-1699 (((-790) $) 43))) 
-(((-147 |#1| |#2|) (-10 -8 (-15 -3932 (|#1| |#1| "right" |#1|)) (-15 -3932 (|#1| |#1| "left" |#1|)) (-15 -3927 (|#1| |#1| "right")) (-15 -3927 (|#1| |#1| "left")) (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -3055 ((-141) |#1| |#1|)) (-15 -4063 ((-658 |#2|) |#1|)) (-15 -3228 ((-141) |#1|)) (-15 -3927 (|#2| |#1| "value")) (-15 -3683 ((-141) |#1|)) (-15 -2774 ((-658 |#1|) |#1|)) (-15 -2493 ((-658 |#1|) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3133 ((-141) |#2| |#1|)) (-15 -1699 ((-790) |#1|))) (-148 |#2|) (-1225)) (T -147)) 
-NIL 
-(-10 -8 (-15 -3932 (|#1| |#1| "right" |#1|)) (-15 -3932 (|#1| |#1| "left" |#1|)) (-15 -3927 (|#1| |#1| "right")) (-15 -3927 (|#1| |#1| "left")) (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -3055 ((-141) |#1| |#1|)) (-15 -4063 ((-658 |#2|) |#1|)) (-15 -3228 ((-141) |#1|)) (-15 -3927 (|#2| |#1| "value")) (-15 -3683 ((-141) |#1|)) (-15 -2774 ((-658 |#1|) |#1|)) (-15 -2493 ((-658 |#1|) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3133 ((-141) |#2| |#1|)) (-15 -1699 ((-790) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-2949 (($ $ $) 49 (|has| $ (-6 -4626)))) (-1348 (($ $ $) 51 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626))) (($ $ "left" $) 52 (|has| $ (-6 -4626))) (($ $ "right" $) 50 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-1954 (($ $) 54)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-1961 (($ $) 56)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-2920 (((-592) $ $) 41)) (-3228 (((-141) $) 43)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-148 |#1|) (-1311) (-1225)) (T -148)) 
-((-1961 (*1 *1 *1) (-12 (-4 *1 (-148 *2)) (-4 *2 (-1225)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-148 *3)) (-4 *3 (-1225)))) (-1954 (*1 *1 *1) (-12 (-4 *1 (-148 *2)) (-4 *2 (-1225)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-148 *3)) (-4 *3 (-1225)))) (-3932 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4626)) (-4 *1 (-148 *3)) (-4 *3 (-1225)))) (-1348 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-148 *2)) (-4 *2 (-1225)))) (-3932 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4626)) (-4 *1 (-148 *3)) (-4 *3 (-1225)))) (-2949 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-148 *2)) (-4 *2 (-1225))))) 
-(-13 (-1038 |t#1|) (-10 -8 (-15 -1961 ($ $)) (-15 -3927 ($ $ "left")) (-15 -1954 ($ $)) (-15 -3927 ($ $ "right")) (IF (|has| $ (-6 -4626)) (PROGN (-15 -3932 ($ $ "left" $)) (-15 -1348 ($ $ $)) (-15 -3932 ($ $ "right" $)) (-15 -2949 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1388 (((-141) |#1|) 24)) (-2823 (((-790) (-790)) 23) (((-790)) 22)) (-1357 (((-141) |#1| (-141)) 25) (((-141) |#1|) 26))) 
-(((-149 |#1|) (-10 -7 (-15 -1357 ((-141) |#1|)) (-15 -1357 ((-141) |#1| (-141))) (-15 -2823 ((-790))) (-15 -2823 ((-790) (-790))) (-15 -1388 ((-141) |#1|))) (-1255 (-592))) (T -149)) 
-((-1388 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592))))) (-2823 (*1 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592))))) (-2823 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592))))) (-1357 (*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592))))) (-1357 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592)))))) 
-(-10 -7 (-15 -1357 ((-141) |#1|)) (-15 -1357 ((-141) |#1| (-141))) (-15 -2823 ((-790))) (-15 -2823 ((-790) (-790))) (-15 -1388 ((-141) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2843 (((-3 $ "failed") (-1191) (-1191)) 31)) (-2951 (((-1137) $) NIL)) (-4412 (((-3 (-1191) "failed") $) 45)) (-3834 (((-3 $ (-592)) (-1191)) 36)) (-1902 (((-1199 (-1191) $)) 42)) (-2559 (((-658 $)) 40)) (-2322 (((-3 $ "failed") (-1191)) 19)) (-1778 (($ (-1191)) 27) (((-1191) $) NIL)) (-1683 (((-877) $) 21)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL))) 
-(((-150) (-13 (-869) (-10 -8 (-6 (-633 (-1191))) (-15 -2322 ((-3 $ "failed") (-1191))) (-15 -1778 ($ (-1191))) (-15 -2843 ((-3 $ "failed") (-1191) (-1191))) (-15 -3834 ((-3 $ (-592)) (-1191))) (-15 -2559 ((-658 $))) (-15 -1902 ((-1199 (-1191) $))) (-15 -4412 ((-3 (-1191) "failed") $))))) (T -150)) 
-((-2322 (*1 *1 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-150)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-150)))) (-2843 (*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-150)))) (-3834 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-3 (-150) (-592))) (-5 *1 (-150)))) (-2559 (*1 *2) (-12 (-5 *2 (-658 (-150))) (-5 *1 (-150)))) (-1902 (*1 *2) (-12 (-5 *2 (-1199 (-1191) (-150))) (-5 *1 (-150)))) (-4412 (*1 *2 *1) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-150))))) 
-(-13 (-869) (-10 -8 (-6 (-633 (-1191))) (-15 -2322 ((-3 $ "failed") (-1191))) (-15 -1778 ($ (-1191))) (-15 -2843 ((-3 $ "failed") (-1191) (-1191))) (-15 -3834 ((-3 $ (-592)) (-1191))) (-15 -2559 ((-658 $))) (-15 -1902 ((-1199 (-1191) $))) (-15 -4412 ((-3 (-1191) "failed") $)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) 15)) (-1356 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-2949 (($ $ $) 18 (|has| $ (-6 -4626)))) (-1348 (($ $ $) 20 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "left" $) NIL (|has| $ (-6 -4626))) (($ $ "right" $) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-1954 (($ $) 17)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-4245 (($ $ |#1| $) 23)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-1961 (($ $) 19)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3429 (($ |#1| $) 24)) (-2113 (($ |#1| $) 10)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 14)) (-2890 (($) 8)) (-3927 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3502 (($ (-658 |#1|)) 12)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-151 |#1|) (-13 (-155 |#1|) (-10 -8 (-6 -4626) (-6 -4625) (-15 -3502 ($ (-658 |#1|))) (-15 -2113 ($ |#1| $)) (-15 -3429 ($ |#1| $)) (-15 -1356 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-869)) (T -151)) 
-((-3502 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-151 *3)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-151 *2)) (-4 *2 (-869)))) (-3429 (*1 *1 *2 *1) (-12 (-5 *1 (-151 *2)) (-4 *2 (-869)))) (-1356 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-151 *3)) (|:| |greater| (-151 *3)))) (-5 *1 (-151 *3)) (-4 *3 (-869))))) 
-(-13 (-155 |#1|) (-10 -8 (-6 -4626) (-6 -4625) (-15 -3502 ($ (-658 |#1|))) (-15 -2113 ($ |#1| $)) (-15 -3429 ($ |#1| $)) (-15 -1356 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
-((-3163 (($ $) 14)) (-3252 (($ $) 11)) (-1419 (($ $ $) 24)) (-3782 (($ $ $) 22)) (-1424 (($ $) 12)) (-1623 (($ $ $) 20)) (-1616 (($ $ $) 18))) 
-(((-152 |#1|) (-10 -8 (-15 -1419 (|#1| |#1| |#1|)) (-15 -3782 (|#1| |#1| |#1|)) (-15 -1424 (|#1| |#1|)) (-15 -3252 (|#1| |#1|)) (-15 -3163 (|#1| |#1|)) (-15 -1616 (|#1| |#1| |#1|)) (-15 -1623 (|#1| |#1| |#1|))) (-153)) (T -152)) 
-NIL 
-(-10 -8 (-15 -1419 (|#1| |#1| |#1|)) (-15 -3782 (|#1| |#1| |#1|)) (-15 -1424 (|#1| |#1|)) (-15 -3252 (|#1| |#1|)) (-15 -3163 (|#1| |#1|)) (-15 -1616 (|#1| |#1| |#1|)) (-15 -1623 (|#1| |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-3163 (($ $) 103)) (-2773 (($ $ $) 24)) (-3898 (((-1285) $ (-592) (-592)) 66 (|has| $ (-6 -4626)))) (-4076 (((-141) $) 98 (|has| (-141) (-869))) (((-141) (-1 (-141) (-141) (-141)) $) 92)) (-2831 (($ $) 102 (-12 (|has| (-141) (-869)) (|has| $ (-6 -4626)))) (($ (-1 (-141) (-141) (-141)) $) 101 (|has| $ (-6 -4626)))) (-3960 (($ $) 97 (|has| (-141) (-869))) (($ (-1 (-141) (-141) (-141)) $) 91)) (-2126 (((-141) $ (-790)) 37)) (-3932 (((-141) $ (-1246 (-592)) (-141)) 88 (|has| $ (-6 -4626))) (((-141) $ (-592) (-141)) 54 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-141)) $) 71 (|has| $ (-6 -4625)))) (-3001 (($) 38 T CONST)) (-2512 (($ $) 100 (|has| $ (-6 -4626)))) (-1373 (($ $) 90)) (-1360 (($ $) 68 (-12 (|has| (-141) (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ (-1 (-141) (-141)) $) 72 (|has| $ (-6 -4625))) (($ (-141) $) 69 (-12 (|has| (-141) (-1119)) (|has| $ (-6 -4625))))) (-3657 (((-141) (-1 (-141) (-141) (-141)) $) 74 (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-141) (-141)) $ (-141)) 73 (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-141) (-141)) $ (-141) (-141)) 70 (-12 (|has| (-141) (-1119)) (|has| $ (-6 -4625))))) (-1426 (((-141) $ (-592) (-141)) 53 (|has| $ (-6 -4626)))) (-3959 (((-141) $ (-592)) 55)) (-1721 (((-592) (-141) $ (-592)) 95 (|has| (-141) (-1119))) (((-592) (-141) $) 94 (|has| (-141) (-1119))) (((-592) (-1 (-141) (-141)) $) 93)) (-4004 (((-658 (-141)) $) 45 (|has| $ (-6 -4625)))) (-3573 (($ $ $) 25)) (-3252 (($ $) 30)) (-1419 (($ $ $) 27)) (-3242 (($ (-790) (-141)) 77)) (-3782 (($ $ $) 28)) (-4345 (((-141) $ (-790)) 36)) (-2261 (((-592) $) 63 (|has| (-592) (-869)))) (-1837 (($ $ $) 12)) (-4491 (($ $ $) 96 (|has| (-141) (-869))) (($ (-1 (-141) (-141) (-141)) $ $) 89)) (-4467 (((-658 (-141)) $) 46 (|has| $ (-6 -4625)))) (-3133 (((-141) (-141) $) 48 (-12 (|has| (-141) (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 62 (|has| (-592) (-869)))) (-3319 (($ $ $) 13)) (-3987 (($ (-1 (-141) (-141)) $) 41 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-141) (-141) (-141)) $ $) 82) (($ (-1 (-141) (-141)) $) 40)) (-2554 (((-141) $ (-790)) 35)) (-2685 (((-1173) $) 9)) (-3666 (($ $ $ (-592)) 87) (($ (-141) $ (-592)) 86)) (-3708 (((-658 (-592)) $) 60)) (-3780 (((-141) (-592) $) 59)) (-2951 (((-1137) $) 10)) (-1918 (((-141) $) 64 (|has| (-592) (-869)))) (-4050 (((-3 (-141) "failed") (-1 (-141) (-141)) $) 75)) (-1892 (($ $ (-141)) 65 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-141)) $) 43 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-141)) (-658 (-141))) 52 (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-141) (-141)) 51 (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-310 (-141))) 50 (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-658 (-310 (-141)))) 49 (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119))))) (-1724 (((-141) $ $) 31)) (-2254 (((-141) (-141) $) 61 (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-4210 (((-658 (-141)) $) 58)) (-2943 (((-141) $) 34)) (-2890 (($) 33)) (-3927 (($ $ (-1246 (-592))) 83) (((-141) $ (-592)) 57) (((-141) $ (-592) (-141)) 56)) (-3208 (($ $ (-1246 (-592))) 85) (($ $ (-592)) 84)) (-3452 (((-790) (-141) $) 47 (-12 (|has| (-141) (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) (-141)) $) 44 (|has| $ (-6 -4625)))) (-2385 (($ $ $ (-592)) 99 (|has| $ (-6 -4626)))) (-4599 (($ $) 32)) (-1778 (((-565) $) 67 (|has| (-141) (-633 (-565))))) (-4466 (($ (-658 (-141))) 76)) (-2266 (($ (-658 $)) 81) (($ $ $) 80) (($ (-141) $) 79) (($ $ (-141)) 78)) (-1683 (((-877) $) 11)) (-3369 (((-141) (-1 (-141) (-141)) $) 42 (|has| $ (-6 -4625)))) (-1732 (($ $ $) 26)) (-1424 (($ $) 29)) (-1623 (($ $ $) 105)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-1616 (($ $ $) 104)) (-1699 (((-790) $) 39 (|has| $ (-6 -4625))))) 
-(((-153) (-1311)) (T -153)) 
-((-3252 (*1 *1 *1) (-4 *1 (-153))) (-1424 (*1 *1 *1) (-4 *1 (-153))) (-3782 (*1 *1 *1 *1) (-4 *1 (-153))) (-1419 (*1 *1 *1 *1) (-4 *1 (-153))) (-1732 (*1 *1 *1 *1) (-4 *1 (-153))) (-3573 (*1 *1 *1 *1) (-4 *1 (-153))) (-2773 (*1 *1 *1 *1) (-4 *1 (-153)))) 
-(-13 (-869) (-675) (-19 (-141)) (-10 -8 (-15 -3252 ($ $)) (-15 -1424 ($ $)) (-15 -3782 ($ $ $)) (-15 -1419 ($ $ $)) (-15 -1732 ($ $ $)) (-15 -3573 ($ $ $)) (-15 -2773 ($ $ $)))) 
-(((-39) . T) ((-125) . T) ((-632 (-877)) . T) ((-175 (-141)) . T) ((-633 (-565)) |has| (-141) (-633 (-565))) ((-303 (-592) (-141)) . T) ((-305 (-592) (-141)) . T) ((-325 (-141)) -12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119))) ((-399 (-141)) . T) ((-523 (-141)) . T) ((-625 (-592) (-141)) . T) ((-547 (-141) (-141)) -12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119))) ((-664 (-141)) . T) ((-675) . T) ((-19 (-141)) . T) ((-869) . T) ((-1119) . T) ((-1225) . T)) 
-((-3987 (($ (-1 |#2| |#2|) $) 22)) (-4599 (($ $) 16)) (-1699 (((-790) $) 24))) 
-(((-154 |#1| |#2|) (-10 -8 (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -4599 (|#1| |#1|))) (-155 |#2|) (-1119)) (T -154)) 
-NIL 
-(-10 -8 (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -4599 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-2949 (($ $ $) 49 (|has| $ (-6 -4626)))) (-1348 (($ $ $) 51 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626))) (($ $ "left" $) 52 (|has| $ (-6 -4626))) (($ $ "right" $) 50 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-1954 (($ $) 54)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-4245 (($ $ |#1| $) 57)) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-1961 (($ $) 56)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-2920 (((-592) $ $) 41)) (-3228 (((-141) $) 43)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-155 |#1|) (-1311) (-1119)) (T -155)) 
-((-4245 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-155 *2)) (-4 *2 (-1119))))) 
-(-13 (-148 |t#1|) (-10 -8 (-6 -4626) (-6 -4625) (-15 -4245 ($ $ |t#1| $)))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-148 |#1|) . T) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) 15)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) 19 (|has| $ (-6 -4626)))) (-2949 (($ $ $) 20 (|has| $ (-6 -4626)))) (-1348 (($ $ $) 18 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "left" $) NIL (|has| $ (-6 -4626))) (($ $ "right" $) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-1954 (($ $) 21)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-4245 (($ $ |#1| $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-1961 (($ $) NIL)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2113 (($ |#1| $) 10)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 14)) (-2890 (($) 8)) (-3927 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 17)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2128 (($ (-658 |#1|)) 12)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-156 |#1|) (-13 (-155 |#1|) (-10 -8 (-6 -4626) (-15 -2128 ($ (-658 |#1|))) (-15 -2113 ($ |#1| $)))) (-869)) (T -156)) 
-((-2128 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-156 *3)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-156 *2)) (-4 *2 (-869))))) 
-(-13 (-155 |#1|) (-10 -8 (-6 -4626) (-15 -2128 ($ (-658 |#1|))) (-15 -2113 ($ |#1| $)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) 24)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) 26 (|has| $ (-6 -4626)))) (-2949 (($ $ $) 30 (|has| $ (-6 -4626)))) (-1348 (($ $ $) 28 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "left" $) NIL (|has| $ (-6 -4626))) (($ $ "right" $) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-1954 (($ $) 20)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-4245 (($ $ |#1| $) 15)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-1961 (($ $) 19)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) 21)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 18)) (-2890 (($) 11)) (-3927 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1730 (($ |#1|) 17) (($ $ |#1| $) 16)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 10 (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-157 |#1|) (-13 (-155 |#1|) (-10 -8 (-15 -1730 ($ |#1|)) (-15 -1730 ($ $ |#1| $)))) (-1119)) (T -157)) 
-((-1730 (*1 *1 *2) (-12 (-5 *1 (-157 *2)) (-4 *2 (-1119)))) (-1730 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-157 *2)) (-4 *2 (-1119))))) 
-(-13 (-155 |#1|) (-10 -8 (-15 -1730 ($ |#1|)) (-15 -1730 ($ $ |#1| $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14))) 
-(((-158) (-1311)) (T -158)) 
-((-2350 (*1 *1 *1 *1) (|partial| -4 *1 (-158)))) 
-(-13 (-23) (-10 -8 (-15 -2350 ((-3 $ "failed") $ $)))) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 7)) (-1632 (((-1285) $ (-790)) 18)) (-1721 (((-790) $) 19)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17))) 
-(((-159) (-1311)) (T -159)) 
-((-1721 (*1 *2 *1) (-12 (-4 *1 (-159)) (-5 *2 (-790)))) (-1632 (*1 *2 *1 *3) (-12 (-4 *1 (-159)) (-5 *3 (-790)) (-5 *2 (-1285))))) 
-(-13 (-869) (-10 -8 (-15 -1721 ((-790) $)) (-15 -1632 ((-1285) $ (-790))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-869) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-790) "failed") $) 38)) (-2400 (((-790) $) 36)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) 26)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2898 (((-141)) 39)) (-2656 (((-141) (-141)) 41)) (-3561 (((-141) $) 23)) (-4330 (((-141) $) 35)) (-1683 (((-877) $) 22) (($ (-790)) 14)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-3514 (($) 12 T CONST)) (-4257 (($) 11 T CONST)) (-4128 (($ (-790)) 15)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 24)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 25)) (-3306 (((-3 $ "failed") $ $) 29)) (-3300 (($ $ $) 27)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL) (($ $ $) 34)) (* (($ (-790) $) 32) (($ (-944) $) NIL) (($ $ $) 30))) 
-(((-160) (-13 (-869) (-23) (-743) (-1065 (-790)) (-10 -8 (-6 (-4627 "*")) (-15 -3306 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -4128 ($ (-790))) (-15 -3561 ((-141) $)) (-15 -4330 ((-141) $)) (-15 -2898 ((-141))) (-15 -2656 ((-141) (-141)))))) (T -160)) 
-((-3306 (*1 *1 *1 *1) (|partial| -5 *1 (-160))) (** (*1 *1 *1 *1) (-5 *1 (-160))) (-4128 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-160)))) (-3561 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-160)))) (-4330 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-160)))) (-2898 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-160)))) (-2656 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-160))))) 
-(-13 (-869) (-23) (-743) (-1065 (-790)) (-10 -8 (-6 (-4627 "*")) (-15 -3306 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -4128 ($ (-790))) (-15 -3561 ((-141) $)) (-15 -4330 ((-141) $)) (-15 -2898 ((-141))) (-15 -2656 ((-141) (-141))))) 
-((-3711 (((-162 |#1| |#2| |#4|) (-658 |#4|) (-162 |#1| |#2| |#3|)) 14)) (-2731 (((-162 |#1| |#2| |#4|) (-1 |#4| |#3|) (-162 |#1| |#2| |#3|)) 18))) 
-(((-161 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3711 ((-162 |#1| |#2| |#4|) (-658 |#4|) (-162 |#1| |#2| |#3|))) (-15 -2731 ((-162 |#1| |#2| |#4|) (-1 |#4| |#3|) (-162 |#1| |#2| |#3|)))) (-592) (-790) (-194) (-194)) (T -161)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-162 *5 *6 *7)) (-14 *5 (-592)) (-14 *6 (-790)) (-4 *7 (-194)) (-4 *8 (-194)) (-5 *2 (-162 *5 *6 *8)) (-5 *1 (-161 *5 *6 *7 *8)))) (-3711 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-162 *5 *6 *7)) (-14 *5 (-592)) (-14 *6 (-790)) (-4 *7 (-194)) (-4 *8 (-194)) (-5 *2 (-162 *5 *6 *8)) (-5 *1 (-161 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -3711 ((-162 |#1| |#2| |#4|) (-658 |#4|) (-162 |#1| |#2| |#3|))) (-15 -2731 ((-162 |#1| |#2| |#4|) (-1 |#4| |#3|) (-162 |#1| |#2| |#3|)))) 
-((-1641 (((-141) $ $) NIL)) (-2926 (($ (-658 |#3|)) 38)) (-2245 (($ $) 97) (($ $ (-592) (-592)) 96)) (-3001 (($) 17)) (-4368 (((-3 |#3| "failed") $) 58)) (-2400 ((|#3| $) NIL)) (-2030 (($ $ (-658 (-592))) 98)) (-2209 (((-658 |#3|) $) 34)) (-4175 (((-790) $) 42)) (-3679 (($ $ $) 91)) (-1887 (($) 41)) (-2685 (((-1173) $) NIL)) (-1953 (($) 16)) (-2951 (((-1137) $) NIL)) (-3927 ((|#3| $) 44) ((|#3| $ (-592)) 45) ((|#3| $ (-592) (-592)) 46) ((|#3| $ (-592) (-592) (-592)) 47) ((|#3| $ (-592) (-592) (-592) (-592)) 48) ((|#3| $ (-658 (-592))) 50)) (-4525 (((-790) $) 43)) (-1764 (($ $ (-592) $ (-592)) 92) (($ $ (-592) (-592)) 94)) (-1683 (((-877) $) 65) (($ |#3|) 66) (($ (-254 |#2| |#3|)) 73) (($ (-1156 |#2| |#3|)) 76) (($ (-658 |#3|)) 51) (($ (-658 $)) 56)) (-3514 (($) 67 T CONST)) (-4257 (($) 68 T CONST)) (-3255 (((-141) $ $) 78)) (-3306 (($ $) 84) (($ $ $) 82)) (-3300 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-592)) 87) (($ (-592) $) 86) (($ $ $) 93))) 
-(((-162 |#1| |#2| |#3|) (-13 (-494 |#3| (-790)) (-499 (-592) (-790)) (-10 -8 (-15 -1683 ($ (-254 |#2| |#3|))) (-15 -1683 ($ (-1156 |#2| |#3|))) (-15 -1683 ($ (-658 |#3|))) (-15 -1683 ($ (-658 $))) (-15 -4175 ((-790) $)) (-15 -3927 (|#3| $)) (-15 -3927 (|#3| $ (-592))) (-15 -3927 (|#3| $ (-592) (-592))) (-15 -3927 (|#3| $ (-592) (-592) (-592))) (-15 -3927 (|#3| $ (-592) (-592) (-592) (-592))) (-15 -3927 (|#3| $ (-658 (-592)))) (-15 -3679 ($ $ $)) (-15 * ($ $ $)) (-15 -1764 ($ $ (-592) $ (-592))) (-15 -1764 ($ $ (-592) (-592))) (-15 -2245 ($ $)) (-15 -2245 ($ $ (-592) (-592))) (-15 -2030 ($ $ (-658 (-592)))) (-15 -1953 ($)) (-15 -1887 ($)) (-15 -2209 ((-658 |#3|) $)) (-15 -2926 ($ (-658 |#3|))) (-15 -3001 ($)))) (-592) (-790) (-194)) (T -162)) 
-((-3679 (*1 *1 *1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-254 *4 *5)) (-14 *4 (-790)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1156 *4 *5)) (-14 *4 (-790)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *5)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-162 *3 *4 *5))) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)) (-4 *5 (-194)))) (-4175 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 *2) (-4 *5 (-194)))) (-3927 (*1 *2 *1) (-12 (-4 *2 (-194)) (-5 *1 (-162 *3 *4 *2)) (-14 *3 (-592)) (-14 *4 (-790)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) (-3927 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) (-3927 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) (-3927 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-658 (-592))) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 (-592)) (-14 *5 (-790)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) (-1764 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-790)) (-4 *5 (-194)))) (-1764 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-790)) (-4 *5 (-194)))) (-2245 (*1 *1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) (-2245 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-790)) (-4 *5 (-194)))) (-2030 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)) (-4 *5 (-194)))) (-1953 (*1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) (-1887 (*1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) (-2209 (*1 *2 *1) (-12 (-5 *2 (-658 *5)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)) (-4 *5 (-194)))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-658 *5)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)))) (-3001 (*1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194))))) 
-(-13 (-494 |#3| (-790)) (-499 (-592) (-790)) (-10 -8 (-15 -1683 ($ (-254 |#2| |#3|))) (-15 -1683 ($ (-1156 |#2| |#3|))) (-15 -1683 ($ (-658 |#3|))) (-15 -1683 ($ (-658 $))) (-15 -4175 ((-790) $)) (-15 -3927 (|#3| $)) (-15 -3927 (|#3| $ (-592))) (-15 -3927 (|#3| $ (-592) (-592))) (-15 -3927 (|#3| $ (-592) (-592) (-592))) (-15 -3927 (|#3| $ (-592) (-592) (-592) (-592))) (-15 -3927 (|#3| $ (-658 (-592)))) (-15 -3679 ($ $ $)) (-15 * ($ $ $)) (-15 -1764 ($ $ (-592) $ (-592))) (-15 -1764 ($ $ (-592) (-592))) (-15 -2245 ($ $)) (-15 -2245 ($ $ (-592) (-592))) (-15 -2030 ($ $ (-658 (-592)))) (-15 -1953 ($)) (-15 -1887 ($)) (-15 -2209 ((-658 |#3|) $)) (-15 -2926 ($ (-658 |#3|))) (-15 -3001 ($)))) 
-((-1641 (((-141) $ $) NIL)) (-3777 (($) 15 T CONST)) (-1875 (($) NIL (|has| (-168) (-394)))) (-4528 (($ $ $) 17) (($ $ (-168)) NIL) (($ (-168) $) NIL)) (-4471 (($ $ $) NIL)) (-2461 (((-141) $ $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| (-168) (-394)))) (-2224 (($) NIL) (($ (-658 (-168))) NIL)) (-4125 (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4065 (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625))) (($ (-168) $) 51 (|has| $ (-6 -4625)))) (-4459 (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625))) (($ (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-3657 (((-168) (-1 (-168) (-168) (-168)) $) NIL (|has| $ (-6 -4625))) (((-168) (-1 (-168) (-168) (-168)) $ (-168)) NIL (|has| $ (-6 -4625))) (((-168) (-1 (-168) (-168) (-168)) $ (-168) (-168)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4290 (($) NIL (|has| (-168) (-394)))) (-4004 (((-658 (-168)) $) 60 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-1837 (((-168) $) NIL (|has| (-168) (-869)))) (-4467 (((-658 (-168)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-168) $) 26 (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-3319 (((-168) $) NIL (|has| (-168) (-869)))) (-3987 (($ (-1 (-168) (-168)) $) 59 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-168) (-168)) $) 55)) (-1633 (($) 16 T CONST)) (-3546 (((-944) $) NIL (|has| (-168) (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-2852 (($ $ $) 29)) (-4137 (((-168) $) 52)) (-2113 (($ (-168) $) 50)) (-1825 (($ (-944)) NIL (|has| (-168) (-394)))) (-3880 (($) 14 T CONST)) (-2951 (((-1137) $) NIL)) (-4050 (((-3 (-168) "failed") (-1 (-141) (-168)) $) NIL)) (-2106 (((-168) $) 53)) (-3002 (((-141) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-168)) (-658 (-168))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-168) (-168)) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-310 (-168))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-658 (-310 (-168)))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| (-168) (-394)))) (-2943 (((-141) $) NIL)) (-2890 (($) 48)) (-4040 (($) 13 T CONST)) (-4328 (($ $ $) 31) (($ $ (-168)) NIL)) (-1653 (($ (-658 (-168))) NIL) (($) NIL)) (-3452 (((-790) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119)))) (((-790) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-1173) $) 36) (((-565) $) NIL (|has| (-168) (-633 (-565)))) (((-658 (-168)) $) 34)) (-4466 (($ (-658 (-168))) NIL)) (-2184 (($ $) 32 (|has| (-168) (-394)))) (-1683 (((-877) $) 46)) (-1743 (($ (-1173)) 12) (($ (-658 (-168))) 43)) (-1484 (((-790) $) NIL)) (-4586 (($) 49) (($ (-658 (-168))) NIL)) (-4560 (($ (-658 (-168))) NIL)) (-3369 (((-141) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-4360 (($) 19 T CONST)) (-1660 (($) 18 T CONST)) (-3255 (((-141) $ $) 22)) (-3266 (((-141) $ $) NIL)) (-1699 (((-790) $) 47 (|has| $ (-6 -4625))))) 
-(((-163) (-13 (-1119) (-633 (-1173)) (-451 (-168)) (-633 (-658 (-168))) (-10 -8 (-15 -1743 ($ (-1173))) (-15 -1743 ($ (-658 (-168)))) (-15 -4040 ($) -4249) (-15 -3880 ($) -4249) (-15 -3777 ($) -4249) (-15 -1633 ($) -4249) (-15 -1660 ($) -4249) (-15 -4360 ($) -4249)))) (T -163)) 
-((-1743 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-163)))) (-1743 (*1 *1 *2) (-12 (-5 *2 (-658 (-168))) (-5 *1 (-163)))) (-4040 (*1 *1) (-5 *1 (-163))) (-3880 (*1 *1) (-5 *1 (-163))) (-3777 (*1 *1) (-5 *1 (-163))) (-1633 (*1 *1) (-5 *1 (-163))) (-1660 (*1 *1) (-5 *1 (-163))) (-4360 (*1 *1) (-5 *1 (-163)))) 
-(-13 (-1119) (-633 (-1173)) (-451 (-168)) (-633 (-658 (-168))) (-10 -8 (-15 -1743 ($ (-1173))) (-15 -1743 ($ (-658 (-168)))) (-15 -4040 ($) -4249) (-15 -3880 ($) -4249) (-15 -3777 ($) -4249) (-15 -1633 ($) -4249) (-15 -1660 ($) -4249) (-15 -4360 ($) -4249))) 
-((-3626 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-2088 ((|#1| |#3|) 9)) (-2219 ((|#3| |#3|) 15))) 
-(((-164 |#1| |#2| |#3|) (-10 -7 (-15 -2088 (|#1| |#3|)) (-15 -2219 (|#3| |#3|)) (-15 -3626 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-582) (-1021 |#1|) (-399 |#2|)) (T -164)) 
-((-3626 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-164 *4 *5 *3)) (-4 *3 (-399 *5)))) (-2219 (*1 *2 *2) (-12 (-4 *3 (-582)) (-4 *4 (-1021 *3)) (-5 *1 (-164 *3 *4 *2)) (-4 *2 (-399 *4)))) (-2088 (*1 *2 *3) (-12 (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-164 *2 *4 *3)) (-4 *3 (-399 *4))))) 
-(-10 -7 (-15 -2088 (|#1| |#3|)) (-15 -2219 (|#3| |#3|)) (-15 -3626 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-1641 (((-141) $ $) NIL (|has| (-191 (-237)) (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-166)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) NIL)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 (((-191 (-237)) $ (-592) (-592) (-191 (-237))) NIL) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-166)) NIL)) (-2242 (($ $ (-592) (-166)) NIL)) (-3223 (($ (-790) (-191 (-237))) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| (-191 (-237)) (-323)))) (-2747 (((-166) $ (-592)) NIL)) (-4175 (((-790) $) NIL (|has| (-191 (-237)) (-582)))) (-1426 (((-191 (-237)) $ (-592) (-592) (-191 (-237))) 16)) (-1695 (($ (-592) (-592)) 18)) (-3959 (((-191 (-237)) $ (-592) (-592)) 15)) (-1794 (((-191 (-237)) $) NIL (|has| (-191 (-237)) (-194)))) (-4004 (((-658 (-191 (-237))) $) NIL)) (-3178 (((-790) $) NIL (|has| (-191 (-237)) (-582)))) (-3555 (((-658 (-166)) $) NIL (|has| (-191 (-237)) (-582)))) (-4292 (((-790) $) 10)) (-3242 (($ (-790) (-790) (-191 (-237))) 19)) (-4298 (((-790) $) 11)) (-4345 (((-141) $ (-790)) NIL)) (-3781 (((-191 (-237)) $) NIL (|has| (-191 (-237)) (-6 (-4627 "*"))))) (-4577 (((-592) $) 7)) (-4280 (((-592) $) 8)) (-4467 (((-658 (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-191 (-237)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119))))) (-1898 (((-592) $) 12)) (-3005 (((-592) $) 13)) (-4186 (($ (-658 (-658 (-191 (-237))))) NIL) (($ (-790) (-790) (-1 (-191 (-237)) (-592) (-592))) NIL)) (-3987 (($ (-1 (-191 (-237)) (-191 (-237))) $) NIL)) (-2731 (($ (-1 (-191 (-237)) (-191 (-237))) $) NIL) (($ (-1 (-191 (-237)) (-191 (-237)) (-191 (-237))) $ $) NIL) (($ (-1 (-191 (-237)) (-191 (-237)) (-191 (-237))) $ $ (-191 (-237))) NIL)) (-4601 (((-658 (-658 (-191 (-237)))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-191 (-237)) (-1119)))) (-3183 (((-3 $ "failed") $) NIL (|has| (-191 (-237)) (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| (-191 (-237)) (-1119)))) (-1892 (($ $ (-191 (-237))) NIL)) (-3616 (((-3 $ "failed") $ (-191 (-237))) NIL (|has| (-191 (-237)) (-582)))) (-3002 (((-141) (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-191 (-237))))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119)))) (($ $ (-310 (-191 (-237)))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119)))) (($ $ (-191 (-237)) (-191 (-237))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119)))) (($ $ (-658 (-191 (-237))) (-658 (-191 (-237)))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 17)) (-3927 (((-191 (-237)) $ (-592) (-592)) NIL) (((-191 (-237)) $ (-592) (-592) (-191 (-237))) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 (-191 (-237)))) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 (((-191 (-237)) $) NIL (|has| (-191 (-237)) (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625))) (((-790) (-191 (-237)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-166)) $) NIL (|has| (-191 (-237)) (-323)))) (-2000 (((-166) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| (-191 (-237)) (-1119))) (($ (-166)) NIL)) (-3369 (((-141) (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| (-191 (-237)) (-1119)))) (-3313 (($ $ (-191 (-237))) NIL (|has| (-191 (-237)) (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-191 (-237)) (-388)))) (* (($ $ $) NIL) (($ (-191 (-237)) $) NIL) (($ $ (-191 (-237))) NIL) (($ (-592) $) NIL) (((-166) $ (-166)) NIL) (((-166) (-166) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-165) (-13 (-704 (-191 (-237)) (-166) (-166)) (-10 -8 (-15 -1695 ($ (-592) (-592)))))) (T -165)) 
-((-1695 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-165))))) 
-(-13 (-704 (-191 (-237)) (-166) (-166)) (-10 -8 (-15 -1695 ($ (-592) (-592))))) 
-((-1641 (((-141) $ $) NIL (|has| (-191 (-237)) (-1119)))) (-1417 (($ (-790)) NIL (|has| (-191 (-237)) (-23)))) (-3665 (($ (-658 (-191 (-237)))) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-191 (-237)) (-191 (-237))) $) NIL) (((-141) $) NIL (|has| (-191 (-237)) (-869)))) (-2831 (($ (-1 (-141) (-191 (-237)) (-191 (-237))) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-191 (-237)) (-869))))) (-3960 (($ (-1 (-141) (-191 (-237)) (-191 (-237))) $) NIL) (($ $) NIL (|has| (-191 (-237)) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-191 (-237)) $ (-592) (-191 (-237))) 18 (|has| $ (-6 -4626))) (((-191 (-237)) $ (-1246 (-592)) (-191 (-237))) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119))))) (-4459 (($ (-191 (-237)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119)))) (($ (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-191 (-237)) (-1 (-191 (-237)) (-191 (-237)) (-191 (-237))) $ (-191 (-237)) (-191 (-237))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119)))) (((-191 (-237)) (-1 (-191 (-237)) (-191 (-237)) (-191 (-237))) $ (-191 (-237))) NIL (|has| $ (-6 -4625))) (((-191 (-237)) (-1 (-191 (-237)) (-191 (-237)) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-191 (-237)) $ (-592) (-191 (-237))) 9 (|has| $ (-6 -4626)))) (-1695 (($ (-592)) 14)) (-3959 (((-191 (-237)) $ (-592)) 8)) (-1721 (((-592) (-1 (-141) (-191 (-237))) $) NIL) (((-592) (-191 (-237)) $) NIL (|has| (-191 (-237)) (-1119))) (((-592) (-191 (-237)) $ (-592)) NIL (|has| (-191 (-237)) (-1119)))) (-4004 (((-658 (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-4363 (((-706 (-191 (-237))) $ $) NIL (|has| (-191 (-237)) (-1075)))) (-3242 (($ (-790) (-191 (-237))) 16)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 12 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-191 (-237)) (-869)))) (-4491 (($ (-1 (-141) (-191 (-237)) (-191 (-237))) $ $) NIL) (($ $ $) NIL (|has| (-191 (-237)) (-869)))) (-4467 (((-658 (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-191 (-237)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-191 (-237)) (-869)))) (-3987 (($ (-1 (-191 (-237)) (-191 (-237))) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-191 (-237)) (-191 (-237))) $) NIL) (($ (-1 (-191 (-237)) (-191 (-237)) (-191 (-237))) $ $) NIL)) (-2311 (((-191 (-237)) $) NIL (-12 (|has| (-191 (-237)) (-1030)) (|has| (-191 (-237)) (-1075))))) (-2554 (((-141) $ (-790)) NIL)) (-4233 (((-191 (-237)) $) NIL (-12 (|has| (-191 (-237)) (-1030)) (|has| (-191 (-237)) (-1075))))) (-2685 (((-1173) $) NIL (|has| (-191 (-237)) (-1119)))) (-3666 (($ (-191 (-237)) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| (-191 (-237)) (-1119)))) (-1918 (((-191 (-237)) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-191 (-237)) "failed") (-1 (-141) (-191 (-237))) $) NIL)) (-1892 (($ $ (-191 (-237))) 15 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-191 (-237))))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119)))) (($ $ (-310 (-191 (-237)))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119)))) (($ $ (-191 (-237)) (-191 (-237))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119)))) (($ $ (-658 (-191 (-237))) (-658 (-191 (-237)))) NIL (-12 (|has| (-191 (-237)) (-325 (-191 (-237)))) (|has| (-191 (-237)) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-191 (-237)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119))))) (-4210 (((-658 (-191 (-237))) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 13)) (-3927 (((-191 (-237)) $ (-592) (-191 (-237))) NIL) (((-191 (-237)) $ (-592)) 17) (($ $ (-1246 (-592))) NIL)) (-1729 (((-191 (-237)) $ $) NIL (|has| (-191 (-237)) (-1075)))) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-2746 (($ $ $) NIL (|has| (-191 (-237)) (-1075)))) (-3452 (((-790) (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625))) (((-790) (-191 (-237)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-191 (-237)) (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-191 (-237)) (-633 (-565))))) (-4466 (($ (-658 (-191 (-237)))) NIL)) (-2266 (($ $ (-191 (-237))) NIL) (($ (-191 (-237)) $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| (-191 (-237)) (-1119)))) (-3369 (((-141) (-1 (-141) (-191 (-237))) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-191 (-237)) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-191 (-237)) (-869)))) (-3255 (((-141) $ $) NIL (|has| (-191 (-237)) (-1119)))) (-3279 (((-141) $ $) NIL (|has| (-191 (-237)) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-191 (-237)) (-869)))) (-3306 (($ $) NIL (|has| (-191 (-237)) (-21))) (($ $ $) NIL (|has| (-191 (-237)) (-21)))) (-3300 (($ $ $) NIL (|has| (-191 (-237)) (-25)))) (* (($ (-592) $) NIL (|has| (-191 (-237)) (-21))) (($ (-191 (-237)) $) NIL (|has| (-191 (-237)) (-743))) (($ $ (-191 (-237))) NIL (|has| (-191 (-237)) (-743)))) (-1699 (((-790) $) 11 (|has| $ (-6 -4625))))) 
-(((-166) (-13 (-1278 (-191 (-237))) (-10 -8 (-15 -1695 ($ (-592))) (-15 -3665 ($ (-658 (-191 (-237)))))))) (T -166)) 
-((-1695 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-166)))) (-3665 (*1 *1 *2) (-12 (-5 *2 (-658 (-191 (-237)))) (-5 *1 (-166))))) 
-(-13 (-1278 (-191 (-237))) (-10 -8 (-15 -1695 ($ (-592))) (-15 -3665 ($ (-658 (-191 (-237))))))) 
-((-3870 (($ $ $) 8)) (-2283 (($ $) 7)) (-4042 (($ $ $) 6))) 
-(((-167) (-1311)) (T -167)) 
-((-3870 (*1 *1 *1 *1) (-4 *1 (-167))) (-2283 (*1 *1 *1) (-4 *1 (-167))) (-4042 (*1 *1 *1 *1) (-4 *1 (-167)))) 
-(-13 (-10 -8 (-15 -4042 ($ $ $)) (-15 -2283 ($ $)) (-15 -3870 ($ $ $)))) 
-((-1641 (((-141) $ $) NIL)) (-1766 (((-141) $) 38)) (-3777 (($ $) 50)) (-2366 (($) 25)) (-1403 (((-790)) 16)) (-4290 (($) 24)) (-3645 (($) 26)) (-2016 (((-592) $) 21)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2454 (((-141) $) 40)) (-1633 (($ $) 51)) (-3546 (((-944) $) 22)) (-2685 (((-1173) $) 46)) (-1825 (($ (-944)) 20)) (-3648 (((-141) $) 36)) (-2951 (((-1137) $) NIL)) (-1354 (($) 27)) (-1405 (((-658 $)) NIL)) (-3791 (((-141) $) 34)) (-1683 (((-877) $) 29)) (-3289 (($ (-592)) 18) (($ (-1173)) 49)) (-2143 (((-141) $) 44)) (-4468 (((-141) $) 42)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 13)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 14))) 
-(((-168) (-13 (-863) (-10 -8 (-15 -2016 ((-592) $)) (-15 -3289 ($ (-592))) (-15 -3289 ($ (-1173))) (-15 -2366 ($)) (-15 -3645 ($)) (-15 -1354 ($)) (-15 -3777 ($ $)) (-15 -1633 ($ $)) (-15 -3791 ((-141) $)) (-15 -3648 ((-141) $)) (-15 -4468 ((-141) $)) (-15 -1766 ((-141) $)) (-15 -2454 ((-141) $)) (-15 -2143 ((-141) $))))) (T -168)) 
-((-2016 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-168)))) (-3289 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-168)))) (-3289 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-168)))) (-2366 (*1 *1) (-5 *1 (-168))) (-3645 (*1 *1) (-5 *1 (-168))) (-1354 (*1 *1) (-5 *1 (-168))) (-3777 (*1 *1 *1) (-5 *1 (-168))) (-1633 (*1 *1 *1) (-5 *1 (-168))) (-3791 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168)))) (-3648 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168)))) (-4468 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168)))) (-1766 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168)))) (-2454 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168)))) (-2143 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(-13 (-863) (-10 -8 (-15 -2016 ((-592) $)) (-15 -3289 ($ (-592))) (-15 -3289 ($ (-1173))) (-15 -2366 ($)) (-15 -3645 ($)) (-15 -1354 ($)) (-15 -3777 ($ $)) (-15 -1633 ($ $)) (-15 -3791 ((-141) $)) (-15 -3648 ((-141) $)) (-15 -4468 ((-141) $)) (-15 -1766 ((-141) $)) (-15 -2454 ((-141) $)) (-15 -2143 ((-141) $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-1517 (((-3 $ "failed") $) 34)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-169) (-1311)) (T -169)) 
-((-1517 (*1 *1 *1) (|partial| -4 *1 (-169)))) 
-(-13 (-1075) (-10 -8 (-15 -1517 ((-3 $ "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-4198 ((|#1| (-706 |#1|) |#1|) 17))) 
-(((-170 |#1|) (-10 -7 (-15 -4198 (|#1| (-706 |#1|) |#1|))) (-194)) (T -170)) 
-((-4198 (*1 *2 *3 *2) (-12 (-5 *3 (-706 *2)) (-4 *2 (-194)) (-5 *1 (-170 *2))))) 
-(-10 -7 (-15 -4198 (|#1| (-706 |#1|) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-171) (-1311)) (T -171)) 
-NIL 
-(-13 (-1075)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-4119 (((-2 (|:| -3215 (-790)) (|:| -1487 (-433 |#2|)) (|:| |radicand| |#2|)) (-433 |#2|) (-790)) 69)) (-2987 (((-3 (-2 (|:| |radicand| (-433 |#2|)) (|:| |deg| (-790))) "failed") |#3|) 51)) (-1983 (((-2 (|:| -1487 (-433 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-1661 ((|#1| |#3| |#3|) 39)) (-2806 ((|#3| |#3| (-433 |#2|) (-433 |#2|)) 19)) (-2529 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-433 |#2|)) (|:| |c2| (-433 |#2|)) (|:| |deg| (-790))) |#3| |#3|) 48))) 
-(((-172 |#1| |#2| |#3|) (-10 -7 (-15 -1983 ((-2 (|:| -1487 (-433 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -2987 ((-3 (-2 (|:| |radicand| (-433 |#2|)) (|:| |deg| (-790))) "failed") |#3|)) (-15 -4119 ((-2 (|:| -3215 (-790)) (|:| -1487 (-433 |#2|)) (|:| |radicand| |#2|)) (-433 |#2|) (-790))) (-15 -1661 (|#1| |#3| |#3|)) (-15 -2806 (|#3| |#3| (-433 |#2|) (-433 |#2|))) (-15 -2529 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-433 |#2|)) (|:| |c2| (-433 |#2|)) (|:| |deg| (-790))) |#3| |#3|))) (-1235) (-1255 |#1|) (-1255 (-433 |#2|))) (T -172)) 
-((-2529 (*1 *2 *3 *3) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-433 *5)) (|:| |c2| (-433 *5)) (|:| |deg| (-790)))) (-5 *1 (-172 *4 *5 *3)) (-4 *3 (-1255 (-433 *5))))) (-2806 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-433 *5)) (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *1 (-172 *4 *5 *2)) (-4 *2 (-1255 *3)))) (-1661 (*1 *2 *3 *3) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-1235)) (-5 *1 (-172 *2 *4 *3)) (-4 *3 (-1255 (-433 *4))))) (-4119 (*1 *2 *3 *4) (-12 (-5 *3 (-433 *6)) (-4 *5 (-1235)) (-4 *6 (-1255 *5)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *3) (|:| |radicand| *6))) (-5 *1 (-172 *5 *6 *7)) (-5 *4 (-790)) (-4 *7 (-1255 *3)))) (-2987 (*1 *2 *3) (|partial| -12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| |radicand| (-433 *5)) (|:| |deg| (-790)))) (-5 *1 (-172 *4 *5 *3)) (-4 *3 (-1255 (-433 *5))))) (-1983 (*1 *2 *3) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -1487 (-433 *5)) (|:| |poly| *3))) (-5 *1 (-172 *4 *5 *3)) (-4 *3 (-1255 (-433 *5)))))) 
-(-10 -7 (-15 -1983 ((-2 (|:| -1487 (-433 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -2987 ((-3 (-2 (|:| |radicand| (-433 |#2|)) (|:| |deg| (-790))) "failed") |#3|)) (-15 -4119 ((-2 (|:| -3215 (-790)) (|:| -1487 (-433 |#2|)) (|:| |radicand| |#2|)) (-433 |#2|) (-790))) (-15 -1661 (|#1| |#3| |#3|)) (-15 -2806 (|#3| |#3| (-433 |#2|) (-433 |#2|))) (-15 -2529 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-433 |#2|)) (|:| |c2| (-433 |#2|)) (|:| |deg| (-790))) |#3| |#3|))) 
-((-3524 (((-3 (-658 (-1187 |#2|)) "failed") (-658 (-1187 |#2|)) (-1187 |#2|)) 31))) 
-(((-173 |#1| |#2|) (-10 -7 (-15 -3524 ((-3 (-658 (-1187 |#2|)) "failed") (-658 (-1187 |#2|)) (-1187 |#2|)))) (-574) (-188 |#1|)) (T -173)) 
-((-3524 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *5))) (-5 *3 (-1187 *5)) (-4 *5 (-188 *4)) (-4 *4 (-574)) (-5 *1 (-173 *4 *5))))) 
-(-10 -7 (-15 -3524 ((-3 (-658 (-1187 |#2|)) "failed") (-658 (-1187 |#2|)) (-1187 |#2|)))) 
-((-3113 (($ (-1 (-141) |#2|) $) 29)) (-1360 (($ $) 36)) (-4459 (($ (-1 (-141) |#2|) $) 27) (($ |#2| $) 32)) (-3657 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-4050 (((-3 |#2| "failed") (-1 (-141) |#2|) $) 19)) (-3002 (((-141) (-1 (-141) |#2|) $) 16)) (-3452 (((-790) (-1 (-141) |#2|) $) 13) (((-790) |#2| $) NIL)) (-3369 (((-141) (-1 (-141) |#2|) $) 15)) (-1699 (((-790) $) 11))) 
-(((-174 |#1| |#2|) (-10 -8 (-15 -1360 (|#1| |#1|)) (-15 -4459 (|#1| |#2| |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3113 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4459 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -4050 ((-3 |#2| "failed") (-1 (-141) |#2|) |#1|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -1699 ((-790) |#1|))) (-175 |#2|) (-1225)) (T -174)) 
-NIL 
-(-10 -8 (-15 -1360 (|#1| |#1|)) (-15 -4459 (|#1| |#2| |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3113 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4459 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -4050 ((-3 |#2| "failed") (-1 (-141) |#2|) |#1|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -1699 ((-790) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-3113 (($ (-1 (-141) |#1|) $) 41 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1360 (($ $) 38 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625))) (($ |#1| $) 39 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 45)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 37 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 46)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-175 |#1|) (-1311) (-1225)) (T -175)) 
-((-4466 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-4 *1 (-175 *3)))) (-4050 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-141) *2)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) (-3657 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) (-3657 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) (-4459 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *3)) (-4 *3 (-1225)))) (-3113 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *3)) (-4 *3 (-1225)))) (-3657 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1119)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) (-4459 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)) (-4 *2 (-1119)))) (-1360 (*1 *1 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)) (-4 *2 (-1119))))) 
-(-13 (-523 |t#1|) (-10 -8 (-15 -4466 ($ (-658 |t#1|))) (-15 -4050 ((-3 |t#1| "failed") (-1 (-141) |t#1|) $)) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3657 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -3657 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -4459 ($ (-1 (-141) |t#1|) $)) (-15 -3113 ($ (-1 (-141) |t#1|) $)) (IF (|has| |t#1| (-1119)) (PROGN (-15 -3657 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -4459 ($ |t#1| $)) (-15 -1360 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) 85)) (-3558 (((-141) $) NIL)) (-4526 (($ |#2| (-658 (-944))) 56)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3881 (($ (-944)) 48)) (-1936 (((-160)) 23)) (-1683 (((-877) $) 68) (($ (-592)) 46) (($ |#2|) 47)) (-1937 ((|#2| $ (-658 (-944))) 58)) (-4010 (((-790)) 20)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 40 T CONST)) (-4257 (($) 44 T CONST)) (-3255 (((-141) $ $) 26)) (-3313 (($ $ |#2|) NIL)) (-3306 (($ $) 34) (($ $ $) 32)) (-3300 (($ $ $) 30)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
-(((-176 |#1| |#2| |#3|) (-13 (-1075) (-43 |#2|) (-1287 |#2|) (-10 -8 (-15 -3881 ($ (-944))) (-15 -4526 ($ |#2| (-658 (-944)))) (-15 -1937 (|#2| $ (-658 (-944)))) (-15 -3371 ((-3 $ "failed") $)))) (-944) (-388) (-1022 |#1| |#2|)) (T -176)) 
-((-3371 (*1 *1 *1) (|partial| -12 (-5 *1 (-176 *2 *3 *4)) (-14 *2 (-944)) (-4 *3 (-388)) (-14 *4 (-1022 *2 *3)))) (-3881 (*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-176 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-388)) (-14 *5 (-1022 *3 *4)))) (-4526 (*1 *1 *2 *3) (-12 (-5 *3 (-658 (-944))) (-5 *1 (-176 *4 *2 *5)) (-14 *4 (-944)) (-4 *2 (-388)) (-14 *5 (-1022 *4 *2)))) (-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-658 (-944))) (-4 *2 (-388)) (-5 *1 (-176 *4 *2 *5)) (-14 *4 (-944)) (-14 *5 (-1022 *4 *2))))) 
-(-13 (-1075) (-43 |#2|) (-1287 |#2|) (-10 -8 (-15 -3881 ($ (-944))) (-15 -4526 ($ |#2| (-658 (-944)))) (-15 -1937 (|#2| $ (-658 (-944)))) (-15 -3371 ((-3 $ "failed") $)))) 
-((-2956 (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-658 (-971 (-237)))) (-237) (-237) (-237) (-237)) 38)) (-4250 (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954) (-433 (-592)) (-433 (-592))) 62) (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954)) 63)) (-3100 (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-658 (-971 (-237))))) 66) (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-971 (-237)))) 65) (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954) (-433 (-592)) (-433 (-592))) 57) (((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954)) 58))) 
-(((-177) (-10 -7 (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954))) (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954) (-433 (-592)) (-433 (-592)))) (-15 -4250 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954))) (-15 -4250 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954) (-433 (-592)) (-433 (-592)))) (-15 -2956 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-658 (-971 (-237)))) (-237) (-237) (-237) (-237))) (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-971 (-237))))) (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-658 (-971 (-237)))))))) (T -177)) 
-((-3100 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)) (-5 *3 (-658 (-658 (-971 (-237))))))) (-3100 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)) (-5 *3 (-658 (-971 (-237)))))) (-2956 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-237)) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 *4)))) (|:| |xValues| (-1113 *4)) (|:| |yValues| (-1113 *4)))) (-5 *1 (-177)) (-5 *3 (-658 (-658 (-971 *4)))))) (-4250 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-954)) (-5 *4 (-433 (-592))) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)))) (-4250 (*1 *2 *3) (-12 (-5 *3 (-954)) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)))) (-3100 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-954)) (-5 *4 (-433 (-592))) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-954)) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177))))) 
-(-10 -7 (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954))) (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954) (-433 (-592)) (-433 (-592)))) (-15 -4250 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954))) (-15 -4250 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-954) (-433 (-592)) (-433 (-592)))) (-15 -2956 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-658 (-971 (-237)))) (-237) (-237) (-237) (-237))) (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-971 (-237))))) (-15 -3100 ((-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237)))) (-658 (-658 (-971 (-237))))))) 
-((-3688 (((-658 (-191 |#2|)) |#1| |#2|) 45))) 
-(((-178 |#1| |#2|) (-10 -7 (-15 -3688 ((-658 (-191 |#2|)) |#1| |#2|))) (-1255 (-191 (-592))) (-13 (-388) (-867))) (T -178)) 
-((-3688 (*1 *2 *3 *4) (-12 (-5 *2 (-658 (-191 *4))) (-5 *1 (-178 *3 *4)) (-4 *3 (-1255 (-191 (-592)))) (-4 *4 (-13 (-388) (-867)))))) 
-(-10 -7 (-15 -3688 ((-658 (-191 |#2|)) |#1| |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2082 (($) 15)) (-4080 (($) 14)) (-3877 (((-944)) 22)) (-2685 (((-1173) $) NIL)) (-3850 (((-592) $) 19)) (-2951 (((-1137) $) NIL)) (-1420 (($) 16)) (-2932 (($ (-592)) 23)) (-1683 (((-877) $) 29)) (-2796 (($) 17)) (-3255 (((-141) $ $) 13)) (-3300 (($ $ $) 11)) (* (($ (-944) $) 21) (($ (-237) $) 8))) 
-(((-179) (-13 (-25) (-10 -8 (-15 * ($ (-944) $)) (-15 * ($ (-237) $)) (-15 -3300 ($ $ $)) (-15 -4080 ($)) (-15 -2082 ($)) (-15 -1420 ($)) (-15 -2796 ($)) (-15 -3850 ((-592) $)) (-15 -3877 ((-944))) (-15 -2932 ($ (-592)))))) (T -179)) 
-((-3300 (*1 *1 *1 *1) (-5 *1 (-179))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-944)) (-5 *1 (-179)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-237)) (-5 *1 (-179)))) (-4080 (*1 *1) (-5 *1 (-179))) (-2082 (*1 *1) (-5 *1 (-179))) (-1420 (*1 *1) (-5 *1 (-179))) (-2796 (*1 *1) (-5 *1 (-179))) (-3850 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-179)))) (-3877 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-179)))) (-2932 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-179))))) 
-(-13 (-25) (-10 -8 (-15 * ($ (-944) $)) (-15 * ($ (-237) $)) (-15 -3300 ($ $ $)) (-15 -4080 ($)) (-15 -2082 ($)) (-15 -1420 ($)) (-15 -2796 ($)) (-15 -3850 ((-592) $)) (-15 -3877 ((-944))) (-15 -2932 ($ (-592))))) 
-((-2178 ((|#2| |#2| (-1111 |#2|)) 87) ((|#2| |#2| (-1191)) 67)) (-3679 ((|#2| |#2| (-1111 |#2|)) 86) ((|#2| |#2| (-1191)) 66)) (-3870 ((|#2| |#2| |#2|) 27)) (-2791 (((-143) (-143)) 97)) (-4019 ((|#2| (-658 |#2|)) 116)) (-2762 ((|#2| (-658 |#2|)) 134)) (-2080 ((|#2| (-658 |#2|)) 124)) (-3221 ((|#2| |#2|) 122)) (-2994 ((|#2| (-658 |#2|)) 109)) (-3212 ((|#2| (-658 |#2|)) 110)) (-3426 ((|#2| (-658 |#2|)) 132)) (-2944 ((|#2| |#2| (-1191)) 54) ((|#2| |#2|) 53)) (-2283 ((|#2| |#2|) 23)) (-4042 ((|#2| |#2| |#2|) 26)) (-3038 (((-141) (-143)) 47)) (** ((|#2| |#2| |#2|) 38))) 
-(((-180 |#1| |#2|) (-10 -7 (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 ** (|#2| |#2| |#2|)) (-15 -4042 (|#2| |#2| |#2|)) (-15 -3870 (|#2| |#2| |#2|)) (-15 -2283 (|#2| |#2|)) (-15 -2944 (|#2| |#2|)) (-15 -2944 (|#2| |#2| (-1191))) (-15 -2178 (|#2| |#2| (-1191))) (-15 -2178 (|#2| |#2| (-1111 |#2|))) (-15 -3679 (|#2| |#2| (-1191))) (-15 -3679 (|#2| |#2| (-1111 |#2|))) (-15 -3221 (|#2| |#2|)) (-15 -3426 (|#2| (-658 |#2|))) (-15 -2080 (|#2| (-658 |#2|))) (-15 -2762 (|#2| (-658 |#2|))) (-15 -2994 (|#2| (-658 |#2|))) (-15 -3212 (|#2| (-658 |#2|))) (-15 -4019 (|#2| (-658 |#2|)))) (-13 (-869) (-582)) (-456 |#1|)) (T -180)) 
-((-4019 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-3212 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-2994 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-2762 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-3426 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-3221 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) (-3679 (*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)))) (-3679 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)) (-4 *2 (-456 *4)))) (-2178 (*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)))) (-2178 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)) (-4 *2 (-456 *4)))) (-2944 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)) (-4 *2 (-456 *4)))) (-2944 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) (-2283 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) (-3870 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) (-4042 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *4)) (-4 *4 (-456 *3)))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-180 *4 *5)) (-4 *5 (-456 *4))))) 
-(-10 -7 (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 ** (|#2| |#2| |#2|)) (-15 -4042 (|#2| |#2| |#2|)) (-15 -3870 (|#2| |#2| |#2|)) (-15 -2283 (|#2| |#2|)) (-15 -2944 (|#2| |#2|)) (-15 -2944 (|#2| |#2| (-1191))) (-15 -2178 (|#2| |#2| (-1191))) (-15 -2178 (|#2| |#2| (-1111 |#2|))) (-15 -3679 (|#2| |#2| (-1191))) (-15 -3679 (|#2| |#2| (-1111 |#2|))) (-15 -3221 (|#2| |#2|)) (-15 -3426 (|#2| (-658 |#2|))) (-15 -2080 (|#2| (-658 |#2|))) (-15 -2762 (|#2| (-658 |#2|))) (-15 -2994 (|#2| (-658 |#2|))) (-15 -3212 (|#2| (-658 |#2|))) (-15 -4019 (|#2| (-658 |#2|)))) 
-((-4396 ((|#1| |#1| |#1|) 52)) (-2995 ((|#1| |#1| |#1|) 49)) (-3870 ((|#1| |#1| |#1|) 43)) (-1744 ((|#1| |#1|) 34)) (-2525 ((|#1| |#1| (-658 |#1|)) 42)) (-2283 ((|#1| |#1|) 36)) (-4042 ((|#1| |#1| |#1|) 39))) 
-(((-181 |#1|) (-10 -7 (-15 -4042 (|#1| |#1| |#1|)) (-15 -2283 (|#1| |#1|)) (-15 -2525 (|#1| |#1| (-658 |#1|))) (-15 -1744 (|#1| |#1|)) (-15 -3870 (|#1| |#1| |#1|)) (-15 -2995 (|#1| |#1| |#1|)) (-15 -4396 (|#1| |#1| |#1|))) (-574)) (T -181)) 
-((-4396 (*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) (-2995 (*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) (-3870 (*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) (-1744 (*1 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) (-2525 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-574)) (-5 *1 (-181 *2)))) (-2283 (*1 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) (-4042 (*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574))))) 
-(-10 -7 (-15 -4042 (|#1| |#1| |#1|)) (-15 -2283 (|#1| |#1|)) (-15 -2525 (|#1| |#1| (-658 |#1|))) (-15 -1744 (|#1| |#1|)) (-15 -3870 (|#1| |#1| |#1|)) (-15 -2995 (|#1| |#1| |#1|)) (-15 -4396 (|#1| |#1| |#1|))) 
-((-2178 (($ $ (-1191)) 12) (($ $ (-1111 $)) 11)) (-3679 (($ $ (-1191)) 10) (($ $ (-1111 $)) 9)) (-3870 (($ $ $) 8)) (-2944 (($ $) 14) (($ $ (-1191)) 13)) (-2283 (($ $) 7)) (-4042 (($ $ $) 6))) 
-(((-182) (-1311)) (T -182)) 
-((-2944 (*1 *1 *1) (-4 *1 (-182))) (-2944 (*1 *1 *1 *2) (-12 (-4 *1 (-182)) (-5 *2 (-1191)))) (-2178 (*1 *1 *1 *2) (-12 (-4 *1 (-182)) (-5 *2 (-1191)))) (-2178 (*1 *1 *1 *2) (-12 (-5 *2 (-1111 *1)) (-4 *1 (-182)))) (-3679 (*1 *1 *1 *2) (-12 (-4 *1 (-182)) (-5 *2 (-1191)))) (-3679 (*1 *1 *1 *2) (-12 (-5 *2 (-1111 *1)) (-4 *1 (-182))))) 
-(-13 (-167) (-10 -8 (-15 -2944 ($ $)) (-15 -2944 ($ $ (-1191))) (-15 -2178 ($ $ (-1191))) (-15 -2178 ($ $ (-1111 $))) (-15 -3679 ($ $ (-1191))) (-15 -3679 ($ $ (-1111 $))))) 
-(((-167) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2009 (($ (-592)) 13) (($ $ $) 14)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 17)) (-3255 (((-141) $ $) 9))) 
-(((-183) (-13 (-1119) (-10 -8 (-15 -2009 ($ (-592))) (-15 -2009 ($ $ $))))) (T -183)) 
-((-2009 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-183)))) (-2009 (*1 *1 *1 *1) (-5 *1 (-183)))) 
-(-13 (-1119) (-10 -8 (-15 -2009 ($ (-592))) (-15 -2009 ($ $ $)))) 
-((-2791 (((-143) (-1191)) 99))) 
-(((-184) (-10 -7 (-15 -2791 ((-143) (-1191))))) (T -184)) 
-((-2791 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-143)) (-5 *1 (-184))))) 
-(-10 -7 (-15 -2791 ((-143) (-1191)))) 
-((-1905 ((|#3| |#3|) 19))) 
-(((-185 |#1| |#2| |#3|) (-10 -7 (-15 -1905 (|#3| |#3|))) (-1075) (-1255 |#1|) (-1255 |#2|)) (T -185)) 
-((-1905 (*1 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-1255 *3)) (-5 *1 (-185 *3 *4 *2)) (-4 *2 (-1255 *4))))) 
-(-10 -7 (-15 -1905 (|#3| |#3|))) 
-((-1641 (((-141) $ $) 7)) (-1828 (((-141) $ $) 12)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-186) (-1311)) (T -186)) 
-((-1828 (*1 *2 *1 *1) (-12 (-4 *1 (-186)) (-5 *2 (-141))))) 
-(-13 (-1119) (-10 -8 (-15 -1828 ((-141) $ $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 215)) (-4529 ((|#2| $) 95)) (-1588 (($ $) 242)) (-1507 (($ $) 236)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 39)) (-1575 (($ $) 240)) (-1495 (($ $) 234)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL) ((|#2| $) 137)) (-1586 (($ $ $) 220)) (-3945 (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) 153) (((-706 |#2|) (-706 $)) 147)) (-3657 (($ (-1187 |#2|)) 118) (((-3 $ "failed") (-433 (-1187 |#2|))) NIL)) (-3371 (((-3 $ "failed") $) 207)) (-4182 (((-3 (-433 (-592)) "failed") $) 197)) (-2435 (((-141) $) 192)) (-2270 (((-433 (-592)) $) 195)) (-4175 (((-944)) 88)) (-1599 (($ $ $) 222)) (-4120 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-1435 (($) 231)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 184) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 189)) (-2793 ((|#2| $) 93)) (-3504 (((-1187 |#2|) $) 120)) (-2731 (($ (-1 |#2| |#2|) $) 101)) (-4546 (($ $) 233)) (-3650 (((-1187 |#2|) $) 119)) (-4552 (($ $) 200)) (-2795 (($) 96)) (-1416 (((-444 (-1187 $)) (-1187 $)) 87)) (-3339 (((-444 (-1187 $)) (-1187 $)) 56)) (-3616 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-1430 (($ $) 232)) (-2769 (((-790) $) 217)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 226)) (-1482 ((|#2| (-1280 $)) NIL) ((|#2|) 90)) (-3644 (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL) (($ $ (-790)) NIL) (($ $) NIL)) (-3390 (((-1187 |#2|)) 113)) (-1581 (($ $) 241)) (-1501 (($ $) 235)) (-2231 (((-1280 |#2|) $ (-1280 $)) 126) (((-706 |#2|) (-1280 $) (-1280 $)) NIL) (((-1280 |#2|) $) 109) (((-706 |#2|) (-1280 $)) NIL)) (-1778 (((-1280 |#2|) $) NIL) (($ (-1280 |#2|)) NIL) (((-1187 |#2|) $) NIL) (($ (-1187 |#2|)) NIL) (((-914 (-592)) $) 175) (((-914 (-405)) $) 179) (((-191 (-405)) $) 165) (((-191 (-237)) $) 160) (((-565) $) 171)) (-2227 (($ $) 97)) (-1683 (((-877) $) 136) (($ (-592)) NIL) (($ |#2|) NIL) (($ (-433 (-592))) NIL) (($ $) NIL)) (-4198 (((-1187 |#2|) $) 23)) (-4010 (((-790)) 99)) (-1630 (($ $) 245)) (-1546 (($ $) 239)) (-1617 (($ $) 243)) (-1533 (($ $) 237)) (-4575 ((|#2| $) 230)) (-1624 (($ $) 244)) (-1540 (($ $) 238)) (-1392 (($ $) 155)) (-3255 (((-141) $ $) 103)) (-3266 (((-141) $ $) 191)) (-3306 (($ $) 105) (($ $ $) NIL)) (-3300 (($ $ $) 104)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-433 (-592))) 264) (($ $ $) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL))) 
-(((-187 |#1| |#2|) (-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -1683 (|#1| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3620 ((-2 (|:| -4509 |#1|) (|:| -4612 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -2769 ((-790) |#1|)) (-15 -4570 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -1599 (|#1| |#1| |#1|)) (-15 -1586 (|#1| |#1| |#1|)) (-15 -4552 (|#1| |#1|)) (-15 ** (|#1| |#1| (-592))) (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -3266 ((-141) |#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -1778 ((-191 (-237)) |#1|)) (-15 -1778 ((-191 (-405)) |#1|)) (-15 -1507 (|#1| |#1|)) (-15 -1495 (|#1| |#1|)) (-15 -1501 (|#1| |#1|)) (-15 -1540 (|#1| |#1|)) (-15 -1533 (|#1| |#1|)) (-15 -1546 (|#1| |#1|)) (-15 -1581 (|#1| |#1|)) (-15 -1575 (|#1| |#1|)) (-15 -1588 (|#1| |#1|)) (-15 -1624 (|#1| |#1|)) (-15 -1617 (|#1| |#1|)) (-15 -1630 (|#1| |#1|)) (-15 -4546 (|#1| |#1|)) (-15 -1430 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -1435 (|#1|)) (-15 ** (|#1| |#1| (-433 (-592)))) (-15 -3339 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -1416 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -4120 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -4575 (|#2| |#1|)) (-15 -1392 (|#1| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2227 (|#1| |#1|)) (-15 -2795 (|#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3657 ((-3 |#1| "failed") (-433 (-1187 |#2|)))) (-15 -3650 ((-1187 |#2|) |#1|)) (-15 -1778 (|#1| (-1187 |#2|))) (-15 -3657 (|#1| (-1187 |#2|))) (-15 -3390 ((-1187 |#2|))) (-15 -3945 ((-706 |#2|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1778 ((-1187 |#2|) |#1|)) (-15 -1482 (|#2|)) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -3504 ((-1187 |#2|) |#1|)) (-15 -4198 ((-1187 |#2|) |#1|)) (-15 -1482 (|#2| (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -2793 (|#2| |#1|)) (-15 -4529 (|#2| |#1|)) (-15 -4175 ((-944))) (-15 -1683 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 ** (|#1| |#1| (-790))) (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-944))) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-188 |#2|) (-194)) (T -187)) 
-((-4010 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-790)) (-5 *1 (-187 *3 *4)) (-4 *3 (-188 *4)))) (-4175 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-944)) (-5 *1 (-187 *3 *4)) (-4 *3 (-188 *4)))) (-1482 (*1 *2) (-12 (-4 *2 (-194)) (-5 *1 (-187 *3 *2)) (-4 *3 (-188 *2)))) (-3390 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1187 *4)) (-5 *1 (-187 *3 *4)) (-4 *3 (-188 *4))))) 
-(-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -1683 (|#1| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3620 ((-2 (|:| -4509 |#1|) (|:| -4612 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -2769 ((-790) |#1|)) (-15 -4570 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -1599 (|#1| |#1| |#1|)) (-15 -1586 (|#1| |#1| |#1|)) (-15 -4552 (|#1| |#1|)) (-15 ** (|#1| |#1| (-592))) (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -3266 ((-141) |#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -1778 ((-191 (-237)) |#1|)) (-15 -1778 ((-191 (-405)) |#1|)) (-15 -1507 (|#1| |#1|)) (-15 -1495 (|#1| |#1|)) (-15 -1501 (|#1| |#1|)) (-15 -1540 (|#1| |#1|)) (-15 -1533 (|#1| |#1|)) (-15 -1546 (|#1| |#1|)) (-15 -1581 (|#1| |#1|)) (-15 -1575 (|#1| |#1|)) (-15 -1588 (|#1| |#1|)) (-15 -1624 (|#1| |#1|)) (-15 -1617 (|#1| |#1|)) (-15 -1630 (|#1| |#1|)) (-15 -4546 (|#1| |#1|)) (-15 -1430 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -1435 (|#1|)) (-15 ** (|#1| |#1| (-433 (-592)))) (-15 -3339 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -1416 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -4120 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -4575 (|#2| |#1|)) (-15 -1392 (|#1| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2227 (|#1| |#1|)) (-15 -2795 (|#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3657 ((-3 |#1| "failed") (-433 (-1187 |#2|)))) (-15 -3650 ((-1187 |#2|) |#1|)) (-15 -1778 (|#1| (-1187 |#2|))) (-15 -3657 (|#1| (-1187 |#2|))) (-15 -3390 ((-1187 |#2|))) (-15 -3945 ((-706 |#2|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1778 ((-1187 |#2|) |#1|)) (-15 -1482 (|#2|)) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -3504 ((-1187 |#2|) |#1|)) (-15 -4198 ((-1187 |#2|) |#1|)) (-15 -1482 (|#2| (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -2793 (|#2| |#1|)) (-15 -4529 (|#2| |#1|)) (-15 -4175 ((-944))) (-15 -1683 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 ** (|#1| |#1| (-790))) (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-944))) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 88 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-1555 (($ $) 89 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-1313 (((-141) $) 91 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-1800 (((-706 |#1|) (-1280 $)) 44) (((-706 |#1|)) 55)) (-4529 ((|#1| $) 50)) (-1588 (($ $) 213 (|has| |#1| (-1211)))) (-1507 (($ $) 196 (|has| |#1| (-1211)))) (-4217 (((-1199 (-944) (-790)) (-592)) 142 (|has| |#1| (-373)))) (-2350 (((-3 $ "failed") $ $) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 227 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-3743 (($ $) 108 (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-3164 (((-444 $) $) 109 (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-1442 (($ $) 226 (-12 (|has| |#1| (-1030)) (|has| |#1| (-1211))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 230 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-3652 (((-141) $ $) 99 (|has| |#1| (-323)))) (-1403 (((-790)) 81 (|has| |#1| (-394)))) (-1575 (($ $) 212 (|has| |#1| (-1211)))) (-1495 (($ $) 197 (|has| |#1| (-1211)))) (-1601 (($ $) 211 (|has| |#1| (-1211)))) (-1521 (($ $) 198 (|has| |#1| (-1211)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 164 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 162 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 161)) (-2400 (((-592) $) 165 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 163 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 160)) (-1626 (($ (-1280 |#1|) (-1280 $)) 46) (($ (-1280 |#1|)) 58)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 148 (|has| |#1| (-373)))) (-1586 (($ $ $) 103 (|has| |#1| (-323)))) (-4493 (((-706 |#1|) $ (-1280 $)) 51) (((-706 |#1|) $) 53)) (-3945 (((-706 (-592)) (-706 $)) 159 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 158 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 157) (((-706 |#1|) (-706 $)) 156)) (-3657 (($ (-1187 |#1|)) 153) (((-3 $ "failed") (-433 (-1187 |#1|))) 150 (|has| |#1| (-388)))) (-3371 (((-3 $ "failed") $) 33)) (-3996 ((|#1| $) 238)) (-4182 (((-3 (-433 (-592)) "failed") $) 231 (|has| |#1| (-574)))) (-2435 (((-141) $) 233 (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) 232 (|has| |#1| (-574)))) (-4175 (((-944)) 52)) (-4290 (($) 84 (|has| |#1| (-394)))) (-1599 (($ $ $) 102 (|has| |#1| (-323)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 97 (|has| |#1| (-323)))) (-2667 (($) 144 (|has| |#1| (-373)))) (-3293 (((-141) $) 145 (|has| |#1| (-373)))) (-1525 (($ $ (-790)) 136 (|has| |#1| (-373))) (($ $) 135 (|has| |#1| (-373)))) (-2802 (((-141) $) 110 (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-4120 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 234 (-12 (|has| |#1| (-1084)) (|has| |#1| (-1211))))) (-1435 (($) 223 (|has| |#1| (-1211)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 246 (|has| |#1| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 245 (|has| |#1| (-908 (-405))))) (-4346 (((-944) $) 147 (|has| |#1| (-373))) (((-855 (-944)) $) 133 (|has| |#1| (-373)))) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 225 (-12 (|has| |#1| (-1030)) (|has| |#1| (-1211))))) (-2793 ((|#1| $) 49)) (-3921 (((-3 $ "failed") $) 137 (|has| |#1| (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 106 (|has| |#1| (-323)))) (-3504 (((-1187 |#1|) $) 42 (|has| |#1| (-388)))) (-1837 (($ $ $) 192 (|has| |#1| (-869)))) (-3319 (($ $ $) 191 (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) 247)) (-3546 (((-944) $) 83 (|has| |#1| (-394)))) (-4546 (($ $) 220 (|has| |#1| (-1211)))) (-3650 (((-1187 |#1|) $) 151)) (-2750 (($ (-658 $)) 95 (-3836 (|has| |#1| (-323)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (($ $ $) 94 (-3836 (|has| |#1| (-323)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-2685 (((-1173) $) 9)) (-4552 (($ $) 111 (|has| |#1| (-388)))) (-3703 (($) 138 (|has| |#1| (-373)) CONST)) (-1825 (($ (-944)) 82 (|has| |#1| (-394)))) (-2795 (($) 242)) (-4506 ((|#1| $) 239)) (-2951 (((-1137) $) 10)) (-2934 (($) 155)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 96 (-3836 (|has| |#1| (-323)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-3548 (($ (-658 $)) 93 (-3836 (|has| |#1| (-323)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (($ $ $) 92 (-3836 (|has| |#1| (-323)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 141 (|has| |#1| (-373)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 229 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-3339 (((-444 (-1187 $)) (-1187 $)) 228 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-4500 (((-444 $) $) 107 (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105 (|has| |#1| (-323))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 104 (|has| |#1| (-323)))) (-3616 (((-3 $ "failed") $ |#1|) 237 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 87 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 98 (|has| |#1| (-323)))) (-1430 (($ $) 221 (|has| |#1| (-1211)))) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) 253 (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) 252 (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) 251 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) 250 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 249 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) 248 (|has| |#1| (-547 (-1191) |#1|)))) (-2769 (((-790) $) 100 (|has| |#1| (-323)))) (-1405 (((-658 $)) 85 (|has| |#1| (-394)))) (-3927 (($ $ |#1|) 254 (|has| |#1| (-303 |#1| |#1|)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 101 (|has| |#1| (-323)))) (-1482 ((|#1| (-1280 $)) 45) ((|#1|) 54)) (-2177 (((-790) $) 146 (|has| |#1| (-373))) (((-3 (-790) "failed") $ $) 134 (|has| |#1| (-373)))) (-3644 (($ $ (-1 |#1| |#1|) (-790)) 118) (($ $ (-1 |#1| |#1|)) 117) (($ $ (-658 (-1191)) (-658 (-790))) 125 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 126 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 127 (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) 128 (|has| |#1| (-922 (-1191)))) (($ $ (-790)) 130 (-3836 (-1732 (|has| |#1| (-388)) (|has| |#1| (-247))) (|has| |#1| (-247)) (-1732 (|has| |#1| (-247)) (|has| |#1| (-388))))) (($ $) 132 (-3836 (-1732 (|has| |#1| (-388)) (|has| |#1| (-247))) (|has| |#1| (-247)) (-1732 (|has| |#1| (-247)) (|has| |#1| (-388)))))) (-4174 (((-706 |#1|) (-1280 $) (-1 |#1| |#1|)) 149 (|has| |#1| (-388)))) (-3390 (((-1187 |#1|)) 154)) (-1609 (($ $) 210 (|has| |#1| (-1211)))) (-1527 (($ $) 199 (|has| |#1| (-1211)))) (-3809 (($) 143 (|has| |#1| (-373)))) (-1594 (($ $) 209 (|has| |#1| (-1211)))) (-1515 (($ $) 200 (|has| |#1| (-1211)))) (-1581 (($ $) 208 (|has| |#1| (-1211)))) (-1501 (($ $) 201 (|has| |#1| (-1211)))) (-2231 (((-1280 |#1|) $ (-1280 $)) 48) (((-706 |#1|) (-1280 $) (-1280 $)) 47) (((-1280 |#1|) $) 60) (((-706 |#1|) (-1280 $)) 59)) (-1778 (((-1280 |#1|) $) 57) (($ (-1280 |#1|)) 56) (((-1187 |#1|) $) 166) (($ (-1187 |#1|)) 152) (((-914 (-592)) $) 244 (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) 243 (|has| |#1| (-633 (-914 (-405))))) (((-191 (-405)) $) 195 (|has| |#1| (-1049))) (((-191 (-237)) $) 194 (|has| |#1| (-1049))) (((-565) $) 193 (|has| |#1| (-633 (-565))))) (-2227 (($ $) 241)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 140 (-3836 (-1732 (|has| $ (-169)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))) (|has| |#1| (-373))))) (-4001 (($ |#1| |#1|) 240)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36) (($ (-433 (-592))) 80 (-3836 (|has| |#1| (-388)) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) 86 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-1517 (($ $) 139 (|has| |#1| (-373))) (((-3 $ "failed") $) 41 (-3836 (-1732 (|has| $ (-169)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))) (|has| |#1| (-169))))) (-4198 (((-1187 |#1|) $) 43)) (-4010 (((-790)) 28)) (-2195 (((-1280 $)) 61)) (-1630 (($ $) 219 (|has| |#1| (-1211)))) (-1546 (($ $) 207 (|has| |#1| (-1211)))) (-2537 (((-141) $ $) 90 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931)))))) (-1617 (($ $) 218 (|has| |#1| (-1211)))) (-1533 (($ $) 206 (|has| |#1| (-1211)))) (-1642 (($ $) 217 (|has| |#1| (-1211)))) (-1559 (($ $) 205 (|has| |#1| (-1211)))) (-4575 ((|#1| $) 235 (|has| |#1| (-1211)))) (-2892 (($ $) 216 (|has| |#1| (-1211)))) (-1567 (($ $) 204 (|has| |#1| (-1211)))) (-1636 (($ $) 215 (|has| |#1| (-1211)))) (-1552 (($ $) 203 (|has| |#1| (-1211)))) (-1624 (($ $) 214 (|has| |#1| (-1211)))) (-1540 (($ $) 202 (|has| |#1| (-1211)))) (-1392 (($ $) 236 (|has| |#1| (-1084)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 112 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1 |#1| |#1|) (-790)) 120) (($ $ (-1 |#1| |#1|)) 119) (($ $ (-658 (-1191)) (-658 (-790))) 121 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 122 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 123 (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) 124 (|has| |#1| (-922 (-1191)))) (($ $ (-790)) 129 (-3836 (-1732 (|has| |#1| (-388)) (|has| |#1| (-247))) (|has| |#1| (-247)) (-1732 (|has| |#1| (-247)) (|has| |#1| (-388))))) (($ $) 131 (-3836 (-1732 (|has| |#1| (-388)) (|has| |#1| (-247))) (|has| |#1| (-247)) (-1732 (|has| |#1| (-247)) (|has| |#1| (-388)))))) (-3286 (((-141) $ $) 189 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 188 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 190 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 187 (|has| |#1| (-869)))) (-3313 (($ $ $) 116 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-433 (-592))) 224 (-12 (|has| |#1| (-1030)) (|has| |#1| (-1211)))) (($ $ $) 222 (|has| |#1| (-1211))) (($ $ (-592)) 113 (|has| |#1| (-388)))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-433 (-592)) $) 115 (|has| |#1| (-388))) (($ $ (-433 (-592))) 114 (|has| |#1| (-388))))) 
-(((-188 |#1|) (-1311) (-194)) (T -188)) 
-((-2793 (*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) (-2795 (*1 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) (-2227 (*1 *1 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) (-4001 (*1 *1 *2 *2) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) (-4506 (*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) (-3996 (*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) (-3616 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-188 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) (-1392 (*1 *1 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)) (-4 *2 (-1084)))) (-4575 (*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)) (-4 *2 (-1211)))) (-4120 (*1 *2 *1) (-12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-1084)) (-4 *3 (-1211)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-2435 (*1 *2 *1) (-12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-141)))) (-2270 (*1 *2 *1) (-12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) (-4182 (*1 *2 *1) (|partial| -12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592)))))) 
-(-13 (-741 |t#1| (-1187 |t#1|)) (-437 |t#1|) (-245 |t#1|) (-358 |t#1|) (-426 |t#1|) (-906 |t#1|) (-403 |t#1|) (-194) (-10 -8 (-6 -4001) (-15 -2795 ($)) (-15 -2227 ($ $)) (-15 -4001 ($ |t#1| |t#1|)) (-15 -4506 (|t#1| $)) (-15 -3996 (|t#1| $)) (-15 -2793 (|t#1| $)) (IF (|has| |t#1| (-869)) (-6 (-869)) |noBranch|) (IF (|has| |t#1| (-582)) (PROGN (-6 (-582)) (-15 -3616 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-323)) (-6 (-323)) |noBranch|) (IF (|has| |t#1| (-6 -4624)) (-6 -4624) |noBranch|) (IF (|has| |t#1| (-6 -4621)) (-6 -4621) |noBranch|) (IF (|has| |t#1| (-388)) (-6 (-388)) |noBranch|) (IF (|has| |t#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |t#1| (-1049)) (PROGN (-6 (-633 (-191 (-237)))) (-6 (-633 (-191 (-405))))) |noBranch|) (IF (|has| |t#1| (-1084)) (-15 -1392 ($ $)) |noBranch|) (IF (|has| |t#1| (-1211)) (PROGN (-6 (-1211)) (-15 -4575 (|t#1| $)) (IF (|has| |t#1| (-1030)) (-6 (-1030)) |noBranch|) (IF (|has| |t#1| (-1084)) (-15 -4120 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-931)) (IF (|has| |t#1| (-323)) (-6 (-931)) |noBranch|) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-43 |#1|) . T) ((-43 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-40) |has| |#1| (-1211)) ((-116) |has| |#1| (-1211)) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-140 |#1| |#1|) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| |#1| (-373)) (|has| |#1| (-169))) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-633 (-191 (-237))) |has| |#1| (-1049)) ((-633 (-191 (-405))) |has| |#1| (-1049)) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-633 (-914 (-405))) |has| |#1| (-633 (-914 (-405)))) ((-633 (-914 (-592))) |has| |#1| (-633 (-914 (-592)))) ((-633 (-1187 |#1|)) . T) ((-245 |#1|) . T) ((-247) -3836 (|has| |#1| (-373)) (|has| |#1| (-247))) ((-260) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-301) |has| |#1| (-1211)) ((-303 |#1| $) |has| |#1| (-303 |#1| |#1|)) ((-307) -3836 (|has| |#1| (-582)) (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-323) -3836 (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-325 |#1|) |has| |#1| (-325 |#1|)) ((-388) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-428) |has| |#1| (-373)) ((-394) -3836 (|has| |#1| (-394)) (|has| |#1| (-373))) ((-373) |has| |#1| (-373)) ((-396 |#1| (-1187 |#1|)) . T) ((-435 |#1| (-1187 |#1|)) . T) ((-358 |#1|) . T) ((-403 |#1|) . T) ((-426 |#1|) . T) ((-437 |#1|) . T) ((-477) -3836 (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-526) |has| |#1| (-1211)) ((-547 (-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((-547 |#1| |#1|) |has| |#1| (-325 |#1|)) ((-582) -3836 (|has| |#1| (-582)) (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-661 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) -3836 (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-734 |#1|) . T) ((-734 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-741 |#1| (-1187 |#1|)) . T) ((-743) . T) ((-869) |has| |#1| (-869)) ((-922 (-1191)) |has| |#1| (-922 (-1191))) ((-908 (-405)) |has| |#1| (-908 (-405))) ((-908 (-592)) |has| |#1| (-908 (-592))) ((-906 |#1|) . T) ((-931) -12 (|has| |#1| (-323)) (|has| |#1| (-931))) ((-943) -3836 (|has| |#1| (-373)) (|has| |#1| (-388)) (|has| |#1| (-323))) ((-1030) -12 (|has| |#1| (-1030)) (|has| |#1| (-1211))) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-1081 |#1|) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) |has| |#1| (-373)) ((-1211) |has| |#1| (-1211)) ((-1214) |has| |#1| (-1211)) ((-1225) . T) ((-1235) -3836 (|has| |#1| (-373)) (|has| |#1| (-388)) (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) 
-((-4500 (((-444 |#2|) |#2|) 63))) 
-(((-189 |#1| |#2|) (-10 -7 (-15 -4500 ((-444 |#2|) |#2|))) (-323) (-1255 (-191 |#1|))) (T -189)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-189 *4 *3)) (-4 *3 (-1255 (-191 *4)))))) 
-(-10 -7 (-15 -4500 ((-444 |#2|) |#2|))) 
-((-2731 (((-191 |#2|) (-1 |#2| |#1|) (-191 |#1|)) 14))) 
-(((-190 |#1| |#2|) (-10 -7 (-15 -2731 ((-191 |#2|) (-1 |#2| |#1|) (-191 |#1|)))) (-194) (-194)) (T -190)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-191 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-5 *2 (-191 *6)) (-5 *1 (-190 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-191 |#2|) (-1 |#2| |#1|) (-191 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 33)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-582))))) (-1555 (($ $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-582))))) (-1313 (((-141) $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-582))))) (-1800 (((-706 |#1|) (-1280 $)) NIL) (((-706 |#1|)) NIL)) (-4529 ((|#1| $) NIL)) (-1588 (($ $) NIL (|has| |#1| (-1211)))) (-1507 (($ $) NIL (|has| |#1| (-1211)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| |#1| (-373)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-3743 (($ $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-3164 (((-444 $) $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-1442 (($ $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1211))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-323)))) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-1575 (($ $) NIL (|has| |#1| (-1211)))) (-1495 (($ $) NIL (|has| |#1| (-1211)))) (-1601 (($ $) NIL (|has| |#1| (-1211)))) (-1521 (($ $) NIL (|has| |#1| (-1211)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-1626 (($ (-1280 |#1|) (-1280 $)) NIL) (($ (-1280 |#1|)) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-373)))) (-1586 (($ $ $) NIL (|has| |#1| (-323)))) (-4493 (((-706 |#1|) $ (-1280 $)) NIL) (((-706 |#1|) $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3657 (($ (-1187 |#1|)) NIL) (((-3 $ "failed") (-433 (-1187 |#1|))) NIL (|has| |#1| (-388)))) (-3371 (((-3 $ "failed") $) NIL)) (-3996 ((|#1| $) 13)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-574)))) (-2435 (((-141) $) NIL (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) NIL (|has| |#1| (-574)))) (-4175 (((-944)) NIL)) (-4290 (($) NIL (|has| |#1| (-394)))) (-1599 (($ $ $) NIL (|has| |#1| (-323)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-323)))) (-2667 (($) NIL (|has| |#1| (-373)))) (-3293 (((-141) $) NIL (|has| |#1| (-373)))) (-1525 (($ $ (-790)) NIL (|has| |#1| (-373))) (($ $) NIL (|has| |#1| (-373)))) (-2802 (((-141) $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-4120 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1084)) (|has| |#1| (-1211))))) (-1435 (($) NIL (|has| |#1| (-1211)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| |#1| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| |#1| (-908 (-405))))) (-4346 (((-944) $) NIL (|has| |#1| (-373))) (((-855 (-944)) $) NIL (|has| |#1| (-373)))) (-3558 (((-141) $) 35)) (-4422 (($ $ (-592)) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1211))))) (-2793 ((|#1| $) 46)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-323)))) (-3504 (((-1187 |#1|) $) NIL (|has| |#1| (-388)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-4546 (($ $) NIL (|has| |#1| (-1211)))) (-3650 (((-1187 |#1|) $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-323))) (($ $ $) NIL (|has| |#1| (-323)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3703 (($) NIL (|has| |#1| (-373)) CONST)) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-2795 (($) NIL)) (-4506 ((|#1| $) 15)) (-2951 (((-1137) $) NIL)) (-2934 (($) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-323)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-323))) (($ $ $) NIL (|has| |#1| (-323)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| |#1| (-373)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#1| (-323)) (|has| |#1| (-931))))) (-4500 (((-444 $) $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-388))))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-323))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-323)))) (-3616 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 47 (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-582))))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-323)))) (-1430 (($ $) NIL (|has| |#1| (-1211)))) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) NIL (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-547 (-1191) |#1|)))) (-2769 (((-790) $) NIL (|has| |#1| (-323)))) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-3927 (($ $ |#1|) NIL (|has| |#1| (-303 |#1| |#1|)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-323)))) (-1482 ((|#1| (-1280 $)) NIL) ((|#1|) NIL)) (-2177 (((-790) $) NIL (|has| |#1| (-373))) (((-3 (-790) "failed") $ $) NIL (|has| |#1| (-373)))) (-3644 (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $) NIL (|has| |#1| (-247)))) (-4174 (((-706 |#1|) (-1280 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-388)))) (-3390 (((-1187 |#1|)) NIL)) (-1609 (($ $) NIL (|has| |#1| (-1211)))) (-1527 (($ $) NIL (|has| |#1| (-1211)))) (-3809 (($) NIL (|has| |#1| (-373)))) (-1594 (($ $) NIL (|has| |#1| (-1211)))) (-1515 (($ $) NIL (|has| |#1| (-1211)))) (-1581 (($ $) NIL (|has| |#1| (-1211)))) (-1501 (($ $) NIL (|has| |#1| (-1211)))) (-2231 (((-1280 |#1|) $ (-1280 $)) NIL) (((-706 |#1|) (-1280 $) (-1280 $)) NIL) (((-1280 |#1|) $) NIL) (((-706 |#1|) (-1280 $)) NIL)) (-1778 (((-1280 |#1|) $) NIL) (($ (-1280 |#1|)) NIL) (((-1187 |#1|) $) NIL) (($ (-1187 |#1|)) NIL) (((-914 (-592)) $) NIL (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| |#1| (-633 (-914 (-405))))) (((-191 (-405)) $) NIL (|has| |#1| (-1049))) (((-191 (-237)) $) NIL (|has| |#1| (-1049))) (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-2227 (($ $) 45)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-373))))) (-4001 (($ |#1| |#1|) 37)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) 36) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-388)) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-582))))) (-1517 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4198 (((-1187 |#1|) $) NIL)) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL)) (-1630 (($ $) NIL (|has| |#1| (-1211)))) (-1546 (($ $) NIL (|has| |#1| (-1211)))) (-2537 (((-141) $ $) NIL (-3836 (-12 (|has| |#1| (-323)) (|has| |#1| (-931))) (|has| |#1| (-582))))) (-1617 (($ $) NIL (|has| |#1| (-1211)))) (-1533 (($ $) NIL (|has| |#1| (-1211)))) (-1642 (($ $) NIL (|has| |#1| (-1211)))) (-1559 (($ $) NIL (|has| |#1| (-1211)))) (-4575 ((|#1| $) NIL (|has| |#1| (-1211)))) (-2892 (($ $) NIL (|has| |#1| (-1211)))) (-1567 (($ $) NIL (|has| |#1| (-1211)))) (-1636 (($ $) NIL (|has| |#1| (-1211)))) (-1552 (($ $) NIL (|has| |#1| (-1211)))) (-1624 (($ $) NIL (|has| |#1| (-1211)))) (-1540 (($ $) NIL (|has| |#1| (-1211)))) (-1392 (($ $) NIL (|has| |#1| (-1084)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 28 T CONST)) (-4257 (($) 30 T CONST)) (-1637 (((-1173) $) 23 (|has| |#1| (-850))) (((-1173) $ (-141)) 25 (|has| |#1| (-850))) (((-1285) (-844) $) 26 (|has| |#1| (-850))) (((-1285) (-844) $ (-141)) 27 (|has| |#1| (-850)))) (-1940 (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $) NIL (|has| |#1| (-247)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 39)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-433 (-592))) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1211)))) (($ $ $) NIL (|has| |#1| (-1211))) (($ $ (-592)) NIL (|has| |#1| (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-388))) (($ $ (-433 (-592))) NIL (|has| |#1| (-388))))) 
-(((-191 |#1|) (-13 (-188 |#1|) (-10 -7 (IF (|has| |#1| (-850)) (-6 (-850)) |noBranch|))) (-194)) (T -191)) 
-NIL 
-(-13 (-188 |#1|) (-10 -7 (IF (|has| |#1| (-850)) (-6 (-850)) |noBranch|))) 
-((-1778 (((-914 |#1|) |#3|) 22))) 
-(((-192 |#1| |#2| |#3|) (-10 -7 (-15 -1778 ((-914 |#1|) |#3|))) (-1119) (-13 (-633 (-914 |#1|)) (-194)) (-188 |#2|)) (T -192)) 
-((-1778 (*1 *2 *3) (-12 (-4 *5 (-13 (-633 *2) (-194))) (-5 *2 (-914 *4)) (-5 *1 (-192 *4 *5 *3)) (-4 *4 (-1119)) (-4 *3 (-188 *5))))) 
-(-10 -7 (-15 -1778 ((-914 |#1|) |#3|))) 
-((-1641 (((-141) $ $) NIL)) (-3914 (((-141) $) 9)) (-3758 (((-141) $ (-141)) 11)) (-3242 (($) 12)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4599 (($ $) 13)) (-1683 (((-877) $) 17)) (-2308 (((-141) $) 8)) (-3511 (((-141) $ (-141)) 10)) (-3255 (((-141) $ $) NIL))) 
-(((-193) (-13 (-1119) (-10 -8 (-15 -3242 ($)) (-15 -2308 ((-141) $)) (-15 -3914 ((-141) $)) (-15 -3511 ((-141) $ (-141))) (-15 -3758 ((-141) $ (-141))) (-15 -4599 ($ $))))) (T -193)) 
-((-3242 (*1 *1) (-5 *1 (-193))) (-2308 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-193)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-193)))) (-3511 (*1 *2 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-193)))) (-3758 (*1 *2 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-193)))) (-4599 (*1 *1 *1) (-5 *1 (-193)))) 
-(-13 (-1119) (-10 -8 (-15 -3242 ($)) (-15 -2308 ((-141) $)) (-15 -3914 ((-141) $)) (-15 -3511 ((-141) $ (-141))) (-15 -3758 ((-141) $ (-141))) (-15 -4599 ($ $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-194) (-1311)) (T -194)) 
-NIL 
-(-13 (-1075) (-140 $ $) (-10 -7 (-6 (-4627 "*")))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 ((|#1| $) 74)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL)) (-2140 (($ $) 19)) (-4201 (($ |#1| (-1171 |#1|)) 47)) (-3371 (((-3 $ "failed") $) 116)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2168 (((-1171 |#1|) $) 81)) (-3944 (((-1171 |#1|) $) 78)) (-2993 (((-1171 |#1|) $) 79)) (-3558 (((-141) $) NIL)) (-4045 (((-1171 |#1|) $) 87)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2750 (($ (-658 $)) NIL) (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ (-658 $)) NIL) (($ $ $) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-2807 (($ $ (-592)) 90)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3892 (((-1171 |#1|) $) 88)) (-2706 (((-1171 (-433 |#1|)) $) 13)) (-2867 (($ (-433 |#1|)) 17) (($ |#1| (-1171 |#1|) (-1171 |#1|)) 37)) (-1700 (($ $) 92)) (-1683 (((-877) $) 126) (($ (-592)) 50) (($ |#1|) 51) (($ (-433 |#1|)) 35) (($ (-433 (-592))) NIL) (($ $) NIL)) (-4010 (((-790)) 63)) (-2537 (((-141) $ $) NIL)) (-2850 (((-1171 (-433 |#1|)) $) 18)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 25 T CONST)) (-4257 (($) 28 T CONST)) (-3255 (((-141) $ $) 34)) (-3313 (($ $ $) 114)) (-3306 (($ $) 105) (($ $ $) 102)) (-3300 (($ $ $) 100)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-433 |#1|) $) 110) (($ $ (-433 |#1|)) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL))) 
-(((-195 |#1|) (-13 (-43 |#1|) (-43 (-433 |#1|)) (-388) (-10 -8 (-15 -2867 ($ (-433 |#1|))) (-15 -2867 ($ |#1| (-1171 |#1|) (-1171 |#1|))) (-15 -4201 ($ |#1| (-1171 |#1|))) (-15 -3944 ((-1171 |#1|) $)) (-15 -2993 ((-1171 |#1|) $)) (-15 -2168 ((-1171 |#1|) $)) (-15 -1505 (|#1| $)) (-15 -2140 ($ $)) (-15 -2850 ((-1171 (-433 |#1|)) $)) (-15 -2706 ((-1171 (-433 |#1|)) $)) (-15 -4045 ((-1171 |#1|) $)) (-15 -3892 ((-1171 |#1|) $)) (-15 -2807 ($ $ (-592))) (-15 -1700 ($ $)))) (-323)) (T -195)) 
-((-2867 (*1 *1 *2) (-12 (-5 *2 (-433 *3)) (-4 *3 (-323)) (-5 *1 (-195 *3)))) (-2867 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1171 *2)) (-4 *2 (-323)) (-5 *1 (-195 *2)))) (-4201 (*1 *1 *2 *3) (-12 (-5 *3 (-1171 *2)) (-4 *2 (-323)) (-5 *1 (-195 *2)))) (-3944 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-2993 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-2168 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-1505 (*1 *2 *1) (-12 (-5 *1 (-195 *2)) (-4 *2 (-323)))) (-2140 (*1 *1 *1) (-12 (-5 *1 (-195 *2)) (-4 *2 (-323)))) (-2850 (*1 *2 *1) (-12 (-5 *2 (-1171 (-433 *3))) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-2706 (*1 *2 *1) (-12 (-5 *2 (-1171 (-433 *3))) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-4045 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-3892 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-2807 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) (-1700 (*1 *1 *1) (-12 (-5 *1 (-195 *2)) (-4 *2 (-323))))) 
-(-13 (-43 |#1|) (-43 (-433 |#1|)) (-388) (-10 -8 (-15 -2867 ($ (-433 |#1|))) (-15 -2867 ($ |#1| (-1171 |#1|) (-1171 |#1|))) (-15 -4201 ($ |#1| (-1171 |#1|))) (-15 -3944 ((-1171 |#1|) $)) (-15 -2993 ((-1171 |#1|) $)) (-15 -2168 ((-1171 |#1|) $)) (-15 -1505 (|#1| $)) (-15 -2140 ($ $)) (-15 -2850 ((-1171 (-433 |#1|)) $)) (-15 -2706 ((-1171 (-433 |#1|)) $)) (-15 -4045 ((-1171 |#1|) $)) (-15 -3892 ((-1171 |#1|) $)) (-15 -2807 ($ $ (-592))) (-15 -1700 ($ $)))) 
-((-2822 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 40)) (-4222 (((-971 |#1|) (-971 |#1|)) 19)) (-3455 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 36)) (-3939 (((-971 |#1|) (-971 |#1|)) 17)) (-2494 (((-971 |#1|) (-971 |#1|)) 25)) (-4189 (((-971 |#1|) (-971 |#1|)) 24)) (-3534 (((-971 |#1|) (-971 |#1|)) 23)) (-3730 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 37)) (-3020 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 35)) (-3143 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 34)) (-1537 (((-971 |#1|) (-971 |#1|)) 18)) (-2563 (((-1 (-971 |#1|) (-971 |#1|)) |#1| |#1|) 43)) (-3458 (((-971 |#1|) (-971 |#1|)) 8)) (-3334 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 39)) (-2228 (((-1 (-971 |#1|) (-971 |#1|)) |#1|) 38))) 
-(((-196 |#1|) (-10 -7 (-15 -3458 ((-971 |#1|) (-971 |#1|))) (-15 -3939 ((-971 |#1|) (-971 |#1|))) (-15 -1537 ((-971 |#1|) (-971 |#1|))) (-15 -4222 ((-971 |#1|) (-971 |#1|))) (-15 -3534 ((-971 |#1|) (-971 |#1|))) (-15 -4189 ((-971 |#1|) (-971 |#1|))) (-15 -2494 ((-971 |#1|) (-971 |#1|))) (-15 -3143 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3020 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3455 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3730 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -2228 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3334 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -2822 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -2563 ((-1 (-971 |#1|) (-971 |#1|)) |#1| |#1|))) (-13 (-388) (-1211) (-1030))) (T -196)) 
-((-2563 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-2822 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-3334 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-2228 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-3730 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-3455 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-3020 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-3143 (*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) (-2494 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3)))) (-4189 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3)))) (-3534 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3)))) (-4222 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3)))) (-1537 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3)))) (-3939 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3)))) (-3458 (*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(-10 -7 (-15 -3458 ((-971 |#1|) (-971 |#1|))) (-15 -3939 ((-971 |#1|) (-971 |#1|))) (-15 -1537 ((-971 |#1|) (-971 |#1|))) (-15 -4222 ((-971 |#1|) (-971 |#1|))) (-15 -3534 ((-971 |#1|) (-971 |#1|))) (-15 -4189 ((-971 |#1|) (-971 |#1|))) (-15 -2494 ((-971 |#1|) (-971 |#1|))) (-15 -3143 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3020 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3455 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3730 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -2228 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -3334 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -2822 ((-1 (-971 |#1|) (-971 |#1|)) |#1|)) (-15 -2563 ((-1 (-971 |#1|) (-971 |#1|)) |#1| |#1|))) 
-((-4198 ((|#2| |#3|) 27))) 
-(((-197 |#1| |#2| |#3|) (-10 -7 (-15 -4198 (|#2| |#3|))) (-194) (-1255 |#1|) (-741 |#1| |#2|)) (T -197)) 
-((-4198 (*1 *2 *3) (-12 (-4 *4 (-194)) (-4 *2 (-1255 *4)) (-5 *1 (-197 *4 *2 *3)) (-4 *3 (-741 *4 *2))))) 
-(-10 -7 (-15 -4198 (|#2| |#3|))) 
-((-3412 (((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)) 47 (|has| (-980 |#2|) (-908 |#1|))))) 
-(((-198 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-980 |#2|) (-908 |#1|)) (-15 -3412 ((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|))) |noBranch|)) (-1119) (-13 (-908 |#1|) (-194)) (-188 |#2|)) (T -198)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *3 (-188 *6)) (-4 (-980 *6) (-908 *5)) (-4 *6 (-13 (-908 *5) (-194))) (-5 *1 (-198 *5 *6 *3))))) 
-(-10 -7 (IF (|has| (-980 |#2|) (-908 |#1|)) (-15 -3412 ((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|))) |noBranch|)) 
-((-3206 (((-658 |#1|) (-658 |#1|) |#1|) 36)) (-4107 (((-658 |#1|) |#1| (-658 |#1|)) 19)) (-3219 (((-658 |#1|) (-658 (-658 |#1|)) (-658 |#1|)) 31) ((|#1| (-658 |#1|) (-658 |#1|)) 29))) 
-(((-199 |#1|) (-10 -7 (-15 -4107 ((-658 |#1|) |#1| (-658 |#1|))) (-15 -3219 (|#1| (-658 |#1|) (-658 |#1|))) (-15 -3219 ((-658 |#1|) (-658 (-658 |#1|)) (-658 |#1|))) (-15 -3206 ((-658 |#1|) (-658 |#1|) |#1|))) (-323)) (T -199)) 
-((-3206 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-323)) (-5 *1 (-199 *3)))) (-3219 (*1 *2 *3 *2) (-12 (-5 *3 (-658 (-658 *4))) (-5 *2 (-658 *4)) (-4 *4 (-323)) (-5 *1 (-199 *4)))) (-3219 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-199 *2)) (-4 *2 (-323)))) (-4107 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-323)) (-5 *1 (-199 *3))))) 
-(-10 -7 (-15 -4107 ((-658 |#1|) |#1| (-658 |#1|))) (-15 -3219 (|#1| (-658 |#1|) (-658 |#1|))) (-15 -3219 ((-658 |#1|) (-658 (-658 |#1|)) (-658 |#1|))) (-15 -3206 ((-658 |#1|) (-658 |#1|) |#1|))) 
-((-3024 (((-2 (|:| |start| |#2|) (|:| -2033 (-444 |#2|))) |#2|) 61)) (-3543 ((|#1| |#1|) 54)) (-1971 (((-191 |#1|) |#2|) 82)) (-2305 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-2975 ((|#2| |#2|) 81)) (-4238 (((-444 |#2|) |#2| |#1|) 112) (((-444 |#2|) |#2| |#1| (-141)) 79)) (-2793 ((|#1| |#2|) 111)) (-2817 ((|#2| |#2|) 118)) (-4500 (((-444 |#2|) |#2|) 133) (((-444 |#2|) |#2| |#1|) 32) (((-444 |#2|) |#2| |#1| (-141)) 132)) (-1414 (((-658 (-2 (|:| -2033 (-658 |#2|)) (|:| -1615 |#1|))) |#2| |#2|) 131) (((-658 (-2 (|:| -2033 (-658 |#2|)) (|:| -1615 |#1|))) |#2| |#2| (-141)) 75)) (-3688 (((-658 (-191 |#1|)) |#2| |#1|) 40) (((-658 (-191 |#1|)) |#2|) 41))) 
-(((-200 |#1| |#2|) (-10 -7 (-15 -3688 ((-658 (-191 |#1|)) |#2|)) (-15 -3688 ((-658 (-191 |#1|)) |#2| |#1|)) (-15 -1414 ((-658 (-2 (|:| -2033 (-658 |#2|)) (|:| -1615 |#1|))) |#2| |#2| (-141))) (-15 -1414 ((-658 (-2 (|:| -2033 (-658 |#2|)) (|:| -1615 |#1|))) |#2| |#2|)) (-15 -4500 ((-444 |#2|) |#2| |#1| (-141))) (-15 -4500 ((-444 |#2|) |#2| |#1|)) (-15 -4500 ((-444 |#2|) |#2|)) (-15 -2817 (|#2| |#2|)) (-15 -2793 (|#1| |#2|)) (-15 -4238 ((-444 |#2|) |#2| |#1| (-141))) (-15 -4238 ((-444 |#2|) |#2| |#1|)) (-15 -2975 (|#2| |#2|)) (-15 -2305 (|#1| |#2| |#1|)) (-15 -2305 (|#1| |#2|)) (-15 -1971 ((-191 |#1|) |#2|)) (-15 -3543 (|#1| |#1|)) (-15 -3024 ((-2 (|:| |start| |#2|) (|:| -2033 (-444 |#2|))) |#2|))) (-13 (-388) (-867)) (-1255 (-191 |#1|))) (T -200)) 
-((-3024 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-2 (|:| |start| *3) (|:| -2033 (-444 *3)))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-3543 (*1 *2 *2) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2))))) (-1971 (*1 *2 *3) (-12 (-5 *2 (-191 *4)) (-5 *1 (-200 *4 *3)) (-4 *4 (-13 (-388) (-867))) (-4 *3 (-1255 *2)))) (-2305 (*1 *2 *3) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2))))) (-2305 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2))))) (-2975 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-867))) (-5 *1 (-200 *3 *2)) (-4 *2 (-1255 (-191 *3))))) (-4238 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-4238 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-141)) (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-2793 (*1 *2 *3) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2))))) (-2817 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-867))) (-5 *1 (-200 *3 *2)) (-4 *2 (-1255 (-191 *3))))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-4500 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-4500 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-141)) (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-1414 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-658 (-2 (|:| -2033 (-658 *3)) (|:| -1615 *4)))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-1414 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-388) (-867))) (-5 *2 (-658 (-2 (|:| -2033 (-658 *3)) (|:| -1615 *5)))) (-5 *1 (-200 *5 *3)) (-4 *3 (-1255 (-191 *5))))) (-3688 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) (-3688 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4)))))) 
-(-10 -7 (-15 -3688 ((-658 (-191 |#1|)) |#2|)) (-15 -3688 ((-658 (-191 |#1|)) |#2| |#1|)) (-15 -1414 ((-658 (-2 (|:| -2033 (-658 |#2|)) (|:| -1615 |#1|))) |#2| |#2| (-141))) (-15 -1414 ((-658 (-2 (|:| -2033 (-658 |#2|)) (|:| -1615 |#1|))) |#2| |#2|)) (-15 -4500 ((-444 |#2|) |#2| |#1| (-141))) (-15 -4500 ((-444 |#2|) |#2| |#1|)) (-15 -4500 ((-444 |#2|) |#2|)) (-15 -2817 (|#2| |#2|)) (-15 -2793 (|#1| |#2|)) (-15 -4238 ((-444 |#2|) |#2| |#1| (-141))) (-15 -4238 ((-444 |#2|) |#2| |#1|)) (-15 -2975 (|#2| |#2|)) (-15 -2305 (|#1| |#2| |#1|)) (-15 -2305 (|#1| |#2|)) (-15 -1971 ((-191 |#1|) |#2|)) (-15 -3543 (|#1| |#1|)) (-15 -3024 ((-2 (|:| |start| |#2|) (|:| -2033 (-444 |#2|))) |#2|))) 
-((-4073 (((-3 |#2| "failed") |#2|) 14)) (-2429 (((-790) |#2|) 16)) (-4115 ((|#2| |#2| |#2|) 18))) 
-(((-201 |#1| |#2|) (-10 -7 (-15 -4073 ((-3 |#2| "failed") |#2|)) (-15 -2429 ((-790) |#2|)) (-15 -4115 (|#2| |#2| |#2|))) (-1225) (-690 |#1|)) (T -201)) 
-((-4115 (*1 *2 *2 *2) (-12 (-4 *3 (-1225)) (-5 *1 (-201 *3 *2)) (-4 *2 (-690 *3)))) (-2429 (*1 *2 *3) (-12 (-4 *4 (-1225)) (-5 *2 (-790)) (-5 *1 (-201 *4 *3)) (-4 *3 (-690 *4)))) (-4073 (*1 *2 *2) (|partial| -12 (-4 *3 (-1225)) (-5 *1 (-201 *3 *2)) (-4 *2 (-690 *3))))) 
-(-10 -7 (-15 -4073 ((-3 |#2| "failed") |#2|)) (-15 -2429 ((-790) |#2|)) (-15 -4115 (|#2| |#2| |#2|))) 
-((-1519 ((|#2| |#2|) 28)) (-2952 (((-141) |#2|) 19)) (-3996 (((-332 |#1|) |#2|) 12)) (-4506 (((-332 |#1|) |#2|) 14)) (-1689 ((|#2| |#2| (-1191)) 68) ((|#2| |#2|) 69)) (-2438 (((-191 (-332 |#1|)) |#2|) 9)) (-2771 ((|#2| |#2| (-1191)) 65) ((|#2| |#2|) 58))) 
-(((-202 |#1| |#2|) (-10 -7 (-15 -1689 (|#2| |#2|)) (-15 -1689 (|#2| |#2| (-1191))) (-15 -2771 (|#2| |#2|)) (-15 -2771 (|#2| |#2| (-1191))) (-15 -3996 ((-332 |#1|) |#2|)) (-15 -4506 ((-332 |#1|) |#2|)) (-15 -2952 ((-141) |#2|)) (-15 -1519 (|#2| |#2|)) (-15 -2438 ((-191 (-332 |#1|)) |#2|))) (-13 (-582) (-869) (-1065 (-592))) (-13 (-27) (-1211) (-456 (-191 |#1|)))) (T -202)) 
-((-2438 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-191 (-332 *4))) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) (-1519 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *3)))))) (-2952 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-141)) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) (-4506 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-332 *4)) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) (-3996 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-332 *4)) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) (-2771 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *4)))))) (-2771 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *3)))))) (-1689 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *4)))))) (-1689 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *3))))))) 
-(-10 -7 (-15 -1689 (|#2| |#2|)) (-15 -1689 (|#2| |#2| (-1191))) (-15 -2771 (|#2| |#2|)) (-15 -2771 (|#2| |#2| (-1191))) (-15 -3996 ((-332 |#1|) |#2|)) (-15 -4506 ((-332 |#1|) |#2|)) (-15 -2952 ((-141) |#2|)) (-15 -1519 (|#2| |#2|)) (-15 -2438 ((-191 (-332 |#1|)) |#2|))) 
-((-4266 (((-1280 (-706 (-980 |#1|))) (-1280 (-706 |#1|))) 22)) (-1683 (((-1280 (-706 (-433 (-980 |#1|)))) (-1280 (-706 |#1|))) 30))) 
-(((-203 |#1|) (-10 -7 (-15 -4266 ((-1280 (-706 (-980 |#1|))) (-1280 (-706 |#1|)))) (-15 -1683 ((-1280 (-706 (-433 (-980 |#1|)))) (-1280 (-706 |#1|))))) (-194)) (T -203)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-1280 (-706 *4))) (-4 *4 (-194)) (-5 *2 (-1280 (-706 (-433 (-980 *4))))) (-5 *1 (-203 *4)))) (-4266 (*1 *2 *3) (-12 (-5 *3 (-1280 (-706 *4))) (-4 *4 (-194)) (-5 *2 (-1280 (-706 (-980 *4)))) (-5 *1 (-203 *4))))) 
-(-10 -7 (-15 -4266 ((-1280 (-706 (-980 |#1|))) (-1280 (-706 |#1|)))) (-15 -1683 ((-1280 (-706 (-433 (-980 |#1|)))) (-1280 (-706 |#1|))))) 
-((-3225 (((-1193 (-433 (-592))) (-1193 (-433 (-592))) (-1193 (-433 (-592)))) 66)) (-2803 (((-1193 (-433 (-592))) (-658 (-592)) (-658 (-592))) 74)) (-3347 (((-1193 (-433 (-592))) (-592)) 40)) (-4405 (((-1193 (-433 (-592))) (-592)) 52)) (-2806 (((-433 (-592)) (-1193 (-433 (-592)))) 62)) (-4495 (((-1193 (-433 (-592))) (-592)) 32)) (-2211 (((-1193 (-433 (-592))) (-592)) 48)) (-3187 (((-1193 (-433 (-592))) (-592)) 46)) (-1838 (((-1193 (-433 (-592))) (-1193 (-433 (-592))) (-1193 (-433 (-592)))) 60)) (-1700 (((-1193 (-433 (-592))) (-592)) 25)) (-2708 (((-433 (-592)) (-1193 (-433 (-592))) (-1193 (-433 (-592)))) 64)) (-4273 (((-1193 (-433 (-592))) (-592)) 30)) (-4576 (((-1193 (-433 (-592))) (-658 (-592))) 71))) 
-(((-204) (-10 -7 (-15 -1700 ((-1193 (-433 (-592))) (-592))) (-15 -3347 ((-1193 (-433 (-592))) (-592))) (-15 -4495 ((-1193 (-433 (-592))) (-592))) (-15 -4273 ((-1193 (-433 (-592))) (-592))) (-15 -3187 ((-1193 (-433 (-592))) (-592))) (-15 -2211 ((-1193 (-433 (-592))) (-592))) (-15 -4405 ((-1193 (-433 (-592))) (-592))) (-15 -2708 ((-433 (-592)) (-1193 (-433 (-592))) (-1193 (-433 (-592))))) (-15 -1838 ((-1193 (-433 (-592))) (-1193 (-433 (-592))) (-1193 (-433 (-592))))) (-15 -2806 ((-433 (-592)) (-1193 (-433 (-592))))) (-15 -3225 ((-1193 (-433 (-592))) (-1193 (-433 (-592))) (-1193 (-433 (-592))))) (-15 -4576 ((-1193 (-433 (-592))) (-658 (-592)))) (-15 -2803 ((-1193 (-433 (-592))) (-658 (-592)) (-658 (-592)))))) (T -204)) 
-((-2803 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)))) (-4576 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)))) (-3225 (*1 *2 *2 *2) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)))) (-2806 (*1 *2 *3) (-12 (-5 *3 (-1193 (-433 (-592)))) (-5 *2 (-433 (-592))) (-5 *1 (-204)))) (-1838 (*1 *2 *2 *2) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)))) (-2708 (*1 *2 *3 *3) (-12 (-5 *3 (-1193 (-433 (-592)))) (-5 *2 (-433 (-592))) (-5 *1 (-204)))) (-4405 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) (-2211 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) (-3187 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) (-4273 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) (-4495 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) (-3347 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) (-1700 (*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592))))) 
-(-10 -7 (-15 -1700 ((-1193 (-433 (-592))) (-592))) (-15 -3347 ((-1193 (-433 (-592))) (-592))) (-15 -4495 ((-1193 (-433 (-592))) (-592))) (-15 -4273 ((-1193 (-433 (-592))) (-592))) (-15 -3187 ((-1193 (-433 (-592))) (-592))) (-15 -2211 ((-1193 (-433 (-592))) (-592))) (-15 -4405 ((-1193 (-433 (-592))) (-592))) (-15 -2708 ((-433 (-592)) (-1193 (-433 (-592))) (-1193 (-433 (-592))))) (-15 -1838 ((-1193 (-433 (-592))) (-1193 (-433 (-592))) (-1193 (-433 (-592))))) (-15 -2806 ((-433 (-592)) (-1193 (-433 (-592))))) (-15 -3225 ((-1193 (-433 (-592))) (-1193 (-433 (-592))) (-1193 (-433 (-592))))) (-15 -4576 ((-1193 (-433 (-592))) (-658 (-592)))) (-15 -2803 ((-1193 (-433 (-592))) (-658 (-592)) (-658 (-592))))) 
-((-3246 (((-444 (-1187 (-592))) (-592)) 28)) (-2327 (((-658 (-1187 (-592))) (-592)) 23)) (-4446 (((-1187 (-592)) (-592)) 21))) 
-(((-205) (-10 -7 (-15 -2327 ((-658 (-1187 (-592))) (-592))) (-15 -4446 ((-1187 (-592)) (-592))) (-15 -3246 ((-444 (-1187 (-592))) (-592))))) (T -205)) 
-((-3246 (*1 *2 *3) (-12 (-5 *2 (-444 (-1187 (-592)))) (-5 *1 (-205)) (-5 *3 (-592)))) (-4446 (*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-205)) (-5 *3 (-592)))) (-2327 (*1 *2 *3) (-12 (-5 *2 (-658 (-1187 (-592)))) (-5 *1 (-205)) (-5 *3 (-592))))) 
-(-10 -7 (-15 -2327 ((-658 (-1187 (-592))) (-592))) (-15 -4446 ((-1187 (-592)) (-592))) (-15 -3246 ((-444 (-1187 (-592))) (-592)))) 
-((-1914 (((-1171 (-237)) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 101)) (-1945 (((-658 (-1173)) (-1171 (-237))) NIL)) (-3793 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 77)) (-2990 (((-658 (-237)) (-332 (-237)) (-1191) (-1113 (-862 (-237)))) NIL)) (-2247 (((-658 (-1173)) (-658 (-237))) NIL)) (-1550 (((-237) (-1113 (-862 (-237)))) 22)) (-3896 (((-237) (-1113 (-862 (-237)))) 23)) (-1760 (((-405) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 93)) (-1752 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 40)) (-3058 (((-1173) (-237)) NIL)) (-3844 (((-1173) (-658 (-1173))) 19)) (-3984 (((-1063) (-1191) (-1191) (-1063)) 12))) 
-(((-206) (-10 -7 (-15 -3793 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1752 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1550 ((-237) (-1113 (-862 (-237))))) (-15 -3896 ((-237) (-1113 (-862 (-237))))) (-15 -1760 ((-405) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -2990 ((-658 (-237)) (-332 (-237)) (-1191) (-1113 (-862 (-237))))) (-15 -1914 ((-1171 (-237)) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3058 ((-1173) (-237))) (-15 -2247 ((-658 (-1173)) (-658 (-237)))) (-15 -1945 ((-658 (-1173)) (-1171 (-237)))) (-15 -3844 ((-1173) (-658 (-1173)))) (-15 -3984 ((-1063) (-1191) (-1191) (-1063))))) (T -206)) 
-((-3984 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1063)) (-5 *3 (-1191)) (-5 *1 (-206)))) (-3844 (*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1173)) (-5 *1 (-206)))) (-1945 (*1 *2 *3) (-12 (-5 *3 (-1171 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-206)))) (-2247 (*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-206)))) (-3058 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1173)) (-5 *1 (-206)))) (-1914 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-206)))) (-2990 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-1191)) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-206)))) (-1760 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-206)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-206)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-206)))) (-1752 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-206)))) (-3793 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-206))))) 
-(-10 -7 (-15 -3793 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1752 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1550 ((-237) (-1113 (-862 (-237))))) (-15 -3896 ((-237) (-1113 (-862 (-237))))) (-15 -1760 ((-405) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -2990 ((-658 (-237)) (-332 (-237)) (-1191) (-1113 (-862 (-237))))) (-15 -1914 ((-1171 (-237)) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3058 ((-1173) (-237))) (-15 -2247 ((-658 (-1173)) (-658 (-237)))) (-15 -1945 ((-658 (-1173)) (-1171 (-237)))) (-15 -3844 ((-1173) (-658 (-1173)))) (-15 -3984 ((-1063) (-1191) (-1191) (-1063)))) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 53) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 28) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-207) (-809)) (T -207)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 58) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 37) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-208) (-809)) (T -208)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 67) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 36) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-209) (-809)) (T -209)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 54) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 30) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-210) (-809)) (T -210)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 65) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 35) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-211) (-809)) (T -211)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 71) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 33) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-212) (-809)) (T -212)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 78) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 43) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-213) (-809)) (T -213)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 68) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 37) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-214) (-809)) (T -214)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 62)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 29)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-215) (-809)) (T -215)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 60)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 32)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-216) (-809)) (T -216)) 
-NIL 
-(-809) 
-((-1641 (((-141) $ $) NIL)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 89) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 77) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-217) (-809)) (T -217)) 
-NIL 
-(-809) 
-((-2277 (((-3 (-2 (|:| -1608 (-143)) (|:| |w| (-237))) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 80)) (-1943 (((-592) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 39)) (-1814 (((-3 (-658 (-237)) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 69))) 
-(((-218) (-10 -7 (-15 -2277 ((-3 (-2 (|:| -1608 (-143)) (|:| |w| (-237))) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1814 ((-3 (-658 (-237)) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1943 ((-592) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) (T -218)) 
-((-1943 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-592)) (-5 *1 (-218)))) (-1814 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-218)))) (-2277 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -1608 (-143)) (|:| |w| (-237)))) (-5 *1 (-218))))) 
-(-10 -7 (-15 -2277 ((-3 (-2 (|:| -1608 (-143)) (|:| |w| (-237))) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1814 ((-3 (-658 (-237)) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1943 ((-592) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) 
-((-3491 (((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 37)) (-4223 (((-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405))) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 127)) (-2800 (((-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405))) (-706 (-332 (-237)))) 87)) (-4067 (((-405) (-706 (-332 (-237)))) 110)) (-3142 (((-706 (-332 (-237))) (-1280 (-332 (-237))) (-658 (-1191))) 107)) (-4438 (((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 26)) (-3076 (((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 42)) (-2806 (((-706 (-332 (-237))) (-706 (-332 (-237))) (-658 (-1191)) (-1280 (-332 (-237)))) 99)) (-4334 (((-405) (-405) (-658 (-405))) 104) (((-405) (-405) (-405)) 102)) (-2159 (((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 33))) 
-(((-219) (-10 -7 (-15 -4334 ((-405) (-405) (-405))) (-15 -4334 ((-405) (-405) (-658 (-405)))) (-15 -4067 ((-405) (-706 (-332 (-237))))) (-15 -3142 ((-706 (-332 (-237))) (-1280 (-332 (-237))) (-658 (-1191)))) (-15 -2806 ((-706 (-332 (-237))) (-706 (-332 (-237))) (-658 (-1191)) (-1280 (-332 (-237))))) (-15 -2800 ((-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405))) (-706 (-332 (-237))))) (-15 -4223 ((-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405))) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3491 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3076 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -2159 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -4438 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) (T -219)) 
-((-4438 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219)))) (-2159 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219)))) (-3076 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219)))) (-3491 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219)))) (-4223 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405)))) (-5 *1 (-219)))) (-2800 (*1 *2 *3) (-12 (-5 *3 (-706 (-332 (-237)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405)))) (-5 *1 (-219)))) (-2806 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-706 (-332 (-237)))) (-5 *3 (-658 (-1191))) (-5 *4 (-1280 (-332 (-237)))) (-5 *1 (-219)))) (-3142 (*1 *2 *3 *4) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *4 (-658 (-1191))) (-5 *2 (-706 (-332 (-237)))) (-5 *1 (-219)))) (-4067 (*1 *2 *3) (-12 (-5 *3 (-706 (-332 (-237)))) (-5 *2 (-405)) (-5 *1 (-219)))) (-4334 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-405))) (-5 *2 (-405)) (-5 *1 (-219)))) (-4334 (*1 *2 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-219))))) 
-(-10 -7 (-15 -4334 ((-405) (-405) (-405))) (-15 -4334 ((-405) (-405) (-658 (-405)))) (-15 -4067 ((-405) (-706 (-332 (-237))))) (-15 -3142 ((-706 (-332 (-237))) (-1280 (-332 (-237))) (-658 (-1191)))) (-15 -2806 ((-706 (-332 (-237))) (-706 (-332 (-237))) (-658 (-1191)) (-1280 (-332 (-237))))) (-15 -2800 ((-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405))) (-706 (-332 (-237))))) (-15 -4223 ((-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405))) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3491 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3076 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -2159 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -4438 ((-405) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) 
-((-1641 (((-141) $ $) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 37)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3356 (((-1063) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 60)) (-3255 (((-141) $ $) NIL))) 
-(((-220) (-822)) (T -220)) 
-NIL 
-(-822) 
-((-1641 (((-141) $ $) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 37)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3356 (((-1063) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 60)) (-3255 (((-141) $ $) NIL))) 
-(((-221) (-822)) (T -221)) 
-NIL 
-(-822) 
-((-1641 (((-141) $ $) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 36)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3356 (((-1063) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 64)) (-3255 (((-141) $ $) NIL))) 
-(((-222) (-822)) (T -222)) 
-NIL 
-(-822) 
-((-1641 (((-141) $ $) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 42)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3356 (((-1063) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 73)) (-3255 (((-141) $ $) NIL))) 
-(((-223) (-822)) (T -223)) 
-NIL 
-(-822) 
-((-2692 (((-658 (-1191)) (-1191) (-790)) 22)) (-1834 (((-332 (-237)) (-332 (-237))) 29)) (-4516 (((-141) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 67)) (-2565 (((-141) (-237) (-237) (-658 (-332 (-237)))) 43))) 
-(((-224) (-10 -7 (-15 -2692 ((-658 (-1191)) (-1191) (-790))) (-15 -1834 ((-332 (-237)) (-332 (-237)))) (-15 -2565 ((-141) (-237) (-237) (-658 (-332 (-237))))) (-15 -4516 ((-141) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))))))) (T -224)) 
-((-4516 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *2 (-141)) (-5 *1 (-224)))) (-2565 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-658 (-332 (-237)))) (-5 *3 (-237)) (-5 *2 (-141)) (-5 *1 (-224)))) (-1834 (*1 *2 *2) (-12 (-5 *2 (-332 (-237))) (-5 *1 (-224)))) (-2692 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-658 (-1191))) (-5 *1 (-224)) (-5 *3 (-1191))))) 
-(-10 -7 (-15 -2692 ((-658 (-1191)) (-1191) (-790))) (-15 -1834 ((-332 (-237)) (-332 (-237)))) (-15 -2565 ((-141) (-237) (-237) (-658 (-332 (-237))))) (-15 -4516 ((-141) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))))) 
-((-1641 (((-141) $ $) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 17)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-4180 (((-1063) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 55)) (-3255 (((-141) $ $) NIL))) 
-(((-225) (-917)) (T -225)) 
-NIL 
-(-917) 
-((-1641 (((-141) $ $) NIL)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 12)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-4180 (((-1063) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-226) (-917)) (T -226)) 
-NIL 
-(-917) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3948 (((-1285) $) 36) (((-1285) $ (-944) (-944)) 38)) (-3927 (($ $ (-1018)) 19) (((-262 (-1173)) $ (-1191)) 15)) (-3536 (((-1285) $) 34)) (-1683 (((-877) $) 31) (($ (-658 |#1|)) 8)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $ $) 27)) (-3300 (($ $ $) 22))) 
-(((-227 |#1|) (-13 (-1119) (-10 -8 (-15 -3927 ($ $ (-1018))) (-15 -3927 ((-262 (-1173)) $ (-1191))) (-15 -3300 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -1683 ($ (-658 |#1|))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $)) (-15 -3948 ((-1285) $ (-944) (-944))))) (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))) (T -227)) 
-((-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-227 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-262 (-1173))) (-5 *1 (-227 *4)) (-4 *4 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ *3)) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) (-3300 (*1 *1 *1 *1) (-12 (-5 *1 (-227 *2)) (-4 *2 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) (-3306 (*1 *1 *1 *1) (-12 (-5 *1 (-227 *2)) (-4 *2 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))) (-5 *1 (-227 *3)))) (-3536 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-227 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 (*2 $)) (-15 -3948 (*2 $))))))) (-3948 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-227 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 (*2 $)) (-15 -3948 (*2 $))))))) (-3948 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1285)) (-5 *1 (-227 *4)) (-4 *4 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 (*2 $)) (-15 -3948 (*2 $)))))))) 
-(-13 (-1119) (-10 -8 (-15 -3927 ($ $ (-1018))) (-15 -3927 ((-262 (-1173)) $ (-1191))) (-15 -3300 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -1683 ($ (-658 |#1|))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $)) (-15 -3948 ((-1285) $ (-944) (-944))))) 
-((-4133 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
-(((-228 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4133 (|#2| |#4| (-1 |#2| |#2|)))) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|)) (T -228)) 
-((-4133 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-388)) (-4 *6 (-1255 (-433 *2))) (-4 *2 (-1255 *5)) (-5 *1 (-228 *5 *2 *6 *3)) (-4 *3 (-362 *5 *2 *6))))) 
-(-10 -7 (-15 -4133 (|#2| |#4| (-1 |#2| |#2|)))) 
-((-2444 ((|#2| |#2| (-790) |#2|) 41)) (-3157 ((|#2| |#2| (-790) |#2|) 37)) (-4293 (((-658 |#2|) (-658 (-2 (|:| |deg| (-790)) (|:| -1975 |#2|)))) 55)) (-4283 (((-658 (-2 (|:| |deg| (-790)) (|:| -1975 |#2|))) |#2|) 51)) (-2139 (((-141) |#2|) 48)) (-3082 (((-444 |#2|) |#2|) 74)) (-4500 (((-444 |#2|) |#2|) 73)) (-3473 ((|#2| |#2| (-790) |#2|) 35)) (-3587 (((-2 (|:| |cont| |#1|) (|:| -2033 (-658 (-2 (|:| |irr| |#2|) (|:| -1777 (-592)))))) |#2| (-141)) 66))) 
-(((-229 |#1| |#2|) (-10 -7 (-15 -4500 ((-444 |#2|) |#2|)) (-15 -3082 ((-444 |#2|) |#2|)) (-15 -3587 ((-2 (|:| |cont| |#1|) (|:| -2033 (-658 (-2 (|:| |irr| |#2|) (|:| -1777 (-592)))))) |#2| (-141))) (-15 -4283 ((-658 (-2 (|:| |deg| (-790)) (|:| -1975 |#2|))) |#2|)) (-15 -4293 ((-658 |#2|) (-658 (-2 (|:| |deg| (-790)) (|:| -1975 |#2|))))) (-15 -3473 (|#2| |#2| (-790) |#2|)) (-15 -3157 (|#2| |#2| (-790) |#2|)) (-15 -2444 (|#2| |#2| (-790) |#2|)) (-15 -2139 ((-141) |#2|))) (-373) (-1255 |#1|)) (T -229)) 
-((-2139 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4)))) (-2444 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-229 *4 *2)) (-4 *2 (-1255 *4)))) (-3157 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-229 *4 *2)) (-4 *2 (-1255 *4)))) (-3473 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-229 *4 *2)) (-4 *2 (-1255 *4)))) (-4293 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |deg| (-790)) (|:| -1975 *5)))) (-4 *5 (-1255 *4)) (-4 *4 (-373)) (-5 *2 (-658 *5)) (-5 *1 (-229 *4 *5)))) (-4283 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-658 (-2 (|:| |deg| (-790)) (|:| -1975 *3)))) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4)))) (-3587 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-373)) (-5 *2 (-2 (|:| |cont| *5) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-229 *5 *3)) (-4 *3 (-1255 *5)))) (-3082 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4)))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -4500 ((-444 |#2|) |#2|)) (-15 -3082 ((-444 |#2|) |#2|)) (-15 -3587 ((-2 (|:| |cont| |#1|) (|:| -2033 (-658 (-2 (|:| |irr| |#2|) (|:| -1777 (-592)))))) |#2| (-141))) (-15 -4283 ((-658 (-2 (|:| |deg| (-790)) (|:| -1975 |#2|))) |#2|)) (-15 -4293 ((-658 |#2|) (-658 (-2 (|:| |deg| (-790)) (|:| -1975 |#2|))))) (-15 -3473 (|#2| |#2| (-790) |#2|)) (-15 -3157 (|#2| |#2| (-790) |#2|)) (-15 -2444 (|#2| |#2| (-790) |#2|)) (-15 -2139 ((-141) |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-592) $) NIL (|has| (-592) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-592) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| (-592) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-592) (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| (-592) (-1065 (-592))))) (-2400 (((-592) $) NIL) (((-1191) $) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-592) (-1065 (-592)))) (((-592) $) NIL (|has| (-592) (-1065 (-592))))) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-592) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| (-592) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-592) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-592) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-592) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| (-592) (-1165)))) (-1324 (((-141) $) NIL (|has| (-592) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-2731 (($ (-1 (-592) (-592)) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-592) (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-592) (-323))) (((-433 (-592)) $) NIL)) (-2039 (((-592) $) NIL (|has| (-592) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-592)) (-658 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-592) (-592)) NIL (|has| (-592) (-325 (-592)))) (($ $ (-310 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-310 (-592)))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-1191)) (-658 (-592))) NIL (|has| (-592) (-547 (-1191) (-592)))) (($ $ (-1191) (-592)) NIL (|has| (-592) (-547 (-1191) (-592))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-592)) NIL (|has| (-592) (-303 (-592) (-592))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-592) $) NIL)) (-4035 (($ (-433 (-592))) 8)) (-1778 (((-914 (-592)) $) NIL (|has| (-592) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-592) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-592) (-633 (-565)))) (((-405) $) NIL (|has| (-592) (-1049))) (((-237) $) NIL (|has| (-592) (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-592) (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) 7) (($ (-592)) NIL) (($ (-1191)) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL) (((-1032 10) $) 9)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-592) (-931))) (|has| (-592) (-169))))) (-4010 (((-790)) NIL)) (-2744 (((-592) $) NIL (|has| (-592) (-574)))) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL (|has| (-592) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3313 (($ $ $) NIL) (($ (-592) (-592)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL))) 
-(((-230) (-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -1683 ((-1032 10) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -4035 ($ (-433 (-592))))))) (T -230)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-230)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1032 10)) (-5 *1 (-230)))) (-3856 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-230)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-230))))) 
-(-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -1683 ((-1032 10) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -4035 ($ (-433 (-592)))))) 
-((-3162 (((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1111 (-862 |#2|)) (-1173)) 27) (((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1111 (-862 |#2|))) 23)) (-3609 (((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1191) (-862 |#2|) (-862 |#2|) (-141)) 16))) 
-(((-231 |#1| |#2|) (-10 -7 (-15 -3162 ((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1111 (-862 |#2|)))) (-15 -3162 ((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1111 (-862 |#2|)) (-1173))) (-15 -3609 ((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1191) (-862 |#2|) (-862 |#2|) (-141)))) (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-987) (-29 |#1|))) (T -231)) 
-((-3609 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1191)) (-5 *6 (-141)) (-4 *7 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-4 *3 (-13 (-1211) (-987) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-862 *3)) (|:| |f2| (-658 (-862 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-231 *7 *3)) (-5 *5 (-862 *3)))) (-3162 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1111 (-862 *3))) (-5 *5 (-1173)) (-4 *3 (-13 (-1211) (-987) (-29 *6))) (-4 *6 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 *3)) (|:| |f2| (-658 (-862 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-231 *6 *3)))) (-3162 (*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-862 *3))) (-4 *3 (-13 (-1211) (-987) (-29 *5))) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 *3)) (|:| |f2| (-658 (-862 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-231 *5 *3))))) 
-(-10 -7 (-15 -3162 ((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1111 (-862 |#2|)))) (-15 -3162 ((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1111 (-862 |#2|)) (-1173))) (-15 -3609 ((-3 (|:| |f1| (-862 |#2|)) (|:| |f2| (-658 (-862 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1191) (-862 |#2|) (-862 |#2|) (-141)))) 
-((-3162 (((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-433 (-980 |#1|)))) (-1173)) 44) (((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-433 (-980 |#1|))))) 41) (((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-332 |#1|))) (-1173)) 45) (((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-332 |#1|)))) 17))) 
-(((-232 |#1|) (-10 -7 (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-332 |#1|))))) (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-332 |#1|))) (-1173))) (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-433 (-980 |#1|)))))) (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-433 (-980 |#1|)))) (-1173)))) (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (T -232)) 
-((-3162 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1111 (-862 (-433 (-980 *6))))) (-5 *5 (-1173)) (-5 *3 (-433 (-980 *6))) (-4 *6 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *6))) (|:| |f2| (-658 (-862 (-332 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *6)))) (-3162 (*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-862 (-433 (-980 *5))))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *5))) (|:| |f2| (-658 (-862 (-332 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *5)))) (-3162 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-433 (-980 *6))) (-5 *4 (-1111 (-862 (-332 *6)))) (-5 *5 (-1173)) (-4 *6 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *6))) (|:| |f2| (-658 (-862 (-332 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *6)))) (-3162 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1111 (-862 (-332 *5)))) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *5))) (|:| |f2| (-658 (-862 (-332 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *5))))) 
-(-10 -7 (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-332 |#1|))))) (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-332 |#1|))) (-1173))) (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-433 (-980 |#1|)))))) (-15 -3162 ((-3 (|:| |f1| (-862 (-332 |#1|))) (|:| |f2| (-658 (-862 (-332 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-433 (-980 |#1|)) (-1111 (-862 (-433 (-980 |#1|)))) (-1173)))) 
-((-3657 (((-2 (|:| -3489 (-1187 |#1|)) (|:| |deg| (-944))) (-1187 |#1|)) 20)) (-3098 (((-658 (-332 |#2|)) (-332 |#2|) (-944)) 42))) 
-(((-233 |#1| |#2|) (-10 -7 (-15 -3657 ((-2 (|:| -3489 (-1187 |#1|)) (|:| |deg| (-944))) (-1187 |#1|))) (-15 -3098 ((-658 (-332 |#2|)) (-332 |#2|) (-944)))) (-1075) (-13 (-582) (-869))) (T -233)) 
-((-3098 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *6 (-13 (-582) (-869))) (-5 *2 (-658 (-332 *6))) (-5 *1 (-233 *5 *6)) (-5 *3 (-332 *6)) (-4 *5 (-1075)))) (-3657 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-2 (|:| -3489 (-1187 *4)) (|:| |deg| (-944)))) (-5 *1 (-233 *4 *5)) (-5 *3 (-1187 *4)) (-4 *5 (-13 (-582) (-869)))))) 
-(-10 -7 (-15 -3657 ((-2 (|:| -3489 (-1187 |#1|)) (|:| |deg| (-944))) (-1187 |#1|))) (-15 -3098 ((-658 (-332 |#2|)) (-332 |#2|) (-944)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2616 ((|#1| $) 25)) (-3349 ((|#1| $) 26)) (-2126 (((-141) $ (-790)) NIL)) (-3001 (($) NIL T CONST)) (-4179 (($ $) NIL)) (-2512 (($ $) 32)) (-3568 ((|#1| |#1| $) NIL)) (-2486 ((|#1| $) NIL)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4233 (((-790) $) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4137 ((|#1| $) NIL)) (-2251 ((|#1| |#1| $) 29)) (-4451 ((|#1| |#1| $) 31)) (-2113 (($ |#1| $) NIL)) (-2535 (((-790) $) 27)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1476 ((|#1| $) NIL)) (-2452 ((|#1| $) 24)) (-4225 ((|#1| $) 8)) (-2106 ((|#1| $) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1659 ((|#1| |#1| $) NIL)) (-2943 (((-141) $) 15)) (-2890 (($) NIL)) (-1716 ((|#1| $) NIL)) (-4309 (($) NIL) (($ (-658 |#1|)) 13)) (-3439 (((-790) $) 28)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-1966 ((|#1| $) 9)) (-4560 (($ (-658 |#1|)) NIL)) (-2829 ((|#1| $) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-234 |#1|) (-13 (-269 |#1|) (-10 -8 (-15 -4309 ($ (-658 |#1|))) (-15 -1716 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -1659 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -1476 (|#1| $)) (-15 -2829 (|#1| $)) (-15 -4179 ($ $)) (-15 -4233 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -3439 ((-790) $)) (-15 -4309 ($)) (-15 -2535 ((-790) $)) (-15 -3349 (|#1| $)) (-15 -1966 (|#1| $)) (-15 -4225 (|#1| $)) (-15 -2452 (|#1| $)) (-15 -4451 (|#1| |#1| $)) (-15 -2251 (|#1| |#1| $)) (-15 -2486 (|#1| $)) (-15 -3568 (|#1| |#1| $)) (-15 -2512 ($ $)) (-15 -2616 (|#1| $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) (-1119)) (T -234)) 
-((-1724 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2890 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-2554 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-234 *4)) (-4 *4 (-1119)))) (-4345 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-234 *4)) (-4 *4 (-1119)))) (-2126 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-234 *4)) (-4 *4 (-1119)))) (-3001 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) (-3369 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-234 *4)))) (-3002 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-234 *4)))) (-3452 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-234 *4)))) (-4004 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-4467 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-3452 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3133 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2685 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2951 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1641 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-4560 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) (-2106 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-4137 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-3568 (*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2486 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-3349 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-3439 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-2829 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-1476 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-4179 (*1 *1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-1716 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-1659 (*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-4309 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-4309 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) (-2535 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) (-2616 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-1966 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2251 (*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-4451 (*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2452 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-4225 (*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) (-2512 (*1 *1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119))))) 
-(-13 (-269 |#1|) (-10 -8 (-15 -4309 ($ (-658 |#1|))) (-15 -1716 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -1659 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -1476 (|#1| $)) (-15 -2829 (|#1| $)) (-15 -4179 ($ $)) (-15 -4233 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -3439 ((-790) $)) (-15 -4309 ($)) (-15 -2535 ((-790) $)) (-15 -3349 (|#1| $)) (-15 -1966 (|#1| $)) (-15 -4225 (|#1| $)) (-15 -2452 (|#1| $)) (-15 -4451 (|#1| |#1| $)) (-15 -2251 (|#1| |#1| $)) (-15 -2486 (|#1| $)) (-15 -3568 (|#1| |#1| $)) (-15 -2512 ($ $)) (-15 -2616 (|#1| $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3435 (($ (-332 |#1|)) 23)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3461 (((-141) $) NIL)) (-4368 (((-3 (-332 |#1|) "failed") $) NIL)) (-2400 (((-332 |#1|) $) NIL)) (-4593 (($ $) 31)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2731 (($ (-1 (-332 |#1|) (-332 |#1|)) $) NIL)) (-4579 (((-332 |#1|) $) NIL)) (-1693 (($ $) 30)) (-2685 (((-1173) $) NIL)) (-1815 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2934 (($ (-790)) NIL)) (-3310 (($ $) 32)) (-4525 (((-592) $) NIL)) (-1683 (((-877) $) 57) (($ (-592)) NIL) (($ (-332 |#1|)) NIL)) (-1937 (((-332 |#1|) $ $) NIL)) (-4010 (((-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 25 T CONST)) (-4257 (($) 50 T CONST)) (-3255 (((-141) $ $) 28)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 19)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 24) (($ (-332 |#1|) $) 18))) 
-(((-235 |#1| |#2|) (-13 (-636 (-332 |#1|)) (-1065 (-332 |#1|)) (-10 -8 (-15 -4579 ((-332 |#1|) $)) (-15 -1693 ($ $)) (-15 -4593 ($ $)) (-15 -1937 ((-332 |#1|) $ $)) (-15 -2934 ($ (-790))) (-15 -1815 ((-141) $)) (-15 -3461 ((-141) $)) (-15 -4525 ((-592) $)) (-15 -2731 ($ (-1 (-332 |#1|) (-332 |#1|)) $)) (-15 -3435 ($ (-332 |#1|))) (-15 -3310 ($ $)))) (-13 (-1075) (-869)) (-658 (-1191))) (T -235)) 
-((-4579 (*1 *2 *1) (-12 (-5 *2 (-332 *3)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) (-1693 (*1 *1 *1) (-12 (-5 *1 (-235 *2 *3)) (-4 *2 (-13 (-1075) (-869))) (-14 *3 (-658 (-1191))))) (-4593 (*1 *1 *1) (-12 (-5 *1 (-235 *2 *3)) (-4 *2 (-13 (-1075) (-869))) (-14 *3 (-658 (-1191))))) (-1937 (*1 *2 *1 *1) (-12 (-5 *2 (-332 *3)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) (-2934 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) (-1815 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-332 *3) (-332 *3))) (-4 *3 (-13 (-1075) (-869))) (-5 *1 (-235 *3 *4)) (-14 *4 (-658 (-1191))))) (-3435 (*1 *1 *2) (-12 (-5 *2 (-332 *3)) (-4 *3 (-13 (-1075) (-869))) (-5 *1 (-235 *3 *4)) (-14 *4 (-658 (-1191))))) (-3310 (*1 *1 *1) (-12 (-5 *1 (-235 *2 *3)) (-4 *2 (-13 (-1075) (-869))) (-14 *3 (-658 (-1191)))))) 
-(-13 (-636 (-332 |#1|)) (-1065 (-332 |#1|)) (-10 -8 (-15 -4579 ((-332 |#1|) $)) (-15 -1693 ($ $)) (-15 -4593 ($ $)) (-15 -1937 ((-332 |#1|) $ $)) (-15 -2934 ($ (-790))) (-15 -1815 ((-141) $)) (-15 -3461 ((-141) $)) (-15 -4525 ((-592) $)) (-15 -2731 ($ (-1 (-332 |#1|) (-332 |#1|)) $)) (-15 -3435 ($ (-332 |#1|))) (-15 -3310 ($ $)))) 
-((-3304 (((-141) (-1173)) 22)) (-3764 (((-3 (-862 |#2|) "failed") (-631 |#2|) |#2| (-862 |#2|) (-862 |#2|) (-141)) 32)) (-2578 (((-3 (-141) "failed") (-1187 |#2|) (-862 |#2|) (-862 |#2|) (-141)) 73) (((-3 (-141) "failed") (-980 |#1|) (-1191) (-862 |#2|) (-862 |#2|) (-141)) 74))) 
-(((-236 |#1| |#2|) (-10 -7 (-15 -3304 ((-141) (-1173))) (-15 -3764 ((-3 (-862 |#2|) "failed") (-631 |#2|) |#2| (-862 |#2|) (-862 |#2|) (-141))) (-15 -2578 ((-3 (-141) "failed") (-980 |#1|) (-1191) (-862 |#2|) (-862 |#2|) (-141))) (-15 -2578 ((-3 (-141) "failed") (-1187 |#2|) (-862 |#2|) (-862 |#2|) (-141)))) (-13 (-477) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-29 |#1|))) (T -236)) 
-((-2578 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-141)) (-5 *3 (-1187 *6)) (-5 *4 (-862 *6)) (-4 *6 (-13 (-1211) (-29 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-236 *5 *6)))) (-2578 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-141)) (-5 *3 (-980 *6)) (-5 *4 (-1191)) (-5 *5 (-862 *7)) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *7 (-13 (-1211) (-29 *6))) (-5 *1 (-236 *6 *7)))) (-3764 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-862 *4)) (-5 *3 (-631 *4)) (-5 *5 (-141)) (-4 *4 (-13 (-1211) (-29 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-236 *6 *4)))) (-3304 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-141)) (-5 *1 (-236 *4 *5)) (-4 *5 (-13 (-1211) (-29 *4)))))) 
-(-10 -7 (-15 -3304 ((-141) (-1173))) (-15 -3764 ((-3 (-862 |#2|) "failed") (-631 |#2|) |#2| (-862 |#2|) (-862 |#2|) (-141))) (-15 -2578 ((-3 (-141) "failed") (-980 |#1|) (-1191) (-862 |#2|) (-862 |#2|) (-141))) (-15 -2578 ((-3 (-141) "failed") (-1187 |#2|) (-862 |#2|) (-862 |#2|) (-141)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 95)) (-1505 (((-592) $) 124)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2306 (($ $) NIL)) (-1588 (($ $) 83)) (-1507 (($ $) 71)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1442 (($ $) 62)) (-3652 (((-141) $ $) NIL)) (-1575 (($ $) 81)) (-1495 (($ $) 69)) (-3940 (((-592) $) 137)) (-1601 (($ $) 86)) (-1521 (($ $) 73)) (-3001 (($) NIL T CONST)) (-1755 (($ $) NIL)) (-4368 (((-3 (-592) "failed") $) 120) (((-3 (-433 (-592)) "failed") $) 135)) (-2400 (((-592) $) 136) (((-433 (-592)) $) 133)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) 98)) (-2753 (((-433 (-592)) $ (-790)) 131) (((-433 (-592)) $ (-790) (-790)) 130)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-4047 (((-944)) 34) (((-944) (-944)) NIL (|has| $ (-6 -4616)))) (-1691 (((-141) $) NIL)) (-4018 (($ $ $) 123)) (-1435 (($) 44)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL)) (-4346 (((-592) $) 40)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL)) (-2793 (($ $) NIL)) (-1324 (((-141) $) 94)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) 59) (($) 39 (-12 (-3252 (|has| $ (-6 -4608))) (-3252 (|has| $ (-6 -4616)))))) (-3319 (($ $ $) 58) (($) 38 (-12 (-3252 (|has| $ (-6 -4608))) (-3252 (|has| $ (-6 -4616)))))) (-2950 (((-592) $) 32)) (-3631 (((-433 (-592)) $) 27)) (-1998 (($ $) 35)) (-4197 (($ $) 63)) (-4546 (($ $) 68)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3396 (((-658 (-592)) $) 29)) (-1867 (((-944) (-592)) NIL (|has| $ (-6 -4616)))) (-2951 (((-1137) $) NIL) (((-592) $) 96)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL)) (-2039 (($ $) NIL)) (-4540 (($ (-592) (-592)) NIL) (($ (-592) (-592) (-944)) 125)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3215 (((-592) $) 33)) (-1667 (($) 43)) (-1430 (($ $) 67)) (-2769 (((-790) $) NIL)) (-2205 (((-1173) (-1173)) 8)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4406 (((-944)) NIL) (((-944) (-944)) NIL (|has| $ (-6 -4616)))) (-2002 (($ $) 116)) (-3644 (($ $ (-790)) NIL) (($ $) 99)) (-1738 (((-944) (-592)) NIL (|has| $ (-6 -4616)))) (-1609 (($ $) 84)) (-1527 (($ $) 74)) (-1594 (($ $) 85)) (-1515 (($ $) 72)) (-1581 (($ $) 82)) (-1501 (($ $) 70)) (-1778 (((-405) $) 129) (((-237) $) 126) (((-914 (-405)) $) NIL) (((-565) $) 51)) (-1683 (((-877) $) 48) (($ (-592)) 66) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-592)) 66) (($ (-433 (-592))) NIL)) (-4010 (((-790)) NIL)) (-2744 (($ $) NIL)) (-3671 (((-944)) 37) (((-944) (-944)) NIL (|has| $ (-6 -4616)))) (-2280 (($ $ $) 112)) (-2500 (($ $ $) 110)) (-3468 (($ $ $) 108)) (-2894 (($ $ $) 106)) (-4226 (((-944)) 31)) (-1630 (($ $) 89)) (-1546 (($ $) 77) (($ $ $) 132)) (-2537 (((-141) $ $) NIL)) (-1617 (($ $) 87)) (-1533 (($ $) 75)) (-1642 (($ $) 92)) (-1559 (($ $) 80)) (-2156 (($ $) 104)) (-3132 (($ $) 102)) (-2892 (($ $) 90)) (-1567 (($ $) 78)) (-1636 (($ $) 91)) (-1552 (($ $) 79)) (-1624 (($ $) 88)) (-1540 (($ $) 76)) (-1392 (($ $) 138)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 41 T CONST)) (-4257 (($) 42 T CONST)) (-1637 (((-1173) $) 19) (((-1173) $ (-141)) 21) (((-1285) (-844) $) 22) (((-1285) (-844) $ (-141)) 23)) (-2348 (($ $) 118) (($ $ $) NIL)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-2170 (($ $ $) 114)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 60)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 52)) (-3313 (($ $ $) 93) (($ $ (-592)) 61)) (-3306 (($ $) 53) (($ $ $) 55)) (-3300 (($ $ $) 54)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 64) (($ $ (-433 (-592))) 148) (($ $ $) 65)) (* (($ (-944) $) 36) (($ (-790) $) NIL) (($ (-592) $) 57) (($ $ $) 56) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-237) (-13 (-430) (-247) (-850) (-1211) (-1153) (-633 (-565)) (-10 -8 (-15 -3313 ($ $ (-592))) (-15 ** ($ $ $)) (-15 -1667 ($)) (-15 -2951 ((-592) $)) (-15 -1998 ($ $)) (-15 -4197 ($ $)) (-15 -1546 ($ $ $)) (-15 -2348 ($ $)) (-15 -2170 ($ $ $)) (-15 -2205 ((-1173) (-1173))) (-15 -2753 ((-433 (-592)) $ (-790))) (-15 -2753 ((-433 (-592)) $ (-790) (-790))) (-15 -3631 ((-433 (-592)) $)) (-15 -3396 ((-658 (-592)) $))))) (T -237)) 
-((** (*1 *1 *1 *1) (-5 *1 (-237))) (-2348 (*1 *1 *1) (-5 *1 (-237))) (-2170 (*1 *1 *1 *1) (-5 *1 (-237))) (-3313 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-237)))) (-1667 (*1 *1) (-5 *1 (-237))) (-2951 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-237)))) (-1998 (*1 *1 *1) (-5 *1 (-237))) (-4197 (*1 *1 *1) (-5 *1 (-237))) (-1546 (*1 *1 *1 *1) (-5 *1 (-237))) (-2205 (*1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-237)))) (-2753 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-237)))) (-2753 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-237)))) (-3631 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-237)))) (-3396 (*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-237))))) 
-(-13 (-430) (-247) (-850) (-1211) (-1153) (-633 (-565)) (-10 -8 (-15 -3313 ($ $ (-592))) (-15 ** ($ $ $)) (-15 -1667 ($)) (-15 -2951 ((-592) $)) (-15 -1998 ($ $)) (-15 -4197 ($ $)) (-15 -1546 ($ $ $)) (-15 -2348 ($ $)) (-15 -2170 ($ $ $)) (-15 -2205 ((-1173) (-1173))) (-15 -2753 ((-433 (-592)) $ (-790))) (-15 -2753 ((-433 (-592)) $ (-790) (-790))) (-15 -3631 ((-433 (-592)) $)) (-15 -3396 ((-658 (-592)) $)))) 
-((-1641 (((-141) $ $) NIL (|has| (-237) (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-240)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) NIL)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 (((-237) $ (-592) (-592) (-237)) NIL) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-240)) NIL)) (-2242 (($ $ (-592) (-240)) NIL)) (-3223 (($ (-790) (-237)) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| (-237) (-323)))) (-2747 (((-240) $ (-592)) NIL)) (-4175 (((-790) $) NIL (|has| (-237) (-582)))) (-1426 (((-237) $ (-592) (-592) (-237)) 16)) (-1695 (($ (-592) (-592)) 18)) (-3959 (((-237) $ (-592) (-592)) 15)) (-1794 (((-237) $) NIL (|has| (-237) (-194)))) (-4004 (((-658 (-237)) $) NIL)) (-3178 (((-790) $) NIL (|has| (-237) (-582)))) (-3555 (((-658 (-240)) $) NIL (|has| (-237) (-582)))) (-4292 (((-790) $) 10)) (-3242 (($ (-790) (-790) (-237)) 19)) (-4298 (((-790) $) 11)) (-4345 (((-141) $ (-790)) NIL)) (-3781 (((-237) $) NIL (|has| (-237) (-6 (-4627 "*"))))) (-4577 (((-592) $) 7)) (-4280 (((-592) $) 8)) (-4467 (((-658 (-237)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-237) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119))))) (-1898 (((-592) $) 12)) (-3005 (((-592) $) 13)) (-4186 (($ (-658 (-658 (-237)))) NIL) (($ (-790) (-790) (-1 (-237) (-592) (-592))) NIL)) (-3987 (($ (-1 (-237) (-237)) $) NIL)) (-2731 (($ (-1 (-237) (-237)) $) NIL) (($ (-1 (-237) (-237) (-237)) $ $) NIL) (($ (-1 (-237) (-237) (-237)) $ $ (-237)) NIL)) (-4601 (((-658 (-658 (-237))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-237) (-1119)))) (-3183 (((-3 $ "failed") $) NIL (|has| (-237) (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| (-237) (-1119)))) (-1892 (($ $ (-237)) NIL)) (-3616 (((-3 $ "failed") $ (-237)) NIL (|has| (-237) (-582)))) (-3002 (((-141) (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-237)))) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119)))) (($ $ (-310 (-237))) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119)))) (($ $ (-237) (-237)) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119)))) (($ $ (-658 (-237)) (-658 (-237))) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 17)) (-3927 (((-237) $ (-592) (-592)) NIL) (((-237) $ (-592) (-592) (-237)) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 (-237))) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 (((-237) $) NIL (|has| (-237) (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625))) (((-790) (-237) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-240)) $) NIL (|has| (-237) (-323)))) (-2000 (((-240) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| (-237) (-1119))) (($ (-240)) NIL)) (-3369 (((-141) (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| (-237) (-1119)))) (-3313 (($ $ (-237)) NIL (|has| (-237) (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-237) (-388)))) (* (($ $ $) NIL) (($ (-237) $) NIL) (($ $ (-237)) NIL) (($ (-592) $) NIL) (((-240) $ (-240)) NIL) (((-240) (-240) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-238) (-13 (-704 (-237) (-240) (-240)) (-10 -8 (-15 -1695 ($ (-592) (-592)))))) (T -238)) 
-((-1695 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-238))))) 
-(-13 (-704 (-237) (-240) (-240)) (-10 -8 (-15 -1695 ($ (-592) (-592))))) 
-((-4018 (((-191 (-237)) (-790) (-191 (-237))) 61) (((-237) (-790) (-237)) 62)) (-3805 (((-191 (-237)) (-191 (-237))) 63) (((-237) (-237)) 64)) (-2738 (((-191 (-237)) (-191 (-237)) (-191 (-237))) 69) (((-237) (-237) (-237)) 72)) (-2424 (((-405) (-405)) 60)) (-1927 (((-405) (-405)) 59)) (-2002 (((-191 (-237)) (-191 (-237))) 74) (((-237) (-237)) 73)) (-2280 (((-191 (-237)) (-191 (-237)) (-191 (-237))) 91) (((-237) (-237) (-237)) 83)) (-2500 (((-191 (-237)) (-191 (-237)) (-191 (-237))) 94) (((-237) (-237) (-237)) 92)) (-3468 (((-191 (-237)) (-191 (-237)) (-191 (-237))) 65) (((-237) (-237) (-237)) 66)) (-2894 (((-191 (-237)) (-191 (-237)) (-191 (-237))) 67) (((-237) (-237) (-237)) 68)) (-2156 (((-191 (-237)) (-191 (-237))) 105) (((-237) (-237)) 104)) (-3132 (((-237) (-237)) 99) (((-191 (-237)) (-191 (-237))) 103)) (-2348 (((-191 (-237)) (-191 (-237))) 7) (((-237) (-237)) 9)) (-3729 (((-855 (-237)) (-592) (-237)) 23)) (-2760 (((-855 (-237)) (-855 (-237))) 36)) (-2007 (((-855 (-237)) (-855 (-237))) 35)) (-3660 (((-855 (-237)) (-855 (-237))) 34)) (-2743 (((-855 (-237)) (-855 (-237))) 33)) (-3577 (((-855 (-237)) (-855 (-237))) 32)) (-4265 (((-855 (-237)) (-855 (-237))) 31)) (-4299 (((-855 (-237)) (-855 (-237))) 37)) (-2194 (((-855 (-237)) (-237)) 22)) (-2170 (((-191 (-237)) (-191 (-237)) (-191 (-237))) 79) (((-237) (-237) (-237)) 75))) 
-(((-239) (-10 -7 (-15 -2348 ((-237) (-237))) (-15 -2348 ((-191 (-237)) (-191 (-237)))) (-15 -2194 ((-855 (-237)) (-237))) (-15 -3729 ((-855 (-237)) (-592) (-237))) (-15 -4299 ((-855 (-237)) (-855 (-237)))) (-15 -4265 ((-855 (-237)) (-855 (-237)))) (-15 -3577 ((-855 (-237)) (-855 (-237)))) (-15 -2743 ((-855 (-237)) (-855 (-237)))) (-15 -3660 ((-855 (-237)) (-855 (-237)))) (-15 -2007 ((-855 (-237)) (-855 (-237)))) (-15 -2760 ((-855 (-237)) (-855 (-237)))) (-15 -2170 ((-237) (-237) (-237))) (-15 -2170 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -3805 ((-237) (-237))) (-15 -3805 ((-191 (-237)) (-191 (-237)))) (-15 -2002 ((-237) (-237))) (-15 -2002 ((-191 (-237)) (-191 (-237)))) (-15 -4018 ((-237) (-790) (-237))) (-15 -4018 ((-191 (-237)) (-790) (-191 (-237)))) (-15 -3468 ((-237) (-237) (-237))) (-15 -3468 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2280 ((-237) (-237) (-237))) (-15 -2280 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2894 ((-237) (-237) (-237))) (-15 -2894 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2500 ((-237) (-237) (-237))) (-15 -2500 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -3132 ((-191 (-237)) (-191 (-237)))) (-15 -3132 ((-237) (-237))) (-15 -2156 ((-237) (-237))) (-15 -2156 ((-191 (-237)) (-191 (-237)))) (-15 -2738 ((-237) (-237) (-237))) (-15 -2738 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2424 ((-405) (-405))) (-15 -1927 ((-405) (-405))))) (T -239)) 
-((-1927 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-239)))) (-2424 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-239)))) (-2738 (*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2738 (*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-2156 (*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2156 (*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-3132 (*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-3132 (*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2500 (*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2500 (*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-2894 (*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2894 (*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-2280 (*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2280 (*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-3468 (*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-3468 (*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-4018 (*1 *2 *3 *2) (-12 (-5 *2 (-191 (-237))) (-5 *3 (-790)) (-5 *1 (-239)))) (-4018 (*1 *2 *3 *2) (-12 (-5 *2 (-237)) (-5 *3 (-790)) (-5 *1 (-239)))) (-2002 (*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2002 (*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-3805 (*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-3805 (*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-2170 (*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2170 (*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) (-2760 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-2007 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-3660 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-2743 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-3577 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-4265 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-4299 (*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) (-3729 (*1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *2 (-855 (-237))) (-5 *1 (-239)) (-5 *4 (-237)))) (-2194 (*1 *2 *3) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)) (-5 *3 (-237)))) (-2348 (*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) (-2348 (*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239))))) 
-(-10 -7 (-15 -2348 ((-237) (-237))) (-15 -2348 ((-191 (-237)) (-191 (-237)))) (-15 -2194 ((-855 (-237)) (-237))) (-15 -3729 ((-855 (-237)) (-592) (-237))) (-15 -4299 ((-855 (-237)) (-855 (-237)))) (-15 -4265 ((-855 (-237)) (-855 (-237)))) (-15 -3577 ((-855 (-237)) (-855 (-237)))) (-15 -2743 ((-855 (-237)) (-855 (-237)))) (-15 -3660 ((-855 (-237)) (-855 (-237)))) (-15 -2007 ((-855 (-237)) (-855 (-237)))) (-15 -2760 ((-855 (-237)) (-855 (-237)))) (-15 -2170 ((-237) (-237) (-237))) (-15 -2170 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -3805 ((-237) (-237))) (-15 -3805 ((-191 (-237)) (-191 (-237)))) (-15 -2002 ((-237) (-237))) (-15 -2002 ((-191 (-237)) (-191 (-237)))) (-15 -4018 ((-237) (-790) (-237))) (-15 -4018 ((-191 (-237)) (-790) (-191 (-237)))) (-15 -3468 ((-237) (-237) (-237))) (-15 -3468 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2280 ((-237) (-237) (-237))) (-15 -2280 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2894 ((-237) (-237) (-237))) (-15 -2894 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2500 ((-237) (-237) (-237))) (-15 -2500 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -3132 ((-191 (-237)) (-191 (-237)))) (-15 -3132 ((-237) (-237))) (-15 -2156 ((-237) (-237))) (-15 -2156 ((-191 (-237)) (-191 (-237)))) (-15 -2738 ((-237) (-237) (-237))) (-15 -2738 ((-191 (-237)) (-191 (-237)) (-191 (-237)))) (-15 -2424 ((-405) (-405))) (-15 -1927 ((-405) (-405)))) 
-((-1641 (((-141) $ $) NIL (|has| (-237) (-1119)))) (-1417 (($ (-790)) NIL (|has| (-237) (-23)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-237) (-237)) $) NIL) (((-141) $) NIL (|has| (-237) (-869)))) (-2831 (($ (-1 (-141) (-237) (-237)) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-237) (-869))))) (-3960 (($ (-1 (-141) (-237) (-237)) $) NIL) (($ $) NIL (|has| (-237) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-237) $ (-592) (-237)) 17 (|has| $ (-6 -4626))) (((-237) $ (-1246 (-592)) (-237)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119))))) (-4459 (($ (-237) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119)))) (($ (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-237) (-1 (-237) (-237) (-237)) $ (-237) (-237)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119)))) (((-237) (-1 (-237) (-237) (-237)) $ (-237)) NIL (|has| $ (-6 -4625))) (((-237) (-1 (-237) (-237) (-237)) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-237) $ (-592) (-237)) 9 (|has| $ (-6 -4626)))) (-1695 (($ (-592)) 14)) (-3959 (((-237) $ (-592)) 8)) (-1721 (((-592) (-1 (-141) (-237)) $) NIL) (((-592) (-237) $) NIL (|has| (-237) (-1119))) (((-592) (-237) $ (-592)) NIL (|has| (-237) (-1119)))) (-4004 (((-658 (-237)) $) NIL (|has| $ (-6 -4625)))) (-4363 (((-706 (-237)) $ $) NIL (|has| (-237) (-1075)))) (-3242 (($ (-790) (-237)) 15)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 12 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-237) (-869)))) (-4491 (($ (-1 (-141) (-237) (-237)) $ $) NIL) (($ $ $) NIL (|has| (-237) (-869)))) (-4467 (((-658 (-237)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-237) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-237) (-869)))) (-3987 (($ (-1 (-237) (-237)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-237) (-237)) $) NIL) (($ (-1 (-237) (-237) (-237)) $ $) NIL)) (-2311 (((-237) $) NIL (-12 (|has| (-237) (-1030)) (|has| (-237) (-1075))))) (-2554 (((-141) $ (-790)) NIL)) (-4233 (((-237) $) NIL (-12 (|has| (-237) (-1030)) (|has| (-237) (-1075))))) (-2685 (((-1173) $) NIL (|has| (-237) (-1119)))) (-3666 (($ (-237) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| (-237) (-1119)))) (-1918 (((-237) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-237) "failed") (-1 (-141) (-237)) $) NIL)) (-1892 (($ $ (-237)) 18 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-237)))) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119)))) (($ $ (-310 (-237))) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119)))) (($ $ (-237) (-237)) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119)))) (($ $ (-658 (-237)) (-658 (-237))) NIL (-12 (|has| (-237) (-325 (-237))) (|has| (-237) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-237) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119))))) (-4210 (((-658 (-237)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 13)) (-3927 (((-237) $ (-592) (-237)) NIL) (((-237) $ (-592)) 16) (($ $ (-1246 (-592))) NIL)) (-1729 (((-237) $ $) NIL (|has| (-237) (-1075)))) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-2746 (($ $ $) NIL (|has| (-237) (-1075)))) (-3452 (((-790) (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625))) (((-790) (-237) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-237) (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-237) (-633 (-565))))) (-4466 (($ (-658 (-237))) NIL)) (-2266 (($ $ (-237)) NIL) (($ (-237) $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| (-237) (-1119)))) (-3369 (((-141) (-1 (-141) (-237)) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-237) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-237) (-869)))) (-3255 (((-141) $ $) NIL (|has| (-237) (-1119)))) (-3279 (((-141) $ $) NIL (|has| (-237) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-237) (-869)))) (-3306 (($ $) NIL (|has| (-237) (-21))) (($ $ $) NIL (|has| (-237) (-21)))) (-3300 (($ $ $) NIL (|has| (-237) (-25)))) (* (($ (-592) $) NIL (|has| (-237) (-21))) (($ (-237) $) NIL (|has| (-237) (-743))) (($ $ (-237)) NIL (|has| (-237) (-743)))) (-1699 (((-790) $) 11 (|has| $ (-6 -4625))))) 
-(((-240) (-13 (-1278 (-237)) (-10 -8 (-15 -1695 ($ (-592)))))) (T -240)) 
-((-1695 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-240))))) 
-(-13 (-1278 (-237)) (-10 -8 (-15 -1695 ($ (-592))))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-1280 |#1|)) NIL) (($ $) NIL)) (-3399 (($ |#1| |#1| |#1|) 32)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) NIL)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 ((|#1| $ (-592) (-592) |#1|) NIL) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-1280 |#1|)) NIL)) (-2242 (($ $ (-592) (-1280 |#1|)) NIL)) (-4086 (($ |#1| |#1| |#1|) 31)) (-3223 (($ (-790) |#1|) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| |#1| (-323)))) (-2747 (((-1280 |#1|) $ (-592)) NIL)) (-2666 (($ |#1|) 30)) (-4147 (($ |#1|) 29)) (-3963 (($ |#1|) 28)) (-4175 (((-790) $) NIL (|has| |#1| (-582)))) (-1426 ((|#1| $ (-592) (-592) |#1|) NIL)) (-3959 ((|#1| $ (-592) (-592)) NIL)) (-1794 ((|#1| $) NIL (|has| |#1| (-194)))) (-4004 (((-658 |#1|) $) NIL)) (-3178 (((-790) $) NIL (|has| |#1| (-582)))) (-3555 (((-658 (-1280 |#1|)) $) NIL (|has| |#1| (-582)))) (-4292 (((-790) $) NIL)) (-3242 (($ (-790) (-790) |#1|) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-3781 ((|#1| $) NIL (|has| |#1| (-6 (-4627 "*"))))) (-4577 (((-592) $) NIL)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1898 (((-592) $) NIL)) (-3005 (((-592) $) NIL)) (-4186 (($ (-658 (-658 |#1|))) 10) (($ (-790) (-790) (-1 |#1| (-592) (-592))) NIL)) (-3987 (($ (-1 |#1| |#1|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4601 (((-658 (-658 |#1|)) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3183 (((-3 $ "failed") $) NIL (|has| |#1| (-388)))) (-4220 (($) 11)) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) (-592)) NIL) ((|#1| $ (-592) (-592) |#1|) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 |#1|)) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 ((|#1| $) NIL (|has| |#1| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-1280 |#1|)) $) NIL (|has| |#1| (-323)))) (-2000 (((-1280 |#1|) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119))) (($ (-1280 |#1|)) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-592) $) NIL) (((-1280 |#1|) $ (-1280 |#1|)) 14) (((-1280 |#1|) (-1280 |#1|) $) NIL) (((-971 |#1|) $ (-971 |#1|)) 20)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-241 |#1|) (-13 (-704 |#1| (-1280 |#1|) (-1280 |#1|)) (-10 -8 (-15 * ((-971 |#1|) $ (-971 |#1|))) (-15 -4220 ($)) (-15 -3963 ($ |#1|)) (-15 -4147 ($ |#1|)) (-15 -2666 ($ |#1|)) (-15 -4086 ($ |#1| |#1| |#1|)) (-15 -3399 ($ |#1| |#1| |#1|)))) (-13 (-388) (-1211))) (T -241)) 
-((* (*1 *2 *1 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211))) (-5 *1 (-241 *3)))) (-4220 (*1 *1) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) (-3963 (*1 *1 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) (-4147 (*1 *1 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) (-2666 (*1 *1 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) (-4086 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) (-3399 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211)))))) 
-(-13 (-704 |#1| (-1280 |#1|) (-1280 |#1|)) (-10 -8 (-15 * ((-971 |#1|) $ (-971 |#1|))) (-15 -4220 ($)) (-15 -3963 ($ |#1|)) (-15 -4147 ($ |#1|)) (-15 -2666 ($ |#1|)) (-15 -4086 ($ |#1| |#1| |#1|)) (-15 -3399 ($ |#1| |#1| |#1|)))) 
-((-4125 (($ (-1 (-141) |#2|) $) 17)) (-4065 (($ |#2| $) NIL) (($ (-1 (-141) |#2|) $) 25)) (-1653 (($) NIL) (($ (-658 |#2|)) 11)) (-3255 (((-141) $ $) 23))) 
-(((-242 |#1| |#2|) (-10 -8 (-15 -4125 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4065 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4065 (|#1| |#2| |#1|)) (-15 -1653 (|#1| (-658 |#2|))) (-15 -1653 (|#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-243 |#2|) (-1119)) (T -242)) 
-NIL 
-(-10 -8 (-15 -4125 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4065 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4065 (|#1| |#2| |#1|)) (-15 -1653 (|#1| (-658 |#2|))) (-15 -1653 (|#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-4125 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) 52 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1360 (($ $) 55 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 43 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) 54 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 51 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 48)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-1653 (($) 46) (($ (-658 |#1|)) 45)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 47)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-243 |#1|) (-1311) (-1119)) (T -243)) 
-NIL 
-(-13 (-249 |t#1|)) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-249 |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-3644 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-790)) 11) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) 19) (($ $ (-790)) NIL) (($ $) 16)) (-1940 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-790)) 14) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL) (($ $ (-790)) NIL) (($ $) NIL))) 
-(((-244 |#1| |#2|) (-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -1940 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -1940 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -1940 (|#1| |#1| (-1191))) (-15 -1940 (|#1| |#1| (-658 (-1191)))) (-15 -1940 (|#1| |#1| (-1191) (-790))) (-15 -1940 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -1940 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -1940 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|)))) (-245 |#2|) (-1075)) (T -244)) 
-NIL 
-(-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -1940 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -1940 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -1940 (|#1| |#1| (-1191))) (-15 -1940 (|#1| |#1| (-658 (-1191)))) (-15 -1940 (|#1| |#1| (-1191) (-790))) (-15 -1940 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -1940 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -1940 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3644 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-790)) 50) (($ $ (-658 (-1191)) (-658 (-790))) 43 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 42 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 41 (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) 40 (|has| |#1| (-922 (-1191)))) (($ $ (-790)) 38 (|has| |#1| (-247))) (($ $) 36 (|has| |#1| (-247)))) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-790)) 48) (($ $ (-658 (-1191)) (-658 (-790))) 47 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 46 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 45 (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) 44 (|has| |#1| (-922 (-1191)))) (($ $ (-790)) 39 (|has| |#1| (-247))) (($ $) 37 (|has| |#1| (-247)))) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-245 |#1|) (-1311) (-1075)) (T -245)) 
-((-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-245 *3)) (-4 *3 (-1075)))) (-3644 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-790)) (-4 *1 (-245 *4)) (-4 *4 (-1075)))) (-1940 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-245 *3)) (-4 *3 (-1075)))) (-1940 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-790)) (-4 *1 (-245 *4)) (-4 *4 (-1075))))) 
-(-13 (-1075) (-10 -8 (-15 -3644 ($ $ (-1 |t#1| |t#1|))) (-15 -3644 ($ $ (-1 |t#1| |t#1|) (-790))) (-15 -1940 ($ $ (-1 |t#1| |t#1|))) (-15 -1940 ($ $ (-1 |t#1| |t#1|) (-790))) (IF (|has| |t#1| (-247)) (-6 (-247)) |noBranch|) (IF (|has| |t#1| (-922 (-1191))) (-6 (-922 (-1191))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-247) |has| |#1| (-247)) ((-661 $) . T) ((-743) . T) ((-922 (-1191)) |has| |#1| (-922 (-1191))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-3644 (($ $) NIL) (($ $ (-790)) 10)) (-1940 (($ $) 8) (($ $ (-790)) 12))) 
-(((-246 |#1|) (-10 -8 (-15 -1940 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-790))) (-15 -1940 (|#1| |#1|)) (-15 -3644 (|#1| |#1|))) (-247)) (T -246)) 
-NIL 
-(-10 -8 (-15 -1940 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-790))) (-15 -1940 (|#1| |#1|)) (-15 -3644 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3644 (($ $) 37) (($ $ (-790)) 35)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $) 36) (($ $ (-790)) 34)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-247) (-1311)) (T -247)) 
-((-3644 (*1 *1 *1) (-4 *1 (-247))) (-1940 (*1 *1 *1) (-4 *1 (-247))) (-3644 (*1 *1 *1 *2) (-12 (-4 *1 (-247)) (-5 *2 (-790)))) (-1940 (*1 *1 *1 *2) (-12 (-4 *1 (-247)) (-5 *2 (-790))))) 
-(-13 (-1075) (-10 -8 (-15 -3644 ($ $)) (-15 -1940 ($ $)) (-15 -3644 ($ $ (-790))) (-15 -1940 ($ $ (-790))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1653 (($) 12) (($ (-658 |#2|)) NIL)) (-4599 (($ $) 14)) (-4466 (($ (-658 |#2|)) 10)) (-1683 (((-877) $) 21))) 
-(((-248 |#1| |#2|) (-10 -8 (-15 -1653 (|#1| (-658 |#2|))) (-15 -1653 (|#1|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -1683 ((-877) |#1|)) (-15 -4599 (|#1| |#1|))) (-249 |#2|) (-1119)) (T -248)) 
-NIL 
-(-10 -8 (-15 -1653 (|#1| (-658 |#2|))) (-15 -1653 (|#1|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -1683 ((-877) |#1|)) (-15 -4599 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-4125 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) 52 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1360 (($ $) 55 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 43 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) 54 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 51 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 48)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-1653 (($) 46) (($ (-658 |#1|)) 45)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 47)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-249 |#1|) (-1311) (-1119)) (T -249)) 
-((-1653 (*1 *1) (-12 (-4 *1 (-249 *2)) (-4 *2 (-1119)))) (-1653 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-249 *3)))) (-4065 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-249 *2)) (-4 *2 (-1119)))) (-4065 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-249 *3)) (-4 *3 (-1119)))) (-4125 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-249 *3)) (-4 *3 (-1119))))) 
-(-13 (-131 |t#1|) (-175 |t#1|) (-10 -8 (-15 -1653 ($)) (-15 -1653 ($ (-658 |t#1|))) (IF (|has| $ (-6 -4625)) (PROGN (-15 -4065 ($ |t#1| $)) (-15 -4065 ($ (-1 (-141) |t#1|) $)) (-15 -4125 ($ (-1 (-141) |t#1|) $))) |noBranch|))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-2021 (((-2 (|:| |varOrder| (-658 (-1191))) (|:| |inhom| (-3 (-658 (-1280 (-790))) "failed")) (|:| |hom| (-658 (-1280 (-790))))) (-310 (-980 (-592)))) 25))) 
-(((-250) (-10 -7 (-15 -2021 ((-2 (|:| |varOrder| (-658 (-1191))) (|:| |inhom| (-3 (-658 (-1280 (-790))) "failed")) (|:| |hom| (-658 (-1280 (-790))))) (-310 (-980 (-592))))))) (T -250)) 
-((-2021 (*1 *2 *3) (-12 (-5 *3 (-310 (-980 (-592)))) (-5 *2 (-2 (|:| |varOrder| (-658 (-1191))) (|:| |inhom| (-3 (-658 (-1280 (-790))) "failed")) (|:| |hom| (-658 (-1280 (-790)))))) (-5 *1 (-250))))) 
-(-10 -7 (-15 -2021 ((-2 (|:| |varOrder| (-658 (-1191))) (|:| |inhom| (-3 (-658 (-1280 (-790))) "failed")) (|:| |hom| (-658 (-1280 (-790))))) (-310 (-980 (-592)))))) 
-((-1403 (((-790)) 51)) (-3945 (((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 $) (-1280 $)) 49) (((-706 |#3|) (-706 $)) 41) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL)) (-1936 (((-160)) 57)) (-3644 (($ $ (-1 |#3| |#3|) (-790)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL) (($ $ (-790)) NIL) (($ $) NIL)) (-1683 (((-1280 |#3|) $) NIL) (($ |#3|) NIL) (((-877) $) NIL) (($ (-592)) 12) (($ (-433 (-592))) NIL)) (-4010 (((-790)) 15)) (-3313 (($ $ |#3|) 54))) 
-(((-251 |#1| |#2| |#3|) (-10 -8 (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|)) (-15 -4010 ((-790))) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -1683 (|#1| |#3|)) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|) (-790))) (-15 -3945 ((-706 |#3|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 |#1|) (-1280 |#1|))) (-15 -1403 ((-790))) (-15 -3313 (|#1| |#1| |#3|)) (-15 -1936 ((-160))) (-15 -1683 ((-1280 |#3|) |#1|))) (-252 |#2| |#3|) (-790) (-1225)) (T -251)) 
-((-1936 (*1 *2) (-12 (-14 *4 (-790)) (-4 *5 (-1225)) (-5 *2 (-160)) (-5 *1 (-251 *3 *4 *5)) (-4 *3 (-252 *4 *5)))) (-1403 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1225)) (-5 *2 (-790)) (-5 *1 (-251 *3 *4 *5)) (-4 *3 (-252 *4 *5)))) (-4010 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1225)) (-5 *2 (-790)) (-5 *1 (-251 *3 *4 *5)) (-4 *3 (-252 *4 *5))))) 
-(-10 -8 (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|)) (-15 -4010 ((-790))) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -1683 (|#1| |#3|)) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|) (-790))) (-15 -3945 ((-706 |#3|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 |#1|) (-1280 |#1|))) (-15 -1403 ((-790))) (-15 -3313 (|#1| |#1| |#3|)) (-15 -1936 ((-160))) (-15 -1683 ((-1280 |#3|) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#2| (-1119)))) (-2272 (((-141) $) 67 (|has| |#2| (-158)))) (-2673 (($ (-944)) 123 (|has| |#2| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-4079 (($ $ $) 119 (|has| |#2| (-815)))) (-2350 (((-3 $ "failed") $ $) 69 (|has| |#2| (-158)))) (-2126 (((-141) $ (-790)) 8)) (-1403 (((-790)) 104 (|has| |#2| (-394)))) (-3940 (((-592) $) 117 (|has| |#2| (-867)))) (-3932 ((|#2| $ (-592) |#2|) 49 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-4368 (((-3 (-592) "failed") $) 62 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-3 (-433 (-592)) "failed") $) 59 (-1732 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1119)))) (-2400 (((-592) $) 63 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-433 (-592)) $) 60 (-1732 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) ((|#2| $) 55 (|has| |#2| (-1119)))) (-3945 (((-706 (-592)) (-706 $)) 103 (-1732 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 102 (-1732 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) 101 (|has| |#2| (-1075))) (((-706 |#2|) (-706 $)) 100 (|has| |#2| (-1075)))) (-3371 (((-3 $ "failed") $) 75 (|has| |#2| (-743)))) (-4290 (($) 107 (|has| |#2| (-394)))) (-1426 ((|#2| $ (-592) |#2|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#2| $ (-592)) 48)) (-1691 (((-141) $) 115 (|has| |#2| (-867)))) (-4004 (((-658 |#2|) $) 30 (|has| $ (-6 -4625)))) (-3558 (((-141) $) 78 (|has| |#2| (-743)))) (-1324 (((-141) $) 116 (|has| |#2| (-867)))) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 114 (-3836 (|has| |#2| (-867)) (|has| |#2| (-815))))) (-4467 (((-658 |#2|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) 27 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 113 (-3836 (|has| |#2| (-867)) (|has| |#2| (-815))))) (-3987 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2|) $) 35)) (-3546 (((-944) $) 106 (|has| |#2| (-394)))) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#2| (-1119)))) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-1825 (($ (-944)) 105 (|has| |#2| (-394)))) (-2951 (((-1137) $) 21 (|has| |#2| (-1119)))) (-1918 ((|#2| $) 39 (|has| (-592) (-869)))) (-1892 (($ $ |#2|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#2|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) 26 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) 25 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) 23 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) 14)) (-1405 (((-658 $)) 108 (|has| |#2| (-394)))) (-2254 (((-141) |#2| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#2| $ (-592) |#2|) 47) ((|#2| $ (-592)) 46)) (-1729 ((|#2| $ $) 122 (|has| |#2| (-1075)))) (-4512 (($ (-1280 |#2|)) 124)) (-1936 (((-160)) 121 (|has| |#2| (-388)))) (-3644 (($ $) 95 (-1732 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) 93 (-1732 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) 91 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) 90 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) 89 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) 88 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) 81 (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1075)))) (-3452 (((-790) (-1 (-141) |#2|) $) 31 (|has| $ (-6 -4625))) (((-790) |#2| $) 28 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-1280 |#2|) $) 125) (((-877) $) 20 (|has| |#2| (-1119))) (($ (-592)) 61 (-3836 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (|has| |#2| (-1075)))) (($ (-433 (-592))) 58 (-1732 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (($ |#2|) 57 (|has| |#2| (-1119)))) (-4010 (((-790)) 99 (|has| |#2| (-1075)))) (-3369 (((-141) (-1 (-141) |#2|) $) 33 (|has| $ (-6 -4625)))) (-1392 (($ $) 118 (|has| |#2| (-867)))) (-1424 (($ $ (-790)) 76 (|has| |#2| (-743))) (($ $ (-944)) 72 (|has| |#2| (-743)))) (-3514 (($) 66 (|has| |#2| (-158)) CONST)) (-4257 (($) 79 (|has| |#2| (-743)) CONST)) (-1940 (($ $) 94 (-1732 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) 92 (-1732 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) 87 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) 86 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) 85 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) 84 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) 83 (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1075)))) (-3286 (((-141) $ $) 111 (-3836 (|has| |#2| (-867)) (|has| |#2| (-815))))) (-3273 (((-141) $ $) 110 (-3836 (|has| |#2| (-867)) (|has| |#2| (-815))))) (-3255 (((-141) $ $) 19 (|has| |#2| (-1119)))) (-3279 (((-141) $ $) 112 (-3836 (|has| |#2| (-867)) (|has| |#2| (-815))))) (-3266 (((-141) $ $) 109 (-3836 (|has| |#2| (-867)) (|has| |#2| (-815))))) (-3313 (($ $ |#2|) 120 (|has| |#2| (-388)))) (-3306 (($ $ $) 97 (|has| |#2| (-1075))) (($ $) 96 (|has| |#2| (-1075)))) (-3300 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-790)) 77 (|has| |#2| (-743))) (($ $ (-944)) 73 (|has| |#2| (-743)))) (* (($ (-592) $) 98 (|has| |#2| (-1075))) (($ $ $) 74 (|has| |#2| (-743))) (($ $ |#2|) 71 (|has| |#2| (-743))) (($ |#2| $) 70 (|has| |#2| (-743))) (($ (-790) $) 68 (|has| |#2| (-158))) (($ (-944) $) 65 (|has| |#2| (-25)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-252 |#1| |#2|) (-1311) (-790) (-1225)) (T -252)) 
-((-4512 (*1 *1 *2) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-1225)) (-4 *1 (-252 *3 *4)))) (-2673 (*1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-252 *3 *4)) (-4 *4 (-1075)) (-4 *4 (-1225)))) (-1729 (*1 *2 *1 *1) (-12 (-4 *1 (-252 *3 *2)) (-4 *2 (-1225)) (-4 *2 (-1075)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-252 *3 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-252 *3 *2)) (-4 *2 (-1225)) (-4 *2 (-743))))) 
-(-13 (-625 (-592) |t#2|) (-632 (-1280 |t#2|)) (-10 -8 (-6 -4625) (-15 -4512 ($ (-1280 |t#2|))) (IF (|has| |t#2| (-1119)) (-6 (-437 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1075)) (PROGN (-6 (-140 |t#2| |t#2|)) (-6 (-245 |t#2|)) (-6 (-403 |t#2|)) (-15 -2673 ($ (-944))) (-15 -1729 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-158)) (-6 (-158)) |noBranch|) (IF (|has| |t#2| (-743)) (PROGN (-6 (-743)) (-15 * ($ |t#2| $)) (-15 * ($ $ |t#2|))) |noBranch|) (IF (|has| |t#2| (-394)) (-6 (-394)) |noBranch|) (IF (|has| |t#2| (-194)) (PROGN (-6 (-43 |t#2|)) (-6 (-194))) |noBranch|) (IF (|has| |t#2| (-6 -4622)) (-6 -4622) |noBranch|) (IF (|has| |t#2| (-867)) (-6 (-867)) |noBranch|) (IF (|has| |t#2| (-815)) (-6 (-815)) |noBranch|) (IF (|has| |t#2| (-388)) (-6 (-1287 |t#2|)) |noBranch|))) 
-(((-21) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-388)) (|has| |#2| (-194))) ((-23) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-815)) (|has| |#2| (-388)) (|has| |#2| (-194)) (|has| |#2| (-158))) ((-25) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-815)) (|has| |#2| (-388)) (|has| |#2| (-194)) (|has| |#2| (-158)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-194)) ((-125) -3836 (|has| |#2| (-1119)) (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-815)) (|has| |#2| (-743)) (|has| |#2| (-394)) (|has| |#2| (-388)) (|has| |#2| (-194)) (|has| |#2| (-158)) (|has| |#2| (-25))) ((-140 |#2| |#2|) -3836 (|has| |#2| (-1075)) (|has| |#2| (-388)) (|has| |#2| (-194))) ((-140 $ $) |has| |#2| (-194)) ((-158) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-815)) (|has| |#2| (-388)) (|has| |#2| (-194)) (|has| |#2| (-158))) ((-632 (-877)) -3836 (|has| |#2| (-1119)) (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-815)) (|has| |#2| (-743)) (|has| |#2| (-394)) (|has| |#2| (-388)) (|has| |#2| (-194)) (|has| |#2| (-158)) (|has| |#2| (-25))) ((-632 (-1280 |#2|)) . T) ((-194) |has| |#2| (-194)) ((-245 |#2|) |has| |#2| (-1075)) ((-247) -12 (|has| |#2| (-247)) (|has| |#2| (-1075))) ((-303 (-592) |#2|) . T) ((-305 (-592) |#2|) . T) ((-325 |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-394) |has| |#2| (-394)) ((-403 |#2|) |has| |#2| (-1075)) ((-437 |#2|) |has| |#2| (-1119)) ((-523 |#2|) . T) ((-625 (-592) |#2|) . T) ((-547 |#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-661 |#2|) -3836 (|has| |#2| (-1075)) (|has| |#2| (-388)) (|has| |#2| (-194))) ((-661 $) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-194))) ((-654 (-592)) -12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075))) ((-654 |#2|) |has| |#2| (-1075)) ((-734 |#2|) -3836 (|has| |#2| (-388)) (|has| |#2| (-194))) ((-743) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-743)) (|has| |#2| (-194))) ((-813) |has| |#2| (-867)) ((-814) -3836 (|has| |#2| (-867)) (|has| |#2| (-815))) ((-815) |has| |#2| (-815)) ((-816) -3836 (|has| |#2| (-867)) (|has| |#2| (-815))) ((-817) -3836 (|has| |#2| (-867)) (|has| |#2| (-815))) ((-867) |has| |#2| (-867)) ((-869) -3836 (|has| |#2| (-867)) (|has| |#2| (-815))) ((-922 (-1191)) -12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075))) ((-1065 (-433 (-592))) -12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119))) ((-1065 (-592)) -12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) ((-1065 |#2|) |has| |#2| (-1119)) ((-1081 |#2|) -3836 (|has| |#2| (-1075)) (|has| |#2| (-388)) (|has| |#2| (-194))) ((-1081 $) |has| |#2| (-194)) ((-1075) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-194))) ((-1082) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-194))) ((-1131) -3836 (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-743)) (|has| |#2| (-194))) ((-1119) -3836 (|has| |#2| (-1119)) (|has| |#2| (-1075)) (|has| |#2| (-867)) (|has| |#2| (-815)) (|has| |#2| (-743)) (|has| |#2| (-394)) (|has| |#2| (-388)) (|has| |#2| (-194)) (|has| |#2| (-158)) (|has| |#2| (-25))) ((-1225) . T) ((-1287 |#2|) |has| |#2| (-388))) 
-((-1779 (((-254 |#1| |#3|) (-1 |#3| |#2| |#3|) (-254 |#1| |#2|) |#3|) 21)) (-3657 ((|#3| (-1 |#3| |#2| |#3|) (-254 |#1| |#2|) |#3|) 23)) (-2731 (((-254 |#1| |#3|) (-1 |#3| |#2|) (-254 |#1| |#2|)) 18))) 
-(((-253 |#1| |#2| |#3|) (-10 -7 (-15 -1779 ((-254 |#1| |#3|) (-1 |#3| |#2| |#3|) (-254 |#1| |#2|) |#3|)) (-15 -3657 (|#3| (-1 |#3| |#2| |#3|) (-254 |#1| |#2|) |#3|)) (-15 -2731 ((-254 |#1| |#3|) (-1 |#3| |#2|) (-254 |#1| |#2|)))) (-790) (-1225) (-1225)) (T -253)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-254 *5 *6)) (-14 *5 (-790)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-5 *2 (-254 *5 *7)) (-5 *1 (-253 *5 *6 *7)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-254 *5 *6)) (-14 *5 (-790)) (-4 *6 (-1225)) (-4 *2 (-1225)) (-5 *1 (-253 *5 *6 *2)))) (-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-254 *6 *7)) (-14 *6 (-790)) (-4 *7 (-1225)) (-4 *5 (-1225)) (-5 *2 (-254 *6 *5)) (-5 *1 (-253 *6 *7 *5))))) 
-(-10 -7 (-15 -1779 ((-254 |#1| |#3|) (-1 |#3| |#2| |#3|) (-254 |#1| |#2|) |#3|)) (-15 -3657 (|#3| (-1 |#3| |#2| |#3|) (-254 |#1| |#2|) |#3|)) (-15 -2731 ((-254 |#1| |#3|) (-1 |#3| |#2|) (-254 |#1| |#2|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#2| (-1119)))) (-2272 (((-141) $) NIL (|has| |#2| (-158)))) (-2673 (($ (-944)) 56 (|has| |#2| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4079 (($ $ $) 60 (|has| |#2| (-815)))) (-2350 (((-3 $ "failed") $ $) 49 (|has| |#2| (-158)))) (-2126 (((-141) $ (-790)) 17)) (-1403 (((-790)) NIL (|has| |#2| (-394)))) (-3940 (((-592) $) NIL (|has| |#2| (-867)))) (-3932 ((|#2| $ (-592) |#2|) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1119)))) (-2400 (((-592) $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-433 (-592)) $) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) ((|#2| $) 27 (|has| |#2| (-1119)))) (-3945 (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL (|has| |#2| (-1075))) (((-706 |#2|) (-706 $)) NIL (|has| |#2| (-1075)))) (-3371 (((-3 $ "failed") $) 53 (|has| |#2| (-743)))) (-4290 (($) NIL (|has| |#2| (-394)))) (-1426 ((|#2| $ (-592) |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ (-592)) 51)) (-1691 (((-141) $) NIL (|has| |#2| (-867)))) (-4004 (((-658 |#2|) $) 15 (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL (|has| |#2| (-743)))) (-1324 (((-141) $) NIL (|has| |#2| (-867)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 20 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-4467 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 (((-592) $) 50 (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3987 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2|) $) 41)) (-3546 (((-944) $) NIL (|has| |#2| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#2| (-1119)))) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-1825 (($ (-944)) NIL (|has| |#2| (-394)))) (-2951 (((-1137) $) NIL (|has| |#2| (-1119)))) (-1918 ((|#2| $) NIL (|has| (-592) (-869)))) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#2|) $) 24 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#2| (-394)))) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ (-592) |#2|) NIL) ((|#2| $ (-592)) 21)) (-1729 ((|#2| $ $) NIL (|has| |#2| (-1075)))) (-4512 (($ (-1280 |#2|)) 18)) (-1936 (((-160)) NIL (|has| |#2| (-388)))) (-3644 (($ $) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1075)))) (-3452 (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-1280 |#2|) $) 10) (((-877) $) NIL (|has| |#2| (-1119))) (($ (-592)) NIL (-3836 (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (|has| |#2| (-1075)))) (($ (-433 (-592))) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (($ |#2|) 13 (|has| |#2| (-1119)))) (-4010 (((-790)) NIL (|has| |#2| (-1075)))) (-3369 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-1392 (($ $) NIL (|has| |#2| (-867)))) (-1424 (($ $ (-790)) NIL (|has| |#2| (-743))) (($ $ (-944)) NIL (|has| |#2| (-743)))) (-3514 (($) 35 (|has| |#2| (-158)) CONST)) (-4257 (($) 38 (|has| |#2| (-743)) CONST)) (-1940 (($ $) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1075)))) (-3286 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3255 (((-141) $ $) 26 (|has| |#2| (-1119)))) (-3279 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3266 (((-141) $ $) 58 (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $ $) NIL (|has| |#2| (-1075))) (($ $) NIL (|has| |#2| (-1075)))) (-3300 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-790)) NIL (|has| |#2| (-743))) (($ $ (-944)) NIL (|has| |#2| (-743)))) (* (($ (-592) $) NIL (|has| |#2| (-1075))) (($ $ $) 44 (|has| |#2| (-743))) (($ $ |#2|) 42 (|has| |#2| (-743))) (($ |#2| $) 43 (|has| |#2| (-743))) (($ (-790) $) NIL (|has| |#2| (-158))) (($ (-944) $) NIL (|has| |#2| (-25)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-254 |#1| |#2|) (-252 |#1| |#2|) (-790) (-1225)) (T -254)) 
-NIL 
-(-252 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL)) (-2032 (($) 34 T CONST)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-194)))) (-1555 (($ $) NIL (|has| |#1| (-194)))) (-1313 (((-141) $) 54 (|has| |#1| (-194)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) 55)) (-3558 (((-141) $) NIL)) (-1454 (((-141) $ (-944)) 71)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-194)))) (-3927 ((|#1| $ (-944)) 9)) (-1683 (((-877) $) 29) (($ (-592)) NIL) (($ (-1 |#1| (-944))) 12) (((-1 |#1| (-944)) $) 11) (($ (-1171 |#1|)) 26) (((-1171 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-194))) (($ $) NIL (|has| |#1| (-194)))) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL (|has| |#1| (-194)))) (-3114 (((-141) $ (-944)) 72)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 33 T CONST)) (-4257 (($) 13 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) 38) (($ $ $) NIL)) (-3300 (($ $ $) 36)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-194))) (($ $ |#1|) NIL (|has| |#1| (-194))))) 
-(((-255 |#1|) (-13 (-1075) (-303 (-944) |#1|) (-10 -8 (IF (|has| |#1| (-194)) (-6 (-582)) |noBranch|) (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (-15 -1683 ($ (-1 |#1| (-944)))) (-15 -1683 ((-1 |#1| (-944)) $)) (-15 -1683 ($ (-1171 |#1|))) (-15 -1683 ((-1171 |#1|) $)) (-15 -2032 ($) -4249) (-15 -1454 ((-141) $ (-944))) (-15 -3114 ((-141) $ (-944))))) (-1075)) (T -255)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-944))) (-4 *3 (-1075)) (-5 *1 (-255 *3)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-944))) (-5 *1 (-255 *3)) (-4 *3 (-1075)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-255 *3)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-255 *3)) (-4 *3 (-1075)))) (-2032 (*1 *1) (-12 (-5 *1 (-255 *2)) (-4 *2 (-1075)))) (-1454 (*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-5 *2 (-141)) (-5 *1 (-255 *4)) (-4 *4 (-1075)))) (-3114 (*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-5 *2 (-141)) (-5 *1 (-255 *4)) (-4 *4 (-1075))))) 
-(-13 (-1075) (-303 (-944) |#1|) (-10 -8 (IF (|has| |#1| (-194)) (-6 (-582)) |noBranch|) (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (-15 -1683 ($ (-1 |#1| (-944)))) (-15 -1683 ((-1 |#1| (-944)) $)) (-15 -1683 ($ (-1171 |#1|))) (-15 -1683 ((-1171 |#1|) $)) (-15 -2032 ($) -4249) (-15 -1454 ((-141) $ (-944))) (-15 -3114 ((-141) $ (-944))))) 
-((-3134 (((-592) (-658 (-1173))) 24) (((-592) (-1173)) 19)) (-4433 (((-1285) (-658 (-1173))) 29) (((-1285) (-1173)) 28)) (-3167 (((-1173)) 14)) (-3450 (((-1173) (-592) (-1173)) 16)) (-2838 (((-658 (-1173)) (-658 (-1173)) (-592) (-1173)) 25) (((-1173) (-1173) (-592) (-1173)) 23)) (-3074 (((-658 (-1173)) (-658 (-1173))) 13) (((-658 (-1173)) (-1173)) 11))) 
-(((-256) (-10 -7 (-15 -3074 ((-658 (-1173)) (-1173))) (-15 -3074 ((-658 (-1173)) (-658 (-1173)))) (-15 -3167 ((-1173))) (-15 -3450 ((-1173) (-592) (-1173))) (-15 -2838 ((-1173) (-1173) (-592) (-1173))) (-15 -2838 ((-658 (-1173)) (-658 (-1173)) (-592) (-1173))) (-15 -4433 ((-1285) (-1173))) (-15 -4433 ((-1285) (-658 (-1173)))) (-15 -3134 ((-592) (-1173))) (-15 -3134 ((-592) (-658 (-1173)))))) (T -256)) 
-((-3134 (*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-592)) (-5 *1 (-256)))) (-3134 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-592)) (-5 *1 (-256)))) (-4433 (*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1285)) (-5 *1 (-256)))) (-4433 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-256)))) (-2838 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-658 (-1173))) (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *1 (-256)))) (-2838 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-592)) (-5 *1 (-256)))) (-3450 (*1 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-592)) (-5 *1 (-256)))) (-3167 (*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-256)))) (-3074 (*1 *2 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-256)))) (-3074 (*1 *2 *3) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-256)) (-5 *3 (-1173))))) 
-(-10 -7 (-15 -3074 ((-658 (-1173)) (-1173))) (-15 -3074 ((-658 (-1173)) (-658 (-1173)))) (-15 -3167 ((-1173))) (-15 -3450 ((-1173) (-592) (-1173))) (-15 -2838 ((-1173) (-1173) (-592) (-1173))) (-15 -2838 ((-658 (-1173)) (-658 (-1173)) (-592) (-1173))) (-15 -4433 ((-1285) (-1173))) (-15 -4433 ((-1285) (-658 (-1173)))) (-15 -3134 ((-592) (-1173))) (-15 -3134 ((-592) (-658 (-1173))))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2982 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-592)))) $) 44)) (-2246 (((-658 |#1|) $) 30)) (-2557 (((-658 |#1|) $) 29)) (-1854 (((-658 |#1|) $) 31)) (-2350 (((-3 $ "failed") $ $) 18)) (-1356 (((-658 $) $) 36)) (-1403 (((-790) $) 43)) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 39)) (-2400 ((|#1| $) 40)) (-4449 ((|#1| $ (-592)) 46)) (-2077 (((-592) $ (-592)) 45)) (-3401 (($ (-1 |#1| |#1|) $) 49)) (-3271 (($ (-1 (-592) (-592)) $) 48)) (-2685 (((-1173) $) 9)) (-3008 (($ $) 26)) (-1619 (($ $ $) 50 (|has| (-592) (-814)))) (-2951 (((-1137) $) 10)) (-2927 (((-141) $) 32)) (-3841 (($ $) 28)) (-2905 (($ $) 27)) (-4525 (((-592) $) 37)) (-2266 (($ $ $) 33)) (-2507 (($ $) 34)) (-1683 (((-877) $) 11) (($ |#1|) 38)) (-1937 (((-592) |#1| $) 47)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 35)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ (-592)) 52) (($ (-592) $) 51) (($ (-592) |#1|) 42))) 
-(((-257 |#1|) (-1311) (-1119)) (T -257)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-592)))) (-1356 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-5 *2 (-658 *1)) (-4 *1 (-257 *3)))) (-3279 (*1 *2 *1 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-2507 (*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) (-2266 (*1 *1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) (-2927 (*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-1854 (*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-658 *3)))) (-2246 (*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-658 *3)))) (-2557 (*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-658 *3)))) (-3841 (*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) (-2905 (*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) (-3008 (*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119))))) 
-(-13 (-21) (-734 (-592)) (-342 |t#1| (-592)) (-10 -8 (-15 -4525 ((-592) $)) (-15 -1356 ((-658 $) $)) (-15 -3279 ((-141) $ $)) (-15 -2507 ($ $)) (-15 -2266 ($ $ $)) (-15 -2927 ((-141) $)) (-15 -1854 ((-658 |t#1|) $)) (-15 -2246 ((-658 |t#1|) $)) (-15 -2557 ((-658 |t#1|) $)) (-15 -3841 ($ $)) (-15 -2905 ($ $)) (-15 -3008 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 (-592) (-592)) . T) ((-158) . T) ((-632 (-877)) . T) ((-342 |#1| (-592)) . T) ((-661 (-592)) . T) ((-734 (-592)) . T) ((-1065 |#1|) . T) ((-1081 (-592)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 17)) (-2982 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-592)))) $) 30)) (-2246 (((-658 |#1|) $) 36)) (-2557 (((-658 |#1|) $) 37)) (-1854 (((-658 |#1|) $) 35)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1356 (((-658 $) $) 29)) (-1403 (((-790) $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-4593 (($ $) 24)) (-4449 ((|#1| $ (-592)) NIL)) (-2077 (((-592) $ (-592)) NIL)) (-3401 (($ (-1 |#1| |#1|) $) NIL)) (-3271 (($ (-1 (-592) (-592)) $) NIL)) (-2685 (((-1173) $) NIL)) (-3008 (($ $) 8)) (-1619 (($ $ $) NIL (|has| (-592) (-814)))) (-3296 (((-2 (|:| |gen| |#1|) (|:| -1430 (-592))) $) 26)) (-2951 (((-1137) $) NIL)) (-2927 (((-141) $) 50)) (-3841 (($ $) 38)) (-2905 (($ $) 39)) (-4525 (((-592) $) 58)) (-2266 (($ $ $) 44)) (-2507 (($ $) 33)) (-1683 (((-877) $) 22) (($ |#1|) 27)) (-1937 (((-592) |#1| $) 32)) (-3514 (($) 23 T CONST)) (-3255 (((-141) $ $) 40)) (-3279 (((-141) $ $) 51)) (-3306 (($ $) 48) (($ $ $) 47)) (-3300 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 49) (($ $ (-592)) NIL) (($ (-592) $) 49) (($ (-592) |#1|) NIL))) 
-(((-258 |#1|) (-13 (-257 |#1|) (-10 -8 (-15 -3296 ((-2 (|:| |gen| |#1|) (|:| -1430 (-592))) $)) (-15 -4593 ($ $)))) (-1117)) (T -258)) 
-((-3296 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -1430 (-592)))) (-5 *1 (-258 *3)) (-4 *3 (-1117)))) (-4593 (*1 *1 *1) (-12 (-5 *1 (-258 *2)) (-4 *2 (-1117))))) 
-(-13 (-257 |#1|) (-10 -8 (-15 -3296 ((-2 (|:| |gen| |#1|) (|:| -1430 (-592))) $)) (-15 -4593 ($ $)))) 
-((-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 9)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 18)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ (-433 (-592)) $) 25) (($ $ (-433 (-592))) NIL))) 
-(((-259 |#1|) (-10 -8 (-15 -1424 (|#1| |#1| (-592))) (-15 ** (|#1| |#1| (-592))) (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 ** (|#1| |#1| (-790))) (-15 -1424 (|#1| |#1| (-790))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-944))) (-15 -1424 (|#1| |#1| (-944))) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) (-260)) (T -259)) 
-NIL 
-(-10 -8 (-15 -1424 (|#1| |#1| (-592))) (-15 ** (|#1| |#1| (-592))) (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 ** (|#1| |#1| (-790))) (-15 -1424 (|#1| |#1| (-790))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-944))) (-15 -1424 (|#1| |#1| (-944))) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 38)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 43)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 39)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 40)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ (-433 (-592)) $) 42) (($ $ (-433 (-592))) 41))) 
-(((-260) (-1311)) (T -260)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-260)) (-5 *2 (-592)))) (-1424 (*1 *1 *1 *2) (-12 (-4 *1 (-260)) (-5 *2 (-592)))) (-4552 (*1 *1 *1) (-4 *1 (-260)))) 
-(-13 (-307) (-43 (-433 (-592))) (-10 -8 (-15 ** ($ $ (-592))) (-15 -1424 ($ $ (-592))) (-15 -4552 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-307) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-734 (-433 (-592))) . T) ((-743) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-3188 (($ $) 54)) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-2134 (($ $ $) 50 (|has| $ (-6 -4626)))) (-1756 (($ $ $) 49 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-3690 (($ $) 53)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-3314 (($ $) 52)) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4255 ((|#1| $) 56)) (-3296 (($ $) 55)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44)) (-2920 (((-592) $ $) 41)) (-3228 (((-141) $) 43)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-3619 (($ $ $) 51 (|has| $ (-6 -4626)))) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-261 |#1|) (-1311) (-1225)) (T -261)) 
-((-4255 (*1 *2 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-3296 (*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-3188 (*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-3690 (*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-3314 (*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-3619 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-2134 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-261 *2)) (-4 *2 (-1225)))) (-1756 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-261 *2)) (-4 *2 (-1225))))) 
-(-13 (-1038 |t#1|) (-10 -8 (-15 -4255 (|t#1| $)) (-15 -3296 ($ $)) (-15 -3188 ($ $)) (-15 -3690 ($ $)) (-15 -3314 ($ $)) (IF (|has| $ (-6 -4626)) (PROGN (-15 -3619 ($ $ $)) (-15 -2134 ($ $ $)) (-15 -1756 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) NIL)) (-1915 ((|#1| $) NIL)) (-3188 (($ $) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) $) NIL (|has| |#1| (-869))) (((-141) (-1 (-141) |#1| |#1|) $) NIL)) (-2831 (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869)))) (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-3960 (($ $) 10 (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-3153 (($ $ $) NIL (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "rest" $) NIL (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) |#1|) $) NIL)) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-1765 ((|#1| $) NIL)) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1366 (($ $) NIL) (($ $ (-790)) NIL)) (-1461 (($ $) NIL (|has| |#1| (-1119)))) (-1360 (($ $) 7 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) NIL (|has| |#1| (-1119))) (($ (-1 (-141) |#1|) $) NIL)) (-4459 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-3868 (((-141) $) NIL)) (-1721 (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119))) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) (-1 (-141) |#1|) $) NIL)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-2713 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) NIL)) (-4491 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1333 (($ |#1|) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4255 ((|#1| $) NIL) (($ $ (-790)) NIL)) (-2113 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3666 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL) (($ $ (-790)) NIL)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-2955 (((-141) $) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1246 (-592))) NIL) ((|#1| $ (-592)) NIL) ((|#1| $ (-592) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-790) $ "count") 16)) (-2920 (((-592) $ $) NIL)) (-4113 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3208 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-1901 (($ (-658 |#1|)) 22)) (-3228 (((-141) $) NIL)) (-2399 (($ $) NIL)) (-1337 (($ $) NIL (|has| $ (-6 -4626)))) (-3318 (((-790) $) NIL)) (-3184 (($ $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-3619 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2266 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-658 $)) NIL) (($ $ |#1|) NIL)) (-1683 (($ (-658 |#1|)) 17) (((-658 |#1|) $) 18) (((-877) $) 21 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) 14 (|has| $ (-6 -4625))))) 
-(((-262 |#1|) (-13 (-683 |#1|) (-10 -8 (-15 -1683 ($ (-658 |#1|))) (-15 -1683 ((-658 |#1|) $)) (-15 -1901 ($ (-658 |#1|))) (-15 -3927 ($ $ "unique")) (-15 -3927 ($ $ "sort")) (-15 -3927 ((-790) $ "count")))) (-869)) (T -262)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-262 *3)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-262 *3)) (-4 *3 (-869)))) (-1901 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-262 *3)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-262 *3)) (-4 *3 (-869)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-262 *3)) (-4 *3 (-869)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-790)) (-5 *1 (-262 *4)) (-4 *4 (-869))))) 
-(-13 (-683 |#1|) (-10 -8 (-15 -1683 ($ (-658 |#1|))) (-15 -1683 ((-658 |#1|) $)) (-15 -1901 ($ (-658 |#1|))) (-15 -3927 ($ $ "unique")) (-15 -3927 ($ $ "sort")) (-15 -3927 ((-790) $ "count")))) 
-((-2901 (((-3 (-790) "failed") |#1| |#1| (-790)) 26))) 
-(((-263 |#1|) (-10 -7 (-15 -2901 ((-3 (-790) "failed") |#1| |#1| (-790)))) (-13 (-743) (-394) (-10 -7 (-15 ** (|#1| |#1| (-592)))))) (T -263)) 
-((-2901 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-790)) (-4 *3 (-13 (-743) (-394) (-10 -7 (-15 ** (*3 *3 (-592)))))) (-5 *1 (-263 *3))))) 
-(-10 -7 (-15 -2901 ((-3 (-790) "failed") |#1| |#1| (-790)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-879 |#1|)) $) NIL)) (-4492 (((-1187 $) $ (-879 |#1|)) NIL) (((-1187 |#2|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-582)))) (-1555 (($ $) NIL (|has| |#2| (-582)))) (-1313 (((-141) $) NIL (|has| |#2| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-879 |#1|))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL (|has| |#2| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-879 |#1|) "failed") $) NIL)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-879 |#1|) $) NIL)) (-1544 (($ $ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-4377 (($ $ (-658 (-592))) NIL)) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#2| (-931)))) (-4209 (($ $ |#2| (-254 (-1699 |#1|) (-790)) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#2|) (-879 |#1|)) NIL) (($ (-1187 $) (-879 |#1|)) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#2| (-254 (-1699 |#1|) (-790))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-879 |#1|)) NIL)) (-4206 (((-254 (-1699 |#1|) (-790)) $) NIL) (((-790) $ (-879 |#1|)) NIL) (((-658 (-790)) $ (-658 (-879 |#1|))) NIL)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2976 (($ (-1 (-254 (-1699 |#1|) (-790)) (-254 (-1699 |#1|) (-790))) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-3254 (((-3 (-879 |#1|) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#2| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-879 |#1|)) (|:| -3215 (-790))) "failed") $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#2| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-931)))) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-879 |#1|) |#2|) NIL) (($ $ (-658 (-879 |#1|)) (-658 |#2|)) NIL) (($ $ (-879 |#1|) $) NIL) (($ $ (-658 (-879 |#1|)) (-658 $)) NIL)) (-1482 (($ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-3644 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-4525 (((-254 (-1699 |#1|) (-790)) $) NIL) (((-790) $ (-879 |#1|)) NIL) (((-658 (-790)) $ (-658 (-879 |#1|))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-879 |#1|) (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#2| $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) NIL) (($ (-879 |#1|)) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-43 (-433 (-592)))) (|has| |#2| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#2| (-582)))) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-254 (-1699 |#1|) (-790))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#2| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#2| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#2| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#2| (-43 (-433 (-592))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-264 |#1| |#2|) (-13 (-977 |#2| (-254 (-1699 |#1|) (-790)) (-879 |#1|)) (-10 -8 (-15 -4377 ($ $ (-658 (-592)))))) (-658 (-1191)) (-1075)) (T -264)) 
-((-4377 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-264 *3 *4)) (-14 *3 (-658 (-1191))) (-4 *4 (-1075))))) 
-(-13 (-977 |#2| (-254 (-1699 |#1|) (-790)) (-879 |#1|)) (-10 -8 (-15 -4377 ($ $ (-658 (-592)))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2673 (($ (-944)) NIL (|has| |#4| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4079 (($ $ $) NIL (|has| |#4| (-815)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| |#4| (-394)))) (-3940 (((-592) $) NIL (|has| |#4| (-867)))) (-3932 ((|#4| $ (-592) |#4|) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1119))) (((-3 (-592) "failed") $) NIL (-12 (|has| |#4| (-1065 (-592))) (|has| |#4| (-1119)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#4| (-1065 (-433 (-592)))) (|has| |#4| (-1119))))) (-2400 ((|#4| $) NIL (|has| |#4| (-1119))) (((-592) $) NIL (-12 (|has| |#4| (-1065 (-592))) (|has| |#4| (-1119)))) (((-433 (-592)) $) NIL (-12 (|has| |#4| (-1065 (-433 (-592)))) (|has| |#4| (-1119))))) (-3945 (((-2 (|:| -3253 (-706 |#4|)) (|:| |vec| (-1280 |#4|))) (-706 $) (-1280 $)) NIL (|has| |#4| (-1075))) (((-706 |#4|) (-706 $)) NIL (|has| |#4| (-1075))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))))) (-3371 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))))) (-4290 (($) NIL (|has| |#4| (-394)))) (-1426 ((|#4| $ (-592) |#4|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#4| $ (-592)) NIL)) (-1691 (((-141) $) NIL (|has| |#4| (-867)))) (-4004 (((-658 |#4|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))))) (-1324 (((-141) $) NIL (|has| |#4| (-867)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (-3836 (|has| |#4| (-815)) (|has| |#4| (-867))))) (-4467 (((-658 |#4|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (-3836 (|has| |#4| (-815)) (|has| |#4| (-867))))) (-3987 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#4| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-1825 (($ (-944)) NIL (|has| |#4| (-394)))) (-2951 (((-1137) $) NIL)) (-1918 ((|#4| $) NIL (|has| (-592) (-869)))) (-1892 (($ $ |#4|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#4|))) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 |#4|) (-658 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#4| (-394)))) (-2254 (((-141) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4210 (((-658 |#4|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#4| $ (-592) |#4|) NIL) ((|#4| $ (-592)) 12)) (-1729 ((|#4| $ $) NIL (|has| |#4| (-1075)))) (-4512 (($ (-1280 |#4|)) NIL)) (-1936 (((-160)) NIL (|has| |#4| (-388)))) (-3644 (($ $ (-1 |#4| |#4|) (-790)) NIL (|has| |#4| (-1075))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1075))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#4| (-247)) (|has| |#4| (-1075)))) (($ $) NIL (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))))) (-3452 (((-790) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625))) (((-790) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-1280 |#4|) $) NIL) (((-877) $) NIL) (($ |#4|) NIL (|has| |#4| (-1119))) (($ (-592)) NIL (-3836 (-12 (|has| |#4| (-1065 (-592))) (|has| |#4| (-1119))) (|has| |#4| (-1075)))) (($ (-433 (-592))) NIL (-12 (|has| |#4| (-1065 (-433 (-592)))) (|has| |#4| (-1119))))) (-4010 (((-790)) NIL (|has| |#4| (-1075)))) (-3369 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-1392 (($ $) NIL (|has| |#4| (-867)))) (-1424 (($ $ (-790)) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075))))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) CONST)) (-1940 (($ $ (-1 |#4| |#4|) (-790)) NIL (|has| |#4| (-1075))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1075))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#4| (-247)) (|has| |#4| (-1075)))) (($ $) NIL (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))))) (-3286 (((-141) $ $) NIL (-3836 (|has| |#4| (-815)) (|has| |#4| (-867))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#4| (-815)) (|has| |#4| (-867))))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (-3836 (|has| |#4| (-815)) (|has| |#4| (-867))))) (-3266 (((-141) $ $) NIL (-3836 (|has| |#4| (-815)) (|has| |#4| (-867))))) (-3313 (($ $ |#4|) NIL (|has| |#4| (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075))))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))))) (* (($ |#2| $) 14) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-743))) (($ |#4| $) NIL (|has| |#4| (-743))) (($ $ $) NIL (-3836 (-12 (|has| |#4| (-247)) (|has| |#4| (-1075))) (-12 (|has| |#4| (-654 (-592))) (|has| |#4| (-1075))) (|has| |#4| (-743)) (-12 (|has| |#4| (-922 (-1191))) (|has| |#4| (-1075)))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-265 |#1| |#2| |#3| |#4|) (-13 (-252 |#1| |#4|) (-661 |#2|) (-661 |#3|)) (-944) (-1075) (-1140 |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) (-661 |#2|)) (T -265)) 
-NIL 
-(-13 (-252 |#1| |#4|) (-661 |#2|) (-661 |#3|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2673 (($ (-944)) NIL (|has| |#3| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4079 (($ $ $) NIL (|has| |#3| (-815)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| |#3| (-394)))) (-3940 (((-592) $) NIL (|has| |#3| (-867)))) (-3932 ((|#3| $ (-592) |#3|) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1119))) (((-3 (-592) "failed") $) NIL (-12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119))))) (-2400 ((|#3| $) NIL (|has| |#3| (-1119))) (((-592) $) NIL (-12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119)))) (((-433 (-592)) $) NIL (-12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119))))) (-3945 (((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 $) (-1280 $)) NIL (|has| |#3| (-1075))) (((-706 |#3|) (-706 $)) NIL (|has| |#3| (-1075))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))))) (-3371 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))))) (-4290 (($) NIL (|has| |#3| (-394)))) (-1426 ((|#3| $ (-592) |#3|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#3| $ (-592)) NIL)) (-1691 (((-141) $) NIL (|has| |#3| (-867)))) (-4004 (((-658 |#3|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))))) (-1324 (((-141) $) NIL (|has| |#3| (-867)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-4467 (((-658 |#3|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3987 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#3| |#3|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#3| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-1825 (($ (-944)) NIL (|has| |#3| (-394)))) (-2951 (((-1137) $) NIL)) (-1918 ((|#3| $) NIL (|has| (-592) (-869)))) (-1892 (($ $ |#3|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#3|))) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-310 |#3|)) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-658 |#3|) (-658 |#3|)) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#3| (-394)))) (-2254 (((-141) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-4210 (((-658 |#3|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#3| $ (-592) |#3|) NIL) ((|#3| $ (-592)) 11)) (-1729 ((|#3| $ $) NIL (|has| |#3| (-1075)))) (-4512 (($ (-1280 |#3|)) NIL)) (-1936 (((-160)) NIL (|has| |#3| (-388)))) (-3644 (($ $ (-1 |#3| |#3|) (-790)) NIL (|has| |#3| (-1075))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1075))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075)))) (($ $) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))))) (-3452 (((-790) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625))) (((-790) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-1280 |#3|) $) NIL) (((-877) $) NIL) (($ |#3|) NIL (|has| |#3| (-1119))) (($ (-592)) NIL (-3836 (-12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119))) (|has| |#3| (-1075)))) (($ (-433 (-592))) NIL (-12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119))))) (-4010 (((-790)) NIL (|has| |#3| (-1075)))) (-3369 (((-141) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-1392 (($ $) NIL (|has| |#3| (-867)))) (-1424 (($ $ (-790)) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075))))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) CONST)) (-1940 (($ $ (-1 |#3| |#3|) (-790)) NIL (|has| |#3| (-1075))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1075))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075)))) (($ $) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))))) (-3286 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3266 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3313 (($ $ |#3|) NIL (|has| |#3| (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075))))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))))) (* (($ |#2| $) 13) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-743))) (($ |#3| $) NIL (|has| |#3| (-743))) (($ $ $) NIL (-3836 (-12 (|has| |#3| (-247)) (|has| |#3| (-1075))) (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075))) (|has| |#3| (-743)) (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-266 |#1| |#2| |#3|) (-13 (-252 |#1| |#3|) (-661 |#2|)) (-790) (-1075) (-661 |#2|)) (T -266)) 
-NIL 
-(-13 (-252 |#1| |#3|) (-661 |#2|)) 
-((-1399 (((-658 (-790)) $) 47) (((-658 (-790)) $ |#3|) 50)) (-3775 (((-790) $) 49) (((-790) $ |#3|) 52)) (-1885 (($ $) 65)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-4346 (((-790) $ |#3|) 39) (((-790) $) 36)) (-3358 (((-1 $ (-790)) |#3|) 15) (((-1 $ (-790)) $) 77)) (-1692 ((|#4| $) 58)) (-4401 (((-141) $) 56)) (-3198 (($ $) 64)) (-2806 (($ $ (-658 (-310 $))) 96) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-658 |#4|) (-658 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-658 |#4|) (-658 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-658 |#3|) (-658 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-658 |#3|) (-658 |#2|)) 84)) (-3644 (($ $ |#4|) NIL) (($ $ (-658 |#4|)) NIL) (($ $ |#4| (-790)) NIL) (($ $ (-658 |#4|) (-658 (-790))) NIL) (($ $) NIL) (($ $ (-790)) NIL) (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-2912 (((-658 |#3|) $) 75)) (-4525 ((|#5| $) NIL) (((-790) $ |#4|) NIL) (((-658 (-790)) $ (-658 |#4|)) NIL) (((-790) $ |#3|) 44)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-433 (-592))) NIL) (($ $) NIL))) 
-(((-267 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -2806 (|#1| |#1| (-658 |#3|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#3| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#3|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#3| |#1|)) (-15 -3358 ((-1 |#1| (-790)) |#1|)) (-15 -1885 (|#1| |#1|)) (-15 -3198 (|#1| |#1|)) (-15 -1692 (|#4| |#1|)) (-15 -4401 ((-141) |#1|)) (-15 -3775 ((-790) |#1| |#3|)) (-15 -1399 ((-658 (-790)) |#1| |#3|)) (-15 -3775 ((-790) |#1|)) (-15 -1399 ((-658 (-790)) |#1|)) (-15 -4525 ((-790) |#1| |#3|)) (-15 -4346 ((-790) |#1|)) (-15 -4346 ((-790) |#1| |#3|)) (-15 -2912 ((-658 |#3|) |#1|)) (-15 -3358 ((-1 |#1| (-790)) |#3|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -1683 (|#1| |#3|)) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -4525 ((-658 (-790)) |#1| (-658 |#4|))) (-15 -4525 ((-790) |#1| |#4|)) (-15 -4368 ((-3 |#4| "failed") |#1|)) (-15 -1683 (|#1| |#4|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#4| |#1|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#4| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -4525 (|#5| |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -3644 (|#1| |#1| (-658 |#4|) (-658 (-790)))) (-15 -3644 (|#1| |#1| |#4| (-790))) (-15 -3644 (|#1| |#1| (-658 |#4|))) (-15 -3644 (|#1| |#1| |#4|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-268 |#2| |#3| |#4| |#5|) (-1075) (-869) (-284 |#3|) (-815)) (T -267)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -2806 (|#1| |#1| (-658 |#3|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#3| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#3|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#3| |#1|)) (-15 -3358 ((-1 |#1| (-790)) |#1|)) (-15 -1885 (|#1| |#1|)) (-15 -3198 (|#1| |#1|)) (-15 -1692 (|#4| |#1|)) (-15 -4401 ((-141) |#1|)) (-15 -3775 ((-790) |#1| |#3|)) (-15 -1399 ((-658 (-790)) |#1| |#3|)) (-15 -3775 ((-790) |#1|)) (-15 -1399 ((-658 (-790)) |#1|)) (-15 -4525 ((-790) |#1| |#3|)) (-15 -4346 ((-790) |#1|)) (-15 -4346 ((-790) |#1| |#3|)) (-15 -2912 ((-658 |#3|) |#1|)) (-15 -3358 ((-1 |#1| (-790)) |#3|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -1683 (|#1| |#3|)) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -4525 ((-658 (-790)) |#1| (-658 |#4|))) (-15 -4525 ((-790) |#1| |#4|)) (-15 -4368 ((-3 |#4| "failed") |#1|)) (-15 -1683 (|#1| |#4|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#4| |#1|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#4| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -4525 (|#5| |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -3644 (|#1| |#1| (-658 |#4|) (-658 (-790)))) (-15 -3644 (|#1| |#1| |#4| (-790))) (-15 -3644 (|#1| |#1| (-658 |#4|))) (-15 -3644 (|#1| |#1| |#4|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1399 (((-658 (-790)) $) 193) (((-658 (-790)) $ |#2|) 191)) (-3775 (((-790) $) 192) (((-790) $ |#2|) 190)) (-4085 (((-658 |#3|) $) 108)) (-4492 (((-1187 $) $ |#3|) 123) (((-1187 |#1|) $) 122)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 85 (|has| |#1| (-582)))) (-1555 (($ $) 86 (|has| |#1| (-582)))) (-1313 (((-141) $) 88 (|has| |#1| (-582)))) (-2189 (((-790) $) 110) (((-790) $ (-658 |#3|)) 109)) (-2350 (((-3 $ "failed") $ $) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 98 (|has| |#1| (-931)))) (-3743 (($ $) 96 (|has| |#1| (-477)))) (-3164 (((-444 $) $) 95 (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 101 (|has| |#1| (-931)))) (-1885 (($ $) 186)) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 162) (((-3 (-433 (-592)) "failed") $) 160 (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) 158 (|has| |#1| (-1065 (-592)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-2400 ((|#1| $) 163) (((-433 (-592)) $) 159 (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) 157 (|has| |#1| (-1065 (-592)))) ((|#3| $) 133) ((|#2| $) 199)) (-1544 (($ $ $ |#3|) 106 (|has| |#1| (-194)))) (-4593 (($ $) 152)) (-3945 (((-706 (-592)) (-706 $)) 132 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 131 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 130) (((-706 |#1|) (-706 $)) 129)) (-3371 (((-3 $ "failed") $) 33)) (-3262 (($ $) 174 (|has| |#1| (-477))) (($ $ |#3|) 103 (|has| |#1| (-477)))) (-4585 (((-658 $) $) 107)) (-2802 (((-141) $) 94 (|has| |#1| (-931)))) (-4209 (($ $ |#1| |#4| $) 170)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 82 (-12 (|has| |#3| (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 81 (-12 (|has| |#3| (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ |#2|) 196) (((-790) $) 195)) (-3558 (((-141) $) 30)) (-4036 (((-790) $) 167)) (-4533 (($ (-1187 |#1|) |#3|) 115) (($ (-1187 $) |#3|) 114)) (-3108 (((-658 $) $) 124)) (-2027 (((-141) $) 150)) (-4526 (($ |#1| |#4|) 151) (($ $ |#3| (-790)) 117) (($ $ (-658 |#3|) (-658 (-790))) 116)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#3|) 118)) (-4206 ((|#4| $) 168) (((-790) $ |#3|) 120) (((-658 (-790)) $ (-658 |#3|)) 119)) (-1837 (($ $ $) 77 (|has| |#1| (-869)))) (-3319 (($ $ $) 76 (|has| |#1| (-869)))) (-2976 (($ (-1 |#4| |#4|) $) 169)) (-2731 (($ (-1 |#1| |#1|) $) 149)) (-3358 (((-1 $ (-790)) |#2|) 198) (((-1 $ (-790)) $) 185 (|has| |#1| (-247)))) (-3254 (((-3 |#3| "failed") $) 121)) (-4573 (($ $) 147)) (-4579 ((|#1| $) 146)) (-1692 ((|#3| $) 188)) (-2750 (($ (-658 $)) 92 (|has| |#1| (-477))) (($ $ $) 91 (|has| |#1| (-477)))) (-2685 (((-1173) $) 9)) (-4401 (((-141) $) 189)) (-4421 (((-3 (-658 $) "failed") $) 112)) (-2947 (((-3 (-658 $) "failed") $) 113)) (-2257 (((-3 (-2 (|:| |var| |#3|) (|:| -3215 (-790))) "failed") $) 111)) (-3198 (($ $) 187)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 164)) (-4565 ((|#1| $) 165)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 93 (|has| |#1| (-477)))) (-3548 (($ (-658 $)) 90 (|has| |#1| (-477))) (($ $ $) 89 (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 100 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 99 (|has| |#1| (-931)))) (-4500 (((-444 $) $) 97 (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) 143) (($ $ (-310 $)) 142) (($ $ $ $) 141) (($ $ (-658 $) (-658 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-658 |#3|) (-658 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-658 |#3|) (-658 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-247))) (($ $ (-658 |#2|) (-658 $)) 183 (|has| |#1| (-247))) (($ $ |#2| |#1|) 182 (|has| |#1| (-247))) (($ $ (-658 |#2|) (-658 |#1|)) 181 (|has| |#1| (-247)))) (-1482 (($ $ |#3|) 105 (|has| |#1| (-194)))) (-3644 (($ $ |#3|) 41) (($ $ (-658 |#3|)) 40) (($ $ |#3| (-790)) 39) (($ $ (-658 |#3|) (-658 (-790))) 38) (($ $) 217 (|has| |#1| (-247))) (($ $ (-790)) 215 (|has| |#1| (-247))) (($ $ (-1191)) 213 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 212 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 211 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 210 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-2912 (((-658 |#2|) $) 197)) (-4525 ((|#4| $) 148) (((-790) $ |#3|) 128) (((-658 (-790)) $ (-658 |#3|)) 127) (((-790) $ |#2|) 194)) (-1778 (((-914 (-405)) $) 80 (-12 (|has| |#3| (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) 79 (-12 (|has| |#3| (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) 78 (-12 (|has| |#3| (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) 173 (|has| |#1| (-477))) (($ $ |#3|) 104 (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 102 (-1732 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-433 (-592))) 70 (-3836 (|has| |#1| (-1065 (-433 (-592)))) (|has| |#1| (-43 (-433 (-592)))))) (($ $) 83 (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) 166)) (-1937 ((|#1| $ |#4|) 153) (($ $ |#3| (-790)) 126) (($ $ (-658 |#3|) (-658 (-790))) 125)) (-1517 (((-3 $ "failed") $) 71 (-3836 (-1732 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) 28)) (-4064 (($ $ $ (-790)) 171 (|has| |#1| (-194)))) (-2537 (((-141) $ $) 87 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ |#3|) 37) (($ $ (-658 |#3|)) 36) (($ $ |#3| (-790)) 35) (($ $ (-658 |#3|) (-658 (-790))) 34) (($ $) 216 (|has| |#1| (-247))) (($ $ (-790)) 214 (|has| |#1| (-247))) (($ $ (-1191)) 209 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 208 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 207 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 206 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-3286 (((-141) $ $) 74 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 73 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 75 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 72 (|has| |#1| (-869)))) (-3313 (($ $ |#1|) 154 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 156 (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) 155 (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-268 |#1| |#2| |#3| |#4|) (-1311) (-1075) (-869) (-284 |t#2|) (-815)) (T -268)) 
-((-3358 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-1 *1 (-790))) (-4 *1 (-268 *4 *3 *5 *6)))) (-2912 (*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-658 *4)))) (-4346 (*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-790)))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-790)))) (-4525 (*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-790)))) (-1399 (*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-658 (-790))))) (-3775 (*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-790)))) (-1399 (*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-658 (-790))))) (-3775 (*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-790)))) (-4401 (*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-141)))) (-1692 (*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-815)) (-4 *2 (-284 *4)))) (-3198 (*1 *1 *1) (-12 (-4 *1 (-268 *2 *3 *4 *5)) (-4 *2 (-1075)) (-4 *3 (-869)) (-4 *4 (-284 *3)) (-4 *5 (-815)))) (-1885 (*1 *1 *1) (-12 (-4 *1 (-268 *2 *3 *4 *5)) (-4 *2 (-1075)) (-4 *3 (-869)) (-4 *4 (-284 *3)) (-4 *5 (-815)))) (-3358 (*1 *2 *1) (-12 (-4 *3 (-247)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-1 *1 (-790))) (-4 *1 (-268 *3 *4 *5 *6))))) 
-(-13 (-977 |t#1| |t#4| |t#3|) (-245 |t#1|) (-1065 |t#2|) (-10 -8 (-15 -3358 ((-1 $ (-790)) |t#2|)) (-15 -2912 ((-658 |t#2|) $)) (-15 -4346 ((-790) $ |t#2|)) (-15 -4346 ((-790) $)) (-15 -4525 ((-790) $ |t#2|)) (-15 -1399 ((-658 (-790)) $)) (-15 -3775 ((-790) $)) (-15 -1399 ((-658 (-790)) $ |t#2|)) (-15 -3775 ((-790) $ |t#2|)) (-15 -4401 ((-141) $)) (-15 -1692 (|t#3| $)) (-15 -3198 ($ $)) (-15 -1885 ($ $)) (IF (|has| |t#1| (-247)) (PROGN (-6 (-547 |t#2| |t#1|)) (-6 (-547 |t#2| $)) (-6 (-325 $)) (-15 -3358 ((-1 $ (-790)) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-633 (-565)) -12 (|has| |#1| (-633 (-565))) (|has| |#3| (-633 (-565)))) ((-633 (-914 (-405))) -12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#3| (-633 (-914 (-405))))) ((-633 (-914 (-592))) -12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#3| (-633 (-914 (-592))))) ((-245 |#1|) . T) ((-247) |has| |#1| (-247)) ((-307) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-325 $) . T) ((-346 |#1| |#4|) . T) ((-403 |#1|) . T) ((-437 |#1|) . T) ((-477) -3836 (|has| |#1| (-931)) (|has| |#1| (-477))) ((-547 |#2| |#1|) |has| |#1| (-247)) ((-547 |#2| $) |has| |#1| (-247)) ((-547 |#3| |#1|) . T) ((-547 |#3| $) . T) ((-547 $ $) . T) ((-582) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) -3836 (|has| |#1| (-931)) (|has| |#1| (-477))) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-743) . T) ((-869) |has| |#1| (-869)) ((-922 (-1191)) |has| |#1| (-922 (-1191))) ((-922 |#3|) . T) ((-908 (-405)) -12 (|has| |#1| (-908 (-405))) (|has| |#3| (-908 (-405)))) ((-908 (-592)) -12 (|has| |#1| (-908 (-592))) (|has| |#3| (-908 (-592)))) ((-977 |#1| |#4| |#3|) . T) ((-931) |has| |#1| (-931)) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1065 |#2|) . T) ((-1065 |#3|) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) |has| |#1| (-931))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2616 ((|#1| $) 51)) (-3349 ((|#1| $) 41)) (-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-4179 (($ $) 57)) (-2512 (($ $) 45)) (-3568 ((|#1| |#1| $) 43)) (-2486 ((|#1| $) 42)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-4233 (((-790) $) 58)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2251 ((|#1| |#1| $) 49)) (-4451 ((|#1| |#1| $) 48)) (-2113 (($ |#1| $) 37)) (-2535 (((-790) $) 52)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1476 ((|#1| $) 59)) (-2452 ((|#1| $) 47)) (-4225 ((|#1| $) 46)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-1659 ((|#1| |#1| $) 55)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-1716 ((|#1| $) 56)) (-4309 (($) 54) (($ (-658 |#1|)) 53)) (-3439 (((-790) $) 40)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-1966 ((|#1| $) 50)) (-4560 (($ (-658 |#1|)) 39)) (-2829 ((|#1| $) 60)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-269 |#1|) (-1311) (-1225)) (T -269)) 
-((-4309 (*1 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-4309 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-4 *1 (-269 *3)))) (-2535 (*1 *2 *1) (-12 (-4 *1 (-269 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) (-2616 (*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-1966 (*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-2251 (*1 *2 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-4451 (*1 *2 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-2452 (*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-4225 (*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) (-2512 (*1 *1 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(-13 (-1138 |t#1|) (-1023 |t#1|) (-10 -8 (-15 -4309 ($)) (-15 -4309 ($ (-658 |t#1|))) (-15 -2535 ((-790) $)) (-15 -2616 (|t#1| $)) (-15 -1966 (|t#1| $)) (-15 -2251 (|t#1| |t#1| $)) (-15 -4451 (|t#1| |t#1| $)) (-15 -2452 (|t#1| $)) (-15 -4225 (|t#1| $)) (-15 -2512 ($ $)))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1023 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1138 |#1|) . T) ((-1225) . T)) 
-((-2885 (((-1 (-971 (-237)) (-237) (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1 (-237) (-237) (-237) (-237))) 139)) (-1478 (((-1150 (-237)) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405))) 160) (((-1150 (-237)) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)) (-658 (-278))) 158) (((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405))) 163) (((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278))) 159) (((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405))) 150) (((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278))) 149) (((-1150 (-237)) (-1 (-971 (-237)) (-237)) (-1113 (-405))) 129) (((-1150 (-237)) (-1 (-971 (-237)) (-237)) (-1113 (-405)) (-658 (-278))) 127) (((-1150 (-237)) (-902 (-1 (-237) (-237))) (-1113 (-405))) 128) (((-1150 (-237)) (-902 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278))) 125)) (-1472 (((-1282) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405))) 162) (((-1282) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)) (-658 (-278))) 161) (((-1282) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405))) 165) (((-1282) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278))) 164) (((-1282) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405))) 152) (((-1282) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278))) 151) (((-1282) (-1 (-971 (-237)) (-237)) (-1113 (-405))) 135) (((-1282) (-1 (-971 (-237)) (-237)) (-1113 (-405)) (-658 (-278))) 134) (((-1282) (-902 (-1 (-237) (-237))) (-1113 (-405))) 133) (((-1282) (-902 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278))) 132) (((-1281) (-900 (-1 (-237) (-237))) (-1113 (-405))) 99) (((-1281) (-900 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278))) 98) (((-1281) (-1 (-237) (-237)) (-1113 (-405))) 95) (((-1281) (-1 (-237) (-237)) (-1113 (-405)) (-658 (-278))) 94))) 
-(((-270) (-10 -7 (-15 -1472 ((-1281) (-1 (-237) (-237)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) (-1 (-237) (-237)) (-1113 (-405)))) (-15 -1472 ((-1281) (-900 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) (-900 (-1 (-237) (-237))) (-1113 (-405)))) (-15 -1472 ((-1282) (-902 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-902 (-1 (-237) (-237))) (-1113 (-405)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-902 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-902 (-1 (-237) (-237))) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237)) (-1113 (-405)))) (-15 -1472 ((-1282) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1472 ((-1282) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)))) (-15 -2885 ((-1 (-971 (-237)) (-237) (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1 (-237) (-237) (-237) (-237)))))) (T -270)) 
-((-2885 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237) (-237))) (-5 *3 (-1 (-237) (-237) (-237) (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1478 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-900 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1281)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-900 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1281)) (-5 *1 (-270)))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-270))))) 
-(-10 -7 (-15 -1472 ((-1281) (-1 (-237) (-237)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) (-1 (-237) (-237)) (-1113 (-405)))) (-15 -1472 ((-1281) (-900 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) (-900 (-1 (-237) (-237))) (-1113 (-405)))) (-15 -1472 ((-1282) (-902 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-902 (-1 (-237) (-237))) (-1113 (-405)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-902 (-1 (-237) (-237))) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-902 (-1 (-237) (-237))) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237)) (-1113 (-405)))) (-15 -1472 ((-1282) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-405)) (-1113 (-405)))) (-15 -1472 ((-1282) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)))) (-15 -1478 ((-1150 (-237)) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-904 (-1 (-237) (-237) (-237))) (-1113 (-405)) (-1113 (-405)))) (-15 -2885 ((-1 (-971 (-237)) (-237) (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1 (-237) (-237) (-237) (-237))))) 
-((-1472 (((-1281) (-310 |#2|) (-1191) (-1191) (-658 (-278))) 93))) 
-(((-271 |#1| |#2|) (-10 -7 (-15 -1472 ((-1281) (-310 |#2|) (-1191) (-1191) (-658 (-278))))) (-13 (-582) (-869) (-1065 (-592))) (-456 |#1|)) (T -271)) 
-((-1472 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-310 *7)) (-5 *4 (-1191)) (-5 *5 (-658 (-278))) (-4 *7 (-456 *6)) (-4 *6 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-1281)) (-5 *1 (-271 *6 *7))))) 
-(-10 -7 (-15 -1472 ((-1281) (-310 |#2|) (-1191) (-1191) (-658 (-278))))) 
-((-4151 (((-592) (-592)) 50)) (-2076 (((-592) (-592)) 51)) (-2253 (((-237) (-237)) 52)) (-4503 (((-1282) (-1 (-191 (-237)) (-191 (-237))) (-1113 (-237)) (-1113 (-237))) 49)) (-3542 (((-1282) (-1 (-191 (-237)) (-191 (-237))) (-1113 (-237)) (-1113 (-237)) (-141)) 47))) 
-(((-272) (-10 -7 (-15 -3542 ((-1282) (-1 (-191 (-237)) (-191 (-237))) (-1113 (-237)) (-1113 (-237)) (-141))) (-15 -4503 ((-1282) (-1 (-191 (-237)) (-191 (-237))) (-1113 (-237)) (-1113 (-237)))) (-15 -4151 ((-592) (-592))) (-15 -2076 ((-592) (-592))) (-15 -2253 ((-237) (-237))))) (T -272)) 
-((-2253 (*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-272)))) (-2076 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-272)))) (-4151 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-272)))) (-4503 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-191 (-237)) (-191 (-237)))) (-5 *4 (-1113 (-237))) (-5 *2 (-1282)) (-5 *1 (-272)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-191 (-237)) (-191 (-237)))) (-5 *4 (-1113 (-237))) (-5 *5 (-141)) (-5 *2 (-1282)) (-5 *1 (-272))))) 
-(-10 -7 (-15 -3542 ((-1282) (-1 (-191 (-237)) (-191 (-237))) (-1113 (-237)) (-1113 (-237)) (-141))) (-15 -4503 ((-1282) (-1 (-191 (-237)) (-191 (-237))) (-1113 (-237)) (-1113 (-237)))) (-15 -4151 ((-592) (-592))) (-15 -2076 ((-592) (-592))) (-15 -2253 ((-237) (-237)))) 
-((-1683 (((-1111 (-405)) (-1111 (-332 |#1|))) 16))) 
-(((-273 |#1|) (-10 -7 (-15 -1683 ((-1111 (-405)) (-1111 (-332 |#1|))))) (-13 (-869) (-582) (-633 (-405)))) (T -273)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-1111 (-332 *4))) (-4 *4 (-13 (-869) (-582) (-633 (-405)))) (-5 *2 (-1111 (-405))) (-5 *1 (-273 *4))))) 
-(-10 -7 (-15 -1683 ((-1111 (-405)) (-1111 (-332 |#1|))))) 
-((-1478 (((-1150 (-237)) (-904 |#1|) (-1111 (-405)) (-1111 (-405))) 69) (((-1150 (-237)) (-904 |#1|) (-1111 (-405)) (-1111 (-405)) (-658 (-278))) 68) (((-1150 (-237)) |#1| (-1111 (-405)) (-1111 (-405))) 59) (((-1150 (-237)) |#1| (-1111 (-405)) (-1111 (-405)) (-658 (-278))) 58) (((-1150 (-237)) (-902 |#1|) (-1111 (-405))) 50) (((-1150 (-237)) (-902 |#1|) (-1111 (-405)) (-658 (-278))) 49)) (-1472 (((-1282) (-904 |#1|) (-1111 (-405)) (-1111 (-405))) 72) (((-1282) (-904 |#1|) (-1111 (-405)) (-1111 (-405)) (-658 (-278))) 71) (((-1282) |#1| (-1111 (-405)) (-1111 (-405))) 62) (((-1282) |#1| (-1111 (-405)) (-1111 (-405)) (-658 (-278))) 61) (((-1282) (-902 |#1|) (-1111 (-405))) 54) (((-1282) (-902 |#1|) (-1111 (-405)) (-658 (-278))) 53) (((-1281) (-900 |#1|) (-1111 (-405))) 41) (((-1281) (-900 |#1|) (-1111 (-405)) (-658 (-278))) 40) (((-1281) |#1| (-1111 (-405))) 33) (((-1281) |#1| (-1111 (-405)) (-658 (-278))) 32))) 
-(((-274 |#1|) (-10 -7 (-15 -1472 ((-1281) |#1| (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) |#1| (-1111 (-405)))) (-15 -1472 ((-1281) (-900 |#1|) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) (-900 |#1|) (-1111 (-405)))) (-15 -1472 ((-1282) (-902 |#1|) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-902 |#1|) (-1111 (-405)))) (-15 -1478 ((-1150 (-237)) (-902 |#1|) (-1111 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-902 |#1|) (-1111 (-405)))) (-15 -1472 ((-1282) |#1| (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) |#1| (-1111 (-405)) (-1111 (-405)))) (-15 -1478 ((-1150 (-237)) |#1| (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) |#1| (-1111 (-405)) (-1111 (-405)))) (-15 -1472 ((-1282) (-904 |#1|) (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-904 |#1|) (-1111 (-405)) (-1111 (-405)))) (-15 -1478 ((-1150 (-237)) (-904 |#1|) (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-904 |#1|) (-1111 (-405)) (-1111 (-405))))) (-13 (-633 (-565)) (-1119))) (T -274)) 
-((-1478 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *5)))) (-1478 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *6)))) (-1472 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *5)))) (-1472 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *6)))) (-1478 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1111 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) (-1478 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) (-1472 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1111 (-405))) (-5 *2 (-1282)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) (-1472 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) (-1478 (*1 *2 *3 *4) (-12 (-5 *3 (-902 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *5)))) (-1478 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *6)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-902 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *5)))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *6)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-900 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1281)) (-5 *1 (-274 *5)))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-900 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1281)) (-5 *1 (-274 *6)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-405))) (-5 *2 (-1281)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) (-1472 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119)))))) 
-(-10 -7 (-15 -1472 ((-1281) |#1| (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) |#1| (-1111 (-405)))) (-15 -1472 ((-1281) (-900 |#1|) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1281) (-900 |#1|) (-1111 (-405)))) (-15 -1472 ((-1282) (-902 |#1|) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-902 |#1|) (-1111 (-405)))) (-15 -1478 ((-1150 (-237)) (-902 |#1|) (-1111 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-902 |#1|) (-1111 (-405)))) (-15 -1472 ((-1282) |#1| (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) |#1| (-1111 (-405)) (-1111 (-405)))) (-15 -1478 ((-1150 (-237)) |#1| (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) |#1| (-1111 (-405)) (-1111 (-405)))) (-15 -1472 ((-1282) (-904 |#1|) (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1472 ((-1282) (-904 |#1|) (-1111 (-405)) (-1111 (-405)))) (-15 -1478 ((-1150 (-237)) (-904 |#1|) (-1111 (-405)) (-1111 (-405)) (-658 (-278)))) (-15 -1478 ((-1150 (-237)) (-904 |#1|) (-1111 (-405)) (-1111 (-405))))) 
-((-1472 (((-1282) (-658 (-237)) (-658 (-237)) (-658 (-237)) (-658 (-278))) 21) (((-1282) (-658 (-237)) (-658 (-237)) (-658 (-237))) 22) (((-1281) (-658 (-971 (-237))) (-658 (-278))) 13) (((-1281) (-658 (-971 (-237)))) 14) (((-1281) (-658 (-237)) (-658 (-237)) (-658 (-278))) 18) (((-1281) (-658 (-237)) (-658 (-237))) 19))) 
-(((-275) (-10 -7 (-15 -1472 ((-1281) (-658 (-237)) (-658 (-237)))) (-15 -1472 ((-1281) (-658 (-237)) (-658 (-237)) (-658 (-278)))) (-15 -1472 ((-1281) (-658 (-971 (-237))))) (-15 -1472 ((-1281) (-658 (-971 (-237))) (-658 (-278)))) (-15 -1472 ((-1282) (-658 (-237)) (-658 (-237)) (-658 (-237)))) (-15 -1472 ((-1282) (-658 (-237)) (-658 (-237)) (-658 (-237)) (-658 (-278)))))) (T -275)) 
-((-1472 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-658 (-237))) (-5 *4 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-275)))) (-1472 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-1282)) (-5 *1 (-275)))) (-1472 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-971 (-237)))) (-5 *4 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-275)))) (-1472 (*1 *2 *3) (-12 (-5 *3 (-658 (-971 (-237)))) (-5 *2 (-1281)) (-5 *1 (-275)))) (-1472 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-237))) (-5 *4 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-275)))) (-1472 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-1281)) (-5 *1 (-275))))) 
-(-10 -7 (-15 -1472 ((-1281) (-658 (-237)) (-658 (-237)))) (-15 -1472 ((-1281) (-658 (-237)) (-658 (-237)) (-658 (-278)))) (-15 -1472 ((-1281) (-658 (-971 (-237))))) (-15 -1472 ((-1281) (-658 (-971 (-237))) (-658 (-278)))) (-15 -1472 ((-1282) (-658 (-237)) (-658 (-237)) (-658 (-237)))) (-15 -1472 ((-1282) (-658 (-237)) (-658 (-237)) (-658 (-237)) (-658 (-278))))) 
-((-3678 (((-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))) (-658 (-278)) (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) 24)) (-4339 (((-944) (-658 (-278)) (-944)) 49)) (-2380 (((-944) (-658 (-278)) (-944)) 48)) (-3682 (((-658 (-405)) (-658 (-278)) (-658 (-405))) 65)) (-1455 (((-405) (-658 (-278)) (-405)) 55)) (-3267 (((-944) (-658 (-278)) (-944)) 50)) (-2553 (((-141) (-658 (-278)) (-141)) 26)) (-4116 (((-1173) (-658 (-278)) (-1173)) 19)) (-2732 (((-1173) (-658 (-278)) (-1173)) 25)) (-2366 (((-1150 (-237)) (-658 (-278))) 43)) (-1443 (((-658 (-1113 (-405))) (-658 (-278)) (-658 (-1113 (-405)))) 37)) (-4463 (((-896) (-658 (-278)) (-896)) 31)) (-4300 (((-896) (-658 (-278)) (-896)) 32)) (-3302 (((-1 (-971 (-237)) (-971 (-237))) (-658 (-278)) (-1 (-971 (-237)) (-971 (-237)))) 60)) (-3232 (((-141) (-658 (-278)) (-141)) 15)) (-1804 (((-141) (-658 (-278)) (-141)) 14))) 
-(((-276) (-10 -7 (-15 -1804 ((-141) (-658 (-278)) (-141))) (-15 -3232 ((-141) (-658 (-278)) (-141))) (-15 -3678 ((-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))) (-658 (-278)) (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))))) (-15 -4116 ((-1173) (-658 (-278)) (-1173))) (-15 -2732 ((-1173) (-658 (-278)) (-1173))) (-15 -2553 ((-141) (-658 (-278)) (-141))) (-15 -4463 ((-896) (-658 (-278)) (-896))) (-15 -4300 ((-896) (-658 (-278)) (-896))) (-15 -1443 ((-658 (-1113 (-405))) (-658 (-278)) (-658 (-1113 (-405))))) (-15 -2380 ((-944) (-658 (-278)) (-944))) (-15 -4339 ((-944) (-658 (-278)) (-944))) (-15 -2366 ((-1150 (-237)) (-658 (-278)))) (-15 -3267 ((-944) (-658 (-278)) (-944))) (-15 -1455 ((-405) (-658 (-278)) (-405))) (-15 -3302 ((-1 (-971 (-237)) (-971 (-237))) (-658 (-278)) (-1 (-971 (-237)) (-971 (-237))))) (-15 -3682 ((-658 (-405)) (-658 (-278)) (-658 (-405)))))) (T -276)) 
-((-3682 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-405))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-3302 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-971 (-237)) (-971 (-237)))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-1455 (*1 *2 *3 *2) (-12 (-5 *2 (-405)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-3267 (*1 *2 *3 *2) (-12 (-5 *2 (-944)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-2366 (*1 *2 *3) (-12 (-5 *3 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-276)))) (-4339 (*1 *2 *3 *2) (-12 (-5 *2 (-944)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-2380 (*1 *2 *3 *2) (-12 (-5 *2 (-944)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-1443 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-4300 (*1 *2 *3 *2) (-12 (-5 *2 (-896)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-4463 (*1 *2 *3 *2) (-12 (-5 *2 (-896)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-2553 (*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-2732 (*1 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-4116 (*1 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-3678 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-3232 (*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) (-1804 (*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *3 (-658 (-278))) (-5 *1 (-276))))) 
-(-10 -7 (-15 -1804 ((-141) (-658 (-278)) (-141))) (-15 -3232 ((-141) (-658 (-278)) (-141))) (-15 -3678 ((-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))) (-658 (-278)) (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))))) (-15 -4116 ((-1173) (-658 (-278)) (-1173))) (-15 -2732 ((-1173) (-658 (-278)) (-1173))) (-15 -2553 ((-141) (-658 (-278)) (-141))) (-15 -4463 ((-896) (-658 (-278)) (-896))) (-15 -4300 ((-896) (-658 (-278)) (-896))) (-15 -1443 ((-658 (-1113 (-405))) (-658 (-278)) (-658 (-1113 (-405))))) (-15 -2380 ((-944) (-658 (-278)) (-944))) (-15 -4339 ((-944) (-658 (-278)) (-944))) (-15 -2366 ((-1150 (-237)) (-658 (-278)))) (-15 -3267 ((-944) (-658 (-278)) (-944))) (-15 -1455 ((-405) (-658 (-278)) (-405))) (-15 -3302 ((-1 (-971 (-237)) (-971 (-237))) (-658 (-278)) (-1 (-971 (-237)) (-971 (-237))))) (-15 -3682 ((-658 (-405)) (-658 (-278)) (-658 (-405))))) 
-((-3199 (((-3 |#1| "failed") (-658 (-278)) (-1191)) 17))) 
-(((-277 |#1|) (-10 -7 (-15 -3199 ((-3 |#1| "failed") (-658 (-278)) (-1191)))) (-1225)) (T -277)) 
-((-3199 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-658 (-278))) (-5 *4 (-1191)) (-5 *1 (-277 *2)) (-4 *2 (-1225))))) 
-(-10 -7 (-15 -3199 ((-3 |#1| "failed") (-658 (-278)) (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-3678 (($ (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) 14)) (-4339 (($ (-944)) 70)) (-2380 (($ (-944)) 69)) (-4509 (($ (-658 (-405))) 76)) (-1455 (($ (-405)) 55)) (-3267 (($ (-944)) 71)) (-2553 (($ (-141)) 22)) (-4116 (($ (-1173)) 17)) (-2732 (($ (-1173)) 18)) (-2366 (($ (-1150 (-237))) 65)) (-1443 (($ (-658 (-1113 (-405)))) 61)) (-2166 (($ (-658 (-1113 (-405)))) 56) (($ (-658 (-1113 (-433 (-592))))) 60)) (-2185 (($ (-405)) 28) (($ (-896)) 32)) (-1669 (((-141) (-658 $) (-1191)) 85)) (-3199 (((-3 (-57) "failed") (-658 $) (-1191)) 87)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3596 (($ (-405)) 33) (($ (-896)) 34)) (-2231 (($ (-1 (-971 (-237)) (-971 (-237)))) 54)) (-3302 (($ (-1 (-971 (-237)) (-971 (-237)))) 72)) (-2232 (($ (-1 (-237) (-237))) 38) (($ (-1 (-237) (-237) (-237))) 42) (($ (-1 (-237) (-237) (-237) (-237))) 46)) (-1683 (((-877) $) 81)) (-3100 (($ (-141)) 23) (($ (-658 (-1113 (-405)))) 50)) (-1804 (($ (-141)) 24)) (-3255 (((-141) $ $) 83))) 
-(((-278) (-13 (-1119) (-10 -8 (-15 -1804 ($ (-141))) (-15 -3100 ($ (-141))) (-15 -3678 ($ (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))))) (-15 -4116 ($ (-1173))) (-15 -2732 ($ (-1173))) (-15 -2553 ($ (-141))) (-15 -3100 ($ (-658 (-1113 (-405))))) (-15 -2231 ($ (-1 (-971 (-237)) (-971 (-237))))) (-15 -2185 ($ (-405))) (-15 -2185 ($ (-896))) (-15 -3596 ($ (-405))) (-15 -3596 ($ (-896))) (-15 -2232 ($ (-1 (-237) (-237)))) (-15 -2232 ($ (-1 (-237) (-237) (-237)))) (-15 -2232 ($ (-1 (-237) (-237) (-237) (-237)))) (-15 -1455 ($ (-405))) (-15 -2166 ($ (-658 (-1113 (-405))))) (-15 -2166 ($ (-658 (-1113 (-433 (-592)))))) (-15 -1443 ($ (-658 (-1113 (-405))))) (-15 -2366 ($ (-1150 (-237)))) (-15 -2380 ($ (-944))) (-15 -4339 ($ (-944))) (-15 -3267 ($ (-944))) (-15 -3302 ($ (-1 (-971 (-237)) (-971 (-237))))) (-15 -4509 ($ (-658 (-405)))) (-15 -3199 ((-3 (-57) "failed") (-658 $) (-1191))) (-15 -1669 ((-141) (-658 $) (-1191)))))) (T -278)) 
-((-1804 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-278)))) (-3100 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-278)))) (-3678 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *1 (-278)))) (-4116 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-278)))) (-2732 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-278)))) (-2553 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-278)))) (-3100 (*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-278)))) (-2231 (*1 *1 *2) (-12 (-5 *2 (-1 (-971 (-237)) (-971 (-237)))) (-5 *1 (-278)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-278)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-278)))) (-3596 (*1 *1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-278)))) (-3596 (*1 *1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-278)))) (-2232 (*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *1 (-278)))) (-2232 (*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237) (-237))) (-5 *1 (-278)))) (-2232 (*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237) (-237) (-237))) (-5 *1 (-278)))) (-1455 (*1 *1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-278)))) (-2166 (*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-278)))) (-2166 (*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-433 (-592))))) (-5 *1 (-278)))) (-1443 (*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-278)))) (-2366 (*1 *1 *2) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-278)))) (-2380 (*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-278)))) (-4339 (*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-278)))) (-3267 (*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-278)))) (-3302 (*1 *1 *2) (-12 (-5 *2 (-1 (-971 (-237)) (-971 (-237)))) (-5 *1 (-278)))) (-4509 (*1 *1 *2) (-12 (-5 *2 (-658 (-405))) (-5 *1 (-278)))) (-3199 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-658 (-278))) (-5 *4 (-1191)) (-5 *2 (-57)) (-5 *1 (-278)))) (-1669 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-278))) (-5 *4 (-1191)) (-5 *2 (-141)) (-5 *1 (-278))))) 
-(-13 (-1119) (-10 -8 (-15 -1804 ($ (-141))) (-15 -3100 ($ (-141))) (-15 -3678 ($ (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))))) (-15 -4116 ($ (-1173))) (-15 -2732 ($ (-1173))) (-15 -2553 ($ (-141))) (-15 -3100 ($ (-658 (-1113 (-405))))) (-15 -2231 ($ (-1 (-971 (-237)) (-971 (-237))))) (-15 -2185 ($ (-405))) (-15 -2185 ($ (-896))) (-15 -3596 ($ (-405))) (-15 -3596 ($ (-896))) (-15 -2232 ($ (-1 (-237) (-237)))) (-15 -2232 ($ (-1 (-237) (-237) (-237)))) (-15 -2232 ($ (-1 (-237) (-237) (-237) (-237)))) (-15 -1455 ($ (-405))) (-15 -2166 ($ (-658 (-1113 (-405))))) (-15 -2166 ($ (-658 (-1113 (-433 (-592)))))) (-15 -1443 ($ (-658 (-1113 (-405))))) (-15 -2366 ($ (-1150 (-237)))) (-15 -2380 ($ (-944))) (-15 -4339 ($ (-944))) (-15 -3267 ($ (-944))) (-15 -3302 ($ (-1 (-971 (-237)) (-971 (-237))))) (-15 -4509 ($ (-658 (-405)))) (-15 -3199 ((-3 (-57) "failed") (-658 $) (-1191))) (-15 -1669 ((-141) (-658 $) (-1191))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1399 (((-658 (-790)) $) NIL) (((-658 (-790)) $ |#2|) NIL)) (-3775 (((-790) $) NIL) (((-790) $ |#2|) NIL)) (-4085 (((-658 |#3|) $) NIL)) (-4492 (((-1187 $) $ |#3|) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 |#3|)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-1885 (($ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1142 |#1| |#2|) "failed") $) 20)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1142 |#1| |#2|) $) NIL)) (-1544 (($ $ $ |#3|) NIL (|has| |#1| (-194)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ |#3|) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-558 |#3|) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| |#1| (-908 (-405))) (|has| |#3| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| |#1| (-908 (-592))) (|has| |#3| (-908 (-592)))))) (-4346 (((-790) $ |#2|) NIL) (((-790) $) 10)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#1|) |#3|) NIL) (($ (-1187 $) |#3|) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-558 |#3|)) NIL) (($ $ |#3| (-790)) NIL) (($ $ (-658 |#3|) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#3|) NIL)) (-4206 (((-558 |#3|) $) NIL) (((-790) $ |#3|) NIL) (((-658 (-790)) $ (-658 |#3|)) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-558 |#3|) (-558 |#3|)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3358 (((-1 $ (-790)) |#2|) NIL) (((-1 $ (-790)) $) NIL (|has| |#1| (-247)))) (-3254 (((-3 |#3| "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-1692 ((|#3| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-4401 (((-141) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| |#3|) (|:| -3215 (-790))) "failed") $) NIL)) (-3198 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-658 |#3|) (-658 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-658 |#3|) (-658 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-247))) (($ $ (-658 |#2|) (-658 $)) NIL (|has| |#1| (-247))) (($ $ |#2| |#1|) NIL (|has| |#1| (-247))) (($ $ (-658 |#2|) (-658 |#1|)) NIL (|has| |#1| (-247)))) (-1482 (($ $ |#3|) NIL (|has| |#1| (-194)))) (-3644 (($ $ |#3|) NIL) (($ $ (-658 |#3|)) NIL) (($ $ |#3| (-790)) NIL) (($ $ (-658 |#3|) (-658 (-790))) NIL) (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2912 (((-658 |#2|) $) NIL)) (-4525 (((-558 |#3|) $) NIL) (((-790) $ |#3|) NIL) (((-658 (-790)) $ (-658 |#3|)) NIL) (((-790) $ |#2|) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#3| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#3| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| |#1| (-633 (-565))) (|has| |#3| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ |#3|) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1142 |#1| |#2|)) 28) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-558 |#3|)) NIL) (($ $ |#3| (-790)) NIL) (($ $ (-658 |#3|) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ |#3|) NIL) (($ $ (-658 |#3|)) NIL) (($ $ |#3| (-790)) NIL) (($ $ (-658 |#3|) (-658 (-790))) NIL) (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-279 |#1| |#2| |#3|) (-13 (-268 |#1| |#2| |#3| (-558 |#3|)) (-1065 (-1142 |#1| |#2|))) (-1075) (-869) (-284 |#2|)) (T -279)) 
-NIL 
-(-13 (-268 |#1| |#2| |#3| (-558 |#3|)) (-1065 (-1142 |#1| |#2|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-2836 (($ |#1| (-658 $)) 51) (($ |#1|) 50) (($ (-658 |#1|)) 49)) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44)) (-2920 (((-592) $ $) 41)) (-3228 (((-141) $) 43)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-280 |#1|) (-1311) (-1119)) (T -280)) 
-((-2836 (*1 *1 *2 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-280 *2)) (-4 *2 (-1119)))) (-2836 (*1 *1 *2) (-12 (-4 *1 (-280 *2)) (-4 *2 (-1119)))) (-2836 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-280 *3))))) 
-(-13 (-1038 |t#1|) (-10 -8 (-6 -4626) (-6 -4625) (-15 -2836 ($ |t#1| (-658 $))) (-15 -2836 ($ |t#1|)) (-15 -2836 ($ (-658 |t#1|))))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) 12)) (-2836 (($ |#1| (-658 $)) 31) (($ |#1|) 32) (($ (-658 |#1|)) 33)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) 35 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 34 (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 |#1|) $) 22)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3767 (((-141) (-141)) 18) (((-141)) 19)) (-1736 (((-877) $) 15)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1589 (((-1173) $) 28)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ "value") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) 30 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 8)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 26 (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-281 |#1|) (-13 (-280 |#1|) (-10 -8 (-15 -1589 ((-1173) $)) (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) (-1119)) (T -281)) 
-((-1589 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-281 *3)) (-4 *3 (-1119)))) (-1736 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-281 *3)) (-4 *3 (-1119)))) (-3767 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-281 *3)) (-4 *3 (-1119)))) (-3767 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-281 *3)) (-4 *3 (-1119))))) 
-(-13 (-280 |#1|) (-10 -8 (-15 -1589 ((-1173) $)) (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) 
-((-3375 (((-1285) |#10| (-658 |#3|)) 133) (((-1285) |#10|) 135)) (-1780 (((-1285) |#10|) NIL)) (-2869 ((|#8| |#10|) 28)) (-1747 (((-592) (-790) (-658 |#10|)) 147)) (-4537 (((-790) (-790) (-658 |#10|)) 145)) (-3567 (((-592) |#3|) 148)) (-3918 (((-790) |#3|) 146)) (-1479 (((-1285) |#10|) 136)) (-4052 ((|#8| |#3| |#10|) 111)) (-1685 ((|#10| |#5| |#3|) 138)) (-3166 (((-658 |#10|) |#3|) 144)) (-1795 (((-1285) |#10|) 134)) (-3821 (((-658 |#9|) |#9|) 87)) (-2269 ((|#8| |#10|) 110))) 
-(((-282 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3821 ((-658 |#9|) |#9|)) (-15 -4052 (|#8| |#3| |#10|)) (-15 -2269 (|#8| |#10|)) (-15 -1795 ((-1285) |#10|)) (-15 -1685 (|#10| |#5| |#3|)) (-15 -3166 ((-658 |#10|) |#3|)) (-15 -1479 ((-1285) |#10|)) (-15 -1780 ((-1285) |#10|)) (-15 -3375 ((-1285) |#10|)) (-15 -3375 ((-1285) |#10| (-658 |#3|))) (-15 -3918 ((-790) |#3|)) (-15 -3567 ((-592) |#3|)) (-15 -4537 ((-790) (-790) (-658 |#10|))) (-15 -2869 (|#8| |#10|)) (-15 -1747 ((-592) (-790) (-658 |#10|)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|) (-257 |#7|) (-560 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-280 |#9|) (-137)) (T -282)) 
-((-1747 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *14)) (-4 *14 (-280 *13)) (-4 *13 (-560 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-137)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) *3)) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *12 (-257 *11)) (-5 *3 (-790)) (-5 *2 (-592)) (-5 *1 (-282 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-2869 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *10)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-280 *11)))) (-4537 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *13)) (-4 *13 (-280 *12)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) *2)) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-5 *2 (-790)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-3567 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-592)) (-5 *1 (-282 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3918 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) *2)) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-790)) (-5 *1 (-282 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3375 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *7)) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *12 (-257 *11)) (-4 *13 (-560 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-280 *13)))) (-3375 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12)))) (-1780 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12)))) (-1479 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12)))) (-3166 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *12)) (-5 *1 (-282 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-1685 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *4 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *3 (-999 *5)) (-4 *8 (-665 *5)) (-4 *9 (-947 *5 *8)) (-4 *10 (-257 *9)) (-4 *12 (-137)) (-4 *2 (-280 *11)) (-5 *1 (-282 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-560 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-1795 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12)))) (-2269 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *10)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-280 *11)))) (-4052 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *8 (-999 *5)) (-4 *9 (-665 *5)) (-4 *10 (-947 *5 *9)) (-4 *11 (-560 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *10)) (-5 *1 (-282 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-280 *11)))) (-3821 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *3 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-658 *3)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-280 *3))))) 
-(-10 -7 (-15 -3821 ((-658 |#9|) |#9|)) (-15 -4052 (|#8| |#3| |#10|)) (-15 -2269 (|#8| |#10|)) (-15 -1795 ((-1285) |#10|)) (-15 -1685 (|#10| |#5| |#3|)) (-15 -3166 ((-658 |#10|) |#3|)) (-15 -1479 ((-1285) |#10|)) (-15 -1780 ((-1285) |#10|)) (-15 -3375 ((-1285) |#10|)) (-15 -3375 ((-1285) |#10| (-658 |#3|))) (-15 -3918 ((-790) |#3|)) (-15 -3567 ((-592) |#3|)) (-15 -4537 ((-790) (-790) (-658 |#10|))) (-15 -2869 (|#8| |#10|)) (-15 -1747 ((-592) (-790) (-658 |#10|)))) 
-((-3775 (((-790) $) 30)) (-4368 (((-3 |#2| "failed") $) 17)) (-2400 ((|#2| $) 27)) (-3644 (($ $) 12) (($ $ (-790)) 15)) (-1683 (((-877) $) 26) (($ |#2|) 10)) (-3255 (((-141) $ $) 20)) (-3266 (((-141) $ $) 29))) 
-(((-283 |#1| |#2|) (-10 -8 (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -3775 ((-790) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-284 |#2|) (-869)) (T -283)) 
-NIL 
-(-10 -8 (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -3775 ((-790) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-3775 (((-790) $) 21)) (-3983 ((|#1| $) 22)) (-4368 (((-3 |#1| "failed") $) 26)) (-2400 ((|#1| $) 25)) (-4346 (((-790) $) 23)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-3358 (($ |#1| (-790)) 24)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3644 (($ $) 20) (($ $ (-790)) 19)) (-1683 (((-877) $) 11) (($ |#1|) 27)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17))) 
-(((-284 |#1|) (-1311) (-869)) (T -284)) 
-((-1683 (*1 *1 *2) (-12 (-4 *1 (-284 *2)) (-4 *2 (-869)))) (-3358 (*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-284 *2)) (-4 *2 (-869)))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-284 *3)) (-4 *3 (-869)) (-5 *2 (-790)))) (-3983 (*1 *2 *1) (-12 (-4 *1 (-284 *2)) (-4 *2 (-869)))) (-3775 (*1 *2 *1) (-12 (-4 *1 (-284 *3)) (-4 *3 (-869)) (-5 *2 (-790)))) (-3644 (*1 *1 *1) (-12 (-4 *1 (-284 *2)) (-4 *2 (-869)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-284 *3)) (-4 *3 (-869))))) 
-(-13 (-869) (-1065 |t#1|) (-10 -8 (-15 -3358 ($ |t#1| (-790))) (-15 -4346 ((-790) $)) (-15 -3983 (|t#1| $)) (-15 -3775 ((-790) $)) (-15 -3644 ($ $)) (-15 -3644 ($ $ (-790))) (-15 -1683 ($ |t#1|)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-869) . T) ((-1065 |#1|) . T) ((-1119) . T)) 
-((-4085 (((-658 (-1191)) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 40)) (-2692 (((-658 (-1191)) (-332 (-237)) (-790)) 79)) (-3017 (((-3 (-332 (-237)) "failed") (-332 (-237))) 50)) (-3505 (((-332 (-237)) (-332 (-237))) 65)) (-2442 (((-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 26)) (-3231 (((-141) (-658 (-332 (-237)))) 83)) (-3104 (((-141) (-332 (-237))) 24)) (-2281 (((-658 (-1173)) (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) 104)) (-2386 (((-658 (-332 (-237))) (-658 (-332 (-237)))) 86)) (-1952 (((-658 (-332 (-237))) (-658 (-332 (-237)))) 85)) (-1530 (((-706 (-237)) (-658 (-332 (-237))) (-790)) 93)) (-2365 (((-141) (-332 (-237))) 20) (((-141) (-658 (-332 (-237)))) 84)) (-3537 (((-658 (-237)) (-658 (-862 (-237))) (-237)) 14)) (-2552 (((-405) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 99)) (-2326 (((-1063) (-1191) (-1063)) 33))) 
-(((-285) (-10 -7 (-15 -3537 ((-658 (-237)) (-658 (-862 (-237))) (-237))) (-15 -2442 ((-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))))) (-15 -3017 ((-3 (-332 (-237)) "failed") (-332 (-237)))) (-15 -3505 ((-332 (-237)) (-332 (-237)))) (-15 -3231 ((-141) (-658 (-332 (-237))))) (-15 -2365 ((-141) (-658 (-332 (-237))))) (-15 -2365 ((-141) (-332 (-237)))) (-15 -1530 ((-706 (-237)) (-658 (-332 (-237))) (-790))) (-15 -1952 ((-658 (-332 (-237))) (-658 (-332 (-237))))) (-15 -2386 ((-658 (-332 (-237))) (-658 (-332 (-237))))) (-15 -3104 ((-141) (-332 (-237)))) (-15 -4085 ((-658 (-1191)) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -2692 ((-658 (-1191)) (-332 (-237)) (-790))) (-15 -2326 ((-1063) (-1191) (-1063))) (-15 -2552 ((-405) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -2281 ((-658 (-1173)) (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))))))) (T -285)) 
-((-2281 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) (-5 *2 (-658 (-1173))) (-5 *1 (-285)))) (-2552 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-405)) (-5 *1 (-285)))) (-2326 (*1 *2 *3 *2) (-12 (-5 *2 (-1063)) (-5 *3 (-1191)) (-5 *1 (-285)))) (-2692 (*1 *2 *3 *4) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-790)) (-5 *2 (-658 (-1191))) (-5 *1 (-285)))) (-4085 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-658 (-1191))) (-5 *1 (-285)))) (-3104 (*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-141)) (-5 *1 (-285)))) (-2386 (*1 *2 *2) (-12 (-5 *2 (-658 (-332 (-237)))) (-5 *1 (-285)))) (-1952 (*1 *2 *2) (-12 (-5 *2 (-658 (-332 (-237)))) (-5 *1 (-285)))) (-1530 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-332 (-237)))) (-5 *4 (-790)) (-5 *2 (-706 (-237))) (-5 *1 (-285)))) (-2365 (*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-141)) (-5 *1 (-285)))) (-2365 (*1 *2 *3) (-12 (-5 *3 (-658 (-332 (-237)))) (-5 *2 (-141)) (-5 *1 (-285)))) (-3231 (*1 *2 *3) (-12 (-5 *3 (-658 (-332 (-237)))) (-5 *2 (-141)) (-5 *1 (-285)))) (-3505 (*1 *2 *2) (-12 (-5 *2 (-332 (-237))) (-5 *1 (-285)))) (-3017 (*1 *2 *2) (|partial| -12 (-5 *2 (-332 (-237))) (-5 *1 (-285)))) (-2442 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *1 (-285)))) (-3537 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-862 (-237)))) (-5 *4 (-237)) (-5 *2 (-658 *4)) (-5 *1 (-285))))) 
-(-10 -7 (-15 -3537 ((-658 (-237)) (-658 (-862 (-237))) (-237))) (-15 -2442 ((-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))))) (-15 -3017 ((-3 (-332 (-237)) "failed") (-332 (-237)))) (-15 -3505 ((-332 (-237)) (-332 (-237)))) (-15 -3231 ((-141) (-658 (-332 (-237))))) (-15 -2365 ((-141) (-658 (-332 (-237))))) (-15 -2365 ((-141) (-332 (-237)))) (-15 -1530 ((-706 (-237)) (-658 (-332 (-237))) (-790))) (-15 -1952 ((-658 (-332 (-237))) (-658 (-332 (-237))))) (-15 -2386 ((-658 (-332 (-237))) (-658 (-332 (-237))))) (-15 -3104 ((-141) (-332 (-237)))) (-15 -4085 ((-658 (-1191)) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -2692 ((-658 (-1191)) (-332 (-237)) (-790))) (-15 -2326 ((-1063) (-1191) (-1063))) (-15 -2552 ((-405) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -2281 ((-658 (-1173)) (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))))) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 39)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 20) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-286) (-858)) (T -286)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 54) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 49)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 29) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 31)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-287) (-858)) (T -287)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 73) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 69)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 40) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 51)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-288) (-858)) (T -288)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 48)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 27) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-289) (-858)) (T -289)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 48)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 23) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-290) (-858)) (T -290)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 69)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 23) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-291) (-858)) (T -291)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 73)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 19) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-292) (-858)) (T -292)) 
-NIL 
-(-858) 
-((-1641 (((-141) $ $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2524 (((-658 (-592)) $) 16)) (-4525 (((-790) $) 14)) (-1683 (((-877) $) 20) (($ (-658 (-592))) 12)) (-1428 (($ (-790)) 17)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 9)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 10))) 
-(((-293) (-13 (-869) (-10 -8 (-15 -1683 ($ (-658 (-592)))) (-15 -4525 ((-790) $)) (-15 -2524 ((-658 (-592)) $)) (-15 -1428 ($ (-790)))))) (T -293)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-293)))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-293)))) (-2524 (*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-293)))) (-1428 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-293))))) 
-(-13 (-869) (-10 -8 (-15 -1683 ($ (-658 (-592)))) (-15 -4525 ((-790) $)) (-15 -2524 ((-658 (-592)) $)) (-15 -1428 ($ (-790))))) 
-((-1588 ((|#2| |#2|) 77)) (-1507 ((|#2| |#2|) 65)) (-4392 (((-3 |#2| "failed") |#2| (-658 (-2 (|:| |func| |#2|) (|:| |pole| (-141))))) 116)) (-1575 ((|#2| |#2|) 75)) (-1495 ((|#2| |#2|) 63)) (-1601 ((|#2| |#2|) 79)) (-1521 ((|#2| |#2|) 67)) (-1435 ((|#2|) 46)) (-2791 (((-143) (-143)) 95)) (-4546 ((|#2| |#2|) 61)) (-2186 (((-141) |#2|) 134)) (-4504 ((|#2| |#2|) 180)) (-3556 ((|#2| |#2|) 156)) (-3307 ((|#2|) 59)) (-3036 ((|#2|) 58)) (-4207 ((|#2| |#2|) 176)) (-2052 ((|#2| |#2|) 152)) (-1959 ((|#2| |#2|) 184)) (-2099 ((|#2| |#2|) 160)) (-4181 ((|#2| |#2|) 148)) (-1427 ((|#2| |#2|) 150)) (-1856 ((|#2| |#2|) 186)) (-2124 ((|#2| |#2|) 162)) (-3798 ((|#2| |#2|) 182)) (-1881 ((|#2| |#2|) 158)) (-3738 ((|#2| |#2|) 178)) (-2364 ((|#2| |#2|) 154)) (-1710 ((|#2| |#2|) 192)) (-4264 ((|#2| |#2|) 168)) (-2851 ((|#2| |#2|) 188)) (-4089 ((|#2| |#2|) 164)) (-2571 ((|#2| |#2|) 196)) (-1386 ((|#2| |#2|) 172)) (-2389 ((|#2| |#2|) 198)) (-4465 ((|#2| |#2|) 174)) (-1364 ((|#2| |#2|) 194)) (-1932 ((|#2| |#2|) 170)) (-2465 ((|#2| |#2|) 190)) (-1757 ((|#2| |#2|) 166)) (-1430 ((|#2| |#2|) 62)) (-1609 ((|#2| |#2|) 80)) (-1527 ((|#2| |#2|) 68)) (-1594 ((|#2| |#2|) 78)) (-1515 ((|#2| |#2|) 66)) (-1581 ((|#2| |#2|) 76)) (-1501 ((|#2| |#2|) 64)) (-3038 (((-141) (-143)) 93)) (-1630 ((|#2| |#2|) 83)) (-1546 ((|#2| |#2|) 71)) (-1617 ((|#2| |#2|) 81)) (-1533 ((|#2| |#2|) 69)) (-1642 ((|#2| |#2|) 85)) (-1559 ((|#2| |#2|) 73)) (-2892 ((|#2| |#2|) 86)) (-1567 ((|#2| |#2|) 74)) (-1636 ((|#2| |#2|) 84)) (-1552 ((|#2| |#2|) 72)) (-1624 ((|#2| |#2|) 82)) (-1540 ((|#2| |#2|) 70))) 
-(((-294 |#1| |#2|) (-10 -7 (-15 -1430 (|#2| |#2|)) (-15 -4546 (|#2| |#2|)) (-15 -1495 (|#2| |#2|)) (-15 -1501 (|#2| |#2|)) (-15 -1507 (|#2| |#2|)) (-15 -1515 (|#2| |#2|)) (-15 -1521 (|#2| |#2|)) (-15 -1527 (|#2| |#2|)) (-15 -1533 (|#2| |#2|)) (-15 -1540 (|#2| |#2|)) (-15 -1546 (|#2| |#2|)) (-15 -1552 (|#2| |#2|)) (-15 -1559 (|#2| |#2|)) (-15 -1567 (|#2| |#2|)) (-15 -1575 (|#2| |#2|)) (-15 -1581 (|#2| |#2|)) (-15 -1588 (|#2| |#2|)) (-15 -1594 (|#2| |#2|)) (-15 -1601 (|#2| |#2|)) (-15 -1609 (|#2| |#2|)) (-15 -1617 (|#2| |#2|)) (-15 -1624 (|#2| |#2|)) (-15 -1630 (|#2| |#2|)) (-15 -1636 (|#2| |#2|)) (-15 -1642 (|#2| |#2|)) (-15 -2892 (|#2| |#2|)) (-15 -1435 (|#2|)) (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -3036 (|#2|)) (-15 -3307 (|#2|)) (-15 -1427 (|#2| |#2|)) (-15 -4181 (|#2| |#2|)) (-15 -2052 (|#2| |#2|)) (-15 -2364 (|#2| |#2|)) (-15 -3556 (|#2| |#2|)) (-15 -1881 (|#2| |#2|)) (-15 -2099 (|#2| |#2|)) (-15 -2124 (|#2| |#2|)) (-15 -4089 (|#2| |#2|)) (-15 -1757 (|#2| |#2|)) (-15 -4264 (|#2| |#2|)) (-15 -1932 (|#2| |#2|)) (-15 -1386 (|#2| |#2|)) (-15 -4465 (|#2| |#2|)) (-15 -4207 (|#2| |#2|)) (-15 -3738 (|#2| |#2|)) (-15 -4504 (|#2| |#2|)) (-15 -3798 (|#2| |#2|)) (-15 -1959 (|#2| |#2|)) (-15 -1856 (|#2| |#2|)) (-15 -2851 (|#2| |#2|)) (-15 -2465 (|#2| |#2|)) (-15 -1710 (|#2| |#2|)) (-15 -1364 (|#2| |#2|)) (-15 -2571 (|#2| |#2|)) (-15 -2389 (|#2| |#2|)) (-15 -4392 ((-3 |#2| "failed") |#2| (-658 (-2 (|:| |func| |#2|) (|:| |pole| (-141)))))) (-15 -2186 ((-141) |#2|))) (-13 (-869) (-582)) (-13 (-456 |#1|) (-1030))) (T -294)) 
-((-2186 (*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-294 *4 *3)) (-4 *3 (-13 (-456 *4) (-1030))))) (-4392 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-658 (-2 (|:| |func| *2) (|:| |pole| (-141))))) (-4 *2 (-13 (-456 *4) (-1030))) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-294 *4 *2)))) (-2389 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2571 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1364 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1710 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2465 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2851 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1856 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1959 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-3798 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4504 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-3738 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4207 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4465 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1386 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1932 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4264 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1757 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4089 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2124 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2099 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1881 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-3556 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2364 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-2052 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4181 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1427 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-3307 (*1 *2) (-12 (-4 *2 (-13 (-456 *3) (-1030))) (-5 *1 (-294 *3 *2)) (-4 *3 (-13 (-869) (-582))))) (-3036 (*1 *2) (-12 (-4 *2 (-13 (-456 *3) (-1030))) (-5 *1 (-294 *3 *2)) (-4 *3 (-13 (-869) (-582))))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *4)) (-4 *4 (-13 (-456 *3) (-1030))))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-294 *4 *5)) (-4 *5 (-13 (-456 *4) (-1030))))) (-1435 (*1 *2) (-12 (-4 *2 (-13 (-456 *3) (-1030))) (-5 *1 (-294 *3 *2)) (-4 *3 (-13 (-869) (-582))))) (-2892 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1642 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1636 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1630 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1624 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1617 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1609 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1601 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1594 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1588 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1581 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1575 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1567 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1559 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1552 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1546 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1540 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1533 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1527 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1521 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1515 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1507 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1501 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1495 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-4546 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) (-1430 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(-10 -7 (-15 -1430 (|#2| |#2|)) (-15 -4546 (|#2| |#2|)) (-15 -1495 (|#2| |#2|)) (-15 -1501 (|#2| |#2|)) (-15 -1507 (|#2| |#2|)) (-15 -1515 (|#2| |#2|)) (-15 -1521 (|#2| |#2|)) (-15 -1527 (|#2| |#2|)) (-15 -1533 (|#2| |#2|)) (-15 -1540 (|#2| |#2|)) (-15 -1546 (|#2| |#2|)) (-15 -1552 (|#2| |#2|)) (-15 -1559 (|#2| |#2|)) (-15 -1567 (|#2| |#2|)) (-15 -1575 (|#2| |#2|)) (-15 -1581 (|#2| |#2|)) (-15 -1588 (|#2| |#2|)) (-15 -1594 (|#2| |#2|)) (-15 -1601 (|#2| |#2|)) (-15 -1609 (|#2| |#2|)) (-15 -1617 (|#2| |#2|)) (-15 -1624 (|#2| |#2|)) (-15 -1630 (|#2| |#2|)) (-15 -1636 (|#2| |#2|)) (-15 -1642 (|#2| |#2|)) (-15 -2892 (|#2| |#2|)) (-15 -1435 (|#2|)) (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -3036 (|#2|)) (-15 -3307 (|#2|)) (-15 -1427 (|#2| |#2|)) (-15 -4181 (|#2| |#2|)) (-15 -2052 (|#2| |#2|)) (-15 -2364 (|#2| |#2|)) (-15 -3556 (|#2| |#2|)) (-15 -1881 (|#2| |#2|)) (-15 -2099 (|#2| |#2|)) (-15 -2124 (|#2| |#2|)) (-15 -4089 (|#2| |#2|)) (-15 -1757 (|#2| |#2|)) (-15 -4264 (|#2| |#2|)) (-15 -1932 (|#2| |#2|)) (-15 -1386 (|#2| |#2|)) (-15 -4465 (|#2| |#2|)) (-15 -4207 (|#2| |#2|)) (-15 -3738 (|#2| |#2|)) (-15 -4504 (|#2| |#2|)) (-15 -3798 (|#2| |#2|)) (-15 -1959 (|#2| |#2|)) (-15 -1856 (|#2| |#2|)) (-15 -2851 (|#2| |#2|)) (-15 -2465 (|#2| |#2|)) (-15 -1710 (|#2| |#2|)) (-15 -1364 (|#2| |#2|)) (-15 -2571 (|#2| |#2|)) (-15 -2389 (|#2| |#2|)) (-15 -4392 ((-3 |#2| "failed") |#2| (-658 (-2 (|:| |func| |#2|) (|:| |pole| (-141)))))) (-15 -2186 ((-141) |#2|))) 
-((-2889 (((-3 |#2| "failed") (-658 (-631 |#2|)) |#2| (-1191)) 133)) (-2110 ((|#2| (-433 (-592)) |#2|) 50)) (-3425 ((|#2| |#2| (-631 |#2|)) 126)) (-2727 (((-2 (|:| |func| |#2|) (|:| |kers| (-658 (-631 |#2|))) (|:| |vals| (-658 |#2|))) |#2| (-1191)) 125)) (-4362 ((|#2| |#2| (-1191)) 19) ((|#2| |#2|) 22)) (-4398 ((|#2| |#2| (-1191)) 139) ((|#2| |#2|) 137))) 
-(((-295 |#1| |#2|) (-10 -7 (-15 -4398 (|#2| |#2|)) (-15 -4398 (|#2| |#2| (-1191))) (-15 -2727 ((-2 (|:| |func| |#2|) (|:| |kers| (-658 (-631 |#2|))) (|:| |vals| (-658 |#2|))) |#2| (-1191))) (-15 -4362 (|#2| |#2|)) (-15 -4362 (|#2| |#2| (-1191))) (-15 -2889 ((-3 |#2| "failed") (-658 (-631 |#2|)) |#2| (-1191))) (-15 -3425 (|#2| |#2| (-631 |#2|))) (-15 -2110 (|#2| (-433 (-592)) |#2|))) (-13 (-582) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -295)) 
-((-2110 (*1 *2 *3 *2) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) (-3425 (*1 *2 *2 *3) (-12 (-5 *3 (-631 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)))) (-2889 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-658 (-631 *2))) (-5 *4 (-1191)) (-4 *2 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *5 *2)))) (-4362 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) (-4362 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) (-2727 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-658 (-631 *3))) (|:| |vals| (-658 *3)))) (-5 *1 (-295 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-4398 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) (-4398 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3)))))) 
-(-10 -7 (-15 -4398 (|#2| |#2|)) (-15 -4398 (|#2| |#2| (-1191))) (-15 -2727 ((-2 (|:| |func| |#2|) (|:| |kers| (-658 (-631 |#2|))) (|:| |vals| (-658 |#2|))) |#2| (-1191))) (-15 -4362 (|#2| |#2|)) (-15 -4362 (|#2| |#2| (-1191))) (-15 -2889 ((-3 |#2| "failed") (-658 (-631 |#2|)) |#2| (-1191))) (-15 -3425 (|#2| |#2| (-631 |#2|))) (-15 -2110 (|#2| (-433 (-592)) |#2|))) 
-((-2698 (((-3 |#3| "failed") |#3|) 110)) (-1588 ((|#3| |#3|) 131)) (-2540 (((-3 |#3| "failed") |#3|) 82)) (-1507 ((|#3| |#3|) 121)) (-4494 (((-3 |#3| "failed") |#3|) 58)) (-1575 ((|#3| |#3|) 129)) (-1923 (((-3 |#3| "failed") |#3|) 46)) (-1495 ((|#3| |#3|) 119)) (-1890 (((-3 |#3| "failed") |#3|) 112)) (-1601 ((|#3| |#3|) 133)) (-2063 (((-3 |#3| "failed") |#3|) 84)) (-1521 ((|#3| |#3|) 123)) (-1784 (((-3 |#3| "failed") |#3| (-790)) 36)) (-2548 (((-3 |#3| "failed") |#3|) 74)) (-4546 ((|#3| |#3|) 118)) (-4122 (((-3 |#3| "failed") |#3|) 44)) (-1430 ((|#3| |#3|) 117)) (-1415 (((-3 |#3| "failed") |#3|) 113)) (-1609 ((|#3| |#3|) 134)) (-2478 (((-3 |#3| "failed") |#3|) 85)) (-1527 ((|#3| |#3|) 124)) (-4208 (((-3 |#3| "failed") |#3|) 111)) (-1594 ((|#3| |#3|) 132)) (-2345 (((-3 |#3| "failed") |#3|) 83)) (-1515 ((|#3| |#3|) 122)) (-2966 (((-3 |#3| "failed") |#3|) 60)) (-1581 ((|#3| |#3|) 130)) (-2989 (((-3 |#3| "failed") |#3|) 48)) (-1501 ((|#3| |#3|) 120)) (-1650 (((-3 |#3| "failed") |#3|) 66)) (-1630 ((|#3| |#3|) 137)) (-3209 (((-3 |#3| "failed") |#3|) 104)) (-1546 ((|#3| |#3|) 142)) (-2416 (((-3 |#3| "failed") |#3|) 62)) (-1617 ((|#3| |#3|) 135)) (-4352 (((-3 |#3| "failed") |#3|) 50)) (-1533 ((|#3| |#3|) 125)) (-4069 (((-3 |#3| "failed") |#3|) 70)) (-1642 ((|#3| |#3|) 139)) (-3691 (((-3 |#3| "failed") |#3|) 54)) (-1559 ((|#3| |#3|) 127)) (-2590 (((-3 |#3| "failed") |#3|) 72)) (-2892 ((|#3| |#3|) 140)) (-1349 (((-3 |#3| "failed") |#3|) 56)) (-1567 ((|#3| |#3|) 128)) (-2295 (((-3 |#3| "failed") |#3|) 68)) (-1636 ((|#3| |#3|) 138)) (-2233 (((-3 |#3| "failed") |#3|) 107)) (-1552 ((|#3| |#3|) 143)) (-1510 (((-3 |#3| "failed") |#3|) 64)) (-1624 ((|#3| |#3|) 136)) (-2153 (((-3 |#3| "failed") |#3|) 52)) (-1540 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-433 (-592))) 40 (|has| |#1| (-388))))) 
-(((-296 |#1| |#2| |#3|) (-13 (-1012 |#3|) (-10 -7 (IF (|has| |#1| (-388)) (-15 ** (|#3| |#3| (-433 (-592)))) |noBranch|) (-15 -1430 (|#3| |#3|)) (-15 -4546 (|#3| |#3|)) (-15 -1495 (|#3| |#3|)) (-15 -1501 (|#3| |#3|)) (-15 -1507 (|#3| |#3|)) (-15 -1515 (|#3| |#3|)) (-15 -1521 (|#3| |#3|)) (-15 -1527 (|#3| |#3|)) (-15 -1533 (|#3| |#3|)) (-15 -1540 (|#3| |#3|)) (-15 -1546 (|#3| |#3|)) (-15 -1552 (|#3| |#3|)) (-15 -1559 (|#3| |#3|)) (-15 -1567 (|#3| |#3|)) (-15 -1575 (|#3| |#3|)) (-15 -1581 (|#3| |#3|)) (-15 -1588 (|#3| |#3|)) (-15 -1594 (|#3| |#3|)) (-15 -1601 (|#3| |#3|)) (-15 -1609 (|#3| |#3|)) (-15 -1617 (|#3| |#3|)) (-15 -1624 (|#3| |#3|)) (-15 -1630 (|#3| |#3|)) (-15 -1636 (|#3| |#3|)) (-15 -1642 (|#3| |#3|)) (-15 -2892 (|#3| |#3|)))) (-43 (-433 (-592))) (-1270 |#1|) (-1241 |#1| |#2|)) (T -296)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-388)) (-4 *4 (-43 *3)) (-4 *5 (-1270 *4)) (-5 *1 (-296 *4 *5 *2)) (-4 *2 (-1241 *4 *5)))) (-1430 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-4546 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1495 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1501 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1507 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1515 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1521 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1527 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1533 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1540 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1546 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1552 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1559 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1567 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1575 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1581 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1588 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1594 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1601 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1609 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1617 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1624 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1630 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1636 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-1642 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) (-2892 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4))))) 
-(-13 (-1012 |#3|) (-10 -7 (IF (|has| |#1| (-388)) (-15 ** (|#3| |#3| (-433 (-592)))) |noBranch|) (-15 -1430 (|#3| |#3|)) (-15 -4546 (|#3| |#3|)) (-15 -1495 (|#3| |#3|)) (-15 -1501 (|#3| |#3|)) (-15 -1507 (|#3| |#3|)) (-15 -1515 (|#3| |#3|)) (-15 -1521 (|#3| |#3|)) (-15 -1527 (|#3| |#3|)) (-15 -1533 (|#3| |#3|)) (-15 -1540 (|#3| |#3|)) (-15 -1546 (|#3| |#3|)) (-15 -1552 (|#3| |#3|)) (-15 -1559 (|#3| |#3|)) (-15 -1567 (|#3| |#3|)) (-15 -1575 (|#3| |#3|)) (-15 -1581 (|#3| |#3|)) (-15 -1588 (|#3| |#3|)) (-15 -1594 (|#3| |#3|)) (-15 -1601 (|#3| |#3|)) (-15 -1609 (|#3| |#3|)) (-15 -1617 (|#3| |#3|)) (-15 -1624 (|#3| |#3|)) (-15 -1630 (|#3| |#3|)) (-15 -1636 (|#3| |#3|)) (-15 -1642 (|#3| |#3|)) (-15 -2892 (|#3| |#3|)))) 
-((-2698 (((-3 |#3| "failed") |#3|) 66)) (-1588 ((|#3| |#3|) 133)) (-2540 (((-3 |#3| "failed") |#3|) 50)) (-1507 ((|#3| |#3|) 121)) (-4494 (((-3 |#3| "failed") |#3|) 62)) (-1575 ((|#3| |#3|) 131)) (-1923 (((-3 |#3| "failed") |#3|) 46)) (-1495 ((|#3| |#3|) 119)) (-1890 (((-3 |#3| "failed") |#3|) 70)) (-1601 ((|#3| |#3|) 135)) (-2063 (((-3 |#3| "failed") |#3|) 54)) (-1521 ((|#3| |#3|) 123)) (-1784 (((-3 |#3| "failed") |#3| (-790)) 35)) (-2548 (((-3 |#3| "failed") |#3|) 44)) (-4546 ((|#3| |#3|) 112)) (-4122 (((-3 |#3| "failed") |#3|) 42)) (-1430 ((|#3| |#3|) 118)) (-1415 (((-3 |#3| "failed") |#3|) 72)) (-1609 ((|#3| |#3|) 136)) (-2478 (((-3 |#3| "failed") |#3|) 56)) (-1527 ((|#3| |#3|) 124)) (-4208 (((-3 |#3| "failed") |#3|) 68)) (-1594 ((|#3| |#3|) 134)) (-2345 (((-3 |#3| "failed") |#3|) 52)) (-1515 ((|#3| |#3|) 122)) (-2966 (((-3 |#3| "failed") |#3|) 64)) (-1581 ((|#3| |#3|) 132)) (-2989 (((-3 |#3| "failed") |#3|) 48)) (-1501 ((|#3| |#3|) 120)) (-1650 (((-3 |#3| "failed") |#3|) 78)) (-1630 ((|#3| |#3|) 139)) (-3209 (((-3 |#3| "failed") |#3|) 58)) (-1546 ((|#3| |#3|) 127)) (-2416 (((-3 |#3| "failed") |#3|) 74)) (-1617 ((|#3| |#3|) 137)) (-4352 (((-3 |#3| "failed") |#3|) 102)) (-1533 ((|#3| |#3|) 125)) (-4069 (((-3 |#3| "failed") |#3|) 82)) (-1642 ((|#3| |#3|) 141)) (-3691 (((-3 |#3| "failed") |#3|) 109)) (-1559 ((|#3| |#3|) 129)) (-2590 (((-3 |#3| "failed") |#3|) 84)) (-2892 ((|#3| |#3|) 142)) (-1349 (((-3 |#3| "failed") |#3|) 111)) (-1567 ((|#3| |#3|) 130)) (-2295 (((-3 |#3| "failed") |#3|) 80)) (-1636 ((|#3| |#3|) 140)) (-2233 (((-3 |#3| "failed") |#3|) 60)) (-1552 ((|#3| |#3|) 128)) (-1510 (((-3 |#3| "failed") |#3|) 76)) (-1624 ((|#3| |#3|) 138)) (-2153 (((-3 |#3| "failed") |#3|) 105)) (-1540 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-433 (-592))) 40 (|has| |#1| (-388))))) 
-(((-297 |#1| |#2| |#3| |#4|) (-13 (-1012 |#3|) (-10 -7 (IF (|has| |#1| (-388)) (-15 ** (|#3| |#3| (-433 (-592)))) |noBranch|) (-15 -1430 (|#3| |#3|)) (-15 -4546 (|#3| |#3|)) (-15 -1495 (|#3| |#3|)) (-15 -1501 (|#3| |#3|)) (-15 -1507 (|#3| |#3|)) (-15 -1515 (|#3| |#3|)) (-15 -1521 (|#3| |#3|)) (-15 -1527 (|#3| |#3|)) (-15 -1533 (|#3| |#3|)) (-15 -1540 (|#3| |#3|)) (-15 -1546 (|#3| |#3|)) (-15 -1552 (|#3| |#3|)) (-15 -1559 (|#3| |#3|)) (-15 -1567 (|#3| |#3|)) (-15 -1575 (|#3| |#3|)) (-15 -1581 (|#3| |#3|)) (-15 -1588 (|#3| |#3|)) (-15 -1594 (|#3| |#3|)) (-15 -1601 (|#3| |#3|)) (-15 -1609 (|#3| |#3|)) (-15 -1617 (|#3| |#3|)) (-15 -1624 (|#3| |#3|)) (-15 -1630 (|#3| |#3|)) (-15 -1636 (|#3| |#3|)) (-15 -1642 (|#3| |#3|)) (-15 -2892 (|#3| |#3|)))) (-43 (-433 (-592))) (-1239 |#1|) (-1262 |#1| |#2|) (-1012 |#2|)) (T -297)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-388)) (-4 *4 (-43 *3)) (-4 *5 (-1239 *4)) (-5 *1 (-297 *4 *5 *2 *6)) (-4 *2 (-1262 *4 *5)) (-4 *6 (-1012 *5)))) (-1430 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-4546 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1495 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1501 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1507 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1515 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1521 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1527 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1533 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1540 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1546 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1552 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1559 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1567 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1575 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1581 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1588 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1594 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1601 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1609 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1617 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1624 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1630 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1636 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-1642 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) (-2892 (*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4))))) 
-(-13 (-1012 |#3|) (-10 -7 (IF (|has| |#1| (-388)) (-15 ** (|#3| |#3| (-433 (-592)))) |noBranch|) (-15 -1430 (|#3| |#3|)) (-15 -4546 (|#3| |#3|)) (-15 -1495 (|#3| |#3|)) (-15 -1501 (|#3| |#3|)) (-15 -1507 (|#3| |#3|)) (-15 -1515 (|#3| |#3|)) (-15 -1521 (|#3| |#3|)) (-15 -1527 (|#3| |#3|)) (-15 -1533 (|#3| |#3|)) (-15 -1540 (|#3| |#3|)) (-15 -1546 (|#3| |#3|)) (-15 -1552 (|#3| |#3|)) (-15 -1559 (|#3| |#3|)) (-15 -1567 (|#3| |#3|)) (-15 -1575 (|#3| |#3|)) (-15 -1581 (|#3| |#3|)) (-15 -1588 (|#3| |#3|)) (-15 -1594 (|#3| |#3|)) (-15 -1601 (|#3| |#3|)) (-15 -1609 (|#3| |#3|)) (-15 -1617 (|#3| |#3|)) (-15 -1624 (|#3| |#3|)) (-15 -1630 (|#3| |#3|)) (-15 -1636 (|#3| |#3|)) (-15 -1642 (|#3| |#3|)) (-15 -2892 (|#3| |#3|)))) 
-((-3113 (($ (-1 (-141) |#2|) $) 23)) (-1360 (($ $) 36)) (-4065 (($ (-1 (-141) |#2|) $) NIL) (($ |#2| $) 34)) (-4459 (($ |#2| $) 31) (($ (-1 (-141) |#2|) $) 17)) (-2713 (($ (-1 (-141) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-3666 (($ |#2| $ (-592)) 19) (($ $ $ (-592)) 21)) (-3208 (($ $ (-592)) 11) (($ $ (-1246 (-592))) 14)) (-3619 (($ $ |#2|) 29) (($ $ $) NIL)) (-2266 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-658 $)) NIL))) 
-(((-298 |#1| |#2|) (-10 -8 (-15 -2713 (|#1| |#1| |#1|)) (-15 -4065 (|#1| |#2| |#1|)) (-15 -2713 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -4065 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -3619 (|#1| |#1| |#1|)) (-15 -3619 (|#1| |#1| |#2|)) (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -3208 (|#1| |#1| (-1246 (-592)))) (-15 -3208 (|#1| |#1| (-592))) (-15 -2266 (|#1| (-658 |#1|))) (-15 -2266 (|#1| |#1| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -4459 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -3113 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4459 (|#1| |#2| |#1|)) (-15 -1360 (|#1| |#1|))) (-299 |#2|) (-1225)) (T -298)) 
-NIL 
-(-10 -8 (-15 -2713 (|#1| |#1| |#1|)) (-15 -4065 (|#1| |#2| |#1|)) (-15 -2713 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -4065 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -3619 (|#1| |#1| |#1|)) (-15 -3619 (|#1| |#1| |#2|)) (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -3208 (|#1| |#1| (-1246 (-592)))) (-15 -3208 (|#1| |#1| (-592))) (-15 -2266 (|#1| (-658 |#1|))) (-15 -2266 (|#1| |#1| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -4459 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -3113 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4459 (|#1| |#2| |#1|)) (-15 -1360 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) |#1|) 49 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 53 (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) |#1|) $) 78)) (-3113 (($ (-1 (-141) |#1|) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1461 (($ $) 76 (|has| |#1| (-1119)))) (-1360 (($ $) 73 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ (-1 (-141) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1119)))) (-4459 (($ |#1| $) 72 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 69 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 48)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-2713 (($ (-1 (-141) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2113 (($ |#1| $ (-592)) 81) (($ $ $ (-592)) 80)) (-3666 (($ |#1| $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 39 (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 66)) (-1892 (($ $ |#1|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) |#1|) 47) ((|#1| $ (-592)) 46) (($ $ (-1246 (-592))) 58)) (-4113 (($ $ (-592)) 84) (($ $ (-1246 (-592))) 83)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 65)) (-3619 (($ $ |#1|) 86) (($ $ $) 85)) (-2266 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-299 |#1|) (-1311) (-1225)) (T -299)) 
-((-3619 (*1 *1 *1 *2) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)))) (-3619 (*1 *1 *1 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)))) (-4113 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) (-4113 (*1 *1 *1 *2) (-12 (-5 *2 (-1246 (-592))) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) (-4065 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) (-2113 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-299 *2)) (-4 *2 (-1225)))) (-2113 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) (-2713 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) (-4125 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) (-4065 (*1 *1 *2 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)) (-4 *2 (-1119)))) (-1461 (*1 *1 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)) (-4 *2 (-1119)))) (-2713 (*1 *1 *1 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)) (-4 *2 (-869))))) 
-(-13 (-664 |t#1|) (-10 -8 (-6 -4626) (-15 -3619 ($ $ |t#1|)) (-15 -3619 ($ $ $)) (-15 -4113 ($ $ (-592))) (-15 -4113 ($ $ (-1246 (-592)))) (-15 -4065 ($ (-1 (-141) |t#1|) $)) (-15 -2113 ($ |t#1| $ (-592))) (-15 -2113 ($ $ $ (-592))) (-15 -2713 ($ (-1 (-141) |t#1| |t#1|) $ $)) (-15 -4125 ($ (-1 (-141) |t#1|) $)) (IF (|has| |t#1| (-1119)) (PROGN (-15 -4065 ($ |t#1| $)) (-15 -1461 ($ $))) |noBranch|) (IF (|has| |t#1| (-869)) (-15 -2713 ($ $ $)) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
+(5935638 . 3614189655)       
+((|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) 62) (((|Boolean|) $) NIL)) (|sort!| (($ (|Mapping| (|Boolean|) |#2| |#2|) $) 17) (($ $) NIL)) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) 34)) (|reverse!| (($ $) 58)) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (|Mapping| |#2| |#2| |#2|) $) 37)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) 22) (((|Integer|) |#2| $) NIL) (((|Integer|) |#2| $ (|Integer|)) 70)) (|parts| (((|List| |#2|) $) 13)) (|merge| (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (|map!| (($ (|Mapping| |#2| |#2|) $) 29)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) 44)) (|insert| (($ |#2| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) 49)) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) 24)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 21)) (|elt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) 48)) (|delete| (($ $ (|Integer|)) 55) (($ $ (|UniversalSegment| (|Integer|))) 54)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 26) (((|NonNegativeInteger|) |#2| $) NIL)) (|copyInto!| (($ $ $ (|Integer|)) 51)) (|copy| (($ $) 50)) (|construct| (($ (|List| |#2|)) 52)) (|concat| (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (|List| $)) 61)) (|coerce| (((|OutputForm|) $) 69)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 20)) (= (((|Boolean|) $ $) 64)) (< (((|Boolean|) $ $) 72))) 
+(((|OneDimensionalArrayAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |reverse!| (|#1| |#1|)) (SIGNATURE |copyInto!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|UniversalSegment| (|Integer|)) |#2|)) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |parts| ((|List| |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) (|OneDimensionalArrayAggregate| |#2|) (|Type|)) (T |OneDimensionalArrayAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |reverse!| (|#1| |#1|)) (SIGNATURE |copyInto!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|UniversalSegment| (|Integer|)) |#2|)) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |parts| ((|List| |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) 91) (((|Boolean|) $) 85 (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 81 (AND (|has| |#1| (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) |#1|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|reverse!| (($ $) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 93)) (|removeDuplicates| (($ $) 73 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 72 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 71 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 48)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) 90) (((|Integer|) |#1| $) 89 (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) 88 (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 80 (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 79 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 59)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 66)) (|fill!| (($ $ |#1|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) |#1|) 47) ((|#1| $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 84 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 65)) (|concat| (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 77 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 76 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) 78 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|OneDimensionalArrayAggregate| |#1|) (|Category|) (|Type|)) (T |OneDimensionalArrayAggregate|)) 
+NIL 
+(|Join| (|FiniteLinearAggregate| |t#1|) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))) 
+(((|Aggregate|) . T) ((|BasicType|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|FiniteLinearAggregate| |#1|) . T) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|SetCategory|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Type|) . T)) 
+((|subtractIfCan| (((|Union| $ "failed") $ $) 12)) (- (($ $) NIL) (($ $ $) 9)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) 16) (($ (|Integer|) $) 21))) 
+(((|AbelianGroup&| |#1|) (CATEGORY |domain| (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE |subtractIfCan| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|AbelianGroup|)) (T |AbelianGroup&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE |subtractIfCan| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19))) 
+(((|AbelianGroup|) (|Category|)) (T |AbelianGroup|)) 
+((- (*1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) (- (*1 *1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianGroup|)) (|isDomain| *2 (|Integer|))))) 
+(|Join| (|CancellationAbelianMonoid|) (CATEGORY |domain| (SIGNATURE - ($ $)) (SIGNATURE - ($ $ $)) (SIGNATURE * ($ (|Integer|) $)))) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|zero?| (((|Boolean|) $) 10)) (|sample| (($) 15)) (* (($ (|PositiveInteger|) $) 14) (($ (|NonNegativeInteger|) $) 18))) 
+(((|AbelianMonoid&| |#1|) (CATEGORY |domain| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE |sample| (|#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|AbelianMonoid|)) (T |AbelianMonoid&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE |sample| (|#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14))) 
+(((|AbelianMonoid|) (|Category|)) (T |AbelianMonoid|)) 
+((|Zero| (*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) (|sample| (*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) (|zero?| (*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(|Join| (|AbelianSemiGroup|) (CATEGORY |domain| (SIGNATURE (|Zero|) ($) |constant|) (SIGNATURE |sample| ($) |constant|) (SIGNATURE |zero?| ((|Boolean|) $)) (SIGNATURE * ($ (|NonNegativeInteger|) $)))) 
+(((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((* (($ (|PositiveInteger|) $) 10))) 
+(((|AbelianSemiGroup&| |#1|) (CATEGORY |domain| (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|AbelianSemiGroup|)) (T |AbelianSemiGroup&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12))) 
+(((|AbelianSemiGroup|) (|Category|)) (T |AbelianSemiGroup|)) 
+((+ (*1 *1 *1 *1) (|ofCategory| *1 (|AbelianSemiGroup|))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianSemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ (|PositiveInteger|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|zerosOf| (((|List| $) (|Polynomial| $)) 29) (((|List| $) (|SparseUnivariatePolynomial| $)) 16) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 20)) (|zeroOf| (($ (|Polynomial| $)) 27) (($ (|SparseUnivariatePolynomial| $)) 11) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 54)) (|rootsOf| (((|List| $) (|Polynomial| $)) 30) (((|List| $) (|SparseUnivariatePolynomial| $)) 18) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 19)) (|rootOf| (($ (|Polynomial| $)) 28) (($ (|SparseUnivariatePolynomial| $)) 13) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL))) 
+(((|AlgebraicallyClosedField&| |#1|) (CATEGORY |domain| (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|Polynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|Polynomial| |#1|)))) (|AlgebraicallyClosedField|)) (T |AlgebraicallyClosedField&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|Polynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|Polynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zerosOf| (((|List| $) (|Polynomial| $)) 78) (((|List| $) (|SparseUnivariatePolynomial| $)) 77) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 76)) (|zeroOf| (($ (|Polynomial| $)) 81) (($ (|SparseUnivariatePolynomial| $)) 80) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 79)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sqrt| (($ $) 90)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|rootsOf| (((|List| $) (|Polynomial| $)) 84) (((|List| $) (|SparseUnivariatePolynomial| $)) 83) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 82)) (|rootOf| (($ (|Polynomial| $)) 87) (($ (|SparseUnivariatePolynomial| $)) 86) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 85)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 89)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68) (($ $ (|Fraction| (|Integer|))) 88)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|AlgebraicallyClosedField|) (|Category|)) (T |AlgebraicallyClosedField|)) 
+((|rootOf| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) (|rootOf| (*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) (|rootOf| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) (|rootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) (|rootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) (|rootsOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) (|zeroOf| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) (|zeroOf| (*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) (|zeroOf| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) (|zerosOf| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) (|zerosOf| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) (|zerosOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1))))) 
+(|Join| (|Field|) (|RadicalCategory|) (CATEGORY |domain| (SIGNATURE |rootOf| ($ (|Polynomial| $))) (SIGNATURE |rootOf| ($ (|SparseUnivariatePolynomial| $))) (SIGNATURE |rootOf| ($ (|SparseUnivariatePolynomial| $) (|Symbol|))) (SIGNATURE |rootsOf| ((|List| $) (|Polynomial| $))) (SIGNATURE |rootsOf| ((|List| $) (|SparseUnivariatePolynomial| $))) (SIGNATURE |rootsOf| ((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|))) (SIGNATURE |zeroOf| ($ (|Polynomial| $))) (SIGNATURE |zeroOf| ($ (|SparseUnivariatePolynomial| $))) (SIGNATURE |zeroOf| ($ (|SparseUnivariatePolynomial| $) (|Symbol|))) (SIGNATURE |zerosOf| ((|List| $) (|Polynomial| $))) (SIGNATURE |zerosOf| ((|List| $) (|SparseUnivariatePolynomial| $))) (SIGNATURE |zerosOf| ((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RadicalCategory|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((|zerosOf| (((|List| $) (|Polynomial| $)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 50) (((|List| $) $) 19) (((|List| $) $ (|Symbol|)) 41)) (|zeroOf| (($ (|Polynomial| $)) NIL) (($ (|SparseUnivariatePolynomial| $)) NIL) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 52) (($ $) 17) (($ $ (|Symbol|)) 37)) (|rootsOf| (((|List| $) (|Polynomial| $)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 48) (((|List| $) $) 15) (((|List| $) $ (|Symbol|)) 43)) (|rootOf| (($ (|Polynomial| $)) NIL) (($ (|SparseUnivariatePolynomial| $)) NIL) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (($ $) 12) (($ $ (|Symbol|)) 39))) 
+(((|AlgebraicallyClosedFunctionSpace&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |zerosOf| ((|List| |#1|) |#1| (|Symbol|))) (SIGNATURE |zeroOf| (|#1| |#1| (|Symbol|))) (SIGNATURE |zerosOf| ((|List| |#1|) |#1|)) (SIGNATURE |zeroOf| (|#1| |#1|)) (SIGNATURE |rootsOf| ((|List| |#1|) |#1| (|Symbol|))) (SIGNATURE |rootOf| (|#1| |#1| (|Symbol|))) (SIGNATURE |rootsOf| ((|List| |#1|) |#1|)) (SIGNATURE |rootOf| (|#1| |#1|)) (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|Polynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|Polynomial| |#1|)))) (|AlgebraicallyClosedFunctionSpace| |#2|) (|Join| (|OrderedSet|) (|IntegralDomain|))) (T |AlgebraicallyClosedFunctionSpace&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |zerosOf| ((|List| |#1|) |#1| (|Symbol|))) (SIGNATURE |zeroOf| (|#1| |#1| (|Symbol|))) (SIGNATURE |zerosOf| ((|List| |#1|) |#1|)) (SIGNATURE |zeroOf| (|#1| |#1|)) (SIGNATURE |rootsOf| ((|List| |#1|) |#1| (|Symbol|))) (SIGNATURE |rootOf| (|#1| |#1| (|Symbol|))) (SIGNATURE |rootsOf| ((|List| |#1|) |#1|)) (SIGNATURE |rootOf| (|#1| |#1|)) (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zerosOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |zeroOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |zeroOf| (|#1| (|Polynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootsOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|) (|Symbol|))) (SIGNATURE |rootOf| (|#1| (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootOf| (|#1| (|Polynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zerosOf| (((|List| $) (|Polynomial| $)) 78) (((|List| $) (|SparseUnivariatePolynomial| $)) 77) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 76) (((|List| $) $) 122) (((|List| $) $ (|Symbol|)) 120)) (|zeroOf| (($ (|Polynomial| $)) 81) (($ (|SparseUnivariatePolynomial| $)) 80) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 79) (($ $) 123) (($ $ (|Symbol|)) 121)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|Symbol|)) $) 197)) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) 229 (|has| |#1| (|IntegralDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|tower| (((|List| (|Kernel| $)) $) 160)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) 150) (($ $ (|List| (|Equation| $))) 149) (($ $ (|Equation| $)) 148)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sqrt| (($ $) 90)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|rootsOf| (((|List| $) (|Polynomial| $)) 84) (((|List| $) (|SparseUnivariatePolynomial| $)) 83) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) 82) (((|List| $) $) 126) (((|List| $) $ (|Symbol|)) 124)) (|rootOf| (($ (|Polynomial| $)) 87) (($ (|SparseUnivariatePolynomial| $)) 86) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 85) (($ $) 127) (($ $ (|Symbol|)) 125)) (|retractIfCan| (((|Union| (|Polynomial| |#1|) "failed") $) 247 (|has| |#1| (|Ring|))) (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") $) 231 (|has| |#1| (|IntegralDomain|))) (((|Union| |#1| "failed") $) 193) (((|Union| (|Integer|) "failed") $) 191 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Symbol|) "failed") $) 184) (((|Union| (|Kernel| $) "failed") $) 135) (((|Union| (|Fraction| (|Integer|)) "failed") $) 119 (OR (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#1| (|IntegralDomain|))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|retract| (((|Polynomial| |#1|) $) 248 (|has| |#1| (|Ring|))) (((|Fraction| (|Polynomial| |#1|)) $) 232 (|has| |#1| (|IntegralDomain|))) ((|#1| $) 194) (((|Integer|) $) 190 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Symbol|) $) 185) (((|Kernel| $) $) 136) (((|Fraction| (|Integer|)) $) 118 (OR (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#1| (|IntegralDomain|))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|rem| (($ $ $) 54)) (|reducedSystem| (((|Matrix| |#1|) (|Matrix| $)) 237 (|has| |#1| (|Ring|))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 236 (|has| |#1| (|Ring|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 117 (OR (|and| (|has| |#1| (|Ring|)) (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (|and| (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))))) (((|Matrix| (|Integer|)) (|Matrix| $)) 116 (OR (|and| (|has| |#1| (|Ring|)) (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (|and| (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))))) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 189 (|has| |#1| (|PatternMatchable| (|Float|)))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 188 (|has| |#1| (|PatternMatchable| (|Integer|))))) (|paren| (($ (|List| $)) 154) (($ $) 153)) (|operators| (((|List| (|BasicOperator|)) $) 161)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 162)) (|one?| (((|Boolean|) $) 30)) (|odd?| (((|Boolean|) $) 182 (|has| $ (|RetractableTo| (|Integer|))))) (|numerator| (($ $) 214 (|has| |#1| (|Ring|)))) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) 213 (|has| |#1| (|Ring|)))) (|nthRoot| (($ $ (|Integer|)) 89)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) 179 (|has| $ (|Ring|)))) (|min| (($ $ $) 133)) (|max| (($ $ $) 132)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) 168)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) 158)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|kernels| (((|List| (|Kernel| $)) $) 159)) (|kernel| (($ (|BasicOperator|) (|List| $)) 167) (($ (|BasicOperator|) $) 166)) (|isTimes| (((|Union| (|List| $) "failed") $) 208 (|has| |#1| (|SemiGroup|)))) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) 217 (|has| |#1| (|Ring|)))) (|isPlus| (((|Union| (|List| $) "failed") $) 210 (|has| |#1| (|AbelianSemiGroup|)))) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) 211 (|has| |#1| (|AbelianSemiGroup|)))) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) 216 (|has| |#1| (|Ring|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) 215 (|has| |#1| (|Ring|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) 209 (|has| |#1| (|SemiGroup|)))) (|is?| (((|Boolean|) $ (|Symbol|)) 165) (((|Boolean|) $ (|BasicOperator|)) 164)) (|inv| (($ $) 70)) (|height| (((|NonNegativeInteger|) $) 157)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 195)) (|ground| ((|#1| $) 196)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|freeOf?| (((|Boolean|) $ (|Symbol|)) 170) (((|Boolean|) $ $) 169)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|even?| (((|Boolean|) $) 181 (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) 221 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) 220 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) 219 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) 218 (|has| |#1| (|Ring|))) (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) 207 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|BasicOperator|) $ (|Symbol|)) 206 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $) 205 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|))) 204 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|Symbol|)) 203 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|BasicOperator|) (|Mapping| $ $)) 178) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) 177) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) 176) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) 175) (($ $ (|Symbol|) (|Mapping| $ $)) 174) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) 173) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) 172) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) 171) (($ $ (|List| $) (|List| $)) 142) (($ $ $ $) 141) (($ $ (|Equation| $)) 140) (($ $ (|List| (|Equation| $))) 139) (($ $ (|List| (|Kernel| $)) (|List| $)) 138) (($ $ (|Kernel| $) $) 137)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|elt| (($ (|BasicOperator|) (|List| $)) 147) (($ (|BasicOperator|) $ $ $ $) 146) (($ (|BasicOperator|) $ $ $) 145) (($ (|BasicOperator|) $ $) 144) (($ (|BasicOperator|) $) 143)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|distribute| (($ $ $) 156) (($ $) 155)) (|differentiate| (($ $ (|Symbol|)) 245 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|))) 244 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 243 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 242 (|has| |#1| (|Ring|)))) (|denominator| (($ $) 224 (|has| |#1| (|IntegralDomain|)))) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) 223 (|has| |#1| (|IntegralDomain|)))) (|definingPolynomial| (($ $) 180 (|has| $ (|Ring|)))) (|convert| (((|InputForm|) $) 251 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ (|Factored| $)) 222 (|has| |#1| (|IntegralDomain|))) (((|Pattern| (|Float|)) $) 187 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Pattern| (|Integer|)) $) 186 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (|conjugate| (($ $ $) 250 (|has| |#1| (|Group|)))) (|commutator| (($ $ $) 249 (|has| |#1| (|Group|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ (|Polynomial| |#1|)) 246 (|has| |#1| (|Ring|))) (($ (|Fraction| (|Polynomial| |#1|))) 230 (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) 228 (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| (|Fraction| |#1|))) 227 (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| |#1|)) 226 (|has| |#1| (|IntegralDomain|))) (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) 212 (|has| |#1| (|Ring|))) (($ |#1|) 192) (($ (|Symbol|)) 183) (($ (|Kernel| $)) 134)) (|charthRoot| (((|Union| $ "failed") $) 235 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|box| (($ (|List| $)) 152) (($ $) 151)) (|belong?| (((|Boolean|) (|BasicOperator|)) 163)) (|associates?| (((|Boolean|) $ $) 38)) (|applyQuote| (($ (|Symbol|) (|List| $)) 202) (($ (|Symbol|) $ $ $ $) 201) (($ (|Symbol|) $ $ $) 200) (($ (|Symbol|) $ $) 199) (($ (|Symbol|) $) 198)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|Symbol|)) 241 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|))) 240 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 239 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 238 (|has| |#1| (|Ring|)))) (>= (((|Boolean|) $ $) 130)) (> (((|Boolean|) $ $) 129)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 131)) (< (((|Boolean|) $ $) 128)) (/ (($ $ $) 64) (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) 225 (|has| |#1| (|IntegralDomain|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68) (($ $ (|Fraction| (|Integer|))) 88)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ $ |#1|) 234 (|has| |#1| (|CommutativeRing|))) (($ |#1| $) 233 (|has| |#1| (|CommutativeRing|))))) 
+(((|AlgebraicallyClosedFunctionSpace| |#1|) (|Category|) (|Join| (|OrderedSet|) (|IntegralDomain|))) (T |AlgebraicallyClosedFunctionSpace|)) 
+((|rootOf| (*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|rootsOf| (*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)))) (|rootOf| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|rootsOf| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) (|zeroOf| (*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|zerosOf| (*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)))) (|zeroOf| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|zerosOf| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4))))) 
+(|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| |t#1|) (CATEGORY |domain| (SIGNATURE |rootOf| ($ $)) (SIGNATURE |rootsOf| ((|List| $) $)) (SIGNATURE |rootOf| ($ $ (|Symbol|))) (SIGNATURE |rootsOf| ((|List| $) $ (|Symbol|))) (SIGNATURE |zeroOf| ($ $)) (SIGNATURE |zerosOf| ((|List| $) $)) (SIGNATURE |zeroOf| ($ $ (|Symbol|))) (SIGNATURE |zerosOf| ((|List| $) $ (|Symbol|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) . T) ((|AlgebraicallyClosedField|) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| |#1| |#1|) |has| |#1| (|CommutativeRing|)) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|ConvertibleTo| (|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) ((|ConvertibleTo| (|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Evalable| $) . T) ((|ExpressionSpace|) . T) ((|Field|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) |has| |#1| (|Ring|)) ((|FullyPatternMatchable| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|FunctionSpace| |#1|) . T) ((|GcdDomain|) . T) ((|Group|) |has| |#1| (|Group|)) ((|InnerEvalable| (|Kernel| $) $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| |#1|) |has| |#1| (|CommutativeRing|)) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|LinearlyExplicitRingOver| (|Integer|)) AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) ((|LinearlyExplicitRingOver| |#1|) |has| |#1| (|Ring|)) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedSet|) . T) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|Ring|)) ((|PatternMatchable| (|Float|)) |has| |#1| (|PatternMatchable| (|Float|))) ((|PatternMatchable| (|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) ((|Patternable| |#1|) . T) ((|PrincipalIdealDomain|) . T) ((|RadicalCategory|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|))))) ((|RetractableTo| (|Fraction| (|Polynomial| |#1|))) |has| |#1| (|IntegralDomain|)) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| (|Kernel| $)) . T) ((|RetractableTo| (|Polynomial| |#1|)) |has| |#1| (|Ring|)) ((|RetractableTo| (|Symbol|)) . T) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| |#1|) |has| |#1| (|CommutativeRing|)) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|Type|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((|yRange| (((|Segment| (|DoubleFloat|)) $) NIL)) (|xRange| (((|Segment| (|DoubleFloat|)) $) NIL)) (|refine| (($ $ (|DoubleFloat|)) 122)) (|makeSketch| (($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|)))) 84)) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 134)) (|coerce| (((|OutputForm|) $) 146))) 
+(((|PlaneAlgebraicCurvePlot|) (|Join| (|PlottablePlaneCurveCategory|) (CATEGORY |domain| (SIGNATURE |makeSketch| ($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|))))) (SIGNATURE |refine| ($ $ (|DoubleFloat|)))))) (T |PlaneAlgebraicCurvePlot|)) 
+((|makeSketch| (*1 *1 *2 *3 *3 *4 *4) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Segment| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|)))) (|refine| (*1 *1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|))))) 
+(|Join| (|PlottablePlaneCurveCategory|) (CATEGORY |domain| (SIGNATURE |makeSketch| ($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|))))) (SIGNATURE |refine| ($ $ (|DoubleFloat|))))) 
+((|affineSingularPoints| (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3|) 38)) (|affineRationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) 33)) (|affineAlgSet| (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| |#3|)) 40))) 
+(((|AffineAlgebraicSetComputeWithGroebnerBasis| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |affineAlgSet| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| |#3|))) (SIGNATURE |affineSingularPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3|)) (SIGNATURE |affineRationalPoints| ((|List| |#5|) |#3| (|PositiveInteger|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|)) (T |AffineAlgebraicSetComputeWithGroebnerBasis|)) 
+((|affineRationalPoints| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) (|affineSingularPoints| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) (|affineAlgSet| (*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |affineAlgSet| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| |#3|))) (SIGNATURE |affineSingularPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3|)) (SIGNATURE |affineRationalPoints| ((|List| |#5|) |#3| (|PositiveInteger|)))) 
+((|polyRing2UPUP| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) |#3|) 35)) (|allPairsAmong| (((|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) 54)) (|affineSingularPoints| (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) 56) (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3|) 57)) (|affineRationalPoints| (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3| (|PositiveInteger|)) 51)) (|affineAlgSetLocal| (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) 70)) (|affineAlgSet| (((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| |#3|)) 50))) 
+(((|AffineAlgebraicSetComputeWithResultant| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |affineSingularPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3|)) (SIGNATURE |affineSingularPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |affineAlgSetLocal| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))))) (SIGNATURE |affineAlgSet| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| |#3|))) (SIGNATURE |polyRing2UPUP| ((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) |#3|)) (SIGNATURE |allPairsAmong| ((|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))))) (SIGNATURE |affineRationalPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3| (|PositiveInteger|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|)) (T |AffineAlgebraicSetComputeWithResultant|)) 
+((|affineRationalPoints| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) (|allPairsAmong| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) (|polyRing2UPUP| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) (|affineAlgSet| (*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) (|affineAlgSetLocal| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) (|affineSingularPoints| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) (|affineSingularPoints| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |affineSingularPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3|)) (SIGNATURE |affineSingularPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |affineAlgSetLocal| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))))) (SIGNATURE |affineAlgSet| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) (|List| |#3|))) (SIGNATURE |polyRing2UPUP| ((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) |#3|)) (SIGNATURE |allPairsAmong| ((|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))))) (SIGNATURE |affineRationalPoints| ((|Union| (|List| |#5|) "failed" "Infinite" (|Integer|)) |#3| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) NIL)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) NIL) (((|List| $) (|List| $)) NIL)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL) (((|Boolean|) $) NIL)) (|pointValue| (((|List| |#1|) $) NIL)) (|origin| (($) NIL)) (|orbit| (((|List| $) $) NIL) (((|List| $) $ (|NonNegativeInteger|)) NIL)) (|list| (((|List| |#1|) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#1| $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|definingField| ((|#1| $) NIL)) (|conjugate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (((|List| |#1|) $) NIL) (($ (|List| |#1|)) NIL)) (|affinePoint| (($ (|List| |#1|)) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|AffinePlane| |#1|) (|AffineSpaceCategory| |#1|) (|Field|)) (T |AffinePlane|)) 
+NIL 
+(|AffineSpaceCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|setelt| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $ (|Integer|) (|PseudoAlgebraicClosureOfFiniteField| |#1|)) NIL)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) NIL) (((|List| $) (|List| $)) NIL)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL) (((|Boolean|) $) NIL)) (|pointValue| (((|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|origin| (($) NIL)) (|orbit| (((|List| $) $) NIL) (((|List| $) $ (|NonNegativeInteger|)) NIL)) (|list| (((|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|definingField| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $) NIL)) (|conjugate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (((|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL) (($ (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (|affinePoint| (($ (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|AffineSpaceCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|FiniteFieldCategory|)) (T |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField|)) 
+NIL 
+(|AffineSpaceCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) 
+((~= (((|Boolean|) $ $) NIL)) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) 39) (((|List| $) (|List| $)) 40)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) 36) (((|Boolean|) $) 38)) (|pointValue| (((|List| |#2|) $) 31)) (|origin| (($) 12)) (|orbit| (((|List| $) $) 48) (((|List| $) $ (|NonNegativeInteger|)) 45)) (|list| (((|List| |#2|) $) 30)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#2| $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) 20)) (|definingField| ((|#2| $) 26)) (|conjugate| (($ $ (|NonNegativeInteger|)) 33) (($ $) 47)) (|coerce| (((|OutputForm|) $) 23) (((|List| |#2|) $) 28) (($ (|List| |#2|)) 51)) (|affinePoint| (($ (|List| |#2|)) 29)) (= (((|Boolean|) $ $) 35))) 
+(((|AffineSpace| |#1| |#2|) (|AffineSpaceCategory| |#2|) (|NonNegativeInteger|) (|Field|)) (T |AffineSpace|)) 
+NIL 
+(|AffineSpaceCategory| |#2|) 
+((|rootOf| ((|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|)) 42)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 54)) (|minPoly| (((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) 129 (|has| |#1| (|RetractableTo| (|Integer|))))) (|iroot| ((|#2| |#1| (|Integer|)) 108 (|has| |#1| (|RetractableTo| (|Integer|))))) (|inrootof| ((|#2| (|SparseUnivariatePolynomial| |#2|) |#2|) 30)) (|droot| (((|OutputForm|) (|List| |#2|)) 84)) (|definingPolynomial| ((|#2| |#2|) 125 (|has| |#1| (|RetractableTo| (|Integer|))))) (|belong?| (((|Boolean|) (|BasicOperator|)) 18)) (** ((|#2| |#2| (|Fraction| (|Integer|))) 89 (|has| |#1| (|RetractableTo| (|Integer|)))))) 
+(((|AlgebraicFunction| |#1| |#2|) (CATEGORY |package| (SIGNATURE |rootOf| (|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |inrootof| (|#2| (|SparseUnivariatePolynomial| |#2|) |#2|)) (SIGNATURE |droot| ((|OutputForm|) (|List| |#2|))) (IF (|has| |#1| (|RetractableTo| (|Integer|))) (PROGN (SIGNATURE ** (|#2| |#2| (|Fraction| (|Integer|)))) (SIGNATURE |minPoly| ((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|))) (SIGNATURE |definingPolynomial| (|#2| |#2|)) (SIGNATURE |iroot| (|#2| |#1| (|Integer|)))) |noBranch|)) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|FunctionSpace| |#1|)) (T |AlgebraicFunction|)) 
+((|iroot| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|FunctionSpace| *3)) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|definingPolynomial| (*1 *2 *2) (AND (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|minPoly| (*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)))) (** (*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|droot| (*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)))) (|inrootof| (*1 *2 *3 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2)))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) (|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) (|rootOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|AlgebraicFunction| *5 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(CATEGORY |package| (SIGNATURE |rootOf| (|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |inrootof| (|#2| (|SparseUnivariatePolynomial| |#2|) |#2|)) (SIGNATURE |droot| ((|OutputForm|) (|List| |#2|))) (IF (|has| |#1| (|RetractableTo| (|Integer|))) (PROGN (SIGNATURE ** (|#2| |#2| (|Fraction| (|Integer|)))) (SIGNATURE |minPoly| ((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|))) (SIGNATURE |definingPolynomial| (|#2| |#2|)) (SIGNATURE |iroot| (|#2| |#1| (|Integer|)))) |noBranch|)) 
+((~= (((|Boolean|) $ $) 7)) (|setelt| ((|#1| $ (|Integer|) |#1|) 14)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) 20) (((|List| $) (|List| $)) 19)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) 18) (((|Boolean|) $) 17)) (|pointValue| (((|List| |#1|) $) 13)) (|origin| (($) 29)) (|orbit| (((|List| $) $) 24) (((|List| $) $ (|NonNegativeInteger|)) 23)) (|list| (((|List| |#1|) $) 16)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|elt| ((|#1| $ (|Integer|)) 15)) (|degree| (((|PositiveInteger|) $) 12)) (|definingField| ((|#1| $) 27)) (|conjugate| (($ $ (|NonNegativeInteger|)) 22) (($ $) 21)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#1|) $) 26) (($ (|List| |#1|)) 25)) (|affinePoint| (($ (|List| |#1|)) 28)) (= (((|Boolean|) $ $) 6))) 
+(((|AffineSpaceCategory| |#1|) (|Category|) (|Field|)) (T |AffineSpaceCategory|)) 
+((|origin| (*1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|affinePoint| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) (|definingField| (*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) (|orbit| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) (|orbit| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *4)))) (|conjugate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) (|conjugate| (*1 *1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|removeConjugate| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) (|removeConjugate| (*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) (|rational?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|rational?| (*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|list| (*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|pointValue| (*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
+(|Join| (|SetCategoryWithDegree|) (CATEGORY |domain| (SIGNATURE |origin| ($)) (SIGNATURE |affinePoint| ($ (|List| |t#1|))) (SIGNATURE |definingField| (|t#1| $)) (SIGNATURE |coerce| ((|List| |t#1|) $)) (SIGNATURE |coerce| ($ (|List| |t#1|))) (SIGNATURE |orbit| ((|List| $) $)) (SIGNATURE |orbit| ((|List| $) $ (|NonNegativeInteger|))) (SIGNATURE |conjugate| ($ $ (|NonNegativeInteger|))) (SIGNATURE |conjugate| ($ $)) (SIGNATURE |removeConjugate| ((|List| $) (|List| $) (|NonNegativeInteger|))) (SIGNATURE |removeConjugate| ((|List| $) (|List| $))) (SIGNATURE |rational?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |list| ((|List| |t#1|) $)) (SIGNATURE |elt| (|t#1| $ (|Integer|))) (SIGNATURE |setelt| (|t#1| $ (|Integer|) |t#1|)) (SIGNATURE |pointValue| ((|List| |t#1|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T) ((|SetCategoryWithDegree|) . T)) 
+((|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 16)) (|sample| (($) 10)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 15)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 14)) (|eq?| (((|Boolean|) $ $) 8)) (|empty?| (((|Boolean|) $) 13))) 
+(((|Aggregate&| |#1|) (CATEGORY |domain| (SIGNATURE |sample| (|#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |empty?| ((|Boolean|) |#1|)) (SIGNATURE |eq?| ((|Boolean|) |#1| |#1|))) (|Aggregate|)) (T |Aggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |sample| (|#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |empty?| ((|Boolean|) |#1|)) (SIGNATURE |eq?| ((|Boolean|) |#1| |#1|))) 
+((|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|copy| (($ $) 13)) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Aggregate|) (|Category|)) (T |Aggregate|)) 
+((|eq?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) (|copy| (*1 *1 *1) (|ofCategory| *1 (|Aggregate|))) (|empty| (*1 *1) (|ofCategory| *1 (|Aggregate|))) (|empty?| (*1 *2 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) (|less?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) (|more?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) (|size?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) (|sample| (*1 *1) (|ofCategory| *1 (|Aggregate|))) (|#| (*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(|Join| (|Type|) (CATEGORY |domain| (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |empty| ($)) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |sample| ($) |constant|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) |noBranch|))) 
+(((|Type|) . T)) 
+((|atanh| (($ $) 11)) (|asinh| (($ $) 10)) (|asech| (($ $) 9)) (|acsch| (($ $) 8)) (|acoth| (($ $) 7)) (|acosh| (($ $) 6))) 
+(((|ArcHyperbolicFunctionCategory|) (|Category|)) (T |ArcHyperbolicFunctionCategory|)) 
+((|atanh| (*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) (|asinh| (*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) (|asech| (*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) (|acsch| (*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) (|acoth| (*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) (|acosh| (*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |acosh| ($ $)) (SIGNATURE |acoth| ($ $)) (SIGNATURE |acsch| ($ $)) (SIGNATURE |asech| ($ $)) (SIGNATURE |asinh| ($ $)) (SIGNATURE |atanh| ($ $)))) 
+((~= (((|Boolean|) $ $) 18 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|value| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 117)) (|third| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 140)) (|tail| (($ $) 138)) (|table| (($) 66) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 65)) (|swap!| (((|Void|) $ |#1| |#1|) 93 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Void|) $ (|Integer|) (|Integer|)) 170 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) 151 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 201) (((|Boolean|) $) 195 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 192 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 191 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 202) (($ $) 196 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 126 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 147 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 149 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 145 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#2| $ |#1| |#2|) 67) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 181 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|UniversalSegment| (|Integer|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 152 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "last" (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 150 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 148 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "first" (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 146 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "value" (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 125 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 124 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 208)) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 167 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 139)) (|search| (((|Union| |#2| "failed") |#1| $) 57)) (|sample| (($) 7 T CONST)) (|reverse!| (($ $) 193 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 203)) (|rest| (($ $ (|NonNegativeInteger|)) 134) (($ $) 132)) (|removeDuplicates!| (($ $) 206 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|removeDuplicates| (($ $) 55 (OR (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))) (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) 58) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 212) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 207 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 54 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 169 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 166 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 53 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 168 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 165 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 164 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) 81 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 182 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) 82) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) 180)) (|possiblyInfinite?| (((|Boolean|) $) 184)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 200) (((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 199 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) (((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) 198 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) 73 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 106 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 115)) (|node?| (((|Boolean|) $ $) 123 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 161)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| ((|#1| $) 90 (|has| |#1| (|OrderedSet|))) (((|Integer|) $) 172 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 190 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|merge!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ $) 209) (($ $ $) 205 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ $) 204) (($ $ $) 197 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) 74 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 107 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 27 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Boolean|) |#2| $) 76 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 109 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| ((|#1| $) 89 (|has| |#1| (|OrderedSet|))) (((|Integer|) $) 173 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 189 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) 69 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 102 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 35) (($ (|Mapping| |#2| |#2|) $) 68) (($ (|Mapping| |#2| |#2| |#2|) $ $) 64) (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ $) 158) (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 101)) (|list| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 217)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 120)) (|leaf?| (((|Boolean|) $) 116)) (|latex| (((|String|) $) 22 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|last| (($ $ (|NonNegativeInteger|)) 137) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 135)) (|keys| (((|List| |#1|) $) 59)) (|key?| (((|Boolean|) |#1| $) 60)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 36)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 37) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) 211) (($ $ $ (|Integer|)) 210)) (|insert| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) 154) (($ $ $ (|Integer|)) 153)) (|indices| (((|List| |#1|) $) 87) (((|List| (|Integer|)) $) 175)) (|index?| (((|Boolean|) |#1| $) 86) (((|Boolean|) (|Integer|) $) 176)) (|hash| (((|SingleInteger|) $) 21 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|first| ((|#2| $) 91 (|has| |#1| (|OrderedSet|))) (($ $ (|NonNegativeInteger|)) 131) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 129)) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 48) (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 163)) (|fill!| (($ $ |#2|) 92 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 171 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 38)) (|explicitlyFinite?| (((|Boolean|) $) 183)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 71 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 104 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 26 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 25 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 24 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 23 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) 80 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) 79 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) 78 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) 77 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 113 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 112 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 111 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 110 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#2| $) 88 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 174 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|entries| (((|List| |#2|) $) 85) (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 177)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 179) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) 178) (($ $ (|UniversalSegment| (|Integer|))) 157) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "last") 136) (($ $ "rest") 133) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "first") 130) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "value") 118)) (|distance| (((|Integer|) $ $) 121)) (|dictionary| (($) 46) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 45)) (|delete!| (($ $ (|Integer|)) 214) (($ $ (|UniversalSegment| (|Integer|))) 213)) (|delete| (($ $ (|Integer|)) 156) (($ $ (|UniversalSegment| (|Integer|))) 155)) (|cyclic?| (((|Boolean|) $) 119)) (|cycleTail| (($ $) 143)) (|cycleSplit!| (($ $) 144 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) 142)) (|cycleEntry| (($ $) 141)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 28 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) |#2| $) 75 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 72 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 108 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 105 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copyInto!| (($ $ $ (|Integer|)) 194 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|)))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 47) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 162)) (|concat!| (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 216) (($ $ $) 215)) (|concat| (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 160) (($ (|List| $)) 159) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 128) (($ $ $) 127)) (|coerce| (((|OutputForm|) $) 20 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|children| (((|List| $) $) 114)) (|child?| (((|Boolean|) $ $) 122 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 39)) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) 100)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 103 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 187 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (> (((|Boolean|) $ $) 186 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (<= (((|Boolean|) $ $) 188 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (< (((|Boolean|) $ $) 185 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|AssociationListAggregate| |#1| |#2|) (|Category|) (|SetCategory|) (|SetCategory|)) (T |AssociationListAggregate|)) 
+((|assoc| (*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|AssociationListAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |key| *3) (|:| |entry| *4)))))) 
+(|Join| (|TableAggregate| |t#1| |t#2|) (|ListAggregate| (|Record| (|:| |key| |t#1|) (|:| |entry| |t#2|))) (CATEGORY |domain| (SIGNATURE |assoc| ((|Union| (|Record| (|:| |key| |t#1|) (|:| |entry| |t#2|)) "failed") |t#1| $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|BasicType|) OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|))) ((|Collection| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|ConvertibleTo| (|InputForm|)) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))) ((|Dictionary| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|DictionaryOperations| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|Eltable| (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|Eltable| |#1| |#2|) . T) ((|EltableAggregate| (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|EltableAggregate| |#1| |#2|) . T) ((|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|Evalable| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|ExtensibleLinearAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|FiniteLinearAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|HomogeneousAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|HomogeneousAggregate| |#2|) . T) ((|IndexedAggregate| (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|IndexedAggregate| |#1| |#2|) . T) ((|InnerEvalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|InnerEvalable| |#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|KeyedDictionary| |#1| |#2|) . T) ((|LinearAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|ListAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|OrderedSet|) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)) ((|RecursiveAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|SetCategory|) OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|))) ((|StreamAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|TableAggregate| |#1| |#2|) . T) ((|Type|) . T) ((|UnaryRecursiveAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T)) 
+((|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) 10))) 
+(((|Algebra&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|Algebra| |#2|) (|CommutativeRing|)) (T |Algebra&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((|Algebra| |#1|) (|Category|) (|CommutativeRing|)) (T |Algebra|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|Algebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(|Join| (|Ring|) (|Module| |t#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |t#1|)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) . T) ((|Monoid|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|split| (((|Factored| |#1|) |#1|) 38)) (|factor| (((|Factored| |#1|) |#1|) 27) (((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|))) 30)) (|doublyTransitive?| (((|Boolean|) |#1|) 54))) 
+(((|AlgFactor| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|)))) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |split| ((|Factored| |#1|) |#1|)) (SIGNATURE |doublyTransitive?| ((|Boolean|) |#1|))) (|UnivariatePolynomialCategory| (|AlgebraicNumber|))) (T |AlgFactor|)) 
+((|doublyTransitive?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) (|split| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) (|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|)))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|)))) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |split| ((|Factored| |#1|) |#1|)) (SIGNATURE |doublyTransitive?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|unitCanonical| (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|unit?| (((|Boolean|) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|traceMatrix| (((|Matrix| (|Fraction| |#2|)) (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|))) NIL)) (|trace| (((|Fraction| |#2|) $) NIL)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|size| (((|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|singularAtInfinity?| (((|Boolean|)) NIL)) (|singular?| (((|Boolean|) |#1|) NIL) (((|Boolean|) |#2|) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Fraction| |#2|) "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| |#2|) $) NIL)) (|represents| (($ (|Vector| (|Fraction| |#2|)) (|Vector| $)) NIL) (($ (|Vector| (|Fraction| |#2|))) 57) (($ (|Vector| |#2|) |#2|) 124)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|rem| (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|regularRepresentation| (((|Matrix| (|Fraction| |#2|)) $ (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|)) $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Fraction| |#2|))) (|:| |vec| (|Vector| (|Fraction| |#2|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|)) (|Matrix| $)) NIL)) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) NIL)) (|reduce| (($ |#3|) NIL) (((|Union| $ "failed") (|Fraction| |#3|)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalPoints| (((|List| (|List| |#1|))) NIL (|has| |#1| (|Finite|)))) (|rationalPoint?| (((|Boolean|) |#1| |#1|) NIL)) (|rank| (((|PositiveInteger|)) NIL)) (|random| (($) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|ramifiedAtInfinity?| (((|Boolean|)) NIL)) (|ramified?| (((|Boolean|) |#1|) NIL) (((|Boolean|) |#2|) NIL)) (|quo| (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|primitivePart| (($ $) NIL)) (|primitiveElement| (($) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (($ $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|order| (((|PositiveInteger|) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfComponents| (((|NonNegativeInteger|)) NIL)) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) 100)) (|norm| (((|Fraction| |#2|) $) NIL)) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) NIL (|has| |#1| (|Field|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|minimalPolynomial| ((|#3| $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|lift| ((|#3| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|latex| (((|String|) $) NIL)) (|knownInfBasis| (((|Void|) (|NonNegativeInteger|)) 78)) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) 51)) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) 44)) (|inv| (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|integralRepresents| (($ (|Vector| |#2|) |#2|) 125)) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) 45)) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) 43)) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) 122)) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) 63)) (|integralBasisAtInfinity| (((|Vector| $)) 42)) (|integralBasis| (((|Vector| $)) 41)) (|integralAtInfinity?| (((|Boolean|) $) NIL)) (|integral?| (((|Boolean|) $) NIL) (((|Boolean|) $ |#1|) NIL) (((|Boolean|) $ |#2|) NIL)) (|init| (($) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|hyperelliptic| (((|Union| |#2| "failed")) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|genus| (((|NonNegativeInteger|)) NIL)) (|generator| (($) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|factor| (((|Factored| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (|Fraction| |#2|) (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|enumerate| (((|List| $)) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|elt| ((|#1| $ |#1| |#1|) NIL)) (|elliptic| (((|Union| |#2| "failed")) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|discriminant| (((|Fraction| |#2|) (|Vector| $)) NIL) (((|Fraction| |#2|)) 39)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|differentiate| (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|)) (|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| |#2| |#2|)) 118) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (($ $) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))))) (|derivationCoordinates| (((|Matrix| (|Fraction| |#2|)) (|Vector| $) (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|definingPolynomial| ((|#3|) 50)) (|createPrimitiveElement| (($) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|coordinates| (((|Vector| (|Fraction| |#2|)) $ (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|)) (|Vector| $) (|Vector| $)) NIL) (((|Vector| (|Fraction| |#2|)) $) 58) (((|Matrix| (|Fraction| |#2|)) (|Vector| $)) 101)) (|convert| (((|Vector| (|Fraction| |#2|)) $) NIL) (($ (|Vector| (|Fraction| |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|complementaryBasis| (((|Vector| $) (|Vector| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| |#2|)) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|charthRoot| (($ $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|Union| $ "failed") $) NIL (|has| (|Fraction| |#2|) (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#3| $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|branchPointAtInfinity?| (((|Boolean|)) 37)) (|branchPoint?| (((|Boolean|) |#1|) 49) (((|Boolean|) |#2|) 130)) (|basis| (((|Vector| $)) 91)) (|associates?| (((|Boolean|) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) NIL)) (|absolutelyIrreducible?| (((|Boolean|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|Zero| (($) 16 T CONST)) (|One| (($) 26 T CONST)) (D (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|)) (|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (($ $) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| |#2|)) NIL) (($ (|Fraction| |#2|) $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| (|Fraction| |#2|) (|Field|))))) 
+(((|AlgebraicFunctionField| |#1| |#2| |#3| |#4|) (|Join| (|FunctionFieldCategory| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |knownInfBasis| ((|Void|) (|NonNegativeInteger|))))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) |#3|) (T |AlgebraicFunctionField|)) 
+((|knownInfBasis| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AlgebraicFunctionField| *4 *5 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofType| *7 *6)))) 
+(|Join| (|FunctionFieldCategory| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |knownInfBasis| ((|Void|) (|NonNegativeInteger|))))) 
+((|rootSplit| ((|#2| |#2|) 47)) (|rootSimp| ((|#2| |#2|) 116 (AND (|has| |#2| (|FunctionSpace| |#1|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|OrderedSet|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|rootProduct| ((|#2| |#2|) 85 (AND (|has| |#2| (|FunctionSpace| |#1|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|OrderedSet|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|rootPower| ((|#2| |#2|) 86 (AND (|has| |#2| (|FunctionSpace| |#1|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|OrderedSet|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|rootKerSimp| ((|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)) 73 (AND (|has| |#2| (|FunctionSpace| |#1|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|OrderedSet|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|ratPoly| (((|SparseUnivariatePolynomial| |#2|) |#2|) 44)) (|ratDenom| ((|#2| |#2| (|List| (|Kernel| |#2|))) 17) ((|#2| |#2| (|List| |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
+(((|AlgebraicManipulations| |#1| |#2|) (CATEGORY |package| (SIGNATURE |rootSplit| (|#2| |#2|)) (SIGNATURE |ratDenom| (|#2| |#2|)) (SIGNATURE |ratDenom| (|#2| |#2| |#2|)) (SIGNATURE |ratDenom| (|#2| |#2| (|List| |#2|))) (SIGNATURE |ratDenom| (|#2| |#2| (|List| (|Kernel| |#2|)))) (SIGNATURE |ratPoly| ((|SparseUnivariatePolynomial| |#2|) |#2|)) (IF (|has| |#1| (|OrderedSet|)) (IF (|has| |#1| (|GcdDomain|)) (IF (|has| |#1| (|RetractableTo| (|Integer|))) (IF (|has| |#2| (|FunctionSpace| |#1|)) (PROGN (SIGNATURE |rootPower| (|#2| |#2|)) (SIGNATURE |rootProduct| (|#2| |#2|)) (SIGNATURE |rootSimp| (|#2| |#2|)) (SIGNATURE |rootKerSimp| (|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (|IntegralDomain|) (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))))))) (T |AlgebraicManipulations|)) 
+((|rootKerSimp| (*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *5 *2)) (|ofCategory| *2 (|FunctionSpace| *5)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *5 (|Kernel| $))))))))) (|rootSimp| (*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) (|rootProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) (|rootPower| (*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) (|ratPoly| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|AlgebraicManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))))) (|ratDenom| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) (|ratDenom| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) (|ratDenom| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) (|ratDenom| (*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) (|rootSplit| (*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(CATEGORY |package| (SIGNATURE |rootSplit| (|#2| |#2|)) (SIGNATURE |ratDenom| (|#2| |#2|)) (SIGNATURE |ratDenom| (|#2| |#2| |#2|)) (SIGNATURE |ratDenom| (|#2| |#2| (|List| |#2|))) (SIGNATURE |ratDenom| (|#2| |#2| (|List| (|Kernel| |#2|)))) (SIGNATURE |ratPoly| ((|SparseUnivariatePolynomial| |#2|) |#2|)) (IF (|has| |#1| (|OrderedSet|)) (IF (|has| |#1| (|GcdDomain|)) (IF (|has| |#1| (|RetractableTo| (|Integer|))) (IF (|has| |#2| (|FunctionSpace| |#1|)) (PROGN (SIGNATURE |rootPower| (|#2| |#2|)) (SIGNATURE |rootProduct| (|#2| |#2|)) (SIGNATURE |rootSimp| (|#2| |#2|)) (SIGNATURE |rootKerSimp| (|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((|factor| (((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))) 22) (((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|))) 18))) 
+(((|AlgebraicMultFact| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|)))) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|PolynomialCategory| (|AlgebraicNumber|) |#2| |#1|)) (T |AlgebraicMultFact|)) 
+((|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|)))) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))))) 
+((|weakBiRank| (((|NonNegativeInteger|) |#2|) 65)) (|rightRank| (((|NonNegativeInteger|) |#2|) 68)) (|radicalOfLeftTraceForm| (((|List| |#2|)) 33)) (|leftRank| (((|NonNegativeInteger|) |#2|) 67)) (|doubleRank| (((|NonNegativeInteger|) |#2|) 64)) (|biRank| (((|NonNegativeInteger|) |#2|) 66)) (|basisOfRightNucloid| (((|List| (|Matrix| |#1|))) 60)) (|basisOfRightNucleus| (((|List| |#2|)) 55)) (|basisOfRightAnnihilator| (((|List| |#2|) |#2|) 43)) (|basisOfNucleus| (((|List| |#2|)) 57)) (|basisOfMiddleNucleus| (((|List| |#2|)) 56)) (|basisOfLeftNucloid| (((|List| (|Matrix| |#1|))) 48)) (|basisOfLeftNucleus| (((|List| |#2|)) 54)) (|basisOfLeftAnnihilator| (((|List| |#2|) |#2|) 42)) (|basisOfCommutingElements| (((|List| |#2|)) 50)) (|basisOfCentroid| (((|List| (|Matrix| |#1|))) 61)) (|basisOfCenter| (((|List| |#2|)) 59)) (|basis| (((|Vector| |#2|) (|Vector| |#2|)) 83 (|has| |#1| (|EuclideanDomain|))))) 
+(((|AlgebraPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |leftRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |rightRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |doubleRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |weakBiRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |biRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |basisOfCommutingElements| ((|List| |#2|))) (SIGNATURE |basisOfLeftAnnihilator| ((|List| |#2|) |#2|)) (SIGNATURE |basisOfRightAnnihilator| ((|List| |#2|) |#2|)) (SIGNATURE |basisOfLeftNucleus| ((|List| |#2|))) (SIGNATURE |basisOfRightNucleus| ((|List| |#2|))) (SIGNATURE |basisOfMiddleNucleus| ((|List| |#2|))) (SIGNATURE |basisOfNucleus| ((|List| |#2|))) (SIGNATURE |basisOfCenter| ((|List| |#2|))) (SIGNATURE |basisOfLeftNucloid| ((|List| (|Matrix| |#1|)))) (SIGNATURE |basisOfRightNucloid| ((|List| (|Matrix| |#1|)))) (SIGNATURE |basisOfCentroid| ((|List| (|Matrix| |#1|)))) (SIGNATURE |radicalOfLeftTraceForm| ((|List| |#2|))) (IF (|has| |#1| (|EuclideanDomain|)) (SIGNATURE |basis| ((|Vector| |#2|) (|Vector| |#2|))) |noBranch|)) (|IntegralDomain|) (|FramedNonAssociativeAlgebra| |#1|)) (T |AlgebraPackage|)) 
+((|basis| (*1 *2 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraPackage| *3 *4)))) (|radicalOfLeftTraceForm| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfCentroid| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfRightNucloid| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfLeftNucloid| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfCenter| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfNucleus| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfMiddleNucleus| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfRightNucleus| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfLeftNucleus| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|basisOfRightAnnihilator| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|basisOfLeftAnnihilator| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|basisOfCommutingElements| (*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)))) (|biRank| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|weakBiRank| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|doubleRank| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|rightRank| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|leftRank| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(CATEGORY |package| (SIGNATURE |leftRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |rightRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |doubleRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |weakBiRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |biRank| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |basisOfCommutingElements| ((|List| |#2|))) (SIGNATURE |basisOfLeftAnnihilator| ((|List| |#2|) |#2|)) (SIGNATURE |basisOfRightAnnihilator| ((|List| |#2|) |#2|)) (SIGNATURE |basisOfLeftNucleus| ((|List| |#2|))) (SIGNATURE |basisOfRightNucleus| ((|List| |#2|))) (SIGNATURE |basisOfMiddleNucleus| ((|List| |#2|))) (SIGNATURE |basisOfNucleus| ((|List| |#2|))) (SIGNATURE |basisOfCenter| ((|List| |#2|))) (SIGNATURE |basisOfLeftNucloid| ((|List| (|Matrix| |#1|)))) (SIGNATURE |basisOfRightNucloid| ((|List| (|Matrix| |#1|)))) (SIGNATURE |basisOfCentroid| ((|List| (|Matrix| |#1|)))) (SIGNATURE |radicalOfLeftTraceForm| ((|List| |#2|))) (IF (|has| |#1| (|EuclideanDomain|)) (SIGNATURE |basis| ((|Vector| |#2|) (|Vector| |#2|))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unit| (((|Union| $ "failed")) NIL (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) NIL) (((|Vector| (|Matrix| |#1|))) 24)) (|someBasis| (((|Vector| $)) 50)) (|sample| (($) NIL T CONST)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (|has| |#1| (|IntegralDomain|)))) (|rightUnit| (((|Union| $ "failed")) NIL (|has| |#1| (|IntegralDomain|)))) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) NIL) (((|Matrix| |#1|)) NIL)) (|rightTrace| ((|#1| $) NIL)) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) NIL) (((|Matrix| |#1|) $) NIL)) (|rightRecip| (((|Union| $ "failed") $) NIL (|has| |#1| (|IntegralDomain|)))) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) NIL (|has| |#1| (|Field|)))) (|rightPower| (($ $ (|PositiveInteger|)) NIL)) (|rightNorm| ((|#1| $) NIL)) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rightDiscriminant| ((|#1| (|Vector| $)) NIL) ((|#1|) NIL)) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|rightAlternative?| (((|Boolean|)) 86)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) NIL) (($ (|Vector| |#1|)) NIL)) (|recip| (((|Union| $ "failed") $) 14 (|has| |#1| (|IntegralDomain|)))) (|rank| (((|PositiveInteger|)) 51)) (|powerAssociative?| (((|Boolean|)) NIL)) (|plenaryPower| (($ $ (|PositiveInteger|)) NIL)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) NIL)) (|lieAlgebra?| (((|Boolean|)) NIL)) (|lieAdmissible?| (((|Boolean|)) 88)) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (|has| |#1| (|IntegralDomain|)))) (|leftUnit| (((|Union| $ "failed")) NIL (|has| |#1| (|IntegralDomain|)))) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) NIL) (((|Matrix| |#1|)) NIL)) (|leftTrace| ((|#1| $) NIL)) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) NIL) (((|Matrix| |#1|) $) NIL)) (|leftRecip| (((|Union| $ "failed") $) NIL (|has| |#1| (|IntegralDomain|)))) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) NIL (|has| |#1| (|Field|)))) (|leftPower| (($ $ (|PositiveInteger|)) NIL)) (|leftNorm| ((|#1| $) NIL)) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|leftDiscriminant| ((|#1| (|Vector| $)) NIL) ((|#1|) NIL)) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|leftAlternative?| (((|Boolean|)) 85)) (|latex| (((|String|) $) NIL)) (|jordanAlgebra?| (((|Boolean|)) 92)) (|jordanAdmissible?| (((|Boolean|)) 91)) (|jacobiIdentity?| (((|Boolean|)) 93)) (|hash| (((|SingleInteger|) $) NIL)) (|flexible?| (((|Boolean|)) 87)) (|elt| ((|#1| $ (|Integer|)) 53)) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 47) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#1|) $) 28) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|convert| (((|Vector| |#1|) $) NIL) (($ (|Vector| |#1|)) NIL)) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) NIL) (((|List| (|Polynomial| |#1|))) NIL)) (|commutator| (($ $ $) NIL)) (|commutative?| (((|Boolean|)) 83)) (|coerce| (((|OutputForm|) $) 68) (($ (|Vector| |#1|)) 22)) (|basis| (((|Vector| $)) 44)) (|associatorDependence| (((|List| (|Vector| |#1|))) NIL (|has| |#1| (|IntegralDomain|)))) (|associator| (($ $ $ $) NIL)) (|associative?| (((|Boolean|)) 81)) (|apply| (($ (|Matrix| |#1|) $) 18)) (|antiCommutator| (($ $ $) NIL)) (|antiCommutative?| (((|Boolean|)) 84)) (|antiAssociative?| (((|Boolean|)) 82)) (|alternative?| (((|Boolean|)) 80)) (|Zero| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|SquareMatrix| |#2| |#1|) $) 19))) 
+(((|AlgebraGivenByStructuralConstants| |#1| |#2| |#3| |#4|) (|Join| (|FramedNonAssociativeAlgebra| |#1|) (|LeftModule| (|SquareMatrix| |#2| |#1|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| |#1|))))) (|Field|) (|PositiveInteger|) (|List| (|Symbol|)) (|Vector| (|Matrix| |#1|))) (T |AlgebraGivenByStructuralConstants|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|AlgebraGivenByStructuralConstants| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|)))))) 
+(|Join| (|FramedNonAssociativeAlgebra| |#1|) (|LeftModule| (|SquareMatrix| |#2| |#1|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| |#1|))))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|value| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|third| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|tail| (($ $) NIL)) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (((|Boolean|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 27 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 29 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#2| $ |#1| |#2|) 45) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|UniversalSegment| (|Integer|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "last" (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "first" (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "value" (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|search| (((|Union| |#2| "failed") |#1| $) 37)) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|rest| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 24)) (|removeDuplicates!| (($ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) 46) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) NIL)) (|possiblyInfinite?| (((|Boolean|) $) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) (((|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 18 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 18 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|))) (((|Integer|) $) 32 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|merge!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ $) NIL) (($ $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ $) NIL) (($ $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|))) (((|Integer|) $) 34 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL) (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ $) NIL) (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|list| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) 41 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|last| (($ $ (|NonNegativeInteger|)) NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|keys| (((|List| |#1|) $) 20)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|insert| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| |#1|) $) NIL) (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL) (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|))) (($ $ (|NonNegativeInteger|)) NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 23)) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|explicitlyFinite?| (((|Boolean|) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL) (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 17)) (|empty?| (((|Boolean|) $) 16)) (|empty| (($) 13)) (|elt| ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "first") NIL) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $ "value") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|dictionary| (($) 12) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|delete!| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|cycleTail| (($ $) NIL)) (|cycleSplit!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) NIL)) (|cycleEntry| (($ $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|concat!| (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL) (($ $ $) NIL)) (|concat| (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL) (($ (|List| $)) NIL) (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 25) (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) 43)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (<= (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 22 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|AssociationList| |#1| |#2|) (|AssociationListAggregate| |#1| |#2|) (|SetCategory|) (|SetCategory|)) (T |AssociationList|)) 
+NIL 
+(|AssociationListAggregate| |#1| |#2|) 
+((|monomial?| (((|Boolean|) $) 12)) (|map| (($ (|Mapping| |#2| |#2|) $) 21)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (|Fraction| (|Integer|)) $) 24) (($ $ (|Fraction| (|Integer|))) NIL))) 
+(((|AbelianMonoidRing&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE |monomial?| ((|Boolean|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|AbelianMonoidRing| |#2| |#3|) (|Ring|) (|OrderedAbelianMonoid|)) (T |AbelianMonoidRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE |monomial?| ((|Boolean|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| |#2|) 60)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|degree| ((|#2| $) 63)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|))) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|)))) (|coefficient| ((|#1| $ |#2|) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|AbelianMonoidRing| |#1| |#2|) (|Category|) (|Ring|) (|OrderedAbelianMonoid|)) (T |AbelianMonoidRing|)) 
+((|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) (|leadingMonomial| (*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) (|monomial?| (*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) (|monomial| (*1 *1 *2 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) (|reductum| (*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) (|coefficient| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) (/ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|Ring|) (|BiModule| |t#1| |t#1|) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| (|t#1| $)) (SIGNATURE |leadingMonomial| ($ $)) (SIGNATURE |degree| (|t#2| $)) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1|) $)) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |monomial| ($ |t#1| |t#2|)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| (|t#1| $ |t#2|)) (IF (|has| |t#1| (|Field|)) (SIGNATURE / ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (|CommutativeRing|)) (PROGN (ATTRIBUTE (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |t#1|))) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (ATTRIBUTE (|IntegralDomain|)) |noBranch|) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (ATTRIBUTE (|Algebra| (|Fraction| (|Integer|)))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|Polynomial| $)) NIL)) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (($ (|SparseUnivariatePolynomial| $)) NIL) (($ (|Polynomial| $)) NIL)) (|zero?| (((|Boolean|) $) 11)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|tower| (((|List| (|Kernel| $)) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subst| (($ $ (|Equation| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sqrt| (($ $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|Polynomial| $)) NIL)) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (($ (|SparseUnivariatePolynomial| $)) NIL) (($ (|Polynomial| $)) NIL)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|retract| (((|Kernel| $) $) NIL) (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Fraction| (|Integer|)))) (|:| |vec| (|Vector| (|Fraction| (|Integer|))))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Fraction| (|Integer|))) (|Matrix| $)) NIL)) (|reduce| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|paren| (($ $) NIL) (($ (|List| $)) NIL)) (|operators| (((|List| (|BasicOperator|)) $) NIL)) (|operator| (((|BasicOperator|) (|BasicOperator|)) NIL)) (|one?| (((|Boolean|) $) 14)) (|odd?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|norm| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) NIL) (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) NIL) (($ $ (|Kernel| $)) NIL) (($ $ (|List| (|Kernel| $))) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) NIL (|has| $ (|Ring|)))) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) NIL)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ (|List| $)) NIL) (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|kernels| (((|List| (|Kernel| $)) $) NIL)) (|kernel| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|is?| (((|Boolean|) $ (|BasicOperator|)) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|inv| (($ $) NIL)) (|height| (((|NonNegativeInteger|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ (|List| $)) NIL) (($ $ $) NIL)) (|freeOf?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|even?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) NIL) (($ $ (|Symbol|) (|Mapping| $ $)) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) $ $) NIL) (($ (|BasicOperator|) $ $ $) NIL) (($ (|BasicOperator|) $ $ $ $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|distribute| (($ $) NIL) (($ $ $) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) NIL)) (|definingPolynomial| (($ $) NIL (|has| $ (|Ring|)))) (|convert| (((|Float|) $) NIL) (((|DoubleFloat|) $) NIL) (((|Complex| (|Float|)) $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Kernel| $)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL) (($ (|Integer|)) NIL) (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|box| (($ $) NIL) (($ (|List| $)) NIL)) (|belong?| (((|Boolean|) (|BasicOperator|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|Integer|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|Zero| (($) 7 T CONST)) (|One| (($) 12 T CONST)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 16)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (- (($ $ $) 15) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|Integer|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (* (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|AlgebraicNumber|) (|Join| (|ExpressionSpace|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|LinearlyExplicitRingOver| (|Integer|)) (|RealConstant|) (|LinearlyExplicitRingOver| (|Fraction| (|Integer|))) (|CharacteristicZero|) (|ConvertibleTo| (|Complex| (|Float|))) (|DifferentialRing|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)))) (SIGNATURE |numer| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $))) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $)))) (SIGNATURE |norm| ($ $ (|Kernel| $))) (SIGNATURE |norm| ($ $ (|List| (|Kernel| $))))))) (T |AlgebraicNumber|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) (|numer| (*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) (|denom| (*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) (|reduce| (*1 *1 *1) (|isDomain| *1 (|AlgebraicNumber|))) (|norm| (*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) (|norm| (*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) (|norm| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) (|norm| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|))))) 
+(|Join| (|ExpressionSpace|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|LinearlyExplicitRingOver| (|Integer|)) (|RealConstant|) (|LinearlyExplicitRingOver| (|Fraction| (|Integer|))) (|CharacteristicZero|) (|ConvertibleTo| (|Complex| (|Float|))) (|DifferentialRing|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)))) (SIGNATURE |numer| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $))) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $)))) (SIGNATURE |norm| ($ $ (|Kernel| $))) (SIGNATURE |norm| ($ $ (|List| (|Kernel| $)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 7)) (= (((|Boolean|) $ $) NIL))) 
+(((|AnonymousFunction|) (|SetCategory|)) (T |AnonymousFunction|)) 
+NIL 
+(|SetCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 60)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractable?| (((|Boolean|) $) 20)) (|retractIfCan| (((|Union| |#1| "failed") $) 23)) (|retract| ((|#1| $) 24)) (|reductum| (($ $) 27)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingCoefficient| ((|#1| $) 21)) (|leadingBasisTerm| (($ $) 49)) (|latex| (((|String|) $) NIL)) (|homogeneous?| (((|Boolean|) $) 28)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($ (|NonNegativeInteger|)) 47)) (|exp| (($ (|List| (|Integer|))) 48)) (|degree| (((|NonNegativeInteger|) $) 29)) (|coerce| (((|OutputForm|) $) 63) (($ (|Integer|)) 44) (($ |#1|) 42)) (|coefficient| ((|#1| $ $) 19)) (|characteristic| (((|NonNegativeInteger|)) 46)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 30 T CONST)) (|One| (($) 14 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 40)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
+(((|AntiSymm| |#1| |#2|) (|Join| (|LeftAlgebra| |#1|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| (|#1| $)) (SIGNATURE |leadingBasisTerm| ($ $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| (|#1| $ $)) (SIGNATURE |generator| ($ (|NonNegativeInteger|))) (SIGNATURE |exp| ($ (|List| (|Integer|)))) (SIGNATURE |homogeneous?| ((|Boolean|) $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)))) (|Ring|) (|List| (|Symbol|))) (T |AntiSymm|)) 
+((|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) (|leadingBasisTerm| (*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) (|reductum| (*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) (|coefficient| (*1 *2 *1 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) (|generator| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) (|exp| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) (|homogeneous?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) (|retractable?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) (|degree| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(|Join| (|LeftAlgebra| |#1|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| (|#1| $)) (SIGNATURE |leadingBasisTerm| ($ $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| (|#1| $ $)) (SIGNATURE |generator| ($ (|NonNegativeInteger|))) (SIGNATURE |exp| ($ (|List| (|Integer|)))) (SIGNATURE |homogeneous?| ((|Boolean|) $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)))) 
+((|retractable?| (((|Boolean|) (|Any|)) 13)) (|retractIfCan| (((|Union| |#1| "failed") (|Any|)) 21)) (|retract| ((|#1| (|Any|)) 22)) (|coerce| (((|Any|) |#1|) 18))) 
+(((|AnyFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|Any|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Any|))) (SIGNATURE |retractable?| ((|Boolean|) (|Any|))) (SIGNATURE |retract| (|#1| (|Any|)))) (|Type|)) (T |AnyFunctions1|)) 
+((|retract| (*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) (|retractable?| (*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AnyFunctions1| *4)) (|ofCategory| *4 (|Type|)))) (|retractIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) (|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *3)) (|ofCategory| *3 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|Any|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Any|))) (SIGNATURE |retractable?| ((|Boolean|) (|Any|))) (SIGNATURE |retract| (|#1| (|Any|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|showTypeInOutput| (((|String|) (|Boolean|)) 25)) (|objectOf| (((|OutputForm|) $) 24)) (|obj| (((|None|) $) 12)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|domainOf| (((|OutputForm|) $) 16)) (|dom| (((|SExpression|) $) 14)) (|coerce| (((|OutputForm|) $) 32)) (|any| (($ (|SExpression|) (|None|)) 33)) (= (((|Boolean|) $ $) 18))) 
+(((|Any|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |any| ($ (|SExpression|) (|None|))) (SIGNATURE |domainOf| ((|OutputForm|) $)) (SIGNATURE |objectOf| ((|OutputForm|) $)) (SIGNATURE |dom| ((|SExpression|) $)) (SIGNATURE |obj| ((|None|) $)) (SIGNATURE |showTypeInOutput| ((|String|) (|Boolean|)))))) (T |Any|)) 
+((|any| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|Any|)))) (|domainOf| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|)))) (|objectOf| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|)))) (|dom| (*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|Any|)))) (|obj| (*1 *2 *1) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|Any|)))) (|showTypeInOutput| (*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|Any|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |any| ($ (|SExpression|) (|None|))) (SIGNATURE |domainOf| ((|OutputForm|) $)) (SIGNATURE |objectOf| ((|OutputForm|) $)) (SIGNATURE |dom| ((|SExpression|) $)) (SIGNATURE |obj| ((|None|) $)) (SIGNATURE |showTypeInOutput| ((|String|) (|Boolean|))))) 
+((|summary| (((|Void|)) 20)) (|reportInstantiations| (((|Void|) (|Boolean|)) 22)) (|getDomains| (((|Set| (|Symbol|)) (|Symbol|)) 15)) (|getAncestors| (((|Set| (|Symbol|)) (|Symbol|)) 16)) (|credits| (((|Void|)) 19))) 
+(((|ApplicationProgramInterface|) (CATEGORY |package| (SIGNATURE |getDomains| ((|Set| (|Symbol|)) (|Symbol|))) (SIGNATURE |getAncestors| ((|Set| (|Symbol|)) (|Symbol|))) (SIGNATURE |credits| ((|Void|))) (SIGNATURE |summary| ((|Void|))) (SIGNATURE |reportInstantiations| ((|Void|) (|Boolean|))))) (T |ApplicationProgramInterface|)) 
+((|reportInstantiations| (*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|)))) (|summary| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|)))) (|credits| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|)))) (|getAncestors| (*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|)))) (|getDomains| (*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |getDomains| ((|Set| (|Symbol|)) (|Symbol|))) (SIGNATURE |getAncestors| ((|Set| (|Symbol|)) (|Symbol|))) (SIGNATURE |credits| ((|Void|))) (SIGNATURE |summary| ((|Void|))) (SIGNATURE |reportInstantiations| ((|Void|) (|Boolean|)))) 
+((|apply| ((|#2| |#3| (|Mapping| |#2| |#2|) |#2|) 16))) 
+(((|ApplyUnivariateSkewPolynomial| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |apply| (|#2| |#3| (|Mapping| |#2| |#2|) |#2|))) (|Ring|) (|LeftModule| |#1|) (|UnivariateSkewPolynomialCategory| |#1|)) (T |ApplyUnivariateSkewPolynomial|)) 
+((|apply| (*1 *2 *3 *4 *2) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|LeftModule| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|ApplyUnivariateSkewPolynomial| *5 *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |apply| (|#2| |#3| (|Mapping| |#2| |#2|) |#2|))) 
+((|localUnquote| ((|#3| |#3| (|List| (|Symbol|))) 35)) (|applyRules| ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|)) 22) ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|) 20))) 
+(((|ApplyRules| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |applyRules| (|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|)) (SIGNATURE |applyRules| (|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|))) (SIGNATURE |localUnquote| (|#3| |#3| (|List| (|Symbol|))))) (|SetCategory|) (|Join| (|Ring|) (|PatternMatchable| |#1|) (|OrderedSet|) (|ConvertibleTo| (|Pattern| |#1|))) (|Join| (|FunctionSpace| |#2|) (|PatternMatchable| |#1|) (|ConvertibleTo| (|Pattern| |#1|)))) (T |ApplyRules|)) 
+((|localUnquote| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) (|applyRules| (*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| (|RewriteRule| *5 *6 *2))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|Ring|) (|PatternMatchable| *5) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *5)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|PatternMatchable| *5) (|ConvertibleTo| (|Pattern| *5)))) (|isDomain| *1 (|ApplyRules| *5 *6 *2)))) (|applyRules| (*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|RewriteRule| *4 *5 *2))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2))))) 
+(CATEGORY |package| (SIGNATURE |applyRules| (|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|)) (SIGNATURE |applyRules| (|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|))) (SIGNATURE |localUnquote| (|#3| |#3| (|List| (|Symbol|))))) 
+((|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 23)) (|setRow!| (($ $ (|Integer|) |#3|) 45)) (|setColumn!| (($ $ (|Integer|) |#4|) 49)) (|row| ((|#3| $ (|Integer|)) 58)) (|parts| (((|List| |#2|) $) 30)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 25)) (|member?| (((|Boolean|) |#2| $) 53)) (|map!| (($ (|Mapping| |#2| |#2|) $) 37)) (|map| (($ (|Mapping| |#2| |#2|) $) 36) (($ (|Mapping| |#2| |#2| |#2|) $ $) 39) (($ (|Mapping| |#2| |#2| |#2|) $ $ |#2|) 41)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 24)) (|fill!| (($ $ |#2|) 34)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 19)) (|elt| ((|#2| $ (|Integer|) (|Integer|)) NIL) ((|#2| $ (|Integer|) (|Integer|) |#2|) 27)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 28) (((|NonNegativeInteger|) |#2| $) 55)) (|copy| (($ $) 33)) (|column| ((|#4| $ (|Integer|)) 61)) (|coerce| (((|OutputForm|) $) 66)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 18)) (= (((|Boolean|) $ $) 52)) (|#| (((|NonNegativeInteger|) $) 26))) 
+(((|TwoDimensionalArrayCategory&| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1| |#2|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |setColumn!| (|#1| |#1| (|Integer|) |#4|)) (SIGNATURE |setRow!| (|#1| |#1| (|Integer|) |#3|)) (SIGNATURE |parts| ((|List| |#2|) |#1|)) (SIGNATURE |column| (|#4| |#1| (|Integer|))) (SIGNATURE |row| (|#3| |#1| (|Integer|))) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|))) (SIGNATURE |fill!| (|#1| |#1| |#2|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |member?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |copy| (|#1| |#1|))) (|TwoDimensionalArrayCategory| |#2| |#3| |#4|) (|Type|) (|FiniteLinearAggregate| |#2|) (|FiniteLinearAggregate| |#2|)) (T |TwoDimensionalArrayCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1| |#2|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |setColumn!| (|#1| |#1| (|Integer|) |#4|)) (SIGNATURE |setRow!| (|#1| |#1| (|Integer|) |#3|)) (SIGNATURE |parts| ((|List| |#2|) |#1|)) (SIGNATURE |column| (|#4| |#1| (|Integer|))) (SIGNATURE |row| (|#3| |#1| (|Integer|))) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|))) (SIGNATURE |fill!| (|#1| |#1| |#2|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |member?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |copy| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) 41)) (|setRow!| (($ $ (|Integer|) |#2|) 39)) (|setColumn!| (($ $ (|Integer|) |#3|) 38)) (|sample| (($) 7 T CONST)) (|row| ((|#2| $ (|Integer|)) 43)) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) 40)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) 45)) (|parts| (((|List| |#1|) $) 30)) (|nrows| (((|NonNegativeInteger|) $) 48)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) 54)) (|ncols| (((|NonNegativeInteger|) $) 47)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minRowIndex| (((|Integer|) $) 52)) (|minColIndex| (((|Integer|) $) 50)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxRowIndex| (((|Integer|) $) 51)) (|maxColIndex| (((|Integer|) $) 49)) (|map!| (($ (|Mapping| |#1| |#1|) $) 34)) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 37) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) 36)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) 53)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) 46) ((|#1| $ (|Integer|) (|Integer|) |#1|) 44)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|column| ((|#3| $ (|Integer|)) 42)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|TwoDimensionalArrayCategory| |#1| |#2| |#3|) (|Category|) (|Type|) (|FiniteLinearAggregate| |t#1|) (|FiniteLinearAggregate| |t#1|)) (T |TwoDimensionalArrayCategory|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|new| (*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|fill!| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *3 *4)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (|minRowIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) (|maxRowIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) (|minColIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) (|maxColIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) (|nrows| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) (|ncols| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) (|elt| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|qelt| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) (|row| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *2 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) (|column| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *2)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) (|parts| (*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| *3)))) (|setelt| (*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) (|qsetelt!| (*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) (|setRow!| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *3 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)))) (|setColumn!| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *3)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|map| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|map| (*1 *1 *2 *1 *1 *3) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(|Join| (|HomogeneousAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |new| ($ (|NonNegativeInteger|) (|NonNegativeInteger|) |t#1|)) (SIGNATURE |fill!| ($ $ |t#1|)) (SIGNATURE |minRowIndex| ((|Integer|) $)) (SIGNATURE |maxRowIndex| ((|Integer|) $)) (SIGNATURE |minColIndex| ((|Integer|) $)) (SIGNATURE |maxColIndex| ((|Integer|) $)) (SIGNATURE |nrows| ((|NonNegativeInteger|) $)) (SIGNATURE |ncols| ((|NonNegativeInteger|) $)) (SIGNATURE |elt| (|t#1| $ (|Integer|) (|Integer|))) (SIGNATURE |qelt| (|t#1| $ (|Integer|) (|Integer|))) (SIGNATURE |elt| (|t#1| $ (|Integer|) (|Integer|) |t#1|)) (SIGNATURE |row| (|t#2| $ (|Integer|))) (SIGNATURE |column| (|t#3| $ (|Integer|))) (SIGNATURE |parts| ((|List| |t#1|) $)) (SIGNATURE |setelt| (|t#1| $ (|Integer|) (|Integer|) |t#1|)) (SIGNATURE |qsetelt!| (|t#1| $ (|Integer|) (|Integer|) |t#1|)) (SIGNATURE |setRow!| ($ $ (|Integer|) |t#2|)) (SIGNATURE |setColumn!| ($ $ (|Integer|) |t#3|)) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1|) $)) (SIGNATURE |map!| ($ (|Mapping| |t#1| |t#1|) $)) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1| |t#1|) $ $)) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|scan| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) 16)) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) 18)) (|map| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)) 13))) 
+(((|OneDimensionalArrayFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |scan| ((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|)) (SIGNATURE |map| ((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)))) (|Type|) (|Type|)) (T |OneDimensionalArrayFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *6)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *6)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *2)))) (|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *5)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |scan| ((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|)) (SIGNATURE |map| ((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) 11 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|oneDimensionalArray| (($ (|List| |#1|)) 13) (($ (|NonNegativeInteger|) |#1|) 14)) (|new| (($ (|NonNegativeInteger|) |#1|) 9)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 7)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|OneDimensionalArray| |#1|) (|Join| (|OneDimensionalArrayAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |oneDimensionalArray| ($ (|List| |#1|))) (SIGNATURE |oneDimensionalArray| ($ (|NonNegativeInteger|) |#1|)))) (|Type|)) (T |OneDimensionalArray|)) 
+((|oneDimensionalArray| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|OneDimensionalArray| *3)))) (|oneDimensionalArray| (*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OneDimensionalArray| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|OneDimensionalArrayAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |oneDimensionalArray| ($ (|List| |#1|))) (SIGNATURE |oneDimensionalArray| ($ (|NonNegativeInteger|) |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|setRow!| (($ $ (|Integer|) (|OneDimensionalArray| |#1|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|OneDimensionalArray| |#1|)) NIL)) (|sample| (($) NIL T CONST)) (|row| (((|OneDimensionalArray| |#1|) $ (|Integer|)) NIL)) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) NIL)) (|parts| (((|List| |#1|) $) NIL)) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minRowIndex| (((|Integer|) $) NIL)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) NIL)) (|maxColIndex| (((|Integer|) $) NIL)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) NIL) ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|column| (((|OneDimensionalArray| |#1|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|TwoDimensionalArray| |#1|) (|Join| (|TwoDimensionalArrayCategory| |#1| (|OneDimensionalArray| |#1|) (|OneDimensionalArray| |#1|)) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))) (|Type|)) (T |TwoDimensionalArray|)) 
+NIL 
+(|Join| (|TwoDimensionalArrayCategory| |#1| (|OneDimensionalArray| |#1|) (|OneDimensionalArray| |#1|)) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 69) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 58) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 91) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 80) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 47) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 36)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 65) (($ (|Vector| (|Expression| (|Integer|)))) 54) (($ (|Vector| (|Polynomial| (|Float|)))) 87) (($ (|Vector| (|Polynomial| (|Integer|)))) 76) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 43) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 29)) (|outputAsFortran| (((|Void|) $) 118)) (|coerce| (((|OutputForm|) $) 111) (($ (|List| (|FortranCode|))) 100) (($ (|FortranCode|)) 94) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 97) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) 28))) 
+(((|Asp10| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|))))))) (|Symbol|)) (T |Asp10|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp10| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|))))))) 
+((|outputAsFortran| (((|Void|) $) 48) (((|Void|)) 49)) (|coerce| (((|OutputForm|) $) 45))) 
+(((|Asp12| |#1|) (|Join| (|FortranProgramCategory|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|))))) (|Symbol|)) (T |Asp12|)) 
+((|outputAsFortran| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp12| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 142) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 132) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 163) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 152) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 121) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 110)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 138) (($ (|Vector| (|Expression| (|Integer|)))) 128) (($ (|Vector| (|Polynomial| (|Float|)))) 159) (($ (|Vector| (|Polynomial| (|Integer|)))) 148) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 117) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 103)) (|outputAsFortran| (((|Void|) $) 96)) (|coerce| (((|OutputForm|) $) 90) (($ (|List| (|FortranCode|))) 28) (($ (|FortranCode|)) 34) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 31) (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) 88))) 
+(((|Asp19| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp19|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp19| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Expression| (|Float|))) 36) (((|Union| $ "failed") (|Expression| (|Integer|))) 41) (((|Union| $ "failed") (|Polynomial| (|Float|))) 46) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 51) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 31) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 26)) (|retract| (($ (|Expression| (|Float|))) 34) (($ (|Expression| (|Integer|))) 39) (($ (|Polynomial| (|Float|))) 44) (($ (|Polynomial| (|Integer|))) 49) (($ (|Fraction| (|Polynomial| (|Float|)))) 29) (($ (|Fraction| (|Polynomial| (|Integer|)))) 23)) (|outputAsFortran| (((|Void|) $) 73)) (|coerce| (((|OutputForm|) $) 66) (($ (|List| (|FortranCode|))) 57) (($ (|FortranCode|)) 63) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 60) (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) 22))) 
+(((|Asp1| |#1|) (|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))))) (|Symbol|)) (T |Asp1|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) (|isDomain| *1 (|Asp1| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) 100) (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) 89) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) 122) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) 111) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 78) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 67)) (|retract| (($ (|Matrix| (|Expression| (|Float|)))) 96) (($ (|Matrix| (|Expression| (|Integer|)))) 85) (($ (|Matrix| (|Polynomial| (|Float|)))) 118) (($ (|Matrix| (|Polynomial| (|Integer|)))) 107) (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 74) (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 60)) (|outputAsFortran| (((|Void|) $) 130)) (|coerce| (((|OutputForm|) $) 124) (($ (|List| (|FortranCode|))) 27) (($ (|FortranCode|)) 33) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 30) (($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) 53))) 
+(((|Asp20| |#1|) (|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp20|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) (|isDomain| *1 (|Asp20| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Expression| (|Float|))) 54) (((|Union| $ "failed") (|Expression| (|Integer|))) 59) (((|Union| $ "failed") (|Polynomial| (|Float|))) 64) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 69) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 49) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 44)) (|retract| (($ (|Expression| (|Float|))) 52) (($ (|Expression| (|Integer|))) 57) (($ (|Polynomial| (|Float|))) 62) (($ (|Polynomial| (|Integer|))) 67) (($ (|Fraction| (|Polynomial| (|Float|)))) 47) (($ (|Fraction| (|Polynomial| (|Integer|)))) 41)) (|outputAsFortran| (((|Void|) $) 78)) (|coerce| (((|OutputForm|) $) 72) (($ (|List| (|FortranCode|))) 27) (($ (|FortranCode|)) 33) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 30) (($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) 38))) 
+(((|Asp24| |#1|) (|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))))) (|Symbol|)) (T |Asp24|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) (|isDomain| *1 (|Asp24| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))))) 
+((|outputAsFortran| (((|Void|) $) 63)) (|coerce| (((|OutputForm|) $) 57) (($ (|Matrix| (|MachineFloat|))) 49) (($ (|List| (|FortranCode|))) 48) (($ (|FortranCode|)) 55) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 53))) 
+(((|Asp27| |#1|) (|FortranMatrixCategory|) (|Symbol|)) (T |Asp27|)) 
+NIL 
+(|FortranMatrixCategory|) 
+((|outputAsFortran| (((|Void|) $) 64)) (|coerce| (((|OutputForm|) $) 58) (($ (|Matrix| (|MachineFloat|))) 50) (($ (|List| (|FortranCode|))) 49) (($ (|FortranCode|)) 52) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 55))) 
+(((|Asp28| |#1|) (|FortranMatrixCategory|) (|Symbol|)) (T |Asp28|)) 
+NIL 
+(|FortranMatrixCategory|) 
+((|outputAsFortran| (((|Void|) $) NIL) (((|Void|)) 32)) (|coerce| (((|OutputForm|) $) NIL))) 
+(((|Asp29| |#1|) (|Join| (|FortranProgramCategory|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|))))) (|Symbol|)) (T |Asp29|)) 
+((|outputAsFortran| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp29| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|))))) 
+((|outputAsFortran| (((|Void|) $) 68)) (|coerce| (((|OutputForm|) $) 62) (($ (|Matrix| (|MachineFloat|))) 53) (($ (|List| (|FortranCode|))) 56) (($ (|FortranCode|)) 59) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 52))) 
+(((|Asp30| |#1|) (|FortranMatrixCategory|) (|Symbol|)) (T |Asp30|)) 
+NIL 
+(|FortranMatrixCategory|) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 98) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 87) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 119) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 108) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 76) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 65)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 94) (($ (|Vector| (|Expression| (|Integer|)))) 83) (($ (|Vector| (|Polynomial| (|Float|)))) 115) (($ (|Vector| (|Polynomial| (|Integer|)))) 104) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 72) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 58)) (|outputAsFortran| (((|Void|) $) 133)) (|coerce| (((|OutputForm|) $) 127) (($ (|List| (|FortranCode|))) 122) (($ (|FortranCode|)) 125) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 50) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) 51))) 
+(((|Asp31| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp31|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp31| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))))))) 
+((|outputAsFortran| (((|Void|) $) 32) (((|Void|)) 31)) (|coerce| (((|OutputForm|) $) 35))) 
+(((|Asp33| |#1|) (|Join| (|FortranProgramCategory|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|))))) (|Symbol|)) (T |Asp33|)) 
+((|outputAsFortran| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp33| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|))))) 
+((|outputAsFortran| (((|Void|) $) 62)) (|coerce| (((|OutputForm|) $) 56) (($ (|Matrix| (|MachineFloat|))) 47) (($ (|List| (|FortranCode|))) 50) (($ (|FortranCode|)) 53) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 46))) 
+(((|Asp34| |#1|) (|FortranMatrixCategory|) (|Symbol|)) (T |Asp34|)) 
+NIL 
+(|FortranMatrixCategory|) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 119) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 108) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 141) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 130) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 98) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 87)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 115) (($ (|Vector| (|Expression| (|Integer|)))) 104) (($ (|Vector| (|Polynomial| (|Float|)))) 137) (($ (|Vector| (|Polynomial| (|Integer|)))) 126) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 94) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 80)) (|outputAsFortran| (((|Void|) $) 73)) (|coerce| (((|OutputForm|) $) 27) (($ (|List| (|FortranCode|))) 63) (($ (|FortranCode|)) 59) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 66) (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) 60))) 
+(((|Asp35| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp35|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp35| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 125) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 114) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 147) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 136) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 103) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 92)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 121) (($ (|Vector| (|Expression| (|Integer|)))) 110) (($ (|Vector| (|Polynomial| (|Float|)))) 143) (($ (|Vector| (|Polynomial| (|Integer|)))) 132) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 99) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 85)) (|outputAsFortran| (((|Void|) $) 78)) (|coerce| (((|OutputForm|) $) 70) (($ (|List| (|FortranCode|))) NIL) (($ (|FortranCode|)) NIL) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) NIL) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) 65))) 
+(((|Asp41| |#1| |#2| |#3|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|))))))) (|Symbol|) (|Symbol|) (|Symbol|)) (T |Asp41|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp41| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 129) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 118) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 151) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 140) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 107) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 96)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 125) (($ (|Vector| (|Expression| (|Integer|)))) 114) (($ (|Vector| (|Polynomial| (|Float|)))) 147) (($ (|Vector| (|Polynomial| (|Integer|)))) 136) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 103) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 89)) (|outputAsFortran| (((|Void|) $) 82)) (|coerce| (((|OutputForm|) $) 74) (($ (|List| (|FortranCode|))) NIL) (($ (|FortranCode|)) NIL) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) NIL) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) 69))) 
+(((|Asp42| |#1| |#2| |#3|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|))))))) (|Symbol|) (|Symbol|) (|Symbol|)) (T |Asp42|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) (|isDomain| *1 (|Asp42| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Expression| (|Float|))) 77) (((|Union| $ "failed") (|Expression| (|Integer|))) 82) (((|Union| $ "failed") (|Polynomial| (|Float|))) 87) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 92) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 72) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 67)) (|retract| (($ (|Expression| (|Float|))) 75) (($ (|Expression| (|Integer|))) 80) (($ (|Polynomial| (|Float|))) 85) (($ (|Polynomial| (|Integer|))) 90) (($ (|Fraction| (|Polynomial| (|Float|)))) 70) (($ (|Fraction| (|Polynomial| (|Integer|)))) 64)) (|outputAsFortran| (((|Void|) $) 61)) (|coerce| (((|OutputForm|) $) 49) (($ (|List| (|FortranCode|))) 45) (($ (|FortranCode|)) 55) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 53) (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) 46))) 
+(((|Asp49| |#1|) (|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))))) (|Symbol|)) (T |Asp49|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp49| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Expression| (|Float|))) 41) (((|Union| $ "failed") (|Expression| (|Integer|))) 46) (((|Union| $ "failed") (|Polynomial| (|Float|))) 51) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 56) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 36) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 31)) (|retract| (($ (|Expression| (|Float|))) 39) (($ (|Expression| (|Integer|))) 44) (($ (|Polynomial| (|Float|))) 49) (($ (|Polynomial| (|Integer|))) 54) (($ (|Fraction| (|Polynomial| (|Float|)))) 34) (($ (|Fraction| (|Polynomial| (|Integer|)))) 28)) (|outputAsFortran| (((|Void|) $) 77)) (|coerce| (((|OutputForm|) $) 71) (($ (|List| (|FortranCode|))) 62) (($ (|FortranCode|)) 68) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 65) (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) 27))) 
+(((|Asp4| |#1|) (|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))))) (|Symbol|)) (T |Asp4|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp4| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 84) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 73) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 106) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 95) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 62) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 51)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 80) (($ (|Vector| (|Expression| (|Integer|)))) 69) (($ (|Vector| (|Polynomial| (|Float|)))) 102) (($ (|Vector| (|Polynomial| (|Integer|)))) 91) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 58) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 44)) (|outputAsFortran| (((|Void|) $) 122)) (|coerce| (((|OutputForm|) $) 116) (($ (|List| (|FortranCode|))) 109) (($ (|FortranCode|)) 36) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 112) (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) 37))) 
+(((|Asp50| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp50|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp50| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 137) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 126) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 158) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 147) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 116) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 105)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 133) (($ (|Vector| (|Expression| (|Integer|)))) 122) (($ (|Vector| (|Polynomial| (|Float|)))) 154) (($ (|Vector| (|Polynomial| (|Integer|)))) 143) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 112) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 98)) (|outputAsFortran| (((|Void|) $) 91)) (|coerce| (((|OutputForm|) $) 85) (($ (|List| (|FortranCode|))) 76) (($ (|FortranCode|)) 83) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 81) (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) 77))) 
+(((|Asp55| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp55|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp55| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 73) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 62) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 95) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 84) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 51) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 40)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 69) (($ (|Vector| (|Expression| (|Integer|)))) 58) (($ (|Vector| (|Polynomial| (|Float|)))) 91) (($ (|Vector| (|Polynomial| (|Integer|)))) 80) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 47) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 33)) (|outputAsFortran| (((|Void|) $) 121)) (|coerce| (((|OutputForm|) $) 115) (($ (|List| (|FortranCode|))) 106) (($ (|FortranCode|)) 112) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 110) (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) 32))) 
+(((|Asp6| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp6|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp6| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 90) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 79) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 112) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 101) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 68) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 57)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 86) (($ (|Vector| (|Expression| (|Integer|)))) 75) (($ (|Vector| (|Polynomial| (|Float|)))) 108) (($ (|Vector| (|Polynomial| (|Integer|)))) 97) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 64) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 50)) (|outputAsFortran| (((|Void|) $) 43)) (|coerce| (((|OutputForm|) $) 36) (($ (|List| (|FortranCode|))) 26) (($ (|FortranCode|)) 29) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 32) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) 27))) 
+(((|Asp73| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|))))))) (|Symbol|)) (T |Asp73|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp73| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) 103) (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) 92) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) 125) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) 114) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 82) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 71)) (|retract| (($ (|Matrix| (|Expression| (|Float|)))) 99) (($ (|Matrix| (|Expression| (|Integer|)))) 88) (($ (|Matrix| (|Polynomial| (|Float|)))) 121) (($ (|Matrix| (|Polynomial| (|Integer|)))) 110) (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 78) (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 64)) (|outputAsFortran| (((|Void|) $) 57)) (|coerce| (((|OutputForm|) $) 43) (($ (|List| (|FortranCode|))) 50) (($ (|FortranCode|)) 39) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 47) (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) 40))) 
+(((|Asp74| |#1|) (|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|))))))) (|Symbol|)) (T |Asp74|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp74| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) 103) (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) 92) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) 124) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) 113) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 81) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 70)) (|retract| (($ (|Matrix| (|Expression| (|Float|)))) 99) (($ (|Matrix| (|Expression| (|Integer|)))) 88) (($ (|Matrix| (|Polynomial| (|Float|)))) 120) (($ (|Matrix| (|Polynomial| (|Integer|)))) 109) (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 77) (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 63)) (|outputAsFortran| (((|Void|) $) 56)) (|coerce| (((|OutputForm|) $) 50) (($ (|List| (|FortranCode|))) 44) (($ (|FortranCode|)) 47) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 40) (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) 41))) 
+(((|Asp77| |#1|) (|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))))))) (|Symbol|)) (T |Asp77|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp77| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 99) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 88) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 121) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 110) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 77) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 66)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 95) (($ (|Vector| (|Expression| (|Integer|)))) 84) (($ (|Vector| (|Polynomial| (|Float|)))) 117) (($ (|Vector| (|Polynomial| (|Integer|)))) 106) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 73) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 59)) (|outputAsFortran| (((|Void|) $) 45)) (|coerce| (((|OutputForm|) $) 39) (($ (|List| (|FortranCode|))) 48) (($ (|FortranCode|)) 35) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 51) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) 36))) 
+(((|Asp78| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))))))) (|Symbol|)) (T |Asp78|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp78| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 74) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 63) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 96) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 85) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 52) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 41)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 70) (($ (|Vector| (|Expression| (|Integer|)))) 59) (($ (|Vector| (|Polynomial| (|Float|)))) 92) (($ (|Vector| (|Polynomial| (|Integer|)))) 81) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 48) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 34)) (|outputAsFortran| (((|Void|) $) 122)) (|coerce| (((|OutputForm|) $) 116) (($ (|List| (|FortranCode|))) 107) (($ (|FortranCode|)) 113) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 111) (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) 33))) 
+(((|Asp7| |#1|) (|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))))))) (|Symbol|)) (T |Asp7|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp7| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranVectorFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))))))) 
+((|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) 105) (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) 94) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) 127) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) 116) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 83) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 72)) (|retract| (($ (|Matrix| (|Expression| (|Float|)))) 101) (($ (|Matrix| (|Expression| (|Integer|)))) 90) (($ (|Matrix| (|Polynomial| (|Float|)))) 123) (($ (|Matrix| (|Polynomial| (|Integer|)))) 112) (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 79) (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 65)) (|outputAsFortran| (((|Void|) $) 58)) (|coerce| (((|OutputForm|) $) 52) (($ (|List| (|FortranCode|))) 42) (($ (|FortranCode|)) 49) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 47) (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) 43))) 
+(((|Asp80| |#1|) (|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|))))))) (|Symbol|)) (T |Asp80|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp80| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranMatrixFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|))))))) 
+((|outputAsFortran| (((|Void|) $) 44)) (|coerce| (((|OutputForm|) $) 38) (($ (|Vector| (|MachineFloat|))) 88) (($ (|List| (|FortranCode|))) 29) (($ (|FortranCode|)) 35) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 32))) 
+(((|Asp8| |#1|) (|FortranVectorCategory|) (|Symbol|)) (T |Asp8|)) 
+NIL 
+(|FortranVectorCategory|) 
+((|retractIfCan| (((|Union| $ "failed") (|Expression| (|Float|))) 42) (((|Union| $ "failed") (|Expression| (|Integer|))) 47) (((|Union| $ "failed") (|Polynomial| (|Float|))) 52) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 57) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 37) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 32)) (|retract| (($ (|Expression| (|Float|))) 40) (($ (|Expression| (|Integer|))) 45) (($ (|Polynomial| (|Float|))) 50) (($ (|Polynomial| (|Integer|))) 55) (($ (|Fraction| (|Polynomial| (|Float|)))) 35) (($ (|Fraction| (|Polynomial| (|Integer|)))) 29)) (|outputAsFortran| (((|Void|) $) 88)) (|coerce| (((|OutputForm|) $) 82) (($ (|List| (|FortranCode|))) 76) (($ (|FortranCode|)) 79) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 73) (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) 28))) 
+(((|Asp9| |#1|) (|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))))) (|Symbol|)) (T |Asp9|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) (|isDomain| *1 (|Asp9| *3)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|FortranFunctionCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))))) 
+((|uncouplingMatrices| (((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|)) 54)) (|associatedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|)) 44)) (|associatedEquations| (((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|)) 62 (|has| |#1| (|Field|))))) 
+(((|AssociatedEquations| |#1| |#2|) (CATEGORY |package| (SIGNATURE |associatedSystem| ((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|))) (SIGNATURE |uncouplingMatrices| ((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|))) (IF (|has| |#1| (|Field|)) (SIGNATURE |associatedEquations| ((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|))) |noBranch|)) (|IntegralDomain|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|)) (T |AssociatedEquations|)) 
+((|associatedEquations| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| *3) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| *3)))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) (|uncouplingMatrices| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|AssociatedEquations| *4 *5)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) (|associatedSystem| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|)))))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |associatedSystem| ((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|))) (SIGNATURE |uncouplingMatrices| ((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|))) (IF (|has| |#1| (|Field|)) (SIGNATURE |associatedEquations| ((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|top| ((|#1| $) 34)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|push!| ((|#1| |#1| $) 30)) (|pop!| ((|#1| $) 28)) (|parts| (((|List| |#1|) $) 39 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 43 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 41)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 45)) (|insert!| (($ |#1| $) 31)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|extract!| ((|#1| $) 29)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 16)) (|empty| (($) 38)) (|depth| (((|NonNegativeInteger|) $) 26)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 15)) (|coerce| (((|OutputForm|) $) 25 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) NIL)) (|arrayStack| (($ (|List| |#1|)) 36)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 13 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 10 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ArrayStack| |#1|) (|Join| (|StackAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |arrayStack| ($ (|List| |#1|))) (SIGNATURE |pop!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |push!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |top| (|#1| $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) (|SetCategory|)) (T |ArrayStack|)) 
+((|eq?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty| (*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|less?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) (|more?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) (|size?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) (|sample| (*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|#| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) (|any?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) (|every?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) (|count| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *4)))) (|parts| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|members| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|count| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|member?| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|latex| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|hash| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (~= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|bag| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) (|extract!| (*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|inspect| (*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|push!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|pop!| (*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|top| (*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|depth| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|arrayStack| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3))))) 
+(|Join| (|StackAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |arrayStack| ($ (|List| |#1|))) (SIGNATURE |pop!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |push!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |top| (|#1| $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) 
+NIL 
+(((|AdditiveValuationAttribute|) (|Category|)) (T |AdditiveValuationAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|ApproximateAttribute|) (|Category|)) (T |ApproximateAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|ArbitraryExponentAttribute|) (|Category|)) (T |ArbitraryExponentAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|ArbitraryPrecisionAttribute|) (|Category|)) (T |ArbitraryPrecisionAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|CanonicalClosedAttribute|) (|Category|)) (T |CanonicalClosedAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|CanonicalAttribute|) (|Category|)) (T |CanonicalAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|CentralAttribute|) (|Category|)) (T |CentralAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|CommutativeStarAttribute|) (|Category|)) (T |CommutativeStarAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|CanonicalUnitNormalAttribute|) (|Category|)) (T |CanonicalUnitNormalAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|FiniteAggregateAttribute|) (|Category|)) (T |FiniteAggregateAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|JacobiIdentityAttribute|) (|Category|)) (T |JacobiIdentityAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|LazyRepresentationAttribute|) (|Category|)) (T |LazyRepresentationAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|LeftUnitaryAttribute|) (|Category|)) (T |LeftUnitaryAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|MultiplicativeValuationAttribute|) (|Category|)) (T |MultiplicativeValuationAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|NotherianAttribute|) (|Category|)) (T |NotherianAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|NullSquareAttribute|) (|Category|)) (T |NullSquareAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|NoZeroDivisorsAttribute|) (|Category|)) (T |NoZeroDivisorsAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+NIL 
+(((|PartiallyOrderedSetAttribute|) (|Category|)) (T |PartiallyOrderedSetAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+((|asec| (($ $) 10)) (|acsc| (($ $) 12))) 
+(((|ArcTrigonometricFunctionCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |acsc| (|#1| |#1|)) (SIGNATURE |asec| (|#1| |#1|))) (|ArcTrigonometricFunctionCategory|)) (T |ArcTrigonometricFunctionCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |acsc| (|#1| |#1|)) (SIGNATURE |asec| (|#1| |#1|))) 
+((|atan| (($ $) 11)) (|asin| (($ $) 10)) (|asec| (($ $) 9)) (|acsc| (($ $) 8)) (|acot| (($ $) 7)) (|acos| (($ $) 6))) 
+(((|ArcTrigonometricFunctionCategory|) (|Category|)) (T |ArcTrigonometricFunctionCategory|)) 
+((|atan| (*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) (|asin| (*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) (|asec| (*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) (|acsc| (*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) (|acot| (*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) (|acos| (*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |acos| ($ $)) (SIGNATURE |acot| ($ $)) (SIGNATURE |acsc| ($ $)) (SIGNATURE |asec| ($ $)) (SIGNATURE |asin| ($ $)) (SIGNATURE |atan| ($ $)))) 
+NIL 
+(((|ShallowlyMutableAttribute|) (|Category|)) (T |ShallowlyMutableAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+((~= (((|Boolean|) $ $) NIL)) (|setButtonValue| (((|Float|) (|String|) (|Float|)) 42) (((|Float|) (|String|) (|String|) (|Float|)) 41)) (|setAttributeButtonStep| (((|Float|) (|Float|)) 33)) (|resetAttributeButtons| (((|Void|)) 36)) (|latex| (((|String|) $) NIL)) (|increase| (((|Float|) (|String|) (|String|)) 46) (((|Float|) (|String|)) 48)) (|hash| (((|SingleInteger|) $) NIL)) (|getButtonValue| (((|Float|) (|String|) (|String|)) 47)) (|decrease| (((|Float|) (|String|) (|String|)) 49) (((|Float|) (|String|)) 50)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|AttributeButtons|) (|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |increase| ((|Float|) (|String|) (|String|))) (SIGNATURE |increase| ((|Float|) (|String|))) (SIGNATURE |decrease| ((|Float|) (|String|) (|String|))) (SIGNATURE |decrease| ((|Float|) (|String|))) (SIGNATURE |getButtonValue| ((|Float|) (|String|) (|String|))) (SIGNATURE |resetAttributeButtons| ((|Void|))) (SIGNATURE |setAttributeButtonStep| ((|Float|) (|Float|))) (SIGNATURE |setButtonValue| ((|Float|) (|String|) (|Float|))) (SIGNATURE |setButtonValue| ((|Float|) (|String|) (|String|) (|Float|))) (ATTRIBUTE |finiteAggregate|)))) (T |AttributeButtons|)) 
+((|increase| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) (|increase| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) (|decrease| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) (|decrease| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) (|getButtonValue| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) (|resetAttributeButtons| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AttributeButtons|)))) (|setAttributeButtonStep| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) (|setButtonValue| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|)))) (|setButtonValue| (*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |increase| ((|Float|) (|String|) (|String|))) (SIGNATURE |increase| ((|Float|) (|String|))) (SIGNATURE |decrease| ((|Float|) (|String|) (|String|))) (SIGNATURE |decrease| ((|Float|) (|String|))) (SIGNATURE |getButtonValue| ((|Float|) (|String|) (|String|))) (SIGNATURE |resetAttributeButtons| ((|Void|))) (SIGNATURE |setAttributeButtonStep| ((|Float|) (|Float|))) (SIGNATURE |setButtonValue| ((|Float|) (|String|) (|Float|))) (SIGNATURE |setButtonValue| ((|Float|) (|String|) (|String|) (|Float|))) (ATTRIBUTE |finiteAggregate|))) 
+NIL 
+(((|AttributeRegistry|) (|Category|)) (T |AttributeRegistry|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE (|commutative| "*")) (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |unitsKnown|) (ATTRIBUTE |leftUnitary|) (ATTRIBUTE |rightUnitary|) (ATTRIBUTE |noZeroDivisors|) (ATTRIBUTE |canonicalUnitNormal|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |arbitraryPrecision|) (ATTRIBUTE |partiallyOrderedSet|) (ATTRIBUTE |central|) (ATTRIBUTE |noetherian|) (ATTRIBUTE |additiveValuation|) (ATTRIBUTE |multiplicativeValuation|) (ATTRIBUTE |NullSquare|) (ATTRIBUTE |JacobiIdentity|) (ATTRIBUTE |canonical|) (ATTRIBUTE |approximate|))) 
+NIL 
+(((|UnitsKnownAttribute|) (|Category|)) (T |UnitsKnownAttribute|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+((~= (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|morphism| (($ (|Mapping| |#1| |#1|)) 25) (($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|)) 24) (($ (|Mapping| |#1| |#1| (|Integer|))) 22)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 14)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#1| $ |#1|) 11)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) 20)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 8 T CONST)) (= (((|Boolean|) $ $) 10)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) 28) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 16)) (* (($ $ $) 29))) 
+(((|Automorphism| |#1|) (|Join| (|Group|) (|Eltable| |#1| |#1|) (CATEGORY |domain| (SIGNATURE |morphism| ($ (|Mapping| |#1| |#1|))) (SIGNATURE |morphism| ($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |morphism| ($ (|Mapping| |#1| |#1| (|Integer|)))))) (|Ring|)) (T |Automorphism|)) 
+((|morphism| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) (|morphism| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) (|morphism| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3))))) 
+(|Join| (|Group|) (|Eltable| |#1| |#1|) (CATEGORY |domain| (SIGNATURE |morphism| ($ (|Mapping| |#1| |#1|))) (SIGNATURE |morphism| ($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |morphism| ($ (|Mapping| |#1| |#1| (|Integer|)))))) 
+((|multiServ| (((|Void|) (|SExpression|)) 20)) (|getDatabase| (((|String|) (|String|) (|String|)) 7)) (|axServer| (((|Void|) (|Integer|) (|Mapping| (|Void|) (|SExpression|))) 14))) 
+(((|AxiomServer|) (CATEGORY |package| (SIGNATURE |axServer| ((|Void|) (|Integer|) (|Mapping| (|Void|) (|SExpression|)))) (SIGNATURE |multiServ| ((|Void|) (|SExpression|))) (SIGNATURE |getDatabase| ((|String|) (|String|) (|String|))))) (T |AxiomServer|)) 
+((|getDatabase| (*1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|AxiomServer|)))) (|multiServ| (*1 *2 *3) (AND (|isDomain| *3 (|SExpression|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|)))) (|axServer| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Mapping| (|Void|) (|SExpression|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(CATEGORY |package| (SIGNATURE |axServer| ((|Void|) (|Integer|) (|Mapping| (|Void|) (|SExpression|)))) (SIGNATURE |multiServ| ((|Void|) (|SExpression|))) (SIGNATURE |getDatabase| ((|String|) (|String|) (|String|)))) 
+((|balancedFactorisation| (((|Factored| |#2|) |#2| (|List| |#2|)) 10) (((|Factored| |#2|) |#2| |#2|) 11))) 
+(((|BalancedFactorisation| |#1| |#2|) (CATEGORY |package| (SIGNATURE |balancedFactorisation| ((|Factored| |#2|) |#2| |#2|)) (SIGNATURE |balancedFactorisation| ((|Factored| |#2|) |#2| (|List| |#2|)))) (|Join| (|GcdDomain|) (|CharacteristicZero|)) (|UnivariatePolynomialCategory| |#1|)) (T |BalancedFactorisation|)) 
+((|balancedFactorisation| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *5 *3)))) (|balancedFactorisation| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |balancedFactorisation| ((|Factored| |#2|) |#2| |#2|)) (SIGNATURE |balancedFactorisation| ((|Factored| |#2|) |#2| (|List| |#2|)))) 
+((~= (((|Boolean|) $ $) 9))) 
+(((|BasicType&| |#1|) (CATEGORY |domain| (SIGNATURE ~= ((|Boolean|) |#1| |#1|))) (|BasicType|)) (T |BasicType&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ~= ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (= (((|Boolean|) $ $) 6))) 
+(((|BasicType|) (|Category|)) (T |BasicType|)) 
+((~= (*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) (= (*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) 13 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleaves!| (($ $ (|List| |#1|)) 15)) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|right| (($ $) 11)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|node| (($ $ |#1| $) 17)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|mapUp!| ((|#1| $ (|Mapping| |#1| |#1| |#1|)) 25) (($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|)) 30)) (|mapDown!| (($ $ |#1| (|Mapping| |#1| |#1| |#1|)) 31) (($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|)) 35)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|left| (($ $) 10)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) 12)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 9)) (|empty| (($) 16)) (|elt| ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|balancedBinaryTree| (($ (|NonNegativeInteger|) |#1|) 19)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BalancedBinaryTree| |#1|) (|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |balancedBinaryTree| ($ (|NonNegativeInteger|) |#1|)) (SIGNATURE |setleaves!| ($ $ (|List| |#1|))) (SIGNATURE |mapUp!| (|#1| $ (|Mapping| |#1| |#1| |#1|))) (SIGNATURE |mapUp!| ($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|))) (SIGNATURE |mapDown!| ($ $ |#1| (|Mapping| |#1| |#1| |#1|))) (SIGNATURE |mapDown!| ($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|))))) (|SetCategory|)) (T |BalancedBinaryTree|)) 
+((|balancedBinaryTree| (*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BalancedBinaryTree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|setleaves!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) (|mapUp!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *1 (|BalancedBinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|mapUp!| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 *3 *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) (|mapDown!| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2)))) (|mapDown!| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *2) *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2))))) 
+(|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |balancedBinaryTree| ($ (|NonNegativeInteger|) |#1|)) (SIGNATURE |setleaves!| ($ $ (|List| |#1|))) (SIGNATURE |mapUp!| (|#1| $ (|Mapping| |#1| |#1| |#1|))) (SIGNATURE |mapUp!| ($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|))) (SIGNATURE |mapDown!| ($ $ |#1| (|Mapping| |#1| |#1| |#1|))) (SIGNATURE |mapDown!| ($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|))))) 
+((|quadraticBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) 20)) (|linearBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|)) 17)) (|cubicBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) 21))) 
+(((|Bezier| |#1|) (CATEGORY |package| (SIGNATURE |linearBezier| ((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|))) (SIGNATURE |quadraticBezier| ((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|))) (SIGNATURE |cubicBezier| ((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)))) (|Ring|)) (T |Bezier|)) 
+((|cubicBezier| (*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4)))) (|quadraticBezier| (*1 *2 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4)))) (|linearBezier| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(CATEGORY |package| (SIGNATURE |linearBezier| ((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|))) (SIGNATURE |quadraticBezier| ((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|))) (SIGNATURE |cubicBezier| ((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)))) 
+((|sylvesterMatrix| ((|#3| |#2| |#2|) 28)) (|bezoutResultant| ((|#1| |#2| |#2|) 36 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|bezoutMatrix| ((|#3| |#2| |#2|) 29)) (|bezoutDiscriminant| ((|#1| |#2|) 40 (|has| |#1| (ATTRIBUTE (|commutative| "*")))))) 
+(((|BezoutMatrix| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |sylvesterMatrix| (|#3| |#2| |#2|)) (SIGNATURE |bezoutMatrix| (|#3| |#2| |#2|)) (IF (|has| |#1| (ATTRIBUTE (|commutative| "*"))) (PROGN (SIGNATURE |bezoutResultant| (|#1| |#2| |#2|)) (SIGNATURE |bezoutDiscriminant| (|#1| |#2|))) |noBranch|)) (|Ring|) (|UnivariatePolynomialCategory| |#1|) (|MatrixCategory| |#1| |#4| |#5|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|)) (T |BezoutMatrix|)) 
+((|bezoutDiscriminant| (*1 *2 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6)))) (|bezoutResultant| (*1 *2 *3 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6)))) (|bezoutMatrix| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) (|sylvesterMatrix| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(CATEGORY |package| (SIGNATURE |sylvesterMatrix| (|#3| |#2| |#2|)) (SIGNATURE |bezoutMatrix| (|#3| |#2| |#2|)) (IF (|has| |#1| (ATTRIBUTE (|commutative| "*"))) (PROGN (SIGNATURE |bezoutResultant| (|#1| |#2| |#2|)) (SIGNATURE |bezoutDiscriminant| (|#1| |#2|))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|bfKeys| (((|List| (|Symbol|))) 32)) (|bfEntry| (((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|)) 35)) (= (((|Boolean|) $ $) NIL))) 
+(((|BasicFunctions|) (|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |bfKeys| ((|List| (|Symbol|)))) (SIGNATURE |bfEntry| ((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|))) (ATTRIBUTE |finiteAggregate|)))) (T |BasicFunctions|)) 
+((|bfKeys| (*1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|BasicFunctions|)))) (|bfEntry| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|))))) (|isDomain| *1 (|BasicFunctions|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |bfKeys| ((|List| (|Symbol|)))) (SIGNATURE |bfEntry| ((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|))) (ATTRIBUTE |finiteAggregate|))) 
+((|bag| (($ (|List| |#2|)) 11))) 
+(((|BagAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |bag| (|#1| (|List| |#2|)))) (|BagAggregate| |#2|) (|Type|)) (T |BagAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |bag| (|#1| (|List| |#2|)))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BagAggregate| |#1|) (|Category|) (|Type|)) (T |BagAggregate|)) 
+((|bag| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|BagAggregate| *3)))) (|extract!| (*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|insert!| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|inspect| (*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|HomogeneousAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |bag| ($ (|List| |t#1|))) (SIGNATURE |extract!| (|t#1| $)) (SIGNATURE |insert!| ($ |t#1| $)) (SIGNATURE |inspect| (|t#1| $)))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|Integer|) $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|retract| (((|Integer|) $) NIL) (((|Symbol|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|Integer|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|Integer|) (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|))) (((|Fraction| (|Integer|)) $) NIL)) (|floor| (((|Integer|) $) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Integer|) (|Integer|)) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Equation| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Equation| (|Integer|)))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Symbol|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|)))) (($ $ (|Symbol|) (|Integer|)) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Eltable| (|Integer|) (|Integer|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|Integer|) $) NIL)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|Integer|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|Integer|) (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) 7) (($ (|Integer|)) NIL) (($ (|Symbol|)) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL) (((|RadixExpansion| 2) $) 9)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))) (|has| (|Integer|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (((|Integer|) $) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|binary| (($ (|Fraction| (|Integer|))) 8)) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (/ (($ $ $) NIL) (($ (|Integer|) (|Integer|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL))) 
+(((|BinaryExpansion|) (|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ((|RadixExpansion| 2) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |binary| ($ (|Fraction| (|Integer|))))))) (T |BinaryExpansion|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 2)) (|isDomain| *1 (|BinaryExpansion|)))) (|fractionPart| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) (|binary| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|))))) 
+(|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ((|RadixExpansion| 2) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |binary| ($ (|Fraction| (|Integer|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|write!| (((|SingleInteger|) $ (|SingleInteger|)) 23)) (|reopen!| (($ $ (|String|)) 17)) (|readIfCan!| (((|Union| (|SingleInteger|) "failed") $) 22)) (|read!| (((|SingleInteger|) $) 20)) (|position!| (((|SingleInteger|) $ (|SingleInteger|)) 25)) (|position| (((|SingleInteger|) $) 24)) (|open| (($ (|FileName|)) NIL) (($ (|FileName|) (|String|)) 16)) (|name| (((|FileName|) $) NIL)) (|latex| (((|String|) $) NIL)) (|iomode| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|flush| (((|Void|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|close!| (($ $) 18)) (= (((|Boolean|) $ $) NIL))) 
+(((|BinaryFile|) (|Join| (|FileCategory| (|FileName|) (|SingleInteger|)) (CATEGORY |domain| (SIGNATURE |readIfCan!| ((|Union| (|SingleInteger|) "failed") $)) (SIGNATURE |position| ((|SingleInteger|) $)) (SIGNATURE |position!| ((|SingleInteger|) $ (|SingleInteger|)))))) (T |BinaryFile|)) 
+((|readIfCan!| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) (|position| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) (|position!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|))))) 
+(|Join| (|FileCategory| (|FileName|) (|SingleInteger|)) (CATEGORY |domain| (SIGNATURE |readIfCan!| ((|Union| (|SingleInteger|) "failed") $)) (SIGNATURE |position| ((|SingleInteger|) $)) (SIGNATURE |position!| ((|SingleInteger|) $ (|SingleInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (~ (($ $) NIL)) (|xor| (($ $ $) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) NIL (|has| (|Boolean|) (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL)) (|sort!| (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Boolean|) (|OrderedSet|)))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) NIL (|has| (|Boolean|) (|OrderedSet|))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Boolean|) $ (|UniversalSegment| (|Integer|)) (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Boolean|) $ (|Integer|) (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|remove| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|reduce| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ (|Boolean|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ (|Boolean|) (|Boolean|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|qsetelt!| (((|Boolean|) $ (|Integer|) (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Boolean|) $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Boolean|) $ (|Integer|)) NIL (|has| (|Boolean|) (|SetCategory|))) (((|Integer|) (|Boolean|) $) NIL (|has| (|Boolean|) (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL)) (|parts| (((|List| (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|or| (($ $ $) NIL)) (|not| (($ $) NIL)) (|nor| (($ $ $) NIL)) (|new| (($ (|NonNegativeInteger|) (|Boolean|)) 8)) (|nand| (($ $ $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL)) (|merge| (($ $ $) NIL (|has| (|Boolean|) (|OrderedSet|))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ $) NIL)) (|members| (((|List| (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL)) (|map!| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ $) NIL) (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|insert| (($ $ $ (|Integer|)) NIL) (($ (|Boolean|) $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Boolean|) "failed") (|Mapping| (|Boolean|) (|Boolean|)) $) NIL)) (|fill!| (($ $ (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Boolean|)) (|List| (|Boolean|))) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|Boolean|) (|Boolean|)) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|Equation| (|Boolean|))) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Boolean|)))) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|entries| (((|List| (|Boolean|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| (($ $ (|UniversalSegment| (|Integer|))) NIL) (((|Boolean|) $ (|Integer|)) NIL) (((|Boolean|) $ (|Integer|) (|Boolean|)) NIL)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|count| (((|NonNegativeInteger|) (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Boolean|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Boolean|))) NIL)) (|concat| (($ (|List| $)) NIL) (($ $ $) NIL) (($ (|Boolean|) $) NIL) (($ $ (|Boolean|)) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|bits| (($ (|NonNegativeInteger|) (|Boolean|)) 9)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|and| (($ $ $) NIL)) (^ (($ $) NIL)) (|\\/| (($ $ $) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (|/\\| (($ $ $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Bits|) (|Join| (|BitAggregate|) (CATEGORY |domain| (SIGNATURE |bits| ($ (|NonNegativeInteger|) (|Boolean|)))))) (T |Bits|)) 
+((|bits| (*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Bits|))))) 
+(|Join| (|BitAggregate|) (CATEGORY |domain| (SIGNATURE |bits| ($ (|NonNegativeInteger|) (|Boolean|))))) 
+((|zaxpy| (((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) 33)) (|izamax| (((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) 32)) (|isamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|)) 31)) (|idamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|)) 29)) (|icamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|)) 28)) (|dznrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) 25)) (|dzasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) 24)) (|dswap| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 22)) (|dscal| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 21)) (|drotg| (((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 18)) (|drot| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|)) 20)) (|dnrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 17)) (|ddot| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 16)) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 15)) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) 10)) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 14)) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) 13))) 
+(((|BlasLevelOne|) (CATEGORY |package| (SIGNATURE |dcabs1| ((|DoubleFloat|) (|Complex| (|DoubleFloat|)))) (SIGNATURE |dasum| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |daxpy| ((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dcopy| ((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |ddot| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dnrm2| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |drotg| ((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |drot| ((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |dscal| ((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dswap| ((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dzasum| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))) (SIGNATURE |dznrm2| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))) (SIGNATURE |icamax| ((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|))) (SIGNATURE |idamax| ((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |isamax| ((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|))) (SIGNATURE |izamax| ((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))) (SIGNATURE |zaxpy| ((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))))) (T |BlasLevelOne|)) 
+((|zaxpy| (*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)))) (|izamax| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BlasLevelOne|)))) (|isamax| (*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Float|))) (|isDomain| *1 (|BlasLevelOne|)))) (|idamax| (*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)))) (|icamax| (*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Complex| (|Float|)))) (|isDomain| *1 (|BlasLevelOne|)))) (|dznrm2| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|dzasum| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|dswap| (*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|List| (|PrimitiveArray| (|DoubleFloat|)))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))))) (|dscal| (*1 *2 *3 *4 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|drot| (*1 *2 *3 *4 *3 *4 *3 *5 *5) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|List| (|PrimitiveArray| *5))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| *5)))) (|drotg| (*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *3 (|DoubleFloat|)))) (|dnrm2| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|ddot| (*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|dcopy| (*1 *2 *3 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *1 (|BlasLevelOne|)))) (|daxpy| (*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|dasum| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|)))) (|dcabs1| (*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(CATEGORY |package| (SIGNATURE |dcabs1| ((|DoubleFloat|) (|Complex| (|DoubleFloat|)))) (SIGNATURE |dasum| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |daxpy| ((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dcopy| ((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |ddot| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dnrm2| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |drotg| ((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |drot| ((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |dscal| ((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dswap| ((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|))) (SIGNATURE |dzasum| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))) (SIGNATURE |dznrm2| ((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))) (SIGNATURE |icamax| ((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|))) (SIGNATURE |idamax| ((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |isamax| ((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|))) (SIGNATURE |izamax| ((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|))) (SIGNATURE |zaxpy| ((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|type| (((|Union| "left" "center" "right" "vertical" "horizontal") $) 17)) (|transCoord| (((|Integer|) $) 14)) (|ramifMult| (((|Integer|) $) 15)) (|quotValuation| (((|Integer|) $) 16)) (|latex| (((|String|) $) NIL)) (|infClsPt?| (((|Boolean|) $) 8)) (|hash| (((|SingleInteger|) $) NIL)) (|excepCoord| (((|Integer|) $) 12)) (|createHN| (($ (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Union| "left" "center" "right" "vertical" "horizontal")) 11)) (|coerce| (((|OutputForm|) $) 19) (($ (|List| (|Integer|))) NIL)) (|chartCoord| (((|Integer|) $) 13)) (= (((|Boolean|) $ $) NIL))) 
+(((|BlowUpWithHamburgerNoether|) (|Join| (|BlowUpMethodCategory|) (CATEGORY |package| (ATTRIBUTE |HamburgerNoether|)))) (T |BlowUpWithHamburgerNoether|)) 
+NIL 
+(|Join| (|BlowUpMethodCategory|) (CATEGORY |package| (ATTRIBUTE |HamburgerNoether|))) 
+((~= (((|Boolean|) $ $) 7)) (|type| (((|Union| "left" "center" "right" "vertical" "horizontal") $) 12)) (|transCoord| (((|Integer|) $) 17)) (|ramifMult| (((|Integer|) $) 15)) (|quotValuation| (((|Integer|) $) 13)) (|latex| (((|String|) $) 9)) (|infClsPt?| (((|Boolean|) $) 14)) (|hash| (((|SingleInteger|) $) 10)) (|excepCoord| (((|Integer|) $) 19)) (|createHN| (($ (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Union| "left" "center" "right" "vertical" "horizontal")) 16)) (|coerce| (((|OutputForm|) $) 11) (($ (|List| (|Integer|))) 20)) (|chartCoord| (((|Integer|) $) 18)) (= (((|Boolean|) $ $) 6))) 
+(((|BlowUpMethodCategory|) (|Category|)) (T |BlowUpMethodCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|BlowUpMethodCategory|)))) (|excepCoord| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)))) (|chartCoord| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)))) (|transCoord| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)))) (|createHN| (*1 *1 *2 *2 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *1 (|BlowUpMethodCategory|)))) (|ramifMult| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)))) (|infClsPt?| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Boolean|)))) (|quotValuation| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)))) (|type| (*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Union| "left" "center" "right" "vertical" "horizontal"))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| (|Integer|)))) (SIGNATURE |excepCoord| ((|Integer|) $)) (SIGNATURE |chartCoord| ((|Integer|) $)) (SIGNATURE |transCoord| ((|Integer|) $)) (SIGNATURE |createHN| ($ (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Union| "left" "center" "right" "vertical" "horizontal"))) (SIGNATURE |ramifMult| ((|Integer|) $)) (SIGNATURE |infClsPt?| ((|Boolean|) $)) (SIGNATURE |quotValuation| ((|Integer|) $)) (SIGNATURE |type| ((|Union| "left" "center" "right" "vertical" "horizontal") $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|type| (((|Union| "left" "center" "right" "vertical" "horizontal") $) NIL)) (|transCoord| (((|Integer|) $) 14)) (|ramifMult| (((|Integer|) $) 11)) (|quotValuation| (((|Integer|) $) 15)) (|latex| (((|String|) $) NIL)) (|infClsPt?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|excepCoord| (((|Integer|) $) 12)) (|createHN| (($ (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Union| "left" "center" "right" "vertical" "horizontal")) NIL)) (|coerce| (((|OutputForm|) $) 17) (($ (|List| (|Integer|))) 10)) (|chartCoord| (((|Integer|) $) 13)) (= (((|Boolean|) $ $) NIL))) 
+(((|BlowUpWithQuadTrans|) (|Join| (|BlowUpMethodCategory|) (CATEGORY |package| (ATTRIBUTE |QuadraticTransform|)))) (T |BlowUpWithQuadTrans|)) 
+NIL 
+(|Join| (|BlowUpMethodCategory|) (CATEGORY |package| (ATTRIBUTE |QuadraticTransform|))) 
+((|stepBlowUp| (((|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) (|:| |recPoint| (|AffinePlane| |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) |#5| |#1|) 70)) (|quadTransform| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|NonNegativeInteger|) |#5|) 54)) (|polyRingToBlUpRing| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) |#3| |#5|) 99)) (|newtonPolySlope| (((|List| (|List| (|NonNegativeInteger|))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) NIL)) (|biringToPolyRing| ((|#3| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) |#5|) 105)) (|applyTransform| ((|#3| |#3| |#5|) 107))) 
+(((|BlowUpPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |applyTransform| (|#3| |#3| |#5|)) (SIGNATURE |quadTransform| ((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|NonNegativeInteger|) |#5|)) (SIGNATURE |stepBlowUp| ((|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) (|:| |recPoint| (|AffinePlane| |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) |#5| |#1|)) (SIGNATURE |newtonPolySlope| ((|List| (|List| (|NonNegativeInteger|))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|))) (SIGNATURE |polyRingToBlUpRing| ((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) |#3| |#5|)) (SIGNATURE |biringToPolyRing| (|#3| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) |#5|))) (|Field|) (|List| (|Symbol|)) (|FiniteAbelianMonoidRing| |#1| |#4|) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|BlowUpMethodCategory|)) (T |BlowUpPackage|)) 
+((|biringToPolyRing| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *7)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *2 *7 *4)) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *4 (|BlowUpMethodCategory|)))) (|polyRingToBlUpRing| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *3 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *4 (|BlowUpMethodCategory|)))) (|newtonPolySlope| (*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *4 *7)) (|ofCategory| *8 (|BlowUpMethodCategory|)))) (|stepBlowUp| (*1 *2 *3 *4 *5 *6) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *9 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|:| |recPoint| (|AffinePlane| *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (|isDomain| *1 (|BlowUpPackage| *6 *7 *8 *9 *5)) (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|isDomain| *4 (|AffinePlane| *6)) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *6 *9)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|quadTransform| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *7 *8 *4)) (|ofCategory| *7 (|FiniteAbelianMonoidRing| *5 *8)) (|ofCategory| *4 (|BlowUpMethodCategory|)))) (|applyTransform| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *2 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *3 (|BlowUpMethodCategory|))))) 
+(CATEGORY |package| (SIGNATURE |applyTransform| (|#3| |#3| |#5|)) (SIGNATURE |quadTransform| ((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|NonNegativeInteger|) |#5|)) (SIGNATURE |stepBlowUp| ((|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) (|:| |recPoint| (|AffinePlane| |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) |#5| |#1|)) (SIGNATURE |newtonPolySlope| ((|List| (|List| (|NonNegativeInteger|))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|))) (SIGNATURE |polyRingToBlUpRing| ((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) |#3| |#5|)) (SIGNATURE |biringToPolyRing| (|#3| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) |#5|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
+(((|BiModule| |#1| |#2|) (|Category|) (|Ring|) (|Ring|)) (T |BiModule|)) 
+NIL 
+(|Join| (|LeftModule| |t#1|) (|RightModule| |t#2|) (CATEGORY |package| (ATTRIBUTE |leftUnitary|) (ATTRIBUTE |rightUnitary|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|RightModule| |#2|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (~ (($ $) 12)) (|xor| (($ $ $) 17)) (|true| (($) 8 T CONST)) (|test| (((|Boolean|) $) 7)) (|size| (((|NonNegativeInteger|)) 24)) (|random| (($) 30)) (|or| (($ $ $) 15)) (|not| (($ $) 10)) (|nor| (($ $ $) 18)) (|nand| (($ $ $) 19)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|lookup| (((|PositiveInteger|) $) 29)) (|latex| (((|String|) $) NIL)) (|index| (($ (|PositiveInteger|)) 28)) (|implies| (($ $ $) 21)) (|hash| (((|SingleInteger|) $) NIL)) (|false| (($) 9 T CONST)) (|enumerate| (((|List| $)) NIL)) (|convert| (((|InputForm|) $) 36)) (|coerce| (((|OutputForm|) $) 39)) (|and| (($ $ $) 13)) (^ (($ $) 11)) (|\\/| (($ $ $) 16)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 20)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 22)) (|/\\| (($ $ $) 14))) 
+(((|Boolean|) (|Join| (|OrderedSet|) (|Finite|) (|Logic|) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE |true| ($) |constant|) (SIGNATURE |false| ($) |constant|) (SIGNATURE ^ ($ $)) (SIGNATURE |not| ($ $)) (SIGNATURE |and| ($ $ $)) (SIGNATURE |or| ($ $ $)) (SIGNATURE |xor| ($ $ $)) (SIGNATURE |nand| ($ $ $)) (SIGNATURE |nor| ($ $ $)) (SIGNATURE |implies| ($ $ $)) (SIGNATURE |test| ((|Boolean|) $))))) (T |Boolean|)) 
+((|true| (*1 *1) (|isDomain| *1 (|Boolean|))) (|false| (*1 *1) (|isDomain| *1 (|Boolean|))) (^ (*1 *1 *1) (|isDomain| *1 (|Boolean|))) (|not| (*1 *1 *1) (|isDomain| *1 (|Boolean|))) (|and| (*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) (|or| (*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) (|xor| (*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) (|nand| (*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) (|nor| (*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) (|implies| (*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) (|test| (*1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
+(|Join| (|OrderedSet|) (|Finite|) (|Logic|) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE |true| ($) |constant|) (SIGNATURE |false| ($) |constant|) (SIGNATURE ^ ($ $)) (SIGNATURE |not| ($ $)) (SIGNATURE |and| ($ $ $)) (SIGNATURE |or| ($ $ $)) (SIGNATURE |xor| ($ $ $)) (SIGNATURE |nand| ($ $ $)) (SIGNATURE |nor| ($ $ $)) (SIGNATURE |implies| ($ $ $)) (SIGNATURE |test| ((|Boolean|) $)))) 
+((|evaluate| (((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|)) 18) (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) 13) (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|))) 11) (((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|)) 20)) (|derivative| (((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|)) 24) (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) 30) (((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|)))) 26)) (|constantOperator| (((|BasicOperator|) |#1|) 53 (|has| |#1| (|OrderedSet|)))) (|constantOpIfCan| (((|Union| |#1| "failed") (|BasicOperator|)) 48 (|has| |#1| (|OrderedSet|))))) 
+(((|BasicOperatorFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |evaluate| ((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|))) (SIGNATURE |evaluate| ((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |evaluate| ((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |evaluate| ((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|))) (SIGNATURE |derivative| ((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |derivative| ((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |derivative| ((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |constantOperator| ((|BasicOperator|) |#1|)) (SIGNATURE |constantOpIfCan| ((|Union| |#1| "failed") (|BasicOperator|)))) |noBranch|)) (|SetCategory|)) (T |BasicOperatorFunctions1|)) 
+((|constantOpIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|BasicOperatorFunctions1| *2)))) (|constantOperator| (*1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|BasicOperatorFunctions1| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)))) (|derivative| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Mapping| *4 (|List| *4)))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|)))) (|derivative| (*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) (|derivative| (*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Mapping| *4 (|List| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) (|evaluate| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Mapping| *4 (|List| *4))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|)))) (|evaluate| (*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) (|evaluate| (*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 (|List| *4))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) (|evaluate| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|List| *2)) (|isDomain| *1 (|BasicOperatorFunctions1| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |evaluate| ((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|))) (SIGNATURE |evaluate| ((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |evaluate| ((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |evaluate| ((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|))) (SIGNATURE |derivative| ((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |derivative| ((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |derivative| ((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |constantOperator| ((|BasicOperator|) |#1|)) (SIGNATURE |constantOpIfCan| ((|Union| |#1| "failed") (|BasicOperator|)))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|weight| (((|NonNegativeInteger|) $) 68) (($ $ (|NonNegativeInteger|)) 30)) (|unary?| (((|Boolean|) $) 32)) (|setProperty| (($ $ (|String|) (|None|)) 26)) (|setProperties| (($ $ (|AssociationList| (|String|) (|None|))) 13)) (|property| (((|Union| (|None|) "failed") $ (|String|)) 24)) (|properties| (((|AssociationList| (|String|) (|None|)) $) 12)) (|operator| (($ (|Symbol|)) 15) (($ (|Symbol|) (|NonNegativeInteger|)) 20)) (|nullary?| (((|Boolean|) $) 31)) (|nary?| (((|Boolean|) $) 33)) (|name| (((|Symbol|) $) 8)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|is?| (((|Boolean|) $ (|Symbol|)) 10)) (|input| (($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|)))) 50) (((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $) 54)) (|hash| (((|SingleInteger|) $) NIL)) (|has?| (((|Boolean|) $ (|String|)) 29)) (|equality| (($ $ (|Mapping| (|Boolean|) $ $)) 35)) (|display| (((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $) 52) (($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) 41) (($ $ (|Mapping| (|OutputForm|) (|OutputForm|))) 43)) (|deleteProperty!| (($ $ (|String|)) 45)) (|copy| (($ $) 61)) (|comparison| (($ $ (|Mapping| (|Boolean|) $ $)) 36)) (|coerce| (((|OutputForm|) $) 48)) (|assert| (($ $ (|String|)) 27)) (|arity| (((|Union| (|NonNegativeInteger|) "failed") $) 56)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 67)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 72))) 
+(((|BasicOperator|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)) (SIGNATURE |properties| ((|AssociationList| (|String|) (|None|)) $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |operator| ($ (|Symbol|))) (SIGNATURE |operator| ($ (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |arity| ((|Union| (|NonNegativeInteger|) "failed") $)) (SIGNATURE |nullary?| ((|Boolean|) $)) (SIGNATURE |unary?| ((|Boolean|) $)) (SIGNATURE |nary?| ((|Boolean|) $)) (SIGNATURE |weight| ((|NonNegativeInteger|) $)) (SIGNATURE |weight| ($ $ (|NonNegativeInteger|))) (SIGNATURE |equality| ($ $ (|Mapping| (|Boolean|) $ $))) (SIGNATURE |comparison| ($ $ (|Mapping| (|Boolean|) $ $))) (SIGNATURE |display| ((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $)) (SIGNATURE |display| ($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|))))) (SIGNATURE |display| ($ $ (|Mapping| (|OutputForm|) (|OutputForm|)))) (SIGNATURE |input| ($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|))))) (SIGNATURE |input| ((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $)) (SIGNATURE |is?| ((|Boolean|) $ (|Symbol|))) (SIGNATURE |has?| ((|Boolean|) $ (|String|))) (SIGNATURE |assert| ($ $ (|String|))) (SIGNATURE |deleteProperty!| ($ $ (|String|))) (SIGNATURE |property| ((|Union| (|None|) "failed") $ (|String|))) (SIGNATURE |setProperty| ($ $ (|String|) (|None|))) (SIGNATURE |setProperties| ($ $ (|AssociationList| (|String|) (|None|))))))) (T |BasicOperator|)) 
+((|name| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) (|properties| (*1 *2 *1) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|)))) (|copy| (*1 *1 *1) (|isDomain| *1 (|BasicOperator|))) (|operator| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) (|operator| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) (|arity| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) (|nullary?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) (|unary?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) (|nary?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) (|weight| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) (|weight| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) (|equality| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|)))) (|comparison| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|)))) (|display| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) (|display| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) (|display| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|OutputForm|))) (|isDomain| *1 (|BasicOperator|)))) (|input| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) (|input| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) (|is?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) (|has?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) (|assert| (*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) (|deleteProperty!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) (|property| (*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|None|)) (|isDomain| *1 (|BasicOperator|)))) (|setProperty| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|BasicOperator|)))) (|setProperties| (*1 *1 *1 *2) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)) (SIGNATURE |properties| ((|AssociationList| (|String|) (|None|)) $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |operator| ($ (|Symbol|))) (SIGNATURE |operator| ($ (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |arity| ((|Union| (|NonNegativeInteger|) "failed") $)) (SIGNATURE |nullary?| ((|Boolean|) $)) (SIGNATURE |unary?| ((|Boolean|) $)) (SIGNATURE |nary?| ((|Boolean|) $)) (SIGNATURE |weight| ((|NonNegativeInteger|) $)) (SIGNATURE |weight| ($ $ (|NonNegativeInteger|))) (SIGNATURE |equality| ($ $ (|Mapping| (|Boolean|) $ $))) (SIGNATURE |comparison| ($ $ (|Mapping| (|Boolean|) $ $))) (SIGNATURE |display| ((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $)) (SIGNATURE |display| ($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|))))) (SIGNATURE |display| ($ $ (|Mapping| (|OutputForm|) (|OutputForm|)))) (SIGNATURE |input| ($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|))))) (SIGNATURE |input| ((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $)) (SIGNATURE |is?| ((|Boolean|) $ (|Symbol|))) (SIGNATURE |has?| ((|Boolean|) $ (|String|))) (SIGNATURE |assert| ($ $ (|String|))) (SIGNATURE |deleteProperty!| ($ $ (|String|))) (SIGNATURE |property| ((|Union| (|None|) "failed") $ (|String|))) (SIGNATURE |setProperty| ($ $ (|String|) (|None|))) (SIGNATURE |setProperties| ($ $ (|AssociationList| (|String|) (|None|)))))) 
+((|integerBound| (((|Integer|) |#2|) 36))) 
+(((|BoundIntegerRoots| |#1| |#2|) (CATEGORY |package| (SIGNATURE |integerBound| ((|Integer|) |#2|))) (|Join| (|Field|) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|)) (T |BoundIntegerRoots|)) 
+((|integerBound| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|RetractableTo| (|Fraction| *2)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BoundIntegerRoots| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |integerBound| ((|Integer|) |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $ (|Integer|)) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) NIL)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quotientByP| (($ $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|order| (((|NonNegativeInteger|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|modulus| (((|Integer|)) NIL)) (|moduloP| (((|Integer|) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extend| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|digits| (((|Stream| (|Integer|)) $) NIL)) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Integer|) $ (|Integer|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL))) 
+(((|BalancedPAdicInteger| |#1|) (|PAdicIntegerCategory| |#1|) (|Integer|)) (T |BalancedPAdicInteger|)) 
+NIL 
+(|PAdicIntegerCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|BalancedPAdicInteger| |#1|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|BalancedPAdicInteger| |#1|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Integer|))))) (|retract| (((|BalancedPAdicInteger| |#1|) $) NIL) (((|Symbol|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Integer|))))) (|removeZeroes| (($ $) NIL) (($ (|Integer|) $) NIL)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|BalancedPAdicInteger| |#1|))) (|:| |vec| (|Vector| (|BalancedPAdicInteger| |#1|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|BalancedPAdicInteger| |#1|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|BalancedPAdicInteger| |#1|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|BalancedPAdicInteger| |#1|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|BalancedPAdicInteger| |#1|) (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|EuclideanDomain|)))) (|floor| (((|BalancedPAdicInteger| |#1|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|BalancedPAdicInteger| |#1|)) (|List| (|BalancedPAdicInteger| |#1|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|Evalable| (|BalancedPAdicInteger| |#1|)))) (($ $ (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|Evalable| (|BalancedPAdicInteger| |#1|)))) (($ $ (|Equation| (|BalancedPAdicInteger| |#1|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|Evalable| (|BalancedPAdicInteger| |#1|)))) (($ $ (|List| (|Equation| (|BalancedPAdicInteger| |#1|)))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|Evalable| (|BalancedPAdicInteger| |#1|)))) (($ $ (|List| (|Symbol|)) (|List| (|BalancedPAdicInteger| |#1|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|InnerEvalable| (|Symbol|) (|BalancedPAdicInteger| |#1|)))) (($ $ (|Symbol|) (|BalancedPAdicInteger| |#1|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|InnerEvalable| (|Symbol|) (|BalancedPAdicInteger| |#1|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|BalancedPAdicInteger| |#1|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|Eltable| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|BalancedPAdicInteger| |#1|) $) NIL)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RealConstant|)))) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|BalancedPAdicInteger| |#1|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|BalancedPAdicInteger| |#1|)) NIL) (($ (|Symbol|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|RetractableTo| (|Symbol|))))) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|BalancedPAdicInteger| |#1|) (|PolynomialFactorizationExplicit|))) (|has| (|BalancedPAdicInteger| |#1|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (((|BalancedPAdicInteger| |#1|) $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) NIL)) (|abs| (($ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|BalancedPAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|BalancedPAdicInteger| |#1|) (|OrderedSet|)))) (/ (($ $ $) NIL) (($ (|BalancedPAdicInteger| |#1|) (|BalancedPAdicInteger| |#1|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|BalancedPAdicInteger| |#1|) $) NIL) (($ $ (|BalancedPAdicInteger| |#1|)) NIL))) 
+(((|BalancedPAdicRational| |#1|) (|Join| (|QuotientFieldCategory| (|BalancedPAdicInteger| |#1|)) (CATEGORY |domain| (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ (|Integer|))) (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Fraction| (|Integer|))) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)))) (|Integer|)) (T |BalancedPAdicRational|)) 
+((|approximate| (*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BalancedPAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) (|continuedFraction| (*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 (|Integer|)))) (|removeZeroes| (*1 *1 *1) (AND (|isDomain| *1 (|BalancedPAdicRational| *2)) (|ofType| *2 (|Integer|)))) (|removeZeroes| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 *2)))) 
+(|Join| (|QuotientFieldCategory| (|BalancedPAdicInteger| |#1|)) (CATEGORY |domain| (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ (|Integer|))) (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Fraction| (|Integer|))) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)))) 
+((|setelt| ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (|nodes| (((|List| $) $) 27)) (|node?| (((|Boolean|) $ $) 32)) (|member?| (((|Boolean|) |#2| $) 36)) (|leaves| (((|List| |#2|) $) 22)) (|leaf?| (((|Boolean|) $) 16)) (|elt| ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (|cyclic?| (((|Boolean|) $) 45)) (|coerce| (((|OutputForm|) $) 41)) (|children| (((|List| $) $) 28)) (= (((|Boolean|) $ $) 34)) (|#| (((|NonNegativeInteger|) $) 43))) 
+(((|BinaryRecursiveAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |setelt| (|#1| |#1| "right" |#1|)) (SIGNATURE |setelt| (|#1| |#1| "left" |#1|)) (SIGNATURE |elt| (|#1| |#1| "right")) (SIGNATURE |elt| (|#1| |#1| "left")) (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |node?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |leaves| ((|List| |#2|) |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |leaf?| ((|Boolean|) |#1|)) (SIGNATURE |nodes| ((|List| |#1|) |#1|)) (SIGNATURE |children| ((|List| |#1|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |member?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|))) (|BinaryRecursiveAggregate| |#2|) (|Type|)) (T |BinaryRecursiveAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |setelt| (|#1| |#1| "right" |#1|)) (SIGNATURE |setelt| (|#1| |#1| "left" |#1|)) (SIGNATURE |elt| (|#1| |#1| "right")) (SIGNATURE |elt| (|#1| |#1| "left")) (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |node?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |leaves| ((|List| |#2|) |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |leaf?| ((|Boolean|) |#1|)) (SIGNATURE |nodes| ((|List| |#1|) |#1|)) (SIGNATURE |children| ((|List| |#1|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |member?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|right| (($ $) 54)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|left| (($ $) 56)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (|distance| (((|Integer|) $ $) 41)) (|cyclic?| (((|Boolean|) $) 43)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BinaryRecursiveAggregate| |#1|) (|Category|) (|Type|)) (T |BinaryRecursiveAggregate|)) 
+((|left| (*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 "left") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|right| (*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 "right") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|setelt| (*1 *1 *1 *2 *1) (AND (|isDomain| *2 "left") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|setleft!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setelt| (*1 *1 *1 *2 *1) (AND (|isDomain| *2 "right") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|setright!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|RecursiveAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |left| ($ $)) (SIGNATURE |elt| ($ $ "left")) (SIGNATURE |right| ($ $)) (SIGNATURE |elt| ($ $ "right")) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |setelt| ($ $ "left" $)) (SIGNATURE |setleft!| ($ $ $)) (SIGNATURE |setelt| ($ $ "right" $)) (SIGNATURE |setright!| ($ $ $))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|noLinearFactor?| (((|Boolean|) |#1|) 24)) (|brillhartTrials| (((|NonNegativeInteger|) (|NonNegativeInteger|)) 23) (((|NonNegativeInteger|)) 22)) (|brillhartIrreducible?| (((|Boolean|) |#1| (|Boolean|)) 25) (((|Boolean|) |#1|) 26))) 
+(((|BrillhartTests| |#1|) (CATEGORY |package| (SIGNATURE |brillhartIrreducible?| ((|Boolean|) |#1|)) (SIGNATURE |brillhartIrreducible?| ((|Boolean|) |#1| (|Boolean|))) (SIGNATURE |brillhartTrials| ((|NonNegativeInteger|))) (SIGNATURE |brillhartTrials| ((|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |noLinearFactor?| ((|Boolean|) |#1|))) (|UnivariatePolynomialCategory| (|Integer|))) (T |BrillhartTests|)) 
+((|noLinearFactor?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|brillhartTrials| (*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|brillhartTrials| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|brillhartIrreducible?| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|brillhartIrreducible?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(CATEGORY |package| (SIGNATURE |brillhartIrreducible?| ((|Boolean|) |#1|)) (SIGNATURE |brillhartIrreducible?| ((|Boolean|) |#1| (|Boolean|))) (SIGNATURE |brillhartTrials| ((|NonNegativeInteger|))) (SIGNATURE |brillhartTrials| ((|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |noLinearFactor?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|introduce!| (((|Union| $ "failed") (|Symbol|) (|Symbol|)) 31)) (|hash| (((|SingleInteger|) $) NIL)) (|getSmgl| (((|Union| (|Symbol|) "failed") $) 45)) (|d| (((|Union| $ (|Integer|)) (|Symbol|)) 36)) (|copyIto| (((|Table| (|Symbol|) $)) 42)) (|copyBSD| (((|List| $)) 40)) (|convertIfCan| (((|Union| $ "failed") (|Symbol|)) 19)) (|convert| (($ (|Symbol|)) 27) (((|Symbol|) $) NIL)) (|coerce| (((|OutputForm|) $) 21)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL))) 
+(((|BasicStochasticDifferential|) (|Join| (|OrderedSet|) (CATEGORY |domain| (ATTRIBUTE (|ConvertibleTo| (|Symbol|))) (SIGNATURE |convertIfCan| ((|Union| $ "failed") (|Symbol|))) (SIGNATURE |convert| ($ (|Symbol|))) (SIGNATURE |introduce!| ((|Union| $ "failed") (|Symbol|) (|Symbol|))) (SIGNATURE |d| ((|Union| $ (|Integer|)) (|Symbol|))) (SIGNATURE |copyBSD| ((|List| $))) (SIGNATURE |copyIto| ((|Table| (|Symbol|) $))) (SIGNATURE |getSmgl| ((|Union| (|Symbol|) "failed") $))))) (T |BasicStochasticDifferential|)) 
+((|convertIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|)))) (|introduce!| (*1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|)))) (|d| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|BasicStochasticDifferential|) (|Integer|))) (|isDomain| *1 (|BasicStochasticDifferential|)))) (|copyBSD| (*1 *2) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|)))) (|copyIto| (*1 *2) (AND (|isDomain| *2 (|Table| (|Symbol|) (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|)))) (|getSmgl| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (ATTRIBUTE (|ConvertibleTo| (|Symbol|))) (SIGNATURE |convertIfCan| ((|Union| $ "failed") (|Symbol|))) (SIGNATURE |convert| ($ (|Symbol|))) (SIGNATURE |introduce!| ((|Union| $ "failed") (|Symbol|) (|Symbol|))) (SIGNATURE |d| ((|Union| $ (|Integer|)) (|Symbol|))) (SIGNATURE |copyBSD| ((|List| $))) (SIGNATURE |copyIto| ((|Table| (|Symbol|) $))) (SIGNATURE |getSmgl| ((|Union| (|Symbol|) "failed") $)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 15)) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) 18 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) 20 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|right| (($ $) 17)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|node| (($ $ |#1| $) 23)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|left| (($ $) 19)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insertRoot!| (($ |#1| $) 24)) (|insert!| (($ |#1| $) 10)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 14)) (|empty| (($) 8)) (|elt| ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|binarySearchTree| (($ (|List| |#1|)) 12)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BinarySearchTree| |#1|) (|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |binarySearchTree| ($ (|List| |#1|))) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |insertRoot!| ($ |#1| $)) (SIGNATURE |split| ((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $)))) (|OrderedSet|)) (T |BinarySearchTree|)) 
+((|binarySearchTree| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinarySearchTree| *3)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|insertRoot!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|split| (*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |less| (|BinarySearchTree| *3)) (|:| |greater| (|BinarySearchTree| *3)))) (|isDomain| *1 (|BinarySearchTree| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |binarySearchTree| ($ (|List| |#1|))) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |insertRoot!| ($ |#1| $)) (SIGNATURE |split| ((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
+((~ (($ $) 14)) (|not| (($ $) 11)) (|nor| (($ $ $) 24)) (|nand| (($ $ $) 22)) (^ (($ $) 12)) (|\\/| (($ $ $) 20)) (|/\\| (($ $ $) 18))) 
+(((|BitAggregate&| |#1|) (CATEGORY |domain| (SIGNATURE |nor| (|#1| |#1| |#1|)) (SIGNATURE |nand| (|#1| |#1| |#1|)) (SIGNATURE ^ (|#1| |#1|)) (SIGNATURE |not| (|#1| |#1|)) (SIGNATURE ~ (|#1| |#1|)) (SIGNATURE |/\\| (|#1| |#1| |#1|)) (SIGNATURE |\\/| (|#1| |#1| |#1|))) (|BitAggregate|)) (T |BitAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |nor| (|#1| |#1| |#1|)) (SIGNATURE |nand| (|#1| |#1| |#1|)) (SIGNATURE ^ (|#1| |#1|)) (SIGNATURE |not| (|#1| |#1|)) (SIGNATURE ~ (|#1| |#1|)) (SIGNATURE |/\\| (|#1| |#1| |#1|)) (SIGNATURE |\\/| (|#1| |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (~ (($ $) 103)) (|xor| (($ $ $) 24)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 66 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) 98 (|has| (|Boolean|) (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) 92)) (|sort!| (($ $) 102 (AND (|has| (|Boolean|) (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) 101 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) 97 (|has| (|Boolean|) (|OrderedSet|))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) 91)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 37)) (|setelt| (((|Boolean|) $ (|UniversalSegment| (|Integer|)) (|Boolean|)) 88 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Boolean|) $ (|Integer|) (|Boolean|)) 54 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) 71 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 38 T CONST)) (|reverse!| (($ $) 100 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 90)) (|removeDuplicates| (($ $) 68 (AND (|has| (|Boolean|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) 72 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Boolean|) $) 69 (AND (|has| (|Boolean|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|reduce| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) 74 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ (|Boolean|)) 73 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ (|Boolean|) (|Boolean|)) 70 (AND (|has| (|Boolean|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|qsetelt!| (((|Boolean|) $ (|Integer|) (|Boolean|)) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Boolean|) $ (|Integer|)) 55)) (|position| (((|Integer|) (|Boolean|) $ (|Integer|)) 95 (|has| (|Boolean|) (|SetCategory|))) (((|Integer|) (|Boolean|) $) 94 (|has| (|Boolean|) (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) (|Boolean|)) $) 93)) (|parts| (((|List| (|Boolean|)) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|or| (($ $ $) 25)) (|not| (($ $) 30)) (|nor| (($ $ $) 27)) (|new| (($ (|NonNegativeInteger|) (|Boolean|)) 77)) (|nand| (($ $ $) 28)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 36)) (|minIndex| (((|Integer|) $) 63 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 12)) (|merge| (($ $ $) 96 (|has| (|Boolean|) (|OrderedSet|))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ $) 89)) (|members| (((|List| (|Boolean|)) $) 46 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Boolean|) $) 48 (AND (|has| (|Boolean|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 62 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 13)) (|map!| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) 41 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ $) 82) (($ (|Mapping| (|Boolean|) (|Boolean|)) $) 40)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 35)) (|latex| (((|String|) $) 9)) (|insert| (($ $ $ (|Integer|)) 87) (($ (|Boolean|) $ (|Integer|)) 86)) (|indices| (((|List| (|Integer|)) $) 60)) (|index?| (((|Boolean|) (|Integer|) $) 59)) (|hash| (((|SingleInteger|) $) 10)) (|first| (((|Boolean|) $) 64 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Boolean|) "failed") (|Mapping| (|Boolean|) (|Boolean|)) $) 75)) (|fill!| (($ $ (|Boolean|)) 65 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|)) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Boolean|)) (|List| (|Boolean|))) 52 (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|Boolean|) (|Boolean|)) 51 (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|Equation| (|Boolean|))) 50 (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Boolean|)))) 49 (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 31)) (|entry?| (((|Boolean|) (|Boolean|) $) 61 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|entries| (((|List| (|Boolean|)) $) 58)) (|empty?| (((|Boolean|) $) 34)) (|empty| (($) 33)) (|elt| (($ $ (|UniversalSegment| (|Integer|))) 83) (((|Boolean|) $ (|Integer|)) 57) (((|Boolean|) $ (|Integer|) (|Boolean|)) 56)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) 85) (($ $ (|Integer|)) 84)) (|count| (((|NonNegativeInteger|) (|Boolean|) $) 47 (AND (|has| (|Boolean|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Boolean|)) $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copyInto!| (($ $ $ (|Integer|)) 99 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 32)) (|convert| (((|InputForm|) $) 67 (|has| (|Boolean|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Boolean|))) 76)) (|concat| (($ (|List| $)) 81) (($ $ $) 80) (($ (|Boolean|) $) 79) (($ $ (|Boolean|)) 78)) (|coerce| (((|OutputForm|) $) 11)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|)) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|and| (($ $ $) 26)) (^ (($ $) 29)) (|\\/| (($ $ $) 105)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (|/\\| (($ $ $) 104)) (|#| (((|NonNegativeInteger|) $) 39 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BitAggregate|) (|Category|)) (T |BitAggregate|)) 
+((|not| (*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) (^ (*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) (|nand| (*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) (|nor| (*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) (|and| (*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) (|or| (*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) (|xor| (*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(|Join| (|OrderedSet|) (|Logic|) (|OneDimensionalArrayAggregate| (|Boolean|)) (CATEGORY |domain| (SIGNATURE |not| ($ $)) (SIGNATURE ^ ($ $)) (SIGNATURE |nand| ($ $ $)) (SIGNATURE |nor| ($ $ $)) (SIGNATURE |and| ($ $ $)) (SIGNATURE |or| ($ $ $)) (SIGNATURE |xor| ($ $ $)))) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| (|Boolean|)) . T) ((|ConvertibleTo| (|InputForm|)) |has| (|Boolean|) (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) (|Boolean|)) . T) ((|EltableAggregate| (|Integer|) (|Boolean|)) . T) ((|Evalable| (|Boolean|)) AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|))) ((|FiniteLinearAggregate| (|Boolean|)) . T) ((|HomogeneousAggregate| (|Boolean|)) . T) ((|IndexedAggregate| (|Integer|) (|Boolean|)) . T) ((|InnerEvalable| (|Boolean|) (|Boolean|)) AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|))) ((|LinearAggregate| (|Boolean|)) . T) ((|Logic|) . T) ((|OneDimensionalArrayAggregate| (|Boolean|)) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((|map!| (($ (|Mapping| |#2| |#2|) $) 22)) (|copy| (($ $) 16)) (|#| (((|NonNegativeInteger|) $) 24))) 
+(((|BinaryTreeCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) (|BinaryTreeCategory| |#2|) (|SetCategory|)) (T |BinaryTreeCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|right| (($ $) 54)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|node| (($ $ |#1| $) 57)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|left| (($ $) 56)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (|distance| (((|Integer|) $ $) 41)) (|cyclic?| (((|Boolean|) $) 43)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BinaryTreeCategory| |#1|) (|Category|) (|SetCategory|)) (T |BinaryTreeCategory|)) 
+((|node| (*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|BinaryTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|BinaryRecursiveAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |node| ($ $ |t#1| $)))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|BinaryRecursiveAggregate| |#1|) . T) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 15)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) 19 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) 20 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) 18 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|right| (($ $) 21)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|node| (($ $ |#1| $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|left| (($ $) NIL)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert!| (($ |#1| $) 10)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 14)) (|empty| (($) 8)) (|elt| ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 17)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|binaryTournament| (($ (|List| |#1|)) 12)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BinaryTournament| |#1|) (|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |binaryTournament| ($ (|List| |#1|))) (SIGNATURE |insert!| ($ |#1| $)))) (|OrderedSet|)) (T |BinaryTournament|)) 
+((|binaryTournament| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinaryTournament| *3)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTournament| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |binaryTournament| ($ (|List| |#1|))) (SIGNATURE |insert!| ($ |#1| $)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 24)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) 26 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) 30 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) 28 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|right| (($ $) 20)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|node| (($ $ |#1| $) 15)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|left| (($ $) 19)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) 21)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 18)) (|empty| (($) 11)) (|elt| ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|binaryTree| (($ |#1|) 17) (($ $ |#1| $) 16)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 10 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|BinaryTree| |#1|) (|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (SIGNATURE |binaryTree| ($ |#1|)) (SIGNATURE |binaryTree| ($ $ |#1| $)))) (|SetCategory|)) (T |BinaryTree|)) 
+((|binaryTree| (*1 *1 *2) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|binaryTree| (*1 *1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|BinaryTreeCategory| |#1|) (CATEGORY |domain| (SIGNATURE |binaryTree| ($ |#1|)) (SIGNATURE |binaryTree| ($ $ |#1| $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14))) 
+(((|CancellationAbelianMonoid|) (|Category|)) (T |CancellationAbelianMonoid|)) 
+((|subtractIfCan| (*1 *1 *1 *1) (|partial| |ofCategory| *1 (|CancellationAbelianMonoid|)))) 
+(|Join| (|AbelianMonoid|) (CATEGORY |domain| (SIGNATURE |subtractIfCan| ((|Union| $ "failed") $ $)))) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) 18)) (|position| (((|NonNegativeInteger|) $) 19)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17))) 
+(((|CachableSet|) (|Category|)) (T |CachableSet|)) 
+((|position| (*1 *2 *1) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|setPosition| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |position| ((|NonNegativeInteger|) $)) (SIGNATURE |setPosition| ((|Void|) $ (|NonNegativeInteger|))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|NonNegativeInteger|) "failed") $) 38)) (|retract| (((|NonNegativeInteger|) $) 36)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) 26)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generalizedContinuumHypothesisAssumed?| (((|Boolean|)) 39)) (|generalizedContinuumHypothesisAssumed| (((|Boolean|) (|Boolean|)) 41)) (|finite?| (((|Boolean|) $) 23)) (|countable?| (((|Boolean|) $) 35)) (|coerce| (((|OutputForm|) $) 22) (($ (|NonNegativeInteger|)) 14)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|Zero| (($) 12 T CONST)) (|One| (($) 11 T CONST)) (|Aleph| (($ (|NonNegativeInteger|)) 15)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 24)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 25)) (- (((|Union| $ "failed") $ $) 29)) (+ (($ $ $) 27)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL) (($ $ $) 34)) (* (($ (|NonNegativeInteger|) $) 32) (($ (|PositiveInteger|) $) NIL) (($ $ $) 30))) 
+(((|CardinalNumber|) (|Join| (|OrderedSet|) (|AbelianMonoid|) (|Monoid|) (|RetractableTo| (|NonNegativeInteger|)) (CATEGORY |domain| (ATTRIBUTE (|commutative| "*")) (SIGNATURE - ((|Union| $ "failed") $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |Aleph| ($ (|NonNegativeInteger|))) (SIGNATURE |finite?| ((|Boolean|) $)) (SIGNATURE |countable?| ((|Boolean|) $)) (SIGNATURE |generalizedContinuumHypothesisAssumed?| ((|Boolean|))) (SIGNATURE |generalizedContinuumHypothesisAssumed| ((|Boolean|) (|Boolean|)))))) (T |CardinalNumber|)) 
+((- (*1 *1 *1 *1) (|partial| |isDomain| *1 (|CardinalNumber|))) (** (*1 *1 *1 *1) (|isDomain| *1 (|CardinalNumber|))) (|Aleph| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CardinalNumber|)))) (|finite?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) (|countable?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) (|generalizedContinuumHypothesisAssumed?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) (|generalizedContinuumHypothesisAssumed| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(|Join| (|OrderedSet|) (|AbelianMonoid|) (|Monoid|) (|RetractableTo| (|NonNegativeInteger|)) (CATEGORY |domain| (ATTRIBUTE (|commutative| "*")) (SIGNATURE - ((|Union| $ "failed") $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |Aleph| ($ (|NonNegativeInteger|))) (SIGNATURE |finite?| ((|Boolean|) $)) (SIGNATURE |countable?| ((|Boolean|) $)) (SIGNATURE |generalizedContinuumHypothesisAssumed?| ((|Boolean|))) (SIGNATURE |generalizedContinuumHypothesisAssumed| ((|Boolean|) (|Boolean|))))) 
+((|reshape| (((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|)) 14)) (|map| (((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)) 18))) 
+(((|CartesianTensorFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |reshape| ((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|))) (SIGNATURE |map| ((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)))) (|Integer|) (|NonNegativeInteger|) (|CommutativeRing|) (|CommutativeRing|)) (T |CartesianTensorFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *7)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) (|reshape| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |reshape| ((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|))) (SIGNATURE |map| ((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|unravel| (($ (|List| |#3|)) 38)) (|transpose| (($ $) 97) (($ $ (|Integer|) (|Integer|)) 96)) (|sample| (($) 17)) (|retractIfCan| (((|Union| |#3| "failed") $) 58)) (|retract| ((|#3| $) NIL)) (|reindex| (($ $ (|List| (|Integer|))) 98)) (|ravel| (((|List| |#3|) $) 34)) (|rank| (((|NonNegativeInteger|) $) 42)) (|product| (($ $ $) 91)) (|leviCivitaSymbol| (($) 41)) (|latex| (((|String|) $) NIL)) (|kroneckerDelta| (($) 16)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#3| $) 44) ((|#3| $ (|Integer|)) 45) ((|#3| $ (|Integer|) (|Integer|)) 46) ((|#3| $ (|Integer|) (|Integer|) (|Integer|)) 47) ((|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 48) ((|#3| $ (|List| (|Integer|))) 50)) (|degree| (((|NonNegativeInteger|) $) 43)) (|contract| (($ $ (|Integer|) $ (|Integer|)) 92) (($ $ (|Integer|) (|Integer|)) 94)) (|coerce| (((|OutputForm|) $) 65) (($ |#3|) 66) (($ (|DirectProduct| |#2| |#3|)) 73) (($ (|SquareMatrix| |#2| |#3|)) 76) (($ (|List| |#3|)) 51) (($ (|List| $)) 56)) (|Zero| (($) 67 T CONST)) (|One| (($) 68 T CONST)) (= (((|Boolean|) $ $) 78)) (- (($ $) 84) (($ $ $) 82)) (+ (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (|Integer|)) 87) (($ (|Integer|) $) 86) (($ $ $) 93))) 
+(((|CartesianTensor| |#1| |#2| |#3|) (|Join| (|GradedAlgebra| |#3| (|NonNegativeInteger|)) (|GradedModule| (|Integer|) (|NonNegativeInteger|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|DirectProduct| |#2| |#3|))) (SIGNATURE |coerce| ($ (|SquareMatrix| |#2| |#3|))) (SIGNATURE |coerce| ($ (|List| |#3|))) (SIGNATURE |coerce| ($ (|List| $))) (SIGNATURE |rank| ((|NonNegativeInteger|) $)) (SIGNATURE |elt| (|#3| $)) (SIGNATURE |elt| (|#3| $ (|Integer|))) (SIGNATURE |elt| (|#3| $ (|Integer|) (|Integer|))) (SIGNATURE |elt| (|#3| $ (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |elt| (|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |elt| (|#3| $ (|List| (|Integer|)))) (SIGNATURE |product| ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE |contract| ($ $ (|Integer|) $ (|Integer|))) (SIGNATURE |contract| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |transpose| ($ $)) (SIGNATURE |transpose| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |reindex| ($ $ (|List| (|Integer|)))) (SIGNATURE |kroneckerDelta| ($)) (SIGNATURE |leviCivitaSymbol| ($)) (SIGNATURE |ravel| ((|List| |#3|) $)) (SIGNATURE |unravel| ($ (|List| |#3|))) (SIGNATURE |sample| ($)))) (|Integer|) (|NonNegativeInteger|) (|CommutativeRing|)) (T |CartesianTensor|)) 
+((|product| (*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|DirectProduct| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|CartesianTensor| *3 *4 *5))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|rank| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) (|elt| (*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *2)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) (|elt| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) (|elt| (*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) (|elt| (*1 *2 *1 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 (|Integer|)) (|ofType| *5 (|NonNegativeInteger|)))) (* (*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) (|contract| (*1 *1 *1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|contract| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|transpose| (*1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) (|transpose| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|reindex| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|kroneckerDelta| (*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) (|leviCivitaSymbol| (*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) (|ravel| (*1 *2 *1) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|unravel| (*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) (|sample| (*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(|Join| (|GradedAlgebra| |#3| (|NonNegativeInteger|)) (|GradedModule| (|Integer|) (|NonNegativeInteger|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|DirectProduct| |#2| |#3|))) (SIGNATURE |coerce| ($ (|SquareMatrix| |#2| |#3|))) (SIGNATURE |coerce| ($ (|List| |#3|))) (SIGNATURE |coerce| ($ (|List| $))) (SIGNATURE |rank| ((|NonNegativeInteger|) $)) (SIGNATURE |elt| (|#3| $)) (SIGNATURE |elt| (|#3| $ (|Integer|))) (SIGNATURE |elt| (|#3| $ (|Integer|) (|Integer|))) (SIGNATURE |elt| (|#3| $ (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |elt| (|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |elt| (|#3| $ (|List| (|Integer|)))) (SIGNATURE |product| ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE |contract| ($ $ (|Integer|) $ (|Integer|))) (SIGNATURE |contract| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |transpose| ($ $)) (SIGNATURE |transpose| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |reindex| ($ $ (|List| (|Integer|)))) (SIGNATURE |kroneckerDelta| ($)) (SIGNATURE |leviCivitaSymbol| ($)) (SIGNATURE |ravel| ((|List| |#3|) $)) (SIGNATURE |unravel| ($ (|List| |#3|))) (SIGNATURE |sample| ($)))) 
+((~= (((|Boolean|) $ $) NIL)) (|upperCase| (($) 15 T CONST)) (|universe| (($) NIL (|has| (|Character|) (|Finite|)))) (|union| (($ $ $) 17) (($ $ (|Character|)) NIL) (($ (|Character|) $) NIL)) (|symmetricDifference| (($ $ $) NIL)) (|subset?| (((|Boolean|) $ $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| (|Character|) (|Finite|)))) (|set| (($) NIL) (($ (|List| (|Character|))) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|remove!| (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Character|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|reduce| (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|) (|Character|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|random| (($) NIL (|has| (|Character|) (|Finite|)))) (|parts| (((|List| (|Character|)) $) 60 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|min| (((|Character|) $) NIL (|has| (|Character|) (|OrderedSet|)))) (|members| (((|List| (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Character|) $) 26 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|max| (((|Character|) $) NIL (|has| (|Character|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Character|) (|Character|)) $) 59 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Character|) (|Character|)) $) 55)) (|lowerCase| (($) 16 T CONST)) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|Character|) (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|intersect| (($ $ $) 29)) (|inspect| (((|Character|) $) 52)) (|insert!| (($ (|Character|) $) 50)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|Character|) (|Finite|)))) (|hexDigit| (($) 14 T CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|find| (((|Union| (|Character|) "failed") (|Mapping| (|Boolean|) (|Character|)) $) NIL)) (|extract!| (((|Character|) $) 53)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Character|)) (|List| (|Character|))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Character|) (|Character|)) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Equation| (|Character|))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Character|)))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| (|Character|) (|Finite|)))) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 48)) (|digit| (($) 13 T CONST)) (|difference| (($ $ $) 31) (($ $ (|Character|)) NIL)) (|dictionary| (($ (|List| (|Character|))) NIL) (($) NIL)) (|count| (((|NonNegativeInteger|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|String|) $) 36) (((|InputForm|) $) NIL (|has| (|Character|) (|ConvertibleTo| (|InputForm|)))) (((|List| (|Character|)) $) 34)) (|construct| (($ (|List| (|Character|))) NIL)) (|complement| (($ $) 32 (|has| (|Character|) (|Finite|)))) (|coerce| (((|OutputForm|) $) 46)) (|charClass| (($ (|String|)) 12) (($ (|List| (|Character|))) 43)) (|cardinality| (((|NonNegativeInteger|) $) NIL)) (|brace| (($) 49) (($ (|List| (|Character|))) NIL)) (|bag| (($ (|List| (|Character|))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|alphanumeric| (($) 19 T CONST)) (|alphabetic| (($) 18 T CONST)) (= (((|Boolean|) $ $) 22)) (< (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) 47 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|CharacterClass|) (|Join| (|SetCategory|) (|ConvertibleTo| (|String|)) (|FiniteSetAggregate| (|Character|)) (|ConvertibleTo| (|List| (|Character|))) (CATEGORY |domain| (SIGNATURE |charClass| ($ (|String|))) (SIGNATURE |charClass| ($ (|List| (|Character|)))) (SIGNATURE |digit| ($) |constant|) (SIGNATURE |hexDigit| ($) |constant|) (SIGNATURE |upperCase| ($) |constant|) (SIGNATURE |lowerCase| ($) |constant|) (SIGNATURE |alphabetic| ($) |constant|) (SIGNATURE |alphanumeric| ($) |constant|)))) (T |CharacterClass|)) 
+((|charClass| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|CharacterClass|)))) (|charClass| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Character|))) (|isDomain| *1 (|CharacterClass|)))) (|digit| (*1 *1) (|isDomain| *1 (|CharacterClass|))) (|hexDigit| (*1 *1) (|isDomain| *1 (|CharacterClass|))) (|upperCase| (*1 *1) (|isDomain| *1 (|CharacterClass|))) (|lowerCase| (*1 *1) (|isDomain| *1 (|CharacterClass|))) (|alphabetic| (*1 *1) (|isDomain| *1 (|CharacterClass|))) (|alphanumeric| (*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(|Join| (|SetCategory|) (|ConvertibleTo| (|String|)) (|FiniteSetAggregate| (|Character|)) (|ConvertibleTo| (|List| (|Character|))) (CATEGORY |domain| (SIGNATURE |charClass| ($ (|String|))) (SIGNATURE |charClass| ($ (|List| (|Character|)))) (SIGNATURE |digit| ($) |constant|) (SIGNATURE |hexDigit| ($) |constant|) (SIGNATURE |upperCase| ($) |constant|) (SIGNATURE |lowerCase| ($) |constant|) (SIGNATURE |alphabetic| ($) |constant|) (SIGNATURE |alphanumeric| ($) |constant|))) 
+((|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (|commonDenominator| ((|#1| |#3|) 9)) (|clearDenominator| ((|#3| |#3|) 15))) 
+(((|CommonDenominator| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| |#3|)) (SIGNATURE |clearDenominator| (|#3| |#3|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (|IntegralDomain|) (|QuotientFieldCategory| |#1|) (|FiniteLinearAggregate| |#2|)) (T |CommonDenominator|)) 
+((|splitDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|CommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) (|clearDenominator| (*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|CommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) (|commonDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|CommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
+(CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| |#3|)) (SIGNATURE |clearDenominator| (|#3| |#3|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|ComplexDoubleFloatVector|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) NIL)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Integer|) (|Complex| (|DoubleFloat|))) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|ComplexDoubleFloatVector|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|ComplexDoubleFloatVector|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|EuclideanDomain|)))) (|row| (((|ComplexDoubleFloatVector|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|IntegralDomain|)))) (|qsetelt!| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Integer|) (|Complex| (|DoubleFloat|))) 16)) (|qnew| (($ (|Integer|) (|Integer|)) 18)) (|qelt| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Integer|)) 15)) (|pfaffian| (((|Complex| (|DoubleFloat|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|CommutativeRing|)))) (|parts| (((|List| (|Complex| (|DoubleFloat|))) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|IntegralDomain|)))) (|nullSpace| (((|List| (|ComplexDoubleFloatVector|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 10)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) 19)) (|ncols| (((|NonNegativeInteger|) $) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| (((|Complex| (|DoubleFloat|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 7)) (|minColIndex| (((|Integer|) $) 8)) (|members| (((|List| (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Complex| (|DoubleFloat|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 12)) (|maxColIndex| (((|Integer|) $) 13)) (|matrix| (($ (|List| (|List| (|Complex| (|DoubleFloat|))))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL)) (|map| (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL) (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $ $) NIL) (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $ $ (|Complex| (|DoubleFloat|))) NIL)) (|listOfLists| (((|List| (|List| (|Complex| (|DoubleFloat|)))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) NIL (|has| (|Complex| (|DoubleFloat|)) (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|fill!| (($ $ (|Complex| (|DoubleFloat|))) NIL)) (|exquo| (((|Union| $ "failed") $ (|Complex| (|DoubleFloat|))) NIL (|has| (|Complex| (|DoubleFloat|)) (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Complex| (|DoubleFloat|))))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ $ (|Equation| (|Complex| (|DoubleFloat|)))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ $ (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ $ (|List| (|Complex| (|DoubleFloat|))) (|List| (|Complex| (|DoubleFloat|)))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 17)) (|elt| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Integer|)) NIL) (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Integer|) (|Complex| (|DoubleFloat|))) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| (|Complex| (|DoubleFloat|)))) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| (((|Complex| (|DoubleFloat|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Complex| (|DoubleFloat|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|ComplexDoubleFloatVector|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|EuclideanDomain|)))) (|column| (((|ComplexDoubleFloatVector|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))) (($ (|ComplexDoubleFloatVector|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (/ (($ $ (|Complex| (|DoubleFloat|))) NIL (|has| (|Complex| (|DoubleFloat|)) (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Complex| (|DoubleFloat|)) (|Field|)))) (* (($ $ $) NIL) (($ (|Complex| (|DoubleFloat|)) $) NIL) (($ $ (|Complex| (|DoubleFloat|))) NIL) (($ (|Integer|) $) NIL) (((|ComplexDoubleFloatVector|) $ (|ComplexDoubleFloatVector|)) NIL) (((|ComplexDoubleFloatVector|) (|ComplexDoubleFloatVector|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ComplexDoubleFloatMatrix|) (|Join| (|MatrixCategory| (|Complex| (|DoubleFloat|)) (|ComplexDoubleFloatVector|) (|ComplexDoubleFloatVector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|)))))) (T |ComplexDoubleFloatMatrix|)) 
+((|qnew| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatMatrix|))))) 
+(|Join| (|MatrixCategory| (|Complex| (|DoubleFloat|)) (|ComplexDoubleFloatVector|) (|ComplexDoubleFloatVector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) NIL (|has| (|Complex| (|DoubleFloat|)) (|AbelianMonoid|)))) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL) (((|Boolean|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL) (($ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Complex| (|DoubleFloat|))) 18 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Complex| (|DoubleFloat|)) $ (|UniversalSegment| (|Integer|)) (|Complex| (|DoubleFloat|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|remove| (($ (|Complex| (|DoubleFloat|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Complex| (|DoubleFloat|)) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $ (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (((|Complex| (|DoubleFloat|)) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $ (|Complex| (|DoubleFloat|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Complex| (|DoubleFloat|)) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Complex| (|DoubleFloat|))) 9 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qnew| (($ (|Integer|)) 14)) (|qelt| (((|Complex| (|DoubleFloat|)) $ (|Integer|)) 8)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL) (((|Integer|) (|Complex| (|DoubleFloat|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))) (((|Integer|) (|Complex| (|DoubleFloat|)) $ (|Integer|)) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|parts| (((|List| (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| (|Complex| (|DoubleFloat|))) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|Ring|)))) (|new| (($ (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) 16)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 12 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $ $) NIL) (($ $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (|members| (((|List| (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Complex| (|DoubleFloat|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $) NIL) (($ (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) $ $) NIL)) (|magnitude| (((|Complex| (|DoubleFloat|)) $) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|RadicalCategory|)) (|has| (|Complex| (|DoubleFloat|)) (|Ring|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| (((|Complex| (|DoubleFloat|)) $) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|RadicalCategory|)) (|has| (|Complex| (|DoubleFloat|)) (|Ring|))))) (|latex| (((|String|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|insert| (($ (|Complex| (|DoubleFloat|)) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|first| (((|Complex| (|DoubleFloat|)) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Complex| (|DoubleFloat|)) "failed") (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL)) (|fill!| (($ $ (|Complex| (|DoubleFloat|))) 15 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Complex| (|DoubleFloat|))))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ $ (|Equation| (|Complex| (|DoubleFloat|)))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ $ (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (($ $ (|List| (|Complex| (|DoubleFloat|))) (|List| (|Complex| (|DoubleFloat|)))) NIL (AND (|has| (|Complex| (|DoubleFloat|)) (|Evalable| (|Complex| (|DoubleFloat|)))) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Complex| (|DoubleFloat|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|entries| (((|List| (|Complex| (|DoubleFloat|))) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 13)) (|elt| (((|Complex| (|DoubleFloat|)) $ (|Integer|) (|Complex| (|DoubleFloat|))) NIL) (((|Complex| (|DoubleFloat|)) $ (|Integer|)) 17) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|dot| (((|Complex| (|DoubleFloat|)) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|Ring|)))) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|cross| (($ $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Complex| (|DoubleFloat|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Complex| (|DoubleFloat|)))) NIL)) (|concat| (($ $ (|Complex| (|DoubleFloat|))) NIL) (($ (|Complex| (|DoubleFloat|)) $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Complex| (|DoubleFloat|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|OrderedSet|)))) (- (($ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|AbelianGroup|))) (($ $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|AbelianGroup|)))) (+ (($ $ $) NIL (|has| (|Complex| (|DoubleFloat|)) (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|AbelianGroup|))) (($ (|Complex| (|DoubleFloat|)) $) NIL (|has| (|Complex| (|DoubleFloat|)) (|Monoid|))) (($ $ (|Complex| (|DoubleFloat|))) NIL (|has| (|Complex| (|DoubleFloat|)) (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) 11 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ComplexDoubleFloatVector|) (|Join| (|VectorCategory| (|Complex| (|DoubleFloat|))) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|))) (SIGNATURE |vector| ($ (|List| (|Complex| (|DoubleFloat|)))))))) (T |ComplexDoubleFloatVector|)) 
+((|qnew| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) (|vector| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Complex| (|DoubleFloat|)))) (|isDomain| *1 (|ComplexDoubleFloatVector|))))) 
+(|Join| (|VectorCategory| (|Complex| (|DoubleFloat|))) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|))) (SIGNATURE |vector| ($ (|List| (|Complex| (|DoubleFloat|))))))) 
+((|permutation| (($ $ $) 8)) (|factorial| (($ $) 7)) (|binomial| (($ $ $) 6))) 
+(((|CombinatorialFunctionCategory|) (|Category|)) (T |CombinatorialFunctionCategory|)) 
+((|permutation| (*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) (|factorial| (*1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) (|binomial| (*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |binomial| ($ $ $)) (SIGNATURE |factorial| ($ $)) (SIGNATURE |permutation| ($ $ $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|upperCase?| (((|Boolean|) $) 38)) (|upperCase| (($ $) 50)) (|space| (($) 25)) (|size| (((|NonNegativeInteger|)) 16)) (|random| (($) 24)) (|quote| (($) 26)) (|ord| (((|Integer|) $) 21)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|lowerCase?| (((|Boolean|) $) 40)) (|lowerCase| (($ $) 51)) (|lookup| (((|PositiveInteger|) $) 22)) (|latex| (((|String|) $) 46)) (|index| (($ (|PositiveInteger|)) 20)) (|hexDigit?| (((|Boolean|) $) 36)) (|hash| (((|SingleInteger|) $) NIL)) (|escape| (($) 27)) (|enumerate| (((|List| $)) NIL)) (|digit?| (((|Boolean|) $) 34)) (|coerce| (((|OutputForm|) $) 29)) (|char| (($ (|Integer|)) 18) (($ (|String|)) 49)) (|alphanumeric?| (((|Boolean|) $) 44)) (|alphabetic?| (((|Boolean|) $) 42)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 13)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 14))) 
+(((|Character|) (|Join| (|OrderedFinite|) (CATEGORY |domain| (SIGNATURE |ord| ((|Integer|) $)) (SIGNATURE |char| ($ (|Integer|))) (SIGNATURE |char| ($ (|String|))) (SIGNATURE |space| ($)) (SIGNATURE |quote| ($)) (SIGNATURE |escape| ($)) (SIGNATURE |upperCase| ($ $)) (SIGNATURE |lowerCase| ($ $)) (SIGNATURE |digit?| ((|Boolean|) $)) (SIGNATURE |hexDigit?| ((|Boolean|) $)) (SIGNATURE |alphabetic?| ((|Boolean|) $)) (SIGNATURE |upperCase?| ((|Boolean|) $)) (SIGNATURE |lowerCase?| ((|Boolean|) $)) (SIGNATURE |alphanumeric?| ((|Boolean|) $))))) (T |Character|)) 
+((|ord| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|)))) (|char| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|)))) (|char| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Character|)))) (|space| (*1 *1) (|isDomain| *1 (|Character|))) (|quote| (*1 *1) (|isDomain| *1 (|Character|))) (|escape| (*1 *1) (|isDomain| *1 (|Character|))) (|upperCase| (*1 *1 *1) (|isDomain| *1 (|Character|))) (|lowerCase| (*1 *1 *1) (|isDomain| *1 (|Character|))) (|digit?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|)))) (|hexDigit?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|)))) (|alphabetic?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|)))) (|upperCase?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|)))) (|lowerCase?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|)))) (|alphanumeric?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(|Join| (|OrderedFinite|) (CATEGORY |domain| (SIGNATURE |ord| ((|Integer|) $)) (SIGNATURE |char| ($ (|Integer|))) (SIGNATURE |char| ($ (|String|))) (SIGNATURE |space| ($)) (SIGNATURE |quote| ($)) (SIGNATURE |escape| ($)) (SIGNATURE |upperCase| ($ $)) (SIGNATURE |lowerCase| ($ $)) (SIGNATURE |digit?| ((|Boolean|) $)) (SIGNATURE |hexDigit?| ((|Boolean|) $)) (SIGNATURE |alphabetic?| ((|Boolean|) $)) (SIGNATURE |upperCase?| ((|Boolean|) $)) (SIGNATURE |lowerCase?| ((|Boolean|) $)) (SIGNATURE |alphanumeric?| ((|Boolean|) $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|charthRoot| (((|Union| $ "failed") $) 34)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|CharacteristicNonZero|) (|Category|)) (T |CharacteristicNonZero|)) 
+((|charthRoot| (*1 *1 *1) (|partial| |ofCategory| *1 (|CharacteristicNonZero|)))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |charthRoot| ((|Union| $ "failed") $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|characteristicPolynomial| ((|#1| (|Matrix| |#1|) |#1|) 17))) 
+(((|CharacteristicPolynomialPackage| |#1|) (CATEGORY |package| (SIGNATURE |characteristicPolynomial| (|#1| (|Matrix| |#1|) |#1|))) (|CommutativeRing|)) (T |CharacteristicPolynomialPackage|)) 
+((|characteristicPolynomial| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CharacteristicPolynomialPackage| *2))))) 
+(CATEGORY |package| (SIGNATURE |characteristicPolynomial| (|#1| (|Matrix| |#1|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|CharacteristicZero|) (|Category|)) (T |CharacteristicZero|)) 
+NIL 
+(|Join| (|Ring|)) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|rootPoly| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) 69)) (|radPoly| (((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|) 51)) (|mkIntegral| (((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (|goodPoint| ((|#1| |#3| |#3|) 39)) (|eval| ((|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|)) 19)) (|chvar| (((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|) 48))) 
+(((|ChangeOfVariable| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |mkIntegral| ((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|)) (SIGNATURE |radPoly| ((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|)) (SIGNATURE |rootPoly| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|))) (SIGNATURE |goodPoint| (|#1| |#3| |#3|)) (SIGNATURE |eval| (|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |chvar| ((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|))) (|UniqueFactorizationDomain|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|))) (T |ChangeOfVariable|)) 
+((|chvar| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (|Fraction| *5)) (|:| |c2| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5))))) (|eval| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|goodPoint| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|isDomain| *1 (|ChangeOfVariable| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|rootPoly| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *6))) (|isDomain| *1 (|ChangeOfVariable| *5 *6 *7)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *3)))) (|radPoly| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |radicand| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5))))) (|mkIntegral| (*1 *2 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |coef| (|Fraction| *5)) (|:| |poly| *3))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(CATEGORY |package| (SIGNATURE |mkIntegral| ((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|)) (SIGNATURE |radPoly| ((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|)) (SIGNATURE |rootPoly| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|))) (SIGNATURE |goodPoint| (|#1| |#3| |#3|)) (SIGNATURE |eval| (|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |chvar| ((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|))) 
+((|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) 31))) 
+(((|ComplexIntegerSolveLinearPolynomialEquation| |#1| |#2|) (CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)))) (|IntegerNumberSystem|) (|ComplexCategory| |#1|)) (T |ComplexIntegerSolveLinearPolynomialEquation|)) 
+((|solveLinearPolynomialEquation| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|ComplexCategory| *4)) (|ofCategory| *4 (|IntegerNumberSystem|)) (|isDomain| *1 (|ComplexIntegerSolveLinearPolynomialEquation| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)))) 
+((|select| (($ (|Mapping| (|Boolean|) |#2|) $) 29)) (|removeDuplicates| (($ $) 36)) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) 27) (($ |#2| $) 32)) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $) 22) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) 34)) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) 19)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 16)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 13) (((|NonNegativeInteger|) |#2| $) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 15)) (|#| (((|NonNegativeInteger|) $) 11))) 
+(((|Collection&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |removeDuplicates| (|#1| |#1|)) (SIGNATURE |remove| (|#1| |#2| |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |select| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|))) (|Collection| |#2|) (|Type|)) (T |Collection&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |removeDuplicates| (|#1| |#1|)) (SIGNATURE |remove| (|#1| |#2| |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |select| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 41 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 38 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $) 39 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 40 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 45)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 37 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 46)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Collection| |#1|) (|Category|) (|Type|)) (T |Collection|)) 
+((|construct| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|Collection| *3)))) (|find| (*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) (|reduce| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) (|reduce| (*1 *2 *3 *1 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) (|remove| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) (|select| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) (|reduce| (*1 *2 *3 *1 *2 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) (|remove| (*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) (|removeDuplicates| (*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|HomogeneousAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |construct| ($ (|List| |t#1|))) (SIGNATURE |find| ((|Union| |t#1| "failed") (|Mapping| (|Boolean|) |t#1|) $)) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |reduce| (|t#1| (|Mapping| |t#1| |t#1| |t#1|) $)) (SIGNATURE |reduce| (|t#1| (|Mapping| |t#1| |t#1| |t#1|) $ |t#1|)) (SIGNATURE |remove| ($ (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |select| ($ (|Mapping| (|Boolean|) |t#1|) $)) (IF (|has| |t#1| (|SetCategory|)) (PROGN (SIGNATURE |reduce| (|t#1| (|Mapping| |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (SIGNATURE |remove| ($ |t#1| $)) (SIGNATURE |removeDuplicates| ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) 85)) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|List| (|PositiveInteger|))) 56)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|e| (($ (|PositiveInteger|)) 48)) (|dimension| (((|CardinalNumber|)) 23)) (|coerce| (((|OutputForm|) $) 68) (($ (|Integer|)) 46) (($ |#2|) 47)) (|coefficient| ((|#2| $ (|List| (|PositiveInteger|))) 58)) (|characteristic| (((|NonNegativeInteger|)) 20)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 40 T CONST)) (|One| (($) 44 T CONST)) (= (((|Boolean|) $ $) 26)) (/ (($ $ |#2|) NIL)) (- (($ $) 34) (($ $ $) 32)) (+ (($ $ $) 30)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
+(((|CliffordAlgebra| |#1| |#2| |#3|) (|Join| (|Ring|) (|Algebra| |#2|) (|VectorSpace| |#2|) (CATEGORY |domain| (SIGNATURE |e| ($ (|PositiveInteger|))) (SIGNATURE |monomial| ($ |#2| (|List| (|PositiveInteger|)))) (SIGNATURE |coefficient| (|#2| $ (|List| (|PositiveInteger|)))) (SIGNATURE |recip| ((|Union| $ "failed") $)))) (|PositiveInteger|) (|Field|) (|QuadraticForm| |#1| |#2|)) (T |CliffordAlgebra|)) 
+((|recip| (*1 *1 *1) (|partial| AND (|isDomain| *1 (|CliffordAlgebra| *2 *3 *4)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|QuadraticForm| *2 *3)))) (|e| (*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|CliffordAlgebra| *3 *4 *5)) (|ofType| *3 *2) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|QuadraticForm| *3 *4)))) (|monomial| (*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) (|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|QuadraticForm| *4 *2))))) 
+(|Join| (|Ring|) (|Algebra| |#2|) (|VectorSpace| |#2|) (CATEGORY |domain| (SIGNATURE |e| ($ (|PositiveInteger|))) (SIGNATURE |monomial| ($ |#2| (|List| (|PositiveInteger|)))) (SIGNATURE |coefficient| (|#2| $ (|List| (|PositiveInteger|)))) (SIGNATURE |recip| ((|Union| $ "failed") $)))) 
+((|clipWithRanges| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 38)) (|clipParametric| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) 62) (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) 63)) (|clip| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))) 66) (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|)))) 65) (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) 57) (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) 58))) 
+(((|TwoDimensionalPlotClipping|) (CATEGORY |package| (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|))) (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|)))) (SIGNATURE |clipParametric| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|))) (SIGNATURE |clipParametric| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|)))) (SIGNATURE |clipWithRanges| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|))))) (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))))))) (T |TwoDimensionalPlotClipping|)) 
+((|clip| (*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))))) (|clip| (*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))))) (|clipWithRanges| (*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| *4)))) (|:| |xValues| (|Segment| *4)) (|:| |yValues| (|Segment| *4)))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| *4)))))) (|clipParametric| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) (|clipParametric| (*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) (|clip| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) (|clip| (*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|))))) 
+(CATEGORY |package| (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|))) (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|)))) (SIGNATURE |clipParametric| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|))) (SIGNATURE |clipParametric| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|)))) (SIGNATURE |clipWithRanges| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|))))) (SIGNATURE |clip| ((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))))) 
+((|complexZeros| (((|List| (|Complex| |#2|)) |#1| |#2|) 45))) 
+(((|ComplexRootPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |complexZeros| ((|List| (|Complex| |#2|)) |#1| |#2|))) (|UnivariatePolynomialCategory| (|Complex| (|Integer|))) (|Join| (|Field|) (|OrderedRing|))) (T |ComplexRootPackage|)) 
+((|complexZeros| (*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootPackage| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| (|Integer|)))) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(CATEGORY |package| (SIGNATURE |complexZeros| ((|List| (|Complex| |#2|)) |#1| |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|yellow| (($) 15)) (|red| (($) 14)) (|numberOfHues| (((|PositiveInteger|)) 22)) (|latex| (((|String|) $) NIL)) (|hue| (((|Integer|) $) 19)) (|hash| (((|SingleInteger|) $) NIL)) (|green| (($) 16)) (|color| (($ (|Integer|)) 23)) (|coerce| (((|OutputForm|) $) 29)) (|blue| (($) 17)) (= (((|Boolean|) $ $) 13)) (+ (($ $ $) 11)) (* (($ (|PositiveInteger|) $) 21) (($ (|DoubleFloat|) $) 8))) 
+(((|Color|) (|Join| (|AbelianSemiGroup|) (CATEGORY |domain| (SIGNATURE * ($ (|PositiveInteger|) $)) (SIGNATURE * ($ (|DoubleFloat|) $)) (SIGNATURE + ($ $ $)) (SIGNATURE |red| ($)) (SIGNATURE |yellow| ($)) (SIGNATURE |green| ($)) (SIGNATURE |blue| ($)) (SIGNATURE |hue| ((|Integer|) $)) (SIGNATURE |numberOfHues| ((|PositiveInteger|))) (SIGNATURE |color| ($ (|Integer|)))))) (T |Color|)) 
+((+ (*1 *1 *1 *1) (|isDomain| *1 (|Color|))) (* (*1 *1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) (* (*1 *1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Color|)))) (|red| (*1 *1) (|isDomain| *1 (|Color|))) (|yellow| (*1 *1) (|isDomain| *1 (|Color|))) (|green| (*1 *1) (|isDomain| *1 (|Color|))) (|blue| (*1 *1) (|isDomain| *1 (|Color|))) (|hue| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) (|numberOfHues| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) (|color| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|))))) 
+(|Join| (|AbelianSemiGroup|) (CATEGORY |domain| (SIGNATURE * ($ (|PositiveInteger|) $)) (SIGNATURE * ($ (|DoubleFloat|) $)) (SIGNATURE + ($ $ $)) (SIGNATURE |red| ($)) (SIGNATURE |yellow| ($)) (SIGNATURE |green| ($)) (SIGNATURE |blue| ($)) (SIGNATURE |hue| ((|Integer|) $)) (SIGNATURE |numberOfHues| ((|PositiveInteger|))) (SIGNATURE |color| ($ (|Integer|))))) 
+((|summation| ((|#2| |#2| (|SegmentBinding| |#2|)) 87) ((|#2| |#2| (|Symbol|)) 67)) (|product| ((|#2| |#2| (|SegmentBinding| |#2|)) 86) ((|#2| |#2| (|Symbol|)) 66)) (|permutation| ((|#2| |#2| |#2|) 27)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 97)) (|ipow| ((|#2| (|List| |#2|)) 116)) (|iipow| ((|#2| (|List| |#2|)) 134)) (|iiperm| ((|#2| (|List| |#2|)) 124)) (|iifact| ((|#2| |#2|) 122)) (|iidsum| ((|#2| (|List| |#2|)) 109)) (|iidprod| ((|#2| (|List| |#2|)) 110)) (|iibinom| ((|#2| (|List| |#2|)) 132)) (|factorials| ((|#2| |#2| (|Symbol|)) 54) ((|#2| |#2|) 53)) (|factorial| ((|#2| |#2|) 23)) (|binomial| ((|#2| |#2| |#2|) 26)) (|belong?| (((|Boolean|) (|BasicOperator|)) 47)) (** ((|#2| |#2| |#2|) 38))) 
+(((|CombinatorialFunction| |#1| |#2|) (CATEGORY |package| (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE ** (|#2| |#2| |#2|)) (SIGNATURE |binomial| (|#2| |#2| |#2|)) (SIGNATURE |permutation| (|#2| |#2| |#2|)) (SIGNATURE |factorial| (|#2| |#2|)) (SIGNATURE |factorials| (|#2| |#2|)) (SIGNATURE |factorials| (|#2| |#2| (|Symbol|))) (SIGNATURE |summation| (|#2| |#2| (|Symbol|))) (SIGNATURE |summation| (|#2| |#2| (|SegmentBinding| |#2|))) (SIGNATURE |product| (|#2| |#2| (|Symbol|))) (SIGNATURE |product| (|#2| |#2| (|SegmentBinding| |#2|))) (SIGNATURE |iifact| (|#2| |#2|)) (SIGNATURE |iibinom| (|#2| (|List| |#2|))) (SIGNATURE |iiperm| (|#2| (|List| |#2|))) (SIGNATURE |iipow| (|#2| (|List| |#2|))) (SIGNATURE |iidsum| (|#2| (|List| |#2|))) (SIGNATURE |iidprod| (|#2| (|List| |#2|))) (SIGNATURE |ipow| (|#2| (|List| |#2|)))) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|FunctionSpace| |#1|)) (T |CombinatorialFunction|)) 
+((|ipow| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iidprod| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iidsum| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iipow| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iiperm| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iibinom| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iifact| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|product| (*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) (|product| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|summation| (*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) (|summation| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|factorials| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|factorials| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|factorial| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|permutation| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|binomial| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (** (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CombinatorialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
+(CATEGORY |package| (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE ** (|#2| |#2| |#2|)) (SIGNATURE |binomial| (|#2| |#2| |#2|)) (SIGNATURE |permutation| (|#2| |#2| |#2|)) (SIGNATURE |factorial| (|#2| |#2|)) (SIGNATURE |factorials| (|#2| |#2|)) (SIGNATURE |factorials| (|#2| |#2| (|Symbol|))) (SIGNATURE |summation| (|#2| |#2| (|Symbol|))) (SIGNATURE |summation| (|#2| |#2| (|SegmentBinding| |#2|))) (SIGNATURE |product| (|#2| |#2| (|Symbol|))) (SIGNATURE |product| (|#2| |#2| (|SegmentBinding| |#2|))) (SIGNATURE |iifact| (|#2| |#2|)) (SIGNATURE |iibinom| (|#2| (|List| |#2|))) (SIGNATURE |iiperm| (|#2| (|List| |#2|))) (SIGNATURE |iipow| (|#2| (|List| |#2|))) (SIGNATURE |iidsum| (|#2| (|List| |#2|))) (SIGNATURE |iidprod| (|#2| (|List| |#2|))) (SIGNATURE |ipow| (|#2| (|List| |#2|)))) 
+((|stirling2| ((|#1| |#1| |#1|) 52)) (|stirling1| ((|#1| |#1| |#1|) 49)) (|permutation| ((|#1| |#1| |#1|) 43)) (|partition| ((|#1| |#1|) 34)) (|multinomial| ((|#1| |#1| (|List| |#1|)) 42)) (|factorial| ((|#1| |#1|) 36)) (|binomial| ((|#1| |#1| |#1|) 39))) 
+(((|IntegerCombinatoricFunctions| |#1|) (CATEGORY |package| (SIGNATURE |binomial| (|#1| |#1| |#1|)) (SIGNATURE |factorial| (|#1| |#1|)) (SIGNATURE |multinomial| (|#1| |#1| (|List| |#1|))) (SIGNATURE |partition| (|#1| |#1|)) (SIGNATURE |permutation| (|#1| |#1| |#1|)) (SIGNATURE |stirling1| (|#1| |#1| |#1|)) (SIGNATURE |stirling2| (|#1| |#1| |#1|))) (|IntegerNumberSystem|)) (T |IntegerCombinatoricFunctions|)) 
+((|stirling2| (*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|stirling1| (*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|permutation| (*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|partition| (*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|multinomial| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)))) (|factorial| (*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|binomial| (*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(CATEGORY |package| (SIGNATURE |binomial| (|#1| |#1| |#1|)) (SIGNATURE |factorial| (|#1| |#1|)) (SIGNATURE |multinomial| (|#1| |#1| (|List| |#1|))) (SIGNATURE |partition| (|#1| |#1|)) (SIGNATURE |permutation| (|#1| |#1| |#1|)) (SIGNATURE |stirling1| (|#1| |#1| |#1|)) (SIGNATURE |stirling2| (|#1| |#1| |#1|))) 
+((|summation| (($ $ (|Symbol|)) 12) (($ $ (|SegmentBinding| $)) 11)) (|product| (($ $ (|Symbol|)) 10) (($ $ (|SegmentBinding| $)) 9)) (|permutation| (($ $ $) 8)) (|factorials| (($ $) 14) (($ $ (|Symbol|)) 13)) (|factorial| (($ $) 7)) (|binomial| (($ $ $) 6))) 
+(((|CombinatorialOpsCategory|) (|Category|)) (T |CombinatorialOpsCategory|)) 
+((|factorials| (*1 *1 *1) (|ofCategory| *1 (|CombinatorialOpsCategory|))) (|factorials| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) (|summation| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) (|summation| (*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) (|product| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) (|product| (*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|))))) 
+(|Join| (|CombinatorialFunctionCategory|) (CATEGORY |domain| (SIGNATURE |factorials| ($ $)) (SIGNATURE |factorials| ($ $ (|Symbol|))) (SIGNATURE |summation| ($ $ (|Symbol|))) (SIGNATURE |summation| ($ $ (|SegmentBinding| $))) (SIGNATURE |product| ($ $ (|Symbol|))) (SIGNATURE |product| ($ $ (|SegmentBinding| $))))) 
+(((|CombinatorialFunctionCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|mkcomm| (($ (|Integer|)) 13) (($ $ $) 14)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 17)) (= (((|Boolean|) $ $) 9))) 
+(((|Commutator|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |mkcomm| ($ (|Integer|))) (SIGNATURE |mkcomm| ($ $ $))))) (T |Commutator|)) 
+((|mkcomm| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Commutator|)))) (|mkcomm| (*1 *1 *1 *1) (|isDomain| *1 (|Commutator|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |mkcomm| ($ (|Integer|))) (SIGNATURE |mkcomm| ($ $ $)))) 
+((|operator| (((|BasicOperator|) (|Symbol|)) 99))) 
+(((|CommonOperators|) (CATEGORY |package| (SIGNATURE |operator| ((|BasicOperator|) (|Symbol|))))) (T |CommonOperators|)) 
+((|operator| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|CommonOperators|))))) 
+(CATEGORY |package| (SIGNATURE |operator| ((|BasicOperator|) (|Symbol|)))) 
+((|swap| ((|#3| |#3|) 19))) 
+(((|CommuteUnivariatePolynomialCategory| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |swap| (|#3| |#3|))) (|Ring|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| |#2|)) (T |CommuteUnivariatePolynomialCategory|)) 
+((|swap| (*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|CommuteUnivariatePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |swap| (|#3| |#3|))) 
+((~= (((|Boolean|) $ $) 7)) (|smaller?| (((|Boolean|) $ $) 12)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|Comparable|) (|Category|)) (T |Comparable|)) 
+((|smaller?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|Comparable|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |smaller?| ((|Boolean|) $ $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 215)) (|trace| ((|#2| $) 95)) (|tanh| (($ $) 242)) (|tan| (($ $) 236)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 39)) (|sinh| (($ $) 240)) (|sin| (($ $) 234)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#2| "failed") $) 139)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) ((|#2| $) 137)) (|rem| (($ $ $) 220)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) 153) (((|Matrix| |#2|) (|Matrix| $)) 147)) (|reduce| (($ (|SparseUnivariatePolynomial| |#2|)) 118) (((|Union| $ "failed") (|Fraction| (|SparseUnivariatePolynomial| |#2|))) NIL)) (|recip| (((|Union| $ "failed") $) 207)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 197)) (|rational?| (((|Boolean|) $) 192)) (|rational| (((|Fraction| (|Integer|)) $) 195)) (|rank| (((|PositiveInteger|)) 88)) (|quo| (($ $ $) 222)) (|polarCoordinates| (((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (|pi| (($) 231)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 184) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 189)) (|norm| ((|#2| $) 93)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) 120)) (|map| (($ (|Mapping| |#2| |#2|) $) 101)) (|log| (($ $) 233)) (|lift| (((|SparseUnivariatePolynomial| |#2|) $) 119)) (|inv| (($ $) 200)) (|imaginary| (($) 96)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 87)) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 56)) (|exquo| (((|Union| $ "failed") $ |#2|) 202) (((|Union| $ "failed") $ $) 205)) (|exp| (($ $) 232)) (|euclideanSize| (((|NonNegativeInteger|) $) 217)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 226)) (|discriminant| ((|#2| (|Vector| $)) NIL) ((|#2|) 90)) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) 112) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) 113)) (|cosh| (($ $) 241)) (|cos| (($ $) 235)) (|coordinates| (((|Vector| |#2|) $ (|Vector| $)) 126) (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#2|) $) 109) (((|Matrix| |#2|) (|Vector| $)) NIL)) (|convert| (((|Vector| |#2|) $) NIL) (($ (|Vector| |#2|)) NIL) (((|SparseUnivariatePolynomial| |#2|) $) NIL) (($ (|SparseUnivariatePolynomial| |#2|)) NIL) (((|Pattern| (|Integer|)) $) 175) (((|Pattern| (|Float|)) $) 179) (((|Complex| (|Float|)) $) 165) (((|Complex| (|DoubleFloat|)) $) 160) (((|InputForm|) $) 171)) (|conjugate| (($ $) 97)) (|coerce| (((|OutputForm|) $) 136) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL)) (|characteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) 23)) (|characteristic| (((|NonNegativeInteger|)) 99)) (|atanh| (($ $) 245)) (|atan| (($ $) 239)) (|asinh| (($ $) 243)) (|asin| (($ $) 237)) (|argument| ((|#2| $) 230)) (|acosh| (($ $) 244)) (|acos| (($ $) 238)) (|abs| (($ $) 155)) (= (((|Boolean|) $ $) 103)) (< (((|Boolean|) $ $) 191)) (- (($ $) 105) (($ $ $) NIL)) (+ (($ $ $) 104)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Fraction| (|Integer|))) 264) (($ $ $) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL))) 
+(((|ComplexCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| |#1|) (|:| |canonical| |#1|) (|:| |associate| |#1|)) |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |quo| (|#1| |#1| |#1|)) (SIGNATURE |rem| (|#1| |#1| |#1|)) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |convert| ((|Complex| (|DoubleFloat|)) |#1|)) (SIGNATURE |convert| ((|Complex| (|Float|)) |#1|)) (SIGNATURE |tan| (|#1| |#1|)) (SIGNATURE |sin| (|#1| |#1|)) (SIGNATURE |cos| (|#1| |#1|)) (SIGNATURE |acos| (|#1| |#1|)) (SIGNATURE |asin| (|#1| |#1|)) (SIGNATURE |atan| (|#1| |#1|)) (SIGNATURE |cosh| (|#1| |#1|)) (SIGNATURE |sinh| (|#1| |#1|)) (SIGNATURE |tanh| (|#1| |#1|)) (SIGNATURE |acosh| (|#1| |#1|)) (SIGNATURE |asinh| (|#1| |#1|)) (SIGNATURE |atanh| (|#1| |#1|)) (SIGNATURE |log| (|#1| |#1|)) (SIGNATURE |exp| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| |#1|)) (SIGNATURE |pi| (|#1|)) (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |polarCoordinates| ((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (SIGNATURE |argument| (|#2| |#1|)) (SIGNATURE |abs| (|#1| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE |conjugate| (|#1| |#1|)) (SIGNATURE |imaginary| (|#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |reduce| ((|Union| |#1| "failed") (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |lift| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |convert| (|#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |reduce| (|#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |definingPolynomial| ((|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |convert| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |discriminant| (|#2|)) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |characteristicPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |discriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |trace| (|#2| |#1|)) (SIGNATURE |rank| ((|PositiveInteger|))) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|ComplexCategory| |#2|) (|CommutativeRing|)) (T |ComplexCategory&|)) 
+((|characteristic| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) (|rank| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) (|discriminant| (*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ComplexCategory&| *3 *2)) (|ofCategory| *3 (|ComplexCategory| *2)))) (|definingPolynomial| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4))))) 
+(CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| |#1|) (|:| |canonical| |#1|) (|:| |associate| |#1|)) |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |quo| (|#1| |#1| |#1|)) (SIGNATURE |rem| (|#1| |#1| |#1|)) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |convert| ((|Complex| (|DoubleFloat|)) |#1|)) (SIGNATURE |convert| ((|Complex| (|Float|)) |#1|)) (SIGNATURE |tan| (|#1| |#1|)) (SIGNATURE |sin| (|#1| |#1|)) (SIGNATURE |cos| (|#1| |#1|)) (SIGNATURE |acos| (|#1| |#1|)) (SIGNATURE |asin| (|#1| |#1|)) (SIGNATURE |atan| (|#1| |#1|)) (SIGNATURE |cosh| (|#1| |#1|)) (SIGNATURE |sinh| (|#1| |#1|)) (SIGNATURE |tanh| (|#1| |#1|)) (SIGNATURE |acosh| (|#1| |#1|)) (SIGNATURE |asinh| (|#1| |#1|)) (SIGNATURE |atanh| (|#1| |#1|)) (SIGNATURE |log| (|#1| |#1|)) (SIGNATURE |exp| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| |#1|)) (SIGNATURE |pi| (|#1|)) (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |polarCoordinates| ((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (SIGNATURE |argument| (|#2| |#1|)) (SIGNATURE |abs| (|#1| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE |conjugate| (|#1| |#1|)) (SIGNATURE |imaginary| (|#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |reduce| ((|Union| |#1| "failed") (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |lift| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |convert| (|#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |reduce| (|#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |definingPolynomial| ((|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |convert| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |discriminant| (|#2|)) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |characteristicPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |discriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |trace| (|#2| |#1|)) (SIGNATURE |rank| ((|PositiveInteger|))) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 89 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|unitCanonical| (($ $) 90 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|unit?| (((|Boolean|) $) 92 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) 44) (((|Matrix| |#1|)) 55)) (|trace| ((|#1| $) 50)) (|tanh| (($ $) 215 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|tan| (($ $) 198 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 144 (|has| |#1| (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 229 (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|squareFreePart| (($ $) 110 (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|squareFree| (((|Factored| $) $) 111 (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|sqrt| (($ $) 228 (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 232 (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|sizeLess?| (((|Boolean|) $ $) 101 (|has| |#1| (|EuclideanDomain|)))) (|size| (((|NonNegativeInteger|)) 82 (|has| |#1| (|Finite|)))) (|sinh| (($ $) 214 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sin| (($ $) 199 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sech| (($ $) 213 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sec| (($ $) 200 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 166 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 164 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 163)) (|retract| (((|Integer|) $) 167 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 165 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 162)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) 46) (($ (|Vector| |#1|)) 58)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 150 (|has| |#1| (|FiniteFieldCategory|)))) (|rem| (($ $ $) 105 (|has| |#1| (|EuclideanDomain|)))) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 51) (((|Matrix| |#1|) $) 53)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 161 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 160 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 159) (((|Matrix| |#1|) (|Matrix| $)) 158)) (|reduce| (($ (|SparseUnivariatePolynomial| |#1|)) 155) (((|Union| $ "failed") (|Fraction| (|SparseUnivariatePolynomial| |#1|))) 152 (|has| |#1| (|Field|)))) (|recip| (((|Union| $ "failed") $) 33)) (|real| ((|#1| $) 240)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 233 (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) 235 (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) 234 (|has| |#1| (|IntegerNumberSystem|)))) (|rank| (((|PositiveInteger|)) 52)) (|random| (($) 85 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) 104 (|has| |#1| (|EuclideanDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 99 (|has| |#1| (|EuclideanDomain|)))) (|primitiveElement| (($) 146 (|has| |#1| (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) 147 (|has| |#1| (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 138 (|has| |#1| (|FiniteFieldCategory|))) (($ $) 137 (|has| |#1| (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) 112 (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) 236 (AND (|has| |#1| (|RealNumberSystem|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (|pi| (($) 225 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 248 (|has| |#1| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 247 (|has| |#1| (|PatternMatchable| (|Float|))))) (|order| (((|PositiveInteger|) $) 149 (|has| |#1| (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) 135 (|has| |#1| (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 227 (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (|norm| ((|#1| $) 49)) (|nextItem| (((|Union| $ "failed") $) 139 (|has| |#1| (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 108 (|has| |#1| (|EuclideanDomain|)))) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 42 (|has| |#1| (|Field|)))) (|min| (($ $ $) 194 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 193 (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 249)) (|lookup| (((|PositiveInteger|) $) 84 (|has| |#1| (|Finite|)))) (|log| (($ $) 222 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|lift| (((|SparseUnivariatePolynomial| |#1|) $) 153)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 93 (OR (|has| |#1| (|EuclideanDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|lcm| (($ (|List| $)) 97 (OR (|has| |#1| (|EuclideanDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (($ $ $) 96 (OR (|has| |#1| (|EuclideanDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|latex| (((|String|) $) 9)) (|inv| (($ $) 113 (|has| |#1| (|Field|)))) (|init| (($) 140 (|has| |#1| (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) 83 (|has| |#1| (|Finite|)))) (|imaginary| (($) 244)) (|imag| ((|#1| $) 241)) (|hash| (((|SingleInteger|) $) 10)) (|generator| (($) 157)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 98 (OR (|has| |#1| (|EuclideanDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|gcd| (($ (|List| $)) 95 (OR (|has| |#1| (|EuclideanDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (($ $ $) 94 (OR (|has| |#1| (|EuclideanDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 143 (|has| |#1| (|FiniteFieldCategory|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 231 (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 230 (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|factor| (((|Factored| $) $) 109 (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 107 (|has| |#1| (|EuclideanDomain|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 106 (|has| |#1| (|EuclideanDomain|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 239 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 88 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 100 (|has| |#1| (|EuclideanDomain|)))) (|exp| (($ $) 223 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) 255 (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) 254 (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) 253 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) 252 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 251 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) 250 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|euclideanSize| (((|NonNegativeInteger|) $) 102 (|has| |#1| (|EuclideanDomain|)))) (|enumerate| (((|List| $)) 86 (|has| |#1| (|Finite|)))) (|elt| (($ $ |#1|) 256 (|has| |#1| (|Eltable| |#1| |#1|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 103 (|has| |#1| (|EuclideanDomain|)))) (|discriminant| ((|#1| (|Vector| $)) 45) ((|#1|) 54)) (|discreteLog| (((|NonNegativeInteger|) $) 148 (|has| |#1| (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) 136 (|has| |#1| (|FiniteFieldCategory|)))) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 120) (($ $ (|Mapping| |#1| |#1|)) 119) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 127 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 128 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 129 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 130 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) 132 (OR (|and| (|has| |#1| (|Field|)) (|has| |#1| (|DifferentialRing|))) (|has| |#1| (|DifferentialRing|)) (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))))) (($ $) 134 (OR (|and| (|has| |#1| (|Field|)) (|has| |#1| (|DifferentialRing|))) (|has| |#1| (|DifferentialRing|)) (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|)))))) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) 151 (|has| |#1| (|Field|)))) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) 156)) (|csch| (($ $) 212 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|csc| (($ $) 201 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|createPrimitiveElement| (($) 145 (|has| |#1| (|FiniteFieldCategory|)))) (|coth| (($ $) 211 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cot| (($ $) 202 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cosh| (($ $) 210 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cos| (($ $) 203 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 48) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) 47) (((|Vector| |#1|) $) 60) (((|Matrix| |#1|) (|Vector| $)) 59)) (|convert| (((|Vector| |#1|) $) 57) (($ (|Vector| |#1|)) 56) (((|SparseUnivariatePolynomial| |#1|) $) 168) (($ (|SparseUnivariatePolynomial| |#1|)) 154) (((|Pattern| (|Integer|)) $) 246 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) 245 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Complex| (|Float|)) $) 197 (|has| |#1| (|RealConstant|))) (((|Complex| (|DoubleFloat|)) $) 196 (|has| |#1| (|RealConstant|))) (((|InputForm|) $) 195 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $) 243)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 142 (OR (|and| (|has| $ (|CharacteristicNonZero|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|has| |#1| (|FiniteFieldCategory|))))) (|complex| (($ |#1| |#1|) 242)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36) (($ (|Fraction| (|Integer|))) 81 (OR (|has| |#1| (|Field|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) 87 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|charthRoot| (($ $) 141 (|has| |#1| (|FiniteFieldCategory|))) (((|Union| $ "failed") $) 41 (OR (|and| (|has| $ (|CharacteristicNonZero|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 43)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|basis| (((|Vector| $)) 61)) (|atanh| (($ $) 221 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|atan| (($ $) 209 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|associates?| (((|Boolean|) $ $) 91 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|asinh| (($ $) 220 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asin| (($ $) 208 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asech| (($ $) 219 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asec| (($ $) 207 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|argument| ((|#1| $) 237 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acsch| (($ $) 218 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acsc| (($ $) 206 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acoth| (($ $) 217 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acot| (($ $) 205 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acosh| (($ $) 216 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acos| (($ $) 204 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|abs| (($ $) 238 (|has| |#1| (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 114 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 122) (($ $ (|Mapping| |#1| |#1|)) 121) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 123 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 124 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 125 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 126 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) 131 (OR (|and| (|has| |#1| (|Field|)) (|has| |#1| (|DifferentialRing|))) (|has| |#1| (|DifferentialRing|)) (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))))) (($ $) 133 (OR (|and| (|has| |#1| (|Field|)) (|has| |#1| (|DifferentialRing|))) (|has| |#1| (|DifferentialRing|)) (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|)))))) (>= (((|Boolean|) $ $) 191 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 190 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 192 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 189 (|has| |#1| (|OrderedSet|)))) (/ (($ $ $) 118 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Fraction| (|Integer|))) 226 (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)))) (($ $ $) 224 (|has| |#1| (|TranscendentalFunctionCategory|))) (($ $ (|Integer|)) 115 (|has| |#1| (|Field|)))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (|Fraction| (|Integer|)) $) 117 (|has| |#1| (|Field|))) (($ $ (|Fraction| (|Integer|))) 116 (|has| |#1| (|Field|))))) 
+(((|ComplexCategory| |#1|) (|Category|) (|CommutativeRing|)) (T |ComplexCategory|)) 
+((|norm| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imaginary| (*1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|conjugate| (*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|complex| (*1 *1 *2 *2) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imag| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|real| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|exquo| (*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) (|abs| (*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) (|argument| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|polarCoordinates| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|RealNumberSystem|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|isDomain| *2 (|Record| (|:| |r| *3) (|:| |phi| *3))))) (|rational?| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|rational| (*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
+(|Join| (|MonogenicAlgebra| |t#1| (|SparseUnivariatePolynomial| |t#1|)) (|FullyRetractableTo| |t#1|) (|DifferentialExtension| |t#1|) (|FullyEvalableOver| |t#1|) (|FullyPatternMatchable| |t#1|) (|Patternable| |t#1|) (|FullyLinearlyExplicitRingOver| |t#1|) (|CommutativeRing|) (CATEGORY |domain| (ATTRIBUTE |complex|) (SIGNATURE |imaginary| ($)) (SIGNATURE |conjugate| ($ $)) (SIGNATURE |complex| ($ |t#1| |t#1|)) (SIGNATURE |imag| (|t#1| $)) (SIGNATURE |real| (|t#1| $)) (SIGNATURE |norm| (|t#1| $)) (IF (|has| |t#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (ATTRIBUTE (|IntegralDomain|)) (SIGNATURE |exquo| ((|Union| $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (|EuclideanDomain|)) (ATTRIBUTE (|EuclideanDomain|)) |noBranch|) (IF (|has| |t#1| (ATTRIBUTE |multiplicativeValuation|)) (ATTRIBUTE |multiplicativeValuation|) |noBranch|) (IF (|has| |t#1| (ATTRIBUTE |additiveValuation|)) (ATTRIBUTE |additiveValuation|) |noBranch|) (IF (|has| |t#1| (|Field|)) (ATTRIBUTE (|Field|)) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |t#1| (|RealConstant|)) (PROGN (ATTRIBUTE (|ConvertibleTo| (|Complex| (|DoubleFloat|)))) (ATTRIBUTE (|ConvertibleTo| (|Complex| (|Float|))))) |noBranch|) (IF (|has| |t#1| (|RealNumberSystem|)) (SIGNATURE |abs| ($ $)) |noBranch|) (IF (|has| |t#1| (|TranscendentalFunctionCategory|)) (PROGN (ATTRIBUTE (|TranscendentalFunctionCategory|)) (SIGNATURE |argument| (|t#1| $)) (IF (|has| |t#1| (|RadicalCategory|)) (ATTRIBUTE (|RadicalCategory|)) |noBranch|) (IF (|has| |t#1| (|RealNumberSystem|)) (SIGNATURE |polarCoordinates| ((|Record| (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|) (IF (|has| |t#1| (|PolynomialFactorizationExplicit|)) (IF (|has| |t#1| (|EuclideanDomain|)) (ATTRIBUTE (|PolynomialFactorizationExplicit|)) |noBranch|) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|Algebra| |#1|) . T) ((|Algebra| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|TranscendentalFunctionCategory|)) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|TranscendentalFunctionCategory|)) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|CharacteristicNonZero|))) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| (|Complex| (|DoubleFloat|))) |has| |#1| (|RealConstant|)) ((|ConvertibleTo| (|Complex| (|Float|))) |has| |#1| (|RealConstant|)) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|ConvertibleTo| (|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) ((|ConvertibleTo| (|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) ((|ConvertibleTo| (|SparseUnivariatePolynomial| |#1|)) . T) ((|DifferentialExtension| |#1|) . T) ((|DifferentialRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|DifferentialRing|))) ((|DivisionRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|ElementaryFunctionCategory|) |has| |#1| (|TranscendentalFunctionCategory|)) ((|Eltable| |#1| $) |has| |#1| (|Eltable| |#1| |#1|)) ((|EntireRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|EuclideanDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|Evalable| |#1|) |has| |#1| (|Evalable| |#1|)) ((|Field|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|FieldOfPrimeCharacteristic|) |has| |#1| (|FiniteFieldCategory|)) ((|Finite|) OR (|has| |#1| (|Finite|)) (|has| |#1| (|FiniteFieldCategory|))) ((|FiniteFieldCategory|) |has| |#1| (|FiniteFieldCategory|)) ((|FiniteRankAlgebra| |#1| (|SparseUnivariatePolynomial| |#1|)) . T) ((|FramedAlgebra| |#1| (|SparseUnivariatePolynomial| |#1|)) . T) ((|FullyEvalableOver| |#1|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyPatternMatchable| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|HyperbolicFunctionCategory|) |has| |#1| (|TranscendentalFunctionCategory|)) ((|InnerEvalable| (|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|InnerEvalable| |#1| |#1|) |has| |#1| (|Evalable| |#1|)) ((|IntegralDomain|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|Module| |#1|) . T) ((|Module| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|MonogenicAlgebra| |#1| (|SparseUnivariatePolynomial| |#1|)) . T) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|PatternMatchable| (|Float|)) |has| |#1| (|PatternMatchable| (|Float|))) ((|PatternMatchable| (|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) ((|Patternable| |#1|) . T) ((|PolynomialFactorizationExplicit|) AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) ((|PrincipalIdealDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (|has| |#1| (|EuclideanDomain|))) ((|RadicalCategory|) AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|RightModule| |#1|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) |has| |#1| (|FiniteFieldCategory|)) ((|TranscendentalFunctionCategory|) |has| |#1| (|TranscendentalFunctionCategory|)) ((|TrigonometricFunctionCategory|) |has| |#1| (|TranscendentalFunctionCategory|)) ((|Type|) . T) ((|UniqueFactorizationDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)) (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) 
+((|factor| (((|Factored| |#2|) |#2|) 63))) 
+(((|ComplexFactorization| |#1| |#2|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#2|) |#2|))) (|EuclideanDomain|) (|UnivariatePolynomialCategory| (|Complex| |#1|))) (T |ComplexFactorization|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#2|) |#2|))) 
+((|map| (((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)) 14))) 
+(((|ComplexFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)))) (|CommutativeRing|) (|CommutativeRing|)) (T |ComplexFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Complex| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|isDomain| *2 (|Complex| *6)) (|isDomain| *1 (|ComplexFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 33)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|IntegralDomain|))))) (|unitCanonical| (($ $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|IntegralDomain|))))) (|unit?| (((|Boolean|) $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|IntegralDomain|))))) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) NIL) (((|Matrix| |#1|)) NIL)) (|trace| ((|#1| $) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|tan| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|squareFreePart| (($ $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|squareFree| (((|Factored| $) $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|sqrt| (($ $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|sinh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sin| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sech| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sec| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) NIL) (($ (|Vector| |#1|)) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|rem| (($ $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) NIL) (((|Matrix| |#1|) $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|reduce| (($ (|SparseUnivariatePolynomial| |#1|)) NIL) (((|Union| $ "failed") (|Fraction| (|SparseUnivariatePolynomial| |#1|))) NIL (|has| |#1| (|Field|)))) (|recip| (((|Union| $ "failed") $) NIL)) (|real| ((|#1| $) 13)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rank| (((|PositiveInteger|)) NIL)) (|random| (($) NIL (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|EuclideanDomain|)))) (|primitiveElement| (($) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|FiniteFieldCategory|))) (($ $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (AND (|has| |#1| (|RealNumberSystem|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (|pi| (($) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| |#1| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| |#1| (|PatternMatchable| (|Float|))))) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) 35)) (|nthRoot| (($ $ (|Integer|)) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (|norm| ((|#1| $) 46)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|EuclideanDomain|)))) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Field|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|log| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|lift| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|EuclideanDomain|))) (($ $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|init| (($) NIL (|has| |#1| (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|imaginary| (($) NIL)) (|imag| ((|#1| $) 15)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|EuclideanDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|EuclideanDomain|))) (($ $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|factor| (((|Factored| $) $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|EuclideanDomain|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 44 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 47 (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|IntegralDomain|))))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|EuclideanDomain|)))) (|exp| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|EuclideanDomain|)))) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|elt| (($ $ |#1|) NIL (|has| |#1| (|Eltable| |#1| |#1|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|discriminant| ((|#1| (|Vector| $)) NIL) ((|#1|) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $) NIL (|has| |#1| (|DifferentialRing|)))) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) NIL (|has| |#1| (|Field|)))) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) NIL)) (|csch| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|csc| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|createPrimitiveElement| (($) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|coth| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cot| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cosh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cos| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) NIL) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#1|) $) NIL) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|convert| (((|Vector| |#1|) $) NIL) (($ (|Vector| |#1|)) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL) (($ (|SparseUnivariatePolynomial| |#1|)) NIL) (((|Pattern| (|Integer|)) $) NIL (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Complex| (|Float|)) $) NIL (|has| |#1| (|RealConstant|))) (((|Complex| (|DoubleFloat|)) $) NIL (|has| |#1| (|RealConstant|))) (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $) 45)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|FiniteFieldCategory|))))) (|complex| (($ |#1| |#1|) 37)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) 36) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Field|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|IntegralDomain|))))) (|charthRoot| (($ $) NIL (|has| |#1| (|FiniteFieldCategory|))) (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL)) (|atanh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|atan| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|associates?| (((|Boolean|) $ $) NIL (OR (AND (|has| |#1| (|EuclideanDomain|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|IntegralDomain|))))) (|asinh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asin| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asech| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asec| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|argument| ((|#1| $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acsch| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acsc| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acoth| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acot| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acosh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acos| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|abs| (($ $) NIL (|has| |#1| (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 28 T CONST)) (|One| (($) 30 T CONST)) (|OMwrite| (((|String|) $) 23 (|has| |#1| (|OpenMath|))) (((|String|) $ (|Boolean|)) 25 (|has| |#1| (|OpenMath|))) (((|Void|) (|OpenMathDevice|) $) 26 (|has| |#1| (|OpenMath|))) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 27 (|has| |#1| (|OpenMath|)))) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $) NIL (|has| |#1| (|DifferentialRing|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 39)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Fraction| (|Integer|))) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)))) (($ $ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|))) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Field|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Field|))))) 
+(((|Complex| |#1|) (|Join| (|ComplexCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|OpenMath|)) (ATTRIBUTE (|OpenMath|)) |noBranch|))) (|CommutativeRing|)) (T |Complex|)) 
+NIL 
+(|Join| (|ComplexCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|OpenMath|)) (ATTRIBUTE (|OpenMath|)) |noBranch|))) 
+((|convert| (((|Pattern| |#1|) |#3|) 22))) 
+(((|ComplexPattern| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |convert| ((|Pattern| |#1|) |#3|))) (|SetCategory|) (|Join| (|ConvertibleTo| (|Pattern| |#1|)) (|CommutativeRing|)) (|ComplexCategory| |#2|)) (T |ComplexPattern|)) 
+((|convert| (*1 *2 *3) (AND (|ofCategory| *5 (|Join| (|ConvertibleTo| *2) (|CommutativeRing|))) (|isDomain| *2 (|Pattern| *4)) (|isDomain| *1 (|ComplexPattern| *4 *5 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |convert| ((|Pattern| |#1|) |#3|))) 
+((~= (((|Boolean|) $ $) NIL)) (|solid?| (((|Boolean|) $) 9)) (|solid| (((|Boolean|) $ (|Boolean|)) 11)) (|new| (($) 12)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 17)) (|closed?| (((|Boolean|) $) 8)) (|close| (((|Boolean|) $ (|Boolean|)) 10)) (= (((|Boolean|) $ $) NIL))) 
+(((|SubSpaceComponentProperty|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |new| ($)) (SIGNATURE |closed?| ((|Boolean|) $)) (SIGNATURE |solid?| ((|Boolean|) $)) (SIGNATURE |close| ((|Boolean|) $ (|Boolean|))) (SIGNATURE |solid| ((|Boolean|) $ (|Boolean|))) (SIGNATURE |copy| ($ $))))) (T |SubSpaceComponentProperty|)) 
+((|new| (*1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) (|closed?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) (|solid?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) (|close| (*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) (|solid| (*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) (|copy| (*1 *1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |new| ($)) (SIGNATURE |closed?| ((|Boolean|) $)) (SIGNATURE |solid?| ((|Boolean|) $)) (SIGNATURE |close| ((|Boolean|) $ (|Boolean|))) (SIGNATURE |solid| ((|Boolean|) $ (|Boolean|))) (SIGNATURE |copy| ($ $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|CommutativeRing|) (|Category|)) (T |CommutativeRing|)) 
+NIL 
+(|Join| (|Ring|) (|BiModule| $ $) (CATEGORY |package| (ATTRIBUTE (|commutative| "*")))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| ((|#1| $) 74)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL)) (|reducedForm| (($ $) 19)) (|reducedContinuedFraction| (($ |#1| (|Stream| |#1|)) 47)) (|recip| (((|Union| $ "failed") $) 116)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|partialQuotients| (((|Stream| |#1|) $) 81)) (|partialNumerators| (((|Stream| |#1|) $) 78)) (|partialDenominators| (((|Stream| |#1|) $) 79)) (|one?| (((|Boolean|) $) NIL)) (|numerators| (((|Stream| |#1|) $) 87)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ (|List| $)) NIL) (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ (|List| $)) NIL) (($ $ $) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|extend| (($ $ (|Integer|)) 90)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|denominators| (((|Stream| |#1|) $) 88)) (|convergents| (((|Stream| (|Fraction| |#1|)) $) 13)) (|continuedFraction| (($ (|Fraction| |#1|)) 17) (($ |#1| (|Stream| |#1|) (|Stream| |#1|)) 37)) (|complete| (($ $) 92)) (|coerce| (((|OutputForm|) $) 126) (($ (|Integer|)) 50) (($ |#1|) 51) (($ (|Fraction| |#1|)) 35) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) 63)) (|associates?| (((|Boolean|) $ $) NIL)) (|approximants| (((|Stream| (|Fraction| |#1|)) $) 18)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 25 T CONST)) (|One| (($) 28 T CONST)) (= (((|Boolean|) $ $) 34)) (/ (($ $ $) 114)) (- (($ $) 105) (($ $ $) 102)) (+ (($ $ $) 100)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (|Fraction| |#1|) $) 110) (($ $ (|Fraction| |#1|)) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL))) 
+(((|ContinuedFraction| |#1|) (|Join| (|Algebra| |#1|) (|Algebra| (|Fraction| |#1|)) (|Field|) (CATEGORY |domain| (SIGNATURE |continuedFraction| ($ (|Fraction| |#1|))) (SIGNATURE |continuedFraction| ($ |#1| (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |reducedContinuedFraction| ($ |#1| (|Stream| |#1|))) (SIGNATURE |partialNumerators| ((|Stream| |#1|) $)) (SIGNATURE |partialDenominators| ((|Stream| |#1|) $)) (SIGNATURE |partialQuotients| ((|Stream| |#1|) $)) (SIGNATURE |wholePart| (|#1| $)) (SIGNATURE |reducedForm| ($ $)) (SIGNATURE |approximants| ((|Stream| (|Fraction| |#1|)) $)) (SIGNATURE |convergents| ((|Stream| (|Fraction| |#1|)) $)) (SIGNATURE |numerators| ((|Stream| |#1|) $)) (SIGNATURE |denominators| ((|Stream| |#1|) $)) (SIGNATURE |extend| ($ $ (|Integer|))) (SIGNATURE |complete| ($ $)))) (|EuclideanDomain|)) (T |ContinuedFraction|)) 
+((|continuedFraction| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *3)))) (|continuedFraction| (*1 *1 *2 *3 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2)))) (|reducedContinuedFraction| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2)))) (|partialNumerators| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|partialDenominators| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|partialQuotients| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|wholePart| (*1 *2 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|reducedForm| (*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|approximants| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|convergents| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|numerators| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|denominators| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|extend| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|complete| (*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(|Join| (|Algebra| |#1|) (|Algebra| (|Fraction| |#1|)) (|Field|) (CATEGORY |domain| (SIGNATURE |continuedFraction| ($ (|Fraction| |#1|))) (SIGNATURE |continuedFraction| ($ |#1| (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |reducedContinuedFraction| ($ |#1| (|Stream| |#1|))) (SIGNATURE |partialNumerators| ((|Stream| |#1|) $)) (SIGNATURE |partialDenominators| ((|Stream| |#1|) $)) (SIGNATURE |partialQuotients| ((|Stream| |#1|) $)) (SIGNATURE |wholePart| (|#1| $)) (SIGNATURE |reducedForm| ($ $)) (SIGNATURE |approximants| ((|Stream| (|Fraction| |#1|)) $)) (SIGNATURE |convergents| ((|Stream| (|Fraction| |#1|)) $)) (SIGNATURE |numerators| ((|Stream| |#1|) $)) (SIGNATURE |denominators| ((|Stream| |#1|) $)) (SIGNATURE |extend| ($ $ (|Integer|))) (SIGNATURE |complete| ($ $)))) 
+((|toroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 40)) (|spherical| (((|Point| |#1|) (|Point| |#1|)) 19)) (|prolateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 36)) (|polar| (((|Point| |#1|) (|Point| |#1|)) 17)) (|paraboloidal| (((|Point| |#1|) (|Point| |#1|)) 25)) (|parabolicCylindrical| (((|Point| |#1|) (|Point| |#1|)) 24)) (|parabolic| (((|Point| |#1|) (|Point| |#1|)) 23)) (|oblateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 37)) (|ellipticCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 35)) (|elliptic| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 34)) (|cylindrical| (((|Point| |#1|) (|Point| |#1|)) 18)) (|conical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|) 43)) (|cartesian| (((|Point| |#1|) (|Point| |#1|)) 8)) (|bipolarCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 39)) (|bipolar| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) 38))) 
+(((|CoordinateSystems| |#1|) (CATEGORY |package| (SIGNATURE |cartesian| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |polar| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |cylindrical| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |spherical| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |parabolic| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |parabolicCylindrical| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |paraboloidal| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |elliptic| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |ellipticCylindrical| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |prolateSpheroidal| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |oblateSpheroidal| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |bipolar| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |bipolarCylindrical| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |toroidal| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |conical| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|))) (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (T |CoordinateSystems|)) 
+((|conical| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|toroidal| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|bipolarCylindrical| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|bipolar| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|oblateSpheroidal| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|prolateSpheroidal| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|ellipticCylindrical| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|elliptic| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) (|paraboloidal| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3)))) (|parabolicCylindrical| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3)))) (|parabolic| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3)))) (|spherical| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3)))) (|cylindrical| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3)))) (|polar| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3)))) (|cartesian| (*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(CATEGORY |package| (SIGNATURE |cartesian| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |polar| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |cylindrical| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |spherical| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |parabolic| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |parabolicCylindrical| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |paraboloidal| ((|Point| |#1|) (|Point| |#1|))) (SIGNATURE |elliptic| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |ellipticCylindrical| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |prolateSpheroidal| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |oblateSpheroidal| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |bipolar| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |bipolarCylindrical| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |toroidal| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|)) (SIGNATURE |conical| ((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|))) 
+((|characteristicPolynomial| ((|#2| |#3|) 27))) 
+(((|CharacteristicPolynomialInMonogenicalAlgebra| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |characteristicPolynomial| (|#2| |#3|))) (|CommutativeRing|) (|UnivariatePolynomialCategory| |#1|) (|MonogenicAlgebra| |#1| |#2|)) (T |CharacteristicPolynomialInMonogenicalAlgebra|)) 
+((|characteristicPolynomial| (*1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|CharacteristicPolynomialInMonogenicalAlgebra| *4 *2 *3)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *2))))) 
+(CATEGORY |package| (SIGNATURE |characteristicPolynomial| (|#2| |#3|))) 
+((|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) 47 (|has| (|Polynomial| |#2|) (|PatternMatchable| |#1|))))) 
+(((|ComplexPatternMatch| |#1| |#2| |#3|) (CATEGORY |package| (IF (|has| (|Polynomial| |#2|) (|PatternMatchable| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) |noBranch|)) (|SetCategory|) (|Join| (|PatternMatchable| |#1|) (|CommutativeRing|)) (|ComplexCategory| |#2|)) (T |ComplexPatternMatch|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *6)) (|ofCategory| (|Polynomial| *6) (|PatternMatchable| *5)) (|ofCategory| *6 (|Join| (|PatternMatchable| *5) (|CommutativeRing|))) (|isDomain| *1 (|ComplexPatternMatch| *5 *6 *3))))) 
+(CATEGORY |package| (IF (|has| (|Polynomial| |#2|) (|PatternMatchable| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) |noBranch|)) 
+((|multiEuclideanTree| (((|List| |#1|) (|List| |#1|) |#1|) 36)) (|modTree| (((|List| |#1|) |#1| (|List| |#1|)) 19)) (|chineseRemainder| (((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|)) 31) ((|#1| (|List| |#1|) (|List| |#1|)) 29))) 
+(((|CRApackage| |#1|) (CATEGORY |package| (SIGNATURE |modTree| ((|List| |#1|) |#1| (|List| |#1|))) (SIGNATURE |chineseRemainder| (|#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |chineseRemainder| ((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|))) (SIGNATURE |multiEuclideanTree| ((|List| |#1|) (|List| |#1|) |#1|))) (|EuclideanDomain|)) (T |CRApackage|)) 
+((|multiEuclideanTree| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3)))) (|chineseRemainder| (*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|List| *4))) (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *4)))) (|chineseRemainder| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|CRApackage| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|modTree| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(CATEGORY |package| (SIGNATURE |modTree| ((|List| |#1|) |#1| (|List| |#1|))) (SIGNATURE |chineseRemainder| (|#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |chineseRemainder| ((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|))) (SIGNATURE |multiEuclideanTree| ((|List| |#1|) (|List| |#1|) |#1|))) 
+((|startPolynomial| (((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|) 61)) (|setErrorBound| ((|#1| |#1|) 54)) (|schwerpunkt| (((|Complex| |#1|) |#2|) 82)) (|rootRadius| ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (|reciprocalPolynomial| ((|#2| |#2|) 81)) (|pleskenSplit| (((|Factored| |#2|) |#2| |#1|) 112) (((|Factored| |#2|) |#2| |#1| (|Boolean|)) 79)) (|norm| ((|#1| |#2|) 111)) (|graeffe| ((|#2| |#2|) 118)) (|factor| (((|Factored| |#2|) |#2|) 133) (((|Factored| |#2|) |#2| |#1|) 32) (((|Factored| |#2|) |#2| |#1| (|Boolean|)) 132)) (|divisorCascade| (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|) 131) (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|)) 75)) (|complexZeros| (((|List| (|Complex| |#1|)) |#2| |#1|) 40) (((|List| (|Complex| |#1|)) |#2|) 41))) 
+(((|ComplexRootFindingPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |complexZeros| ((|List| (|Complex| |#1|)) |#2|)) (SIGNATURE |complexZeros| ((|List| (|Complex| |#1|)) |#2| |#1|)) (SIGNATURE |divisorCascade| ((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|))) (SIGNATURE |divisorCascade| ((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|)) (SIGNATURE |factor| ((|Factored| |#2|) |#2| |#1| (|Boolean|))) (SIGNATURE |factor| ((|Factored| |#2|) |#2| |#1|)) (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |graeffe| (|#2| |#2|)) (SIGNATURE |norm| (|#1| |#2|)) (SIGNATURE |pleskenSplit| ((|Factored| |#2|) |#2| |#1| (|Boolean|))) (SIGNATURE |pleskenSplit| ((|Factored| |#2|) |#2| |#1|)) (SIGNATURE |reciprocalPolynomial| (|#2| |#2|)) (SIGNATURE |rootRadius| (|#1| |#2| |#1|)) (SIGNATURE |rootRadius| (|#1| |#2|)) (SIGNATURE |schwerpunkt| ((|Complex| |#1|) |#2|)) (SIGNATURE |setErrorBound| (|#1| |#1|)) (SIGNATURE |startPolynomial| ((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|))) (|Join| (|Field|) (|OrderedRing|)) (|UnivariatePolynomialCategory| (|Complex| |#1|))) (T |ComplexRootFindingPackage|)) 
+((|startPolynomial| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Record| (|:| |start| *3) (|:| |factors| (|Factored| *3)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|setErrorBound| (*1 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) (|schwerpunkt| (*1 *2 *3) (AND (|isDomain| *2 (|Complex| *4)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|rootRadius| (*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) (|rootRadius| (*1 *2 *3 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) (|reciprocalPolynomial| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3))))) (|pleskenSplit| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|pleskenSplit| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|norm| (*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) (|graeffe| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3))))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|factor| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|factor| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|divisorCascade| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *4)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|divisorCascade| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *5)))) (|isDomain| *1 (|ComplexRootFindingPackage| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *5))))) (|complexZeros| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) (|complexZeros| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(CATEGORY |package| (SIGNATURE |complexZeros| ((|List| (|Complex| |#1|)) |#2|)) (SIGNATURE |complexZeros| ((|List| (|Complex| |#1|)) |#2| |#1|)) (SIGNATURE |divisorCascade| ((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|))) (SIGNATURE |divisorCascade| ((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|)) (SIGNATURE |factor| ((|Factored| |#2|) |#2| |#1| (|Boolean|))) (SIGNATURE |factor| ((|Factored| |#2|) |#2| |#1|)) (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |graeffe| (|#2| |#2|)) (SIGNATURE |norm| (|#1| |#2|)) (SIGNATURE |pleskenSplit| ((|Factored| |#2|) |#2| |#1| (|Boolean|))) (SIGNATURE |pleskenSplit| ((|Factored| |#2|) |#2| |#1|)) (SIGNATURE |reciprocalPolynomial| (|#2| |#2|)) (SIGNATURE |rootRadius| (|#1| |#2| |#1|)) (SIGNATURE |rootRadius| (|#1| |#2|)) (SIGNATURE |schwerpunkt| ((|Complex| |#1|) |#2|)) (SIGNATURE |setErrorBound| (|#1| |#1|)) (SIGNATURE |startPolynomial| ((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|))) 
+((|cycleElt| (((|Union| |#2| "failed") |#2|) 14)) (|computeCycleLength| (((|NonNegativeInteger|) |#2|) 16)) (|computeCycleEntry| ((|#2| |#2| |#2|) 18))) 
+(((|CyclicStreamTools| |#1| |#2|) (CATEGORY |package| (SIGNATURE |cycleElt| ((|Union| |#2| "failed") |#2|)) (SIGNATURE |computeCycleLength| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |computeCycleEntry| (|#2| |#2| |#2|))) (|Type|) (|LazyStreamAggregate| |#1|)) (T |CyclicStreamTools|)) 
+((|computeCycleEntry| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3)))) (|computeCycleLength| (*1 *2 *3) (AND (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CyclicStreamTools| *4 *3)) (|ofCategory| *3 (|LazyStreamAggregate| *4)))) (|cycleElt| (*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
+(CATEGORY |package| (SIGNATURE |cycleElt| ((|Union| |#2| "failed") |#2|)) (SIGNATURE |computeCycleLength| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |computeCycleEntry| (|#2| |#2| |#2|))) 
+((|trigs| ((|#2| |#2|) 28)) (|real?| (((|Boolean|) |#2|) 19)) (|real| (((|Expression| |#1|) |#2|) 12)) (|imag| (((|Expression| |#1|) |#2|) 14)) (|complexNormalize| ((|#2| |#2| (|Symbol|)) 68) ((|#2| |#2|) 69)) (|complexForm| (((|Complex| (|Expression| |#1|)) |#2|) 9)) (|complexElementary| ((|#2| |#2| (|Symbol|)) 65) ((|#2| |#2|) 58))) 
+(((|ComplexTrigonometricManipulations| |#1| |#2|) (CATEGORY |package| (SIGNATURE |complexNormalize| (|#2| |#2|)) (SIGNATURE |complexNormalize| (|#2| |#2| (|Symbol|))) (SIGNATURE |complexElementary| (|#2| |#2|)) (SIGNATURE |complexElementary| (|#2| |#2| (|Symbol|))) (SIGNATURE |real| ((|Expression| |#1|) |#2|)) (SIGNATURE |imag| ((|Expression| |#1|) |#2|)) (SIGNATURE |real?| ((|Boolean|) |#2|)) (SIGNATURE |trigs| (|#2| |#2|)) (SIGNATURE |complexForm| ((|Complex| (|Expression| |#1|)) |#2|))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| |#1|)))) (T |ComplexTrigonometricManipulations|)) 
+((|complexForm| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Complex| (|Expression| *4))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) (|trigs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) (|real?| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) (|imag| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) (|real| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) (|complexElementary| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) (|complexElementary| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) (|complexNormalize| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) (|complexNormalize| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3))))))) 
+(CATEGORY |package| (SIGNATURE |complexNormalize| (|#2| |#2|)) (SIGNATURE |complexNormalize| (|#2| |#2| (|Symbol|))) (SIGNATURE |complexElementary| (|#2| |#2|)) (SIGNATURE |complexElementary| (|#2| |#2| (|Symbol|))) (SIGNATURE |real| ((|Expression| |#1|) |#2|)) (SIGNATURE |imag| ((|Expression| |#1|) |#2|)) (SIGNATURE |real?| ((|Boolean|) |#2|)) (SIGNATURE |trigs| (|#2| |#2|)) (SIGNATURE |complexForm| ((|Complex| (|Expression| |#1|)) |#2|))) 
+((|coerceP| (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|))) 22)) (|coerce| (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))) 30))) 
+(((|CoerceVectorMatrixPackage| |#1|) (CATEGORY |package| (SIGNATURE |coerceP| ((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|)))) (SIGNATURE |coerce| ((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))))) (|CommutativeRing|)) (T |CoerceVectorMatrixPackage|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4)))) (|coerceP| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *4)))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4))))) 
+(CATEGORY |package| (SIGNATURE |coerceP| ((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|)))) (SIGNATURE |coerce| ((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))))) 
+((|wreath| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) 66)) (|skewSFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) 74)) (|powerSum| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 40)) (|graphs| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 52)) (|eval| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) 62)) (|elementary| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 32)) (|dihedral| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 48)) (|cyclic| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 46)) (|cup| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) 60)) (|complete| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 25)) (|cap| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) 64)) (|alternating| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) 30)) (|SFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|))) 71))) 
+(((|CycleIndicators|) (CATEGORY |package| (SIGNATURE |complete| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |powerSum| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |elementary| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |alternating| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |cyclic| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |dihedral| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |graphs| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |cap| ((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |cup| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |eval| ((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |wreath| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |SFunction| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |skewSFunction| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|)))))) (T |CycleIndicators|)) 
+((|skewSFunction| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)))) (|SFunction| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)))) (|wreath| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)))) (|eval| (*1 *2 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) (|cup| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)))) (|cap| (*1 *2 *3 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) (|graphs| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) (|dihedral| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) (|cyclic| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) (|alternating| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) (|elementary| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) (|powerSum| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) (|complete| (*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(CATEGORY |package| (SIGNATURE |complete| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |powerSum| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |elementary| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |alternating| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |cyclic| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |dihedral| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |graphs| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |cap| ((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |cup| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |eval| ((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |wreath| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |SFunction| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |skewSFunction| ((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))))) 
+((|cyclotomicFactorization| (((|Factored| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)) 28)) (|cyclotomicDecomposition| (((|List| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)) 23)) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 21))) 
+(((|CyclotomicPolynomialPackage|) (CATEGORY |package| (SIGNATURE |cyclotomicDecomposition| ((|List| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|))) (SIGNATURE |cyclotomic| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |cyclotomicFactorization| ((|Factored| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|))))) (T |CyclotomicPolynomialPackage|)) 
+((|cyclotomicFactorization| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) (|cyclotomic| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) (|cyclotomicDecomposition| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(CATEGORY |package| (SIGNATURE |cyclotomicDecomposition| ((|List| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|))) (SIGNATURE |cyclotomic| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |cyclotomicFactorization| ((|Factored| (|SparseUnivariatePolynomial| (|Integer|))) (|Integer|)))) 
+((|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 101)) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) NIL)) (|rangeIsFinite| (((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 77)) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) NIL)) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) NIL)) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 22)) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 23)) (|functionIsOscillatory| (((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 93)) (|functionIsContinuousAtEndPoints| (((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 40)) (|df2st| (((|String|) (|DoubleFloat|)) NIL)) (|commaSeparate| (((|String|) (|List| (|String|))) 19)) (|changeName| (((|Result|) (|Symbol|) (|Symbol|) (|Result|)) 12))) 
+(((|d01AgentsPackage|) (CATEGORY |package| (SIGNATURE |rangeIsFinite| ((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |functionIsContinuousAtEndPoints| ((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |getlo| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |gethi| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |functionIsOscillatory| ((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |problemPoints| ((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |singularitiesOf| ((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |df2st| ((|String|) (|DoubleFloat|))) (SIGNATURE |ldf2lst| ((|List| (|String|)) (|List| (|DoubleFloat|)))) (SIGNATURE |sdf2lst| ((|List| (|String|)) (|Stream| (|DoubleFloat|)))) (SIGNATURE |commaSeparate| ((|String|) (|List| (|String|)))) (SIGNATURE |changeName| ((|Result|) (|Symbol|) (|Symbol|) (|Result|))))) (T |d01AgentsPackage|)) 
+((|changeName| (*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|d01AgentsPackage|)))) (|commaSeparate| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) (|sdf2lst| (*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) (|ldf2lst| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) (|df2st| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) (|singularitiesOf| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) (|problemPoints| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) (|functionIsOscillatory| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d01AgentsPackage|)))) (|gethi| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) (|getlo| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) (|functionIsContinuousAtEndPoints| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|)))) (|rangeIsFinite| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |rangeIsFinite| ((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |functionIsContinuousAtEndPoints| ((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |getlo| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |gethi| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |functionIsOscillatory| ((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |problemPoints| ((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |singularitiesOf| ((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |df2st| ((|String|) (|DoubleFloat|))) (SIGNATURE |ldf2lst| ((|List| (|String|)) (|List| (|DoubleFloat|)))) (SIGNATURE |sdf2lst| ((|List| (|String|)) (|Stream| (|DoubleFloat|)))) (SIGNATURE |commaSeparate| ((|String|) (|List| (|String|)))) (SIGNATURE |changeName| ((|Result|) (|Symbol|) (|Symbol|) (|Result|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 53) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 28) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01ajfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01ajfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 58) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 37) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01akfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01akfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 67) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 36) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01alfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01alfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 54) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 30) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01amfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01amfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 65) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 35) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01anfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01anfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 71) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 33) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01apfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01apfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 78) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 43) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01aqfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01aqfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 68) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 37) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01asfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01asfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 62)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 29)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01fcfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01fcfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 60)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 32)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01gbfAnnaType|) (|NumericalIntegrationCategory|)) (T |d01gbfAnnaType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 89) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 77) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d01TransformFunctionType|) (|NumericalIntegrationCategory|)) (T |d01TransformFunctionType|)) 
+NIL 
+(|NumericalIntegrationCategory|) 
+((|exprHasWeightCosWXorSinWX| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 80)) (|exprHasLogarithmicWeights| (((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 39)) (|exprHasAlgebraicWeight| (((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 69))) 
+(((|d01WeightsPackage|) (CATEGORY |package| (SIGNATURE |exprHasWeightCosWXorSinWX| ((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |exprHasAlgebraicWeight| ((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |exprHasLogarithmicWeights| ((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) (T |d01WeightsPackage|)) 
+((|exprHasLogarithmicWeights| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|d01WeightsPackage|)))) (|exprHasAlgebraicWeight| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01WeightsPackage|)))) (|exprHasWeightCosWXorSinWX| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|)))) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |exprHasWeightCosWXorSinWX| ((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |exprHasAlgebraicWeight| ((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |exprHasLogarithmicWeights| ((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) 
+((|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 37)) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 127)) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) 87)) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) 110)) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) 107)) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 26)) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 42)) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) 99)) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) 104) (((|Float|) (|Float|) (|Float|)) 102)) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 33))) 
+(((|d02AgentsPackage|) (CATEGORY |package| (SIGNATURE |combineFeatureCompatibility| ((|Float|) (|Float|) (|Float|))) (SIGNATURE |combineFeatureCompatibility| ((|Float|) (|Float|) (|List| (|Float|)))) (SIGNATURE |sparsityIF| ((|Float|) (|Matrix| (|Expression| (|DoubleFloat|))))) (SIGNATURE |jacobian| ((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)))) (SIGNATURE |eval| ((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |stiffnessAndStabilityFactor| ((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|))))) (SIGNATURE |stiffnessAndStabilityOfODEIF| ((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |systemSizeIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |expenseOfEvaluationIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |accuracyIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |intermediateResultsIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) (T |d02AgentsPackage|)) 
+((|intermediateResultsIF| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) (|accuracyIF| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) (|expenseOfEvaluationIF| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) (|systemSizeIF| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) (|stiffnessAndStabilityOfODEIF| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|)))) (|stiffnessAndStabilityFactor| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|)))) (|eval| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) (|jacobian| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) (|sparsityIF| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) (|combineFeatureCompatibility| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Float|))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) (|combineFeatureCompatibility| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |combineFeatureCompatibility| ((|Float|) (|Float|) (|Float|))) (SIGNATURE |combineFeatureCompatibility| ((|Float|) (|Float|) (|List| (|Float|)))) (SIGNATURE |sparsityIF| ((|Float|) (|Matrix| (|Expression| (|DoubleFloat|))))) (SIGNATURE |jacobian| ((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)))) (SIGNATURE |eval| ((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |stiffnessAndStabilityFactor| ((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|))))) (SIGNATURE |stiffnessAndStabilityOfODEIF| ((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |systemSizeIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |expenseOfEvaluationIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |accuracyIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |intermediateResultsIF| ((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 37)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 60)) (= (((|Boolean|) $ $) NIL))) 
+(((|d02bbfAnnaType|) (|OrdinaryDifferentialEquationsSolverCategory|)) (T |d02bbfAnnaType|)) 
+NIL 
+(|OrdinaryDifferentialEquationsSolverCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 37)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 60)) (= (((|Boolean|) $ $) NIL))) 
+(((|d02bhfAnnaType|) (|OrdinaryDifferentialEquationsSolverCategory|)) (T |d02bhfAnnaType|)) 
+NIL 
+(|OrdinaryDifferentialEquationsSolverCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 36)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 64)) (= (((|Boolean|) $ $) NIL))) 
+(((|d02cjfAnnaType|) (|OrdinaryDifferentialEquationsSolverCategory|)) (T |d02cjfAnnaType|)) 
+NIL 
+(|OrdinaryDifferentialEquationsSolverCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 42)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 73)) (= (((|Boolean|) $ $) NIL))) 
+(((|d02ejfAnnaType|) (|OrdinaryDifferentialEquationsSolverCategory|)) (T |d02ejfAnnaType|)) 
+NIL 
+(|OrdinaryDifferentialEquationsSolverCategory|) 
+((|varList| (((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|)) 22)) (|subscriptedVariables| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) 29)) (|elliptic?| (((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 67)) (|central?| (((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|)))) 43))) 
+(((|d03AgentsPackage|) (CATEGORY |package| (SIGNATURE |varList| ((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |subscriptedVariables| ((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |central?| ((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |elliptic?| ((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))))))) (T |d03AgentsPackage|)) 
+((|elliptic?| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|)))) (|central?| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|)))) (|subscriptedVariables| (*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|d03AgentsPackage|)))) (|varList| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|d03AgentsPackage|)) (|isDomain| *3 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |varList| ((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |subscriptedVariables| ((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |central?| ((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |elliptic?| ((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 17)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 55)) (= (((|Boolean|) $ $) NIL))) 
+(((|d03eefAnnaType|) (|PartialDifferentialEquationsSolverCategory|)) (T |d03eefAnnaType|)) 
+NIL 
+(|PartialDifferentialEquationsSolverCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 12)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|d03fafAnnaType|) (|PartialDifferentialEquationsSolverCategory|)) (T |d03fafAnnaType|)) 
+NIL 
+(|PartialDifferentialEquationsSolverCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fullDisplay| (((|Void|) $) 36) (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) 38)) (|elt| (($ $ (|QueryEquation|)) 19) (((|DataList| (|String|)) $ (|Symbol|)) 15)) (|display| (((|Void|) $) 34)) (|coerce| (((|OutputForm|) $) 31) (($ (|List| |#1|)) 8)) (= (((|Boolean|) $ $) NIL)) (- (($ $ $) 27)) (+ (($ $ $) 22))) 
+(((|Database| |#1|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |elt| ($ $ (|QueryEquation|))) (SIGNATURE |elt| ((|DataList| (|String|)) $ (|Symbol|))) (SIGNATURE + ($ $ $)) (SIGNATURE - ($ $ $)) (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $ (|PositiveInteger|) (|PositiveInteger|))))) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))) (T |Database|)) 
+((|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 (|QueryEquation|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|DataList| (|String|))) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ *3)) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) (+ (*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) (- (*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))) (|isDomain| *1 (|Database| *3)))) (|display| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) (|fullDisplay| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) (|fullDisplay| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $)))))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |elt| ($ $ (|QueryEquation|))) (SIGNATURE |elt| ((|DataList| (|String|)) $ (|Symbol|))) (SIGNATURE + ($ $ $)) (SIGNATURE - ($ $ $)) (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $ (|PositiveInteger|) (|PositiveInteger|))))) 
+((|doubleResultant| ((|#2| |#4| (|Mapping| |#2| |#2|)) 46))) 
+(((|DoubleResultantPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |doubleResultant| (|#2| |#4| (|Mapping| |#2| |#2|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|)) (T |DoubleResultantPackage|)) 
+((|doubleResultant| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|DoubleResultantPackage| *5 *2 *6 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *2 *6))))) 
+(CATEGORY |package| (SIGNATURE |doubleResultant| (|#2| |#4| (|Mapping| |#2| |#2|)))) 
+((|tracePowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) 41)) (|trace2PowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) 37)) (|separateFactors| (((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|)))) 55)) (|separateDegrees| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|) 51)) (|irreducible?| (((|Boolean|) |#2|) 48)) (|factorSquareFree| (((|Factored| |#2|) |#2|) 74)) (|factor| (((|Factored| |#2|) |#2|) 73)) (|exptMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) 35)) (|distdfact| (((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|)) 66))) 
+(((|DistinctDegreeFactorize| |#1| |#2|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorSquareFree| ((|Factored| |#2|) |#2|)) (SIGNATURE |distdfact| ((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|))) (SIGNATURE |separateDegrees| ((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|)) (SIGNATURE |separateFactors| ((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))))) (SIGNATURE |exptMod| (|#2| |#2| (|NonNegativeInteger|) |#2|)) (SIGNATURE |trace2PowMod| (|#2| |#2| (|NonNegativeInteger|) |#2|)) (SIGNATURE |tracePowMod| (|#2| |#2| (|NonNegativeInteger|) |#2|)) (SIGNATURE |irreducible?| ((|Boolean|) |#2|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|)) (T |DistinctDegreeFactorize|)) 
+((|irreducible?| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|tracePowMod| (*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|trace2PowMod| (*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|exptMod| (*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|separateFactors| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *5)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *5)))) (|separateDegrees| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *3)))) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|distdfact| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |cont| *5) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|DistinctDegreeFactorize| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|factorSquareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorSquareFree| ((|Factored| |#2|) |#2|)) (SIGNATURE |distdfact| ((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|))) (SIGNATURE |separateDegrees| ((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|)) (SIGNATURE |separateFactors| ((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))))) (SIGNATURE |exptMod| (|#2| |#2| (|NonNegativeInteger|) |#2|)) (SIGNATURE |trace2PowMod| (|#2| |#2| (|NonNegativeInteger|) |#2|)) (SIGNATURE |tracePowMod| (|#2| |#2| (|NonNegativeInteger|) |#2|)) (SIGNATURE |irreducible?| ((|Boolean|) |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|Integer|) $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|retract| (((|Integer|) $) NIL) (((|Symbol|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|Integer|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|Integer|) (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|))) (((|Fraction| (|Integer|)) $) NIL)) (|floor| (((|Integer|) $) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Integer|) (|Integer|)) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Equation| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Equation| (|Integer|)))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Symbol|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|)))) (($ $ (|Symbol|) (|Integer|)) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Eltable| (|Integer|) (|Integer|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|Integer|) $) NIL)) (|decimal| (($ (|Fraction| (|Integer|))) 8)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|Integer|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|Integer|) (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) 7) (($ (|Integer|)) NIL) (($ (|Symbol|)) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL) (((|RadixExpansion| 10) $) 9)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))) (|has| (|Integer|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (((|Integer|) $) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (/ (($ $ $) NIL) (($ (|Integer|) (|Integer|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL))) 
+(((|DecimalExpansion|) (|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ((|RadixExpansion| 10) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |decimal| ($ (|Fraction| (|Integer|))))))) (T |DecimalExpansion|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 10)) (|isDomain| *1 (|DecimalExpansion|)))) (|fractionPart| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) (|decimal| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|))))) 
+(|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ((|RadixExpansion| 10) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |decimal| ($ (|Fraction| (|Integer|)))))) 
+((|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|)) 27) (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|))) 23)) (|innerint| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) 16))) 
+(((|ElementaryFunctionDefiniteIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|))) (SIGNATURE |innerint| ((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| |#1|))) (T |ElementaryFunctionDefiniteIntegration|)) 
+((|innerint| (*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *7))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *7 *3)) (|isDomain| *5 (|OrderedCompletion| *3)))) (|integrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *6 *3)))) (|integrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *5 *3))))) 
+(CATEGORY |package| (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|))) (SIGNATURE |innerint| ((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)))) 
+((|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)) 44) (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) 41) (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|)) 45) (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|)))) 17))) 
+(((|RationalFunctionDefiniteIntegration| |#1|) (CATEGORY |package| (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (T |RationalFunctionDefiniteIntegration|)) 
+((|integrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *6))))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) (|integrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) (|integrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *6)))) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) (|integrate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *5)))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5))))) 
+(CATEGORY |package| (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |integrate| ((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)))) 
+((|reduce| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|)) 20)) (|expand| (((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)) 42))) 
+(((|DegreeReductionPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |reduce| ((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |expand| ((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)))) (|Ring|) (|Join| (|IntegralDomain|) (|OrderedSet|))) (T |DegreeReductionPackage|)) 
+((|expand| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|List| (|Expression| *6))) (|isDomain| *1 (|DegreeReductionPackage| *5 *6)) (|isDomain| *3 (|Expression| *6)) (|ofCategory| *5 (|Ring|)))) (|reduce| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *4)) (|:| |deg| (|PositiveInteger|)))) (|isDomain| *1 (|DegreeReductionPackage| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|)))))) 
+(CATEGORY |package| (SIGNATURE |reduce| ((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |expand| ((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|top!| ((|#1| $) 25)) (|top| ((|#1| $) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|rotate!| (($ $) NIL)) (|reverse!| (($ $) 32)) (|push!| ((|#1| |#1| $) NIL)) (|pop!| ((|#1| $) NIL)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| (((|NonNegativeInteger|) $) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) NIL)) (|insertTop!| ((|#1| |#1| $) 29)) (|insertBottom!| ((|#1| |#1| $) 31)) (|insert!| (($ |#1| $) NIL)) (|height| (((|NonNegativeInteger|) $) 27)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|front| ((|#1| $) NIL)) (|extractTop!| ((|#1| $) 24)) (|extractBottom!| ((|#1| $) 8)) (|extract!| ((|#1| $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enqueue!| ((|#1| |#1| $) NIL)) (|empty?| (((|Boolean|) $) 15)) (|empty| (($) NIL)) (|dequeue!| ((|#1| $) NIL)) (|dequeue| (($) NIL) (($ (|List| |#1|)) 13)) (|depth| (((|NonNegativeInteger|) $) 28)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|bottom!| ((|#1| $) 9)) (|bag| (($ (|List| |#1|)) NIL)) (|back| ((|#1| $) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Dequeue| |#1|) (|Join| (|DequeueAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |dequeue| ($ (|List| |#1|))) (SIGNATURE |dequeue!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |enqueue!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |front| (|#1| $)) (SIGNATURE |back| (|#1| $)) (SIGNATURE |rotate!| ($ $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |dequeue| ($)) (SIGNATURE |height| ((|NonNegativeInteger|) $)) (SIGNATURE |top| (|#1| $)) (SIGNATURE |bottom!| (|#1| $)) (SIGNATURE |extractBottom!| (|#1| $)) (SIGNATURE |extractTop!| (|#1| $)) (SIGNATURE |insertBottom!| (|#1| |#1| $)) (SIGNATURE |insertTop!| (|#1| |#1| $)) (SIGNATURE |pop!| (|#1| $)) (SIGNATURE |push!| (|#1| |#1| $)) (SIGNATURE |reverse!| ($ $)) (SIGNATURE |top!| (|#1| $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) (|SetCategory|)) (T |Dequeue|)) 
+((|eq?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty| (*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|less?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) (|more?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) (|size?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) (|sample| (*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|#| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) (|any?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) (|every?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) (|count| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *4)))) (|parts| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|members| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|count| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|member?| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|latex| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|hash| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (~= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|bag| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) (|extract!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|inspect| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|push!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|pop!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|top| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|depth| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|back| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|front| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|rotate!| (*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|dequeue!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|enqueue!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|dequeue| (*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|dequeue| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) (|height| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|top!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|bottom!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|insertTop!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|insertBottom!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|extractTop!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|extractBottom!| (*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|reverse!| (*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|DequeueAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |dequeue| ($ (|List| |#1|))) (SIGNATURE |dequeue!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |enqueue!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |front| (|#1| $)) (SIGNATURE |back| (|#1| $)) (SIGNATURE |rotate!| ($ $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |dequeue| ($)) (SIGNATURE |height| ((|NonNegativeInteger|) $)) (SIGNATURE |top| (|#1| $)) (SIGNATURE |bottom!| (|#1| $)) (SIGNATURE |extractBottom!| (|#1| $)) (SIGNATURE |extractTop!| (|#1| $)) (SIGNATURE |insertBottom!| (|#1| |#1| $)) (SIGNATURE |insertTop!| (|#1| |#1| $)) (SIGNATURE |pop!| (|#1| $)) (SIGNATURE |push!| (|#1| |#1| $)) (SIGNATURE |reverse!| ($ $)) (SIGNATURE |top!| (|#1| $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|totalDifferential| (($ (|Expression| |#1|)) 23)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractable?| (((|Boolean|) $) NIL)) (|retractIfCan| (((|Union| (|Expression| |#1|) "failed") $) NIL)) (|retract| (((|Expression| |#1|) $) NIL)) (|reductum| (($ $) 31)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|map| (($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $) NIL)) (|leadingCoefficient| (((|Expression| |#1|) $) NIL)) (|leadingBasisTerm| (($ $) 30)) (|latex| (((|String|) $) NIL)) (|homogeneous?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($ (|NonNegativeInteger|)) NIL)) (|exteriorDifferential| (($ $) 32)) (|degree| (((|Integer|) $) NIL)) (|coerce| (((|OutputForm|) $) 57) (($ (|Integer|)) NIL) (($ (|Expression| |#1|)) NIL)) (|coefficient| (((|Expression| |#1|) $ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 25 T CONST)) (|One| (($) 50 T CONST)) (= (((|Boolean|) $ $) 28)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 19)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 24) (($ (|Expression| |#1|) $) 18))) 
+(((|DeRhamComplex| |#1| |#2|) (|Join| (|LeftAlgebra| (|Expression| |#1|)) (|RetractableTo| (|Expression| |#1|)) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| ((|Expression| |#1|) $)) (SIGNATURE |leadingBasisTerm| ($ $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| ((|Expression| |#1|) $ $)) (SIGNATURE |generator| ($ (|NonNegativeInteger|))) (SIGNATURE |homogeneous?| ((|Boolean|) $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |degree| ((|Integer|) $)) (SIGNATURE |map| ($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $)) (SIGNATURE |totalDifferential| ($ (|Expression| |#1|))) (SIGNATURE |exteriorDifferential| ($ $)))) (|Join| (|Ring|) (|OrderedSet|)) (|List| (|Symbol|))) (T |DeRhamComplex|)) 
+((|leadingCoefficient| (*1 *2 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) (|leadingBasisTerm| (*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) (|reductum| (*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) (|coefficient| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) (|generator| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) (|homogeneous?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) (|retractable?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) (|degree| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Expression| *3) (|Expression| *3))) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) (|totalDifferential| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) (|exteriorDifferential| (*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
+(|Join| (|LeftAlgebra| (|Expression| |#1|)) (|RetractableTo| (|Expression| |#1|)) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| ((|Expression| |#1|) $)) (SIGNATURE |leadingBasisTerm| ($ $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| ((|Expression| |#1|) $ $)) (SIGNATURE |generator| ($ (|NonNegativeInteger|))) (SIGNATURE |homogeneous?| ((|Boolean|) $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |degree| ((|Integer|) $)) (SIGNATURE |map| ($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $)) (SIGNATURE |totalDifferential| ($ (|Expression| |#1|))) (SIGNATURE |exteriorDifferential| ($ $)))) 
+((|ignore?| (((|Boolean|) (|String|)) 22)) (|computeInt| (((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) 32)) (|checkForZero| (((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) 73) (((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) 74))) 
+(((|DefiniteIntegrationTools| |#1| |#2|) (CATEGORY |package| (SIGNATURE |ignore?| ((|Boolean|) (|String|))) (SIGNATURE |computeInt| ((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|))) (SIGNATURE |checkForZero| ((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|))) (SIGNATURE |checkForZero| ((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)))) (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| |#1|))) (T |DefiniteIntegrationTools|)) 
+((|checkForZero| (*1 *2 *3 *4 *4 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|isDomain| *4 (|OrderedCompletion| *6)) (|ofCategory| *6 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *5 *6)))) (|checkForZero| (*1 *2 *3 *4 *5 *5 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|Polynomial| *6)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *7)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *7 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *7)))) (|computeInt| (*1 *2 *3 *4 *2 *2 *5) (|partial| AND (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *3 (|Kernel| *4)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *4)))) (|ignore?| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DefiniteIntegrationTools| *4 *5)) (|ofCategory| *5 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(CATEGORY |package| (SIGNATURE |ignore?| ((|Boolean|) (|String|))) (SIGNATURE |computeInt| ((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|))) (SIGNATURE |checkForZero| ((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|))) (SIGNATURE |checkForZero| ((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 95)) (|wholePart| (((|Integer|) $) 124)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|truncate| (($ $) NIL)) (|tanh| (($ $) 83)) (|tan| (($ $) 71)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sqrt| (($ $) 62)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sinh| (($ $) 81)) (|sin| (($ $) 69)) (|sign| (((|Integer|) $) 137)) (|sech| (($ $) 86)) (|sec| (($ $) 73)) (|sample| (($) NIL T CONST)) (|round| (($ $) NIL)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 120) (((|Union| (|Fraction| (|Integer|)) "failed") $) 135)) (|retract| (((|Integer|) $) 136) (((|Fraction| (|Integer|)) $) 133)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) 98)) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) 131) (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 130)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|precision| (((|PositiveInteger|)) 34) (((|PositiveInteger|) (|PositiveInteger|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|positive?| (((|Boolean|) $) NIL)) (|polygamma| (($ $ $) 123)) (|pi| (($) 44)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL)) (|order| (((|Integer|) $) 40)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|norm| (($ $) NIL)) (|negative?| (((|Boolean|) $) 94)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) 59) (($) 39 (AND (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|))) (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|)))))) (|max| (($ $ $) 58) (($) 38 (AND (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|))) (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|)))))) (|mantissa| (((|Integer|) $) 32)) (|machineFraction| (((|Fraction| (|Integer|)) $) 27)) (|log2| (($ $) 35)) (|log10| (($ $) 63)) (|log| (($ $) 68)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|integerDecode| (((|List| (|Integer|)) $) 29)) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|hash| (((|SingleInteger|) $) NIL) (((|Integer|) $) 96)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL)) (|floor| (($ $) NIL)) (|float| (($ (|Integer|) (|Integer|)) NIL) (($ (|Integer|) (|Integer|) (|PositiveInteger|)) 125)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|exponent| (((|Integer|) $) 33)) (|exp1| (($) 43)) (|exp| (($ $) 67)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|doubleFloatFormat| (((|String|) (|String|)) 8)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|digits| (((|PositiveInteger|)) NIL) (((|PositiveInteger|) (|PositiveInteger|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|digamma| (($ $) 116)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 99)) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|csch| (($ $) 84)) (|csc| (($ $) 74)) (|coth| (($ $) 85)) (|cot| (($ $) 72)) (|cosh| (($ $) 82)) (|cos| (($ $) 70)) (|convert| (((|Float|) $) 129) (((|DoubleFloat|) $) 126) (((|Pattern| (|Float|)) $) NIL) (((|InputForm|) $) 51)) (|coerce| (((|OutputForm|) $) 48) (($ (|Integer|)) 66) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|Integer|)) 66) (($ (|Fraction| (|Integer|))) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (($ $) NIL)) (|bits| (((|PositiveInteger|)) 37) (((|PositiveInteger|) (|PositiveInteger|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|besselY| (($ $ $) 112)) (|besselK| (($ $ $) 110)) (|besselJ| (($ $ $) 108)) (|besselI| (($ $ $) 106)) (|base| (((|PositiveInteger|)) 31)) (|atanh| (($ $) 89)) (|atan| (($ $) 77) (($ $ $) 132)) (|associates?| (((|Boolean|) $ $) NIL)) (|asinh| (($ $) 87)) (|asin| (($ $) 75)) (|asech| (($ $) 92)) (|asec| (($ $) 80)) (|airyBi| (($ $) 104)) (|airyAi| (($ $) 102)) (|acsch| (($ $) 90)) (|acsc| (($ $) 78)) (|acoth| (($ $) 91)) (|acot| (($ $) 79)) (|acosh| (($ $) 88)) (|acos| (($ $) 76)) (|abs| (($ $) 138)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 41 T CONST)) (|One| (($) 42 T CONST)) (|OMwrite| (((|String|) $) 19) (((|String|) $ (|Boolean|)) 21) (((|Void|) (|OpenMathDevice|) $) 22) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 23)) (|Gamma| (($ $) 118) (($ $ $) NIL)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|Beta| (($ $ $) 114)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 60)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 52)) (/ (($ $ $) 93) (($ $ (|Integer|)) 61)) (- (($ $) 53) (($ $ $) 55)) (+ (($ $ $) 54)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 64) (($ $ (|Fraction| (|Integer|))) 148) (($ $ $) 65)) (* (($ (|PositiveInteger|) $) 36) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 57) (($ $ $) 56) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|DoubleFloat|) (|Join| (|FloatingPointSystem|) (|DifferentialRing|) (|OpenMath|) (|TranscendentalFunctionCategory|) (|SpecialFunctionCategory|) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE / ($ $ (|Integer|))) (SIGNATURE ** ($ $ $)) (SIGNATURE |exp1| ($)) (SIGNATURE |hash| ((|Integer|) $)) (SIGNATURE |log2| ($ $)) (SIGNATURE |log10| ($ $)) (SIGNATURE |atan| ($ $ $)) (SIGNATURE |Gamma| ($ $)) (SIGNATURE |Beta| ($ $ $)) (SIGNATURE |doubleFloatFormat| ((|String|) (|String|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |machineFraction| ((|Fraction| (|Integer|)) $)) (SIGNATURE |integerDecode| ((|List| (|Integer|)) $))))) (T |DoubleFloat|)) 
+((** (*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) (|Gamma| (*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) (|Beta| (*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) (/ (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) (|exp1| (*1 *1) (|isDomain| *1 (|DoubleFloat|))) (|hash| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) (|log2| (*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) (|log10| (*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) (|atan| (*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) (|doubleFloatFormat| (*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DoubleFloat|)))) (|rationalApproximation| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) (|rationalApproximation| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) (|machineFraction| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) (|integerDecode| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
+(|Join| (|FloatingPointSystem|) (|DifferentialRing|) (|OpenMath|) (|TranscendentalFunctionCategory|) (|SpecialFunctionCategory|) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE / ($ $ (|Integer|))) (SIGNATURE ** ($ $ $)) (SIGNATURE |exp1| ($)) (SIGNATURE |hash| ((|Integer|) $)) (SIGNATURE |log2| ($ $)) (SIGNATURE |log10| ($ $)) (SIGNATURE |atan| ($ $ $)) (SIGNATURE |Gamma| ($ $)) (SIGNATURE |Beta| ($ $ $)) (SIGNATURE |doubleFloatFormat| ((|String|) (|String|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |machineFraction| ((|Fraction| (|Integer|)) $)) (SIGNATURE |integerDecode| ((|List| (|Integer|)) $)))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|DoubleFloatVector|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) NIL)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| (((|DoubleFloat|) $ (|Integer|) (|Integer|) (|DoubleFloat|)) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|DoubleFloatVector|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|DoubleFloatVector|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) (|DoubleFloat|)) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| (|DoubleFloat|) (|EuclideanDomain|)))) (|row| (((|DoubleFloatVector|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| (|DoubleFloat|) (|IntegralDomain|)))) (|qsetelt!| (((|DoubleFloat|) $ (|Integer|) (|Integer|) (|DoubleFloat|)) 16)) (|qnew| (($ (|Integer|) (|Integer|)) 18)) (|qelt| (((|DoubleFloat|) $ (|Integer|) (|Integer|)) 15)) (|pfaffian| (((|DoubleFloat|) $) NIL (|has| (|DoubleFloat|) (|CommutativeRing|)))) (|parts| (((|List| (|DoubleFloat|)) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| (|DoubleFloat|) (|IntegralDomain|)))) (|nullSpace| (((|List| (|DoubleFloatVector|)) $) NIL (|has| (|DoubleFloat|) (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 10)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|DoubleFloat|)) 19)) (|ncols| (((|NonNegativeInteger|) $) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| (((|DoubleFloat|) $) NIL (|has| (|DoubleFloat|) (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 7)) (|minColIndex| (((|Integer|) $) 8)) (|members| (((|List| (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|DoubleFloat|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 12)) (|maxColIndex| (((|Integer|) $) 13)) (|matrix| (($ (|List| (|List| (|DoubleFloat|)))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| (|DoubleFloat|) (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) $) NIL)) (|map| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) $) NIL) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) $ $) NIL) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) $ $ (|DoubleFloat|)) NIL)) (|listOfLists| (((|List| (|List| (|DoubleFloat|))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) NIL (|has| (|DoubleFloat|) (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|fill!| (($ $ (|DoubleFloat|)) NIL)) (|exquo| (((|Union| $ "failed") $ (|DoubleFloat|)) NIL (|has| (|DoubleFloat|) (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|DoubleFloat|)))) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ $ (|Equation| (|DoubleFloat|))) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ $ (|DoubleFloat|) (|DoubleFloat|)) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ $ (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 17)) (|elt| (((|DoubleFloat|) $ (|Integer|) (|Integer|)) NIL) (((|DoubleFloat|) $ (|Integer|) (|Integer|) (|DoubleFloat|)) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| (|DoubleFloat|))) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| (((|DoubleFloat|) $) NIL (|has| (|DoubleFloat|) (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|DoubleFloat|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|DoubleFloatVector|)) $) NIL (|has| (|DoubleFloat|) (|EuclideanDomain|)))) (|column| (((|DoubleFloatVector|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|))) (($ (|DoubleFloatVector|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (/ (($ $ (|DoubleFloat|)) NIL (|has| (|DoubleFloat|) (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|DoubleFloat|) (|Field|)))) (* (($ $ $) NIL) (($ (|DoubleFloat|) $) NIL) (($ $ (|DoubleFloat|)) NIL) (($ (|Integer|) $) NIL) (((|DoubleFloatVector|) $ (|DoubleFloatVector|)) NIL) (((|DoubleFloatVector|) (|DoubleFloatVector|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DoubleFloatMatrix|) (|Join| (|MatrixCategory| (|DoubleFloat|) (|DoubleFloatVector|) (|DoubleFloatVector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|)))))) (T |DoubleFloatMatrix|)) 
+((|qnew| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatMatrix|))))) 
+(|Join| (|MatrixCategory| (|DoubleFloat|) (|DoubleFloatVector|) (|DoubleFloatVector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|))))) 
+((|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) 61) (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) 62)) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 63) (((|DoubleFloat|) (|DoubleFloat|)) 64)) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 69) (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 72)) (|fresnelS| (((|Float|) (|Float|)) 60)) (|fresnelC| (((|Float|) (|Float|)) 59)) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 74) (((|DoubleFloat|) (|DoubleFloat|)) 73)) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 91) (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 83)) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 94) (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 92)) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 65) (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 66)) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 67) (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 68)) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 105) (((|DoubleFloat|) (|DoubleFloat|)) 104)) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) 99) (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 103)) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 7) (((|DoubleFloat|) (|DoubleFloat|)) 9)) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) 23)) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 36)) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 35)) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 34)) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 33)) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 32)) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 31)) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) 37)) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) 22)) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) 79) (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 75))) 
+(((|DoubleFloatSpecialFunctions|) (CATEGORY |package| (SIGNATURE |Gamma| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |Gamma| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE E1 ((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|))) (SIGNATURE |En| ((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|))) (SIGNATURE |Ei| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei1| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei2| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei3| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei4| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei5| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei6| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Beta| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |Beta| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |logGamma| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |logGamma| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |digamma| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |digamma| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |polygamma| ((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|))) (SIGNATURE |polygamma| ((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselJ| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselJ| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselY| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselY| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselI| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselI| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselK| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselK| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |airyAi| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |airyAi| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |airyBi| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |airyBi| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |hypergeometric0F1| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |hypergeometric0F1| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |fresnelS| ((|Float|) (|Float|))) (SIGNATURE |fresnelC| ((|Float|) (|Float|))))) (T |DoubleFloatSpecialFunctions|)) 
+((|fresnelC| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|fresnelS| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|hypergeometric0F1| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|hypergeometric0F1| (*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|airyBi| (*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|airyBi| (*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|airyAi| (*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|airyAi| (*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselK| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselK| (*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselI| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselI| (*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselY| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselY| (*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselJ| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|besselJ| (*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|polygamma| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|polygamma| (*1 *2 *3 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|digamma| (*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|digamma| (*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|logGamma| (*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|logGamma| (*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Beta| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Beta| (*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei6| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei5| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei4| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei3| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei2| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei1| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Ei| (*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|En| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *4 (|DoubleFloat|)))) (E1 (*1 *2 *3) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *3 (|DoubleFloat|)))) (|Gamma| (*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) (|Gamma| (*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(CATEGORY |package| (SIGNATURE |Gamma| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |Gamma| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE E1 ((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|))) (SIGNATURE |En| ((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|))) (SIGNATURE |Ei| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei1| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei2| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei3| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei4| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei5| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Ei6| ((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|)))) (SIGNATURE |Beta| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |Beta| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |logGamma| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |logGamma| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |digamma| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |digamma| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |polygamma| ((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|))) (SIGNATURE |polygamma| ((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselJ| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselJ| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselY| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselY| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselI| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselI| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |besselK| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |besselK| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |airyAi| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |airyAi| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |airyBi| ((|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |airyBi| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |hypergeometric0F1| ((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE |hypergeometric0F1| ((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (SIGNATURE |fresnelS| ((|Float|) (|Float|))) (SIGNATURE |fresnelC| ((|Float|) (|Float|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) NIL (|has| (|DoubleFloat|) (|AbelianMonoid|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|DoubleFloat|) (|DoubleFloat|)) $) NIL) (((|Boolean|) $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|DoubleFloat|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|DoubleFloat|) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|DoubleFloat|) (|DoubleFloat|)) $) NIL) (($ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|DoubleFloat|) $ (|Integer|) (|DoubleFloat|)) 17 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|DoubleFloat|) $ (|UniversalSegment| (|Integer|)) (|DoubleFloat|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|))))) (|remove| (($ (|DoubleFloat|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|DoubleFloat|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) $ (|DoubleFloat|) (|DoubleFloat|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|)))) (((|DoubleFloat|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) $ (|DoubleFloat|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|DoubleFloat|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|DoubleFloat|) $ (|Integer|) (|DoubleFloat|)) 9 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qnew| (($ (|Integer|)) 14)) (|qelt| (((|DoubleFloat|) $ (|Integer|)) 8)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL) (((|Integer|) (|DoubleFloat|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|))) (((|Integer|) (|DoubleFloat|) $ (|Integer|)) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|parts| (((|List| (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| (|DoubleFloat|)) $ $) NIL (|has| (|DoubleFloat|) (|Ring|)))) (|new| (($ (|NonNegativeInteger|) (|DoubleFloat|)) 15)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 12 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|DoubleFloat|) (|DoubleFloat|)) $ $) NIL) (($ $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (|members| (((|List| (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|DoubleFloat|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) $) NIL) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) $ $) NIL)) (|magnitude| (((|DoubleFloat|) $) NIL (AND (|has| (|DoubleFloat|) (|RadicalCategory|)) (|has| (|DoubleFloat|) (|Ring|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| (((|DoubleFloat|) $) NIL (AND (|has| (|DoubleFloat|) (|RadicalCategory|)) (|has| (|DoubleFloat|) (|Ring|))))) (|latex| (((|String|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|insert| (($ (|DoubleFloat|) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|first| (((|DoubleFloat|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|DoubleFloat|) "failed") (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL)) (|fill!| (($ $ (|DoubleFloat|)) 18 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|DoubleFloat|)))) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ $ (|Equation| (|DoubleFloat|))) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ $ (|DoubleFloat|) (|DoubleFloat|)) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|)))) (($ $ (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) NIL (AND (|has| (|DoubleFloat|) (|Evalable| (|DoubleFloat|))) (|has| (|DoubleFloat|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|DoubleFloat|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|))))) (|entries| (((|List| (|DoubleFloat|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 13)) (|elt| (((|DoubleFloat|) $ (|Integer|) (|DoubleFloat|)) NIL) (((|DoubleFloat|) $ (|Integer|)) 16) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|dot| (((|DoubleFloat|) $ $) NIL (|has| (|DoubleFloat|) (|Ring|)))) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|cross| (($ $ $) NIL (|has| (|DoubleFloat|) (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|DoubleFloat|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|DoubleFloat|) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|DoubleFloat|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|DoubleFloat|))) NIL)) (|concat| (($ $ (|DoubleFloat|)) NIL) (($ (|DoubleFloat|) $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|DoubleFloat|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|DoubleFloat|) (|OrderedSet|)))) (- (($ $) NIL (|has| (|DoubleFloat|) (|AbelianGroup|))) (($ $ $) NIL (|has| (|DoubleFloat|) (|AbelianGroup|)))) (+ (($ $ $) NIL (|has| (|DoubleFloat|) (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) NIL (|has| (|DoubleFloat|) (|AbelianGroup|))) (($ (|DoubleFloat|) $) NIL (|has| (|DoubleFloat|) (|Monoid|))) (($ $ (|DoubleFloat|)) NIL (|has| (|DoubleFloat|) (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) 11 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DoubleFloatVector|) (|Join| (|VectorCategory| (|DoubleFloat|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|)))))) (T |DoubleFloatVector|)) 
+((|qnew| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatVector|))))) 
+(|Join| (|VectorCategory| (|DoubleFloat|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|Vector| |#1|)) NIL) (($ $) NIL)) (|translate| (($ |#1| |#1| |#1|) 32)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) NIL)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|Vector| |#1|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|Vector| |#1|)) NIL)) (|scale| (($ |#1| |#1| |#1|) 31)) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|row| (((|Vector| |#1|) $ (|Integer|)) NIL)) (|rotatez| (($ |#1|) 30)) (|rotatey| (($ |#1|) 29)) (|rotatex| (($ |#1|) 28)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) NIL)) (|pfaffian| ((|#1| $) NIL (|has| |#1| (|CommutativeRing|)))) (|parts| (((|List| |#1|) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|nullSpace| (((|List| (|Vector| |#1|)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| ((|#1| $) NIL (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) NIL)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) NIL)) (|maxColIndex| (((|Integer|) $) NIL)) (|matrix| (($ (|List| (|List| |#1|))) 10) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) NIL)) (|listOfLists| (((|List| (|List| |#1|)) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) NIL (|has| |#1| (|Field|)))) (|identity| (($) 11)) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) NIL) ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| |#1|)) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| ((|#1| $) NIL (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|Vector| |#1|)) $) NIL (|has| |#1| (|EuclideanDomain|)))) (|column| (((|Vector| |#1|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|))) (($ (|Vector| |#1|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (|Integer|) $) NIL) (((|Vector| |#1|) $ (|Vector| |#1|)) 14) (((|Vector| |#1|) (|Vector| |#1|) $) NIL) (((|Point| |#1|) $ (|Point| |#1|)) 20)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DenavitHartenbergMatrix| |#1|) (|Join| (|MatrixCategory| |#1| (|Vector| |#1|) (|Vector| |#1|)) (CATEGORY |domain| (SIGNATURE * ((|Point| |#1|) $ (|Point| |#1|))) (SIGNATURE |identity| ($)) (SIGNATURE |rotatex| ($ |#1|)) (SIGNATURE |rotatey| ($ |#1|)) (SIGNATURE |rotatez| ($ |#1|)) (SIGNATURE |scale| ($ |#1| |#1| |#1|)) (SIGNATURE |translate| ($ |#1| |#1| |#1|)))) (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (T |DenavitHartenbergMatrix|)) 
+((* (*1 *2 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|DenavitHartenbergMatrix| *3)))) (|identity| (*1 *1) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) (|rotatex| (*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) (|rotatey| (*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) (|rotatez| (*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) (|scale| (*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) (|translate| (*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(|Join| (|MatrixCategory| |#1| (|Vector| |#1|) (|Vector| |#1|)) (CATEGORY |domain| (SIGNATURE * ((|Point| |#1|) $ (|Point| |#1|))) (SIGNATURE |identity| ($)) (SIGNATURE |rotatex| ($ |#1|)) (SIGNATURE |rotatey| ($ |#1|)) (SIGNATURE |rotatez| ($ |#1|)) (SIGNATURE |scale| ($ |#1| |#1| |#1|)) (SIGNATURE |translate| ($ |#1| |#1| |#1|)))) 
+((|select!| (($ (|Mapping| (|Boolean|) |#2|) $) 17)) (|remove!| (($ |#2| $) NIL) (($ (|Mapping| (|Boolean|) |#2|) $) 25)) (|dictionary| (($) NIL) (($ (|List| |#2|)) 11)) (= (((|Boolean|) $ $) 23))) 
+(((|Dictionary&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |select!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove!| (|#1| |#2| |#1|)) (SIGNATURE |dictionary| (|#1| (|List| |#2|))) (SIGNATURE |dictionary| (|#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|Dictionary| |#2|) (|SetCategory|)) (T |Dictionary&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |select!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove!| (|#1| |#2| |#1|)) (SIGNATURE |dictionary| (|#1| (|List| |#2|))) (SIGNATURE |dictionary| (|#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 55 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) 54 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 53 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 48)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|dictionary| (($) 46) (($ (|List| |#1|)) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 47)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Dictionary| |#1|) (|Category|) (|SetCategory|)) (T |Dictionary|)) 
+NIL 
+(|Join| (|DictionaryOperations| |t#1|)) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|DictionaryOperations| |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|differentiate| (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 11) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) 19) (($ $ (|NonNegativeInteger|)) NIL) (($ $) 16)) (D (($ $ (|Mapping| |#2| |#2|)) 12) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 14) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL))) 
+(((|DifferentialExtension&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE D (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE D (|#1| |#1| (|Symbol|))) (SIGNATURE D (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE D (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE D (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|)))) (|DifferentialExtension| |#2|) (|Ring|)) (T |DifferentialExtension&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE D (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE D (|#1| |#1| (|Symbol|))) (SIGNATURE D (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE D (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE D (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|differentiate| (($ $ (|Mapping| |#1| |#1|)) 51) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 50) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 43 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 42 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 41 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 40 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) 38 (|has| |#1| (|DifferentialRing|))) (($ $) 36 (|has| |#1| (|DifferentialRing|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|Mapping| |#1| |#1|)) 49) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 48) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 47 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 46 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 45 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 44 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) 39 (|has| |#1| (|DifferentialRing|))) (($ $) 37 (|has| |#1| (|DifferentialRing|)))) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|DifferentialExtension| |#1|) (|Category|) (|Ring|)) (T |DifferentialExtension|)) 
+((|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) (|differentiate| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) (D (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) (D (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $ (|Mapping| |t#1| |t#1|))) (SIGNATURE |differentiate| ($ $ (|Mapping| |t#1| |t#1|) (|NonNegativeInteger|))) (SIGNATURE D ($ $ (|Mapping| |t#1| |t#1|))) (SIGNATURE D ($ $ (|Mapping| |t#1| |t#1|) (|NonNegativeInteger|))) (IF (|has| |t#1| (|DifferentialRing|)) (ATTRIBUTE (|DifferentialRing|)) |noBranch|) (IF (|has| |t#1| (|PartialDifferentialRing| (|Symbol|))) (ATTRIBUTE (|PartialDifferentialRing| (|Symbol|))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|DifferentialRing|) |has| |#1| (|DifferentialRing|)) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|differentiate| (($ $) NIL) (($ $ (|NonNegativeInteger|)) 10)) (D (($ $) 8) (($ $ (|NonNegativeInteger|)) 12))) 
+(((|DifferentialRing&| |#1|) (CATEGORY |domain| (SIGNATURE D (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1|))) (|DifferentialRing|)) (T |DifferentialRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE D (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|differentiate| (($ $) 37) (($ $ (|NonNegativeInteger|)) 35)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $) 36) (($ $ (|NonNegativeInteger|)) 34)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|DifferentialRing|) (|Category|)) (T |DifferentialRing|)) 
+((|differentiate| (*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) (D (*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) (|differentiate| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) (D (*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE D ($ $)) (SIGNATURE |differentiate| ($ $ (|NonNegativeInteger|))) (SIGNATURE D ($ $ (|NonNegativeInteger|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|dictionary| (($) 12) (($ (|List| |#2|)) NIL)) (|copy| (($ $) 14)) (|construct| (($ (|List| |#2|)) 10)) (|coerce| (((|OutputForm|) $) 21))) 
+(((|DictionaryOperations&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |dictionary| (|#1| (|List| |#2|))) (SIGNATURE |dictionary| (|#1|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) (|DictionaryOperations| |#2|) (|SetCategory|)) (T |DictionaryOperations&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |dictionary| (|#1| (|List| |#2|))) (SIGNATURE |dictionary| (|#1|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 55 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) 54 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 53 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 48)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|dictionary| (($) 46) (($ (|List| |#1|)) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 47)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DictionaryOperations| |#1|) (|Category|) (|SetCategory|)) (T |DictionaryOperations|)) 
+((|dictionary| (*1 *1) (AND (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) (|dictionary| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DictionaryOperations| *3)))) (|remove!| (*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) (|remove!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) (|select!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|BagAggregate| |t#1|) (|Collection| |t#1|) (CATEGORY |domain| (SIGNATURE |dictionary| ($)) (SIGNATURE |dictionary| ($ (|List| |t#1|))) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |remove!| ($ |t#1| $)) (SIGNATURE |remove!| ($ (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |select!| ($ (|Mapping| (|Boolean|) |t#1|) $))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|dioSolve| (((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))) 25))) 
+(((|DiophantineSolutionPackage|) (CATEGORY |package| (SIGNATURE |dioSolve| ((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|))))))) (T |DiophantineSolutionPackage|)) 
+((|dioSolve| (*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|)))))) (|isDomain| *1 (|DiophantineSolutionPackage|))))) 
+(CATEGORY |package| (SIGNATURE |dioSolve| ((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))))) 
+((|size| (((|NonNegativeInteger|)) 51)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| $) (|Vector| $)) 49) (((|Matrix| |#3|) (|Matrix| $)) 41) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL)) (|dimension| (((|CardinalNumber|)) 57)) (|differentiate| (($ $ (|Mapping| |#3| |#3|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#3| |#3|)) 18) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|coerce| (((|Vector| |#3|) $) NIL) (($ |#3|) NIL) (((|OutputForm|) $) NIL) (($ (|Integer|)) 12) (($ (|Fraction| (|Integer|))) NIL)) (|characteristic| (((|NonNegativeInteger|)) 15)) (/ (($ $ |#3|) 54))) 
+(((|DirectProductCategory&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |coerce| (|#1| |#3|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|) (|NonNegativeInteger|))) (SIGNATURE |reducedSystem| ((|Matrix| |#3|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE / (|#1| |#1| |#3|)) (SIGNATURE |dimension| ((|CardinalNumber|))) (SIGNATURE |coerce| ((|Vector| |#3|) |#1|))) (|DirectProductCategory| |#2| |#3|) (|NonNegativeInteger|) (|Type|)) (T |DirectProductCategory&|)) 
+((|dimension| (*1 *2) (AND (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) (|size| (*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) (|characteristic| (*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5))))) 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |coerce| (|#1| |#3|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|) (|NonNegativeInteger|))) (SIGNATURE |reducedSystem| ((|Matrix| |#3|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE / (|#1| |#1| |#3|)) (SIGNATURE |dimension| ((|CardinalNumber|))) (SIGNATURE |coerce| ((|Vector| |#3|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#2| (|SetCategory|)))) (|zero?| (((|Boolean|) $) 67 (|has| |#2| (|CancellationAbelianMonoid|)))) (|unitVector| (($ (|PositiveInteger|)) 123 (|has| |#2| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) 119 (|has| |#2| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 69 (|has| |#2| (|CancellationAbelianMonoid|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|size| (((|NonNegativeInteger|)) 104 (|has| |#2| (|Finite|)))) (|sign| (((|Integer|) $) 117 (|has| |#2| (|OrderedRing|)))) (|setelt| ((|#2| $ (|Integer|) |#2|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 62 (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 59 (|and| (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (((|Union| |#2| "failed") $) 56 (|has| |#2| (|SetCategory|)))) (|retract| (((|Integer|) $) 63 (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) 60 (|and| (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) ((|#2| $) 55 (|has| |#2| (|SetCategory|)))) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 103 (|and| (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 102 (|and| (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) 101 (|has| |#2| (|Ring|))) (((|Matrix| |#2|) (|Matrix| $)) 100 (|has| |#2| (|Ring|)))) (|recip| (((|Union| $ "failed") $) 75 (|has| |#2| (|Monoid|)))) (|random| (($) 107 (|has| |#2| (|Finite|)))) (|qsetelt!| ((|#2| $ (|Integer|) |#2|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ (|Integer|)) 48)) (|positive?| (((|Boolean|) $) 115 (|has| |#2| (|OrderedRing|)))) (|parts| (((|List| |#2|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) 78 (|has| |#2| (|Monoid|)))) (|negative?| (((|Boolean|) $) 116 (|has| |#2| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 114 (OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (|members| (((|List| |#2|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) 27 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 113 (OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (|map!| (($ (|Mapping| |#2| |#2|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2|) $) 35)) (|lookup| (((|PositiveInteger|) $) 106 (|has| |#2| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#2| (|SetCategory|)))) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|index| (($ (|PositiveInteger|)) 105 (|has| |#2| (|Finite|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#2| (|SetCategory|)))) (|first| ((|#2| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#2|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) 26 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) 25 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) 24 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) 23 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|enumerate| (((|List| $)) 108 (|has| |#2| (|Finite|)))) (|entry?| (((|Boolean|) |#2| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#2| $ (|Integer|) |#2|) 47) ((|#2| $ (|Integer|)) 46)) (|dot| ((|#2| $ $) 122 (|has| |#2| (|Ring|)))) (|directProduct| (($ (|Vector| |#2|)) 124)) (|dimension| (((|CardinalNumber|)) 121 (|has| |#2| (|Field|)))) (|differentiate| (($ $) 95 (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) 93 (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) 91 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) 90 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 89 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 81 (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) 80 (|has| |#2| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) 28 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|Vector| |#2|) $) 125) (((|OutputForm|) $) 20 (|has| |#2| (|SetCategory|))) (($ (|Integer|)) 61 (OR (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (|has| |#2| (|Ring|)))) (($ (|Fraction| (|Integer|))) 58 (|and| (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (($ |#2|) 57 (|has| |#2| (|SetCategory|)))) (|characteristic| (((|NonNegativeInteger|)) 99 (|has| |#2| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) 118 (|has| |#2| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) 76 (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) 72 (|has| |#2| (|Monoid|)))) (|Zero| (($) 66 (|has| |#2| (|CancellationAbelianMonoid|)) CONST)) (|One| (($) 79 (|has| |#2| (|Monoid|)) CONST)) (D (($ $) 94 (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) 92 (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) 87 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) 86 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 85 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 83 (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) 82 (|has| |#2| (|Ring|)))) (>= (((|Boolean|) $ $) 111 (OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (> (((|Boolean|) $ $) 110 (OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (= (((|Boolean|) $ $) 19 (|has| |#2| (|SetCategory|)))) (<= (((|Boolean|) $ $) 112 (OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (< (((|Boolean|) $ $) 109 (OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (/ (($ $ |#2|) 120 (|has| |#2| (|Field|)))) (- (($ $ $) 97 (|has| |#2| (|Ring|))) (($ $) 96 (|has| |#2| (|Ring|)))) (+ (($ $ $) 64 (|has| |#2| (|AbelianSemiGroup|)))) (** (($ $ (|NonNegativeInteger|)) 77 (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) 73 (|has| |#2| (|Monoid|)))) (* (($ (|Integer|) $) 98 (|has| |#2| (|Ring|))) (($ $ $) 74 (|has| |#2| (|Monoid|))) (($ $ |#2|) 71 (|has| |#2| (|Monoid|))) (($ |#2| $) 70 (|has| |#2| (|Monoid|))) (($ (|NonNegativeInteger|) $) 68 (|has| |#2| (|CancellationAbelianMonoid|))) (($ (|PositiveInteger|) $) 65 (|has| |#2| (|AbelianSemiGroup|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DirectProductCategory| |#1| |#2|) (|Category|) (|NonNegativeInteger|) (|Type|)) (T |DirectProductCategory|)) 
+((|directProduct| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|Type|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4)))) (|unitVector| (*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|Type|)))) (|dot| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) (* (*1 *1 *1 *2) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|))))) 
+(|Join| (|IndexedAggregate| (|Integer|) |t#2|) (|CoercibleTo| (|Vector| |t#2|)) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |directProduct| ($ (|Vector| |t#2|))) (IF (|has| |t#2| (|SetCategory|)) (ATTRIBUTE (|FullyRetractableTo| |t#2|)) |noBranch|) (IF (|has| |t#2| (|Ring|)) (PROGN (ATTRIBUTE (|BiModule| |t#2| |t#2|)) (ATTRIBUTE (|DifferentialExtension| |t#2|)) (ATTRIBUTE (|FullyLinearlyExplicitRingOver| |t#2|)) (SIGNATURE |unitVector| ($ (|PositiveInteger|))) (SIGNATURE |dot| (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (|AbelianSemiGroup|)) (ATTRIBUTE (|AbelianSemiGroup|)) |noBranch|) (IF (|has| |t#2| (|CancellationAbelianMonoid|)) (ATTRIBUTE (|CancellationAbelianMonoid|)) |noBranch|) (IF (|has| |t#2| (|Monoid|)) (PROGN (ATTRIBUTE (|Monoid|)) (SIGNATURE * ($ |t#2| $)) (SIGNATURE * ($ $ |t#2|))) |noBranch|) (IF (|has| |t#2| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) (IF (|has| |t#2| (|CommutativeRing|)) (PROGN (ATTRIBUTE (|Algebra| |t#2|)) (ATTRIBUTE (|CommutativeRing|))) |noBranch|) (IF (|has| |t#2| (ATTRIBUTE |unitsKnown|)) (ATTRIBUTE |unitsKnown|) |noBranch|) (IF (|has| |t#2| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (IF (|has| |t#2| (|OrderedAbelianMonoidSup|)) (ATTRIBUTE (|OrderedAbelianMonoidSup|)) |noBranch|) (IF (|has| |t#2| (|Field|)) (ATTRIBUTE (|VectorSpace| |t#2|)) |noBranch|))) 
+(((|AbelianGroup|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|))) ((|AbelianMonoid|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|CancellationAbelianMonoid|))) ((|AbelianSemiGroup|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|AbelianSemiGroup|))) ((|Aggregate|) . T) ((|Algebra| |#2|) |has| |#2| (|CommutativeRing|)) ((|BasicType|) OR (|has| |#2| (|SetCategory|)) (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|AbelianSemiGroup|))) ((|BiModule| |#2| |#2|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|))) ((|BiModule| $ $) |has| |#2| (|CommutativeRing|)) ((|CancellationAbelianMonoid|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|CancellationAbelianMonoid|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#2| (|SetCategory|)) (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|AbelianSemiGroup|))) ((|CoercibleTo| (|Vector| |#2|)) . T) ((|CommutativeRing|) |has| |#2| (|CommutativeRing|)) ((|DifferentialExtension| |#2|) |has| |#2| (|Ring|)) ((|DifferentialRing|) AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|))) ((|Eltable| (|Integer|) |#2|) . T) ((|EltableAggregate| (|Integer|) |#2|) . T) ((|Evalable| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|Finite|) |has| |#2| (|Finite|)) ((|FullyLinearlyExplicitRingOver| |#2|) |has| |#2| (|Ring|)) ((|FullyRetractableTo| |#2|) |has| |#2| (|SetCategory|)) ((|HomogeneousAggregate| |#2|) . T) ((|IndexedAggregate| (|Integer|) |#2|) . T) ((|InnerEvalable| |#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|LeftModule| |#2|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|))) ((|LeftModule| $) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|CommutativeRing|))) ((|LinearlyExplicitRingOver| (|Integer|)) AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|))) ((|LinearlyExplicitRingOver| |#2|) |has| |#2| (|Ring|)) ((|Module| |#2|) OR (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|))) ((|Monoid|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|CommutativeRing|))) ((|OrderedAbelianGroup|) |has| |#2| (|OrderedRing|)) ((|OrderedAbelianMonoid|) OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) ((|OrderedAbelianMonoidSup|) |has| |#2| (|OrderedAbelianMonoidSup|)) ((|OrderedAbelianSemiGroup|) OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) ((|OrderedCancellationAbelianMonoid|) OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) ((|OrderedRing|) |has| |#2| (|OrderedRing|)) ((|OrderedSet|) OR (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|))) ((|RetractableTo| (|Fraction| (|Integer|))) AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|))) ((|RetractableTo| (|Integer|)) AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) ((|RetractableTo| |#2|) |has| |#2| (|SetCategory|)) ((|RightModule| |#2|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|))) ((|RightModule| $) |has| |#2| (|CommutativeRing|)) ((|Ring|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|CommutativeRing|))) ((|Rng|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|CommutativeRing|))) ((|SemiGroup|) OR (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|CommutativeRing|))) ((|SetCategory|) OR (|has| |#2| (|SetCategory|)) (|has| |#2| (|Ring|)) (|has| |#2| (|OrderedRing|)) (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|Monoid|)) (|has| |#2| (|Finite|)) (|has| |#2| (|Field|)) (|has| |#2| (|CommutativeRing|)) (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#2| (|AbelianSemiGroup|))) ((|Type|) . T) ((|VectorSpace| |#2|) |has| |#2| (|Field|))) 
+((|scan| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) 21)) (|reduce| ((|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) 23)) (|map| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)) 18))) 
+(((|DirectProductFunctions2| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |scan| ((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|)) (SIGNATURE |reduce| (|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|)) (SIGNATURE |map| ((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)))) (|NonNegativeInteger|) (|Type|) (|Type|)) (T |DirectProductFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|isDomain| *2 (|DirectProduct| *5 *7)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *7)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *6 *2)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *2)))) (|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *7 *5)) (|isDomain| *4 (|DirectProduct| *6 *7)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|DirectProduct| *6 *5)) (|isDomain| *1 (|DirectProductFunctions2| *6 *7 *5))))) 
+(CATEGORY |package| (SIGNATURE |scan| ((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|)) (SIGNATURE |reduce| (|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|)) (SIGNATURE |map| ((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#2| (|SetCategory|)))) (|zero?| (((|Boolean|) $) NIL (|has| |#2| (|CancellationAbelianMonoid|)))) (|unitVector| (($ (|PositiveInteger|)) 56 (|has| |#2| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) 60 (|has| |#2| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 49 (|has| |#2| (|CancellationAbelianMonoid|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 17)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#2| (|Finite|)))) (|sign| (((|Integer|) $) NIL (|has| |#2| (|OrderedRing|)))) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (((|Union| |#2| "failed") $) 29 (|has| |#2| (|SetCategory|)))) (|retract| (((|Integer|) $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) ((|#2| $) 27 (|has| |#2| (|SetCategory|)))) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|Ring|))) (((|Matrix| |#2|) (|Matrix| $)) NIL (|has| |#2| (|Ring|)))) (|recip| (((|Union| $ "failed") $) 53 (|has| |#2| (|Monoid|)))) (|random| (($) NIL (|has| |#2| (|Finite|)))) (|qsetelt!| ((|#2| $ (|Integer|) |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ (|Integer|)) 51)) (|positive?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedRing|)))) (|parts| (((|List| |#2|) $) 15 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL (|has| |#2| (|Monoid|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 20 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (|members| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) 50 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (|map!| (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2|) $) 41)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#2| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#2| (|SetCategory|)))) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#2| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#2| (|SetCategory|)))) (|first| ((|#2| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 24 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#2| (|Finite|)))) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|)) 21)) (|dot| ((|#2| $ $) NIL (|has| |#2| (|Ring|)))) (|directProduct| (($ (|Vector| |#2|)) 18)) (|dimension| (((|CardinalNumber|)) NIL (|has| |#2| (|Field|)))) (|differentiate| (($ $) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#2| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|Vector| |#2|) $) 10) (((|OutputForm|) $) NIL (|has| |#2| (|SetCategory|))) (($ (|Integer|)) NIL (OR (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (|has| |#2| (|Ring|)))) (($ (|Fraction| (|Integer|))) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (($ |#2|) 13 (|has| |#2| (|SetCategory|)))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) NIL (|has| |#2| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#2| (|Monoid|)))) (|Zero| (($) 35 (|has| |#2| (|CancellationAbelianMonoid|)) CONST)) (|One| (($) 38 (|has| |#2| (|Monoid|)) CONST)) (D (($ $) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#2| (|Ring|)))) (>= (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (= (((|Boolean|) $ $) 26 (|has| |#2| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (< (((|Boolean|) $ $) 58 (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $ $) NIL (|has| |#2| (|Ring|))) (($ $) NIL (|has| |#2| (|Ring|)))) (+ (($ $ $) 33 (|has| |#2| (|AbelianSemiGroup|)))) (** (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#2| (|Monoid|)))) (* (($ (|Integer|) $) NIL (|has| |#2| (|Ring|))) (($ $ $) 44 (|has| |#2| (|Monoid|))) (($ $ |#2|) 42 (|has| |#2| (|Monoid|))) (($ |#2| $) 43 (|has| |#2| (|Monoid|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#2| (|CancellationAbelianMonoid|))) (($ (|PositiveInteger|) $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DirectProduct| |#1| |#2|) (|DirectProductCategory| |#1| |#2|) (|NonNegativeInteger|) (|Type|)) (T |DirectProduct|)) 
+NIL 
+(|DirectProductCategory| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL)) (|zeta| (($) 34 T CONST)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|CommutativeRing|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|CommutativeRing|)))) (|unit?| (((|Boolean|) $) 54 (|has| |#1| (|CommutativeRing|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) 55)) (|one?| (((|Boolean|) $) NIL)) (|multiplicative?| (((|Boolean|) $ (|PositiveInteger|)) 71)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|CommutativeRing|)))) (|elt| ((|#1| $ (|PositiveInteger|)) 9)) (|coerce| (((|OutputForm|) $) 29) (($ (|Integer|)) NIL) (($ (|Mapping| |#1| (|PositiveInteger|))) 12) (((|Mapping| |#1| (|PositiveInteger|)) $) 11) (($ (|Stream| |#1|)) 26) (((|Stream| |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ $) NIL (|has| |#1| (|CommutativeRing|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|CommutativeRing|)))) (|additive?| (((|Boolean|) $ (|PositiveInteger|)) 72)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 33 T CONST)) (|One| (($) 13 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) 38) (($ $ $) NIL)) (+ (($ $ $) 36)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) NIL (|has| |#1| (|CommutativeRing|))))) 
+(((|DirichletRing| |#1|) (|Join| (|Ring|) (|Eltable| (|PositiveInteger|) |#1|) (CATEGORY |domain| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|IntegralDomain|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (SIGNATURE |coerce| ($ (|Mapping| |#1| (|PositiveInteger|)))) (SIGNATURE |coerce| ((|Mapping| |#1| (|PositiveInteger|)) $)) (SIGNATURE |coerce| ($ (|Stream| |#1|))) (SIGNATURE |coerce| ((|Stream| |#1|) $)) (SIGNATURE |zeta| ($) |constant|) (SIGNATURE |multiplicative?| ((|Boolean|) $ (|PositiveInteger|))) (SIGNATURE |additive?| ((|Boolean|) $ (|PositiveInteger|))))) (|Ring|)) (T |DirichletRing|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) (|zeta| (*1 *1) (AND (|isDomain| *1 (|DirichletRing| *2)) (|ofCategory| *2 (|Ring|)))) (|multiplicative?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|)))) (|additive?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|Ring|) (|Eltable| (|PositiveInteger|) |#1|) (CATEGORY |domain| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|IntegralDomain|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (SIGNATURE |coerce| ($ (|Mapping| |#1| (|PositiveInteger|)))) (SIGNATURE |coerce| ((|Mapping| |#1| (|PositiveInteger|)) $)) (SIGNATURE |coerce| ($ (|Stream| |#1|))) (SIGNATURE |coerce| ((|Stream| |#1|) $)) (SIGNATURE |zeta| ($) |constant|) (SIGNATURE |multiplicative?| ((|Boolean|) $ (|PositiveInteger|))) (SIGNATURE |additive?| ((|Boolean|) $ (|PositiveInteger|))))) 
+((|sayLength| (((|Integer|) (|List| (|String|))) 24) (((|Integer|) (|String|)) 19)) (|say| (((|Void|) (|List| (|String|))) 29) (((|Void|) (|String|)) 28)) (|newLine| (((|String|)) 14)) (|copies| (((|String|) (|Integer|) (|String|)) 16)) (|center| (((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|)) 25) (((|String|) (|String|) (|Integer|) (|String|)) 23)) (|bright| (((|List| (|String|)) (|List| (|String|))) 13) (((|List| (|String|)) (|String|)) 11))) 
+(((|DisplayPackage|) (CATEGORY |package| (SIGNATURE |bright| ((|List| (|String|)) (|String|))) (SIGNATURE |bright| ((|List| (|String|)) (|List| (|String|)))) (SIGNATURE |newLine| ((|String|))) (SIGNATURE |copies| ((|String|) (|Integer|) (|String|))) (SIGNATURE |center| ((|String|) (|String|) (|Integer|) (|String|))) (SIGNATURE |center| ((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|))) (SIGNATURE |say| ((|Void|) (|String|))) (SIGNATURE |say| ((|Void|) (|List| (|String|)))) (SIGNATURE |sayLength| ((|Integer|) (|String|))) (SIGNATURE |sayLength| ((|Integer|) (|List| (|String|)))))) (T |DisplayPackage|)) 
+((|sayLength| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) (|sayLength| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) (|say| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|)))) (|say| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|)))) (|center| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *1 (|DisplayPackage|)))) (|center| (*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) (|copies| (*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) (|newLine| (*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DisplayPackage|)))) (|bright| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)))) (|bright| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)) (|isDomain| *3 (|String|))))) 
+(CATEGORY |package| (SIGNATURE |bright| ((|List| (|String|)) (|String|))) (SIGNATURE |bright| ((|List| (|String|)) (|List| (|String|)))) (SIGNATURE |newLine| ((|String|))) (SIGNATURE |copies| ((|String|) (|Integer|) (|String|))) (SIGNATURE |center| ((|String|) (|String|) (|Integer|) (|String|))) (SIGNATURE |center| ((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|))) (SIGNATURE |say| ((|Void|) (|String|))) (SIGNATURE |say| ((|Void|) (|List| (|String|)))) (SIGNATURE |sayLength| ((|Integer|) (|String|))) (SIGNATURE |sayLength| ((|Integer|) (|List| (|String|))))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) 44)) (|suppOfZero| (((|List| |#1|) $) 30)) (|suppOfPole| (((|List| |#1|) $) 29)) (|supp| (((|List| |#1|) $) 31)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|split| (((|List| $) $) 36)) (|size| (((|NonNegativeInteger|) $) 43)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 39)) (|retract| ((|#1| $) 40)) (|nthFactor| ((|#1| $ (|Integer|)) 46)) (|nthCoef| (((|Integer|) $ (|Integer|)) 45)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) 49)) (|mapCoef| (($ (|Mapping| (|Integer|) (|Integer|)) $) 48)) (|latex| (((|String|) $) 9)) (|incr| (($ $) 26)) (|highCommonTerms| (($ $ $) 50 (|has| (|Integer|) (|OrderedAbelianMonoid|)))) (|hash| (((|SingleInteger|) $) 10)) (|effective?| (((|Boolean|) $) 32)) (|divOfZero| (($ $) 28)) (|divOfPole| (($ $) 27)) (|degree| (((|Integer|) $) 37)) (|concat| (($ $ $) 33)) (|collect| (($ $) 34)) (|coerce| (((|OutputForm|) $) 11) (($ |#1|) 38)) (|coefficient| (((|Integer|) |#1| $) 47)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 35)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13) (($ |#1| $) 41)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ (|Integer|)) 52) (($ (|Integer|) $) 51) (($ (|Integer|) |#1|) 42))) 
+(((|DivisorCategory| |#1|) (|Category|) (|SetCategory|)) (T |DivisorCategory|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) (|split| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|DivisorCategory| *3)))) (<= (*1 *2 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|collect| (*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|concat| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|effective?| (*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|supp| (*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) (|suppOfZero| (*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) (|suppOfPole| (*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) (|divOfZero| (*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|divOfPole| (*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|incr| (*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|AbelianGroup|) (|Module| (|Integer|)) (|FreeAbelianMonoidCategory| |t#1| (|Integer|)) (CATEGORY |domain| (SIGNATURE |degree| ((|Integer|) $)) (SIGNATURE |split| ((|List| $) $)) (SIGNATURE <= ((|Boolean|) $ $)) (SIGNATURE |collect| ($ $)) (SIGNATURE |concat| ($ $ $)) (SIGNATURE |effective?| ((|Boolean|) $)) (SIGNATURE |supp| ((|List| |t#1|) $)) (SIGNATURE |suppOfZero| ((|List| |t#1|) $)) (SIGNATURE |suppOfPole| ((|List| |t#1|) $)) (SIGNATURE |divOfZero| ($ $)) (SIGNATURE |divOfPole| ($ $)) (SIGNATURE |incr| ($ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| (|Integer|) (|Integer|)) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|FreeAbelianMonoidCategory| |#1| (|Integer|)) . T) ((|LeftModule| (|Integer|)) . T) ((|Module| (|Integer|)) . T) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Integer|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 17)) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) 30)) (|suppOfZero| (((|List| |#1|) $) 36)) (|suppOfPole| (((|List| |#1|) $) 37)) (|supp| (((|List| |#1|) $) 35)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|split| (((|List| $) $) 29)) (|size| (((|NonNegativeInteger|) $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|reductum| (($ $) 24)) (|nthFactor| ((|#1| $ (|Integer|)) NIL)) (|nthCoef| (((|Integer|) $ (|Integer|)) NIL)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) NIL)) (|mapCoef| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|latex| (((|String|) $) NIL)) (|incr| (($ $) 8)) (|highCommonTerms| (($ $ $) NIL (|has| (|Integer|) (|OrderedAbelianMonoid|)))) (|head| (((|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|))) $) 26)) (|hash| (((|SingleInteger|) $) NIL)) (|effective?| (((|Boolean|) $) 50)) (|divOfZero| (($ $) 38)) (|divOfPole| (($ $) 39)) (|degree| (((|Integer|) $) 58)) (|concat| (($ $ $) 44)) (|collect| (($ $) 33)) (|coerce| (((|OutputForm|) $) 22) (($ |#1|) 27)) (|coefficient| (((|Integer|) |#1| $) 32)) (|Zero| (($) 23 T CONST)) (= (((|Boolean|) $ $) 40)) (<= (((|Boolean|) $ $) 51)) (- (($ $) 48) (($ $ $) 47)) (+ (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 49) (($ $ (|Integer|)) NIL) (($ (|Integer|) $) 49) (($ (|Integer|) |#1|) NIL))) 
+(((|Divisor| |#1|) (|Join| (|DivisorCategory| |#1|) (CATEGORY |domain| (SIGNATURE |head| ((|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|))) $)) (SIGNATURE |reductum| ($ $)))) (|SetCategoryWithDegree|)) (T |Divisor|)) 
+((|head| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|)))) (|isDomain| *1 (|Divisor| *3)) (|ofCategory| *3 (|SetCategoryWithDegree|)))) (|reductum| (*1 *1 *1) (AND (|isDomain| *1 (|Divisor| *2)) (|ofCategory| *2 (|SetCategoryWithDegree|))))) 
+(|Join| (|DivisorCategory| |#1|) (CATEGORY |domain| (SIGNATURE |head| ((|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|))) $)) (SIGNATURE |reductum| ($ $)))) 
+((^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 9)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 18)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ (|Fraction| (|Integer|)) $) 25) (($ $ (|Fraction| (|Integer|))) NIL))) 
+(((|DivisionRing&| |#1|) (CATEGORY |domain| (SIGNATURE ^ (|#1| |#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ^ (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|DivisionRing|)) (T |DivisionRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ^ (|#1| |#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ^ (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 38)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 43)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 39)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 40)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ (|Fraction| (|Integer|)) $) 42) (($ $ (|Fraction| (|Integer|))) 41))) 
+(((|DivisionRing|) (|Category|)) (T |DivisionRing|)) 
+((** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) (^ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) (|inv| (*1 *1 *1) (|ofCategory| *1 (|DivisionRing|)))) 
+(|Join| (|EntireRing|) (|Algebra| (|Fraction| (|Integer|))) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE ^ ($ $ (|Integer|))) (SIGNATURE |inv| ($ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|EntireRing|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Monoid|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|tail| (($ $) 54)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setprevious!| (($ $ $) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setnext!| (($ $ $) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|previous| (($ $) 53)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|next| (($ $) 52)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) 56)) (|head| (($ $) 55)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44)) (|distance| (((|Integer|) $ $) 41)) (|cyclic?| (((|Boolean|) $) 43)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|concat!| (($ $ $) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DoublyLinkedAggregate| |#1|) (|Category|) (|Type|)) (T |DoublyLinkedAggregate|)) 
+((|last| (*1 *2 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|head| (*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|tail| (*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|previous| (*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|next| (*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setprevious!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setnext!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|RecursiveAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |last| (|t#1| $)) (SIGNATURE |head| ($ $)) (SIGNATURE |tail| ($ $)) (SIGNATURE |previous| ($ $)) (SIGNATURE |next| ($ $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |concat!| ($ $ $)) (SIGNATURE |setprevious!| ($ $ $)) (SIGNATURE |setnext!| ($ $ $))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) NIL)) (|third| ((|#1| $) NIL)) (|tail| (($ $) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL)) (|sort!| (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|)))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) 10 (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| ((|#1| $) NIL)) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|rest| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|removeDuplicates!| (($ $) NIL (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) 7 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) NIL (|has| |#1| (|SetCategory|))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|possiblyInfinite?| (((|Boolean|) $) NIL)) (|position| (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge!| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL)) (|merge| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|list| (($ |#1|) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|insert!| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|insert| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|explicitlyFinite?| (((|Boolean|) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) ((|#1| $ (|Integer|)) NIL) ((|#1| $ (|Integer|) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((|NonNegativeInteger|) $ "count") 16)) (|distance| (((|Integer|) $ $) NIL)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|datalist| (($ (|List| |#1|)) 22)) (|cyclic?| (((|Boolean|) $) NIL)) (|cycleTail| (($ $) NIL)) (|cycleSplit!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) NIL)) (|cycleEntry| (($ $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat!| (($ $ $) NIL) (($ $ |#1|) NIL)) (|concat| (($ $ $) NIL) (($ |#1| $) NIL) (($ (|List| $)) NIL) (($ $ |#1|) NIL)) (|coerce| (($ (|List| |#1|)) 17) (((|List| |#1|) $) 18) (((|OutputForm|) $) 21 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 14 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DataList| |#1|) (|Join| (|ListAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |coerce| ((|List| |#1|) $)) (SIGNATURE |datalist| ($ (|List| |#1|))) (SIGNATURE |elt| ($ $ "unique")) (SIGNATURE |elt| ($ $ "sort")) (SIGNATURE |elt| ((|NonNegativeInteger|) $ "count")))) (|OrderedSet|)) (T |DataList|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|datalist| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 "unique") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 "sort") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 "count") (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DataList| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(|Join| (|ListAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |coerce| ((|List| |#1|) $)) (SIGNATURE |datalist| ($ (|List| |#1|))) (SIGNATURE |elt| ($ $ "unique")) (SIGNATURE |elt| ($ $ "sort")) (SIGNATURE |elt| ((|NonNegativeInteger|) $ "count")))) 
+((|shanksDiscLogAlgorithm| (((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)) 26))) 
+(((|DiscreteLogarithmPackage| |#1|) (CATEGORY |package| (SIGNATURE |shanksDiscLogAlgorithm| ((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)))) (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (|#1| |#1| (|Integer|)))))) (T |DiscreteLogarithmPackage|)) 
+((|shanksDiscLogAlgorithm| (*1 *2 *3 *3 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (*3 *3 (|Integer|)))))) (|isDomain| *1 (|DiscreteLogarithmPackage| *3))))) 
+(CATEGORY |package| (SIGNATURE |shanksDiscLogAlgorithm| ((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|OrderedVariableList| |#1|)) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|OrderedVariableList| |#1|)) NIL) (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|OrderedVariableList| |#1|) $) NIL)) (|resultant| (($ $ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|reorder| (($ $ (|List| (|Integer|))) NIL)) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#2|) (|OrderedVariableList| |#1|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|OrderedVariableList| |#1|)) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|OrderedVariableList| |#1|)) NIL)) (|minimumDegree| (((|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|))) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|mainVariable| (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|OrderedVariableList| |#1|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#2| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|OrderedVariableList| |#1|) |#2|) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| |#2|)) NIL) (($ $ (|OrderedVariableList| |#1|) $) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| $)) NIL)) (|discriminant| (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|differentiate| (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#2| $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ (|OrderedVariableList| |#1|)) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((|DistributedMultivariatePolynomial| |#1| |#2|) (|Join| (|PolynomialCategory| |#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|OrderedVariableList| |#1|)) (CATEGORY |domain| (SIGNATURE |reorder| ($ $ (|List| (|Integer|)))))) (|List| (|Symbol|)) (|Ring|)) (T |DistributedMultivariatePolynomial|)) 
+((|reorder| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|PolynomialCategory| |#2| (|DirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|OrderedVariableList| |#1|)) (CATEGORY |domain| (SIGNATURE |reorder| ($ $ (|List| (|Integer|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitVector| (($ (|PositiveInteger|)) NIL (|has| |#4| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) NIL (|has| |#4| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#4| (|Finite|)))) (|sign| (((|Integer|) $) NIL (|has| |#4| (|OrderedRing|)))) (|setelt| ((|#4| $ (|Integer|) |#4|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#4| "failed") $) NIL (|has| |#4| (|SetCategory|))) (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#4| (|RetractableTo| (|Integer|))) (|has| |#4| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#4| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#4| (|SetCategory|))))) (|retract| ((|#4| $) NIL (|has| |#4| (|SetCategory|))) (((|Integer|) $) NIL (AND (|has| |#4| (|RetractableTo| (|Integer|))) (|has| |#4| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#4| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#4| (|SetCategory|))))) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#4|)) (|:| |vec| (|Vector| |#4|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#4| (|Ring|))) (((|Matrix| |#4|) (|Matrix| $)) NIL (|has| |#4| (|Ring|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))))) (|recip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))))) (|random| (($) NIL (|has| |#4| (|Finite|)))) (|qsetelt!| ((|#4| $ (|Integer|) |#4|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#4| $ (|Integer|)) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| |#4| (|OrderedRing|)))) (|parts| (((|List| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))))) (|negative?| (((|Boolean|) $) NIL (|has| |#4| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))))) (|members| (((|List| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#4| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#4| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL)) (|first| ((|#4| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#4|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#4|))) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| |#4|) (|List| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#4| (|Finite|)))) (|entry?| (((|Boolean|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|entries| (((|List| |#4|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#4| $ (|Integer|) |#4|) NIL) ((|#4| $ (|Integer|)) 12)) (|dot| ((|#4| $ $) NIL (|has| |#4| (|Ring|)))) (|directProduct| (($ (|Vector| |#4|)) NIL)) (|dimension| (((|CardinalNumber|)) NIL (|has| |#4| (|Field|)))) (|differentiate| (($ $ (|Mapping| |#4| |#4|) (|NonNegativeInteger|)) NIL (|has| |#4| (|Ring|))) (($ $ (|Mapping| |#4| |#4|)) NIL (|has| |#4| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|)))) (($ $) NIL (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|Vector| |#4|) $) NIL) (((|OutputForm|) $) NIL) (($ |#4|) NIL (|has| |#4| (|SetCategory|))) (($ (|Integer|)) NIL (OR (AND (|has| |#4| (|RetractableTo| (|Integer|))) (|has| |#4| (|SetCategory|))) (|has| |#4| (|Ring|)))) (($ (|Fraction| (|Integer|))) NIL (AND (|has| |#4| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#4| (|SetCategory|))))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#4| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) NIL (|has| |#4| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|))))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) CONST)) (D (($ $ (|Mapping| |#4| |#4|) (|NonNegativeInteger|)) NIL (|has| |#4| (|Ring|))) (($ $ (|Mapping| |#4| |#4|)) NIL (|has| |#4| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|)))) (($ $) NIL (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))))) (>= (((|Boolean|) $ $) NIL (OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))))) (< (((|Boolean|) $ $) NIL (OR (|has| |#4| (|OrderedAbelianMonoidSup|)) (|has| |#4| (|OrderedRing|))))) (/ (($ $ |#4|) NIL (|has| |#4| (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|))))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))))) (* (($ |#2| $) 14) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (|Monoid|))) (($ |#4| $) NIL (|has| |#4| (|Monoid|))) (($ $ $) NIL (OR (AND (|has| |#4| (|DifferentialRing|)) (|has| |#4| (|Ring|))) (AND (|has| |#4| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#4| (|Ring|))) (|has| |#4| (|Monoid|)) (AND (|has| |#4| (|PartialDifferentialRing| (|Symbol|))) (|has| |#4| (|Ring|)))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DirectProductMatrixModule| |#1| |#2| |#3| |#4|) (|Join| (|DirectProductCategory| |#1| |#4|) (|LeftModule| |#2|) (|LeftModule| |#3|)) (|PositiveInteger|) (|Ring|) (|SquareMatrixCategory| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) (|LeftModule| |#2|)) (T |DirectProductMatrixModule|)) 
+NIL 
+(|Join| (|DirectProductCategory| |#1| |#4|) (|LeftModule| |#2|) (|LeftModule| |#3|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitVector| (($ (|PositiveInteger|)) NIL (|has| |#3| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) NIL (|has| |#3| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#3| (|Finite|)))) (|sign| (((|Integer|) $) NIL (|has| |#3| (|OrderedRing|)))) (|setelt| ((|#3| $ (|Integer|) |#3|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#3| "failed") $) NIL (|has| |#3| (|SetCategory|))) (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|))))) (|retract| ((|#3| $) NIL (|has| |#3| (|SetCategory|))) (((|Integer|) $) NIL (AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|))))) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#3| (|Ring|))) (((|Matrix| |#3|) (|Matrix| $)) NIL (|has| |#3| (|Ring|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))))) (|recip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))))) (|random| (($) NIL (|has| |#3| (|Finite|)))) (|qsetelt!| ((|#3| $ (|Integer|) |#3|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#3| $ (|Integer|)) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| |#3| (|OrderedRing|)))) (|parts| (((|List| |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))))) (|negative?| (((|Boolean|) $) NIL (|has| |#3| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (|members| (((|List| |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (|map!| (($ (|Mapping| |#3| |#3|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#3| |#3|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#3| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#3| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL)) (|first| ((|#3| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#3|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#3|))) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|Equation| |#3|)) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ |#3| |#3|) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|List| |#3|) (|List| |#3|)) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#3| (|Finite|)))) (|entry?| (((|Boolean|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|entries| (((|List| |#3|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#3| $ (|Integer|) |#3|) NIL) ((|#3| $ (|Integer|)) 11)) (|dot| ((|#3| $ $) NIL (|has| |#3| (|Ring|)))) (|directProduct| (($ (|Vector| |#3|)) NIL)) (|dimension| (((|CardinalNumber|)) NIL (|has| |#3| (|Field|)))) (|differentiate| (($ $ (|Mapping| |#3| |#3|) (|NonNegativeInteger|)) NIL (|has| |#3| (|Ring|))) (($ $ (|Mapping| |#3| |#3|)) NIL (|has| |#3| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|)))) (($ $) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|Vector| |#3|) $) NIL) (((|OutputForm|) $) NIL) (($ |#3|) NIL (|has| |#3| (|SetCategory|))) (($ (|Integer|)) NIL (OR (AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|))) (|has| |#3| (|Ring|)))) (($ (|Fraction| (|Integer|))) NIL (AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|))))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#3| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) NIL (|has| |#3| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|))))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) CONST)) (D (($ $ (|Mapping| |#3| |#3|) (|NonNegativeInteger|)) NIL (|has| |#3| (|Ring|))) (($ $ (|Mapping| |#3| |#3|)) NIL (|has| |#3| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|)))) (($ $) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))))) (>= (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (< (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (/ (($ $ |#3|) NIL (|has| |#3| (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|))))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))))) (* (($ |#2| $) 13) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL) (($ $ |#3|) NIL (|has| |#3| (|Monoid|))) (($ |#3| $) NIL (|has| |#3| (|Monoid|))) (($ $ $) NIL (OR (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|))) (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|))) (|has| |#3| (|Monoid|)) (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DirectProductModule| |#1| |#2| |#3|) (|Join| (|DirectProductCategory| |#1| |#3|) (|LeftModule| |#2|)) (|NonNegativeInteger|) (|Ring|) (|LeftModule| |#2|)) (T |DirectProductModule|)) 
+NIL 
+(|Join| (|DirectProductCategory| |#1| |#3|) (|LeftModule| |#2|)) 
+((|weights| (((|List| (|NonNegativeInteger|)) $) 47) (((|List| (|NonNegativeInteger|)) $ |#3|) 50)) (|weight| (((|NonNegativeInteger|) $) 49) (((|NonNegativeInteger|) $ |#3|) 52)) (|separant| (($ $) 65)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| |#4| "failed") $) NIL) (((|Union| |#3| "failed") $) 72)) (|order| (((|NonNegativeInteger|) $ |#3|) 39) (((|NonNegativeInteger|) $) 36)) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) |#3|) 15) (((|Mapping| $ (|NonNegativeInteger|)) $) 77)) (|leader| ((|#4| $) 58)) (|isobaric?| (((|Boolean|) $) 56)) (|initial| (($ $) 64)) (|eval| (($ $ (|List| (|Equation| $))) 96) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (|List| |#4|) (|List| |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (|List| |#4|) (|List| $)) NIL) (($ $ |#3| $) NIL) (($ $ (|List| |#3|) (|List| $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (|List| |#3|) (|List| |#2|)) 84)) (|differentiate| (($ $ |#4|) NIL) (($ $ (|List| |#4|)) NIL) (($ $ |#4| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) 32)) (|differentialVariables| (((|List| |#3|) $) 75)) (|degree| ((|#5| $) NIL) (((|NonNegativeInteger|) $ |#4|) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) NIL) (((|NonNegativeInteger|) $ |#3|) 44)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL))) 
+(((|DifferentialPolynomialCategory&| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |eval| (|#1| |#1| (|List| |#3|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#3| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#3|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#3| |#1|)) (SIGNATURE |makeVariable| ((|Mapping| |#1| (|NonNegativeInteger|)) |#1|)) (SIGNATURE |separant| (|#1| |#1|)) (SIGNATURE |initial| (|#1| |#1|)) (SIGNATURE |leader| (|#4| |#1|)) (SIGNATURE |isobaric?| ((|Boolean|) |#1|)) (SIGNATURE |weight| ((|NonNegativeInteger|) |#1| |#3|)) (SIGNATURE |weights| ((|List| (|NonNegativeInteger|)) |#1| |#3|)) (SIGNATURE |weight| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |weights| ((|List| (|NonNegativeInteger|)) |#1|)) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1| |#3|)) (SIGNATURE |order| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |order| ((|NonNegativeInteger|) |#1| |#3|)) (SIGNATURE |differentialVariables| ((|List| |#3|) |#1|)) (SIGNATURE |makeVariable| ((|Mapping| |#1| (|NonNegativeInteger|)) |#3|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#3|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) |#1| (|List| |#4|))) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1| |#4|)) (SIGNATURE |retractIfCan| ((|Union| |#4| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#4|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |degree| (|#5| |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#4|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| |#4| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#4|))) (SIGNATURE |differentiate| (|#1| |#1| |#4|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|DifferentialPolynomialCategory| |#2| |#3| |#4| |#5|) (|Ring|) (|OrderedSet|) (|DifferentialVariableCategory| |#3|) (|OrderedAbelianMonoidSup|)) (T |DifferentialPolynomialCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |eval| (|#1| |#1| (|List| |#3|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#3| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#3|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#3| |#1|)) (SIGNATURE |makeVariable| ((|Mapping| |#1| (|NonNegativeInteger|)) |#1|)) (SIGNATURE |separant| (|#1| |#1|)) (SIGNATURE |initial| (|#1| |#1|)) (SIGNATURE |leader| (|#4| |#1|)) (SIGNATURE |isobaric?| ((|Boolean|) |#1|)) (SIGNATURE |weight| ((|NonNegativeInteger|) |#1| |#3|)) (SIGNATURE |weights| ((|List| (|NonNegativeInteger|)) |#1| |#3|)) (SIGNATURE |weight| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |weights| ((|List| (|NonNegativeInteger|)) |#1|)) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1| |#3|)) (SIGNATURE |order| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |order| ((|NonNegativeInteger|) |#1| |#3|)) (SIGNATURE |differentialVariables| ((|List| |#3|) |#1|)) (SIGNATURE |makeVariable| ((|Mapping| |#1| (|NonNegativeInteger|)) |#3|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#3|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) |#1| (|List| |#4|))) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1| |#4|)) (SIGNATURE |retractIfCan| ((|Union| |#4| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#4|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |degree| (|#5| |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#4|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| |#4| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#4|))) (SIGNATURE |differentiate| (|#1| |#1| |#4|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|weights| (((|List| (|NonNegativeInteger|)) $) 194) (((|List| (|NonNegativeInteger|)) $ |#2|) 192)) (|weight| (((|NonNegativeInteger|) $) 193) (((|NonNegativeInteger|) $ |#2|) 191)) (|variables| (((|List| |#3|) $) 109)) (|univariate| (((|SparseUnivariatePolynomial| $) $ |#3|) 124) (((|SparseUnivariatePolynomial| |#1|) $) 123)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 85 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 86 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 88 (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) 111) (((|NonNegativeInteger|) $ (|List| |#3|)) 110)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 99 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) 97 (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) 96 (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 102 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|separant| (($ $) 187)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 163) (((|Union| (|Fraction| (|Integer|)) "failed") $) 161 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) 159 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#3| "failed") $) 135) (((|Union| |#2| "failed") $) 201)) (|retract| ((|#1| $) 164) (((|Fraction| (|Integer|)) $) 160 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) 158 (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#3| $) 134) ((|#2| $) 200)) (|resultant| (($ $ $ |#3|) 107 (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) 153)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 133 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 132 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 131) (((|Matrix| |#1|) (|Matrix| $)) 130)) (|recip| (((|Union| $ "failed") $) 33)) (|primitivePart| (($ $) 175 (|has| |#1| (|GcdDomain|))) (($ $ |#3|) 104 (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) 108)) (|prime?| (((|Boolean|) $) 95 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| |#4| $) 171)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 82 (AND (|has| |#3| (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 81 (AND (|has| |#3| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ |#2|) 197) (((|NonNegativeInteger|) $) 196)) (|one?| (((|Boolean|) $) 30)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 168)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) |#3|) 116) (($ (|SparseUnivariatePolynomial| $) |#3|) 115)) (|monomials| (((|List| $) $) 125)) (|monomial?| (((|Boolean|) $) 151)) (|monomial| (($ |#1| |#4|) 152) (($ $ |#3| (|NonNegativeInteger|)) 118) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 117)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) 119)) (|minimumDegree| ((|#4| $) 169) (((|NonNegativeInteger|) $ |#3|) 121) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) 120)) (|min| (($ $ $) 77 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 76 (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| |#4| |#4|) $) 170)) (|map| (($ (|Mapping| |#1| |#1|) $) 150)) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) |#2|) 199) (((|Mapping| $ (|NonNegativeInteger|)) $) 186 (|has| |#1| (|DifferentialRing|)))) (|mainVariable| (((|Union| |#3| "failed") $) 122)) (|leadingMonomial| (($ $) 148)) (|leadingCoefficient| ((|#1| $) 147)) (|leader| ((|#3| $) 189)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 89 (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) 93 (|has| |#1| (|GcdDomain|))) (($ $ $) 92 (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) 9)) (|isobaric?| (((|Boolean|) $) 190)) (|isTimes| (((|Union| (|List| $) "failed") $) 113)) (|isPlus| (((|Union| (|List| $) "failed") $) 114)) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) 112)) (|initial| (($ $) 188)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 165)) (|ground| ((|#1| $) 166)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 94 (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) 91 (|has| |#1| (|GcdDomain|))) (($ $ $) 90 (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 101 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 100 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) 98 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 173 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 84 (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) 144) (($ $ (|Equation| $)) 143) (($ $ $ $) 142) (($ $ (|List| $) (|List| $)) 141) (($ $ |#3| |#1|) 140) (($ $ (|List| |#3|) (|List| |#1|)) 139) (($ $ |#3| $) 138) (($ $ (|List| |#3|) (|List| $)) 137) (($ $ |#2| $) 185 (|has| |#1| (|DifferentialRing|))) (($ $ (|List| |#2|) (|List| $)) 184 (|has| |#1| (|DifferentialRing|))) (($ $ |#2| |#1|) 183 (|has| |#1| (|DifferentialRing|))) (($ $ (|List| |#2|) (|List| |#1|)) 182 (|has| |#1| (|DifferentialRing|)))) (|discriminant| (($ $ |#3|) 106 (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ |#3|) 41) (($ $ (|List| |#3|)) 40) (($ $ |#3| (|NonNegativeInteger|)) 39) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 38) (($ $) 218 (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) 216 (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) 214 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 213 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 212 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 211 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 204) (($ $ (|Mapping| |#1| |#1|)) 203)) (|differentialVariables| (((|List| |#2|) $) 198)) (|degree| ((|#4| $) 149) (((|NonNegativeInteger|) $ |#3|) 129) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) 128) (((|NonNegativeInteger|) $ |#2|) 195)) (|convert| (((|Pattern| (|Float|)) $) 80 (AND (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) 79 (AND (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) 78 (AND (|has| |#3| (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) 174 (|has| |#1| (|GcdDomain|))) (($ $ |#3|) 105 (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 103 (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 162) (($ |#3|) 136) (($ |#2|) 202) (($ (|Fraction| (|Integer|))) 70 (OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (($ $) 83 (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) 167)) (|coefficient| ((|#1| $ |#4|) 154) (($ $ |#3| (|NonNegativeInteger|)) 127) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 126)) (|charthRoot| (((|Union| $ "failed") $) 71 (OR (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 172 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 87 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ |#3|) 37) (($ $ (|List| |#3|)) 36) (($ $ |#3| (|NonNegativeInteger|)) 35) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 34) (($ $) 217 (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) 215 (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) 210 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 209 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 208 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 207 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 206) (($ $ (|Mapping| |#1| |#1|)) 205)) (>= (((|Boolean|) $ $) 74 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 73 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 72 (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) 155 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 157 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) 156 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 146) (($ $ |#1|) 145))) 
+(((|DifferentialPolynomialCategory| |#1| |#2| |#3| |#4|) (|Category|) (|Ring|) (|OrderedSet|) (|DifferentialVariableCategory| |t#2|) (|OrderedAbelianMonoidSup|)) (T |DifferentialPolynomialCategory|)) 
+((|makeVariable| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)))) (|differentialVariables| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *4)))) (|order| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|degree| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|weights| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) (|weight| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|weights| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) (|weight| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|isobaric?| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)))) (|leader| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|DifferentialVariableCategory| *4)))) (|initial| (*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)))) (|separant| (*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)))) (|makeVariable| (*1 *2 *1) (AND (|ofCategory| *3 (|DifferentialRing|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6))))) 
+(|Join| (|PolynomialCategory| |t#1| |t#4| |t#3|) (|DifferentialExtension| |t#1|) (|RetractableTo| |t#2|) (CATEGORY |domain| (SIGNATURE |makeVariable| ((|Mapping| $ (|NonNegativeInteger|)) |t#2|)) (SIGNATURE |differentialVariables| ((|List| |t#2|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $ |t#2|)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $ |t#2|)) (SIGNATURE |weights| ((|List| (|NonNegativeInteger|)) $)) (SIGNATURE |weight| ((|NonNegativeInteger|) $)) (SIGNATURE |weights| ((|List| (|NonNegativeInteger|)) $ |t#2|)) (SIGNATURE |weight| ((|NonNegativeInteger|) $ |t#2|)) (SIGNATURE |isobaric?| ((|Boolean|) $)) (SIGNATURE |leader| (|t#3| $)) (SIGNATURE |initial| ($ $)) (SIGNATURE |separant| ($ $)) (IF (|has| |t#1| (|DifferentialRing|)) (PROGN (ATTRIBUTE (|InnerEvalable| |t#2| |t#1|)) (ATTRIBUTE (|InnerEvalable| |t#2| $)) (ATTRIBUTE (|Evalable| $)) (SIGNATURE |makeVariable| ((|Mapping| $ (|NonNegativeInteger|)) $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| |#4|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|ConvertibleTo| (|InputForm|)) AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#3| (|ConvertibleTo| (|InputForm|)))) ((|ConvertibleTo| (|Pattern| (|Float|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|))))) ((|ConvertibleTo| (|Pattern| (|Integer|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|))))) ((|DifferentialExtension| |#1|) . T) ((|DifferentialRing|) |has| |#1| (|DifferentialRing|)) ((|EntireRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|Evalable| $) . T) ((|FiniteAbelianMonoidRing| |#1| |#4|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|))) ((|InnerEvalable| |#2| |#1|) |has| |#1| (|DifferentialRing|)) ((|InnerEvalable| |#2| $) |has| |#1| (|DifferentialRing|)) ((|InnerEvalable| |#3| |#1|) . T) ((|InnerEvalable| |#3| $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|))) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|PartialDifferentialRing| |#3|) . T) ((|PatternMatchable| (|Float|)) AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#3| (|PatternMatchable| (|Float|)))) ((|PatternMatchable| (|Integer|)) AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#3| (|PatternMatchable| (|Integer|)))) ((|PolynomialCategory| |#1| |#4| |#3|) . T) ((|PolynomialFactorizationExplicit|) |has| |#1| (|PolynomialFactorizationExplicit|)) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RetractableTo| |#2|) . T) ((|RetractableTo| |#3|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) |has| |#1| (|PolynomialFactorizationExplicit|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|top!| ((|#1| $) 51)) (|top| ((|#1| $) 41)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|rotate!| (($ $) 57)) (|reverse!| (($ $) 45)) (|push!| ((|#1| |#1| $) 43)) (|pop!| ((|#1| $) 42)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|length| (((|NonNegativeInteger|) $) 58)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insertTop!| ((|#1| |#1| $) 49)) (|insertBottom!| ((|#1| |#1| $) 48)) (|insert!| (($ |#1| $) 37)) (|height| (((|NonNegativeInteger|) $) 52)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|front| ((|#1| $) 59)) (|extractTop!| ((|#1| $) 47)) (|extractBottom!| ((|#1| $) 46)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|enqueue!| ((|#1| |#1| $) 55)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|dequeue!| ((|#1| $) 56)) (|dequeue| (($) 54) (($ (|List| |#1|)) 53)) (|depth| (((|NonNegativeInteger|) $) 40)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bottom!| ((|#1| $) 50)) (|bag| (($ (|List| |#1|)) 39)) (|back| ((|#1| $) 60)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DequeueAggregate| |#1|) (|Category|) (|Type|)) (T |DequeueAggregate|)) 
+((|dequeue| (*1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|dequeue| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|DequeueAggregate| *3)))) (|height| (*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|top!| (*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|bottom!| (*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|insertTop!| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|insertBottom!| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|extractTop!| (*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|extractBottom!| (*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|reverse!| (*1 *1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|StackAggregate| |t#1|) (|QueueAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |dequeue| ($)) (SIGNATURE |dequeue| ($ (|List| |t#1|))) (SIGNATURE |height| ((|NonNegativeInteger|) $)) (SIGNATURE |top!| (|t#1| $)) (SIGNATURE |bottom!| (|t#1| $)) (SIGNATURE |insertTop!| (|t#1| |t#1| $)) (SIGNATURE |insertBottom!| (|t#1| |t#1| $)) (SIGNATURE |extractTop!| (|t#1| $)) (SIGNATURE |extractBottom!| (|t#1| $)) (SIGNATURE |reverse!| ($ $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|QueueAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|StackAggregate| |#1|) . T) ((|Type|) . T)) 
+((|recolor| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) 139)) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) 160) (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 158) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) 163) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 159) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) 150) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 149) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) 129) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 127) (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) 128) (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) 125)) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) 162) (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 161) (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) 165) (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 164) (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) 152) (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 151) (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) 135) (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 134) (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) 133) (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) 132) (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) 99) (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) 98) (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|))) 95) (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) 94))) 
+(((|TopLevelDrawFunctionsForCompiledFunctions|) (CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |recolor| ((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))))) (T |TopLevelDrawFunctionsForCompiledFunctions|)) 
+((|recolor| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|makeObject| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|))))) 
+(CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)))) (SIGNATURE |recolor| ((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))))) 
+((|draw| (((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))) 93))) 
+(((|TopLevelDrawFunctionsForAlgebraicCurves| |#1| |#2|) (CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|))) (|FunctionSpace| |#1|)) (T |TopLevelDrawFunctionsForAlgebraicCurves|)) 
+((|draw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForAlgebraicCurves| *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))))) 
+((|setRealSteps| (((|Integer|) (|Integer|)) 50)) (|setImagSteps| (((|Integer|) (|Integer|)) 51)) (|setClipValue| (((|DoubleFloat|) (|DoubleFloat|)) 52)) (|drawComplexVectorField| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 49)) (|drawComplex| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|)) 47))) 
+(((|DrawComplex|) (CATEGORY |package| (SIGNATURE |drawComplex| ((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|))) (SIGNATURE |drawComplexVectorField| ((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |setRealSteps| ((|Integer|) (|Integer|))) (SIGNATURE |setImagSteps| ((|Integer|) (|Integer|))) (SIGNATURE |setClipValue| ((|DoubleFloat|) (|DoubleFloat|))))) (T |DrawComplex|)) 
+((|setClipValue| (*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DrawComplex|)))) (|setImagSteps| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|)))) (|setRealSteps| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|)))) (|drawComplexVectorField| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|)))) (|drawComplex| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(CATEGORY |package| (SIGNATURE |drawComplex| ((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|))) (SIGNATURE |drawComplexVectorField| ((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |setRealSteps| ((|Integer|) (|Integer|))) (SIGNATURE |setImagSteps| ((|Integer|) (|Integer|))) (SIGNATURE |setClipValue| ((|DoubleFloat|) (|DoubleFloat|)))) 
+((|coerce| (((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))) 16))) 
+(((|DrawNumericHack| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))))) (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|Float|)))) (T |DrawNumericHack|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| (|Expression| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|Float|)))) (|isDomain| *2 (|SegmentBinding| (|Float|))) (|isDomain| *1 (|DrawNumericHack| *4))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))))) 
+((|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) 69) (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 68) (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) 59) (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 58) (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) 50) (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 49)) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) 72) (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 71) (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) 62) (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 61) (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) 54) (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 53) (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|))) 41) (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 40) (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|))) 33) (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) 32))) 
+(((|TopLevelDrawFunctions| |#1|) (CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))))) (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (T |TopLevelDrawFunctions|)) 
+((|makeObject| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) (|makeObject| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) (|draw| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) (|draw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) (|makeObject| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) (|makeObject| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) (|draw| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) (|draw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) (|makeObject| (*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) (|makeObject| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) (|draw| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|)))) (SIGNATURE |makeObject| ((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))))) 
+((|draw| (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) 21) (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) 22) (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|))) 13) (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|)))) 14) (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) 18) (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) 19))) 
+(((|TopLevelDrawFunctionsForPoints|) (CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|)))))) (T |TopLevelDrawFunctionsForPoints|)) 
+((|draw| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) (|draw| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) (|draw| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) (|draw| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) (|draw| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) (|draw| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|))))) 
+(CATEGORY |package| (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))))) (SIGNATURE |draw| ((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)))) (SIGNATURE |draw| ((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))))) 
+((|viewpoint| (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) 24)) (|var2Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) 49)) (|var1Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) 48)) (|units| (((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|))) 65)) (|tubeRadius| (((|Float|) (|List| (|DrawOption|)) (|Float|)) 55)) (|tubePoints| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) 50)) (|toScale| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) 26)) (|title| (((|String|) (|List| (|DrawOption|)) (|String|)) 19)) (|style| (((|String|) (|List| (|DrawOption|)) (|String|)) 25)) (|space| (((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) 43)) (|ranges| (((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|)))) 37)) (|pointColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) 31)) (|curveColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) 32)) (|coord| (((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) 60)) (|clipBoolean| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) 15)) (|adaptive| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) 14))) 
+(((|DrawOptionFunctions0|) (CATEGORY |package| (SIGNATURE |adaptive| ((|Boolean|) (|List| (|DrawOption|)) (|Boolean|))) (SIGNATURE |clipBoolean| ((|Boolean|) (|List| (|DrawOption|)) (|Boolean|))) (SIGNATURE |viewpoint| ((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))))) (SIGNATURE |title| ((|String|) (|List| (|DrawOption|)) (|String|))) (SIGNATURE |style| ((|String|) (|List| (|DrawOption|)) (|String|))) (SIGNATURE |toScale| ((|Boolean|) (|List| (|DrawOption|)) (|Boolean|))) (SIGNATURE |pointColorPalette| ((|Palette|) (|List| (|DrawOption|)) (|Palette|))) (SIGNATURE |curveColorPalette| ((|Palette|) (|List| (|DrawOption|)) (|Palette|))) (SIGNATURE |ranges| ((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|))))) (SIGNATURE |var1Steps| ((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|))) (SIGNATURE |var2Steps| ((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|))) (SIGNATURE |space| ((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |tubePoints| ((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|))) (SIGNATURE |tubeRadius| ((|Float|) (|List| (|DrawOption|)) (|Float|))) (SIGNATURE |coord| ((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))))) (SIGNATURE |units| ((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|)))))) (T |DrawOptionFunctions0|)) 
+((|units| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|coord| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|tubeRadius| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|tubePoints| (*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|space| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|var2Steps| (*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|var1Steps| (*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|ranges| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|curveColorPalette| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|pointColorPalette| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|toScale| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|style| (*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|title| (*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|viewpoint| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|clipBoolean| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) (|adaptive| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(CATEGORY |package| (SIGNATURE |adaptive| ((|Boolean|) (|List| (|DrawOption|)) (|Boolean|))) (SIGNATURE |clipBoolean| ((|Boolean|) (|List| (|DrawOption|)) (|Boolean|))) (SIGNATURE |viewpoint| ((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))))) (SIGNATURE |title| ((|String|) (|List| (|DrawOption|)) (|String|))) (SIGNATURE |style| ((|String|) (|List| (|DrawOption|)) (|String|))) (SIGNATURE |toScale| ((|Boolean|) (|List| (|DrawOption|)) (|Boolean|))) (SIGNATURE |pointColorPalette| ((|Palette|) (|List| (|DrawOption|)) (|Palette|))) (SIGNATURE |curveColorPalette| ((|Palette|) (|List| (|DrawOption|)) (|Palette|))) (SIGNATURE |ranges| ((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|))))) (SIGNATURE |var1Steps| ((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|))) (SIGNATURE |var2Steps| ((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|))) (SIGNATURE |space| ((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |tubePoints| ((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|))) (SIGNATURE |tubeRadius| ((|Float|) (|List| (|DrawOption|)) (|Float|))) (SIGNATURE |coord| ((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))))) (SIGNATURE |units| ((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|))))) 
+((|option| (((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)) 17))) 
+(((|DrawOptionFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |option| ((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)))) (|Type|)) (T |DrawOptionFunctions1|)) 
+((|option| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|DrawOptionFunctions1| *2)) (|ofCategory| *2 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |option| ((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|viewpoint| (($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) 14)) (|var2Steps| (($ (|PositiveInteger|)) 70)) (|var1Steps| (($ (|PositiveInteger|)) 69)) (|unit| (($ (|List| (|Float|))) 76)) (|tubeRadius| (($ (|Float|)) 55)) (|tubePoints| (($ (|PositiveInteger|)) 71)) (|toScale| (($ (|Boolean|)) 22)) (|title| (($ (|String|)) 17)) (|style| (($ (|String|)) 18)) (|space| (($ (|ThreeSpace| (|DoubleFloat|))) 65)) (|ranges| (($ (|List| (|Segment| (|Float|)))) 61)) (|range| (($ (|List| (|Segment| (|Float|)))) 56) (($ (|List| (|Segment| (|Fraction| (|Integer|))))) 60)) (|pointColor| (($ (|Float|)) 28) (($ (|Palette|)) 32)) (|option?| (((|Boolean|) (|List| $) (|Symbol|)) 85)) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) 87)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|curveColor| (($ (|Float|)) 33) (($ (|Palette|)) 34)) (|coordinates| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) 54)) (|coord| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) 72)) (|colorFunction| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) 38) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) 42) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) 46)) (|coerce| (((|OutputForm|) $) 81)) (|clip| (($ (|Boolean|)) 23) (($ (|List| (|Segment| (|Float|)))) 50)) (|adaptive| (($ (|Boolean|)) 24)) (= (((|Boolean|) $ $) 83))) 
+(((|DrawOption|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |adaptive| ($ (|Boolean|))) (SIGNATURE |clip| ($ (|Boolean|))) (SIGNATURE |viewpoint| ($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))))) (SIGNATURE |title| ($ (|String|))) (SIGNATURE |style| ($ (|String|))) (SIGNATURE |toScale| ($ (|Boolean|))) (SIGNATURE |clip| ($ (|List| (|Segment| (|Float|))))) (SIGNATURE |coordinates| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))))) (SIGNATURE |pointColor| ($ (|Float|))) (SIGNATURE |pointColor| ($ (|Palette|))) (SIGNATURE |curveColor| ($ (|Float|))) (SIGNATURE |curveColor| ($ (|Palette|))) (SIGNATURE |colorFunction| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |colorFunction| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |colorFunction| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |tubeRadius| ($ (|Float|))) (SIGNATURE |range| ($ (|List| (|Segment| (|Float|))))) (SIGNATURE |range| ($ (|List| (|Segment| (|Fraction| (|Integer|)))))) (SIGNATURE |ranges| ($ (|List| (|Segment| (|Float|))))) (SIGNATURE |space| ($ (|ThreeSpace| (|DoubleFloat|)))) (SIGNATURE |var1Steps| ($ (|PositiveInteger|))) (SIGNATURE |var2Steps| ($ (|PositiveInteger|))) (SIGNATURE |tubePoints| ($ (|PositiveInteger|))) (SIGNATURE |coord| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))))) (SIGNATURE |unit| ($ (|List| (|Float|)))) (SIGNATURE |option| ((|Union| (|Any|) "failed") (|List| $) (|Symbol|))) (SIGNATURE |option?| ((|Boolean|) (|List| $) (|Symbol|)))))) (T |DrawOption|)) 
+((|adaptive| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) (|clip| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) (|viewpoint| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) (|title| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|)))) (|style| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|)))) (|toScale| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) (|clip| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) (|coordinates| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) (|pointColor| (*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|)))) (|pointColor| (*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) (|curveColor| (*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|)))) (|curveColor| (*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) (|colorFunction| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) (|colorFunction| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) (|colorFunction| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) (|tubeRadius| (*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|)))) (|range| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) (|range| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Fraction| (|Integer|))))) (|isDomain| *1 (|DrawOption|)))) (|ranges| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) (|space| (*1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) (|var1Steps| (*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|)))) (|var2Steps| (*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|)))) (|tubePoints| (*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|)))) (|coord| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) (|unit| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|DrawOption|)))) (|option| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|DrawOption|)))) (|option?| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |adaptive| ($ (|Boolean|))) (SIGNATURE |clip| ($ (|Boolean|))) (SIGNATURE |viewpoint| ($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))))) (SIGNATURE |title| ($ (|String|))) (SIGNATURE |style| ($ (|String|))) (SIGNATURE |toScale| ($ (|Boolean|))) (SIGNATURE |clip| ($ (|List| (|Segment| (|Float|))))) (SIGNATURE |coordinates| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))))) (SIGNATURE |pointColor| ($ (|Float|))) (SIGNATURE |pointColor| ($ (|Palette|))) (SIGNATURE |curveColor| ($ (|Float|))) (SIGNATURE |curveColor| ($ (|Palette|))) (SIGNATURE |colorFunction| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |colorFunction| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |colorFunction| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |tubeRadius| ($ (|Float|))) (SIGNATURE |range| ($ (|List| (|Segment| (|Float|))))) (SIGNATURE |range| ($ (|List| (|Segment| (|Fraction| (|Integer|)))))) (SIGNATURE |ranges| ($ (|List| (|Segment| (|Float|))))) (SIGNATURE |space| ($ (|ThreeSpace| (|DoubleFloat|)))) (SIGNATURE |var1Steps| ($ (|PositiveInteger|))) (SIGNATURE |var2Steps| ($ (|PositiveInteger|))) (SIGNATURE |tubePoints| ($ (|PositiveInteger|))) (SIGNATURE |coord| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))))) (SIGNATURE |unit| ($ (|List| (|Float|)))) (SIGNATURE |option| ((|Union| (|Any|) "failed") (|List| $) (|Symbol|))) (SIGNATURE |option?| ((|Boolean|) (|List| $) (|Symbol|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|weights| (((|List| (|NonNegativeInteger|)) $) NIL) (((|List| (|NonNegativeInteger|)) $ |#2|) NIL)) (|weight| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ |#2|) NIL)) (|variables| (((|List| |#3|) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ |#3|) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| |#3|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|separant| (($ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#3| "failed") $) NIL) (((|Union| |#2| "failed") $) NIL) (((|Union| (|SparseMultivariatePolynomial| |#1| |#2|) "failed") $) 20)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#3| $) NIL) ((|#2| $) NIL) (((|SparseMultivariatePolynomial| |#1| |#2|) $) NIL)) (|resultant| (($ $ $ |#3|) NIL (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ |#3|) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|IndexedExponents| |#3|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#3| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#3| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ |#2|) NIL) (((|NonNegativeInteger|) $) 10)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) |#3|) NIL) (($ (|SparseUnivariatePolynomial| $) |#3|) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|IndexedExponents| |#3|)) NIL) (($ $ |#3| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) NIL)) (|minimumDegree| (((|IndexedExponents| |#3|) $) NIL) (((|NonNegativeInteger|) $ |#3|) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| |#3|) (|IndexedExponents| |#3|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) |#2|) NIL) (((|Mapping| $ (|NonNegativeInteger|)) $) NIL (|has| |#1| (|DifferentialRing|)))) (|mainVariable| (((|Union| |#3| "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|leader| ((|#3| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isobaric?| (((|Boolean|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|initial| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (|List| |#3|) (|List| |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (|List| |#3|) (|List| $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|List| |#2|) (|List| $)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ |#2| |#1|) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|List| |#2|) (|List| |#1|)) NIL (|has| |#1| (|DifferentialRing|)))) (|discriminant| (($ $ |#3|) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ |#3|) NIL) (($ $ (|List| |#3|)) NIL) (($ $ |#3| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (|differentialVariables| (((|List| |#2|) $) NIL)) (|degree| (((|IndexedExponents| |#3|) $) NIL) (((|NonNegativeInteger|) $ |#3|) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) NIL) (((|NonNegativeInteger|) $ |#2|) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#3| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ |#3|) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (|SparseMultivariatePolynomial| |#1| |#2|)) 28) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|IndexedExponents| |#3|)) NIL) (($ $ |#3| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ |#3|) NIL) (($ $ (|List| |#3|)) NIL) (($ $ |#3| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|DifferentialSparseMultivariatePolynomial| |#1| |#2| |#3|) (|Join| (|DifferentialPolynomialCategory| |#1| |#2| |#3| (|IndexedExponents| |#3|)) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| |#2|))) (|Ring|) (|OrderedSet|) (|DifferentialVariableCategory| |#2|)) (T |DifferentialSparseMultivariatePolynomial|)) 
+NIL 
+(|Join| (|DifferentialPolynomialCategory| |#1| |#2| |#3| (|IndexedExponents| |#3|)) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| |#2|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|tree| (($ |#1| (|List| $)) 51) (($ |#1|) 50) (($ (|List| |#1|)) 49)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44)) (|distance| (((|Integer|) $ $) 41)) (|cyclic?| (((|Boolean|) $) 43)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DesingTreeCategory| |#1|) (|Category|) (|SetCategory|)) (T |DesingTreeCategory|)) 
+((|tree| (*1 *1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|tree| (*1 *1 *2) (AND (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|tree| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DesingTreeCategory| *3))))) 
+(|Join| (|RecursiveAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |tree| ($ |t#1| (|List| $))) (SIGNATURE |tree| ($ |t#1|)) (SIGNATURE |tree| ($ (|List| |t#1|))))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 12)) (|tree| (($ |#1| (|List| $)) 31) (($ |#1|) 32) (($ (|List| |#1|)) 33)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) 35 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| |#1|) $) 22)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fullOutput| (((|Boolean|) (|Boolean|)) 18) (((|Boolean|)) 19)) (|fullOut| (((|OutputForm|) $) 15)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|encode| (((|String|) $) 28)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ "value") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 30 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 8)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 26 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|DesingTree| |#1|) (|Join| (|DesingTreeCategory| |#1|) (CATEGORY |domain| (SIGNATURE |encode| ((|String|) $)) (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) (|SetCategory|)) (T |DesingTree|)) 
+((|encode| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|fullOut| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|fullOutput| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|fullOutput| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|DesingTreeCategory| |#1|) (CATEGORY |domain| (SIGNATURE |encode| ((|String|) $)) (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) 
+((|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) 133) (((|Void|) |#10|) 135)) (|initParLocLeaves| (((|Void|) |#10|) NIL)) (|inBetweenExcpDiv| ((|#8| |#10|) 28)) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) 147)) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) 145)) (|genusNeg| (((|Integer|) |#3|) 148)) (|genus| (((|NonNegativeInteger|) |#3|) 146)) (|fullParamInit| (((|Void|) |#10|) 136)) (|divisorAtDesingTree| ((|#8| |#3| |#10|) 111)) (|desingTreeAtPoint| ((|#10| |#5| |#3|) 138)) (|desingTree| (((|List| |#10|) |#3|) 144)) (|blowUpWithExcpDiv| (((|Void|) |#10|) 134)) (|blowUp| (((|List| |#9|) |#9|) 87)) (|adjunctionDivisor| ((|#8| |#10|) 110))) 
+(((|DesingTreePackage| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (CATEGORY |package| (SIGNATURE |blowUp| ((|List| |#9|) |#9|)) (SIGNATURE |divisorAtDesingTree| (|#8| |#3| |#10|)) (SIGNATURE |adjunctionDivisor| (|#8| |#10|)) (SIGNATURE |blowUpWithExcpDiv| ((|Void|) |#10|)) (SIGNATURE |desingTreeAtPoint| (|#10| |#5| |#3|)) (SIGNATURE |desingTree| ((|List| |#10|) |#3|)) (SIGNATURE |fullParamInit| ((|Void|) |#10|)) (SIGNATURE |initParLocLeaves| ((|Void|) |#10|)) (SIGNATURE |initializeParamOfPlaces| ((|Void|) |#10|)) (SIGNATURE |initializeParamOfPlaces| ((|Void|) |#10| (|List| |#3|))) (SIGNATURE |genus| ((|NonNegativeInteger|) |#3|)) (SIGNATURE |genusNeg| ((|Integer|) |#3|)) (SIGNATURE |genusTree| ((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|))) (SIGNATURE |inBetweenExcpDiv| (|#8| |#10|)) (SIGNATURE |genusTreeNeg| ((|Integer|) (|NonNegativeInteger|) (|List| |#10|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|) (|DivisorCategory| |#7|) (|InfinitlyClosePointCategory| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (|DesingTreeCategory| |#9|) (|BlowUpMethodCategory|)) (T |DesingTreePackage|)) 
+((|genusTreeNeg| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *14)) (|ofCategory| *14 (|DesingTreeCategory| *13)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (|inBetweenExcpDiv| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) (|genusTree| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *13)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (|genusNeg| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|genus| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|initializeParamOfPlaces| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (|ofCategory| *3 (|DesingTreeCategory| *13)))) (|initializeParamOfPlaces| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) (|initParLocLeaves| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) (|fullParamInit| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) (|desingTree| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|desingTreeAtPoint| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DesingTreeCategory| *11)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (|blowUpWithExcpDiv| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) (|adjunctionDivisor| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) (|divisorAtDesingTree| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *10 (|PlacesCategory| *5 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (|ofCategory| *4 (|DesingTreeCategory| *11)))) (|blowUp| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *3 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |blowUp| ((|List| |#9|) |#9|)) (SIGNATURE |divisorAtDesingTree| (|#8| |#3| |#10|)) (SIGNATURE |adjunctionDivisor| (|#8| |#10|)) (SIGNATURE |blowUpWithExcpDiv| ((|Void|) |#10|)) (SIGNATURE |desingTreeAtPoint| (|#10| |#5| |#3|)) (SIGNATURE |desingTree| ((|List| |#10|) |#3|)) (SIGNATURE |fullParamInit| ((|Void|) |#10|)) (SIGNATURE |initParLocLeaves| ((|Void|) |#10|)) (SIGNATURE |initializeParamOfPlaces| ((|Void|) |#10|)) (SIGNATURE |initializeParamOfPlaces| ((|Void|) |#10| (|List| |#3|))) (SIGNATURE |genus| ((|NonNegativeInteger|) |#3|)) (SIGNATURE |genusNeg| ((|Integer|) |#3|)) (SIGNATURE |genusTree| ((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|))) (SIGNATURE |inBetweenExcpDiv| (|#8| |#10|)) (SIGNATURE |genusTreeNeg| ((|Integer|) (|NonNegativeInteger|) (|List| |#10|)))) 
+((|weight| (((|NonNegativeInteger|) $) 30)) (|retractIfCan| (((|Union| |#2| "failed") $) 17)) (|retract| ((|#2| $) 27)) (|differentiate| (($ $) 12) (($ $ (|NonNegativeInteger|)) 15)) (|coerce| (((|OutputForm|) $) 26) (($ |#2|) 10)) (= (((|Boolean|) $ $) 20)) (< (((|Boolean|) $ $) 29))) 
+(((|DifferentialVariableCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |weight| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|DifferentialVariableCategory| |#2|) (|OrderedSet|)) (T |DifferentialVariableCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |weight| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|weight| (((|NonNegativeInteger|) $) 21)) (|variable| ((|#1| $) 22)) (|retractIfCan| (((|Union| |#1| "failed") $) 26)) (|retract| ((|#1| $) 25)) (|order| (((|NonNegativeInteger|) $) 23)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) 24)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|differentiate| (($ $) 20) (($ $ (|NonNegativeInteger|)) 19)) (|coerce| (((|OutputForm|) $) 11) (($ |#1|) 27)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17))) 
+(((|DifferentialVariableCategory| |#1|) (|Category|) (|OrderedSet|)) (T |DifferentialVariableCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|makeVariable| (*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|variable| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|weight| (*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|differentiate| (*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(|Join| (|OrderedSet|) (|RetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE |makeVariable| ($ |t#1| (|NonNegativeInteger|))) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |variable| (|t#1| $)) (SIGNATURE |weight| ((|NonNegativeInteger|) $)) (SIGNATURE |differentiate| ($ $)) (SIGNATURE |differentiate| ($ $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ |t#1|)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedSet|) . T) ((|RetractableTo| |#1|) . T) ((|SetCategory|) . T)) 
+((|variables| (((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 40)) (|varList| (((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|)) 79)) (|sumOfSquares| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) 50)) (|splitLinear| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) 65)) (|sortConstraints| (((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 26)) (|simpleBounds?| (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) 83)) (|quadratic?| (((|Boolean|) (|Expression| (|DoubleFloat|))) 24)) (|optAttributes| (((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) 104)) (|nonLinearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) 86)) (|linearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) 85)) (|linearMatrix| (((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|)) 93)) (|linear?| (((|Boolean|) (|Expression| (|DoubleFloat|))) 20) (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) 84)) (|finiteBound| (((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|)) 14)) (|expenseOfEvaluation| (((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 99)) (|changeNameToObjf| (((|Result|) (|Symbol|) (|Result|)) 33))) 
+(((|e04AgentsPackage|) (CATEGORY |package| (SIGNATURE |finiteBound| ((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|))) (SIGNATURE |sortConstraints| ((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))))) (SIGNATURE |sumOfSquares| ((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|)))) (SIGNATURE |splitLinear| ((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |simpleBounds?| ((|Boolean|) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |linear?| ((|Boolean|) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |linear?| ((|Boolean|) (|Expression| (|DoubleFloat|)))) (SIGNATURE |linearMatrix| ((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|))) (SIGNATURE |linearPart| ((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |nonLinearPart| ((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |quadratic?| ((|Boolean|) (|Expression| (|DoubleFloat|)))) (SIGNATURE |variables| ((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |varList| ((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|))) (SIGNATURE |changeNameToObjf| ((|Result|) (|Symbol|) (|Result|))) (SIGNATURE |expenseOfEvaluation| ((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |optAttributes| ((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))))))) (T |e04AgentsPackage|)) 
+((|optAttributes| (*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|e04AgentsPackage|)))) (|expenseOfEvaluation| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|e04AgentsPackage|)))) (|changeNameToObjf| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|e04AgentsPackage|)))) (|varList| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) (|variables| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) (|quadratic?| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) (|nonLinearPart| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|)))) (|linearPart| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|)))) (|linearMatrix| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|)))) (|linear?| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) (|linear?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) (|simpleBounds?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) (|splitLinear| (*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|)))) (|sumOfSquares| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|)))) (|sortConstraints| (*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|e04AgentsPackage|)))) (|finiteBound| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |finiteBound| ((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|))) (SIGNATURE |sortConstraints| ((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))))) (SIGNATURE |sumOfSquares| ((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|)))) (SIGNATURE |splitLinear| ((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |simpleBounds?| ((|Boolean|) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |linear?| ((|Boolean|) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |linear?| ((|Boolean|) (|Expression| (|DoubleFloat|)))) (SIGNATURE |linearMatrix| ((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|))) (SIGNATURE |linearPart| ((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |nonLinearPart| ((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|))))) (SIGNATURE |quadratic?| ((|Boolean|) (|Expression| (|DoubleFloat|)))) (SIGNATURE |variables| ((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |varList| ((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|))) (SIGNATURE |changeNameToObjf| ((|Result|) (|Symbol|) (|Result|))) (SIGNATURE |expenseOfEvaluation| ((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |optAttributes| ((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))))) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 39)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 20) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04dgfAnnaType|) (|NumericalOptimizationCategory|)) (T |e04dgfAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 54) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 49)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 29) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 31)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04fdfAnnaType|) (|NumericalOptimizationCategory|)) (T |e04fdfAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 73) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 69)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 40) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 51)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04gcfAnnaType|) (|NumericalOptimizationCategory|)) (T |e04gcfAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 48)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 27) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04jafAnnaType|) (|NumericalOptimizationCategory|)) (T |e04jafAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 48)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 23) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04mbfAnnaType|) (|NumericalOptimizationCategory|)) (T |e04mbfAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 69)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 23) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04nafAnnaType|) (|NumericalOptimizationCategory|)) (T |e04nafAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 73)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 19) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|e04ucfAnnaType|) (|NumericalOptimizationCategory|)) (T |e04ucfAnnaType|)) 
+NIL 
+(|NumericalOptimizationCategory|) 
+((~= (((|Boolean|) $ $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exponents| (((|List| (|Integer|)) $) 16)) (|degree| (((|NonNegativeInteger|) $) 14)) (|coerce| (((|OutputForm|) $) 20) (($ (|List| (|Integer|))) 12)) (|Nul| (($ (|NonNegativeInteger|)) 17)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 9)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 10))) 
+(((|ExtAlgBasis|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| (|Integer|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |exponents| ((|List| (|Integer|)) $)) (SIGNATURE |Nul| ($ (|NonNegativeInteger|)))))) (T |ExtAlgBasis|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|)))) (|degree| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|)))) (|exponents| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|)))) (|Nul| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| (|Integer|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |exponents| ((|List| (|Integer|)) $)) (SIGNATURE |Nul| ($ (|NonNegativeInteger|))))) 
+((|tanh| ((|#2| |#2|) 77)) (|tan| ((|#2| |#2|) 65)) (|specialTrigs| (((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|))))) 116)) (|sinh| ((|#2| |#2|) 75)) (|sin| ((|#2| |#2|) 63)) (|sech| ((|#2| |#2|) 79)) (|sec| ((|#2| |#2|) 67)) (|pi| ((|#2|) 46)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 95)) (|log| ((|#2| |#2|) 61)) (|localReal?| (((|Boolean|) |#2|) 134)) (|iitanh| ((|#2| |#2|) 180)) (|iitan| ((|#2| |#2|) 156)) (|iisqrt3| ((|#2|) 59)) (|iisqrt2| ((|#2|) 58)) (|iisinh| ((|#2| |#2|) 176)) (|iisin| ((|#2| |#2|) 152)) (|iisech| ((|#2| |#2|) 184)) (|iisec| ((|#2| |#2|) 160)) (|iilog| ((|#2| |#2|) 148)) (|iiexp| ((|#2| |#2|) 150)) (|iicsch| ((|#2| |#2|) 186)) (|iicsc| ((|#2| |#2|) 162)) (|iicoth| ((|#2| |#2|) 182)) (|iicot| ((|#2| |#2|) 158)) (|iicosh| ((|#2| |#2|) 178)) (|iicos| ((|#2| |#2|) 154)) (|iiatanh| ((|#2| |#2|) 192)) (|iiatan| ((|#2| |#2|) 168)) (|iiasinh| ((|#2| |#2|) 188)) (|iiasin| ((|#2| |#2|) 164)) (|iiasech| ((|#2| |#2|) 196)) (|iiasec| ((|#2| |#2|) 172)) (|iiacsch| ((|#2| |#2|) 198)) (|iiacsc| ((|#2| |#2|) 174)) (|iiacoth| ((|#2| |#2|) 194)) (|iiacot| ((|#2| |#2|) 170)) (|iiacosh| ((|#2| |#2|) 190)) (|iiacos| ((|#2| |#2|) 166)) (|exp| ((|#2| |#2|) 62)) (|csch| ((|#2| |#2|) 80)) (|csc| ((|#2| |#2|) 68)) (|coth| ((|#2| |#2|) 78)) (|cot| ((|#2| |#2|) 66)) (|cosh| ((|#2| |#2|) 76)) (|cos| ((|#2| |#2|) 64)) (|belong?| (((|Boolean|) (|BasicOperator|)) 93)) (|atanh| ((|#2| |#2|) 83)) (|atan| ((|#2| |#2|) 71)) (|asinh| ((|#2| |#2|) 81)) (|asin| ((|#2| |#2|) 69)) (|asech| ((|#2| |#2|) 85)) (|asec| ((|#2| |#2|) 73)) (|acsch| ((|#2| |#2|) 86)) (|acsc| ((|#2| |#2|) 74)) (|acoth| ((|#2| |#2|) 84)) (|acot| ((|#2| |#2|) 72)) (|acosh| ((|#2| |#2|) 82)) (|acos| ((|#2| |#2|) 70))) 
+(((|ElementaryFunction| |#1| |#2|) (CATEGORY |package| (SIGNATURE |exp| (|#2| |#2|)) (SIGNATURE |log| (|#2| |#2|)) (SIGNATURE |sin| (|#2| |#2|)) (SIGNATURE |cos| (|#2| |#2|)) (SIGNATURE |tan| (|#2| |#2|)) (SIGNATURE |cot| (|#2| |#2|)) (SIGNATURE |sec| (|#2| |#2|)) (SIGNATURE |csc| (|#2| |#2|)) (SIGNATURE |asin| (|#2| |#2|)) (SIGNATURE |acos| (|#2| |#2|)) (SIGNATURE |atan| (|#2| |#2|)) (SIGNATURE |acot| (|#2| |#2|)) (SIGNATURE |asec| (|#2| |#2|)) (SIGNATURE |acsc| (|#2| |#2|)) (SIGNATURE |sinh| (|#2| |#2|)) (SIGNATURE |cosh| (|#2| |#2|)) (SIGNATURE |tanh| (|#2| |#2|)) (SIGNATURE |coth| (|#2| |#2|)) (SIGNATURE |sech| (|#2| |#2|)) (SIGNATURE |csch| (|#2| |#2|)) (SIGNATURE |asinh| (|#2| |#2|)) (SIGNATURE |acosh| (|#2| |#2|)) (SIGNATURE |atanh| (|#2| |#2|)) (SIGNATURE |acoth| (|#2| |#2|)) (SIGNATURE |asech| (|#2| |#2|)) (SIGNATURE |acsch| (|#2| |#2|)) (SIGNATURE |pi| (|#2|)) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |iisqrt2| (|#2|)) (SIGNATURE |iisqrt3| (|#2|)) (SIGNATURE |iiexp| (|#2| |#2|)) (SIGNATURE |iilog| (|#2| |#2|)) (SIGNATURE |iisin| (|#2| |#2|)) (SIGNATURE |iicos| (|#2| |#2|)) (SIGNATURE |iitan| (|#2| |#2|)) (SIGNATURE |iicot| (|#2| |#2|)) (SIGNATURE |iisec| (|#2| |#2|)) (SIGNATURE |iicsc| (|#2| |#2|)) (SIGNATURE |iiasin| (|#2| |#2|)) (SIGNATURE |iiacos| (|#2| |#2|)) (SIGNATURE |iiatan| (|#2| |#2|)) (SIGNATURE |iiacot| (|#2| |#2|)) (SIGNATURE |iiasec| (|#2| |#2|)) (SIGNATURE |iiacsc| (|#2| |#2|)) (SIGNATURE |iisinh| (|#2| |#2|)) (SIGNATURE |iicosh| (|#2| |#2|)) (SIGNATURE |iitanh| (|#2| |#2|)) (SIGNATURE |iicoth| (|#2| |#2|)) (SIGNATURE |iisech| (|#2| |#2|)) (SIGNATURE |iicsch| (|#2| |#2|)) (SIGNATURE |iiasinh| (|#2| |#2|)) (SIGNATURE |iiacosh| (|#2| |#2|)) (SIGNATURE |iiatanh| (|#2| |#2|)) (SIGNATURE |iiacoth| (|#2| |#2|)) (SIGNATURE |iiasech| (|#2| |#2|)) (SIGNATURE |iiacsch| (|#2| |#2|)) (SIGNATURE |specialTrigs| ((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|)))))) (SIGNATURE |localReal?| ((|Boolean|) |#2|))) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|Join| (|FunctionSpace| |#1|) (|RadicalCategory|))) (T |ElementaryFunction|)) 
+((|localReal?| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) (|specialTrigs| (*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|List| (|Record| (|:| |func| *2) (|:| |pole| (|Boolean|))))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *4 *2)))) (|iiacsch| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiasech| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiacoth| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiatanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiacosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiasinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iicsch| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iisech| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iicoth| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iitanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iicosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iisinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiacsc| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiasec| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiacot| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiatan| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiacos| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiasin| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iicsc| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iisec| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iicot| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iitan| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iicos| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iisin| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iilog| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iiexp| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|iisqrt3| (*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iisqrt2| (*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) (|pi| (*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|acsch| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|asech| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|acoth| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|atanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|acosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|asinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|csch| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|sech| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|coth| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|tanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|cosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|sinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|acsc| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|asec| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|acot| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|atan| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|acos| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|asin| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|csc| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|sec| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|cot| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|tan| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|cos| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|sin| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|log| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) (|exp| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |exp| (|#2| |#2|)) (SIGNATURE |log| (|#2| |#2|)) (SIGNATURE |sin| (|#2| |#2|)) (SIGNATURE |cos| (|#2| |#2|)) (SIGNATURE |tan| (|#2| |#2|)) (SIGNATURE |cot| (|#2| |#2|)) (SIGNATURE |sec| (|#2| |#2|)) (SIGNATURE |csc| (|#2| |#2|)) (SIGNATURE |asin| (|#2| |#2|)) (SIGNATURE |acos| (|#2| |#2|)) (SIGNATURE |atan| (|#2| |#2|)) (SIGNATURE |acot| (|#2| |#2|)) (SIGNATURE |asec| (|#2| |#2|)) (SIGNATURE |acsc| (|#2| |#2|)) (SIGNATURE |sinh| (|#2| |#2|)) (SIGNATURE |cosh| (|#2| |#2|)) (SIGNATURE |tanh| (|#2| |#2|)) (SIGNATURE |coth| (|#2| |#2|)) (SIGNATURE |sech| (|#2| |#2|)) (SIGNATURE |csch| (|#2| |#2|)) (SIGNATURE |asinh| (|#2| |#2|)) (SIGNATURE |acosh| (|#2| |#2|)) (SIGNATURE |atanh| (|#2| |#2|)) (SIGNATURE |acoth| (|#2| |#2|)) (SIGNATURE |asech| (|#2| |#2|)) (SIGNATURE |acsch| (|#2| |#2|)) (SIGNATURE |pi| (|#2|)) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |iisqrt2| (|#2|)) (SIGNATURE |iisqrt3| (|#2|)) (SIGNATURE |iiexp| (|#2| |#2|)) (SIGNATURE |iilog| (|#2| |#2|)) (SIGNATURE |iisin| (|#2| |#2|)) (SIGNATURE |iicos| (|#2| |#2|)) (SIGNATURE |iitan| (|#2| |#2|)) (SIGNATURE |iicot| (|#2| |#2|)) (SIGNATURE |iisec| (|#2| |#2|)) (SIGNATURE |iicsc| (|#2| |#2|)) (SIGNATURE |iiasin| (|#2| |#2|)) (SIGNATURE |iiacos| (|#2| |#2|)) (SIGNATURE |iiatan| (|#2| |#2|)) (SIGNATURE |iiacot| (|#2| |#2|)) (SIGNATURE |iiasec| (|#2| |#2|)) (SIGNATURE |iiacsc| (|#2| |#2|)) (SIGNATURE |iisinh| (|#2| |#2|)) (SIGNATURE |iicosh| (|#2| |#2|)) (SIGNATURE |iitanh| (|#2| |#2|)) (SIGNATURE |iicoth| (|#2| |#2|)) (SIGNATURE |iisech| (|#2| |#2|)) (SIGNATURE |iicsch| (|#2| |#2|)) (SIGNATURE |iiasinh| (|#2| |#2|)) (SIGNATURE |iiacosh| (|#2| |#2|)) (SIGNATURE |iiatanh| (|#2| |#2|)) (SIGNATURE |iiacoth| (|#2| |#2|)) (SIGNATURE |iiasech| (|#2| |#2|)) (SIGNATURE |iiacsch| (|#2| |#2|)) (SIGNATURE |specialTrigs| ((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|)))))) (SIGNATURE |localReal?| ((|Boolean|) |#2|))) 
+((|validExponential| (((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|)) 133)) (|tanQ| ((|#2| (|Fraction| (|Integer|)) |#2|) 50)) (|rootNormalize| ((|#2| |#2| (|Kernel| |#2|)) 126)) (|rischNormalize| (((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|)) 125)) (|realElementary| ((|#2| |#2| (|Symbol|)) 19) ((|#2| |#2|) 22)) (|normalize| ((|#2| |#2| (|Symbol|)) 139) ((|#2| |#2|) 137))) 
+(((|ElementaryFunctionStructurePackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |normalize| (|#2| |#2|)) (SIGNATURE |normalize| (|#2| |#2| (|Symbol|))) (SIGNATURE |rischNormalize| ((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|))) (SIGNATURE |realElementary| (|#2| |#2|)) (SIGNATURE |realElementary| (|#2| |#2| (|Symbol|))) (SIGNATURE |validExponential| ((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|))) (SIGNATURE |rootNormalize| (|#2| |#2| (|Kernel| |#2|))) (SIGNATURE |tanQ| (|#2| (|Fraction| (|Integer|)) |#2|))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |ElementaryFunctionStructurePackage|)) 
+((|tanQ| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|rootNormalize| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)))) (|validExponential| (*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *2)))) (|realElementary| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|realElementary| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) (|rischNormalize| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |kers| (|List| (|Kernel| *3))) (|:| |vals| (|List| *3)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|normalize| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|normalize| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(CATEGORY |package| (SIGNATURE |normalize| (|#2| |#2|)) (SIGNATURE |normalize| (|#2| |#2| (|Symbol|))) (SIGNATURE |rischNormalize| ((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|))) (SIGNATURE |realElementary| (|#2| |#2|)) (SIGNATURE |realElementary| (|#2| |#2| (|Symbol|))) (SIGNATURE |validExponential| ((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|))) (SIGNATURE |rootNormalize| (|#2| |#2| (|Kernel| |#2|))) (SIGNATURE |tanQ| (|#2| (|Fraction| (|Integer|)) |#2|))) 
+((|tanhIfCan| (((|Union| |#3| "failed") |#3|) 110)) (|tanh| ((|#3| |#3|) 131)) (|tanIfCan| (((|Union| |#3| "failed") |#3|) 82)) (|tan| ((|#3| |#3|) 121)) (|sinhIfCan| (((|Union| |#3| "failed") |#3|) 58)) (|sinh| ((|#3| |#3|) 129)) (|sinIfCan| (((|Union| |#3| "failed") |#3|) 46)) (|sin| ((|#3| |#3|) 119)) (|sechIfCan| (((|Union| |#3| "failed") |#3|) 112)) (|sech| ((|#3| |#3|) 133)) (|secIfCan| (((|Union| |#3| "failed") |#3|) 84)) (|sec| ((|#3| |#3|) 123)) (|nthRootIfCan| (((|Union| |#3| "failed") |#3| (|NonNegativeInteger|)) 36)) (|logIfCan| (((|Union| |#3| "failed") |#3|) 74)) (|log| ((|#3| |#3|) 118)) (|expIfCan| (((|Union| |#3| "failed") |#3|) 44)) (|exp| ((|#3| |#3|) 117)) (|cschIfCan| (((|Union| |#3| "failed") |#3|) 113)) (|csch| ((|#3| |#3|) 134)) (|cscIfCan| (((|Union| |#3| "failed") |#3|) 85)) (|csc| ((|#3| |#3|) 124)) (|cothIfCan| (((|Union| |#3| "failed") |#3|) 111)) (|coth| ((|#3| |#3|) 132)) (|cotIfCan| (((|Union| |#3| "failed") |#3|) 83)) (|cot| ((|#3| |#3|) 122)) (|coshIfCan| (((|Union| |#3| "failed") |#3|) 60)) (|cosh| ((|#3| |#3|) 130)) (|cosIfCan| (((|Union| |#3| "failed") |#3|) 48)) (|cos| ((|#3| |#3|) 120)) (|atanhIfCan| (((|Union| |#3| "failed") |#3|) 66)) (|atanh| ((|#3| |#3|) 137)) (|atanIfCan| (((|Union| |#3| "failed") |#3|) 104)) (|atan| ((|#3| |#3|) 142)) (|asinhIfCan| (((|Union| |#3| "failed") |#3|) 62)) (|asinh| ((|#3| |#3|) 135)) (|asinIfCan| (((|Union| |#3| "failed") |#3|) 50)) (|asin| ((|#3| |#3|) 125)) (|asechIfCan| (((|Union| |#3| "failed") |#3|) 70)) (|asech| ((|#3| |#3|) 139)) (|asecIfCan| (((|Union| |#3| "failed") |#3|) 54)) (|asec| ((|#3| |#3|) 127)) (|acschIfCan| (((|Union| |#3| "failed") |#3|) 72)) (|acsch| ((|#3| |#3|) 140)) (|acscIfCan| (((|Union| |#3| "failed") |#3|) 56)) (|acsc| ((|#3| |#3|) 128)) (|acothIfCan| (((|Union| |#3| "failed") |#3|) 68)) (|acoth| ((|#3| |#3|) 138)) (|acotIfCan| (((|Union| |#3| "failed") |#3|) 107)) (|acot| ((|#3| |#3|) 143)) (|acoshIfCan| (((|Union| |#3| "failed") |#3|) 64)) (|acosh| ((|#3| |#3|) 136)) (|acosIfCan| (((|Union| |#3| "failed") |#3|) 52)) (|acos| ((|#3| |#3|) 126)) (** ((|#3| |#3| (|Fraction| (|Integer|))) 40 (|has| |#1| (|Field|))))) 
+(((|ElementaryFunctionsUnivariateLaurentSeries| |#1| |#2| |#3|) (|Join| (|PartialTranscendentalFunctions| |#3|) (CATEGORY |package| (IF (|has| |#1| (|Field|)) (SIGNATURE ** (|#3| |#3| (|Fraction| (|Integer|)))) |noBranch|) (SIGNATURE |exp| (|#3| |#3|)) (SIGNATURE |log| (|#3| |#3|)) (SIGNATURE |sin| (|#3| |#3|)) (SIGNATURE |cos| (|#3| |#3|)) (SIGNATURE |tan| (|#3| |#3|)) (SIGNATURE |cot| (|#3| |#3|)) (SIGNATURE |sec| (|#3| |#3|)) (SIGNATURE |csc| (|#3| |#3|)) (SIGNATURE |asin| (|#3| |#3|)) (SIGNATURE |acos| (|#3| |#3|)) (SIGNATURE |atan| (|#3| |#3|)) (SIGNATURE |acot| (|#3| |#3|)) (SIGNATURE |asec| (|#3| |#3|)) (SIGNATURE |acsc| (|#3| |#3|)) (SIGNATURE |sinh| (|#3| |#3|)) (SIGNATURE |cosh| (|#3| |#3|)) (SIGNATURE |tanh| (|#3| |#3|)) (SIGNATURE |coth| (|#3| |#3|)) (SIGNATURE |sech| (|#3| |#3|)) (SIGNATURE |csch| (|#3| |#3|)) (SIGNATURE |asinh| (|#3| |#3|)) (SIGNATURE |acosh| (|#3| |#3|)) (SIGNATURE |atanh| (|#3| |#3|)) (SIGNATURE |acoth| (|#3| |#3|)) (SIGNATURE |asech| (|#3| |#3|)) (SIGNATURE |acsch| (|#3| |#3|)))) (|Algebra| (|Fraction| (|Integer|))) (|UnivariateTaylorSeriesCategory| |#1|) (|UnivariateLaurentSeriesConstructorCategory| |#1| |#2|)) (T |ElementaryFunctionsUnivariateLaurentSeries|)) 
+((** (*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *4 *5 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *4 *5)))) (|exp| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|log| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|sin| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|cos| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|tan| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|cot| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|sec| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|csc| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|asin| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|acos| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|atan| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|acot| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|asec| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|acsc| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|sinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|cosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|tanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|coth| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|sech| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|csch| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|asinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|acosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|atanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|acoth| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|asech| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) (|acsch| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4))))) 
+(|Join| (|PartialTranscendentalFunctions| |#3|) (CATEGORY |package| (IF (|has| |#1| (|Field|)) (SIGNATURE ** (|#3| |#3| (|Fraction| (|Integer|)))) |noBranch|) (SIGNATURE |exp| (|#3| |#3|)) (SIGNATURE |log| (|#3| |#3|)) (SIGNATURE |sin| (|#3| |#3|)) (SIGNATURE |cos| (|#3| |#3|)) (SIGNATURE |tan| (|#3| |#3|)) (SIGNATURE |cot| (|#3| |#3|)) (SIGNATURE |sec| (|#3| |#3|)) (SIGNATURE |csc| (|#3| |#3|)) (SIGNATURE |asin| (|#3| |#3|)) (SIGNATURE |acos| (|#3| |#3|)) (SIGNATURE |atan| (|#3| |#3|)) (SIGNATURE |acot| (|#3| |#3|)) (SIGNATURE |asec| (|#3| |#3|)) (SIGNATURE |acsc| (|#3| |#3|)) (SIGNATURE |sinh| (|#3| |#3|)) (SIGNATURE |cosh| (|#3| |#3|)) (SIGNATURE |tanh| (|#3| |#3|)) (SIGNATURE |coth| (|#3| |#3|)) (SIGNATURE |sech| (|#3| |#3|)) (SIGNATURE |csch| (|#3| |#3|)) (SIGNATURE |asinh| (|#3| |#3|)) (SIGNATURE |acosh| (|#3| |#3|)) (SIGNATURE |atanh| (|#3| |#3|)) (SIGNATURE |acoth| (|#3| |#3|)) (SIGNATURE |asech| (|#3| |#3|)) (SIGNATURE |acsch| (|#3| |#3|)))) 
+((|tanhIfCan| (((|Union| |#3| "failed") |#3|) 66)) (|tanh| ((|#3| |#3|) 133)) (|tanIfCan| (((|Union| |#3| "failed") |#3|) 50)) (|tan| ((|#3| |#3|) 121)) (|sinhIfCan| (((|Union| |#3| "failed") |#3|) 62)) (|sinh| ((|#3| |#3|) 131)) (|sinIfCan| (((|Union| |#3| "failed") |#3|) 46)) (|sin| ((|#3| |#3|) 119)) (|sechIfCan| (((|Union| |#3| "failed") |#3|) 70)) (|sech| ((|#3| |#3|) 135)) (|secIfCan| (((|Union| |#3| "failed") |#3|) 54)) (|sec| ((|#3| |#3|) 123)) (|nthRootIfCan| (((|Union| |#3| "failed") |#3| (|NonNegativeInteger|)) 35)) (|logIfCan| (((|Union| |#3| "failed") |#3|) 44)) (|log| ((|#3| |#3|) 112)) (|expIfCan| (((|Union| |#3| "failed") |#3|) 42)) (|exp| ((|#3| |#3|) 118)) (|cschIfCan| (((|Union| |#3| "failed") |#3|) 72)) (|csch| ((|#3| |#3|) 136)) (|cscIfCan| (((|Union| |#3| "failed") |#3|) 56)) (|csc| ((|#3| |#3|) 124)) (|cothIfCan| (((|Union| |#3| "failed") |#3|) 68)) (|coth| ((|#3| |#3|) 134)) (|cotIfCan| (((|Union| |#3| "failed") |#3|) 52)) (|cot| ((|#3| |#3|) 122)) (|coshIfCan| (((|Union| |#3| "failed") |#3|) 64)) (|cosh| ((|#3| |#3|) 132)) (|cosIfCan| (((|Union| |#3| "failed") |#3|) 48)) (|cos| ((|#3| |#3|) 120)) (|atanhIfCan| (((|Union| |#3| "failed") |#3|) 78)) (|atanh| ((|#3| |#3|) 139)) (|atanIfCan| (((|Union| |#3| "failed") |#3|) 58)) (|atan| ((|#3| |#3|) 127)) (|asinhIfCan| (((|Union| |#3| "failed") |#3|) 74)) (|asinh| ((|#3| |#3|) 137)) (|asinIfCan| (((|Union| |#3| "failed") |#3|) 102)) (|asin| ((|#3| |#3|) 125)) (|asechIfCan| (((|Union| |#3| "failed") |#3|) 82)) (|asech| ((|#3| |#3|) 141)) (|asecIfCan| (((|Union| |#3| "failed") |#3|) 109)) (|asec| ((|#3| |#3|) 129)) (|acschIfCan| (((|Union| |#3| "failed") |#3|) 84)) (|acsch| ((|#3| |#3|) 142)) (|acscIfCan| (((|Union| |#3| "failed") |#3|) 111)) (|acsc| ((|#3| |#3|) 130)) (|acothIfCan| (((|Union| |#3| "failed") |#3|) 80)) (|acoth| ((|#3| |#3|) 140)) (|acotIfCan| (((|Union| |#3| "failed") |#3|) 60)) (|acot| ((|#3| |#3|) 128)) (|acoshIfCan| (((|Union| |#3| "failed") |#3|) 76)) (|acosh| ((|#3| |#3|) 138)) (|acosIfCan| (((|Union| |#3| "failed") |#3|) 105)) (|acos| ((|#3| |#3|) 126)) (** ((|#3| |#3| (|Fraction| (|Integer|))) 40 (|has| |#1| (|Field|))))) 
+(((|ElementaryFunctionsUnivariatePuiseuxSeries| |#1| |#2| |#3| |#4|) (|Join| (|PartialTranscendentalFunctions| |#3|) (CATEGORY |package| (IF (|has| |#1| (|Field|)) (SIGNATURE ** (|#3| |#3| (|Fraction| (|Integer|)))) |noBranch|) (SIGNATURE |exp| (|#3| |#3|)) (SIGNATURE |log| (|#3| |#3|)) (SIGNATURE |sin| (|#3| |#3|)) (SIGNATURE |cos| (|#3| |#3|)) (SIGNATURE |tan| (|#3| |#3|)) (SIGNATURE |cot| (|#3| |#3|)) (SIGNATURE |sec| (|#3| |#3|)) (SIGNATURE |csc| (|#3| |#3|)) (SIGNATURE |asin| (|#3| |#3|)) (SIGNATURE |acos| (|#3| |#3|)) (SIGNATURE |atan| (|#3| |#3|)) (SIGNATURE |acot| (|#3| |#3|)) (SIGNATURE |asec| (|#3| |#3|)) (SIGNATURE |acsc| (|#3| |#3|)) (SIGNATURE |sinh| (|#3| |#3|)) (SIGNATURE |cosh| (|#3| |#3|)) (SIGNATURE |tanh| (|#3| |#3|)) (SIGNATURE |coth| (|#3| |#3|)) (SIGNATURE |sech| (|#3| |#3|)) (SIGNATURE |csch| (|#3| |#3|)) (SIGNATURE |asinh| (|#3| |#3|)) (SIGNATURE |acosh| (|#3| |#3|)) (SIGNATURE |atanh| (|#3| |#3|)) (SIGNATURE |acoth| (|#3| |#3|)) (SIGNATURE |asech| (|#3| |#3|)) (SIGNATURE |acsch| (|#3| |#3|)))) (|Algebra| (|Fraction| (|Integer|))) (|UnivariateLaurentSeriesCategory| |#1|) (|UnivariatePuiseuxSeriesConstructorCategory| |#1| |#2|) (|PartialTranscendentalFunctions| |#2|)) (T |ElementaryFunctionsUnivariatePuiseuxSeries|)) 
+((** (*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateLaurentSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *5)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)))) (|exp| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|log| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|sin| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|cos| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|tan| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|cot| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|sec| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|csc| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|asin| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|acos| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|atan| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|acot| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|asec| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|acsc| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|sinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|cosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|tanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|coth| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|sech| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|csch| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|asinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|acosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|atanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|acoth| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|asech| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) (|acsch| (*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4))))) 
+(|Join| (|PartialTranscendentalFunctions| |#3|) (CATEGORY |package| (IF (|has| |#1| (|Field|)) (SIGNATURE ** (|#3| |#3| (|Fraction| (|Integer|)))) |noBranch|) (SIGNATURE |exp| (|#3| |#3|)) (SIGNATURE |log| (|#3| |#3|)) (SIGNATURE |sin| (|#3| |#3|)) (SIGNATURE |cos| (|#3| |#3|)) (SIGNATURE |tan| (|#3| |#3|)) (SIGNATURE |cot| (|#3| |#3|)) (SIGNATURE |sec| (|#3| |#3|)) (SIGNATURE |csc| (|#3| |#3|)) (SIGNATURE |asin| (|#3| |#3|)) (SIGNATURE |acos| (|#3| |#3|)) (SIGNATURE |atan| (|#3| |#3|)) (SIGNATURE |acot| (|#3| |#3|)) (SIGNATURE |asec| (|#3| |#3|)) (SIGNATURE |acsc| (|#3| |#3|)) (SIGNATURE |sinh| (|#3| |#3|)) (SIGNATURE |cosh| (|#3| |#3|)) (SIGNATURE |tanh| (|#3| |#3|)) (SIGNATURE |coth| (|#3| |#3|)) (SIGNATURE |sech| (|#3| |#3|)) (SIGNATURE |csch| (|#3| |#3|)) (SIGNATURE |asinh| (|#3| |#3|)) (SIGNATURE |acosh| (|#3| |#3|)) (SIGNATURE |atanh| (|#3| |#3|)) (SIGNATURE |acoth| (|#3| |#3|)) (SIGNATURE |asech| (|#3| |#3|)) (SIGNATURE |acsch| (|#3| |#3|)))) 
+((|select| (($ (|Mapping| (|Boolean|) |#2|) $) 23)) (|removeDuplicates| (($ $) 36)) (|remove!| (($ (|Mapping| (|Boolean|) |#2|) $) NIL) (($ |#2| $) 34)) (|remove| (($ |#2| $) 31) (($ (|Mapping| (|Boolean|) |#2|) $) 17)) (|merge!| (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (|insert| (($ |#2| $ (|Integer|)) 19) (($ $ $ (|Integer|)) 21)) (|delete| (($ $ (|Integer|)) 11) (($ $ (|UniversalSegment| (|Integer|))) 14)) (|concat!| (($ $ |#2|) 29) (($ $ $) NIL)) (|concat| (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (|List| $)) NIL))) 
+(((|ExtensibleLinearAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |merge!| (|#1| |#1| |#1|)) (SIGNATURE |remove!| (|#1| |#2| |#1|)) (SIGNATURE |merge!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |concat!| (|#1| |#1| |#1|)) (SIGNATURE |concat!| (|#1| |#1| |#2|)) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |remove| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |select| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove| (|#1| |#2| |#1|)) (SIGNATURE |removeDuplicates| (|#1| |#1|))) (|ExtensibleLinearAggregate| |#2|) (|Type|)) (T |ExtensibleLinearAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |merge!| (|#1| |#1| |#1|)) (SIGNATURE |remove!| (|#1| |#2| |#1|)) (SIGNATURE |merge!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |concat!| (|#1| |#1| |#1|)) (SIGNATURE |concat!| (|#1| |#1| |#2|)) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |remove| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |select| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove| (|#1| |#2| |#1|)) (SIGNATURE |removeDuplicates| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) |#1|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 78)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates!| (($ $) 76 (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) 73 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (|SetCategory|)))) (|remove| (($ |#1| $) 72 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 71 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 48)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|merge!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 59)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|insert!| (($ |#1| $ (|Integer|)) 81) (($ $ $ (|Integer|)) 80)) (|insert| (($ |#1| $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 66)) (|fill!| (($ $ |#1|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) |#1|) 47) ((|#1| $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58)) (|delete!| (($ $ (|Integer|)) 84) (($ $ (|UniversalSegment| (|Integer|))) 83)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 65)) (|concat!| (($ $ |#1|) 86) (($ $ $) 85)) (|concat| (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ExtensibleLinearAggregate| |#1|) (|Category|) (|Type|)) (T |ExtensibleLinearAggregate|)) 
+((|concat!| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat!| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|delete!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|delete!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|remove!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|insert!| (*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|insert!| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|merge!| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|select!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|remove!| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) (|removeDuplicates!| (*1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) (|merge!| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|LinearAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |concat!| ($ $ |t#1|)) (SIGNATURE |concat!| ($ $ $)) (SIGNATURE |delete!| ($ $ (|Integer|))) (SIGNATURE |delete!| ($ $ (|UniversalSegment| (|Integer|)))) (SIGNATURE |remove!| ($ (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |insert!| ($ |t#1| $ (|Integer|))) (SIGNATURE |insert!| ($ $ $ (|Integer|))) (SIGNATURE |merge!| ($ (|Mapping| (|Boolean|) |t#1| |t#1|) $ $)) (SIGNATURE |select!| ($ (|Mapping| (|Boolean|) |t#1|) $)) (IF (|has| |t#1| (|SetCategory|)) (PROGN (SIGNATURE |remove!| ($ |t#1| $)) (SIGNATURE |removeDuplicates!| ($ $))) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (SIGNATURE |merge!| ($ $ $)) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
 ((** (($ $ $) 10))) 
-(((-300 |#1|) (-10 -8 (-15 ** (|#1| |#1| |#1|))) (-301)) (T -300)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| |#1|))) 
-((-4546 (($ $) 6)) (-1430 (($ $) 7)) (** (($ $ $) 8))) 
-(((-301) (-1311)) (T -301)) 
-((** (*1 *1 *1 *1) (-4 *1 (-301))) (-1430 (*1 *1 *1) (-4 *1 (-301))) (-4546 (*1 *1 *1) (-4 *1 (-301)))) 
-(-13 (-10 -8 (-15 -4546 ($ $)) (-15 -1430 ($ $)) (-15 ** ($ $ $)))) 
-((-4268 (((-658 (-1171 |#1|)) (-1171 |#1|) |#1|) 35)) (-4305 ((|#2| |#2| |#1|) 38)) (-2383 ((|#2| |#2| |#1|) 40)) (-2878 ((|#2| |#2| |#1|) 39))) 
-(((-302 |#1| |#2|) (-10 -7 (-15 -4305 (|#2| |#2| |#1|)) (-15 -2878 (|#2| |#2| |#1|)) (-15 -2383 (|#2| |#2| |#1|)) (-15 -4268 ((-658 (-1171 |#1|)) (-1171 |#1|) |#1|))) (-388) (-1270 |#1|)) (T -302)) 
-((-4268 (*1 *2 *3 *4) (-12 (-4 *4 (-388)) (-5 *2 (-658 (-1171 *4))) (-5 *1 (-302 *4 *5)) (-5 *3 (-1171 *4)) (-4 *5 (-1270 *4)))) (-2383 (*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-302 *3 *2)) (-4 *2 (-1270 *3)))) (-2878 (*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-302 *3 *2)) (-4 *2 (-1270 *3)))) (-4305 (*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-302 *3 *2)) (-4 *2 (-1270 *3))))) 
-(-10 -7 (-15 -4305 (|#2| |#2| |#1|)) (-15 -2878 (|#2| |#2| |#1|)) (-15 -2383 (|#2| |#2| |#1|)) (-15 -4268 ((-658 (-1171 |#1|)) (-1171 |#1|) |#1|))) 
-((-3927 ((|#2| $ |#1|) 6))) 
-(((-303 |#1| |#2|) (-1311) (-1119) (-1225)) (T -303)) 
-((-3927 (*1 *2 *1 *3) (-12 (-4 *1 (-303 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225))))) 
-(-13 (-10 -8 (-15 -3927 (|t#2| $ |t#1|)))) 
-((-1426 ((|#3| $ |#2| |#3|) 12)) (-3959 ((|#3| $ |#2|) 10))) 
-(((-304 |#1| |#2| |#3|) (-10 -8 (-15 -1426 (|#3| |#1| |#2| |#3|)) (-15 -3959 (|#3| |#1| |#2|))) (-305 |#2| |#3|) (-1119) (-1225)) (T -304)) 
-NIL 
-(-10 -8 (-15 -1426 (|#3| |#1| |#2| |#3|)) (-15 -3959 (|#3| |#1| |#2|))) 
-((-3932 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4626)))) (-1426 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) 9)) (-3927 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
-(((-305 |#1| |#2|) (-1311) (-1119) (-1225)) (T -305)) 
-((-3927 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) (-3959 (*1 *2 *1 *3) (-12 (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) (-3932 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) (-1426 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225))))) 
-(-13 (-303 |t#1| |t#2|) (-10 -8 (-15 -3927 (|t#2| $ |t#1| |t#2|)) (-15 -3959 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4626)) (PROGN (-15 -3932 (|t#2| $ |t#1| |t#2|)) (-15 -1426 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
-(((-303 |#1| |#2|) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 34)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 39)) (-1555 (($ $) 37)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) 32)) (-3657 (($ |#2| |#3|) 19)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1704 ((|#3| $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 20)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2314 (((-3 $ "failed") $ $) NIL)) (-2769 (((-790) $) 33)) (-3927 ((|#2| $ |#2|) 41)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 24)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 27 T CONST)) (-4257 (($) 35 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 36))) 
-(((-306 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-323) (-10 -8 (-15 -1704 (|#3| $)) (-15 -1683 (|#2| $)) (-15 -3657 ($ |#2| |#3|)) (-15 -2314 ((-3 $ "failed") $ $)) (-15 -3371 ((-3 $ "failed") $)) (-15 -4552 ($ $)) (-15 -3927 (|#2| $ |#2|)))) (-194) (-1255 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -306)) 
-((-3371 (*1 *1 *1) (|partial| -12 (-4 *2 (-194)) (-5 *1 (-306 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-1704 (*1 *2 *1) (-12 (-4 *3 (-194)) (-4 *2 (-23)) (-5 *1 (-306 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1255 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-1683 (*1 *2 *1) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-306 *3 *2 *4 *5 *6 *7)) (-4 *3 (-194)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-3657 (*1 *1 *2 *3) (-12 (-4 *4 (-194)) (-5 *1 (-306 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1255 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2314 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-194)) (-5 *1 (-306 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-4552 (*1 *1 *1) (-12 (-4 *2 (-194)) (-5 *1 (-306 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-3927 (*1 *2 *1 *2) (-12 (-4 *3 (-194)) (-5 *1 (-306 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1255 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
-(-13 (-323) (-10 -8 (-15 -1704 (|#3| $)) (-15 -1683 (|#2| $)) (-15 -3657 ($ |#2| |#3|)) (-15 -2314 ((-3 $ "failed") $ $)) (-15 -3371 ((-3 $ "failed") $)) (-15 -4552 ($ $)) (-15 -3927 (|#2| $ |#2|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-307) (-1311)) (T -307)) 
-NIL 
-(-13 (-1075) (-140 $ $) (-10 -7 (-6 -4618))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2693 (((-658 (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |geneigvec| (-658 (-706 (-433 (-980 |#1|))))))) (-706 (-433 (-980 |#1|)))) 83)) (-1820 (((-658 (-706 (-433 (-980 |#1|)))) (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 |#1|)))))) (-706 (-433 (-980 |#1|)))) 78) (((-658 (-706 (-433 (-980 |#1|)))) (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|))) (-706 (-433 (-980 |#1|))) (-790) (-790)) 36)) (-2798 (((-658 (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 |#1|))))))) (-706 (-433 (-980 |#1|)))) 80)) (-2287 (((-658 (-706 (-433 (-980 |#1|)))) (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|))) (-706 (-433 (-980 |#1|)))) 60)) (-2014 (((-658 (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (-706 (-433 (-980 |#1|)))) 59)) (-4198 (((-980 |#1|) (-706 (-433 (-980 |#1|)))) 47) (((-980 |#1|) (-706 (-433 (-980 |#1|))) (-1191)) 48))) 
-(((-308 |#1|) (-10 -7 (-15 -4198 ((-980 |#1|) (-706 (-433 (-980 |#1|))) (-1191))) (-15 -4198 ((-980 |#1|) (-706 (-433 (-980 |#1|))))) (-15 -2014 ((-658 (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (-706 (-433 (-980 |#1|))))) (-15 -2287 ((-658 (-706 (-433 (-980 |#1|)))) (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|))) (-706 (-433 (-980 |#1|))))) (-15 -1820 ((-658 (-706 (-433 (-980 |#1|)))) (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|))) (-706 (-433 (-980 |#1|))) (-790) (-790))) (-15 -1820 ((-658 (-706 (-433 (-980 |#1|)))) (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 |#1|)))))) (-706 (-433 (-980 |#1|))))) (-15 -2693 ((-658 (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |geneigvec| (-658 (-706 (-433 (-980 |#1|))))))) (-706 (-433 (-980 |#1|))))) (-15 -2798 ((-658 (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 |#1|))))))) (-706 (-433 (-980 |#1|)))))) (-477)) (T -308)) 
-((-2798 (*1 *2 *3) (-12 (-4 *4 (-477)) (-5 *2 (-658 (-2 (|:| |eigval| (-3 (-433 (-980 *4)) (-1180 (-1191) (-980 *4)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 *4)))))))) (-5 *1 (-308 *4)) (-5 *3 (-706 (-433 (-980 *4)))))) (-2693 (*1 *2 *3) (-12 (-4 *4 (-477)) (-5 *2 (-658 (-2 (|:| |eigval| (-3 (-433 (-980 *4)) (-1180 (-1191) (-980 *4)))) (|:| |geneigvec| (-658 (-706 (-433 (-980 *4)))))))) (-5 *1 (-308 *4)) (-5 *3 (-706 (-433 (-980 *4)))))) (-1820 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-433 (-980 *5)) (-1180 (-1191) (-980 *5)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 *4)))) (-4 *5 (-477)) (-5 *2 (-658 (-706 (-433 (-980 *5))))) (-5 *1 (-308 *5)) (-5 *4 (-706 (-433 (-980 *5)))))) (-1820 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-433 (-980 *6)) (-1180 (-1191) (-980 *6)))) (-5 *5 (-790)) (-4 *6 (-477)) (-5 *2 (-658 (-706 (-433 (-980 *6))))) (-5 *1 (-308 *6)) (-5 *4 (-706 (-433 (-980 *6)))))) (-2287 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-433 (-980 *5)) (-1180 (-1191) (-980 *5)))) (-4 *5 (-477)) (-5 *2 (-658 (-706 (-433 (-980 *5))))) (-5 *1 (-308 *5)) (-5 *4 (-706 (-433 (-980 *5)))))) (-2014 (*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 *4)))) (-4 *4 (-477)) (-5 *2 (-658 (-3 (-433 (-980 *4)) (-1180 (-1191) (-980 *4))))) (-5 *1 (-308 *4)))) (-4198 (*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 *4)))) (-5 *2 (-980 *4)) (-5 *1 (-308 *4)) (-4 *4 (-477)))) (-4198 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-980 *5)))) (-5 *4 (-1191)) (-5 *2 (-980 *5)) (-5 *1 (-308 *5)) (-4 *5 (-477))))) 
-(-10 -7 (-15 -4198 ((-980 |#1|) (-706 (-433 (-980 |#1|))) (-1191))) (-15 -4198 ((-980 |#1|) (-706 (-433 (-980 |#1|))))) (-15 -2014 ((-658 (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (-706 (-433 (-980 |#1|))))) (-15 -2287 ((-658 (-706 (-433 (-980 |#1|)))) (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|))) (-706 (-433 (-980 |#1|))))) (-15 -1820 ((-658 (-706 (-433 (-980 |#1|)))) (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|))) (-706 (-433 (-980 |#1|))) (-790) (-790))) (-15 -1820 ((-658 (-706 (-433 (-980 |#1|)))) (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 |#1|)))))) (-706 (-433 (-980 |#1|))))) (-15 -2693 ((-658 (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |geneigvec| (-658 (-706 (-433 (-980 |#1|))))))) (-706 (-433 (-980 |#1|))))) (-15 -2798 ((-658 (-2 (|:| |eigval| (-3 (-433 (-980 |#1|)) (-1180 (-1191) (-980 |#1|)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 |#1|))))))) (-706 (-433 (-980 |#1|)))))) 
-((-2731 (((-310 |#2|) (-1 |#2| |#1|) (-310 |#1|)) 14))) 
-(((-309 |#1| |#2|) (-10 -7 (-15 -2731 ((-310 |#2|) (-1 |#2| |#1|) (-310 |#1|)))) (-1225) (-1225)) (T -309)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-310 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-310 *6)) (-5 *1 (-309 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-310 |#2|) (-1 |#2| |#1|) (-310 |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2272 (((-141) $) NIL (|has| |#1| (-21)))) (-1905 (($ $) 22)) (-2350 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3147 (($ $ $) 93 (|has| |#1| (-318)))) (-3001 (($) NIL (-3836 (|has| |#1| (-21)) (|has| |#1| (-743))) CONST)) (-2151 (($ $) 8 (|has| |#1| (-21)))) (-3837 (((-3 $ "failed") $) 68 (|has| |#1| (-743)))) (-1673 ((|#1| $) 21)) (-3371 (((-3 $ "failed") $) 66 (|has| |#1| (-743)))) (-3558 (((-141) $) NIL (|has| |#1| (-743)))) (-2731 (($ (-1 |#1| |#1|) $) 24)) (-3634 ((|#1| $) 9)) (-2527 (($ $) 57 (|has| |#1| (-21)))) (-3256 (((-3 $ "failed") $) 67 (|has| |#1| (-743)))) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4552 (($ $) 70 (-3836 (|has| |#1| (-388)) (|has| |#1| (-502))))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-2497 (((-658 $) $) 19 (|has| |#1| (-582)))) (-2806 (($ $ $) 34 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 $)) 37 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-1191) |#1|) 27 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 31 (|has| |#1| (-547 (-1191) |#1|)))) (-2724 (($ |#1| |#1|) 17)) (-1936 (((-160)) 88 (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) 85 (|has| |#1| (-922 (-1191))))) (-2227 (($ $ $) NIL (|has| |#1| (-502)))) (-2131 (($ $ $) NIL (|has| |#1| (-502)))) (-1683 (($ (-592)) NIL (|has| |#1| (-1075))) (((-141) $) 45 (|has| |#1| (-1119))) (((-877) $) 44 (|has| |#1| (-1119)))) (-4010 (((-790)) 73 (|has| |#1| (-1075)))) (-1424 (($ $ (-592)) NIL (|has| |#1| (-502))) (($ $ (-790)) NIL (|has| |#1| (-743))) (($ $ (-944)) NIL (|has| |#1| (-1131)))) (-3514 (($) 55 (|has| |#1| (-21)) CONST)) (-4257 (($) 63 (|has| |#1| (-743)) CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191))))) (-3255 (($ |#1| |#1|) 20) (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) 90 (-3836 (|has| |#1| (-388)) (|has| |#1| (-502))))) (-3306 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-3300 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-592)) NIL (|has| |#1| (-502))) (($ $ (-790)) NIL (|has| |#1| (-743))) (($ $ (-944)) NIL (|has| |#1| (-1131)))) (* (($ $ |#1|) 61 (|has| |#1| (-1131))) (($ |#1| $) 60 (|has| |#1| (-1131))) (($ $ $) 59 (|has| |#1| (-1131))) (($ (-592) $) 76 (|has| |#1| (-21))) (($ (-790) $) NIL (|has| |#1| (-21))) (($ (-944) $) NIL (|has| |#1| (-25))))) 
-(((-310 |#1|) (-13 (-1225) (-10 -8 (-15 -3255 ($ |#1| |#1|)) (-15 -2724 ($ |#1| |#1|)) (-15 -1905 ($ $)) (-15 -3634 (|#1| $)) (-15 -1673 (|#1| $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-547 (-1191) |#1|)) (-6 (-547 (-1191) |#1|)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-6 (-1119)) (-6 (-632 (-141))) (IF (|has| |#1| (-325 |#1|)) (PROGN (-15 -2806 ($ $ $)) (-15 -2806 ($ $ (-658 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -3300 ($ |#1| $)) (-15 -3300 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -2527 ($ $)) (-15 -2151 ($ $)) (-15 -3306 ($ |#1| $)) (-15 -3306 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1131)) (PROGN (-6 (-1131)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-743)) (PROGN (-6 (-743)) (-15 -3256 ((-3 $ "failed") $)) (-15 -3837 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-502)) (PROGN (-6 (-502)) (-15 -3256 ((-3 $ "failed") $)) (-15 -3837 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1075)) (PROGN (-6 (-1075)) (-6 (-140 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-194)) (-6 (-734 |#1|)) |noBranch|) (IF (|has| |#1| (-582)) (-15 -2497 ((-658 $) $)) |noBranch|) (IF (|has| |#1| (-922 (-1191))) (-6 (-922 (-1191))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-6 (-1287 |#1|)) (-15 -3313 ($ $ $)) (-15 -4552 ($ $))) |noBranch|) (IF (|has| |#1| (-318)) (-15 -3147 ($ $ $)) |noBranch|))) (-1225)) (T -310)) 
-((-3255 (*1 *1 *2 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) (-2724 (*1 *1 *2 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) (-1905 (*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) (-3634 (*1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) (-1673 (*1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-310 *3)))) (-2806 (*1 *1 *1 *1) (-12 (-4 *2 (-325 *2)) (-4 *2 (-1119)) (-4 *2 (-1225)) (-5 *1 (-310 *2)))) (-2806 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-310 *3))) (-4 *3 (-325 *3)) (-4 *3 (-1119)) (-4 *3 (-1225)) (-5 *1 (-310 *3)))) (-3300 (*1 *1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-25)) (-4 *2 (-1225)))) (-3300 (*1 *1 *1 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-25)) (-4 *2 (-1225)))) (-2527 (*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225)))) (-2151 (*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225)))) (-3306 (*1 *1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225)))) (-3306 (*1 *1 *1 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225)))) (-3256 (*1 *1 *1) (|partial| -12 (-5 *1 (-310 *2)) (-4 *2 (-743)) (-4 *2 (-1225)))) (-3837 (*1 *1 *1) (|partial| -12 (-5 *1 (-310 *2)) (-4 *2 (-743)) (-4 *2 (-1225)))) (-2497 (*1 *2 *1) (-12 (-5 *2 (-658 (-310 *3))) (-5 *1 (-310 *3)) (-4 *3 (-582)) (-4 *3 (-1225)))) (-3147 (*1 *1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-318)) (-4 *2 (-1225)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1131)) (-4 *2 (-1225)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1131)) (-4 *2 (-1225)))) (-3313 (*1 *1 *1 *1) (-3836 (-12 (-5 *1 (-310 *2)) (-4 *2 (-388)) (-4 *2 (-1225))) (-12 (-5 *1 (-310 *2)) (-4 *2 (-502)) (-4 *2 (-1225))))) (-4552 (*1 *1 *1) (-3836 (-12 (-5 *1 (-310 *2)) (-4 *2 (-388)) (-4 *2 (-1225))) (-12 (-5 *1 (-310 *2)) (-4 *2 (-502)) (-4 *2 (-1225)))))) 
-(-13 (-1225) (-10 -8 (-15 -3255 ($ |#1| |#1|)) (-15 -2724 ($ |#1| |#1|)) (-15 -1905 ($ $)) (-15 -3634 (|#1| $)) (-15 -1673 (|#1| $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-547 (-1191) |#1|)) (-6 (-547 (-1191) |#1|)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-6 (-1119)) (-6 (-632 (-141))) (IF (|has| |#1| (-325 |#1|)) (PROGN (-15 -2806 ($ $ $)) (-15 -2806 ($ $ (-658 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -3300 ($ |#1| $)) (-15 -3300 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -2527 ($ $)) (-15 -2151 ($ $)) (-15 -3306 ($ |#1| $)) (-15 -3306 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1131)) (PROGN (-6 (-1131)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-743)) (PROGN (-6 (-743)) (-15 -3256 ((-3 $ "failed") $)) (-15 -3837 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-502)) (PROGN (-6 (-502)) (-15 -3256 ((-3 $ "failed") $)) (-15 -3837 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1075)) (PROGN (-6 (-1075)) (-6 (-140 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-194)) (-6 (-734 |#1|)) |noBranch|) (IF (|has| |#1| (-582)) (-15 -2497 ((-658 $) $)) |noBranch|) (IF (|has| |#1| (-922 (-1191))) (-6 (-922 (-1191))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-6 (-1287 |#1|)) (-15 -3313 ($ $ $)) (-15 -4552 ($ $))) |noBranch|) (IF (|has| |#1| (-318)) (-15 -3147 ($ $ $)) |noBranch|))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#2| $ |#1| |#2|) NIL)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) NIL)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2840 (((-658 |#1|) $) NIL)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3708 (((-658 |#1|) $) NIL)) (-3780 (((-141) |#1| $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-311 |#1| |#2|) (-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) (-1119) (-1119)) (T -311)) 
-NIL 
-(-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) 
-((-1615 (((-327) (-1173) (-658 (-1173))) 16) (((-327) (-1173) (-1173)) 15) (((-327) (-658 (-1173))) 14) (((-327) (-1173)) 12))) 
-(((-312) (-10 -7 (-15 -1615 ((-327) (-1173))) (-15 -1615 ((-327) (-658 (-1173)))) (-15 -1615 ((-327) (-1173) (-1173))) (-15 -1615 ((-327) (-1173) (-658 (-1173)))))) (T -312)) 
-((-1615 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1173))) (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-312)))) (-1615 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-312)))) (-1615 (*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-327)) (-5 *1 (-312)))) (-1615 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-312))))) 
-(-10 -7 (-15 -1615 ((-327) (-1173))) (-15 -1615 ((-327) (-658 (-1173)))) (-15 -1615 ((-327) (-1173) (-1173))) (-15 -1615 ((-327) (-1173) (-658 (-1173))))) 
-((-2731 ((|#2| (-1 |#2| |#1|) (-1173) (-631 |#1|)) 17))) 
-(((-313 |#1| |#2|) (-10 -7 (-15 -2731 (|#2| (-1 |#2| |#1|) (-1173) (-631 |#1|)))) (-318) (-1225)) (T -313)) 
-((-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1173)) (-5 *5 (-631 *6)) (-4 *6 (-318)) (-4 *2 (-1225)) (-5 *1 (-313 *6 *2))))) 
-(-10 -7 (-15 -2731 (|#2| (-1 |#2| |#1|) (-1173) (-631 |#1|)))) 
-((-2731 ((|#2| (-1 |#2| |#1|) (-631 |#1|)) 17))) 
-(((-314 |#1| |#2|) (-10 -7 (-15 -2731 (|#2| (-1 |#2| |#1|) (-631 |#1|)))) (-318) (-318)) (T -314)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-631 *5)) (-4 *5 (-318)) (-4 *2 (-318)) (-5 *1 (-314 *5 *2))))) 
-(-10 -7 (-15 -2731 (|#2| (-1 |#2| |#1|) (-631 |#1|)))) 
-((-4430 (((-141) (-237)) 10))) 
-(((-315 |#1| |#2|) (-10 -7 (-15 -4430 ((-141) (-237)))) (-237) (-237)) (T -315)) 
-((-4430 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-141)) (-5 *1 (-315 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-10 -7 (-15 -4430 ((-141) (-237)))) 
-((-3863 (((-1171 (-237)) (-332 (-237)) (-658 (-1191)) (-1113 (-862 (-237)))) 88)) (-1914 (((-1171 (-237)) (-1280 (-332 (-237))) (-658 (-1191)) (-1113 (-862 (-237)))) 103) (((-1171 (-237)) (-332 (-237)) (-658 (-1191)) (-1113 (-862 (-237)))) 58)) (-1945 (((-658 (-1173)) (-1171 (-237))) NIL)) (-2990 (((-658 (-237)) (-332 (-237)) (-1191) (-1113 (-862 (-237)))) 55)) (-1775 (((-658 (-237)) (-980 (-433 (-592))) (-1191) (-1113 (-862 (-237)))) 47)) (-2247 (((-658 (-1173)) (-658 (-237))) NIL)) (-1550 (((-237) (-1113 (-862 (-237)))) 23)) (-3896 (((-237) (-1113 (-862 (-237)))) 24)) (-4129 (((-141) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 51)) (-3058 (((-1173) (-237)) NIL))) 
-(((-316) (-10 -7 (-15 -1550 ((-237) (-1113 (-862 (-237))))) (-15 -3896 ((-237) (-1113 (-862 (-237))))) (-15 -4129 ((-141) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -2990 ((-658 (-237)) (-332 (-237)) (-1191) (-1113 (-862 (-237))))) (-15 -3863 ((-1171 (-237)) (-332 (-237)) (-658 (-1191)) (-1113 (-862 (-237))))) (-15 -1914 ((-1171 (-237)) (-332 (-237)) (-658 (-1191)) (-1113 (-862 (-237))))) (-15 -1914 ((-1171 (-237)) (-1280 (-332 (-237))) (-658 (-1191)) (-1113 (-862 (-237))))) (-15 -1775 ((-658 (-237)) (-980 (-433 (-592))) (-1191) (-1113 (-862 (-237))))) (-15 -3058 ((-1173) (-237))) (-15 -2247 ((-658 (-1173)) (-658 (-237)))) (-15 -1945 ((-658 (-1173)) (-1171 (-237)))))) (T -316)) 
-((-1945 (*1 *2 *3) (-12 (-5 *3 (-1171 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-316)))) (-2247 (*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-316)))) (-3058 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1173)) (-5 *1 (-316)))) (-1775 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-980 (-433 (-592)))) (-5 *4 (-1191)) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-316)))) (-1914 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *4 (-658 (-1191))) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-316)))) (-1914 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-658 (-1191))) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-316)))) (-3863 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-658 (-1191))) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-316)))) (-2990 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-1191)) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-316)))) (-4129 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-141)) (-5 *1 (-316)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-316)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-316))))) 
-(-10 -7 (-15 -1550 ((-237) (-1113 (-862 (-237))))) (-15 -3896 ((-237) (-1113 (-862 (-237))))) (-15 -4129 ((-141) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -2990 ((-658 (-237)) (-332 (-237)) (-1191) (-1113 (-862 (-237))))) (-15 -3863 ((-1171 (-237)) (-332 (-237)) (-658 (-1191)) (-1113 (-862 (-237))))) (-15 -1914 ((-1171 (-237)) (-332 (-237)) (-658 (-1191)) (-1113 (-862 (-237))))) (-15 -1914 ((-1171 (-237)) (-1280 (-332 (-237))) (-658 (-1191)) (-1113 (-862 (-237))))) (-15 -1775 ((-658 (-237)) (-980 (-433 (-592))) (-1191) (-1113 (-862 (-237))))) (-15 -3058 ((-1173) (-237))) (-15 -2247 ((-658 (-1173)) (-658 (-237)))) (-15 -1945 ((-658 (-1173)) (-1171 (-237))))) 
-((-2165 (((-658 (-631 $)) $) 28)) (-3147 (($ $ (-310 $)) 80) (($ $ (-658 (-310 $))) 120) (($ $ (-658 (-631 $)) (-658 $)) NIL)) (-4368 (((-3 (-631 $) "failed") $) 110)) (-2400 (((-631 $) $) 109)) (-2243 (($ $) 19) (($ (-658 $)) 54)) (-4388 (((-658 (-143)) $) 37)) (-2791 (((-143) (-143)) 90)) (-3372 (((-141) $) 128)) (-2731 (($ (-1 $ $) (-631 $)) 88)) (-4160 (((-3 (-631 $) "failed") $) 92)) (-1462 (($ (-143) $) 60) (($ (-143) (-658 $)) 98)) (-3013 (((-141) $ (-143)) 114) (((-141) $ (-1191)) 113)) (-2535 (((-790) $) 45)) (-1319 (((-141) $ $) 58) (((-141) $ (-1191)) 49)) (-3554 (((-141) $) 126)) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL) (($ $ (-658 (-310 $))) 118) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) 83) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-1191) (-1 $ (-658 $))) 68) (($ $ (-1191) (-1 $ $)) 74) (($ $ (-658 (-143)) (-658 (-1 $ $))) 82) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) 84) (($ $ (-143) (-1 $ (-658 $))) 70) (($ $ (-143) (-1 $ $)) 76)) (-3927 (($ (-143) $) 61) (($ (-143) $ $) 62) (($ (-143) $ $ $) 63) (($ (-143) $ $ $ $) 64) (($ (-143) (-658 $)) 106)) (-2818 (($ $) 51) (($ $ $) 116)) (-3280 (($ $) 17) (($ (-658 $)) 53)) (-3038 (((-141) (-143)) 22))) 
-(((-317 |#1|) (-10 -8 (-15 -3372 ((-141) |#1|)) (-15 -3554 ((-141) |#1|)) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| |#1|)))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| |#1|)))) (-15 -1319 ((-141) |#1| (-1191))) (-15 -1319 ((-141) |#1| |#1|)) (-15 -2731 (|#1| (-1 |#1| |#1|) (-631 |#1|))) (-15 -1462 (|#1| (-143) (-658 |#1|))) (-15 -1462 (|#1| (-143) |#1|)) (-15 -3013 ((-141) |#1| (-1191))) (-15 -3013 ((-141) |#1| (-143))) (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -4388 ((-658 (-143)) |#1|)) (-15 -2165 ((-658 (-631 |#1|)) |#1|)) (-15 -4160 ((-3 (-631 |#1|) "failed") |#1|)) (-15 -2535 ((-790) |#1|)) (-15 -2818 (|#1| |#1| |#1|)) (-15 -2818 (|#1| |#1|)) (-15 -2243 (|#1| (-658 |#1|))) (-15 -2243 (|#1| |#1|)) (-15 -3280 (|#1| (-658 |#1|))) (-15 -3280 (|#1| |#1|)) (-15 -3147 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -3147 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -3147 (|#1| |#1| (-310 |#1|))) (-15 -3927 (|#1| (-143) (-658 |#1|))) (-15 -3927 (|#1| (-143) |#1| |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -2806 (|#1| |#1| (-631 |#1|) |#1|)) (-15 -2400 ((-631 |#1|) |#1|)) (-15 -4368 ((-3 (-631 |#1|) "failed") |#1|))) (-318)) (T -317)) 
-((-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-5 *1 (-317 *3)) (-4 *3 (-318)))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-5 *2 (-141)) (-5 *1 (-317 *4)) (-4 *4 (-318))))) 
-(-10 -8 (-15 -3372 ((-141) |#1|)) (-15 -3554 ((-141) |#1|)) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| |#1|)))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| |#1|)))) (-15 -1319 ((-141) |#1| (-1191))) (-15 -1319 ((-141) |#1| |#1|)) (-15 -2731 (|#1| (-1 |#1| |#1|) (-631 |#1|))) (-15 -1462 (|#1| (-143) (-658 |#1|))) (-15 -1462 (|#1| (-143) |#1|)) (-15 -3013 ((-141) |#1| (-1191))) (-15 -3013 ((-141) |#1| (-143))) (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -4388 ((-658 (-143)) |#1|)) (-15 -2165 ((-658 (-631 |#1|)) |#1|)) (-15 -4160 ((-3 (-631 |#1|) "failed") |#1|)) (-15 -2535 ((-790) |#1|)) (-15 -2818 (|#1| |#1| |#1|)) (-15 -2818 (|#1| |#1|)) (-15 -2243 (|#1| (-658 |#1|))) (-15 -2243 (|#1| |#1|)) (-15 -3280 (|#1| (-658 |#1|))) (-15 -3280 (|#1| |#1|)) (-15 -3147 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -3147 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -3147 (|#1| |#1| (-310 |#1|))) (-15 -3927 (|#1| (-143) (-658 |#1|))) (-15 -3927 (|#1| (-143) |#1| |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -2806 (|#1| |#1| (-631 |#1|) |#1|)) (-15 -2400 ((-631 |#1|) |#1|)) (-15 -4368 ((-3 (-631 |#1|) "failed") |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2165 (((-658 (-631 $)) $) 43)) (-3147 (($ $ (-310 $)) 55) (($ $ (-658 (-310 $))) 54) (($ $ (-658 (-631 $)) (-658 $)) 53)) (-4368 (((-3 (-631 $) "failed") $) 68)) (-2400 (((-631 $) $) 67)) (-2243 (($ $) 50) (($ (-658 $)) 49)) (-4388 (((-658 (-143)) $) 42)) (-2791 (((-143) (-143)) 41)) (-3372 (((-141) $) 21 (|has| $ (-1065 (-592))))) (-2710 (((-1187 $) (-631 $)) 24 (|has| $ (-1075)))) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2731 (($ (-1 $ $) (-631 $)) 35)) (-4160 (((-3 (-631 $) "failed") $) 45)) (-2685 (((-1173) $) 9)) (-4486 (((-658 (-631 $)) $) 44)) (-1462 (($ (-143) $) 37) (($ (-143) (-658 $)) 36)) (-3013 (((-141) $ (-143)) 39) (((-141) $ (-1191)) 38)) (-2535 (((-790) $) 46)) (-2951 (((-1137) $) 10)) (-1319 (((-141) $ $) 34) (((-141) $ (-1191)) 33)) (-3554 (((-141) $) 22 (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) 66) (($ $ (-658 (-631 $)) (-658 $)) 65) (($ $ (-658 (-310 $))) 64) (($ $ (-310 $)) 63) (($ $ $ $) 62) (($ $ (-658 $) (-658 $)) 61) (($ $ (-658 (-1191)) (-658 (-1 $ $))) 32) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) 31) (($ $ (-1191) (-1 $ (-658 $))) 30) (($ $ (-1191) (-1 $ $)) 29) (($ $ (-658 (-143)) (-658 (-1 $ $))) 28) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) 27) (($ $ (-143) (-1 $ (-658 $))) 26) (($ $ (-143) (-1 $ $)) 25)) (-3927 (($ (-143) $) 60) (($ (-143) $ $) 59) (($ (-143) $ $ $) 58) (($ (-143) $ $ $ $) 57) (($ (-143) (-658 $)) 56)) (-2818 (($ $) 48) (($ $ $) 47)) (-3390 (($ $) 23 (|has| $ (-1075)))) (-1683 (((-877) $) 11) (($ (-631 $)) 69)) (-3280 (($ $) 52) (($ (-658 $)) 51)) (-3038 (((-141) (-143)) 40)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17))) 
-(((-318) (-1311)) (T -318)) 
-((-3927 (*1 *1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) (-3927 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) (-3927 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) (-3927 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) (-3927 (*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 *1)) (-4 *1 (-318)))) (-3147 (*1 *1 *1 *2) (-12 (-5 *2 (-310 *1)) (-4 *1 (-318)))) (-3147 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-310 *1))) (-4 *1 (-318)))) (-3147 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-631 *1))) (-5 *3 (-658 *1)) (-4 *1 (-318)))) (-3280 (*1 *1 *1) (-4 *1 (-318))) (-3280 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-318)))) (-2243 (*1 *1 *1) (-4 *1 (-318))) (-2243 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-318)))) (-2818 (*1 *1 *1) (-4 *1 (-318))) (-2818 (*1 *1 *1 *1) (-4 *1 (-318))) (-2535 (*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-790)))) (-4160 (*1 *2 *1) (|partial| -12 (-5 *2 (-631 *1)) (-4 *1 (-318)))) (-4486 (*1 *2 *1) (-12 (-5 *2 (-658 (-631 *1))) (-4 *1 (-318)))) (-2165 (*1 *2 *1) (-12 (-5 *2 (-658 (-631 *1))) (-4 *1 (-318)))) (-4388 (*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-658 (-143))))) (-2791 (*1 *2 *2) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) (-3038 (*1 *2 *3) (-12 (-4 *1 (-318)) (-5 *3 (-143)) (-5 *2 (-141)))) (-3013 (*1 *2 *1 *3) (-12 (-4 *1 (-318)) (-5 *3 (-143)) (-5 *2 (-141)))) (-3013 (*1 *2 *1 *3) (-12 (-4 *1 (-318)) (-5 *3 (-1191)) (-5 *2 (-141)))) (-1462 (*1 *1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) (-1462 (*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 *1)) (-4 *1 (-318)))) (-2731 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-631 *1)) (-4 *1 (-318)))) (-1319 (*1 *2 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-141)))) (-1319 (*1 *2 *1 *3) (-12 (-4 *1 (-318)) (-5 *3 (-1191)) (-5 *2 (-141)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-1 *1 *1))) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-1 *1 (-658 *1)))) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1 *1 (-658 *1))) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1 *1 *1)) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-143))) (-5 *3 (-658 (-1 *1 *1))) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-143))) (-5 *3 (-658 (-1 *1 (-658 *1)))) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *1 (-658 *1))) (-4 *1 (-318)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *1 *1)) (-4 *1 (-318)))) (-2710 (*1 *2 *3) (-12 (-5 *3 (-631 *1)) (-4 *1 (-1075)) (-4 *1 (-318)) (-5 *2 (-1187 *1)))) (-3390 (*1 *1 *1) (-12 (-4 *1 (-1075)) (-4 *1 (-318)))) (-3554 (*1 *2 *1) (-12 (-4 *1 (-1065 (-592))) (-4 *1 (-318)) (-5 *2 (-141)))) (-3372 (*1 *2 *1) (-12 (-4 *1 (-1065 (-592))) (-4 *1 (-318)) (-5 *2 (-141))))) 
-(-13 (-869) (-1065 (-631 $)) (-547 (-631 $) $) (-325 $) (-10 -8 (-15 -3927 ($ (-143) $)) (-15 -3927 ($ (-143) $ $)) (-15 -3927 ($ (-143) $ $ $)) (-15 -3927 ($ (-143) $ $ $ $)) (-15 -3927 ($ (-143) (-658 $))) (-15 -3147 ($ $ (-310 $))) (-15 -3147 ($ $ (-658 (-310 $)))) (-15 -3147 ($ $ (-658 (-631 $)) (-658 $))) (-15 -3280 ($ $)) (-15 -3280 ($ (-658 $))) (-15 -2243 ($ $)) (-15 -2243 ($ (-658 $))) (-15 -2818 ($ $)) (-15 -2818 ($ $ $)) (-15 -2535 ((-790) $)) (-15 -4160 ((-3 (-631 $) "failed") $)) (-15 -4486 ((-658 (-631 $)) $)) (-15 -2165 ((-658 (-631 $)) $)) (-15 -4388 ((-658 (-143)) $)) (-15 -2791 ((-143) (-143))) (-15 -3038 ((-141) (-143))) (-15 -3013 ((-141) $ (-143))) (-15 -3013 ((-141) $ (-1191))) (-15 -1462 ($ (-143) $)) (-15 -1462 ($ (-143) (-658 $))) (-15 -2731 ($ (-1 $ $) (-631 $))) (-15 -1319 ((-141) $ $)) (-15 -1319 ((-141) $ (-1191))) (-15 -2806 ($ $ (-658 (-1191)) (-658 (-1 $ $)))) (-15 -2806 ($ $ (-658 (-1191)) (-658 (-1 $ (-658 $))))) (-15 -2806 ($ $ (-1191) (-1 $ (-658 $)))) (-15 -2806 ($ $ (-1191) (-1 $ $))) (-15 -2806 ($ $ (-658 (-143)) (-658 (-1 $ $)))) (-15 -2806 ($ $ (-658 (-143)) (-658 (-1 $ (-658 $))))) (-15 -2806 ($ $ (-143) (-1 $ (-658 $)))) (-15 -2806 ($ $ (-143) (-1 $ $))) (IF (|has| $ (-1075)) (PROGN (-15 -2710 ((-1187 $) (-631 $))) (-15 -3390 ($ $))) |noBranch|) (IF (|has| $ (-1065 (-592))) (PROGN (-15 -3554 ((-141) $)) (-15 -3372 ((-141) $))) |noBranch|))) 
-(((-125) . T) ((-632 (-877)) . T) ((-325 $) . T) ((-547 (-631 $) $) . T) ((-547 $ $) . T) ((-869) . T) ((-1065 (-631 $)) . T) ((-1119) . T)) 
-((-1627 (((-658 |#1|) (-658 |#1|)) 10))) 
-(((-319 |#1|) (-10 -7 (-15 -1627 ((-658 |#1|) (-658 |#1|)))) (-867)) (T -319)) 
-((-1627 (*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-867)) (-5 *1 (-319 *3))))) 
-(-10 -7 (-15 -1627 ((-658 |#1|) (-658 |#1|)))) 
-((-2731 (((-706 |#2|) (-1 |#2| |#1|) (-706 |#1|)) 15))) 
-(((-320 |#1| |#2|) (-10 -7 (-15 -2731 ((-706 |#2|) (-1 |#2| |#1|) (-706 |#1|)))) (-1075) (-1075)) (T -320)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-706 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-706 *6)) (-5 *1 (-320 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-706 |#2|) (-1 |#2| |#1|) (-706 |#1|)))) 
-((-4196 (((-1280 (-332 (-405))) (-1280 (-332 (-237)))) 105)) (-2614 (((-1113 (-862 (-237))) (-1113 (-862 (-405)))) 39)) (-1945 (((-658 (-1173)) (-1171 (-237))) 87)) (-1796 (((-332 (-405)) (-980 (-237))) 49)) (-2938 (((-237) (-980 (-237))) 45)) (-2866 (((-1173) (-405)) 167)) (-1485 (((-862 (-237)) (-862 (-405))) 33)) (-3746 (((-2 (|:| |additions| (-592)) (|:| |multiplications| (-592)) (|:| |exponentiations| (-592)) (|:| |functionCalls| (-592))) (-1280 (-332 (-237)))) 142)) (-2873 (((-1063) (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) 180) (((-1063) (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) 178)) (-3253 (((-706 (-237)) (-658 (-237)) (-790)) 13)) (-1908 (((-1280 (-715)) (-658 (-237))) 94)) (-2247 (((-658 (-1173)) (-658 (-237))) 74)) (-1688 (((-3 (-332 (-237)) "failed") (-332 (-237))) 120)) (-4430 (((-141) (-237) (-1113 (-862 (-237)))) 109)) (-3581 (((-1063) (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))) 198)) (-1550 (((-237) (-1113 (-862 (-237)))) 107)) (-3896 (((-237) (-1113 (-862 (-237)))) 108)) (-2044 (((-237) (-433 (-592))) 26)) (-2646 (((-1173) (-405)) 72)) (-4193 (((-237) (-405)) 17)) (-2552 (((-405) (-1280 (-332 (-237)))) 153)) (-1355 (((-332 (-237)) (-332 (-405))) 23)) (-3227 (((-433 (-592)) (-332 (-237))) 52)) (-2017 (((-332 (-433 (-592))) (-332 (-237))) 68)) (-1553 (((-332 (-405)) (-332 (-237))) 98)) (-2330 (((-237) (-332 (-237))) 53)) (-3413 (((-658 (-237)) (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) 63)) (-3571 (((-1113 (-862 (-237))) (-1113 (-862 (-237)))) 60)) (-3058 (((-1173) (-237)) 71)) (-2704 (((-715) (-237)) 90)) (-4112 (((-433 (-592)) (-237)) 54)) (-1701 (((-332 (-405)) (-237)) 48)) (-1778 (((-658 (-1113 (-862 (-237)))) (-658 (-1113 (-862 (-405))))) 42)) (-2266 (((-1063) (-658 (-1063))) 163) (((-1063) (-1063) (-1063)) 160)) (-2809 (((-1063) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
-(((-321) (-10 -7 (-15 -4193 ((-237) (-405))) (-15 -1355 ((-332 (-237)) (-332 (-405)))) (-15 -1485 ((-862 (-237)) (-862 (-405)))) (-15 -2614 ((-1113 (-862 (-237))) (-1113 (-862 (-405))))) (-15 -1778 ((-658 (-1113 (-862 (-237)))) (-658 (-1113 (-862 (-405)))))) (-15 -4112 ((-433 (-592)) (-237))) (-15 -3227 ((-433 (-592)) (-332 (-237)))) (-15 -2330 ((-237) (-332 (-237)))) (-15 -1688 ((-3 (-332 (-237)) "failed") (-332 (-237)))) (-15 -2552 ((-405) (-1280 (-332 (-237))))) (-15 -3746 ((-2 (|:| |additions| (-592)) (|:| |multiplications| (-592)) (|:| |exponentiations| (-592)) (|:| |functionCalls| (-592))) (-1280 (-332 (-237))))) (-15 -2017 ((-332 (-433 (-592))) (-332 (-237)))) (-15 -3571 ((-1113 (-862 (-237))) (-1113 (-862 (-237))))) (-15 -3413 ((-658 (-237)) (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) (-15 -2704 ((-715) (-237))) (-15 -1908 ((-1280 (-715)) (-658 (-237)))) (-15 -1553 ((-332 (-405)) (-332 (-237)))) (-15 -4196 ((-1280 (-332 (-405))) (-1280 (-332 (-237))))) (-15 -4430 ((-141) (-237) (-1113 (-862 (-237))))) (-15 -3058 ((-1173) (-237))) (-15 -2646 ((-1173) (-405))) (-15 -2247 ((-658 (-1173)) (-658 (-237)))) (-15 -1945 ((-658 (-1173)) (-1171 (-237)))) (-15 -1550 ((-237) (-1113 (-862 (-237))))) (-15 -3896 ((-237) (-1113 (-862 (-237))))) (-15 -2266 ((-1063) (-1063) (-1063))) (-15 -2266 ((-1063) (-658 (-1063)))) (-15 -2866 ((-1173) (-405))) (-15 -2873 ((-1063) (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))))) (-15 -2873 ((-1063) (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))))) (-15 -2809 ((-1063) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -3581 ((-1063) (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))) (-15 -1796 ((-332 (-405)) (-980 (-237)))) (-15 -2938 ((-237) (-980 (-237)))) (-15 -1701 ((-332 (-405)) (-237))) (-15 -2044 ((-237) (-433 (-592)))) (-15 -3253 ((-706 (-237)) (-658 (-237)) (-790))))) (T -321)) 
-((-3253 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-237))) (-5 *4 (-790)) (-5 *2 (-706 (-237))) (-5 *1 (-321)))) (-2044 (*1 *2 *3) (-12 (-5 *3 (-433 (-592))) (-5 *2 (-237)) (-5 *1 (-321)))) (-1701 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-332 (-405))) (-5 *1 (-321)))) (-2938 (*1 *2 *3) (-12 (-5 *3 (-980 (-237))) (-5 *2 (-237)) (-5 *1 (-321)))) (-1796 (*1 *2 *3) (-12 (-5 *3 (-980 (-237))) (-5 *2 (-332 (-405))) (-5 *1 (-321)))) (-3581 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))) (-5 *2 (-1063)) (-5 *1 (-321)))) (-2809 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1063)) (-5 *1 (-321)))) (-2873 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) (-5 *2 (-1063)) (-5 *1 (-321)))) (-2873 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *2 (-1063)) (-5 *1 (-321)))) (-2866 (*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1173)) (-5 *1 (-321)))) (-2266 (*1 *2 *3) (-12 (-5 *3 (-658 (-1063))) (-5 *2 (-1063)) (-5 *1 (-321)))) (-2266 (*1 *2 *2 *2) (-12 (-5 *2 (-1063)) (-5 *1 (-321)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-321)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-321)))) (-1945 (*1 *2 *3) (-12 (-5 *3 (-1171 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-321)))) (-2247 (*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-321)))) (-2646 (*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1173)) (-5 *1 (-321)))) (-3058 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1173)) (-5 *1 (-321)))) (-4430 (*1 *2 *3 *4) (-12 (-5 *4 (-1113 (-862 (-237)))) (-5 *3 (-237)) (-5 *2 (-141)) (-5 *1 (-321)))) (-4196 (*1 *2 *3) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *2 (-1280 (-332 (-405)))) (-5 *1 (-321)))) (-1553 (*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-332 (-405))) (-5 *1 (-321)))) (-1908 (*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-1280 (-715))) (-5 *1 (-321)))) (-2704 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-715)) (-5 *1 (-321)))) (-3413 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *2 (-658 (-237))) (-5 *1 (-321)))) (-3571 (*1 *2 *2) (-12 (-5 *2 (-1113 (-862 (-237)))) (-5 *1 (-321)))) (-2017 (*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-332 (-433 (-592)))) (-5 *1 (-321)))) (-3746 (*1 *2 *3) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *2 (-2 (|:| |additions| (-592)) (|:| |multiplications| (-592)) (|:| |exponentiations| (-592)) (|:| |functionCalls| (-592)))) (-5 *1 (-321)))) (-2552 (*1 *2 *3) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *2 (-405)) (-5 *1 (-321)))) (-1688 (*1 *2 *2) (|partial| -12 (-5 *2 (-332 (-237))) (-5 *1 (-321)))) (-2330 (*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-237)) (-5 *1 (-321)))) (-3227 (*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-433 (-592))) (-5 *1 (-321)))) (-4112 (*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-433 (-592))) (-5 *1 (-321)))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-658 (-1113 (-862 (-405))))) (-5 *2 (-658 (-1113 (-862 (-237))))) (-5 *1 (-321)))) (-2614 (*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-405)))) (-5 *2 (-1113 (-862 (-237)))) (-5 *1 (-321)))) (-1485 (*1 *2 *3) (-12 (-5 *3 (-862 (-405))) (-5 *2 (-862 (-237))) (-5 *1 (-321)))) (-1355 (*1 *2 *3) (-12 (-5 *3 (-332 (-405))) (-5 *2 (-332 (-237))) (-5 *1 (-321)))) (-4193 (*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(-10 -7 (-15 -4193 ((-237) (-405))) (-15 -1355 ((-332 (-237)) (-332 (-405)))) (-15 -1485 ((-862 (-237)) (-862 (-405)))) (-15 -2614 ((-1113 (-862 (-237))) (-1113 (-862 (-405))))) (-15 -1778 ((-658 (-1113 (-862 (-237)))) (-658 (-1113 (-862 (-405)))))) (-15 -4112 ((-433 (-592)) (-237))) (-15 -3227 ((-433 (-592)) (-332 (-237)))) (-15 -2330 ((-237) (-332 (-237)))) (-15 -1688 ((-3 (-332 (-237)) "failed") (-332 (-237)))) (-15 -2552 ((-405) (-1280 (-332 (-237))))) (-15 -3746 ((-2 (|:| |additions| (-592)) (|:| |multiplications| (-592)) (|:| |exponentiations| (-592)) (|:| |functionCalls| (-592))) (-1280 (-332 (-237))))) (-15 -2017 ((-332 (-433 (-592))) (-332 (-237)))) (-15 -3571 ((-1113 (-862 (-237))) (-1113 (-862 (-237))))) (-15 -3413 ((-658 (-237)) (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) (-15 -2704 ((-715) (-237))) (-15 -1908 ((-1280 (-715)) (-658 (-237)))) (-15 -1553 ((-332 (-405)) (-332 (-237)))) (-15 -4196 ((-1280 (-332 (-405))) (-1280 (-332 (-237))))) (-15 -4430 ((-141) (-237) (-1113 (-862 (-237))))) (-15 -3058 ((-1173) (-237))) (-15 -2646 ((-1173) (-405))) (-15 -2247 ((-658 (-1173)) (-658 (-237)))) (-15 -1945 ((-658 (-1173)) (-1171 (-237)))) (-15 -1550 ((-237) (-1113 (-862 (-237))))) (-15 -3896 ((-237) (-1113 (-862 (-237))))) (-15 -2266 ((-1063) (-1063) (-1063))) (-15 -2266 ((-1063) (-658 (-1063)))) (-15 -2866 ((-1173) (-405))) (-15 -2873 ((-1063) (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))))) (-15 -2873 ((-1063) (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))))) (-15 -2809 ((-1063) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -3581 ((-1063) (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))) (-15 -1796 ((-332 (-405)) (-980 (-237)))) (-15 -2938 ((-237) (-980 (-237)))) (-15 -1701 ((-332 (-405)) (-237))) (-15 -2044 ((-237) (-433 (-592)))) (-15 -3253 ((-706 (-237)) (-658 (-237)) (-790)))) 
-((-3652 (((-141) $ $) 11)) (-1586 (($ $ $) 15)) (-1599 (($ $ $) 14)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 43)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 52)) (-3548 (($ $ $) 21) (($ (-658 $)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-3616 (((-3 $ "failed") $ $) 18)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 45))) 
-(((-322 |#1|) (-10 -8 (-15 -2310 ((-3 (-658 |#1|) "failed") (-658 |#1|) |#1|)) (-15 -4159 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -4159 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2934 |#1|)) |#1| |#1|)) (-15 -1586 (|#1| |#1| |#1|)) (-15 -1599 (|#1| |#1| |#1|)) (-15 -3652 ((-141) |#1| |#1|)) (-15 -4539 ((-3 (-658 |#1|) "failed") (-658 |#1|) |#1|)) (-15 -1491 ((-2 (|:| -1487 (-658 |#1|)) (|:| -2934 |#1|)) (-658 |#1|))) (-15 -3548 (|#1| (-658 |#1|))) (-15 -3548 (|#1| |#1| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|))) (-323)) (T -322)) 
-NIL 
-(-10 -8 (-15 -2310 ((-3 (-658 |#1|) "failed") (-658 |#1|) |#1|)) (-15 -4159 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -4159 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2934 |#1|)) |#1| |#1|)) (-15 -1586 (|#1| |#1| |#1|)) (-15 -1599 (|#1| |#1| |#1|)) (-15 -3652 ((-141) |#1| |#1|)) (-15 -4539 ((-3 (-658 |#1|) "failed") (-658 |#1|) |#1|)) (-15 -1491 ((-2 (|:| -1487 (-658 |#1|)) (|:| -2934 |#1|)) (-658 |#1|))) (-15 -3548 (|#1| (-658 |#1|))) (-15 -3548 (|#1| |#1| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-3558 (((-141) $) 30)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-323) (-1311)) (T -323)) 
-((-3652 (*1 *2 *1 *1) (-12 (-4 *1 (-323)) (-5 *2 (-141)))) (-2769 (*1 *2 *1) (-12 (-4 *1 (-323)) (-5 *2 (-790)))) (-4570 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-323)))) (-1599 (*1 *1 *1 *1) (-4 *1 (-323))) (-1586 (*1 *1 *1 *1) (-4 *1 (-323))) (-4159 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2934 *1))) (-4 *1 (-323)))) (-4159 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-323)))) (-2310 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-658 *1)) (-4 *1 (-323))))) 
-(-13 (-943) (-10 -8 (-15 -3652 ((-141) $ $)) (-15 -2769 ((-790) $)) (-15 -4570 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -1599 ($ $ $)) (-15 -1586 ($ $ $)) (-15 -4159 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $)) (-15 -4159 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -2310 ((-3 (-658 $) "failed") (-658 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-477) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2806 (($ $ (-658 |#2|) (-658 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-310 |#2|)) 11) (($ $ (-658 (-310 |#2|))) NIL))) 
-(((-324 |#1| |#2|) (-10 -8 (-15 -2806 (|#1| |#1| (-658 (-310 |#2|)))) (-15 -2806 (|#1| |#1| (-310 |#2|))) (-15 -2806 (|#1| |#1| |#2| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#2|)))) (-325 |#2|) (-1119)) (T -324)) 
-NIL 
-(-10 -8 (-15 -2806 (|#1| |#1| (-658 (-310 |#2|)))) (-15 -2806 (|#1| |#1| (-310 |#2|))) (-15 -2806 (|#1| |#1| |#2| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#2|)))) 
-((-2806 (($ $ (-658 |#1|) (-658 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-310 |#1|)) 9) (($ $ (-658 (-310 |#1|))) 8))) 
-(((-325 |#1|) (-1311) (-1119)) (T -325)) 
-((-2806 (*1 *1 *1 *2) (-12 (-5 *2 (-310 *3)) (-4 *1 (-325 *3)) (-4 *3 (-1119)))) (-2806 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-310 *3))) (-4 *1 (-325 *3)) (-4 *3 (-1119))))) 
-(-13 (-547 |t#1| |t#1|) (-10 -8 (-15 -2806 ($ $ (-310 |t#1|))) (-15 -2806 ($ $ (-658 (-310 |t#1|)))))) 
-(((-547 |#1| |#1|) . T)) 
-((-2806 ((|#1| (-1 |#1| (-592)) (-1193 (-433 (-592)))) 24))) 
-(((-326 |#1|) (-10 -7 (-15 -2806 (|#1| (-1 |#1| (-592)) (-1193 (-433 (-592)))))) (-43 (-433 (-592)))) (T -326)) 
-((-2806 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-592))) (-5 *4 (-1193 (-433 (-592)))) (-5 *1 (-326 *2)) (-4 *2 (-43 (-433 (-592))))))) 
-(-10 -7 (-15 -2806 (|#1| (-1 |#1| (-592)) (-1193 (-433 (-592)))))) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 7)) (-3255 (((-141) $ $) 9))) 
-(((-327) (-1119)) (T -327)) 
-NIL 
-(-1119) 
-((-4218 (((-1285) (-1179 3 (-237)) (-1173)) 38))) 
-(((-328) (-10 -7 (-15 -4218 ((-1285) (-1179 3 (-237)) (-1173))))) (T -328)) 
-((-4218 (*1 *2 *3 *4) (-12 (-5 *3 (-1179 3 (-237))) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-328))))) 
-(-10 -7 (-15 -4218 ((-1285) (-1179 3 (-237)) (-1173)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 62)) (-1505 (((-1265 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-1265 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-592)))) (((-3 (-1264 |#2| |#3| |#4|) "failed") $) 24)) (-2400 (((-1265 |#1| |#2| |#3| |#4|) $) NIL) (((-1191) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-592)))) (((-592) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-592)))) (((-1264 |#2| |#3| |#4|) $) NIL)) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-1265 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1280 (-1265 |#1| |#2| |#3| |#4|)))) (-706 $) (-1280 $)) NIL) (((-706 (-1265 |#1| |#2| |#3| |#4|)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-1265 |#1| |#2| |#3| |#4|) $) 21)) (-3921 (((-3 $ "failed") $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1165)))) (-1324 (((-141) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-869)))) (-3319 (($ $ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-869)))) (-2731 (($ (-1 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) $) NIL)) (-1722 (((-3 (-862 |#2|) "failed") $) 76)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-323)))) (-2039 (((-1265 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-1265 |#1| |#2| |#3| |#4|)) (-658 (-1265 |#1| |#2| |#3| |#4|))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-325 (-1265 |#1| |#2| |#3| |#4|)))) (($ $ (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-325 (-1265 |#1| |#2| |#3| |#4|)))) (($ $ (-310 (-1265 |#1| |#2| |#3| |#4|))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-325 (-1265 |#1| |#2| |#3| |#4|)))) (($ $ (-658 (-310 (-1265 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-325 (-1265 |#1| |#2| |#3| |#4|)))) (($ $ (-658 (-1191)) (-658 (-1265 |#1| |#2| |#3| |#4|))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-547 (-1191) (-1265 |#1| |#2| |#3| |#4|)))) (($ $ (-1191) (-1265 |#1| |#2| |#3| |#4|)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-547 (-1191) (-1265 |#1| |#2| |#3| |#4|))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-1265 |#1| |#2| |#3| |#4|)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-303 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-247))) (($ $ (-790)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-247))) (($ $ (-1191)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-1 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) (-790)) NIL) (($ $ (-1 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-1265 |#1| |#2| |#3| |#4|) $) 17)) (-1778 (((-914 (-592)) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-633 (-565)))) (((-405) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1049))) (((-237) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-1265 |#1| |#2| |#3| |#4|) (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-1265 |#1| |#2| |#3| |#4|)) 28) (($ (-1191)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-1065 (-1191)))) (($ (-1264 |#2| |#3| |#4|)) 36)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-1265 |#1| |#2| |#3| |#4|) (-931))) (|has| (-1265 |#1| |#2| |#3| |#4|) (-169))))) (-4010 (((-790)) NIL)) (-2744 (((-1265 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-574)))) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 41 T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-247))) (($ $ (-790)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-247))) (($ $ (-1191)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-922 (-1191)))) (($ $ (-1 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) (-790)) NIL) (($ $ (-1 (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-1265 |#1| |#2| |#3| |#4|) (-869)))) (-3313 (($ $ $) 33) (($ (-1265 |#1| |#2| |#3| |#4|) (-1265 |#1| |#2| |#3| |#4|)) 30)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-1265 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1265 |#1| |#2| |#3| |#4|)) NIL))) 
-(((-329 |#1| |#2| |#3| |#4|) (-13 (-1021 (-1265 |#1| |#2| |#3| |#4|)) (-1065 (-1264 |#2| |#3| |#4|)) (-10 -8 (-15 -1722 ((-3 (-862 |#2|) "failed") $)) (-15 -1683 ($ (-1264 |#2| |#3| |#4|))))) (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477)) (-13 (-27) (-1211) (-456 |#1|)) (-1191) |#2|) (T -329)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1264 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4) (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *1 (-329 *3 *4 *5 *6)))) (-1722 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *2 (-862 *4)) (-5 *1 (-329 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4)))) 
-(-13 (-1021 (-1265 |#1| |#2| |#3| |#4|)) (-1065 (-1264 |#2| |#3| |#4|)) (-10 -8 (-15 -1722 ((-3 (-862 |#2|) "failed") $)) (-15 -1683 ($ (-1264 |#2| |#3| |#4|))))) 
-((-2731 (((-332 |#2|) (-1 |#2| |#1|) (-332 |#1|)) 13))) 
-(((-330 |#1| |#2|) (-10 -7 (-15 -2731 ((-332 |#2|) (-1 |#2| |#1|) (-332 |#1|)))) (-869) (-869)) (T -330)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-332 *5)) (-4 *5 (-869)) (-4 *6 (-869)) (-5 *2 (-332 *6)) (-5 *1 (-330 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-332 |#2|) (-1 |#2| |#1|) (-332 |#1|)))) 
-((-1986 (((-57) |#2| (-310 |#2|) (-790)) 33) (((-57) |#2| (-310 |#2|)) 24) (((-57) |#2| (-790)) 28) (((-57) |#2|) 25) (((-57) (-1191)) 21)) (-2881 (((-57) |#2| (-310 |#2|) (-433 (-592))) 51) (((-57) |#2| (-310 |#2|)) 48) (((-57) |#2| (-433 (-592))) 50) (((-57) |#2|) 49) (((-57) (-1191)) 47)) (-2001 (((-57) |#2| (-310 |#2|) (-433 (-592))) 46) (((-57) |#2| (-310 |#2|)) 43) (((-57) |#2| (-433 (-592))) 45) (((-57) |#2|) 44) (((-57) (-1191)) 42)) (-1994 (((-57) |#2| (-310 |#2|) (-592)) 39) (((-57) |#2| (-310 |#2|)) 35) (((-57) |#2| (-592)) 38) (((-57) |#2|) 36) (((-57) (-1191)) 34))) 
-(((-331 |#1| |#2|) (-10 -7 (-15 -1986 ((-57) (-1191))) (-15 -1986 ((-57) |#2|)) (-15 -1986 ((-57) |#2| (-790))) (-15 -1986 ((-57) |#2| (-310 |#2|))) (-15 -1986 ((-57) |#2| (-310 |#2|) (-790))) (-15 -1994 ((-57) (-1191))) (-15 -1994 ((-57) |#2|)) (-15 -1994 ((-57) |#2| (-592))) (-15 -1994 ((-57) |#2| (-310 |#2|))) (-15 -1994 ((-57) |#2| (-310 |#2|) (-592))) (-15 -2001 ((-57) (-1191))) (-15 -2001 ((-57) |#2|)) (-15 -2001 ((-57) |#2| (-433 (-592)))) (-15 -2001 ((-57) |#2| (-310 |#2|))) (-15 -2001 ((-57) |#2| (-310 |#2|) (-433 (-592)))) (-15 -2881 ((-57) (-1191))) (-15 -2881 ((-57) |#2|)) (-15 -2881 ((-57) |#2| (-433 (-592)))) (-15 -2881 ((-57) |#2| (-310 |#2|))) (-15 -2881 ((-57) |#2| (-310 |#2|) (-433 (-592))))) (-13 (-477) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -331)) 
-((-2881 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-5 *5 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) (-2881 (*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) (-2881 (*1 *2 *3 *4) (-12 (-5 *4 (-433 (-592))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-2881 (*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) (-2881 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) (-2001 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-5 *5 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) (-2001 (*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) (-2001 (*1 *2 *3 *4) (-12 (-5 *4 (-433 (-592))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-2001 (*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) (-2001 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) (-1994 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 *5) (-654 *5))) (-5 *5 (-592)) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) (-1994 (*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) (-1994 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-13 (-477) (-869) (-1065 *4) (-654 *4))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-1994 (*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) (-1994 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) (-1986 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-5 *5 (-790)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) (-1986 (*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) (-1986 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-1986 (*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) (-1986 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4)))))) 
-(-10 -7 (-15 -1986 ((-57) (-1191))) (-15 -1986 ((-57) |#2|)) (-15 -1986 ((-57) |#2| (-790))) (-15 -1986 ((-57) |#2| (-310 |#2|))) (-15 -1986 ((-57) |#2| (-310 |#2|) (-790))) (-15 -1994 ((-57) (-1191))) (-15 -1994 ((-57) |#2|)) (-15 -1994 ((-57) |#2| (-592))) (-15 -1994 ((-57) |#2| (-310 |#2|))) (-15 -1994 ((-57) |#2| (-310 |#2|) (-592))) (-15 -2001 ((-57) (-1191))) (-15 -2001 ((-57) |#2|)) (-15 -2001 ((-57) |#2| (-433 (-592)))) (-15 -2001 ((-57) |#2| (-310 |#2|))) (-15 -2001 ((-57) |#2| (-310 |#2|) (-433 (-592)))) (-15 -2881 ((-57) (-1191))) (-15 -2881 ((-57) |#2|)) (-15 -2881 ((-57) |#2| (-433 (-592)))) (-15 -2881 ((-57) |#2| (-310 |#2|))) (-15 -2881 ((-57) |#2| (-310 |#2|) (-433 (-592))))) 
-((-1641 (((-141) $ $) NIL)) (-3863 (((-658 $) $ (-1191)) NIL (|has| |#1| (-582))) (((-658 $) $) NIL (|has| |#1| (-582))) (((-658 $) (-1187 $) (-1191)) NIL (|has| |#1| (-582))) (((-658 $) (-1187 $)) NIL (|has| |#1| (-582))) (((-658 $) (-980 $)) NIL (|has| |#1| (-582)))) (-3224 (($ $ (-1191)) NIL (|has| |#1| (-582))) (($ $) NIL (|has| |#1| (-582))) (($ (-1187 $) (-1191)) NIL (|has| |#1| (-582))) (($ (-1187 $)) NIL (|has| |#1| (-582))) (($ (-980 $)) NIL (|has| |#1| (-582)))) (-2272 (((-141) $) 27 (-3836 (|has| |#1| (-25)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))))) (-4085 (((-658 (-1191)) $) 348)) (-4492 (((-433 (-1187 $)) $ (-631 $)) NIL (|has| |#1| (-582)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2165 (((-658 (-631 $)) $) NIL)) (-1588 (($ $) 154 (|has| |#1| (-582)))) (-1507 (($ $) 130 (|has| |#1| (-582)))) (-2178 (($ $ (-1111 $)) 215 (|has| |#1| (-582))) (($ $ (-1191)) 211 (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) NIL (-3836 (|has| |#1| (-21)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))))) (-3147 (($ $ (-310 $)) NIL) (($ $ (-658 (-310 $))) 364) (($ $ (-658 (-631 $)) (-658 $)) 407)) (-4043 (((-444 (-1187 $)) (-1187 $)) 292 (-12 (|has| |#1| (-477)) (|has| |#1| (-582))))) (-3743 (($ $) NIL (|has| |#1| (-582)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-582)))) (-1442 (($ $) NIL (|has| |#1| (-582)))) (-3652 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1575 (($ $) 150 (|has| |#1| (-582)))) (-1495 (($ $) 126 (|has| |#1| (-582)))) (-1654 (($ $ (-592)) 64 (|has| |#1| (-582)))) (-1601 (($ $) 158 (|has| |#1| (-582)))) (-1521 (($ $) 134 (|has| |#1| (-582)))) (-3001 (($) NIL (-3836 (|has| |#1| (-25)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131))) CONST)) (-1316 (((-658 $) $ (-1191)) NIL (|has| |#1| (-582))) (((-658 $) $) NIL (|has| |#1| (-582))) (((-658 $) (-1187 $) (-1191)) NIL (|has| |#1| (-582))) (((-658 $) (-1187 $)) NIL (|has| |#1| (-582))) (((-658 $) (-980 $)) NIL (|has| |#1| (-582)))) (-3906 (($ $ (-1191)) NIL (|has| |#1| (-582))) (($ $) NIL (|has| |#1| (-582))) (($ (-1187 $) (-1191)) 117 (|has| |#1| (-582))) (($ (-1187 $)) NIL (|has| |#1| (-582))) (($ (-980 $)) NIL (|has| |#1| (-582)))) (-4368 (((-3 (-631 $) "failed") $) 17) (((-3 (-1191) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-980 |#1|)) "failed") $) NIL (|has| |#1| (-582))) (((-3 (-980 |#1|) "failed") $) NIL (|has| |#1| (-1075))) (((-3 (-433 (-592)) "failed") $) 45 (-3836 (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-2400 (((-631 $) $) 11) (((-1191) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-980 |#1|)) $) NIL (|has| |#1| (-582))) (((-980 |#1|) $) NIL (|has| |#1| (-1075))) (((-433 (-592)) $) 305 (-3836 (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-1586 (($ $ $) NIL (|has| |#1| (-582)))) (-3945 (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 110 (|has| |#1| (-1075))) (((-706 |#1|) (-706 $)) 102 (|has| |#1| (-1075))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))))) (-3657 (($ $) 84 (|has| |#1| (-582)))) (-3371 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131))))) (-1599 (($ $ $) NIL (|has| |#1| (-582)))) (-3679 (($ $ (-1111 $)) 219 (|has| |#1| (-582))) (($ $ (-1191)) 217 (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-582)))) (-2802 (((-141) $) NIL (|has| |#1| (-582)))) (-4018 (($ $ $) 185 (|has| |#1| (-582)))) (-1435 (($) 120 (|has| |#1| (-582)))) (-3870 (($ $ $) 205 (|has| |#1| (-582)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 370 (|has| |#1| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 376 (|has| |#1| (-908 (-405))))) (-2243 (($ $) NIL) (($ (-658 $)) NIL)) (-4388 (((-658 (-143)) $) NIL)) (-2791 (((-143) (-143)) 264)) (-3558 (((-141) $) 25 (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131))))) (-3372 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-3838 (($ $) 66 (|has| |#1| (-1075)))) (-1448 (((-1142 |#1| (-631 $)) $) 79 (|has| |#1| (-1075)))) (-4168 (((-141) $) 46 (|has| |#1| (-582)))) (-4422 (($ $ (-592)) NIL (|has| |#1| (-582)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-582)))) (-2710 (((-1187 $) (-631 $)) 265 (|has| $ (-1075)))) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 $ $) (-631 $)) 403)) (-4160 (((-3 (-631 $) "failed") $) NIL)) (-4546 (($ $) 124 (|has| |#1| (-582)))) (-1457 (($ $) 230 (|has| |#1| (-582)))) (-2750 (($ (-658 $)) NIL (|has| |#1| (-582))) (($ $ $) NIL (|has| |#1| (-582)))) (-2685 (((-1173) $) NIL)) (-4486 (((-658 (-631 $)) $) 48)) (-1462 (($ (-143) $) NIL) (($ (-143) (-658 $)) 408)) (-4421 (((-3 (-658 $) "failed") $) NIL (|has| |#1| (-1131)))) (-2427 (((-3 (-2 (|:| |val| $) (|:| -3215 (-592))) "failed") $) NIL (|has| |#1| (-1075)))) (-2947 (((-3 (-658 $) "failed") $) 411 (|has| |#1| (-25)))) (-1649 (((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 $))) "failed") $) 415 (|has| |#1| (-25)))) (-2257 (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $) NIL (|has| |#1| (-1131))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-143)) NIL (|has| |#1| (-1075))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-1191)) NIL (|has| |#1| (-1075)))) (-3013 (((-141) $ (-143)) NIL) (((-141) $ (-1191)) 52)) (-4552 (($ $) NIL (-3836 (|has| |#1| (-502)) (|has| |#1| (-582))))) (-1868 (($ $ (-1191)) 238 (|has| |#1| (-582))) (($ $ (-1111 $)) 240 (|has| |#1| (-582)))) (-2535 (((-790) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 43)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 285 (|has| |#1| (-582)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-582))) (($ $ $) NIL (|has| |#1| (-582)))) (-2424 (($ $) 234 (|has| |#1| (-582)))) (-1927 (($ $) 236 (|has| |#1| (-582)))) (-1319 (((-141) $ $) NIL) (((-141) $ (-1191)) NIL)) (-2944 (($ $ (-1191)) 209 (|has| |#1| (-582))) (($ $) 207 (|has| |#1| (-582)))) (-2283 (($ $) 201 (|has| |#1| (-582)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 290 (-12 (|has| |#1| (-477)) (|has| |#1| (-582))))) (-4500 (((-444 $) $) NIL (|has| |#1| (-582)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-582))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-582)))) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-582)))) (-1430 (($ $) 122 (|has| |#1| (-582)))) (-3554 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) 402) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-1191) (-1 $ (-658 $))) NIL) (($ $ (-1191) (-1 $ $)) NIL) (($ $ (-658 (-143)) (-658 (-1 $ $))) 358) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-143) (-1 $ (-658 $))) NIL) (($ $ (-143) (-1 $ $)) NIL) (($ $ (-1191)) NIL (|has| |#1| (-633 (-565)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-633 (-565)))) (($ $) NIL (|has| |#1| (-633 (-565)))) (($ $ (-143) $ (-1191)) 346 (|has| |#1| (-633 (-565)))) (($ $ (-658 (-143)) (-658 $) (-1191)) 345 (|has| |#1| (-633 (-565)))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ $))) NIL (|has| |#1| (-1075))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ (-658 $)))) NIL (|has| |#1| (-1075))) (($ $ (-1191) (-790) (-1 $ (-658 $))) NIL (|has| |#1| (-1075))) (($ $ (-1191) (-790) (-1 $ $)) NIL (|has| |#1| (-1075)))) (-2769 (((-790) $) NIL (|has| |#1| (-582)))) (-1463 (($ $) 222 (|has| |#1| (-582)))) (-3927 (($ (-143) $) NIL) (($ (-143) $ $) NIL) (($ (-143) $ $ $) NIL) (($ (-143) $ $ $ $) NIL) (($ (-143) (-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-2818 (($ $) NIL) (($ $ $) NIL)) (-1486 (($ $) 232 (|has| |#1| (-582)))) (-2002 (($ $) 183 (|has| |#1| (-582)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-1075))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-1075))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-1075))) (($ $ (-1191)) NIL (|has| |#1| (-1075)))) (-2782 (($ $) 67 (|has| |#1| (-582)))) (-1456 (((-1142 |#1| (-631 $)) $) 81 (|has| |#1| (-582)))) (-3390 (($ $) 303 (|has| $ (-1075)))) (-1609 (($ $) 160 (|has| |#1| (-582)))) (-1527 (($ $) 136 (|has| |#1| (-582)))) (-1594 (($ $) 156 (|has| |#1| (-582)))) (-1515 (($ $) 132 (|has| |#1| (-582)))) (-1581 (($ $) 152 (|has| |#1| (-582)))) (-1501 (($ $) 128 (|has| |#1| (-582)))) (-1778 (((-914 (-592)) $) NIL (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| |#1| (-633 (-914 (-405))))) (($ (-444 $)) NIL (|has| |#1| (-582))) (((-565) $) 343 (|has| |#1| (-633 (-565))))) (-2227 (($ $ $) NIL (|has| |#1| (-502)))) (-2131 (($ $ $) NIL (|has| |#1| (-502)))) (-1683 (((-877) $) 401) (($ (-631 $)) 392) (($ (-1191)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-582))) (($ (-53)) 297 (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592))))) (($ (-1142 |#1| (-631 $))) 83 (|has| |#1| (-1075))) (($ (-433 |#1|)) NIL (|has| |#1| (-582))) (($ (-980 (-433 |#1|))) NIL (|has| |#1| (-582))) (($ (-433 (-980 (-433 |#1|)))) NIL (|has| |#1| (-582))) (($ (-433 (-980 |#1|))) NIL (|has| |#1| (-582))) (($ (-980 |#1|)) NIL (|has| |#1| (-1075))) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-582)) (|has| |#1| (-1065 (-433 (-592)))))) (($ (-592)) 34 (-3836 (|has| |#1| (-1065 (-592))) (|has| |#1| (-1075))))) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL (|has| |#1| (-1075)))) (-3280 (($ $) NIL) (($ (-658 $)) NIL)) (-4042 (($ $ $) 203 (|has| |#1| (-582)))) (-2280 (($ $ $) 189 (|has| |#1| (-582)))) (-2500 (($ $ $) 193 (|has| |#1| (-582)))) (-3468 (($ $ $) 187 (|has| |#1| (-582)))) (-2894 (($ $ $) 191 (|has| |#1| (-582)))) (-3038 (((-141) (-143)) 9)) (-1630 (($ $) 166 (|has| |#1| (-582)))) (-1546 (($ $) 142 (|has| |#1| (-582)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) 162 (|has| |#1| (-582)))) (-1533 (($ $) 138 (|has| |#1| (-582)))) (-1642 (($ $) 170 (|has| |#1| (-582)))) (-1559 (($ $) 146 (|has| |#1| (-582)))) (-3270 (($ (-1191) $) NIL) (($ (-1191) $ $) NIL) (($ (-1191) $ $ $) NIL) (($ (-1191) $ $ $ $) NIL) (($ (-1191) (-658 $)) NIL)) (-2156 (($ $) 197 (|has| |#1| (-582)))) (-3132 (($ $) 195 (|has| |#1| (-582)))) (-2892 (($ $) 172 (|has| |#1| (-582)))) (-1567 (($ $) 148 (|has| |#1| (-582)))) (-1636 (($ $) 168 (|has| |#1| (-582)))) (-1552 (($ $) 144 (|has| |#1| (-582)))) (-1624 (($ $) 164 (|has| |#1| (-582)))) (-1540 (($ $) 140 (|has| |#1| (-582)))) (-1392 (($ $) 175 (|has| |#1| (-582)))) (-1424 (($ $ (-592)) NIL (-3836 (|has| |#1| (-502)) (|has| |#1| (-582)))) (($ $ (-790)) NIL (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131)))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131))))) (-3514 (($) 20 (-3836 (|has| |#1| (-25)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))) CONST)) (-2672 (($ $) 226 (|has| |#1| (-582)))) (-4257 (($) 22 (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131))) CONST)) (-2348 (($ $) 177 (|has| |#1| (-582))) (($ $ $) 179 (|has| |#1| (-582)))) (-4299 (($ $) 224 (|has| |#1| (-582)))) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-1075))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-1075))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-1075))) (($ $ (-1191)) NIL (|has| |#1| (-1075)))) (-4157 (($ $) 228 (|has| |#1| (-582)))) (-2170 (($ $ $) 181 (|has| |#1| (-582)))) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 76)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 75)) (-3313 (($ (-1142 |#1| (-631 $)) (-1142 |#1| (-631 $))) 93 (|has| |#1| (-582))) (($ $ $) 42 (-3836 (|has| |#1| (-502)) (|has| |#1| (-582))))) (-3306 (($ $ $) 40 (-3836 (|has| |#1| (-21)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))))) (($ $) 29 (-3836 (|has| |#1| (-21)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))))) (-3300 (($ $ $) 38 (-3836 (|has| |#1| (-25)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))))) (** (($ $ $) 61 (|has| |#1| (-582))) (($ $ (-433 (-592))) 300 (|has| |#1| (-582))) (($ $ (-592)) 71 (-3836 (|has| |#1| (-502)) (|has| |#1| (-582)))) (($ $ (-790)) 68 (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131)))) (($ $ (-944)) 73 (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131))))) (* (($ (-433 (-592)) $) NIL (|has| |#1| (-582))) (($ $ (-433 (-592))) NIL (|has| |#1| (-582))) (($ |#1| $) NIL (|has| |#1| (-194))) (($ $ |#1|) NIL (|has| |#1| (-194))) (($ $ $) 36 (-3836 (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) (|has| |#1| (-1131)))) (($ (-592) $) 32 (-3836 (|has| |#1| (-21)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))))) (($ (-790) $) NIL (-3836 (|has| |#1| (-25)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))))) (($ (-944) $) NIL (-3836 (|has| |#1| (-25)) (-12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))))))) 
-(((-332 |#1|) (-13 (-456 |#1|) (-10 -8 (IF (|has| |#1| (-582)) (PROGN (-6 (-29 |#1|)) (-6 (-1211)) (-6 (-182)) (-6 (-644)) (-6 (-1153)) (-15 -3657 ($ $)) (-15 -4168 ((-141) $)) (-15 -1654 ($ $ (-592))) (IF (|has| |#1| (-477)) (PROGN (-15 -3339 ((-444 (-1187 $)) (-1187 $))) (-15 -4043 ((-444 (-1187 $)) (-1187 $)))) |noBranch|) (IF (|has| |#1| (-1065 (-592))) (-6 (-1065 (-53))) |noBranch|)) |noBranch|))) (-869)) (T -332)) 
-((-3657 (*1 *1 *1) (-12 (-5 *1 (-332 *2)) (-4 *2 (-582)) (-4 *2 (-869)))) (-4168 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-332 *3)) (-4 *3 (-582)) (-4 *3 (-869)))) (-1654 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-332 *3)) (-4 *3 (-582)) (-4 *3 (-869)))) (-3339 (*1 *2 *3) (-12 (-5 *2 (-444 (-1187 *1))) (-5 *1 (-332 *4)) (-5 *3 (-1187 *1)) (-4 *4 (-477)) (-4 *4 (-582)) (-4 *4 (-869)))) (-4043 (*1 *2 *3) (-12 (-5 *2 (-444 (-1187 *1))) (-5 *1 (-332 *4)) (-5 *3 (-1187 *1)) (-4 *4 (-477)) (-4 *4 (-582)) (-4 *4 (-869))))) 
-(-13 (-456 |#1|) (-10 -8 (IF (|has| |#1| (-582)) (PROGN (-6 (-29 |#1|)) (-6 (-1211)) (-6 (-182)) (-6 (-644)) (-6 (-1153)) (-15 -3657 ($ $)) (-15 -4168 ((-141) $)) (-15 -1654 ($ $ (-592))) (IF (|has| |#1| (-477)) (PROGN (-15 -3339 ((-444 (-1187 $)) (-1187 $))) (-15 -4043 ((-444 (-1187 $)) (-1187 $)))) |noBranch|) (IF (|has| |#1| (-1065 (-592))) (-6 (-1065 (-53))) |noBranch|)) |noBranch|))) 
-((-3016 (((-57) |#2| (-143) (-310 |#2|) (-658 |#2|)) 86) (((-57) |#2| (-143) (-310 |#2|) (-310 |#2|)) 82) (((-57) |#2| (-143) (-310 |#2|) |#2|) 84) (((-57) (-310 |#2|) (-143) (-310 |#2|) |#2|) 85) (((-57) (-658 |#2|) (-658 (-143)) (-310 |#2|) (-658 (-310 |#2|))) 78) (((-57) (-658 |#2|) (-658 (-143)) (-310 |#2|) (-658 |#2|)) 80) (((-57) (-658 (-310 |#2|)) (-658 (-143)) (-310 |#2|) (-658 |#2|)) 81) (((-57) (-658 (-310 |#2|)) (-658 (-143)) (-310 |#2|) (-658 (-310 |#2|))) 79) (((-57) (-310 |#2|) (-143) (-310 |#2|) (-658 |#2|)) 87) (((-57) (-310 |#2|) (-143) (-310 |#2|) (-310 |#2|)) 83))) 
-(((-333 |#1| |#2|) (-10 -7 (-15 -3016 ((-57) (-310 |#2|) (-143) (-310 |#2|) (-310 |#2|))) (-15 -3016 ((-57) (-310 |#2|) (-143) (-310 |#2|) (-658 |#2|))) (-15 -3016 ((-57) (-658 (-310 |#2|)) (-658 (-143)) (-310 |#2|) (-658 (-310 |#2|)))) (-15 -3016 ((-57) (-658 (-310 |#2|)) (-658 (-143)) (-310 |#2|) (-658 |#2|))) (-15 -3016 ((-57) (-658 |#2|) (-658 (-143)) (-310 |#2|) (-658 |#2|))) (-15 -3016 ((-57) (-658 |#2|) (-658 (-143)) (-310 |#2|) (-658 (-310 |#2|)))) (-15 -3016 ((-57) (-310 |#2|) (-143) (-310 |#2|) |#2|)) (-15 -3016 ((-57) |#2| (-143) (-310 |#2|) |#2|)) (-15 -3016 ((-57) |#2| (-143) (-310 |#2|) (-310 |#2|))) (-15 -3016 ((-57) |#2| (-143) (-310 |#2|) (-658 |#2|)))) (-13 (-869) (-582) (-633 (-565))) (-456 |#1|)) (T -333)) 
-((-3016 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-143)) (-5 *5 (-310 *3)) (-5 *6 (-658 *3)) (-4 *3 (-456 *7)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *7 *3)))) (-3016 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-143)) (-5 *5 (-310 *3)) (-4 *3 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *3)))) (-3016 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-143)) (-5 *5 (-310 *3)) (-4 *3 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *3)))) (-3016 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-310 *5)) (-5 *4 (-143)) (-4 *5 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *5)))) (-3016 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 (-143))) (-5 *6 (-658 (-310 *8))) (-4 *8 (-456 *7)) (-5 *5 (-310 *8)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *7 *8)))) (-3016 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-658 *7)) (-5 *4 (-658 (-143))) (-5 *5 (-310 *7)) (-4 *7 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *7)))) (-3016 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 (-310 *8))) (-5 *4 (-658 (-143))) (-5 *5 (-310 *8)) (-5 *6 (-658 *8)) (-4 *8 (-456 *7)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *7 *8)))) (-3016 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-658 (-310 *7))) (-5 *4 (-658 (-143))) (-5 *5 (-310 *7)) (-4 *7 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *7)))) (-3016 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-310 *7)) (-5 *4 (-143)) (-5 *5 (-658 *7)) (-4 *7 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *7)))) (-3016 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-310 *6)) (-5 *4 (-143)) (-4 *6 (-456 *5)) (-4 *5 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *5 *6))))) 
-(-10 -7 (-15 -3016 ((-57) (-310 |#2|) (-143) (-310 |#2|) (-310 |#2|))) (-15 -3016 ((-57) (-310 |#2|) (-143) (-310 |#2|) (-658 |#2|))) (-15 -3016 ((-57) (-658 (-310 |#2|)) (-658 (-143)) (-310 |#2|) (-658 (-310 |#2|)))) (-15 -3016 ((-57) (-658 (-310 |#2|)) (-658 (-143)) (-310 |#2|) (-658 |#2|))) (-15 -3016 ((-57) (-658 |#2|) (-658 (-143)) (-310 |#2|) (-658 |#2|))) (-15 -3016 ((-57) (-658 |#2|) (-658 (-143)) (-310 |#2|) (-658 (-310 |#2|)))) (-15 -3016 ((-57) (-310 |#2|) (-143) (-310 |#2|) |#2|)) (-15 -3016 ((-57) |#2| (-143) (-310 |#2|) |#2|)) (-15 -3016 ((-57) |#2| (-143) (-310 |#2|) (-310 |#2|))) (-15 -3016 ((-57) |#2| (-143) (-310 |#2|) (-658 |#2|)))) 
-((-3016 ((|#3| |#2| (-143) (-1191) (-658 |#2|)) 53)) (-3294 ((|#2| |#2| (-143) (-1191)) 30))) 
-(((-334 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3016 (|#3| |#2| (-143) (-1191) (-658 |#2|))) (-15 -3294 (|#2| |#2| (-143) (-1191)))) (-13 (-869) (-582) (-633 (-565))) (-456 |#1|) (-1270 |#2|) (-1270 (-1185 |#2|))) (T -334)) 
-((-3294 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-143)) (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-582) (-633 (-565)))) (-4 *2 (-456 *5)) (-5 *1 (-334 *5 *2 *6 *7)) (-4 *6 (-1270 *2)) (-4 *7 (-1270 (-1185 *2))))) (-3016 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-143)) (-5 *5 (-1191)) (-5 *6 (-658 *3)) (-4 *3 (-456 *7)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-4 *2 (-1270 *3)) (-5 *1 (-334 *7 *3 *2 *8)) (-4 *8 (-1270 (-1185 *3)))))) 
-(-10 -7 (-15 -3016 (|#3| |#2| (-143) (-1191) (-658 |#2|))) (-15 -3294 (|#2| |#2| (-143) (-1191)))) 
-((-2215 (((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-237) (-592) (-1173)) 45) (((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-237) (-592)) 46) (((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-1 (-237) (-237)) (-592) (-1173)) 42) (((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-1 (-237) (-237)) (-592)) 43)) (-2477 (((-1 (-237) (-237)) (-237)) 44))) 
-(((-335) (-10 -7 (-15 -2477 ((-1 (-237) (-237)) (-237))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-1 (-237) (-237)) (-592))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-1 (-237) (-237)) (-592) (-1173))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-237) (-592))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-237) (-592) (-1173))))) (T -335)) 
-((-2215 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-237)) (-5 *7 (-592)) (-5 *8 (-1173)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) (-2215 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-237)) (-5 *7 (-592)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) (-2215 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-592)) (-5 *7 (-1173)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) (-2215 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-592)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) (-2477 (*1 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *1 (-335)) (-5 *3 (-237))))) 
-(-10 -7 (-15 -2477 ((-1 (-237) (-237)) (-237))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-1 (-237) (-237)) (-592))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-1 (-237) (-237)) (-592) (-1173))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-237) (-592))) (-15 -2215 ((-1221 (-953)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-237) (-592) (-1173)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 24)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) NIL) (($ $ (-433 (-592)) (-433 (-592))) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) 19)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) 30)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) NIL) (((-433 (-592)) $ (-433 (-592))) 15)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) NIL) (($ $ (-433 (-592))) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-433 (-592))) NIL) (($ $ (-1103) (-433 (-592))) NIL) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3162 (($ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211)))))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2160 (((-433 (-592)) $) 16)) (-4331 (($ (-1264 |#1| |#2| |#3|)) 11)) (-3215 (((-1264 |#1| |#2| |#3|) $) 12)) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) NIL) (($ $ $) NIL (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-4525 (((-433 (-592)) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 10)) (-1683 (((-877) $) 36) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) 28)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) NIL)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 26)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 31)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-336 |#1| |#2| |#3|) (-13 (-1260 |#1|) (-814) (-10 -8 (-15 -4331 ($ (-1264 |#1| |#2| |#3|))) (-15 -3215 ((-1264 |#1| |#2| |#3|) $)) (-15 -2160 ((-433 (-592)) $)))) (-13 (-388) (-869)) (-1191) |#1|) (T -336)) 
-((-4331 (*1 *1 *2) (-12 (-5 *2 (-1264 *3 *4 *5)) (-4 *3 (-13 (-388) (-869))) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-336 *3 *4 *5)))) (-3215 (*1 *2 *1) (-12 (-5 *2 (-1264 *3 *4 *5)) (-5 *1 (-336 *3 *4 *5)) (-4 *3 (-13 (-388) (-869))) (-14 *4 (-1191)) (-14 *5 *3))) (-2160 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-336 *3 *4 *5)) (-4 *3 (-13 (-388) (-869))) (-14 *4 (-1191)) (-14 *5 *3)))) 
-(-13 (-1260 |#1|) (-814) (-10 -8 (-15 -4331 ($ (-1264 |#1| |#2| |#3|))) (-15 -3215 ((-1264 |#1| |#2| |#3|) $)) (-15 -2160 ((-433 (-592)) $)))) 
-((-3594 (((-444 (-1187 |#1|)) (-1187 |#1|) |#1|) 15)) (-4500 (((-444 (-1187 |#1|)) (-1187 |#1|) |#1|) 24))) 
-(((-337 |#1|) (-10 -7 (-15 -4500 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|)) (-15 -3594 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|))) (-881)) (T -337)) 
-((-3594 (*1 *2 *3 *4) (-12 (-4 *4 (-881)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-337 *4)) (-5 *3 (-1187 *4)))) (-4500 (*1 *2 *3 *4) (-12 (-4 *4 (-881)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-337 *4)) (-5 *3 (-1187 *4))))) 
-(-10 -7 (-15 -4500 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|)) (-15 -3594 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|))) 
-((-4422 (((-2 (|:| -3215 (-790)) (|:| -1487 |#1|) (|:| |radicand| (-658 |#1|))) (-444 |#1|) (-790)) 24)) (-4546 (((-658 (-2 (|:| -1487 (-790)) (|:| |logand| |#1|))) (-444 |#1|)) 28))) 
-(((-338 |#1|) (-10 -7 (-15 -4422 ((-2 (|:| -3215 (-790)) (|:| -1487 |#1|) (|:| |radicand| (-658 |#1|))) (-444 |#1|) (-790))) (-15 -4546 ((-658 (-2 (|:| -1487 (-790)) (|:| |logand| |#1|))) (-444 |#1|)))) (-582)) (T -338)) 
-((-4546 (*1 *2 *3) (-12 (-5 *3 (-444 *4)) (-4 *4 (-582)) (-5 *2 (-658 (-2 (|:| -1487 (-790)) (|:| |logand| *4)))) (-5 *1 (-338 *4)))) (-4422 (*1 *2 *3 *4) (-12 (-5 *3 (-444 *5)) (-4 *5 (-582)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *5) (|:| |radicand| (-658 *5)))) (-5 *1 (-338 *5)) (-5 *4 (-790))))) 
-(-10 -7 (-15 -4422 ((-2 (|:| -3215 (-790)) (|:| -1487 |#1|) (|:| |radicand| (-658 |#1|))) (-444 |#1|) (-790))) (-15 -4546 ((-658 (-2 (|:| -1487 (-790)) (|:| |logand| |#1|))) (-444 |#1|)))) 
-((-3594 (((-444 (-1187 |#1|)) (-1187 |#1|) |#1|) 15)) (-4500 (((-444 (-1187 |#1|)) (-1187 |#1|) |#1|) 24))) 
-(((-339 |#1|) (-10 -7 (-15 -4500 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|)) (-15 -3594 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|))) (-886)) (T -339)) 
-((-3594 (*1 *2 *3 *4) (-12 (-4 *4 (-886)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-339 *4)) (-5 *3 (-1187 *4)))) (-4500 (*1 *2 *3 *4) (-12 (-4 *4 (-886)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-339 *4)) (-5 *3 (-1187 *4))))) 
-(-10 -7 (-15 -4500 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|)) (-15 -3594 ((-444 (-1187 |#1|)) (-1187 |#1|) |#1|))) 
-((-4085 (((-658 |#2|) (-1187 |#4|)) 43)) (-4558 ((|#3| (-592)) 46)) (-1922 (((-1187 |#4|) (-1187 |#3|)) 30)) (-1396 (((-1187 |#4|) (-1187 |#4|) (-592)) 55)) (-3893 (((-1187 |#3|) (-1187 |#4|)) 21)) (-4525 (((-658 (-790)) (-1187 |#4|) (-658 |#2|)) 40)) (-1883 (((-1187 |#3|) (-1187 |#4|) (-658 |#2|) (-658 |#3|)) 35))) 
-(((-340 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1883 ((-1187 |#3|) (-1187 |#4|) (-658 |#2|) (-658 |#3|))) (-15 -4525 ((-658 (-790)) (-1187 |#4|) (-658 |#2|))) (-15 -4085 ((-658 |#2|) (-1187 |#4|))) (-15 -3893 ((-1187 |#3|) (-1187 |#4|))) (-15 -1922 ((-1187 |#4|) (-1187 |#3|))) (-15 -1396 ((-1187 |#4|) (-1187 |#4|) (-592))) (-15 -4558 (|#3| (-592)))) (-815) (-869) (-1075) (-977 |#3| |#1| |#2|)) (T -340)) 
-((-4558 (*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1075)) (-5 *1 (-340 *4 *5 *2 *6)) (-4 *6 (-977 *2 *4 *5)))) (-1396 (*1 *2 *2 *3) (-12 (-5 *2 (-1187 *7)) (-5 *3 (-592)) (-4 *7 (-977 *6 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-5 *1 (-340 *4 *5 *6 *7)))) (-1922 (*1 *2 *3) (-12 (-5 *3 (-1187 *6)) (-4 *6 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-1187 *7)) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) (-3893 (*1 *2 *3) (-12 (-5 *3 (-1187 *7)) (-4 *7 (-977 *6 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-5 *2 (-1187 *6)) (-5 *1 (-340 *4 *5 *6 *7)))) (-4085 (*1 *2 *3) (-12 (-5 *3 (-1187 *7)) (-4 *7 (-977 *6 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-5 *2 (-658 *5)) (-5 *1 (-340 *4 *5 *6 *7)))) (-4525 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *8)) (-5 *4 (-658 *6)) (-4 *6 (-869)) (-4 *8 (-977 *7 *5 *6)) (-4 *5 (-815)) (-4 *7 (-1075)) (-5 *2 (-658 (-790))) (-5 *1 (-340 *5 *6 *7 *8)))) (-1883 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1187 *9)) (-5 *4 (-658 *7)) (-5 *5 (-658 *8)) (-4 *7 (-869)) (-4 *8 (-1075)) (-4 *9 (-977 *8 *6 *7)) (-4 *6 (-815)) (-5 *2 (-1187 *8)) (-5 *1 (-340 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -1883 ((-1187 |#3|) (-1187 |#4|) (-658 |#2|) (-658 |#3|))) (-15 -4525 ((-658 (-790)) (-1187 |#4|) (-658 |#2|))) (-15 -4085 ((-658 |#2|) (-1187 |#4|))) (-15 -3893 ((-1187 |#3|) (-1187 |#4|))) (-15 -1922 ((-1187 |#4|) (-1187 |#3|))) (-15 -1396 ((-1187 |#4|) (-1187 |#4|) (-592))) (-15 -4558 (|#3| (-592)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 14)) (-2982 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-592)))) $) 18)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1403 (((-790) $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-4449 ((|#1| $ (-592)) NIL)) (-2077 (((-592) $ (-592)) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3401 (($ (-1 |#1| |#1|) $) NIL)) (-3271 (($ (-1 (-592) (-592)) $) 10)) (-2685 (((-1173) $) NIL)) (-1619 (($ $ $) NIL (|has| (-592) (-814)))) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL) (($ |#1|) NIL)) (-1937 (((-592) |#1| $) NIL)) (-3514 (($) 15 T CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) 21 (|has| |#1| (-869)))) (-3306 (($ $) 11) (($ $ $) 20)) (-3300 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL) (($ (-592) |#1|) 19))) 
-(((-341 |#1|) (-13 (-21) (-734 (-592)) (-342 |#1| (-592)) (-10 -7 (IF (|has| |#1| (-869)) (-6 (-869)) |noBranch|))) (-1119)) (T -341)) 
-NIL 
-(-13 (-21) (-734 (-592)) (-342 |#1| (-592)) (-10 -7 (IF (|has| |#1| (-869)) (-6 (-869)) |noBranch|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2982 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))) $) 26)) (-2350 (((-3 $ "failed") $ $) 18)) (-1403 (((-790) $) 27)) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 31)) (-2400 ((|#1| $) 30)) (-4449 ((|#1| $ (-592)) 24)) (-2077 ((|#2| $ (-592)) 25)) (-3401 (($ (-1 |#1| |#1|) $) 21)) (-3271 (($ (-1 |#2| |#2|) $) 22)) (-2685 (((-1173) $) 9)) (-1619 (($ $ $) 20 (|has| |#2| (-814)))) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ |#1|) 32)) (-1937 ((|#2| |#1| $) 23)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3300 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ |#2| |#1|) 28))) 
-(((-342 |#1| |#2|) (-1311) (-1119) (-158)) (T -342)) 
-((-3300 (*1 *1 *2 *1) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-158)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-342 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-158)))) (-1403 (*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)) (-5 *2 (-790)))) (-2982 (*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)) (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 *4)))))) (-2077 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-342 *4 *2)) (-4 *4 (-1119)) (-4 *2 (-158)))) (-4449 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-342 *2 *4)) (-4 *4 (-158)) (-4 *2 (-1119)))) (-1937 (*1 *2 *3 *1) (-12 (-4 *1 (-342 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-158)))) (-3271 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)))) (-3401 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)))) (-1619 (*1 *1 *1 *1) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-158)) (-4 *3 (-814))))) 
-(-13 (-158) (-1065 |t#1|) (-10 -8 (-15 -3300 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -1403 ((-790) $)) (-15 -2982 ((-658 (-2 (|:| |gen| |t#1|) (|:| -1430 |t#2|))) $)) (-15 -2077 (|t#2| $ (-592))) (-15 -4449 (|t#1| $ (-592))) (-15 -1937 (|t#2| |t#1| $)) (-15 -3271 ($ (-1 |t#2| |t#2|) $)) (-15 -3401 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-814)) (-15 -1619 ($ $ $)) |noBranch|))) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-1065 |#1|) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2982 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1403 (((-790) $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-4449 ((|#1| $ (-592)) NIL)) (-2077 (((-790) $ (-592)) NIL)) (-3401 (($ (-1 |#1| |#1|) $) NIL)) (-3271 (($ (-1 (-790) (-790)) $) NIL)) (-2685 (((-1173) $) NIL)) (-1619 (($ $ $) NIL (|has| (-790) (-814)))) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL) (($ |#1|) NIL)) (-1937 (((-790) |#1| $) NIL)) (-3514 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3300 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-790) |#1|) NIL))) 
-(((-343 |#1|) (-342 |#1| (-790)) (-1119)) (T -343)) 
-NIL 
-(-342 |#1| (-790)) 
-((-2731 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
-(((-344 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2731 (|#5| (-1 |#4| |#2|) |#3|))) (-814) (-1075) (-346 |#2| |#1|) (-1075) (-346 |#4| |#1|)) (T -344)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1075)) (-4 *7 (-1075)) (-4 *5 (-814)) (-4 *2 (-346 *7 *5)) (-5 *1 (-344 *5 *6 *4 *7 *2)) (-4 *4 (-346 *6 *5))))) 
-(-10 -7 (-15 -2731 (|#5| (-1 |#4| |#2|) |#3|))) 
-((-3262 (($ $) 52)) (-4209 (($ $ |#2| |#3| $) 14)) (-2976 (($ (-1 |#3| |#3|) $) 35)) (-4559 (((-141) $) 27)) (-4565 ((|#2| $) 29)) (-3616 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-1554 ((|#2| $) 48)) (-1647 (((-658 |#2|) $) 38)) (-4064 (($ $ $ (-790)) 23)) (-3313 (($ $ |#2|) 42))) 
-(((-345 |#1| |#2| |#3|) (-10 -8 (-15 -3262 (|#1| |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 -4064 (|#1| |#1| |#1| (-790))) (-15 -4209 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2976 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1647 ((-658 |#2|) |#1|)) (-15 -4565 (|#2| |#1|)) (-15 -4559 ((-141) |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3313 (|#1| |#1| |#2|))) (-346 |#2| |#3|) (-1075) (-814)) (T -345)) 
-NIL 
-(-10 -8 (-15 -3262 (|#1| |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 -4064 (|#1| |#1| |#1| (-790))) (-15 -4209 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2976 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1647 ((-658 |#2|) |#1|)) (-15 -4565 (|#2| |#1|)) (-15 -4559 ((-141) |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3313 (|#1| |#1| |#2|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 86 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 84 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 83)) (-2400 (((-592) $) 87 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 85 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 82)) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-3262 (($ $) 71 (|has| |#1| (-477)))) (-4209 (($ $ |#1| |#2| $) 75)) (-3558 (((-141) $) 30)) (-4036 (((-790) $) 78)) (-2027 (((-141) $) 61)) (-4526 (($ |#1| |#2|) 60)) (-4206 ((|#2| $) 77)) (-2976 (($ (-1 |#2| |#2|) $) 76)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 81)) (-4565 ((|#1| $) 80)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-582)))) (-4525 ((|#2| $) 63)) (-1554 ((|#1| $) 72 (|has| |#1| (-477)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 48 (|has| |#1| (-582))) (($ |#1|) 46) (($ (-433 (-592))) 56 (-3836 (|has| |#1| (-1065 (-433 (-592)))) (|has| |#1| (-43 (-433 (-592))))))) (-1647 (((-658 |#1|) $) 79)) (-1937 ((|#1| $ |#2|) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-4064 (($ $ $ (-790)) 74 (|has| |#1| (-194)))) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-346 |#1| |#2|) (-1311) (-1075) (-814)) (T -346)) 
-((-4559 (*1 *2 *1) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-141)))) (-4565 (*1 *2 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) (-1647 (*1 *2 *1) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-658 *3)))) (-4036 (*1 *2 *1) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-790)))) (-4206 (*1 *2 *1) (-12 (-4 *1 (-346 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-2976 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)))) (-4209 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) (-4064 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-4 *3 (-194)))) (-3616 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-346 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *2 (-582)))) (-1554 (*1 *2 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)) (-4 *2 (-477)))) (-3262 (*1 *1 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *2 (-477))))) 
-(-13 (-52 |t#1| |t#2|) (-437 |t#1|) (-10 -8 (-15 -4559 ((-141) $)) (-15 -4565 (|t#1| $)) (-15 -1647 ((-658 |t#1|) $)) (-15 -4036 ((-790) $)) (-15 -4206 (|t#2| $)) (-15 -2976 ($ (-1 |t#2| |t#2|) $)) (-15 -4209 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-194)) (-15 -4064 ($ $ $ (-790))) |noBranch|) (IF (|has| |t#1| (-582)) (-15 -3616 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-477)) (PROGN (-15 -1554 (|t#1| $)) (-15 -3262 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-307) |has| |#1| (-582)) ((-437 |#1|) . T) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) . T) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3071 (((-141) (-141)) NIL)) (-3932 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) |#1|) $) NIL)) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1461 (($ $) NIL (|has| |#1| (-1119)))) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) NIL (|has| |#1| (-1119))) (($ (-1 (-141) |#1|) $) NIL)) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-2056 (($ $ (-592)) NIL)) (-2329 (((-790) $) NIL)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-2713 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) NIL)) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2113 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3769 (($ (-658 |#1|)) NIL)) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-4113 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-3619 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-347 |#1|) (-13 (-19 |#1|) (-299 |#1|) (-10 -8 (-15 -3769 ($ (-658 |#1|))) (-15 -2329 ((-790) $)) (-15 -2056 ($ $ (-592))) (-15 -3071 ((-141) (-141))))) (-1225)) (T -347)) 
-((-3769 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-347 *3)))) (-2329 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-347 *3)) (-4 *3 (-1225)))) (-2056 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-347 *3)) (-4 *3 (-1225)))) (-3071 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-347 *3)) (-4 *3 (-1225))))) 
-(-13 (-19 |#1|) (-299 |#1|) (-10 -8 (-15 -3769 ($ (-658 |#1|))) (-15 -2329 ((-790) $)) (-15 -2056 ($ $ (-592))) (-15 -3071 ((-141) (-141))))) 
-((-1917 (((-141) $) 37)) (-4424 (((-790)) 22)) (-4529 ((|#2| $) 41) (($ $ (-944)) 99)) (-1403 (((-790)) 93)) (-1626 (($ (-1280 |#2|)) 20)) (-2114 (((-141) $) 111)) (-2793 ((|#2| $) 43) (($ $ (-944)) 97)) (-3504 (((-1187 |#2|) $) NIL) (((-1187 $) $ (-944)) 88)) (-2343 (((-1187 |#2|) $) 78)) (-1492 (((-1187 |#2|) $) 75) (((-3 (-1187 |#2|) "failed") $ $) 72)) (-2252 (($ $ (-1187 |#2|)) 48)) (-3470 (((-855 (-944))) 91) (((-944)) 38)) (-1936 (((-160)) 25)) (-4525 (((-855 (-944)) $) NIL) (((-944) $) 112)) (-3342 (($) 105)) (-2231 (((-1280 |#2|) $) NIL) (((-706 |#2|) (-1280 $)) 34)) (-1517 (($ $) NIL) (((-3 $ "failed") $) 81)) (-3069 (((-141) $) 36))) 
-(((-348 |#1| |#2|) (-10 -8 (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -1403 ((-790))) (-15 -1517 (|#1| |#1|)) (-15 -1492 ((-3 (-1187 |#2|) "failed") |#1| |#1|)) (-15 -1492 ((-1187 |#2|) |#1|)) (-15 -2343 ((-1187 |#2|) |#1|)) (-15 -2252 (|#1| |#1| (-1187 |#2|))) (-15 -2114 ((-141) |#1|)) (-15 -3342 (|#1|)) (-15 -4529 (|#1| |#1| (-944))) (-15 -2793 (|#1| |#1| (-944))) (-15 -3504 ((-1187 |#1|) |#1| (-944))) (-15 -4529 (|#2| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -4525 ((-944) |#1|)) (-15 -3470 ((-944))) (-15 -3504 ((-1187 |#2|) |#1|)) (-15 -1626 (|#1| (-1280 |#2|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -4424 ((-790))) (-15 -3470 ((-855 (-944)))) (-15 -4525 ((-855 (-944)) |#1|)) (-15 -1917 ((-141) |#1|)) (-15 -3069 ((-141) |#1|)) (-15 -1936 ((-160)))) (-349 |#2|) (-388)) (T -348)) 
-((-1936 (*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-160)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) (-3470 (*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-855 (-944))) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) (-4424 (*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-790)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) (-3470 (*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-944)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) (-1403 (*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-790)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4))))) 
-(-10 -8 (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -1403 ((-790))) (-15 -1517 (|#1| |#1|)) (-15 -1492 ((-3 (-1187 |#2|) "failed") |#1| |#1|)) (-15 -1492 ((-1187 |#2|) |#1|)) (-15 -2343 ((-1187 |#2|) |#1|)) (-15 -2252 (|#1| |#1| (-1187 |#2|))) (-15 -2114 ((-141) |#1|)) (-15 -3342 (|#1|)) (-15 -4529 (|#1| |#1| (-944))) (-15 -2793 (|#1| |#1| (-944))) (-15 -3504 ((-1187 |#1|) |#1| (-944))) (-15 -4529 (|#2| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -4525 ((-944) |#1|)) (-15 -3470 ((-944))) (-15 -3504 ((-1187 |#2|) |#1|)) (-15 -1626 (|#1| (-1280 |#2|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -4424 ((-790))) (-15 -3470 ((-855 (-944)))) (-15 -4525 ((-855 (-944)) |#1|)) (-15 -1917 ((-141) |#1|)) (-15 -3069 ((-141) |#1|)) (-15 -1936 ((-160)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-1917 (((-141) $) 90)) (-4424 (((-790)) 86)) (-4529 ((|#1| $) 134) (($ $ (-944)) 131 (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) 116 (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-1403 (((-790)) 106 (|has| |#1| (-394)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 97)) (-2400 ((|#1| $) 96)) (-1626 (($ (-1280 |#1|)) 140)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 122 (|has| |#1| (-394)))) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-4290 (($) 103 (|has| |#1| (-394)))) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2667 (($) 118 (|has| |#1| (-394)))) (-3293 (((-141) $) 119 (|has| |#1| (-394)))) (-1525 (($ $ (-790)) 83 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) 82 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) 69)) (-4346 (((-944) $) 121 (|has| |#1| (-394))) (((-855 (-944)) $) 80 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) 30)) (-2834 (($) 129 (|has| |#1| (-394)))) (-2114 (((-141) $) 128 (|has| |#1| (-394)))) (-2793 ((|#1| $) 135) (($ $ (-944)) 132 (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) 107 (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-3504 (((-1187 |#1|) $) 139) (((-1187 $) $ (-944)) 133 (|has| |#1| (-394)))) (-3546 (((-944) $) 104 (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) 125 (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) 124 (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) 123 (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) 126 (|has| |#1| (-394)))) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-3703 (($) 108 (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) 105 (|has| |#1| (-394)))) (-2142 (((-141) $) 89)) (-2951 (((-1137) $) 10)) (-2934 (($) 127 (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 115 (|has| |#1| (-394)))) (-4500 (((-444 $) $) 72)) (-3470 (((-855 (-944))) 87) (((-944)) 137)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-1405 (((-658 $)) 102 (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-2177 (((-790) $) 120 (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) 81 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) 95)) (-3644 (($ $) 112 (|has| |#1| (-394))) (($ $ (-790)) 110 (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) 88) (((-944) $) 136)) (-3390 (((-1187 |#1|)) 138)) (-3809 (($) 117 (|has| |#1| (-394)))) (-3342 (($) 130 (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) 142) (((-706 |#1|) (-1280 $)) 141)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 114 (|has| |#1| (-394)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ |#1|) 98)) (-1517 (($ $) 113 (|has| |#1| (-394))) (((-3 $ "failed") $) 79 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) 28)) (-2195 (((-1280 $)) 144) (((-1280 $) (-944)) 143)) (-2537 (((-141) $ $) 38)) (-3069 (((-141) $) 91)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3417 (($ $) 85 (|has| |#1| (-394))) (($ $ (-790)) 84 (|has| |#1| (-394)))) (-1940 (($ $) 111 (|has| |#1| (-394))) (($ $ (-790)) 109 (|has| |#1| (-394)))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62) (($ $ |#1|) 94)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-349 |#1|) (-1311) (-388)) (T -349)) 
-((-2195 (*1 *2) (-12 (-4 *3 (-388)) (-5 *2 (-1280 *1)) (-4 *1 (-349 *3)))) (-2195 (*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-5 *2 (-1280 *1)) (-4 *1 (-349 *4)))) (-2231 (*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-1280 *3)))) (-2231 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-349 *4)) (-4 *4 (-388)) (-5 *2 (-706 *4)))) (-1626 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-388)) (-4 *1 (-349 *3)))) (-3504 (*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-1187 *3)))) (-3390 (*1 *2) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-1187 *3)))) (-3470 (*1 *2) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-944)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-944)))) (-2793 (*1 *2 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-388)))) (-4529 (*1 *2 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-388)))) (-3504 (*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-5 *2 (-1187 *1)) (-4 *1 (-349 *4)))) (-2793 (*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)))) (-4529 (*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)))) (-3342 (*1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-394)) (-4 *2 (-388)))) (-2834 (*1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-394)) (-4 *2 (-388)))) (-2114 (*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-141)))) (-2934 (*1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-394)) (-4 *2 (-388)))) (-2252 (*1 *1 *1 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-394)) (-4 *1 (-349 *3)) (-4 *3 (-388)))) (-2343 (*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-1187 *3)))) (-1492 (*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-1187 *3)))) (-1492 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-1187 *3))))) 
-(-13 (-1297 |t#1|) (-1065 |t#1|) (-10 -8 (-15 -2195 ((-1280 $))) (-15 -2195 ((-1280 $) (-944))) (-15 -2231 ((-1280 |t#1|) $)) (-15 -2231 ((-706 |t#1|) (-1280 $))) (-15 -1626 ($ (-1280 |t#1|))) (-15 -3504 ((-1187 |t#1|) $)) (-15 -3390 ((-1187 |t#1|))) (-15 -3470 ((-944))) (-15 -4525 ((-944) $)) (-15 -2793 (|t#1| $)) (-15 -4529 (|t#1| $)) (IF (|has| |t#1| (-394)) (PROGN (-6 (-373)) (-15 -3504 ((-1187 $) $ (-944))) (-15 -2793 ($ $ (-944))) (-15 -4529 ($ $ (-944))) (-15 -3342 ($)) (-15 -2834 ($)) (-15 -2114 ((-141) $)) (-15 -2934 ($)) (-15 -2252 ($ $ (-1187 |t#1|))) (-15 -2343 ((-1187 |t#1|) $)) (-15 -1492 ((-1187 |t#1|) $)) (-15 -1492 ((-3 (-1187 |t#1|) "failed") $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 |#1| |#1|) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| |#1| (-394)) (|has| |#1| (-169))) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-247) |has| |#1| (-394)) ((-260) . T) ((-307) . T) ((-323) . T) ((-1297 |#1|) . T) ((-388) . T) ((-428) -3836 (|has| |#1| (-394)) (|has| |#1| (-169))) ((-394) |has| |#1| (-394)) ((-373) |has| |#1| (-394)) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 |#1|) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) . T) ((-1081 |#1|) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) |has| |#1| (-394)) ((-1235) . T) ((-1287 |#1|) . T)) 
-((-1641 (((-141) $ $) NIL)) (-1445 (($ (-1190) $) 88)) (-2686 (($) 76)) (-2551 (((-1137) (-1137)) 11)) (-3806 (($) 77)) (-2362 (($) 90) (($ (-332 (-715))) 96) (($ (-332 (-717))) 93) (($ (-332 (-710))) 99) (($ (-332 (-405))) 105) (($ (-332 (-592))) 102) (($ (-332 (-191 (-405)))) 108)) (-3203 (($ (-1190) $) 89)) (-2754 (($ (-658 (-877))) 79)) (-2974 (((-1285) $) 73)) (-1990 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2307 (($ (-1137)) 45)) (-2335 (((-1123) $) 25)) (-2067 (($ (-1111 (-980 (-592))) $) 85) (($ (-1111 (-980 (-592))) (-980 (-592)) $) 86)) (-3797 (($ (-1137)) 87)) (-3418 (($ (-1190) $) 110) (($ (-1190) $ $) 111)) (-4087 (($ (-1191) (-658 (-1191))) 75)) (-4532 (($ (-1173)) 82) (($ (-658 (-1173))) 80)) (-1683 (((-877) $) 113)) (-3702 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1191)) (|:| |arrayIndex| (-658 (-980 (-592)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1191)) (|:| |rand| (-877)) (|:| |ints2Floats?| (-141)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1190)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -2943 (-141)) (|:| -2324 (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |blockBranch| (-658 $)) (|:| |commentBranch| (-658 (-1173))) (|:| |callBranch| (-1173)) (|:| |forBranch| (-2 (|:| -2166 (-1111 (-980 (-592)))) (|:| |span| (-980 (-592))) (|:| |body| $))) (|:| |labelBranch| (-1137)) (|:| |loopBranch| (-2 (|:| |switch| (-1190)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -4095 (-1191)) (|:| |contents| (-658 (-1191))))) (|:| |printBranch| (-658 (-877)))) $) 37)) (-1853 (($ (-1173)) 182)) (-2775 (($ (-658 $)) 109)) (-2733 (($ (-1191) (-1173)) 115) (($ (-1191) (-332 (-717))) 155) (($ (-1191) (-332 (-715))) 156) (($ (-1191) (-332 (-710))) 157) (($ (-1191) (-706 (-717))) 118) (($ (-1191) (-706 (-715))) 121) (($ (-1191) (-706 (-710))) 124) (($ (-1191) (-1280 (-717))) 127) (($ (-1191) (-1280 (-715))) 130) (($ (-1191) (-1280 (-710))) 133) (($ (-1191) (-706 (-332 (-717)))) 136) (($ (-1191) (-706 (-332 (-715)))) 139) (($ (-1191) (-706 (-332 (-710)))) 142) (($ (-1191) (-1280 (-332 (-717)))) 145) (($ (-1191) (-1280 (-332 (-715)))) 148) (($ (-1191) (-1280 (-332 (-710)))) 151) (($ (-1191) (-658 (-980 (-592))) (-332 (-717))) 152) (($ (-1191) (-658 (-980 (-592))) (-332 (-715))) 153) (($ (-1191) (-658 (-980 (-592))) (-332 (-710))) 154) (($ (-1191) (-332 (-592))) 179) (($ (-1191) (-332 (-405))) 180) (($ (-1191) (-332 (-191 (-405)))) 181) (($ (-1191) (-706 (-332 (-592)))) 160) (($ (-1191) (-706 (-332 (-405)))) 163) (($ (-1191) (-706 (-332 (-191 (-405))))) 166) (($ (-1191) (-1280 (-332 (-592)))) 169) (($ (-1191) (-1280 (-332 (-405)))) 172) (($ (-1191) (-1280 (-332 (-191 (-405))))) 175) (($ (-1191) (-658 (-980 (-592))) (-332 (-592))) 176) (($ (-1191) (-658 (-980 (-592))) (-332 (-405))) 177) (($ (-1191) (-658 (-980 (-592))) (-332 (-191 (-405)))) 178)) (-3255 (((-141) $ $) NIL))) 
-(((-350) (-13 (-1119) (-10 -8 (-15 -1683 ((-877) $)) (-15 -2067 ($ (-1111 (-980 (-592))) $)) (-15 -2067 ($ (-1111 (-980 (-592))) (-980 (-592)) $)) (-15 -1445 ($ (-1190) $)) (-15 -3203 ($ (-1190) $)) (-15 -2307 ($ (-1137))) (-15 -3797 ($ (-1137))) (-15 -4532 ($ (-1173))) (-15 -4532 ($ (-658 (-1173)))) (-15 -1853 ($ (-1173))) (-15 -2362 ($)) (-15 -2362 ($ (-332 (-715)))) (-15 -2362 ($ (-332 (-717)))) (-15 -2362 ($ (-332 (-710)))) (-15 -2362 ($ (-332 (-405)))) (-15 -2362 ($ (-332 (-592)))) (-15 -2362 ($ (-332 (-191 (-405))))) (-15 -3418 ($ (-1190) $)) (-15 -3418 ($ (-1190) $ $)) (-15 -2733 ($ (-1191) (-1173))) (-15 -2733 ($ (-1191) (-332 (-717)))) (-15 -2733 ($ (-1191) (-332 (-715)))) (-15 -2733 ($ (-1191) (-332 (-710)))) (-15 -2733 ($ (-1191) (-706 (-717)))) (-15 -2733 ($ (-1191) (-706 (-715)))) (-15 -2733 ($ (-1191) (-706 (-710)))) (-15 -2733 ($ (-1191) (-1280 (-717)))) (-15 -2733 ($ (-1191) (-1280 (-715)))) (-15 -2733 ($ (-1191) (-1280 (-710)))) (-15 -2733 ($ (-1191) (-706 (-332 (-717))))) (-15 -2733 ($ (-1191) (-706 (-332 (-715))))) (-15 -2733 ($ (-1191) (-706 (-332 (-710))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-717))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-715))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-710))))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-717)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-715)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-710)))) (-15 -2733 ($ (-1191) (-332 (-592)))) (-15 -2733 ($ (-1191) (-332 (-405)))) (-15 -2733 ($ (-1191) (-332 (-191 (-405))))) (-15 -2733 ($ (-1191) (-706 (-332 (-592))))) (-15 -2733 ($ (-1191) (-706 (-332 (-405))))) (-15 -2733 ($ (-1191) (-706 (-332 (-191 (-405)))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-592))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-405))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-191 (-405)))))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-592)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-405)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-191 (-405))))) (-15 -2775 ($ (-658 $))) (-15 -2686 ($)) (-15 -3806 ($)) (-15 -2754 ($ (-658 (-877)))) (-15 -4087 ($ (-1191) (-658 (-1191)))) (-15 -1990 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -3702 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1191)) (|:| |arrayIndex| (-658 (-980 (-592)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1191)) (|:| |rand| (-877)) (|:| |ints2Floats?| (-141)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1190)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -2943 (-141)) (|:| -2324 (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |blockBranch| (-658 $)) (|:| |commentBranch| (-658 (-1173))) (|:| |callBranch| (-1173)) (|:| |forBranch| (-2 (|:| -2166 (-1111 (-980 (-592)))) (|:| |span| (-980 (-592))) (|:| |body| $))) (|:| |labelBranch| (-1137)) (|:| |loopBranch| (-2 (|:| |switch| (-1190)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -4095 (-1191)) (|:| |contents| (-658 (-1191))))) (|:| |printBranch| (-658 (-877)))) $)) (-15 -2974 ((-1285) $)) (-15 -2335 ((-1123) $)) (-15 -2551 ((-1137) (-1137)))))) (T -350)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-350)))) (-2067 (*1 *1 *2 *1) (-12 (-5 *2 (-1111 (-980 (-592)))) (-5 *1 (-350)))) (-2067 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1111 (-980 (-592)))) (-5 *3 (-980 (-592))) (-5 *1 (-350)))) (-1445 (*1 *1 *2 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350)))) (-3203 (*1 *1 *2 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350)))) (-2307 (*1 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-350)))) (-3797 (*1 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-350)))) (-4532 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-350)))) (-4532 (*1 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-350)))) (-1853 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-350)))) (-2362 (*1 *1) (-5 *1 (-350))) (-2362 (*1 *1 *2) (-12 (-5 *2 (-332 (-715))) (-5 *1 (-350)))) (-2362 (*1 *1 *2) (-12 (-5 *2 (-332 (-717))) (-5 *1 (-350)))) (-2362 (*1 *1 *2) (-12 (-5 *2 (-332 (-710))) (-5 *1 (-350)))) (-2362 (*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-5 *1 (-350)))) (-2362 (*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-350)))) (-2362 (*1 *1 *2) (-12 (-5 *2 (-332 (-191 (-405)))) (-5 *1 (-350)))) (-3418 (*1 *1 *2 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350)))) (-3418 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1173)) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-717))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-715))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-710))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-717))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-715))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-710))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-717))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-715))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-710))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-717)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-715)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-710)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-717)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-715)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-710)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-717))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-715))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-710))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-592))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-405))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-191 (-405)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-592)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-405)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-191 (-405))))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-592)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-405)))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-191 (-405))))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-592))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-405))) (-5 *1 (-350)))) (-2733 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-191 (-405)))) (-5 *1 (-350)))) (-2775 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-5 *1 (-350)))) (-2686 (*1 *1) (-5 *1 (-350))) (-3806 (*1 *1) (-5 *1 (-350))) (-2754 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-350)))) (-4087 (*1 *1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1191)) (-5 *1 (-350)))) (-1990 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-350)))) (-3702 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1191)) (|:| |arrayIndex| (-658 (-980 (-592)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1191)) (|:| |rand| (-877)) (|:| |ints2Floats?| (-141)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1190)) (|:| |thenClause| (-350)) (|:| |elseClause| (-350)))) (|:| |returnBranch| (-2 (|:| -2943 (-141)) (|:| -2324 (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |blockBranch| (-658 (-350))) (|:| |commentBranch| (-658 (-1173))) (|:| |callBranch| (-1173)) (|:| |forBranch| (-2 (|:| -2166 (-1111 (-980 (-592)))) (|:| |span| (-980 (-592))) (|:| |body| (-350)))) (|:| |labelBranch| (-1137)) (|:| |loopBranch| (-2 (|:| |switch| (-1190)) (|:| |body| (-350)))) (|:| |commonBranch| (-2 (|:| -4095 (-1191)) (|:| |contents| (-658 (-1191))))) (|:| |printBranch| (-658 (-877))))) (-5 *1 (-350)))) (-2974 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-350)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-350)))) (-2551 (*1 *2 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-350))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ((-877) $)) (-15 -2067 ($ (-1111 (-980 (-592))) $)) (-15 -2067 ($ (-1111 (-980 (-592))) (-980 (-592)) $)) (-15 -1445 ($ (-1190) $)) (-15 -3203 ($ (-1190) $)) (-15 -2307 ($ (-1137))) (-15 -3797 ($ (-1137))) (-15 -4532 ($ (-1173))) (-15 -4532 ($ (-658 (-1173)))) (-15 -1853 ($ (-1173))) (-15 -2362 ($)) (-15 -2362 ($ (-332 (-715)))) (-15 -2362 ($ (-332 (-717)))) (-15 -2362 ($ (-332 (-710)))) (-15 -2362 ($ (-332 (-405)))) (-15 -2362 ($ (-332 (-592)))) (-15 -2362 ($ (-332 (-191 (-405))))) (-15 -3418 ($ (-1190) $)) (-15 -3418 ($ (-1190) $ $)) (-15 -2733 ($ (-1191) (-1173))) (-15 -2733 ($ (-1191) (-332 (-717)))) (-15 -2733 ($ (-1191) (-332 (-715)))) (-15 -2733 ($ (-1191) (-332 (-710)))) (-15 -2733 ($ (-1191) (-706 (-717)))) (-15 -2733 ($ (-1191) (-706 (-715)))) (-15 -2733 ($ (-1191) (-706 (-710)))) (-15 -2733 ($ (-1191) (-1280 (-717)))) (-15 -2733 ($ (-1191) (-1280 (-715)))) (-15 -2733 ($ (-1191) (-1280 (-710)))) (-15 -2733 ($ (-1191) (-706 (-332 (-717))))) (-15 -2733 ($ (-1191) (-706 (-332 (-715))))) (-15 -2733 ($ (-1191) (-706 (-332 (-710))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-717))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-715))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-710))))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-717)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-715)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-710)))) (-15 -2733 ($ (-1191) (-332 (-592)))) (-15 -2733 ($ (-1191) (-332 (-405)))) (-15 -2733 ($ (-1191) (-332 (-191 (-405))))) (-15 -2733 ($ (-1191) (-706 (-332 (-592))))) (-15 -2733 ($ (-1191) (-706 (-332 (-405))))) (-15 -2733 ($ (-1191) (-706 (-332 (-191 (-405)))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-592))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-405))))) (-15 -2733 ($ (-1191) (-1280 (-332 (-191 (-405)))))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-592)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-405)))) (-15 -2733 ($ (-1191) (-658 (-980 (-592))) (-332 (-191 (-405))))) (-15 -2775 ($ (-658 $))) (-15 -2686 ($)) (-15 -3806 ($)) (-15 -2754 ($ (-658 (-877)))) (-15 -4087 ($ (-1191) (-658 (-1191)))) (-15 -1990 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -3702 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1191)) (|:| |arrayIndex| (-658 (-980 (-592)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1191)) (|:| |rand| (-877)) (|:| |ints2Floats?| (-141)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1190)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -2943 (-141)) (|:| -2324 (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |blockBranch| (-658 $)) (|:| |commentBranch| (-658 (-1173))) (|:| |callBranch| (-1173)) (|:| |forBranch| (-2 (|:| -2166 (-1111 (-980 (-592)))) (|:| |span| (-980 (-592))) (|:| |body| $))) (|:| |labelBranch| (-1137)) (|:| |loopBranch| (-2 (|:| |switch| (-1190)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -4095 (-1191)) (|:| |contents| (-658 (-1191))))) (|:| |printBranch| (-658 (-877)))) $)) (-15 -2974 ((-1285) $)) (-15 -2335 ((-1123) $)) (-15 -2551 ((-1137) (-1137))))) 
-((-1641 (((-141) $ $) NIL)) (-2627 (((-141) $) 11)) (-1495 (($ |#1|) 8)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1501 (($ |#1|) 9)) (-1683 (((-877) $) 17)) (-4575 ((|#1| $) 12)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 19))) 
-(((-351 |#1|) (-13 (-869) (-10 -8 (-15 -1495 ($ |#1|)) (-15 -1501 ($ |#1|)) (-15 -2627 ((-141) $)) (-15 -4575 (|#1| $)))) (-869)) (T -351)) 
-((-1495 (*1 *1 *2) (-12 (-5 *1 (-351 *2)) (-4 *2 (-869)))) (-1501 (*1 *1 *2) (-12 (-5 *1 (-351 *2)) (-4 *2 (-869)))) (-2627 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-351 *3)) (-4 *3 (-869)))) (-4575 (*1 *2 *1) (-12 (-5 *1 (-351 *2)) (-4 *2 (-869))))) 
-(-13 (-869) (-10 -8 (-15 -1495 ($ |#1|)) (-15 -1501 ($ |#1|)) (-15 -2627 ((-141) $)) (-15 -4575 (|#1| $)))) 
-((-4582 (((-350) (-1191) (-980 (-592))) 22)) (-1832 (((-350) (-1191) (-980 (-592))) 26)) (-1621 (((-350) (-1191) (-1111 (-980 (-592))) (-1111 (-980 (-592)))) 25) (((-350) (-1191) (-980 (-592)) (-980 (-592))) 23)) (-3525 (((-350) (-1191) (-980 (-592))) 30))) 
-(((-352) (-10 -7 (-15 -4582 ((-350) (-1191) (-980 (-592)))) (-15 -1621 ((-350) (-1191) (-980 (-592)) (-980 (-592)))) (-15 -1621 ((-350) (-1191) (-1111 (-980 (-592))) (-1111 (-980 (-592))))) (-15 -1832 ((-350) (-1191) (-980 (-592)))) (-15 -3525 ((-350) (-1191) (-980 (-592)))))) (T -352)) 
-((-3525 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352)))) (-1832 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352)))) (-1621 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-1111 (-980 (-592)))) (-5 *2 (-350)) (-5 *1 (-352)))) (-1621 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352)))) (-4582 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352))))) 
-(-10 -7 (-15 -4582 ((-350) (-1191) (-980 (-592)))) (-15 -1621 ((-350) (-1191) (-980 (-592)) (-980 (-592)))) (-15 -1621 ((-350) (-1191) (-1111 (-980 (-592))) (-1111 (-980 (-592))))) (-15 -1832 ((-350) (-1191) (-980 (-592)))) (-15 -3525 ((-350) (-1191) (-980 (-592))))) 
-((-2731 (((-356 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-356 |#1| |#2| |#3| |#4|)) 31))) 
-(((-353 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2731 ((-356 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-356 |#1| |#2| |#3| |#4|)))) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|) (-388) (-1255 |#5|) (-1255 (-433 |#6|)) (-362 |#5| |#6| |#7|)) (T -353)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-356 *5 *6 *7 *8)) (-4 *5 (-388)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *9 (-388)) (-4 *10 (-1255 *9)) (-4 *11 (-1255 (-433 *10))) (-5 *2 (-356 *9 *10 *11 *12)) (-5 *1 (-353 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-362 *9 *10 *11))))) 
-(-10 -7 (-15 -2731 ((-356 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-356 |#1| |#2| |#3| |#4|)))) 
-((-1663 (((-141) $) 14))) 
-(((-354 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1663 ((-141) |#1|))) (-355 |#2| |#3| |#4| |#5|) (-388) (-1255 |#2|) (-1255 (-433 |#3|)) (-362 |#2| |#3| |#4|)) (T -354)) 
-NIL 
-(-10 -8 (-15 -1663 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3657 (($ $) 25)) (-1663 (((-141) $) 24)) (-2685 (((-1173) $) 9)) (-2312 (((-439 |#2| (-433 |#2|) |#3| |#4|) $) 31)) (-2951 (((-1137) $) 10)) (-2934 (((-3 |#4| "failed") $) 23)) (-4096 (($ (-439 |#2| (-433 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-592)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-1906 (((-2 (|:| -4547 (-439 |#2| (-433 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19))) 
-(((-355 |#1| |#2| |#3| |#4|) (-1311) (-388) (-1255 |t#1|) (-1255 (-433 |t#2|)) (-362 |t#1| |t#2| |t#3|)) (T -355)) 
-((-2312 (*1 *2 *1) (-12 (-4 *1 (-355 *3 *4 *5 *6)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-5 *2 (-439 *4 (-433 *4) *5 *6)))) (-4096 (*1 *1 *2) (-12 (-5 *2 (-439 *4 (-433 *4) *5 *6)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-4 *3 (-388)) (-4 *1 (-355 *3 *4 *5 *6)))) (-4096 (*1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *1 (-355 *3 *4 *5 *2)) (-4 *2 (-362 *3 *4 *5)))) (-4096 (*1 *1 *2 *2) (-12 (-4 *2 (-388)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))) (-4 *1 (-355 *2 *3 *4 *5)) (-4 *5 (-362 *2 *3 *4)))) (-4096 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *2 (-388)) (-4 *4 (-1255 *2)) (-4 *5 (-1255 (-433 *4))) (-4 *1 (-355 *2 *4 *5 *6)) (-4 *6 (-362 *2 *4 *5)))) (-1906 (*1 *2 *1) (-12 (-4 *1 (-355 *3 *4 *5 *6)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-5 *2 (-2 (|:| -4547 (-439 *4 (-433 *4) *5 *6)) (|:| |principalPart| *6))))) (-3657 (*1 *1 *1) (-12 (-4 *1 (-355 *2 *3 *4 *5)) (-4 *2 (-388)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))) (-4 *5 (-362 *2 *3 *4)))) (-1663 (*1 *2 *1) (-12 (-4 *1 (-355 *3 *4 *5 *6)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-5 *2 (-141)))) (-2934 (*1 *2 *1) (|partial| -12 (-4 *1 (-355 *3 *4 *5 *2)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *2 (-362 *3 *4 *5)))) (-4096 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-388)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-4 *1 (-355 *4 *3 *5 *2)) (-4 *2 (-362 *4 *3 *5))))) 
-(-13 (-21) (-10 -8 (-15 -2312 ((-439 |t#2| (-433 |t#2|) |t#3| |t#4|) $)) (-15 -4096 ($ (-439 |t#2| (-433 |t#2|) |t#3| |t#4|))) (-15 -4096 ($ |t#4|)) (-15 -4096 ($ |t#1| |t#1|)) (-15 -4096 ($ |t#1| |t#1| (-592))) (-15 -1906 ((-2 (|:| -4547 (-439 |t#2| (-433 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -3657 ($ $)) (-15 -1663 ((-141) $)) (-15 -2934 ((-3 |t#4| "failed") $)) (-15 -4096 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3657 (($ $) 32)) (-1663 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-3874 (((-1280 |#4|) $) 124)) (-2312 (((-439 |#2| (-433 |#2|) |#3| |#4|) $) 30)) (-2951 (((-1137) $) NIL)) (-2934 (((-3 |#4| "failed") $) 35)) (-3437 (((-1280 |#4|) $) 117)) (-4096 (($ (-439 |#2| (-433 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-592)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-1906 (((-2 (|:| -4547 (-439 |#2| (-433 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-1683 (((-877) $) 17)) (-3514 (($) 14 T CONST)) (-3255 (((-141) $ $) 20)) (-3306 (($ $) 27) (($ $ $) NIL)) (-3300 (($ $ $) 25)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 23))) 
-(((-356 |#1| |#2| |#3| |#4|) (-13 (-355 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3437 ((-1280 |#4|) $)) (-15 -3874 ((-1280 |#4|) $)))) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|)) (T -356)) 
-((-3437 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *6)) (-5 *1 (-356 *3 *4 *5 *6)) (-4 *6 (-362 *3 *4 *5)))) (-3874 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *6)) (-5 *1 (-356 *3 *4 *5 *6)) (-4 *6 (-362 *3 *4 *5))))) 
-(-13 (-355 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3437 ((-1280 |#4|) $)) (-15 -3874 ((-1280 |#4|) $)))) 
-((-2806 (($ $ (-1191) |#2|) NIL) (($ $ (-658 (-1191)) (-658 |#2|)) 18) (($ $ (-658 (-310 |#2|))) 14) (($ $ (-310 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-658 |#2|) (-658 |#2|)) NIL)) (-3927 (($ $ |#2|) 11))) 
-(((-357 |#1| |#2|) (-10 -8 (-15 -3927 (|#1| |#1| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#2| |#2|)) (-15 -2806 (|#1| |#1| (-310 |#2|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#2|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 |#2|))) (-15 -2806 (|#1| |#1| (-1191) |#2|))) (-358 |#2|) (-1119)) (T -357)) 
-NIL 
-(-10 -8 (-15 -3927 (|#1| |#1| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#2| |#2|)) (-15 -2806 (|#1| |#1| (-310 |#2|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#2|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 |#2|))) (-15 -2806 (|#1| |#1| (-1191) |#2|))) 
-((-2731 (($ (-1 |#1| |#1|) $) 6)) (-2806 (($ $ (-1191) |#1|) 16 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 15 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-658 (-310 |#1|))) 14 (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) 13 (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-325 |#1|))) (($ $ (-658 |#1|) (-658 |#1|)) 11 (|has| |#1| (-325 |#1|)))) (-3927 (($ $ |#1|) 10 (|has| |#1| (-303 |#1| |#1|))))) 
-(((-358 |#1|) (-1311) (-1119)) (T -358)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-358 *3)) (-4 *3 (-1119))))) 
-(-13 (-10 -8 (-15 -2731 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-303 |t#1| |t#1|)) (-6 (-303 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-325 |t#1|)) (-6 (-325 |t#1|)) |noBranch|) (IF (|has| |t#1| (-547 (-1191) |t#1|)) (-6 (-547 (-1191) |t#1|)) |noBranch|))) 
-(((-303 |#1| $) |has| |#1| (-303 |#1| |#1|)) ((-325 |#1|) |has| |#1| (-325 |#1|)) ((-547 (-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((-547 |#1| |#1|) |has| |#1| (-325 |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1191)) $) NIL)) (-3145 (((-141)) 87) (((-141) (-141)) 88)) (-2165 (((-658 (-631 $)) $) NIL)) (-1588 (($ $) NIL)) (-1507 (($ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3147 (($ $ (-310 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL)) (-1442 (($ $) NIL)) (-1575 (($ $) NIL)) (-1495 (($ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-631 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-332 |#3|)) 69) (((-3 $ "failed") (-1191)) 93) (((-3 $ "failed") (-332 (-592))) 56 (|has| |#3| (-1065 (-592)))) (((-3 $ "failed") (-433 (-980 (-592)))) 62 (|has| |#3| (-1065 (-592)))) (((-3 $ "failed") (-980 (-592))) 57 (|has| |#3| (-1065 (-592)))) (((-3 $ "failed") (-332 (-405))) 74 (|has| |#3| (-1065 (-405)))) (((-3 $ "failed") (-433 (-980 (-405)))) 80 (|has| |#3| (-1065 (-405)))) (((-3 $ "failed") (-980 (-405))) 75 (|has| |#3| (-1065 (-405))))) (-2400 (((-631 $) $) NIL) ((|#3| $) NIL) (($ (-332 |#3|)) 70) (($ (-1191)) 94) (($ (-332 (-592))) 58 (|has| |#3| (-1065 (-592)))) (($ (-433 (-980 (-592)))) 63 (|has| |#3| (-1065 (-592)))) (($ (-980 (-592))) 59 (|has| |#3| (-1065 (-592)))) (($ (-332 (-405))) 76 (|has| |#3| (-1065 (-405)))) (($ (-433 (-980 (-405)))) 81 (|has| |#3| (-1065 (-405)))) (($ (-980 (-405))) 77 (|has| |#3| (-1065 (-405))))) (-3371 (((-3 $ "failed") $) NIL)) (-1435 (($) 10)) (-2243 (($ $) NIL) (($ (-658 $)) NIL)) (-4388 (((-658 (-143)) $) NIL)) (-2791 (((-143) (-143)) NIL)) (-3558 (((-141) $) NIL)) (-3372 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-2710 (((-1187 $) (-631 $)) NIL (|has| $ (-1075)))) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 $ $) (-631 $)) NIL)) (-4160 (((-3 (-631 $) "failed") $) NIL)) (-4197 (($ $) 90)) (-4546 (($ $) NIL)) (-2685 (((-1173) $) NIL)) (-4486 (((-658 (-631 $)) $) NIL)) (-1462 (($ (-143) $) 89) (($ (-143) (-658 $)) NIL)) (-3013 (((-141) $ (-143)) NIL) (((-141) $ (-1191)) NIL)) (-2535 (((-790) $) NIL)) (-2951 (((-1137) $) NIL)) (-1319 (((-141) $ $) NIL) (((-141) $ (-1191)) NIL)) (-1430 (($ $) NIL)) (-3554 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-1191) (-1 $ (-658 $))) NIL) (($ $ (-1191) (-1 $ $)) NIL) (($ $ (-658 (-143)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-143) (-1 $ (-658 $))) NIL) (($ $ (-143) (-1 $ $)) NIL)) (-3927 (($ (-143) $) NIL) (($ (-143) $ $) NIL) (($ (-143) $ $ $) NIL) (($ (-143) $ $ $ $) NIL) (($ (-143) (-658 $)) NIL)) (-2818 (($ $) NIL) (($ $ $) NIL)) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL)) (-3390 (($ $) NIL (|has| $ (-1075)))) (-1581 (($ $) NIL)) (-1501 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-631 $)) NIL) (($ |#3|) NIL) (($ (-592)) NIL) (((-332 |#3|) $) 92)) (-4010 (((-790)) NIL)) (-3280 (($ $) NIL) (($ (-658 $)) NIL)) (-3038 (((-141) (-143)) NIL)) (-1546 (($ $) NIL)) (-1533 (($ $) NIL)) (-1540 (($ $) NIL)) (-1392 (($ $) NIL)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-3514 (($) 91 T CONST)) (-4257 (($) 22 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-359 |#1| |#2| |#3|) (-13 (-318) (-43 |#3|) (-1065 |#3|) (-922 (-1191)) (-10 -8 (-15 -2400 ($ (-332 |#3|))) (-15 -4368 ((-3 $ "failed") (-332 |#3|))) (-15 -2400 ($ (-1191))) (-15 -4368 ((-3 $ "failed") (-1191))) (-15 -1683 ((-332 |#3|) $)) (IF (|has| |#3| (-1065 (-592))) (PROGN (-15 -2400 ($ (-332 (-592)))) (-15 -4368 ((-3 $ "failed") (-332 (-592)))) (-15 -2400 ($ (-433 (-980 (-592))))) (-15 -4368 ((-3 $ "failed") (-433 (-980 (-592))))) (-15 -2400 ($ (-980 (-592)))) (-15 -4368 ((-3 $ "failed") (-980 (-592))))) |noBranch|) (IF (|has| |#3| (-1065 (-405))) (PROGN (-15 -2400 ($ (-332 (-405)))) (-15 -4368 ((-3 $ "failed") (-332 (-405)))) (-15 -2400 ($ (-433 (-980 (-405))))) (-15 -4368 ((-3 $ "failed") (-433 (-980 (-405))))) (-15 -2400 ($ (-980 (-405)))) (-15 -4368 ((-3 $ "failed") (-980 (-405))))) |noBranch|) (-15 -1392 ($ $)) (-15 -1442 ($ $)) (-15 -1430 ($ $)) (-15 -4546 ($ $)) (-15 -4197 ($ $)) (-15 -1495 ($ $)) (-15 -1501 ($ $)) (-15 -1507 ($ $)) (-15 -1533 ($ $)) (-15 -1540 ($ $)) (-15 -1546 ($ $)) (-15 -1575 ($ $)) (-15 -1581 ($ $)) (-15 -1588 ($ $)) (-15 -1435 ($)) (-15 -4085 ((-658 (-1191)) $)) (-15 -3145 ((-141))) (-15 -3145 ((-141) (-141))))) (-658 (-1191)) (-658 (-1191)) (-413)) (T -359)) 
-((-2400 (*1 *1 *2) (-12 (-5 *2 (-332 *5)) (-4 *5 (-413)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-332 *5)) (-4 *5 (-413)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 *2)) (-14 *4 (-658 *2)) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 *2)) (-14 *4 (-658 *2)) (-4 *5 (-413)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-332 *5)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-592)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-592)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-980 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-405)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-405)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-980 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-1392 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1442 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1430 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-4546 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-4197 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1495 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1501 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1507 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1533 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1540 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1546 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1575 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1581 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1588 (*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-1435 (*1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) (-4085 (*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-359 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-413)))) (-3145 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) (-3145 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413))))) 
-(-13 (-318) (-43 |#3|) (-1065 |#3|) (-922 (-1191)) (-10 -8 (-15 -2400 ($ (-332 |#3|))) (-15 -4368 ((-3 $ "failed") (-332 |#3|))) (-15 -2400 ($ (-1191))) (-15 -4368 ((-3 $ "failed") (-1191))) (-15 -1683 ((-332 |#3|) $)) (IF (|has| |#3| (-1065 (-592))) (PROGN (-15 -2400 ($ (-332 (-592)))) (-15 -4368 ((-3 $ "failed") (-332 (-592)))) (-15 -2400 ($ (-433 (-980 (-592))))) (-15 -4368 ((-3 $ "failed") (-433 (-980 (-592))))) (-15 -2400 ($ (-980 (-592)))) (-15 -4368 ((-3 $ "failed") (-980 (-592))))) |noBranch|) (IF (|has| |#3| (-1065 (-405))) (PROGN (-15 -2400 ($ (-332 (-405)))) (-15 -4368 ((-3 $ "failed") (-332 (-405)))) (-15 -2400 ($ (-433 (-980 (-405))))) (-15 -4368 ((-3 $ "failed") (-433 (-980 (-405))))) (-15 -2400 ($ (-980 (-405)))) (-15 -4368 ((-3 $ "failed") (-980 (-405))))) |noBranch|) (-15 -1392 ($ $)) (-15 -1442 ($ $)) (-15 -1430 ($ $)) (-15 -4546 ($ $)) (-15 -4197 ($ $)) (-15 -1495 ($ $)) (-15 -1501 ($ $)) (-15 -1507 ($ $)) (-15 -1533 ($ $)) (-15 -1540 ($ $)) (-15 -1546 ($ $)) (-15 -1575 ($ $)) (-15 -1581 ($ $)) (-15 -1588 ($ $)) (-15 -1435 ($)) (-15 -4085 ((-658 (-1191)) $)) (-15 -3145 ((-141))) (-15 -3145 ((-141) (-141))))) 
-((-2731 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
-(((-360 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2731 (|#8| (-1 |#5| |#1|) |#4|))) (-1235) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|) (-1235) (-1255 |#5|) (-1255 (-433 |#6|)) (-362 |#5| |#6| |#7|)) (T -360)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1235)) (-4 *8 (-1235)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *9 (-1255 *8)) (-4 *2 (-362 *8 *9 *10)) (-5 *1 (-360 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-362 *5 *6 *7)) (-4 *10 (-1255 (-433 *9)))))) 
-(-10 -7 (-15 -2731 (|#8| (-1 |#5| |#1|) |#4|))) 
-((-4094 (((-2 (|:| |num| (-1280 |#3|)) (|:| |den| |#3|)) $) 37)) (-1626 (($ (-1280 (-433 |#3|)) (-1280 $)) NIL) (($ (-1280 (-433 |#3|))) NIL) (($ (-1280 |#3|) |#3|) 158)) (-1872 (((-1280 $) (-1280 $)) 142)) (-3969 (((-658 (-658 |#2|))) 115)) (-2619 (((-141) |#2| |#2|) 71)) (-3262 (($ $) 136)) (-3804 (((-790)) 30)) (-3655 (((-1280 $) (-1280 $)) 195)) (-2010 (((-658 (-980 |#2|)) (-1191)) 108)) (-3717 (((-141) $) 155)) (-4551 (((-141) $) 24) (((-141) $ |#2|) 28) (((-141) $ |#3|) 199)) (-3560 (((-3 |#3| "failed")) 48)) (-3918 (((-790)) 167)) (-3927 ((|#2| $ |#2| |#2|) 129)) (-3143 (((-3 |#3| "failed")) 66)) (-3644 (($ $ (-1 (-433 |#3|) (-433 |#3|)) (-790)) NIL) (($ $ (-1 (-433 |#3|) (-433 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL) (($ $ (-790)) NIL) (($ $) NIL)) (-3985 (((-1280 $) (-1280 $)) 148)) (-3748 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-3059 (((-141)) 32))) 
-(((-361 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3969 ((-658 (-658 |#2|)))) (-15 -2010 ((-658 (-980 |#2|)) (-1191))) (-15 -3748 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3560 ((-3 |#3| "failed"))) (-15 -3143 ((-3 |#3| "failed"))) (-15 -3927 (|#2| |#1| |#2| |#2|)) (-15 -3262 (|#1| |#1|)) (-15 -1626 (|#1| (-1280 |#3|) |#3|)) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|))) (-15 -4551 ((-141) |#1| |#3|)) (-15 -4551 ((-141) |#1| |#2|)) (-15 -4094 ((-2 (|:| |num| (-1280 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -1872 ((-1280 |#1|) (-1280 |#1|))) (-15 -3655 ((-1280 |#1|) (-1280 |#1|))) (-15 -3985 ((-1280 |#1|) (-1280 |#1|))) (-15 -4551 ((-141) |#1|)) (-15 -3717 ((-141) |#1|)) (-15 -2619 ((-141) |#2| |#2|)) (-15 -3059 ((-141))) (-15 -3918 ((-790))) (-15 -3804 ((-790))) (-15 -3644 (|#1| |#1| (-1 (-433 |#3|) (-433 |#3|)))) (-15 -3644 (|#1| |#1| (-1 (-433 |#3|) (-433 |#3|)) (-790))) (-15 -1626 (|#1| (-1280 (-433 |#3|)))) (-15 -1626 (|#1| (-1280 (-433 |#3|)) (-1280 |#1|)))) (-362 |#2| |#3| |#4|) (-1235) (-1255 |#2|) (-1255 (-433 |#3|))) (T -361)) 
-((-3804 (*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-790)) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) (-3918 (*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-790)) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) (-3059 (*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-141)) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) (-2619 (*1 *2 *3 *3) (-12 (-4 *3 (-1235)) (-4 *5 (-1255 *3)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-141)) (-5 *1 (-361 *4 *3 *5 *6)) (-4 *4 (-362 *3 *5 *6)))) (-3143 (*1 *2) (|partial| -12 (-4 *4 (-1235)) (-4 *5 (-1255 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-361 *3 *4 *2 *5)) (-4 *3 (-362 *4 *2 *5)))) (-3560 (*1 *2) (|partial| -12 (-4 *4 (-1235)) (-4 *5 (-1255 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-361 *3 *4 *2 *5)) (-4 *3 (-362 *4 *2 *5)))) (-2010 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *5 (-1235)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-5 *2 (-658 (-980 *5))) (-5 *1 (-361 *4 *5 *6 *7)) (-4 *4 (-362 *5 *6 *7)))) (-3969 (*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-658 (-658 *4))) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6))))) 
-(-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3969 ((-658 (-658 |#2|)))) (-15 -2010 ((-658 (-980 |#2|)) (-1191))) (-15 -3748 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3560 ((-3 |#3| "failed"))) (-15 -3143 ((-3 |#3| "failed"))) (-15 -3927 (|#2| |#1| |#2| |#2|)) (-15 -3262 (|#1| |#1|)) (-15 -1626 (|#1| (-1280 |#3|) |#3|)) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|))) (-15 -4551 ((-141) |#1| |#3|)) (-15 -4551 ((-141) |#1| |#2|)) (-15 -4094 ((-2 (|:| |num| (-1280 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -1872 ((-1280 |#1|) (-1280 |#1|))) (-15 -3655 ((-1280 |#1|) (-1280 |#1|))) (-15 -3985 ((-1280 |#1|) (-1280 |#1|))) (-15 -4551 ((-141) |#1|)) (-15 -3717 ((-141) |#1|)) (-15 -2619 ((-141) |#2| |#2|)) (-15 -3059 ((-141))) (-15 -3918 ((-790))) (-15 -3804 ((-790))) (-15 -3644 (|#1| |#1| (-1 (-433 |#3|) (-433 |#3|)))) (-15 -3644 (|#1| |#1| (-1 (-433 |#3|) (-433 |#3|)) (-790))) (-15 -1626 (|#1| (-1280 (-433 |#3|)))) (-15 -1626 (|#1| (-1280 (-433 |#3|)) (-1280 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4094 (((-2 (|:| |num| (-1280 |#2|)) (|:| |den| |#2|)) $) 181)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 88 (|has| (-433 |#2|) (-388)))) (-1555 (($ $) 89 (|has| (-433 |#2|) (-388)))) (-1313 (((-141) $) 91 (|has| (-433 |#2|) (-388)))) (-1800 (((-706 (-433 |#2|)) (-1280 $)) 44) (((-706 (-433 |#2|))) 55)) (-4529 (((-433 |#2|) $) 50)) (-4217 (((-1199 (-944) (-790)) (-592)) 142 (|has| (-433 |#2|) (-373)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 108 (|has| (-433 |#2|) (-388)))) (-3164 (((-444 $) $) 109 (|has| (-433 |#2|) (-388)))) (-3652 (((-141) $ $) 99 (|has| (-433 |#2|) (-388)))) (-1403 (((-790)) 81 (|has| (-433 |#2|) (-394)))) (-4578 (((-141)) 198)) (-2105 (((-141) |#1|) 197) (((-141) |#2|) 196)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 164 (|has| (-433 |#2|) (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 162 (|has| (-433 |#2|) (-1065 (-433 (-592))))) (((-3 (-433 |#2|) "failed") $) 161)) (-2400 (((-592) $) 165 (|has| (-433 |#2|) (-1065 (-592)))) (((-433 (-592)) $) 163 (|has| (-433 |#2|) (-1065 (-433 (-592))))) (((-433 |#2|) $) 160)) (-1626 (($ (-1280 (-433 |#2|)) (-1280 $)) 46) (($ (-1280 (-433 |#2|))) 58) (($ (-1280 |#2|) |#2|) 174)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 148 (|has| (-433 |#2|) (-373)))) (-1586 (($ $ $) 103 (|has| (-433 |#2|) (-388)))) (-4493 (((-706 (-433 |#2|)) $ (-1280 $)) 51) (((-706 (-433 |#2|)) $) 53)) (-3945 (((-706 (-592)) (-706 $)) 159 (|has| (-433 |#2|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 158 (|has| (-433 |#2|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-433 |#2|))) (|:| |vec| (-1280 (-433 |#2|)))) (-706 $) (-1280 $)) 157) (((-706 (-433 |#2|)) (-706 $)) 156)) (-1872 (((-1280 $) (-1280 $)) 186)) (-3657 (($ |#3|) 153) (((-3 $ "failed") (-433 |#3|)) 150 (|has| (-433 |#2|) (-388)))) (-3371 (((-3 $ "failed") $) 33)) (-3969 (((-658 (-658 |#1|))) 167 (|has| |#1| (-394)))) (-2619 (((-141) |#1| |#1|) 202)) (-4175 (((-944)) 52)) (-4290 (($) 84 (|has| (-433 |#2|) (-394)))) (-1634 (((-141)) 195)) (-2282 (((-141) |#1|) 194) (((-141) |#2|) 193)) (-1599 (($ $ $) 102 (|has| (-433 |#2|) (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 97 (|has| (-433 |#2|) (-388)))) (-3262 (($ $) 173)) (-2667 (($) 144 (|has| (-433 |#2|) (-373)))) (-3293 (((-141) $) 145 (|has| (-433 |#2|) (-373)))) (-1525 (($ $ (-790)) 136 (|has| (-433 |#2|) (-373))) (($ $) 135 (|has| (-433 |#2|) (-373)))) (-2802 (((-141) $) 110 (|has| (-433 |#2|) (-388)))) (-4346 (((-944) $) 147 (|has| (-433 |#2|) (-373))) (((-855 (-944)) $) 133 (|has| (-433 |#2|) (-373)))) (-3558 (((-141) $) 30)) (-3804 (((-790)) 205)) (-3655 (((-1280 $) (-1280 $)) 187)) (-2793 (((-433 |#2|) $) 49)) (-2010 (((-658 (-980 |#1|)) (-1191)) 168 (|has| |#1| (-388)))) (-3921 (((-3 $ "failed") $) 137 (|has| (-433 |#2|) (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 106 (|has| (-433 |#2|) (-388)))) (-3504 ((|#3| $) 42 (|has| (-433 |#2|) (-388)))) (-3546 (((-944) $) 83 (|has| (-433 |#2|) (-394)))) (-3650 ((|#3| $) 151)) (-2750 (($ (-658 $)) 95 (|has| (-433 |#2|) (-388))) (($ $ $) 94 (|has| (-433 |#2|) (-388)))) (-2685 (((-1173) $) 9)) (-3757 (((-706 (-433 |#2|))) 182)) (-1346 (((-706 (-433 |#2|))) 184)) (-4552 (($ $) 111 (|has| (-433 |#2|) (-388)))) (-2482 (($ (-1280 |#2|) |#2|) 179)) (-2925 (((-706 (-433 |#2|))) 183)) (-4373 (((-706 (-433 |#2|))) 185)) (-3406 (((-2 (|:| |num| (-706 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 178)) (-1645 (((-2 (|:| |num| (-1280 |#2|)) (|:| |den| |#2|)) $) 180)) (-3720 (((-1280 $)) 191)) (-4023 (((-1280 $)) 192)) (-3717 (((-141) $) 190)) (-4551 (((-141) $) 189) (((-141) $ |#1|) 177) (((-141) $ |#2|) 176)) (-3703 (($) 138 (|has| (-433 |#2|) (-373)) CONST)) (-1825 (($ (-944)) 82 (|has| (-433 |#2|) (-394)))) (-3560 (((-3 |#2| "failed")) 170)) (-2951 (((-1137) $) 10)) (-3918 (((-790)) 204)) (-2934 (($) 155)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 96 (|has| (-433 |#2|) (-388)))) (-3548 (($ (-658 $)) 93 (|has| (-433 |#2|) (-388))) (($ $ $) 92 (|has| (-433 |#2|) (-388)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 141 (|has| (-433 |#2|) (-373)))) (-4500 (((-444 $) $) 107 (|has| (-433 |#2|) (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105 (|has| (-433 |#2|) (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 104 (|has| (-433 |#2|) (-388)))) (-3616 (((-3 $ "failed") $ $) 87 (|has| (-433 |#2|) (-388)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 98 (|has| (-433 |#2|) (-388)))) (-2769 (((-790) $) 100 (|has| (-433 |#2|) (-388)))) (-1405 (((-658 $)) 85 (|has| (-433 |#2|) (-394)))) (-3927 ((|#1| $ |#1| |#1|) 172)) (-3143 (((-3 |#2| "failed")) 171)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 101 (|has| (-433 |#2|) (-388)))) (-1482 (((-433 |#2|) (-1280 $)) 45) (((-433 |#2|)) 54)) (-2177 (((-790) $) 146 (|has| (-433 |#2|) (-373))) (((-3 (-790) "failed") $ $) 134 (|has| (-433 |#2|) (-373)))) (-3644 (($ $ (-1 (-433 |#2|) (-433 |#2|)) (-790)) 118 (|has| (-433 |#2|) (-388))) (($ $ (-1 (-433 |#2|) (-433 |#2|))) 117 (|has| (-433 |#2|) (-388))) (($ $ (-1 |#2| |#2|)) 175) (($ $ (-658 (-1191)) (-658 (-790))) 125 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-1191) (-790)) 126 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-658 (-1191))) 127 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-1191)) 128 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-790)) 130 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-247))) (-1732 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373)))) (($ $) 132 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-247))) (-1732 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373))))) (-4174 (((-706 (-433 |#2|)) (-1280 $) (-1 (-433 |#2|) (-433 |#2|))) 149 (|has| (-433 |#2|) (-388)))) (-3390 ((|#3|) 154)) (-3809 (($) 143 (|has| (-433 |#2|) (-373)))) (-2231 (((-1280 (-433 |#2|)) $ (-1280 $)) 48) (((-706 (-433 |#2|)) (-1280 $) (-1280 $)) 47) (((-1280 (-433 |#2|)) $) 60) (((-706 (-433 |#2|)) (-1280 $)) 59)) (-1778 (((-1280 (-433 |#2|)) $) 57) (($ (-1280 (-433 |#2|))) 56) ((|#3| $) 166) (($ |#3|) 152)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 140 (|has| (-433 |#2|) (-373)))) (-3985 (((-1280 $) (-1280 $)) 188)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 |#2|)) 36) (($ (-433 (-592))) 80 (-3836 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-1065 (-433 (-592)))))) (($ $) 86 (|has| (-433 |#2|) (-388)))) (-1517 (($ $) 139 (|has| (-433 |#2|) (-373))) (((-3 $ "failed") $) 41 (|has| (-433 |#2|) (-169)))) (-4198 ((|#3| $) 43)) (-4010 (((-790)) 28)) (-2457 (((-141)) 201)) (-2576 (((-141) |#1|) 200) (((-141) |#2|) 199)) (-2195 (((-1280 $)) 61)) (-2537 (((-141) $ $) 90 (|has| (-433 |#2|) (-388)))) (-3748 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 169)) (-3059 (((-141)) 203)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 112 (|has| (-433 |#2|) (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1 (-433 |#2|) (-433 |#2|)) (-790)) 120 (|has| (-433 |#2|) (-388))) (($ $ (-1 (-433 |#2|) (-433 |#2|))) 119 (|has| (-433 |#2|) (-388))) (($ $ (-658 (-1191)) (-658 (-790))) 121 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-1191) (-790)) 122 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-658 (-1191))) 123 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-1191)) 124 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) (-1732 (|has| (-433 |#2|) (-922 (-1191))) (|has| (-433 |#2|) (-388))))) (($ $ (-790)) 129 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-247))) (-1732 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373)))) (($ $) 131 (-3836 (-1732 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-247))) (-1732 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 116 (|has| (-433 |#2|) (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 113 (|has| (-433 |#2|) (-388)))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 |#2|)) 38) (($ (-433 |#2|) $) 37) (($ (-433 (-592)) $) 115 (|has| (-433 |#2|) (-388))) (($ $ (-433 (-592))) 114 (|has| (-433 |#2|) (-388))))) 
-(((-362 |#1| |#2| |#3|) (-1311) (-1235) (-1255 |t#1|) (-1255 (-433 |t#2|))) (T -362)) 
-((-3804 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-790)))) (-3918 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-790)))) (-3059 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2619 (*1 *2 *3 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2457 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2576 (*1 *2 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2576 (*1 *2 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) (-4578 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2105 (*1 *2 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2105 (*1 *2 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) (-1634 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2282 (*1 *2 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-2282 (*1 *2 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) (-4023 (*1 *2) (-12 (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)))) (-3720 (*1 *2) (-12 (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)))) (-3717 (*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-4551 (*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-3985 (*1 *2 *2) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))))) (-3655 (*1 *2 *2) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))))) (-1872 (*1 *2 *2) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))))) (-4373 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4))))) (-1346 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4))))) (-2925 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4))))) (-3757 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4))))) (-4094 (*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-2 (|:| |num| (-1280 *4)) (|:| |den| *4))))) (-1645 (*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-2 (|:| |num| (-1280 *4)) (|:| |den| *4))))) (-2482 (*1 *1 *2 *3) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1255 *4)) (-4 *4 (-1235)) (-4 *1 (-362 *4 *3 *5)) (-4 *5 (-1255 (-433 *3))))) (-3406 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-362 *4 *5 *6)) (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-2 (|:| |num| (-706 *5)) (|:| |den| *5))))) (-4551 (*1 *2 *1 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) (-4551 (*1 *2 *1 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))))) (-1626 (*1 *1 *2 *3) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1255 *4)) (-4 *4 (-1235)) (-4 *1 (-362 *4 *3 *5)) (-4 *5 (-1255 (-433 *3))))) (-3262 (*1 *1 *1) (-12 (-4 *1 (-362 *2 *3 *4)) (-4 *2 (-1235)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))))) (-3927 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-362 *2 *3 *4)) (-4 *2 (-1235)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))))) (-3143 (*1 *2) (|partial| -12 (-4 *1 (-362 *3 *2 *4)) (-4 *3 (-1235)) (-4 *4 (-1255 (-433 *2))) (-4 *2 (-1255 *3)))) (-3560 (*1 *2) (|partial| -12 (-4 *1 (-362 *3 *2 *4)) (-4 *3 (-1235)) (-4 *4 (-1255 (-433 *2))) (-4 *2 (-1255 *3)))) (-3748 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-1235)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-362 *4 *5 *6)))) (-2010 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *1 (-362 *4 *5 *6)) (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-4 *4 (-388)) (-5 *2 (-658 (-980 *4))))) (-3969 (*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *3 (-394)) (-5 *2 (-658 (-658 *3)))))) 
-(-13 (-741 (-433 |t#2|) |t#3|) (-10 -8 (-15 -3804 ((-790))) (-15 -3918 ((-790))) (-15 -3059 ((-141))) (-15 -2619 ((-141) |t#1| |t#1|)) (-15 -2457 ((-141))) (-15 -2576 ((-141) |t#1|)) (-15 -2576 ((-141) |t#2|)) (-15 -4578 ((-141))) (-15 -2105 ((-141) |t#1|)) (-15 -2105 ((-141) |t#2|)) (-15 -1634 ((-141))) (-15 -2282 ((-141) |t#1|)) (-15 -2282 ((-141) |t#2|)) (-15 -4023 ((-1280 $))) (-15 -3720 ((-1280 $))) (-15 -3717 ((-141) $)) (-15 -4551 ((-141) $)) (-15 -3985 ((-1280 $) (-1280 $))) (-15 -3655 ((-1280 $) (-1280 $))) (-15 -1872 ((-1280 $) (-1280 $))) (-15 -4373 ((-706 (-433 |t#2|)))) (-15 -1346 ((-706 (-433 |t#2|)))) (-15 -2925 ((-706 (-433 |t#2|)))) (-15 -3757 ((-706 (-433 |t#2|)))) (-15 -4094 ((-2 (|:| |num| (-1280 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -1626 ($ (-1280 |t#2|) |t#2|)) (-15 -1645 ((-2 (|:| |num| (-1280 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -2482 ($ (-1280 |t#2|) |t#2|)) (-15 -3406 ((-2 (|:| |num| (-706 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -4551 ((-141) $ |t#1|)) (-15 -4551 ((-141) $ |t#2|)) (-15 -3644 ($ $ (-1 |t#2| |t#2|))) (-15 -1626 ($ (-1280 |t#2|) |t#2|)) (-15 -3262 ($ $)) (-15 -3927 (|t#1| $ |t#1| |t#1|)) (-15 -3143 ((-3 |t#2| "failed"))) (-15 -3560 ((-3 |t#2| "failed"))) (-15 -3748 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-388)) (-15 -2010 ((-658 (-980 |t#1|)) (-1191))) |noBranch|) (IF (|has| |t#1| (-394)) (-15 -3969 ((-658 (-658 |t#1|)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-43 (-433 |#2|)) . T) ((-43 $) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-140 (-433 |#2|) (-433 |#2|)) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-169))) ((-171) |has| (-433 |#2|) (-171)) ((-632 (-877)) . T) ((-194) . T) ((-633 |#3|) . T) ((-245 (-433 |#2|)) |has| (-433 |#2|) (-388)) ((-247) -3836 (|has| (-433 |#2|) (-373)) (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388)))) ((-260) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-307) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-323) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-388) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-428) |has| (-433 |#2|) (-373)) ((-394) -3836 (|has| (-433 |#2|) (-394)) (|has| (-433 |#2|) (-373))) ((-373) |has| (-433 |#2|) (-373)) ((-396 (-433 |#2|) |#3|) . T) ((-435 (-433 |#2|) |#3|) . T) ((-403 (-433 |#2|)) . T) ((-437 (-433 |#2|)) . T) ((-477) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-582) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-661 (-433 (-592))) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-661 (-433 |#2|)) . T) ((-661 $) . T) ((-678) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-654 (-433 |#2|)) . T) ((-654 (-592)) |has| (-433 |#2|) (-654 (-592))) ((-734 (-433 (-592))) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-734 (-433 |#2|)) . T) ((-734 $) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-741 (-433 |#2|) |#3|) . T) ((-743) . T) ((-922 (-1191)) -12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191)))) ((-943) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-1065 (-433 (-592))) |has| (-433 |#2|) (-1065 (-433 (-592)))) ((-1065 (-433 |#2|)) . T) ((-1065 (-592)) |has| (-433 |#2|) (-1065 (-592))) ((-1081 (-433 (-592))) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388))) ((-1081 (-433 |#2|)) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) |has| (-433 |#2|) (-373)) ((-1235) -3836 (|has| (-433 |#2|) (-373)) (|has| (-433 |#2|) (-388)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 (((-932 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-932 |#1|) (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| (-932 |#1|) (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-932 |#1|) "failed") $) NIL)) (-2400 (((-932 |#1|) $) NIL)) (-1626 (($ (-1280 (-932 |#1|))) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-932 |#1|) (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-932 |#1|) (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| (-932 |#1|) (-394)))) (-3293 (((-141) $) NIL (|has| (-932 |#1|) (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394)))) (($ $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| (-932 |#1|) (-394))) (((-855 (-944)) $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| (-932 |#1|) (-394)))) (-2114 (((-141) $) NIL (|has| (-932 |#1|) (-394)))) (-2793 (((-932 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| (-932 |#1|) (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 (-932 |#1|)) $) NIL) (((-1187 $) $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-3546 (((-944) $) NIL (|has| (-932 |#1|) (-394)))) (-2343 (((-1187 (-932 |#1|)) $) NIL (|has| (-932 |#1|) (-394)))) (-1492 (((-1187 (-932 |#1|)) $) NIL (|has| (-932 |#1|) (-394))) (((-3 (-1187 (-932 |#1|)) "failed") $ $) NIL (|has| (-932 |#1|) (-394)))) (-2252 (($ $ (-1187 (-932 |#1|))) NIL (|has| (-932 |#1|) (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-932 |#1|) (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2761 (((-986 (-1137))) NIL)) (-2934 (($) NIL (|has| (-932 |#1|) (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-932 |#1|) (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| (-932 |#1|) (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| (-932 |#1|) (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 (-932 |#1|))) NIL)) (-3809 (($) NIL (|has| (-932 |#1|) (-394)))) (-3342 (($) NIL (|has| (-932 |#1|) (-394)))) (-2231 (((-1280 (-932 |#1|)) $) NIL) (((-706 (-932 |#1|)) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| (-932 |#1|) (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-932 |#1|)) NIL)) (-1517 (($ $) NIL (|has| (-932 |#1|) (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-1940 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ (-932 |#1|)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-932 |#1|)) NIL) (($ (-932 |#1|) $) NIL))) 
-(((-363 |#1| |#2|) (-13 (-349 (-932 |#1|)) (-10 -7 (-15 -2761 ((-986 (-1137)))))) (-944) (-944)) (T -363)) 
-((-2761 (*1 *2) (-12 (-5 *2 (-986 (-1137))) (-5 *1 (-363 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944))))) 
-(-13 (-349 (-932 |#1|)) (-10 -7 (-15 -2761 ((-986 (-1137)))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 46)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) 43 (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 113)) (-2400 ((|#1| $) 84)) (-1626 (($ (-1280 |#1|)) 102)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) 96 (|has| |#1| (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) 128 (|has| |#1| (-394)))) (-3293 (((-141) $) 49 (|has| |#1| (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) 47 (|has| |#1| (-394))) (((-855 (-944)) $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) 130 (|has| |#1| (-394)))) (-2114 (((-141) $) NIL (|has| |#1| (-394)))) (-2793 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 |#1|) $) 88) (((-1187 $) $ (-944)) NIL (|has| |#1| (-394)))) (-3546 (((-944) $) 138 (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) NIL (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) NIL (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) NIL (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) NIL (|has| |#1| (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 145)) (-3703 (($) NIL (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) 70 (|has| |#1| (-394)))) (-2142 (((-141) $) 116)) (-2951 (((-1137) $) NIL)) (-2761 (((-986 (-1137))) 44)) (-2934 (($) 126 (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 91 (|has| |#1| (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) 67) (((-944)) 68)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) 129 (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) 123 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 |#1|)) 94)) (-3809 (($) 127 (|has| |#1| (-394)))) (-3342 (($) 135 (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) 59) (((-706 |#1|) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) 141) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 74)) (-1517 (($ $) NIL (|has| |#1| (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) 137)) (-2195 (((-1280 $)) 115) (((-1280 $) (-944)) 72)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 32 T CONST)) (-4257 (($) 19 T CONST)) (-3417 (($ $) 80 (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-1940 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-3255 (((-141) $ $) 48)) (-3313 (($ $ $) 143) (($ $ |#1|) 144)) (-3306 (($ $) 125) (($ $ $) NIL)) (-3300 (($ $ $) 61)) (** (($ $ (-944)) 147) (($ $ (-790)) 148) (($ $ (-592)) 146)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 76) (($ $ $) 75) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
-(((-364 |#1| |#2|) (-13 (-349 |#1|) (-10 -7 (-15 -2761 ((-986 (-1137)))))) (-373) (-1187 |#1|)) (T -364)) 
-((-2761 (*1 *2) (-12 (-5 *2 (-986 (-1137))) (-5 *1 (-364 *3 *4)) (-4 *3 (-373)) (-14 *4 (-1187 *3))))) 
-(-13 (-349 |#1|) (-10 -7 (-15 -2761 ((-986 (-1137)))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-1626 (($ (-1280 |#1|)) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| |#1| (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| |#1| (-394)))) (-3293 (((-141) $) NIL (|has| |#1| (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| |#1| (-394))) (((-855 (-944)) $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| |#1| (-394)))) (-2114 (((-141) $) NIL (|has| |#1| (-394)))) (-2793 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 |#1|) $) NIL) (((-1187 $) $ (-944)) NIL (|has| |#1| (-394)))) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) NIL (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) NIL (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) NIL (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) NIL (|has| |#1| (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2761 (((-986 (-1137))) NIL)) (-2934 (($) NIL (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| |#1| (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 |#1|)) NIL)) (-3809 (($) NIL (|has| |#1| (-394)))) (-3342 (($) NIL (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) NIL) (((-706 |#1|) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) NIL)) (-1517 (($ $) NIL (|has| |#1| (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-1940 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ |#1|) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-365 |#1| |#2|) (-13 (-349 |#1|) (-10 -7 (-15 -2761 ((-986 (-1137)))))) (-373) (-944)) (T -365)) 
-((-2761 (*1 *2) (-12 (-5 *2 (-986 (-1137))) (-5 *1 (-365 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944))))) 
-(-13 (-349 |#1|) (-10 -7 (-15 -2761 ((-986 (-1137)))))) 
-((-2139 (((-141) |#2|) 68)) (-4487 (((-444 |#2|) |#2|) 56)) (-3845 (((-444 |#2|) |#2|) 58)) (-3082 (((-658 |#2|) |#2|) 61)) (-2152 (((-658 |#2|) |#2| (-790)) 62)) (-4500 (((-444 |#2|) |#2|) 59))) 
-(((-366 |#1| |#2|) (-10 -7 (-15 -3082 ((-658 |#2|) |#2|)) (-15 -2152 ((-658 |#2|) |#2| (-790))) (-15 -4500 ((-444 |#2|) |#2|)) (-15 -4487 ((-444 |#2|) |#2|)) (-15 -3845 ((-444 |#2|) |#2|)) (-15 -2139 ((-141) |#2|))) (-373) (-1255 |#1|)) (T -366)) 
-((-2139 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) (-3845 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) (-4487 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-366 *5 *3)) (-4 *3 (-1255 *5)))) (-3082 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -3082 ((-658 |#2|) |#2|)) (-15 -2152 ((-658 |#2|) |#2| (-790))) (-15 -4500 ((-444 |#2|) |#2|)) (-15 -4487 ((-444 |#2|) |#2|)) (-15 -3845 ((-444 |#2|) |#2|)) (-15 -2139 ((-141) |#2|))) 
-((-2139 (((-141) |#2|) 68)) (-4487 (((-444 |#2|) |#2|) 56)) (-3845 (((-444 |#2|) |#2|) 58)) (-3082 (((-658 |#2|) |#2|) 61)) (-2152 (((-658 |#2|) |#2| (-790)) 62)) (-4500 (((-444 |#2|) |#2|) 59))) 
-(((-367 |#1| |#2|) (-10 -7 (-15 -3082 ((-658 |#2|) |#2|)) (-15 -2152 ((-658 |#2|) |#2| (-790))) (-15 -4500 ((-444 |#2|) |#2|)) (-15 -4487 ((-444 |#2|) |#2|)) (-15 -3845 ((-444 |#2|) |#2|)) (-15 -2139 ((-141) |#2|))) (-373) (-1255 |#1|)) (T -367)) 
-((-2139 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4)))) (-3845 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4)))) (-4487 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4)))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-367 *5 *3)) (-4 *3 (-1255 *5)))) (-3082 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -3082 ((-658 |#2|) |#2|)) (-15 -2152 ((-658 |#2|) |#2| (-790))) (-15 -4500 ((-444 |#2|) |#2|)) (-15 -4487 ((-444 |#2|) |#2|)) (-15 -3845 ((-444 |#2|) |#2|)) (-15 -2139 ((-141) |#2|))) 
-((-2569 (((-1171 (-706 (-1187 |#1|))) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#3|) (-790) (-790)) 54) (((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#3|) (-658 (-790))) 42))) 
-(((-368 |#1| |#2| |#3|) (-10 -7 (-15 -2569 ((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#3|) (-658 (-790)))) (-15 -2569 ((-1171 (-706 (-1187 |#1|))) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#3|) (-790) (-790)))) (-13 (-582) (-477)) (-346 |#1| (-790)) (-346 (-433 |#1|) (-790))) (T -368)) 
-((-2569 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *9)) (-5 *6 (-790)) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-346 *7 *6)) (-4 *9 (-346 (-433 *7) *6)) (-5 *2 (-1171 (-706 (-1187 *7)))) (-5 *1 (-368 *7 *8 *9)))) (-2569 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *9)) (-5 *6 (-658 (-790))) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-346 *7 (-790))) (-4 *9 (-346 (-433 *7) (-790))) (-5 *2 (-706 (-1187 *7))) (-5 *1 (-368 *7 *8 *9))))) 
-(-10 -7 (-15 -2569 ((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#3|) (-658 (-790)))) (-15 -2569 ((-1171 (-706 (-1187 |#1|))) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#3|) (-790) (-790)))) 
-((-3125 (((-658 |#1|) |#1| (-790)) 21)) (-2084 ((|#1| |#1| (-790) (-790) |#2|) 20)) (-3014 (((-433 (-1187 |#1|)) (-658 (-433 |#1|)) (-658 (-433 |#1|)) (-790)) 75) (((-433 (-1187 |#1|)) (-658 |#1|) (-658 |#1|) (-790)) 68)) (-2569 (((-1171 (-706 (-1187 |#1|))) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-790) (-790)) 62) (((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-658 (-790))) 44)) (-2959 ((|#1| (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-790) (-1280 (-1187 |#1|))) 37)) (-1741 (((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-1280 (-1187 |#1|))) (-658 (-790))) 43)) (-1703 (((-658 |#1|) (-790)) 17)) (-3350 ((|#1| (-790) (-790) |#2|) 11)) (-1610 (((-658 |#1|) (-790)) 24)) (-3977 ((|#1| (-790) (-790) |#2|) 22))) 
-(((-369 |#1| |#2|) (-10 -7 (-15 -1741 ((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-1280 (-1187 |#1|))) (-658 (-790)))) (-15 -3014 ((-433 (-1187 |#1|)) (-658 |#1|) (-658 |#1|) (-790))) (-15 -3014 ((-433 (-1187 |#1|)) (-658 (-433 |#1|)) (-658 (-433 |#1|)) (-790))) (-15 -2569 ((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-658 (-790)))) (-15 -2569 ((-1171 (-706 (-1187 |#1|))) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-790) (-790))) (-15 -2959 (|#1| (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-790) (-1280 (-1187 |#1|)))) (-15 -3350 (|#1| (-790) (-790) |#2|)) (-15 -1703 ((-658 |#1|) (-790))) (-15 -3977 (|#1| (-790) (-790) |#2|)) (-15 -1610 ((-658 |#1|) (-790))) (-15 -2084 (|#1| |#1| (-790) (-790) |#2|)) (-15 -3125 ((-658 |#1|) |#1| (-790)))) (-13 (-582) (-477)) (-52 |#1| (-790))) (T -369)) 
-((-3125 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *3 (-13 (-582) (-477))) (-5 *2 (-658 *3)) (-5 *1 (-369 *3 *5)) (-4 *5 (-52 *3 *4)))) (-2084 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-790)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *4)) (-4 *4 (-52 *2 *3)))) (-1610 (*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-477))) (-5 *2 (-658 *4)) (-5 *1 (-369 *4 *5)) (-4 *5 (-52 *4 *3)))) (-3977 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-790)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *4)) (-4 *4 (-52 *2 *3)))) (-1703 (*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-477))) (-5 *2 (-658 *4)) (-5 *1 (-369 *4 *5)) (-4 *5 (-52 *4 *3)))) (-3350 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-790)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *4)) (-4 *4 (-52 *2 *3)))) (-2959 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-790) (-790) *7)) (-5 *4 (-1280 *7)) (-5 *5 (-790)) (-5 *6 (-1280 (-1187 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *7)))) (-2569 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *8)) (-5 *6 (-790)) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1171 (-706 (-1187 *7)))) (-5 *1 (-369 *7 *8)))) (-2569 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *8)) (-5 *6 (-658 (-790))) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-52 *7 (-790))) (-5 *2 (-706 (-1187 *7))) (-5 *1 (-369 *7 *8)))) (-3014 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-433 *5))) (-4 *5 (-13 (-582) (-477))) (-5 *4 (-790)) (-5 *2 (-433 (-1187 *5))) (-5 *1 (-369 *5 *6)) (-4 *6 (-52 *5 *4)))) (-3014 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 *5)) (-4 *5 (-13 (-582) (-477))) (-5 *4 (-790)) (-5 *2 (-433 (-1187 *5))) (-5 *1 (-369 *5 *6)) (-4 *6 (-52 *5 *4)))) (-1741 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *6)) (-5 *4 (-1 *6 (-790) (-1280 (-1187 *6)))) (-5 *5 (-658 (-790))) (-4 *6 (-13 (-582) (-477))) (-5 *2 (-706 (-1187 *6))) (-5 *1 (-369 *6 *7)) (-4 *7 (-52 *6 (-790)))))) 
-(-10 -7 (-15 -1741 ((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-1280 (-1187 |#1|))) (-658 (-790)))) (-15 -3014 ((-433 (-1187 |#1|)) (-658 |#1|) (-658 |#1|) (-790))) (-15 -3014 ((-433 (-1187 |#1|)) (-658 (-433 |#1|)) (-658 (-433 |#1|)) (-790))) (-15 -2569 ((-706 (-1187 |#1|)) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-658 (-790)))) (-15 -2569 ((-1171 (-706 (-1187 |#1|))) (-658 |#1|) (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-790) (-790))) (-15 -2959 (|#1| (-1 |#1| (-790) (-790) |#2|) (-1280 |#2|) (-790) (-1280 (-1187 |#1|)))) (-15 -3350 (|#1| (-790) (-790) |#2|)) (-15 -1703 ((-658 |#1|) (-790))) (-15 -3977 (|#1| (-790) (-790) |#2|)) (-15 -1610 ((-658 |#1|) (-790))) (-15 -2084 (|#1| |#1| (-790) (-790) |#2|)) (-15 -3125 ((-658 |#1|) |#1| (-790)))) 
-((-1351 (((-790) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) 40)) (-4102 (((-986 (-1137)) (-1187 |#1|)) 84)) (-1372 (((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) (-1187 |#1|)) 77)) (-2839 (((-706 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) 85)) (-4472 (((-3 (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) "failed") (-944)) 10)) (-3747 (((-3 (-1187 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) (-944)) 15))) 
-(((-370 |#1|) (-10 -7 (-15 -4102 ((-986 (-1137)) (-1187 |#1|))) (-15 -1372 ((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) (-1187 |#1|))) (-15 -2839 ((-706 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -1351 ((-790) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -4472 ((-3 (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) "failed") (-944))) (-15 -3747 ((-3 (-1187 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) (-944)))) (-373)) (T -370)) 
-((-3747 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-3 (-1187 *4) (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137))))))) (-5 *1 (-370 *4)) (-4 *4 (-373)))) (-4472 (*1 *2 *3) (|partial| -12 (-5 *3 (-944)) (-5 *2 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-5 *1 (-370 *4)) (-4 *4 (-373)))) (-1351 (*1 *2 *3) (-12 (-5 *3 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-4 *4 (-373)) (-5 *2 (-790)) (-5 *1 (-370 *4)))) (-2839 (*1 *2 *3) (-12 (-5 *3 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-4 *4 (-373)) (-5 *2 (-706 *4)) (-5 *1 (-370 *4)))) (-1372 (*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-5 *1 (-370 *4)))) (-4102 (*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-986 (-1137))) (-5 *1 (-370 *4))))) 
-(-10 -7 (-15 -4102 ((-986 (-1137)) (-1187 |#1|))) (-15 -1372 ((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) (-1187 |#1|))) (-15 -2839 ((-706 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -1351 ((-790) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -4472 ((-3 (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) "failed") (-944))) (-15 -3747 ((-3 (-1187 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) (-944)))) 
-((-1683 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
-(((-371 |#1| |#2| |#3|) (-10 -7 (-15 -1683 (|#3| |#1|)) (-15 -1683 (|#1| |#3|))) (-349 |#2|) (-373) (-349 |#2|)) (T -371)) 
-((-1683 (*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *2 (-349 *4)) (-5 *1 (-371 *2 *4 *3)) (-4 *3 (-349 *4)))) (-1683 (*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *2 (-349 *4)) (-5 *1 (-371 *3 *4 *2)) (-4 *3 (-349 *4))))) 
-(-10 -7 (-15 -1683 (|#3| |#1|)) (-15 -1683 (|#1| |#3|))) 
-((-3293 (((-141) $) 50)) (-4346 (((-855 (-944)) $) 21) (((-944) $) 51)) (-3921 (((-3 $ "failed") $) 16)) (-3703 (($) 9)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 91)) (-2177 (((-3 (-790) "failed") $ $) 70) (((-790) $) 59)) (-3644 (($ $ (-790)) NIL) (($ $) 8)) (-3809 (($) 44)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 33)) (-1517 (((-3 $ "failed") $) 39) (($ $) 38))) 
-(((-372 |#1|) (-10 -8 (-15 -4346 ((-944) |#1|)) (-15 -2177 ((-790) |#1|)) (-15 -3293 ((-141) |#1|)) (-15 -3809 (|#1|)) (-15 -2288 ((-3 (-1280 |#1|) "failed") (-706 |#1|))) (-15 -1517 (|#1| |#1|)) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -2177 ((-3 (-790) "failed") |#1| |#1|)) (-15 -4346 ((-855 (-944)) |#1|)) (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|)))) (-373)) (T -372)) 
-NIL 
-(-10 -8 (-15 -4346 ((-944) |#1|)) (-15 -2177 ((-790) |#1|)) (-15 -3293 ((-141) |#1|)) (-15 -3809 (|#1|)) (-15 -2288 ((-3 (-1280 |#1|) "failed") (-706 |#1|))) (-15 -1517 (|#1| |#1|)) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -2177 ((-3 (-790) "failed") |#1| |#1|)) (-15 -4346 ((-855 (-944)) |#1|)) (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-4217 (((-1199 (-944) (-790)) (-592)) 88)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-1403 (((-790)) 98)) (-3001 (($) 16 T CONST)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-4290 (($) 101)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2667 (($) 86)) (-3293 (((-141) $) 85)) (-1525 (($ $) 75) (($ $ (-790)) 74)) (-2802 (((-141) $) 69)) (-4346 (((-855 (-944)) $) 77) (((-944) $) 83)) (-3558 (((-141) $) 30)) (-3921 (((-3 $ "failed") $) 97)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-3546 (((-944) $) 100)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-3703 (($) 96 T CONST)) (-1825 (($ (-944)) 99)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 89)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-1405 (((-658 $)) 102)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-2177 (((-3 (-790) "failed") $ $) 76) (((-790) $) 84)) (-3644 (($ $ (-790)) 94) (($ $) 92)) (-3809 (($) 87)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 90)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63)) (-1517 (((-3 $ "failed") $) 78) (($ $) 91)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-790)) 95) (($ $) 93)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-373) (-1311)) (T -373)) 
-((-1517 (*1 *1 *1) (-4 *1 (-373))) (-2288 (*1 *2 *3) (|partial| -12 (-5 *3 (-706 *1)) (-4 *1 (-373)) (-5 *2 (-1280 *1)))) (-1967 (*1 *2) (-12 (-4 *1 (-373)) (-5 *2 (-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))))) (-4217 (*1 *2 *3) (-12 (-4 *1 (-373)) (-5 *3 (-592)) (-5 *2 (-1199 (-944) (-790))))) (-3809 (*1 *1) (-4 *1 (-373))) (-2667 (*1 *1) (-4 *1 (-373))) (-3293 (*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-141)))) (-2177 (*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-790)))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-944)))) (-4440 (*1 *2) (-12 (-4 *1 (-373)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(-13 (-428) (-394) (-1165) (-247) (-10 -8 (-15 -1517 ($ $)) (-15 -2288 ((-3 (-1280 $) "failed") (-706 $))) (-15 -1967 ((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592)))))) (-15 -4217 ((-1199 (-944) (-790)) (-592))) (-15 -3809 ($)) (-15 -2667 ($)) (-15 -3293 ((-141) $)) (-15 -2177 ((-790) $)) (-15 -4346 ((-944) $)) (-15 -4440 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-169) . T) ((-632 (-877)) . T) ((-194) . T) ((-247) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-428) . T) ((-394) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) . T) ((-1235) . T)) 
-((-2583 (((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) |#1|) 51)) (-4023 (((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|)))) 49))) 
-(((-374 |#1| |#2| |#3|) (-10 -7 (-15 -4023 ((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))))) (-15 -2583 ((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) |#1|))) (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $)))) (-1255 |#1|) (-435 |#1| |#2|)) (T -374)) 
-((-2583 (*1 *2 *3) (-12 (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-374 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) (-4023 (*1 *2) (-12 (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-374 *3 *4 *5)) (-4 *5 (-435 *3 *4))))) 
-(-10 -7 (-15 -4023 ((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))))) (-15 -2583 ((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 (((-932 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-932 |#1|) (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1351 (((-790)) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| (-932 |#1|) (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-932 |#1|) "failed") $) NIL)) (-2400 (((-932 |#1|) $) NIL)) (-1626 (($ (-1280 (-932 |#1|))) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-932 |#1|) (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-932 |#1|) (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| (-932 |#1|) (-394)))) (-3293 (((-141) $) NIL (|has| (-932 |#1|) (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394)))) (($ $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| (-932 |#1|) (-394))) (((-855 (-944)) $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| (-932 |#1|) (-394)))) (-2114 (((-141) $) NIL (|has| (-932 |#1|) (-394)))) (-2793 (((-932 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| (-932 |#1|) (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 (-932 |#1|)) $) NIL) (((-1187 $) $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-3546 (((-944) $) NIL (|has| (-932 |#1|) (-394)))) (-2343 (((-1187 (-932 |#1|)) $) NIL (|has| (-932 |#1|) (-394)))) (-1492 (((-1187 (-932 |#1|)) $) NIL (|has| (-932 |#1|) (-394))) (((-3 (-1187 (-932 |#1|)) "failed") $ $) NIL (|has| (-932 |#1|) (-394)))) (-2252 (($ $ (-1187 (-932 |#1|))) NIL (|has| (-932 |#1|) (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-932 |#1|) (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-3575 (((-1280 (-658 (-2 (|:| -2324 (-932 |#1|)) (|:| -1825 (-1137)))))) NIL)) (-2915 (((-706 (-932 |#1|))) NIL)) (-2934 (($) NIL (|has| (-932 |#1|) (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-932 |#1|) (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| (-932 |#1|) (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| (-932 |#1|) (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 (-932 |#1|))) NIL)) (-3809 (($) NIL (|has| (-932 |#1|) (-394)))) (-3342 (($) NIL (|has| (-932 |#1|) (-394)))) (-2231 (((-1280 (-932 |#1|)) $) NIL) (((-706 (-932 |#1|)) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| (-932 |#1|) (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-932 |#1|)) NIL)) (-1517 (($ $) NIL (|has| (-932 |#1|) (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-1940 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ (-932 |#1|)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-932 |#1|)) NIL) (($ (-932 |#1|) $) NIL))) 
-(((-375 |#1| |#2|) (-13 (-349 (-932 |#1|)) (-10 -7 (-15 -3575 ((-1280 (-658 (-2 (|:| -2324 (-932 |#1|)) (|:| -1825 (-1137))))))) (-15 -2915 ((-706 (-932 |#1|)))) (-15 -1351 ((-790))))) (-944) (-944)) (T -375)) 
-((-3575 (*1 *2) (-12 (-5 *2 (-1280 (-658 (-2 (|:| -2324 (-932 *3)) (|:| -1825 (-1137)))))) (-5 *1 (-375 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) (-2915 (*1 *2) (-12 (-5 *2 (-706 (-932 *3))) (-5 *1 (-375 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) (-1351 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-375 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944))))) 
-(-13 (-349 (-932 |#1|)) (-10 -7 (-15 -3575 ((-1280 (-658 (-2 (|:| -2324 (-932 |#1|)) (|:| -1825 (-1137))))))) (-15 -2915 ((-706 (-932 |#1|)))) (-15 -1351 ((-790))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 74)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 ((|#1| $) 92) (($ $ (-944)) 90 (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) 148 (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1351 (((-790)) 89)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) 162 (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 111)) (-2400 ((|#1| $) 91)) (-1626 (($ (-1280 |#1|)) 57)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) 158 (|has| |#1| (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) 149 (|has| |#1| (-394)))) (-3293 (((-141) $) NIL (|has| |#1| (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| |#1| (-394))) (((-855 (-944)) $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) 97 (|has| |#1| (-394)))) (-2114 (((-141) $) 175 (|has| |#1| (-394)))) (-2793 ((|#1| $) 94) (($ $ (-944)) 93 (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 |#1|) $) 188) (((-1187 $) $ (-944)) NIL (|has| |#1| (-394)))) (-3546 (((-944) $) 133 (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) 73 (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) 70 (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) 82 (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) 69 (|has| |#1| (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 191)) (-3703 (($) NIL (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) 136 (|has| |#1| (-394)))) (-2142 (((-141) $) 107)) (-2951 (((-1137) $) NIL)) (-3575 (((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) 83)) (-2915 (((-706 |#1|)) 87)) (-2934 (($) 96 (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 150 (|has| |#1| (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) 151)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) 62)) (-3390 (((-1187 |#1|)) 152)) (-3809 (($) 132 (|has| |#1| (-394)))) (-3342 (($) NIL (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) 105) (((-706 |#1|) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) 123) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 56)) (-1517 (($ $) NIL (|has| |#1| (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) 156)) (-2195 (((-1280 $)) 172) (((-1280 $) (-944)) 100)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 30 T CONST)) (-4257 (($) 22 T CONST)) (-3417 (($ $) 106 (|has| |#1| (-394))) (($ $ (-790)) 98 (|has| |#1| (-394)))) (-1940 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-3255 (((-141) $ $) 60)) (-3313 (($ $ $) 103) (($ $ |#1|) 104)) (-3306 (($ $) 177) (($ $ $) 181)) (-3300 (($ $ $) 179)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 137)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 185) (($ $ $) 142) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
-(((-376 |#1| |#2|) (-13 (-349 |#1|) (-10 -7 (-15 -3575 ((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -2915 ((-706 |#1|))) (-15 -1351 ((-790))))) (-373) (-3 (-1187 |#1|) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (T -376)) 
-((-3575 (*1 *2) (-12 (-5 *2 (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137)))))) (-5 *1 (-376 *3 *4)) (-4 *3 (-373)) (-14 *4 (-3 (-1187 *3) *2)))) (-2915 (*1 *2) (-12 (-5 *2 (-706 *3)) (-5 *1 (-376 *3 *4)) (-4 *3 (-373)) (-14 *4 (-3 (-1187 *3) (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137))))))))) (-1351 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-376 *3 *4)) (-4 *3 (-373)) (-14 *4 (-3 (-1187 *3) (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137)))))))))) 
-(-13 (-349 |#1|) (-10 -7 (-15 -3575 ((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -2915 ((-706 |#1|))) (-15 -1351 ((-790))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1351 (((-790)) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-1626 (($ (-1280 |#1|)) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| |#1| (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| |#1| (-394)))) (-3293 (((-141) $) NIL (|has| |#1| (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| |#1| (-394))) (((-855 (-944)) $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| |#1| (-394)))) (-2114 (((-141) $) NIL (|has| |#1| (-394)))) (-2793 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 |#1|) $) NIL) (((-1187 $) $ (-944)) NIL (|has| |#1| (-394)))) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) NIL (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) NIL (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) NIL (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) NIL (|has| |#1| (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-3575 (((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137)))))) NIL)) (-2915 (((-706 |#1|)) NIL)) (-2934 (($) NIL (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| |#1| (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 |#1|)) NIL)) (-3809 (($) NIL (|has| |#1| (-394)))) (-3342 (($) NIL (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) NIL) (((-706 |#1|) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) NIL)) (-1517 (($ $) NIL (|has| |#1| (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-1940 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ |#1|) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-377 |#1| |#2|) (-13 (-349 |#1|) (-10 -7 (-15 -3575 ((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -2915 ((-706 |#1|))) (-15 -1351 ((-790))))) (-373) (-944)) (T -377)) 
-((-3575 (*1 *2) (-12 (-5 *2 (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137)))))) (-5 *1 (-377 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944)))) (-2915 (*1 *2) (-12 (-5 *2 (-706 *3)) (-5 *1 (-377 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944)))) (-1351 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-377 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944))))) 
-(-13 (-349 |#1|) (-10 -7 (-15 -3575 ((-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))))) (-15 -2915 ((-706 |#1|))) (-15 -1351 ((-790))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 (((-932 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-932 |#1|) (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| (-932 |#1|) (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-932 |#1|) "failed") $) NIL)) (-2400 (((-932 |#1|) $) NIL)) (-1626 (($ (-1280 (-932 |#1|))) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-932 |#1|) (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-932 |#1|) (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| (-932 |#1|) (-394)))) (-3293 (((-141) $) NIL (|has| (-932 |#1|) (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394)))) (($ $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| (-932 |#1|) (-394))) (((-855 (-944)) $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| (-932 |#1|) (-394)))) (-2114 (((-141) $) NIL (|has| (-932 |#1|) (-394)))) (-2793 (((-932 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| (-932 |#1|) (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 (-932 |#1|)) $) NIL) (((-1187 $) $ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-3546 (((-944) $) NIL (|has| (-932 |#1|) (-394)))) (-2343 (((-1187 (-932 |#1|)) $) NIL (|has| (-932 |#1|) (-394)))) (-1492 (((-1187 (-932 |#1|)) $) NIL (|has| (-932 |#1|) (-394))) (((-3 (-1187 (-932 |#1|)) "failed") $ $) NIL (|has| (-932 |#1|) (-394)))) (-2252 (($ $ (-1187 (-932 |#1|))) NIL (|has| (-932 |#1|) (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-932 |#1|) (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| (-932 |#1|) (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2934 (($) NIL (|has| (-932 |#1|) (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-932 |#1|) (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| (-932 |#1|) (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| (-932 |#1|) (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 (-932 |#1|))) NIL)) (-3809 (($) NIL (|has| (-932 |#1|) (-394)))) (-3342 (($) NIL (|has| (-932 |#1|) (-394)))) (-2231 (((-1280 (-932 |#1|)) $) NIL) (((-706 (-932 |#1|)) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| (-932 |#1|) (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-932 |#1|)) NIL)) (-1517 (($ $) NIL (|has| (-932 |#1|) (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| (-932 |#1|) (-169)) (|has| (-932 |#1|) (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-1940 (($ $) NIL (|has| (-932 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-932 |#1|) (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ (-932 |#1|)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-932 |#1|)) NIL) (($ (-932 |#1|) $) NIL))) 
-(((-378 |#1| |#2|) (-349 (-932 |#1|)) (-944) (-944)) (T -378)) 
-NIL 
-(-349 (-932 |#1|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) 119 (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) 138 (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 91)) (-2400 ((|#1| $) 88)) (-1626 (($ (-1280 |#1|)) 83)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) 80 (|has| |#1| (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) 39 (|has| |#1| (-394)))) (-3293 (((-141) $) NIL (|has| |#1| (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| |#1| (-394))) (((-855 (-944)) $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) 120 (|has| |#1| (-394)))) (-2114 (((-141) $) 72 (|has| |#1| (-394)))) (-2793 ((|#1| $) 38) (($ $ (-944)) 40 (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 |#1|) $) 62) (((-1187 $) $ (-944)) NIL (|has| |#1| (-394)))) (-3546 (((-944) $) 95 (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) NIL (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) NIL (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) NIL (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) NIL (|has| |#1| (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) 93 (|has| |#1| (-394)))) (-2142 (((-141) $) 140)) (-2951 (((-1137) $) NIL)) (-2934 (($) 35 (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 113 (|has| |#1| (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) 137)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) 56)) (-3390 (((-1187 |#1|)) 86)) (-3809 (($) 125 (|has| |#1| (-394)))) (-3342 (($) NIL (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) 50) (((-706 |#1|) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) 136) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 85)) (-1517 (($ $) NIL (|has| |#1| (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) 142)) (-2195 (((-1280 $)) 107) (((-1280 $) (-944)) 46)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 109 T CONST)) (-4257 (($) 31 T CONST)) (-3417 (($ $) 65 (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-1940 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-3255 (((-141) $ $) 105)) (-3313 (($ $ $) 97) (($ $ |#1|) 98)) (-3306 (($ $) 78) (($ $ $) 103)) (-3300 (($ $ $) 101)) (** (($ $ (-944)) NIL) (($ $ (-790)) 41) (($ $ (-592)) 128)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 76) (($ $ $) 53) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
-(((-379 |#1| |#2|) (-349 |#1|) (-373) (-1187 |#1|)) (T -379)) 
-NIL 
-(-349 |#1|) 
-((-2220 ((|#1| (-1187 |#2|)) 51))) 
-(((-380 |#1| |#2|) (-10 -7 (-15 -2220 (|#1| (-1187 |#2|)))) (-13 (-428) (-10 -7 (-15 -1683 (|#1| |#2|)) (-15 -3546 ((-944) |#1|)) (-15 -2195 ((-1280 |#1|) (-944))) (-15 -3417 (|#1| |#1|)))) (-373)) (T -380)) 
-((-2220 (*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-4 *2 (-13 (-428) (-10 -7 (-15 -1683 (*2 *4)) (-15 -3546 ((-944) *2)) (-15 -2195 ((-1280 *2) (-944))) (-15 -3417 (*2 *2))))) (-5 *1 (-380 *2 *4))))) 
-(-10 -7 (-15 -2220 (|#1| (-1187 |#2|)))) 
-((-1876 (((-986 (-1187 |#1|)) (-1187 |#1|)) 36)) (-4290 (((-1187 |#1|) (-944) (-944)) 109) (((-1187 |#1|) (-944)) 108)) (-3293 (((-141) (-1187 |#1|)) 81)) (-4469 (((-944) (-944)) 71)) (-1678 (((-944) (-944)) 73)) (-3089 (((-944) (-944)) 69)) (-2114 (((-141) (-1187 |#1|)) 85)) (-4124 (((-3 (-1187 |#1|) "failed") (-1187 |#1|)) 97)) (-3249 (((-3 (-1187 |#1|) "failed") (-1187 |#1|)) 100)) (-2772 (((-3 (-1187 |#1|) "failed") (-1187 |#1|)) 99)) (-1439 (((-3 (-1187 |#1|) "failed") (-1187 |#1|)) 98)) (-3244 (((-3 (-1187 |#1|) "failed") (-1187 |#1|)) 94)) (-4202 (((-1187 |#1|) (-1187 |#1|)) 62)) (-4081 (((-1187 |#1|) (-944)) 103)) (-2657 (((-1187 |#1|) (-944)) 106)) (-1662 (((-1187 |#1|) (-944)) 105)) (-2376 (((-1187 |#1|) (-944)) 104)) (-3995 (((-1187 |#1|) (-944)) 101))) 
-(((-381 |#1|) (-10 -7 (-15 -3293 ((-141) (-1187 |#1|))) (-15 -2114 ((-141) (-1187 |#1|))) (-15 -3089 ((-944) (-944))) (-15 -4469 ((-944) (-944))) (-15 -1678 ((-944) (-944))) (-15 -3995 ((-1187 |#1|) (-944))) (-15 -4081 ((-1187 |#1|) (-944))) (-15 -2376 ((-1187 |#1|) (-944))) (-15 -1662 ((-1187 |#1|) (-944))) (-15 -2657 ((-1187 |#1|) (-944))) (-15 -3244 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -4124 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -1439 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -2772 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -3249 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -4290 ((-1187 |#1|) (-944))) (-15 -4290 ((-1187 |#1|) (-944) (-944))) (-15 -4202 ((-1187 |#1|) (-1187 |#1|))) (-15 -1876 ((-986 (-1187 |#1|)) (-1187 |#1|)))) (-373)) (T -381)) 
-((-1876 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-986 (-1187 *4))) (-5 *1 (-381 *4)) (-5 *3 (-1187 *4)))) (-4202 (*1 *2 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3)))) (-4290 (*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-4290 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-3249 (*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3)))) (-2772 (*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3)))) (-1439 (*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3)))) (-4124 (*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3)))) (-3244 (*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3)))) (-2657 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-1662 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-2376 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-4081 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) (-1678 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-381 *3)) (-4 *3 (-373)))) (-4469 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-381 *3)) (-4 *3 (-373)))) (-3089 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-381 *3)) (-4 *3 (-373)))) (-2114 (*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-381 *4)))) (-3293 (*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-381 *4))))) 
-(-10 -7 (-15 -3293 ((-141) (-1187 |#1|))) (-15 -2114 ((-141) (-1187 |#1|))) (-15 -3089 ((-944) (-944))) (-15 -4469 ((-944) (-944))) (-15 -1678 ((-944) (-944))) (-15 -3995 ((-1187 |#1|) (-944))) (-15 -4081 ((-1187 |#1|) (-944))) (-15 -2376 ((-1187 |#1|) (-944))) (-15 -1662 ((-1187 |#1|) (-944))) (-15 -2657 ((-1187 |#1|) (-944))) (-15 -3244 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -4124 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -1439 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -2772 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -3249 ((-3 (-1187 |#1|) "failed") (-1187 |#1|))) (-15 -4290 ((-1187 |#1|) (-944))) (-15 -4290 ((-1187 |#1|) (-944) (-944))) (-15 -4202 ((-1187 |#1|) (-1187 |#1|))) (-15 -1876 ((-986 (-1187 |#1|)) (-1187 |#1|)))) 
-((-3524 (((-3 (-658 |#3|) "failed") (-658 |#3|) |#3|) 33))) 
-(((-382 |#1| |#2| |#3|) (-10 -7 (-15 -3524 ((-3 (-658 |#3|) "failed") (-658 |#3|) |#3|))) (-373) (-1255 |#1|) (-1255 |#2|)) (T -382)) 
-((-3524 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-373)) (-5 *1 (-382 *4 *5 *3))))) 
-(-10 -7 (-15 -3524 ((-3 (-658 |#3|) "failed") (-658 |#3|) |#3|))) 
-((-2784 (((-444 |#2|) |#2|) 46)) (-3484 (((-444 |#2|) |#2|) 36))) 
-(((-383 |#1| |#2|) (-10 -7 (-15 -3484 ((-444 |#2|) |#2|)) (-15 -2784 ((-444 |#2|) |#2|))) (-373) (-1255 |#1|)) (T -383)) 
-((-2784 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-383 *4 *3)) (-4 *3 (-1255 *4)))) (-3484 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-383 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -3484 ((-444 |#2|) |#2|)) (-15 -2784 ((-444 |#2|) |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| |#1| (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-1626 (($ (-1280 |#1|)) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| |#1| (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| |#1| (-394)))) (-3293 (((-141) $) NIL (|has| |#1| (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| |#1| (-394))) (((-855 (-944)) $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| |#1| (-394)))) (-2114 (((-141) $) NIL (|has| |#1| (-394)))) (-2793 ((|#1| $) NIL) (($ $ (-944)) NIL (|has| |#1| (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 |#1|) $) NIL) (((-1187 $) $ (-944)) NIL (|has| |#1| (-394)))) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-2343 (((-1187 |#1|) $) NIL (|has| |#1| (-394)))) (-1492 (((-1187 |#1|) $) NIL (|has| |#1| (-394))) (((-3 (-1187 |#1|) "failed") $ $) NIL (|has| |#1| (-394)))) (-2252 (($ $ (-1187 |#1|)) NIL (|has| |#1| (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| |#1| (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2934 (($) NIL (|has| |#1| (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| |#1| (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| |#1| (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 |#1|)) NIL)) (-3809 (($) NIL (|has| |#1| (-394)))) (-3342 (($) NIL (|has| |#1| (-394)))) (-2231 (((-1280 |#1|) $) NIL) (((-706 |#1|) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) NIL)) (-1517 (($ $) NIL (|has| |#1| (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-1940 (($ $) NIL (|has| |#1| (-394))) (($ $ (-790)) NIL (|has| |#1| (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ |#1|) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-384 |#1| |#2|) (-349 |#1|) (-373) (-944)) (T -384)) 
-NIL 
-(-349 |#1|) 
-((-1480 (((-141) (-658 (-980 |#1|))) 31)) (-3903 (((-658 (-980 |#1|)) (-658 (-980 |#1|))) 42)) (-4338 (((-3 (-658 (-980 |#1|)) "failed") (-658 (-980 |#1|))) 38))) 
-(((-385 |#1| |#2|) (-10 -7 (-15 -1480 ((-141) (-658 (-980 |#1|)))) (-15 -4338 ((-3 (-658 (-980 |#1|)) "failed") (-658 (-980 |#1|)))) (-15 -3903 ((-658 (-980 |#1|)) (-658 (-980 |#1|))))) (-477) (-658 (-1191))) (T -385)) 
-((-3903 (*1 *2 *2) (-12 (-5 *2 (-658 (-980 *3))) (-4 *3 (-477)) (-5 *1 (-385 *3 *4)) (-14 *4 (-658 (-1191))))) (-4338 (*1 *2 *2) (|partial| -12 (-5 *2 (-658 (-980 *3))) (-4 *3 (-477)) (-5 *1 (-385 *3 *4)) (-14 *4 (-658 (-1191))))) (-1480 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-477)) (-5 *2 (-141)) (-5 *1 (-385 *4 *5)) (-14 *5 (-658 (-1191)))))) 
-(-10 -7 (-15 -1480 ((-141) (-658 (-980 |#1|)))) (-15 -4338 ((-3 (-658 (-980 |#1|)) "failed") (-658 (-980 |#1|)))) (-15 -3903 ((-658 (-980 |#1|)) (-658 (-980 |#1|))))) 
-((-1641 (((-141) $ $) NIL)) (-1403 (((-790) $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) 14)) (-4449 ((|#1| $ (-592)) NIL)) (-3888 (((-592) $ (-592)) NIL)) (-3401 (($ (-1 |#1| |#1|) $) 32)) (-3970 (($ (-1 (-592) (-592)) $) 24)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 26)) (-2951 (((-1137) $) NIL)) (-2033 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-592)))) $) 28)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) 38) (($ |#1|) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 9 T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL) (($ |#1| (-592)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
-(((-386 |#1|) (-13 (-502) (-1065 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-592))) (-15 -1403 ((-790) $)) (-15 -3888 ((-592) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -3970 ($ (-1 (-592) (-592)) $)) (-15 -3401 ($ (-1 |#1| |#1|) $)) (-15 -2033 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-592)))) $)))) (-1119)) (T -386)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-386 *2)) (-4 *2 (-1119)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-386 *2)) (-4 *2 (-1119)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-386 *2)) (-4 *2 (-1119)))) (-1403 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) (-3888 (*1 *2 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) (-4449 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-386 *2)) (-4 *2 (-1119)))) (-3970 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-592) (-592))) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) (-3401 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-386 *3)))) (-2033 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 (-592))))) (-5 *1 (-386 *3)) (-4 *3 (-1119))))) 
-(-13 (-502) (-1065 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-592))) (-15 -1403 ((-790) $)) (-15 -3888 ((-592) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -3970 ($ (-1 (-592) (-592)) $)) (-15 -3401 ($ (-1 |#1| |#1|) $)) (-15 -2033 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-592)))) $)))) 
-((-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 13)) (-1555 (($ $) 14)) (-3164 (((-444 $) $) 29)) (-2802 (((-141) $) 25)) (-4552 (($ $) 18)) (-3548 (($ $ $) 22) (($ (-658 $)) NIL)) (-4500 (((-444 $) $) 30)) (-3616 (((-3 $ "failed") $ $) 21)) (-2769 (((-790) $) 24)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 34)) (-2537 (((-141) $ $) 15)) (-3313 (($ $ $) 32))) 
-(((-387 |#1|) (-10 -8 (-15 -3313 (|#1| |#1| |#1|)) (-15 -4552 (|#1| |#1|)) (-15 -2802 ((-141) |#1|)) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -4570 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -2769 ((-790) |#1|)) (-15 -3548 (|#1| (-658 |#1|))) (-15 -3548 (|#1| |#1| |#1|)) (-15 -2537 ((-141) |#1| |#1|)) (-15 -1555 (|#1| |#1|)) (-15 -3620 ((-2 (|:| -4509 |#1|) (|:| -4612 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|))) (-388)) (T -387)) 
-NIL 
-(-10 -8 (-15 -3313 (|#1| |#1| |#1|)) (-15 -4552 (|#1| |#1|)) (-15 -2802 ((-141) |#1|)) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -4570 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -2769 ((-790) |#1|)) (-15 -3548 (|#1| (-658 |#1|))) (-15 -3548 (|#1| |#1| |#1|)) (-15 -2537 ((-141) |#1| |#1|)) (-15 -1555 (|#1| |#1|)) (-15 -3620 ((-2 (|:| -4509 |#1|) (|:| -4612 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2802 (((-141) $) 69)) (-3558 (((-141) $) 30)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-388) (-1311)) (T -388)) 
-((-3313 (*1 *1 *1 *1) (-4 *1 (-388)))) 
-(-13 (-323) (-1235) (-260) (-10 -8 (-15 -3313 ($ $ $)) (-6 -4623) (-6 -4617))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) 7)) (-3388 ((|#2| $ |#2|) 13)) (-2820 (($ $ (-1173)) 18)) (-4393 ((|#2| $) 14)) (-1774 (($ |#1|) 20) (($ |#1| (-1173)) 19)) (-4095 ((|#1| $) 16)) (-2685 (((-1173) $) 9)) (-2690 (((-1173) $) 15)) (-2951 (((-1137) $) 10)) (-4342 (((-1285) $) 12)) (-1683 (((-877) $) 11)) (-2607 (($ $) 17)) (-3255 (((-141) $ $) 6))) 
-(((-389 |#1| |#2|) (-1311) (-1119) (-1119)) (T -389)) 
-((-1774 (*1 *1 *2) (-12 (-4 *1 (-389 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-1774 (*1 *1 *2 *3) (-12 (-5 *3 (-1173)) (-4 *1 (-389 *2 *4)) (-4 *2 (-1119)) (-4 *4 (-1119)))) (-2820 (*1 *1 *1 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-389 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-2607 (*1 *1 *1) (-12 (-4 *1 (-389 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-4095 (*1 *2 *1) (-12 (-4 *1 (-389 *2 *3)) (-4 *3 (-1119)) (-4 *2 (-1119)))) (-2690 (*1 *2 *1) (-12 (-4 *1 (-389 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-1173)))) (-4393 (*1 *2 *1) (-12 (-4 *1 (-389 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) (-3388 (*1 *2 *1 *2) (-12 (-4 *1 (-389 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) (-4342 (*1 *2 *1) (-12 (-4 *1 (-389 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-1285))))) 
-(-13 (-1119) (-10 -8 (-15 -1774 ($ |t#1|)) (-15 -1774 ($ |t#1| (-1173))) (-15 -2820 ($ $ (-1173))) (-15 -2607 ($ $)) (-15 -4095 (|t#1| $)) (-15 -2690 ((-1173) $)) (-15 -4393 (|t#2| $)) (-15 -3388 (|t#2| $ |t#2|)) (-15 -4342 ((-1285) $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-3388 ((|#1| $ |#1|) 29)) (-2820 (($ $ (-1173)) 22)) (-3463 (((-3 |#1| "failed") $) 28)) (-4393 ((|#1| $) 26)) (-1774 (($ (-414)) 21) (($ (-414) (-1173)) 20)) (-4095 (((-414) $) 24)) (-2685 (((-1173) $) NIL)) (-2690 (((-1173) $) 25)) (-2951 (((-1137) $) NIL)) (-4342 (((-1285) $) 31)) (-1683 (((-877) $) 19)) (-2607 (($ $) 23)) (-3255 (((-141) $ $) 18))) 
-(((-390 |#1|) (-13 (-389 (-414) |#1|) (-10 -8 (-15 -3463 ((-3 |#1| "failed") $)))) (-1119)) (T -390)) 
-((-3463 (*1 *2 *1) (|partial| -12 (-5 *1 (-390 *2)) (-4 *2 (-1119))))) 
-(-13 (-389 (-414) |#1|) (-10 -8 (-15 -3463 ((-3 |#1| "failed") $)))) 
-((-4061 (((-1280 (-706 |#2|)) (-1280 $)) 62)) (-1951 (((-706 |#2|) (-1280 $)) 120)) (-4282 ((|#2| $) 32)) (-2302 (((-706 |#2|) $ (-1280 $)) 124)) (-2503 (((-3 $ "failed") $) 76)) (-1431 ((|#2| $) 35)) (-3916 (((-1187 |#2|) $) 84)) (-1874 ((|#2| (-1280 $)) 107)) (-1582 (((-1187 |#2|) $) 28)) (-4194 (((-141)) 101)) (-1626 (($ (-1280 |#2|) (-1280 $)) 114)) (-3371 (((-3 $ "failed") $) 80)) (-3700 (((-141)) 96)) (-2973 (((-141)) 91)) (-2467 (((-141)) 54)) (-2794 (((-706 |#2|) (-1280 $)) 118)) (-1869 ((|#2| $) 31)) (-1802 (((-706 |#2|) $ (-1280 $)) 123)) (-4158 (((-3 $ "failed") $) 74)) (-3061 ((|#2| $) 34)) (-2013 (((-1187 |#2|) $) 83)) (-3030 ((|#2| (-1280 $)) 105)) (-2397 (((-1187 |#2|) $) 26)) (-3847 (((-141)) 100)) (-4106 (((-141)) 93)) (-2339 (((-141)) 52)) (-2297 (((-141)) 88)) (-2716 (((-141)) 102)) (-2231 (((-1280 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) (-1280 $) (-1280 $)) 112)) (-3545 (((-141)) 98)) (-3664 (((-658 (-1280 |#2|))) 87)) (-1516 (((-141)) 99)) (-3135 (((-141)) 97)) (-2723 (((-141)) 46)) (-2359 (((-141)) 103))) 
-(((-391 |#1| |#2|) (-10 -8 (-15 -3916 ((-1187 |#2|) |#1|)) (-15 -2013 ((-1187 |#2|) |#1|)) (-15 -3664 ((-658 (-1280 |#2|)))) (-15 -2503 ((-3 |#1| "failed") |#1|)) (-15 -4158 ((-3 |#1| "failed") |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 -2973 ((-141))) (-15 -4106 ((-141))) (-15 -3700 ((-141))) (-15 -2339 ((-141))) (-15 -2467 ((-141))) (-15 -2297 ((-141))) (-15 -2359 ((-141))) (-15 -2716 ((-141))) (-15 -4194 ((-141))) (-15 -3847 ((-141))) (-15 -2723 ((-141))) (-15 -1516 ((-141))) (-15 -3135 ((-141))) (-15 -3545 ((-141))) (-15 -1582 ((-1187 |#2|) |#1|)) (-15 -2397 ((-1187 |#2|) |#1|)) (-15 -1951 ((-706 |#2|) (-1280 |#1|))) (-15 -2794 ((-706 |#2|) (-1280 |#1|))) (-15 -1874 (|#2| (-1280 |#1|))) (-15 -3030 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -1431 (|#2| |#1|)) (-15 -3061 (|#2| |#1|)) (-15 -4282 (|#2| |#1|)) (-15 -1869 (|#2| |#1|)) (-15 -2302 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -1802 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -4061 ((-1280 (-706 |#2|)) (-1280 |#1|)))) (-392 |#2|) (-194)) (T -391)) 
-((-3545 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-3135 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-1516 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2723 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-3847 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-4194 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2716 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2359 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2297 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2467 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2339 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-3700 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-4106 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-2973 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) (-3664 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-658 (-1280 *4))) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4))))) 
-(-10 -8 (-15 -3916 ((-1187 |#2|) |#1|)) (-15 -2013 ((-1187 |#2|) |#1|)) (-15 -3664 ((-658 (-1280 |#2|)))) (-15 -2503 ((-3 |#1| "failed") |#1|)) (-15 -4158 ((-3 |#1| "failed") |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 -2973 ((-141))) (-15 -4106 ((-141))) (-15 -3700 ((-141))) (-15 -2339 ((-141))) (-15 -2467 ((-141))) (-15 -2297 ((-141))) (-15 -2359 ((-141))) (-15 -2716 ((-141))) (-15 -4194 ((-141))) (-15 -3847 ((-141))) (-15 -2723 ((-141))) (-15 -1516 ((-141))) (-15 -3135 ((-141))) (-15 -3545 ((-141))) (-15 -1582 ((-1187 |#2|) |#1|)) (-15 -2397 ((-1187 |#2|) |#1|)) (-15 -1951 ((-706 |#2|) (-1280 |#1|))) (-15 -2794 ((-706 |#2|) (-1280 |#1|))) (-15 -1874 (|#2| (-1280 |#1|))) (-15 -3030 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -1431 (|#2| |#1|)) (-15 -3061 (|#2| |#1|)) (-15 -4282 (|#2| |#1|)) (-15 -1869 (|#2| |#1|)) (-15 -2302 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -1802 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -4061 ((-1280 (-706 |#2|)) (-1280 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4509 (((-3 $ "failed")) 35 (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) 18)) (-4061 (((-1280 (-706 |#1|)) (-1280 $)) 76)) (-3360 (((-1280 $)) 79)) (-3001 (($) 16 T CONST)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) 38 (|has| |#1| (-582)))) (-2661 (((-3 $ "failed")) 36 (|has| |#1| (-582)))) (-1951 (((-706 |#1|) (-1280 $)) 63)) (-4282 ((|#1| $) 72)) (-2302 (((-706 |#1|) $ (-1280 $)) 74)) (-2503 (((-3 $ "failed") $) 43 (|has| |#1| (-582)))) (-2111 (($ $ (-944)) 27)) (-1431 ((|#1| $) 70)) (-3916 (((-1187 |#1|) $) 40 (|has| |#1| (-582)))) (-1874 ((|#1| (-1280 $)) 65)) (-1582 (((-1187 |#1|) $) 61)) (-4194 (((-141)) 55)) (-1626 (($ (-1280 |#1|) (-1280 $)) 67)) (-3371 (((-3 $ "failed") $) 45 (|has| |#1| (-582)))) (-4175 (((-944)) 78)) (-2169 (((-141)) 52)) (-1833 (($ $ (-944)) 32)) (-3700 (((-141)) 48)) (-2973 (((-141)) 46)) (-2467 (((-141)) 50)) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) 39 (|has| |#1| (-582)))) (-3994 (((-3 $ "failed")) 37 (|has| |#1| (-582)))) (-2794 (((-706 |#1|) (-1280 $)) 64)) (-1869 ((|#1| $) 73)) (-1802 (((-706 |#1|) $ (-1280 $)) 75)) (-4158 (((-3 $ "failed") $) 44 (|has| |#1| (-582)))) (-2682 (($ $ (-944)) 28)) (-3061 ((|#1| $) 71)) (-2013 (((-1187 |#1|) $) 41 (|has| |#1| (-582)))) (-3030 ((|#1| (-1280 $)) 66)) (-2397 (((-1187 |#1|) $) 62)) (-3847 (((-141)) 56)) (-2685 (((-1173) $) 9)) (-4106 (((-141)) 47)) (-2339 (((-141)) 49)) (-2297 (((-141)) 51)) (-2951 (((-1137) $) 10)) (-2716 (((-141)) 54)) (-2231 (((-1280 |#1|) $ (-1280 $)) 69) (((-706 |#1|) (-1280 $) (-1280 $)) 68)) (-1473 (((-658 (-980 |#1|)) (-1280 $)) 77)) (-2131 (($ $ $) 24)) (-3545 (((-141)) 60)) (-1683 (((-877) $) 11)) (-3664 (((-658 (-1280 |#1|))) 42 (|has| |#1| (-582)))) (-3667 (($ $ $ $) 25)) (-1516 (((-141)) 58)) (-2844 (($ $ $) 23)) (-3135 (((-141)) 59)) (-2723 (((-141)) 57)) (-2359 (((-141)) 53)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 29)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-392 |#1|) (-1311) (-194)) (T -392)) 
-((-3360 (*1 *2) (-12 (-4 *3 (-194)) (-5 *2 (-1280 *1)) (-4 *1 (-392 *3)))) (-4175 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-944)))) (-1473 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-658 (-980 *4))))) (-4061 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-1280 (-706 *4))))) (-1802 (*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) (-2302 (*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) (-1869 (*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194)))) (-4282 (*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194)))) (-3061 (*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194)))) (-1431 (*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194)))) (-2231 (*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-1280 *4)))) (-2231 (*1 *2 *3 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) (-1626 (*1 *1 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-1280 *1)) (-4 *4 (-194)) (-4 *1 (-392 *4)))) (-3030 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *2)) (-4 *2 (-194)))) (-1874 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *2)) (-4 *2 (-194)))) (-2794 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) (-1951 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) (-2397 (*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-1187 *3)))) (-1582 (*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-1187 *3)))) (-3545 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-3135 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-1516 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2723 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-3847 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-4194 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2716 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2359 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2169 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2297 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2467 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2339 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-3700 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-4106 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-2973 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141)))) (-3371 (*1 *1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) (-4158 (*1 *1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) (-2503 (*1 *1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) (-3664 (*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-4 *3 (-582)) (-5 *2 (-658 (-1280 *3))))) (-2013 (*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-4 *3 (-582)) (-5 *2 (-1187 *3)))) (-3916 (*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-4 *3 (-582)) (-5 *2 (-1187 *3)))) (-1563 (*1 *2) (|partial| -12 (-4 *3 (-582)) (-4 *3 (-194)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2195 (-658 *1)))) (-4 *1 (-392 *3)))) (-2604 (*1 *2) (|partial| -12 (-4 *3 (-582)) (-4 *3 (-194)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2195 (-658 *1)))) (-4 *1 (-392 *3)))) (-3994 (*1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-582)) (-4 *2 (-194)))) (-2661 (*1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-582)) (-4 *2 (-194)))) (-4509 (*1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-582)) (-4 *2 (-194))))) 
-(-13 (-763 |t#1|) (-10 -8 (-15 -3360 ((-1280 $))) (-15 -4175 ((-944))) (-15 -1473 ((-658 (-980 |t#1|)) (-1280 $))) (-15 -4061 ((-1280 (-706 |t#1|)) (-1280 $))) (-15 -1802 ((-706 |t#1|) $ (-1280 $))) (-15 -2302 ((-706 |t#1|) $ (-1280 $))) (-15 -1869 (|t#1| $)) (-15 -4282 (|t#1| $)) (-15 -3061 (|t#1| $)) (-15 -1431 (|t#1| $)) (-15 -2231 ((-1280 |t#1|) $ (-1280 $))) (-15 -2231 ((-706 |t#1|) (-1280 $) (-1280 $))) (-15 -1626 ($ (-1280 |t#1|) (-1280 $))) (-15 -3030 (|t#1| (-1280 $))) (-15 -1874 (|t#1| (-1280 $))) (-15 -2794 ((-706 |t#1|) (-1280 $))) (-15 -1951 ((-706 |t#1|) (-1280 $))) (-15 -2397 ((-1187 |t#1|) $)) (-15 -1582 ((-1187 |t#1|) $)) (-15 -3545 ((-141))) (-15 -3135 ((-141))) (-15 -1516 ((-141))) (-15 -2723 ((-141))) (-15 -3847 ((-141))) (-15 -4194 ((-141))) (-15 -2716 ((-141))) (-15 -2359 ((-141))) (-15 -2169 ((-141))) (-15 -2297 ((-141))) (-15 -2467 ((-141))) (-15 -2339 ((-141))) (-15 -3700 ((-141))) (-15 -4106 ((-141))) (-15 -2973 ((-141))) (IF (|has| |t#1| (-582)) (PROGN (-15 -3371 ((-3 $ "failed") $)) (-15 -4158 ((-3 $ "failed") $)) (-15 -2503 ((-3 $ "failed") $)) (-15 -3664 ((-658 (-1280 |t#1|)))) (-15 -2013 ((-1187 |t#1|) $)) (-15 -3916 ((-1187 |t#1|) $)) (-15 -1563 ((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed"))) (-15 -2604 ((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed"))) (-15 -3994 ((-3 $ "failed"))) (-15 -2661 ((-3 $ "failed"))) (-15 -4509 ((-3 $ "failed"))) (-6 -4622)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-734 |#1|) . T) ((-737) . T) ((-763 |#1|) . T) ((-780) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-4290 (($) 13)) (-1405 (((-658 $)) 15))) 
-(((-393 |#1|) (-10 -8 (-15 -1405 ((-658 |#1|))) (-15 -4290 (|#1|))) (-394)) (T -393)) 
-NIL 
-(-10 -8 (-15 -1405 ((-658 |#1|))) (-15 -4290 (|#1|))) 
-((-1641 (((-141) $ $) 7)) (-1403 (((-790)) 16)) (-4290 (($) 13)) (-3546 (((-944) $) 14)) (-2685 (((-1173) $) 9)) (-1825 (($ (-944)) 15)) (-2951 (((-1137) $) 10)) (-1405 (((-658 $)) 12)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-394) (-1311)) (T -394)) 
-((-1403 (*1 *2) (-12 (-4 *1 (-394)) (-5 *2 (-790)))) (-1825 (*1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-394)))) (-3546 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-944)))) (-4290 (*1 *1) (-4 *1 (-394))) (-1405 (*1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-394))))) 
-(-13 (-1119) (-10 -8 (-15 -1403 ((-790))) (-15 -1825 ($ (-944))) (-15 -3546 ((-944) $)) (-15 -4290 ($)) (-15 -1405 ((-658 $))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1800 (((-706 |#2|) (-1280 $)) 40)) (-1626 (($ (-1280 |#2|) (-1280 $)) 35)) (-4493 (((-706 |#2|) $ (-1280 $)) 43)) (-1482 ((|#2| (-1280 $)) 13)) (-2231 (((-1280 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) (-1280 $) (-1280 $)) 25))) 
-(((-395 |#1| |#2| |#3|) (-10 -8 (-15 -1800 ((-706 |#2|) (-1280 |#1|))) (-15 -1482 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -4493 ((-706 |#2|) |#1| (-1280 |#1|)))) (-396 |#2| |#3|) (-194) (-1255 |#2|)) (T -395)) 
-NIL 
-(-10 -8 (-15 -1800 ((-706 |#2|) (-1280 |#1|))) (-15 -1482 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -4493 ((-706 |#2|) |#1| (-1280 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1800 (((-706 |#1|) (-1280 $)) 44)) (-4529 ((|#1| $) 50)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-1626 (($ (-1280 |#1|) (-1280 $)) 46)) (-4493 (((-706 |#1|) $ (-1280 $)) 51)) (-3371 (((-3 $ "failed") $) 33)) (-4175 (((-944)) 52)) (-3558 (((-141) $) 30)) (-2793 ((|#1| $) 49)) (-3504 ((|#2| $) 42 (|has| |#1| (-388)))) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1482 ((|#1| (-1280 $)) 45)) (-2231 (((-1280 |#1|) $ (-1280 $)) 48) (((-706 |#1|) (-1280 $) (-1280 $)) 47)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36)) (-1517 (((-3 $ "failed") $) 41 (|has| |#1| (-169)))) (-4198 ((|#2| $) 43)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-396 |#1| |#2|) (-1311) (-194) (-1255 |t#1|)) (T -396)) 
-((-4175 (*1 *2) (-12 (-4 *1 (-396 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-944)))) (-4493 (*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) (-4529 (*1 *2 *1) (-12 (-4 *1 (-396 *2 *3)) (-4 *3 (-1255 *2)) (-4 *2 (-194)))) (-2793 (*1 *2 *1) (-12 (-4 *1 (-396 *2 *3)) (-4 *3 (-1255 *2)) (-4 *2 (-194)))) (-2231 (*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *4)))) (-2231 (*1 *2 *3 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) (-1626 (*1 *1 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-1280 *1)) (-4 *4 (-194)) (-4 *1 (-396 *4 *5)) (-4 *5 (-1255 *4)))) (-1482 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *2 *4)) (-4 *4 (-1255 *2)) (-4 *2 (-194)))) (-1800 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) (-4198 (*1 *2 *1) (-12 (-4 *1 (-396 *3 *2)) (-4 *3 (-194)) (-4 *2 (-1255 *3)))) (-3504 (*1 *2 *1) (-12 (-4 *1 (-396 *3 *2)) (-4 *3 (-194)) (-4 *3 (-388)) (-4 *2 (-1255 *3))))) 
-(-13 (-43 |t#1|) (-10 -8 (-15 -4175 ((-944))) (-15 -4493 ((-706 |t#1|) $ (-1280 $))) (-15 -4529 (|t#1| $)) (-15 -2793 (|t#1| $)) (-15 -2231 ((-1280 |t#1|) $ (-1280 $))) (-15 -2231 ((-706 |t#1|) (-1280 $) (-1280 $))) (-15 -1626 ($ (-1280 |t#1|) (-1280 $))) (-15 -1482 (|t#1| (-1280 $))) (-15 -1800 ((-706 |t#1|) (-1280 $))) (-15 -4198 (|t#2| $)) (IF (|has| |t#1| (-388)) (-15 -3504 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) . T) ((-743) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1779 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-3657 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-2731 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
-(((-397 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3657 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1779 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1225) (-399 |#1|) (-1225) (-399 |#3|)) (T -397)) 
-((-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-4 *2 (-399 *5)) (-5 *1 (-397 *6 *4 *5 *2)) (-4 *4 (-399 *6)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-397 *5 *4 *2 *6)) (-4 *4 (-399 *5)) (-4 *6 (-399 *2)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-4 *2 (-399 *6)) (-5 *1 (-397 *5 *4 *6 *2)) (-4 *4 (-399 *5))))) 
-(-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3657 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1779 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-4076 (((-141) (-1 (-141) |#2| |#2|) $) NIL) (((-141) $) 18)) (-2831 (($ (-1 (-141) |#2| |#2|) $) NIL) (($ $) 28)) (-3960 (($ (-1 (-141) |#2| |#2|) $) 27) (($ $) 22)) (-1373 (($ $) 25)) (-1721 (((-592) (-1 (-141) |#2|) $) NIL) (((-592) |#2| $) 11) (((-592) |#2| $ (-592)) NIL)) (-4491 (($ (-1 (-141) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
-(((-398 |#1| |#2|) (-10 -8 (-15 -2831 (|#1| |#1|)) (-15 -2831 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -4076 ((-141) |#1|)) (-15 -3960 (|#1| |#1|)) (-15 -4491 (|#1| |#1| |#1|)) (-15 -1721 ((-592) |#2| |#1| (-592))) (-15 -1721 ((-592) |#2| |#1|)) (-15 -1721 ((-592) (-1 (-141) |#2|) |#1|)) (-15 -4076 ((-141) (-1 (-141) |#2| |#2|) |#1|)) (-15 -3960 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -4491 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|))) (-399 |#2|) (-1225)) (T -398)) 
-NIL 
-(-10 -8 (-15 -2831 (|#1| |#1|)) (-15 -2831 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -4076 ((-141) |#1|)) (-15 -3960 (|#1| |#1|)) (-15 -4491 (|#1| |#1| |#1|)) (-15 -1721 ((-592) |#2| |#1| (-592))) (-15 -1721 ((-592) |#2| |#1|)) (-15 -1721 ((-592) (-1 (-141) |#2|) |#1|)) (-15 -4076 ((-141) (-1 (-141) |#2| |#2|) |#1|)) (-15 -3960 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -4491 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) 91) (((-141) $) 85 (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) 82 (|has| $ (-6 -4626))) (($ $) 81 (-12 (|has| |#1| (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) |#1|) 49 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-2512 (($ $) 83 (|has| $ (-6 -4626)))) (-1373 (($ $) 93)) (-1360 (($ $) 73 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 72 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 69 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 48)) (-1721 (((-592) (-1 (-141) |#1|) $) 90) (((-592) |#1| $) 89 (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) 88 (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 80 (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 79 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 39 (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 66)) (-1892 (($ $ |#1|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) |#1|) 47) ((|#1| $ (-592)) 46) (($ $ (-1246 (-592))) 58)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 84 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 65)) (-2266 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 77 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 76 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-3279 (((-141) $ $) 78 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 75 (|has| |#1| (-869)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-399 |#1|) (-1311) (-1225)) (T -399)) 
-((-4491 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (-4 *1 (-399 *3)) (-4 *3 (-1225)))) (-1373 (*1 *1 *1) (-12 (-4 *1 (-399 *2)) (-4 *2 (-1225)))) (-3960 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (-4 *1 (-399 *3)) (-4 *3 (-1225)))) (-4076 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *1 (-399 *4)) (-4 *4 (-1225)) (-5 *2 (-141)))) (-1721 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (-4 *1 (-399 *4)) (-4 *4 (-1225)) (-5 *2 (-592)))) (-1721 (*1 *2 *3 *1) (-12 (-4 *1 (-399 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-592)))) (-1721 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-399 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)))) (-4491 (*1 *1 *1 *1) (-12 (-4 *1 (-399 *2)) (-4 *2 (-1225)) (-4 *2 (-869)))) (-3960 (*1 *1 *1) (-12 (-4 *1 (-399 *2)) (-4 *2 (-1225)) (-4 *2 (-869)))) (-4076 (*1 *2 *1) (-12 (-4 *1 (-399 *3)) (-4 *3 (-1225)) (-4 *3 (-869)) (-5 *2 (-141)))) (-2385 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-592)) (|has| *1 (-6 -4626)) (-4 *1 (-399 *3)) (-4 *3 (-1225)))) (-2512 (*1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-399 *2)) (-4 *2 (-1225)))) (-2831 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (|has| *1 (-6 -4626)) (-4 *1 (-399 *3)) (-4 *3 (-1225)))) (-2831 (*1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-399 *2)) (-4 *2 (-1225)) (-4 *2 (-869))))) 
-(-13 (-664 |t#1|) (-10 -8 (-6 -4625) (-15 -4491 ($ (-1 (-141) |t#1| |t#1|) $ $)) (-15 -1373 ($ $)) (-15 -3960 ($ (-1 (-141) |t#1| |t#1|) $)) (-15 -4076 ((-141) (-1 (-141) |t#1| |t#1|) $)) (-15 -1721 ((-592) (-1 (-141) |t#1|) $)) (IF (|has| |t#1| (-1119)) (PROGN (-15 -1721 ((-592) |t#1| $)) (-15 -1721 ((-592) |t#1| $ (-592)))) |noBranch|) (IF (|has| |t#1| (-869)) (PROGN (-6 (-869)) (-15 -4491 ($ $ $)) (-15 -3960 ($ $)) (-15 -4076 ((-141) $))) |noBranch|) (IF (|has| $ (-6 -4626)) (PROGN (-15 -2385 ($ $ $ (-592))) (-15 -2512 ($ $)) (-15 -2831 ($ (-1 (-141) |t#1| |t#1|) $)) (IF (|has| |t#1| (-869)) (-15 -2831 ($ $)) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-125) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-632 (-877)) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-869) |has| |#1| (-869)) ((-1119) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-1225) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2692 (((-658 |#1|) $) 29)) (-1394 (($ $ (-790)) 30)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3305 (((-1302 |#1| |#2|) (-1302 |#1| |#2|) $) 33)) (-4103 (($ $) 31)) (-2141 (((-1302 |#1| |#2|) (-1302 |#1| |#2|) $) 34)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2806 (($ $ |#1| $) 28) (($ $ (-658 |#1|) (-658 $)) 27)) (-4525 (((-790) $) 35)) (-4466 (($ $ $) 26)) (-1683 (((-877) $) 11) (($ |#1|) 38) (((-1293 |#1| |#2|) $) 37) (((-1302 |#1| |#2|) $) 36)) (-1487 ((|#2| (-1302 |#1| |#2|) $) 39)) (-3514 (($) 17 T CONST)) (-2072 (($ (-688 |#1|)) 32)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#2|) 25 (|has| |#2| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
-(((-400 |#1| |#2|) (-1311) (-869) (-194)) (T -400)) 
-((-1487 (*1 *2 *3 *1) (-12 (-5 *3 (-1302 *4 *2)) (-4 *1 (-400 *4 *2)) (-4 *4 (-869)) (-4 *2 (-194)))) (-1683 (*1 *1 *2) (-12 (-4 *1 (-400 *2 *3)) (-4 *2 (-869)) (-4 *3 (-194)))) (-1683 (*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-1293 *3 *4)))) (-1683 (*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-1302 *3 *4)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-790)))) (-2141 (*1 *2 *2 *1) (-12 (-5 *2 (-1302 *3 *4)) (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-3305 (*1 *2 *2 *1) (-12 (-5 *2 (-1302 *3 *4)) (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-2072 (*1 *1 *2) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-4 *1 (-400 *3 *4)) (-4 *4 (-194)))) (-4103 (*1 *1 *1) (-12 (-4 *1 (-400 *2 *3)) (-4 *2 (-869)) (-4 *3 (-194)))) (-1394 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-2692 (*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-658 *3)))) (-2806 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-400 *2 *3)) (-4 *2 (-869)) (-4 *3 (-194)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 *1)) (-4 *1 (-400 *4 *5)) (-4 *4 (-869)) (-4 *5 (-194))))) 
-(-13 (-649 |t#2|) (-10 -8 (-15 -1487 (|t#2| (-1302 |t#1| |t#2|) $)) (-15 -1683 ($ |t#1|)) (-15 -1683 ((-1293 |t#1| |t#2|) $)) (-15 -1683 ((-1302 |t#1| |t#2|) $)) (-15 -4525 ((-790) $)) (-15 -2141 ((-1302 |t#1| |t#2|) (-1302 |t#1| |t#2|) $)) (-15 -3305 ((-1302 |t#1| |t#2|) (-1302 |t#1| |t#2|) $)) (-15 -2072 ($ (-688 |t#1|))) (-15 -4103 ($ $)) (-15 -1394 ($ $ (-790))) (-15 -2692 ((-658 |t#1|) $)) (-15 -2806 ($ $ |t#1| $)) (-15 -2806 ($ $ (-658 |t#1|) (-658 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#2| |#2|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#2|) . T) ((-649 |#2|) . T) ((-734 |#2|) . T) ((-1081 |#2|) . T) ((-1119) . T)) 
-((-2808 ((|#2| (-1 (-141) |#1| |#1|) |#2|) 22)) (-4027 ((|#2| (-1 (-141) |#1| |#1|) |#2|) 12)) (-2265 ((|#2| (-1 (-141) |#1| |#1|) |#2|) 21))) 
-(((-401 |#1| |#2|) (-10 -7 (-15 -4027 (|#2| (-1 (-141) |#1| |#1|) |#2|)) (-15 -2265 (|#2| (-1 (-141) |#1| |#1|) |#2|)) (-15 -2808 (|#2| (-1 (-141) |#1| |#1|) |#2|))) (-1225) (-13 (-399 |#1|) (-10 -7 (-6 -4626)))) (T -401)) 
-((-2808 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-401 *4 *2)) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626)))))) (-2265 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-401 *4 *2)) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626)))))) (-4027 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-401 *4 *2)) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626))))))) 
-(-10 -7 (-15 -4027 (|#2| (-1 (-141) |#1| |#1|) |#2|)) (-15 -2265 (|#2| (-1 (-141) |#1| |#1|) |#2|)) (-15 -2808 (|#2| (-1 (-141) |#1| |#1|) |#2|))) 
-((-3945 (((-706 |#2|) (-706 $)) NIL) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 19) (((-706 (-592)) (-706 $)) 13))) 
-(((-402 |#1| |#2|) (-10 -8 (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 |#2|) (-706 |#1|)))) (-403 |#2|) (-1075)) (T -402)) 
-NIL 
-(-10 -8 (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 |#2|) (-706 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3945 (((-706 |#1|) (-706 $)) 35) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 34) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 38 (|has| |#1| (-654 (-592)))) (((-706 (-592)) (-706 $)) 37 (|has| |#1| (-654 (-592))))) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-403 |#1|) (-1311) (-1075)) (T -403)) 
-NIL 
-(-13 (-654 |t#1|) (-10 -7 (IF (|has| |t#1| (-654 (-592))) (-6 (-654 (-592))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2241 (((-658 (-310 (-980 (-191 |#1|)))) (-310 (-433 (-980 (-191 (-592))))) |#1|) 52) (((-658 (-310 (-980 (-191 |#1|)))) (-433 (-980 (-191 (-592)))) |#1|) 51) (((-658 (-658 (-310 (-980 (-191 |#1|))))) (-658 (-310 (-433 (-980 (-191 (-592)))))) |#1|) 47) (((-658 (-658 (-310 (-980 (-191 |#1|))))) (-658 (-433 (-980 (-191 (-592))))) |#1|) 40)) (-1666 (((-658 (-658 (-191 |#1|))) (-658 (-433 (-980 (-191 (-592))))) (-658 (-1191)) |#1|) 28) (((-658 (-191 |#1|)) (-433 (-980 (-191 (-592)))) |#1|) 15))) 
-(((-404 |#1|) (-10 -7 (-15 -2241 ((-658 (-658 (-310 (-980 (-191 |#1|))))) (-658 (-433 (-980 (-191 (-592))))) |#1|)) (-15 -2241 ((-658 (-658 (-310 (-980 (-191 |#1|))))) (-658 (-310 (-433 (-980 (-191 (-592)))))) |#1|)) (-15 -2241 ((-658 (-310 (-980 (-191 |#1|)))) (-433 (-980 (-191 (-592)))) |#1|)) (-15 -2241 ((-658 (-310 (-980 (-191 |#1|)))) (-310 (-433 (-980 (-191 (-592))))) |#1|)) (-15 -1666 ((-658 (-191 |#1|)) (-433 (-980 (-191 (-592)))) |#1|)) (-15 -1666 ((-658 (-658 (-191 |#1|))) (-658 (-433 (-980 (-191 (-592))))) (-658 (-1191)) |#1|))) (-13 (-388) (-867))) (T -404)) 
-((-1666 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-433 (-980 (-191 (-592)))))) (-5 *4 (-658 (-1191))) (-5 *2 (-658 (-658 (-191 *5)))) (-5 *1 (-404 *5)) (-4 *5 (-13 (-388) (-867))))) (-1666 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-191 (-592))))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) (-2241 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 (-191 (-592)))))) (-5 *2 (-658 (-310 (-980 (-191 *4))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) (-2241 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-191 (-592))))) (-5 *2 (-658 (-310 (-980 (-191 *4))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) (-2241 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-310 (-433 (-980 (-191 (-592))))))) (-5 *2 (-658 (-658 (-310 (-980 (-191 *4)))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) (-2241 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-191 (-592)))))) (-5 *2 (-658 (-658 (-310 (-980 (-191 *4)))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(-10 -7 (-15 -2241 ((-658 (-658 (-310 (-980 (-191 |#1|))))) (-658 (-433 (-980 (-191 (-592))))) |#1|)) (-15 -2241 ((-658 (-658 (-310 (-980 (-191 |#1|))))) (-658 (-310 (-433 (-980 (-191 (-592)))))) |#1|)) (-15 -2241 ((-658 (-310 (-980 (-191 |#1|)))) (-433 (-980 (-191 (-592)))) |#1|)) (-15 -2241 ((-658 (-310 (-980 (-191 |#1|)))) (-310 (-433 (-980 (-191 (-592))))) |#1|)) (-15 -1666 ((-658 (-191 |#1|)) (-433 (-980 (-191 (-592)))) |#1|)) (-15 -1666 ((-658 (-658 (-191 |#1|))) (-658 (-433 (-980 (-191 (-592))))) (-658 (-1191)) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 33)) (-1505 (((-592) $) 55)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2306 (($ $) 109)) (-1588 (($ $) 81)) (-1507 (($ $) 70)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1442 (($ $) 44)) (-3652 (((-141) $ $) NIL)) (-1575 (($ $) 79)) (-1495 (($ $) 68)) (-3940 (((-592) $) 63)) (-3651 (($ $ (-592)) 62)) (-1601 (($ $) NIL)) (-1521 (($ $) NIL)) (-3001 (($) NIL T CONST)) (-1755 (($ $) 111)) (-4368 (((-3 (-592) "failed") $) 187) (((-3 (-433 (-592)) "failed") $) 183)) (-2400 (((-592) $) 185) (((-433 (-592)) $) 181)) (-1586 (($ $ $) NIL)) (-1970 (((-592) $ $) 101)) (-3371 (((-3 $ "failed") $) 113)) (-2753 (((-433 (-592)) $ (-790)) 188) (((-433 (-592)) $ (-790) (-790)) 180)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-4047 (((-944)) 72) (((-944) (-944)) 97 (|has| $ (-6 -4616)))) (-1691 (((-141) $) 105)) (-1435 (($) 40)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL)) (-3354 (((-1285) (-790)) 150)) (-3110 (((-1285)) 155) (((-1285) (-790)) 156)) (-3753 (((-1285)) 157) (((-1285) (-790)) 158)) (-3624 (((-1285)) 153) (((-1285) (-790)) 154)) (-4346 (((-592) $) 58)) (-3558 (((-141) $) 103)) (-4422 (($ $ (-592)) NIL)) (-4398 (($ $) 48)) (-2793 (($ $) NIL)) (-1324 (((-141) $) 35)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL) (($) NIL (-12 (-3252 (|has| $ (-6 -4608))) (-3252 (|has| $ (-6 -4616)))))) (-3319 (($ $ $) NIL) (($) 98 (-12 (-3252 (|has| $ (-6 -4608))) (-3252 (|has| $ (-6 -4616)))))) (-2950 (((-592) $) 17)) (-1998 (($) 86) (($ $) 91)) (-4197 (($) 90) (($ $) 92)) (-4546 (($ $) 82)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 115)) (-1867 (((-944) (-592)) 43 (|has| $ (-6 -4616)))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) 53)) (-2039 (($ $) 108)) (-4540 (($ (-592) (-592)) 106) (($ (-592) (-592) (-944)) 107)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3215 (((-592) $) 19)) (-1667 (($) 93)) (-1430 (($ $) 78)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4406 (((-944)) 99) (((-944) (-944)) 100 (|has| $ (-6 -4616)))) (-3644 (($ $ (-790)) NIL) (($ $) 114)) (-1738 (((-944) (-592)) 47 (|has| $ (-6 -4616)))) (-1609 (($ $) NIL)) (-1527 (($ $) NIL)) (-1594 (($ $) NIL)) (-1515 (($ $) NIL)) (-1581 (($ $) 80)) (-1501 (($ $) 69)) (-1778 (((-405) $) 173) (((-237) $) 175) (((-914 (-405)) $) NIL) (((-1173) $) 160) (((-565) $) 171) (($ (-237)) 179)) (-1683 (((-877) $) 162) (($ (-592)) 184) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-592)) 184) (($ (-433 (-592))) NIL) (((-237) $) 176)) (-4010 (((-790)) NIL)) (-2744 (($ $) 110)) (-3671 (((-944)) 54) (((-944) (-944)) 65 (|has| $ (-6 -4616)))) (-4226 (((-944)) 102)) (-1630 (($ $) 85)) (-1546 (($ $) 46) (($ $ $) 52)) (-2537 (((-141) $ $) NIL)) (-1617 (($ $) 83)) (-1533 (($ $) 37)) (-1642 (($ $) NIL)) (-1559 (($ $) NIL)) (-2892 (($ $) NIL)) (-1567 (($ $) NIL)) (-1636 (($ $) NIL)) (-1552 (($ $) NIL)) (-1624 (($ $) 84)) (-1540 (($ $) 49)) (-1392 (($ $) 51)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 34 T CONST)) (-4257 (($) 38 T CONST)) (-1637 (((-1173) $) 27) (((-1173) $ (-141)) 29) (((-1285) (-844) $) 30) (((-1285) (-844) $ (-141)) 31)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 39)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 42)) (-3313 (($ $ $) 45) (($ $ (-592)) 41)) (-3306 (($ $) 36) (($ $ $) 50)) (-3300 (($ $ $) 61)) (** (($ $ (-944)) 66) (($ $ (-790)) NIL) (($ $ (-592)) 87) (($ $ (-433 (-592))) 124) (($ $ $) 116)) (* (($ (-944) $) 64) (($ (-790) $) NIL) (($ (-592) $) 67) (($ $ $) 60) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-405) (-13 (-430) (-247) (-633 (-1173)) (-850) (-632 (-237)) (-1211) (-633 (-565)) (-10 -8 (-15 -3313 ($ $ (-592))) (-15 ** ($ $ $)) (-15 -4398 ($ $)) (-15 -1970 ((-592) $ $)) (-15 -3651 ($ $ (-592))) (-15 -2753 ((-433 (-592)) $ (-790))) (-15 -2753 ((-433 (-592)) $ (-790) (-790))) (-15 -1998 ($)) (-15 -4197 ($)) (-15 -1667 ($)) (-15 -1546 ($ $ $)) (-15 -1998 ($ $)) (-15 -4197 ($ $)) (-15 -1778 ($ (-237))) (-15 -3753 ((-1285))) (-15 -3753 ((-1285) (-790))) (-15 -3624 ((-1285))) (-15 -3624 ((-1285) (-790))) (-15 -3110 ((-1285))) (-15 -3110 ((-1285) (-790))) (-15 -3354 ((-1285) (-790))) (-6 -4616) (-6 -4608)))) (T -405)) 
-((** (*1 *1 *1 *1) (-5 *1 (-405))) (-3313 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-405)))) (-4398 (*1 *1 *1) (-5 *1 (-405))) (-1970 (*1 *2 *1 *1) (-12 (-5 *2 (-592)) (-5 *1 (-405)))) (-3651 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-405)))) (-2753 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-405)))) (-2753 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-405)))) (-1998 (*1 *1) (-5 *1 (-405))) (-4197 (*1 *1) (-5 *1 (-405))) (-1667 (*1 *1) (-5 *1 (-405))) (-1546 (*1 *1 *1 *1) (-5 *1 (-405))) (-1998 (*1 *1 *1) (-5 *1 (-405))) (-4197 (*1 *1 *1) (-5 *1 (-405))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-405)))) (-3753 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-405)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405)))) (-3624 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-405)))) (-3624 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405)))) (-3110 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-405)))) (-3110 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405)))) (-3354 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405))))) 
-(-13 (-430) (-247) (-633 (-1173)) (-850) (-632 (-237)) (-1211) (-633 (-565)) (-10 -8 (-15 -3313 ($ $ (-592))) (-15 ** ($ $ $)) (-15 -4398 ($ $)) (-15 -1970 ((-592) $ $)) (-15 -3651 ($ $ (-592))) (-15 -2753 ((-433 (-592)) $ (-790))) (-15 -2753 ((-433 (-592)) $ (-790) (-790))) (-15 -1998 ($)) (-15 -4197 ($)) (-15 -1667 ($)) (-15 -1546 ($ $ $)) (-15 -1998 ($ $)) (-15 -4197 ($ $)) (-15 -1778 ($ (-237))) (-15 -3753 ((-1285))) (-15 -3753 ((-1285) (-790))) (-15 -3624 ((-1285))) (-15 -3624 ((-1285) (-790))) (-15 -3110 ((-1285))) (-15 -3110 ((-1285) (-790))) (-15 -3354 ((-1285) (-790))) (-6 -4616) (-6 -4608))) 
-((-4005 (((-658 (-310 (-980 |#1|))) (-310 (-433 (-980 (-592)))) |#1|) 47) (((-658 (-310 (-980 |#1|))) (-433 (-980 (-592))) |#1|) 46) (((-658 (-658 (-310 (-980 |#1|)))) (-658 (-310 (-433 (-980 (-592))))) |#1|) 42) (((-658 (-658 (-310 (-980 |#1|)))) (-658 (-433 (-980 (-592)))) |#1|) 36)) (-3642 (((-658 |#1|) (-433 (-980 (-592))) |#1|) 19) (((-658 (-658 |#1|)) (-658 (-433 (-980 (-592)))) (-658 (-1191)) |#1|) 31))) 
-(((-406 |#1|) (-10 -7 (-15 -4005 ((-658 (-658 (-310 (-980 |#1|)))) (-658 (-433 (-980 (-592)))) |#1|)) (-15 -4005 ((-658 (-658 (-310 (-980 |#1|)))) (-658 (-310 (-433 (-980 (-592))))) |#1|)) (-15 -4005 ((-658 (-310 (-980 |#1|))) (-433 (-980 (-592))) |#1|)) (-15 -4005 ((-658 (-310 (-980 |#1|))) (-310 (-433 (-980 (-592)))) |#1|)) (-15 -3642 ((-658 (-658 |#1|)) (-658 (-433 (-980 (-592)))) (-658 (-1191)) |#1|)) (-15 -3642 ((-658 |#1|) (-433 (-980 (-592))) |#1|))) (-13 (-867) (-388))) (T -406)) 
-((-3642 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-592)))) (-5 *2 (-658 *4)) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) (-3642 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-1191))) (-5 *2 (-658 (-658 *5))) (-5 *1 (-406 *5)) (-4 *5 (-13 (-867) (-388))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 (-592))))) (-5 *2 (-658 (-310 (-980 *4)))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-592)))) (-5 *2 (-658 (-310 (-980 *4)))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-310 (-433 (-980 (-592)))))) (-5 *2 (-658 (-658 (-310 (-980 *4))))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-658 (-310 (-980 *4))))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388)))))) 
-(-10 -7 (-15 -4005 ((-658 (-658 (-310 (-980 |#1|)))) (-658 (-433 (-980 (-592)))) |#1|)) (-15 -4005 ((-658 (-658 (-310 (-980 |#1|)))) (-658 (-310 (-433 (-980 (-592))))) |#1|)) (-15 -4005 ((-658 (-310 (-980 |#1|))) (-433 (-980 (-592))) |#1|)) (-15 -4005 ((-658 (-310 (-980 |#1|))) (-310 (-433 (-980 (-592)))) |#1|)) (-15 -3642 ((-658 (-658 |#1|)) (-658 (-433 (-980 (-592)))) (-658 (-1191)) |#1|)) (-15 -3642 ((-658 |#1|) (-433 (-980 (-592))) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) 25)) (-2400 ((|#2| $) 27)) (-4593 (($ $) NIL)) (-4036 (((-790) $) 10)) (-3108 (((-658 $) $) 20)) (-2027 (((-141) $) NIL)) (-1493 (($ |#2| |#1|) 18)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3725 (((-658 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-2992 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-4573 ((|#2| $) 15)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 43) (($ |#2|) 26)) (-1647 (((-658 |#1|) $) 17)) (-1937 ((|#1| $ |#2|) 45)) (-3514 (($) 28 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
-(((-407 |#1| |#2|) (-13 (-408 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1075) (-869)) (T -407)) 
-((* (*1 *1 *2 *3) (-12 (-5 *1 (-407 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-869))))) 
-(-13 (-408 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#2| "failed") $) 41)) (-2400 ((|#2| $) 40)) (-4593 (($ $) 27)) (-4036 (((-790) $) 31)) (-3108 (((-658 $) $) 32)) (-2027 (((-141) $) 35)) (-1493 (($ |#2| |#1|) 36)) (-2731 (($ (-1 |#1| |#1|) $) 37)) (-3725 (((-658 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-2992 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-4573 ((|#2| $) 30)) (-4579 ((|#1| $) 29)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ |#2|) 42)) (-1647 (((-658 |#1|) $) 33)) (-1937 ((|#1| $ |#2|) 38)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
-(((-408 |#1| |#2|) (-1311) (-1075) (-1119)) (T -408)) 
-((* (*1 *1 *2 *3) (-12 (-4 *1 (-408 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-1119)))) (-1937 (*1 *2 *1 *3) (-12 (-4 *1 (-408 *2 *3)) (-4 *3 (-1119)) (-4 *2 (-1075)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)))) (-1493 (*1 *1 *2 *3) (-12 (-4 *1 (-408 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1119)))) (-2027 (*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-141)))) (-3725 (*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-658 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-1647 (*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-658 *3)))) (-3108 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-658 *1)) (-4 *1 (-408 *3 *4)))) (-4036 (*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-790)))) (-4573 (*1 *2 *1) (-12 (-4 *1 (-408 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1119)))) (-4579 (*1 *2 *1) (-12 (-4 *1 (-408 *2 *3)) (-4 *3 (-1119)) (-4 *2 (-1075)))) (-2992 (*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-4593 (*1 *1 *1) (-12 (-4 *1 (-408 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-1119))))) 
-(-13 (-140 |t#1| |t#1|) (-1065 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -1937 (|t#1| $ |t#2|)) (-15 -2731 ($ (-1 |t#1| |t#1|) $)) (-15 -1493 ($ |t#2| |t#1|)) (-15 -2027 ((-141) $)) (-15 -3725 ((-658 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -1647 ((-658 |t#1|) $)) (-15 -3108 ((-658 $) $)) (-15 -4036 ((-790) $)) (-15 -4573 (|t#2| $)) (-15 -4579 (|t#1| $)) (-15 -2992 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -4593 ($ $)) (IF (|has| |t#1| (-194)) (-6 (-734 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-734 |#1|) |has| |#1| (-194)) ((-1065 |#2|) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-3592 (((-1285) $) 7)) (-1683 (((-877) $) 8) (($ (-706 (-715))) 12) (($ (-658 (-350))) 11) (($ (-350)) 10) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 9))) 
-(((-409) (-1311)) (T -409)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-706 (-715))) (-4 *1 (-409)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-409)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-409)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-409))))) 
-(-13 (-421) (-10 -8 (-15 -1683 ($ (-706 (-715)))) (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-350))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))))) 
-(((-632 (-877)) . T) ((-421) . T) ((-1225) . T)) 
-((-4368 (((-3 $ "failed") (-706 (-332 (-405)))) 19) (((-3 $ "failed") (-706 (-332 (-592)))) 17) (((-3 $ "failed") (-706 (-980 (-405)))) 15) (((-3 $ "failed") (-706 (-980 (-592)))) 13) (((-3 $ "failed") (-706 (-433 (-980 (-405))))) 11) (((-3 $ "failed") (-706 (-433 (-980 (-592))))) 9)) (-2400 (($ (-706 (-332 (-405)))) 20) (($ (-706 (-332 (-592)))) 18) (($ (-706 (-980 (-405)))) 16) (($ (-706 (-980 (-592)))) 14) (($ (-706 (-433 (-980 (-405))))) 12) (($ (-706 (-433 (-980 (-592))))) 10)) (-3592 (((-1285) $) 7)) (-1683 (((-877) $) 8) (($ (-658 (-350))) 23) (($ (-350)) 22) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 21))) 
-(((-410) (-1311)) (T -410)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-410)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-410)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-410)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-706 (-332 (-405)))) (-4 *1 (-410)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-332 (-405)))) (-4 *1 (-410)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-706 (-332 (-592)))) (-4 *1 (-410)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-332 (-592)))) (-4 *1 (-410)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-706 (-980 (-405)))) (-4 *1 (-410)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-980 (-405)))) (-4 *1 (-410)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-706 (-980 (-592)))) (-4 *1 (-410)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-980 (-592)))) (-4 *1 (-410)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-706 (-433 (-980 (-405))))) (-4 *1 (-410)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-433 (-980 (-405))))) (-4 *1 (-410)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-706 (-433 (-980 (-592))))) (-4 *1 (-410)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-433 (-980 (-592))))) (-4 *1 (-410))))) 
-(-13 (-421) (-10 -8 (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-350))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))) (-15 -2400 ($ (-706 (-332 (-405))))) (-15 -4368 ((-3 $ "failed") (-706 (-332 (-405))))) (-15 -2400 ($ (-706 (-332 (-592))))) (-15 -4368 ((-3 $ "failed") (-706 (-332 (-592))))) (-15 -2400 ($ (-706 (-980 (-405))))) (-15 -4368 ((-3 $ "failed") (-706 (-980 (-405))))) (-15 -2400 ($ (-706 (-980 (-592))))) (-15 -4368 ((-3 $ "failed") (-706 (-980 (-592))))) (-15 -2400 ($ (-706 (-433 (-980 (-405)))))) (-15 -4368 ((-3 $ "failed") (-706 (-433 (-980 (-405)))))) (-15 -2400 ($ (-706 (-433 (-980 (-592)))))) (-15 -4368 ((-3 $ "failed") (-706 (-433 (-980 (-592)))))))) 
-(((-632 (-877)) . T) ((-421) . T) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-4526 (($ |#1| |#2|) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2183 ((|#2| $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 27)) (-3514 (($) 12 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
-(((-411 |#1| |#2|) (-13 (-140 |#1| |#1|) (-542 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-194)) (-6 (-734 |#1|)) |noBranch|))) (-1075) (-869)) (T -411)) 
-NIL 
-(-13 (-140 |#1| |#1|) (-542 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-194)) (-6 (-734 |#1|)) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-1403 (((-790) $) 56)) (-3001 (($) NIL T CONST)) (-3305 (((-3 $ "failed") $ $) 58)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3949 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-3558 (((-141) $) 14)) (-4449 ((|#1| $ (-592)) NIL)) (-3888 (((-790) $ (-592)) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3401 (($ (-1 |#1| |#1|) $) 37)) (-3970 (($ (-1 (-790) (-790)) $) 34)) (-2141 (((-3 $ "failed") $ $) 49)) (-2685 (((-1173) $) NIL)) (-4403 (($ $ $) 25)) (-4041 (($ $ $) 23)) (-2951 (((-1137) $) NIL)) (-2033 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $) 31)) (-4570 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-1683 (((-877) $) 21) (($ |#1|) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-4257 (($) 9 T CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 41)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) 60 (|has| |#1| (-869)))) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ |#1| (-790)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
-(((-412 |#1|) (-13 (-743) (-1065 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-790))) (-15 -4041 ($ $ $)) (-15 -4403 ($ $ $)) (-15 -2141 ((-3 $ "failed") $ $)) (-15 -3305 ((-3 $ "failed") $ $)) (-15 -4570 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3949 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -1403 ((-790) $)) (-15 -2033 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $)) (-15 -3888 ((-790) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -3970 ($ (-1 (-790) (-790)) $)) (-15 -3401 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-869)) (-6 (-869)) |noBranch|))) (-1119)) (T -412)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (-4041 (*1 *1 *1 *1) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (-4403 (*1 *1 *1 *1) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (-2141 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (-3305 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (-4570 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-412 *3)) (|:| |rm| (-412 *3)))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) (-3949 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-412 *3)) (|:| |mm| (-412 *3)) (|:| |rm| (-412 *3)))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) (-1403 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) (-2033 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 (-790))))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) (-3888 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-790)) (-5 *1 (-412 *4)) (-4 *4 (-1119)))) (-4449 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-412 *2)) (-4 *2 (-1119)))) (-3970 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-790) (-790))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) (-3401 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-412 *3))))) 
-(-13 (-743) (-1065 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-790))) (-15 -4041 ($ $ $)) (-15 -4403 ($ $ $)) (-15 -2141 ((-3 $ "failed") $ $)) (-15 -3305 ((-3 $ "failed") $ $)) (-15 -4570 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3949 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -1403 ((-790) $)) (-15 -2033 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $)) (-15 -3888 ((-790) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -3970 ($ (-1 (-790) (-790)) $)) (-15 -3401 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-869)) (-6 (-869)) |noBranch|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 46)) (-2400 (((-592) $) 45)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-1837 (($ $ $) 53)) (-3319 (($ $ $) 52)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ $) 41)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-592)) 47)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 50)) (-3273 (((-141) $ $) 49)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 51)) (-3266 (((-141) $ $) 48)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-413) (-1311)) (T -413)) 
-NIL 
-(-13 (-582) (-869) (-1065 (-592))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-582) . T) ((-661 $) . T) ((-734 $) . T) ((-743) . T) ((-869) . T) ((-1065 (-592)) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-1904 (((-141) $) 20)) (-1400 (((-141) $) 19)) (-3242 (($ (-1173) (-1173) (-1173)) 21)) (-4095 (((-1173) $) 16)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3579 (($ (-1173) (-1173) (-1173)) 14)) (-2720 (((-1173) $) 17)) (-1390 (((-141) $) 18)) (-4082 (((-1173) $) 15)) (-1683 (((-877) $) 12) (($ (-1173)) 13) (((-1173) $) 9)) (-3255 (((-141) $ $) 7))) 
-(((-414) (-415)) (T -414)) 
-NIL 
-(-415) 
-((-1641 (((-141) $ $) 7)) (-1904 (((-141) $) 13)) (-1400 (((-141) $) 14)) (-3242 (($ (-1173) (-1173) (-1173)) 12)) (-4095 (((-1173) $) 17)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3579 (($ (-1173) (-1173) (-1173)) 19)) (-2720 (((-1173) $) 16)) (-1390 (((-141) $) 15)) (-4082 (((-1173) $) 18)) (-1683 (((-877) $) 11) (($ (-1173)) 21) (((-1173) $) 20)) (-3255 (((-141) $ $) 6))) 
-(((-415) (-1311)) (T -415)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-415)))) (-1683 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173)))) (-3579 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-415)))) (-4082 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173)))) (-4095 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173)))) (-2720 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173)))) (-1390 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-141)))) (-1400 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-141)))) (-1904 (*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-141)))) (-3242 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-415))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-1173))) (-15 -1683 ((-1173) $)) (-15 -3579 ($ (-1173) (-1173) (-1173))) (-15 -4082 ((-1173) $)) (-15 -4095 ((-1173) $)) (-15 -2720 ((-1173) $)) (-15 -1390 ((-141) $)) (-15 -1400 ((-141) $)) (-15 -1904 ((-141) $)) (-15 -3242 ($ (-1173) (-1173) (-1173))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4075 (((-877) $) 50)) (-3001 (($) NIL T CONST)) (-2111 (($ $ (-944)) NIL)) (-1833 (($ $ (-944)) NIL)) (-2682 (($ $ (-944)) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2934 (($ (-790)) 26)) (-1936 (((-790)) 15)) (-2391 (((-877) $) 52)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) NIL)) (-3667 (($ $ $ $) NIL)) (-2844 (($ $ $) NIL)) (-3514 (($) 20 T CONST)) (-3255 (((-141) $ $) 28)) (-3306 (($ $) 34) (($ $ $) 36)) (-3300 (($ $ $) 37)) (** (($ $ (-944)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
-(((-416 |#1| |#2| |#3|) (-13 (-763 |#3|) (-10 -8 (-15 -1936 ((-790))) (-15 -2391 ((-877) $)) (-15 -4075 ((-877) $)) (-15 -2934 ($ (-790))))) (-790) (-790) (-194)) (T -416)) 
-((-1936 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-194)))) (-2391 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790)) (-4 *5 (-194)))) (-4075 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790)) (-4 *5 (-194)))) (-2934 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-194))))) 
-(-13 (-763 |#3|) (-10 -8 (-15 -1936 ((-790))) (-15 -2391 ((-877) $)) (-15 -4075 ((-877) $)) (-15 -2934 ($ (-790))))) 
-((-2700 (((-1173)) 10)) (-3127 (((-1161 (-1173))) 28)) (-3572 (((-1285) (-1173)) 25) (((-1285) (-414)) 24)) (-3585 (((-1285)) 26)) (-3982 (((-1161 (-1173))) 27))) 
-(((-417) (-10 -7 (-15 -3982 ((-1161 (-1173)))) (-15 -3127 ((-1161 (-1173)))) (-15 -3585 ((-1285))) (-15 -3572 ((-1285) (-414))) (-15 -3572 ((-1285) (-1173))) (-15 -2700 ((-1173))))) (T -417)) 
-((-2700 (*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-417)))) (-3572 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-417)))) (-3572 (*1 *2 *3) (-12 (-5 *3 (-414)) (-5 *2 (-1285)) (-5 *1 (-417)))) (-3585 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-417)))) (-3127 (*1 *2) (-12 (-5 *2 (-1161 (-1173))) (-5 *1 (-417)))) (-3982 (*1 *2) (-12 (-5 *2 (-1161 (-1173))) (-5 *1 (-417))))) 
-(-10 -7 (-15 -3982 ((-1161 (-1173)))) (-15 -3127 ((-1161 (-1173)))) (-15 -3585 ((-1285))) (-15 -3572 ((-1285) (-414))) (-15 -3572 ((-1285) (-1173))) (-15 -2700 ((-1173)))) 
-((-4346 (((-790) (-356 |#1| |#2| |#3| |#4|)) 16))) 
-(((-418 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4346 ((-790) (-356 |#1| |#2| |#3| |#4|)))) (-13 (-394) (-388)) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|)) (T -418)) 
-((-4346 (*1 *2 *3) (-12 (-5 *3 (-356 *4 *5 *6 *7)) (-4 *4 (-13 (-394) (-388))) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-4 *7 (-362 *4 *5 *6)) (-5 *2 (-790)) (-5 *1 (-418 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -4346 ((-790) (-356 |#1| |#2| |#3| |#4|)))) 
-((-1683 (((-420) |#1|) 11))) 
-(((-419 |#1|) (-10 -7 (-15 -1683 ((-420) |#1|))) (-1119)) (T -419)) 
-((-1683 (*1 *2 *3) (-12 (-5 *2 (-420)) (-5 *1 (-419 *3)) (-4 *3 (-1119))))) 
-(-10 -7 (-15 -1683 ((-420) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2255 (((-658 (-1173)) $ (-658 (-1173))) 37)) (-4590 (((-658 (-1173)) $ (-658 (-1173))) 38)) (-1458 (((-658 (-1173)) $ (-658 (-1173))) 39)) (-3749 (((-658 (-1173)) $) 34)) (-3242 (($) 23)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1782 (((-658 (-1173)) $) 35)) (-4240 (((-658 (-1173)) $) 36)) (-3536 (((-1285) $ (-592)) 32) (((-1285) $) 33)) (-1778 (($ (-877) (-592)) 29)) (-1683 (((-877) $) 41) (($ (-877)) 25)) (-3255 (((-141) $ $) NIL))) 
-(((-420) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-877))) (-15 -1778 ($ (-877) (-592))) (-15 -3536 ((-1285) $ (-592))) (-15 -3536 ((-1285) $)) (-15 -4240 ((-658 (-1173)) $)) (-15 -1782 ((-658 (-1173)) $)) (-15 -3242 ($)) (-15 -3749 ((-658 (-1173)) $)) (-15 -1458 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -4590 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -2255 ((-658 (-1173)) $ (-658 (-1173))))))) (T -420)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-420)))) (-1778 (*1 *1 *2 *3) (-12 (-5 *2 (-877)) (-5 *3 (-592)) (-5 *1 (-420)))) (-3536 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-420)))) (-3536 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-420)))) (-4240 (*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) (-1782 (*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) (-3242 (*1 *1) (-5 *1 (-420))) (-3749 (*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) (-1458 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) (-4590 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) (-2255 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-877))) (-15 -1778 ($ (-877) (-592))) (-15 -3536 ((-1285) $ (-592))) (-15 -3536 ((-1285) $)) (-15 -4240 ((-658 (-1173)) $)) (-15 -1782 ((-658 (-1173)) $)) (-15 -3242 ($)) (-15 -3749 ((-658 (-1173)) $)) (-15 -1458 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -4590 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -2255 ((-658 (-1173)) $ (-658 (-1173)))))) 
-((-3592 (((-1285) $) 7)) (-1683 (((-877) $) 8))) 
-(((-421) (-1311)) (T -421)) 
-((-3592 (*1 *2 *1) (-12 (-4 *1 (-421)) (-5 *2 (-1285))))) 
-(-13 (-1225) (-632 (-877)) (-10 -8 (-15 -3592 ((-1285) $)))) 
-(((-632 (-877)) . T) ((-1225) . T)) 
-((-4368 (((-3 $ "failed") (-332 (-405))) 19) (((-3 $ "failed") (-332 (-592))) 17) (((-3 $ "failed") (-980 (-405))) 15) (((-3 $ "failed") (-980 (-592))) 13) (((-3 $ "failed") (-433 (-980 (-405)))) 11) (((-3 $ "failed") (-433 (-980 (-592)))) 9)) (-2400 (($ (-332 (-405))) 20) (($ (-332 (-592))) 18) (($ (-980 (-405))) 16) (($ (-980 (-592))) 14) (($ (-433 (-980 (-405)))) 12) (($ (-433 (-980 (-592)))) 10)) (-3592 (((-1285) $) 7)) (-1683 (((-877) $) 8) (($ (-658 (-350))) 23) (($ (-350)) 22) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 21))) 
-(((-422) (-1311)) (T -422)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-422)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-422)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-422)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-4 *1 (-422)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-405))) (-4 *1 (-422)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-4 *1 (-422)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-592))) (-4 *1 (-422)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-980 (-405))) (-4 *1 (-422)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-405))) (-4 *1 (-422)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-422)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-592))) (-4 *1 (-422)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-405)))) (-4 *1 (-422)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-405)))) (-4 *1 (-422)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-592)))) (-4 *1 (-422)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-592)))) (-4 *1 (-422))))) 
-(-13 (-421) (-10 -8 (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-350))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))) (-15 -2400 ($ (-332 (-405)))) (-15 -4368 ((-3 $ "failed") (-332 (-405)))) (-15 -2400 ($ (-332 (-592)))) (-15 -4368 ((-3 $ "failed") (-332 (-592)))) (-15 -2400 ($ (-980 (-405)))) (-15 -4368 ((-3 $ "failed") (-980 (-405)))) (-15 -2400 ($ (-980 (-592)))) (-15 -4368 ((-3 $ "failed") (-980 (-592)))) (-15 -2400 ($ (-433 (-980 (-405))))) (-15 -4368 ((-3 $ "failed") (-433 (-980 (-405))))) (-15 -2400 ($ (-433 (-980 (-592))))) (-15 -4368 ((-3 $ "failed") (-433 (-980 (-592))))))) 
-(((-632 (-877)) . T) ((-421) . T) ((-1225) . T)) 
-((-1899 (((-658 (-1173)) (-658 (-1173))) 8)) (-3592 (((-1285) (-414)) 27)) (-3385 (((-1123) (-1191) (-658 (-1191)) (-1194) (-658 (-1191))) 59) (((-1123) (-1191) (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191)))) (-658 (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191))))) (-658 (-1191)) (-1191)) 35) (((-1123) (-1191) (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191)))) (-658 (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191))))) (-658 (-1191))) 34))) 
-(((-423) (-10 -7 (-15 -3385 ((-1123) (-1191) (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191)))) (-658 (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191))))) (-658 (-1191)))) (-15 -3385 ((-1123) (-1191) (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191)))) (-658 (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191))))) (-658 (-1191)) (-1191))) (-15 -3385 ((-1123) (-1191) (-658 (-1191)) (-1194) (-658 (-1191)))) (-15 -3592 ((-1285) (-414))) (-15 -1899 ((-658 (-1173)) (-658 (-1173)))))) (T -423)) 
-((-1899 (*1 *2 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-423)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-414)) (-5 *2 (-1285)) (-5 *1 (-423)))) (-3385 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-658 (-1191))) (-5 *5 (-1194)) (-5 *3 (-1191)) (-5 *2 (-1123)) (-5 *1 (-423)))) (-3385 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-658 (-658 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-658 (-3 (|:| |array| (-658 *3)) (|:| |scalar| (-1191))))) (-5 *6 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1123)) (-5 *1 (-423)))) (-3385 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-658 (-658 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-658 (-3 (|:| |array| (-658 *3)) (|:| |scalar| (-1191))))) (-5 *6 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1123)) (-5 *1 (-423))))) 
-(-10 -7 (-15 -3385 ((-1123) (-1191) (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191)))) (-658 (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191))))) (-658 (-1191)))) (-15 -3385 ((-1123) (-1191) (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191)))) (-658 (-658 (-3 (|:| |array| (-658 (-1191))) (|:| |scalar| (-1191))))) (-658 (-1191)) (-1191))) (-15 -3385 ((-1123) (-1191) (-658 (-1191)) (-1194) (-658 (-1191)))) (-15 -3592 ((-1285) (-414))) (-15 -1899 ((-658 (-1173)) (-658 (-1173))))) 
-((-3592 (((-1285) $) 37)) (-1683 (((-877) $) 89) (($ (-350)) 92) (($ (-658 (-350))) 91) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 88) (($ (-332 (-717))) 52) (($ (-332 (-715))) 66) (($ (-332 (-710))) 78) (($ (-310 (-332 (-717)))) 62) (($ (-310 (-332 (-715)))) 74) (($ (-310 (-332 (-710)))) 86) (($ (-332 (-592))) 96) (($ (-332 (-405))) 108) (($ (-332 (-191 (-405)))) 120) (($ (-310 (-332 (-592)))) 104) (($ (-310 (-332 (-405)))) 116) (($ (-310 (-332 (-191 (-405))))) 128))) 
-(((-424 |#1| |#2| |#3| |#4|) (-13 (-421) (-10 -8 (-15 -1683 ($ (-350))) (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))) (-15 -1683 ($ (-332 (-717)))) (-15 -1683 ($ (-332 (-715)))) (-15 -1683 ($ (-332 (-710)))) (-15 -1683 ($ (-310 (-332 (-717))))) (-15 -1683 ($ (-310 (-332 (-715))))) (-15 -1683 ($ (-310 (-332 (-710))))) (-15 -1683 ($ (-332 (-592)))) (-15 -1683 ($ (-332 (-405)))) (-15 -1683 ($ (-332 (-191 (-405))))) (-15 -1683 ($ (-310 (-332 (-592))))) (-15 -1683 ($ (-310 (-332 (-405))))) (-15 -1683 ($ (-310 (-332 (-191 (-405)))))))) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-1191)) (-1195)) (T -424)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-350)) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-332 (-717))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-332 (-715))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-332 (-710))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-717)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-715)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-710)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-332 (-191 (-405)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-592)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-405)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-191 (-405))))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195))))) 
-(-13 (-421) (-10 -8 (-15 -1683 ($ (-350))) (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))) (-15 -1683 ($ (-332 (-717)))) (-15 -1683 ($ (-332 (-715)))) (-15 -1683 ($ (-332 (-710)))) (-15 -1683 ($ (-310 (-332 (-717))))) (-15 -1683 ($ (-310 (-332 (-715))))) (-15 -1683 ($ (-310 (-332 (-710))))) (-15 -1683 ($ (-332 (-592)))) (-15 -1683 ($ (-332 (-405)))) (-15 -1683 ($ (-332 (-191 (-405))))) (-15 -1683 ($ (-310 (-332 (-592))))) (-15 -1683 ($ (-310 (-332 (-405))))) (-15 -1683 ($ (-310 (-332 (-191 (-405)))))))) 
-((-1641 (((-141) $ $) NIL)) (-4104 ((|#2| $) 36)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4597 (($ (-433 |#2|)) 84)) (-4134 (((-658 (-2 (|:| -3215 (-790)) (|:| -2838 |#2|) (|:| |num| |#2|))) $) 37)) (-3644 (($ $) 32) (($ $ (-790)) 34)) (-1778 (((-433 |#2|) $) 46)) (-4466 (($ (-658 (-2 (|:| -3215 (-790)) (|:| -2838 |#2|) (|:| |num| |#2|)))) 31)) (-1683 (((-877) $) 120)) (-1940 (($ $) 33) (($ $ (-790)) 35)) (-3255 (((-141) $ $) NIL)) (-3300 (($ |#2| $) 39))) 
-(((-425 |#1| |#2|) (-13 (-1119) (-633 (-433 |#2|)) (-10 -8 (-15 -3300 ($ |#2| $)) (-15 -4597 ($ (-433 |#2|))) (-15 -4104 (|#2| $)) (-15 -4134 ((-658 (-2 (|:| -3215 (-790)) (|:| -2838 |#2|) (|:| |num| |#2|))) $)) (-15 -4466 ($ (-658 (-2 (|:| -3215 (-790)) (|:| -2838 |#2|) (|:| |num| |#2|))))) (-15 -3644 ($ $)) (-15 -1940 ($ $)) (-15 -3644 ($ $ (-790))) (-15 -1940 ($ $ (-790))))) (-13 (-388) (-171)) (-1255 |#1|)) (T -425)) 
-((-3300 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *2)) (-4 *2 (-1255 *3)))) (-4597 (*1 *1 *2) (-12 (-5 *2 (-433 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)))) (-4104 (*1 *2 *1) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-425 *3 *2)) (-4 *3 (-13 (-388) (-171))))) (-4134 (*1 *2 *1) (-12 (-4 *3 (-13 (-388) (-171))) (-5 *2 (-658 (-2 (|:| -3215 (-790)) (|:| -2838 *4) (|:| |num| *4)))) (-5 *1 (-425 *3 *4)) (-4 *4 (-1255 *3)))) (-4466 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -3215 (-790)) (|:| -2838 *4) (|:| |num| *4)))) (-4 *4 (-1255 *3)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)))) (-3644 (*1 *1 *1) (-12 (-4 *2 (-13 (-388) (-171))) (-5 *1 (-425 *2 *3)) (-4 *3 (-1255 *2)))) (-1940 (*1 *1 *1) (-12 (-4 *2 (-13 (-388) (-171))) (-5 *1 (-425 *2 *3)) (-4 *3 (-1255 *2)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)) (-4 *4 (-1255 *3)))) (-1940 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)) (-4 *4 (-1255 *3))))) 
-(-13 (-1119) (-633 (-433 |#2|)) (-10 -8 (-15 -3300 ($ |#2| $)) (-15 -4597 ($ (-433 |#2|))) (-15 -4104 (|#2| $)) (-15 -4134 ((-658 (-2 (|:| -3215 (-790)) (|:| -2838 |#2|) (|:| |num| |#2|))) $)) (-15 -4466 ($ (-658 (-2 (|:| -3215 (-790)) (|:| -2838 |#2|) (|:| |num| |#2|))))) (-15 -3644 ($ $)) (-15 -1940 ($ $)) (-15 -3644 ($ $ (-790))) (-15 -1940 ($ $ (-790))))) 
-((-1641 (((-141) $ $) 9 (-3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))))) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 15 (|has| |#1| (-908 (-405)))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 14 (|has| |#1| (-908 (-592))))) (-2685 (((-1173) $) 13 (-3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))))) (-2951 (((-1137) $) 12 (-3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))))) (-1683 (((-877) $) 11 (-3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))))) (-3255 (((-141) $ $) 10 (-3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405))))))) 
-(((-426 |#1|) (-1311) (-1225)) (T -426)) 
-NIL 
-(-13 (-1225) (-10 -7 (IF (|has| |t#1| (-908 (-592))) (-6 (-908 (-592))) |noBranch|) (IF (|has| |t#1| (-908 (-405))) (-6 (-908 (-405))) |noBranch|))) 
-(((-125) -3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))) ((-632 (-877)) -3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))) ((-908 (-405)) |has| |#1| (-908 (-405))) ((-908 (-592)) |has| |#1| (-908 (-592))) ((-1119) -3836 (|has| |#1| (-908 (-592))) (|has| |#1| (-908 (-405)))) ((-1225) . T)) 
-((-1525 (($ $) 10) (($ $ (-790)) 11))) 
-(((-427 |#1|) (-10 -8 (-15 -1525 (|#1| |#1| (-790))) (-15 -1525 (|#1| |#1|))) (-428)) (T -427)) 
-NIL 
-(-10 -8 (-15 -1525 (|#1| |#1| (-790))) (-15 -1525 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-1525 (($ $) 75) (($ $ (-790)) 74)) (-2802 (((-141) $) 69)) (-4346 (((-855 (-944)) $) 77)) (-3558 (((-141) $) 30)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-2177 (((-3 (-790) "failed") $ $) 76)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63)) (-1517 (((-3 $ "failed") $) 78)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-428) (-1311)) (T -428)) 
-((-4346 (*1 *2 *1) (-12 (-4 *1 (-428)) (-5 *2 (-855 (-944))))) (-2177 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-428)) (-5 *2 (-790)))) (-1525 (*1 *1 *1) (-4 *1 (-428))) (-1525 (*1 *1 *1 *2) (-12 (-4 *1 (-428)) (-5 *2 (-790))))) 
-(-13 (-388) (-169) (-10 -8 (-15 -4346 ((-855 (-944)) $)) (-15 -2177 ((-3 (-790) "failed") $ $)) (-15 -1525 ($ $)) (-15 -1525 ($ $ (-790))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-169) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-4540 (($ (-592) (-592)) 11) (($ (-592) (-592) (-944)) NIL)) (-4406 (((-944)) 16) (((-944) (-944)) NIL))) 
-(((-429 |#1|) (-10 -8 (-15 -4406 ((-944) (-944))) (-15 -4406 ((-944))) (-15 -4540 (|#1| (-592) (-592) (-944))) (-15 -4540 (|#1| (-592) (-592)))) (-430)) (T -429)) 
-((-4406 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-429 *3)) (-4 *3 (-430)))) (-4406 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-429 *3)) (-4 *3 (-430))))) 
-(-10 -8 (-15 -4406 ((-944) (-944))) (-15 -4406 ((-944))) (-15 -4540 (|#1| (-592) (-592) (-944))) (-15 -4540 (|#1| (-592) (-592)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1505 (((-592) $) 85)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2306 (($ $) 83)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-1442 (($ $) 93)) (-3652 (((-141) $ $) 57)) (-3940 (((-592) $) 110)) (-3001 (($) 16 T CONST)) (-1755 (($ $) 82)) (-4368 (((-3 (-592) "failed") $) 98) (((-3 (-433 (-592)) "failed") $) 95)) (-2400 (((-592) $) 97) (((-433 (-592)) $) 94)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2802 (((-141) $) 69)) (-4047 (((-944)) 119) (((-944) (-944)) 116 (|has| $ (-6 -4616)))) (-1691 (((-141) $) 108)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 89)) (-4346 (((-592) $) 125)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 92)) (-2793 (($ $) 88)) (-1324 (((-141) $) 109)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-1837 (($ $ $) 107) (($) 113 (-12 (-3252 (|has| $ (-6 -4616))) (-3252 (|has| $ (-6 -4608)))))) (-3319 (($ $ $) 106) (($) 112 (-12 (-3252 (|has| $ (-6 -4616))) (-3252 (|has| $ (-6 -4608)))))) (-2950 (((-592) $) 122)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-1867 (((-944) (-592)) 115 (|has| $ (-6 -4616)))) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3856 (($ $) 84)) (-2039 (($ $) 86)) (-4540 (($ (-592) (-592)) 127) (($ (-592) (-592) (-944)) 126)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-3215 (((-592) $) 123)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-4406 (((-944)) 120) (((-944) (-944)) 117 (|has| $ (-6 -4616)))) (-1738 (((-944) (-592)) 114 (|has| $ (-6 -4616)))) (-1778 (((-405) $) 101) (((-237) $) 100) (((-914 (-405)) $) 90)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ (-592)) 99) (($ (-433 (-592))) 96)) (-4010 (((-790)) 28)) (-2744 (($ $) 87)) (-3671 (((-944)) 121) (((-944) (-944)) 118 (|has| $ (-6 -4616)))) (-4226 (((-944)) 124)) (-2537 (((-141) $ $) 38)) (-1392 (($ $) 111)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 104)) (-3273 (((-141) $ $) 103)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 105)) (-3266 (((-141) $ $) 102)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66) (($ $ (-433 (-592))) 91)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-430) (-1311)) (T -430)) 
-((-4540 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-430)))) (-4540 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-592)) (-5 *3 (-944)) (-4 *1 (-430)))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-430)) (-5 *2 (-592)))) (-4226 (*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) (-3215 (*1 *2 *1) (-12 (-4 *1 (-430)) (-5 *2 (-592)))) (-2950 (*1 *2 *1) (-12 (-4 *1 (-430)) (-5 *2 (-592)))) (-3671 (*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) (-4406 (*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) (-4047 (*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) (-3671 (*1 *2 *2) (-12 (-5 *2 (-944)) (|has| *1 (-6 -4616)) (-4 *1 (-430)))) (-4406 (*1 *2 *2) (-12 (-5 *2 (-944)) (|has| *1 (-6 -4616)) (-4 *1 (-430)))) (-4047 (*1 *2 *2) (-12 (-5 *2 (-944)) (|has| *1 (-6 -4616)) (-4 *1 (-430)))) (-1867 (*1 *2 *3) (-12 (-5 *3 (-592)) (|has| *1 (-6 -4616)) (-4 *1 (-430)) (-5 *2 (-944)))) (-1738 (*1 *2 *3) (-12 (-5 *3 (-592)) (|has| *1 (-6 -4616)) (-4 *1 (-430)) (-5 *2 (-944)))) (-1837 (*1 *1) (-12 (-4 *1 (-430)) (-3252 (|has| *1 (-6 -4616))) (-3252 (|has| *1 (-6 -4608))))) (-3319 (*1 *1) (-12 (-4 *1 (-430)) (-3252 (|has| *1 (-6 -4616))) (-3252 (|has| *1 (-6 -4608)))))) 
-(-13 (-1084) (-10 -8 (-6 -2642) (-15 -4540 ($ (-592) (-592))) (-15 -4540 ($ (-592) (-592) (-944))) (-15 -4346 ((-592) $)) (-15 -4226 ((-944))) (-15 -3215 ((-592) $)) (-15 -2950 ((-592) $)) (-15 -3671 ((-944))) (-15 -4406 ((-944))) (-15 -4047 ((-944))) (IF (|has| $ (-6 -4616)) (PROGN (-15 -3671 ((-944) (-944))) (-15 -4406 ((-944) (-944))) (-15 -4047 ((-944) (-944))) (-15 -1867 ((-944) (-592))) (-15 -1738 ((-944) (-592)))) |noBranch|) (IF (|has| $ (-6 -4608)) |noBranch| (IF (|has| $ (-6 -4616)) |noBranch| (PROGN (-15 -1837 ($)) (-15 -3319 ($))))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-171) . T) ((-632 (-877)) . T) ((-194) . T) ((-633 (-237)) . T) ((-633 (-405)) . T) ((-633 (-914 (-405))) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-813) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-867) . T) ((-869) . T) ((-908 (-405)) . T) ((-943) . T) ((-1030) . T) ((-1049) . T) ((-1084) . T) ((-1065 (-433 (-592))) . T) ((-1065 (-592)) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-2731 (((-444 |#2|) (-1 |#2| |#1|) (-444 |#1|)) 20))) 
-(((-431 |#1| |#2|) (-10 -7 (-15 -2731 ((-444 |#2|) (-1 |#2| |#1|) (-444 |#1|)))) (-582) (-582)) (T -431)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-444 *5)) (-4 *5 (-582)) (-4 *6 (-582)) (-5 *2 (-444 *6)) (-5 *1 (-431 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-444 |#2|) (-1 |#2| |#1|) (-444 |#1|)))) 
-((-2731 (((-433 |#2|) (-1 |#2| |#1|) (-433 |#1|)) 13))) 
-(((-432 |#1| |#2|) (-10 -7 (-15 -2731 ((-433 |#2|) (-1 |#2| |#1|) (-433 |#1|)))) (-582) (-582)) (T -432)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-433 *5)) (-4 *5 (-582)) (-4 *6 (-582)) (-5 *2 (-433 *6)) (-5 *1 (-432 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-433 |#2|) (-1 |#2| |#1|) (-433 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 13)) (-1505 ((|#1| $) 21 (|has| |#1| (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| |#1| (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 17) (((-3 (-1191) "failed") $) NIL (|has| |#1| (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) 70 (|has| |#1| (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592))))) (-2400 ((|#1| $) 15) (((-1191) $) NIL (|has| |#1| (-1065 (-1191)))) (((-433 (-592)) $) 67 (|has| |#1| (-1065 (-592)))) (((-592) $) NIL (|has| |#1| (-1065 (-592))))) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) 50)) (-4290 (($) NIL (|has| |#1| (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| |#1| (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| |#1| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| |#1| (-908 (-405))))) (-3558 (((-141) $) 64)) (-3838 (($ $) NIL)) (-1448 ((|#1| $) 71)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-1165)))) (-1324 (((-141) $) NIL (|has| |#1| (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| |#1| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 97)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| |#1| (-323)))) (-2039 ((|#1| $) 28 (|has| |#1| (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 133 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 129 (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) NIL (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-547 (-1191) |#1|)))) (-2769 (((-790) $) NIL)) (-3927 (($ $ |#1|) NIL (|has| |#1| (-303 |#1| |#1|)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-2782 (($ $) NIL)) (-1456 ((|#1| $) 73)) (-1778 (((-914 (-592)) $) NIL (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| |#1| (-633 (-914 (-405))))) (((-565) $) NIL (|has| |#1| (-633 (-565)))) (((-405) $) NIL (|has| |#1| (-1049))) (((-237) $) NIL (|has| |#1| (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 113 (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 10) (($ (-1191)) NIL (|has| |#1| (-1065 (-1191))))) (-1517 (((-3 $ "failed") $) 99 (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) 100)) (-2744 ((|#1| $) 26 (|has| |#1| (-574)))) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL (|has| |#1| (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 22 T CONST)) (-4257 (($) 8 T CONST)) (-1637 (((-1173) $) 43 (-12 (|has| |#1| (-574)) (|has| |#1| (-850)))) (((-1173) $ (-141)) 44 (-12 (|has| |#1| (-574)) (|has| |#1| (-850)))) (((-1285) (-844) $) 45 (-12 (|has| |#1| (-574)) (|has| |#1| (-850)))) (((-1285) (-844) $ (-141)) 46 (-12 (|has| |#1| (-574)) (|has| |#1| (-850))))) (-1940 (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 56)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) 24 (|has| |#1| (-869)))) (-3313 (($ $ $) 124) (($ |#1| |#1|) 52)) (-3306 (($ $) 25) (($ $ $) 55)) (-3300 (($ $ $) 53)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 123)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 60) (($ $ $) 57) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
-(((-433 |#1|) (-13 (-1021 |#1|) (-10 -7 (IF (|has| |#1| (-574)) (IF (|has| |#1| (-850)) (-6 (-850)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4612)) (IF (|has| |#1| (-477)) (IF (|has| |#1| (-6 -4623)) (-6 -4612) |noBranch|) |noBranch|) |noBranch|))) (-582)) (T -433)) 
-NIL 
-(-13 (-1021 |#1|) (-10 -7 (IF (|has| |#1| (-574)) (IF (|has| |#1| (-850)) (-6 (-850)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4612)) (IF (|has| |#1| (-477)) (IF (|has| |#1| (-6 -4623)) (-6 -4612) |noBranch|) |noBranch|) |noBranch|))) 
-((-1800 (((-706 |#2|) (-1280 $)) NIL) (((-706 |#2|)) 18)) (-1626 (($ (-1280 |#2|) (-1280 $)) NIL) (($ (-1280 |#2|)) 26)) (-4493 (((-706 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) $) 22)) (-3504 ((|#3| $) 59)) (-1482 ((|#2| (-1280 $)) NIL) ((|#2|) 20)) (-2231 (((-1280 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) (-1280 $) (-1280 $)) NIL) (((-1280 |#2|) $) NIL) (((-706 |#2|) (-1280 $)) 24)) (-1778 (((-1280 |#2|) $) 11) (($ (-1280 |#2|)) 13)) (-4198 ((|#3| $) 51))) 
-(((-434 |#1| |#2| |#3|) (-10 -8 (-15 -4493 ((-706 |#2|) |#1|)) (-15 -1482 (|#2|)) (-15 -1800 ((-706 |#2|))) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -1626 (|#1| (-1280 |#2|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -3504 (|#3| |#1|)) (-15 -4198 (|#3| |#1|)) (-15 -1800 ((-706 |#2|) (-1280 |#1|))) (-15 -1482 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -4493 ((-706 |#2|) |#1| (-1280 |#1|)))) (-435 |#2| |#3|) (-194) (-1255 |#2|)) (T -434)) 
-((-1800 (*1 *2) (-12 (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)) (-5 *1 (-434 *3 *4 *5)) (-4 *3 (-435 *4 *5)))) (-1482 (*1 *2) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-194)) (-5 *1 (-434 *3 *2 *4)) (-4 *3 (-435 *2 *4))))) 
-(-10 -8 (-15 -4493 ((-706 |#2|) |#1|)) (-15 -1482 (|#2|)) (-15 -1800 ((-706 |#2|))) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -1626 (|#1| (-1280 |#2|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -3504 (|#3| |#1|)) (-15 -4198 (|#3| |#1|)) (-15 -1800 ((-706 |#2|) (-1280 |#1|))) (-15 -1482 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -4493 ((-706 |#2|) |#1| (-1280 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1800 (((-706 |#1|) (-1280 $)) 44) (((-706 |#1|)) 55)) (-4529 ((|#1| $) 50)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-1626 (($ (-1280 |#1|) (-1280 $)) 46) (($ (-1280 |#1|)) 58)) (-4493 (((-706 |#1|) $ (-1280 $)) 51) (((-706 |#1|) $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-4175 (((-944)) 52)) (-3558 (((-141) $) 30)) (-2793 ((|#1| $) 49)) (-3504 ((|#2| $) 42 (|has| |#1| (-388)))) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1482 ((|#1| (-1280 $)) 45) ((|#1|) 54)) (-2231 (((-1280 |#1|) $ (-1280 $)) 48) (((-706 |#1|) (-1280 $) (-1280 $)) 47) (((-1280 |#1|) $) 60) (((-706 |#1|) (-1280 $)) 59)) (-1778 (((-1280 |#1|) $) 57) (($ (-1280 |#1|)) 56)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36)) (-1517 (((-3 $ "failed") $) 41 (|has| |#1| (-169)))) (-4198 ((|#2| $) 43)) (-4010 (((-790)) 28)) (-2195 (((-1280 $)) 61)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-435 |#1| |#2|) (-1311) (-194) (-1255 |t#1|)) (T -435)) 
-((-2195 (*1 *2) (-12 (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-1280 *1)) (-4 *1 (-435 *3 *4)))) (-2231 (*1 *2 *1) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-1280 *3)))) (-2231 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-435 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) (-1626 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-435 *3 *4)) (-4 *4 (-1255 *3)))) (-1778 (*1 *2 *1) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-1280 *3)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-435 *3 *4)) (-4 *4 (-1255 *3)))) (-1800 (*1 *2) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-706 *3)))) (-1482 (*1 *2) (-12 (-4 *1 (-435 *2 *3)) (-4 *3 (-1255 *2)) (-4 *2 (-194)))) (-4493 (*1 *2 *1) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-706 *3))))) 
-(-13 (-396 |t#1| |t#2|) (-10 -8 (-15 -2195 ((-1280 $))) (-15 -2231 ((-1280 |t#1|) $)) (-15 -2231 ((-706 |t#1|) (-1280 $))) (-15 -1626 ($ (-1280 |t#1|))) (-15 -1778 ((-1280 |t#1|) $)) (-15 -1778 ($ (-1280 |t#1|))) (-15 -1800 ((-706 |t#1|))) (-15 -1482 (|t#1|)) (-15 -4493 ((-706 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-396 |#1| |#2|) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) . T) ((-743) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) 27) (((-3 (-592) "failed") $) 19)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) 24) (((-592) $) 14)) (-1683 (($ |#2|) NIL) (($ (-433 (-592))) 22) (($ (-592)) 11))) 
-(((-436 |#1| |#2|) (-10 -8 (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -1683 (|#1| (-592))) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|))) (-437 |#2|) (-1225)) (T -436)) 
-NIL 
-(-10 -8 (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -1683 (|#1| (-592))) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|))) 
-((-4368 (((-3 |#1| "failed") $) 7) (((-3 (-433 (-592)) "failed") $) 15 (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) 12 (|has| |#1| (-1065 (-592))))) (-2400 ((|#1| $) 8) (((-433 (-592)) $) 14 (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) 11 (|has| |#1| (-1065 (-592))))) (-1683 (($ |#1|) 6) (($ (-433 (-592))) 16 (|has| |#1| (-1065 (-433 (-592))))) (($ (-592)) 13 (|has| |#1| (-1065 (-592)))))) 
-(((-437 |#1|) (-1311) (-1225)) (T -437)) 
-NIL 
-(-13 (-1065 |t#1|) (-10 -7 (IF (|has| |t#1| (-1065 (-592))) (-6 (-1065 (-592))) |noBranch|) (IF (|has| |t#1| (-1065 (-433 (-592)))) (-6 (-1065 (-433 (-592)))) |noBranch|))) 
-(((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T)) 
-((-2731 (((-439 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-439 |#1| |#2| |#3| |#4|)) 33))) 
-(((-438 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2731 ((-439 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-439 |#1| |#2| |#3| |#4|)))) (-323) (-1021 |#1|) (-1255 |#2|) (-13 (-435 |#2| |#3|) (-1065 |#2|)) (-323) (-1021 |#5|) (-1255 |#6|) (-13 (-435 |#6| |#7|) (-1065 |#6|))) (T -438)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-439 *5 *6 *7 *8)) (-4 *5 (-323)) (-4 *6 (-1021 *5)) (-4 *7 (-1255 *6)) (-4 *8 (-13 (-435 *6 *7) (-1065 *6))) (-4 *9 (-323)) (-4 *10 (-1021 *9)) (-4 *11 (-1255 *10)) (-5 *2 (-439 *9 *10 *11 *12)) (-5 *1 (-438 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-435 *10 *11) (-1065 *10)))))) 
-(-10 -7 (-15 -2731 ((-439 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-439 |#1| |#2| |#3| |#4|)))) 
-((-1641 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-2504 ((|#4| (-790) (-1280 |#4|)) 55)) (-3558 (((-141) $) NIL)) (-1448 (((-1280 |#4|) $) 17)) (-2793 ((|#2| $) 53)) (-1847 (($ $) 136)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 98)) (-2312 (($ (-1280 |#4|)) 97)) (-2951 (((-1137) $) NIL)) (-1456 ((|#1| $) 18)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) 131)) (-2195 (((-1280 |#4|) $) 126)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 11 T CONST)) (-3255 (((-141) $ $) 39)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 119)) (* (($ $ $) 118))) 
-(((-439 |#1| |#2| |#3| |#4|) (-13 (-502) (-10 -8 (-15 -2312 ($ (-1280 |#4|))) (-15 -2195 ((-1280 |#4|) $)) (-15 -2793 (|#2| $)) (-15 -1448 ((-1280 |#4|) $)) (-15 -1456 (|#1| $)) (-15 -1847 ($ $)) (-15 -2504 (|#4| (-790) (-1280 |#4|))))) (-323) (-1021 |#1|) (-1255 |#2|) (-13 (-435 |#2| |#3|) (-1065 |#2|))) (T -439)) 
-((-2312 (*1 *1 *2) (-12 (-5 *2 (-1280 *6)) (-4 *6 (-13 (-435 *4 *5) (-1065 *4))) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-4 *3 (-323)) (-5 *1 (-439 *3 *4 *5 *6)))) (-2195 (*1 *2 *1) (-12 (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *6)) (-5 *1 (-439 *3 *4 *5 *6)) (-4 *6 (-13 (-435 *4 *5) (-1065 *4))))) (-2793 (*1 *2 *1) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-1021 *3)) (-5 *1 (-439 *3 *2 *4 *5)) (-4 *3 (-323)) (-4 *5 (-13 (-435 *2 *4) (-1065 *2))))) (-1448 (*1 *2 *1) (-12 (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *6)) (-5 *1 (-439 *3 *4 *5 *6)) (-4 *6 (-13 (-435 *4 *5) (-1065 *4))))) (-1456 (*1 *2 *1) (-12 (-4 *3 (-1021 *2)) (-4 *4 (-1255 *3)) (-4 *2 (-323)) (-5 *1 (-439 *2 *3 *4 *5)) (-4 *5 (-13 (-435 *3 *4) (-1065 *3))))) (-1847 (*1 *1 *1) (-12 (-4 *2 (-323)) (-4 *3 (-1021 *2)) (-4 *4 (-1255 *3)) (-5 *1 (-439 *2 *3 *4 *5)) (-4 *5 (-13 (-435 *3 *4) (-1065 *3))))) (-2504 (*1 *2 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-1280 *2)) (-4 *5 (-323)) (-4 *6 (-1021 *5)) (-4 *2 (-13 (-435 *6 *7) (-1065 *6))) (-5 *1 (-439 *5 *6 *7 *2)) (-4 *7 (-1255 *6))))) 
-(-13 (-502) (-10 -8 (-15 -2312 ($ (-1280 |#4|))) (-15 -2195 ((-1280 |#4|) $)) (-15 -2793 (|#2| $)) (-15 -1448 ((-1280 |#4|) $)) (-15 -1456 (|#1| $)) (-15 -1847 ($ $)) (-15 -2504 (|#4| (-790) (-1280 |#4|))))) 
-((-1641 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2793 ((|#2| $) 60)) (-2930 (($ (-1280 |#4|)) 25) (($ (-439 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1065 |#2|)))) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 34)) (-2195 (((-1280 |#4|) $) 26)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-4257 (($) 23 T CONST)) (-3255 (((-141) $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ $ $) 72))) 
-(((-440 |#1| |#2| |#3| |#4| |#5|) (-13 (-743) (-10 -8 (-15 -2195 ((-1280 |#4|) $)) (-15 -2793 (|#2| $)) (-15 -2930 ($ (-1280 |#4|))) (IF (|has| |#4| (-1065 |#2|)) (-15 -2930 ($ (-439 |#1| |#2| |#3| |#4|))) |noBranch|))) (-323) (-1021 |#1|) (-1255 |#2|) (-435 |#2| |#3|) (-1280 |#4|)) (T -440)) 
-((-2195 (*1 *2 *1) (-12 (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *6)) (-5 *1 (-440 *3 *4 *5 *6 *7)) (-4 *6 (-435 *4 *5)) (-14 *7 *2))) (-2793 (*1 *2 *1) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-1021 *3)) (-5 *1 (-440 *3 *2 *4 *5 *6)) (-4 *3 (-323)) (-4 *5 (-435 *2 *4)) (-14 *6 (-1280 *5)))) (-2930 (*1 *1 *2) (-12 (-5 *2 (-1280 *6)) (-4 *6 (-435 *4 *5)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-4 *3 (-323)) (-5 *1 (-440 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-2930 (*1 *1 *2) (-12 (-5 *2 (-439 *3 *4 *5 *6)) (-4 *6 (-1065 *4)) (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-4 *6 (-435 *4 *5)) (-14 *7 (-1280 *6)) (-5 *1 (-440 *3 *4 *5 *6 *7))))) 
-(-13 (-743) (-10 -8 (-15 -2195 ((-1280 |#4|) $)) (-15 -2793 (|#2| $)) (-15 -2930 ($ (-1280 |#4|))) (IF (|has| |#4| (-1065 |#2|)) (-15 -2930 ($ (-439 |#1| |#2| |#3| |#4|))) |noBranch|))) 
-((-2731 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
-(((-441 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#3| (-1 |#4| |#2|) |#1|))) (-443 |#2|) (-194) (-443 |#4|) (-194)) (T -441)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-4 *2 (-443 *6)) (-5 *1 (-441 *4 *5 *2 *6)) (-4 *4 (-443 *5))))) 
-(-10 -7 (-15 -2731 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-4509 (((-3 $ "failed")) 85)) (-4061 (((-1280 (-706 |#2|)) (-1280 $)) NIL) (((-1280 (-706 |#2|))) 90)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) 84)) (-2661 (((-3 $ "failed")) 83)) (-1951 (((-706 |#2|) (-1280 $)) NIL) (((-706 |#2|)) 101)) (-2302 (((-706 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) $) 109)) (-2120 (((-1187 (-980 |#2|))) 54)) (-1874 ((|#2| (-1280 $)) NIL) ((|#2|) 105)) (-1626 (($ (-1280 |#2|) (-1280 $)) NIL) (($ (-1280 |#2|)) 112)) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) 82)) (-3994 (((-3 $ "failed")) 74)) (-2794 (((-706 |#2|) (-1280 $)) NIL) (((-706 |#2|)) 99)) (-1802 (((-706 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) $) 107)) (-3004 (((-1187 (-980 |#2|))) 53)) (-3030 ((|#2| (-1280 $)) NIL) ((|#2|) 103)) (-2231 (((-1280 |#2|) $ (-1280 $)) NIL) (((-706 |#2|) (-1280 $) (-1280 $)) NIL) (((-1280 |#2|) $) NIL) (((-706 |#2|) (-1280 $)) 111)) (-1778 (((-1280 |#2|) $) 95) (($ (-1280 |#2|)) 97)) (-1473 (((-658 (-980 |#2|)) (-1280 $)) NIL) (((-658 (-980 |#2|))) 93)) (-4572 (($ (-706 |#2|) $) 89))) 
-(((-442 |#1| |#2|) (-10 -8 (-15 -4572 (|#1| (-706 |#2|) |#1|)) (-15 -2120 ((-1187 (-980 |#2|)))) (-15 -3004 ((-1187 (-980 |#2|)))) (-15 -2302 ((-706 |#2|) |#1|)) (-15 -1802 ((-706 |#2|) |#1|)) (-15 -1951 ((-706 |#2|))) (-15 -2794 ((-706 |#2|))) (-15 -1874 (|#2|)) (-15 -3030 (|#2|)) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -1626 (|#1| (-1280 |#2|))) (-15 -1473 ((-658 (-980 |#2|)))) (-15 -4061 ((-1280 (-706 |#2|)))) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -4509 ((-3 |#1| "failed"))) (-15 -2661 ((-3 |#1| "failed"))) (-15 -3994 ((-3 |#1| "failed"))) (-15 -2604 ((-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed"))) (-15 -1563 ((-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed"))) (-15 -1951 ((-706 |#2|) (-1280 |#1|))) (-15 -2794 ((-706 |#2|) (-1280 |#1|))) (-15 -1874 (|#2| (-1280 |#1|))) (-15 -3030 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -2302 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -1802 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -4061 ((-1280 (-706 |#2|)) (-1280 |#1|))) (-15 -1473 ((-658 (-980 |#2|)) (-1280 |#1|)))) (-443 |#2|) (-194)) (T -442)) 
-((-4061 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1280 (-706 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) (-1473 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-658 (-980 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) (-3030 (*1 *2) (-12 (-4 *2 (-194)) (-5 *1 (-442 *3 *2)) (-4 *3 (-443 *2)))) (-1874 (*1 *2) (-12 (-4 *2 (-194)) (-5 *1 (-442 *3 *2)) (-4 *3 (-443 *2)))) (-2794 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-706 *4)) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) (-1951 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-706 *4)) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) (-3004 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1187 (-980 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) (-2120 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1187 (-980 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4))))) 
-(-10 -8 (-15 -4572 (|#1| (-706 |#2|) |#1|)) (-15 -2120 ((-1187 (-980 |#2|)))) (-15 -3004 ((-1187 (-980 |#2|)))) (-15 -2302 ((-706 |#2|) |#1|)) (-15 -1802 ((-706 |#2|) |#1|)) (-15 -1951 ((-706 |#2|))) (-15 -2794 ((-706 |#2|))) (-15 -1874 (|#2|)) (-15 -3030 (|#2|)) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -1626 (|#1| (-1280 |#2|))) (-15 -1473 ((-658 (-980 |#2|)))) (-15 -4061 ((-1280 (-706 |#2|)))) (-15 -2231 ((-706 |#2|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1|)) (-15 -4509 ((-3 |#1| "failed"))) (-15 -2661 ((-3 |#1| "failed"))) (-15 -3994 ((-3 |#1| "failed"))) (-15 -2604 ((-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed"))) (-15 -1563 ((-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed"))) (-15 -1951 ((-706 |#2|) (-1280 |#1|))) (-15 -2794 ((-706 |#2|) (-1280 |#1|))) (-15 -1874 (|#2| (-1280 |#1|))) (-15 -3030 (|#2| (-1280 |#1|))) (-15 -1626 (|#1| (-1280 |#2|) (-1280 |#1|))) (-15 -2231 ((-706 |#2|) (-1280 |#1|) (-1280 |#1|))) (-15 -2231 ((-1280 |#2|) |#1| (-1280 |#1|))) (-15 -2302 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -1802 ((-706 |#2|) |#1| (-1280 |#1|))) (-15 -4061 ((-1280 (-706 |#2|)) (-1280 |#1|))) (-15 -1473 ((-658 (-980 |#2|)) (-1280 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4509 (((-3 $ "failed")) 35 (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) 18)) (-4061 (((-1280 (-706 |#1|)) (-1280 $)) 76) (((-1280 (-706 |#1|))) 93)) (-3360 (((-1280 $)) 79)) (-3001 (($) 16 T CONST)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) 38 (|has| |#1| (-582)))) (-2661 (((-3 $ "failed")) 36 (|has| |#1| (-582)))) (-1951 (((-706 |#1|) (-1280 $)) 63) (((-706 |#1|)) 85)) (-4282 ((|#1| $) 72)) (-2302 (((-706 |#1|) $ (-1280 $)) 74) (((-706 |#1|) $) 83)) (-2503 (((-3 $ "failed") $) 43 (|has| |#1| (-582)))) (-2120 (((-1187 (-980 |#1|))) 81 (|has| |#1| (-388)))) (-2111 (($ $ (-944)) 27)) (-1431 ((|#1| $) 70)) (-3916 (((-1187 |#1|) $) 40 (|has| |#1| (-582)))) (-1874 ((|#1| (-1280 $)) 65) ((|#1|) 87)) (-1582 (((-1187 |#1|) $) 61)) (-4194 (((-141)) 55)) (-1626 (($ (-1280 |#1|) (-1280 $)) 67) (($ (-1280 |#1|)) 91)) (-3371 (((-3 $ "failed") $) 45 (|has| |#1| (-582)))) (-4175 (((-944)) 78)) (-2169 (((-141)) 52)) (-1833 (($ $ (-944)) 32)) (-3700 (((-141)) 48)) (-2973 (((-141)) 46)) (-2467 (((-141)) 50)) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) 39 (|has| |#1| (-582)))) (-3994 (((-3 $ "failed")) 37 (|has| |#1| (-582)))) (-2794 (((-706 |#1|) (-1280 $)) 64) (((-706 |#1|)) 86)) (-1869 ((|#1| $) 73)) (-1802 (((-706 |#1|) $ (-1280 $)) 75) (((-706 |#1|) $) 84)) (-4158 (((-3 $ "failed") $) 44 (|has| |#1| (-582)))) (-3004 (((-1187 (-980 |#1|))) 82 (|has| |#1| (-388)))) (-2682 (($ $ (-944)) 28)) (-3061 ((|#1| $) 71)) (-2013 (((-1187 |#1|) $) 41 (|has| |#1| (-582)))) (-3030 ((|#1| (-1280 $)) 66) ((|#1|) 88)) (-2397 (((-1187 |#1|) $) 62)) (-3847 (((-141)) 56)) (-2685 (((-1173) $) 9)) (-4106 (((-141)) 47)) (-2339 (((-141)) 49)) (-2297 (((-141)) 51)) (-2951 (((-1137) $) 10)) (-2716 (((-141)) 54)) (-3927 ((|#1| $ (-592)) 94)) (-2231 (((-1280 |#1|) $ (-1280 $)) 69) (((-706 |#1|) (-1280 $) (-1280 $)) 68) (((-1280 |#1|) $) 96) (((-706 |#1|) (-1280 $)) 95)) (-1778 (((-1280 |#1|) $) 90) (($ (-1280 |#1|)) 89)) (-1473 (((-658 (-980 |#1|)) (-1280 $)) 77) (((-658 (-980 |#1|))) 92)) (-2131 (($ $ $) 24)) (-3545 (((-141)) 60)) (-1683 (((-877) $) 11)) (-2195 (((-1280 $)) 97)) (-3664 (((-658 (-1280 |#1|))) 42 (|has| |#1| (-582)))) (-3667 (($ $ $ $) 25)) (-1516 (((-141)) 58)) (-4572 (($ (-706 |#1|) $) 80)) (-2844 (($ $ $) 23)) (-3135 (((-141)) 59)) (-2723 (((-141)) 57)) (-2359 (((-141)) 53)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 29)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-443 |#1|) (-1311) (-194)) (T -443)) 
-((-2195 (*1 *2) (-12 (-4 *3 (-194)) (-5 *2 (-1280 *1)) (-4 *1 (-443 *3)))) (-2231 (*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-1280 *3)))) (-2231 (*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-443 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-443 *2)) (-4 *2 (-194)))) (-4061 (*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-1280 (-706 *3))))) (-1473 (*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-658 (-980 *3))))) (-1626 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-443 *3)))) (-1778 (*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-1280 *3)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-443 *3)))) (-3030 (*1 *2) (-12 (-4 *1 (-443 *2)) (-4 *2 (-194)))) (-1874 (*1 *2) (-12 (-4 *1 (-443 *2)) (-4 *2 (-194)))) (-2794 (*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3)))) (-1951 (*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3)))) (-1802 (*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3)))) (-2302 (*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3)))) (-3004 (*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-4 *3 (-388)) (-5 *2 (-1187 (-980 *3))))) (-2120 (*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-4 *3 (-388)) (-5 *2 (-1187 (-980 *3))))) (-4572 (*1 *1 *2 *1) (-12 (-5 *2 (-706 *3)) (-4 *1 (-443 *3)) (-4 *3 (-194))))) 
-(-13 (-392 |t#1|) (-10 -8 (-15 -2195 ((-1280 $))) (-15 -2231 ((-1280 |t#1|) $)) (-15 -2231 ((-706 |t#1|) (-1280 $))) (-15 -3927 (|t#1| $ (-592))) (-15 -4061 ((-1280 (-706 |t#1|)))) (-15 -1473 ((-658 (-980 |t#1|)))) (-15 -1626 ($ (-1280 |t#1|))) (-15 -1778 ((-1280 |t#1|) $)) (-15 -1778 ($ (-1280 |t#1|))) (-15 -3030 (|t#1|)) (-15 -1874 (|t#1|)) (-15 -2794 ((-706 |t#1|))) (-15 -1951 ((-706 |t#1|))) (-15 -1802 ((-706 |t#1|) $)) (-15 -2302 ((-706 |t#1|) $)) (IF (|has| |t#1| (-388)) (PROGN (-15 -3004 ((-1187 (-980 |t#1|)))) (-15 -2120 ((-1187 (-980 |t#1|))))) |noBranch|) (-15 -4572 ($ (-706 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-392 |#1|) . T) ((-661 |#1|) . T) ((-734 |#1|) . T) ((-737) . T) ((-763 |#1|) . T) ((-780) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 40)) (-1745 (($ $) 55)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 142)) (-1555 (($ $) NIL)) (-1313 (((-141) $) 34)) (-4509 ((|#1| $) 12)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-1235)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-1235)))) (-2058 (($ |#1| (-592)) 30)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 112)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 53)) (-3371 (((-3 $ "failed") $) 127)) (-4182 (((-3 (-433 (-592)) "failed") $) 61 (|has| |#1| (-574)))) (-2435 (((-141) $) 57 (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) 59 (|has| |#1| (-574)))) (-1919 (($ |#1| (-592)) 32)) (-2802 (((-141) $) 148 (|has| |#1| (-1235)))) (-3558 (((-141) $) 41)) (-3839 (((-790) $) 36)) (-4434 (((-3 "nil" "sqfr" "irred" "prime") $ (-592)) 133)) (-4449 ((|#1| $ (-592)) 132)) (-1972 (((-592) $ (-592)) 131)) (-4427 (($ |#1| (-592)) 29)) (-2731 (($ (-1 |#1| |#1|) $) 139)) (-2788 (($ |#1| (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-592))))) 56)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-4557 (($ |#1| (-592)) 31)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) 143 (|has| |#1| (-477)))) (-2648 (($ |#1| (-592) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-2033 (((-658 (-2 (|:| -4500 |#1|) (|:| -3215 (-592)))) $) 52)) (-3382 (((-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-592)))) $) 11)) (-4500 (((-444 $) $) NIL (|has| |#1| (-1235)))) (-3616 (((-3 $ "failed") $ $) 134)) (-3215 (((-592) $) 128)) (-3098 ((|#1| $) 54)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) 76 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 81 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) $) NIL (|has| |#1| (-547 (-1191) $))) (($ $ (-658 (-1191)) (-658 $)) 82 (|has| |#1| (-547 (-1191) $))) (($ $ (-658 (-310 $))) 78 (|has| |#1| (-325 $))) (($ $ (-310 $)) NIL (|has| |#1| (-325 $))) (($ $ $ $) NIL (|has| |#1| (-325 $))) (($ $ (-658 $) (-658 $)) NIL (|has| |#1| (-325 $)))) (-3927 (($ $ |#1|) 68 (|has| |#1| (-303 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-303 $ $)))) (-3644 (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-1778 (((-565) $) 26 (|has| |#1| (-633 (-565)))) (((-405) $) 88 (|has| |#1| (-1049))) (((-237) $) 91 (|has| |#1| (-1049)))) (-1683 (((-877) $) 110) (($ (-592)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592)))))) (-4010 (((-790)) 46)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 38 T CONST)) (-4257 (($) 37 T CONST)) (-1940 (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3255 (((-141) $ $) 92)) (-3306 (($ $) 124) (($ $ $) NIL)) (-3300 (($ $ $) 136)) (** (($ $ (-944)) NIL) (($ $ (-790)) 98)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
-(((-444 |#1|) (-13 (-582) (-245 |#1|) (-43 |#1|) (-358 |#1|) (-437 |#1|) (-10 -8 (-15 -3098 (|#1| $)) (-15 -3215 ((-592) $)) (-15 -2788 ($ |#1| (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-592)))))) (-15 -3382 ((-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-592)))) $)) (-15 -4427 ($ |#1| (-592))) (-15 -2033 ((-658 (-2 (|:| -4500 |#1|) (|:| -3215 (-592)))) $)) (-15 -4557 ($ |#1| (-592))) (-15 -1972 ((-592) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -4434 ((-3 "nil" "sqfr" "irred" "prime") $ (-592))) (-15 -3839 ((-790) $)) (-15 -1919 ($ |#1| (-592))) (-15 -2058 ($ |#1| (-592))) (-15 -2648 ($ |#1| (-592) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -4509 (|#1| $)) (-15 -1745 ($ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-477)) (-6 (-477)) |noBranch|) (IF (|has| |#1| (-1049)) (-6 (-1049)) |noBranch|) (IF (|has| |#1| (-1235)) (-6 (-1235)) |noBranch|) (IF (|has| |#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|) (IF (|has| |#1| (-303 $ $)) (-6 (-303 $ $)) |noBranch|) (IF (|has| |#1| (-325 $)) (-6 (-325 $)) |noBranch|) (IF (|has| |#1| (-547 (-1191) $)) (-6 (-547 (-1191) $)) |noBranch|))) (-582)) (T -444)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-582)) (-5 *1 (-444 *3)))) (-3098 (*1 *2 *1) (-12 (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-3215 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-444 *3)) (-4 *3 (-582)))) (-2788 (*1 *1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-592))))) (-4 *2 (-582)) (-5 *1 (-444 *2)))) (-3382 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-592))))) (-5 *1 (-444 *3)) (-4 *3 (-582)))) (-4427 (*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-2033 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -4500 *3) (|:| -3215 (-592))))) (-5 *1 (-444 *3)) (-4 *3 (-582)))) (-4557 (*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-1972 (*1 *2 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-444 *3)) (-4 *3 (-582)))) (-4449 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-4434 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-444 *4)) (-4 *4 (-582)))) (-3839 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-444 *3)) (-4 *3 (-582)))) (-1919 (*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-2058 (*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-2648 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-4509 (*1 *2 *1) (-12 (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-1745 (*1 *1 *1) (-12 (-5 *1 (-444 *2)) (-4 *2 (-582)))) (-2435 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-444 *3)) (-4 *3 (-574)) (-4 *3 (-582)))) (-2270 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-444 *3)) (-4 *3 (-574)) (-4 *3 (-582)))) (-4182 (*1 *2 *1) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-444 *3)) (-4 *3 (-574)) (-4 *3 (-582))))) 
-(-13 (-582) (-245 |#1|) (-43 |#1|) (-358 |#1|) (-437 |#1|) (-10 -8 (-15 -3098 (|#1| $)) (-15 -3215 ((-592) $)) (-15 -2788 ($ |#1| (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-592)))))) (-15 -3382 ((-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-592)))) $)) (-15 -4427 ($ |#1| (-592))) (-15 -2033 ((-658 (-2 (|:| -4500 |#1|) (|:| -3215 (-592)))) $)) (-15 -4557 ($ |#1| (-592))) (-15 -1972 ((-592) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -4434 ((-3 "nil" "sqfr" "irred" "prime") $ (-592))) (-15 -3839 ((-790) $)) (-15 -1919 ($ |#1| (-592))) (-15 -2058 ($ |#1| (-592))) (-15 -2648 ($ |#1| (-592) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -4509 (|#1| $)) (-15 -1745 ($ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-477)) (-6 (-477)) |noBranch|) (IF (|has| |#1| (-1049)) (-6 (-1049)) |noBranch|) (IF (|has| |#1| (-1235)) (-6 (-1235)) |noBranch|) (IF (|has| |#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|) (IF (|has| |#1| (-303 $ $)) (-6 (-303 $ $)) |noBranch|) (IF (|has| |#1| (-325 $)) (-6 (-325 $)) |noBranch|) (IF (|has| |#1| (-547 (-1191) $)) (-6 (-547 (-1191) $)) |noBranch|))) 
-((-4028 (((-444 |#1|) (-444 |#1|) (-1 (-444 |#1|) |#1|)) 20)) (-1823 (((-444 |#1|) (-444 |#1|) (-444 |#1|)) 15))) 
-(((-445 |#1|) (-10 -7 (-15 -4028 ((-444 |#1|) (-444 |#1|) (-1 (-444 |#1|) |#1|))) (-15 -1823 ((-444 |#1|) (-444 |#1|) (-444 |#1|)))) (-582)) (T -445)) 
-((-1823 (*1 *2 *2 *2) (-12 (-5 *2 (-444 *3)) (-4 *3 (-582)) (-5 *1 (-445 *3)))) (-4028 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-444 *4) *4)) (-4 *4 (-582)) (-5 *2 (-444 *4)) (-5 *1 (-445 *4))))) 
-(-10 -7 (-15 -4028 ((-444 |#1|) (-444 |#1|) (-1 (-444 |#1|) |#1|))) (-15 -1823 ((-444 |#1|) (-444 |#1|) (-444 |#1|)))) 
-((-4390 ((|#2| |#2|) 160)) (-3786 (((-3 (|:| |%expansion| (-329 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141)) 55))) 
-(((-446 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3786 ((-3 (|:| |%expansion| (-329 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141))) (-15 -4390 (|#2| |#2|))) (-13 (-477) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|)) (-1191) |#2|) (T -446)) 
-((-4390 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-446 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1211) (-456 *3))) (-14 *4 (-1191)) (-14 *5 *2))) (-3786 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |%expansion| (-329 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173)))))) (-5 *1 (-446 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-14 *6 (-1191)) (-14 *7 *3)))) 
-(-10 -7 (-15 -3786 ((-3 (|:| |%expansion| (-329 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141))) (-15 -4390 (|#2| |#2|))) 
-((-2731 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
-(((-447 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1075) (-869)) (-456 |#1|) (-13 (-1075) (-869)) (-456 |#3|)) (T -447)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1075) (-869))) (-4 *6 (-13 (-1075) (-869))) (-4 *2 (-456 *6)) (-5 *1 (-447 *5 *4 *6 *2)) (-4 *4 (-456 *5))))) 
-(-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-4390 ((|#2| |#2|) 87)) (-4055 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141) (-1173)) 46)) (-4002 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141) (-1173)) 152))) 
-(((-448 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4055 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141) (-1173))) (-15 -4002 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141) (-1173))) (-15 -4390 (|#2| |#2|))) (-13 (-477) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|) (-10 -8 (-15 -1683 ($ |#3|)))) (-867) (-13 (-1257 |#2| |#3|) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $)))) (-1012 |#4|) (-1191)) (T -448)) 
-((-4390 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *2 (-13 (-27) (-1211) (-456 *3) (-10 -8 (-15 -1683 ($ *4))))) (-4 *4 (-867)) (-4 *5 (-13 (-1257 *2 *4) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $))))) (-5 *1 (-448 *3 *2 *4 *5 *6 *7)) (-4 *6 (-1012 *5)) (-14 *7 (-1191)))) (-4002 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-141)) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *3 (-13 (-27) (-1211) (-456 *6) (-10 -8 (-15 -1683 ($ *7))))) (-4 *7 (-867)) (-4 *8 (-13 (-1257 *3 *7) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173)))))) (-5 *1 (-448 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1173)) (-4 *9 (-1012 *8)) (-14 *10 (-1191)))) (-4055 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-141)) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *3 (-13 (-27) (-1211) (-456 *6) (-10 -8 (-15 -1683 ($ *7))))) (-4 *7 (-867)) (-4 *8 (-13 (-1257 *3 *7) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173)))))) (-5 *1 (-448 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1173)) (-4 *9 (-1012 *8)) (-14 *10 (-1191))))) 
-(-10 -7 (-15 -4055 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141) (-1173))) (-15 -4002 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173))))) |#2| (-141) (-1173))) (-15 -4390 (|#2| |#2|))) 
-((-1779 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-3657 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-2731 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
-(((-449 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3657 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1779 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1119) (-451 |#1|) (-1119) (-451 |#3|)) (T -449)) 
-((-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1119)) (-4 *5 (-1119)) (-4 *2 (-451 *5)) (-5 *1 (-449 *6 *4 *5 *2)) (-4 *4 (-451 *6)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1119)) (-4 *2 (-1119)) (-5 *1 (-449 *5 *4 *2 *6)) (-4 *4 (-451 *5)) (-4 *6 (-451 *2)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-451 *6)) (-5 *1 (-449 *5 *4 *6 *2)) (-4 *4 (-451 *5))))) 
-(-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3657 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -1779 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-1875 (($) 44)) (-4528 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-4471 (($ $ $) 39)) (-2461 (((-141) $ $) 28)) (-1403 (((-790)) 47)) (-2224 (($ (-658 |#2|)) 20) (($) NIL)) (-4290 (($) 53)) (-1837 ((|#2| $) 61)) (-3319 ((|#2| $) 59)) (-3546 (((-944) $) 55)) (-2852 (($ $ $) 35)) (-1825 (($ (-944)) 50)) (-4328 (($ $ |#2|) NIL) (($ $ $) 38)) (-3452 (((-790) (-1 (-141) |#2|) $) NIL) (((-790) |#2| $) 26)) (-4466 (($ (-658 |#2|)) 24)) (-2184 (($ $) 46)) (-1683 (((-877) $) 33)) (-1484 (((-790) $) 21)) (-4586 (($ (-658 |#2|)) 19) (($) NIL)) (-3255 (((-141) $ $) 16)) (-3266 (((-141) $ $) 13))) 
-(((-450 |#1| |#2|) (-10 -8 (-15 -1403 ((-790))) (-15 -1825 (|#1| (-944))) (-15 -3546 ((-944) |#1|)) (-15 -4290 (|#1|)) (-15 -1837 (|#2| |#1|)) (-15 -3319 (|#2| |#1|)) (-15 -1875 (|#1|)) (-15 -2184 (|#1| |#1|)) (-15 -1484 ((-790) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -4586 (|#1|)) (-15 -4586 (|#1| (-658 |#2|))) (-15 -2224 (|#1|)) (-15 -2224 (|#1| (-658 |#2|))) (-15 -2852 (|#1| |#1| |#1|)) (-15 -4328 (|#1| |#1| |#1|)) (-15 -4328 (|#1| |#1| |#2|)) (-15 -4471 (|#1| |#1| |#1|)) (-15 -2461 ((-141) |#1| |#1|)) (-15 -4528 (|#1| |#1| |#1|)) (-15 -4528 (|#1| |#1| |#2|)) (-15 -4528 (|#1| |#2| |#1|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -3452 ((-790) |#2| |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|))) (-451 |#2|) (-1119)) (T -450)) 
-((-1403 (*1 *2) (-12 (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-450 *3 *4)) (-4 *3 (-451 *4))))) 
-(-10 -8 (-15 -1403 ((-790))) (-15 -1825 (|#1| (-944))) (-15 -3546 ((-944) |#1|)) (-15 -4290 (|#1|)) (-15 -1837 (|#2| |#1|)) (-15 -3319 (|#2| |#1|)) (-15 -1875 (|#1|)) (-15 -2184 (|#1| |#1|)) (-15 -1484 ((-790) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -4586 (|#1|)) (-15 -4586 (|#1| (-658 |#2|))) (-15 -2224 (|#1|)) (-15 -2224 (|#1| (-658 |#2|))) (-15 -2852 (|#1| |#1| |#1|)) (-15 -4328 (|#1| |#1| |#1|)) (-15 -4328 (|#1| |#1| |#2|)) (-15 -4471 (|#1| |#1| |#1|)) (-15 -2461 ((-141) |#1| |#1|)) (-15 -4528 (|#1| |#1| |#1|)) (-15 -4528 (|#1| |#1| |#2|)) (-15 -4528 (|#1| |#2| |#1|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -3452 ((-790) |#2| |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|))) 
-((-1641 (((-141) $ $) 18)) (-1875 (($) 64 (|has| |#1| (-394)))) (-4528 (($ |#1| $) 79) (($ $ |#1|) 78) (($ $ $) 77)) (-4471 (($ $ $) 75)) (-2461 (((-141) $ $) 76)) (-2126 (((-141) $ (-790)) 8)) (-1403 (((-790)) 57 (|has| |#1| (-394)))) (-2224 (($ (-658 |#1|)) 71) (($) 70)) (-4125 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) 52 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1360 (($ $) 55 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 43 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) 54 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 51 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4625)))) (-4290 (($) 60 (|has| |#1| (-394)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-1837 ((|#1| $) 62 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3319 ((|#1| $) 63 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-3546 (((-944) $) 59 (|has| |#1| (-394)))) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22)) (-2852 (($ $ $) 72)) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-1825 (($ (-944)) 58 (|has| |#1| (-394)))) (-2951 (((-1137) $) 21)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 48)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-1405 (((-658 $)) 61 (|has| |#1| (-394)))) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-4328 (($ $ |#1|) 74) (($ $ $) 73)) (-1653 (($) 46) (($ (-658 |#1|)) 45)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 47)) (-2184 (($ $) 65 (|has| |#1| (-394)))) (-1683 (((-877) $) 20)) (-1484 (((-790) $) 66)) (-4586 (($ (-658 |#1|)) 69) (($) 68)) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19)) (-3266 (((-141) $ $) 67)) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-451 |#1|) (-1311) (-1119)) (T -451)) 
-((-1484 (*1 *2 *1) (-12 (-4 *1 (-451 *3)) (-4 *3 (-1119)) (-5 *2 (-790)))) (-2184 (*1 *1 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-1119)) (-4 *2 (-394)))) (-1875 (*1 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-394)) (-4 *2 (-1119)))) (-3319 (*1 *2 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-1119)) (-4 *2 (-869)))) (-1837 (*1 *2 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-1119)) (-4 *2 (-869))))) 
-(-13 (-243 |t#1|) (-1116 |t#1|) (-10 -8 (-6 -4625) (-15 -1484 ((-790) $)) (IF (|has| |t#1| (-394)) (PROGN (-6 (-394)) (-15 -2184 ($ $)) (-15 -1875 ($))) |noBranch|) (IF (|has| |t#1| (-869)) (PROGN (-15 -3319 (|t#1| $)) (-15 -1837 (|t#1| $))) |noBranch|))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) . T) ((-632 (-877)) . T) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-243 |#1|) . T) ((-249 |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-394) |has| |#1| (-394)) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1116 |#1|) . T) ((-1119) . T) ((-1225) . T)) 
-((-1776 (((-609 |#2|) |#2| (-1191)) 35)) (-2751 (((-609 |#2|) |#2| (-1191)) 19)) (-3586 ((|#2| |#2| (-1191)) 24))) 
-(((-452 |#1| |#2|) (-10 -7 (-15 -2751 ((-609 |#2|) |#2| (-1191))) (-15 -1776 ((-609 |#2|) |#2| (-1191))) (-15 -3586 (|#2| |#2| (-1191)))) (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-29 |#1|))) (T -452)) 
-((-3586 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-452 *4 *2)) (-4 *2 (-13 (-1211) (-29 *4))))) (-1776 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-452 *5 *3)) (-4 *3 (-13 (-1211) (-29 *5))))) (-2751 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-452 *5 *3)) (-4 *3 (-13 (-1211) (-29 *5)))))) 
-(-10 -7 (-15 -2751 ((-609 |#2|) |#2| (-1191))) (-15 -1776 ((-609 |#2|) |#2| (-1191))) (-15 -3586 (|#2| |#2| (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-1842 (($ |#2| |#1|) 35)) (-3752 (($ |#2| |#1|) 33)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-351 |#2|)) 25)) (-4010 (((-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 10 T CONST)) (-4257 (($) 16 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 34)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-453 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4612)) (IF (|has| |#1| (-6 -4612)) (-6 -4612) |noBranch|) |noBranch|) (-15 -1683 ($ |#1|)) (-15 -1683 ($ (-351 |#2|))) (-15 -1842 ($ |#2| |#1|)) (-15 -3752 ($ |#2| |#1|)))) (-13 (-194) (-43 (-433 (-592)))) (-13 (-869) (-21))) (T -453)) 
-((-1683 (*1 *1 *2) (-12 (-5 *1 (-453 *2 *3)) (-4 *2 (-13 (-194) (-43 (-433 (-592))))) (-4 *3 (-13 (-869) (-21))))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-351 *4)) (-4 *4 (-13 (-869) (-21))) (-5 *1 (-453 *3 *4)) (-4 *3 (-13 (-194) (-43 (-433 (-592))))))) (-1842 (*1 *1 *2 *3) (-12 (-5 *1 (-453 *3 *2)) (-4 *3 (-13 (-194) (-43 (-433 (-592))))) (-4 *2 (-13 (-869) (-21))))) (-3752 (*1 *1 *2 *3) (-12 (-5 *1 (-453 *3 *2)) (-4 *3 (-13 (-194) (-43 (-433 (-592))))) (-4 *2 (-13 (-869) (-21)))))) 
-(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4612)) (IF (|has| |#1| (-6 -4612)) (-6 -4612) |noBranch|) |noBranch|) (-15 -1683 ($ |#1|)) (-15 -1683 ($ (-351 |#2|))) (-15 -1842 ($ |#2| |#1|)) (-15 -3752 ($ |#2| |#1|)))) 
-((-3162 (((-3 |#2| (-658 |#2|)) |#2| (-1191)) 104))) 
-(((-454 |#1| |#2|) (-10 -7 (-15 -3162 ((-3 |#2| (-658 |#2|)) |#2| (-1191)))) (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-987) (-29 |#1|))) (T -454)) 
-((-3162 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 *3 (-658 *3))) (-5 *1 (-454 *5 *3)) (-4 *3 (-13 (-1211) (-987) (-29 *5)))))) 
-(-10 -7 (-15 -3162 ((-3 |#2| (-658 |#2|)) |#2| (-1191)))) 
-((-4085 (((-658 (-1191)) $) 72)) (-4492 (((-433 (-1187 $)) $ (-631 $)) 268)) (-3147 (($ $ (-310 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-658 (-631 $)) (-658 $)) 233)) (-4368 (((-3 (-631 $) "failed") $) NIL) (((-3 (-1191) "failed") $) 75) (((-3 (-592) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-433 (-980 |#2|)) "failed") $) 319) (((-3 (-980 |#2|) "failed") $) 231) (((-3 (-433 (-592)) "failed") $) NIL)) (-2400 (((-631 $) $) NIL) (((-1191) $) 30) (((-592) $) NIL) ((|#2| $) 227) (((-433 (-980 |#2|)) $) 300) (((-980 |#2|) $) 228) (((-433 (-592)) $) NIL)) (-2791 (((-143) (-143)) 47)) (-3838 (($ $) 87)) (-4160 (((-3 (-631 $) "failed") $) 224)) (-4486 (((-658 (-631 $)) $) 225)) (-4421 (((-3 (-658 $) "failed") $) 243)) (-2427 (((-3 (-2 (|:| |val| $) (|:| -3215 (-592))) "failed") $) 250)) (-2947 (((-3 (-658 $) "failed") $) 241)) (-1649 (((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 $))) "failed") $) 259)) (-2257 (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $) 247) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-143)) 214) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-1191)) 216)) (-4559 (((-141) $) 19)) (-4565 ((|#2| $) 21)) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) 232) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) 96) (($ $ (-1191) (-1 $ (-658 $))) NIL) (($ $ (-1191) (-1 $ $)) NIL) (($ $ (-658 (-143)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-143) (-1 $ (-658 $))) NIL) (($ $ (-143) (-1 $ $)) NIL) (($ $ (-1191)) 57) (($ $ (-658 (-1191))) 236) (($ $) 237) (($ $ (-143) $ (-1191)) 60) (($ $ (-658 (-143)) (-658 $) (-1191)) 67) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ $))) 107) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ (-658 $)))) 238) (($ $ (-1191) (-790) (-1 $ (-658 $))) 94) (($ $ (-1191) (-790) (-1 $ $)) 93)) (-3927 (($ (-143) $) NIL) (($ (-143) $ $) NIL) (($ (-143) $ $ $) NIL) (($ (-143) $ $ $ $) NIL) (($ (-143) (-658 $)) 106)) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) 234)) (-2782 (($ $) 279)) (-1778 (((-914 (-592)) $) 253) (((-914 (-405)) $) 256) (($ (-444 $)) 315) (((-565) $) NIL)) (-1683 (((-877) $) 235) (($ (-631 $)) 84) (($ (-1191)) 26) (($ |#2|) NIL) (($ (-1142 |#2| (-631 $))) NIL) (($ (-433 |#2|)) 284) (($ (-980 (-433 |#2|))) 324) (($ (-433 (-980 (-433 |#2|)))) 296) (($ (-433 (-980 |#2|))) 290) (($ $) NIL) (($ (-980 |#2|)) 183) (($ (-433 (-592))) 329) (($ (-592)) NIL)) (-4010 (((-790)) 79)) (-3038 (((-141) (-143)) 41)) (-3270 (($ (-1191) $) 33) (($ (-1191) $ $) 34) (($ (-1191) $ $ $) 35) (($ (-1191) $ $ $ $) 36) (($ (-1191) (-658 $)) 39)) (* (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-455 |#1| |#2|) (-10 -8 (-15 * (|#1| (-944) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -4010 ((-790))) (-15 -1683 (|#1| (-592))) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1778 ((-565) |#1|)) (-15 -2400 ((-980 |#2|) |#1|)) (-15 -4368 ((-3 (-980 |#2|) "failed") |#1|)) (-15 -1683 (|#1| (-980 |#2|))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -1683 (|#1| |#1|)) (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -2400 ((-433 (-980 |#2|)) |#1|)) (-15 -4368 ((-3 (-433 (-980 |#2|)) "failed") |#1|)) (-15 -1683 (|#1| (-433 (-980 |#2|)))) (-15 -4492 ((-433 (-1187 |#1|)) |#1| (-631 |#1|))) (-15 -1683 (|#1| (-433 (-980 (-433 |#2|))))) (-15 -1683 (|#1| (-980 (-433 |#2|)))) (-15 -1683 (|#1| (-433 |#2|))) (-15 -2782 (|#1| |#1|)) (-15 -1778 (|#1| (-444 |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-790) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-790) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-790)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-790)) (-658 (-1 |#1| |#1|)))) (-15 -2427 ((-3 (-2 (|:| |val| |#1|) (|:| -3215 (-592))) "failed") |#1|)) (-15 -2257 ((-3 (-2 (|:| |var| (-631 |#1|)) (|:| -3215 (-592))) "failed") |#1| (-1191))) (-15 -2257 ((-3 (-2 (|:| |var| (-631 |#1|)) (|:| -3215 (-592))) "failed") |#1| (-143))) (-15 -3838 (|#1| |#1|)) (-15 -1683 (|#1| (-1142 |#2| (-631 |#1|)))) (-15 -1649 ((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 |#1|))) "failed") |#1|)) (-15 -2947 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -2257 ((-3 (-2 (|:| |var| (-631 |#1|)) (|:| -3215 (-592))) "failed") |#1|)) (-15 -4421 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 |#1|) (-1191))) (-15 -2806 (|#1| |#1| (-143) |#1| (-1191))) (-15 -2806 (|#1| |#1|)) (-15 -2806 (|#1| |#1| (-658 (-1191)))) (-15 -2806 (|#1| |#1| (-1191))) (-15 -3270 (|#1| (-1191) (-658 |#1|))) (-15 -3270 (|#1| (-1191) |#1| |#1| |#1| |#1|)) (-15 -3270 (|#1| (-1191) |#1| |#1| |#1|)) (-15 -3270 (|#1| (-1191) |#1| |#1|)) (-15 -3270 (|#1| (-1191) |#1|)) (-15 -4085 ((-658 (-1191)) |#1|)) (-15 -4565 (|#2| |#1|)) (-15 -4559 ((-141) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -2400 ((-1191) |#1|)) (-15 -4368 ((-3 (-1191) "failed") |#1|)) (-15 -1683 (|#1| (-1191))) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| |#1|)))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| |#1|)))) (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -4486 ((-658 (-631 |#1|)) |#1|)) (-15 -4160 ((-3 (-631 |#1|) "failed") |#1|)) (-15 -3147 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -3147 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -3147 (|#1| |#1| (-310 |#1|))) (-15 -3927 (|#1| (-143) (-658 |#1|))) (-15 -3927 (|#1| (-143) |#1| |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -2806 (|#1| |#1| (-631 |#1|) |#1|)) (-15 -2400 ((-631 |#1|) |#1|)) (-15 -4368 ((-3 (-631 |#1|) "failed") |#1|)) (-15 -1683 (|#1| (-631 |#1|))) (-15 -1683 ((-877) |#1|))) (-456 |#2|) (-869)) (T -455)) 
-((-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *4 (-869)) (-5 *1 (-455 *3 *4)) (-4 *3 (-456 *4)))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-455 *4 *5)) (-4 *4 (-456 *5)))) (-4010 (*1 *2) (-12 (-4 *4 (-869)) (-5 *2 (-790)) (-5 *1 (-455 *3 *4)) (-4 *3 (-456 *4))))) 
-(-10 -8 (-15 * (|#1| (-944) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -4010 ((-790))) (-15 -1683 (|#1| (-592))) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1778 ((-565) |#1|)) (-15 -2400 ((-980 |#2|) |#1|)) (-15 -4368 ((-3 (-980 |#2|) "failed") |#1|)) (-15 -1683 (|#1| (-980 |#2|))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -1683 (|#1| |#1|)) (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -2400 ((-433 (-980 |#2|)) |#1|)) (-15 -4368 ((-3 (-433 (-980 |#2|)) "failed") |#1|)) (-15 -1683 (|#1| (-433 (-980 |#2|)))) (-15 -4492 ((-433 (-1187 |#1|)) |#1| (-631 |#1|))) (-15 -1683 (|#1| (-433 (-980 (-433 |#2|))))) (-15 -1683 (|#1| (-980 (-433 |#2|)))) (-15 -1683 (|#1| (-433 |#2|))) (-15 -2782 (|#1| |#1|)) (-15 -1778 (|#1| (-444 |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-790) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-790) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-790)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-790)) (-658 (-1 |#1| |#1|)))) (-15 -2427 ((-3 (-2 (|:| |val| |#1|) (|:| -3215 (-592))) "failed") |#1|)) (-15 -2257 ((-3 (-2 (|:| |var| (-631 |#1|)) (|:| -3215 (-592))) "failed") |#1| (-1191))) (-15 -2257 ((-3 (-2 (|:| |var| (-631 |#1|)) (|:| -3215 (-592))) "failed") |#1| (-143))) (-15 -3838 (|#1| |#1|)) (-15 -1683 (|#1| (-1142 |#2| (-631 |#1|)))) (-15 -1649 ((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 |#1|))) "failed") |#1|)) (-15 -2947 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -2257 ((-3 (-2 (|:| |var| (-631 |#1|)) (|:| -3215 (-592))) "failed") |#1|)) (-15 -4421 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 |#1|) (-1191))) (-15 -2806 (|#1| |#1| (-143) |#1| (-1191))) (-15 -2806 (|#1| |#1|)) (-15 -2806 (|#1| |#1| (-658 (-1191)))) (-15 -2806 (|#1| |#1| (-1191))) (-15 -3270 (|#1| (-1191) (-658 |#1|))) (-15 -3270 (|#1| (-1191) |#1| |#1| |#1| |#1|)) (-15 -3270 (|#1| (-1191) |#1| |#1| |#1|)) (-15 -3270 (|#1| (-1191) |#1| |#1|)) (-15 -3270 (|#1| (-1191) |#1|)) (-15 -4085 ((-658 (-1191)) |#1|)) (-15 -4565 (|#2| |#1|)) (-15 -4559 ((-141) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -2400 ((-1191) |#1|)) (-15 -4368 ((-3 (-1191) "failed") |#1|)) (-15 -1683 (|#1| (-1191))) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-143) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-143)) (-658 (-1 |#1| |#1|)))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| |#1|))) (-15 -2806 (|#1| |#1| (-1191) (-1 |#1| (-658 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| (-658 |#1|))))) (-15 -2806 (|#1| |#1| (-658 (-1191)) (-658 (-1 |#1| |#1|)))) (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -4486 ((-658 (-631 |#1|)) |#1|)) (-15 -4160 ((-3 (-631 |#1|) "failed") |#1|)) (-15 -3147 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -3147 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -3147 (|#1| |#1| (-310 |#1|))) (-15 -3927 (|#1| (-143) (-658 |#1|))) (-15 -3927 (|#1| (-143) |#1| |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1| |#1|)) (-15 -3927 (|#1| (-143) |#1|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -2806 (|#1| |#1| (-658 (-631 |#1|)) (-658 |#1|))) (-15 -2806 (|#1| |#1| (-631 |#1|) |#1|)) (-15 -2400 ((-631 |#1|) |#1|)) (-15 -4368 ((-3 (-631 |#1|) "failed") |#1|)) (-15 -1683 (|#1| (-631 |#1|))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 108 (|has| |#1| (-25)))) (-4085 (((-658 (-1191)) $) 195)) (-4492 (((-433 (-1187 $)) $ (-631 $)) 163 (|has| |#1| (-582)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 135 (|has| |#1| (-582)))) (-1555 (($ $) 136 (|has| |#1| (-582)))) (-1313 (((-141) $) 138 (|has| |#1| (-582)))) (-2165 (((-658 (-631 $)) $) 43)) (-2350 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-3147 (($ $ (-310 $)) 55) (($ $ (-658 (-310 $))) 54) (($ $ (-658 (-631 $)) (-658 $)) 53)) (-3743 (($ $) 155 (|has| |#1| (-582)))) (-3164 (((-444 $) $) 156 (|has| |#1| (-582)))) (-3652 (((-141) $ $) 146 (|has| |#1| (-582)))) (-3001 (($) 94 (-3836 (|has| |#1| (-1131)) (|has| |#1| (-25))) CONST)) (-4368 (((-3 (-631 $) "failed") $) 68) (((-3 (-1191) "failed") $) 208) (((-3 (-592) "failed") $) 201 (|has| |#1| (-1065 (-592)))) (((-3 |#1| "failed") $) 199) (((-3 (-433 (-980 |#1|)) "failed") $) 161 (|has| |#1| (-582))) (((-3 (-980 |#1|) "failed") $) 115 (|has| |#1| (-1075))) (((-3 (-433 (-592)) "failed") $) 87 (-3836 (-12 (|has| |#1| (-1065 (-592))) (|has| |#1| (-582))) (|has| |#1| (-1065 (-433 (-592))))))) (-2400 (((-631 $) $) 67) (((-1191) $) 207) (((-592) $) 202 (|has| |#1| (-1065 (-592)))) ((|#1| $) 198) (((-433 (-980 |#1|)) $) 160 (|has| |#1| (-582))) (((-980 |#1|) $) 114 (|has| |#1| (-1075))) (((-433 (-592)) $) 86 (-3836 (-12 (|has| |#1| (-1065 (-592))) (|has| |#1| (-582))) (|has| |#1| (-1065 (-433 (-592))))))) (-1586 (($ $ $) 150 (|has| |#1| (-582)))) (-3945 (((-706 (-592)) (-706 $)) 129 (-1732 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 128 (-1732 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 127 (|has| |#1| (-1075))) (((-706 |#1|) (-706 $)) 126 (|has| |#1| (-1075)))) (-3371 (((-3 $ "failed") $) 97 (|has| |#1| (-1131)))) (-1599 (($ $ $) 149 (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 144 (|has| |#1| (-582)))) (-2802 (((-141) $) 157 (|has| |#1| (-582)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 204 (|has| |#1| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 203 (|has| |#1| (-908 (-405))))) (-2243 (($ $) 50) (($ (-658 $)) 49)) (-4388 (((-658 (-143)) $) 42)) (-2791 (((-143) (-143)) 41)) (-3558 (((-141) $) 95 (|has| |#1| (-1131)))) (-3372 (((-141) $) 21 (|has| $ (-1065 (-592))))) (-3838 (($ $) 178 (|has| |#1| (-1075)))) (-1448 (((-1142 |#1| (-631 $)) $) 179 (|has| |#1| (-1075)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 153 (|has| |#1| (-582)))) (-2710 (((-1187 $) (-631 $)) 24 (|has| $ (-1075)))) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2731 (($ (-1 $ $) (-631 $)) 35)) (-4160 (((-3 (-631 $) "failed") $) 45)) (-2750 (($ (-658 $)) 142 (|has| |#1| (-582))) (($ $ $) 141 (|has| |#1| (-582)))) (-2685 (((-1173) $) 9)) (-4486 (((-658 (-631 $)) $) 44)) (-1462 (($ (-143) $) 37) (($ (-143) (-658 $)) 36)) (-4421 (((-3 (-658 $) "failed") $) 184 (|has| |#1| (-1131)))) (-2427 (((-3 (-2 (|:| |val| $) (|:| -3215 (-592))) "failed") $) 175 (|has| |#1| (-1075)))) (-2947 (((-3 (-658 $) "failed") $) 182 (|has| |#1| (-25)))) (-1649 (((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 $))) "failed") $) 181 (|has| |#1| (-25)))) (-2257 (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $) 183 (|has| |#1| (-1131))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-143)) 177 (|has| |#1| (-1075))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-1191)) 176 (|has| |#1| (-1075)))) (-3013 (((-141) $ (-143)) 39) (((-141) $ (-1191)) 38)) (-4552 (($ $) 99 (-3836 (|has| |#1| (-502)) (|has| |#1| (-582))))) (-2535 (((-790) $) 46)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 197)) (-4565 ((|#1| $) 196)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 143 (|has| |#1| (-582)))) (-3548 (($ (-658 $)) 140 (|has| |#1| (-582))) (($ $ $) 139 (|has| |#1| (-582)))) (-1319 (((-141) $ $) 34) (((-141) $ (-1191)) 33)) (-4500 (((-444 $) $) 154 (|has| |#1| (-582)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-582))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 151 (|has| |#1| (-582)))) (-3616 (((-3 $ "failed") $ $) 134 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 145 (|has| |#1| (-582)))) (-3554 (((-141) $) 22 (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) 66) (($ $ (-658 (-631 $)) (-658 $)) 65) (($ $ (-658 (-310 $))) 64) (($ $ (-310 $)) 63) (($ $ $ $) 62) (($ $ (-658 $) (-658 $)) 61) (($ $ (-658 (-1191)) (-658 (-1 $ $))) 32) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) 31) (($ $ (-1191) (-1 $ (-658 $))) 30) (($ $ (-1191) (-1 $ $)) 29) (($ $ (-658 (-143)) (-658 (-1 $ $))) 28) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) 27) (($ $ (-143) (-1 $ (-658 $))) 26) (($ $ (-143) (-1 $ $)) 25) (($ $ (-1191)) 189 (|has| |#1| (-633 (-565)))) (($ $ (-658 (-1191))) 188 (|has| |#1| (-633 (-565)))) (($ $) 187 (|has| |#1| (-633 (-565)))) (($ $ (-143) $ (-1191)) 186 (|has| |#1| (-633 (-565)))) (($ $ (-658 (-143)) (-658 $) (-1191)) 185 (|has| |#1| (-633 (-565)))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ $))) 174 (|has| |#1| (-1075))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ (-658 $)))) 173 (|has| |#1| (-1075))) (($ $ (-1191) (-790) (-1 $ (-658 $))) 172 (|has| |#1| (-1075))) (($ $ (-1191) (-790) (-1 $ $)) 171 (|has| |#1| (-1075)))) (-2769 (((-790) $) 147 (|has| |#1| (-582)))) (-3927 (($ (-143) $) 60) (($ (-143) $ $) 59) (($ (-143) $ $ $) 58) (($ (-143) $ $ $ $) 57) (($ (-143) (-658 $)) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 148 (|has| |#1| (-582)))) (-2818 (($ $) 48) (($ $ $) 47)) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) 120 (|has| |#1| (-1075))) (($ $ (-1191) (-790)) 119 (|has| |#1| (-1075))) (($ $ (-658 (-1191))) 118 (|has| |#1| (-1075))) (($ $ (-1191)) 117 (|has| |#1| (-1075)))) (-2782 (($ $) 168 (|has| |#1| (-582)))) (-1456 (((-1142 |#1| (-631 $)) $) 169 (|has| |#1| (-582)))) (-3390 (($ $) 23 (|has| $ (-1075)))) (-1778 (((-914 (-592)) $) 206 (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) 205 (|has| |#1| (-633 (-914 (-405))))) (($ (-444 $)) 170 (|has| |#1| (-582))) (((-565) $) 89 (|has| |#1| (-633 (-565))))) (-2227 (($ $ $) 103 (|has| |#1| (-502)))) (-2131 (($ $ $) 104 (|has| |#1| (-502)))) (-1683 (((-877) $) 11) (($ (-631 $)) 69) (($ (-1191)) 209) (($ |#1|) 200) (($ (-1142 |#1| (-631 $))) 180 (|has| |#1| (-1075))) (($ (-433 |#1|)) 166 (|has| |#1| (-582))) (($ (-980 (-433 |#1|))) 165 (|has| |#1| (-582))) (($ (-433 (-980 (-433 |#1|)))) 164 (|has| |#1| (-582))) (($ (-433 (-980 |#1|))) 162 (|has| |#1| (-582))) (($ $) 133 (|has| |#1| (-582))) (($ (-980 |#1|)) 116 (|has| |#1| (-1075))) (($ (-433 (-592))) 88 (-3836 (|has| |#1| (-582)) (-12 (|has| |#1| (-1065 (-592))) (|has| |#1| (-582))) (|has| |#1| (-1065 (-433 (-592)))))) (($ (-592)) 85 (-3836 (|has| |#1| (-1075)) (|has| |#1| (-1065 (-592)))))) (-1517 (((-3 $ "failed") $) 130 (|has| |#1| (-169)))) (-4010 (((-790)) 125 (|has| |#1| (-1075)))) (-3280 (($ $) 52) (($ (-658 $)) 51)) (-3038 (((-141) (-143)) 40)) (-2537 (((-141) $ $) 137 (|has| |#1| (-582)))) (-3270 (($ (-1191) $) 194) (($ (-1191) $ $) 193) (($ (-1191) $ $ $) 192) (($ (-1191) $ $ $ $) 191) (($ (-1191) (-658 $)) 190)) (-1424 (($ $ (-592)) 102 (-3836 (|has| |#1| (-502)) (|has| |#1| (-582)))) (($ $ (-790)) 96 (|has| |#1| (-1131))) (($ $ (-944)) 92 (|has| |#1| (-1131)))) (-3514 (($) 107 (|has| |#1| (-25)) CONST)) (-4257 (($) 93 (|has| |#1| (-1131)) CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) 124 (|has| |#1| (-1075))) (($ $ (-1191) (-790)) 123 (|has| |#1| (-1075))) (($ $ (-658 (-1191))) 122 (|has| |#1| (-1075))) (($ $ (-1191)) 121 (|has| |#1| (-1075)))) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3313 (($ (-1142 |#1| (-631 $)) (-1142 |#1| (-631 $))) 167 (|has| |#1| (-582))) (($ $ $) 100 (-3836 (|has| |#1| (-502)) (|has| |#1| (-582))))) (-3306 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-3300 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-592)) 101 (-3836 (|has| |#1| (-502)) (|has| |#1| (-582)))) (($ $ (-790)) 98 (|has| |#1| (-1131))) (($ $ (-944)) 91 (|has| |#1| (-1131)))) (* (($ (-433 (-592)) $) 159 (|has| |#1| (-582))) (($ $ (-433 (-592))) 158 (|has| |#1| (-582))) (($ |#1| $) 132 (|has| |#1| (-194))) (($ $ |#1|) 131 (|has| |#1| (-194))) (($ (-592) $) 113 (|has| |#1| (-21))) (($ (-790) $) 109 (|has| |#1| (-25))) (($ (-944) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1131))))) 
-(((-456 |#1|) (-1311) (-869)) (T -456)) 
-((-4559 (*1 *2 *1) (-12 (-4 *1 (-456 *3)) (-4 *3 (-869)) (-5 *2 (-141)))) (-4565 (*1 *2 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)))) (-4085 (*1 *2 *1) (-12 (-4 *1 (-456 *3)) (-4 *3 (-869)) (-5 *2 (-658 (-1191))))) (-3270 (*1 *1 *2 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) (-3270 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) (-3270 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) (-3270 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) (-3270 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-658 *1)) (-4 *1 (-456 *4)) (-4 *4 (-869)))) (-2806 (*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)) (-4 *3 (-633 (-565))))) (-2806 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-1191))) (-4 *1 (-456 *3)) (-4 *3 (-869)) (-4 *3 (-633 (-565))))) (-2806 (*1 *1 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)) (-4 *2 (-633 (-565))))) (-2806 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1191)) (-4 *1 (-456 *4)) (-4 *4 (-869)) (-4 *4 (-633 (-565))))) (-2806 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-143))) (-5 *3 (-658 *1)) (-5 *4 (-1191)) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-633 (-565))))) (-4421 (*1 *2 *1) (|partial| -12 (-4 *3 (-1131)) (-4 *3 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-456 *3)))) (-2257 (*1 *2 *1) (|partial| -12 (-4 *3 (-1131)) (-4 *3 (-869)) (-5 *2 (-2 (|:| |var| (-631 *1)) (|:| -3215 (-592)))) (-4 *1 (-456 *3)))) (-2947 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-456 *3)))) (-1649 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -1487 (-592)) (|:| |var| (-631 *1)))) (-4 *1 (-456 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1142 *3 (-631 *1))) (-4 *3 (-1075)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) (-1448 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *3 (-869)) (-5 *2 (-1142 *3 (-631 *1))) (-4 *1 (-456 *3)))) (-3838 (*1 *1 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)) (-4 *2 (-1075)))) (-2257 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-143)) (-4 *4 (-1075)) (-4 *4 (-869)) (-5 *2 (-2 (|:| |var| (-631 *1)) (|:| -3215 (-592)))) (-4 *1 (-456 *4)))) (-2257 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1191)) (-4 *4 (-1075)) (-4 *4 (-869)) (-5 *2 (-2 (|:| |var| (-631 *1)) (|:| -3215 (-592)))) (-4 *1 (-456 *4)))) (-2427 (*1 *2 *1) (|partial| -12 (-4 *3 (-1075)) (-4 *3 (-869)) (-5 *2 (-2 (|:| |val| *1) (|:| -3215 (-592)))) (-4 *1 (-456 *3)))) (-2806 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-790))) (-5 *4 (-658 (-1 *1 *1))) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) (-2806 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-790))) (-5 *4 (-658 (-1 *1 (-658 *1)))) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) (-2806 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-790)) (-5 *4 (-1 *1 (-658 *1))) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) (-2806 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-790)) (-5 *4 (-1 *1 *1)) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-444 *1)) (-4 *1 (-456 *3)) (-4 *3 (-582)) (-4 *3 (-869)))) (-1456 (*1 *2 *1) (-12 (-4 *3 (-582)) (-4 *3 (-869)) (-5 *2 (-1142 *3 (-631 *1))) (-4 *1 (-456 *3)))) (-2782 (*1 *1 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)) (-4 *2 (-582)))) (-3313 (*1 *1 *2 *2) (-12 (-5 *2 (-1142 *3 (-631 *1))) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-433 *3)) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-980 (-433 *3))) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-433 *3)))) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) (-4492 (*1 *2 *1 *3) (-12 (-5 *3 (-631 *1)) (-4 *1 (-456 *4)) (-4 *4 (-869)) (-4 *4 (-582)) (-5 *2 (-433 (-1187 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-456 *3)) (-4 *3 (-869)) (-4 *3 (-1131))))) 
-(-13 (-318) (-1065 (-1191)) (-906 |t#1|) (-426 |t#1|) (-437 |t#1|) (-10 -8 (-15 -4559 ((-141) $)) (-15 -4565 (|t#1| $)) (-15 -4085 ((-658 (-1191)) $)) (-15 -3270 ($ (-1191) $)) (-15 -3270 ($ (-1191) $ $)) (-15 -3270 ($ (-1191) $ $ $)) (-15 -3270 ($ (-1191) $ $ $ $)) (-15 -3270 ($ (-1191) (-658 $))) (IF (|has| |t#1| (-633 (-565))) (PROGN (-6 (-633 (-565))) (-15 -2806 ($ $ (-1191))) (-15 -2806 ($ $ (-658 (-1191)))) (-15 -2806 ($ $)) (-15 -2806 ($ $ (-143) $ (-1191))) (-15 -2806 ($ $ (-658 (-143)) (-658 $) (-1191)))) |noBranch|) (IF (|has| |t#1| (-1131)) (PROGN (-6 (-743)) (-15 ** ($ $ (-790))) (-15 -4421 ((-3 (-658 $) "failed") $)) (-15 -2257 ((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-502)) (-6 (-502)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -2947 ((-3 (-658 $) "failed") $)) (-15 -1649 ((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1075)) (PROGN (-6 (-1075)) (-6 (-1065 (-980 |t#1|))) (-6 (-922 (-1191))) (-6 (-403 |t#1|)) (-15 -1683 ($ (-1142 |t#1| (-631 $)))) (-15 -1448 ((-1142 |t#1| (-631 $)) $)) (-15 -3838 ($ $)) (-15 -2257 ((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-143))) (-15 -2257 ((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-1191))) (-15 -2427 ((-3 (-2 (|:| |val| $) (|:| -3215 (-592))) "failed") $)) (-15 -2806 ($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ $)))) (-15 -2806 ($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ (-658 $))))) (-15 -2806 ($ $ (-1191) (-790) (-1 $ (-658 $)))) (-15 -2806 ($ $ (-1191) (-790) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |t#1| (-194)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-582)) (PROGN (-6 (-388)) (-6 (-1065 (-433 (-980 |t#1|)))) (-15 -1778 ($ (-444 $))) (-15 -1456 ((-1142 |t#1| (-631 $)) $)) (-15 -2782 ($ $)) (-15 -3313 ($ (-1142 |t#1| (-631 $)) (-1142 |t#1| (-631 $)))) (-15 -1683 ($ (-433 |t#1|))) (-15 -1683 ($ (-980 (-433 |t#1|)))) (-15 -1683 ($ (-433 (-980 (-433 |t#1|))))) (-15 -4492 ((-433 (-1187 $)) $ (-631 $))) (IF (|has| |t#1| (-1065 (-592))) (-6 (-1065 (-433 (-592)))) |noBranch|)) |noBranch|))) 
-(((-21) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169)) (|has| |#1| (-21))) ((-23) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-433 (-592))) |has| |#1| (-582)) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-582)) ((-140 |#1| |#1|) |has| |#1| (-194)) ((-140 $ $) |has| |#1| (-582)) ((-158) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169)) (|has| |#1| (-21))) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) |has| |#1| (-582)) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-633 (-914 (-405))) |has| |#1| (-633 (-914 (-405)))) ((-633 (-914 (-592))) |has| |#1| (-633 (-914 (-592)))) ((-260) |has| |#1| (-582)) ((-307) |has| |#1| (-582)) ((-323) |has| |#1| (-582)) ((-325 $) . T) ((-318) . T) ((-388) |has| |#1| (-582)) ((-403 |#1|) |has| |#1| (-1075)) ((-426 |#1|) . T) ((-437 |#1|) . T) ((-477) |has| |#1| (-582)) ((-502) |has| |#1| (-502)) ((-547 (-631 $) $) . T) ((-547 $ $) . T) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-582)) ((-661 |#1|) |has| |#1| (-194)) ((-661 $) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169))) ((-678) |has| |#1| (-582)) ((-654 (-592)) -12 (|has| |#1| (-654 (-592))) (|has| |#1| (-1075))) ((-654 |#1|) |has| |#1| (-1075)) ((-734 (-433 (-592))) |has| |#1| (-582)) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) -3836 (|has| |#1| (-1131)) (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-502)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169))) ((-869) . T) ((-922 (-1191)) |has| |#1| (-1075)) ((-908 (-405)) |has| |#1| (-908 (-405))) ((-908 (-592)) |has| |#1| (-908 (-592))) ((-906 |#1|) . T) ((-943) |has| |#1| (-582)) ((-1065 (-433 (-592))) -3836 (|has| |#1| (-1065 (-433 (-592)))) (-12 (|has| |#1| (-582)) (|has| |#1| (-1065 (-592))))) ((-1065 (-433 (-980 |#1|))) |has| |#1| (-582)) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 (-631 $)) . T) ((-1065 (-980 |#1|)) |has| |#1| (-1075)) ((-1065 (-1191)) . T) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) |has| |#1| (-582)) ((-1081 |#1|) |has| |#1| (-194)) ((-1081 $) |has| |#1| (-582)) ((-1075) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169))) ((-1082) -3836 (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169))) ((-1131) -3836 (|has| |#1| (-1131)) (|has| |#1| (-1075)) (|has| |#1| (-582)) (|has| |#1| (-502)) (|has| |#1| (-194)) (|has| |#1| (-171)) (|has| |#1| (-169))) ((-1119) . T) ((-1225) . T) ((-1235) |has| |#1| (-582))) 
-((-4018 ((|#2| |#2| |#2|) 33)) (-2791 (((-143) (-143)) 44)) (-3322 ((|#2| (-658 |#2|)) 79)) (-3040 ((|#2| |#2|) 77)) (-3677 ((|#2| |#2|) 68)) (-4511 ((|#2| |#2|) 71)) (-3031 ((|#2| (-658 |#2|)) 75)) (-2677 ((|#2| (-658 |#2|)) 83)) (-1576 ((|#2| (-658 |#2|)) 87)) (-2176 ((|#2| (-658 |#2|)) 81)) (-2487 ((|#2| (-658 |#2|)) 85)) (-3627 ((|#2| |#2|) 91)) (-1631 ((|#2| |#2|) 89)) (-2002 ((|#2| |#2|) 32)) (-2280 ((|#2| |#2| |#2|) 35)) (-2500 ((|#2| |#2| |#2|) 37)) (-3468 ((|#2| |#2| |#2|) 34)) (-2894 ((|#2| |#2| |#2|) 36)) (-3038 (((-141) (-143)) 42)) (-2156 ((|#2| |#2|) 39)) (-3132 ((|#2| |#2|) 38)) (-1392 ((|#2| |#2|) 27)) (-2348 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-2170 ((|#2| |#2| |#2|) 31))) 
-(((-457 |#1| |#2|) (-10 -7 (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -1392 (|#2| |#2|)) (-15 -2348 (|#2| |#2|)) (-15 -2348 (|#2| |#2| |#2|)) (-15 -2170 (|#2| |#2| |#2|)) (-15 -2002 (|#2| |#2|)) (-15 -4018 (|#2| |#2| |#2|)) (-15 -3468 (|#2| |#2| |#2|)) (-15 -2280 (|#2| |#2| |#2|)) (-15 -2894 (|#2| |#2| |#2|)) (-15 -2500 (|#2| |#2| |#2|)) (-15 -3132 (|#2| |#2|)) (-15 -2156 (|#2| |#2|)) (-15 -4511 (|#2| |#2|)) (-15 -3677 (|#2| |#2|)) (-15 -3031 (|#2| (-658 |#2|))) (-15 -3040 (|#2| |#2|)) (-15 -3322 (|#2| (-658 |#2|))) (-15 -2176 (|#2| (-658 |#2|))) (-15 -2677 (|#2| (-658 |#2|))) (-15 -2487 (|#2| (-658 |#2|))) (-15 -1576 (|#2| (-658 |#2|))) (-15 -1631 (|#2| |#2|)) (-15 -3627 (|#2| |#2|))) (-13 (-869) (-582)) (-456 |#1|)) (T -457)) 
-((-3627 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-1631 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-1576 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-2487 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-2677 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-2176 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-3322 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-3040 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-3031 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582))))) (-3677 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-4511 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2156 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-3132 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2500 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2894 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2280 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-3468 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-4018 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2002 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2170 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2348 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2348 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-1392 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *4)) (-4 *4 (-456 *3)))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-457 *4 *5)) (-4 *5 (-456 *4))))) 
-(-10 -7 (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -1392 (|#2| |#2|)) (-15 -2348 (|#2| |#2|)) (-15 -2348 (|#2| |#2| |#2|)) (-15 -2170 (|#2| |#2| |#2|)) (-15 -2002 (|#2| |#2|)) (-15 -4018 (|#2| |#2| |#2|)) (-15 -3468 (|#2| |#2| |#2|)) (-15 -2280 (|#2| |#2| |#2|)) (-15 -2894 (|#2| |#2| |#2|)) (-15 -2500 (|#2| |#2| |#2|)) (-15 -3132 (|#2| |#2|)) (-15 -2156 (|#2| |#2|)) (-15 -4511 (|#2| |#2|)) (-15 -3677 (|#2| |#2|)) (-15 -3031 (|#2| (-658 |#2|))) (-15 -3040 (|#2| |#2|)) (-15 -3322 (|#2| (-658 |#2|))) (-15 -2176 (|#2| (-658 |#2|))) (-15 -2677 (|#2| (-658 |#2|))) (-15 -2487 (|#2| (-658 |#2|))) (-15 -1576 (|#2| (-658 |#2|))) (-15 -1631 (|#2| |#2|)) (-15 -3627 (|#2| |#2|))) 
-((-2667 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1187 |#2|)) (|:| |pol2| (-1187 |#2|)) (|:| |prim| (-1187 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-658 (-1187 |#2|))) (|:| |prim| (-1187 |#2|))) (-658 |#2|)) 58))) 
-(((-458 |#1| |#2|) (-10 -7 (-15 -2667 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-658 (-1187 |#2|))) (|:| |prim| (-1187 |#2|))) (-658 |#2|))) (IF (|has| |#2| (-27)) (-15 -2667 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1187 |#2|)) (|:| |pol2| (-1187 |#2|)) (|:| |prim| (-1187 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-582) (-869) (-171)) (-456 |#1|)) (T -458)) 
-((-2667 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-582) (-869) (-171))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1187 *3)) (|:| |pol2| (-1187 *3)) (|:| |prim| (-1187 *3)))) (-5 *1 (-458 *4 *3)) (-4 *3 (-27)) (-4 *3 (-456 *4)))) (-2667 (*1 *2 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-456 *4)) (-4 *4 (-13 (-582) (-869) (-171))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-658 (-1187 *5))) (|:| |prim| (-1187 *5)))) (-5 *1 (-458 *4 *5))))) 
-(-10 -7 (-15 -2667 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-658 (-1187 |#2|))) (|:| |prim| (-1187 |#2|))) (-658 |#2|))) (IF (|has| |#2| (-27)) (-15 -2667 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1187 |#2|)) (|:| |pol2| (-1187 |#2|)) (|:| |prim| (-1187 |#2|))) |#2| |#2|)) |noBranch|)) 
-((-2931 (((-1285)) 18)) (-2516 (((-1187 (-433 (-592))) |#2| (-631 |#2|)) 40) (((-433 (-592)) |#2|) 23))) 
-(((-459 |#1| |#2|) (-10 -7 (-15 -2516 ((-433 (-592)) |#2|)) (-15 -2516 ((-1187 (-433 (-592))) |#2| (-631 |#2|))) (-15 -2931 ((-1285)))) (-13 (-869) (-582) (-1065 (-592))) (-456 |#1|)) (T -459)) 
-((-2931 (*1 *2) (-12 (-4 *3 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-1285)) (-5 *1 (-459 *3 *4)) (-4 *4 (-456 *3)))) (-2516 (*1 *2 *3 *4) (-12 (-5 *4 (-631 *3)) (-4 *3 (-456 *5)) (-4 *5 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-459 *5 *3)))) (-2516 (*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-433 (-592))) (-5 *1 (-459 *4 *3)) (-4 *3 (-456 *4))))) 
-(-10 -7 (-15 -2516 ((-433 (-592)) |#2|)) (-15 -2516 ((-1187 (-433 (-592))) |#2| (-631 |#2|))) (-15 -2931 ((-1285)))) 
-((-2952 (((-141) $) 28)) (-3632 (((-141) $) 30)) (-4277 (((-141) $) 31)) (-1438 (((-141) $) 34)) (-3077 (((-141) $) 29)) (-1341 (((-141) $) 33)) (-1683 (((-877) $) 18) (($ (-1173)) 27) (($ (-1191)) 23) (((-1191) $) 22) (((-1123) $) 21)) (-3444 (((-141) $) 32)) (-3255 (((-141) $ $) 15))) 
-(((-460) (-13 (-632 (-877)) (-10 -8 (-15 -1683 ($ (-1173))) (-15 -1683 ($ (-1191))) (-15 -1683 ((-1191) $)) (-15 -1683 ((-1123) $)) (-15 -2952 ((-141) $)) (-15 -3077 ((-141) $)) (-15 -4277 ((-141) $)) (-15 -1341 ((-141) $)) (-15 -1438 ((-141) $)) (-15 -3444 ((-141) $)) (-15 -3632 ((-141) $)) (-15 -3255 ((-141) $ $))))) (T -460)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-460)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-460)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-460)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-460)))) (-2952 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-3077 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-4277 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-1341 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-1438 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-3444 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-3632 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -1683 ($ (-1173))) (-15 -1683 ($ (-1191))) (-15 -1683 ((-1191) $)) (-15 -1683 ((-1123) $)) (-15 -2952 ((-141) $)) (-15 -3077 ((-141) $)) (-15 -4277 ((-141) $)) (-15 -1341 ((-141) $)) (-15 -1438 ((-141) $)) (-15 -3444 ((-141) $)) (-15 -3632 ((-141) $)) (-15 -3255 ((-141) $ $)))) 
-((-2963 (((-3 (-444 (-1187 (-433 (-592)))) "failed") |#3|) 68)) (-2024 (((-444 |#3|) |#3|) 33)) (-2730 (((-3 (-444 (-1187 (-53))) "failed") |#3|) 27 (|has| |#2| (-1065 (-53))))) (-2786 (((-3 (|:| |overq| (-1187 (-433 (-592)))) (|:| |overan| (-1187 (-53))) (|:| -3550 (-141))) |#3|) 35))) 
-(((-461 |#1| |#2| |#3|) (-10 -7 (-15 -2024 ((-444 |#3|) |#3|)) (-15 -2963 ((-3 (-444 (-1187 (-433 (-592)))) "failed") |#3|)) (-15 -2786 ((-3 (|:| |overq| (-1187 (-433 (-592)))) (|:| |overan| (-1187 (-53))) (|:| -3550 (-141))) |#3|)) (IF (|has| |#2| (-1065 (-53))) (-15 -2730 ((-3 (-444 (-1187 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-582) (-869) (-1065 (-592))) (-456 |#1|) (-1255 |#2|)) (T -461)) 
-((-2730 (*1 *2 *3) (|partial| -12 (-4 *5 (-1065 (-53))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-444 (-1187 (-53)))) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5)))) (-2786 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-3 (|:| |overq| (-1187 (-433 (-592)))) (|:| |overan| (-1187 (-53))) (|:| -3550 (-141)))) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5)))) (-2963 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-444 (-1187 (-433 (-592))))) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5)))) (-2024 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-444 *3)) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(-10 -7 (-15 -2024 ((-444 |#3|) |#3|)) (-15 -2963 ((-3 (-444 (-1187 (-433 (-592)))) "failed") |#3|)) (-15 -2786 ((-3 (|:| |overq| (-1187 (-433 (-592)))) (|:| |overan| (-1187 (-53))) (|:| -3550 (-141))) |#3|)) (IF (|has| |#2| (-1065 (-53))) (-15 -2730 ((-3 (-444 (-1187 (-53))) "failed") |#3|)) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-3388 (((-1173) $ (-1173)) NIL)) (-2820 (($ $ (-1173)) NIL)) (-4393 (((-1173) $) NIL)) (-1635 (((-414) (-414) (-414)) 17) (((-414) (-414)) 15)) (-1774 (($ (-414)) NIL) (($ (-414) (-1173)) NIL)) (-4095 (((-414) $) NIL)) (-2685 (((-1173) $) NIL)) (-2690 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1334 (((-1285) (-1173)) 9)) (-3483 (((-1285) (-1173)) 10)) (-1798 (((-1285)) 11)) (-4342 (((-1285) $) NIL)) (-1683 (((-877) $) NIL)) (-2607 (($ $) 34)) (-3255 (((-141) $ $) NIL))) 
-(((-462) (-13 (-389 (-414) (-1173)) (-10 -7 (-15 -1635 ((-414) (-414) (-414))) (-15 -1635 ((-414) (-414))) (-15 -1334 ((-1285) (-1173))) (-15 -3483 ((-1285) (-1173))) (-15 -1798 ((-1285)))))) (T -462)) 
-((-1635 (*1 *2 *2 *2) (-12 (-5 *2 (-414)) (-5 *1 (-462)))) (-1635 (*1 *2 *2) (-12 (-5 *2 (-414)) (-5 *1 (-462)))) (-1334 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-462)))) (-3483 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-462)))) (-1798 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-462))))) 
-(-13 (-389 (-414) (-1173)) (-10 -7 (-15 -1635 ((-414) (-414) (-414))) (-15 -1635 ((-414) (-414))) (-15 -1334 ((-1285) (-1173))) (-15 -3483 ((-1285) (-1173))) (-15 -1798 ((-1285))))) 
-((-1641 (((-141) $ $) NIL)) (-2351 (((-3 (|:| |fst| (-460)) (|:| -4191 "void")) $) 10)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3261 (($) 31)) (-2555 (($) 37)) (-3467 (($) 33)) (-3361 (($) 35)) (-2662 (($) 32)) (-3049 (($) 34)) (-2502 (($) 36)) (-2291 (((-141) $) 8)) (-1407 (((-658 (-980 (-592))) $) 16)) (-4466 (($ (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-1191)) (-141)) 25) (($ (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-980 (-592))) (-141)) 26)) (-1683 (((-877) $) 21) (($ (-460)) 28)) (-3255 (((-141) $ $) NIL))) 
-(((-463) (-13 (-1119) (-10 -8 (-15 -1683 ((-877) $)) (-15 -1683 ($ (-460))) (-15 -2351 ((-3 (|:| |fst| (-460)) (|:| -4191 "void")) $)) (-15 -1407 ((-658 (-980 (-592))) $)) (-15 -2291 ((-141) $)) (-15 -4466 ($ (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-1191)) (-141))) (-15 -4466 ($ (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-980 (-592))) (-141))) (-15 -3261 ($)) (-15 -2662 ($)) (-15 -3467 ($)) (-15 -2555 ($)) (-15 -3049 ($)) (-15 -3361 ($)) (-15 -2502 ($))))) (T -463)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-463)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-460)) (-5 *1 (-463)))) (-2351 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *1 (-463)))) (-1407 (*1 *2 *1) (-12 (-5 *2 (-658 (-980 (-592)))) (-5 *1 (-463)))) (-2291 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-463)))) (-4466 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *3 (-658 (-1191))) (-5 *4 (-141)) (-5 *1 (-463)))) (-4466 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-141)) (-5 *1 (-463)))) (-3261 (*1 *1) (-5 *1 (-463))) (-2662 (*1 *1) (-5 *1 (-463))) (-3467 (*1 *1) (-5 *1 (-463))) (-2555 (*1 *1) (-5 *1 (-463))) (-3049 (*1 *1) (-5 *1 (-463))) (-3361 (*1 *1) (-5 *1 (-463))) (-2502 (*1 *1) (-5 *1 (-463)))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ((-877) $)) (-15 -1683 ($ (-460))) (-15 -2351 ((-3 (|:| |fst| (-460)) (|:| -4191 "void")) $)) (-15 -1407 ((-658 (-980 (-592))) $)) (-15 -2291 ((-141) $)) (-15 -4466 ($ (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-1191)) (-141))) (-15 -4466 ($ (-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-658 (-980 (-592))) (-141))) (-15 -3261 ($)) (-15 -2662 ($)) (-15 -3467 ($)) (-15 -2555 ($)) (-15 -3049 ($)) (-15 -3361 ($)) (-15 -2502 ($)))) 
-((-1641 (((-141) $ $) NIL)) (-4095 (((-1191) $) 8)) (-2685 (((-1173) $) 16)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 13))) 
-(((-464 |#1|) (-13 (-1119) (-10 -8 (-15 -4095 ((-1191) $)))) (-1191)) (T -464)) 
-((-4095 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-464 *3)) (-14 *3 *2)))) 
-(-13 (-1119) (-10 -8 (-15 -4095 ((-1191) $)))) 
-((-3592 (((-1285) $) 7)) (-1683 (((-877) $) 8) (($ (-1280 (-715))) 12) (($ (-658 (-350))) 11) (($ (-350)) 10) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 9))) 
-(((-465) (-1311)) (T -465)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-715))) (-4 *1 (-465)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-465)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-465)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-465))))) 
-(-13 (-421) (-10 -8 (-15 -1683 ($ (-1280 (-715)))) (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-350))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))))) 
-(((-632 (-877)) . T) ((-421) . T) ((-1225) . T)) 
-((-4368 (((-3 $ "failed") (-1280 (-332 (-405)))) 19) (((-3 $ "failed") (-1280 (-332 (-592)))) 17) (((-3 $ "failed") (-1280 (-980 (-405)))) 15) (((-3 $ "failed") (-1280 (-980 (-592)))) 13) (((-3 $ "failed") (-1280 (-433 (-980 (-405))))) 11) (((-3 $ "failed") (-1280 (-433 (-980 (-592))))) 9)) (-2400 (($ (-1280 (-332 (-405)))) 20) (($ (-1280 (-332 (-592)))) 18) (($ (-1280 (-980 (-405)))) 16) (($ (-1280 (-980 (-592)))) 14) (($ (-1280 (-433 (-980 (-405))))) 12) (($ (-1280 (-433 (-980 (-592))))) 10)) (-3592 (((-1285) $) 7)) (-1683 (((-877) $) 8) (($ (-658 (-350))) 23) (($ (-350)) 22) (($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) 21))) 
-(((-466) (-1311)) (T -466)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-466)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-466)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-466)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1280 (-332 (-405)))) (-4 *1 (-466)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-332 (-405)))) (-4 *1 (-466)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1280 (-332 (-592)))) (-4 *1 (-466)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-332 (-592)))) (-4 *1 (-466)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1280 (-980 (-405)))) (-4 *1 (-466)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-980 (-405)))) (-4 *1 (-466)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1280 (-980 (-592)))) (-4 *1 (-466)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-980 (-592)))) (-4 *1 (-466)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1280 (-433 (-980 (-405))))) (-4 *1 (-466)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-433 (-980 (-405))))) (-4 *1 (-466)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-1280 (-433 (-980 (-592))))) (-4 *1 (-466)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-433 (-980 (-592))))) (-4 *1 (-466))))) 
-(-13 (-421) (-10 -8 (-15 -1683 ($ (-658 (-350)))) (-15 -1683 ($ (-350))) (-15 -1683 ($ (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350)))))) (-15 -2400 ($ (-1280 (-332 (-405))))) (-15 -4368 ((-3 $ "failed") (-1280 (-332 (-405))))) (-15 -2400 ($ (-1280 (-332 (-592))))) (-15 -4368 ((-3 $ "failed") (-1280 (-332 (-592))))) (-15 -2400 ($ (-1280 (-980 (-405))))) (-15 -4368 ((-3 $ "failed") (-1280 (-980 (-405))))) (-15 -2400 ($ (-1280 (-980 (-592))))) (-15 -4368 ((-3 $ "failed") (-1280 (-980 (-592))))) (-15 -2400 ($ (-1280 (-433 (-980 (-405)))))) (-15 -4368 ((-3 $ "failed") (-1280 (-433 (-980 (-405)))))) (-15 -2400 ($ (-1280 (-433 (-980 (-592)))))) (-15 -4368 ((-3 $ "failed") (-1280 (-433 (-980 (-592)))))))) 
-(((-632 (-877)) . T) ((-421) . T) ((-1225) . T)) 
-((-4384 (((-141)) 17)) (-2832 (((-141) (-141)) 18)) (-3535 (((-141)) 13)) (-2259 (((-141) (-141)) 14)) (-1789 (((-141)) 15)) (-1786 (((-141) (-141)) 16)) (-4310 (((-944) (-944)) 21) (((-944)) 20)) (-3839 (((-790) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592))))) 41)) (-3414 (((-944) (-944)) 23) (((-944)) 22)) (-4251 (((-2 (|:| -1644 (-592)) (|:| -2033 (-658 |#1|))) |#1|) 61)) (-2788 (((-444 |#1|) (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592))))))) 125)) (-2112 (((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141)) 151)) (-3082 (((-444 |#1|) |#1| (-790) (-790)) 164) (((-444 |#1|) |#1| (-658 (-790)) (-790)) 161) (((-444 |#1|) |#1| (-658 (-790))) 163) (((-444 |#1|) |#1| (-790)) 162) (((-444 |#1|) |#1|) 160)) (-4072 (((-3 |#1| "failed") (-944) |#1| (-658 (-790)) (-790) (-141)) 166) (((-3 |#1| "failed") (-944) |#1| (-658 (-790)) (-790)) 167) (((-3 |#1| "failed") (-944) |#1| (-658 (-790))) 169) (((-3 |#1| "failed") (-944) |#1| (-790)) 168) (((-3 |#1| "failed") (-944) |#1|) 170)) (-4500 (((-444 |#1|) |#1| (-790) (-790)) 159) (((-444 |#1|) |#1| (-658 (-790)) (-790)) 155) (((-444 |#1|) |#1| (-658 (-790))) 157) (((-444 |#1|) |#1| (-790)) 156) (((-444 |#1|) |#1|) 154)) (-1560 (((-141) |#1|) 36)) (-3363 (((-754 (-790)) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592))))) 66)) (-4144 (((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141) (-1121 (-790)) (-790)) 153))) 
-(((-467 |#1|) (-10 -7 (-15 -2788 ((-444 |#1|) (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))))) (-15 -3363 ((-754 (-790)) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))))) (-15 -3414 ((-944))) (-15 -3414 ((-944) (-944))) (-15 -4310 ((-944))) (-15 -4310 ((-944) (-944))) (-15 -3839 ((-790) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))))) (-15 -4251 ((-2 (|:| -1644 (-592)) (|:| -2033 (-658 |#1|))) |#1|)) (-15 -4384 ((-141))) (-15 -2832 ((-141) (-141))) (-15 -3535 ((-141))) (-15 -2259 ((-141) (-141))) (-15 -1560 ((-141) |#1|)) (-15 -1789 ((-141))) (-15 -1786 ((-141) (-141))) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -4500 ((-444 |#1|) |#1| (-790))) (-15 -4500 ((-444 |#1|) |#1| (-658 (-790)))) (-15 -4500 ((-444 |#1|) |#1| (-658 (-790)) (-790))) (-15 -4500 ((-444 |#1|) |#1| (-790) (-790))) (-15 -3082 ((-444 |#1|) |#1|)) (-15 -3082 ((-444 |#1|) |#1| (-790))) (-15 -3082 ((-444 |#1|) |#1| (-658 (-790)))) (-15 -3082 ((-444 |#1|) |#1| (-658 (-790)) (-790))) (-15 -3082 ((-444 |#1|) |#1| (-790) (-790))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1|)) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-790))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-658 (-790)))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-658 (-790)) (-790))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-658 (-790)) (-790) (-141))) (-15 -2112 ((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141))) (-15 -4144 ((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141) (-1121 (-790)) (-790)))) (-1255 (-592))) (T -467)) 
-((-4144 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-141)) (-5 *5 (-1121 (-790))) (-5 *6 (-790)) (-5 *2 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-2112 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-5 *2 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4072 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *6 (-141)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) (-4072 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) (-4072 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-658 (-790))) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) (-4072 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-790)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) (-4072 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-944)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) (-3082 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3082 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3082 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-790))) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3082 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3082 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4500 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4500 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-790))) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4500 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-1786 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-1789 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-1560 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-2259 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3535 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-2832 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4384 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4251 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1644 (-592)) (|:| -2033 (-658 *3)))) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3839 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 *4) (|:| -4525 (-592))))) (-4 *4 (-1255 (-592))) (-5 *2 (-790)) (-5 *1 (-467 *4)))) (-4310 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-4310 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3414 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3414 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) (-3363 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 *4) (|:| -4525 (-592))))) (-4 *4 (-1255 (-592))) (-5 *2 (-754 (-790))) (-5 *1 (-467 *4)))) (-2788 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *4) (|:| -1777 (-592))))))) (-4 *4 (-1255 (-592))) (-5 *2 (-444 *4)) (-5 *1 (-467 *4))))) 
-(-10 -7 (-15 -2788 ((-444 |#1|) (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))))) (-15 -3363 ((-754 (-790)) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))))) (-15 -3414 ((-944))) (-15 -3414 ((-944) (-944))) (-15 -4310 ((-944))) (-15 -4310 ((-944) (-944))) (-15 -3839 ((-790) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))))) (-15 -4251 ((-2 (|:| -1644 (-592)) (|:| -2033 (-658 |#1|))) |#1|)) (-15 -4384 ((-141))) (-15 -2832 ((-141) (-141))) (-15 -3535 ((-141))) (-15 -2259 ((-141) (-141))) (-15 -1560 ((-141) |#1|)) (-15 -1789 ((-141))) (-15 -1786 ((-141) (-141))) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -4500 ((-444 |#1|) |#1| (-790))) (-15 -4500 ((-444 |#1|) |#1| (-658 (-790)))) (-15 -4500 ((-444 |#1|) |#1| (-658 (-790)) (-790))) (-15 -4500 ((-444 |#1|) |#1| (-790) (-790))) (-15 -3082 ((-444 |#1|) |#1|)) (-15 -3082 ((-444 |#1|) |#1| (-790))) (-15 -3082 ((-444 |#1|) |#1| (-658 (-790)))) (-15 -3082 ((-444 |#1|) |#1| (-658 (-790)) (-790))) (-15 -3082 ((-444 |#1|) |#1| (-790) (-790))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1|)) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-790))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-658 (-790)))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-658 (-790)) (-790))) (-15 -4072 ((-3 |#1| "failed") (-944) |#1| (-658 (-790)) (-790) (-141))) (-15 -2112 ((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141))) (-15 -4144 ((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141) (-1121 (-790)) (-790)))) 
-((-2157 (((-592) |#2|) 48) (((-592) |#2| (-790)) 47)) (-3387 (((-592) |#2|) 55)) (-4555 ((|#3| |#2|) 25)) (-2793 ((|#3| |#2| (-944)) 14)) (-4233 ((|#3| |#2|) 15)) (-2086 ((|#3| |#2|) 9)) (-2535 ((|#3| |#2|) 10)) (-3897 ((|#3| |#2| (-944)) 62) ((|#3| |#2|) 30)) (-2338 (((-592) |#2|) 57))) 
-(((-468 |#1| |#2| |#3|) (-10 -7 (-15 -2338 ((-592) |#2|)) (-15 -3897 (|#3| |#2|)) (-15 -3897 (|#3| |#2| (-944))) (-15 -3387 ((-592) |#2|)) (-15 -2157 ((-592) |#2| (-790))) (-15 -2157 ((-592) |#2|)) (-15 -2793 (|#3| |#2| (-944))) (-15 -4555 (|#3| |#2|)) (-15 -2086 (|#3| |#2|)) (-15 -2535 (|#3| |#2|)) (-15 -4233 (|#3| |#2|))) (-1075) (-1255 |#1|) (-13 (-430) (-1065 |#1|) (-388) (-1211) (-301))) (T -468)) 
-((-4233 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) (-2535 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) (-2086 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) (-4555 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) (-2793 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *2 (-13 (-430) (-1065 *5) (-388) (-1211) (-301))) (-5 *1 (-468 *5 *3 *2)) (-4 *3 (-1255 *5)))) (-2157 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *4 *3 *5)) (-4 *3 (-1255 *4)) (-4 *5 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))))) (-2157 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *5 *3 *6)) (-4 *3 (-1255 *5)) (-4 *6 (-13 (-430) (-1065 *5) (-388) (-1211) (-301))))) (-3387 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *4 *3 *5)) (-4 *3 (-1255 *4)) (-4 *5 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))))) (-3897 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *2 (-13 (-430) (-1065 *5) (-388) (-1211) (-301))) (-5 *1 (-468 *5 *3 *2)) (-4 *3 (-1255 *5)))) (-3897 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) (-2338 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *4 *3 *5)) (-4 *3 (-1255 *4)) (-4 *5 (-13 (-430) (-1065 *4) (-388) (-1211) (-301)))))) 
-(-10 -7 (-15 -2338 ((-592) |#2|)) (-15 -3897 (|#3| |#2|)) (-15 -3897 (|#3| |#2| (-944))) (-15 -3387 ((-592) |#2|)) (-15 -2157 ((-592) |#2| (-790))) (-15 -2157 ((-592) |#2|)) (-15 -2793 (|#3| |#2| (-944))) (-15 -4555 (|#3| |#2|)) (-15 -2086 (|#3| |#2|)) (-15 -2535 (|#3| |#2|)) (-15 -4233 (|#3| |#2|))) 
-((-4011 ((|#2| (-1280 |#1|)) 36)) (-2436 ((|#2| |#2| |#1|) 49)) (-2155 ((|#2| |#2| |#1|) 41)) (-1373 ((|#2| |#2|) 38)) (-1469 (((-141) |#2|) 30)) (-3684 (((-658 |#2|) (-944) (-444 |#2|)) 16)) (-4072 ((|#2| (-944) (-444 |#2|)) 21)) (-3363 (((-754 (-790)) (-444 |#2|)) 25))) 
-(((-469 |#1| |#2|) (-10 -7 (-15 -1469 ((-141) |#2|)) (-15 -4011 (|#2| (-1280 |#1|))) (-15 -1373 (|#2| |#2|)) (-15 -2155 (|#2| |#2| |#1|)) (-15 -2436 (|#2| |#2| |#1|)) (-15 -3363 ((-754 (-790)) (-444 |#2|))) (-15 -4072 (|#2| (-944) (-444 |#2|))) (-15 -3684 ((-658 |#2|) (-944) (-444 |#2|)))) (-1075) (-1255 |#1|)) (T -469)) 
-((-3684 (*1 *2 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-444 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-1075)) (-5 *2 (-658 *6)) (-5 *1 (-469 *5 *6)))) (-4072 (*1 *2 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-444 *2)) (-4 *2 (-1255 *5)) (-5 *1 (-469 *5 *2)) (-4 *5 (-1075)))) (-3363 (*1 *2 *3) (-12 (-5 *3 (-444 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-1075)) (-5 *2 (-754 (-790))) (-5 *1 (-469 *4 *5)))) (-2436 (*1 *2 *2 *3) (-12 (-4 *3 (-1075)) (-5 *1 (-469 *3 *2)) (-4 *2 (-1255 *3)))) (-2155 (*1 *2 *2 *3) (-12 (-4 *3 (-1075)) (-5 *1 (-469 *3 *2)) (-4 *2 (-1255 *3)))) (-1373 (*1 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-469 *3 *2)) (-4 *2 (-1255 *3)))) (-4011 (*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-1075)) (-4 *2 (-1255 *4)) (-5 *1 (-469 *4 *2)))) (-1469 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-141)) (-5 *1 (-469 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -1469 ((-141) |#2|)) (-15 -4011 (|#2| (-1280 |#1|))) (-15 -1373 (|#2| |#2|)) (-15 -2155 (|#2| |#2| |#1|)) (-15 -2436 (|#2| |#2| |#1|)) (-15 -3363 ((-754 (-790)) (-444 |#2|))) (-15 -4072 (|#2| (-944) (-444 |#2|))) (-15 -3684 ((-658 |#2|) (-944) (-444 |#2|)))) 
-((-3956 (((-790)) 41)) (-4228 (((-790)) 23 (|has| |#1| (-430))) (((-790) (-790)) 22 (|has| |#1| (-430)))) (-2649 (((-592) |#1|) 18 (|has| |#1| (-430)))) (-1808 (((-592) |#1|) 20 (|has| |#1| (-430)))) (-2755 (((-790)) 40) (((-790) (-790)) 39)) (-2060 ((|#1| (-790) (-592)) 29)) (-3968 (((-1285)) 43))) 
-(((-470 |#1|) (-10 -7 (-15 -2060 (|#1| (-790) (-592))) (-15 -2755 ((-790) (-790))) (-15 -2755 ((-790))) (-15 -3956 ((-790))) (-15 -3968 ((-1285))) (IF (|has| |#1| (-430)) (PROGN (-15 -1808 ((-592) |#1|)) (-15 -2649 ((-592) |#1|)) (-15 -4228 ((-790) (-790))) (-15 -4228 ((-790)))) |noBranch|)) (-1075)) (T -470)) 
-((-4228 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075)))) (-4228 (*1 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075)))) (-2649 (*1 *2 *3) (-12 (-5 *2 (-592)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075)))) (-1808 (*1 *2 *3) (-12 (-5 *2 (-592)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075)))) (-3968 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-470 *3)) (-4 *3 (-1075)))) (-3956 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-1075)))) (-2755 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-1075)))) (-2755 (*1 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-1075)))) (-2060 (*1 *2 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-592)) (-5 *1 (-470 *2)) (-4 *2 (-1075))))) 
-(-10 -7 (-15 -2060 (|#1| (-790) (-592))) (-15 -2755 ((-790) (-790))) (-15 -2755 ((-790))) (-15 -3956 ((-790))) (-15 -3968 ((-1285))) (IF (|has| |#1| (-430)) (PROGN (-15 -1808 ((-592) |#1|)) (-15 -2649 ((-592) |#1|)) (-15 -4228 ((-790) (-790))) (-15 -4228 ((-790)))) |noBranch|)) 
-((-1739 (((-658 (-592)) (-592)) 57)) (-2802 (((-141) (-191 (-592))) 61)) (-4500 (((-444 (-191 (-592))) (-191 (-592))) 56))) 
-(((-471) (-10 -7 (-15 -4500 ((-444 (-191 (-592))) (-191 (-592)))) (-15 -1739 ((-658 (-592)) (-592))) (-15 -2802 ((-141) (-191 (-592)))))) (T -471)) 
-((-2802 (*1 *2 *3) (-12 (-5 *3 (-191 (-592))) (-5 *2 (-141)) (-5 *1 (-471)))) (-1739 (*1 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-471)) (-5 *3 (-592)))) (-4500 (*1 *2 *3) (-12 (-5 *2 (-444 (-191 (-592)))) (-5 *1 (-471)) (-5 *3 (-191 (-592)))))) 
-(-10 -7 (-15 -4500 ((-444 (-191 (-592))) (-191 (-592)))) (-15 -1739 ((-658 (-592)) (-592))) (-15 -2802 ((-141) (-191 (-592))))) 
-((-1946 ((|#4| |#4| (-658 |#4|)) 57)) (-3580 (((-658 |#4|) (-658 |#4|) (-1173) (-1173)) 17) (((-658 |#4|) (-658 |#4|) (-1173)) 16) (((-658 |#4|) (-658 |#4|)) 11))) 
-(((-472 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1946 (|#4| |#4| (-658 |#4|))) (-15 -3580 ((-658 |#4|) (-658 |#4|))) (-15 -3580 ((-658 |#4|) (-658 |#4|) (-1173))) (-15 -3580 ((-658 |#4|) (-658 |#4|) (-1173) (-1173)))) (-323) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -472)) 
-((-3580 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-323)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-472 *4 *5 *6 *7)))) (-3580 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-323)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-472 *4 *5 *6 *7)))) (-3580 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-472 *3 *4 *5 *6)))) (-1946 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-323)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-472 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -1946 (|#4| |#4| (-658 |#4|))) (-15 -3580 ((-658 |#4|) (-658 |#4|))) (-15 -3580 ((-658 |#4|) (-658 |#4|) (-1173))) (-15 -3580 ((-658 |#4|) (-658 |#4|) (-1173) (-1173)))) 
-((-3210 (((-658 (-658 |#4|)) (-658 |#4|) (-141)) 70) (((-658 (-658 |#4|)) (-658 |#4|)) 69) (((-658 (-658 |#4|)) (-658 |#4|) (-658 |#4|) (-141)) 63) (((-658 (-658 |#4|)) (-658 |#4|) (-658 |#4|)) 64)) (-3159 (((-658 (-658 |#4|)) (-658 |#4|) (-141)) 40) (((-658 (-658 |#4|)) (-658 |#4|)) 60))) 
-(((-473 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3159 ((-658 (-658 |#4|)) (-658 |#4|))) (-15 -3159 ((-658 (-658 |#4|)) (-658 |#4|) (-141))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|) (-658 |#4|))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|) (-658 |#4|) (-141))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|) (-141)))) (-13 (-323) (-171)) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -473)) 
-((-3210 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-658 (-658 *8))) (-5 *1 (-473 *5 *6 *7 *8)) (-5 *3 (-658 *8)))) (-3210 (*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-473 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-3210 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-658 (-658 *8))) (-5 *1 (-473 *5 *6 *7 *8)) (-5 *3 (-658 *8)))) (-3210 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-473 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-3159 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-658 (-658 *8))) (-5 *1 (-473 *5 *6 *7 *8)) (-5 *3 (-658 *8)))) (-3159 (*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-473 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(-10 -7 (-15 -3159 ((-658 (-658 |#4|)) (-658 |#4|))) (-15 -3159 ((-658 (-658 |#4|)) (-658 |#4|) (-141))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|) (-658 |#4|))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|) (-658 |#4|) (-141))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|))) (-15 -3210 ((-658 (-658 |#4|)) (-658 |#4|) (-141)))) 
-((-3576 (((-790) |#4|) 12)) (-4121 (((-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|))) |#4| (-790) (-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|)))) 31)) (-4066 (((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-3510 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-2827 ((|#4| |#4| (-658 |#4|)) 39)) (-4154 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-658 |#4|)) 68)) (-2962 (((-1285) |#4|) 41)) (-1697 (((-1285) (-658 |#4|)) 50)) (-4423 (((-592) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-592) (-592) (-592)) 47)) (-4285 (((-1285) (-592)) 75)) (-1425 (((-658 |#4|) (-658 |#4|)) 73)) (-2581 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|)) |#4| (-790)) 25)) (-4046 (((-592) |#4|) 74)) (-3974 ((|#4| |#4|) 29)) (-1677 (((-658 |#4|) (-658 |#4|) (-592) (-592)) 54)) (-4118 (((-592) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-592) (-592) (-592) (-592)) 85)) (-1740 (((-141) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-2342 (((-141) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-1452 (((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-4242 (((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-2096 (((-141) |#2| |#2|) 55)) (-4336 (((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-4176 (((-141) |#2| |#2| |#2| |#2|) 58)) (-3965 ((|#4| |#4| (-658 |#4|)) 69))) 
-(((-474 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3965 (|#4| |#4| (-658 |#4|))) (-15 -2827 (|#4| |#4| (-658 |#4|))) (-15 -1677 ((-658 |#4|) (-658 |#4|) (-592) (-592))) (-15 -2342 ((-141) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2096 ((-141) |#2| |#2|)) (-15 -4176 ((-141) |#2| |#2| |#2| |#2|)) (-15 -4336 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4242 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1452 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4154 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-658 |#4|))) (-15 -3974 (|#4| |#4|)) (-15 -4121 ((-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|))) |#4| (-790) (-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|))))) (-15 -3510 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4066 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1425 ((-658 |#4|) (-658 |#4|))) (-15 -4046 ((-592) |#4|)) (-15 -2962 ((-1285) |#4|)) (-15 -4423 ((-592) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-592) (-592) (-592))) (-15 -4118 ((-592) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-592) (-592) (-592) (-592))) (-15 -1697 ((-1285) (-658 |#4|))) (-15 -4285 ((-1285) (-592))) (-15 -1740 ((-141) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2581 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|)) |#4| (-790))) (-15 -3576 ((-790) |#4|))) (-477) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -474)) 
-((-3576 (*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-790)) (-5 *1 (-474 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6)))) (-2581 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-790)) (|:| -3489 *4))) (-5 *5 (-790)) (-4 *4 (-977 *6 *7 *8)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-474 *6 *7 *8 *4)))) (-1740 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-815)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *5 *6 *7)))) (-4285 (*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1285)) (-5 *1 (-474 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6)))) (-1697 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1285)) (-5 *1 (-474 *4 *5 *6 *7)))) (-4118 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-790)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-815)) (-4 *4 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *7 (-869)) (-5 *1 (-474 *5 *6 *7 *4)))) (-4423 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-790)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-815)) (-4 *4 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *7 (-869)) (-5 *1 (-474 *5 *6 *7 *4)))) (-2962 (*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1285)) (-5 *1 (-474 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6)))) (-4046 (*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-592)) (-5 *1 (-474 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6)))) (-1425 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *6)))) (-4066 (*1 *2 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-790)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-815)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *6)))) (-3510 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-815)) (-4 *2 (-977 *4 *5 *6)) (-5 *1 (-474 *4 *5 *6 *2)) (-4 *4 (-477)) (-4 *6 (-869)))) (-4121 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 *3)))) (-5 *4 (-790)) (-4 *3 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-474 *5 *6 *7 *3)))) (-3974 (*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *2)) (-4 *2 (-977 *3 *4 *5)))) (-4154 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-474 *5 *6 *7 *3)))) (-1452 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-790)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-815)) (-4 *6 (-977 *4 *3 *5)) (-4 *4 (-477)) (-4 *5 (-869)) (-5 *1 (-474 *4 *3 *5 *6)))) (-4242 (*1 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-790)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-815)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *6)))) (-4336 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-815)) (-4 *3 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *3)))) (-4176 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-477)) (-4 *3 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *3 *5 *6)) (-4 *6 (-977 *4 *3 *5)))) (-2096 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *3 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *3 *5 *6)) (-4 *6 (-977 *4 *3 *5)))) (-2342 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-815)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *5 *6 *7)))) (-1677 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-592)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *7)))) (-2827 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *2)))) (-3965 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -3965 (|#4| |#4| (-658 |#4|))) (-15 -2827 (|#4| |#4| (-658 |#4|))) (-15 -1677 ((-658 |#4|) (-658 |#4|) (-592) (-592))) (-15 -2342 ((-141) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2096 ((-141) |#2| |#2|)) (-15 -4176 ((-141) |#2| |#2| |#2| |#2|)) (-15 -4336 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4242 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1452 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4154 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-658 |#4|))) (-15 -3974 (|#4| |#4|)) (-15 -4121 ((-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|))) |#4| (-790) (-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|))))) (-15 -3510 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4066 ((-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-658 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1425 ((-658 |#4|) (-658 |#4|))) (-15 -4046 ((-592) |#4|)) (-15 -2962 ((-1285) |#4|)) (-15 -4423 ((-592) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-592) (-592) (-592))) (-15 -4118 ((-592) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-592) (-592) (-592) (-592))) (-15 -1697 ((-1285) (-658 |#4|))) (-15 -4285 ((-1285) (-592))) (-15 -1740 ((-141) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2581 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-790)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-790)) (|:| -3489 |#4|)) |#4| (-790))) (-15 -3576 ((-790) |#4|))) 
-((-3389 ((|#4| |#4| (-658 |#4|)) 22 (|has| |#1| (-388)))) (-3903 (((-658 |#4|) (-658 |#4|) (-1173) (-1173)) 41) (((-658 |#4|) (-658 |#4|) (-1173)) 40) (((-658 |#4|) (-658 |#4|)) 35))) 
-(((-475 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3903 ((-658 |#4|) (-658 |#4|))) (-15 -3903 ((-658 |#4|) (-658 |#4|) (-1173))) (-15 -3903 ((-658 |#4|) (-658 |#4|) (-1173) (-1173))) (IF (|has| |#1| (-388)) (-15 -3389 (|#4| |#4| (-658 |#4|))) |noBranch|)) (-477) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -475)) 
-((-3389 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-388)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-475 *4 *5 *6 *2)))) (-3903 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-475 *4 *5 *6 *7)))) (-3903 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-475 *4 *5 *6 *7)))) (-3903 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-475 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3903 ((-658 |#4|) (-658 |#4|))) (-15 -3903 ((-658 |#4|) (-658 |#4|) (-1173))) (-15 -3903 ((-658 |#4|) (-658 |#4|) (-1173) (-1173))) (IF (|has| |#1| (-388)) (-15 -3389 (|#4| |#4| (-658 |#4|))) |noBranch|)) 
-((-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 43)) (-2750 (($ $ $) 14) (($ (-658 $)) 21)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 41)) (-3548 (($ $ $) NIL) (($ (-658 $)) 22))) 
-(((-476 |#1|) (-10 -8 (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|))) (-15 -2750 (|#1| (-658 |#1|))) (-15 -2750 (|#1| |#1| |#1|)) (-15 -3548 (|#1| (-658 |#1|))) (-15 -3548 (|#1| |#1| |#1|)) (-15 -1389 ((-2 (|:| |llcmres| |#1|) (|:| |coeff1| |#1|) (|:| |coeff2| |#1|)) |#1| |#1|))) (-477)) (T -476)) 
-NIL 
-(-10 -8 (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|))) (-15 -2750 (|#1| (-658 |#1|))) (-15 -2750 (|#1| |#1| |#1|)) (-15 -3548 (|#1| (-658 |#1|))) (-15 -3548 (|#1| |#1| |#1|)) (-15 -1389 ((-2 (|:| |llcmres| |#1|) (|:| |coeff1| |#1|) (|:| |coeff2| |#1|)) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3616 (((-3 $ "failed") $ $) 41)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-477) (-1311)) (T -477)) 
-((-3548 (*1 *1 *1 *1) (-4 *1 (-477))) (-3548 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-477)))) (-2750 (*1 *1 *1 *1) (-4 *1 (-477))) (-2750 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-477)))) (-2536 (*1 *2 *2 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-477))))) 
-(-13 (-582) (-678) (-10 -8 (-15 -3548 ($ $ $)) (-15 -3548 ($ (-658 $))) (-15 -2750 ($ $ $)) (-15 -2750 ($ (-658 $))) (-15 -2536 ((-1187 $) (-1187 $) (-1187 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4509 (((-3 $ "failed")) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4061 (((-1280 (-706 (-433 (-980 |#1|)))) (-1280 $)) NIL) (((-1280 (-706 (-433 (-980 |#1|))))) NIL)) (-3360 (((-1280 $)) NIL)) (-3001 (($) NIL T CONST)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL)) (-2661 (((-3 $ "failed")) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-1951 (((-706 (-433 (-980 |#1|))) (-1280 $)) NIL) (((-706 (-433 (-980 |#1|)))) NIL)) (-4282 (((-433 (-980 |#1|)) $) NIL)) (-2302 (((-706 (-433 (-980 |#1|))) $ (-1280 $)) NIL) (((-706 (-433 (-980 |#1|))) $) NIL)) (-2503 (((-3 $ "failed") $) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-2120 (((-1187 (-980 (-433 (-980 |#1|))))) NIL (|has| (-433 (-980 |#1|)) (-388))) (((-1187 (-433 (-980 |#1|)))) 79 (|has| |#1| (-582)))) (-2111 (($ $ (-944)) NIL)) (-1431 (((-433 (-980 |#1|)) $) NIL)) (-3916 (((-1187 (-433 (-980 |#1|))) $) 77 (|has| (-433 (-980 |#1|)) (-582)))) (-1874 (((-433 (-980 |#1|)) (-1280 $)) NIL) (((-433 (-980 |#1|))) NIL)) (-1582 (((-1187 (-433 (-980 |#1|))) $) NIL)) (-4194 (((-141)) NIL)) (-1626 (($ (-1280 (-433 (-980 |#1|))) (-1280 $)) 97) (($ (-1280 (-433 (-980 |#1|)))) NIL)) (-3371 (((-3 $ "failed") $) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-4175 (((-944)) NIL)) (-2169 (((-141)) NIL)) (-1833 (($ $ (-944)) NIL)) (-3700 (((-141)) NIL)) (-2973 (((-141)) NIL)) (-2467 (((-141)) NIL)) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL)) (-3994 (((-3 $ "failed")) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-2794 (((-706 (-433 (-980 |#1|))) (-1280 $)) NIL) (((-706 (-433 (-980 |#1|)))) NIL)) (-1869 (((-433 (-980 |#1|)) $) NIL)) (-1802 (((-706 (-433 (-980 |#1|))) $ (-1280 $)) NIL) (((-706 (-433 (-980 |#1|))) $) NIL)) (-4158 (((-3 $ "failed") $) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-3004 (((-1187 (-980 (-433 (-980 |#1|))))) NIL (|has| (-433 (-980 |#1|)) (-388))) (((-1187 (-433 (-980 |#1|)))) 78 (|has| |#1| (-582)))) (-2682 (($ $ (-944)) NIL)) (-3061 (((-433 (-980 |#1|)) $) NIL)) (-2013 (((-1187 (-433 (-980 |#1|))) $) 72 (|has| (-433 (-980 |#1|)) (-582)))) (-3030 (((-433 (-980 |#1|)) (-1280 $)) NIL) (((-433 (-980 |#1|))) NIL)) (-2397 (((-1187 (-433 (-980 |#1|))) $) NIL)) (-3847 (((-141)) NIL)) (-2685 (((-1173) $) NIL)) (-4106 (((-141)) NIL)) (-2339 (((-141)) NIL)) (-2297 (((-141)) NIL)) (-2951 (((-1137) $) NIL)) (-3107 (((-433 (-980 |#1|)) $ $) 66 (|has| |#1| (-582)))) (-4584 (((-433 (-980 |#1|)) $) 65 (|has| |#1| (-582)))) (-1520 (((-433 (-980 |#1|)) $) 89 (|has| |#1| (-582)))) (-2906 (((-1187 (-433 (-980 |#1|))) $) 83 (|has| |#1| (-582)))) (-2880 (((-433 (-980 |#1|))) 67 (|has| |#1| (-582)))) (-1382 (((-433 (-980 |#1|)) $ $) 54 (|has| |#1| (-582)))) (-3442 (((-433 (-980 |#1|)) $) 53 (|has| |#1| (-582)))) (-3694 (((-433 (-980 |#1|)) $) 88 (|has| |#1| (-582)))) (-2824 (((-1187 (-433 (-980 |#1|))) $) 82 (|has| |#1| (-582)))) (-4190 (((-433 (-980 |#1|))) 64 (|has| |#1| (-582)))) (-3474 (($) 95) (($ (-1191)) 101) (($ (-1280 (-1191))) 100) (($ (-1280 $)) 90) (($ (-1191) (-1280 $)) 99) (($ (-1280 (-1191)) (-1280 $)) 98)) (-2716 (((-141)) NIL)) (-3927 (((-433 (-980 |#1|)) $ (-592)) NIL)) (-2231 (((-1280 (-433 (-980 |#1|))) $ (-1280 $)) 92) (((-706 (-433 (-980 |#1|))) (-1280 $) (-1280 $)) NIL) (((-1280 (-433 (-980 |#1|))) $) 37) (((-706 (-433 (-980 |#1|))) (-1280 $)) NIL)) (-1778 (((-1280 (-433 (-980 |#1|))) $) NIL) (($ (-1280 (-433 (-980 |#1|)))) 34)) (-1473 (((-658 (-980 (-433 (-980 |#1|)))) (-1280 $)) NIL) (((-658 (-980 (-433 (-980 |#1|))))) NIL) (((-658 (-980 |#1|)) (-1280 $)) 93 (|has| |#1| (-582))) (((-658 (-980 |#1|))) 94 (|has| |#1| (-582)))) (-2131 (($ $ $) NIL)) (-3545 (((-141)) NIL)) (-1683 (((-877) $) NIL) (($ (-1280 (-433 (-980 |#1|)))) NIL)) (-2195 (((-1280 $)) 56)) (-3664 (((-658 (-1280 (-433 (-980 |#1|))))) NIL (|has| (-433 (-980 |#1|)) (-582)))) (-3667 (($ $ $ $) NIL)) (-1516 (((-141)) NIL)) (-4572 (($ (-706 (-433 (-980 |#1|))) $) NIL)) (-2844 (($ $ $) NIL)) (-3135 (((-141)) NIL)) (-2723 (((-141)) NIL)) (-2359 (((-141)) NIL)) (-3514 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) 91)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 52) (($ $ (-433 (-980 |#1|))) NIL) (($ (-433 (-980 |#1|)) $) NIL) (($ (-1156 |#2| (-433 (-980 |#1|))) $) NIL))) 
-(((-478 |#1| |#2| |#3| |#4|) (-13 (-443 (-433 (-980 |#1|))) (-661 (-1156 |#2| (-433 (-980 |#1|)))) (-10 -8 (-15 -1683 ($ (-1280 (-433 (-980 |#1|))))) (-15 -1563 ((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed"))) (-15 -2604 ((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed"))) (-15 -3474 ($)) (-15 -3474 ($ (-1191))) (-15 -3474 ($ (-1280 (-1191)))) (-15 -3474 ($ (-1280 $))) (-15 -3474 ($ (-1191) (-1280 $))) (-15 -3474 ($ (-1280 (-1191)) (-1280 $))) (IF (|has| |#1| (-582)) (PROGN (-15 -3004 ((-1187 (-433 (-980 |#1|))))) (-15 -2824 ((-1187 (-433 (-980 |#1|))) $)) (-15 -3442 ((-433 (-980 |#1|)) $)) (-15 -3694 ((-433 (-980 |#1|)) $)) (-15 -2120 ((-1187 (-433 (-980 |#1|))))) (-15 -2906 ((-1187 (-433 (-980 |#1|))) $)) (-15 -4584 ((-433 (-980 |#1|)) $)) (-15 -1520 ((-433 (-980 |#1|)) $)) (-15 -1382 ((-433 (-980 |#1|)) $ $)) (-15 -4190 ((-433 (-980 |#1|)))) (-15 -3107 ((-433 (-980 |#1|)) $ $)) (-15 -2880 ((-433 (-980 |#1|)))) (-15 -1473 ((-658 (-980 |#1|)) (-1280 $))) (-15 -1473 ((-658 (-980 |#1|))))) |noBranch|))) (-194) (-944) (-658 (-1191)) (-1280 (-706 |#1|))) (T -478)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1280 (-433 (-980 *3)))) (-4 *3 (-194)) (-14 *6 (-1280 (-706 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))))) (-1563 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-478 *3 *4 *5 *6)) (|:| -2195 (-658 (-478 *3 *4 *5 *6))))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-2604 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-478 *3 *4 *5 *6)) (|:| -2195 (-658 (-478 *3 *4 *5 *6))))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-3474 (*1 *1) (-12 (-5 *1 (-478 *2 *3 *4 *5)) (-4 *2 (-194)) (-14 *3 (-944)) (-14 *4 (-658 (-1191))) (-14 *5 (-1280 (-706 *2))))) (-3474 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 *2)) (-14 *6 (-1280 (-706 *3))))) (-3474 (*1 *1 *2) (-12 (-5 *2 (-1280 (-1191))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-3474 (*1 *1 *2) (-12 (-5 *2 (-1280 (-478 *3 *4 *5 *6))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-3474 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-478 *4 *5 *6 *7))) (-5 *1 (-478 *4 *5 *6 *7)) (-4 *4 (-194)) (-14 *5 (-944)) (-14 *6 (-658 *2)) (-14 *7 (-1280 (-706 *4))))) (-3474 (*1 *1 *2 *3) (-12 (-5 *2 (-1280 (-1191))) (-5 *3 (-1280 (-478 *4 *5 *6 *7))) (-5 *1 (-478 *4 *5 *6 *7)) (-4 *4 (-194)) (-14 *5 (-944)) (-14 *6 (-658 (-1191))) (-14 *7 (-1280 (-706 *4))))) (-3004 (*1 *2) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-2824 (*1 *2 *1) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-3442 (*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-3694 (*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-2120 (*1 *2) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-2906 (*1 *2 *1) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-4584 (*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-1520 (*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-1382 (*1 *2 *1 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-4190 (*1 *2) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-3107 (*1 *2 *1 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-2880 (*1 *2) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) (-1473 (*1 *2 *3) (-12 (-5 *3 (-1280 (-478 *4 *5 *6 *7))) (-5 *2 (-658 (-980 *4))) (-5 *1 (-478 *4 *5 *6 *7)) (-4 *4 (-582)) (-4 *4 (-194)) (-14 *5 (-944)) (-14 *6 (-658 (-1191))) (-14 *7 (-1280 (-706 *4))))) (-1473 (*1 *2) (-12 (-5 *2 (-658 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(-13 (-443 (-433 (-980 |#1|))) (-661 (-1156 |#2| (-433 (-980 |#1|)))) (-10 -8 (-15 -1683 ($ (-1280 (-433 (-980 |#1|))))) (-15 -1563 ((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed"))) (-15 -2604 ((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed"))) (-15 -3474 ($)) (-15 -3474 ($ (-1191))) (-15 -3474 ($ (-1280 (-1191)))) (-15 -3474 ($ (-1280 $))) (-15 -3474 ($ (-1191) (-1280 $))) (-15 -3474 ($ (-1280 (-1191)) (-1280 $))) (IF (|has| |#1| (-582)) (PROGN (-15 -3004 ((-1187 (-433 (-980 |#1|))))) (-15 -2824 ((-1187 (-433 (-980 |#1|))) $)) (-15 -3442 ((-433 (-980 |#1|)) $)) (-15 -3694 ((-433 (-980 |#1|)) $)) (-15 -2120 ((-1187 (-433 (-980 |#1|))))) (-15 -2906 ((-1187 (-433 (-980 |#1|))) $)) (-15 -4584 ((-433 (-980 |#1|)) $)) (-15 -1520 ((-433 (-980 |#1|)) $)) (-15 -1382 ((-433 (-980 |#1|)) $ $)) (-15 -4190 ((-433 (-980 |#1|)))) (-15 -3107 ((-433 (-980 |#1|)) $ $)) (-15 -2880 ((-433 (-980 |#1|)))) (-15 -1473 ((-658 (-980 |#1|)) (-1280 $))) (-15 -1473 ((-658 (-980 |#1|))))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 13)) (-4085 (((-658 (-879 |#1|)) $) 73)) (-4492 (((-1187 $) $ (-879 |#1|)) 46) (((-1187 |#2|) $) 115)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-582)))) (-1555 (($ $) NIL (|has| |#2| (-582)))) (-1313 (((-141) $) NIL (|has| |#2| (-582)))) (-2189 (((-790) $) 21) (((-790) $ (-658 (-879 |#1|))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL (|has| |#2| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) 44) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-879 |#1|) "failed") $) NIL)) (-2400 ((|#2| $) 42) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-879 |#1|) $) NIL)) (-1544 (($ $ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-4377 (($ $ (-658 (-592))) 78)) (-4593 (($ $) 67)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#2| (-931)))) (-4209 (($ $ |#2| |#3| $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) 58)) (-4533 (($ (-1187 |#2|) (-879 |#1|)) 120) (($ (-1187 $) (-879 |#1|)) 52)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) 59)) (-4526 (($ |#2| |#3|) 28) (($ $ (-879 |#1|) (-790)) 30) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-879 |#1|)) NIL)) (-4206 ((|#3| $) NIL) (((-790) $ (-879 |#1|)) 50) (((-658 (-790)) $ (-658 (-879 |#1|))) 57)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2976 (($ (-1 |#3| |#3|) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-3254 (((-3 (-879 |#1|) "failed") $) 39)) (-4573 (($ $) NIL)) (-4579 ((|#2| $) 41)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-879 |#1|)) (|:| -3215 (-790))) "failed") $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 40)) (-4565 ((|#2| $) 113)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) 125 (|has| |#2| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-931)))) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-879 |#1|) |#2|) 85) (($ $ (-658 (-879 |#1|)) (-658 |#2|)) 88) (($ $ (-879 |#1|) $) 83) (($ $ (-658 (-879 |#1|)) (-658 $)) 104)) (-1482 (($ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-3644 (($ $ (-879 |#1|)) 53) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-4525 ((|#3| $) 66) (((-790) $ (-879 |#1|)) 37) (((-658 (-790)) $ (-658 (-879 |#1|))) 56)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-879 |#1|) (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#2| $) 122 (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1683 (((-877) $) 141) (($ (-592)) NIL) (($ |#2|) 84) (($ (-879 |#1|)) 31) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-43 (-433 (-592)))) (|has| |#2| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#2| (-582)))) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ |#3|) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#2| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#2| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 16 T CONST)) (-4257 (($) 25 T CONST)) (-1940 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ |#2|) 64 (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 109)) (** (($ $ (-944)) NIL) (($ $ (-790)) 107)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 29) (($ $ (-433 (-592))) NIL (|has| |#2| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#2| (-43 (-433 (-592))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
-(((-479 |#1| |#2| |#3|) (-13 (-977 |#2| |#3| (-879 |#1|)) (-10 -8 (-15 -4377 ($ $ (-658 (-592)))))) (-658 (-1191)) (-1075) (-252 (-1699 |#1|) (-790))) (T -479)) 
-((-4377 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-14 *3 (-658 (-1191))) (-5 *1 (-479 *3 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-252 (-1699 *3) (-790)))))) 
-(-13 (-977 |#2| |#3| (-879 |#1|)) (-10 -8 (-15 -4377 ($ $ (-658 (-592)))))) 
-((-3591 (((-1285) (-332 (-405)) (-1111 (-405)) (-1111 (-405)) (-1173)) 49) (((-1285) (-332 (-405)) (-1111 (-405)) (-1111 (-405)) (-1173) (-658 (-278))) 48) (((-1285) (-332 (-405)) (-1111 (-405)) (-1173)) 42) (((-1285) (-332 (-405)) (-1111 (-405)) (-1173) (-658 (-278))) 39))) 
-(((-480) (-10 -7 (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1173) (-658 (-278)))) (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1173))) (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1111 (-405)) (-1173) (-658 (-278)))) (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1111 (-405)) (-1173))))) (T -480)) 
-((-3591 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *2 (-1285)) (-5 *1 (-480)))) (-3591 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *6 (-658 (-278))) (-5 *2 (-1285)) (-5 *1 (-480)))) (-3591 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *2 (-1285)) (-5 *1 (-480)))) (-3591 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *6 (-658 (-278))) (-5 *2 (-1285)) (-5 *1 (-480))))) 
-(-10 -7 (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1173) (-658 (-278)))) (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1173))) (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1111 (-405)) (-1173) (-658 (-278)))) (-15 -3591 ((-1285) (-332 (-405)) (-1111 (-405)) (-1111 (-405)) (-1173)))) 
-((-3875 (((-141) |#1| (-658 |#2|)) 65)) (-1728 (((-3 (-1280 (-658 |#2|)) "failed") (-790) |#1| (-658 |#2|)) 74)) (-2953 (((-3 (-658 |#2|) "failed") |#2| |#1| (-1280 (-658 |#2|))) 76)) (-3674 ((|#2| |#2| |#1|) 28)) (-3787 (((-790) |#2| (-658 |#2|)) 20))) 
-(((-481 |#1| |#2|) (-10 -7 (-15 -3674 (|#2| |#2| |#1|)) (-15 -3787 ((-790) |#2| (-658 |#2|))) (-15 -1728 ((-3 (-1280 (-658 |#2|)) "failed") (-790) |#1| (-658 |#2|))) (-15 -2953 ((-3 (-658 |#2|) "failed") |#2| |#1| (-1280 (-658 |#2|)))) (-15 -3875 ((-141) |#1| (-658 |#2|)))) (-323) (-1255 |#1|)) (T -481)) 
-((-3875 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *5)) (-4 *5 (-1255 *3)) (-4 *3 (-323)) (-5 *2 (-141)) (-5 *1 (-481 *3 *5)))) (-2953 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1280 (-658 *3))) (-4 *4 (-323)) (-5 *2 (-658 *3)) (-5 *1 (-481 *4 *3)) (-4 *3 (-1255 *4)))) (-1728 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-790)) (-4 *4 (-323)) (-4 *6 (-1255 *4)) (-5 *2 (-1280 (-658 *6))) (-5 *1 (-481 *4 *6)) (-5 *5 (-658 *6)))) (-3787 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-323)) (-5 *2 (-790)) (-5 *1 (-481 *5 *3)))) (-3674 (*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-5 *1 (-481 *3 *2)) (-4 *2 (-1255 *3))))) 
-(-10 -7 (-15 -3674 (|#2| |#2| |#1|)) (-15 -3787 ((-790) |#2| (-658 |#2|))) (-15 -1728 ((-3 (-1280 (-658 |#2|)) "failed") (-790) |#1| (-658 |#2|))) (-15 -2953 ((-3 (-658 |#2|) "failed") |#2| |#1| (-1280 (-658 |#2|)))) (-15 -3875 ((-141) |#1| (-658 |#2|)))) 
-((-4500 (((-444 |#5|) |#5|) 24))) 
-(((-482 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4500 ((-444 |#5|) |#5|))) (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191))))) (-815) (-582) (-582) (-977 |#4| |#2| |#1|)) (T -482)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *5 (-815)) (-4 *7 (-582)) (-5 *2 (-444 *3)) (-5 *1 (-482 *4 *5 *6 *7 *3)) (-4 *6 (-582)) (-4 *3 (-977 *7 *5 *4))))) 
-(-10 -7 (-15 -4500 ((-444 |#5|) |#5|))) 
-((-2606 ((|#3|) 36)) (-2536 (((-1187 |#4|) (-1187 |#4|) (-1187 |#4|)) 32))) 
-(((-483 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2536 ((-1187 |#4|) (-1187 |#4|) (-1187 |#4|))) (-15 -2606 (|#3|))) (-815) (-869) (-931) (-977 |#3| |#1| |#2|)) (T -483)) 
-((-2606 (*1 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-931)) (-5 *1 (-483 *3 *4 *2 *5)) (-4 *5 (-977 *2 *3 *4)))) (-2536 (*1 *2 *2 *2) (-12 (-5 *2 (-1187 *6)) (-4 *6 (-977 *5 *3 *4)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-931)) (-5 *1 (-483 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -2536 ((-1187 |#4|) (-1187 |#4|) (-1187 |#4|))) (-15 -2606 (|#3|))) 
-((-4500 (((-444 (-1187 |#1|)) (-1187 |#1|)) 41))) 
-(((-484 |#1|) (-10 -7 (-15 -4500 ((-444 (-1187 |#1|)) (-1187 |#1|)))) (-323)) (T -484)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-323)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-484 *4)) (-5 *3 (-1187 *4))))) 
-(-10 -7 (-15 -4500 ((-444 (-1187 |#1|)) (-1187 |#1|)))) 
-((-1986 (((-57) |#2| (-1191) (-310 |#2|) (-1246 (-790))) 42) (((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-790))) 41) (((-57) |#2| (-1191) (-310 |#2|)) 35) (((-57) (-1 |#2| (-592)) (-310 |#2|)) 27)) (-2881 (((-57) |#2| (-1191) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592))) 80) (((-57) (-1 |#2| (-433 (-592))) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592))) 79) (((-57) |#2| (-1191) (-310 |#2|) (-1246 (-592))) 78) (((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-592))) 77) (((-57) |#2| (-1191) (-310 |#2|)) 72) (((-57) (-1 |#2| (-592)) (-310 |#2|)) 71)) (-2001 (((-57) |#2| (-1191) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592))) 66) (((-57) (-1 |#2| (-433 (-592))) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592))) 64)) (-1994 (((-57) |#2| (-1191) (-310 |#2|) (-1246 (-592))) 48) (((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-592))) 47))) 
-(((-485 |#1| |#2|) (-10 -7 (-15 -1986 ((-57) (-1 |#2| (-592)) (-310 |#2|))) (-15 -1986 ((-57) |#2| (-1191) (-310 |#2|))) (-15 -1986 ((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-790)))) (-15 -1986 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-790)))) (-15 -1994 ((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-592)))) (-15 -1994 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-592)))) (-15 -2001 ((-57) (-1 |#2| (-433 (-592))) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592)))) (-15 -2001 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592)))) (-15 -2881 ((-57) (-1 |#2| (-592)) (-310 |#2|))) (-15 -2881 ((-57) |#2| (-1191) (-310 |#2|))) (-15 -2881 ((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-592)))) (-15 -2881 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-592)))) (-15 -2881 ((-57) (-1 |#2| (-433 (-592))) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592)))) (-15 -2881 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592))))) (-13 (-582) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -485)) 
-((-2881 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-433 (-592)))) (-5 *7 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *8))) (-4 *8 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *8 *3)))) (-2881 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-433 (-592)))) (-5 *4 (-310 *8)) (-5 *5 (-1246 (-433 (-592)))) (-5 *6 (-433 (-592))) (-4 *8 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *8)))) (-2881 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *3)))) (-2881 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-592))) (-5 *4 (-310 *7)) (-5 *5 (-1246 (-592))) (-4 *7 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *7)))) (-2881 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *3)))) (-2881 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-592))) (-5 *4 (-310 *6)) (-4 *6 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *5 *6)))) (-2001 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-433 (-592)))) (-5 *7 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *8))) (-4 *8 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *8 *3)))) (-2001 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-433 (-592)))) (-5 *4 (-310 *8)) (-5 *5 (-1246 (-433 (-592)))) (-5 *6 (-433 (-592))) (-4 *8 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *8)))) (-1994 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *3)))) (-1994 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-592))) (-5 *4 (-310 *7)) (-5 *5 (-1246 (-592))) (-4 *7 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *7)))) (-1986 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-790))) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *3)))) (-1986 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-592))) (-5 *4 (-310 *7)) (-5 *5 (-1246 (-790))) (-4 *7 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *7)))) (-1986 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *3)))) (-1986 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-592))) (-5 *4 (-310 *6)) (-4 *6 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *5 *6))))) 
-(-10 -7 (-15 -1986 ((-57) (-1 |#2| (-592)) (-310 |#2|))) (-15 -1986 ((-57) |#2| (-1191) (-310 |#2|))) (-15 -1986 ((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-790)))) (-15 -1986 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-790)))) (-15 -1994 ((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-592)))) (-15 -1994 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-592)))) (-15 -2001 ((-57) (-1 |#2| (-433 (-592))) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592)))) (-15 -2001 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592)))) (-15 -2881 ((-57) (-1 |#2| (-592)) (-310 |#2|))) (-15 -2881 ((-57) |#2| (-1191) (-310 |#2|))) (-15 -2881 ((-57) (-1 |#2| (-592)) (-310 |#2|) (-1246 (-592)))) (-15 -2881 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-592)))) (-15 -2881 ((-57) (-1 |#2| (-433 (-592))) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592)))) (-15 -2881 ((-57) |#2| (-1191) (-310 |#2|) (-1246 (-433 (-592))) (-433 (-592))))) 
-((-3674 ((|#2| |#2| |#1|) 15)) (-3673 (((-658 |#2|) |#2| (-658 |#2|) |#1| (-944)) 65)) (-1723 (((-2 (|:| |plist| (-658 |#2|)) (|:| |modulo| |#1|)) |#2| (-658 |#2|) |#1| (-944)) 58))) 
-(((-486 |#1| |#2|) (-10 -7 (-15 -1723 ((-2 (|:| |plist| (-658 |#2|)) (|:| |modulo| |#1|)) |#2| (-658 |#2|) |#1| (-944))) (-15 -3673 ((-658 |#2|) |#2| (-658 |#2|) |#1| (-944))) (-15 -3674 (|#2| |#2| |#1|))) (-323) (-1255 |#1|)) (T -486)) 
-((-3674 (*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-5 *1 (-486 *3 *2)) (-4 *2 (-1255 *3)))) (-3673 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-658 *3)) (-5 *5 (-944)) (-4 *3 (-1255 *4)) (-4 *4 (-323)) (-5 *1 (-486 *4 *3)))) (-1723 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-944)) (-4 *5 (-323)) (-4 *3 (-1255 *5)) (-5 *2 (-2 (|:| |plist| (-658 *3)) (|:| |modulo| *5))) (-5 *1 (-486 *5 *3)) (-5 *4 (-658 *3))))) 
-(-10 -7 (-15 -1723 ((-2 (|:| |plist| (-658 |#2|)) (|:| |modulo| |#1|)) |#2| (-658 |#2|) |#1| (-944))) (-15 -3673 ((-658 |#2|) |#2| (-658 |#2|) |#1| (-944))) (-15 -3674 (|#2| |#2| |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 28)) (-2673 (($ |#3|) 25)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4593 (($ $) 32)) (-2644 (($ |#2| |#4| $) 33)) (-4526 (($ |#2| (-730 |#3| |#4| |#5|)) 24)) (-4573 (((-730 |#3| |#4| |#5|) $) 15)) (-3093 ((|#3| $) 19)) (-3436 ((|#4| $) 17)) (-4579 ((|#2| $) 29)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3180 (($ |#2| |#3| |#4|) 26)) (-3514 (($) 36 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 34)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-487 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-734 |#6|) (-734 |#2|) (-10 -8 (-15 -4579 (|#2| $)) (-15 -4573 ((-730 |#3| |#4| |#5|) $)) (-15 -3436 (|#4| $)) (-15 -3093 (|#3| $)) (-15 -4593 ($ $)) (-15 -4526 ($ |#2| (-730 |#3| |#4| |#5|))) (-15 -2673 ($ |#3|)) (-15 -3180 ($ |#2| |#3| |#4|)) (-15 -2644 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-658 (-1191)) (-194) (-869) (-252 (-1699 |#1|) (-790)) (-1 (-141) (-2 (|:| -1825 |#3|) (|:| -3215 |#4|)) (-2 (|:| -1825 |#3|) (|:| -3215 |#4|))) (-977 |#2| |#4| (-879 |#1|))) (T -487)) 
-((* (*1 *1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *6 (-252 (-1699 *3) (-790))) (-14 *7 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *6)) (-2 (|:| -1825 *5) (|:| -3215 *6)))) (-5 *1 (-487 *3 *4 *5 *6 *7 *2)) (-4 *5 (-869)) (-4 *2 (-977 *4 *6 (-879 *3))))) (-4579 (*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *5 (-252 (-1699 *3) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *4) (|:| -3215 *5)) (-2 (|:| -1825 *4) (|:| -3215 *5)))) (-4 *2 (-194)) (-5 *1 (-487 *3 *2 *4 *5 *6 *7)) (-4 *4 (-869)) (-4 *7 (-977 *2 *5 (-879 *3))))) (-4573 (*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *6 (-252 (-1699 *3) (-790))) (-14 *7 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *6)) (-2 (|:| -1825 *5) (|:| -3215 *6)))) (-5 *2 (-730 *5 *6 *7)) (-5 *1 (-487 *3 *4 *5 *6 *7 *8)) (-4 *5 (-869)) (-4 *8 (-977 *4 *6 (-879 *3))))) (-3436 (*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-14 *6 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *2)) (-2 (|:| -1825 *5) (|:| -3215 *2)))) (-4 *2 (-252 (-1699 *3) (-790))) (-5 *1 (-487 *3 *4 *5 *2 *6 *7)) (-4 *5 (-869)) (-4 *7 (-977 *4 *2 (-879 *3))))) (-3093 (*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *5 (-252 (-1699 *3) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *5)) (-2 (|:| -1825 *2) (|:| -3215 *5)))) (-4 *2 (-869)) (-5 *1 (-487 *3 *4 *2 *5 *6 *7)) (-4 *7 (-977 *4 *5 (-879 *3))))) (-4593 (*1 *1 *1) (-12 (-14 *2 (-658 (-1191))) (-4 *3 (-194)) (-4 *5 (-252 (-1699 *2) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *4) (|:| -3215 *5)) (-2 (|:| -1825 *4) (|:| -3215 *5)))) (-5 *1 (-487 *2 *3 *4 *5 *6 *7)) (-4 *4 (-869)) (-4 *7 (-977 *3 *5 (-879 *2))))) (-4526 (*1 *1 *2 *3) (-12 (-5 *3 (-730 *5 *6 *7)) (-4 *5 (-869)) (-4 *6 (-252 (-1699 *4) (-790))) (-14 *7 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *6)) (-2 (|:| -1825 *5) (|:| -3215 *6)))) (-14 *4 (-658 (-1191))) (-4 *2 (-194)) (-5 *1 (-487 *4 *2 *5 *6 *7 *8)) (-4 *8 (-977 *2 *6 (-879 *4))))) (-2673 (*1 *1 *2) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *5 (-252 (-1699 *3) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *5)) (-2 (|:| -1825 *2) (|:| -3215 *5)))) (-5 *1 (-487 *3 *4 *2 *5 *6 *7)) (-4 *2 (-869)) (-4 *7 (-977 *4 *5 (-879 *3))))) (-3180 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-658 (-1191))) (-4 *2 (-194)) (-4 *4 (-252 (-1699 *5) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *3) (|:| -3215 *4)) (-2 (|:| -1825 *3) (|:| -3215 *4)))) (-5 *1 (-487 *5 *2 *3 *4 *6 *7)) (-4 *3 (-869)) (-4 *7 (-977 *2 *4 (-879 *5))))) (-2644 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-658 (-1191))) (-4 *2 (-194)) (-4 *3 (-252 (-1699 *4) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *3)) (-2 (|:| -1825 *5) (|:| -3215 *3)))) (-5 *1 (-487 *4 *2 *5 *3 *6 *7)) (-4 *5 (-869)) (-4 *7 (-977 *2 *3 (-879 *4)))))) 
-(-13 (-734 |#6|) (-734 |#2|) (-10 -8 (-15 -4579 (|#2| $)) (-15 -4573 ((-730 |#3| |#4| |#5|) $)) (-15 -3436 (|#4| $)) (-15 -3093 (|#3| $)) (-15 -4593 ($ $)) (-15 -4526 ($ |#2| (-730 |#3| |#4| |#5|))) (-15 -2673 ($ |#3|)) (-15 -3180 ($ |#2| |#3| |#4|)) (-15 -2644 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
-((-1641 (((-141) $ $) NIL)) (-1863 (((-1191) (-658 (-489))) 48)) (-1746 (((-790) (-658 (-489))) 33)) (-1409 (((-141) (-658 (-489))) 39)) (-2530 (((-3 (-944) "arbitrary") (-658 (-489))) 20)) (-3912 (((-3 (-790) "arbitrary") (-658 (-489))) 18)) (-3130 (((-3 (-944) "arbitrary") (-658 (-489))) 32)) (-3929 (((-790) (-658 (-489))) 25)) (-2458 (((-3 (-790) "arbitrary") (-658 (-489))) 16)) (-3751 (((-3 (-790) "arbitrary") (-658 (-489))) 17)) (-1698 (((-3 (-790) "arbitrary") (-658 (-489))) 21)) (-2685 (((-1173) $) NIL)) (-3275 (((-1191) (-658 (-489))) 50)) (-3155 (((-3 (-944) (-141)) (-658 (-489))) 44)) (-2951 (((-1137) $) NIL)) (-4049 (((-1191) (-658 (-489))) 49)) (-4312 (((-141) (-658 (-489))) 51)) (-4439 (((-141) (-658 (-489))) 40)) (-1683 (((-877) $) NIL)) (-1545 (((-1285) (-658 (-489))) 61)) (-3346 (((-141) (-658 (-489))) 38)) (-3971 (((-3 "skip" "MonteCarlo" "deterministic") (-658 (-489))) 37)) (-3520 (((-141) (-658 (-489))) 29)) (-4221 (((-3 (-944) (-141)) (-658 (-489))) 45)) (-3255 (((-141) $ $) NIL))) 
-(((-488) (-13 (-1119) (-10 -7 (-15 -3751 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -3912 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -2530 ((-3 (-944) "arbitrary") (-658 (-489)))) (-15 -3130 ((-3 (-944) "arbitrary") (-658 (-489)))) (-15 -3155 ((-3 (-944) (-141)) (-658 (-489)))) (-15 -4221 ((-3 (-944) (-141)) (-658 (-489)))) (-15 -2458 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -1698 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -3929 ((-790) (-658 (-489)))) (-15 -3520 ((-141) (-658 (-489)))) (-15 -1746 ((-790) (-658 (-489)))) (-15 -3971 ((-3 "skip" "MonteCarlo" "deterministic") (-658 (-489)))) (-15 -3346 ((-141) (-658 (-489)))) (-15 -1409 ((-141) (-658 (-489)))) (-15 -4049 ((-1191) (-658 (-489)))) (-15 -1863 ((-1191) (-658 (-489)))) (-15 -3275 ((-1191) (-658 (-489)))) (-15 -4312 ((-141) (-658 (-489)))) (-15 -4439 ((-141) (-658 (-489)))) (-15 -1545 ((-1285) (-658 (-489))))))) (T -488)) 
-((-3751 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) (-3912 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) (-2530 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-488)))) (-3130 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-488)))) (-3155 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) (-141))) (-5 *1 (-488)))) (-4221 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) (-141))) (-5 *1 (-488)))) (-2458 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) (-1698 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-790)) (-5 *1 (-488)))) (-3520 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) (-1746 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-790)) (-5 *1 (-488)))) (-3971 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-488)))) (-3346 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) (-1409 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) (-4049 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1191)) (-5 *1 (-488)))) (-1863 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1191)) (-5 *1 (-488)))) (-3275 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1191)) (-5 *1 (-488)))) (-4312 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) (-4439 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) (-1545 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1285)) (-5 *1 (-488))))) 
-(-13 (-1119) (-10 -7 (-15 -3751 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -3912 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -2530 ((-3 (-944) "arbitrary") (-658 (-489)))) (-15 -3130 ((-3 (-944) "arbitrary") (-658 (-489)))) (-15 -3155 ((-3 (-944) (-141)) (-658 (-489)))) (-15 -4221 ((-3 (-944) (-141)) (-658 (-489)))) (-15 -2458 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -1698 ((-3 (-790) "arbitrary") (-658 (-489)))) (-15 -3929 ((-790) (-658 (-489)))) (-15 -3520 ((-141) (-658 (-489)))) (-15 -1746 ((-790) (-658 (-489)))) (-15 -3971 ((-3 "skip" "MonteCarlo" "deterministic") (-658 (-489)))) (-15 -3346 ((-141) (-658 (-489)))) (-15 -1409 ((-141) (-658 (-489)))) (-15 -4049 ((-1191) (-658 (-489)))) (-15 -1863 ((-1191) (-658 (-489)))) (-15 -3275 ((-1191) (-658 (-489)))) (-15 -4312 ((-141) (-658 (-489)))) (-15 -4439 ((-141) (-658 (-489)))) (-15 -1545 ((-1285) (-658 (-489)))))) 
-((-1641 (((-141) $ $) NIL)) (-1863 (($ (-1191)) 49)) (-1746 (($ (-790)) 28)) (-3199 (((-3 (-57) "failed") (-658 $) (-1191)) 61)) (-1409 (($ (-141)) 40)) (-2530 (($ (-3 (-944) "arbitrary")) 15)) (-3912 (($ (-3 (-790) "arbitrary")) 13)) (-3130 (($ (-3 (-944) "arbitrary")) 27)) (-3929 (($ (-790)) 20)) (-2458 (($ (-3 (-790) "arbitrary")) 11)) (-3751 (($ (-3 (-790) "arbitrary")) 12)) (-1698 (($ (-3 (-790) "arbitrary")) 16)) (-2685 (((-1173) $) NIL)) (-3275 (($ (-1191)) 50)) (-3155 (($ (-3 (-944) (-141))) 32)) (-2951 (((-1137) $) NIL)) (-1866 (($ (-658 (-1191))) 48)) (-4049 (($ (-1191)) 44)) (-4139 (($ (-1191)) 51)) (-4439 (($ (-141)) 34)) (-1683 (((-877) $) 56)) (-3346 (($ (-141)) 39)) (-3971 (($ (-3 "skip" "MonteCarlo" "deterministic")) 38)) (-3520 (($ (-141)) 24)) (-4221 (($ (-3 (-944) (-141))) 33)) (-3255 (((-141) $ $) 58))) 
-(((-489) (-13 (-1119) (-10 -8 (-15 -3751 ($ (-3 (-790) "arbitrary"))) (-15 -3912 ($ (-3 (-790) "arbitrary"))) (-15 -2530 ($ (-3 (-944) "arbitrary"))) (-15 -3130 ($ (-3 (-944) "arbitrary"))) (-15 -3155 ($ (-3 (-944) (-141)))) (-15 -4221 ($ (-3 (-944) (-141)))) (-15 -2458 ($ (-3 (-790) "arbitrary"))) (-15 -1698 ($ (-3 (-790) "arbitrary"))) (-15 -3929 ($ (-790))) (-15 -3520 ($ (-141))) (-15 -1746 ($ (-790))) (-15 -3971 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -3346 ($ (-141))) (-15 -1409 ($ (-141))) (-15 -4439 ($ (-141))) (-15 -4049 ($ (-1191))) (-15 -1866 ($ (-658 (-1191)))) (-15 -1863 ($ (-1191))) (-15 -3275 ($ (-1191))) (-15 -4139 ($ (-1191))) (-15 -3199 ((-3 (-57) "failed") (-658 $) (-1191)))))) (T -489)) 
-((-3751 (*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489)))) (-3912 (*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489)))) (-2530 (*1 *1 *2) (-12 (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-489)))) (-3130 (*1 *1 *2) (-12 (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-489)))) (-3155 (*1 *1 *2) (-12 (-5 *2 (-3 (-944) (-141))) (-5 *1 (-489)))) (-4221 (*1 *1 *2) (-12 (-5 *2 (-3 (-944) (-141))) (-5 *1 (-489)))) (-2458 (*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489)))) (-1698 (*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489)))) (-3929 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-489)))) (-3520 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489)))) (-1746 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-489)))) (-3971 (*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-489)))) (-3346 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489)))) (-1409 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489)))) (-4439 (*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489)))) (-4049 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489)))) (-1866 (*1 *1 *2) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-489)))) (-1863 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489)))) (-3275 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489)))) (-4139 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489)))) (-3199 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-658 (-489))) (-5 *4 (-1191)) (-5 *2 (-57)) (-5 *1 (-489))))) 
-(-13 (-1119) (-10 -8 (-15 -3751 ($ (-3 (-790) "arbitrary"))) (-15 -3912 ($ (-3 (-790) "arbitrary"))) (-15 -2530 ($ (-3 (-944) "arbitrary"))) (-15 -3130 ($ (-3 (-944) "arbitrary"))) (-15 -3155 ($ (-3 (-944) (-141)))) (-15 -4221 ($ (-3 (-944) (-141)))) (-15 -2458 ($ (-3 (-790) "arbitrary"))) (-15 -1698 ($ (-3 (-790) "arbitrary"))) (-15 -3929 ($ (-790))) (-15 -3520 ($ (-141))) (-15 -1746 ($ (-790))) (-15 -3971 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -3346 ($ (-141))) (-15 -1409 ($ (-141))) (-15 -4439 ($ (-141))) (-15 -4049 ($ (-1191))) (-15 -1866 ($ (-658 (-1191)))) (-15 -1863 ($ (-1191))) (-15 -3275 ($ (-1191))) (-15 -4139 ($ (-1191))) (-15 -3199 ((-3 (-57) "failed") (-658 $) (-1191))))) 
-((-3967 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
-(((-490 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3967 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-815) (-869) (-582) (-977 |#3| |#1| |#2|) (-13 (-1065 (-433 (-592))) (-388) (-10 -8 (-15 -1683 ($ |#4|)) (-15 -1448 (|#4| $)) (-15 -1456 (|#4| $))))) (T -490)) 
-((-3967 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-869)) (-4 *5 (-815)) (-4 *6 (-582)) (-4 *7 (-977 *6 *5 *3)) (-5 *1 (-490 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1065 (-433 (-592))) (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(-10 -7 (-15 -3967 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
-((-3427 ((|#3|) 43)) (-2589 (((-658 |#5|)) 47)) (-2671 (((-658 |#5|) (-658 |#5|)) 129)) (-3822 ((|#3| |#3|) 107)) (-3796 (((-1285)) 106)) (-3969 (((-658 |#5|)) 150 (|has| |#1| (-394)))) (-2463 (((-658 |#7|)) 153 (|has| |#1| (-394)))) (-3891 (((-1285) (-658 (-141))) 120)) (-3405 ((|#5| |#7|) 94)) (-2742 (((-658 |#7|) (-944)) 149 (|has| |#1| (-394)))) (-3466 (((-658 |#7|) |#5|) 92)) (-1449 ((|#6| |#3| |#7|) 97)) (-1595 (((-592) (-944)) 194 (|has| |#1| (-394)))) (-4056 (((-592) (-944) (-944)) 193 (|has| |#1| (-394)))) (-4530 (((-592) (-944)) 176 (|has| |#1| (-394)))) (-2353 (((-2 (|:| |num| (-658 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-1587 ((|#8| |#3|) 50)) (-2225 (((-658 |#3|) |#8| (-658 |#3|)) 136)) (-4507 (((-658 |#3|) |#8| (-790)) 65)) (-3315 ((|#3| |#3| (-592)) 40)) (-3567 (((-592)) 74)) (-3918 (((-790)) 73)) (-4389 (((-2 (|:| -2016 (-592)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-592))) |#8| (-592) (-592)) 114)) (-4474 (((-3 |#1| "failed") (-433 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-2806 ((|#1| (-433 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-1488 (((-658 |#10|)) 70)) (-3166 (((-658 |#10|)) 45)) (-2825 (((-592)) 204 (|has| |#1| (-394)))) (-2269 ((|#8|) 54)) (-2665 (((-1275 (-592) -4132) (-944)) 155 (|has| |#1| (-394))) (((-1275 (-592) -4132)) 156 (|has| |#1| (-394)))) (-2821 (((-1187 (-592)) (-944)) 158 (|has| |#1| (-394))) (((-1187 (-592))) 196 (|has| |#1| (-394))))) 
-(((-491 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3796 ((-1285))) (-15 -3822 (|#3| |#3|)) (-15 -3315 (|#3| |#3| (-592))) (-15 -3891 ((-1285) (-658 (-141)))) (-15 -3427 (|#3|)) (-15 -3918 ((-790))) (-15 -3567 ((-592))) (-15 -3166 ((-658 |#10|))) (-15 -1488 ((-658 |#10|))) (-15 -2671 ((-658 |#5|) (-658 |#5|))) (-15 -2589 ((-658 |#5|))) (-15 -1449 (|#6| |#3| |#7|)) (-15 -2353 ((-2 (|:| |num| (-658 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -4389 ((-2 (|:| -2016 (-592)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-592))) |#8| (-592) (-592))) (-15 -4507 ((-658 |#3|) |#8| (-790))) (-15 -2225 ((-658 |#3|) |#8| (-658 |#3|))) (-15 -2806 (|#1| |#3| |#7|)) (-15 -2806 (|#1| |#3| |#3| |#7|)) (-15 -2806 (|#1| (-433 |#3|) |#7|)) (-15 -4474 ((-3 |#1| "failed") |#3| |#7|)) (-15 -4474 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -4474 ((-3 |#1| "failed") (-433 |#3|) |#7|)) (-15 -1587 (|#8| |#3|)) (-15 -2269 (|#8|)) (-15 -3466 ((-658 |#7|) |#5|)) (-15 -3405 (|#5| |#7|)) (IF (|has| |#1| (-394)) (PROGN (-15 -2463 ((-658 |#7|))) (-15 -3969 ((-658 |#5|))) (-15 -2821 ((-1187 (-592)))) (-15 -2821 ((-1187 (-592)) (-944))) (-15 -2825 ((-592))) (-15 -2742 ((-658 |#7|) (-944))) (-15 -4530 ((-592) (-944))) (-15 -1595 ((-592) (-944))) (-15 -4056 ((-592) (-944) (-944))) (-15 -2665 ((-1275 (-592) -4132))) (-15 -2665 ((-1275 (-592) -4132) (-944)))) |noBranch|)) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|) (-257 |#7|) (-560 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-280 |#9|) (-137)) (T -491)) 
-((-2665 (*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-2665 (*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-4056 (*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-1595 (*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-4530 (*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-658 *10)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-2825 (*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-2821 (*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-1187 (-592))) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-2821 (*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-1187 (-592))) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3969 (*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *7)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-2463 (*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *9)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3405 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-665 *4)) (-4 *3 (-947 *4 *8)) (-4 *9 (-257 *3)) (-4 *10 (-560 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-137)) (-4 *2 (-999 *4)) (-5 *1 (-491 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-3466 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *3 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *9)) (-5 *1 (-491 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-2269 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-560 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *9)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-280 *10)))) (-1587 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-560 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *9)) (-5 *1 (-491 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-280 *10)))) (-4474 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 *6)) (-4 *6 (-977 *2 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-14 *5 (-658 (-1191))) (-4 *8 (-999 *2)) (-4 *9 (-665 *2)) (-4 *4 (-947 *2 *9)) (-4 *10 (-257 *4)) (-4 *11 (-560 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-4474 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-4474 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-2806 (*1 *2 *3 *4) (-12 (-5 *3 (-433 *6)) (-4 *6 (-977 *2 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-14 *5 (-658 (-1191))) (-4 *8 (-999 *2)) (-4 *9 (-665 *2)) (-4 *4 (-947 *2 *9)) (-4 *10 (-257 *4)) (-4 *11 (-560 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-2806 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-2806 (*1 *2 *3 *4) (-12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-2225 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *3 (-257 *10)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-137)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-280 *11)))) (-4507 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) *4)) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *3 (-257 *11)) (-4 *12 (-560 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-137)) (-5 *2 (-658 *7)) (-5 *1 (-491 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-280 *12)))) (-4389 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *3 (-257 *11)) (-4 *12 (-560 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-137)) (-5 *2 (-2 (|:| -2016 (-592)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-592)))) (-5 *1 (-491 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-592)) (-4 *13 (-280 *12)))) (-2353 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *3 (-257 *10)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-137)) (-5 *2 (-2 (|:| |num| (-658 *6)) (|:| |den| *6))) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-280 *11)))) (-1449 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *8 (-999 *5)) (-4 *4 (-947 *5 *2)) (-4 *9 (-257 *4)) (-4 *10 (-560 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-665 *5)) (-5 *1 (-491 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-2589 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *7)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-2671 (*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-999 *3)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-1488 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *12)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3166 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *12)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3567 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3918 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-790)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3427 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-252 (-1699 *4) (-790))) (-4 *6 (-999 *3)) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-560 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-137)) (-4 *2 (-977 *3 *5 (-879 *4))) (-5 *1 (-491 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-3891 (*1 *2 *3) (-12 (-5 *3 (-658 (-141))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-1285)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) (-3315 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *2 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *1 (-491 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) (-3822 (*1 *2 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *2 (-977 *3 *5 (-879 *4))) (-4 *5 (-252 (-1699 *4) (-790))) (-4 *6 (-999 *3)) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-560 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-137)) (-5 *1 (-491 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) (-3796 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11))))) 
-(-10 -7 (-15 -3796 ((-1285))) (-15 -3822 (|#3| |#3|)) (-15 -3315 (|#3| |#3| (-592))) (-15 -3891 ((-1285) (-658 (-141)))) (-15 -3427 (|#3|)) (-15 -3918 ((-790))) (-15 -3567 ((-592))) (-15 -3166 ((-658 |#10|))) (-15 -1488 ((-658 |#10|))) (-15 -2671 ((-658 |#5|) (-658 |#5|))) (-15 -2589 ((-658 |#5|))) (-15 -1449 (|#6| |#3| |#7|)) (-15 -2353 ((-2 (|:| |num| (-658 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -4389 ((-2 (|:| -2016 (-592)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-592))) |#8| (-592) (-592))) (-15 -4507 ((-658 |#3|) |#8| (-790))) (-15 -2225 ((-658 |#3|) |#8| (-658 |#3|))) (-15 -2806 (|#1| |#3| |#7|)) (-15 -2806 (|#1| |#3| |#3| |#7|)) (-15 -2806 (|#1| (-433 |#3|) |#7|)) (-15 -4474 ((-3 |#1| "failed") |#3| |#7|)) (-15 -4474 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -4474 ((-3 |#1| "failed") (-433 |#3|) |#7|)) (-15 -1587 (|#8| |#3|)) (-15 -2269 (|#8|)) (-15 -3466 ((-658 |#7|) |#5|)) (-15 -3405 (|#5| |#7|)) (IF (|has| |#1| (-394)) (PROGN (-15 -2463 ((-658 |#7|))) (-15 -3969 ((-658 |#5|))) (-15 -2821 ((-1187 (-592)))) (-15 -2821 ((-1187 (-592)) (-944))) (-15 -2825 ((-592))) (-15 -2742 ((-658 |#7|) (-944))) (-15 -4530 ((-592) (-944))) (-15 -1595 ((-592) (-944))) (-15 -4056 ((-592) (-944) (-944))) (-15 -2665 ((-1275 (-592) -4132))) (-15 -2665 ((-1275 (-592) -4132) (-944)))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-4085 (((-658 |#3|) $) 41)) (-4325 (((-141) $) NIL)) (-2988 (((-141) $) NIL (|has| |#1| (-582)))) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3113 (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-3239 (((-141) $) NIL (|has| |#1| (-582)))) (-3478 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2398 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1529 (((-141) $) NIL (|has| |#1| (-582)))) (-4521 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 47)) (-2400 (($ (-658 |#4|)) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4459 (($ |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4625)))) (-4004 (((-658 |#4|) $) 18 (|has| $ (-6 -4625)))) (-3259 ((|#3| $) 45)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#4|) $) 14 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 26 (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-3987 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 21)) (-2290 (((-658 |#3|) $) NIL)) (-2645 (((-141) |#3| $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-2951 (((-1137) $) NIL)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) NIL)) (-3002 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 39)) (-2890 (($) 17)) (-3452 (((-790) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (((-790) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) 16)) (-1778 (((-565) $) NIL (|has| |#4| (-633 (-565)))) (($ (-658 |#4|)) 49)) (-4466 (($ (-658 |#4|)) 13)) (-2613 (($ $ |#3|) NIL)) (-4152 (($ $ |#3|) NIL)) (-2507 (($ $ |#3|) NIL)) (-1683 (((-877) $) 38) (((-658 |#4|) $) 48)) (-3369 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 30)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-492 |#1| |#2| |#3| |#4|) (-13 (-1005 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1778 ($ (-658 |#4|))) (-6 -4625) (-6 -4626))) (-1075) (-815) (-869) (-1089 |#1| |#2| |#3|)) (T -492)) 
-((-1778 (*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-492 *3 *4 *5 *6))))) 
-(-13 (-1005 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1778 ($ (-658 |#4|))) (-6 -4625) (-6 -4626))) 
-((-3514 (($) 11)) (-4257 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
-(((-493 |#1| |#2| |#3|) (-10 -8 (-15 -4257 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3514 (|#1|))) (-494 |#2| |#3|) (-194) (-23)) (T -493)) 
-NIL 
-(-10 -8 (-15 -4257 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3514 (|#1|))) 
-((-1641 (((-141) $ $) 7)) (-4368 (((-3 |#1| "failed") $) 23)) (-2400 ((|#1| $) 22)) (-3679 (($ $ $) 20)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4525 ((|#2| $) 18)) (-1683 (((-877) $) 11) (($ |#1|) 24)) (-3514 (($) 17 T CONST)) (-4257 (($) 21 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 14) (($ $ $) 12)) (-3300 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-494 |#1| |#2|) (-1311) (-194) (-23)) (T -494)) 
-((-4257 (*1 *1) (-12 (-4 *1 (-494 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) (-3679 (*1 *1 *1 *1) (-12 (-4 *1 (-494 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23))))) 
-(-13 (-499 |t#1| |t#2|) (-1065 |t#1|) (-10 -8 (-15 (-4257) ($) -4249) (-15 -3679 ($ $ $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-499 |#1| |#2|) . T) ((-1065 |#1|) . T) ((-1119) . T)) 
-((-4117 (((-1280 (-1280 (-592))) (-1280 (-1280 (-592))) (-944)) 18)) (-1891 (((-1280 (-1280 (-592))) (-944)) 16))) 
-(((-495) (-10 -7 (-15 -4117 ((-1280 (-1280 (-592))) (-1280 (-1280 (-592))) (-944))) (-15 -1891 ((-1280 (-1280 (-592))) (-944))))) (T -495)) 
-((-1891 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 (-1280 (-592)))) (-5 *1 (-495)))) (-4117 (*1 *2 *2 *3) (-12 (-5 *2 (-1280 (-1280 (-592)))) (-5 *3 (-944)) (-5 *1 (-495))))) 
-(-10 -7 (-15 -4117 ((-1280 (-1280 (-592))) (-1280 (-1280 (-592))) (-944))) (-15 -1891 ((-1280 (-1280 (-592))) (-944)))) 
-((-1793 (((-592) (-592)) 30) (((-592)) 22)) (-2320 (((-592) (-592)) 26) (((-592)) 18)) (-3866 (((-592) (-592)) 28) (((-592)) 20)) (-2315 (((-141) (-141)) 12) (((-141)) 10)) (-2304 (((-141) (-141)) 11) (((-141)) 9)) (-1804 (((-141) (-141)) 24) (((-141)) 15))) 
-(((-496) (-10 -7 (-15 -2304 ((-141))) (-15 -2315 ((-141))) (-15 -2304 ((-141) (-141))) (-15 -2315 ((-141) (-141))) (-15 -1804 ((-141))) (-15 -3866 ((-592))) (-15 -2320 ((-592))) (-15 -1793 ((-592))) (-15 -1804 ((-141) (-141))) (-15 -3866 ((-592) (-592))) (-15 -2320 ((-592) (-592))) (-15 -1793 ((-592) (-592))))) (T -496)) 
-((-1793 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) (-2320 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) (-3866 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) (-1793 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) (-2320 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) (-3866 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) (-1804 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) (-2315 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) (-2304 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) (-2315 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) (-2304 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496))))) 
-(-10 -7 (-15 -2304 ((-141))) (-15 -2315 ((-141))) (-15 -2304 ((-141) (-141))) (-15 -2315 ((-141) (-141))) (-15 -1804 ((-141))) (-15 -3866 ((-592))) (-15 -2320 ((-592))) (-15 -1793 ((-592))) (-15 -1804 ((-141) (-141))) (-15 -3866 ((-592) (-592))) (-15 -2320 ((-592) (-592))) (-15 -1793 ((-592) (-592)))) 
-((-1641 (((-141) $ $) NIL)) (-3682 (((-658 (-405)) $) 27) (((-658 (-405)) $ (-658 (-405))) 90)) (-1443 (((-658 (-1113 (-405))) $) 14) (((-658 (-1113 (-405))) $ (-658 (-1113 (-405)))) 87)) (-3072 (((-658 (-658 (-971 (-237)))) (-658 (-658 (-971 (-237)))) (-658 (-896))) 42)) (-2896 (((-658 (-658 (-971 (-237)))) $) 83)) (-1831 (((-1285) $ (-971 (-237)) (-896)) 103)) (-3323 (($ $) 82) (($ (-658 (-658 (-971 (-237))))) 93) (($ (-658 (-658 (-971 (-237)))) (-658 (-896)) (-658 (-896)) (-658 (-944))) 92) (($ (-658 (-658 (-971 (-237)))) (-658 (-896)) (-658 (-896)) (-658 (-944)) (-658 (-278))) 94)) (-2685 (((-1173) $) NIL)) (-1350 (((-592) $) 65)) (-2951 (((-1137) $) NIL)) (-2997 (($) 91)) (-2801 (((-658 (-237)) (-658 (-658 (-971 (-237))))) 52)) (-2181 (((-1285) $ (-658 (-971 (-237))) (-896) (-896) (-944)) 97) (((-1285) $ (-971 (-237))) 99) (((-1285) $ (-971 (-237)) (-896) (-896) (-944)) 98)) (-1683 (((-877) $) 109) (($ (-658 (-658 (-971 (-237))))) 104)) (-3950 (((-1285) $ (-971 (-237))) 102)) (-3255 (((-141) $ $) NIL))) 
-(((-497) (-13 (-1119) (-10 -8 (-15 -2997 ($)) (-15 -3323 ($ $)) (-15 -3323 ($ (-658 (-658 (-971 (-237)))))) (-15 -3323 ($ (-658 (-658 (-971 (-237)))) (-658 (-896)) (-658 (-896)) (-658 (-944)))) (-15 -3323 ($ (-658 (-658 (-971 (-237)))) (-658 (-896)) (-658 (-896)) (-658 (-944)) (-658 (-278)))) (-15 -2896 ((-658 (-658 (-971 (-237)))) $)) (-15 -1350 ((-592) $)) (-15 -1443 ((-658 (-1113 (-405))) $)) (-15 -1443 ((-658 (-1113 (-405))) $ (-658 (-1113 (-405))))) (-15 -3682 ((-658 (-405)) $)) (-15 -3682 ((-658 (-405)) $ (-658 (-405)))) (-15 -2181 ((-1285) $ (-658 (-971 (-237))) (-896) (-896) (-944))) (-15 -2181 ((-1285) $ (-971 (-237)))) (-15 -2181 ((-1285) $ (-971 (-237)) (-896) (-896) (-944))) (-15 -3950 ((-1285) $ (-971 (-237)))) (-15 -1831 ((-1285) $ (-971 (-237)) (-896))) (-15 -1683 ($ (-658 (-658 (-971 (-237)))))) (-15 -1683 ((-877) $)) (-15 -3072 ((-658 (-658 (-971 (-237)))) (-658 (-658 (-971 (-237)))) (-658 (-896)))) (-15 -2801 ((-658 (-237)) (-658 (-658 (-971 (-237))))))))) (T -497)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-497)))) (-2997 (*1 *1) (-5 *1 (-497))) (-3323 (*1 *1 *1) (-5 *1 (-497))) (-3323 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-497)))) (-3323 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *3 (-658 (-896))) (-5 *4 (-658 (-944))) (-5 *1 (-497)))) (-3323 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *3 (-658 (-896))) (-5 *4 (-658 (-944))) (-5 *5 (-658 (-278))) (-5 *1 (-497)))) (-2896 (*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-497)))) (-1350 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-497)))) (-1443 (*1 *2 *1) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-497)))) (-1443 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-497)))) (-3682 (*1 *2 *1) (-12 (-5 *2 (-658 (-405))) (-5 *1 (-497)))) (-3682 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-405))) (-5 *1 (-497)))) (-2181 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-658 (-971 (-237)))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *2 (-1285)) (-5 *1 (-497)))) (-2181 (*1 *2 *1 *3) (-12 (-5 *3 (-971 (-237))) (-5 *2 (-1285)) (-5 *1 (-497)))) (-2181 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-971 (-237))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *2 (-1285)) (-5 *1 (-497)))) (-3950 (*1 *2 *1 *3) (-12 (-5 *3 (-971 (-237))) (-5 *2 (-1285)) (-5 *1 (-497)))) (-1831 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-971 (-237))) (-5 *4 (-896)) (-5 *2 (-1285)) (-5 *1 (-497)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-497)))) (-3072 (*1 *2 *2 *3) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *3 (-658 (-896))) (-5 *1 (-497)))) (-2801 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *2 (-658 (-237))) (-5 *1 (-497))))) 
-(-13 (-1119) (-10 -8 (-15 -2997 ($)) (-15 -3323 ($ $)) (-15 -3323 ($ (-658 (-658 (-971 (-237)))))) (-15 -3323 ($ (-658 (-658 (-971 (-237)))) (-658 (-896)) (-658 (-896)) (-658 (-944)))) (-15 -3323 ($ (-658 (-658 (-971 (-237)))) (-658 (-896)) (-658 (-896)) (-658 (-944)) (-658 (-278)))) (-15 -2896 ((-658 (-658 (-971 (-237)))) $)) (-15 -1350 ((-592) $)) (-15 -1443 ((-658 (-1113 (-405))) $)) (-15 -1443 ((-658 (-1113 (-405))) $ (-658 (-1113 (-405))))) (-15 -3682 ((-658 (-405)) $)) (-15 -3682 ((-658 (-405)) $ (-658 (-405)))) (-15 -2181 ((-1285) $ (-658 (-971 (-237))) (-896) (-896) (-944))) (-15 -2181 ((-1285) $ (-971 (-237)))) (-15 -2181 ((-1285) $ (-971 (-237)) (-896) (-896) (-944))) (-15 -3950 ((-1285) $ (-971 (-237)))) (-15 -1831 ((-1285) $ (-971 (-237)) (-896))) (-15 -1683 ($ (-658 (-658 (-971 (-237)))))) (-15 -1683 ((-877) $)) (-15 -3072 ((-658 (-658 (-971 (-237)))) (-658 (-658 (-971 (-237)))) (-658 (-896)))) (-15 -2801 ((-658 (-237)) (-658 (-658 (-971 (-237)))))))) 
-((-3306 (($ $) NIL) (($ $ $) 11))) 
-(((-498 |#1| |#2| |#3|) (-10 -8 (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|))) (-499 |#2| |#3|) (-194) (-23)) (T -498)) 
-NIL 
-(-10 -8 (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4525 ((|#2| $) 18)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 14) (($ $ $) 12)) (-3300 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-499 |#1| |#2|) (-1311) (-194) (-23)) (T -499)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-499 *3 *2)) (-4 *3 (-194)) (-4 *2 (-23)))) (-3514 (*1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) (-3306 (*1 *1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) (-3300 (*1 *1 *1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23))))) 
-(-13 (-1119) (-10 -8 (-15 -4525 (|t#2| $)) (-15 (-3514) ($) -4249) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -3306 ($ $)) (-15 -3300 ($ $ $)) (-15 -3306 ($ $ $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1742 (((-3 (-658 (-516 |#1| |#2|)) "failed") (-658 (-516 |#1| |#2|)) (-658 (-879 |#1|))) 88)) (-4428 (((-658 (-658 (-264 |#1| |#2|))) (-658 (-264 |#1| |#2|)) (-658 (-879 |#1|))) 86)) (-3138 (((-2 (|:| |dpolys| (-658 (-264 |#1| |#2|))) (|:| |coords| (-658 (-592)))) (-658 (-264 |#1| |#2|)) (-658 (-879 |#1|))) 58))) 
-(((-500 |#1| |#2| |#3|) (-10 -7 (-15 -4428 ((-658 (-658 (-264 |#1| |#2|))) (-658 (-264 |#1| |#2|)) (-658 (-879 |#1|)))) (-15 -1742 ((-3 (-658 (-516 |#1| |#2|)) "failed") (-658 (-516 |#1| |#2|)) (-658 (-879 |#1|)))) (-15 -3138 ((-2 (|:| |dpolys| (-658 (-264 |#1| |#2|))) (|:| |coords| (-658 (-592)))) (-658 (-264 |#1| |#2|)) (-658 (-879 |#1|))))) (-658 (-1191)) (-477) (-477)) (T -500)) 
-((-3138 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-879 *5))) (-14 *5 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-2 (|:| |dpolys| (-658 (-264 *5 *6))) (|:| |coords| (-658 (-592))))) (-5 *1 (-500 *5 *6 *7)) (-5 *3 (-658 (-264 *5 *6))) (-4 *7 (-477)))) (-1742 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-516 *4 *5))) (-5 *3 (-658 (-879 *4))) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *1 (-500 *4 *5 *6)) (-4 *6 (-477)))) (-4428 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-879 *5))) (-14 *5 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-658 (-658 (-264 *5 *6)))) (-5 *1 (-500 *5 *6 *7)) (-5 *3 (-658 (-264 *5 *6))) (-4 *7 (-477))))) 
-(-10 -7 (-15 -4428 ((-658 (-658 (-264 |#1| |#2|))) (-658 (-264 |#1| |#2|)) (-658 (-879 |#1|)))) (-15 -1742 ((-3 (-658 (-516 |#1| |#2|)) "failed") (-658 (-516 |#1| |#2|)) (-658 (-879 |#1|)))) (-15 -3138 ((-2 (|:| |dpolys| (-658 (-264 |#1| |#2|))) (|:| |coords| (-658 (-592)))) (-658 (-264 |#1| |#2|)) (-658 (-879 |#1|))))) 
-((-3371 (((-3 $ "failed") $) 11)) (-2227 (($ $ $) 20)) (-2131 (($ $ $) 21)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 14)) (-3313 (($ $ $) 9)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 19))) 
-(((-501 |#1|) (-10 -8 (-15 -2131 (|#1| |#1| |#1|)) (-15 -2227 (|#1| |#1| |#1|)) (-15 -1424 (|#1| |#1| (-592))) (-15 ** (|#1| |#1| (-592))) (-15 -3313 (|#1| |#1| |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 -1424 (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-790))) (-15 -1424 (|#1| |#1| (-944))) (-15 ** (|#1| |#1| (-944)))) (-502)) (T -501)) 
-NIL 
-(-10 -8 (-15 -2131 (|#1| |#1| |#1|)) (-15 -2227 (|#1| |#1| |#1|)) (-15 -1424 (|#1| |#1| (-592))) (-15 ** (|#1| |#1| (-592))) (-15 -3313 (|#1| |#1| |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 -1424 (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-790))) (-15 -1424 (|#1| |#1| (-944))) (-15 ** (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-3001 (($) 19 T CONST)) (-3371 (((-3 $ "failed") $) 15)) (-3558 (((-141) $) 18)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 26)) (-2951 (((-1137) $) 10)) (-2227 (($ $ $) 22)) (-2131 (($ $ $) 21)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-944)) 12) (($ $ (-790)) 16) (($ $ (-592)) 23)) (-4257 (($) 20 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 25)) (** (($ $ (-944)) 13) (($ $ (-790)) 17) (($ $ (-592)) 24)) (* (($ $ $) 14))) 
-(((-502) (-1311)) (T -502)) 
-((-4552 (*1 *1 *1) (-4 *1 (-502))) (-3313 (*1 *1 *1 *1) (-4 *1 (-502))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-502)) (-5 *2 (-592)))) (-1424 (*1 *1 *1 *2) (-12 (-4 *1 (-502)) (-5 *2 (-592)))) (-2227 (*1 *1 *1 *1) (-4 *1 (-502))) (-2131 (*1 *1 *1 *1) (-4 *1 (-502)))) 
-(-13 (-743) (-10 -8 (-15 -4552 ($ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ (-592))) (-15 -1424 ($ $ (-592))) (-6 -4622) (-15 -2227 ($ $ $)) (-15 -2131 ($ $ $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-743) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 17)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) NIL) (($ $ (-433 (-592)) (-433 (-592))) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) NIL)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) NIL) (((-433 (-592)) $ (-433 (-592))) NIL)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) NIL) (($ $ (-433 (-592))) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-433 (-592))) NIL) (($ $ (-1103) (-433 (-592))) NIL) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) 22)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3162 (($ $) 26 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 33 (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 27 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) NIL) (($ $ $) NIL (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) 25 (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $ (-1276 |#2|)) 15)) (-4525 (((-433 (-592)) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1276 |#2|)) NIL) (($ (-1264 |#1| |#2| |#3|)) 9) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 18)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) 24)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-503 |#1| |#2| |#3|) (-13 (-1260 |#1|) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -1683 ($ (-1264 |#1| |#2| |#3|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -503)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-503 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1264 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-503 *3 *4 *5)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-503 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-503 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1260 |#1|) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -1683 ($ (-1264 |#1| |#2| |#3|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#2| $ |#1| |#2|) 18)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) 19)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) 16)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2840 (((-658 |#1|) $) NIL)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3708 (((-658 |#1|) $) NIL)) (-3780 (((-141) |#1| $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-504 |#1| |#2| |#3| |#4|) (-1202 |#1| |#2|) (-1119) (-1119) (-1202 |#1| |#2|) |#2|) (T -504)) 
-NIL 
-(-1202 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) NIL)) (-2248 (((-658 $) (-658 |#4|)) NIL)) (-4085 (((-658 |#3|) $) NIL)) (-4325 (((-141) $) NIL)) (-2988 (((-141) $) NIL (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-2244 ((|#4| |#4| $) NIL)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3113 (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) NIL)) (-3001 (($) NIL T CONST)) (-3239 (((-141) $) 26 (|has| |#1| (-582)))) (-3478 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2398 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1529 (((-141) $) NIL (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4521 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) NIL)) (-2400 (($ (-658 |#4|)) NIL)) (-1366 (((-3 $ "failed") $) 39)) (-2226 ((|#4| |#4| $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4459 (($ |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) NIL)) (-3092 ((|#4| |#4| $) NIL)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) NIL)) (-4004 (((-658 |#4|) $) 16 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#4|) $) 17 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 25 (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-3987 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 21)) (-2290 (((-658 |#3|) $) NIL)) (-2645 (((-141) |#3| $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-4255 (((-3 |#4| "failed") $) 37)) (-1712 (((-658 |#4|) $) NIL)) (-2346 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1751 ((|#4| |#4| $) NIL)) (-3085 (((-141) $ $) NIL)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1803 ((|#4| |#4| $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-3 |#4| "failed") $) 35)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) NIL)) (-2778 (((-3 $ "failed") $ |#4|) 46)) (-2807 (($ $ |#4|) NIL)) (-3002 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 15)) (-2890 (($) 13)) (-4525 (((-790) $) NIL)) (-3452 (((-790) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (((-790) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) 12)) (-1778 (((-565) $) NIL (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 20)) (-2613 (($ $ |#3|) 42)) (-4152 (($ $ |#3|) 43)) (-2965 (($ $) NIL)) (-2507 (($ $ |#3|) NIL)) (-1683 (((-877) $) 31) (((-658 |#4|) $) 40)) (-1857 (((-790) $) NIL (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) NIL)) (-3369 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) NIL)) (-3069 (((-141) |#3| $) NIL)) (-3255 (((-141) $ $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-505 |#1| |#2| |#3| |#4|) (-1219 |#1| |#2| |#3| |#4|) (-582) (-815) (-869) (-1089 |#1| |#2| |#3|)) (T -505)) 
-NIL 
-(-1219 |#1| |#2| |#3| |#4|) 
-((-1809 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) NIL)) (-3507 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-2780 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL)) (-4126 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL)) (-4166 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL)) (-1835 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-4351 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) NIL)) (-1500 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-3610 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-1926 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-2948 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-3351 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-658 (-1191)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-658 (-1191))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53))) NIL)) (-3090 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) (-1191)) NIL (|has| (-53) (-1065 (-1191)))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) NIL))) 
-(((-506) (-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (IF (|has| (-53) (-1065 (-1191))) (IF (|has| (-53) (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (IF (|has| (-53) (-1065 (-1191))) (IF (|has| (-53) (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|))) (T -506)) 
-((-2948 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-2780 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-4166 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-3507 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-3090 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-5 *1 (-506)))) (-1809 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-5 *1 (-506)))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790))))) (-5 *1 (-506)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790))))) (-5 *1 (-506)))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-2780 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-4166 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3507 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-4126 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-1835 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-2948 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-2948 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-4351 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-3610 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-1500 (*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) (-3610 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-1500 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3351 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3351 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) (-3351 (*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506))))) 
-(-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (IF (|has| (-53) (-1065 (-1191))) (IF (|has| (-53) (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (IF (|has| (-53) (-1065 (-1191))) (IF (|has| (-53) (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) 
-((-3803 (((-332 (-592)) |#1|) 11))) 
-(((-507 |#1|) (-10 -7 (-15 -3803 ((-332 (-592)) |#1|))) (-13 (-373) (-633 (-592)))) (T -507)) 
-((-3803 (*1 *2 *3) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-507 *3)) (-4 *3 (-13 (-373) (-633 (-592))))))) 
-(-10 -7 (-15 -3803 ((-332 (-592)) |#1|))) 
-((-1809 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) NIL)) (-3507 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-2780 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL)) (-4126 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL)) (-4166 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL)) (-1835 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-4351 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489)))) NIL)) (-1500 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-3610 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-1926 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-2948 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-3351 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|)) NIL)) (-3090 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) (-1191)) NIL (|has| |#1| (-1065 (-1191)))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) NIL))) 
-(((-508 |#1|) (-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#1| (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#1| (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) (-13 (-373) (-633 (-592)))) (T -508)) 
-((-2948 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 *4) (-790)))) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 *4) (-790)))) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 *4) (-790))))) (-5 *1 (-508 *4)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 *4) (-790))))) (-5 *1 (-508 *4)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-2780 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-4166 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-3507 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-4126 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-1835 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-2948 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-2948 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-4351 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 *4) (-790)))) (-658 (-489)))) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) (-3610 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-1500 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) (-3351 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *7) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 *7)) (-4 *7 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *7)))) (-3351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *6) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 *6)) (-4 *6 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *6)))) (-3351 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) (-3351 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4))))) 
-(-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#1| (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#1| (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 |#1| (-790) (-790) (-1187 |#1|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 |#1|) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) 
-((-1809 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) NIL)) (-3507 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-2780 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL)) (-4126 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL)) (-4166 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL)) (-1835 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-4351 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) NIL)) (-1500 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-3610 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-1926 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-2948 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-3351 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-658 (-1191)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-658 (-1191))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592)))) NIL)) (-3090 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-592)) (-1065 (-1191))) (|has| (-592) (-1065 (-1191))))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) NIL))) 
-(((-509) (-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (IF (|has| (-433 (-592)) (-1065 (-1191))) (IF (|has| (-592) (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (IF (|has| (-433 (-592)) (-1065 (-1191))) (IF (|has| (-592) (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|))) (T -509)) 
-((-2948 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-2780 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-4166 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-3507 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-3090 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-5 *1 (-509)))) (-1809 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-5 *1 (-509)))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790))))) (-5 *1 (-509)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790))))) (-5 *1 (-509)))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-2780 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-4166 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3507 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-4126 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-1835 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-2948 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-2948 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-4351 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-3610 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-1500 (*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) (-3610 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-1500 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3351 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3351 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) (-3351 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509))))) 
-(-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (IF (|has| (-433 (-592)) (-1065 (-1191))) (IF (|has| (-592) (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (IF (|has| (-433 (-592)) (-1065 (-1191))) (IF (|has| (-592) (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) 
-((-1809 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) (-1191)) 367 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) 361)) (-3507 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) 484 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 477) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 478)) (-2780 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) 486 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 483) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 482)) (-4126 (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 475) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 474)) (-4166 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) 485 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 480) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 479)) (-1835 (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 471) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 472)) (-4351 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489)))) 463)) (-1500 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) 193 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 191) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 190)) (-3610 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) 219 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 208) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 207)) (-1926 (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 468) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 469)) (-2948 (((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)) 476 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 464) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 465)) (-3351 (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)) (-658 (-489))) 509) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191))) 514) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) 513) (((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|)) 512)) (-3090 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) (-1191)) 336 (-12 (|has| |#1| (-1065 (-1191))) (|has| |#2| (-1065 (-1191))))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) 326))) 
-(((-510 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1500 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3610 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#2| (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2948 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1926 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1835 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2780 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#2| (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) (-388) (-477) (-13 (-456 (-592)) (-582) (-1065 |#4|) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $)))) (-13 (-869) (-582)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -510)) 
-((-2948 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 *3)) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) *3 *6)) (|:| C (-1 (-658 *5) (-790)))) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 *3)) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) *3 *6)) (|:| C (-1 (-658 *5) (-790)))) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 (-1191))) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) (-1191) *6)) (|:| C (-1 (-658 *5) (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 (-1191))) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) (-1191) *6)) (|:| C (-1 (-658 *5) (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-2780 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-4166 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3507 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-4126 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-1835 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-2948 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-2948 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-4351 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 (-1191))) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) (-1191) *6)) (|:| C (-1 (-658 *5) (-790)))) (-658 (-489)))) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) (-3610 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-1500 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3351 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 *9) (|:| -4346 (-790)))) (-658 *7) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 *7)) (-4 *7 (-388)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-869) (-582))) (-14 *11 (-1 *7 *10)) (-5 *2 (-658 (-2 (|:| -1325 *9) (|:| -4346 (-790))))) (-5 *1 (-510 *7 *8 *9 *10 *11 *12)) (-4 *8 (-477)) (-4 *9 (-13 (-456 (-592)) (-582) (-1065 *10) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 *8) (|:| -4346 (-790)))) (-658 *6) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 *6)) (-4 *6 (-388)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-869) (-582))) (-14 *10 (-1 *6 *9)) (-5 *2 (-658 (-2 (|:| -1325 *8) (|:| -4346 (-790))))) (-5 *1 (-510 *6 *7 *8 *9 *10 *11)) (-4 *7 (-477)) (-4 *8 (-13 (-456 (-592)) (-582) (-1065 *9) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3351 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) (-3351 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $)))))))) 
-(-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1500 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3610 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#2| (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2948 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1926 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -1835 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3507 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -2780 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489)))) (IF (|has| |#1| (-1065 (-1191))) (IF (|has| |#2| (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 |#1|)) (-1237 |#1|))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 |#1|))) (-1237 (-1187 |#1|)))) (|:| |exprStream| (-1 (-1171 |#3|) |#3| (-1191))) (|:| A (-1 |#2| (-790) (-790) (-1187 |#2|))) (|:| AF (-1 (-1187 |#1|) (-790) (-790) (-1237 (-1187 |#1|)))) (|:| AX (-1 |#3| (-790) (-1191) |#3|)) (|:| C (-1 (-658 |#2|) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 |#3|) (|:| -4346 (-790)))) (-658 |#1|) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) 
-((-1809 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) NIL)) (-3507 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-2780 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL)) (-4126 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL)) (-4166 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL)) (-1835 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-4351 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) NIL)) (-1500 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-3610 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-1926 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-2948 (((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-3351 (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-658 (-1191)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-658 (-1191))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592))))) NIL)) (-3090 (((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) (-1191)) NIL (-12 (|has| (-433 (-980 (-592))) (-1065 (-1191))) (|has| (-980 (-592)) (-1065 (-1191))))) (((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) NIL))) 
-(((-511) (-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (IF (|has| (-433 (-980 (-592))) (-1065 (-1191))) (IF (|has| (-980 (-592)) (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (IF (|has| (-433 (-980 (-592))) (-1065 (-1191))) (IF (|has| (-980 (-592)) (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|))) (T -511)) 
-((-2948 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-2780 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-4166 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-3507 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-3090 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-5 *1 (-511)))) (-1809 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-5 *1 (-511)))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790))))) (-5 *1 (-511)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790))))) (-5 *1 (-511)))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-2780 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-4166 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3507 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-4126 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-1835 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-2948 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-2948 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-4351 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-3610 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-1500 (*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) (-3610 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-1500 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3351 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3351 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) (-3351 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511))))) 
-(-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -1500 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3610 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (IF (|has| (-433 (-980 (-592))) (-1065 (-1191))) (IF (|has| (-980 (-592)) (-1065 (-1191))) (PROGN (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -1926 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -1835 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))))) (-15 -3090 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-15 -1809 ((-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (IF (|has| (-433 (-980 (-592))) (-1065 (-1191))) (IF (|has| (-980 (-592)) (-1065 (-1191))) (PROGN (-15 -1809 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) (-1191))) (-15 -3090 ((-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))) (-1191)))) |noBranch|) |noBranch|)) 
-((-1809 (((-1 HPSPEC (-658 (-489))) (-1191)) NIL) ((HPSPEC (-658 (-489))) NIL)) (-3507 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-2780 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL)) (-4126 (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL)) (-4166 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL)) (-1835 (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-4351 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1 HPSPEC (-658 (-489)))) NIL)) (-1500 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-3610 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-1926 (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-2948 (((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-3351 (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-658 (-1191)) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-658 (-1191))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) NIL) (((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592))))) NIL)) (-3090 (((-1 HPSPEC (-658 (-489))) (-1191)) NIL) ((HPSPEC (-658 (-489))) NIL))) 
-(((-512 |#1|) (-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -1500 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3610 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1 HPSPEC (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -1926 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -1835 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -2780 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3090 (HPSPEC (-658 (-489)))) (-15 -1809 (HPSPEC (-658 (-489)))) (-15 -1809 ((-1 HPSPEC (-658 (-489))) (-1191))) (-15 -3090 ((-1 HPSPEC (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)))) (-1191)) (T -512)) 
-((-2948 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 HPSPEC (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 HPSPEC (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-1809 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 HPSPEC) (-5 *1 (-512 *4)) (-14 *4 (-1191)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 HPSPEC) (-5 *1 (-512 *4)) (-14 *4 (-1191)))) (-2780 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-2780 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-4166 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-3507 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-3507 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-4126 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-1835 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-1926 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-2948 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-2948 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-4351 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 (-1191)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3))) (-3610 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-3610 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-1500 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) (-3351 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-760 *7 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *7 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-433 (-761 *7 (-592))))) (-14 *7 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *7 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *7)))) (-3351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-760 *6 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *6 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-433 (-761 *6 (-592))))) (-14 *6 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *6 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *6)))) (-3351 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) (-3351 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4))))) 
-(-10 -7 (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-658 (-1191)))) (-15 -3351 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-658 (-1191)) (-658 (-489)))) (-15 -1500 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -1500 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -3610 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3610 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -1500 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -3610 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -4351 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1 HPSPEC (-658 (-489))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -2948 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -1926 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -1926 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -1835 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -1835 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4126 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3507 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -4166 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -2780 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489)))) (-15 -2780 ((-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))))) (-15 -3090 (HPSPEC (-658 (-489)))) (-15 -1809 (HPSPEC (-658 (-489)))) (-15 -1809 ((-1 HPSPEC (-658 (-489))) (-1191))) (-15 -3090 ((-1 HPSPEC (-658 (-489))) (-1191))) (-15 -3507 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -4166 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -2780 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191))) (-15 -2948 ((-1 (-658 (-2 (|:| -1325 (-760 |#1| (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 |#1| (-592)))) (-658 (-489))) (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1435 (($) 18)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-1778 (((-405) $) 22) (((-237) $) 25) (((-433 (-1187 (-592))) $) 19) (((-565) $) 52)) (-1683 (((-877) $) 50) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (((-237) $) 24) (((-405) $) 21)) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 36 T CONST)) (-4257 (($) 11 T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-513) (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))) (-1049) (-632 (-237)) (-632 (-405)) (-633 (-433 (-1187 (-592)))) (-633 (-565)) (-10 -8 (-15 -1435 ($))))) (T -513)) 
-((-1435 (*1 *1) (-5 *1 (-513)))) 
-(-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))) (-1049) (-632 (-237)) (-632 (-405)) (-633 (-433 (-1187 (-592)))) (-633 (-565)) (-10 -8 (-15 -1435 ($)))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#2| $ |#1| |#2|) 16)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) 20)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) 18)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2840 (((-658 |#1|) $) 13)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3708 (((-658 |#1|) $) NIL)) (-3780 (((-141) |#1| $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 19)) (-3927 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 11 (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1699 (((-790) $) 15 (|has| $ (-6 -4625))))) 
-(((-514 |#1| |#2| |#3|) (-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) (-1119) (-1119) (-1173)) (T -514)) 
-NIL 
-(-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) 
-((-2470 (((-592) (-592) (-592)) 7)) (-2238 (((-141) (-592) (-592) (-592) (-592)) 11)) (-3086 (((-1280 (-658 (-592))) (-790) (-790)) 22))) 
-(((-515) (-10 -7 (-15 -2470 ((-592) (-592) (-592))) (-15 -2238 ((-141) (-592) (-592) (-592) (-592))) (-15 -3086 ((-1280 (-658 (-592))) (-790) (-790))))) (T -515)) 
-((-3086 (*1 *2 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1280 (-658 (-592)))) (-5 *1 (-515)))) (-2238 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-141)) (-5 *1 (-515)))) (-2470 (*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-515))))) 
-(-10 -7 (-15 -2470 ((-592) (-592) (-592))) (-15 -2238 ((-141) (-592) (-592) (-592) (-592))) (-15 -3086 ((-1280 (-658 (-592))) (-790) (-790)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-879 |#1|)) $) NIL)) (-4492 (((-1187 $) $ (-879 |#1|)) NIL) (((-1187 |#2|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-582)))) (-1555 (($ $) NIL (|has| |#2| (-582)))) (-1313 (((-141) $) NIL (|has| |#2| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-879 |#1|))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL (|has| |#2| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-879 |#1|) "failed") $) NIL)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-879 |#1|) $) NIL)) (-1544 (($ $ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-4377 (($ $ (-658 (-592))) NIL)) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#2| (-931)))) (-4209 (($ $ |#2| (-517 (-1699 |#1|) (-790)) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#2|) (-879 |#1|)) NIL) (($ (-1187 $) (-879 |#1|)) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#2| (-517 (-1699 |#1|) (-790))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-879 |#1|)) NIL)) (-4206 (((-517 (-1699 |#1|) (-790)) $) NIL) (((-790) $ (-879 |#1|)) NIL) (((-658 (-790)) $ (-658 (-879 |#1|))) NIL)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2976 (($ (-1 (-517 (-1699 |#1|) (-790)) (-517 (-1699 |#1|) (-790))) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-3254 (((-3 (-879 |#1|) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#2| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-879 |#1|)) (|:| -3215 (-790))) "failed") $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#2| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-931)))) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-879 |#1|) |#2|) NIL) (($ $ (-658 (-879 |#1|)) (-658 |#2|)) NIL) (($ $ (-879 |#1|) $) NIL) (($ $ (-658 (-879 |#1|)) (-658 $)) NIL)) (-1482 (($ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-3644 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-4525 (((-517 (-1699 |#1|) (-790)) $) NIL) (((-790) $ (-879 |#1|)) NIL) (((-658 (-790)) $ (-658 (-879 |#1|))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-879 |#1|) (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#2| $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) NIL) (($ (-879 |#1|)) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-43 (-433 (-592)))) (|has| |#2| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#2| (-582)))) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-517 (-1699 |#1|) (-790))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#2| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#2| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#2| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#2| (-43 (-433 (-592))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-516 |#1| |#2|) (-13 (-977 |#2| (-517 (-1699 |#1|) (-790)) (-879 |#1|)) (-10 -8 (-15 -4377 ($ $ (-658 (-592)))))) (-658 (-1191)) (-1075)) (T -516)) 
-((-4377 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-516 *3 *4)) (-14 *3 (-658 (-1191))) (-4 *4 (-1075))))) 
-(-13 (-977 |#2| (-517 (-1699 |#1|) (-790)) (-879 |#1|)) (-10 -8 (-15 -4377 ($ $ (-658 (-592)))))) 
-((-1641 (((-141) $ $) NIL (|has| |#2| (-1119)))) (-2272 (((-141) $) NIL (|has| |#2| (-158)))) (-2673 (($ (-944)) NIL (|has| |#2| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4079 (($ $ $) NIL (|has| |#2| (-815)))) (-2350 (((-3 $ "failed") $ $) NIL (|has| |#2| (-158)))) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| |#2| (-394)))) (-3940 (((-592) $) NIL (|has| |#2| (-867)))) (-3932 ((|#2| $ (-592) |#2|) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1119)))) (-2400 (((-592) $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-433 (-592)) $) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) ((|#2| $) NIL (|has| |#2| (-1119)))) (-3945 (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL (|has| |#2| (-1075))) (((-706 |#2|) (-706 $)) NIL (|has| |#2| (-1075)))) (-3371 (((-3 $ "failed") $) NIL (|has| |#2| (-743)))) (-4290 (($) NIL (|has| |#2| (-394)))) (-1426 ((|#2| $ (-592) |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ (-592)) 11)) (-1691 (((-141) $) NIL (|has| |#2| (-867)))) (-4004 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL (|has| |#2| (-743)))) (-1324 (((-141) $) NIL (|has| |#2| (-867)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-4467 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3987 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#2| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#2| (-1119)))) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-1825 (($ (-944)) NIL (|has| |#2| (-394)))) (-2951 (((-1137) $) NIL (|has| |#2| (-1119)))) (-1918 ((|#2| $) NIL (|has| (-592) (-869)))) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#2| (-394)))) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ (-592) |#2|) NIL) ((|#2| $ (-592)) NIL)) (-1729 ((|#2| $ $) NIL (|has| |#2| (-1075)))) (-4512 (($ (-1280 |#2|)) NIL)) (-1936 (((-160)) NIL (|has| |#2| (-388)))) (-3644 (($ $) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1075)))) (-3452 (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-1280 |#2|) $) NIL) (((-877) $) NIL (|has| |#2| (-1119))) (($ (-592)) NIL (-3836 (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (|has| |#2| (-1075)))) (($ (-433 (-592))) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (($ |#2|) NIL (|has| |#2| (-1119)))) (-4010 (((-790)) NIL (|has| |#2| (-1075)))) (-3369 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-1392 (($ $) NIL (|has| |#2| (-867)))) (-1424 (($ $ (-790)) NIL (|has| |#2| (-743))) (($ $ (-944)) NIL (|has| |#2| (-743)))) (-3514 (($) NIL (|has| |#2| (-158)) CONST)) (-4257 (($) NIL (|has| |#2| (-743)) CONST)) (-1940 (($ $) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1075)))) (-3286 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3255 (((-141) $ $) NIL (|has| |#2| (-1119)))) (-3279 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3266 (((-141) $ $) 15 (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $ $) NIL (|has| |#2| (-1075))) (($ $) NIL (|has| |#2| (-1075)))) (-3300 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-790)) NIL (|has| |#2| (-743))) (($ $ (-944)) NIL (|has| |#2| (-743)))) (* (($ (-592) $) NIL (|has| |#2| (-1075))) (($ $ $) NIL (|has| |#2| (-743))) (($ $ |#2|) NIL (|has| |#2| (-743))) (($ |#2| $) NIL (|has| |#2| (-743))) (($ (-790) $) NIL (|has| |#2| (-158))) (($ (-944) $) NIL (|has| |#2| (-25)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-517 |#1| |#2|) (-252 |#1| |#2|) (-790) (-815)) (T -517)) 
-NIL 
-(-252 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) NIL)) (-3001 (($) NIL T CONST)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2713 (($ $ $) 32)) (-4491 (($ $ $) 31)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3319 ((|#1| $) 26)) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4137 ((|#1| $) 27)) (-2113 (($ |#1| $) 10)) (-4013 (($ (-658 |#1|)) 12)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-2106 ((|#1| $) 23)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 9)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 29)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) 21 (|has| $ (-6 -4625))))) 
-(((-518 |#1|) (-13 (-997 |#1|) (-10 -8 (-15 -4013 ($ (-658 |#1|))) (-15 -4560 ($ (-658 |#1|))) (-15 -4599 ($ $)) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -1724 ((-141) $ $)) (-15 -2106 (|#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -3319 (|#1| $)) (-15 -4491 ($ $ $)) (-15 -2713 ($ $ $)) (-15 -3001 ($)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) (-869)) (T -518)) 
-((-1724 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-2890 (*1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) (-2554 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-518 *4)) (-4 *4 (-869)))) (-4345 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-518 *4)) (-4 *4 (-869)))) (-2126 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-518 *4)) (-4 *4 (-869)))) (-3001 (*1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-869)) (-5 *1 (-518 *3)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-869)) (-5 *1 (-518 *3)))) (-3369 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-869)) (-5 *2 (-141)) (-5 *1 (-518 *4)))) (-3002 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-869)) (-5 *2 (-141)) (-5 *1 (-518 *4)))) (-3452 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-869)) (-5 *2 (-790)) (-5 *1 (-518 *4)))) (-4004 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) (-4467 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) (-3452 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-3133 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-2685 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-2951 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-1641 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) (-4560 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-518 *3)))) (-2106 (*1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-4137 (*1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-3319 (*1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-4491 (*1 *1 *1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-2713 (*1 *1 *1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) (-4013 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-518 *3))))) 
-(-13 (-997 |#1|) (-10 -8 (-15 -4013 ($ (-658 |#1|))) (-15 -4560 ($ (-658 |#1|))) (-15 -4599 ($ $)) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -1724 ((-141) $ $)) (-15 -2106 (|#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -3319 (|#1| $)) (-15 -4491 ($ $ $)) (-15 -2713 ($ $ $)) (-15 -3001 ($)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3657 (($ $) 69)) (-1663 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-2312 (((-439 |#2| (-433 |#2|) |#3| |#4|) $) 43)) (-2951 (((-1137) $) NIL)) (-2934 (((-3 |#4| "failed") $) 105)) (-4096 (($ (-439 |#2| (-433 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-592)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-1906 (((-2 (|:| -4547 (-439 |#2| (-433 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-1683 (((-877) $) 100)) (-3514 (($) 33 T CONST)) (-3255 (((-141) $ $) 107)) (-3306 (($ $) 72) (($ $ $) NIL)) (-3300 (($ $ $) 70)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 73))) 
-(((-519 |#1| |#2| |#3| |#4|) (-355 |#1| |#2| |#3| |#4|) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|)) (T -519)) 
-NIL 
-(-355 |#1| |#2| |#3| |#4|) 
-((-1855 (((-592) (-658 (-592))) 28)) (-2981 ((|#1| (-658 |#1|)) 56)) (-3248 (((-658 |#1|) (-658 |#1|)) 57)) (-2764 (((-658 |#1|) (-658 |#1|)) 59)) (-3548 ((|#1| (-658 |#1|)) 58)) (-1554 (((-658 (-592)) (-658 |#1|)) 31))) 
-(((-520 |#1|) (-10 -7 (-15 -3548 (|#1| (-658 |#1|))) (-15 -2981 (|#1| (-658 |#1|))) (-15 -2764 ((-658 |#1|) (-658 |#1|))) (-15 -3248 ((-658 |#1|) (-658 |#1|))) (-15 -1554 ((-658 (-592)) (-658 |#1|))) (-15 -1855 ((-592) (-658 (-592))))) (-1255 (-592))) (T -520)) 
-((-1855 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-592)) (-5 *1 (-520 *4)) (-4 *4 (-1255 *2)))) (-1554 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1255 (-592))) (-5 *2 (-658 (-592))) (-5 *1 (-520 *4)))) (-3248 (*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1255 (-592))) (-5 *1 (-520 *3)))) (-2764 (*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1255 (-592))) (-5 *1 (-520 *3)))) (-2981 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-520 *2)) (-4 *2 (-1255 (-592))))) (-3548 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-520 *2)) (-4 *2 (-1255 (-592)))))) 
-(-10 -7 (-15 -3548 (|#1| (-658 |#1|))) (-15 -2981 (|#1| (-658 |#1|))) (-15 -2764 ((-658 |#1|) (-658 |#1|))) (-15 -3248 ((-658 |#1|) (-658 |#1|))) (-15 -1554 ((-658 (-592)) (-658 |#1|))) (-15 -1855 ((-592) (-658 (-592))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-592) $) NIL (|has| (-592) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-592) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| (-592) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-592) (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| (-592) (-1065 (-592))))) (-2400 (((-592) $) NIL) (((-1191) $) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-592) (-1065 (-592)))) (((-592) $) NIL (|has| (-592) (-1065 (-592))))) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-592) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| (-592) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-592) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-592) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-592) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| (-592) (-1165)))) (-1324 (((-141) $) NIL (|has| (-592) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-2731 (($ (-1 (-592) (-592)) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-592) (-1165)) CONST)) (-3456 (($ (-433 (-592))) 8)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-592) (-323))) (((-433 (-592)) $) NIL)) (-2039 (((-592) $) NIL (|has| (-592) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-592)) (-658 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-592) (-592)) NIL (|has| (-592) (-325 (-592)))) (($ $ (-310 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-310 (-592)))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-1191)) (-658 (-592))) NIL (|has| (-592) (-547 (-1191) (-592)))) (($ $ (-1191) (-592)) NIL (|has| (-592) (-547 (-1191) (-592))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-592)) NIL (|has| (-592) (-303 (-592) (-592))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-592) $) NIL)) (-1778 (((-914 (-592)) $) NIL (|has| (-592) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-592) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-592) (-633 (-565)))) (((-405) $) NIL (|has| (-592) (-1049))) (((-237) $) NIL (|has| (-592) (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-592) (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) 7) (($ (-592)) NIL) (($ (-1191)) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL) (((-1032 16) $) 9)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-592) (-931))) (|has| (-592) (-169))))) (-4010 (((-790)) NIL)) (-2744 (((-592) $) NIL (|has| (-592) (-574)))) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL (|has| (-592) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3313 (($ $ $) NIL) (($ (-592) (-592)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL))) 
-(((-521) (-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -1683 ((-1032 16) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -3456 ($ (-433 (-592))))))) (T -521)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-521)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1032 16)) (-5 *1 (-521)))) (-3856 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-521)))) (-3456 (*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-521))))) 
-(-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -1683 ((-1032 16) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -3456 ($ (-433 (-592)))))) 
-((-4467 (((-658 |#2|) $) 22)) (-3133 (((-141) |#2| $) 27)) (-3002 (((-141) (-1 (-141) |#2|) $) 20)) (-2806 (($ $ (-658 (-310 |#2|))) 12) (($ $ (-310 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-658 |#2|) (-658 |#2|)) NIL)) (-3452 (((-790) (-1 (-141) |#2|) $) 21) (((-790) |#2| $) 25)) (-1683 (((-877) $) 36)) (-3369 (((-141) (-1 (-141) |#2|) $) 19)) (-3255 (((-141) $ $) 30)) (-1699 (((-790) $) 16))) 
-(((-522 |#1| |#2|) (-10 -8 (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#2| |#2|)) (-15 -2806 (|#1| |#1| (-310 |#2|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#2|)))) (-15 -3133 ((-141) |#2| |#1|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -4467 ((-658 |#2|) |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -1699 ((-790) |#1|))) (-523 |#2|) (-1225)) (T -522)) 
-NIL 
-(-10 -8 (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#2| |#2|)) (-15 -2806 (|#1| |#1| (-310 |#2|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#2|)))) (-15 -3133 ((-141) |#2| |#1|)) (-15 -3452 ((-790) |#2| |#1|)) (-15 -4467 ((-658 |#2|) |#1|)) (-15 -3452 ((-790) (-1 (-141) |#2|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -1699 ((-790) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-523 |#1|) (-1311) (-1225)) (T -523)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-523 *3)) (-4 *3 (-1225)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4626)) (-4 *1 (-523 *3)) (-4 *3 (-1225)))) (-3369 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| *1 (-6 -4625)) (-4 *1 (-523 *4)) (-4 *4 (-1225)) (-5 *2 (-141)))) (-3002 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| *1 (-6 -4625)) (-4 *1 (-523 *4)) (-4 *4 (-1225)) (-5 *2 (-141)))) (-3452 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| *1 (-6 -4625)) (-4 *1 (-523 *4)) (-4 *4 (-1225)) (-5 *2 (-790)))) (-4004 (*1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-5 *2 (-658 *3)))) (-4467 (*1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-5 *2 (-658 *3)))) (-3452 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-790)))) (-3133 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1119)) (-6 (-1119)) |noBranch|) (IF (|has| |t#1| (-1119)) (IF (|has| |t#1| (-325 |t#1|)) (-6 (-325 |t#1|)) |noBranch|) |noBranch|) (-15 -2731 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3369 ((-141) (-1 (-141) |t#1|) $)) (-15 -3002 ((-141) (-1 (-141) |t#1|) $)) (-15 -3452 ((-790) (-1 (-141) |t#1|) $)) (-15 -4004 ((-658 |t#1|) $)) (-15 -4467 ((-658 |t#1|) $)) (IF (|has| |t#1| (-1119)) (PROGN (-15 -3452 ((-790) |t#1| $)) (-15 -3133 ((-141) |t#1| $))) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1805 (((-1173) (-877)) 40)) (-3536 (((-1285) (-1173)) 29)) (-1807 (((-1173) (-877)) 25)) (-2609 (((-1173) (-877)) 26)) (-1683 (((-877) $) NIL) (((-1173) (-877)) 24)) (-3255 (((-141) $ $) NIL))) 
-(((-524) (-13 (-1119) (-10 -7 (-15 -1683 ((-1173) (-877))) (-15 -1807 ((-1173) (-877))) (-15 -2609 ((-1173) (-877))) (-15 -1805 ((-1173) (-877))) (-15 -3536 ((-1285) (-1173)))))) (T -524)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) (-1807 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) (-2609 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) (-1805 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) (-3536 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-524))))) 
-(-13 (-1119) (-10 -7 (-15 -1683 ((-1173) (-877))) (-15 -1807 ((-1173) (-877))) (-15 -2609 ((-1173) (-877))) (-15 -1805 ((-1173) (-877))) (-15 -3536 ((-1285) (-1173))))) 
-((-1588 (($ $) 15)) (-1575 (($ $) 24)) (-1601 (($ $) 12)) (-1609 (($ $) 10)) (-1594 (($ $) 17)) (-1581 (($ $) 22))) 
-(((-525 |#1|) (-10 -8 (-15 -1581 (|#1| |#1|)) (-15 -1594 (|#1| |#1|)) (-15 -1609 (|#1| |#1|)) (-15 -1601 (|#1| |#1|)) (-15 -1575 (|#1| |#1|)) (-15 -1588 (|#1| |#1|))) (-526)) (T -525)) 
-NIL 
-(-10 -8 (-15 -1581 (|#1| |#1|)) (-15 -1594 (|#1| |#1|)) (-15 -1609 (|#1| |#1|)) (-15 -1601 (|#1| |#1|)) (-15 -1575 (|#1| |#1|)) (-15 -1588 (|#1| |#1|))) 
-((-1588 (($ $) 11)) (-1575 (($ $) 10)) (-1601 (($ $) 9)) (-1609 (($ $) 8)) (-1594 (($ $) 7)) (-1581 (($ $) 6))) 
-(((-526) (-1311)) (T -526)) 
-((-1588 (*1 *1 *1) (-4 *1 (-526))) (-1575 (*1 *1 *1) (-4 *1 (-526))) (-1601 (*1 *1 *1) (-4 *1 (-526))) (-1609 (*1 *1 *1) (-4 *1 (-526))) (-1594 (*1 *1 *1) (-4 *1 (-526))) (-1581 (*1 *1 *1) (-4 *1 (-526)))) 
-(-13 (-10 -8 (-15 -1581 ($ $)) (-15 -1594 ($ $)) (-15 -1609 ($ $)) (-15 -1601 ($ $)) (-15 -1575 ($ $)) (-15 -1588 ($ $)))) 
-((-4500 (((-444 |#4|) |#4| (-1 (-444 |#2|) |#2|)) 42))) 
-(((-527 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 |#4|) |#4| (-1 (-444 |#2|) |#2|)))) (-388) (-1255 |#1|) (-13 (-388) (-171) (-741 |#1| |#2|)) (-1255 |#3|)) (T -527)) 
-((-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-4 *7 (-13 (-388) (-171) (-741 *5 *6))) (-5 *2 (-444 *3)) (-5 *1 (-527 *5 *6 *7 *3)) (-4 *3 (-1255 *7))))) 
-(-10 -7 (-15 -4500 ((-444 |#4|) |#4| (-1 (-444 |#2|) |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-3863 (((-658 $) (-1187 $) (-1191)) NIL) (((-658 $) (-1187 $)) NIL) (((-658 $) (-980 $)) NIL)) (-3224 (($ (-1187 $) (-1191)) NIL) (($ (-1187 $)) NIL) (($ (-980 $)) NIL)) (-2272 (((-141) $) 36)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-4387 (((-141) $ $) 62)) (-2165 (((-658 (-631 $)) $) 46)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3147 (($ $ (-310 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1442 (($ $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-1316 (((-658 $) (-1187 $) (-1191)) NIL) (((-658 $) (-1187 $)) NIL) (((-658 $) (-980 $)) NIL)) (-3906 (($ (-1187 $) (-1191)) NIL) (($ (-1187 $)) NIL) (($ (-980 $)) NIL)) (-4368 (((-3 (-631 $) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL)) (-2400 (((-631 $) $) NIL) (((-592) $) NIL) (((-433 (-592)) $) 48)) (-1586 (($ $ $) NIL)) (-3945 (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-433 (-592)))) (|:| |vec| (-1280 (-433 (-592))))) (-706 $) (-1280 $)) NIL) (((-706 (-433 (-592))) (-706 $)) NIL)) (-3657 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2243 (($ $) NIL) (($ (-658 $)) NIL)) (-4388 (((-658 (-143)) $) NIL)) (-2791 (((-143) (-143)) NIL)) (-3558 (((-141) $) 39)) (-3372 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-1448 (((-1142 (-592) (-631 $)) $) 34)) (-4422 (($ $ (-592)) NIL)) (-2793 (((-1187 $) (-1187 $) (-631 $)) 77) (((-1187 $) (-1187 $) (-658 (-631 $))) 53) (($ $ (-631 $)) 66) (($ $ (-658 (-631 $))) 67)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2710 (((-1187 $) (-631 $)) 64 (|has| $ (-1075)))) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 $ $) (-631 $)) NIL)) (-4160 (((-3 (-631 $) "failed") $) NIL)) (-2750 (($ (-658 $)) NIL) (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-4486 (((-658 (-631 $)) $) NIL)) (-1462 (($ (-143) $) NIL) (($ (-143) (-658 $)) NIL)) (-3013 (((-141) $ (-143)) NIL) (((-141) $ (-1191)) NIL)) (-4552 (($ $) NIL)) (-2535 (((-790) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ (-658 $)) NIL) (($ $ $) NIL)) (-1319 (((-141) $ $) NIL) (((-141) $ (-1191)) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3554 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-1191) (-1 $ (-658 $))) NIL) (($ $ (-1191) (-1 $ $)) NIL) (($ $ (-658 (-143)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-143) (-1 $ (-658 $))) NIL) (($ $ (-143) (-1 $ $)) NIL)) (-2769 (((-790) $) NIL)) (-3927 (($ (-143) $) NIL) (($ (-143) $ $) NIL) (($ (-143) $ $ $) NIL) (($ (-143) $ $ $ $) NIL) (($ (-143) (-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2818 (($ $) NIL) (($ $ $) NIL)) (-3644 (($ $ (-790)) NIL) (($ $) 33)) (-1456 (((-1142 (-592) (-631 $)) $) 17)) (-3390 (($ $) NIL (|has| $ (-1075)))) (-1778 (((-405) $) 91) (((-237) $) 99) (((-191 (-405)) $) 107)) (-1683 (((-877) $) NIL) (($ (-631 $)) NIL) (($ (-433 (-592))) NIL) (($ $) NIL) (($ (-592)) NIL) (($ (-1142 (-592) (-631 $))) 18)) (-4010 (((-790)) NIL)) (-3280 (($ $) NIL) (($ (-658 $)) NIL)) (-3038 (((-141) (-143)) 83)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-592)) NIL) (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-3514 (($) 9 T CONST)) (-4257 (($) 19 T CONST)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 21)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3313 (($ $ $) 41)) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-433 (-592))) NIL) (($ $ (-592)) 44) (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (* (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL) (($ $ $) 24) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-528) (-13 (-318) (-27) (-1065 (-592)) (-1065 (-433 (-592))) (-654 (-592)) (-1049) (-654 (-433 (-592))) (-171) (-633 (-191 (-405))) (-247) (-10 -8 (-15 -1683 ($ (-1142 (-592) (-631 $)))) (-15 -1448 ((-1142 (-592) (-631 $)) $)) (-15 -1456 ((-1142 (-592) (-631 $)) $)) (-15 -3657 ($ $)) (-15 -4387 ((-141) $ $)) (-15 -2793 ((-1187 $) (-1187 $) (-631 $))) (-15 -2793 ((-1187 $) (-1187 $) (-658 (-631 $)))) (-15 -2793 ($ $ (-631 $))) (-15 -2793 ($ $ (-658 (-631 $))))))) (T -528)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1142 (-592) (-631 (-528)))) (-5 *1 (-528)))) (-1448 (*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-528)))) (-5 *1 (-528)))) (-1456 (*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-528)))) (-5 *1 (-528)))) (-3657 (*1 *1 *1) (-5 *1 (-528))) (-4387 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-528)))) (-2793 (*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-528))) (-5 *3 (-631 (-528))) (-5 *1 (-528)))) (-2793 (*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-528))) (-5 *3 (-658 (-631 (-528)))) (-5 *1 (-528)))) (-2793 (*1 *1 *1 *2) (-12 (-5 *2 (-631 (-528))) (-5 *1 (-528)))) (-2793 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-631 (-528)))) (-5 *1 (-528))))) 
-(-13 (-318) (-27) (-1065 (-592)) (-1065 (-433 (-592))) (-654 (-592)) (-1049) (-654 (-433 (-592))) (-171) (-633 (-191 (-405))) (-247) (-10 -8 (-15 -1683 ($ (-1142 (-592) (-631 $)))) (-15 -1448 ((-1142 (-592) (-631 $)) $)) (-15 -1456 ((-1142 (-592) (-631 $)) $)) (-15 -3657 ($ $)) (-15 -4387 ((-141) $ $)) (-15 -2793 ((-1187 $) (-1187 $) (-631 $))) (-15 -2793 ((-1187 $) (-1187 $) (-658 (-631 $)))) (-15 -2793 ($ $ (-631 $))) (-15 -2793 ($ $ (-658 (-631 $)))))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) |#1|) 25 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 22 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 21)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 14)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 12 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) 23 (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) 10 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 13)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) 24) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) 9 (|has| $ (-6 -4625))))) 
-(((-529 |#1| |#2|) (-19 |#1|) (-1225) (-592)) (T -529)) 
-NIL 
-(-19 |#1|) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) (-592) |#1|) NIL)) (-2547 (($ $ (-592) (-529 |#1| |#3|)) NIL)) (-2242 (($ $ (-592) (-529 |#1| |#2|)) NIL)) (-3001 (($) NIL T CONST)) (-2747 (((-529 |#1| |#3|) $ (-592)) NIL)) (-1426 ((|#1| $ (-592) (-592) |#1|) NIL)) (-3959 ((|#1| $ (-592) (-592)) NIL)) (-4004 (((-658 |#1|) $) NIL)) (-4292 (((-790) $) NIL)) (-3242 (($ (-790) (-790) |#1|) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-4577 (((-592) $) NIL)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1898 (((-592) $) NIL)) (-3005 (((-592) $) NIL)) (-3987 (($ (-1 |#1| |#1|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) (-592)) NIL) ((|#1| $ (-592) (-592) |#1|) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-2000 (((-529 |#1| |#2|) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-530 |#1| |#2| |#3|) (-62 |#1| (-529 |#1| |#3|) (-529 |#1| |#2|)) (-1225) (-592) (-592)) (T -530)) 
-NIL 
-(-62 |#1| (-529 |#1| |#3|) (-529 |#1| |#2|)) 
-((-3344 (((-658 (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) (-790) (-790)) 27)) (-3382 (((-658 (-1187 |#1|)) |#1| (-790) (-790) (-790)) 34)) (-3219 (((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) (-658 |#3|) (-658 (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) (-790)) 83))) 
-(((-531 |#1| |#2| |#3|) (-10 -7 (-15 -3382 ((-658 (-1187 |#1|)) |#1| (-790) (-790) (-790))) (-15 -3344 ((-658 (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) (-790) (-790))) (-15 -3219 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) (-658 |#3|) (-658 (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) (-790)))) (-373) (-1255 |#1|) (-1255 |#2|)) (T -531)) 
-((-3219 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 (-2 (|:| -2195 (-706 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-706 *7))))) (-5 *5 (-790)) (-4 *8 (-1255 *7)) (-4 *7 (-1255 *6)) (-4 *6 (-373)) (-5 *2 (-2 (|:| -2195 (-706 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-706 *7)))) (-5 *1 (-531 *6 *7 *8)))) (-3344 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-790)) (-4 *5 (-373)) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -2195 (-706 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-706 *6))))) (-5 *1 (-531 *5 *6 *7)) (-5 *3 (-2 (|:| -2195 (-706 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-706 *6)))) (-4 *7 (-1255 *6)))) (-3382 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-790)) (-4 *3 (-373)) (-4 *5 (-1255 *3)) (-5 *2 (-658 (-1187 *3))) (-5 *1 (-531 *3 *5 *6)) (-4 *6 (-1255 *5))))) 
-(-10 -7 (-15 -3382 ((-658 (-1187 |#1|)) |#1| (-790) (-790) (-790))) (-15 -3344 ((-658 (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) (-790) (-790))) (-15 -3219 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) (-658 |#3|) (-658 (-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) (-790)))) 
-((-3277 (((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) (-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) (-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|)))) 60)) (-2664 ((|#1| (-706 |#1|) |#1| (-790)) 25)) (-3506 (((-790) (-790) (-790)) 30)) (-2600 (((-706 |#1|) (-706 |#1|) (-706 |#1|)) 42)) (-4029 (((-706 |#1|) (-706 |#1|) (-706 |#1|) |#1|) 50) (((-706 |#1|) (-706 |#1|) (-706 |#1|)) 47)) (-4155 ((|#1| (-706 |#1|) (-706 |#1|) |#1| (-592)) 29)) (-2236 ((|#1| (-706 |#1|)) 18))) 
-(((-532 |#1| |#2| |#3|) (-10 -7 (-15 -2236 (|#1| (-706 |#1|))) (-15 -2664 (|#1| (-706 |#1|) |#1| (-790))) (-15 -4155 (|#1| (-706 |#1|) (-706 |#1|) |#1| (-592))) (-15 -3506 ((-790) (-790) (-790))) (-15 -4029 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -4029 ((-706 |#1|) (-706 |#1|) (-706 |#1|) |#1|)) (-15 -2600 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -3277 ((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) (-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) (-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|)))))) (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $)))) (-1255 |#1|) (-435 |#1| |#2|)) (T -532)) 
-((-3277 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) (-2600 (*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) (-4029 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) (-4029 (*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) (-3506 (*1 *2 *2 *2) (-12 (-5 *2 (-790)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) (-4155 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-706 *2)) (-5 *4 (-592)) (-4 *2 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *5 (-1255 *2)) (-5 *1 (-532 *2 *5 *6)) (-4 *6 (-435 *2 *5)))) (-2664 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-706 *2)) (-5 *4 (-790)) (-4 *2 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *5 (-1255 *2)) (-5 *1 (-532 *2 *5 *6)) (-4 *6 (-435 *2 *5)))) (-2236 (*1 *2 *3) (-12 (-5 *3 (-706 *2)) (-4 *4 (-1255 *2)) (-4 *2 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-5 *1 (-532 *2 *4 *5)) (-4 *5 (-435 *2 *4))))) 
-(-10 -7 (-15 -2236 (|#1| (-706 |#1|))) (-15 -2664 (|#1| (-706 |#1|) |#1| (-790))) (-15 -4155 (|#1| (-706 |#1|) (-706 |#1|) |#1| (-592))) (-15 -3506 ((-790) (-790) (-790))) (-15 -4029 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -4029 ((-706 |#1|) (-706 |#1|) (-706 |#1|) |#1|)) (-15 -2600 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -3277 ((-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) (-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|))) (-2 (|:| -2195 (-706 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-706 |#1|)))))) 
-((-1641 (((-141) $ $) NIL)) (-3163 (($ $) NIL)) (-2773 (($ $ $) 35)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) $) NIL (|has| (-141) (-869))) (((-141) (-1 (-141) (-141) (-141)) $) NIL)) (-2831 (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-141) (-869)))) (($ (-1 (-141) (-141) (-141)) $) NIL (|has| $ (-6 -4626)))) (-3960 (($ $) NIL (|has| (-141) (-869))) (($ (-1 (-141) (-141) (-141)) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-141) $ (-1246 (-592)) (-141)) NIL (|has| $ (-6 -4626))) (((-141) $ (-592) (-141)) 36 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-4459 (($ (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625))) (($ (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-3657 (((-141) (-1 (-141) (-141) (-141)) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-141) (-141)) $ (-141)) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-141) (-141)) $ (-141) (-141)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-1426 (((-141) $ (-592) (-141)) NIL (|has| $ (-6 -4626)))) (-3959 (((-141) $ (-592)) NIL)) (-1721 (((-592) (-141) $ (-592)) NIL (|has| (-141) (-1119))) (((-592) (-141) $) NIL (|has| (-141) (-1119))) (((-592) (-1 (-141) (-141)) $) NIL)) (-4004 (((-658 (-141)) $) NIL (|has| $ (-6 -4625)))) (-3573 (($ $ $) 33)) (-3252 (($ $) NIL)) (-1419 (($ $ $) NIL)) (-3242 (($ (-790) (-141)) 23)) (-3782 (($ $ $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 8 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL)) (-4491 (($ $ $) NIL (|has| (-141) (-869))) (($ (-1 (-141) (-141) (-141)) $ $) NIL)) (-4467 (((-658 (-141)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL)) (-3987 (($ (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-141) (-141) (-141)) $ $) 30) (($ (-1 (-141) (-141)) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-3666 (($ $ $ (-592)) NIL) (($ (-141) $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-141) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-141) "failed") (-1 (-141) (-141)) $) NIL)) (-1892 (($ $ (-141)) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-141)) (-658 (-141))) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-141) (-141)) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-310 (-141))) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119)))) (($ $ (-658 (-310 (-141)))) NIL (-12 (|has| (-141) (-325 (-141))) (|has| (-141) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119))))) (-4210 (((-658 (-141)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 24)) (-3927 (($ $ (-1246 (-592))) NIL) (((-141) $ (-592)) 18) (((-141) $ (-592) (-141)) NIL)) (-3208 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3452 (((-790) (-141) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-141) (-1119)))) (((-790) (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) 25)) (-1778 (((-565) $) NIL (|has| (-141) (-633 (-565))))) (-4466 (($ (-658 (-141))) NIL)) (-2266 (($ (-658 $)) NIL) (($ $ $) NIL) (($ (-141) $) NIL) (($ $ (-141)) NIL)) (-1683 (((-877) $) 22)) (-3369 (((-141) (-1 (-141) (-141)) $) NIL (|has| $ (-6 -4625)))) (-1732 (($ $ $) 31)) (-1424 (($ $) NIL)) (-1623 (($ $ $) NIL)) (-1447 (($ $ $) 39)) (-1422 (($ $) 37)) (-3214 (($ $ $) 38)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 26)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 27)) (-1616 (($ $ $) NIL)) (-1699 (((-790) $) 10 (|has| $ (-6 -4625))))) 
-(((-533 |#1|) (-13 (-153) (-10 -8 (-15 -1422 ($ $)) (-15 -1447 ($ $ $)) (-15 -3214 ($ $ $)))) (-592)) (T -533)) 
-((-1422 (*1 *1 *1) (-12 (-5 *1 (-533 *2)) (-14 *2 (-592)))) (-1447 (*1 *1 *1 *1) (-12 (-5 *1 (-533 *2)) (-14 *2 (-592)))) (-3214 (*1 *1 *1 *1) (-12 (-5 *1 (-533 *2)) (-14 *2 (-592))))) 
-(-13 (-153) (-10 -8 (-15 -1422 ($ $)) (-15 -1447 ($ $ $)) (-15 -3214 ($ $ $)))) 
-((-2509 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1187 |#4|)) 34)) (-2214 (((-1187 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1187 |#4|)) 21)) (-2108 (((-3 (-706 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-706 (-1187 |#4|))) 45)) (-3522 (((-1187 (-1187 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
-(((-534 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2214 (|#2| (-1 |#1| |#4|) (-1187 |#4|))) (-15 -2214 ((-1187 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -2509 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1187 |#4|))) (-15 -2108 ((-3 (-706 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-706 (-1187 |#4|)))) (-15 -3522 ((-1187 (-1187 |#4|)) (-1 |#4| |#1|) |#3|))) (-1075) (-1255 |#1|) (-1255 |#2|) (-1075)) (T -534)) 
-((-3522 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *6 (-1255 *5)) (-5 *2 (-1187 (-1187 *7))) (-5 *1 (-534 *5 *6 *4 *7)) (-4 *4 (-1255 *6)))) (-2108 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-706 (-1187 *8))) (-4 *5 (-1075)) (-4 *8 (-1075)) (-4 *6 (-1255 *5)) (-5 *2 (-706 *6)) (-5 *1 (-534 *5 *6 *7 *8)) (-4 *7 (-1255 *6)))) (-2509 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1187 *7)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *2 (-1255 *5)) (-5 *1 (-534 *5 *2 *6 *7)) (-4 *6 (-1255 *2)))) (-2214 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *4 (-1255 *5)) (-5 *2 (-1187 *7)) (-5 *1 (-534 *5 *4 *6 *7)) (-4 *6 (-1255 *4)))) (-2214 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1187 *7)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *2 (-1255 *5)) (-5 *1 (-534 *5 *2 *6 *7)) (-4 *6 (-1255 *2))))) 
-(-10 -7 (-15 -2214 (|#2| (-1 |#1| |#4|) (-1187 |#4|))) (-15 -2214 ((-1187 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -2509 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1187 |#4|))) (-15 -2108 ((-3 (-706 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-706 (-1187 |#4|)))) (-15 -3522 ((-1187 (-1187 |#4|)) (-1 |#4| |#1|) |#3|))) 
-((-1641 (((-141) $ $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3948 (((-1285) $) 18)) (-3927 (((-1173) $ (-1191)) 22)) (-3536 (((-1285) $) 14)) (-1683 (((-877) $) 20) (($ (-1173)) 19)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 8)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 7))) 
-(((-535) (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $)) (-15 -1683 ($ (-1173)))))) (T -535)) 
-((-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1173)) (-5 *1 (-535)))) (-3536 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-535)))) (-3948 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-535)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-535))))) 
-(-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $)) (-15 -1683 ($ (-1173))))) 
-((-3626 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-2088 ((|#1| |#4|) 10)) (-2219 ((|#3| |#4|) 17))) 
-(((-536 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2088 (|#1| |#4|)) (-15 -2219 (|#3| |#4|)) (-15 -3626 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-582) (-1021 |#1|) (-399 |#1|) (-399 |#2|)) (T -536)) 
-((-3626 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-536 *4 *5 *6 *3)) (-4 *6 (-399 *4)) (-4 *3 (-399 *5)))) (-2219 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-4 *2 (-399 *4)) (-5 *1 (-536 *4 *5 *2 *3)) (-4 *3 (-399 *5)))) (-2088 (*1 *2 *3) (-12 (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-536 *2 *4 *5 *3)) (-4 *5 (-399 *2)) (-4 *3 (-399 *4))))) 
-(-10 -7 (-15 -2088 (|#1| |#4|)) (-15 -2219 (|#3| |#4|)) (-15 -3626 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
-((-1641 (((-141) $ $) NIL)) (-2294 (((-1191) $) NIL)) (-2913 (((-790) $) NIL)) (-2725 (((-1191) $ (-1191)) NIL)) (-2969 (((-790) $ (-790)) NIL)) (-3807 (((-994 |#1|) $ (-994 |#1|)) NIL)) (-2138 (((-790) $ (-790)) NIL)) (-2483 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-2598 (((-658 (-801 |#1|)) $ (-658 (-801 |#1|))) NIL)) (-3710 (((-258 (-948 |#1|)) $ (-258 (-948 |#1|))) NIL)) (-2450 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) $ (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) NIL)) (-4153 ((|#3| $ |#3|) NIL)) (-4501 (((-994 |#1|) $) NIL)) (-2903 (((-790) $) NIL)) (-4399 (((-33 |#1|) $) NIL)) (-3607 (((-658 (-801 |#1|)) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3767 (((-141) (-141)) NIL) (((-141)) NIL)) (-1736 (((-877) $) NIL)) (-3011 (((-258 (-948 |#1|)) $) NIL)) (-4525 (((-944) $) NIL)) (-1761 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) $) NIL)) (-2443 (($ (-994 |#1|) (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-33 |#1|) (-790) |#3| (-790) (-258 (-948 |#1|)) |#1| (-1191)) NIL) (($ (-994 |#1|) (-264 |#2| |#1|)) NIL)) (-1683 (((-877) $) NIL)) (-2663 ((|#3| $) NIL)) (-3204 ((|#1| $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-537 |#1| |#2| |#3|) (-13 (-560 |#1| |#2| (-264 |#2| |#1|) (-254 (-1699 |#2|) (-790)) (-994 |#1|) (-801 |#1|) (-948 |#1|) (-258 (-948 |#1|)) |#3|) (-10 -8 (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) (-388) (-658 (-1191)) (-137)) (T -537)) 
-((-1736 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3767 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3767 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(-13 (-560 |#1| |#2| (-264 |#2| |#1|) (-254 (-1699 |#2|) (-790)) (-994 |#1|) (-801 |#1|) (-948 |#1|) (-258 (-948 |#1|)) |#3|) (-10 -8 (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) 
-((-1641 (((-141) $ $) NIL)) (-2979 (((-141) $ (-658 |#3|)) 101) (((-141) $) 102)) (-2272 (((-141) $) 144)) (-1329 (($ $ |#4|) 93) (($ $ |#4| (-658 |#3|)) 97)) (-3278 (((-1180 (-658 (-980 |#1|)) (-658 (-310 (-980 |#1|)))) (-658 |#4|)) 137 (|has| |#3| (-633 (-1191))))) (-2230 (($ $ $) 87) (($ $ |#4|) 85)) (-3558 (((-141) $) 143)) (-2882 (($ $) 105)) (-2685 (((-1173) $) NIL)) (-2852 (($ $ $) 79) (($ (-658 $)) 81)) (-3010 (((-141) |#4| $) 104)) (-4430 (((-141) $ $) 68)) (-2312 (($ (-658 |#4|)) 86)) (-2951 (((-1137) $) NIL)) (-3338 (($ (-658 |#4|)) 141)) (-1548 (((-141) $) 142)) (-3903 (($ $) 70)) (-1551 (((-658 |#4|) $) 55)) (-4172 (((-2 (|:| |mval| (-706 |#1|)) (|:| |invmval| (-706 |#1|)) (|:| |genIdeal| $)) $ (-658 |#3|)) NIL)) (-4332 (((-141) |#4| $) 73)) (-1936 (((-592) $ (-658 |#3|)) 106) (((-592) $) 107)) (-1683 (((-877) $) 140) (($ (-658 |#4|)) 82)) (-2050 (($ (-2 (|:| |mval| (-706 |#1|)) (|:| |invmval| (-706 |#1|)) (|:| |genIdeal| $))) NIL)) (-3255 (((-141) $ $) 69)) (-3300 (($ $ $) 89)) (** (($ $ (-790)) 92)) (* (($ $ $) 91))) 
-(((-538 |#1| |#2| |#3| |#4|) (-13 (-1119) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-790))) (-15 -3300 ($ $ $)) (-15 -3558 ((-141) $)) (-15 -2272 ((-141) $)) (-15 -4332 ((-141) |#4| $)) (-15 -4430 ((-141) $ $)) (-15 -3010 ((-141) |#4| $)) (-15 -2979 ((-141) $ (-658 |#3|))) (-15 -2979 ((-141) $)) (-15 -2852 ($ $ $)) (-15 -2852 ($ (-658 $))) (-15 -2230 ($ $ $)) (-15 -2230 ($ $ |#4|)) (-15 -3903 ($ $)) (-15 -4172 ((-2 (|:| |mval| (-706 |#1|)) (|:| |invmval| (-706 |#1|)) (|:| |genIdeal| $)) $ (-658 |#3|))) (-15 -2050 ($ (-2 (|:| |mval| (-706 |#1|)) (|:| |invmval| (-706 |#1|)) (|:| |genIdeal| $)))) (-15 -1936 ((-592) $ (-658 |#3|))) (-15 -1936 ((-592) $)) (-15 -2882 ($ $)) (-15 -2312 ($ (-658 |#4|))) (-15 -3338 ($ (-658 |#4|))) (-15 -1548 ((-141) $)) (-15 -1551 ((-658 |#4|) $)) (-15 -1683 ($ (-658 |#4|))) (-15 -1329 ($ $ |#4|)) (-15 -1329 ($ $ |#4| (-658 |#3|))) (IF (|has| |#3| (-633 (-1191))) (-15 -3278 ((-1180 (-658 (-980 |#1|)) (-658 (-310 (-980 |#1|)))) (-658 |#4|))) |noBranch|))) (-388) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -538)) 
-((* (*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-3300 (*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (-3558 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-2272 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-4332 (*1 *2 *3 *1) (-12 (-4 *4 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6)))) (-4430 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-3010 (*1 *2 *3 *1) (-12 (-4 *4 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6)))) (-2979 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *2 (-141)) (-5 *1 (-538 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6)))) (-2979 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-2852 (*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (-2852 (*1 *1 *2) (-12 (-5 *2 (-658 (-538 *3 *4 *5 *6))) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-2230 (*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (-2230 (*1 *1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *2)) (-4 *2 (-977 *3 *4 *5)))) (-3903 (*1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (-4172 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *2 (-2 (|:| |mval| (-706 *4)) (|:| |invmval| (-706 *4)) (|:| |genIdeal| (-538 *4 *5 *6 *7)))) (-5 *1 (-538 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6)))) (-2050 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-706 *3)) (|:| |invmval| (-706 *3)) (|:| |genIdeal| (-538 *3 *4 *5 *6)))) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-1936 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *2 (-592)) (-5 *1 (-538 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6)))) (-1936 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-592)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-2882 (*1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (-2312 (*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)))) (-3338 (*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)))) (-1548 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-1551 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *6)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)))) (-1329 (*1 *1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *2)) (-4 *2 (-977 *3 *4 *5)))) (-1329 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *1 (-538 *4 *5 *6 *2)) (-4 *2 (-977 *4 *5 *6)))) (-3278 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *5 *6)) (-4 *6 (-633 (-1191))) (-4 *4 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1180 (-658 (-980 *4)) (-658 (-310 (-980 *4))))) (-5 *1 (-538 *4 *5 *6 *7))))) 
-(-13 (-1119) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-790))) (-15 -3300 ($ $ $)) (-15 -3558 ((-141) $)) (-15 -2272 ((-141) $)) (-15 -4332 ((-141) |#4| $)) (-15 -4430 ((-141) $ $)) (-15 -3010 ((-141) |#4| $)) (-15 -2979 ((-141) $ (-658 |#3|))) (-15 -2979 ((-141) $)) (-15 -2852 ($ $ $)) (-15 -2852 ($ (-658 $))) (-15 -2230 ($ $ $)) (-15 -2230 ($ $ |#4|)) (-15 -3903 ($ $)) (-15 -4172 ((-2 (|:| |mval| (-706 |#1|)) (|:| |invmval| (-706 |#1|)) (|:| |genIdeal| $)) $ (-658 |#3|))) (-15 -2050 ($ (-2 (|:| |mval| (-706 |#1|)) (|:| |invmval| (-706 |#1|)) (|:| |genIdeal| $)))) (-15 -1936 ((-592) $ (-658 |#3|))) (-15 -1936 ((-592) $)) (-15 -2882 ($ $)) (-15 -2312 ($ (-658 |#4|))) (-15 -3338 ($ (-658 |#4|))) (-15 -1548 ((-141) $)) (-15 -1551 ((-658 |#4|) $)) (-15 -1683 ($ (-658 |#4|))) (-15 -1329 ($ $ |#4|)) (-15 -1329 ($ $ |#4| (-658 |#3|))) (IF (|has| |#3| (-633 (-1191))) (-15 -3278 ((-1180 (-658 (-980 |#1|)) (-658 (-310 (-980 |#1|)))) (-658 |#4|))) |noBranch|))) 
-((-3171 (((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) 144)) (-4148 (((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) 145)) (-1810 (((-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) 103)) (-2802 (((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) NIL)) (-2935 (((-658 (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) 147)) (-1764 (((-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-658 (-879 |#1|))) 159))) 
-(((-539 |#1| |#2|) (-10 -7 (-15 -3171 ((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -4148 ((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -2802 ((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -1810 ((-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -2935 ((-658 (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -1764 ((-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-658 (-879 |#1|))))) (-658 (-1191)) (-790)) (T -539)) 
-((-1764 (*1 *2 *2 *3) (-12 (-5 *2 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-5 *3 (-658 (-879 *4))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *1 (-539 *4 *5)))) (-2935 (*1 *2 *3) (-12 (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-658 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592)))))) (-5 *1 (-539 *4 *5)) (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))))) (-1810 (*1 *2 *2) (-12 (-5 *2 (-538 (-433 (-592)) (-254 *4 (-790)) (-879 *3) (-264 *3 (-433 (-592))))) (-14 *3 (-658 (-1191))) (-14 *4 (-790)) (-5 *1 (-539 *3 *4)))) (-2802 (*1 *2 *3) (-12 (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-141)) (-5 *1 (-539 *4 *5)))) (-4148 (*1 *2 *3) (-12 (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-141)) (-5 *1 (-539 *4 *5)))) (-3171 (*1 *2 *3) (-12 (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-141)) (-5 *1 (-539 *4 *5))))) 
-(-10 -7 (-15 -3171 ((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -4148 ((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -2802 ((-141) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -1810 ((-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -2935 ((-658 (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592))))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))))) (-15 -1764 ((-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-538 (-433 (-592)) (-254 |#2| (-790)) (-879 |#1|) (-264 |#1| (-433 (-592)))) (-658 (-879 |#1|))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-4526 (($ |#1| |#2|) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2183 ((|#2| $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3514 (($) 12 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) 11) (($ $ $) 23)) (-3300 (($ $ $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 18))) 
-(((-540 |#1| |#2|) (-13 (-21) (-542 |#1| |#2|)) (-21) (-869)) (T -540)) 
-NIL 
-(-13 (-21) (-542 |#1| |#2|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 12)) (-3001 (($) NIL T CONST)) (-4593 (($ $) 26)) (-4526 (($ |#1| |#2|) 23)) (-2731 (($ (-1 |#1| |#1|) $) 25)) (-2183 ((|#2| $) NIL)) (-4579 ((|#1| $) 27)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3514 (($) 10 T CONST)) (-3255 (((-141) $ $) NIL)) (-3300 (($ $ $) 17)) (* (($ (-944) $) NIL) (($ (-790) $) 22))) 
-(((-541 |#1| |#2|) (-13 (-23) (-542 |#1| |#2|)) (-23) (-869)) (T -541)) 
-NIL 
-(-13 (-23) (-542 |#1| |#2|)) 
-((-1641 (((-141) $ $) 7)) (-4593 (($ $) 12)) (-4526 (($ |#1| |#2|) 15)) (-2731 (($ (-1 |#1| |#1|) $) 16)) (-2183 ((|#2| $) 13)) (-4579 ((|#1| $) 14)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-542 |#1| |#2|) (-1311) (-1119) (-869)) (T -542)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-542 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-869)))) (-4526 (*1 *1 *2 *3) (-12 (-4 *1 (-542 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-869)))) (-4579 (*1 *2 *1) (-12 (-4 *1 (-542 *2 *3)) (-4 *3 (-869)) (-4 *2 (-1119)))) (-2183 (*1 *2 *1) (-12 (-4 *1 (-542 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-869)))) (-4593 (*1 *1 *1) (-12 (-4 *1 (-542 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-869))))) 
-(-13 (-1119) (-10 -8 (-15 -2731 ($ (-1 |t#1| |t#1|) $)) (-15 -4526 ($ |t#1| |t#2|)) (-15 -4579 (|t#1| $)) (-15 -2183 (|t#2| $)) (-15 -4593 ($ $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-4526 (($ |#1| |#2|) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2183 ((|#2| $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3514 (($) NIL T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 13)) (-3300 (($ $ $) NIL)) (* (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-543 |#1| |#2|) (-13 (-814) (-542 |#1| |#2|)) (-814) (-869)) (T -543)) 
-NIL 
-(-13 (-814) (-542 |#1| |#2|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4079 (($ $ $) 16)) (-2350 (((-3 $ "failed") $ $) 13)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-4526 (($ |#1| |#2|) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2183 ((|#2| $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL)) (-3514 (($) NIL T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3300 (($ $ $) NIL)) (* (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-544 |#1| |#2|) (-13 (-815) (-542 |#1| |#2|)) (-815) (-869)) (T -544)) 
-NIL 
-(-13 (-815) (-542 |#1| |#2|)) 
-((-1641 (((-141) $ $) NIL)) (-4593 (($ $) 24)) (-4526 (($ |#1| |#2|) 21)) (-2731 (($ (-1 |#1| |#1|) $) 23)) (-2183 ((|#2| $) 26)) (-4579 ((|#1| $) 25)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 20)) (-3255 (((-141) $ $) 13))) 
-(((-545 |#1| |#2|) (-542 |#1| |#2|) (-1119) (-869)) (T -545)) 
-NIL 
-(-542 |#1| |#2|) 
-((-2806 (($ $ (-658 |#2|) (-658 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
-(((-546 |#1| |#2| |#3|) (-10 -8 (-15 -2806 (|#1| |#1| |#2| |#3|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#3|)))) (-547 |#2| |#3|) (-1119) (-1225)) (T -546)) 
-NIL 
-(-10 -8 (-15 -2806 (|#1| |#1| |#2| |#3|)) (-15 -2806 (|#1| |#1| (-658 |#2|) (-658 |#3|)))) 
-((-2806 (($ $ (-658 |#1|) (-658 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
-(((-547 |#1| |#2|) (-1311) (-1119) (-1225)) (T -547)) 
-((-2806 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 *5)) (-4 *1 (-547 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1225)))) (-2806 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-547 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1225))))) 
-(-13 (-10 -8 (-15 -2806 ($ $ |t#1| |t#2|)) (-15 -2806 ($ $ (-658 |t#1|) (-658 |t#2|))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 16)) (-2982 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))) $) 18)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1403 (((-790) $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-4449 ((|#1| $ (-592)) 23)) (-2077 ((|#2| $ (-592)) 21)) (-3401 (($ (-1 |#1| |#1|) $) 46)) (-3271 (($ (-1 |#2| |#2|) $) 43)) (-2685 (((-1173) $) NIL)) (-1619 (($ $ $) 53 (|has| |#2| (-814)))) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 42) (($ |#1|) NIL)) (-1937 ((|#2| |#1| $) 49)) (-3514 (($) 11 T CONST)) (-3255 (((-141) $ $) 29)) (-3300 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-944) $) NIL) (($ (-790) $) 36) (($ |#2| |#1|) 31))) 
-(((-548 |#1| |#2| |#3|) (-342 |#1| |#2|) (-1119) (-158) |#2|) (T -548)) 
-NIL 
-(-342 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3071 (((-141) (-141)) 24)) (-3932 ((|#1| $ (-592) |#1|) 27 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) |#1|) $) 51)) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1461 (($ $) 54 (|has| |#1| (-1119)))) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) NIL (|has| |#1| (-1119))) (($ (-1 (-141) |#1|) $) 43)) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-2056 (($ $ (-592)) 13)) (-2329 (((-790) $) 11)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 22)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 20 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-2713 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) 34)) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) 19 (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2113 (($ $ $ (-592)) 50) (($ |#1| $ (-592)) 36)) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3769 (($ (-658 |#1|)) 28)) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) 18 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 39)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 14)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) 32) (($ $ (-1246 (-592))) NIL)) (-4113 (($ $ (-1246 (-592))) 49) (($ $ (-592)) 44)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) 40 (|has| $ (-6 -4626)))) (-4599 (($ $) 31)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-3619 (($ $ $) 41) (($ $ |#1|) 38)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) 15 (|has| $ (-6 -4625))))) 
-(((-549 |#1| |#2|) (-13 (-19 |#1|) (-299 |#1|) (-10 -8 (-15 -3769 ($ (-658 |#1|))) (-15 -2329 ((-790) $)) (-15 -2056 ($ $ (-592))) (-15 -3071 ((-141) (-141))))) (-1225) (-592)) (T -549)) 
-((-3769 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-549 *3 *4)) (-14 *4 (-592)))) (-2329 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-549 *3 *4)) (-4 *3 (-1225)) (-14 *4 (-592)))) (-2056 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-549 *3 *4)) (-4 *3 (-1225)) (-14 *4 *2))) (-3071 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-549 *3 *4)) (-4 *3 (-1225)) (-14 *4 (-592))))) 
-(-13 (-19 |#1|) (-299 |#1|) (-10 -8 (-15 -3769 ($ (-658 |#1|))) (-15 -2329 ((-790) $)) (-15 -2056 ($ $ (-592))) (-15 -3071 ((-141) (-141))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 (((-605 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-605 |#1|) (-394)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-605 |#1|) (-394)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL (|has| (-605 |#1|) (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-605 |#1|) "failed") $) NIL)) (-2400 (((-605 |#1|) $) NIL)) (-1626 (($ (-1280 (-605 |#1|))) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-605 |#1|) (-394)))) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-605 |#1|) (-394)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL (|has| (-605 |#1|) (-394)))) (-3293 (((-141) $) NIL (|has| (-605 |#1|) (-394)))) (-1525 (($ $ (-790)) NIL (-3836 (|has| (-605 |#1|) (-169)) (|has| (-605 |#1|) (-394)))) (($ $) NIL (-3836 (|has| (-605 |#1|) (-169)) (|has| (-605 |#1|) (-394))))) (-2802 (((-141) $) NIL)) (-4346 (((-944) $) NIL (|has| (-605 |#1|) (-394))) (((-855 (-944)) $) NIL (-3836 (|has| (-605 |#1|) (-169)) (|has| (-605 |#1|) (-394))))) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| (-605 |#1|) (-394)))) (-2114 (((-141) $) NIL (|has| (-605 |#1|) (-394)))) (-2793 (((-605 |#1|) $) NIL) (($ $ (-944)) NIL (|has| (-605 |#1|) (-394)))) (-3921 (((-3 $ "failed") $) NIL (|has| (-605 |#1|) (-394)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 (-605 |#1|)) $) NIL) (((-1187 $) $ (-944)) NIL (|has| (-605 |#1|) (-394)))) (-3546 (((-944) $) NIL (|has| (-605 |#1|) (-394)))) (-2343 (((-1187 (-605 |#1|)) $) NIL (|has| (-605 |#1|) (-394)))) (-1492 (((-1187 (-605 |#1|)) $) NIL (|has| (-605 |#1|) (-394))) (((-3 (-1187 (-605 |#1|)) "failed") $ $) NIL (|has| (-605 |#1|) (-394)))) (-2252 (($ $ (-1187 (-605 |#1|))) NIL (|has| (-605 |#1|) (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-605 |#1|) (-394)) CONST)) (-1825 (($ (-944)) NIL (|has| (-605 |#1|) (-394)))) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2934 (($) NIL (|has| (-605 |#1|) (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-605 |#1|) (-394)))) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL) (((-944)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL (|has| (-605 |#1|) (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-790) $) NIL (|has| (-605 |#1|) (-394))) (((-3 (-790) "failed") $ $) NIL (-3836 (|has| (-605 |#1|) (-169)) (|has| (-605 |#1|) (-394))))) (-1936 (((-160)) NIL)) (-3644 (($ $) NIL (|has| (-605 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-605 |#1|) (-394)))) (-4525 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3390 (((-1187 (-605 |#1|))) NIL)) (-3809 (($) NIL (|has| (-605 |#1|) (-394)))) (-3342 (($) NIL (|has| (-605 |#1|) (-394)))) (-2231 (((-1280 (-605 |#1|)) $) NIL) (((-706 (-605 |#1|)) (-1280 $)) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| (-605 |#1|) (-394)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-605 |#1|)) NIL)) (-1517 (($ $) NIL (|has| (-605 |#1|) (-394))) (((-3 $ "failed") $) NIL (-3836 (|has| (-605 |#1|) (-169)) (|has| (-605 |#1|) (-394))))) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL) (((-1280 $) (-944)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $) NIL (|has| (-605 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-605 |#1|) (-394)))) (-1940 (($ $) NIL (|has| (-605 |#1|) (-394))) (($ $ (-790)) NIL (|has| (-605 |#1|) (-394)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ (-605 |#1|)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-605 |#1|)) NIL) (($ (-605 |#1|) $) NIL))) 
-(((-550 |#1| |#2|) (-349 (-605 |#1|)) (-944) (-944)) (T -550)) 
-NIL 
-(-349 (-605 |#1|)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) (-592) |#1|) 33)) (-2547 (($ $ (-592) |#4|) NIL)) (-2242 (($ $ (-592) |#5|) NIL)) (-3001 (($) NIL T CONST)) (-2747 ((|#4| $ (-592)) NIL)) (-1426 ((|#1| $ (-592) (-592) |#1|) 32)) (-3959 ((|#1| $ (-592) (-592)) 30)) (-4004 (((-658 |#1|) $) NIL)) (-4292 (((-790) $) 26)) (-3242 (($ (-790) (-790) |#1|) 23)) (-4298 (((-790) $) 28)) (-4345 (((-141) $ (-790)) NIL)) (-4577 (((-592) $) 24)) (-4280 (((-592) $) 25)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1898 (((-592) $) 27)) (-3005 (((-592) $) 29)) (-3987 (($ (-1 |#1| |#1|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) 36 (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 14)) (-2890 (($) 15)) (-3927 ((|#1| $ (-592) (-592)) 31) ((|#1| $ (-592) (-592) |#1|) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-2000 ((|#5| $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-551 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1225) (-592) (-592) (-399 |#1|) (-399 |#1|)) (T -551)) 
-NIL 
-(-62 |#1| |#4| |#5|) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) NIL)) (-1915 ((|#1| $) NIL)) (-3188 (($ $) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) 57 (|has| $ (-6 -4626)))) (-4076 (((-141) $) NIL (|has| |#1| (-869))) (((-141) (-1 (-141) |#1| |#1|) $) NIL)) (-2831 (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869)))) (($ (-1 (-141) |#1| |#1|) $) 55 (|has| $ (-6 -4626)))) (-3960 (($ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-3153 (($ $ $) 23 (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) 21 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4626))) (($ $ "rest" $) 24 (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) |#1|) $) NIL)) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-1765 ((|#1| $) NIL)) (-3001 (($) NIL T CONST)) (-2512 (($ $) 28 (|has| $ (-6 -4626)))) (-1373 (($ $) 29)) (-1366 (($ $) 18) (($ $ (-790)) 32)) (-1461 (($ $) 53 (|has| |#1| (-1119)))) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) NIL (|has| |#1| (-1119))) (($ (-1 (-141) |#1|) $) NIL)) (-4459 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-3868 (((-141) $) NIL)) (-1721 (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119))) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) (-1 (-141) |#1|) $) NIL)) (-4004 (((-658 |#1|) $) 27 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 31 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-2713 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) 56)) (-4491 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 51 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1333 (($ |#1|) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) 50 (|has| |#1| (-1119)))) (-4255 ((|#1| $) NIL) (($ $ (-790)) NIL)) (-2113 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3666 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) 13) (($ $ (-790)) NIL)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-2955 (((-141) $) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 12)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) 17)) (-2890 (($) 16)) (-3927 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1246 (-592))) NIL) ((|#1| $ (-592)) NIL) ((|#1| $ (-592) |#1|) NIL)) (-2920 (((-592) $ $) NIL)) (-4113 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3208 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3228 (((-141) $) 33)) (-2399 (($ $) NIL)) (-1337 (($ $) NIL (|has| $ (-6 -4626)))) (-3318 (((-790) $) NIL)) (-3184 (($ $) 35)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) 34)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 26)) (-3619 (($ $ $) 52) (($ $ |#1|) NIL)) (-2266 (($ $ $) NIL) (($ |#1| $) 10) (($ (-658 $)) NIL) (($ $ |#1|) NIL)) (-1683 (((-877) $) 45 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 47 (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) 9 (|has| $ (-6 -4625))))) 
-(((-552 |#1| |#2|) (-683 |#1|) (-1225) (-592)) (T -552)) 
-NIL 
-(-683 |#1|) 
-((-3052 ((|#4| |#4|) 26)) (-4175 (((-790) |#4|) 31)) (-3178 (((-790) |#4|) 32)) (-3555 (((-658 |#3|) |#4|) 37 (|has| |#3| (-6 -4626)))) (-3183 (((-3 |#4| "failed") |#4|) 47)) (-3023 ((|#4| |#4|) 40)) (-1625 ((|#1| |#4|) 39))) 
-(((-553 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3052 (|#4| |#4|)) (-15 -4175 ((-790) |#4|)) (-15 -3178 ((-790) |#4|)) (IF (|has| |#3| (-6 -4626)) (-15 -3555 ((-658 |#3|) |#4|)) |noBranch|) (-15 -1625 (|#1| |#4|)) (-15 -3023 (|#4| |#4|)) (-15 -3183 ((-3 |#4| "failed") |#4|))) (-388) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|)) (T -553)) 
-((-3183 (*1 *2 *2) (|partial| -12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-553 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-3023 (*1 *2 *2) (-12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-553 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-1625 (*1 *2 *3) (-12 (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-388)) (-5 *1 (-553 *2 *4 *5 *3)) (-4 *3 (-704 *2 *4 *5)))) (-3555 (*1 *2 *3) (-12 (|has| *6 (-6 -4626)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-658 *6)) (-5 *1 (-553 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-3178 (*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-553 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-4175 (*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-553 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-3052 (*1 *2 *2) (-12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-553 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(-10 -7 (-15 -3052 (|#4| |#4|)) (-15 -4175 ((-790) |#4|)) (-15 -3178 ((-790) |#4|)) (IF (|has| |#3| (-6 -4626)) (-15 -3555 ((-658 |#3|) |#4|)) |noBranch|) (-15 -1625 (|#1| |#4|)) (-15 -3023 (|#4| |#4|)) (-15 -3183 ((-3 |#4| "failed") |#4|))) 
-((-3052 ((|#8| |#4|) 20)) (-3555 (((-658 |#3|) |#4|) 29 (|has| |#7| (-6 -4626)))) (-3183 (((-3 |#8| "failed") |#4|) 23))) 
-(((-554 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3052 (|#8| |#4|)) (-15 -3183 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4626)) (-15 -3555 ((-658 |#3|) |#4|)) |noBranch|)) (-582) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|) (-1021 |#1|) (-399 |#5|) (-399 |#5|) (-704 |#5| |#6| |#7|)) (T -554)) 
-((-3555 (*1 *2 *3) (-12 (|has| *9 (-6 -4626)) (-4 *4 (-582)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-4 *7 (-1021 *4)) (-4 *8 (-399 *7)) (-4 *9 (-399 *7)) (-5 *2 (-658 *6)) (-5 *1 (-554 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-704 *4 *5 *6)) (-4 *10 (-704 *7 *8 *9)))) (-3183 (*1 *2 *3) (|partial| -12 (-4 *4 (-582)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-4 *7 (-1021 *4)) (-4 *2 (-704 *7 *8 *9)) (-5 *1 (-554 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-704 *4 *5 *6)) (-4 *8 (-399 *7)) (-4 *9 (-399 *7)))) (-3052 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-4 *7 (-1021 *4)) (-4 *2 (-704 *7 *8 *9)) (-5 *1 (-554 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-704 *4 *5 *6)) (-4 *8 (-399 *7)) (-4 *9 (-399 *7))))) 
-(-10 -7 (-15 -3052 (|#8| |#4|)) (-15 -3183 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4626)) (-15 -3555 ((-658 |#3|) |#4|)) |noBranch|)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-623 |#1| |#3|)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) 12)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 ((|#1| $ (-592) (-592) |#1|) NIL) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-623 |#1| |#3|)) NIL)) (-2242 (($ $ (-592) (-623 |#1| |#2|)) NIL)) (-3223 (($ (-790) |#1|) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) 19 (|has| |#1| (-323)))) (-2747 (((-623 |#1| |#3|) $ (-592)) NIL)) (-4175 (((-790) $) 22 (|has| |#1| (-582)))) (-1426 ((|#1| $ (-592) (-592) |#1|) NIL)) (-3959 ((|#1| $ (-592) (-592)) NIL)) (-1794 ((|#1| $) NIL (|has| |#1| (-194)))) (-4004 (((-658 |#1|) $) NIL)) (-3178 (((-790) $) 24 (|has| |#1| (-582)))) (-3555 (((-658 (-623 |#1| |#2|)) $) 27 (|has| |#1| (-582)))) (-4292 (((-790) $) NIL)) (-3242 (($ (-790) (-790) |#1|) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-3781 ((|#1| $) 17 (|has| |#1| (-6 (-4627 "*"))))) (-4577 (((-592) $) 10)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1898 (((-592) $) 11)) (-3005 (((-592) $) NIL)) (-4186 (($ (-658 (-658 |#1|))) NIL) (($ (-790) (-790) (-1 |#1| (-592) (-592))) NIL)) (-3987 (($ (-1 |#1| |#1|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4601 (((-658 (-658 |#1|)) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3183 (((-3 $ "failed") $) 31 (|has| |#1| (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) (-592)) NIL) ((|#1| $ (-592) (-592) |#1|) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 |#1|)) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 ((|#1| $) 15 (|has| |#1| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-623 |#1| |#2|)) $) NIL (|has| |#1| (-323)))) (-2000 (((-623 |#1| |#2|) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119))) (($ (-623 |#1| |#2|)) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-592) $) NIL) (((-623 |#1| |#2|) $ (-623 |#1| |#2|)) NIL) (((-623 |#1| |#3|) (-623 |#1| |#3|) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-555 |#1| |#2| |#3|) (-704 |#1| (-623 |#1| |#3|) (-623 |#1| |#2|)) (-1075) (-592) (-592)) (T -555)) 
-NIL 
-(-704 |#1| (-623 |#1| |#3|) (-623 |#1| |#2|)) 
-((-4542 (((-1187 |#1|) (-790)) 74)) (-4529 (((-1280 |#1|) (-1280 |#1|) (-944)) 67)) (-2595 (((-1285) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) |#1|) 82)) (-2799 (((-1280 |#1|) (-1280 |#1|) (-790)) 36)) (-4290 (((-1280 |#1|) (-944)) 69)) (-2256 (((-1280 |#1|) (-1280 |#1|) (-592)) 24)) (-3489 (((-1187 |#1|) (-1280 |#1|)) 75)) (-2834 (((-1280 |#1|) (-944)) 93)) (-2114 (((-141) (-1280 |#1|)) 78)) (-2793 (((-1280 |#1|) (-1280 |#1|) (-944)) 59)) (-3504 (((-1187 |#1|) (-1280 |#1|)) 87)) (-3546 (((-944) (-1280 |#1|)) 56)) (-4552 (((-1280 |#1|) (-1280 |#1|)) 30)) (-1825 (((-1280 |#1|) (-944) (-944)) 95)) (-4361 (((-1280 |#1|) (-1280 |#1|) (-1137) (-1137)) 23)) (-2674 (((-1280 |#1|) (-1280 |#1|) (-790) (-1137)) 37)) (-2195 (((-1280 (-1280 |#1|)) (-944)) 92)) (-3313 (((-1280 |#1|) (-1280 |#1|) (-1280 |#1|)) 79)) (** (((-1280 |#1|) (-1280 |#1|) (-592)) 43)) (* (((-1280 |#1|) (-1280 |#1|) (-1280 |#1|)) 25))) 
-(((-556 |#1|) (-10 -7 (-15 -2595 ((-1285) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) |#1|)) (-15 -4290 ((-1280 |#1|) (-944))) (-15 -1825 ((-1280 |#1|) (-944) (-944))) (-15 -3489 ((-1187 |#1|) (-1280 |#1|))) (-15 -4542 ((-1187 |#1|) (-790))) (-15 -2674 ((-1280 |#1|) (-1280 |#1|) (-790) (-1137))) (-15 -2799 ((-1280 |#1|) (-1280 |#1|) (-790))) (-15 -4361 ((-1280 |#1|) (-1280 |#1|) (-1137) (-1137))) (-15 -2256 ((-1280 |#1|) (-1280 |#1|) (-592))) (-15 ** ((-1280 |#1|) (-1280 |#1|) (-592))) (-15 * ((-1280 |#1|) (-1280 |#1|) (-1280 |#1|))) (-15 -3313 ((-1280 |#1|) (-1280 |#1|) (-1280 |#1|))) (-15 -2793 ((-1280 |#1|) (-1280 |#1|) (-944))) (-15 -4529 ((-1280 |#1|) (-1280 |#1|) (-944))) (-15 -4552 ((-1280 |#1|) (-1280 |#1|))) (-15 -3546 ((-944) (-1280 |#1|))) (-15 -2114 ((-141) (-1280 |#1|))) (-15 -2195 ((-1280 (-1280 |#1|)) (-944))) (-15 -2834 ((-1280 |#1|) (-944))) (-15 -3504 ((-1187 |#1|) (-1280 |#1|)))) (-373)) (T -556)) 
-((-3504 (*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-1187 *4)) (-5 *1 (-556 *4)))) (-2834 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373)))) (-2195 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 (-1280 *4))) (-5 *1 (-556 *4)) (-4 *4 (-373)))) (-2114 (*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-556 *4)))) (-3546 (*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-944)) (-5 *1 (-556 *4)))) (-4552 (*1 *2 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-373)) (-5 *1 (-556 *3)))) (-4529 (*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-944)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) (-2793 (*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-944)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) (-3313 (*1 *2 *2 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-373)) (-5 *1 (-556 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-373)) (-5 *1 (-556 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-592)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) (-2256 (*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-592)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) (-4361 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-1137)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) (-2799 (*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) (-2674 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1280 *5)) (-5 *3 (-790)) (-5 *4 (-1137)) (-4 *5 (-373)) (-5 *1 (-556 *5)))) (-4542 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1187 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373)))) (-3489 (*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-1187 *4)) (-5 *1 (-556 *4)))) (-1825 (*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373)))) (-4290 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373)))) (-2595 (*1 *2 *3 *4) (-12 (-5 *3 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-4 *4 (-373)) (-5 *2 (-1285)) (-5 *1 (-556 *4))))) 
-(-10 -7 (-15 -2595 ((-1285) (-1280 (-658 (-2 (|:| -2324 |#1|) (|:| -1825 (-1137))))) |#1|)) (-15 -4290 ((-1280 |#1|) (-944))) (-15 -1825 ((-1280 |#1|) (-944) (-944))) (-15 -3489 ((-1187 |#1|) (-1280 |#1|))) (-15 -4542 ((-1187 |#1|) (-790))) (-15 -2674 ((-1280 |#1|) (-1280 |#1|) (-790) (-1137))) (-15 -2799 ((-1280 |#1|) (-1280 |#1|) (-790))) (-15 -4361 ((-1280 |#1|) (-1280 |#1|) (-1137) (-1137))) (-15 -2256 ((-1280 |#1|) (-1280 |#1|) (-592))) (-15 ** ((-1280 |#1|) (-1280 |#1|) (-592))) (-15 * ((-1280 |#1|) (-1280 |#1|) (-1280 |#1|))) (-15 -3313 ((-1280 |#1|) (-1280 |#1|) (-1280 |#1|))) (-15 -2793 ((-1280 |#1|) (-1280 |#1|) (-944))) (-15 -4529 ((-1280 |#1|) (-1280 |#1|) (-944))) (-15 -4552 ((-1280 |#1|) (-1280 |#1|))) (-15 -3546 ((-944) (-1280 |#1|))) (-15 -2114 ((-141) (-1280 |#1|))) (-15 -2195 ((-1280 (-1280 |#1|)) (-944))) (-15 -2834 ((-1280 |#1|) (-944))) (-15 -3504 ((-1187 |#1|) (-1280 |#1|)))) 
-((-3091 (((-1 |#1| |#1|) |#1|) 11)) (-3895 (((-1 |#1| |#1|)) 10))) 
-(((-557 |#1|) (-10 -7 (-15 -3895 ((-1 |#1| |#1|))) (-15 -3091 ((-1 |#1| |#1|) |#1|))) (-13 (-743) (-25))) (T -557)) 
-((-3091 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-557 *3)) (-4 *3 (-13 (-743) (-25))))) (-3895 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-557 *3)) (-4 *3 (-13 (-743) (-25)))))) 
-(-10 -7 (-15 -3895 ((-1 |#1| |#1|))) (-15 -3091 ((-1 |#1| |#1|) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4079 (($ $ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-4526 (($ (-790) |#1|) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 (-790) (-790)) $) NIL)) (-2183 ((|#1| $) NIL)) (-4579 (((-790) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 20)) (-3514 (($) NIL T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3300 (($ $ $) NIL)) (* (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-558 |#1|) (-13 (-815) (-542 (-790) |#1|)) (-869)) (T -558)) 
-NIL 
-(-13 (-815) (-542 (-790) |#1|)) 
-((-4375 (((-658 |#2|) (-1187 |#1|) |#3|) 83)) (-1799 (((-658 (-2 (|:| |outval| |#2|) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 |#2|))))) (-706 |#1|) |#3| (-1 (-444 (-1187 |#1|)) (-1187 |#1|))) 99)) (-2264 (((-1187 |#1|) (-706 |#1|)) 95))) 
-(((-559 |#1| |#2| |#3|) (-10 -7 (-15 -2264 ((-1187 |#1|) (-706 |#1|))) (-15 -4375 ((-658 |#2|) (-1187 |#1|) |#3|)) (-15 -1799 ((-658 (-2 (|:| |outval| |#2|) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 |#2|))))) (-706 |#1|) |#3| (-1 (-444 (-1187 |#1|)) (-1187 |#1|))))) (-388) (-388) (-13 (-388) (-867))) (T -559)) 
-((-1799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *6)) (-5 *5 (-1 (-444 (-1187 *6)) (-1187 *6))) (-4 *6 (-388)) (-5 *2 (-658 (-2 (|:| |outval| *7) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 *7)))))) (-5 *1 (-559 *6 *7 *4)) (-4 *7 (-388)) (-4 *4 (-13 (-388) (-867))))) (-4375 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *5)) (-4 *5 (-388)) (-5 *2 (-658 *6)) (-5 *1 (-559 *5 *6 *4)) (-4 *6 (-388)) (-4 *4 (-13 (-388) (-867))))) (-2264 (*1 *2 *3) (-12 (-5 *3 (-706 *4)) (-4 *4 (-388)) (-5 *2 (-1187 *4)) (-5 *1 (-559 *4 *5 *6)) (-4 *5 (-388)) (-4 *6 (-13 (-388) (-867)))))) 
-(-10 -7 (-15 -2264 ((-1187 |#1|) (-706 |#1|))) (-15 -4375 ((-658 |#2|) (-1187 |#1|) |#3|)) (-15 -1799 ((-658 (-2 (|:| |outval| |#2|) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 |#2|))))) (-706 |#1|) |#3| (-1 (-444 (-1187 |#1|)) (-1187 |#1|))))) 
-((-1641 (((-141) $ $) 7)) (-2294 (((-1191) $) 20)) (-2913 (((-790) $) 22)) (-2725 (((-1191) $ (-1191)) 23)) (-2969 (((-790) $ (-790)) 28)) (-3807 ((|#5| $ |#5|) 31)) (-2138 (((-790) $ (-790)) 27)) (-2483 (((-33 |#1|) $ (-33 |#1|)) 29)) (-2598 (((-658 |#6|) $ (-658 |#6|)) 24)) (-3710 ((|#8| $ |#8|) 25)) (-2450 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) $ (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) 30)) (-4153 ((|#9| $ |#9|) 26)) (-4501 ((|#5| $) 19)) (-2903 (((-790) $) 16)) (-4399 (((-33 |#1|) $) 17)) (-3607 (((-658 |#6|) $) 21)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3011 ((|#8| $) 14)) (-4525 (((-944) $) 12)) (-1761 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) $) 18)) (-2443 (($ |#5| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-33 |#1|) (-790) |#9| (-790) |#8| |#1| (-1191)) 33) (($ |#5| |#3|) 32)) (-1683 (((-877) $) 11)) (-2663 ((|#9| $) 15)) (-3204 ((|#1| $) 13)) (-3255 (((-141) $ $) 6))) 
-(((-560 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1311) (-388) (-658 (-1191)) (-977 |t#1| |t#4| (-879 |t#2|)) (-252 (-1699 |t#2|) (-790)) (-999 |t#1|) (-665 |t#1|) (-947 |t#1| |t#6|) (-257 |t#7|) (-137)) (T -560)) 
-((-2443 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1191)) (-4 *8 (-388)) (-5 *5 (-790)) (-4 *12 (-252 (-1699 *10) *5)) (-4 *13 (-665 *8)) (-4 *14 (-947 *8 *13)) (-4 *1 (-560 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-977 *8 *12 (-879 *10))) (-4 *2 (-999 *8)) (-4 *7 (-257 *14)) (-4 *6 (-137)))) (-2443 (*1 *1 *2 *3) (-12 (-4 *4 (-388)) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-665 *4)) (-4 *8 (-947 *4 *7)) (-4 *1 (-560 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *2 (-999 *4)) (-4 *9 (-257 *8)) (-4 *10 (-137)))) (-3807 (*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *2 (-999 *3)) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-137)))) (-2450 (*1 *2 *1 *2) (-12 (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *3)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) (-2483 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) (-2969 (*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790)))) (-2138 (*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790)))) (-4153 (*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *2 (-137)))) (-3710 (*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *2 (-257 *9)) (-4 *10 (-137)))) (-2598 (*1 *2 *1 *2) (-12 (-5 *2 (-658 *8)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) (-2725 (*1 *2 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) (-2913 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790)))) (-3607 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-658 *8)))) (-2294 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-1191)))) (-4501 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-137)) (-4 *2 (-999 *3)))) (-1761 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *3)))) (-4399 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-33 *3)))) (-2903 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790)))) (-2663 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *2 (-137)))) (-3011 (*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-137)) (-4 *2 (-257 *9)))) (-3204 (*1 *2 *1) (-12 (-4 *1 (-560 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-977 *2 *5 (-879 *3))) (-4 *5 (-252 (-1699 *3) (-790))) (-4 *6 (-999 *2)) (-4 *7 (-665 *2)) (-4 *8 (-947 *2 *7)) (-4 *9 (-257 *8)) (-4 *10 (-137)) (-4 *2 (-388))))) 
-(-13 (-1117) (-10 -8 (-15 -2443 ($ |t#5| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |t#1|) (-33 |t#1|) (-790) |t#9| (-790) |t#8| |t#1| (-1191))) (-15 -2443 ($ |t#5| |t#3|)) (-15 -3807 (|t#5| $ |t#5|)) (-15 -2450 ((-264 (-4466 (QUOTE X) (QUOTE -3820)) |t#1|) $ (-264 (-4466 (QUOTE X) (QUOTE -3820)) |t#1|))) (-15 -2483 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -2969 ((-790) $ (-790))) (-15 -2138 ((-790) $ (-790))) (-15 -4153 (|t#9| $ |t#9|)) (-15 -3710 (|t#8| $ |t#8|)) (-15 -2598 ((-658 |t#6|) $ (-658 |t#6|))) (-15 -2725 ((-1191) $ (-1191))) (-15 -2913 ((-790) $)) (-15 -3607 ((-658 |t#6|) $)) (-15 -2294 ((-1191) $)) (-15 -4501 (|t#5| $)) (-15 -1761 ((-264 (-4466 (QUOTE X) (QUOTE -3820)) |t#1|) $)) (-15 -4399 ((-33 |t#1|) $)) (-15 -2903 ((-790) $)) (-15 -2663 (|t#9| $)) (-15 -3011 (|t#8| $)) (-15 -3204 (|t#1| $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T) ((-1117) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2294 (((-1191) $) NIL)) (-2913 (((-790) $) NIL)) (-2725 (((-1191) $ (-1191)) NIL)) (-2969 (((-790) $ (-790)) NIL)) (-3807 (((-995 |#1|) $ (-995 |#1|)) NIL)) (-2138 (((-790) $ (-790)) NIL)) (-2483 (((-33 (-884 |#1|)) $ (-33 (-884 |#1|))) NIL)) (-2598 (((-658 (-801 (-884 |#1|))) $ (-658 (-801 (-884 |#1|)))) NIL)) (-3710 (((-258 (-949 |#1|)) $ (-258 (-949 |#1|))) NIL)) (-2450 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) (-884 |#1|)) $ (-264 (-4466 (QUOTE X) (QUOTE -3820)) (-884 |#1|))) NIL)) (-4153 ((|#3| $ |#3|) NIL)) (-4501 (((-995 |#1|) $) NIL)) (-2903 (((-790) $) NIL)) (-4399 (((-33 (-884 |#1|)) $) NIL)) (-3607 (((-658 (-801 (-884 |#1|))) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3767 (((-141) (-141)) NIL) (((-141)) NIL)) (-1736 (((-877) $) NIL)) (-3011 (((-258 (-949 |#1|)) $) NIL)) (-4525 (((-944) $) NIL)) (-1761 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) (-884 |#1|)) $) NIL)) (-2443 (($ (-995 |#1|) (-264 (-4466 (QUOTE X) (QUOTE -3820)) (-884 |#1|)) (-33 (-884 |#1|)) (-790) |#3| (-790) (-258 (-949 |#1|)) (-884 |#1|) (-1191)) NIL) (($ (-995 |#1|) (-264 |#2| (-884 |#1|))) NIL)) (-1683 (((-877) $) NIL)) (-2663 ((|#3| $) NIL)) (-3204 (((-884 |#1|) $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-561 |#1| |#2| |#3|) (-13 (-560 (-884 |#1|) |#2| (-264 |#2| (-884 |#1|)) (-254 (-1699 |#2|) (-790)) (-995 |#1|) (-801 (-884 |#1|)) (-949 |#1|) (-258 (-949 |#1|)) |#3|) (-10 -8 (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) (-373) (-658 (-1191)) (-137)) (T -561)) 
-((-1736 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-561 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3767 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-561 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3767 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-561 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(-13 (-560 (-884 |#1|) |#2| (-264 |#2| (-884 |#1|)) (-254 (-1699 |#2|) (-790)) (-995 |#1|) (-801 (-884 |#1|)) (-949 |#1|) (-258 (-949 |#1|)) |#3|) (-10 -8 (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) 
-((-1641 (((-141) $ $) NIL)) (-2294 (((-1191) $) 42)) (-2913 (((-790) $) 48)) (-2725 (((-1191) $ (-1191)) 81)) (-2969 (((-790) $ (-790)) 71)) (-3807 ((|#5| $ |#5|) 74)) (-2138 (((-790) $ (-790)) 77)) (-2483 (((-33 |#1|) $ (-33 |#1|)) 76)) (-2598 (((-658 |#6|) $ (-658 |#6|)) 79)) (-3710 ((|#8| $ |#8|) 80)) (-2450 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) $ (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|)) 75)) (-4153 ((|#9| $ |#9|) 78)) (-4501 ((|#5| $) 40)) (-2903 (((-790) $) 43)) (-4399 (((-33 |#1|) $) 45)) (-3607 (((-658 |#6|) $) 73)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3767 (((-141) (-141)) 52) (((-141)) 53)) (-1736 (((-877) $) 50)) (-3011 ((|#8| $) 47)) (-4525 (((-944) $) 58)) (-1761 (((-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) $) 44)) (-2443 (($ |#5| (-264 (-4466 (QUOTE X) (QUOTE -3820)) |#1|) (-33 |#1|) (-790) |#9| (-790) |#8| |#1| (-1191)) 59) (($ |#5| |#3|) 70)) (-1683 (((-877) $) 54)) (-2663 ((|#9| $) 46)) (-3204 ((|#1| $) 55)) (-3255 (((-141) $ $) NIL))) 
-(((-562 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-560 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|) (-257 |#7|) (-137)) (T -562)) 
-((-1736 (*1 *2 *1) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-5 *2 (-877)) (-5 *1 (-562 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) (-3767 (*1 *2 *2) (-12 (-5 *2 (-141)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-5 *1 (-562 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) (-3767 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-5 *2 (-141)) (-5 *1 (-562 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *10 (-257 *9)) (-4 *11 (-137))))) 
-(-13 (-560 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -1736 ((-877) $)) (-15 -3767 ((-141) (-141))) (-15 -3767 ((-141))))) 
-((-4374 (((-862 (-592))) 11)) (-4366 (((-862 (-592))) 13)) (-4109 (((-855 (-592))) 8))) 
-(((-563) (-10 -7 (-15 -4109 ((-855 (-592)))) (-15 -4374 ((-862 (-592)))) (-15 -4366 ((-862 (-592)))))) (T -563)) 
-((-4366 (*1 *2) (-12 (-5 *2 (-862 (-592))) (-5 *1 (-563)))) (-4374 (*1 *2) (-12 (-5 *2 (-862 (-592))) (-5 *1 (-563)))) (-4109 (*1 *2) (-12 (-5 *2 (-855 (-592))) (-5 *1 (-563))))) 
-(-10 -7 (-15 -4109 ((-855 (-592)))) (-15 -4374 ((-862 (-592)))) (-15 -4366 ((-862 (-592))))) 
-((-2136 (((-565) (-1191)) 15)) (-3193 ((|#1| (-565)) 20))) 
-(((-564 |#1|) (-10 -7 (-15 -2136 ((-565) (-1191))) (-15 -3193 (|#1| (-565)))) (-1225)) (T -564)) 
-((-3193 (*1 *2 *3) (-12 (-5 *3 (-565)) (-5 *1 (-564 *2)) (-4 *2 (-1225)))) (-2136 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-565)) (-5 *1 (-564 *4)) (-4 *4 (-1225))))) 
-(-10 -7 (-15 -2136 ((-565) (-1191))) (-15 -3193 (|#1| (-565)))) 
-((-1641 (((-141) $ $) NIL)) (-4354 (((-1173) $) 46)) (-4188 (((-141) $) 43)) (-1398 (((-1191) $) 44)) (-4602 (((-141) $) 41)) (-4574 (((-1173) $) 42)) (-3168 (($ (-1173)) 47)) (-1549 (((-141) $) NIL)) (-2830 (((-141) $) NIL)) (-1968 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-2071 (($ $ (-658 (-1191))) 20)) (-3193 (((-57) $) 22)) (-4277 (((-141) $) NIL)) (-4553 (((-592) $) NIL)) (-2951 (((-1137) $) NIL)) (-1325 (($ $ (-658 (-1191)) (-1191)) 59)) (-4603 (((-141) $) NIL)) (-4540 (((-237) $) NIL)) (-1783 (($ $) 38)) (-1564 (((-877) $) NIL)) (-2042 (((-141) $ $) NIL)) (-3927 (($ $ (-592)) NIL) (($ $ (-658 (-592))) NIL)) (-4518 (((-658 $) $) 28)) (-3064 (((-1191) (-658 $)) 48)) (-1778 (($ (-658 $)) 52) (($ (-1173)) NIL) (($ (-1191)) 18) (($ (-592)) 8) (($ (-237)) 25) (($ (-877)) NIL) (((-1123) $) 11) (($ (-1123)) 12)) (-4258 (((-1191) (-1191) (-658 $)) 51)) (-1683 (((-877) $) NIL)) (-1565 (($ $) 50)) (-1558 (($ $) 49)) (-2514 (($ $ (-658 $)) 56)) (-2767 (((-141) $) 27)) (-3514 (($) 9 T CONST)) (-4257 (($) 10 T CONST)) (-3255 (((-141) $ $) 60)) (-3313 (($ $ $) 65)) (-3300 (($ $ $) 61)) (** (($ $ (-790)) 64) (($ $ (-592)) 63)) (* (($ $ $) 62)) (-1699 (((-592) $) NIL))) 
-(((-565) (-13 (-1122 (-1173) (-1191) (-592) (-237) (-877)) (-633 (-1123)) (-10 -8 (-15 -3193 ((-57) $)) (-15 -1778 ($ (-1123))) (-15 -2514 ($ $ (-658 $))) (-15 -1325 ($ $ (-658 (-1191)) (-1191))) (-15 -2071 ($ $ (-658 (-1191)))) (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ (-790))) (-15 ** ($ $ (-592))) (-15 0 ($) -4249) (-15 1 ($) -4249) (-15 -1783 ($ $)) (-15 -4354 ((-1173) $)) (-15 -3168 ($ (-1173))) (-15 -3064 ((-1191) (-658 $))) (-15 -4258 ((-1191) (-1191) (-658 $)))))) (T -565)) 
-((-3193 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-565)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-1123)) (-5 *1 (-565)))) (-2514 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-565))) (-5 *1 (-565)))) (-1325 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-1191)) (-5 *1 (-565)))) (-2071 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-565)))) (-3300 (*1 *1 *1 *1) (-5 *1 (-565))) (* (*1 *1 *1 *1) (-5 *1 (-565))) (-3313 (*1 *1 *1 *1) (-5 *1 (-565))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-565)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-565)))) (-3514 (*1 *1) (-5 *1 (-565))) (-4257 (*1 *1) (-5 *1 (-565))) (-1783 (*1 *1 *1) (-5 *1 (-565))) (-4354 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-565)))) (-3168 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-565)))) (-3064 (*1 *2 *3) (-12 (-5 *3 (-658 (-565))) (-5 *2 (-1191)) (-5 *1 (-565)))) (-4258 (*1 *2 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-565))) (-5 *1 (-565))))) 
-(-13 (-1122 (-1173) (-1191) (-592) (-237) (-877)) (-633 (-1123)) (-10 -8 (-15 -3193 ((-57) $)) (-15 -1778 ($ (-1123))) (-15 -2514 ($ $ (-658 $))) (-15 -1325 ($ $ (-658 (-1191)) (-1191))) (-15 -2071 ($ $ (-658 (-1191)))) (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ (-790))) (-15 ** ($ $ (-592))) (-15 (-3514) ($) -4249) (-15 (-4257) ($) -4249) (-15 -1783 ($ $)) (-15 -4354 ((-1173) $)) (-15 -3168 ($ (-1173))) (-15 -3064 ((-1191) (-658 $))) (-15 -4258 ((-1191) (-1191) (-658 $))))) 
-((-3066 ((|#2| |#2|) 17)) (-1353 ((|#2| |#2|) 13)) (-2448 ((|#2| |#2| (-592) (-592)) 20)) (-2447 ((|#2| |#2|) 15))) 
-(((-566 |#1| |#2|) (-10 -7 (-15 -1353 (|#2| |#2|)) (-15 -2447 (|#2| |#2|)) (-15 -3066 (|#2| |#2|)) (-15 -2448 (|#2| |#2| (-592) (-592)))) (-13 (-582) (-171)) (-1270 |#1|)) (T -566)) 
-((-2448 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-566 *4 *2)) (-4 *2 (-1270 *4)))) (-3066 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-566 *3 *2)) (-4 *2 (-1270 *3)))) (-2447 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-566 *3 *2)) (-4 *2 (-1270 *3)))) (-1353 (*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-566 *3 *2)) (-4 *2 (-1270 *3))))) 
-(-10 -7 (-15 -1353 (|#2| |#2|)) (-15 -2447 (|#2| |#2|)) (-15 -3066 (|#2| |#2|)) (-15 -2448 (|#2| |#2| (-592) (-592)))) 
-((-2853 (((-658 (-310 (-980 |#2|))) (-658 |#2|) (-658 (-1191))) 32)) (-4204 (((-658 |#2|) (-980 |#1|) |#3|) 53) (((-658 |#2|) (-1187 |#1|) |#3|) 52)) (-2411 (((-658 (-658 |#2|)) (-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191)) |#3|) 87))) 
-(((-567 |#1| |#2| |#3|) (-10 -7 (-15 -4204 ((-658 |#2|) (-1187 |#1|) |#3|)) (-15 -4204 ((-658 |#2|) (-980 |#1|) |#3|)) (-15 -2411 ((-658 (-658 |#2|)) (-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191)) |#3|)) (-15 -2853 ((-658 (-310 (-980 |#2|))) (-658 |#2|) (-658 (-1191))))) (-477) (-388) (-13 (-388) (-867))) (T -567)) 
-((-2853 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 (-1191))) (-4 *6 (-388)) (-5 *2 (-658 (-310 (-980 *6)))) (-5 *1 (-567 *5 *6 *7)) (-4 *5 (-477)) (-4 *7 (-13 (-388) (-867))))) (-2411 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-658 (-980 *6))) (-5 *4 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-567 *6 *7 *5)) (-4 *7 (-388)) (-4 *5 (-13 (-388) (-867))))) (-4204 (*1 *2 *3 *4) (-12 (-5 *3 (-980 *5)) (-4 *5 (-477)) (-5 *2 (-658 *6)) (-5 *1 (-567 *5 *6 *4)) (-4 *6 (-388)) (-4 *4 (-13 (-388) (-867))))) (-4204 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *5)) (-4 *5 (-477)) (-5 *2 (-658 *6)) (-5 *1 (-567 *5 *6 *4)) (-4 *6 (-388)) (-4 *4 (-13 (-388) (-867)))))) 
-(-10 -7 (-15 -4204 ((-658 |#2|) (-1187 |#1|) |#3|)) (-15 -4204 ((-658 |#2|) (-980 |#1|) |#3|)) (-15 -2411 ((-658 (-658 |#2|)) (-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191)) |#3|)) (-15 -2853 ((-658 (-310 (-980 |#2|))) (-658 |#2|) (-658 (-1191))))) 
-((-3674 ((|#2| |#2| |#1|) 17)) (-1846 ((|#2| (-658 |#2|)) 26)) (-4025 ((|#2| (-658 |#2|)) 45))) 
-(((-568 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1846 (|#2| (-658 |#2|))) (-15 -4025 (|#2| (-658 |#2|))) (-15 -3674 (|#2| |#2| |#1|))) (-323) (-1255 |#1|) |#1| (-1 |#1| |#1| (-790))) (T -568)) 
-((-3674 (*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-790))) (-5 *1 (-568 *3 *2 *4 *5)) (-4 *2 (-1255 *3)))) (-4025 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-568 *4 *2 *5 *6)) (-4 *4 (-323)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-790))))) (-1846 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-568 *4 *2 *5 *6)) (-4 *4 (-323)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-790)))))) 
-(-10 -7 (-15 -1846 (|#2| (-658 |#2|))) (-15 -4025 (|#2| (-658 |#2|))) (-15 -3674 (|#2| |#2| |#1|))) 
-((-4500 (((-444 (-1187 |#4|)) (-1187 |#4|) (-1 (-444 (-1187 |#3|)) (-1187 |#3|))) 79) (((-444 |#4|) |#4| (-1 (-444 (-1187 |#3|)) (-1187 |#3|))) 164))) 
-(((-569 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 |#4|) |#4| (-1 (-444 (-1187 |#3|)) (-1187 |#3|)))) (-15 -4500 ((-444 (-1187 |#4|)) (-1187 |#4|) (-1 (-444 (-1187 |#3|)) (-1187 |#3|))))) (-869) (-815) (-13 (-323) (-171)) (-977 |#3| |#2| |#1|)) (T -569)) 
-((-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 (-1187 *7)) (-1187 *7))) (-4 *7 (-13 (-323) (-171))) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *8 (-977 *7 *6 *5)) (-5 *2 (-444 (-1187 *8))) (-5 *1 (-569 *5 *6 *7 *8)) (-5 *3 (-1187 *8)))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 (-1187 *7)) (-1187 *7))) (-4 *7 (-13 (-323) (-171))) (-4 *5 (-869)) (-4 *6 (-815)) (-5 *2 (-444 *3)) (-5 *1 (-569 *5 *6 *7 *3)) (-4 *3 (-977 *7 *6 *5))))) 
-(-10 -7 (-15 -4500 ((-444 |#4|) |#4| (-1 (-444 (-1187 |#3|)) (-1187 |#3|)))) (-15 -4500 ((-444 (-1187 |#4|)) (-1187 |#4|) (-1 (-444 (-1187 |#3|)) (-1187 |#3|))))) 
-((-3066 ((|#4| |#4|) 73)) (-1353 ((|#4| |#4|) 69)) (-2448 ((|#4| |#4| (-592) (-592)) 75)) (-2447 ((|#4| |#4|) 71))) 
-(((-570 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1353 (|#4| |#4|)) (-15 -2447 (|#4| |#4|)) (-15 -3066 (|#4| |#4|)) (-15 -2448 (|#4| |#4| (-592) (-592)))) (-13 (-388) (-394) (-633 (-592))) (-1255 |#1|) (-741 |#1| |#2|) (-1270 |#3|)) (T -570)) 
-((-2448 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-13 (-388) (-394) (-633 *3))) (-4 *5 (-1255 *4)) (-4 *6 (-741 *4 *5)) (-5 *1 (-570 *4 *5 *6 *2)) (-4 *2 (-1270 *6)))) (-3066 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-4 *4 (-1255 *3)) (-4 *5 (-741 *3 *4)) (-5 *1 (-570 *3 *4 *5 *2)) (-4 *2 (-1270 *5)))) (-2447 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-4 *4 (-1255 *3)) (-4 *5 (-741 *3 *4)) (-5 *1 (-570 *3 *4 *5 *2)) (-4 *2 (-1270 *5)))) (-1353 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-4 *4 (-1255 *3)) (-4 *5 (-741 *3 *4)) (-5 *1 (-570 *3 *4 *5 *2)) (-4 *2 (-1270 *5))))) 
-(-10 -7 (-15 -1353 (|#4| |#4|)) (-15 -2447 (|#4| |#4|)) (-15 -3066 (|#4| |#4|)) (-15 -2448 (|#4| |#4| (-592) (-592)))) 
-((-3066 ((|#2| |#2|) 27)) (-1353 ((|#2| |#2|) 23)) (-2448 ((|#2| |#2| (-592) (-592)) 29)) (-2447 ((|#2| |#2|) 25))) 
-(((-571 |#1| |#2|) (-10 -7 (-15 -1353 (|#2| |#2|)) (-15 -2447 (|#2| |#2|)) (-15 -3066 (|#2| |#2|)) (-15 -2448 (|#2| |#2| (-592) (-592)))) (-13 (-388) (-394) (-633 (-592))) (-1270 |#1|)) (T -571)) 
-((-2448 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-13 (-388) (-394) (-633 *3))) (-5 *1 (-571 *4 *2)) (-4 *2 (-1270 *4)))) (-3066 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-5 *1 (-571 *3 *2)) (-4 *2 (-1270 *3)))) (-2447 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-5 *1 (-571 *3 *2)) (-4 *2 (-1270 *3)))) (-1353 (*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-5 *1 (-571 *3 *2)) (-4 *2 (-1270 *3))))) 
-(-10 -7 (-15 -1353 (|#2| |#2|)) (-15 -2447 (|#2| |#2|)) (-15 -3066 (|#2| |#2|)) (-15 -2448 (|#2| |#2| (-592) (-592)))) 
-((-2045 (((-3 (-592) "failed") |#2| |#1| (-1 (-3 (-592) "failed") |#1|)) 14) (((-3 (-592) "failed") |#2| |#1| (-592) (-1 (-3 (-592) "failed") |#1|)) 13) (((-3 (-592) "failed") |#2| (-592) (-1 (-3 (-592) "failed") |#1|)) 26))) 
-(((-572 |#1| |#2|) (-10 -7 (-15 -2045 ((-3 (-592) "failed") |#2| (-592) (-1 (-3 (-592) "failed") |#1|))) (-15 -2045 ((-3 (-592) "failed") |#2| |#1| (-592) (-1 (-3 (-592) "failed") |#1|))) (-15 -2045 ((-3 (-592) "failed") |#2| |#1| (-1 (-3 (-592) "failed") |#1|)))) (-1075) (-1255 |#1|)) (T -572)) 
-((-2045 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-592) "failed") *4)) (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-572 *4 *3)) (-4 *3 (-1255 *4)))) (-2045 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-592) "failed") *4)) (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-572 *4 *3)) (-4 *3 (-1255 *4)))) (-2045 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-592) "failed") *5)) (-4 *5 (-1075)) (-5 *2 (-592)) (-5 *1 (-572 *5 *3)) (-4 *3 (-1255 *5))))) 
-(-10 -7 (-15 -2045 ((-3 (-592) "failed") |#2| (-592) (-1 (-3 (-592) "failed") |#1|))) (-15 -2045 ((-3 (-592) "failed") |#2| |#1| (-592) (-1 (-3 (-592) "failed") |#1|))) (-15 -2045 ((-3 (-592) "failed") |#2| |#1| (-1 (-3 (-592) "failed") |#1|)))) 
-((-2204 (($ $ $) 78)) (-3164 (((-444 $) $) 46)) (-4368 (((-3 (-592) "failed") $) 58)) (-2400 (((-592) $) 36)) (-4182 (((-3 (-433 (-592)) "failed") $) 73)) (-2435 (((-141) $) 23)) (-2270 (((-433 (-592)) $) 71)) (-2802 (((-141) $) 49)) (-2520 (($ $ $ $) 85)) (-1691 (((-141) $) 15)) (-3870 (($ $ $) 56)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 68)) (-3921 (((-3 $ "failed") $) 63)) (-4561 (($ $) 22)) (-4092 (($ $ $) 83)) (-3703 (($) 59)) (-2283 (($ $) 52)) (-4500 (((-444 $) $) 44)) (-3554 (((-141) $) 13)) (-2769 (((-790) $) 27)) (-3644 (($ $ (-790)) NIL) (($ $) 10)) (-4599 (($ $) 16)) (-1778 (((-592) $) NIL) (((-565) $) 35) (((-914 (-592)) $) 39) (((-405) $) 30) (((-237) $) 32)) (-4010 (((-790)) 8)) (-3911 (((-141) $ $) 19)) (-4042 (($ $ $) 54))) 
-(((-573 |#1|) (-10 -8 (-15 -4092 (|#1| |#1| |#1|)) (-15 -2520 (|#1| |#1| |#1| |#1|)) (-15 -4561 (|#1| |#1|)) (-15 -4599 (|#1| |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -2204 (|#1| |#1| |#1|)) (-15 -3911 ((-141) |#1| |#1|)) (-15 -3554 ((-141) |#1|)) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -1778 ((-237) |#1|)) (-15 -1778 ((-405) |#1|)) (-15 -3870 (|#1| |#1| |#1|)) (-15 -2283 (|#1| |#1|)) (-15 -4042 (|#1| |#1| |#1|)) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -1778 ((-592) |#1|)) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -1691 ((-141) |#1|)) (-15 -2769 ((-790) |#1|)) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -2802 ((-141) |#1|)) (-15 -4010 ((-790)))) (-574)) (T -573)) 
-((-4010 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-573 *3)) (-4 *3 (-574))))) 
-(-10 -8 (-15 -4092 (|#1| |#1| |#1|)) (-15 -2520 (|#1| |#1| |#1| |#1|)) (-15 -4561 (|#1| |#1|)) (-15 -4599 (|#1| |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -2204 (|#1| |#1| |#1|)) (-15 -3911 ((-141) |#1| |#1|)) (-15 -3554 ((-141) |#1|)) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -1778 ((-237) |#1|)) (-15 -1778 ((-405) |#1|)) (-15 -3870 (|#1| |#1| |#1|)) (-15 -2283 (|#1| |#1|)) (-15 -4042 (|#1| |#1| |#1|)) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -1778 ((-592) |#1|)) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -1691 ((-141) |#1|)) (-15 -2769 ((-790) |#1|)) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -2802 ((-141) |#1|)) (-15 -4010 ((-790)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2204 (($ $ $) 83)) (-2350 (((-3 $ "failed") $ $) 18)) (-1686 (($ $ $ $) 71)) (-3743 (($ $) 50)) (-3164 (((-444 $) $) 51)) (-3652 (((-141) $ $) 123)) (-3940 (((-592) $) 112)) (-3651 (($ $ $) 86)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 104)) (-2400 (((-592) $) 103)) (-1586 (($ $ $) 127)) (-3945 (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 102) (((-706 (-592)) (-706 $)) 101)) (-3371 (((-3 $ "failed") $) 33)) (-4182 (((-3 (-433 (-592)) "failed") $) 80)) (-2435 (((-141) $) 82)) (-2270 (((-433 (-592)) $) 81)) (-4290 (($) 79) (($ $) 78)) (-1599 (($ $ $) 126)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 121)) (-2802 (((-141) $) 52)) (-2520 (($ $ $ $) 69)) (-1592 (($ $ $) 84)) (-1691 (((-141) $) 114)) (-3870 (($ $ $) 95)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 98)) (-3558 (((-141) $) 30)) (-3372 (((-141) $) 90)) (-3921 (((-3 $ "failed") $) 92)) (-1324 (((-141) $) 113)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 130)) (-3260 (($ $ $ $) 70)) (-1837 (($ $ $) 115)) (-3319 (($ $ $) 116)) (-4561 (($ $) 73)) (-4233 (($ $) 87)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4092 (($ $ $) 68)) (-3703 (($) 91 T CONST)) (-4185 (($ $) 75)) (-2951 (((-1137) $) 10) (($ $) 77)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-2283 (($ $) 96)) (-4500 (((-444 $) $) 49)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 129) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 128)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 122)) (-3554 (((-141) $) 89)) (-2769 (((-790) $) 124)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 125)) (-3644 (($ $ (-790)) 109) (($ $) 107)) (-1676 (($ $) 74)) (-4599 (($ $) 76)) (-1778 (((-592) $) 106) (((-565) $) 100) (((-914 (-592)) $) 99) (((-405) $) 94) (((-237) $) 93)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-592)) 105)) (-4010 (((-790)) 28)) (-3911 (((-141) $ $) 85)) (-4042 (($ $ $) 97)) (-4226 (($) 88)) (-2537 (((-141) $ $) 38)) (-1475 (($ $ $ $) 72)) (-1392 (($ $) 111)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-790)) 110) (($ $) 108)) (-3286 (((-141) $ $) 118)) (-3273 (((-141) $ $) 119)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 117)) (-3266 (((-141) $ $) 120)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-574) (-1311)) (T -574)) 
-((-3372 (*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) (-3554 (*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) (-4226 (*1 *1) (-4 *1 (-574))) (-4233 (*1 *1 *1) (-4 *1 (-574))) (-3651 (*1 *1 *1 *1) (-4 *1 (-574))) (-3911 (*1 *2 *1 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) (-1592 (*1 *1 *1 *1) (-4 *1 (-574))) (-2204 (*1 *1 *1 *1) (-4 *1 (-574))) (-2435 (*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) (-2270 (*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-433 (-592))))) (-4182 (*1 *2 *1) (|partial| -12 (-4 *1 (-574)) (-5 *2 (-433 (-592))))) (-4290 (*1 *1) (-4 *1 (-574))) (-4290 (*1 *1 *1) (-4 *1 (-574))) (-2951 (*1 *1 *1) (-4 *1 (-574))) (-4599 (*1 *1 *1) (-4 *1 (-574))) (-4185 (*1 *1 *1) (-4 *1 (-574))) (-1676 (*1 *1 *1) (-4 *1 (-574))) (-4561 (*1 *1 *1) (-4 *1 (-574))) (-1475 (*1 *1 *1 *1 *1) (-4 *1 (-574))) (-1686 (*1 *1 *1 *1 *1) (-4 *1 (-574))) (-3260 (*1 *1 *1 *1 *1) (-4 *1 (-574))) (-2520 (*1 *1 *1 *1 *1) (-4 *1 (-574))) (-4092 (*1 *1 *1 *1) (-4 *1 (-574)))) 
-(-13 (-1235) (-323) (-842) (-247) (-633 (-592)) (-1065 (-592)) (-654 (-592)) (-633 (-565)) (-633 (-914 (-592))) (-908 (-592)) (-167) (-1049) (-171) (-1165) (-10 -8 (-15 -3372 ((-141) $)) (-15 -3554 ((-141) $)) (-6 -4624) (-15 -4226 ($)) (-15 -4233 ($ $)) (-15 -3651 ($ $ $)) (-15 -3911 ((-141) $ $)) (-15 -1592 ($ $ $)) (-15 -2204 ($ $ $)) (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $)) (-15 -4290 ($)) (-15 -4290 ($ $)) (-15 -2951 ($ $)) (-15 -4599 ($ $)) (-15 -4185 ($ $)) (-15 -1676 ($ $)) (-15 -4561 ($ $)) (-15 -1475 ($ $ $ $)) (-15 -1686 ($ $ $ $)) (-15 -3260 ($ $ $ $)) (-15 -2520 ($ $ $ $)) (-15 -4092 ($ $ $)) (-6 -4623))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-171) . T) ((-632 (-877)) . T) ((-167) . T) ((-194) . T) ((-633 (-237)) . T) ((-633 (-405)) . T) ((-633 (-565)) . T) ((-633 (-592)) . T) ((-633 (-914 (-592))) . T) ((-247) . T) ((-307) . T) ((-323) . T) ((-477) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-654 (-592)) . T) ((-734 $) . T) ((-743) . T) ((-813) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-842) . T) ((-867) . T) ((-869) . T) ((-908 (-592)) . T) ((-943) . T) ((-1049) . T) ((-1065 (-592)) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#2| $ |#1| |#2|) NIL)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) NIL)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2840 (((-658 |#1|) $) NIL)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3708 (((-658 |#1|) $) NIL)) (-3780 (((-141) |#1| $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-575 |#1| |#2| |#3|) (-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) (-1119) (-1119) (-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625)))) (T -575)) 
-NIL 
-(-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) 
-((-2523 (((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) (-1 (-1187 |#2|) (-1187 |#2|))) 49))) 
-(((-576 |#1| |#2|) (-10 -7 (-15 -2523 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) (-1 (-1187 |#2|) (-1187 |#2|))))) (-13 (-869) (-582)) (-13 (-27) (-456 |#1|))) (T -576)) 
-((-2523 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-631 *3)) (-5 *5 (-1 (-1187 *3) (-1187 *3))) (-4 *3 (-13 (-27) (-456 *6))) (-4 *6 (-13 (-869) (-582))) (-5 *2 (-609 *3)) (-5 *1 (-576 *6 *3))))) 
-(-10 -7 (-15 -2523 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) (-1 (-1187 |#2|) (-1187 |#2|))))) 
-((-2748 (((-609 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-1709 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-2532 (((-609 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
-(((-577 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2532 ((-609 |#5|) |#5| (-1 |#3| |#3|))) (-15 -2748 ((-609 |#5|) |#5| (-1 |#3| |#3|))) (-15 -1709 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-869) (-582) (-1065 (-592))) (-13 (-27) (-456 |#1|)) (-1255 |#2|) (-1255 (-433 |#3|)) (-362 |#2| |#3| |#4|)) (T -577)) 
-((-1709 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-27) (-456 *4))) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-4 *7 (-1255 (-433 *6))) (-5 *1 (-577 *4 *5 *6 *7 *2)) (-4 *2 (-362 *5 *6 *7)))) (-2748 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1255 *6)) (-4 *6 (-13 (-27) (-456 *5))) (-4 *5 (-13 (-869) (-582) (-1065 (-592)))) (-4 *8 (-1255 (-433 *7))) (-5 *2 (-609 *3)) (-5 *1 (-577 *5 *6 *7 *8 *3)) (-4 *3 (-362 *6 *7 *8)))) (-2532 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1255 *6)) (-4 *6 (-13 (-27) (-456 *5))) (-4 *5 (-13 (-869) (-582) (-1065 (-592)))) (-4 *8 (-1255 (-433 *7))) (-5 *2 (-609 *3)) (-5 *1 (-577 *5 *6 *7 *8 *3)) (-4 *3 (-362 *6 *7 *8))))) 
-(-10 -7 (-15 -2532 ((-609 |#5|) |#5| (-1 |#3| |#3|))) (-15 -2748 ((-609 |#5|) |#5| (-1 |#3| |#3|))) (-15 -1709 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
-((-3169 (((-141) (-592) (-592)) 10)) (-2202 (((-592) (-592)) 7)) (-1811 (((-592) (-592) (-592)) 8))) 
-(((-578) (-10 -7 (-15 -2202 ((-592) (-592))) (-15 -1811 ((-592) (-592) (-592))) (-15 -3169 ((-141) (-592) (-592))))) (T -578)) 
-((-3169 (*1 *2 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-141)) (-5 *1 (-578)))) (-1811 (*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-578)))) (-2202 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-578))))) 
-(-10 -7 (-15 -2202 ((-592) (-592))) (-15 -1811 ((-592) (-592) (-592))) (-15 -3169 ((-141) (-592) (-592)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3515 ((|#1| $) 59)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-1588 (($ $) 89)) (-1507 (($ $) 72)) (-4079 ((|#1| $) 60)) (-2350 (((-3 $ "failed") $ $) 18)) (-1442 (($ $) 71)) (-1575 (($ $) 88)) (-1495 (($ $) 73)) (-1601 (($ $) 87)) (-1521 (($ $) 74)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 67)) (-2400 (((-592) $) 66)) (-3371 (((-3 $ "failed") $) 33)) (-3955 (($ |#1| |#1|) 64)) (-1691 (((-141) $) 58)) (-1435 (($) 99)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 70)) (-1324 (((-141) $) 57)) (-1837 (($ $ $) 105)) (-3319 (($ $ $) 104)) (-4546 (($ $) 96)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-1542 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-433 (-592))) 62)) (-1817 ((|#1| $) 61)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3616 (((-3 $ "failed") $ $) 41)) (-1430 (($ $) 97)) (-1609 (($ $) 86)) (-1527 (($ $) 75)) (-1594 (($ $) 85)) (-1515 (($ $) 76)) (-1581 (($ $) 84)) (-1501 (($ $) 77)) (-3942 (((-141) $ |#1|) 56)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-592)) 68)) (-4010 (((-790)) 28)) (-1630 (($ $) 95)) (-1546 (($ $) 83)) (-2537 (((-141) $ $) 38)) (-1617 (($ $) 94)) (-1533 (($ $) 82)) (-1642 (($ $) 93)) (-1559 (($ $) 81)) (-2892 (($ $) 92)) (-1567 (($ $) 80)) (-1636 (($ $) 91)) (-1552 (($ $) 79)) (-1624 (($ $) 90)) (-1540 (($ $) 78)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 102)) (-3273 (((-141) $ $) 101)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 103)) (-3266 (((-141) $ $) 100)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ $) 98) (($ $ (-433 (-592))) 69)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-579 |#1|) (-1311) (-13 (-430) (-1211))) (T -579)) 
-((-1542 (*1 *1 *2 *2) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) (-3955 (*1 *1 *2 *2) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) (-1542 (*1 *1 *2) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) (-1542 (*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))))) (-1817 (*1 *2 *1) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) (-4079 (*1 *2 *1) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) (-3515 (*1 *2 *1) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) (-1691 (*1 *2 *1) (-12 (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))) (-5 *2 (-141)))) (-1324 (*1 *2 *1) (-12 (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))) (-5 *2 (-141)))) (-3942 (*1 *2 *1 *3) (-12 (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))) (-5 *2 (-141))))) 
-(-13 (-477) (-869) (-1211) (-1030) (-1065 (-592)) (-10 -8 (-6 -2642) (-15 -1542 ($ |t#1| |t#1|)) (-15 -3955 ($ |t#1| |t#1|)) (-15 -1542 ($ |t#1|)) (-15 -1542 ($ (-433 (-592)))) (-15 -1817 (|t#1| $)) (-15 -4079 (|t#1| $)) (-15 -3515 (|t#1| $)) (-15 -1691 ((-141) $)) (-15 -1324 ((-141) $)) (-15 -3942 ((-141) $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-116) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-301) . T) ((-307) . T) ((-477) . T) ((-526) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-869) . T) ((-1030) . T) ((-1065 (-592)) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1211) . T) ((-1214) . T)) 
-((-2742 (((-1285) (-944) |#3| (-658 |#5|)) 55)) (-1587 ((|#8| |#3| |#3| (-658 |#10|) (-658 |#5|)) 52))) 
-(((-580 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -1587 (|#8| |#3| |#3| (-658 |#10|) (-658 |#5|))) (-15 -2742 ((-1285) (-944) |#3| (-658 |#5|)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|) (-257 |#7|) (-560 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-280 |#9|) (-137)) (T -580)) 
-((-2742 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-944)) (-5 *5 (-658 *9)) (-4 *9 (-999 *6)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *4 (-977 *6 *8 (-879 *7))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *10 (-665 *6)) (-4 *11 (-947 *6 *10)) (-4 *12 (-257 *11)) (-4 *13 (-560 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-137)) (-5 *2 (-1285)) (-5 *1 (-580 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-280 *13)))) (-1587 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-658 *13)) (-5 *5 (-658 *9)) (-4 *9 (-999 *6)) (-4 *13 (-280 *12)) (-4 *6 (-388)) (-4 *12 (-560 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-137)) (-14 *7 (-658 (-1191))) (-4 *3 (-977 *6 *8 (-879 *7))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *10 (-665 *6)) (-4 *11 (-947 *6 *10)) (-4 *2 (-257 *11)) (-5 *1 (-580 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
-(-10 -7 (-15 -1587 (|#8| |#3| |#3| (-658 |#10|) (-658 |#5|))) (-15 -2742 ((-1285) (-944) |#3| (-658 |#5|)))) 
-((-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 9)) (-1555 (($ $) 11)) (-1313 (((-141) $) 18)) (-3371 (((-3 $ "failed") $) 16)) (-2537 (((-141) $ $) 20))) 
-(((-581 |#1|) (-10 -8 (-15 -1313 ((-141) |#1|)) (-15 -2537 ((-141) |#1| |#1|)) (-15 -1555 (|#1| |#1|)) (-15 -3620 ((-2 (|:| -4509 |#1|) (|:| -4612 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|))) (-582)) (T -581)) 
-NIL 
-(-10 -8 (-15 -1313 ((-141) |#1|)) (-15 -2537 ((-141) |#1| |#1|)) (-15 -1555 (|#1| |#1|)) (-15 -3620 ((-2 (|:| -4509 |#1|) (|:| -4612 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ $) 41)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-582) (-1311)) (T -582)) 
-((-3616 (*1 *1 *1 *1) (|partial| -4 *1 (-582))) (-3620 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4509 *1) (|:| -4612 *1) (|:| |associate| *1))) (-4 *1 (-582)))) (-1555 (*1 *1 *1) (-4 *1 (-582))) (-2537 (*1 *2 *1 *1) (-12 (-4 *1 (-582)) (-5 *2 (-141)))) (-1313 (*1 *2 *1) (-12 (-4 *1 (-582)) (-5 *2 (-141))))) 
-(-13 (-194) (-43 $) (-307) (-10 -8 (-15 -3616 ((-3 $ "failed") $ $)) (-15 -3620 ((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $)) (-15 -1555 ($ $)) (-15 -2537 ((-141) $ $)) (-15 -1313 ((-141) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-661 $) . T) ((-734 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2054 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1191) (-658 |#2|)) 35)) (-3357 (((-609 |#2|) |#2| (-1191)) 58)) (-2543 (((-3 |#2| "failed") |#2| (-1191)) 147)) (-2375 (((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1191) (-631 |#2|) (-658 (-631 |#2|))) 149)) (-1490 (((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1191) |#2|) 38))) 
-(((-583 |#1| |#2|) (-10 -7 (-15 -1490 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1191) |#2|)) (-15 -2054 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1191) (-658 |#2|))) (-15 -2543 ((-3 |#2| "failed") |#2| (-1191))) (-15 -3357 ((-609 |#2|) |#2| (-1191))) (-15 -2375 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1191) (-631 |#2|) (-658 (-631 |#2|))))) (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -583)) 
-((-2375 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1191)) (-5 *6 (-658 (-631 *3))) (-5 *5 (-631 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-583 *7 *3)))) (-3357 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-583 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-2543 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-583 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) (-2054 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-658 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-583 *6 *3)))) (-1490 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-583 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(-10 -7 (-15 -1490 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1191) |#2|)) (-15 -2054 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1191) (-658 |#2|))) (-15 -2543 ((-3 |#2| "failed") |#2| (-1191))) (-15 -3357 ((-609 |#2|) |#2| (-1191))) (-15 -2375 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1191) (-631 |#2|) (-658 (-631 |#2|))))) 
-((-3903 (((-658 |#5|) (-658 |#5|)) 41))) 
-(((-584 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3903 ((-658 |#5|) (-658 |#5|)))) (-388) (-658 (-1191)) (-815) (-869) (-977 |#1| |#3| |#4|)) (T -584)) 
-((-3903 (*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-977 *3 *5 *6)) (-4 *3 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-584 *3 *4 *5 *6 *7)) (-14 *4 (-658 (-1191)))))) 
-(-10 -7 (-15 -3903 ((-658 |#5|) (-658 |#5|)))) 
-((-3164 (((-444 |#1|) |#1|) 18)) (-4500 (((-444 |#1|) |#1|) 32)) (-1657 (((-3 |#1| "failed") |#1|) 43)) (-3865 (((-444 |#1|) |#1|) 49))) 
-(((-585 |#1|) (-10 -7 (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -3865 ((-444 |#1|) |#1|)) (-15 -1657 ((-3 |#1| "failed") |#1|))) (-574)) (T -585)) 
-((-1657 (*1 *2 *2) (|partial| -12 (-5 *1 (-585 *2)) (-4 *2 (-574)))) (-3865 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-585 *3)) (-4 *3 (-574)))) (-3164 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-585 *3)) (-4 *3 (-574)))) (-4500 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-585 *3)) (-4 *3 (-574))))) 
-(-10 -7 (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -3865 ((-444 |#1|) |#1|)) (-15 -1657 ((-3 |#1| "failed") |#1|))) 
-((-2225 (((-658 |#3|) |#8| (-658 |#3|)) 45)) (-4507 (((-658 |#3|) |#8| (-790) |#3| (-658 |#3|)) 44)) (-3629 (((-658 (-1280 |#1|)) |#8| (-658 |#3|)) 26)) (-2129 (((-658 (-1280 |#1|)) |#8| (-658 |#3|)) 27))) 
-(((-586 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2129 ((-658 (-1280 |#1|)) |#8| (-658 |#3|))) (-15 -3629 ((-658 (-1280 |#1|)) |#8| (-658 |#3|))) (-15 -2225 ((-658 |#3|) |#8| (-658 |#3|))) (-15 -4507 ((-658 |#3|) |#8| (-790) |#3| (-658 |#3|)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|) (-257 |#7|)) (T -586)) 
-((-4507 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-658 *5)) (-4 *5 (-977 *6 *8 (-879 *7))) (-4 *8 (-252 (-1699 *7) *4)) (-5 *4 (-790)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *10 (-665 *6)) (-4 *11 (-947 *6 *10)) (-5 *1 (-586 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-999 *6)) (-4 *3 (-257 *11)))) (-2225 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-5 *1 (-586 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-999 *4)) (-4 *3 (-257 *10)))) (-3629 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *7)) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-5 *2 (-658 (-1280 *5))) (-5 *1 (-586 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-999 *5)) (-4 *3 (-257 *11)))) (-2129 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *7)) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-5 *2 (-658 (-1280 *5))) (-5 *1 (-586 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-999 *5)) (-4 *3 (-257 *11))))) 
-(-10 -7 (-15 -2129 ((-658 (-1280 |#1|)) |#8| (-658 |#3|))) (-15 -3629 ((-658 (-1280 |#1|)) |#8| (-658 |#3|))) (-15 -2225 ((-658 |#3|) |#8| (-658 |#3|))) (-15 -4507 ((-658 |#3|) |#8| (-790) |#3| (-658 |#3|)))) 
-((-1670 (($) 9)) (-4246 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 29)) (-2840 (((-658 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) $) 26)) (-2113 (($ (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-2942 (($ (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-3552 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 33)) (-4210 (((-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-2057 (((-1285)) 12))) 
-(((-587) (-10 -8 (-15 -1670 ($)) (-15 -2057 ((-1285))) (-15 -2840 ((-658 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) $)) (-15 -2942 ($ (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2113 ($ (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -4246 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -4210 ((-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3552 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) (T -587)) 
-((-3552 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-587)))) (-4210 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-587)))) (-4246 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-587)))) (-2113 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-587)))) (-2942 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-587)))) (-2840 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-5 *1 (-587)))) (-2057 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-587)))) (-1670 (*1 *1) (-5 *1 (-587)))) 
-(-10 -8 (-15 -1670 ($)) (-15 -2057 ((-1285))) (-15 -2840 ((-658 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) $)) (-15 -2942 ($ (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2113 ($ (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -4246 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -4210 ((-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3552 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) 
-((-4492 (((-1187 (-433 (-1187 |#2|))) |#2| (-631 |#2|) (-631 |#2|) (-1187 |#2|)) 28)) (-1879 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|) |#2| (-1187 |#2|)) 106)) (-3529 (((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|))) 78) (((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) |#2| (-1187 |#2|)) 50)) (-3876 (((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2| (-631 |#2|) |#2| (-433 (-1187 |#2|))) 85) (((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2| |#2| (-1187 |#2|)) 105)) (-1606 (((-3 |#2| "failed") |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)) (-631 |#2|) |#2| (-433 (-1187 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)) |#2| (-1187 |#2|)) 107)) (-2770 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|))) 124 (|has| |#3| (-670 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) |#2| (-1187 |#2|)) 123 (|has| |#3| (-670 |#2|)))) (-4533 ((|#2| (-1187 (-433 (-1187 |#2|))) (-631 |#2|) |#2|) 48)) (-3650 (((-1187 (-433 (-1187 |#2|))) (-1187 |#2|) (-631 |#2|)) 27))) 
-(((-588 |#1| |#2| |#3|) (-10 -7 (-15 -3529 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) |#2| (-1187 |#2|))) (-15 -3529 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -3876 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2| |#2| (-1187 |#2|))) (-15 -3876 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2| (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -1879 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|) |#2| (-1187 |#2|))) (-15 -1879 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -1606 ((-3 |#2| "failed") |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)) |#2| (-1187 |#2|))) (-15 -1606 ((-3 |#2| "failed") |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)) (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -4492 ((-1187 (-433 (-1187 |#2|))) |#2| (-631 |#2|) (-631 |#2|) (-1187 |#2|))) (-15 -4533 (|#2| (-1187 (-433 (-1187 |#2|))) (-631 |#2|) |#2|)) (-15 -3650 ((-1187 (-433 (-1187 |#2|))) (-1187 |#2|) (-631 |#2|))) (IF (|has| |#3| (-670 |#2|)) (PROGN (-15 -2770 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) |#2| (-1187 |#2|))) (-15 -2770 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|))))) |noBranch|)) (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592))) (-13 (-456 |#1|) (-27) (-1211)) (-1119)) (T -588)) 
-((-2770 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-631 *4)) (-5 *6 (-433 (-1187 *4))) (-4 *4 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-588 *7 *4 *3)) (-4 *3 (-670 *4)) (-4 *3 (-1119)))) (-2770 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-631 *4)) (-5 *6 (-1187 *4)) (-4 *4 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-588 *7 *4 *3)) (-4 *3 (-670 *4)) (-4 *3 (-1119)))) (-3650 (*1 *2 *3 *4) (-12 (-5 *4 (-631 *6)) (-4 *6 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-1187 (-433 (-1187 *6)))) (-5 *1 (-588 *5 *6 *7)) (-5 *3 (-1187 *6)) (-4 *7 (-1119)))) (-4533 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1187 (-433 (-1187 *2)))) (-5 *4 (-631 *2)) (-4 *2 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-588 *5 *2 *6)) (-4 *6 (-1119)))) (-4492 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-631 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-1187 (-433 (-1187 *3)))) (-5 *1 (-588 *6 *3 *7)) (-5 *5 (-1187 *3)) (-4 *7 (-1119)))) (-1606 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-631 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1191))) (-5 *5 (-433 (-1187 *2))) (-4 *2 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-588 *6 *2 *7)) (-4 *7 (-1119)))) (-1606 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-631 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1191))) (-5 *5 (-1187 *2)) (-4 *2 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-588 *6 *2 *7)) (-4 *7 (-1119)))) (-1879 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-658 *3)) (-5 *6 (-433 (-1187 *3))) (-4 *3 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-588 *7 *3 *8)) (-4 *8 (-1119)))) (-1879 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-658 *3)) (-5 *6 (-1187 *3)) (-4 *3 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-588 *7 *3 *8)) (-4 *8 (-1119)))) (-3876 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-433 (-1187 *3))) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119)))) (-3876 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-1187 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119)))) (-3529 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-631 *3)) (-5 *5 (-433 (-1187 *3))) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119)))) (-3529 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-631 *3)) (-5 *5 (-1187 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119))))) 
-(-10 -7 (-15 -3529 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) |#2| (-1187 |#2|))) (-15 -3529 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -3876 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2| |#2| (-1187 |#2|))) (-15 -3876 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2| (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -1879 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|) |#2| (-1187 |#2|))) (-15 -1879 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -1606 ((-3 |#2| "failed") |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)) |#2| (-1187 |#2|))) (-15 -1606 ((-3 |#2| "failed") |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)) (-631 |#2|) |#2| (-433 (-1187 |#2|)))) (-15 -4492 ((-1187 (-433 (-1187 |#2|))) |#2| (-631 |#2|) (-631 |#2|) (-1187 |#2|))) (-15 -4533 (|#2| (-1187 (-433 (-1187 |#2|))) (-631 |#2|) |#2|)) (-15 -3650 ((-1187 (-433 (-1187 |#2|))) (-1187 |#2|) (-631 |#2|))) (IF (|has| |#3| (-670 |#2|)) (PROGN (-15 -2770 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) |#2| (-1187 |#2|))) (-15 -2770 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) (-631 |#2|) |#2| (-433 (-1187 |#2|))))) |noBranch|)) 
-((-1731 (((-592) (-592) (-790)) 65)) (-3861 (((-592) (-592)) 64)) (-2394 (((-592) (-592)) 63)) (-2417 (((-592) (-592)) 68)) (-1880 (((-592) (-592) (-592)) 48)) (-1584 (((-592) (-592) (-592)) 45)) (-3119 (((-433 (-592)) (-592)) 20)) (-3012 (((-592) (-592)) 21)) (-4324 (((-592) (-592)) 57)) (-3824 (((-592) (-592)) 32)) (-3779 (((-658 (-592)) (-592)) 62)) (-3219 (((-592) (-592) (-592) (-592) (-592)) 43)) (-4017 (((-433 (-592)) (-592)) 41))) 
-(((-589) (-10 -7 (-15 -4017 ((-433 (-592)) (-592))) (-15 -3219 ((-592) (-592) (-592) (-592) (-592))) (-15 -3779 ((-658 (-592)) (-592))) (-15 -3824 ((-592) (-592))) (-15 -4324 ((-592) (-592))) (-15 -3012 ((-592) (-592))) (-15 -3119 ((-433 (-592)) (-592))) (-15 -1584 ((-592) (-592) (-592))) (-15 -1880 ((-592) (-592) (-592))) (-15 -2417 ((-592) (-592))) (-15 -2394 ((-592) (-592))) (-15 -3861 ((-592) (-592))) (-15 -1731 ((-592) (-592) (-790))))) (T -589)) 
-((-1731 (*1 *2 *2 *3) (-12 (-5 *2 (-592)) (-5 *3 (-790)) (-5 *1 (-589)))) (-3861 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-2394 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-2417 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-1880 (*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-1584 (*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-3119 (*1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-589)) (-5 *3 (-592)))) (-3012 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-4324 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-3824 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-3779 (*1 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-589)) (-5 *3 (-592)))) (-3219 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) (-4017 (*1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-589)) (-5 *3 (-592))))) 
-(-10 -7 (-15 -4017 ((-433 (-592)) (-592))) (-15 -3219 ((-592) (-592) (-592) (-592) (-592))) (-15 -3779 ((-658 (-592)) (-592))) (-15 -3824 ((-592) (-592))) (-15 -4324 ((-592) (-592))) (-15 -3012 ((-592) (-592))) (-15 -3119 ((-433 (-592)) (-592))) (-15 -1584 ((-592) (-592) (-592))) (-15 -1880 ((-592) (-592) (-592))) (-15 -2417 ((-592) (-592))) (-15 -2394 ((-592) (-592))) (-15 -3861 ((-592) (-592))) (-15 -1731 ((-592) (-592) (-790)))) 
-((-3957 (((-2 (|:| |answer| |#4|) (|:| -4192 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
-(((-590 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3957 ((-2 (|:| |answer| |#4|) (|:| -4192 |#4|)) |#4| (-1 |#2| |#2|)))) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|)) (T -590)) 
-((-3957 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-4 *7 (-1255 (-433 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -4192 *3))) (-5 *1 (-590 *5 *6 *7 *3)) (-4 *3 (-362 *5 *6 *7))))) 
-(-10 -7 (-15 -3957 ((-2 (|:| |answer| |#4|) (|:| -4192 |#4|)) |#4| (-1 |#2| |#2|)))) 
-((-3957 (((-2 (|:| |answer| (-433 |#2|)) (|:| -4192 (-433 |#2|)) (|:| |specpart| (-433 |#2|)) (|:| |polypart| |#2|)) (-433 |#2|) (-1 |#2| |#2|)) 18))) 
-(((-591 |#1| |#2|) (-10 -7 (-15 -3957 ((-2 (|:| |answer| (-433 |#2|)) (|:| -4192 (-433 |#2|)) (|:| |specpart| (-433 |#2|)) (|:| |polypart| |#2|)) (-433 |#2|) (-1 |#2| |#2|)))) (-388) (-1255 |#1|)) (T -591)) 
-((-3957 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |answer| (-433 *6)) (|:| -4192 (-433 *6)) (|:| |specpart| (-433 *6)) (|:| |polypart| *6))) (-5 *1 (-591 *5 *6)) (-5 *3 (-433 *6))))) 
-(-10 -7 (-15 -3957 ((-2 (|:| |answer| (-433 |#2|)) (|:| -4192 (-433 |#2|)) (|:| |specpart| (-433 |#2|)) (|:| |polypart| |#2|)) (-433 |#2|) (-1 |#2| |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 25)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 86)) (-1555 (($ $) 87)) (-1313 (((-141) $) NIL)) (-2204 (($ $ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1686 (($ $ $ $) 42)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL)) (-3651 (($ $ $) 80)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL)) (-2400 (((-592) $) NIL)) (-1586 (($ $ $) 79)) (-3945 (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 60) (((-706 (-592)) (-706 $)) 57)) (-3371 (((-3 $ "failed") $) 83)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL)) (-2435 (((-141) $) NIL)) (-2270 (((-433 (-592)) $) NIL)) (-4290 (($) 62) (($ $) 63)) (-1599 (($ $ $) 78)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2520 (($ $ $ $) NIL)) (-1592 (($ $ $) 54)) (-1691 (((-141) $) NIL)) (-3870 (($ $ $) NIL)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL)) (-3558 (((-141) $) 26)) (-3372 (((-141) $) 73)) (-3921 (((-3 $ "failed") $) NIL)) (-1324 (((-141) $) 34)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3260 (($ $ $ $) 43)) (-1837 (($ $ $) 75)) (-3319 (($ $ $) 74)) (-4561 (($ $) NIL)) (-4233 (($ $) 40)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) 53)) (-4092 (($ $ $) NIL)) (-3703 (($) NIL T CONST)) (-4185 (($ $) 31)) (-2951 (((-1137) $) NIL) (($ $) 33)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 117)) (-3548 (($ $ $) 84) (($ (-658 $)) NIL)) (-2283 (($ $) NIL)) (-4500 (((-444 $) $) 103)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-3616 (((-3 $ "failed") $ $) 82)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3554 (((-141) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 77)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-1676 (($ $) 32)) (-4599 (($ $) 30)) (-1778 (((-592) $) 39) (((-565) $) 51) (((-914 (-592)) $) NIL) (((-405) $) 46) (((-237) $) 48) (((-1173) $) 52)) (-1683 (((-877) $) 37) (($ (-592)) 38) (($ $) NIL) (($ (-592)) 38)) (-4010 (((-790)) NIL)) (-3911 (((-141) $ $) NIL)) (-4042 (($ $ $) NIL)) (-4226 (($) 29)) (-2537 (((-141) $ $) NIL)) (-1475 (($ $ $ $) 41)) (-1392 (($ $) 61)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 27 T CONST)) (-4257 (($) 28 T CONST)) (-1637 (((-1173) $) 20) (((-1173) $ (-141)) 22) (((-1285) (-844) $) 23) (((-1285) (-844) $ (-141)) 24)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 64)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 65)) (-3306 (($ $) 66) (($ $ $) 68)) (-3300 (($ $ $) 67)) (** (($ $ (-944)) NIL) (($ $ (-790)) 72)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 70) (($ $ $) 69))) 
-(((-592) (-13 (-574) (-633 (-1173)) (-850) (-10 -8 (-15 -4290 ($ $)) (-6 -4612) (-6 -4617) (-6 -4613) (-6 -4607)))) (T -592)) 
-((-4290 (*1 *1 *1) (-5 *1 (-592)))) 
-(-13 (-574) (-633 (-1173)) (-850) (-10 -8 (-15 -4290 ($ $)) (-6 -4612) (-6 -4617) (-6 -4613) (-6 -4607))) 
-((-2617 (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))) (-788) (-1087)) 103) (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))) (-788)) 105)) (-3162 (((-3 (-1063) "failed") (-332 (-405)) (-1111 (-862 (-405))) (-1191)) 168) (((-3 (-1063) "failed") (-332 (-405)) (-1111 (-862 (-405))) (-1173)) 167) (((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405) (-405) (-1087)) 173) (((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405) (-405)) 174) (((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405)) 175) (((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405))))) 176) (((-1063) (-332 (-405)) (-1113 (-862 (-405)))) 163) (((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405)) 162) (((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405) (-405)) 158) (((-1063) (-788)) 150) (((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405) (-405) (-1087)) 157))) 
-(((-593) (-10 -7 (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405) (-405) (-1087))) (-15 -3162 ((-1063) (-788))) (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405) (-405) (-1087))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))) (-788))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))) (-788) (-1087))) (-15 -3162 ((-3 (-1063) "failed") (-332 (-405)) (-1111 (-862 (-405))) (-1173))) (-15 -3162 ((-3 (-1063) "failed") (-332 (-405)) (-1111 (-862 (-405))) (-1191))))) (T -593)) 
-((-3162 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-862 (-405)))) (-5 *5 (-1191)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-862 (-405)))) (-5 *5 (-1173)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-2617 (*1 *2 *3 *4) (-12 (-5 *3 (-788)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) (-5 *1 (-593)))) (-2617 (*1 *2 *3) (-12 (-5 *3 (-788)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *5 (-405)) (-5 *6 (-1087)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3) (-12 (-5 *3 (-788)) (-5 *2 (-1063)) (-5 *1 (-593)))) (-3162 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *5 (-405)) (-5 *6 (-1087)) (-5 *2 (-1063)) (-5 *1 (-593))))) 
-(-10 -7 (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405) (-405) (-1087))) (-15 -3162 ((-1063) (-788))) (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-1113 (-862 (-405))))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405) (-405))) (-15 -3162 ((-1063) (-332 (-405)) (-658 (-1113 (-862 (-405)))) (-405) (-405) (-1087))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))) (-788))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063))) (-788) (-1087))) (-15 -3162 ((-3 (-1063) "failed") (-332 (-405)) (-1111 (-862 (-405))) (-1173))) (-15 -3162 ((-3 (-1063) "failed") (-332 (-405)) (-1111 (-862 (-405))) (-1191)))) 
-((-4163 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|)) 179)) (-2596 (((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|)) 97)) (-1638 (((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2|) 175)) (-1572 (((-3 |#2| "failed") |#2| |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191))) 184)) (-1671 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) (-1191)) 192 (|has| |#3| (-670 |#2|))))) 
-(((-594 |#1| |#2| |#3|) (-10 -7 (-15 -2596 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|))) (-15 -1638 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2|)) (-15 -4163 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|))) (-15 -1572 ((-3 |#2| "failed") |#2| |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)))) (IF (|has| |#3| (-670 |#2|)) (-15 -1671 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) (-1191))) |noBranch|)) (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592))) (-13 (-456 |#1|) (-27) (-1211)) (-1119)) (T -594)) 
-((-1671 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-631 *4)) (-5 *6 (-1191)) (-4 *4 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-594 *7 *4 *3)) (-4 *3 (-670 *4)) (-4 *3 (-1119)))) (-1572 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-631 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1191))) (-4 *2 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-594 *5 *2 *6)) (-4 *6 (-1119)))) (-4163 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-658 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-594 *6 *3 *7)) (-4 *7 (-1119)))) (-1638 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-631 *3)) (-4 *3 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-594 *5 *3 *6)) (-4 *6 (-1119)))) (-2596 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-631 *3)) (-4 *3 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-594 *5 *3 *6)) (-4 *6 (-1119))))) 
-(-10 -7 (-15 -2596 ((-609 |#2|) |#2| (-631 |#2|) (-631 |#2|))) (-15 -1638 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-631 |#2|) (-631 |#2|) |#2|)) (-15 -4163 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-631 |#2|) (-631 |#2|) (-658 |#2|))) (-15 -1572 ((-3 |#2| "failed") |#2| |#2| |#2| (-631 |#2|) (-631 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1191)))) (IF (|has| |#3| (-670 |#2|)) (-15 -1671 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -2195 (-658 |#2|))) |#3| |#2| (-631 |#2|) (-631 |#2|) (-1191))) |noBranch|)) 
-((-3825 (((-2 (|:| -3479 |#2|) (|:| |nconst| |#2|)) |#2| (-1191)) 62)) (-2564 (((-3 |#2| "failed") |#2| (-1191) (-862 |#2|) (-862 |#2|)) 159 (-12 (|has| |#2| (-1153)) (|has| |#1| (-633 (-914 (-592)))) (|has| |#1| (-908 (-592))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191)) 133 (-12 (|has| |#2| (-644)) (|has| |#1| (-633 (-914 (-592)))) (|has| |#1| (-908 (-592)))))) (-1605 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191)) 142 (-12 (|has| |#2| (-644)) (|has| |#1| (-633 (-914 (-592)))) (|has| |#1| (-908 (-592))))))) 
-(((-595 |#1| |#2|) (-10 -7 (-15 -3825 ((-2 (|:| -3479 |#2|) (|:| |nconst| |#2|)) |#2| (-1191))) (IF (|has| |#1| (-633 (-914 (-592)))) (IF (|has| |#1| (-908 (-592))) (PROGN (IF (|has| |#2| (-644)) (PROGN (-15 -1605 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191))) (-15 -2564 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191)))) |noBranch|) (IF (|has| |#2| (-1153)) (-15 -2564 ((-3 |#2| "failed") |#2| (-1191) (-862 |#2|) (-862 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-869) (-1065 (-592)) (-477) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -595)) 
-((-2564 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1191)) (-5 *4 (-862 *2)) (-4 *2 (-1153)) (-4 *2 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-633 (-914 (-592)))) (-4 *5 (-908 (-592))) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *1 (-595 *5 *2)))) (-2564 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-633 (-914 (-592)))) (-4 *5 (-908 (-592))) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-595 *5 *3)) (-4 *3 (-644)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-1605 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-633 (-914 (-592)))) (-4 *5 (-908 (-592))) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-595 *5 *3)) (-4 *3 (-644)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-3825 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *2 (-2 (|:| -3479 *3) (|:| |nconst| *3))) (-5 *1 (-595 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(-10 -7 (-15 -3825 ((-2 (|:| -3479 |#2|) (|:| |nconst| |#2|)) |#2| (-1191))) (IF (|has| |#1| (-633 (-914 (-592)))) (IF (|has| |#1| (-908 (-592))) (PROGN (IF (|has| |#2| (-644)) (PROGN (-15 -1605 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191))) (-15 -2564 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191)))) |noBranch|) (IF (|has| |#2| (-1153)) (-15 -2564 ((-3 |#2| "failed") |#2| (-1191) (-862 |#2|) (-862 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
-((-3301 (((-3 (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|)))))) "failed") (-433 |#2|) (-658 (-433 |#2|))) 39)) (-3162 (((-609 (-433 |#2|)) (-433 |#2|)) 27)) (-2175 (((-3 (-433 |#2|) "failed") (-433 |#2|)) 16)) (-3799 (((-3 (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-433 |#2|)) 46))) 
-(((-596 |#1| |#2|) (-10 -7 (-15 -3162 ((-609 (-433 |#2|)) (-433 |#2|))) (-15 -2175 ((-3 (-433 |#2|) "failed") (-433 |#2|))) (-15 -3799 ((-3 (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-433 |#2|))) (-15 -3301 ((-3 (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|)))))) "failed") (-433 |#2|) (-658 (-433 |#2|))))) (-13 (-388) (-171) (-1065 (-592))) (-1255 |#1|)) (T -596)) 
-((-3301 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-658 (-433 *6))) (-5 *3 (-433 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-596 *5 *6)))) (-3799 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -3191 (-433 *5)) (|:| |coeff| (-433 *5)))) (-5 *1 (-596 *4 *5)) (-5 *3 (-433 *5)))) (-2175 (*1 *2 *2) (|partial| -12 (-5 *2 (-433 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-13 (-388) (-171) (-1065 (-592)))) (-5 *1 (-596 *3 *4)))) (-3162 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-609 (-433 *5))) (-5 *1 (-596 *4 *5)) (-5 *3 (-433 *5))))) 
-(-10 -7 (-15 -3162 ((-609 (-433 |#2|)) (-433 |#2|))) (-15 -2175 ((-3 (-433 |#2|) "failed") (-433 |#2|))) (-15 -3799 ((-3 (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-433 |#2|))) (-15 -3301 ((-3 (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|)))))) "failed") (-433 |#2|) (-658 (-433 |#2|))))) 
-((-4337 (((-3 (-592) "failed") |#1|) 14)) (-4277 (((-141) |#1|) 13)) (-4553 (((-592) |#1|) 9))) 
-(((-597 |#1|) (-10 -7 (-15 -4553 ((-592) |#1|)) (-15 -4277 ((-141) |#1|)) (-15 -4337 ((-3 (-592) "failed") |#1|))) (-1065 (-592))) (T -597)) 
-((-4337 (*1 *2 *3) (|partial| -12 (-5 *2 (-592)) (-5 *1 (-597 *3)) (-4 *3 (-1065 *2)))) (-4277 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-597 *3)) (-4 *3 (-1065 (-592))))) (-4553 (*1 *2 *3) (-12 (-5 *2 (-592)) (-5 *1 (-597 *3)) (-4 *3 (-1065 *2))))) 
-(-10 -7 (-15 -4553 ((-592) |#1|)) (-15 -4277 ((-141) |#1|)) (-15 -4337 ((-3 (-592) "failed") |#1|))) 
-((-1812 (((-3 (-2 (|:| |mainpart| (-433 (-980 |#1|))) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 (-980 |#1|))) (|:| |logand| (-433 (-980 |#1|))))))) "failed") (-433 (-980 |#1|)) (-1191) (-658 (-433 (-980 |#1|)))) 43)) (-2751 (((-609 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-1191)) 25)) (-1690 (((-3 (-433 (-980 |#1|)) "failed") (-433 (-980 |#1|)) (-1191)) 20)) (-1359 (((-3 (-2 (|:| -3191 (-433 (-980 |#1|))) (|:| |coeff| (-433 (-980 |#1|)))) "failed") (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|))) 32))) 
-(((-598 |#1|) (-10 -7 (-15 -2751 ((-609 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-1191))) (-15 -1690 ((-3 (-433 (-980 |#1|)) "failed") (-433 (-980 |#1|)) (-1191))) (-15 -1812 ((-3 (-2 (|:| |mainpart| (-433 (-980 |#1|))) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 (-980 |#1|))) (|:| |logand| (-433 (-980 |#1|))))))) "failed") (-433 (-980 |#1|)) (-1191) (-658 (-433 (-980 |#1|))))) (-15 -1359 ((-3 (-2 (|:| -3191 (-433 (-980 |#1|))) (|:| |coeff| (-433 (-980 |#1|)))) "failed") (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|))))) (-13 (-582) (-1065 (-592)) (-171))) (T -598)) 
-((-1359 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-1065 (-592)) (-171))) (-5 *2 (-2 (|:| -3191 (-433 (-980 *5))) (|:| |coeff| (-433 (-980 *5))))) (-5 *1 (-598 *5)) (-5 *3 (-433 (-980 *5))))) (-1812 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-658 (-433 (-980 *6)))) (-5 *3 (-433 (-980 *6))) (-4 *6 (-13 (-582) (-1065 (-592)) (-171))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-598 *6)))) (-1690 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-433 (-980 *4))) (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-1065 (-592)) (-171))) (-5 *1 (-598 *4)))) (-2751 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-1065 (-592)) (-171))) (-5 *2 (-609 (-433 (-980 *5)))) (-5 *1 (-598 *5)) (-5 *3 (-433 (-980 *5)))))) 
-(-10 -7 (-15 -2751 ((-609 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-1191))) (-15 -1690 ((-3 (-433 (-980 |#1|)) "failed") (-433 (-980 |#1|)) (-1191))) (-15 -1812 ((-3 (-2 (|:| |mainpart| (-433 (-980 |#1|))) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 (-980 |#1|))) (|:| |logand| (-433 (-980 |#1|))))))) "failed") (-433 (-980 |#1|)) (-1191) (-658 (-433 (-980 |#1|))))) (-15 -1359 ((-3 (-2 (|:| -3191 (-433 (-980 |#1|))) (|:| |coeff| (-433 (-980 |#1|)))) "failed") (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|))))) 
-((-1641 (((-141) $ $) 59)) (-2272 (((-141) $) 36)) (-3515 ((|#1| $) 30)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) 63)) (-1588 (($ $) 123)) (-1507 (($ $) 103)) (-4079 ((|#1| $) 28)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL)) (-1575 (($ $) 125)) (-1495 (($ $) 99)) (-1601 (($ $) 127)) (-1521 (($ $) 107)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) 78)) (-2400 (((-592) $) 80)) (-3371 (((-3 $ "failed") $) 62)) (-3955 (($ |#1| |#1|) 26)) (-1691 (((-141) $) 33)) (-1435 (($) 89)) (-3558 (((-141) $) 43)) (-4422 (($ $ (-592)) NIL)) (-1324 (((-141) $) 34)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-4546 (($ $) 91)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-1542 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-433 (-592))) 77)) (-1817 ((|#1| $) 27)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) 65) (($ (-658 $)) NIL)) (-3616 (((-3 $ "failed") $ $) 64)) (-1430 (($ $) 93)) (-1609 (($ $) 131)) (-1527 (($ $) 105)) (-1594 (($ $) 133)) (-1515 (($ $) 109)) (-1581 (($ $) 129)) (-1501 (($ $) 101)) (-3942 (((-141) $ |#1|) 31)) (-1683 (((-877) $) 85) (($ (-592)) 67) (($ $) NIL) (($ (-592)) 67)) (-4010 (((-790)) 87)) (-1630 (($ $) 145)) (-1546 (($ $) 115)) (-2537 (((-141) $ $) NIL)) (-1617 (($ $) 143)) (-1533 (($ $) 111)) (-1642 (($ $) 141)) (-1559 (($ $) 121)) (-2892 (($ $) 139)) (-1567 (($ $) 119)) (-1636 (($ $) 137)) (-1552 (($ $) 117)) (-1624 (($ $) 135)) (-1540 (($ $) 113)) (-1424 (($ $ (-944)) 55) (($ $ (-790)) NIL)) (-3514 (($) 21 T CONST)) (-4257 (($) 10 T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 37)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 35)) (-3306 (($ $) 41) (($ $ $) 42)) (-3300 (($ $ $) 40)) (** (($ $ (-944)) 54) (($ $ (-790)) NIL) (($ $ $) 95) (($ $ (-433 (-592))) 147)) (* (($ (-944) $) 51) (($ (-790) $) NIL) (($ (-592) $) 50) (($ $ $) 48))) 
-(((-599 |#1|) (-579 |#1|) (-13 (-430) (-1211))) (T -599)) 
-NIL 
-(-579 |#1|) 
-((-3524 (((-3 (-658 (-1187 (-592))) "failed") (-658 (-1187 (-592))) (-1187 (-592))) 24))) 
-(((-600) (-10 -7 (-15 -3524 ((-3 (-658 (-1187 (-592))) "failed") (-658 (-1187 (-592))) (-1187 (-592)))))) (T -600)) 
-((-3524 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 (-592)))) (-5 *3 (-1187 (-592))) (-5 *1 (-600))))) 
-(-10 -7 (-15 -3524 ((-3 (-658 (-1187 (-592))) "failed") (-658 (-1187 (-592))) (-1187 (-592))))) 
-((-2022 (((-658 (-631 |#2|)) (-658 (-631 |#2|)) (-1191)) 18)) (-4227 (((-658 (-631 |#2|)) (-658 |#2|) (-1191)) 23)) (-4528 (((-658 (-631 |#2|)) (-658 (-631 |#2|)) (-658 (-631 |#2|))) 10)) (-3217 ((|#2| |#2| (-1191)) 51 (|has| |#1| (-582)))) (-3160 ((|#2| |#2| (-1191)) 76 (-12 (|has| |#2| (-301)) (|has| |#1| (-477))))) (-3926 (((-631 |#2|) (-631 |#2|) (-658 (-631 |#2|)) (-1191)) 25)) (-3264 (((-631 |#2|) (-658 (-631 |#2|))) 24)) (-4522 (((-609 |#2|) |#2| (-1191) (-1 (-609 |#2|) |#2| (-1191)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191))) 100 (-12 (|has| |#2| (-301)) (|has| |#2| (-644)) (|has| |#2| (-1065 (-1191))) (|has| |#1| (-633 (-914 (-592)))) (|has| |#1| (-477)) (|has| |#1| (-908 (-592))))))) 
-(((-601 |#1| |#2|) (-10 -7 (-15 -2022 ((-658 (-631 |#2|)) (-658 (-631 |#2|)) (-1191))) (-15 -3264 ((-631 |#2|) (-658 (-631 |#2|)))) (-15 -3926 ((-631 |#2|) (-631 |#2|) (-658 (-631 |#2|)) (-1191))) (-15 -4528 ((-658 (-631 |#2|)) (-658 (-631 |#2|)) (-658 (-631 |#2|)))) (-15 -4227 ((-658 (-631 |#2|)) (-658 |#2|) (-1191))) (IF (|has| |#1| (-582)) (-15 -3217 (|#2| |#2| (-1191))) |noBranch|) (IF (|has| |#1| (-477)) (IF (|has| |#2| (-301)) (PROGN (-15 -3160 (|#2| |#2| (-1191))) (IF (|has| |#1| (-633 (-914 (-592)))) (IF (|has| |#1| (-908 (-592))) (IF (|has| |#2| (-644)) (IF (|has| |#2| (-1065 (-1191))) (-15 -4522 ((-609 |#2|) |#2| (-1191) (-1 (-609 |#2|) |#2| (-1191)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-869) (-456 |#1|)) (T -601)) 
-((-4522 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-609 *3) *3 (-1191))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1191))) (-4 *3 (-301)) (-4 *3 (-644)) (-4 *3 (-1065 *4)) (-4 *3 (-456 *7)) (-5 *4 (-1191)) (-4 *7 (-633 (-914 (-592)))) (-4 *7 (-477)) (-4 *7 (-908 (-592))) (-4 *7 (-869)) (-5 *2 (-609 *3)) (-5 *1 (-601 *7 *3)))) (-3160 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-477)) (-4 *4 (-869)) (-5 *1 (-601 *4 *2)) (-4 *2 (-301)) (-4 *2 (-456 *4)))) (-3217 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-582)) (-4 *4 (-869)) (-5 *1 (-601 *4 *2)) (-4 *2 (-456 *4)))) (-4227 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-1191)) (-4 *6 (-456 *5)) (-4 *5 (-869)) (-5 *2 (-658 (-631 *6))) (-5 *1 (-601 *5 *6)))) (-4528 (*1 *2 *2 *2) (-12 (-5 *2 (-658 (-631 *4))) (-4 *4 (-456 *3)) (-4 *3 (-869)) (-5 *1 (-601 *3 *4)))) (-3926 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 (-631 *6))) (-5 *4 (-1191)) (-5 *2 (-631 *6)) (-4 *6 (-456 *5)) (-4 *5 (-869)) (-5 *1 (-601 *5 *6)))) (-3264 (*1 *2 *3) (-12 (-5 *3 (-658 (-631 *5))) (-4 *4 (-869)) (-5 *2 (-631 *5)) (-5 *1 (-601 *4 *5)) (-4 *5 (-456 *4)))) (-2022 (*1 *2 *2 *3) (-12 (-5 *2 (-658 (-631 *5))) (-5 *3 (-1191)) (-4 *5 (-456 *4)) (-4 *4 (-869)) (-5 *1 (-601 *4 *5))))) 
-(-10 -7 (-15 -2022 ((-658 (-631 |#2|)) (-658 (-631 |#2|)) (-1191))) (-15 -3264 ((-631 |#2|) (-658 (-631 |#2|)))) (-15 -3926 ((-631 |#2|) (-631 |#2|) (-658 (-631 |#2|)) (-1191))) (-15 -4528 ((-658 (-631 |#2|)) (-658 (-631 |#2|)) (-658 (-631 |#2|)))) (-15 -4227 ((-658 (-631 |#2|)) (-658 |#2|) (-1191))) (IF (|has| |#1| (-582)) (-15 -3217 (|#2| |#2| (-1191))) |noBranch|) (IF (|has| |#1| (-477)) (IF (|has| |#2| (-301)) (PROGN (-15 -3160 (|#2| |#2| (-1191))) (IF (|has| |#1| (-633 (-914 (-592)))) (IF (|has| |#1| (-908 (-592))) (IF (|has| |#2| (-644)) (IF (|has| |#2| (-1065 (-1191))) (-15 -4522 ((-609 |#2|) |#2| (-1191) (-1 (-609 |#2|) |#2| (-1191)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1191)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
-((-3431 (((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-658 |#1|) "failed") (-592) |#1| |#1|)) 167)) (-2390 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|))))))) (|:| |a0| |#1|)) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-658 (-433 |#2|))) 143)) (-3602 (((-3 (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|)))))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-658 (-433 |#2|))) 140)) (-2298 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-3118 (((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-2309 (((-3 (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-433 |#2|)) 170)) (-4566 (((-3 (-2 (|:| |answer| (-433 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-433 |#2|)) 173)) (-3218 (((-2 (|:| |ir| (-609 (-433 |#2|))) (|:| |specpart| (-433 |#2|)) (|:| |polypart| |#2|)) (-433 |#2|) (-1 |#2| |#2|)) 81)) (-4059 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-3332 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|))))))) (|:| |a0| |#1|)) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|) (-658 (-433 |#2|))) 147)) (-4563 (((-3 (-639 |#1| |#2|) "failed") (-639 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|)) 133)) (-2407 (((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|)) 157)) (-1930 (((-3 (-2 (|:| |answer| (-433 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|) (-433 |#2|)) 178))) 
-(((-602 |#1| |#2|) (-10 -7 (-15 -3118 ((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -2407 ((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|))) (-15 -3431 ((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-658 |#1|) "failed") (-592) |#1| |#1|))) (-15 -4566 ((-3 (-2 (|:| |answer| (-433 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-433 |#2|))) (-15 -1930 ((-3 (-2 (|:| |answer| (-433 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|) (-433 |#2|))) (-15 -2390 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|))))))) (|:| |a0| |#1|)) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-658 (-433 |#2|)))) (-15 -3332 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|))))))) (|:| |a0| |#1|)) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|) (-658 (-433 |#2|)))) (-15 -2309 ((-3 (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-433 |#2|))) (-15 -3602 ((-3 (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|)))))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-658 (-433 |#2|)))) (-15 -2298 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -4563 ((-3 (-639 |#1| |#2|) "failed") (-639 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|))) (-15 -3218 ((-2 (|:| |ir| (-609 (-433 |#2|))) (|:| |specpart| (-433 |#2|)) (|:| |polypart| |#2|)) (-433 |#2|) (-1 |#2| |#2|))) (-15 -4059 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-388) (-1255 |#1|)) (T -602)) 
-((-4059 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-602 *5 *3)))) (-3218 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |ir| (-609 (-433 *6))) (|:| |specpart| (-433 *6)) (|:| |polypart| *6))) (-5 *1 (-602 *5 *6)) (-5 *3 (-433 *6)))) (-4563 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-639 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1954 *4) (|:| |sol?| (-141))) (-592) *4)) (-4 *4 (-388)) (-4 *5 (-1255 *4)) (-5 *1 (-602 *4 *5)))) (-2298 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3191 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-388)) (-5 *1 (-602 *4 *2)) (-4 *2 (-1255 *4)))) (-3602 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-658 (-433 *7))) (-4 *7 (-1255 *6)) (-5 *3 (-433 *7)) (-4 *6 (-388)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-602 *6 *7)))) (-2309 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -3191 (-433 *6)) (|:| |coeff| (-433 *6)))) (-5 *1 (-602 *5 *6)) (-5 *3 (-433 *6)))) (-3332 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1954 *7) (|:| |sol?| (-141))) (-592) *7)) (-5 *6 (-658 (-433 *8))) (-4 *7 (-388)) (-4 *8 (-1255 *7)) (-5 *3 (-433 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-602 *7 *8)))) (-2390 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3191 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-658 (-433 *8))) (-4 *7 (-388)) (-4 *8 (-1255 *7)) (-5 *3 (-433 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-602 *7 *8)))) (-1930 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1954 *6) (|:| |sol?| (-141))) (-592) *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-433 *7)) (|:| |a0| *6)) (-2 (|:| -3191 (-433 *7)) (|:| |coeff| (-433 *7))) "failed")) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7)))) (-4566 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3191 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-433 *7)) (|:| |a0| *6)) (-2 (|:| -3191 (-433 *7)) (|:| |coeff| (-433 *7))) "failed")) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7)))) (-3431 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-658 *6) "failed") (-592) *6 *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-2 (|:| |answer| (-609 (-433 *7))) (|:| |a0| *6))) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7)))) (-2407 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1954 *6) (|:| |sol?| (-141))) (-592) *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-2 (|:| |answer| (-609 (-433 *7))) (|:| |a0| *6))) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7)))) (-3118 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3191 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-2 (|:| |answer| (-609 (-433 *7))) (|:| |a0| *6))) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7))))) 
-(-10 -7 (-15 -3118 ((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -2407 ((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|))) (-15 -3431 ((-2 (|:| |answer| (-609 (-433 |#2|))) (|:| |a0| |#1|)) (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-658 |#1|) "failed") (-592) |#1| |#1|))) (-15 -4566 ((-3 (-2 (|:| |answer| (-433 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-433 |#2|))) (-15 -1930 ((-3 (-2 (|:| |answer| (-433 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|) (-433 |#2|))) (-15 -2390 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|))))))) (|:| |a0| |#1|)) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-658 (-433 |#2|)))) (-15 -3332 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|))))))) (|:| |a0| |#1|)) "failed") (-433 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|) (-658 (-433 |#2|)))) (-15 -2309 ((-3 (-2 (|:| -3191 (-433 |#2|)) (|:| |coeff| (-433 |#2|))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-433 |#2|))) (-15 -3602 ((-3 (-2 (|:| |mainpart| (-433 |#2|)) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| (-433 |#2|)) (|:| |logand| (-433 |#2|)))))) "failed") (-433 |#2|) (-1 |#2| |#2|) (-658 (-433 |#2|)))) (-15 -2298 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -4563 ((-3 (-639 |#1| |#2|) "failed") (-639 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1954 |#1|) (|:| |sol?| (-141))) (-592) |#1|))) (-15 -3218 ((-2 (|:| |ir| (-609 (-433 |#2|))) (|:| |specpart| (-433 |#2|)) (|:| |polypart| |#2|)) (-433 |#2|) (-1 |#2| |#2|))) (-15 -4059 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
-((-2498 (((-3 |#2| "failed") |#2| (-1191) (-1191)) 10))) 
-(((-603 |#1| |#2|) (-10 -7 (-15 -2498 ((-3 |#2| "failed") |#2| (-1191) (-1191)))) (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-987) (-1153) (-29 |#1|))) (T -603)) 
-((-2498 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1191)) (-4 *4 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-603 *4 *2)) (-4 *2 (-13 (-1211) (-987) (-1153) (-29 *4)))))) 
-(-10 -7 (-15 -2498 ((-3 |#2| "failed") |#2| (-1191) (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $ (-592)) 65)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-2749 (($ (-1187 (-592)) (-592)) 71)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) 57)) (-3980 (($ $) 33)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-4346 (((-790) $) 15)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1704 (((-592)) 27)) (-1518 (((-592) $) 31)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2807 (($ $ (-592)) 21)) (-3616 (((-3 $ "failed") $ $) 58)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) 16)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 60)) (-4406 (((-1171 (-592)) $) 18)) (-1700 (($ $) 23)) (-1683 (((-877) $) 85) (($ (-592)) 51) (($ $) NIL)) (-4010 (((-790)) 14)) (-2537 (((-141) $ $) NIL)) (-2642 (((-592) $ (-592)) 35)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 34 T CONST)) (-4257 (($) 19 T CONST)) (-3255 (((-141) $ $) 38)) (-3306 (($ $) 50) (($ $ $) 36)) (-3300 (($ $ $) 49)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 53) (($ $ $) 54))) 
-(((-604 |#1| |#2|) (-890 |#1|) (-592) (-141)) (T -604)) 
-NIL 
-(-890 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 18)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 (($ $ (-944)) NIL (|has| $ (-394))) (($ $) NIL)) (-4217 (((-1199 (-944) (-790)) (-592)) 47)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 $ "failed") $) 75)) (-2400 (($ $) 74)) (-1626 (($ (-1280 $)) 73)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) 30)) (-4290 (($) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) 49)) (-3293 (((-141) $) NIL)) (-1525 (($ $) NIL) (($ $ (-790)) NIL)) (-2802 (((-141) $) NIL)) (-4346 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3558 (((-141) $) NIL)) (-2834 (($) 35 (|has| $ (-394)))) (-2114 (((-141) $) NIL (|has| $ (-394)))) (-2793 (($ $ (-944)) NIL (|has| $ (-394))) (($ $) NIL)) (-3921 (((-3 $ "failed") $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 $) $ (-944)) NIL (|has| $ (-394))) (((-1187 $) $) 83)) (-3546 (((-944) $) 55)) (-2343 (((-1187 $) $) NIL (|has| $ (-394)))) (-1492 (((-3 (-1187 $) "failed") $ $) NIL (|has| $ (-394))) (((-1187 $) $) NIL (|has| $ (-394)))) (-2252 (($ $ (-1187 $)) NIL (|has| $ (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL T CONST)) (-1825 (($ (-944)) 48)) (-2142 (((-141) $) 67)) (-2951 (((-1137) $) NIL)) (-2934 (($) 16 (|has| $ (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 40)) (-4500 (((-444 $) $) NIL)) (-3470 (((-944)) 66) (((-855 (-944))) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-3 (-790) "failed") $ $) NIL) (((-790) $) NIL)) (-1936 (((-160)) NIL)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-4525 (((-944) $) 65) (((-855 (-944)) $) NIL)) (-3390 (((-1187 $)) 82)) (-3809 (($) 54)) (-3342 (($) 36 (|has| $ (-394)))) (-2231 (((-706 $) (-1280 $)) NIL) (((-1280 $) $) 71)) (-1778 (((-592) $) 26)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) 28) (($ $) NIL) (($ (-433 (-592))) NIL)) (-1517 (((-3 $ "failed") $) NIL) (($ $) 84)) (-4010 (((-790)) 37)) (-2195 (((-1280 $) (-944)) 77) (((-1280 $)) 76)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 19 T CONST)) (-4257 (($) 15 T CONST)) (-3417 (($ $ (-790)) NIL (|has| $ (-394))) (($ $) NIL (|has| $ (-394)))) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 24)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 61) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-605 |#1|) (-13 (-373) (-349 $) (-633 (-592))) (-944)) (T -605)) 
-NIL 
-(-13 (-373) (-349 $) (-633 (-592))) 
-((-2625 (((-1285) (-1173)) 10))) 
-(((-606) (-10 -7 (-15 -2625 ((-1285) (-1173))))) (T -606)) 
-((-2625 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-606))))) 
-(-10 -7 (-15 -2625 ((-1285) (-1173)))) 
-((-1356 (((-609 |#2|) (-609 |#2|)) 37)) (-3098 (((-658 |#2|) (-609 |#2|)) 39)) (-1957 ((|#2| (-609 |#2|)) 46))) 
-(((-607 |#1| |#2|) (-10 -7 (-15 -1356 ((-609 |#2|) (-609 |#2|))) (-15 -3098 ((-658 |#2|) (-609 |#2|))) (-15 -1957 (|#2| (-609 |#2|)))) (-13 (-477) (-1065 (-592)) (-869) (-654 (-592))) (-13 (-29 |#1|) (-1211))) (T -607)) 
-((-1957 (*1 *2 *3) (-12 (-5 *3 (-609 *2)) (-4 *2 (-13 (-29 *4) (-1211))) (-5 *1 (-607 *4 *2)) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))))) (-3098 (*1 *2 *3) (-12 (-5 *3 (-609 *5)) (-4 *5 (-13 (-29 *4) (-1211))) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-658 *5)) (-5 *1 (-607 *4 *5)))) (-1356 (*1 *2 *2) (-12 (-5 *2 (-609 *4)) (-4 *4 (-13 (-29 *3) (-1211))) (-4 *3 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *1 (-607 *3 *4))))) 
-(-10 -7 (-15 -1356 ((-609 |#2|) (-609 |#2|))) (-15 -3098 ((-658 |#2|) (-609 |#2|))) (-15 -1957 (|#2| (-609 |#2|)))) 
-((-2731 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-609 |#2|) (-1 |#2| |#1|) (-609 |#1|)) 26))) 
-(((-608 |#1| |#2|) (-10 -7 (-15 -2731 ((-609 |#2|) (-1 |#2| |#1|) (-609 |#1|))) (-15 -2731 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -2731 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -2731 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-388) (-388)) (T -608)) 
-((-2731 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-388)) (-4 *6 (-388)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-608 *5 *6)))) (-2731 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-388)) (-4 *2 (-388)) (-5 *1 (-608 *5 *2)))) (-2731 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3191 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-388)) (-4 *6 (-388)) (-5 *2 (-2 (|:| -3191 *6) (|:| |coeff| *6))) (-5 *1 (-608 *5 *6)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-609 *5)) (-4 *5 (-388)) (-4 *6 (-388)) (-5 *2 (-609 *6)) (-5 *1 (-608 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-609 |#2|) (-1 |#2| |#1|) (-609 |#1|))) (-15 -2731 ((-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3191 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -2731 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -2731 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 68)) (-2400 ((|#1| $) NIL)) (-3191 ((|#1| $) 24)) (-3291 (((-658 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-1336 (($ |#1| (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 |#1|)) (|:| |logand| (-1187 |#1|)))) (-658 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-4192 (((-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 |#1|)) (|:| |logand| (-1187 |#1|)))) $) 25)) (-2685 (((-1173) $) NIL)) (-1868 (($ |#1| |#1|) 32) (($ |#1| (-1191)) 43 (|has| |#1| (-1065 (-1191))))) (-2951 (((-1137) $) NIL)) (-2031 (((-141) $) 28)) (-3644 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1191)) 81 (|has| |#1| (-922 (-1191))))) (-1683 (((-877) $) 95) (($ |#1|) 23)) (-3514 (($) 16 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) 15) (($ $ $) NIL)) (-3300 (($ $ $) 77)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 14) (($ (-433 (-592)) $) 35) (($ $ (-433 (-592))) NIL))) 
-(((-609 |#1|) (-13 (-734 (-433 (-592))) (-1065 |#1|) (-10 -8 (-15 -1336 ($ |#1| (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 |#1|)) (|:| |logand| (-1187 |#1|)))) (-658 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3191 (|#1| $)) (-15 -4192 ((-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 |#1|)) (|:| |logand| (-1187 |#1|)))) $)) (-15 -3291 ((-658 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2031 ((-141) $)) (-15 -1868 ($ |#1| |#1|)) (-15 -3644 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-922 (-1191))) (-15 -3644 (|#1| $ (-1191))) |noBranch|) (IF (|has| |#1| (-1065 (-1191))) (-15 -1868 ($ |#1| (-1191))) |noBranch|))) (-388)) (T -609)) 
-((-1336 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 *2)) (|:| |logand| (-1187 *2))))) (-5 *4 (-658 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-388)) (-5 *1 (-609 *2)))) (-3191 (*1 *2 *1) (-12 (-5 *1 (-609 *2)) (-4 *2 (-388)))) (-4192 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 *3)) (|:| |logand| (-1187 *3))))) (-5 *1 (-609 *3)) (-4 *3 (-388)))) (-3291 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-609 *3)) (-4 *3 (-388)))) (-2031 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-609 *3)) (-4 *3 (-388)))) (-1868 (*1 *1 *2 *2) (-12 (-5 *1 (-609 *2)) (-4 *2 (-388)))) (-3644 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-609 *2)) (-4 *2 (-388)))) (-3644 (*1 *2 *1 *3) (-12 (-4 *2 (-388)) (-4 *2 (-922 *3)) (-5 *1 (-609 *2)) (-5 *3 (-1191)))) (-1868 (*1 *1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *1 (-609 *2)) (-4 *2 (-1065 *3)) (-4 *2 (-388))))) 
-(-13 (-734 (-433 (-592))) (-1065 |#1|) (-10 -8 (-15 -1336 ($ |#1| (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 |#1|)) (|:| |logand| (-1187 |#1|)))) (-658 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3191 (|#1| $)) (-15 -4192 ((-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 |#1|)) (|:| |logand| (-1187 |#1|)))) $)) (-15 -3291 ((-658 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2031 ((-141) $)) (-15 -1868 ($ |#1| |#1|)) (-15 -3644 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-922 (-1191))) (-15 -3644 (|#1| $ (-1191))) |noBranch|) (IF (|has| |#1| (-1065 (-1191))) (-15 -1868 ($ |#1| (-1191))) |noBranch|))) 
-((-4078 (((-141) |#1|) 16)) (-4538 (((-3 |#1| "failed") |#1|) 14)) (-1411 (((-2 (|:| -4226 |#1|) (|:| -3215 (-790))) |#1|) 30) (((-3 |#1| "failed") |#1| (-790)) 18)) (-2313 (((-141) |#1| (-790)) 19)) (-4088 ((|#1| |#1|) 31)) (-2539 ((|#1| |#1| (-790)) 33))) 
-(((-610 |#1|) (-10 -7 (-15 -2313 ((-141) |#1| (-790))) (-15 -1411 ((-3 |#1| "failed") |#1| (-790))) (-15 -1411 ((-2 (|:| -4226 |#1|) (|:| -3215 (-790))) |#1|)) (-15 -2539 (|#1| |#1| (-790))) (-15 -4078 ((-141) |#1|)) (-15 -4538 ((-3 |#1| "failed") |#1|)) (-15 -4088 (|#1| |#1|))) (-574)) (T -610)) 
-((-4088 (*1 *2 *2) (-12 (-5 *1 (-610 *2)) (-4 *2 (-574)))) (-4538 (*1 *2 *2) (|partial| -12 (-5 *1 (-610 *2)) (-4 *2 (-574)))) (-4078 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-610 *3)) (-4 *3 (-574)))) (-2539 (*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-5 *1 (-610 *2)) (-4 *2 (-574)))) (-1411 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -4226 *3) (|:| -3215 (-790)))) (-5 *1 (-610 *3)) (-4 *3 (-574)))) (-1411 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-790)) (-5 *1 (-610 *2)) (-4 *2 (-574)))) (-2313 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-141)) (-5 *1 (-610 *3)) (-4 *3 (-574))))) 
-(-10 -7 (-15 -2313 ((-141) |#1| (-790))) (-15 -1411 ((-3 |#1| "failed") |#1| (-790))) (-15 -1411 ((-2 (|:| -4226 |#1|) (|:| -3215 (-790))) |#1|)) (-15 -2539 (|#1| |#1| (-790))) (-15 -4078 ((-141) |#1|)) (-15 -4538 ((-3 |#1| "failed") |#1|)) (-15 -4088 (|#1| |#1|))) 
-((-3774 (((-1187 |#1|) (-944)) 26))) 
-(((-611 |#1|) (-10 -7 (-15 -3774 ((-1187 |#1|) (-944)))) (-373)) (T -611)) 
-((-3774 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-611 *4)) (-4 *4 (-373))))) 
-(-10 -7 (-15 -3774 ((-1187 |#1|) (-944)))) 
-((-1356 (((-609 (-433 (-980 |#1|))) (-609 (-433 (-980 |#1|)))) 26)) (-3162 (((-3 (-332 |#1|) (-658 (-332 |#1|))) (-433 (-980 |#1|)) (-1191)) 32 (|has| |#1| (-171)))) (-3098 (((-658 (-332 |#1|)) (-609 (-433 (-980 |#1|)))) 18)) (-3586 (((-332 |#1|) (-433 (-980 |#1|)) (-1191)) 30 (|has| |#1| (-171)))) (-1957 (((-332 |#1|) (-609 (-433 (-980 |#1|)))) 20))) 
-(((-612 |#1|) (-10 -7 (-15 -1356 ((-609 (-433 (-980 |#1|))) (-609 (-433 (-980 |#1|))))) (-15 -3098 ((-658 (-332 |#1|)) (-609 (-433 (-980 |#1|))))) (-15 -1957 ((-332 |#1|) (-609 (-433 (-980 |#1|))))) (IF (|has| |#1| (-171)) (PROGN (-15 -3162 ((-3 (-332 |#1|) (-658 (-332 |#1|))) (-433 (-980 |#1|)) (-1191))) (-15 -3586 ((-332 |#1|) (-433 (-980 |#1|)) (-1191)))) |noBranch|)) (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (T -612)) 
-((-3586 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-171)) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-332 *5)) (-5 *1 (-612 *5)))) (-3162 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-171)) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-3 (-332 *5) (-658 (-332 *5)))) (-5 *1 (-612 *5)))) (-1957 (*1 *2 *3) (-12 (-5 *3 (-609 (-433 (-980 *4)))) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-332 *4)) (-5 *1 (-612 *4)))) (-3098 (*1 *2 *3) (-12 (-5 *3 (-609 (-433 (-980 *4)))) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-658 (-332 *4))) (-5 *1 (-612 *4)))) (-1356 (*1 *2 *2) (-12 (-5 *2 (-609 (-433 (-980 *3)))) (-4 *3 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *1 (-612 *3))))) 
-(-10 -7 (-15 -1356 ((-609 (-433 (-980 |#1|))) (-609 (-433 (-980 |#1|))))) (-15 -3098 ((-658 (-332 |#1|)) (-609 (-433 (-980 |#1|))))) (-15 -1957 ((-332 |#1|) (-609 (-433 (-980 |#1|))))) (IF (|has| |#1| (-171)) (PROGN (-15 -3162 ((-3 (-332 |#1|) (-658 (-332 |#1|))) (-433 (-980 |#1|)) (-1191))) (-15 -3586 ((-332 |#1|) (-433 (-980 |#1|)) (-1191)))) |noBranch|)) 
-((-4269 (((-658 (-706 (-592))) (-658 (-592)) (-658 (-927 (-592)))) 45) (((-658 (-706 (-592))) (-658 (-592))) 46) (((-706 (-592)) (-658 (-592)) (-927 (-592))) 41)) (-3599 (((-790) (-658 (-592))) 39))) 
-(((-613) (-10 -7 (-15 -3599 ((-790) (-658 (-592)))) (-15 -4269 ((-706 (-592)) (-658 (-592)) (-927 (-592)))) (-15 -4269 ((-658 (-706 (-592))) (-658 (-592)))) (-15 -4269 ((-658 (-706 (-592))) (-658 (-592)) (-658 (-927 (-592))))))) (T -613)) 
-((-4269 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-592))) (-5 *4 (-658 (-927 (-592)))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-613)))) (-4269 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-613)))) (-4269 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-592))) (-5 *4 (-927 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-613)))) (-3599 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-790)) (-5 *1 (-613))))) 
-(-10 -7 (-15 -3599 ((-790) (-658 (-592)))) (-15 -4269 ((-706 (-592)) (-658 (-592)) (-927 (-592)))) (-15 -4269 ((-658 (-706 (-592))) (-658 (-592)))) (-15 -4269 ((-658 (-706 (-592))) (-658 (-592)) (-658 (-927 (-592)))))) 
-((-2004 (((-658 |#5|) |#5| (-141)) 72)) (-3637 (((-141) |#5| (-658 |#5|)) 30))) 
-(((-614 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2004 ((-658 |#5|) |#5| (-141))) (-15 -3637 ((-141) |#5| (-658 |#5|)))) (-13 (-323) (-171)) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1128 |#1| |#2| |#3| |#4|)) (T -614)) 
-((-3637 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1128 *5 *6 *7 *8)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-614 *5 *6 *7 *8 *3)))) (-2004 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-658 *3)) (-5 *1 (-614 *5 *6 *7 *8 *3)) (-4 *3 (-1128 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -2004 ((-658 |#5|) |#5| (-141))) (-15 -3637 ((-141) |#5| (-658 |#5|)))) 
-((-1641 (((-141) $ $) NIL (|has| (-168) (-1119)))) (-3202 (($ $) 34)) (-3777 (($ $) NIL)) (-2874 (($ $ (-168)) NIL) (($ $ (-163)) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-3326 (((-141) $ $) 51)) (-3288 (((-141) $ $ (-592)) 46)) (-1356 (((-658 $) $ (-168)) 59) (((-658 $) $ (-163)) 60)) (-4076 (((-141) (-1 (-141) (-168) (-168)) $) NIL) (((-141) $) NIL (|has| (-168) (-869)))) (-2831 (($ (-1 (-141) (-168) (-168)) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-168) (-869))))) (-3960 (($ (-1 (-141) (-168) (-168)) $) NIL) (($ $) NIL (|has| (-168) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-168) $ (-592) (-168)) 45 (|has| $ (-6 -4626))) (((-168) $ (-1246 (-592)) (-168)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-4447 (($ $ (-168)) 63) (($ $ (-163)) 64)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-2262 (($ $ (-1246 (-592)) $) 44)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4459 (($ (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119)))) (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-168) (-1 (-168) (-168) (-168)) $ (-168) (-168)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119)))) (((-168) (-1 (-168) (-168) (-168)) $ (-168)) NIL (|has| $ (-6 -4625))) (((-168) (-1 (-168) (-168) (-168)) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-168) $ (-592) (-168)) NIL (|has| $ (-6 -4626)))) (-3959 (((-168) $ (-592)) NIL)) (-3379 (((-141) $ $) 70)) (-1721 (((-592) (-1 (-141) (-168)) $) NIL) (((-592) (-168) $) NIL (|has| (-168) (-1119))) (((-592) (-168) $ (-592)) 48 (|has| (-168) (-1119))) (((-592) $ $ (-592)) 47) (((-592) (-163) $ (-592)) 50)) (-4004 (((-658 (-168)) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-168)) 9)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 28 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-168) (-869)))) (-4491 (($ (-1 (-141) (-168) (-168)) $ $) NIL) (($ $ $) NIL (|has| (-168) (-869)))) (-4467 (((-658 (-168)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-1813 (((-592) $) 42 (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-168) (-869)))) (-3614 (((-141) $ $ (-168)) 71)) (-1600 (((-790) $ $ (-168)) 69)) (-3987 (($ (-1 (-168) (-168)) $) 33 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-168) (-168)) $) NIL) (($ (-1 (-168) (-168) (-168)) $ $) NIL)) (-2200 (($ $) 37)) (-1633 (($ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2999 (($ $ (-168)) 61) (($ $ (-163)) 62)) (-2685 (((-1173) $) 38 (|has| (-168) (-1119)))) (-3666 (($ (-168) $ (-592)) NIL) (($ $ $ (-592)) 23)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-592) $) 68) (((-1137) $) NIL (|has| (-168) (-1119)))) (-1918 (((-168) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-168) "failed") (-1 (-141) (-168)) $) NIL)) (-1892 (($ $ (-168)) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-168)))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-310 (-168))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-168) (-168)) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-658 (-168)) (-658 (-168))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4210 (((-658 (-168)) $) NIL)) (-2943 (((-141) $) 12)) (-2890 (($) 10)) (-3927 (((-168) $ (-592) (-168)) NIL) (((-168) $ (-592)) 52) (($ $ (-1246 (-592))) 21) (($ $ $) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625))) (((-790) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-2385 (($ $ $ (-592)) 65 (|has| $ (-6 -4626)))) (-4599 (($ $) 17)) (-1778 (((-565) $) NIL (|has| (-168) (-633 (-565))))) (-4466 (($ (-658 (-168))) NIL)) (-2266 (($ $ (-168)) NIL) (($ (-168) $) NIL) (($ $ $) 16) (($ (-658 $)) 66)) (-1683 (($ (-168)) NIL) (((-877) $) 27 (|has| (-168) (-1119)))) (-3369 (((-141) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-168) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-168) (-869)))) (-3255 (((-141) $ $) 14 (|has| (-168) (-1119)))) (-3279 (((-141) $ $) NIL (|has| (-168) (-869)))) (-3266 (((-141) $ $) 15 (|has| (-168) (-869)))) (-1699 (((-790) $) 13 (|has| $ (-6 -4625))))) 
-(((-615 |#1|) (-13 (-1158) (-10 -8 (-15 -2951 ((-592) $)))) (-592)) (T -615)) 
-((-2951 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-615 *3)) (-14 *3 *2)))) 
-(-13 (-1158) (-10 -8 (-15 -2951 ((-592) $)))) 
-((-2090 (((-2 (|:| |num| |#4|) (|:| |den| (-592))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-592))) |#4| |#2| (-1113 |#4|)) 32))) 
-(((-616 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2090 ((-2 (|:| |num| |#4|) (|:| |den| (-592))) |#4| |#2| (-1113 |#4|))) (-15 -2090 ((-2 (|:| |num| |#4|) (|:| |den| (-592))) |#4| |#2|))) (-815) (-869) (-582) (-977 |#3| |#1| |#2|)) (T -616)) 
-((-2090 (*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-582)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-592)))) (-5 *1 (-616 *5 *4 *6 *3)) (-4 *3 (-977 *6 *5 *4)))) (-2090 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1113 *3)) (-4 *3 (-977 *7 *6 *4)) (-4 *6 (-815)) (-4 *4 (-869)) (-4 *7 (-582)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-592)))) (-5 *1 (-616 *6 *4 *7 *3))))) 
-(-10 -7 (-15 -2090 ((-2 (|:| |num| |#4|) (|:| |den| (-592))) |#4| |#2| (-1113 |#4|))) (-15 -2090 ((-2 (|:| |num| |#4|) (|:| |den| (-592))) |#4| |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 63)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-592)) 54) (($ $ (-592) (-592)) 55)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 60)) (-4162 (($ $) 99)) (-2350 (((-3 $ "failed") $ $) NIL)) (-2658 (((-877) (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) (-1054 (-862 (-592))) (-1191) |#1| (-433 (-592))) 214)) (-2881 (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 34)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2273 (((-141) $) NIL)) (-4346 (((-592) $) 58) (((-592) $ (-592)) 59)) (-3558 (((-141) $) NIL)) (-3990 (($ $ (-944)) 76)) (-1376 (($ (-1 |#1| (-592)) $) 73)) (-2027 (((-141) $) 25)) (-4526 (($ |#1| (-592)) 22) (($ $ (-1103) (-592)) NIL) (($ $ (-658 (-1103)) (-658 (-592))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) 67)) (-3759 (($ (-1054 (-862 (-592))) (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 11)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-3162 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-3776 (((-3 $ "failed") $ $ (-141)) 98)) (-2432 (($ $ $) 107)) (-2951 (((-1137) $) NIL)) (-1759 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 13)) (-3283 (((-1054 (-862 (-592))) $) 12)) (-2807 (($ $ (-592)) 45)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-592)))))) (-3927 ((|#1| $ (-592)) 57) (($ $ $) NIL (|has| (-592) (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (-4525 (((-592) $) NIL)) (-1700 (($ $) 46)) (-1683 (((-877) $) NIL) (($ (-592)) 28) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) 27 (|has| |#1| (-194)))) (-1937 ((|#1| $ (-592)) 56)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) 37)) (-2838 ((|#1| $) NIL)) (-1593 (($ $) 179 (|has| |#1| (-43 (-433 (-592)))))) (-2861 (($ $) 155 (|has| |#1| (-43 (-433 (-592)))))) (-2588 (($ $) 176 (|has| |#1| (-43 (-433 (-592)))))) (-3562 (($ $) 152 (|has| |#1| (-43 (-433 (-592)))))) (-1860 (($ $) 181 (|has| |#1| (-43 (-433 (-592)))))) (-1314 (($ $) 158 (|has| |#1| (-43 (-433 (-592)))))) (-4598 (($ $ (-433 (-592))) 145 (|has| |#1| (-43 (-433 (-592)))))) (-4195 (($ $ |#1|) 120 (|has| |#1| (-43 (-433 (-592)))))) (-2196 (($ $) 149 (|has| |#1| (-43 (-433 (-592)))))) (-2858 (($ $) 147 (|has| |#1| (-43 (-433 (-592)))))) (-2960 (($ $) 182 (|has| |#1| (-43 (-433 (-592)))))) (-1629 (($ $) 159 (|has| |#1| (-43 (-433 (-592)))))) (-3685 (($ $) 180 (|has| |#1| (-43 (-433 (-592)))))) (-3341 (($ $) 157 (|has| |#1| (-43 (-433 (-592)))))) (-1628 (($ $) 177 (|has| |#1| (-43 (-433 (-592)))))) (-4409 (($ $) 153 (|has| |#1| (-43 (-433 (-592)))))) (-3763 (($ $) 187 (|has| |#1| (-43 (-433 (-592)))))) (-3348 (($ $) 167 (|has| |#1| (-43 (-433 (-592)))))) (-2998 (($ $) 184 (|has| |#1| (-43 (-433 (-592)))))) (-2779 (($ $) 162 (|has| |#1| (-43 (-433 (-592)))))) (-1578 (($ $) 191 (|has| |#1| (-43 (-433 (-592)))))) (-3794 (($ $) 171 (|has| |#1| (-43 (-433 (-592)))))) (-1991 (($ $) 193 (|has| |#1| (-43 (-433 (-592)))))) (-3095 (($ $) 173 (|has| |#1| (-43 (-433 (-592)))))) (-2422 (($ $) 189 (|has| |#1| (-43 (-433 (-592)))))) (-4581 (($ $) 169 (|has| |#1| (-43 (-433 (-592)))))) (-2075 (($ $) 186 (|has| |#1| (-43 (-433 (-592)))))) (-2089 (($ $) 165 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2642 ((|#1| $ (-592)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 29 T CONST)) (-4257 (($) 38 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (-3255 (((-141) $ $) 65)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) 84) (($ $ $) 64)) (-3300 (($ $ $) 81)) (** (($ $ (-944)) NIL) (($ $ (-790)) 102)) (* (($ (-944) $) 89) (($ (-790) $) 87) (($ (-592) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-617 |#1|) (-13 (-1257 |#1| (-592)) (-10 -8 (-15 -3759 ($ (-1054 (-862 (-592))) (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) (-15 -3283 ((-1054 (-862 (-592))) $)) (-15 -1759 ((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $)) (-15 -2881 ($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) (-15 -2027 ((-141) $)) (-15 -1376 ($ (-1 |#1| (-592)) $)) (-15 -3776 ((-3 $ "failed") $ $ (-141))) (-15 -4162 ($ $)) (-15 -2432 ($ $ $)) (-15 -2658 ((-877) (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) (-1054 (-862 (-592))) (-1191) |#1| (-433 (-592)))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $)) (-15 -4195 ($ $ |#1|)) (-15 -4598 ($ $ (-433 (-592)))) (-15 -2858 ($ $)) (-15 -2196 ($ $)) (-15 -3562 ($ $)) (-15 -4409 ($ $)) (-15 -2861 ($ $)) (-15 -3341 ($ $)) (-15 -1314 ($ $)) (-15 -1629 ($ $)) (-15 -2779 ($ $)) (-15 -2089 ($ $)) (-15 -3348 ($ $)) (-15 -4581 ($ $)) (-15 -3794 ($ $)) (-15 -3095 ($ $)) (-15 -2588 ($ $)) (-15 -1628 ($ $)) (-15 -1593 ($ $)) (-15 -3685 ($ $)) (-15 -1860 ($ $)) (-15 -2960 ($ $)) (-15 -2998 ($ $)) (-15 -2075 ($ $)) (-15 -3763 ($ $)) (-15 -2422 ($ $)) (-15 -1578 ($ $)) (-15 -1991 ($ $))) |noBranch|))) (-1075)) (T -617)) 
-((-2027 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-617 *3)) (-4 *3 (-1075)))) (-3759 (*1 *1 *2 *3) (-12 (-5 *2 (-1054 (-862 (-592)))) (-5 *3 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *4)))) (-4 *4 (-1075)) (-5 *1 (-617 *4)))) (-3283 (*1 *2 *1) (-12 (-5 *2 (-1054 (-862 (-592)))) (-5 *1 (-617 *3)) (-4 *3 (-1075)))) (-1759 (*1 *2 *1) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-5 *1 (-617 *3)) (-4 *3 (-1075)))) (-2881 (*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-4 *3 (-1075)) (-5 *1 (-617 *3)))) (-1376 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-592))) (-4 *3 (-1075)) (-5 *1 (-617 *3)))) (-3776 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-141)) (-5 *1 (-617 *3)) (-4 *3 (-1075)))) (-4162 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-1075)))) (-2432 (*1 *1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-1075)))) (-2658 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *6)))) (-5 *4 (-1054 (-862 (-592)))) (-5 *5 (-1191)) (-5 *7 (-433 (-592))) (-4 *6 (-1075)) (-5 *2 (-877)) (-5 *1 (-617 *6)))) (-3162 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-4195 (*1 *1 *1 *2) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-4598 (*1 *1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-617 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1075)))) (-2858 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2196 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3562 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-4409 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2861 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3341 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1314 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1629 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2779 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2089 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3348 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-4581 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3794 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3095 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2588 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1628 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1593 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3685 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1860 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2960 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2998 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2075 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-3763 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-2422 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1578 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) (-1991 (*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(-13 (-1257 |#1| (-592)) (-10 -8 (-15 -3759 ($ (-1054 (-862 (-592))) (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) (-15 -3283 ((-1054 (-862 (-592))) $)) (-15 -1759 ((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $)) (-15 -2881 ($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) (-15 -2027 ((-141) $)) (-15 -1376 ($ (-1 |#1| (-592)) $)) (-15 -3776 ((-3 $ "failed") $ $ (-141))) (-15 -4162 ($ $)) (-15 -2432 ($ $ $)) (-15 -2658 ((-877) (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) (-1054 (-862 (-592))) (-1191) |#1| (-433 (-592)))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $)) (-15 -4195 ($ $ |#1|)) (-15 -4598 ($ $ (-433 (-592)))) (-15 -2858 ($ $)) (-15 -2196 ($ $)) (-15 -3562 ($ $)) (-15 -4409 ($ $)) (-15 -2861 ($ $)) (-15 -3341 ($ $)) (-15 -1314 ($ $)) (-15 -1629 ($ $)) (-15 -2779 ($ $)) (-15 -2089 ($ $)) (-15 -3348 ($ $)) (-15 -4581 ($ $)) (-15 -3794 ($ $)) (-15 -3095 ($ $)) (-15 -2588 ($ $)) (-15 -1628 ($ $)) (-15 -1593 ($ $)) (-15 -3685 ($ $)) (-15 -1860 ($ $)) (-15 -2960 ($ $)) (-15 -2998 ($ $)) (-15 -2075 ($ $)) (-15 -3763 ($ $)) (-15 -2422 ($ $)) (-15 -1578 ($ $)) (-15 -1991 ($ $))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-2881 (($ (-1171 |#1|)) 9)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) 42)) (-2273 (((-141) $) 52)) (-4346 (((-790) $) 55) (((-790) $ (-790)) 54)) (-3558 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ $) 44 (|has| |#1| (-582)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-1171 |#1|) $) 23)) (-4010 (((-790)) 51)) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 10 T CONST)) (-4257 (($) 14 T CONST)) (-3255 (((-141) $ $) 22)) (-3306 (($ $) 30) (($ $ $) 16)) (-3300 (($ $ $) 25)) (** (($ $ (-944)) NIL) (($ $ (-790)) 49)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-592)) 36))) 
-(((-618 |#1|) (-13 (-1075) (-10 -8 (-15 -1647 ((-1171 |#1|) $)) (-15 -2881 ($ (-1171 |#1|))) (-15 -2273 ((-141) $)) (-15 -4346 ((-790) $)) (-15 -4346 ((-790) $ (-790))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-592))) (IF (|has| |#1| (-582)) (-6 (-582)) |noBranch|))) (-1075)) (T -618)) 
-((-1647 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) (-2881 (*1 *1 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-618 *3)))) (-2273 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) (-4346 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) (-4346 (*1 *2 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-618 *2)) (-4 *2 (-1075)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-618 *2)) (-4 *2 (-1075)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-618 *3)) (-4 *3 (-1075))))) 
-(-13 (-1075) (-10 -8 (-15 -1647 ((-1171 |#1|) $)) (-15 -2881 ($ (-1171 |#1|))) (-15 -2273 ((-141) $)) (-15 -4346 ((-790) $)) (-15 -4346 ((-790) $ (-790))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-592))) (IF (|has| |#1| (-582)) (-6 (-582)) |noBranch|))) 
-((-2731 (((-622 |#2|) (-1 |#2| |#1|) (-622 |#1|)) 15))) 
-(((-619 |#1| |#2|) (-10 -7 (-15 -2731 ((-622 |#2|) (-1 |#2| |#1|) (-622 |#1|)))) (-1225) (-1225)) (T -619)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-622 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-622 *6)) (-5 *1 (-619 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-622 |#2|) (-1 |#2| |#1|) (-622 |#1|)))) 
-((-2731 (((-1171 |#3|) (-1 |#3| |#1| |#2|) (-622 |#1|) (-1171 |#2|)) 20) (((-1171 |#3|) (-1 |#3| |#1| |#2|) (-1171 |#1|) (-622 |#2|)) 19) (((-622 |#3|) (-1 |#3| |#1| |#2|) (-622 |#1|) (-622 |#2|)) 18))) 
-(((-620 |#1| |#2| |#3|) (-10 -7 (-15 -2731 ((-622 |#3|) (-1 |#3| |#1| |#2|) (-622 |#1|) (-622 |#2|))) (-15 -2731 ((-1171 |#3|) (-1 |#3| |#1| |#2|) (-1171 |#1|) (-622 |#2|))) (-15 -2731 ((-1171 |#3|) (-1 |#3| |#1| |#2|) (-622 |#1|) (-1171 |#2|)))) (-1225) (-1225) (-1225)) (T -620)) 
-((-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-622 *6)) (-5 *5 (-1171 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-1171 *8)) (-5 *1 (-620 *6 *7 *8)))) (-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1171 *6)) (-5 *5 (-622 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-1171 *8)) (-5 *1 (-620 *6 *7 *8)))) (-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-622 *6)) (-5 *5 (-622 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-622 *8)) (-5 *1 (-620 *6 *7 *8))))) 
-(-10 -7 (-15 -2731 ((-622 |#3|) (-1 |#3| |#1| |#2|) (-622 |#1|) (-622 |#2|))) (-15 -2731 ((-1171 |#3|) (-1 |#3| |#1| |#2|) (-1171 |#1|) (-622 |#2|))) (-15 -2731 ((-1171 |#3|) (-1 |#3| |#1| |#2|) (-622 |#1|) (-1171 |#2|)))) 
-((-2135 ((|#3| |#3| (-658 (-631 |#3|)) (-658 (-1191))) 55)) (-3858 (((-191 |#2|) |#3|) 116)) (-2229 ((|#3| (-191 |#2|)) 43)) (-4053 ((|#2| |#3|) 19)) (-2137 ((|#3| |#2|) 32))) 
-(((-621 |#1| |#2| |#3|) (-10 -7 (-15 -2229 (|#3| (-191 |#2|))) (-15 -4053 (|#2| |#3|)) (-15 -2137 (|#3| |#2|)) (-15 -3858 ((-191 |#2|) |#3|)) (-15 -2135 (|#3| |#3| (-658 (-631 |#3|)) (-658 (-1191))))) (-13 (-582) (-869)) (-13 (-456 |#1|) (-1030) (-1211)) (-13 (-456 (-191 |#1|)) (-1030) (-1211))) (T -621)) 
-((-2135 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 (-631 *2))) (-5 *4 (-658 (-1191))) (-4 *2 (-13 (-456 (-191 *5)) (-1030) (-1211))) (-4 *5 (-13 (-582) (-869))) (-5 *1 (-621 *5 *6 *2)) (-4 *6 (-13 (-456 *5) (-1030) (-1211))))) (-3858 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869))) (-5 *2 (-191 *5)) (-5 *1 (-621 *4 *5 *3)) (-4 *5 (-13 (-456 *4) (-1030) (-1211))) (-4 *3 (-13 (-456 (-191 *4)) (-1030) (-1211))))) (-2137 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869))) (-4 *2 (-13 (-456 (-191 *4)) (-1030) (-1211))) (-5 *1 (-621 *4 *3 *2)) (-4 *3 (-13 (-456 *4) (-1030) (-1211))))) (-4053 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869))) (-4 *2 (-13 (-456 *4) (-1030) (-1211))) (-5 *1 (-621 *4 *2 *3)) (-4 *3 (-13 (-456 (-191 *4)) (-1030) (-1211))))) (-2229 (*1 *2 *3) (-12 (-5 *3 (-191 *5)) (-4 *5 (-13 (-456 *4) (-1030) (-1211))) (-4 *4 (-13 (-582) (-869))) (-4 *2 (-13 (-456 (-191 *4)) (-1030) (-1211))) (-5 *1 (-621 *4 *5 *2))))) 
-(-10 -7 (-15 -2229 (|#3| (-191 |#2|))) (-15 -4053 (|#2| |#3|)) (-15 -2137 (|#3| |#2|)) (-15 -3858 ((-191 |#2|) |#3|)) (-15 -2135 (|#3| |#3| (-658 (-631 |#3|)) (-658 (-1191))))) 
-((-3113 (($ (-1 (-141) |#1|) $) 16)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3086 (($ (-1 |#1| |#1|) |#1|) 9)) (-3103 (($ (-1 (-141) |#1|) $) 12)) (-3109 (($ (-1 (-141) |#1|) $) 14)) (-4466 (((-1171 |#1|) $) 17)) (-1683 (((-877) $) NIL))) 
-(((-622 |#1|) (-13 (-632 (-877)) (-10 -8 (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -3103 ($ (-1 (-141) |#1|) $)) (-15 -3109 ($ (-1 (-141) |#1|) $)) (-15 -3113 ($ (-1 (-141) |#1|) $)) (-15 -3086 ($ (-1 |#1| |#1|) |#1|)) (-15 -4466 ((-1171 |#1|) $)))) (-1225)) (T -622)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) (-3103 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) (-3109 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) (-3113 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) (-3086 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) (-4466 (*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-622 *3)) (-4 *3 (-1225))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -3103 ($ (-1 (-141) |#1|) $)) (-15 -3109 ($ (-1 (-141) |#1|) $)) (-15 -3113 ($ (-1 (-141) |#1|) $)) (-15 -3086 ($ (-1 |#1| |#1|) |#1|)) (-15 -4466 ((-1171 |#1|) $)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1417 (($ (-790)) NIL (|has| |#1| (-23)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4363 (((-706 |#1|) $ $) NIL (|has| |#1| (-1075)))) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2311 ((|#1| $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1075))))) (-2554 (((-141) $ (-790)) NIL)) (-4233 ((|#1| $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1075))))) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-1729 ((|#1| $ $) NIL (|has| |#1| (-1075)))) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-2746 (($ $ $) NIL (|has| |#1| (-1075)))) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3306 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-3300 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-592) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-743))) (($ $ |#1|) NIL (|has| |#1| (-743)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-623 |#1| |#2|) (-1278 |#1|) (-1225) (-592)) (T -623)) 
-NIL 
-(-1278 |#1|) 
-((-3898 (((-1285) $ |#2| |#2|) 36)) (-2261 ((|#2| $) 23)) (-1813 ((|#2| $) 21)) (-3987 (($ (-1 |#3| |#3|) $) 32)) (-2731 (($ (-1 |#3| |#3|) $) 30)) (-1918 ((|#3| $) 26)) (-1892 (($ $ |#3|) 33)) (-2254 (((-141) |#3| $) 17)) (-4210 (((-658 |#3|) $) 15)) (-3927 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
-(((-624 |#1| |#2| |#3|) (-10 -8 (-15 -3898 ((-1285) |#1| |#2| |#2|)) (-15 -1892 (|#1| |#1| |#3|)) (-15 -1918 (|#3| |#1|)) (-15 -2261 (|#2| |#1|)) (-15 -1813 (|#2| |#1|)) (-15 -2254 ((-141) |#3| |#1|)) (-15 -4210 ((-658 |#3|) |#1|)) (-15 -3927 (|#3| |#1| |#2|)) (-15 -3927 (|#3| |#1| |#2| |#3|)) (-15 -3987 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2731 (|#1| (-1 |#3| |#3|) |#1|))) (-625 |#2| |#3|) (-1119) (-1225)) (T -624)) 
-NIL 
-(-10 -8 (-15 -3898 ((-1285) |#1| |#2| |#2|)) (-15 -1892 (|#1| |#1| |#3|)) (-15 -1918 (|#3| |#1|)) (-15 -2261 (|#2| |#1|)) (-15 -1813 (|#2| |#1|)) (-15 -2254 ((-141) |#3| |#1|)) (-15 -4210 ((-658 |#3|) |#1|)) (-15 -3927 (|#3| |#1| |#2|)) (-15 -3927 (|#3| |#1| |#2| |#3|)) (-15 -3987 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2731 (|#1| (-1 |#3| |#3|) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#2| (-1119)))) (-3898 (((-1285) $ |#1| |#1|) 37 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-1426 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) 48)) (-4004 (((-658 |#2|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-2261 ((|#1| $) 40 (|has| |#1| (-869)))) (-4467 (((-658 |#2|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) 27 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-1813 ((|#1| $) 41 (|has| |#1| (-869)))) (-3987 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#2| (-1119)))) (-3708 (((-658 |#1|) $) 43)) (-3780 (((-141) |#1| $) 44)) (-2951 (((-1137) $) 21 (|has| |#2| (-1119)))) (-1918 ((|#2| $) 39 (|has| |#1| (-869)))) (-1892 (($ $ |#2|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#2|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) 26 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) 25 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) 23 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#2| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-3452 (((-790) (-1 (-141) |#2|) $) 31 (|has| $ (-6 -4625))) (((-790) |#2| $) 28 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#2| (-1119)))) (-3369 (((-141) (-1 (-141) |#2|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#2| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-625 |#1| |#2|) (-1311) (-1119) (-1225)) (T -625)) 
-((-4210 (*1 *2 *1) (-12 (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-658 *4)))) (-3780 (*1 *2 *3 *1) (-12 (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-141)))) (-3708 (*1 *2 *1) (-12 (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-658 *3)))) (-2254 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-625 *4 *3)) (-4 *4 (-1119)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-1813 (*1 *2 *1) (-12 (-4 *1 (-625 *2 *3)) (-4 *3 (-1225)) (-4 *2 (-1119)) (-4 *2 (-869)))) (-2261 (*1 *2 *1) (-12 (-4 *1 (-625 *2 *3)) (-4 *3 (-1225)) (-4 *2 (-1119)) (-4 *2 (-869)))) (-1918 (*1 *2 *1) (-12 (-4 *1 (-625 *3 *2)) (-4 *3 (-1119)) (-4 *3 (-869)) (-4 *2 (-1225)))) (-1892 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-625 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) (-3898 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-1285))))) 
-(-13 (-523 |t#2|) (-305 |t#1| |t#2|) (-10 -8 (-15 -4210 ((-658 |t#2|) $)) (-15 -3780 ((-141) |t#1| $)) (-15 -3708 ((-658 |t#1|) $)) (IF (|has| |t#2| (-1119)) (IF (|has| $ (-6 -4625)) (-15 -2254 ((-141) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-869)) (PROGN (-15 -1813 (|t#1| $)) (-15 -2261 (|t#1| $)) (-15 -1918 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4626)) (PROGN (-15 -1892 ($ $ |t#2|)) (-15 -3898 ((-1285) $ |t#1| |t#1|))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#2| (-1119)) ((-632 (-877)) |has| |#2| (-1119)) ((-303 |#1| |#2|) . T) ((-305 |#1| |#2|) . T) ((-325 |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-523 |#2|) . T) ((-547 |#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-1119) |has| |#2| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4509 (((-3 $ "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4061 (((-1280 (-706 |#1|))) NIL (|has| |#2| (-443 |#1|))) (((-1280 (-706 |#1|)) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-3360 (((-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-3001 (($) NIL T CONST)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2661 (((-3 $ "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-1951 (((-706 |#1|)) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-4282 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-2302 (((-706 |#1|) $) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) $ (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-2503 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2120 (((-1187 (-980 |#1|))) NIL (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-388))))) (-2111 (($ $ (-944)) NIL)) (-1431 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-3916 (((-1187 |#1|) $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-1874 ((|#1|) NIL (|has| |#2| (-443 |#1|))) ((|#1| (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-1582 (((-1187 |#1|) $) NIL (|has| |#2| (-392 |#1|)))) (-4194 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1626 (($ (-1280 |#1|)) NIL (|has| |#2| (-443 |#1|))) (($ (-1280 |#1|) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-3371 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-4175 (((-944)) NIL (|has| |#2| (-392 |#1|)))) (-2169 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1833 (($ $ (-944)) NIL)) (-3700 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2973 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2467 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3994 (((-3 $ "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2794 (((-706 |#1|)) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-1869 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-1802 (((-706 |#1|) $) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) $ (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-4158 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3004 (((-1187 (-980 |#1|))) NIL (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-388))))) (-2682 (($ $ (-944)) NIL)) (-3061 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-2013 (((-1187 |#1|) $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3030 ((|#1|) NIL (|has| |#2| (-443 |#1|))) ((|#1| (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-2397 (((-1187 |#1|) $) NIL (|has| |#2| (-392 |#1|)))) (-3847 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2685 (((-1173) $) NIL)) (-4106 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2339 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2297 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2951 (((-1137) $) NIL)) (-2716 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-3927 ((|#1| $ (-592)) NIL (|has| |#2| (-443 |#1|)))) (-2231 (((-706 |#1|) (-1280 $)) NIL (|has| |#2| (-443 |#1|))) (((-1280 |#1|) $) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) (-1280 $) (-1280 $)) NIL (|has| |#2| (-392 |#1|))) (((-1280 |#1|) $ (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-1778 (($ (-1280 |#1|)) NIL (|has| |#2| (-443 |#1|))) (((-1280 |#1|) $) NIL (|has| |#2| (-443 |#1|)))) (-1473 (((-658 (-980 |#1|))) NIL (|has| |#2| (-443 |#1|))) (((-658 (-980 |#1|)) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-2131 (($ $ $) NIL)) (-3545 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1683 (((-877) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-2195 (((-1280 $)) NIL (|has| |#2| (-443 |#1|)))) (-3664 (((-658 (-1280 |#1|))) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3667 (($ $ $ $) NIL)) (-1516 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-4572 (($ (-706 |#1|) $) NIL (|has| |#2| (-443 |#1|)))) (-2844 (($ $ $) NIL)) (-3135 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2723 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2359 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-3514 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) 24)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
-(((-626 |#1| |#2|) (-13 (-763 |#1|) (-632 |#2|) (-10 -8 (-15 -1683 ($ |#2|)) (IF (|has| |#2| (-443 |#1|)) (-6 (-443 |#1|)) |noBranch|) (IF (|has| |#2| (-392 |#1|)) (-6 (-392 |#1|)) |noBranch|))) (-194) (-763 |#1|)) (T -626)) 
-((-1683 (*1 *1 *2) (-12 (-4 *3 (-194)) (-5 *1 (-626 *3 *2)) (-4 *2 (-763 *3))))) 
-(-13 (-763 |#1|) (-632 |#2|) (-10 -8 (-15 -1683 ($ |#2|)) (IF (|has| |#2| (-443 |#1|)) (-6 (-443 |#1|)) |noBranch|) (IF (|has| |#2| (-392 |#1|)) (-6 (-392 |#1|)) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-3388 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) 33)) (-4016 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL) (($) NIL)) (-3898 (((-1285) $ (-1173) (-1173)) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-1173) |#1|) 43)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#1| "failed") (-1173) $) 46)) (-3001 (($) NIL T CONST)) (-2820 (($ $ (-1173)) 25)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119))))) (-4065 (((-3 |#1| "failed") (-1173) $) 47) (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (($ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (|has| $ (-6 -4625)))) (-4459 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (($ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119))))) (-3657 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119))))) (-4393 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) 32)) (-1426 ((|#1| $ (-1173) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-1173)) NIL)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625))) (((-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-2538 (($ $) 48)) (-1774 (($ (-414)) 23) (($ (-414) (-1173)) 22)) (-4095 (((-414) $) 34)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-1173) $) NIL (|has| (-1173) (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625))) (((-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (((-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119))))) (-1813 (((-1173) $) NIL (|has| (-1173) (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-2840 (((-658 (-1173)) $) 39)) (-2396 (((-141) (-1173) $) NIL)) (-2690 (((-1173) $) 35)) (-4137 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL)) (-3708 (((-658 (-1173)) $) NIL)) (-3780 (((-141) (-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4342 (((-1285) $) NIL)) (-1918 ((|#1| $) NIL (|has| (-1173) (-869)))) (-4050 (((-3 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) "failed") (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-658 (-310 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 37)) (-3927 ((|#1| $ (-1173) |#1|) NIL) ((|#1| $ (-1173)) 42)) (-1653 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL) (($) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (((-790) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (((-790) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL)) (-1683 (((-877) $) 21)) (-2607 (($ $) 26)) (-4560 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 20)) (-1699 (((-790) $) 41 (|has| $ (-6 -4625))))) 
-(((-627 |#1|) (-13 (-389 (-414) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) (-1202 (-1173) |#1|) (-10 -8 (-6 -4625) (-15 -2538 ($ $)))) (-1119)) (T -627)) 
-((-2538 (*1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-1119))))) 
-(-13 (-389 (-414) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) (-1202 (-1173) |#1|) (-10 -8 (-6 -4625) (-15 -2538 ($ $)))) 
-((-3133 (((-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) $) 15)) (-2840 (((-658 |#2|) $) 19)) (-2396 (((-141) |#2| $) 12))) 
-(((-628 |#1| |#2| |#3|) (-10 -8 (-15 -2840 ((-658 |#2|) |#1|)) (-15 -2396 ((-141) |#2| |#1|)) (-15 -3133 ((-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|))) (-629 |#2| |#3|) (-1119) (-1119)) (T -628)) 
-NIL 
-(-10 -8 (-15 -2840 ((-658 |#2|) |#1|)) (-15 -2396 ((-141) |#2| |#1|)) (-15 -3133 ((-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 52 (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) 57)) (-3001 (($) 7 T CONST)) (-1360 (($ $) 55 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 43 (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) 58)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 54 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 51 (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 53 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 50 (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 49 (|has| $ (-6 -4625)))) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 27 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-2840 (((-658 |#1|) $) 59)) (-2396 (((-141) |#1| $) 60)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 36)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 37)) (-2951 (((-1137) $) 21 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 48)) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 38)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 26 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 25 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 24 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 23 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-1653 (($) 46) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 45)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 31 (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 28 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 47)) (-1683 (((-877) $) 20 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 39)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-629 |#1| |#2|) (-1311) (-1119) (-1119)) (T -629)) 
-((-2396 (*1 *2 *3 *1) (-12 (-4 *1 (-629 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-141)))) (-2840 (*1 *2 *1) (-12 (-4 *1 (-629 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-658 *3)))) (-4065 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-629 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) (-2916 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-629 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119))))) 
-(-13 (-243 (-2 (|:| -1350 |t#1|) (|:| -3552 |t#2|))) (-10 -8 (-15 -2396 ((-141) |t#1| $)) (-15 -2840 ((-658 |t#1|) $)) (-15 -4065 ((-3 |t#2| "failed") |t#1| $)) (-15 -2916 ((-3 |t#2| "failed") |t#1| $)))) 
-(((-39) . T) ((-131 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-125) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) ((-632 (-877)) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) ((-175 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-633 (-565)) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))) ((-243 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-249 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) -12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-523 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-547 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) -12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-1119) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) ((-1225) . T)) 
-((-1672 (((-631 |#2|) |#1|) 15)) (-4281 (((-3 |#1| "failed") (-631 |#2|)) 19))) 
-(((-630 |#1| |#2|) (-10 -7 (-15 -1672 ((-631 |#2|) |#1|)) (-15 -4281 ((-3 |#1| "failed") (-631 |#2|)))) (-869) (-869)) (T -630)) 
-((-4281 (*1 *2 *3) (|partial| -12 (-5 *3 (-631 *4)) (-4 *4 (-869)) (-4 *2 (-869)) (-5 *1 (-630 *2 *4)))) (-1672 (*1 *2 *3) (-12 (-5 *2 (-631 *4)) (-5 *1 (-630 *3 *4)) (-4 *3 (-869)) (-4 *4 (-869))))) 
-(-10 -7 (-15 -1672 ((-631 |#2|) |#1|)) (-15 -4281 ((-3 |#1| "failed") (-631 |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-3200 (((-3 (-1191) "failed") $) 36)) (-1632 (((-1285) $ (-790)) 26)) (-1721 (((-790) $) 25)) (-2791 (((-143) $) 12)) (-4095 (((-1191) $) 20)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-1462 (($ (-143) (-658 |#1|) (-790)) 30) (($ (-1191)) 31)) (-3013 (((-141) $ (-143)) 18) (((-141) $ (-1191)) 16)) (-2535 (((-790) $) 22)) (-2951 (((-1137) $) NIL)) (-1778 (((-914 (-592)) $) 69 (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) 75 (|has| |#1| (-633 (-914 (-405))))) (((-565) $) 62 (|has| |#1| (-633 (-565))))) (-1683 (((-877) $) 51)) (-4575 (((-658 |#1|) $) 24)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 39)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 40))) 
-(((-631 |#1|) (-13 (-159) (-906 |#1|) (-10 -8 (-15 -4095 ((-1191) $)) (-15 -2791 ((-143) $)) (-15 -4575 ((-658 |#1|) $)) (-15 -2535 ((-790) $)) (-15 -1462 ($ (-143) (-658 |#1|) (-790))) (-15 -1462 ($ (-1191))) (-15 -3200 ((-3 (-1191) "failed") $)) (-15 -3013 ((-141) $ (-143))) (-15 -3013 ((-141) $ (-1191))) (IF (|has| |#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|))) (-869)) (T -631)) 
-((-4095 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) (-2791 (*1 *2 *1) (-12 (-5 *2 (-143)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) (-4575 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) (-2535 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) (-1462 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-143)) (-5 *3 (-658 *5)) (-5 *4 (-790)) (-4 *5 (-869)) (-5 *1 (-631 *5)))) (-1462 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) (-3200 (*1 *2 *1) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) (-3013 (*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-141)) (-5 *1 (-631 *4)) (-4 *4 (-869)))) (-3013 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-141)) (-5 *1 (-631 *4)) (-4 *4 (-869))))) 
-(-13 (-159) (-906 |#1|) (-10 -8 (-15 -4095 ((-1191) $)) (-15 -2791 ((-143) $)) (-15 -4575 ((-658 |#1|) $)) (-15 -2535 ((-790) $)) (-15 -1462 ($ (-143) (-658 |#1|) (-790))) (-15 -1462 ($ (-1191))) (-15 -3200 ((-3 (-1191) "failed") $)) (-15 -3013 ((-141) $ (-143))) (-15 -3013 ((-141) $ (-1191))) (IF (|has| |#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|))) 
-((-1683 ((|#1| $) 6))) 
-(((-632 |#1|) (-1311) (-1225)) (T -632)) 
-((-1683 (*1 *2 *1) (-12 (-4 *1 (-632 *2)) (-4 *2 (-1225))))) 
-(-13 (-10 -8 (-15 -1683 (|t#1| $)))) 
-((-1778 ((|#1| $) 6))) 
-(((-633 |#1|) (-1311) (-1225)) (T -633)) 
-((-1778 (*1 *2 *1) (-12 (-4 *1 (-633 *2)) (-4 *2 (-1225))))) 
-(-13 (-10 -8 (-15 -1778 (|t#1| $)))) 
-((-2199 (((-3 (-1187 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|) (-1 (-444 |#2|) |#2|)) 13) (((-3 (-1187 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|)) 14))) 
-(((-634 |#1| |#2|) (-10 -7 (-15 -2199 ((-3 (-1187 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|))) (-15 -2199 ((-3 (-1187 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|) (-1 (-444 |#2|) |#2|)))) (-13 (-171) (-27) (-1065 (-592)) (-1065 (-433 (-592)))) (-1255 |#1|)) (T -634)) 
-((-2199 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-171) (-27) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-1187 (-433 *6))) (-5 *1 (-634 *5 *6)) (-5 *3 (-433 *6)))) (-2199 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-171) (-27) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-1187 (-433 *5))) (-5 *1 (-634 *4 *5)) (-5 *3 (-433 *5))))) 
-(-10 -7 (-15 -2199 ((-3 (-1187 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|))) (-15 -2199 ((-3 (-1187 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|) (-1 (-444 |#2|) |#2|)))) 
-((-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) 10))) 
-(((-635 |#1| |#2|) (-10 -8 (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-636 |#2|) (-1075)) (T -635)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 35)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
-(((-636 |#1|) (-1311) (-1075)) (T -636)) 
-((-1683 (*1 *1 *2) (-12 (-4 *1 (-636 *2)) (-4 *2 (-1075))))) 
-(-13 (-1075) (-661 |t#1|) (-10 -8 (-15 -1683 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3940 (((-592) $) NIL (|has| |#1| (-867)))) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-1691 (((-141) $) NIL (|has| |#1| (-867)))) (-3558 (((-141) $) NIL)) (-1448 ((|#1| $) 13)) (-1324 (((-141) $) NIL (|has| |#1| (-867)))) (-1837 (($ $ $) NIL (|has| |#1| (-867)))) (-3319 (($ $ $) NIL (|has| |#1| (-867)))) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1456 ((|#3| $) 15)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) NIL)) (-4010 (((-790)) 20)) (-1392 (($ $) NIL (|has| |#1| (-867)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) 12 T CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3313 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-637 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-867)) (-6 (-867)) |noBranch|) (-15 -3313 ($ $ |#3|)) (-15 -3313 ($ |#1| |#3|)) (-15 -1448 (|#1| $)) (-15 -1456 (|#3| $)))) (-43 |#2|) (-194) (|SubsetCategory| (-743) |#2|)) (T -637)) 
-((-3313 (*1 *1 *1 *2) (-12 (-4 *4 (-194)) (-5 *1 (-637 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-743) *4)))) (-3313 (*1 *1 *2 *3) (-12 (-4 *4 (-194)) (-5 *1 (-637 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-743) *4)))) (-1448 (*1 *2 *1) (-12 (-4 *3 (-194)) (-4 *2 (-43 *3)) (-5 *1 (-637 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-743) *3)))) (-1456 (*1 *2 *1) (-12 (-4 *4 (-194)) (-4 *2 (|SubsetCategory| (-743) *4)) (-5 *1 (-637 *3 *4 *2)) (-4 *3 (-43 *4))))) 
-(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-867)) (-6 (-867)) |noBranch|) (-15 -3313 ($ $ |#3|)) (-15 -3313 ($ |#1| |#3|)) (-15 -1448 (|#1| $)) (-15 -1456 (|#3| $)))) 
-((-3878 ((|#2| |#2| (-1191) (-1191)) 18))) 
-(((-638 |#1| |#2|) (-10 -7 (-15 -3878 (|#2| |#2| (-1191) (-1191)))) (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-987) (-29 |#1|))) (T -638)) 
-((-3878 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-638 *4 *2)) (-4 *2 (-13 (-1211) (-987) (-29 *4)))))) 
-(-10 -7 (-15 -3878 (|#2| |#2| (-1191) (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 52)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2970 ((|#1| $) 49)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1504 (((-2 (|:| -4104 $) (|:| -4134 (-433 |#2|))) (-433 |#2|)) 95 (|has| |#1| (-388)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) 24)) (-3371 (((-3 $ "failed") $) 74)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-4346 (((-592) $) 19)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) 36)) (-4526 (($ |#1| (-592)) 21)) (-4579 ((|#1| $) 51)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) 85 (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ $) 78)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2769 (((-790) $) 97 (|has| |#1| (-388)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 96 (|has| |#1| (-388)))) (-3644 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $) NIL (|has| |#2| (-247)))) (-4525 (((-592) $) 34)) (-1778 (((-433 |#2|) $) 42)) (-1683 (((-877) $) 61) (($ (-592)) 32) (($ $) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) 31) (($ |#2|) 22)) (-1937 ((|#1| $ (-592)) 62)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) 29)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 9 T CONST)) (-4257 (($) 12 T CONST)) (-1940 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $) NIL (|has| |#2| (-247)))) (-3255 (((-141) $ $) 17)) (-3306 (($ $) 46) (($ $ $) NIL)) (-3300 (($ $ $) 75)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 26) (($ $ $) 44))) 
-(((-639 |#1| |#2|) (-13 (-245 |#2|) (-582) (-633 (-433 |#2|)) (-437 |#1|) (-1065 |#2|) (-10 -8 (-15 -2027 ((-141) $)) (-15 -4525 ((-592) $)) (-15 -4346 ((-592) $)) (-15 -4593 ($ $)) (-15 -4579 (|#1| $)) (-15 -2970 (|#1| $)) (-15 -1937 (|#1| $ (-592))) (-15 -4526 ($ |#1| (-592))) (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-6 (-323)) (-15 -1504 ((-2 (|:| -4104 $) (|:| -4134 (-433 |#2|))) (-433 |#2|)))) |noBranch|))) (-582) (-1255 |#1|)) (T -639)) 
-((-2027 (*1 *2 *1) (-12 (-4 *3 (-582)) (-5 *2 (-141)) (-5 *1 (-639 *3 *4)) (-4 *4 (-1255 *3)))) (-4525 (*1 *2 *1) (-12 (-4 *3 (-582)) (-5 *2 (-592)) (-5 *1 (-639 *3 *4)) (-4 *4 (-1255 *3)))) (-4346 (*1 *2 *1) (-12 (-4 *3 (-582)) (-5 *2 (-592)) (-5 *1 (-639 *3 *4)) (-4 *4 (-1255 *3)))) (-4593 (*1 *1 *1) (-12 (-4 *2 (-582)) (-5 *1 (-639 *2 *3)) (-4 *3 (-1255 *2)))) (-4579 (*1 *2 *1) (-12 (-4 *2 (-582)) (-5 *1 (-639 *2 *3)) (-4 *3 (-1255 *2)))) (-2970 (*1 *2 *1) (-12 (-4 *2 (-582)) (-5 *1 (-639 *2 *3)) (-4 *3 (-1255 *2)))) (-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-582)) (-5 *1 (-639 *2 *4)) (-4 *4 (-1255 *2)))) (-4526 (*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-4 *2 (-582)) (-5 *1 (-639 *2 *4)) (-4 *4 (-1255 *2)))) (-1504 (*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *4 (-582)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -4104 (-639 *4 *5)) (|:| -4134 (-433 *5)))) (-5 *1 (-639 *4 *5)) (-5 *3 (-433 *5))))) 
-(-13 (-245 |#2|) (-582) (-633 (-433 |#2|)) (-437 |#1|) (-1065 |#2|) (-10 -8 (-15 -2027 ((-141) $)) (-15 -4525 ((-592) $)) (-15 -4346 ((-592) $)) (-15 -4593 ($ $)) (-15 -4579 (|#1| $)) (-15 -2970 (|#1| $)) (-15 -1937 (|#1| $ (-592))) (-15 -4526 ($ |#1| (-592))) (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-6 (-323)) (-15 -1504 ((-2 (|:| -4104 $) (|:| -4134 (-433 |#2|))) (-433 |#2|)))) |noBranch|))) 
-((-2248 (((-658 |#6|) (-658 |#4|) (-141)) 46)) (-3337 ((|#6| |#6|) 39))) 
-(((-640 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3337 (|#6| |#6|)) (-15 -2248 ((-658 |#6|) (-658 |#4|) (-141)))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|) (-1128 |#1| |#2| |#3| |#4|)) (T -640)) 
-((-2248 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 *10)) (-5 *1 (-640 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *10 (-1128 *5 *6 *7 *8)))) (-3337 (*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-640 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *2 (-1128 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3337 (|#6| |#6|)) (-15 -2248 ((-658 |#6|) (-658 |#4|) (-141)))) 
-((-3420 (((-141) |#3| (-790) (-658 |#3|)) 22)) (-3477 (((-3 (-2 (|:| |polfac| (-658 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-658 (-1187 |#3|)))) "failed") |#3| (-658 (-1187 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2033 (-658 (-2 (|:| |irr| |#4|) (|:| -1777 (-592)))))) (-658 |#3|) (-658 |#1|) (-658 |#3|)) 51))) 
-(((-641 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3420 ((-141) |#3| (-790) (-658 |#3|))) (-15 -3477 ((-3 (-2 (|:| |polfac| (-658 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-658 (-1187 |#3|)))) "failed") |#3| (-658 (-1187 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2033 (-658 (-2 (|:| |irr| |#4|) (|:| -1777 (-592)))))) (-658 |#3|) (-658 |#1|) (-658 |#3|)))) (-869) (-815) (-323) (-977 |#3| |#2| |#1|)) (T -641)) 
-((-3477 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -2033 (-658 (-2 (|:| |irr| *10) (|:| -1777 (-592))))))) (-5 *6 (-658 *3)) (-5 *7 (-658 *8)) (-4 *8 (-869)) (-4 *3 (-323)) (-4 *10 (-977 *3 *9 *8)) (-4 *9 (-815)) (-5 *2 (-2 (|:| |polfac| (-658 *10)) (|:| |correct| *3) (|:| |corrfact| (-658 (-1187 *3))))) (-5 *1 (-641 *8 *9 *3 *10)) (-5 *4 (-658 (-1187 *3))))) (-3420 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-790)) (-5 *5 (-658 *3)) (-4 *3 (-323)) (-4 *6 (-869)) (-4 *7 (-815)) (-5 *2 (-141)) (-5 *1 (-641 *6 *7 *3 *8)) (-4 *8 (-977 *3 *7 *6))))) 
-(-10 -7 (-15 -3420 ((-141) |#3| (-790) (-658 |#3|))) (-15 -3477 ((-3 (-2 (|:| |polfac| (-658 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-658 (-1187 |#3|)))) "failed") |#3| (-658 (-1187 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2033 (-658 (-2 (|:| |irr| |#4|) (|:| -1777 (-592)))))) (-658 |#3|) (-658 |#1|) (-658 |#3|)))) 
-((-1641 (((-141) $ $) NIL)) (-2692 (((-658 |#1|) $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-4103 (($ $) 67)) (-4546 (((-681 |#1| |#2|) $) 52)) (-3725 (((-658 (-2 (|:| |k| (-915 |#1|)) (|:| |c| |#2|))) $) 36)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 70)) (-2203 (((-658 (-310 |#2|)) $ $) 33)) (-2951 (((-1137) $) NIL)) (-1430 (($ (-681 |#1| |#2|)) 48)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) 58) (((-1293 |#1| |#2|) $) NIL) (((-1298 |#1| |#2|) $) 66)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 53 T CONST)) (-3954 (((-658 (-2 (|:| |k| (-688 |#1|)) (|:| |c| |#2|))) $) 31)) (-3298 (((-658 (-681 |#1| |#2|)) (-658 |#1|)) 65)) (-3255 (((-141) $ $) 54)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ $ $) 44))) 
-(((-642 |#1| |#2| |#3|) (-13 (-502) (-10 -8 (-15 -1430 ($ (-681 |#1| |#2|))) (-15 -4546 ((-681 |#1| |#2|) $)) (-15 -3725 ((-658 (-2 (|:| |k| (-915 |#1|)) (|:| |c| |#2|))) $)) (-15 -1683 ((-1293 |#1| |#2|) $)) (-15 -1683 ((-1298 |#1| |#2|) $)) (-15 -4103 ($ $)) (-15 -2692 ((-658 |#1|) $)) (-15 -3298 ((-658 (-681 |#1| |#2|)) (-658 |#1|))) (-15 -3954 ((-658 (-2 (|:| |k| (-688 |#1|)) (|:| |c| |#2|))) $)) (-15 -2203 ((-658 (-310 |#2|)) $ $)))) (-869) (-13 (-194) (-734 (-433 (-592)))) (-944)) (T -642)) 
-((-1430 (*1 *1 *2) (-12 (-5 *2 (-681 *3 *4)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-5 *1 (-642 *3 *4 *5)) (-14 *5 (-944)))) (-4546 (*1 *2 *1) (-12 (-5 *2 (-681 *3 *4)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) (-3725 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| (-915 *3)) (|:| |c| *4)))) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1293 *3 *4)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1298 *3 *4)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) (-4103 (*1 *1 *1) (-12 (-5 *1 (-642 *2 *3 *4)) (-4 *2 (-869)) (-4 *3 (-13 (-194) (-734 (-433 (-592))))) (-14 *4 (-944)))) (-2692 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-869)) (-5 *2 (-658 (-681 *4 *5))) (-5 *1 (-642 *4 *5 *6)) (-4 *5 (-13 (-194) (-734 (-433 (-592))))) (-14 *6 (-944)))) (-3954 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| (-688 *3)) (|:| |c| *4)))) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) (-2203 (*1 *2 *1 *1) (-12 (-5 *2 (-658 (-310 *4))) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944))))) 
-(-13 (-502) (-10 -8 (-15 -1430 ($ (-681 |#1| |#2|))) (-15 -4546 ((-681 |#1| |#2|) $)) (-15 -3725 ((-658 (-2 (|:| |k| (-915 |#1|)) (|:| |c| |#2|))) $)) (-15 -1683 ((-1293 |#1| |#2|) $)) (-15 -1683 ((-1298 |#1| |#2|) $)) (-15 -4103 ($ $)) (-15 -2692 ((-658 |#1|) $)) (-15 -3298 ((-658 (-681 |#1| |#2|)) (-658 |#1|))) (-15 -3954 ((-658 (-2 (|:| |k| (-688 |#1|)) (|:| |c| |#2|))) $)) (-15 -2203 ((-658 (-310 |#2|)) $ $)))) 
-((-2248 (((-658 (-1160 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|)))) (-658 (-802 |#1| (-879 |#2|))) (-141)) 70) (((-658 (-1072 |#1| |#2|)) (-658 (-802 |#1| (-879 |#2|))) (-141)) 56)) (-1480 (((-141) (-658 (-802 |#1| (-879 |#2|)))) 22)) (-2567 (((-658 (-1160 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|)))) (-658 (-802 |#1| (-879 |#2|))) (-141)) 69)) (-4571 (((-658 (-1072 |#1| |#2|)) (-658 (-802 |#1| (-879 |#2|))) (-141)) 55)) (-3903 (((-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|)))) 26)) (-4338 (((-3 (-658 (-802 |#1| (-879 |#2|))) "failed") (-658 (-802 |#1| (-879 |#2|)))) 25))) 
-(((-643 |#1| |#2|) (-10 -7 (-15 -1480 ((-141) (-658 (-802 |#1| (-879 |#2|))))) (-15 -4338 ((-3 (-658 (-802 |#1| (-879 |#2|))) "failed") (-658 (-802 |#1| (-879 |#2|))))) (-15 -3903 ((-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|))))) (-15 -4571 ((-658 (-1072 |#1| |#2|)) (-658 (-802 |#1| (-879 |#2|))) (-141))) (-15 -2567 ((-658 (-1160 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|)))) (-658 (-802 |#1| (-879 |#2|))) (-141))) (-15 -2248 ((-658 (-1072 |#1| |#2|)) (-658 (-802 |#1| (-879 |#2|))) (-141))) (-15 -2248 ((-658 (-1160 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|)))) (-658 (-802 |#1| (-879 |#2|))) (-141)))) (-477) (-658 (-1191))) (T -643)) 
-((-2248 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1160 *5 (-558 (-879 *6)) (-879 *6) (-802 *5 (-879 *6))))) (-5 *1 (-643 *5 *6)))) (-2248 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-643 *5 *6)))) (-2567 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1160 *5 (-558 (-879 *6)) (-879 *6) (-802 *5 (-879 *6))))) (-5 *1 (-643 *5 *6)))) (-4571 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-643 *5 *6)))) (-3903 (*1 *2 *2) (-12 (-5 *2 (-658 (-802 *3 (-879 *4)))) (-4 *3 (-477)) (-14 *4 (-658 (-1191))) (-5 *1 (-643 *3 *4)))) (-4338 (*1 *2 *2) (|partial| -12 (-5 *2 (-658 (-802 *3 (-879 *4)))) (-4 *3 (-477)) (-14 *4 (-658 (-1191))) (-5 *1 (-643 *3 *4)))) (-1480 (*1 *2 *3) (-12 (-5 *3 (-658 (-802 *4 (-879 *5)))) (-4 *4 (-477)) (-14 *5 (-658 (-1191))) (-5 *2 (-141)) (-5 *1 (-643 *4 *5))))) 
-(-10 -7 (-15 -1480 ((-141) (-658 (-802 |#1| (-879 |#2|))))) (-15 -4338 ((-3 (-658 (-802 |#1| (-879 |#2|))) "failed") (-658 (-802 |#1| (-879 |#2|))))) (-15 -3903 ((-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|))))) (-15 -4571 ((-658 (-1072 |#1| |#2|)) (-658 (-802 |#1| (-879 |#2|))) (-141))) (-15 -2567 ((-658 (-1160 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|)))) (-658 (-802 |#1| (-879 |#2|))) (-141))) (-15 -2248 ((-658 (-1072 |#1| |#2|)) (-658 (-802 |#1| (-879 |#2|))) (-141))) (-15 -2248 ((-658 (-1160 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|)))) (-658 (-802 |#1| (-879 |#2|))) (-141)))) 
-((-1588 (($ $) 38)) (-1507 (($ $) 21)) (-1575 (($ $) 37)) (-1495 (($ $) 22)) (-1601 (($ $) 36)) (-1521 (($ $) 23)) (-1435 (($) 48)) (-4546 (($ $) 45)) (-1457 (($ $) 17)) (-1868 (($ $ (-1111 $)) 7) (($ $ (-1191)) 6)) (-2424 (($ $) 14)) (-1927 (($ $) 13)) (-1430 (($ $) 46)) (-1463 (($ $) 15)) (-1486 (($ $) 16)) (-1609 (($ $) 35)) (-1527 (($ $) 24)) (-1594 (($ $) 34)) (-1515 (($ $) 25)) (-1581 (($ $) 33)) (-1501 (($ $) 26)) (-1630 (($ $) 44)) (-1546 (($ $) 32)) (-1617 (($ $) 43)) (-1533 (($ $) 31)) (-1642 (($ $) 42)) (-1559 (($ $) 30)) (-2892 (($ $) 41)) (-1567 (($ $) 29)) (-1636 (($ $) 40)) (-1552 (($ $) 28)) (-1624 (($ $) 39)) (-1540 (($ $) 27)) (-2672 (($ $) 19)) (-4299 (($ $) 20)) (-4157 (($ $) 18)) (** (($ $ $) 47))) 
-(((-644) (-1311)) (T -644)) 
-((-4299 (*1 *1 *1) (-4 *1 (-644))) (-2672 (*1 *1 *1) (-4 *1 (-644))) (-4157 (*1 *1 *1) (-4 *1 (-644))) (-1457 (*1 *1 *1) (-4 *1 (-644))) (-1486 (*1 *1 *1) (-4 *1 (-644))) (-1463 (*1 *1 *1) (-4 *1 (-644))) (-2424 (*1 *1 *1) (-4 *1 (-644))) (-1927 (*1 *1 *1) (-4 *1 (-644)))) 
-(-13 (-987) (-1211) (-10 -8 (-15 -4299 ($ $)) (-15 -2672 ($ $)) (-15 -4157 ($ $)) (-15 -1457 ($ $)) (-15 -1486 ($ $)) (-15 -1463 ($ $)) (-15 -2424 ($ $)) (-15 -1927 ($ $)))) 
-(((-40) . T) ((-116) . T) ((-301) . T) ((-526) . T) ((-987) . T) ((-1211) . T) ((-1214) . T)) 
-((-2791 (((-143) (-143)) 87)) (-1457 ((|#2| |#2|) 32)) (-1868 ((|#2| |#2| (-1111 |#2|)) 83) ((|#2| |#2| (-1191)) 56)) (-2424 ((|#2| |#2|) 34)) (-1927 ((|#2| |#2|) 35)) (-1463 ((|#2| |#2|) 31)) (-1486 ((|#2| |#2|) 33)) (-3038 (((-141) (-143)) 38)) (-2672 ((|#2| |#2|) 28)) (-4299 ((|#2| |#2|) 30)) (-4157 ((|#2| |#2|) 29))) 
-(((-645 |#1| |#2|) (-10 -7 (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -4299 (|#2| |#2|)) (-15 -2672 (|#2| |#2|)) (-15 -4157 (|#2| |#2|)) (-15 -1457 (|#2| |#2|)) (-15 -1463 (|#2| |#2|)) (-15 -1486 (|#2| |#2|)) (-15 -2424 (|#2| |#2|)) (-15 -1927 (|#2| |#2|)) (-15 -1868 (|#2| |#2| (-1191))) (-15 -1868 (|#2| |#2| (-1111 |#2|)))) (-13 (-869) (-582)) (-13 (-456 |#1|) (-1030) (-1211))) (T -645)) 
-((-1868 (*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-13 (-456 *4) (-1030) (-1211))) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-645 *4 *2)))) (-1868 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-645 *4 *2)) (-4 *2 (-13 (-456 *4) (-1030) (-1211))))) (-1927 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-2424 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-1486 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-1463 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-1457 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-4157 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-2672 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-4299 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211))))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *4)) (-4 *4 (-13 (-456 *3) (-1030) (-1211))))) (-3038 (*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-645 *4 *5)) (-4 *5 (-13 (-456 *4) (-1030) (-1211)))))) 
-(-10 -7 (-15 -3038 ((-141) (-143))) (-15 -2791 ((-143) (-143))) (-15 -4299 (|#2| |#2|)) (-15 -2672 (|#2| |#2|)) (-15 -4157 (|#2| |#2|)) (-15 -1457 (|#2| |#2|)) (-15 -1463 (|#2| |#2|)) (-15 -1486 (|#2| |#2|)) (-15 -2424 (|#2| |#2|)) (-15 -1927 (|#2| |#2|)) (-15 -1868 (|#2| |#2| (-1191))) (-15 -1868 (|#2| |#2| (-1111 |#2|)))) 
-((-2239 (((-516 |#1| |#2|) (-264 |#1| |#2|)) 52)) (-3937 (((-658 (-264 |#1| |#2|)) (-658 (-516 |#1| |#2|))) 67)) (-3905 (((-516 |#1| |#2|) (-658 (-516 |#1| |#2|)) (-879 |#1|)) 69) (((-516 |#1| |#2|) (-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)) (-879 |#1|)) 68)) (-2018 (((-2 (|:| |gblist| (-658 (-264 |#1| |#2|))) (|:| |gvlist| (-658 (-592)))) (-658 (-516 |#1| |#2|))) 105)) (-4173 (((-658 (-516 |#1| |#2|)) (-879 |#1|) (-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|))) 82)) (-4318 (((-2 (|:| |glbase| (-658 (-264 |#1| |#2|))) (|:| |glval| (-658 (-592)))) (-658 (-264 |#1| |#2|))) 116)) (-3302 (((-1280 |#2|) (-516 |#1| |#2|) (-658 (-516 |#1| |#2|))) 57)) (-3646 (((-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|))) 39)) (-1865 (((-264 |#1| |#2|) (-264 |#1| |#2|) (-658 (-264 |#1| |#2|))) 49)) (-2739 (((-264 |#1| |#2|) (-658 |#2|) (-264 |#1| |#2|) (-658 (-264 |#1| |#2|))) 89))) 
-(((-646 |#1| |#2|) (-10 -7 (-15 -2018 ((-2 (|:| |gblist| (-658 (-264 |#1| |#2|))) (|:| |gvlist| (-658 (-592)))) (-658 (-516 |#1| |#2|)))) (-15 -4318 ((-2 (|:| |glbase| (-658 (-264 |#1| |#2|))) (|:| |glval| (-658 (-592)))) (-658 (-264 |#1| |#2|)))) (-15 -3937 ((-658 (-264 |#1| |#2|)) (-658 (-516 |#1| |#2|)))) (-15 -3905 ((-516 |#1| |#2|) (-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)) (-879 |#1|))) (-15 -3905 ((-516 |#1| |#2|) (-658 (-516 |#1| |#2|)) (-879 |#1|))) (-15 -3646 ((-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)))) (-15 -3302 ((-1280 |#2|) (-516 |#1| |#2|) (-658 (-516 |#1| |#2|)))) (-15 -2739 ((-264 |#1| |#2|) (-658 |#2|) (-264 |#1| |#2|) (-658 (-264 |#1| |#2|)))) (-15 -4173 ((-658 (-516 |#1| |#2|)) (-879 |#1|) (-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)))) (-15 -1865 ((-264 |#1| |#2|) (-264 |#1| |#2|) (-658 (-264 |#1| |#2|)))) (-15 -2239 ((-516 |#1| |#2|) (-264 |#1| |#2|)))) (-658 (-1191)) (-477)) (T -646)) 
-((-2239 (*1 *2 *3) (-12 (-5 *3 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-516 *4 *5)) (-5 *1 (-646 *4 *5)))) (-1865 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-264 *4 *5))) (-5 *2 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *1 (-646 *4 *5)))) (-4173 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-658 (-516 *4 *5))) (-5 *3 (-879 *4)) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *1 (-646 *4 *5)))) (-2739 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 (-264 *5 *6))) (-4 *6 (-477)) (-5 *2 (-264 *5 *6)) (-14 *5 (-658 (-1191))) (-5 *1 (-646 *5 *6)))) (-3302 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-516 *5 *6))) (-5 *3 (-516 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-1280 *6)) (-5 *1 (-646 *5 *6)))) (-3646 (*1 *2 *2) (-12 (-5 *2 (-658 (-516 *3 *4))) (-14 *3 (-658 (-1191))) (-4 *4 (-477)) (-5 *1 (-646 *3 *4)))) (-3905 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-516 *5 *6))) (-5 *4 (-879 *5)) (-14 *5 (-658 (-1191))) (-5 *2 (-516 *5 *6)) (-5 *1 (-646 *5 *6)) (-4 *6 (-477)))) (-3905 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-516 *5 *6))) (-5 *4 (-879 *5)) (-14 *5 (-658 (-1191))) (-5 *2 (-516 *5 *6)) (-5 *1 (-646 *5 *6)) (-4 *6 (-477)))) (-3937 (*1 *2 *3) (-12 (-5 *3 (-658 (-516 *4 *5))) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-658 (-264 *4 *5))) (-5 *1 (-646 *4 *5)))) (-4318 (*1 *2 *3) (-12 (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-2 (|:| |glbase| (-658 (-264 *4 *5))) (|:| |glval| (-658 (-592))))) (-5 *1 (-646 *4 *5)) (-5 *3 (-658 (-264 *4 *5))))) (-2018 (*1 *2 *3) (-12 (-5 *3 (-658 (-516 *4 *5))) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-2 (|:| |gblist| (-658 (-264 *4 *5))) (|:| |gvlist| (-658 (-592))))) (-5 *1 (-646 *4 *5))))) 
-(-10 -7 (-15 -2018 ((-2 (|:| |gblist| (-658 (-264 |#1| |#2|))) (|:| |gvlist| (-658 (-592)))) (-658 (-516 |#1| |#2|)))) (-15 -4318 ((-2 (|:| |glbase| (-658 (-264 |#1| |#2|))) (|:| |glval| (-658 (-592)))) (-658 (-264 |#1| |#2|)))) (-15 -3937 ((-658 (-264 |#1| |#2|)) (-658 (-516 |#1| |#2|)))) (-15 -3905 ((-516 |#1| |#2|) (-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)) (-879 |#1|))) (-15 -3905 ((-516 |#1| |#2|) (-658 (-516 |#1| |#2|)) (-879 |#1|))) (-15 -3646 ((-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)))) (-15 -3302 ((-1280 |#2|) (-516 |#1| |#2|) (-658 (-516 |#1| |#2|)))) (-15 -2739 ((-264 |#1| |#2|) (-658 |#2|) (-264 |#1| |#2|) (-658 (-264 |#1| |#2|)))) (-15 -4173 ((-658 (-516 |#1| |#2|)) (-879 |#1|) (-658 (-516 |#1| |#2|)) (-658 (-516 |#1| |#2|)))) (-15 -1865 ((-264 |#1| |#2|) (-264 |#1| |#2|) (-658 (-264 |#1| |#2|)))) (-15 -2239 ((-516 |#1| |#2|) (-264 |#1| |#2|)))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) NIL)) (-3898 (((-1285) $ (-1173) (-1173)) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-57) $ (-1173) (-57)) 16) (((-57) $ (-1191) (-57)) 17)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 (-57) "failed") (-1173) $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119))))) (-4065 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-3 (-57) "failed") (-1173) $) NIL)) (-4459 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $ (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (((-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $ (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-57) $ (-1173) (-57)) NIL (|has| $ (-6 -4626)))) (-3959 (((-57) $ (-1173)) NIL)) (-4004 (((-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-658 (-57)) $) NIL (|has| $ (-6 -4625)))) (-2538 (($ $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-1173) $) NIL (|has| (-1173) (-869)))) (-4467 (((-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-658 (-57)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (((-141) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119))))) (-1813 (((-1173) $) NIL (|has| (-1173) (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4626))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1848 (($ (-414)) 9)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119))))) (-2840 (((-658 (-1173)) $) NIL)) (-2396 (((-141) (-1173) $) NIL)) (-4137 (((-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL)) (-2113 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL)) (-3708 (((-658 (-1173)) $) NIL)) (-3780 (((-141) (-1173) $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119))))) (-1918 (((-57) $) NIL (|has| (-1173) (-869)))) (-4050 (((-3 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) "failed") (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL)) (-1892 (($ $ (-57)) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (($ $ (-310 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (($ $ (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (($ $ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (($ $ (-658 (-57)) (-658 (-57))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-310 (-57))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-658 (-310 (-57)))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119))))) (-4210 (((-658 (-57)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 (((-57) $ (-1173)) 14) (((-57) $ (-1173) (-57)) NIL) (((-57) $ (-1191)) 15)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119)))) (((-790) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119)))) (((-790) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119))))) (-2607 (($ $) NIL)) (-4560 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 (-57))) (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-647) (-13 (-1202 (-1173) (-57)) (-10 -8 (-15 -1848 ($ (-414))) (-15 -2538 ($ $)) (-15 -3927 ((-57) $ (-1191))) (-15 -3932 ((-57) $ (-1191) (-57))) (-15 -2607 ($ $))))) (T -647)) 
-((-1848 (*1 *1 *2) (-12 (-5 *2 (-414)) (-5 *1 (-647)))) (-2538 (*1 *1 *1) (-5 *1 (-647))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-57)) (-5 *1 (-647)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1191)) (-5 *1 (-647)))) (-2607 (*1 *1 *1) (-5 *1 (-647)))) 
-(-13 (-1202 (-1173) (-57)) (-10 -8 (-15 -1848 ($ (-414))) (-15 -2538 ($ $)) (-15 -3927 ((-57) $ (-1191))) (-15 -3932 ((-57) $ (-1191) (-57))) (-15 -2607 ($ $)))) 
-((-3313 (($ $ |#2|) 10))) 
-(((-648 |#1| |#2|) (-10 -8 (-15 -3313 (|#1| |#1| |#2|))) (-649 |#2|) (-194)) (T -648)) 
-NIL 
-(-10 -8 (-15 -3313 (|#1| |#1| |#2|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4466 (($ $ $) 26)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 25 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-649 |#1|) (-1311) (-194)) (T -649)) 
-((-4466 (*1 *1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-194)))) (-3313 (*1 *1 *1 *2) (-12 (-4 *1 (-649 *2)) (-4 *2 (-194)) (-4 *2 (-388))))) 
-(-13 (-734 |t#1|) (-10 -8 (-15 -4466 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-388)) (-15 -3313 ($ $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-734 |#1|) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4509 (((-3 $ "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4061 (((-1280 (-706 |#1|))) NIL (|has| |#2| (-443 |#1|))) (((-1280 (-706 |#1|)) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-3360 (((-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-3001 (($) NIL T CONST)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2661 (((-3 $ "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-1951 (((-706 |#1|)) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-4282 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-2302 (((-706 |#1|) $) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) $ (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-2503 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2120 (((-1187 (-980 |#1|))) NIL (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-388))))) (-2111 (($ $ (-944)) NIL)) (-1431 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-3916 (((-1187 |#1|) $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-1874 ((|#1|) NIL (|has| |#2| (-443 |#1|))) ((|#1| (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-1582 (((-1187 |#1|) $) NIL (|has| |#2| (-392 |#1|)))) (-4194 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1626 (($ (-1280 |#1|)) NIL (|has| |#2| (-443 |#1|))) (($ (-1280 |#1|) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-3371 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-4175 (((-944)) NIL (|has| |#2| (-392 |#1|)))) (-2169 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1833 (($ $ (-944)) NIL)) (-3700 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2973 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2467 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3994 (((-3 $ "failed")) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-2794 (((-706 |#1|)) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-1869 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-1802 (((-706 |#1|) $) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) $ (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-4158 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3004 (((-1187 (-980 |#1|))) NIL (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-388))))) (-2682 (($ $ (-944)) NIL)) (-3061 ((|#1| $) NIL (|has| |#2| (-392 |#1|)))) (-2013 (((-1187 |#1|) $) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3030 ((|#1|) NIL (|has| |#2| (-443 |#1|))) ((|#1| (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-2397 (((-1187 |#1|) $) NIL (|has| |#2| (-392 |#1|)))) (-3847 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2685 (((-1173) $) NIL)) (-4106 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2339 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2297 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2951 (((-1137) $) NIL)) (-2716 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-3927 ((|#1| $ (-592)) NIL (|has| |#2| (-443 |#1|)))) (-2231 (((-706 |#1|) (-1280 $)) NIL (|has| |#2| (-443 |#1|))) (((-1280 |#1|) $) NIL (|has| |#2| (-443 |#1|))) (((-706 |#1|) (-1280 $) (-1280 $)) NIL (|has| |#2| (-392 |#1|))) (((-1280 |#1|) $ (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-1778 (($ (-1280 |#1|)) NIL (|has| |#2| (-443 |#1|))) (((-1280 |#1|) $) NIL (|has| |#2| (-443 |#1|)))) (-1473 (((-658 (-980 |#1|))) NIL (|has| |#2| (-443 |#1|))) (((-658 (-980 |#1|)) (-1280 $)) NIL (|has| |#2| (-392 |#1|)))) (-2131 (($ $ $) NIL)) (-3545 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-1683 (((-877) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-2195 (((-1280 $)) NIL (|has| |#2| (-443 |#1|)))) (-3664 (((-658 (-1280 |#1|))) NIL (-3836 (-12 (|has| |#2| (-392 |#1|)) (|has| |#1| (-582))) (-12 (|has| |#2| (-443 |#1|)) (|has| |#1| (-582)))))) (-3667 (($ $ $ $) NIL)) (-1516 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-4572 (($ (-706 |#1|) $) NIL (|has| |#2| (-443 |#1|)))) (-2844 (($ $ $) NIL)) (-3135 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2723 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-2359 (((-141)) NIL (|has| |#2| (-392 |#1|)))) (-3514 (($) 15 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) 17)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-650 |#1| |#2|) (-13 (-763 |#1|) (-632 |#2|) (-10 -8 (-15 -1683 ($ |#2|)) (IF (|has| |#2| (-443 |#1|)) (-6 (-443 |#1|)) |noBranch|) (IF (|has| |#2| (-392 |#1|)) (-6 (-392 |#1|)) |noBranch|))) (-194) (-763 |#1|)) (T -650)) 
-((-1683 (*1 *1 *2) (-12 (-4 *3 (-194)) (-5 *1 (-650 *3 *2)) (-4 *2 (-763 *3))))) 
-(-13 (-763 |#1|) (-632 |#2|) (-10 -8 (-15 -1683 ($ |#2|)) (IF (|has| |#2| (-443 |#1|)) (-6 (-443 |#1|)) |noBranch|) (IF (|has| |#2| (-392 |#1|)) (-6 (-392 |#1|)) |noBranch|))) 
-((-2061 (((-3 (-862 |#2|) "failed") |#2| (-310 |#2|) (-1173)) 78) (((-3 (-862 |#2|) (-2 (|:| |leftHandLimit| (-3 (-862 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-862 |#2|) "failed"))) "failed") |#2| (-310 (-862 |#2|))) 100)) (-4131 (((-3 (-855 |#2|) "failed") |#2| (-310 (-855 |#2|))) 105))) 
-(((-651 |#1| |#2|) (-10 -7 (-15 -2061 ((-3 (-862 |#2|) (-2 (|:| |leftHandLimit| (-3 (-862 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-862 |#2|) "failed"))) "failed") |#2| (-310 (-862 |#2|)))) (-15 -4131 ((-3 (-855 |#2|) "failed") |#2| (-310 (-855 |#2|)))) (-15 -2061 ((-3 (-862 |#2|) "failed") |#2| (-310 |#2|) (-1173)))) (-13 (-477) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -651)) 
-((-2061 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-310 *3)) (-5 *5 (-1173)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-862 *3)) (-5 *1 (-651 *6 *3)))) (-4131 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-310 (-855 *3))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-855 *3)) (-5 *1 (-651 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) (-2061 (*1 *2 *3 *4) (-12 (-5 *4 (-310 (-862 *3))) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (-862 *3) (-2 (|:| |leftHandLimit| (-3 (-862 *3) "failed")) (|:| |rightHandLimit| (-3 (-862 *3) "failed"))) "failed")) (-5 *1 (-651 *5 *3))))) 
-(-10 -7 (-15 -2061 ((-3 (-862 |#2|) (-2 (|:| |leftHandLimit| (-3 (-862 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-862 |#2|) "failed"))) "failed") |#2| (-310 (-862 |#2|)))) (-15 -4131 ((-3 (-855 |#2|) "failed") |#2| (-310 (-855 |#2|)))) (-15 -2061 ((-3 (-862 |#2|) "failed") |#2| (-310 |#2|) (-1173)))) 
-((-2061 (((-3 (-862 (-433 (-980 |#1|))) "failed") (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))) (-1173)) 79) (((-3 (-862 (-433 (-980 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed"))) "failed") (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|)))) 18) (((-3 (-862 (-433 (-980 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed"))) "failed") (-433 (-980 |#1|)) (-310 (-862 (-980 |#1|)))) 34)) (-4131 (((-855 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|)))) 21) (((-855 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-310 (-855 (-980 |#1|)))) 42))) 
-(((-652 |#1|) (-10 -7 (-15 -2061 ((-3 (-862 (-433 (-980 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed"))) "failed") (-433 (-980 |#1|)) (-310 (-862 (-980 |#1|))))) (-15 -2061 ((-3 (-862 (-433 (-980 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed"))) "failed") (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))))) (-15 -4131 ((-855 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-310 (-855 (-980 |#1|))))) (-15 -4131 ((-855 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))))) (-15 -2061 ((-3 (-862 (-433 (-980 |#1|))) "failed") (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))) (-1173)))) (-477)) (T -652)) 
-((-2061 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-310 (-433 (-980 *6)))) (-5 *5 (-1173)) (-5 *3 (-433 (-980 *6))) (-4 *6 (-477)) (-5 *2 (-862 *3)) (-5 *1 (-652 *6)))) (-4131 (*1 *2 *3 *4) (-12 (-5 *4 (-310 (-433 (-980 *5)))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-477)) (-5 *2 (-855 *3)) (-5 *1 (-652 *5)))) (-4131 (*1 *2 *3 *4) (-12 (-5 *4 (-310 (-855 (-980 *5)))) (-4 *5 (-477)) (-5 *2 (-855 (-433 (-980 *5)))) (-5 *1 (-652 *5)) (-5 *3 (-433 (-980 *5))))) (-2061 (*1 *2 *3 *4) (-12 (-5 *4 (-310 (-433 (-980 *5)))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-477)) (-5 *2 (-3 (-862 *3) (-2 (|:| |leftHandLimit| (-3 (-862 *3) "failed")) (|:| |rightHandLimit| (-3 (-862 *3) "failed"))) "failed")) (-5 *1 (-652 *5)))) (-2061 (*1 *2 *3 *4) (-12 (-5 *4 (-310 (-862 (-980 *5)))) (-4 *5 (-477)) (-5 *2 (-3 (-862 (-433 (-980 *5))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 *5))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 *5))) "failed"))) "failed")) (-5 *1 (-652 *5)) (-5 *3 (-433 (-980 *5)))))) 
-(-10 -7 (-15 -2061 ((-3 (-862 (-433 (-980 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed"))) "failed") (-433 (-980 |#1|)) (-310 (-862 (-980 |#1|))))) (-15 -2061 ((-3 (-862 (-433 (-980 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 |#1|))) "failed"))) "failed") (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))))) (-15 -4131 ((-855 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-310 (-855 (-980 |#1|))))) (-15 -4131 ((-855 (-433 (-980 |#1|))) (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))))) (-15 -2061 ((-3 (-862 (-433 (-980 |#1|))) "failed") (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))) (-1173)))) 
-((-2811 (((-3 (-1280 (-433 |#1|)) "failed") (-1280 |#2|) |#2|) 57 (-3252 (|has| |#1| (-388)))) (((-3 (-1280 |#1|) "failed") (-1280 |#2|) |#2|) 42 (|has| |#1| (-388)))) (-2428 (((-141) (-1280 |#2|)) 30)) (-3422 (((-3 (-1280 |#1|) "failed") (-1280 |#2|)) 33))) 
-(((-653 |#1| |#2|) (-10 -7 (-15 -2428 ((-141) (-1280 |#2|))) (-15 -3422 ((-3 (-1280 |#1|) "failed") (-1280 |#2|))) (IF (|has| |#1| (-388)) (-15 -2811 ((-3 (-1280 |#1|) "failed") (-1280 |#2|) |#2|)) (-15 -2811 ((-3 (-1280 (-433 |#1|)) "failed") (-1280 |#2|) |#2|)))) (-582) (-654 |#1|)) (T -653)) 
-((-2811 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 *5)) (-3252 (-4 *5 (-388))) (-4 *5 (-582)) (-5 *2 (-1280 (-433 *5))) (-5 *1 (-653 *5 *4)))) (-2811 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 *5)) (-4 *5 (-388)) (-4 *5 (-582)) (-5 *2 (-1280 *5)) (-5 *1 (-653 *5 *4)))) (-3422 (*1 *2 *3) (|partial| -12 (-5 *3 (-1280 *5)) (-4 *5 (-654 *4)) (-4 *4 (-582)) (-5 *2 (-1280 *4)) (-5 *1 (-653 *4 *5)))) (-2428 (*1 *2 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-654 *4)) (-4 *4 (-582)) (-5 *2 (-141)) (-5 *1 (-653 *4 *5))))) 
-(-10 -7 (-15 -2428 ((-141) (-1280 |#2|))) (-15 -3422 ((-3 (-1280 |#1|) "failed") (-1280 |#2|))) (IF (|has| |#1| (-388)) (-15 -2811 ((-3 (-1280 |#1|) "failed") (-1280 |#2|) |#2|)) (-15 -2811 ((-3 (-1280 (-433 |#1|)) "failed") (-1280 |#2|) |#2|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3945 (((-706 |#1|) (-706 $)) 35) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 34)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-654 |#1|) (-1311) (-1075)) (T -654)) 
-((-3945 (*1 *2 *3) (-12 (-5 *3 (-706 *1)) (-4 *1 (-654 *4)) (-4 *4 (-1075)) (-5 *2 (-706 *4)))) (-3945 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *1)) (-5 *4 (-1280 *1)) (-4 *1 (-654 *5)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -3253 (-706 *5)) (|:| |vec| (-1280 *5))))))) 
-(-13 (-1075) (-10 -8 (-15 -3945 ((-706 |t#1|) (-706 $))) (-15 -3945 ((-2 (|:| -3253 (-706 |t#1|)) (|:| |vec| (-1280 |t#1|))) (-706 $) (-1280 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1600 ((|#2| (-658 |#1|) (-658 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-658 |#1|) (-658 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|) |#2|) 17) ((|#2| (-658 |#1|) (-658 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|)) 12))) 
-(((-655 |#1| |#2|) (-10 -7 (-15 -1600 ((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|))) (-15 -1600 (|#2| (-658 |#1|) (-658 |#2|) |#1|)) (-15 -1600 ((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|) |#2|)) (-15 -1600 (|#2| (-658 |#1|) (-658 |#2|) |#1| |#2|)) (-15 -1600 ((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|) (-1 |#2| |#1|))) (-15 -1600 (|#2| (-658 |#1|) (-658 |#2|) |#1| (-1 |#2| |#1|)))) (-1119) (-1225)) (T -655)) 
-((-1600 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1119)) (-4 *2 (-1225)) (-5 *1 (-655 *5 *2)))) (-1600 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-658 *5)) (-5 *4 (-658 *6)) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *1 (-655 *5 *6)))) (-1600 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *2)) (-4 *5 (-1119)) (-4 *2 (-1225)) (-5 *1 (-655 *5 *2)))) (-1600 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 *5)) (-4 *6 (-1119)) (-4 *5 (-1225)) (-5 *2 (-1 *5 *6)) (-5 *1 (-655 *6 *5)))) (-1600 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *2)) (-4 *5 (-1119)) (-4 *2 (-1225)) (-5 *1 (-655 *5 *2)))) (-1600 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *6)) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *2 (-1 *6 *5)) (-5 *1 (-655 *5 *6))))) 
-(-10 -7 (-15 -1600 ((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|))) (-15 -1600 (|#2| (-658 |#1|) (-658 |#2|) |#1|)) (-15 -1600 ((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|) |#2|)) (-15 -1600 (|#2| (-658 |#1|) (-658 |#2|) |#1| |#2|)) (-15 -1600 ((-1 |#2| |#1|) (-658 |#1|) (-658 |#2|) (-1 |#2| |#1|))) (-15 -1600 (|#2| (-658 |#1|) (-658 |#2|) |#1| (-1 |#2| |#1|)))) 
-((-1779 (((-658 |#2|) (-1 |#2| |#1| |#2|) (-658 |#1|) |#2|) 16)) (-3657 ((|#2| (-1 |#2| |#1| |#2|) (-658 |#1|) |#2|) 18)) (-2731 (((-658 |#2|) (-1 |#2| |#1|) (-658 |#1|)) 13))) 
-(((-656 |#1| |#2|) (-10 -7 (-15 -1779 ((-658 |#2|) (-1 |#2| |#1| |#2|) (-658 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-658 |#1|) |#2|)) (-15 -2731 ((-658 |#2|) (-1 |#2| |#1|) (-658 |#1|)))) (-1225) (-1225)) (T -656)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-658 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-658 *6)) (-5 *1 (-656 *5 *6)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-658 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-656 *5 *2)))) (-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-658 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-658 *5)) (-5 *1 (-656 *6 *5))))) 
-(-10 -7 (-15 -1779 ((-658 |#2|) (-1 |#2| |#1| |#2|) (-658 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-658 |#1|) |#2|)) (-15 -2731 ((-658 |#2|) (-1 |#2| |#1|) (-658 |#1|)))) 
-((-2731 (((-658 |#3|) (-1 |#3| |#1| |#2|) (-658 |#1|) (-658 |#2|)) 13))) 
-(((-657 |#1| |#2| |#3|) (-10 -7 (-15 -2731 ((-658 |#3|) (-1 |#3| |#1| |#2|) (-658 |#1|) (-658 |#2|)))) (-1225) (-1225) (-1225)) (T -657)) 
-((-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-658 *6)) (-5 *5 (-658 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-658 *8)) (-5 *1 (-657 *6 *7 *8))))) 
-(-10 -7 (-15 -2731 ((-658 |#3|) (-1 |#3| |#1| |#2|) (-658 |#1|) (-658 |#2|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) NIL)) (-1915 ((|#1| $) NIL)) (-3188 (($ $) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) $) NIL (|has| |#1| (-869))) (((-141) (-1 (-141) |#1| |#1|) $) NIL)) (-2831 (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869)))) (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-3960 (($ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-3153 (($ $ $) NIL (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "rest" $) NIL (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-1397 (($ $ $) 31 (|has| |#1| (-1119)))) (-1385 (($ $ $) 33 (|has| |#1| (-1119)))) (-1379 (($ $ $) 36 (|has| |#1| (-1119)))) (-4125 (($ (-1 (-141) |#1|) $) NIL)) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-1765 ((|#1| $) NIL)) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1366 (($ $) NIL) (($ $ (-790)) NIL)) (-1461 (($ $) NIL (|has| |#1| (-1119)))) (-1360 (($ $) 30 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) NIL (|has| |#1| (-1119))) (($ (-1 (-141) |#1|) $) NIL)) (-4459 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-3868 (((-141) $) NIL)) (-1721 (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119))) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) (-1 (-141) |#1|) $) NIL)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3258 (((-141) $) 9)) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2623 (($) 7)) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-2713 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) NIL)) (-4491 (($ $ $) NIL (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 32 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1333 (($ |#1|) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4255 ((|#1| $) NIL) (($ $ (-790)) NIL)) (-2113 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3666 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL) (($ $ (-790)) NIL)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-2955 (((-141) $) NIL)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1246 (-592))) NIL) ((|#1| $ (-592)) 35) ((|#1| $ (-592) |#1|) NIL)) (-2920 (((-592) $ $) NIL)) (-4113 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3208 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-3228 (((-141) $) NIL)) (-2399 (($ $) NIL)) (-1337 (($ $) NIL (|has| $ (-6 -4626)))) (-3318 (((-790) $) NIL)) (-3184 (($ $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) 44 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-4592 (($ |#1| $) 10)) (-3619 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2266 (($ $ $) 29) (($ |#1| $) NIL) (($ (-658 $)) NIL) (($ $ |#1|) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1318 (($ $ $) 11)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-1637 (((-1173) $) 25 (|has| |#1| (-850))) (((-1173) $ (-141)) 26 (|has| |#1| (-850))) (((-1285) (-844) $) 27 (|has| |#1| (-850))) (((-1285) (-844) $ (-141)) 28 (|has| |#1| (-850)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-658 |#1|) (-13 (-683 |#1|) (-10 -8 (-15 -2623 ($)) (-15 -3258 ((-141) $)) (-15 -4592 ($ |#1| $)) (-15 -1318 ($ $ $)) (IF (|has| |#1| (-1119)) (PROGN (-15 -1397 ($ $ $)) (-15 -1385 ($ $ $)) (-15 -1379 ($ $ $))) |noBranch|) (IF (|has| |#1| (-850)) (-6 (-850)) |noBranch|))) (-1225)) (T -658)) 
-((-2623 (*1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1225)))) (-3258 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-658 *3)) (-4 *3 (-1225)))) (-4592 (*1 *1 *2 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1225)))) (-1318 (*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1225)))) (-1397 (*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-1225)))) (-1385 (*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-1225)))) (-1379 (*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-1225))))) 
-(-13 (-683 |#1|) (-10 -8 (-15 -2623 ($)) (-15 -3258 ((-141) $)) (-15 -4592 ($ |#1| $)) (-15 -1318 ($ $ $)) (IF (|has| |#1| (-1119)) (PROGN (-15 -1397 ($ $ $)) (-15 -1385 ($ $ $)) (-15 -1379 ($ $ $))) |noBranch|) (IF (|has| |#1| (-850)) (-6 (-850)) |noBranch|))) 
-((-2923 (((-658 |#1|) |#2| (-592)) 21)) (-2985 (((-706 |#1|) (-658 |#2|) (-592)) 30)) (-1797 (((-706 |#1|) (-658 |#2|) (-592)) 28))) 
-(((-659 |#1| |#2|) (-10 -7 (-15 -2985 ((-706 |#1|) (-658 |#2|) (-592))) (-15 -1797 ((-706 |#1|) (-658 |#2|) (-592))) (-15 -2923 ((-658 |#1|) |#2| (-592)))) (-388) (-665 |#1|)) (T -659)) 
-((-2923 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-388)) (-5 *2 (-658 *5)) (-5 *1 (-659 *5 *3)) (-4 *3 (-665 *5)))) (-1797 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-592)) (-4 *6 (-665 *5)) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-659 *5 *6)))) (-2985 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-592)) (-4 *6 (-665 *5)) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-659 *5 *6))))) 
-(-10 -7 (-15 -2985 ((-706 |#1|) (-658 |#2|) (-592))) (-15 -1797 ((-706 |#1|) (-658 |#2|) (-592))) (-15 -2923 ((-658 |#1|) |#2| (-592)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1410 (($ |#1| |#1| $) 43)) (-2126 (((-141) $ (-790)) NIL)) (-4125 (($ (-1 (-141) |#1|) $) 56 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-1461 (($ $) 45)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) 51 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 53 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 9 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 37)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4137 ((|#1| $) 46)) (-2113 (($ |#1| $) 26) (($ |#1| $ (-790)) 42)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-2106 ((|#1| $) 48)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 21)) (-2890 (($) 25)) (-2284 (((-141) $) 49)) (-2043 (((-658 (-2 (|:| -3552 |#1|) (|:| -3452 (-790)))) $) 60)) (-1653 (($) 23) (($ (-658 |#1|)) 18)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) 57 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 19)) (-1778 (((-565) $) 34 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-1683 (((-877) $) 14 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 22)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 62 (|has| |#1| (-1119)))) (-1699 (((-790) $) 16 (|has| $ (-6 -4625))))) 
-(((-660 |#1|) (-13 (-711 |#1|) (-10 -8 (-6 -4625) (-15 -2284 ((-141) $)) (-15 -1410 ($ |#1| |#1| $)))) (-1119)) (T -660)) 
-((-2284 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-660 *3)) (-4 *3 (-1119)))) (-1410 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-660 *2)) (-4 *2 (-1119))))) 
-(-13 (-711 |#1|) (-10 -8 (-6 -4625) (-15 -2284 ((-141) $)) (-15 -1410 ($ |#1| |#1| $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#1| $) 22))) 
-(((-661 |#1|) (-1311) (-1082)) (T -661)) 
-((* (*1 *1 *2 *1) (-12 (-4 *1 (-661 *2)) (-4 *2 (-1082))))) 
-(-13 (-21) (-10 -8 (-15 * ($ |t#1| $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-1403 (((-790) $) 15)) (-3659 (($ $ |#1|) 55)) (-2512 (($ $) 32)) (-1373 (($ $) 31)) (-4368 (((-3 |#1| "failed") $) 47)) (-2400 ((|#1| $) NIL)) (-2119 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-4149 (((-877) $ (-1 (-877) (-877) (-877)) (-1 (-877) (-877) (-877)) (-592)) 45)) (-4449 ((|#1| $ (-592)) 30)) (-3888 ((|#2| $ (-592)) 29)) (-3401 (($ (-1 |#1| |#1|) $) 34)) (-3970 (($ (-1 |#2| |#2|) $) 38)) (-4020 (($) 10)) (-2104 (($ |#1| |#2|) 22)) (-1674 (($ (-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|)))) 23)) (-1713 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))) $) 13)) (-2249 (($ |#1| $) 56)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3370 (((-141) $ $) 58)) (-1683 (((-877) $) 19) (($ |#1|) 16)) (-3255 (((-141) $ $) 25))) 
-(((-662 |#1| |#2| |#3|) (-13 (-1119) (-1065 |#1|) (-10 -8 (-15 -4149 ((-877) $ (-1 (-877) (-877) (-877)) (-1 (-877) (-877) (-877)) (-592))) (-15 -1713 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))) $)) (-15 -2104 ($ |#1| |#2|)) (-15 -1674 ($ (-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))))) (-15 -3888 (|#2| $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -1373 ($ $)) (-15 -2512 ($ $)) (-15 -1403 ((-790) $)) (-15 -4020 ($)) (-15 -3659 ($ $ |#1|)) (-15 -2249 ($ |#1| $)) (-15 -2119 ($ |#1| |#2| $)) (-15 -2119 ($ $ $)) (-15 -3370 ((-141) $ $)) (-15 -3970 ($ (-1 |#2| |#2|) $)) (-15 -3401 ($ (-1 |#1| |#1|) $)))) (-1119) (-23) |#2|) (T -662)) 
-((-4149 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-877) (-877) (-877))) (-5 *4 (-592)) (-5 *2 (-877)) (-5 *1 (-662 *5 *6 *7)) (-4 *5 (-1119)) (-4 *6 (-23)) (-14 *7 *6))) (-1713 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 *4)))) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4))) (-2104 (*1 *1 *2 *3) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-1674 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 *4)))) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-662 *3 *4 *5)))) (-3888 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-23)) (-5 *1 (-662 *4 *2 *5)) (-4 *4 (-1119)) (-14 *5 *2))) (-4449 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-1119)) (-5 *1 (-662 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-1373 (*1 *1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-2512 (*1 *1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-1403 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4))) (-4020 (*1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-3659 (*1 *1 *1 *2) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-2249 (*1 *1 *2 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-2119 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-2119 (*1 *1 *1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) (-3370 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4))) (-3970 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)))) (-3401 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-662 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(-13 (-1119) (-1065 |#1|) (-10 -8 (-15 -4149 ((-877) $ (-1 (-877) (-877) (-877)) (-1 (-877) (-877) (-877)) (-592))) (-15 -1713 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))) $)) (-15 -2104 ($ |#1| |#2|)) (-15 -1674 ($ (-658 (-2 (|:| |gen| |#1|) (|:| -1430 |#2|))))) (-15 -3888 (|#2| $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -1373 ($ $)) (-15 -2512 ($ $)) (-15 -1403 ((-790) $)) (-15 -4020 ($)) (-15 -3659 ($ $ |#1|)) (-15 -2249 ($ |#1| $)) (-15 -2119 ($ |#1| |#2| $)) (-15 -2119 ($ $ $)) (-15 -3370 ((-141) $ $)) (-15 -3970 ($ (-1 |#2| |#2|) $)) (-15 -3401 ($ (-1 |#1| |#1|) $)))) 
-((-1813 (((-592) $) 23)) (-3666 (($ |#2| $ (-592)) 21) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) 12)) (-3780 (((-141) (-592) $) 14)) (-2266 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-658 $)) NIL))) 
-(((-663 |#1| |#2|) (-10 -8 (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -2266 (|#1| (-658 |#1|))) (-15 -2266 (|#1| |#1| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -1813 ((-592) |#1|)) (-15 -3708 ((-658 (-592)) |#1|)) (-15 -3780 ((-141) (-592) |#1|))) (-664 |#2|) (-1225)) (T -663)) 
-NIL 
-(-10 -8 (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -2266 (|#1| (-658 |#1|))) (-15 -2266 (|#1| |#1| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -1813 ((-592) |#1|)) (-15 -3708 ((-658 (-592)) |#1|)) (-15 -3780 ((-141) (-592) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) |#1|) 49 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1360 (($ $) 73 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 72 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 69 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 48)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 39 (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 66)) (-1892 (($ $ |#1|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) |#1|) 47) ((|#1| $ (-592)) 46) (($ $ (-1246 (-592))) 58)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 65)) (-2266 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-664 |#1|) (-1311) (-1225)) (T -664)) 
-((-3242 (*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-2266 (*1 *1 *1 *2) (-12 (-4 *1 (-664 *2)) (-4 *2 (-1225)))) (-2266 (*1 *1 *2 *1) (-12 (-4 *1 (-664 *2)) (-4 *2 (-1225)))) (-2266 (*1 *1 *1 *1) (-12 (-4 *1 (-664 *2)) (-4 *2 (-1225)))) (-2266 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-2731 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-1246 (-592))) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-3208 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-3208 (*1 *1 *1 *2) (-12 (-5 *2 (-1246 (-592))) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-3666 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-664 *2)) (-4 *2 (-1225)))) (-3666 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1246 (-592))) (|has| *1 (-6 -4626)) (-4 *1 (-664 *2)) (-4 *2 (-1225))))) 
-(-13 (-625 (-592) |t#1|) (-175 |t#1|) (-10 -8 (-15 -3242 ($ (-790) |t#1|)) (-15 -2266 ($ $ |t#1|)) (-15 -2266 ($ |t#1| $)) (-15 -2266 ($ $ $)) (-15 -2266 ($ (-658 $))) (-15 -2731 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -3927 ($ $ (-1246 (-592)))) (-15 -3208 ($ $ (-592))) (-15 -3208 ($ $ (-1246 (-592)))) (-15 -3666 ($ |t#1| $ (-592))) (-15 -3666 ($ $ $ (-592))) (IF (|has| $ (-6 -4626)) (-15 -3932 (|t#1| $ (-1246 (-592)) |t#1|)) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1103)) $) 115)) (-3983 (((-1191) $) 120)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2306 (($ $ (-592) (-592)) 126) (($ $ (-592)) 125)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 118)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3651 (($ $ (-592)) 86)) (-2881 (($ (-592) |#1| $) 87)) (-3800 (($ $ $) 92)) (-3001 (($) 16 T CONST)) (-3792 (($ (-592) $) 89) (($ $) 88)) (-1378 (($ $) 93)) (-1586 (($ $ $) 53)) (-4593 (($ $) 108)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-3891 (((-141) (-141)) 83) (((-141)) 82)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2802 (((-141) $) 69)) (-1541 (($ $) 95)) (-2273 (((-141) $) 116)) (-3333 (((-3 (-592) "failed") $) 94)) (-4346 (((-592) $ (-592)) 124) (((-592) $) 123) (((-592) $) 99)) (-3558 (((-141) $) 30)) (-3990 (($ $ (-944)) 122)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2027 (((-141) $) 106)) (-1535 (($ (-658 $) (-658 (-790)) (-592)) 90)) (-4526 (($ $ (-658 (-1103)) (-658 (-592))) 114) (($ $ (-1103) (-592)) 113) (($ |#1| (-592)) 107)) (-2731 (($ (-1 |#1| |#1|) $) 105)) (-4573 (($ $) 103)) (-4579 ((|#1| $) 102)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-2360 ((|#1| $ (-592)) 98)) (-4301 (($ $ (-592)) 85)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2807 (($ $ (-592)) 128)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2806 (((-1171 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-592)))))) (-2769 (((-790) $) 56)) (-3927 (($ $ $) 142 (|has| (-592) (-1131))) ((|#1| $ (-592)) 119)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-3644 (($ $) 141 (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-790)) 139 (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-1191)) 137 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191))) 136 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-1191) (-790)) 135 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) 134 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (-4048 (($ (-1 $)) 91)) (-4525 (((-592) $) 104)) (-1700 (($ $) 117)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ |#1|) 112 (|has| |#1| (-194))) (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 97) (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 96)) (-1937 ((|#1| $ (-592)) 109)) (-1963 ((|#1| $) 84)) (-1517 (((-3 $ "failed") $) 111 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 121)) (-2537 (((-141) $ $) 38)) (-2642 ((|#1| $ (-592)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $) 140 (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-790)) 138 (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-1191)) 133 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191))) 132 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-1191) (-790)) 131 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) 130 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
-(((-665 |#1|) (-1311) (-388)) (T -665)) 
-((-4346 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) (-2360 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-665 *2)) (-4 *2 (-388)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-4 *3 (-388)) (-4 *1 (-665 *3)))) (-1683 (*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))))) (-1541 (*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388)))) (-3333 (*1 *2 *1) (|partial| -12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) (-1378 (*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388)))) (-3800 (*1 *1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388)))) (-4048 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) (-1535 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 (-790))) (-5 *4 (-592)) (-4 *1 (-665 *5)) (-4 *5 (-388)))) (-3792 (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) (-3792 (*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388)))) (-2881 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) (-3651 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) (-4301 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) (-1963 (*1 *2 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388)))) (-3891 (*1 *2 *2) (-12 (-5 *2 (-141)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) (-3891 (*1 *2) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-141))))) 
-(-13 (-388) (-1257 |t#1| (-592)) (-10 -8 (-15 -4346 ((-592) $)) (-15 -2360 (|t#1| $ (-592))) (-15 -1683 ($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |t#1|))))) (-15 -1683 ((-1171 (-2 (|:| |k| (-592)) (|:| |c| |t#1|))) $)) (-15 -1541 ($ $)) (-15 -3333 ((-3 (-592) "failed") $)) (-15 -1378 ($ $)) (-15 -3800 ($ $ $)) (-15 -4048 ($ (-1 $))) (-15 -1535 ($ (-658 $) (-658 (-790)) (-592))) (-15 -3792 ($ (-592) $)) (-15 -3792 ($ $)) (-15 -2881 ($ (-592) |t#1| $)) (-15 -3651 ($ $ (-592))) (-15 -4301 ($ $ (-592))) (-15 -1963 (|t#1| $)) (-15 -3891 ((-141) (-141))) (-15 -3891 ((-141))))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-592)) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 |#1| |#1|) . T) ((-140 $ $) . T) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-247) |has| |#1| (-15 * (|#1| (-592) |#1|))) ((-260) . T) ((-303 $ $) |has| (-592) (-1131)) ((-307) . T) ((-323) . T) ((-388) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) . T) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))) ((-1002 |#1| (-592) (-1103)) . T) ((-943) . T) ((-1081 (-433 (-592))) . T) ((-1081 |#1|) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T) ((-1257 |#1| (-592)) . T)) 
-((-4005 (((-3 |#2| "failed") |#3| |#2| (-1191) |#2| (-658 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) "failed") |#3| |#2| (-1191)) 43))) 
-(((-666 |#1| |#2| |#3|) (-10 -7 (-15 -4005 ((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) "failed") |#3| |#2| (-1191))) (-15 -4005 ((-3 |#2| "failed") |#3| |#2| (-1191) |#2| (-658 |#2|)))) (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171)) (-13 (-29 |#1|) (-1211) (-987)) (-670 |#2|)) (T -666)) 
-((-4005 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-666 *6 *2 *3)) (-4 *3 (-670 *2)))) (-4005 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1191)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-4 *4 (-13 (-29 *6) (-1211) (-987))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2195 (-658 *4)))) (-5 *1 (-666 *6 *4 *3)) (-4 *3 (-670 *4))))) 
-(-10 -7 (-15 -4005 ((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) "failed") |#3| |#2| (-1191))) (-15 -4005 ((-3 |#2| "failed") |#3| |#2| (-1191) |#2| (-658 |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2628 (($ $) NIL (|has| |#1| (-388)))) (-3039 (($ $ $) NIL (|has| |#1| (-388)))) (-1735 (($ $ (-790)) NIL (|has| |#1| (-388)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-2484 (($ $ $) NIL (|has| |#1| (-388)))) (-3883 (($ $ $) NIL (|has| |#1| (-388)))) (-1956 (($ $ $) NIL (|has| |#1| (-388)))) (-1819 (($ $ $) NIL (|has| |#1| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-1477 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477)))) (-3558 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-4206 (((-790) $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-388)))) (-4308 (($ $ $) NIL (|has| |#1| (-388)))) (-3696 (($ $ $) NIL (|has| |#1| (-388)))) (-4262 (($ $ $) NIL (|has| |#1| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-4156 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-3927 ((|#1| $ |#1|) NIL)) (-1343 (($ $ $) NIL (|has| |#1| (-388)))) (-4525 (((-790) $) NIL)) (-1554 ((|#1| $) NIL (|has| |#1| (-477)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) NIL)) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL)) (-4010 (((-790)) NIL)) (-4572 ((|#1| $ |#1| |#1|) NIL)) (-2332 (($ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($) NIL)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-667 |#1|) (-670 |#1|) (-247)) (T -667)) 
-NIL 
-(-670 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2628 (($ $) NIL (|has| |#1| (-388)))) (-3039 (($ $ $) NIL (|has| |#1| (-388)))) (-1735 (($ $ (-790)) NIL (|has| |#1| (-388)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-2484 (($ $ $) NIL (|has| |#1| (-388)))) (-3883 (($ $ $) NIL (|has| |#1| (-388)))) (-1956 (($ $ $) NIL (|has| |#1| (-388)))) (-1819 (($ $ $) NIL (|has| |#1| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-1477 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477)))) (-3558 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-4206 (((-790) $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-388)))) (-4308 (($ $ $) NIL (|has| |#1| (-388)))) (-3696 (($ $ $) NIL (|has| |#1| (-388)))) (-4262 (($ $ $) NIL (|has| |#1| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-4156 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-3927 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-1343 (($ $ $) NIL (|has| |#1| (-388)))) (-4525 (((-790) $) NIL)) (-1554 ((|#1| $) NIL (|has| |#1| (-477)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) NIL)) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL)) (-4010 (((-790)) NIL)) (-4572 ((|#1| $ |#1| |#1|) NIL)) (-2332 (($ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($) NIL)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-668 |#1| |#2|) (-13 (-670 |#1|) (-303 |#2| |#2|)) (-247) (-13 (-661 |#1|) (-10 -8 (-15 -3644 ($ $))))) (T -668)) 
-NIL 
-(-13 (-670 |#1|) (-303 |#2| |#2|)) 
-((-2628 (($ $) 26)) (-2332 (($ $) 24)) (-1940 (($) 12))) 
-(((-669 |#1| |#2|) (-10 -8 (-15 -2628 (|#1| |#1|)) (-15 -2332 (|#1| |#1|)) (-15 -1940 (|#1|))) (-670 |#2|) (-1075)) (T -669)) 
-NIL 
-(-10 -8 (-15 -2628 (|#1| |#1|)) (-15 -2332 (|#1| |#1|)) (-15 -1940 (|#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2628 (($ $) 79 (|has| |#1| (-388)))) (-3039 (($ $ $) 81 (|has| |#1| (-388)))) (-1735 (($ $ (-790)) 80 (|has| |#1| (-388)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2484 (($ $ $) 44 (|has| |#1| (-388)))) (-3883 (($ $ $) 45 (|has| |#1| (-388)))) (-1956 (($ $ $) 47 (|has| |#1| (-388)))) (-1819 (($ $ $) 42 (|has| |#1| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 41 (|has| |#1| (-388)))) (-1477 (((-3 $ "failed") $ $) 43 (|has| |#1| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 46 (|has| |#1| (-388)))) (-4368 (((-3 (-592) "failed") $) 73 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 71 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 68)) (-2400 (((-592) $) 74 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 72 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 67)) (-4593 (($ $) 63)) (-3371 (((-3 $ "failed") $) 33)) (-3262 (($ $) 54 (|has| |#1| (-477)))) (-3558 (((-141) $) 30)) (-4526 (($ |#1| (-790)) 61)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 56 (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 57 (|has| |#1| (-582)))) (-4206 (((-790) $) 65)) (-1763 (($ $ $) 51 (|has| |#1| (-388)))) (-4308 (($ $ $) 52 (|has| |#1| (-388)))) (-3696 (($ $ $) 40 (|has| |#1| (-388)))) (-4262 (($ $ $) 49 (|has| |#1| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 48 (|has| |#1| (-388)))) (-4156 (((-3 $ "failed") $ $) 50 (|has| |#1| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 53 (|has| |#1| (-388)))) (-4579 ((|#1| $) 64)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-582)))) (-3927 ((|#1| $ |#1|) 84)) (-1343 (($ $ $) 78 (|has| |#1| (-388)))) (-4525 (((-790) $) 66)) (-1554 ((|#1| $) 55 (|has| |#1| (-477)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 70 (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) 69)) (-1647 (((-658 |#1|) $) 60)) (-1937 ((|#1| $ (-790)) 62)) (-4010 (((-790)) 28)) (-4572 ((|#1| $ |#1| |#1|) 59)) (-2332 (($ $) 82)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($) 83)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-670 |#1|) (-1311) (-1075)) (T -670)) 
-((-1940 (*1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)))) (-2332 (*1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)))) (-3039 (*1 *1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-1735 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-670 *3)) (-4 *3 (-1075)) (-4 *3 (-388)))) (-2628 (*1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-1343 (*1 *1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(-13 (-871 |t#1|) (-303 |t#1| |t#1|) (-10 -8 (-15 -1940 ($)) (-15 -2332 ($ $)) (IF (|has| |t#1| (-388)) (PROGN (-15 -3039 ($ $ $)) (-15 -1735 ($ $ (-790))) (-15 -2628 ($ $)) (-15 -1343 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-194)) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-303 |#1| |#1|) . T) ((-437 |#1|) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) |has| |#1| (-194)) ((-743) . T) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-871 |#1|) . T)) 
-((-3826 (((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|))) 72 (|has| |#1| (-27)))) (-4500 (((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|))) 71 (|has| |#1| (-27))) (((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|)) 15))) 
-(((-671 |#1| |#2|) (-10 -7 (-15 -4500 ((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -4500 ((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|)))) (-15 -3826 ((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|))))) |noBranch|)) (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592)))) (-1255 |#1|)) (T -671)) 
-((-3826 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-667 (-433 *5)))) (-5 *1 (-671 *4 *5)) (-5 *3 (-667 (-433 *5))))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-667 (-433 *5)))) (-5 *1 (-671 *4 *5)) (-5 *3 (-667 (-433 *5))))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-667 (-433 *6)))) (-5 *1 (-671 *5 *6)) (-5 *3 (-667 (-433 *6)))))) 
-(-10 -7 (-15 -4500 ((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -4500 ((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|)))) (-15 -3826 ((-658 (-667 (-433 |#2|))) (-667 (-433 |#2|))))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2628 (($ $) NIL (|has| |#1| (-388)))) (-3039 (($ $ $) 28 (|has| |#1| (-388)))) (-1735 (($ $ (-790)) 31 (|has| |#1| (-388)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-2484 (($ $ $) NIL (|has| |#1| (-388)))) (-3883 (($ $ $) NIL (|has| |#1| (-388)))) (-1956 (($ $ $) NIL (|has| |#1| (-388)))) (-1819 (($ $ $) NIL (|has| |#1| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-1477 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477)))) (-3558 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-4206 (((-790) $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-388)))) (-4308 (($ $ $) NIL (|has| |#1| (-388)))) (-3696 (($ $ $) NIL (|has| |#1| (-388)))) (-4262 (($ $ $) NIL (|has| |#1| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-4156 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-3927 ((|#1| $ |#1|) 24)) (-1343 (($ $ $) 33 (|has| |#1| (-388)))) (-4525 (((-790) $) NIL)) (-1554 ((|#1| $) NIL (|has| |#1| (-477)))) (-1683 (((-877) $) 20) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) NIL)) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL)) (-4010 (((-790)) NIL)) (-4572 ((|#1| $ |#1| |#1|) 23)) (-2332 (($ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 21 T CONST)) (-4257 (($) 8 T CONST)) (-1940 (($) NIL)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-672 |#1| |#2|) (-670 |#1|) (-1075) (-1 |#1| |#1|)) (T -672)) 
-NIL 
-(-670 |#1|) 
-((-3039 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-1735 ((|#2| |#2| (-790) (-1 |#1| |#1|)) 42)) (-1343 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
-(((-673 |#1| |#2|) (-10 -7 (-15 -3039 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -1735 (|#2| |#2| (-790) (-1 |#1| |#1|))) (-15 -1343 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-388) (-670 |#1|)) (T -673)) 
-((-1343 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-388)) (-5 *1 (-673 *4 *2)) (-4 *2 (-670 *4)))) (-1735 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-1 *5 *5)) (-4 *5 (-388)) (-5 *1 (-673 *5 *2)) (-4 *2 (-670 *5)))) (-3039 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-388)) (-5 *1 (-673 *4 *2)) (-4 *2 (-670 *4))))) 
-(-10 -7 (-15 -3039 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -1735 (|#2| |#2| (-790) (-1 |#1| |#1|))) (-15 -1343 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
-((-1623 (($ $ $) 9))) 
-(((-674 |#1|) (-10 -8 (-15 -1623 (|#1| |#1| |#1|))) (-675)) (T -674)) 
-NIL 
-(-10 -8 (-15 -1623 (|#1| |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-3163 (($ $) 10)) (-1623 (($ $ $) 8)) (-3255 (((-141) $ $) 6)) (-1616 (($ $ $) 9))) 
-(((-675) (-1311)) (T -675)) 
-((-3163 (*1 *1 *1) (-4 *1 (-675))) (-1616 (*1 *1 *1 *1) (-4 *1 (-675))) (-1623 (*1 *1 *1 *1) (-4 *1 (-675)))) 
-(-13 (-125) (-10 -8 (-15 -3163 ($ $)) (-15 -1616 ($ $ $)) (-15 -1623 ($ $ $)))) 
-(((-125) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-1448 ((|#1| $) 21)) (-1837 (($ $ $) NIL (|has| |#1| (-813)))) (-3319 (($ $ $) NIL (|has| |#1| (-813)))) (-2685 (((-1173) $) 46)) (-2951 (((-1137) $) NIL)) (-1456 ((|#3| $) 22)) (-1683 (((-877) $) 42)) (-3514 (($) 10 T CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-813)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-813)))) (-3255 (((-141) $ $) 20)) (-3279 (((-141) $ $) NIL (|has| |#1| (-813)))) (-3266 (((-141) $ $) 24 (|has| |#1| (-813)))) (-3313 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-3306 (($ $) 17) (($ $ $) NIL)) (-3300 (($ $ $) 27)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
-(((-676 |#1| |#2| |#3|) (-13 (-734 |#2|) (-10 -8 (IF (|has| |#1| (-813)) (-6 (-813)) |noBranch|) (-15 -3313 ($ $ |#3|)) (-15 -3313 ($ |#1| |#3|)) (-15 -1448 (|#1| $)) (-15 -1456 (|#3| $)))) (-734 |#2|) (-194) (|SubsetCategory| (-743) |#2|)) (T -676)) 
-((-3313 (*1 *1 *1 *2) (-12 (-4 *4 (-194)) (-5 *1 (-676 *3 *4 *2)) (-4 *3 (-734 *4)) (-4 *2 (|SubsetCategory| (-743) *4)))) (-3313 (*1 *1 *2 *3) (-12 (-4 *4 (-194)) (-5 *1 (-676 *2 *4 *3)) (-4 *2 (-734 *4)) (-4 *3 (|SubsetCategory| (-743) *4)))) (-1448 (*1 *2 *1) (-12 (-4 *3 (-194)) (-4 *2 (-734 *3)) (-5 *1 (-676 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-743) *3)))) (-1456 (*1 *2 *1) (-12 (-4 *4 (-194)) (-4 *2 (|SubsetCategory| (-743) *4)) (-5 *1 (-676 *3 *4 *2)) (-4 *3 (-734 *4))))) 
-(-13 (-734 |#2|) (-10 -8 (IF (|has| |#1| (-813)) (-6 (-813)) |noBranch|) (-15 -3313 ($ $ |#3|)) (-15 -3313 ($ |#1| |#3|)) (-15 -1448 (|#1| $)) (-15 -1456 (|#3| $)))) 
-((-4247 (((-706 |#1|) (-706 |#1|)) 27)) (-1948 (((-706 |#1|) (-706 |#1|)) 26)) (-2652 (((-658 (-658 |#1|)) (-658 |#1|) (-658 (-658 |#1|))) 44)) (-2737 (((-658 (-658 |#1|)) (-658 (-658 |#1|))) 29)) (-3761 (((-658 |#1|) (-658 |#1|) (-658 |#1|) |#1|) 43)) (-2653 (((-658 (-658 |#1|)) (-658 (-658 |#1|)) (-658 (-658 |#1|))) 34))) 
-(((-677 |#1|) (-10 -7 (-15 -4247 ((-706 |#1|) (-706 |#1|))) (-15 -1948 ((-706 |#1|) (-706 |#1|))) (-15 -2737 ((-658 (-658 |#1|)) (-658 (-658 |#1|)))) (-15 -2653 ((-658 (-658 |#1|)) (-658 (-658 |#1|)) (-658 (-658 |#1|)))) (-15 -3761 ((-658 |#1|) (-658 |#1|) (-658 |#1|) |#1|)) (-15 -2652 ((-658 (-658 |#1|)) (-658 |#1|) (-658 (-658 |#1|))))) (-388)) (T -677)) 
-((-2652 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-658 *4))) (-5 *3 (-658 *4)) (-4 *4 (-388)) (-5 *1 (-677 *4)))) (-3761 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-5 *1 (-677 *3)))) (-2653 (*1 *2 *2 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-388)) (-5 *1 (-677 *3)))) (-2737 (*1 *2 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-388)) (-5 *1 (-677 *3)))) (-1948 (*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-388)) (-5 *1 (-677 *3)))) (-4247 (*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-388)) (-5 *1 (-677 *3))))) 
-(-10 -7 (-15 -4247 ((-706 |#1|) (-706 |#1|))) (-15 -1948 ((-706 |#1|) (-706 |#1|))) (-15 -2737 ((-658 (-658 |#1|)) (-658 (-658 |#1|)))) (-15 -2653 ((-658 (-658 |#1|)) (-658 (-658 |#1|)) (-658 (-658 |#1|)))) (-15 -3761 ((-658 |#1|) (-658 |#1|) (-658 |#1|) |#1|)) (-15 -2652 ((-658 (-658 |#1|)) (-658 |#1|) (-658 (-658 |#1|))))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 35)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-678) (-1311)) (T -678)) 
-((-1389 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (-4 *1 (-678))))) 
-(-13 (-307) (-10 -8 (-15 -1389 ((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-307) . T) ((-661 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-3891 (((-141)) 46) (((-141) (-141)) 47)) (-4382 ((|#7| |#5| |#3|) 44)) (-3405 ((|#5| |#7|) 29)) (-4253 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-658 (-592)))) |#3| |#5| |#3| (-592)) 99)) (-2506 (((-658 |#6|) |#5| |#3| (-592)) 35))) 
-(((-679 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3891 ((-141) (-141))) (-15 -3891 ((-141))) (-15 -4382 (|#7| |#5| |#3|)) (-15 -2506 ((-658 |#6|) |#5| |#3| (-592))) (-15 -3405 (|#5| |#7|)) (-15 -4253 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-658 (-592)))) |#3| |#5| |#3| (-592)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|)) (T -679)) 
-((-4253 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *9 (-665 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-658 (-592))))) (-5 *1 (-679 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-592)) (-4 *3 (-977 *6 *8 (-879 *7))) (-4 *4 (-999 *6)) (-4 *10 (-947 *6 *9)))) (-3405 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-665 *4)) (-4 *2 (-999 *4)) (-5 *1 (-679 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *3 (-947 *4 *8)))) (-2506 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *9 (-665 *6)) (-5 *2 (-658 *9)) (-5 *1 (-679 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-977 *6 *8 (-879 *7))) (-4 *3 (-999 *6)) (-4 *10 (-947 *6 *9)))) (-4382 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-947 *5 *8)) (-5 *1 (-679 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-977 *5 *7 (-879 *6))) (-4 *3 (-999 *5)) (-4 *8 (-665 *5)))) (-3891 (*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-5 *2 (-141)) (-5 *1 (-679 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *9 (-947 *3 *8)))) (-3891 (*1 *2 *2) (-12 (-5 *2 (-141)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-5 *1 (-679 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *9 (-947 *3 *8))))) 
-(-10 -7 (-15 -3891 ((-141) (-141))) (-15 -3891 ((-141))) (-15 -4382 (|#7| |#5| |#3|)) (-15 -2506 ((-658 |#6|) |#5| |#3| (-592))) (-15 -3405 (|#5| |#7|)) (-15 -4253 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-658 (-592)))) |#3| |#5| |#3| (-592)))) 
-((-2740 (((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|)) 33))) 
-(((-680 |#1|) (-10 -7 (-15 -2740 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|)))) (-931)) (T -680)) 
-((-2740 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *4))) (-5 *3 (-1187 *4)) (-4 *4 (-931)) (-5 *1 (-680 *4))))) 
-(-10 -7 (-15 -2740 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2692 (((-658 |#1|) $) 82)) (-1394 (($ $ (-790)) 90)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3305 (((-1302 |#1| |#2|) (-1302 |#1| |#2|) $) 48)) (-4368 (((-3 (-688 |#1|) "failed") $) NIL)) (-2400 (((-688 |#1|) $) NIL)) (-4593 (($ $) 89)) (-4036 (((-790) $) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-1493 (($ (-688 |#1|) |#2|) 68)) (-4103 (($ $) 86)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-2141 (((-1302 |#1| |#2|) (-1302 |#1| |#2|) $) 47)) (-3725 (((-658 (-2 (|:| |k| (-688 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2992 (((-2 (|:| |k| (-688 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4573 (((-688 |#1|) $) NIL)) (-4579 ((|#2| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2806 (($ $ |#1| $) 30) (($ $ (-658 |#1|) (-658 $)) 32)) (-4525 (((-790) $) 88)) (-4466 (($ $ $) 20) (($ (-688 |#1|) (-688 |#1|)) 77) (($ (-688 |#1|) $) 75) (($ $ (-688 |#1|)) 76)) (-1683 (((-877) $) NIL) (($ |#1|) 74) (((-1293 |#1| |#2|) $) 58) (((-1302 |#1| |#2|) $) 41) (($ (-688 |#1|)) 25)) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-688 |#1|)) NIL)) (-1487 ((|#2| (-1302 |#1| |#2|) $) 43)) (-3514 (($) 23 T CONST)) (-1651 (((-3 $ "failed") (-1293 |#1| |#2|)) 60)) (-2072 (($ (-688 |#1|)) 14)) (-3255 (((-141) $ $) 44)) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) 66) (($ $ $) NIL)) (-3300 (($ $ $) 29)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-688 |#1|)) NIL))) 
-(((-681 |#1| |#2|) (-13 (-400 |#1| |#2|) (-408 |#2| (-688 |#1|)) (-10 -8 (-15 -1651 ((-3 $ "failed") (-1293 |#1| |#2|))) (-15 -4466 ($ (-688 |#1|) (-688 |#1|))) (-15 -4466 ($ (-688 |#1|) $)) (-15 -4466 ($ $ (-688 |#1|))))) (-869) (-194)) (T -681)) 
-((-1651 (*1 *1 *2) (|partial| -12 (-5 *2 (-1293 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *1 (-681 *3 *4)))) (-4466 (*1 *1 *2 *2) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-5 *1 (-681 *3 *4)) (-4 *4 (-194)))) (-4466 (*1 *1 *2 *1) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-5 *1 (-681 *3 *4)) (-4 *4 (-194)))) (-4466 (*1 *1 *1 *2) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-5 *1 (-681 *3 *4)) (-4 *4 (-194))))) 
-(-13 (-400 |#1| |#2|) (-408 |#2| (-688 |#1|)) (-10 -8 (-15 -1651 ((-3 $ "failed") (-1293 |#1| |#2|))) (-15 -4466 ($ (-688 |#1|) (-688 |#1|))) (-15 -4466 ($ (-688 |#1|) $)) (-15 -4466 ($ $ (-688 |#1|))))) 
-((-4076 (((-141) $) NIL) (((-141) (-1 (-141) |#2| |#2|) $) 49)) (-2831 (($ $) NIL) (($ (-1 (-141) |#2| |#2|) $) 11)) (-4125 (($ (-1 (-141) |#2|) $) 27)) (-2512 (($ $) 55)) (-1461 (($ $) 62)) (-4065 (($ |#2| $) NIL) (($ (-1 (-141) |#2|) $) 36)) (-3657 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-1721 (((-592) |#2| $ (-592)) 60) (((-592) |#2| $) NIL) (((-592) (-1 (-141) |#2|) $) 46)) (-3242 (($ (-790) |#2|) 53)) (-2713 (($ $ $) NIL) (($ (-1 (-141) |#2| |#2|) $ $) 29)) (-4491 (($ $ $) NIL) (($ (-1 (-141) |#2| |#2|) $ $) 24)) (-2731 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-1333 (($ |#2|) 14)) (-2113 (($ $ $ (-592)) 35) (($ |#2| $ (-592)) 33)) (-4050 (((-3 |#2| "failed") (-1 (-141) |#2|) $) 45)) (-4113 (($ $ (-1246 (-592))) 43) (($ $ (-592)) 37)) (-2385 (($ $ $ (-592)) 59)) (-4599 (($ $) 57)) (-3266 (((-141) $ $) 64))) 
-(((-682 |#1| |#2|) (-10 -8 (-15 -1333 (|#1| |#2|)) (-15 -4113 (|#1| |#1| (-592))) (-15 -4113 (|#1| |#1| (-1246 (-592)))) (-15 -4065 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -2113 (|#1| |#2| |#1| (-592))) (-15 -2113 (|#1| |#1| |#1| (-592))) (-15 -2713 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -4125 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4065 (|#1| |#2| |#1|)) (-15 -1461 (|#1| |#1|)) (-15 -2713 (|#1| |#1| |#1|)) (-15 -4491 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -4076 ((-141) (-1 (-141) |#2| |#2|) |#1|)) (-15 -1721 ((-592) (-1 (-141) |#2|) |#1|)) (-15 -1721 ((-592) |#2| |#1|)) (-15 -1721 ((-592) |#2| |#1| (-592))) (-15 -4491 (|#1| |#1| |#1|)) (-15 -4076 ((-141) |#1|)) (-15 -2385 (|#1| |#1| |#1| (-592))) (-15 -2512 (|#1| |#1|)) (-15 -2831 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -2831 (|#1| |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -4050 ((-3 |#2| "failed") (-1 (-141) |#2|) |#1|)) (-15 -3242 (|#1| (-790) |#2|)) (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4599 (|#1| |#1|))) (-683 |#2|) (-1225)) (T -682)) 
-NIL 
-(-10 -8 (-15 -1333 (|#1| |#2|)) (-15 -4113 (|#1| |#1| (-592))) (-15 -4113 (|#1| |#1| (-1246 (-592)))) (-15 -4065 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -2113 (|#1| |#2| |#1| (-592))) (-15 -2113 (|#1| |#1| |#1| (-592))) (-15 -2713 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -4125 (|#1| (-1 (-141) |#2|) |#1|)) (-15 -4065 (|#1| |#2| |#1|)) (-15 -1461 (|#1| |#1|)) (-15 -2713 (|#1| |#1| |#1|)) (-15 -4491 (|#1| (-1 (-141) |#2| |#2|) |#1| |#1|)) (-15 -4076 ((-141) (-1 (-141) |#2| |#2|) |#1|)) (-15 -1721 ((-592) (-1 (-141) |#2|) |#1|)) (-15 -1721 ((-592) |#2| |#1|)) (-15 -1721 ((-592) |#2| |#1| (-592))) (-15 -4491 (|#1| |#1| |#1|)) (-15 -4076 ((-141) |#1|)) (-15 -2385 (|#1| |#1| |#1| (-592))) (-15 -2512 (|#1| |#1|)) (-15 -2831 (|#1| (-1 (-141) |#2| |#2|) |#1|)) (-15 -2831 (|#1| |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3657 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -4050 ((-3 |#2| "failed") (-1 (-141) |#2|) |#1|)) (-15 -3242 (|#1| (-790) |#2|)) (-15 -2731 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4599 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-1915 ((|#1| $) 62)) (-3188 (($ $) 64)) (-3898 (((-1285) $ (-592) (-592)) 94 (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) 49 (|has| $ (-6 -4626)))) (-4076 (((-141) $) 136 (|has| |#1| (-869))) (((-141) (-1 (-141) |#1| |#1|) $) 130)) (-2831 (($ $) 140 (-12 (|has| |#1| (-869)) (|has| $ (-6 -4626)))) (($ (-1 (-141) |#1| |#1|) $) 139 (|has| $ (-6 -4626)))) (-3960 (($ $) 135 (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $) 129)) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-3153 (($ $ $) 53 (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) 51 (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) 55 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4626))) (($ $ "rest" $) 52 (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 114 (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) 83 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-4125 (($ (-1 (-141) |#1|) $) 123)) (-3113 (($ (-1 (-141) |#1|) $) 99 (|has| $ (-6 -4625)))) (-1765 ((|#1| $) 63)) (-3001 (($) 7 T CONST)) (-2512 (($ $) 138 (|has| $ (-6 -4626)))) (-1373 (($ $) 128)) (-1366 (($ $) 70) (($ $ (-790)) 68)) (-1461 (($ $) 125 (|has| |#1| (-1119)))) (-1360 (($ $) 96 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 124 (|has| |#1| (-1119))) (($ (-1 (-141) |#1|) $) 119)) (-4459 (($ (-1 (-141) |#1|) $) 100 (|has| $ (-6 -4625))) (($ |#1| $) 97 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1426 ((|#1| $ (-592) |#1|) 82 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 84)) (-3868 (((-141) $) 80)) (-1721 (((-592) |#1| $ (-592)) 133 (|has| |#1| (-1119))) (((-592) |#1| $) 132 (|has| |#1| (-1119))) (((-592) (-1 (-141) |#1|) $) 131)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-3242 (($ (-790) |#1|) 105)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 92 (|has| (-592) (-869)))) (-1837 (($ $ $) 141 (|has| |#1| (-869)))) (-2713 (($ $ $) 126 (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) 122)) (-4491 (($ $ $) 134 (|has| |#1| (-869))) (($ (-1 (-141) |#1| |#1|) $ $) 127)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 91 (|has| (-592) (-869)))) (-3319 (($ $ $) 142 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1333 (($ |#1|) 116)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4255 ((|#1| $) 67) (($ $ (-790)) 65)) (-2113 (($ $ $ (-592)) 121) (($ |#1| $ (-592)) 120)) (-3666 (($ $ $ (-592)) 113) (($ |#1| $ (-592)) 112)) (-3708 (((-658 (-592)) $) 89)) (-3780 (((-141) (-592) $) 88)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 73) (($ $ (-790)) 71)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 103)) (-1892 (($ $ |#1|) 93 (|has| $ (-6 -4626)))) (-2955 (((-141) $) 81)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 90 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 87)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1246 (-592))) 109) ((|#1| $ (-592)) 86) ((|#1| $ (-592) |#1|) 85)) (-2920 (((-592) $ $) 41)) (-4113 (($ $ (-1246 (-592))) 118) (($ $ (-592)) 117)) (-3208 (($ $ (-1246 (-592))) 111) (($ $ (-592)) 110)) (-3228 (((-141) $) 43)) (-2399 (($ $) 59)) (-1337 (($ $) 56 (|has| $ (-6 -4626)))) (-3318 (((-790) $) 60)) (-3184 (($ $) 61)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 137 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 95 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 104)) (-3619 (($ $ $) 58) (($ $ |#1|) 57)) (-2266 (($ $ $) 75) (($ |#1| $) 74) (($ (-658 $)) 107) (($ $ |#1|) 106)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 144 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 145 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-3279 (((-141) $ $) 143 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 146 (|has| |#1| (-869)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-683 |#1|) (-1311) (-1225)) (T -683)) 
-((-1333 (*1 *1 *2) (-12 (-4 *1 (-683 *2)) (-4 *2 (-1225))))) 
-(-13 (-1163 |t#1|) (-399 |t#1|) (-299 |t#1|) (-10 -8 (-15 -1333 ($ |t#1|)))) 
-(((-39) . T) ((-125) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-632 (-877)) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-299 |#1|) . T) ((-399 |#1|) . T) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-869) |has| |#1| (-869)) ((-1038 |#1|) . T) ((-1119) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-1163 |#1|) . T) ((-1225) . T) ((-1267 |#1|) . T)) 
-((-4005 (((-658 (-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|))))) (-658 (-658 |#1|)) (-658 (-1280 |#1|))) 21) (((-658 (-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|))))) (-706 |#1|) (-658 (-1280 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-658 (-658 |#1|)) (-1280 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-706 |#1|) (-1280 |#1|)) 13)) (-4175 (((-790) (-706 |#1|) (-1280 |#1|)) 29)) (-3993 (((-3 (-1280 |#1|) "failed") (-706 |#1|) (-1280 |#1|)) 23)) (-3817 (((-141) (-706 |#1|) (-1280 |#1|)) 26))) 
-(((-684 |#1|) (-10 -7 (-15 -4005 ((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-706 |#1|) (-1280 |#1|))) (-15 -4005 ((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-658 (-658 |#1|)) (-1280 |#1|))) (-15 -4005 ((-658 (-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|))))) (-706 |#1|) (-658 (-1280 |#1|)))) (-15 -4005 ((-658 (-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|))))) (-658 (-658 |#1|)) (-658 (-1280 |#1|)))) (-15 -3993 ((-3 (-1280 |#1|) "failed") (-706 |#1|) (-1280 |#1|))) (-15 -3817 ((-141) (-706 |#1|) (-1280 |#1|))) (-15 -4175 ((-790) (-706 |#1|) (-1280 |#1|)))) (-388)) (T -684)) 
-((-4175 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)) (-4 *5 (-388)) (-5 *2 (-790)) (-5 *1 (-684 *5)))) (-3817 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)) (-4 *5 (-388)) (-5 *2 (-141)) (-5 *1 (-684 *5)))) (-3993 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1280 *4)) (-5 *3 (-706 *4)) (-4 *4 (-388)) (-5 *1 (-684 *4)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 *5))) (-4 *5 (-388)) (-5 *2 (-658 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5)))))) (-5 *1 (-684 *5)) (-5 *4 (-658 (-1280 *5))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-4 *5 (-388)) (-5 *2 (-658 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5)))))) (-5 *1 (-684 *5)) (-5 *4 (-658 (-1280 *5))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 *5))) (-4 *5 (-388)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5))))) (-5 *1 (-684 *5)) (-5 *4 (-1280 *5)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5))))) (-5 *1 (-684 *5)) (-5 *4 (-1280 *5))))) 
-(-10 -7 (-15 -4005 ((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-706 |#1|) (-1280 |#1|))) (-15 -4005 ((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-658 (-658 |#1|)) (-1280 |#1|))) (-15 -4005 ((-658 (-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|))))) (-706 |#1|) (-658 (-1280 |#1|)))) (-15 -4005 ((-658 (-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|))))) (-658 (-658 |#1|)) (-658 (-1280 |#1|)))) (-15 -3993 ((-3 (-1280 |#1|) "failed") (-706 |#1|) (-1280 |#1|))) (-15 -3817 ((-141) (-706 |#1|) (-1280 |#1|))) (-15 -4175 ((-790) (-706 |#1|) (-1280 |#1|)))) 
-((-4005 (((-658 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|)))) |#4| (-658 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|))) |#4| |#3|) 45)) (-4175 (((-790) |#4| |#3|) 17)) (-3993 (((-3 |#3| "failed") |#4| |#3|) 20)) (-3817 (((-141) |#4| |#3|) 13))) 
-(((-685 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4005 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|))) |#4| |#3|)) (-15 -4005 ((-658 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|)))) |#4| (-658 |#3|))) (-15 -3993 ((-3 |#3| "failed") |#4| |#3|)) (-15 -3817 ((-141) |#4| |#3|)) (-15 -4175 ((-790) |#4| |#3|))) (-388) (-13 (-399 |#1|) (-10 -7 (-6 -4626))) (-13 (-399 |#1|) (-10 -7 (-6 -4626))) (-704 |#1| |#2| |#3|)) (T -685)) 
-((-4175 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-790)) (-5 *1 (-685 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4)))) (-3817 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-141)) (-5 *1 (-685 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4)))) (-3993 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-388)) (-4 *5 (-13 (-399 *4) (-10 -7 (-6 -4626)))) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626)))) (-5 *1 (-685 *4 *5 *2 *3)) (-4 *3 (-704 *4 *5 *2)))) (-4005 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *7 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-658 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -2195 (-658 *7))))) (-5 *1 (-685 *5 *6 *7 *3)) (-5 *4 (-658 *7)) (-4 *3 (-704 *5 *6 *7)))) (-4005 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-685 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4))))) 
-(-10 -7 (-15 -4005 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|))) |#4| |#3|)) (-15 -4005 ((-658 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|)))) |#4| (-658 |#3|))) (-15 -3993 ((-3 |#3| "failed") |#4| |#3|)) (-15 -3817 ((-141) |#4| |#3|)) (-15 -4175 ((-790) |#4| |#3|))) 
-((-3112 (((-2 (|:| |particular| (-3 (-1280 (-433 |#4|)) "failed")) (|:| -2195 (-658 (-1280 (-433 |#4|))))) (-658 |#4|) (-658 |#3|)) 44))) 
-(((-686 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3112 ((-2 (|:| |particular| (-3 (-1280 (-433 |#4|)) "failed")) (|:| -2195 (-658 (-1280 (-433 |#4|))))) (-658 |#4|) (-658 |#3|)))) (-582) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -686)) 
-((-3112 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *7)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 (-433 *8)) "failed")) (|:| -2195 (-658 (-1280 (-433 *8)))))) (-5 *1 (-686 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -3112 ((-2 (|:| |particular| (-3 (-1280 (-433 |#4|)) "failed")) (|:| -2195 (-658 (-1280 (-433 |#4|))))) (-658 |#4|) (-658 |#3|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4509 (((-3 $ "failed")) NIL (|has| |#2| (-582)))) (-4529 ((|#2| $) NIL)) (-4034 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4061 (((-1280 (-706 |#2|))) NIL) (((-1280 (-706 |#2|)) (-1280 $)) NIL)) (-3120 (((-141) $) NIL)) (-3360 (((-1280 $)) 37)) (-2126 (((-141) $ (-790)) NIL)) (-3223 (($ |#2|) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| |#2| (-323)))) (-2747 (((-254 |#1| |#2|) $ (-592)) NIL)) (-2604 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (|has| |#2| (-582)))) (-2661 (((-3 $ "failed")) NIL (|has| |#2| (-582)))) (-1951 (((-706 |#2|)) NIL) (((-706 |#2|) (-1280 $)) NIL)) (-4282 ((|#2| $) NIL)) (-2302 (((-706 |#2|) $) NIL) (((-706 |#2|) $ (-1280 $)) NIL)) (-2503 (((-3 $ "failed") $) NIL (|has| |#2| (-582)))) (-2120 (((-1187 (-980 |#2|))) NIL (|has| |#2| (-388)))) (-2111 (($ $ (-944)) NIL)) (-1431 ((|#2| $) NIL)) (-3916 (((-1187 |#2|) $) NIL (|has| |#2| (-582)))) (-1874 ((|#2|) NIL) ((|#2| (-1280 $)) NIL)) (-1582 (((-1187 |#2|) $) NIL)) (-4194 (((-141)) NIL)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 |#2| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) ((|#2| $) NIL)) (-1626 (($ (-1280 |#2|)) NIL) (($ (-1280 |#2|) (-1280 $)) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4175 (((-790) $) NIL (|has| |#2| (-582))) (((-944)) 38)) (-3959 ((|#2| $ (-592) (-592)) NIL)) (-2169 (((-141)) NIL)) (-1833 (($ $ (-944)) NIL)) (-4004 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL)) (-3178 (((-790) $) NIL (|has| |#2| (-582)))) (-3555 (((-658 (-254 |#1| |#2|)) $) NIL (|has| |#2| (-582)))) (-4292 (((-790) $) NIL)) (-3700 (((-141)) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-3781 ((|#2| $) NIL (|has| |#2| (-6 (-4627 "*"))))) (-4577 (((-592) $) NIL)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1898 (((-592) $) NIL)) (-3005 (((-592) $) NIL)) (-4186 (($ (-658 (-658 |#2|))) NIL)) (-3987 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-4601 (((-658 (-658 |#2|)) $) NIL)) (-2973 (((-141)) NIL)) (-2467 (((-141)) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-1563 (((-3 (-2 (|:| |particular| $) (|:| -2195 (-658 $))) "failed")) NIL (|has| |#2| (-582)))) (-3994 (((-3 $ "failed")) NIL (|has| |#2| (-582)))) (-2794 (((-706 |#2|)) NIL) (((-706 |#2|) (-1280 $)) NIL)) (-1869 ((|#2| $) NIL)) (-1802 (((-706 |#2|) $) NIL) (((-706 |#2|) $ (-1280 $)) NIL)) (-4158 (((-3 $ "failed") $) NIL (|has| |#2| (-582)))) (-3004 (((-1187 (-980 |#2|))) NIL (|has| |#2| (-388)))) (-2682 (($ $ (-944)) NIL)) (-3061 ((|#2| $) NIL)) (-2013 (((-1187 |#2|) $) NIL (|has| |#2| (-582)))) (-3030 ((|#2|) NIL) ((|#2| (-1280 $)) NIL)) (-2397 (((-1187 |#2|) $) NIL)) (-3847 (((-141)) NIL)) (-2685 (((-1173) $) NIL)) (-4106 (((-141)) NIL)) (-2339 (((-141)) NIL)) (-2297 (((-141)) NIL)) (-3183 (((-3 $ "failed") $) NIL (|has| |#2| (-388)))) (-2951 (((-1137) $) NIL)) (-2716 (((-141)) NIL)) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582)))) (-3002 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ (-592) (-592) |#2|) NIL) ((|#2| $ (-592) (-592)) 22) ((|#2| $ (-592)) NIL)) (-3644 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $) NIL (|has| |#2| (-247)))) (-2236 ((|#2| $) NIL)) (-2933 (($ (-658 |#2|)) NIL)) (-2940 (((-141) $) NIL)) (-1332 (((-254 |#1| |#2|) $) NIL)) (-1625 ((|#2| $) NIL (|has| |#2| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4599 (($ $) NIL)) (-2231 (((-706 |#2|) (-1280 $)) NIL) (((-1280 |#2|) $) NIL) (((-706 |#2|) (-1280 $) (-1280 $)) NIL) (((-1280 |#2|) $ (-1280 $)) 25)) (-1778 (($ (-1280 |#2|)) NIL) (((-1280 |#2|) $) NIL)) (-1473 (((-658 (-980 |#2|))) NIL) (((-658 (-980 |#2|)) (-1280 $)) NIL)) (-2131 (($ $ $) NIL)) (-3545 (((-141)) NIL)) (-2000 (((-254 |#1| |#2|) $ (-592)) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#2| (-1065 (-433 (-592))))) (($ |#2|) NIL) (((-706 |#2|) $) NIL)) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) 36)) (-3664 (((-658 (-1280 |#2|))) NIL (|has| |#2| (-582)))) (-3667 (($ $ $ $) NIL)) (-1516 (((-141)) NIL)) (-4572 (($ (-706 |#2|) $) NIL)) (-3369 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-2844 (($ $ $) NIL)) (-3135 (((-141)) NIL)) (-2723 (((-141)) NIL)) (-2359 (((-141)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $) NIL (|has| |#2| (-247)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#2| (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-254 |#1| |#2|) $ (-254 |#1| |#2|)) NIL) (((-254 |#1| |#2|) (-254 |#1| |#2|) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-687 |#1| |#2|) (-13 (-1140 |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) (-632 (-706 |#2|)) (-443 |#2|)) (-944) (-194)) (T -687)) 
-NIL 
-(-13 (-1140 |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) (-632 (-706 |#2|)) (-443 |#2|)) 
-((-1641 (((-141) $ $) NIL)) (-2692 (((-658 |#1|) $) NIL)) (-1954 (($ $) 50)) (-3461 (((-141) $) NIL)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-4505 (((-3 $ "failed") (-841 |#1|)) 22)) (-3062 (((-141) (-841 |#1|)) 14)) (-2876 (($ (-841 |#1|)) 23)) (-3547 (((-141) $ $) 28)) (-4233 (((-944) $) 35)) (-1961 (($ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4500 (((-658 $) (-841 |#1|)) 16)) (-1683 (((-877) $) 41) (($ |#1|) 32) (((-841 |#1|) $) 37) (((-693 |#1|) $) 42)) (-3701 (((-64 (-658 $)) (-658 |#1|) (-944)) 55)) (-3733 (((-658 $) (-658 |#1|) (-944)) 57)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 51)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 36))) 
-(((-688 |#1|) (-13 (-869) (-1065 |#1|) (-10 -8 (-15 -3461 ((-141) $)) (-15 -1961 ($ $)) (-15 -1954 ($ $)) (-15 -4233 ((-944) $)) (-15 -3547 ((-141) $ $)) (-15 -1683 ((-841 |#1|) $)) (-15 -1683 ((-693 |#1|) $)) (-15 -4500 ((-658 $) (-841 |#1|))) (-15 -3062 ((-141) (-841 |#1|))) (-15 -2876 ($ (-841 |#1|))) (-15 -4505 ((-3 $ "failed") (-841 |#1|))) (-15 -2692 ((-658 |#1|) $)) (-15 -3701 ((-64 (-658 $)) (-658 |#1|) (-944))) (-15 -3733 ((-658 $) (-658 |#1|) (-944))))) (-869)) (T -688)) 
-((-3461 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) (-1961 (*1 *1 *1) (-12 (-5 *1 (-688 *2)) (-4 *2 (-869)))) (-1954 (*1 *1 *1) (-12 (-5 *1 (-688 *2)) (-4 *2 (-869)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-944)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) (-3547 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-841 *3)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-693 *3)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) (-4500 (*1 *2 *3) (-12 (-5 *3 (-841 *4)) (-4 *4 (-869)) (-5 *2 (-658 (-688 *4))) (-5 *1 (-688 *4)))) (-3062 (*1 *2 *3) (-12 (-5 *3 (-841 *4)) (-4 *4 (-869)) (-5 *2 (-141)) (-5 *1 (-688 *4)))) (-2876 (*1 *1 *2) (-12 (-5 *2 (-841 *3)) (-4 *3 (-869)) (-5 *1 (-688 *3)))) (-4505 (*1 *1 *2) (|partial| -12 (-5 *2 (-841 *3)) (-4 *3 (-869)) (-5 *1 (-688 *3)))) (-2692 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) (-3701 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-944)) (-4 *5 (-869)) (-5 *2 (-64 (-658 (-688 *5)))) (-5 *1 (-688 *5)))) (-3733 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-944)) (-4 *5 (-869)) (-5 *2 (-658 (-688 *5))) (-5 *1 (-688 *5))))) 
-(-13 (-869) (-1065 |#1|) (-10 -8 (-15 -3461 ((-141) $)) (-15 -1961 ($ $)) (-15 -1954 ($ $)) (-15 -4233 ((-944) $)) (-15 -3547 ((-141) $ $)) (-15 -1683 ((-841 |#1|) $)) (-15 -1683 ((-693 |#1|) $)) (-15 -4500 ((-658 $) (-841 |#1|))) (-15 -3062 ((-141) (-841 |#1|))) (-15 -2876 ($ (-841 |#1|))) (-15 -4505 ((-3 $ "failed") (-841 |#1|))) (-15 -2692 ((-658 |#1|) $)) (-15 -3701 ((-64 (-658 $)) (-658 |#1|) (-944))) (-15 -3733 ((-658 $) (-658 |#1|) (-944))))) 
-((-2324 ((|#2| $) 76)) (-3188 (($ $) 96)) (-2126 (((-141) $ (-790)) 26)) (-1366 (($ $) 85) (($ $ (-790)) 88)) (-3868 (((-141) $) 97)) (-2774 (((-658 $) $) 72)) (-3055 (((-141) $ $) 71)) (-4345 (((-141) $ (-790)) 24)) (-2261 (((-592) $) 46)) (-1813 (((-592) $) 45)) (-2554 (((-141) $ (-790)) 22)) (-3683 (((-141) $) 74)) (-4255 ((|#2| $) 89) (($ $ (-790)) 92)) (-3666 (($ $ $ (-592)) 62) (($ |#2| $ (-592)) 61)) (-3708 (((-658 (-592)) $) 44)) (-3780 (((-141) (-592) $) 42)) (-1918 ((|#2| $) NIL) (($ $ (-790)) 84)) (-2807 (($ $ (-592)) 99)) (-2955 (((-141) $) 98)) (-3002 (((-141) (-1 (-141) |#2|) $) 32)) (-4210 (((-658 |#2|) $) 33)) (-3927 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1246 (-592))) 58) ((|#2| $ (-592)) 40) ((|#2| $ (-592) |#2|) 41)) (-2920 (((-592) $ $) 70)) (-3208 (($ $ (-1246 (-592))) 57) (($ $ (-592)) 51)) (-3228 (((-141) $) 66)) (-2399 (($ $) 81)) (-3318 (((-790) $) 80)) (-3184 (($ $) 79)) (-4466 (($ (-658 |#2|)) 37)) (-1700 (($ $) 100)) (-2493 (((-658 $) $) 69)) (-2936 (((-141) $ $) 68)) (-3369 (((-141) (-1 (-141) |#2|) $) 31)) (-3255 (((-141) $ $) 18)) (-1699 (((-790) $) 29))) 
-(((-689 |#1| |#2|) (-10 -8 (-15 -1700 (|#1| |#1|)) (-15 -2807 (|#1| |#1| (-592))) (-15 -3868 ((-141) |#1|)) (-15 -2955 ((-141) |#1|)) (-15 -3927 (|#2| |#1| (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592))) (-15 -4210 ((-658 |#2|) |#1|)) (-15 -3780 ((-141) (-592) |#1|)) (-15 -3708 ((-658 (-592)) |#1|)) (-15 -1813 ((-592) |#1|)) (-15 -2261 ((-592) |#1|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -3208 (|#1| |#1| (-592))) (-15 -3208 (|#1| |#1| (-1246 (-592)))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -2399 (|#1| |#1|)) (-15 -3318 ((-790) |#1|)) (-15 -3184 (|#1| |#1|)) (-15 -3188 (|#1| |#1|)) (-15 -4255 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "last")) (-15 -4255 (|#2| |#1|)) (-15 -1366 (|#1| |#1| (-790))) (-15 -3927 (|#1| |#1| "rest")) (-15 -1366 (|#1| |#1|)) (-15 -1918 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "first")) (-15 -1918 (|#2| |#1|)) (-15 -3055 ((-141) |#1| |#1|)) (-15 -2936 ((-141) |#1| |#1|)) (-15 -2920 ((-592) |#1| |#1|)) (-15 -3228 ((-141) |#1|)) (-15 -3927 (|#2| |#1| "value")) (-15 -2324 (|#2| |#1|)) (-15 -3683 ((-141) |#1|)) (-15 -2774 ((-658 |#1|) |#1|)) (-15 -2493 ((-658 |#1|) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790)))) (-690 |#2|) (-1225)) (T -689)) 
-NIL 
-(-10 -8 (-15 -1700 (|#1| |#1|)) (-15 -2807 (|#1| |#1| (-592))) (-15 -3868 ((-141) |#1|)) (-15 -2955 ((-141) |#1|)) (-15 -3927 (|#2| |#1| (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592))) (-15 -4210 ((-658 |#2|) |#1|)) (-15 -3780 ((-141) (-592) |#1|)) (-15 -3708 ((-658 (-592)) |#1|)) (-15 -1813 ((-592) |#1|)) (-15 -2261 ((-592) |#1|)) (-15 -4466 (|#1| (-658 |#2|))) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -3208 (|#1| |#1| (-592))) (-15 -3208 (|#1| |#1| (-1246 (-592)))) (-15 -3666 (|#1| |#2| |#1| (-592))) (-15 -3666 (|#1| |#1| |#1| (-592))) (-15 -2399 (|#1| |#1|)) (-15 -3318 ((-790) |#1|)) (-15 -3184 (|#1| |#1|)) (-15 -3188 (|#1| |#1|)) (-15 -4255 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "last")) (-15 -4255 (|#2| |#1|)) (-15 -1366 (|#1| |#1| (-790))) (-15 -3927 (|#1| |#1| "rest")) (-15 -1366 (|#1| |#1|)) (-15 -1918 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "first")) (-15 -1918 (|#2| |#1|)) (-15 -3055 ((-141) |#1| |#1|)) (-15 -2936 ((-141) |#1| |#1|)) (-15 -2920 ((-592) |#1| |#1|)) (-15 -3228 ((-141) |#1|)) (-15 -3927 (|#2| |#1| "value")) (-15 -2324 (|#2| |#1|)) (-15 -3683 ((-141) |#1|)) (-15 -2774 ((-658 |#1|) |#1|)) (-15 -2493 ((-658 |#1|) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -3002 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#2|) |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790)))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-1915 ((|#1| $) 62)) (-3188 (($ $) 64)) (-3898 (((-1285) $ (-592) (-592)) 94 (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) 49 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-3153 (($ $ $) 53 (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) 51 (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) 55 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4626))) (($ $ "rest" $) 52 (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 114 (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) 83 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 99)) (-1765 ((|#1| $) 63)) (-3001 (($) 7 T CONST)) (-4083 (($ $) 118)) (-1366 (($ $) 70) (($ $ (-790)) 68)) (-1360 (($ $) 96 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 97 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 100)) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1426 ((|#1| $ (-592) |#1|) 82 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 84)) (-3868 (((-141) $) 80)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4219 (((-790) $) 117)) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-3242 (($ (-790) |#1|) 105)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 92 (|has| (-592) (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 91 (|has| (-592) (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-1640 (($ $) 120)) (-1323 (((-141) $) 121)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4255 ((|#1| $) 67) (($ $ (-790)) 65)) (-3666 (($ $ $ (-592)) 113) (($ |#1| $ (-592)) 112)) (-3708 (((-658 (-592)) $) 89)) (-3780 (((-141) (-592) $) 88)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-4479 ((|#1| $) 119)) (-1918 ((|#1| $) 73) (($ $ (-790)) 71)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 103)) (-1892 (($ $ |#1|) 93 (|has| $ (-6 -4626)))) (-2807 (($ $ (-592)) 116)) (-2955 (((-141) $) 81)) (-2393 (((-141) $) 122)) (-3630 (((-141) $) 123)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 90 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 87)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1246 (-592))) 109) ((|#1| $ (-592)) 86) ((|#1| $ (-592) |#1|) 85)) (-2920 (((-592) $ $) 41)) (-3208 (($ $ (-1246 (-592))) 111) (($ $ (-592)) 110)) (-3228 (((-141) $) 43)) (-2399 (($ $) 59)) (-1337 (($ $) 56 (|has| $ (-6 -4626)))) (-3318 (((-790) $) 60)) (-3184 (($ $) 61)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 95 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 104)) (-3619 (($ $ $) 58 (|has| $ (-6 -4626))) (($ $ |#1|) 57 (|has| $ (-6 -4626)))) (-2266 (($ $ $) 75) (($ |#1| $) 74) (($ (-658 $)) 107) (($ $ |#1|) 106)) (-1700 (($ $) 115)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-690 |#1|) (-1311) (-1225)) (T -690)) 
-((-4459 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-690 *3)) (-4 *3 (-1225)))) (-3113 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-690 *3)) (-4 *3 (-1225)))) (-3630 (*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) (-2393 (*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) (-1323 (*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) (-1640 (*1 *1 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225)))) (-4479 (*1 *2 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225)))) (-4083 (*1 *1 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225)))) (-4219 (*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) (-2807 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-690 *3)) (-4 *3 (-1225)))) (-1700 (*1 *1 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225))))) 
-(-13 (-1163 |t#1|) (-10 -8 (-15 -4459 ($ (-1 (-141) |t#1|) $)) (-15 -3113 ($ (-1 (-141) |t#1|) $)) (-15 -3630 ((-141) $)) (-15 -2393 ((-141) $)) (-15 -1323 ((-141) $)) (-15 -1640 ($ $)) (-15 -4479 (|t#1| $)) (-15 -4083 ($ $)) (-15 -4219 ((-790) $)) (-15 -2807 ($ $ (-592))) (-15 -1700 ($ $)))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1163 |#1|) . T) ((-1225) . T) ((-1267 |#1|) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1621 (($ (-790) (-790) (-790)) 32 (|has| |#1| (-1075)))) (-2126 (((-141) $ (-790)) NIL)) (-2586 ((|#1| $ (-790) (-790) (-790) |#1|) 27)) (-3001 (($) NIL T CONST)) (-2119 (($ $ $) 36 (|has| |#1| (-1075)))) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3101 (((-1280 (-790)) $) 8)) (-2100 (($ (-1191) $ $) 22)) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2637 (($ (-790)) 34 (|has| |#1| (-1075)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-790) (-790) (-790)) 25)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-4466 (($ (-658 (-658 (-658 |#1|)))) 43)) (-1683 (((-877) $) NIL (|has| |#1| (-1119))) (($ (-986 (-986 (-986 |#1|)))) 15) (((-986 (-986 (-986 |#1|))) $) 12)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-691 |#1|) (-13 (-523 |#1|) (-10 -8 (IF (|has| |#1| (-1075)) (PROGN (-15 -1621 ($ (-790) (-790) (-790))) (-15 -2637 ($ (-790))) (-15 -2119 ($ $ $))) |noBranch|) (-15 -4466 ($ (-658 (-658 (-658 |#1|))))) (-15 -3927 (|#1| $ (-790) (-790) (-790))) (-15 -2586 (|#1| $ (-790) (-790) (-790) |#1|)) (-15 -1683 ($ (-986 (-986 (-986 |#1|))))) (-15 -1683 ((-986 (-986 (-986 |#1|))) $)) (-15 -2100 ($ (-1191) $ $)) (-15 -3101 ((-1280 (-790)) $)))) (-1119)) (T -691)) 
-((-1621 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-691 *3)) (-4 *3 (-1075)) (-4 *3 (-1119)))) (-2637 (*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-691 *3)) (-4 *3 (-1075)) (-4 *3 (-1119)))) (-2119 (*1 *1 *1 *1) (-12 (-5 *1 (-691 *2)) (-4 *2 (-1075)) (-4 *2 (-1119)))) (-4466 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-658 *3)))) (-4 *3 (-1119)) (-5 *1 (-691 *3)))) (-3927 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-790)) (-5 *1 (-691 *2)) (-4 *2 (-1119)))) (-2586 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-691 *2)) (-4 *2 (-1119)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-986 (-986 (-986 *3)))) (-4 *3 (-1119)) (-5 *1 (-691 *3)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-986 (-986 (-986 *3)))) (-5 *1 (-691 *3)) (-4 *3 (-1119)))) (-2100 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-691 *3)) (-4 *3 (-1119)))) (-3101 (*1 *2 *1) (-12 (-5 *2 (-1280 (-790))) (-5 *1 (-691 *3)) (-4 *3 (-1119))))) 
-(-13 (-523 |#1|) (-10 -8 (IF (|has| |#1| (-1075)) (PROGN (-15 -1621 ($ (-790) (-790) (-790))) (-15 -2637 ($ (-790))) (-15 -2119 ($ $ $))) |noBranch|) (-15 -4466 ($ (-658 (-658 (-658 |#1|))))) (-15 -3927 (|#1| $ (-790) (-790) (-790))) (-15 -2586 (|#1| $ (-790) (-790) (-790) |#1|)) (-15 -1683 ($ (-986 (-986 (-986 |#1|))))) (-15 -1683 ((-986 (-986 (-986 |#1|))) $)) (-15 -2100 ($ (-1191) $ $)) (-15 -3101 ((-1280 (-790)) $)))) 
-((-2272 (((-141) |#1|) 5)) (-2078 (((-1285) |#1| (-1229) (-592) |#2|) 8)) (-3538 ((|#1| |#1| |#1| |#2|) 1)) (-2267 (((-3 |#2| "failed") (-658 (-980 (-592))) (-658 (-1191)) (-592)) 3)) (-3362 ((|SortedExponentVector| (-592) (-592) |#2|) 7)) (-4525 (((-592) |#1|) 6)) (-1992 (((-3 |#1| "failed") |#1| |#2|) 2)) (-4321 ((|#1| (-980 (-592)) (-1191) (-658 (-1191)) |#2|) 4))) 
-(((-692 |#1| |#2|) (-1311) (-1225) (-1225)) (T -692)) 
-((-2078 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1229)) (-5 *5 (-592)) (-4 *1 (-692 *3 *6)) (-4 *3 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1285)))) (-3362 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-592)) (-4 *1 (-692 *5 *4)) (-4 *5 (-1225)) (-4 *4 (-1225)) (-5 *2 |SortedExponentVector|))) (-4525 (*1 *2 *3) (-12 (-4 *1 (-692 *3 *4)) (-4 *3 (-1225)) (-4 *4 (-1225)) (-5 *2 (-592)))) (-2272 (*1 *2 *3) (-12 (-4 *1 (-692 *3 *4)) (-4 *3 (-1225)) (-4 *4 (-1225)) (-5 *2 (-141)))) (-4321 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-980 (-592))) (-5 *5 (-658 (-1191))) (-4 *1 (-692 *2 *6)) (-4 *6 (-1225)) (-5 *4 (-1191)) (-4 *2 (-1225)))) (-2267 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-658 (-1191))) (-5 *5 (-592)) (-4 *1 (-692 *6 *2)) (-4 *6 (-1225)) (-4 *2 (-1225)))) (-1992 (*1 *2 *2 *3) (|partial| -12 (-4 *1 (-692 *2 *3)) (-4 *2 (-1225)) (-4 *3 (-1225)))) (-3538 (*1 *2 *2 *2 *3) (-12 (-4 *1 (-692 *2 *3)) (-4 *2 (-1225)) (-4 *3 (-1225))))) 
-(-13 (-10 -7 (-15 -3538 (|t#1| |t#1| |t#1| |t#2|)) (-15 -1992 ((-3 |t#1| "failed") |t#1| |t#2|)) (-15 -2267 ((-3 |t#2| "failed") (-658 (-980 (-592))) (-658 (-1191)) (-592))) (-15 -4321 (|t#1| (-980 (-592)) (-1191) (-658 (-1191)) |t#2|)) (-15 -2272 ((-141) |t#1|)) (-15 -4525 ((-592) |t#1|)) (-15 -3362 (|SortedExponentVector| (-592) (-592) |t#2|)) (-15 -2078 ((-1285) |t#1| (-1229) (-592) |t#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2692 (((-658 |#1|) $) 14)) (-1954 (($ $) 18)) (-3461 (((-141) $) 19)) (-4368 (((-3 |#1| "failed") $) 22)) (-2400 ((|#1| $) 20)) (-1366 (($ $) 36)) (-4103 (($ $) 24)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-3547 (((-141) $ $) 41)) (-4233 (((-944) $) 38)) (-1961 (($ $) 17)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 ((|#1| $) 35)) (-1683 (((-877) $) 31) (($ |#1|) 23) (((-841 |#1|) $) 27)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 12)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 40)) (* (($ $ $) 34))) 
-(((-693 |#1|) (-13 (-869) (-1065 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -1683 ((-841 |#1|) $)) (-15 -1918 (|#1| $)) (-15 -1961 ($ $)) (-15 -4233 ((-944) $)) (-15 -3547 ((-141) $ $)) (-15 -4103 ($ $)) (-15 -1366 ($ $)) (-15 -3461 ((-141) $)) (-15 -1954 ($ $)) (-15 -2692 ((-658 |#1|) $)))) (-869)) (T -693)) 
-((* (*1 *1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-841 *3)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) (-1918 (*1 *2 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) (-1961 (*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-944)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) (-3547 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) (-4103 (*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) (-1366 (*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) (-1954 (*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) (-2692 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-693 *3)) (-4 *3 (-869))))) 
-(-13 (-869) (-1065 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -1683 ((-841 |#1|) $)) (-15 -1918 (|#1| $)) (-15 -1961 ($ $)) (-15 -4233 ((-944) $)) (-15 -3547 ((-141) $ $)) (-15 -4103 ($ $)) (-15 -1366 ($ $)) (-15 -3461 ((-141) $)) (-15 -1954 ($ $)) (-15 -2692 ((-658 |#1|) $)))) 
-((-1976 (((-658 |#4|) |#4| (-658 (-944))) 72) (((-658 |#4|) |#4| (-944)) 62)) (-4596 ((|#4| (-658 |#4|)) 59)) (-2019 ((|#4| |#4| (-1113 (-944)) (-1113 (-944))) 57) ((|#4| |#4| (-658 (-944)) (-658 (-944))) 54)) (-4274 ((|#4| |#4| (-1113 (-944))) 31) ((|#4| |#4| (-658 (-944))) 30)) (-4564 (((-658 |#4|) |#4| (-658 (-944))) 74) (((-658 |#4|) |#4| (-944)) 73)) (-2083 ((|#4| (-658 |#4|)) 58)) (-4077 ((|#4| |#4| (-944) (-944)) 20)) (-2933 ((|#4| |#4|) 45) ((|#4| |#4| (-592)) 44)) (-2712 ((|#4| |#4| (-1113 (-944))) 37) ((|#4| |#4| (-658 (-944))) 36)) (-1964 (((-658 (-658 |#4|)) |#4| (-658 (-944)) (-658 (-944))) 78) (((-658 (-658 |#4|)) |#4| (-944) (-658 (-944))) 77) (((-658 (-658 |#4|)) |#4| (-658 (-944)) (-944)) 76) (((-658 (-658 |#4|)) |#4| (-944) (-944)) 75)) (-3582 ((|#4| (-658 (-658 |#4|))) 53)) (-3075 ((|#4| |#4| (-1113 (-592))) 51) ((|#4| |#4| (-658 (-592))) 48)) (-2347 ((|#4| |#4| (-944)) 24)) (-1602 ((|#4| |#4| (-944)) 34))) 
-(((-694 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4077 (|#4| |#4| (-944) (-944))) (-15 -2347 (|#4| |#4| (-944))) (-15 -4274 (|#4| |#4| (-658 (-944)))) (-15 -4274 (|#4| |#4| (-1113 (-944)))) (-15 -1602 (|#4| |#4| (-944))) (-15 -2712 (|#4| |#4| (-658 (-944)))) (-15 -2712 (|#4| |#4| (-1113 (-944)))) (-15 -2019 (|#4| |#4| (-658 (-944)) (-658 (-944)))) (-15 -2019 (|#4| |#4| (-1113 (-944)) (-1113 (-944)))) (-15 -2933 (|#4| |#4| (-592))) (-15 -2933 (|#4| |#4|)) (-15 -3075 (|#4| |#4| (-658 (-592)))) (-15 -3075 (|#4| |#4| (-1113 (-592)))) (-15 -2083 (|#4| (-658 |#4|))) (-15 -4596 (|#4| (-658 |#4|))) (-15 -3582 (|#4| (-658 (-658 |#4|)))) (-15 -1976 ((-658 |#4|) |#4| (-944))) (-15 -1976 ((-658 |#4|) |#4| (-658 (-944)))) (-15 -4564 ((-658 |#4|) |#4| (-944))) (-15 -4564 ((-658 |#4|) |#4| (-658 (-944)))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-944) (-944))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-658 (-944)) (-944))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-944) (-658 (-944)))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-658 (-944)) (-658 (-944))))) (-388) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|)) (T -694)) 
-((-1964 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-658 (-944))) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) (-1964 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-658 (-944))) (-5 *4 (-944)) (-4 *6 (-388)) (-4 *7 (-399 *6)) (-4 *8 (-399 *6)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *6 *7 *8 *3)) (-4 *3 (-704 *6 *7 *8)))) (-1964 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-944))) (-5 *5 (-944)) (-4 *6 (-388)) (-4 *7 (-399 *6)) (-4 *8 (-399 *6)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *6 *7 *8 *3)) (-4 *3 (-704 *6 *7 *8)))) (-1964 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) (-4564 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-944))) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) (-4564 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) (-1976 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-944))) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) (-1976 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) (-3582 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 *2))) (-4 *4 (-388)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) (-4596 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *4 (-388)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) (-2083 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *4 (-388)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) (-3075 (*1 *2 *2 *3) (-12 (-5 *3 (-1113 (-592))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-3075 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-592))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-2933 (*1 *2 *2) (-12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-694 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-2933 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-2019 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1113 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-2019 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-658 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-2712 (*1 *2 *2 *3) (-12 (-5 *3 (-1113 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-2712 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-1602 (*1 *2 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-4274 (*1 *2 *2 *3) (-12 (-5 *3 (-1113 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-4274 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-2347 (*1 *2 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-4077 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(-10 -7 (-15 -4077 (|#4| |#4| (-944) (-944))) (-15 -2347 (|#4| |#4| (-944))) (-15 -4274 (|#4| |#4| (-658 (-944)))) (-15 -4274 (|#4| |#4| (-1113 (-944)))) (-15 -1602 (|#4| |#4| (-944))) (-15 -2712 (|#4| |#4| (-658 (-944)))) (-15 -2712 (|#4| |#4| (-1113 (-944)))) (-15 -2019 (|#4| |#4| (-658 (-944)) (-658 (-944)))) (-15 -2019 (|#4| |#4| (-1113 (-944)) (-1113 (-944)))) (-15 -2933 (|#4| |#4| (-592))) (-15 -2933 (|#4| |#4|)) (-15 -3075 (|#4| |#4| (-658 (-592)))) (-15 -3075 (|#4| |#4| (-1113 (-592)))) (-15 -2083 (|#4| (-658 |#4|))) (-15 -4596 (|#4| (-658 |#4|))) (-15 -3582 (|#4| (-658 (-658 |#4|)))) (-15 -1976 ((-658 |#4|) |#4| (-944))) (-15 -1976 ((-658 |#4|) |#4| (-658 (-944)))) (-15 -4564 ((-658 |#4|) |#4| (-944))) (-15 -4564 ((-658 |#4|) |#4| (-658 (-944)))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-944) (-944))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-658 (-944)) (-944))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-944) (-658 (-944)))) (-15 -1964 ((-658 (-658 |#4|)) |#4| (-658 (-944)) (-658 (-944))))) 
-((-1715 ((|#1| (-1 |#1| (-790) |#1|) (-790) |#1|) 11)) (-3154 ((|#1| (-1 |#1| |#1|) (-790) |#1|) 9))) 
-(((-695 |#1|) (-10 -7 (-15 -3154 (|#1| (-1 |#1| |#1|) (-790) |#1|)) (-15 -1715 (|#1| (-1 |#1| (-790) |#1|) (-790) |#1|))) (-1119)) (T -695)) 
-((-1715 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-790) *2)) (-5 *4 (-790)) (-4 *2 (-1119)) (-5 *1 (-695 *2)))) (-3154 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-790)) (-4 *2 (-1119)) (-5 *1 (-695 *2))))) 
-(-10 -7 (-15 -3154 (|#1| (-1 |#1| |#1|) (-790) |#1|)) (-15 -1715 (|#1| (-1 |#1| (-790) |#1|) (-790) |#1|))) 
-((-3854 ((|#2| |#1| |#2|) 9)) (-3849 ((|#1| |#1| |#2|) 8))) 
-(((-696 |#1| |#2|) (-10 -7 (-15 -3849 (|#1| |#1| |#2|)) (-15 -3854 (|#2| |#1| |#2|))) (-1119) (-1119)) (T -696)) 
-((-3854 (*1 *2 *3 *2) (-12 (-5 *1 (-696 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) (-3849 (*1 *2 *2 *3) (-12 (-5 *1 (-696 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(-10 -7 (-15 -3849 (|#1| |#1| |#2|)) (-15 -3854 (|#2| |#1| |#2|))) 
-((-4030 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
-(((-697 |#1| |#2| |#3|) (-10 -7 (-15 -4030 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1119) (-1119) (-1119)) (T -697)) 
-((-4030 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)) (-5 *1 (-697 *5 *6 *2))))) 
-(-10 -7 (-15 -4030 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
-((-1715 (((-1 |#1| (-790) |#1|) (-1 |#1| (-790) |#1|)) 23)) (-2984 (((-1 |#1|) |#1|) 8)) (-4547 ((|#1| |#1|) 16)) (-4531 (((-658 |#1|) (-1 (-658 |#1|) (-658 |#1|)) (-592)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-1683 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-790)) 20))) 
-(((-698 |#1|) (-10 -7 (-15 -2984 ((-1 |#1|) |#1|)) (-15 -1683 ((-1 |#1|) |#1|)) (-15 -4531 (|#1| (-1 |#1| |#1|))) (-15 -4531 ((-658 |#1|) (-1 (-658 |#1|) (-658 |#1|)) (-592))) (-15 -4547 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-790))) (-15 -1715 ((-1 |#1| (-790) |#1|) (-1 |#1| (-790) |#1|)))) (-1119)) (T -698)) 
-((-1715 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-790) *3)) (-4 *3 (-1119)) (-5 *1 (-698 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-790)) (-4 *4 (-1119)) (-5 *1 (-698 *4)))) (-4547 (*1 *2 *2) (-12 (-5 *1 (-698 *2)) (-4 *2 (-1119)))) (-4531 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-658 *5) (-658 *5))) (-5 *4 (-592)) (-5 *2 (-658 *5)) (-5 *1 (-698 *5)) (-4 *5 (-1119)))) (-4531 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-698 *2)) (-4 *2 (-1119)))) (-1683 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-698 *3)) (-4 *3 (-1119)))) (-2984 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-698 *3)) (-4 *3 (-1119))))) 
-(-10 -7 (-15 -2984 ((-1 |#1|) |#1|)) (-15 -1683 ((-1 |#1|) |#1|)) (-15 -4531 (|#1| (-1 |#1| |#1|))) (-15 -4531 ((-658 |#1|) (-1 (-658 |#1|) (-658 |#1|)) (-592))) (-15 -4547 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-790))) (-15 -1715 ((-1 |#1| (-790) |#1|) (-1 |#1| (-790) |#1|)))) 
-((-2387 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-1871 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-4249 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-3479 (((-1 |#2| |#1|) |#2|) 11))) 
-(((-699 |#1| |#2|) (-10 -7 (-15 -3479 ((-1 |#2| |#1|) |#2|)) (-15 -1871 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -4249 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2387 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1119) (-1119)) (T -699)) 
-((-2387 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-5 *2 (-1 *5 *4)) (-5 *1 (-699 *4 *5)))) (-4249 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1119)) (-5 *2 (-1 *5 *4)) (-5 *1 (-699 *4 *5)) (-4 *4 (-1119)))) (-1871 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-5 *2 (-1 *5)) (-5 *1 (-699 *4 *5)))) (-3479 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-699 *4 *3)) (-4 *4 (-1119)) (-4 *3 (-1119))))) 
-(-10 -7 (-15 -3479 ((-1 |#2| |#1|) |#2|)) (-15 -1871 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -4249 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2387 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
-((-3728 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-3654 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-1577 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-3612 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-3173 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
-(((-700 |#1| |#2| |#3|) (-10 -7 (-15 -3654 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -1577 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -3612 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -3173 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3728 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1119) (-1119) (-1119)) (T -700)) 
-((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-1 *7 *5)) (-5 *1 (-700 *5 *6 *7)))) (-3728 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-700 *4 *5 *6)))) (-3173 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-700 *4 *5 *6)) (-4 *4 (-1119)))) (-3612 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-700 *4 *5 *6)) (-4 *5 (-1119)))) (-1577 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *5)) (-5 *1 (-700 *4 *5 *6)))) (-3654 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1119)) (-4 *4 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *5)) (-5 *1 (-700 *5 *4 *6))))) 
-(-10 -7 (-15 -3654 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -1577 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -3612 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -3173 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3728 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
-((-3313 (((-1 (-332 (-592)) |#1|) (-1 (-332 (-592)) |#1|) (-1 (-332 (-592)) |#1|)) 18)) (-3306 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-3300 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
-(((-701 |#1| |#2|) (-10 -7 (-15 -3300 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -3306 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -3313 ((-1 (-332 (-592)) |#1|) (-1 (-332 (-592)) |#1|) (-1 (-332 (-592)) |#1|)))) (-1119) (-1075)) (T -701)) 
-((-3313 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-332 (-592)) *3)) (-4 *3 (-1119)) (-5 *1 (-701 *3 *4)) (-4 *4 (-1075)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1119)) (-4 *4 (-1075)) (-5 *1 (-701 *3 *4)))) (-3306 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1119)) (-4 *4 (-1075)) (-5 *1 (-701 *3 *4)))) (-3300 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1119)) (-4 *4 (-1075)) (-5 *1 (-701 *3 *4))))) 
-(-10 -7 (-15 -3300 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -3306 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -3313 ((-1 (-332 (-592)) |#1|) (-1 (-332 (-592)) |#1|) (-1 (-332 (-592)) |#1|)))) 
-((-3657 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-2731 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
-(((-702 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2731 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -2731 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -3657 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1075) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|) (-1075) (-399 |#5|) (-399 |#5|) (-704 |#5| |#6| |#7|)) (T -702)) 
-((-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1075)) (-4 *2 (-1075)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-4 *8 (-399 *2)) (-4 *9 (-399 *2)) (-5 *1 (-702 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-704 *5 *6 *7)) (-4 *10 (-704 *2 *8 *9)))) (-2731 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1075)) (-4 *8 (-1075)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-4 *2 (-704 *8 *9 *10)) (-5 *1 (-702 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-704 *5 *6 *7)) (-4 *9 (-399 *8)) (-4 *10 (-399 *8)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1075)) (-4 *8 (-1075)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-4 *2 (-704 *8 *9 *10)) (-5 *1 (-702 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-704 *5 *6 *7)) (-4 *9 (-399 *8)) (-4 *10 (-399 *8))))) 
-(-10 -7 (-15 -2731 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -2731 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -3657 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
-((-1417 (($ (-790) (-790)) 31)) (-4596 (($ $ $) 56)) (-2245 (($ |#3|) 52) (($ $) 53)) (-4034 (((-141) $) 26)) (-2668 (($ $ (-592) (-592)) 58)) (-1664 (($ $ (-592) (-592)) 59)) (-2019 (($ $ (-592) (-592) (-592) (-592)) 63)) (-1574 (($ $) 54)) (-3120 (((-141) $) 14)) (-2854 (($ $ (-592) (-592) $) 64)) (-3932 ((|#2| $ (-592) (-592) |#2|) NIL) (($ $ (-658 (-592)) (-658 (-592)) $) 62)) (-3223 (($ (-790) |#2|) 38)) (-1794 ((|#2| $) 107)) (-4186 (($ (-658 (-658 |#2|))) 34) (($ (-790) (-790) (-1 |#2| (-592) (-592))) 36)) (-4601 (((-658 (-658 |#2|)) $) 57)) (-2083 (($ $ $) 55)) (-3616 (((-3 $ "failed") $ |#2|) 110)) (-3927 ((|#2| $ (-592) (-592)) NIL) ((|#2| $ (-592) (-592) |#2|) NIL) (($ $ (-658 (-592)) (-658 (-592))) 61)) (-2933 (($ (-658 |#2|)) 40) (($ (-658 $)) 42)) (-2940 (((-141) $) 23)) (-3430 (((-658 |#4|) $) 93)) (-1683 (((-877) $) NIL) (($ |#4|) 47)) (-3951 (((-141) $) 28)) (-3313 (($ $ |#2|) 112)) (-3306 (($ $ $) 68) (($ $) 71)) (-3300 (($ $ $) 66)) (** (($ $ (-790)) 80) (($ $ (-592)) 115)) (* (($ $ $) 77) (($ |#2| $) 73) (($ $ |#2|) 74) (($ (-592) $) 76) ((|#4| $ |#4|) 84) ((|#3| |#3| $) 88))) 
-(((-703 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-592))) (-15 -1794 (|#2| |#1|)) (-15 -3430 ((-658 |#4|) |#1|)) (-15 -3313 (|#1| |#1| |#2|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-790))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -2854 (|#1| |#1| (-592) (-592) |#1|)) (-15 -2019 (|#1| |#1| (-592) (-592) (-592) (-592))) (-15 -1664 (|#1| |#1| (-592) (-592))) (-15 -2668 (|#1| |#1| (-592) (-592))) (-15 -3932 (|#1| |#1| (-658 (-592)) (-658 (-592)) |#1|)) (-15 -3927 (|#1| |#1| (-658 (-592)) (-658 (-592)))) (-15 -4601 ((-658 (-658 |#2|)) |#1|)) (-15 -4596 (|#1| |#1| |#1|)) (-15 -2083 (|#1| |#1| |#1|)) (-15 -1574 (|#1| |#1|)) (-15 -2245 (|#1| |#1|)) (-15 -2245 (|#1| |#3|)) (-15 -1683 (|#1| |#4|)) (-15 -2933 (|#1| (-658 |#1|))) (-15 -2933 (|#1| (-658 |#2|))) (-15 -3223 (|#1| (-790) |#2|)) (-15 -4186 (|#1| (-790) (-790) (-1 |#2| (-592) (-592)))) (-15 -4186 (|#1| (-658 (-658 |#2|)))) (-15 -1417 (|#1| (-790) (-790))) (-15 -3951 ((-141) |#1|)) (-15 -4034 ((-141) |#1|)) (-15 -2940 ((-141) |#1|)) (-15 -3120 ((-141) |#1|)) (-15 -3932 (|#2| |#1| (-592) (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) (-592))) (-15 -1683 ((-877) |#1|))) (-704 |#2| |#3| |#4|) (-1075) (-399 |#2|) (-399 |#2|)) (T -703)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-592))) (-15 -1794 (|#2| |#1|)) (-15 -3430 ((-658 |#4|) |#1|)) (-15 -3313 (|#1| |#1| |#2|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-790))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -2854 (|#1| |#1| (-592) (-592) |#1|)) (-15 -2019 (|#1| |#1| (-592) (-592) (-592) (-592))) (-15 -1664 (|#1| |#1| (-592) (-592))) (-15 -2668 (|#1| |#1| (-592) (-592))) (-15 -3932 (|#1| |#1| (-658 (-592)) (-658 (-592)) |#1|)) (-15 -3927 (|#1| |#1| (-658 (-592)) (-658 (-592)))) (-15 -4601 ((-658 (-658 |#2|)) |#1|)) (-15 -4596 (|#1| |#1| |#1|)) (-15 -2083 (|#1| |#1| |#1|)) (-15 -1574 (|#1| |#1|)) (-15 -2245 (|#1| |#1|)) (-15 -2245 (|#1| |#3|)) (-15 -1683 (|#1| |#4|)) (-15 -2933 (|#1| (-658 |#1|))) (-15 -2933 (|#1| (-658 |#2|))) (-15 -3223 (|#1| (-790) |#2|)) (-15 -4186 (|#1| (-790) (-790) (-1 |#2| (-592) (-592)))) (-15 -4186 (|#1| (-658 (-658 |#2|)))) (-15 -1417 (|#1| (-790) (-790))) (-15 -3951 ((-141) |#1|)) (-15 -4034 ((-141) |#1|)) (-15 -2940 ((-141) |#1|)) (-15 -3120 ((-141) |#1|)) (-15 -3932 (|#2| |#1| (-592) (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-1417 (($ (-790) (-790)) 95)) (-4596 (($ $ $) 84)) (-2245 (($ |#2|) 88) (($ $) 87)) (-4034 (((-141) $) 97)) (-2668 (($ $ (-592) (-592)) 80)) (-1664 (($ $ (-592) (-592)) 79)) (-2019 (($ $ (-592) (-592) (-592) (-592)) 78)) (-1574 (($ $) 86)) (-3120 (((-141) $) 99)) (-2126 (((-141) $ (-790)) 8)) (-2854 (($ $ (-592) (-592) $) 77)) (-3932 ((|#1| $ (-592) (-592) |#1|) 41) (($ $ (-658 (-592)) (-658 (-592)) $) 81)) (-2547 (($ $ (-592) |#2|) 39)) (-2242 (($ $ (-592) |#3|) 38)) (-3223 (($ (-790) |#1|) 92)) (-3001 (($) 7 T CONST)) (-3052 (($ $) 64 (|has| |#1| (-323)))) (-2747 ((|#2| $ (-592)) 43)) (-4175 (((-790) $) 62 (|has| |#1| (-582)))) (-1426 ((|#1| $ (-592) (-592) |#1|) 40)) (-3959 ((|#1| $ (-592) (-592)) 45)) (-1794 ((|#1| $) 57 (|has| |#1| (-194)))) (-4004 (((-658 |#1|) $) 30)) (-3178 (((-790) $) 61 (|has| |#1| (-582)))) (-3555 (((-658 |#3|) $) 60 (|has| |#1| (-582)))) (-4292 (((-790) $) 48)) (-3242 (($ (-790) (-790) |#1|) 54)) (-4298 (((-790) $) 47)) (-4345 (((-141) $ (-790)) 9)) (-3781 ((|#1| $) 58 (|has| |#1| (-6 (-4627 "*"))))) (-4577 (((-592) $) 52)) (-4280 (((-592) $) 50)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1898 (((-592) $) 51)) (-3005 (((-592) $) 49)) (-4186 (($ (-658 (-658 |#1|))) 94) (($ (-790) (-790) (-1 |#1| (-592) (-592))) 93)) (-3987 (($ (-1 |#1| |#1|) $) 34)) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-4601 (((-658 (-658 |#1|)) $) 83)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-3183 (((-3 $ "failed") $) 56 (|has| |#1| (-388)))) (-2083 (($ $ $) 85)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) 53)) (-3616 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-582)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) (-592)) 46) ((|#1| $ (-592) (-592) |#1|) 44) (($ $ (-658 (-592)) (-658 (-592))) 82)) (-2933 (($ (-658 |#1|)) 91) (($ (-658 $)) 90)) (-2940 (((-141) $) 98)) (-1625 ((|#1| $) 59 (|has| |#1| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-3430 (((-658 |#3|) $) 63 (|has| |#1| (-323)))) (-2000 ((|#3| $ (-592)) 42)) (-1683 (((-877) $) 20 (|has| |#1| (-1119))) (($ |#3|) 89)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3951 (((-141) $) 96)) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-3313 (($ $ |#1|) 65 (|has| |#1| (-388)))) (-3306 (($ $ $) 75) (($ $) 74)) (-3300 (($ $ $) 76)) (** (($ $ (-790)) 67) (($ $ (-592)) 55 (|has| |#1| (-388)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-592) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-704 |#1| |#2| |#3|) (-1311) (-1075) (-399 |t#1|) (-399 |t#1|)) (T -704)) 
-((-3120 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) (-2940 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) (-4034 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) (-3951 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) (-1417 (*1 *1 *2 *2) (-12 (-5 *2 (-790)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-4186 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-4186 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-1 *4 (-592) (-592))) (-4 *4 (-1075)) (-4 *1 (-704 *4 *5 *6)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) (-3223 (*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2933 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2933 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *2)) (-4 *4 (-399 *3)) (-4 *2 (-399 *3)))) (-2245 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-704 *3 *2 *4)) (-4 *2 (-399 *3)) (-4 *4 (-399 *3)))) (-2245 (*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-1574 (*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-2083 (*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-4596 (*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-4601 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-658 (-658 *3))))) (-3927 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-3932 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2668 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-1664 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2019 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-2854 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-3300 (*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (-3306 (*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-704 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *2 (-399 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-704 *3 *2 *4)) (-4 *3 (-1075)) (-4 *2 (-399 *3)) (-4 *4 (-399 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) (-3616 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-582)))) (-3313 (*1 *1 *1 *2) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-388)))) (-3052 (*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-323)))) (-3430 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-323)) (-5 *2 (-658 *5)))) (-4175 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-582)) (-5 *2 (-790)))) (-3178 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-582)) (-5 *2 (-790)))) (-3555 (*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-582)) (-5 *2 (-658 *5)))) (-1625 (*1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075)))) (-3781 (*1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075)))) (-1794 (*1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-1075)) (-4 *2 (-194)))) (-3183 (*1 *1 *1) (|partial| -12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-388)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-388))))) 
-(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4626) (-6 -4625) (-15 -3120 ((-141) $)) (-15 -2940 ((-141) $)) (-15 -4034 ((-141) $)) (-15 -3951 ((-141) $)) (-15 -1417 ($ (-790) (-790))) (-15 -4186 ($ (-658 (-658 |t#1|)))) (-15 -4186 ($ (-790) (-790) (-1 |t#1| (-592) (-592)))) (-15 -3223 ($ (-790) |t#1|)) (-15 -2933 ($ (-658 |t#1|))) (-15 -2933 ($ (-658 $))) (-15 -1683 ($ |t#3|)) (-15 -2245 ($ |t#2|)) (-15 -2245 ($ $)) (-15 -1574 ($ $)) (-15 -2083 ($ $ $)) (-15 -4596 ($ $ $)) (-15 -4601 ((-658 (-658 |t#1|)) $)) (-15 -3927 ($ $ (-658 (-592)) (-658 (-592)))) (-15 -3932 ($ $ (-658 (-592)) (-658 (-592)) $)) (-15 -2668 ($ $ (-592) (-592))) (-15 -1664 ($ $ (-592) (-592))) (-15 -2019 ($ $ (-592) (-592) (-592) (-592))) (-15 -2854 ($ $ (-592) (-592) $)) (-15 -3300 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -3306 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-592) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-790))) (IF (|has| |t#1| (-582)) (-15 -3616 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-388)) (-15 -3313 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-323)) (PROGN (-15 -3052 ($ $)) (-15 -3430 ((-658 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-582)) (PROGN (-15 -4175 ((-790) $)) (-15 -3178 ((-790) $)) (-15 -3555 ((-658 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4627 "*"))) (PROGN (-15 -1625 (|t#1| $)) (-15 -3781 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-194)) (-15 -1794 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-388)) (PROGN (-15 -3183 ((-3 $ "failed") $)) (-15 ** ($ $ (-592)))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-62 |#1| |#2| |#3|) . T) ((-1225) . T)) 
-((-3052 ((|#4| |#4|) 67 (|has| |#1| (-323)))) (-4175 (((-790) |#4|) 69 (|has| |#1| (-582)))) (-3178 (((-790) |#4|) 71 (|has| |#1| (-582)))) (-3555 (((-658 |#3|) |#4|) 78 (|has| |#1| (-582)))) (-1852 (((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|) 95 (|has| |#1| (-323)))) (-3781 ((|#1| |#4|) 33)) (-2433 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-582)))) (-3183 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-388)))) (-2654 ((|#4| |#4|) 54 (|has| |#1| (-582)))) (-2451 ((|#4| |#4| |#1| (-592) (-592)) 41)) (-2029 ((|#4| |#4| (-592) (-592)) 36)) (-1658 ((|#4| |#4| |#1| (-592) (-592)) 46)) (-1625 ((|#1| |#4|) 73)) (-2332 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-582))))) 
-(((-705 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1625 (|#1| |#4|)) (-15 -3781 (|#1| |#4|)) (-15 -2029 (|#4| |#4| (-592) (-592))) (-15 -2451 (|#4| |#4| |#1| (-592) (-592))) (-15 -1658 (|#4| |#4| |#1| (-592) (-592))) (IF (|has| |#1| (-582)) (PROGN (-15 -4175 ((-790) |#4|)) (-15 -3178 ((-790) |#4|)) (-15 -3555 ((-658 |#3|) |#4|)) (-15 -2654 (|#4| |#4|)) (-15 -2433 ((-3 |#4| "failed") |#4|)) (-15 -2332 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-323)) (PROGN (-15 -3052 (|#4| |#4|)) (-15 -1852 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-388)) (-15 -3183 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-194) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|)) (T -705)) 
-((-3183 (*1 *2 *2) (|partial| -12 (-4 *3 (-388)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-1852 (*1 *2 *3 *3) (-12 (-4 *3 (-323)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-705 *3 *4 *5 *6)) (-4 *6 (-704 *3 *4 *5)))) (-3052 (*1 *2 *2) (-12 (-4 *3 (-323)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-2332 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-2433 (*1 *2 *2) (|partial| -12 (-4 *3 (-582)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-2654 (*1 *2 *2) (-12 (-4 *3 (-582)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-3555 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-658 *6)) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-3178 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-4175 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-1658 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-592)) (-4 *3 (-194)) (-4 *5 (-399 *3)) (-4 *6 (-399 *3)) (-5 *1 (-705 *3 *5 *6 *2)) (-4 *2 (-704 *3 *5 *6)))) (-2451 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-592)) (-4 *3 (-194)) (-4 *5 (-399 *3)) (-4 *6 (-399 *3)) (-5 *1 (-705 *3 *5 *6 *2)) (-4 *2 (-704 *3 *5 *6)))) (-2029 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-705 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) (-3781 (*1 *2 *3) (-12 (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-194)) (-5 *1 (-705 *2 *4 *5 *3)) (-4 *3 (-704 *2 *4 *5)))) (-1625 (*1 *2 *3) (-12 (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-194)) (-5 *1 (-705 *2 *4 *5 *3)) (-4 *3 (-704 *2 *4 *5))))) 
-(-10 -7 (-15 -1625 (|#1| |#4|)) (-15 -3781 (|#1| |#4|)) (-15 -2029 (|#4| |#4| (-592) (-592))) (-15 -2451 (|#4| |#4| |#1| (-592) (-592))) (-15 -1658 (|#4| |#4| |#1| (-592) (-592))) (IF (|has| |#1| (-582)) (PROGN (-15 -4175 ((-790) |#4|)) (-15 -3178 ((-790) |#4|)) (-15 -3555 ((-658 |#3|) |#4|)) (-15 -2654 (|#4| |#4|)) (-15 -2433 ((-3 |#4| "failed") |#4|)) (-15 -2332 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-323)) (PROGN (-15 -3052 (|#4| |#4|)) (-15 -1852 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-388)) (-15 -3183 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1417 (($ (-790) (-790)) 45)) (-4596 (($ $ $) NIL)) (-2245 (($ (-1280 |#1|)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) 12)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 ((|#1| $ (-592) (-592) |#1|) NIL) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-1280 |#1|)) NIL)) (-2242 (($ $ (-592) (-1280 |#1|)) NIL)) (-3223 (($ (-790) |#1|) 22)) (-3001 (($) NIL T CONST)) (-3052 (($ $) 30 (|has| |#1| (-323)))) (-2747 (((-1280 |#1|) $ (-592)) NIL)) (-4175 (((-790) $) 32 (|has| |#1| (-582)))) (-1426 ((|#1| $ (-592) (-592) |#1|) 50)) (-3959 ((|#1| $ (-592) (-592)) NIL)) (-1794 ((|#1| $) NIL (|has| |#1| (-194)))) (-4004 (((-658 |#1|) $) NIL)) (-3178 (((-790) $) 34 (|has| |#1| (-582)))) (-3555 (((-658 (-1280 |#1|)) $) 37 (|has| |#1| (-582)))) (-4292 (((-790) $) 20)) (-3242 (($ (-790) (-790) |#1|) NIL)) (-4298 (((-790) $) 21)) (-4345 (((-141) $ (-790)) NIL)) (-3781 ((|#1| $) 28 (|has| |#1| (-6 (-4627 "*"))))) (-4577 (((-592) $) 9)) (-4280 (((-592) $) 10)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1898 (((-592) $) 11)) (-3005 (((-592) $) 46)) (-4186 (($ (-658 (-658 |#1|))) NIL) (($ (-790) (-790) (-1 |#1| (-592) (-592))) NIL)) (-3987 (($ (-1 |#1| |#1|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4601 (((-658 (-658 |#1|)) $) 58)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3183 (((-3 $ "failed") $) 41 (|has| |#1| (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1892 (($ $ |#1|) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) (-592)) NIL) ((|#1| $ (-592) (-592) |#1|) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 |#1|)) NIL) (($ (-658 $)) NIL) (($ (-1280 |#1|)) 51)) (-2940 (((-141) $) NIL)) (-1625 ((|#1| $) 26 (|has| |#1| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1778 (((-565) $) 62 (|has| |#1| (-633 (-565))))) (-3430 (((-658 (-1280 |#1|)) $) NIL (|has| |#1| (-323)))) (-2000 (((-1280 |#1|) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119))) (($ (-1280 |#1|)) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) 23) (($ $ (-592)) 44 (|has| |#1| (-388)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-592) $) NIL) (((-1280 |#1|) $ (-1280 |#1|)) NIL) (((-1280 |#1|) (-1280 |#1|) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-706 |#1|) (-13 (-704 |#1| (-1280 |#1|) (-1280 |#1|)) (-10 -8 (-15 -2933 ($ (-1280 |#1|))) (IF (|has| |#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |#1| (-388)) (-15 -3183 ((-3 $ "failed") $)) |noBranch|))) (-1075)) (T -706)) 
-((-3183 (*1 *1 *1) (|partial| -12 (-5 *1 (-706 *2)) (-4 *2 (-388)) (-4 *2 (-1075)))) (-2933 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1075)) (-5 *1 (-706 *3))))) 
-(-13 (-704 |#1| (-1280 |#1|) (-1280 |#1|)) (-10 -8 (-15 -2933 ($ (-1280 |#1|))) (IF (|has| |#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |#1| (-388)) (-15 -3183 ((-3 $ "failed") $)) |noBranch|))) 
-((-2958 (((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|)) 25)) (-2325 (((-706 |#1|) (-706 |#1|) (-706 |#1|) |#1|) 21)) (-2542 (((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|) (-790)) 26)) (-2473 (((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|)) 14)) (-3192 (((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|)) 18) (((-706 |#1|) (-706 |#1|) (-706 |#1|)) 16)) (-1459 (((-706 |#1|) (-706 |#1|) |#1| (-706 |#1|)) 20)) (-2053 (((-706 |#1|) (-706 |#1|) (-706 |#1|)) 12)) (** (((-706 |#1|) (-706 |#1|) (-790)) 30))) 
-(((-707 |#1|) (-10 -7 (-15 -2053 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -2473 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -3192 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -3192 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -1459 ((-706 |#1|) (-706 |#1|) |#1| (-706 |#1|))) (-15 -2325 ((-706 |#1|) (-706 |#1|) (-706 |#1|) |#1|)) (-15 -2958 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -2542 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|) (-790))) (-15 ** ((-706 |#1|) (-706 |#1|) (-790)))) (-1075)) (T -707)) 
-((** (*1 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *1 (-707 *4)))) (-2542 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *1 (-707 *4)))) (-2958 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) (-2325 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) (-1459 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) (-3192 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) (-3192 (*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) (-2473 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) (-2053 (*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(-10 -7 (-15 -2053 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -2473 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -3192 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -3192 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -1459 ((-706 |#1|) (-706 |#1|) |#1| (-706 |#1|))) (-15 -2325 ((-706 |#1|) (-706 |#1|) (-706 |#1|) |#1|)) (-15 -2958 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -2542 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|) (-706 |#1|) (-790))) (-15 ** ((-706 |#1|) (-706 |#1|) (-790)))) 
-((-2592 ((|#2| |#2| |#4|) 25)) (-3142 (((-706 |#2|) |#3| |#4|) 31)) (-2210 (((-706 |#2|) |#2| |#4|) 30)) (-1371 (((-1280 |#2|) |#2| |#4|) 16)) (-2418 ((|#2| |#3| |#4|) 24)) (-3063 (((-706 |#2|) |#3| |#4| (-790) (-790)) 38)) (-2792 (((-706 |#2|) |#2| |#4| (-790)) 37))) 
-(((-708 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1371 ((-1280 |#2|) |#2| |#4|)) (-15 -2418 (|#2| |#3| |#4|)) (-15 -2592 (|#2| |#2| |#4|)) (-15 -2210 ((-706 |#2|) |#2| |#4|)) (-15 -2792 ((-706 |#2|) |#2| |#4| (-790))) (-15 -3142 ((-706 |#2|) |#3| |#4|)) (-15 -3063 ((-706 |#2|) |#3| |#4| (-790) (-790)))) (-1119) (-922 |#1|) (-399 |#2|) (-13 (-399 |#1|) (-10 -7 (-6 -4625)))) (T -708)) 
-((-3063 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-790)) (-4 *6 (-1119)) (-4 *7 (-922 *6)) (-5 *2 (-706 *7)) (-5 *1 (-708 *6 *7 *3 *4)) (-4 *3 (-399 *7)) (-4 *4 (-13 (-399 *6) (-10 -7 (-6 -4625)))))) (-3142 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *6 (-922 *5)) (-5 *2 (-706 *6)) (-5 *1 (-708 *5 *6 *3 *4)) (-4 *3 (-399 *6)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625)))))) (-2792 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-1119)) (-4 *3 (-922 *6)) (-5 *2 (-706 *3)) (-5 *1 (-708 *6 *3 *7 *4)) (-4 *7 (-399 *3)) (-4 *4 (-13 (-399 *6) (-10 -7 (-6 -4625)))))) (-2210 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *3 (-922 *5)) (-5 *2 (-706 *3)) (-5 *1 (-708 *5 *3 *6 *4)) (-4 *6 (-399 *3)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625)))))) (-2592 (*1 *2 *2 *3) (-12 (-4 *4 (-1119)) (-4 *2 (-922 *4)) (-5 *1 (-708 *4 *2 *5 *3)) (-4 *5 (-399 *2)) (-4 *3 (-13 (-399 *4) (-10 -7 (-6 -4625)))))) (-2418 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *2 (-922 *5)) (-5 *1 (-708 *5 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625)))))) (-1371 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *3 (-922 *5)) (-5 *2 (-1280 *3)) (-5 *1 (-708 *5 *3 *6 *4)) (-4 *6 (-399 *3)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625))))))) 
-(-10 -7 (-15 -1371 ((-1280 |#2|) |#2| |#4|)) (-15 -2418 (|#2| |#3| |#4|)) (-15 -2592 (|#2| |#2| |#4|)) (-15 -2210 ((-706 |#2|) |#2| |#4|)) (-15 -2792 ((-706 |#2|) |#2| |#4| (-790))) (-15 -3142 ((-706 |#2|) |#3| |#4|)) (-15 -3063 ((-706 |#2|) |#3| |#4| (-790) (-790)))) 
-((-3626 (((-2 (|:| |num| (-706 |#1|)) (|:| |den| |#1|)) (-706 |#2|)) 18)) (-2088 ((|#1| (-706 |#2|)) 9)) (-2219 (((-706 |#1|) (-706 |#2|)) 16))) 
-(((-709 |#1| |#2|) (-10 -7 (-15 -2088 (|#1| (-706 |#2|))) (-15 -2219 ((-706 |#1|) (-706 |#2|))) (-15 -3626 ((-2 (|:| |num| (-706 |#1|)) (|:| |den| |#1|)) (-706 |#2|)))) (-582) (-1021 |#1|)) (T -709)) 
-((-3626 (*1 *2 *3) (-12 (-5 *3 (-706 *5)) (-4 *5 (-1021 *4)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |num| (-706 *4)) (|:| |den| *4))) (-5 *1 (-709 *4 *5)))) (-2219 (*1 *2 *3) (-12 (-5 *3 (-706 *5)) (-4 *5 (-1021 *4)) (-4 *4 (-582)) (-5 *2 (-706 *4)) (-5 *1 (-709 *4 *5)))) (-2088 (*1 *2 *3) (-12 (-5 *3 (-706 *4)) (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-709 *2 *4))))) 
-(-10 -7 (-15 -2088 (|#1| (-706 |#2|))) (-15 -2219 ((-706 |#1|) (-706 |#2|))) (-15 -3626 ((-2 (|:| |num| (-706 |#1|)) (|:| |den| |#1|)) (-706 |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1800 (((-706 (-715))) NIL) (((-706 (-715)) (-1280 $)) NIL)) (-4529 (((-715) $) NIL)) (-1588 (($ $) NIL (|has| (-715) (-1211)))) (-1507 (($ $) NIL (|has| (-715) (-1211)))) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-715) (-373)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-715) (-323)) (|has| (-715) (-931))))) (-3743 (($ $) NIL (-3836 (-12 (|has| (-715) (-323)) (|has| (-715) (-931))) (|has| (-715) (-388))))) (-3164 (((-444 $) $) NIL (-3836 (-12 (|has| (-715) (-323)) (|has| (-715) (-931))) (|has| (-715) (-388))))) (-1442 (($ $) NIL (-12 (|has| (-715) (-1030)) (|has| (-715) (-1211))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-715) (-323)) (|has| (-715) (-931))))) (-3652 (((-141) $ $) NIL (|has| (-715) (-323)))) (-1403 (((-790)) NIL (|has| (-715) (-394)))) (-1575 (($ $) NIL (|has| (-715) (-1211)))) (-1495 (($ $) NIL (|has| (-715) (-1211)))) (-1601 (($ $) NIL (|has| (-715) (-1211)))) (-1521 (($ $) NIL (|has| (-715) (-1211)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-715) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-715) (-1065 (-433 (-592)))))) (-2400 (((-592) $) NIL) (((-715) $) NIL) (((-433 (-592)) $) NIL (|has| (-715) (-1065 (-433 (-592)))))) (-1626 (($ (-1280 (-715))) NIL) (($ (-1280 (-715)) (-1280 $)) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-715) (-373)))) (-1586 (($ $ $) NIL (|has| (-715) (-323)))) (-4493 (((-706 (-715)) $) NIL) (((-706 (-715)) $ (-1280 $)) NIL)) (-3945 (((-706 (-715)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-715))) (|:| |vec| (-1280 (-715)))) (-706 $) (-1280 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-715) (-654 (-592)))) (((-706 (-592)) (-706 $)) NIL (|has| (-715) (-654 (-592))))) (-3657 (((-3 $ "failed") (-433 (-1187 (-715)))) NIL (|has| (-715) (-388))) (($ (-1187 (-715))) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3996 (((-715) $) 29)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL (|has| (-715) (-574)))) (-2435 (((-141) $) NIL (|has| (-715) (-574)))) (-2270 (((-433 (-592)) $) NIL (|has| (-715) (-574)))) (-4175 (((-944)) NIL)) (-4290 (($) NIL (|has| (-715) (-394)))) (-1599 (($ $ $) NIL (|has| (-715) (-323)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| (-715) (-323)))) (-2667 (($) NIL (|has| (-715) (-373)))) (-3293 (((-141) $) NIL (|has| (-715) (-373)))) (-1525 (($ $) NIL (|has| (-715) (-373))) (($ $ (-790)) NIL (|has| (-715) (-373)))) (-2802 (((-141) $) NIL (-3836 (-12 (|has| (-715) (-323)) (|has| (-715) (-931))) (|has| (-715) (-388))))) (-4120 (((-2 (|:| |r| (-715)) (|:| |phi| (-715))) $) NIL (-12 (|has| (-715) (-1084)) (|has| (-715) (-1211))))) (-1435 (($) NIL (|has| (-715) (-1211)))) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-715) (-908 (-405)))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-715) (-908 (-592))))) (-4346 (((-855 (-944)) $) NIL (|has| (-715) (-373))) (((-944) $) NIL (|has| (-715) (-373)))) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (-12 (|has| (-715) (-1030)) (|has| (-715) (-1211))))) (-2793 (((-715) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| (-715) (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| (-715) (-323)))) (-3504 (((-1187 (-715)) $) NIL (|has| (-715) (-388)))) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 (-715) (-715)) $) NIL)) (-3546 (((-944) $) NIL (|has| (-715) (-394)))) (-4546 (($ $) NIL (|has| (-715) (-1211)))) (-3650 (((-1187 (-715)) $) NIL)) (-2750 (($ (-658 $)) NIL (|has| (-715) (-323))) (($ $ $) NIL (|has| (-715) (-323)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| (-715) (-388)))) (-3703 (($) NIL (|has| (-715) (-373)) CONST)) (-1825 (($ (-944)) NIL (|has| (-715) (-394)))) (-2795 (($) NIL)) (-4506 (((-715) $) 31)) (-2951 (((-1137) $) NIL)) (-2934 (($) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| (-715) (-323)))) (-3548 (($ (-658 $)) NIL (|has| (-715) (-323))) (($ $ $) NIL (|has| (-715) (-323)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-715) (-373)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-715) (-323)) (|has| (-715) (-931))))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-715) (-323)) (|has| (-715) (-931))))) (-4500 (((-444 $) $) NIL (-3836 (-12 (|has| (-715) (-323)) (|has| (-715) (-931))) (|has| (-715) (-388))))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-715) (-323))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| (-715) (-323)))) (-3616 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-715)) NIL (|has| (-715) (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| (-715) (-323)))) (-1430 (($ $) NIL (|has| (-715) (-1211)))) (-2806 (($ $ (-1191) (-715)) NIL (|has| (-715) (-547 (-1191) (-715)))) (($ $ (-658 (-1191)) (-658 (-715))) NIL (|has| (-715) (-547 (-1191) (-715)))) (($ $ (-658 (-310 (-715)))) NIL (|has| (-715) (-325 (-715)))) (($ $ (-310 (-715))) NIL (|has| (-715) (-325 (-715)))) (($ $ (-715) (-715)) NIL (|has| (-715) (-325 (-715)))) (($ $ (-658 (-715)) (-658 (-715))) NIL (|has| (-715) (-325 (-715))))) (-2769 (((-790) $) NIL (|has| (-715) (-323)))) (-1405 (((-658 $)) NIL (|has| (-715) (-394)))) (-3927 (($ $ (-715)) NIL (|has| (-715) (-303 (-715) (-715))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| (-715) (-323)))) (-1482 (((-715)) NIL) (((-715) (-1280 $)) NIL)) (-2177 (((-3 (-790) "failed") $ $) NIL (|has| (-715) (-373))) (((-790) $) NIL (|has| (-715) (-373)))) (-3644 (($ $ (-1 (-715) (-715))) NIL) (($ $ (-1 (-715) (-715)) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-1191)) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-790)) NIL (|has| (-715) (-247))) (($ $) NIL (|has| (-715) (-247)))) (-4174 (((-706 (-715)) (-1280 $) (-1 (-715) (-715))) NIL (|has| (-715) (-388)))) (-3390 (((-1187 (-715))) NIL)) (-1609 (($ $) NIL (|has| (-715) (-1211)))) (-1527 (($ $) NIL (|has| (-715) (-1211)))) (-3809 (($) NIL (|has| (-715) (-373)))) (-1594 (($ $) NIL (|has| (-715) (-1211)))) (-1515 (($ $) NIL (|has| (-715) (-1211)))) (-1581 (($ $) NIL (|has| (-715) (-1211)))) (-1501 (($ $) NIL (|has| (-715) (-1211)))) (-2231 (((-706 (-715)) (-1280 $)) NIL) (((-1280 (-715)) $) NIL) (((-706 (-715)) (-1280 $) (-1280 $)) NIL) (((-1280 (-715)) $ (-1280 $)) NIL)) (-1778 (((-565) $) NIL (|has| (-715) (-633 (-565)))) (((-191 (-237)) $) NIL (|has| (-715) (-1049))) (((-191 (-405)) $) NIL (|has| (-715) (-1049))) (((-914 (-405)) $) NIL (|has| (-715) (-633 (-914 (-405))))) (((-914 (-592)) $) NIL (|has| (-715) (-633 (-914 (-592))))) (($ (-1187 (-715))) NIL) (((-1187 (-715)) $) NIL) (($ (-1280 (-715))) NIL) (((-1280 (-715)) $) NIL)) (-2227 (($ $) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-715) (-323)) (|has| (-715) (-931))) (|has| (-715) (-373))))) (-4001 (($ (-715) (-715)) 12)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-592)) NIL) (($ (-715)) NIL) (($ (-191 (-405))) 13) (($ (-191 (-592))) 19) (($ (-191 (-715))) 28) (($ (-191 (-717))) 25) (((-191 (-405)) $) 33) (($ (-433 (-592))) NIL (-3836 (|has| (-715) (-388)) (|has| (-715) (-1065 (-433 (-592))))))) (-1517 (($ $) NIL (|has| (-715) (-373))) (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-715) (-323)) (|has| (-715) (-931))) (|has| (-715) (-169))))) (-4198 (((-1187 (-715)) $) NIL)) (-4010 (((-790)) NIL)) (-2195 (((-1280 $)) NIL)) (-1630 (($ $) NIL (|has| (-715) (-1211)))) (-1546 (($ $) NIL (|has| (-715) (-1211)))) (-2537 (((-141) $ $) NIL)) (-1617 (($ $) NIL (|has| (-715) (-1211)))) (-1533 (($ $) NIL (|has| (-715) (-1211)))) (-1642 (($ $) NIL (|has| (-715) (-1211)))) (-1559 (($ $) NIL (|has| (-715) (-1211)))) (-4575 (((-715) $) NIL (|has| (-715) (-1211)))) (-2892 (($ $) NIL (|has| (-715) (-1211)))) (-1567 (($ $) NIL (|has| (-715) (-1211)))) (-1636 (($ $) NIL (|has| (-715) (-1211)))) (-1552 (($ $) NIL (|has| (-715) (-1211)))) (-1624 (($ $) NIL (|has| (-715) (-1211)))) (-1540 (($ $) NIL (|has| (-715) (-1211)))) (-1392 (($ $) NIL (|has| (-715) (-1084)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-715) (-388)))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1 (-715) (-715))) NIL) (($ $ (-1 (-715) (-715)) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-1191)) NIL (|has| (-715) (-922 (-1191)))) (($ $ (-790)) NIL (|has| (-715) (-247))) (($ $) NIL (|has| (-715) (-247)))) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL (|has| (-715) (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ $) NIL (|has| (-715) (-1211))) (($ $ (-433 (-592))) NIL (-12 (|has| (-715) (-1030)) (|has| (-715) (-1211)))) (($ $ (-592)) NIL (|has| (-715) (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ (-715) $) NIL) (($ $ (-715)) NIL) (($ (-433 (-592)) $) NIL (|has| (-715) (-388))) (($ $ (-433 (-592))) NIL (|has| (-715) (-388))))) 
-(((-710) (-13 (-413) (-188 (-715)) (-10 -8 (-15 -1683 ($ (-191 (-405)))) (-15 -1683 ($ (-191 (-592)))) (-15 -1683 ($ (-191 (-715)))) (-15 -1683 ($ (-191 (-717)))) (-15 -1683 ((-191 (-405)) $))))) (T -710)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-191 (-405))) (-5 *1 (-710)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-191 (-592))) (-5 *1 (-710)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-191 (-715))) (-5 *1 (-710)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-191 (-717))) (-5 *1 (-710)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-191 (-405))) (-5 *1 (-710))))) 
-(-13 (-413) (-188 (-715)) (-10 -8 (-15 -1683 ($ (-191 (-405)))) (-15 -1683 ($ (-191 (-592)))) (-15 -1683 ($ (-191 (-715)))) (-15 -1683 ($ (-191 (-717)))) (-15 -1683 ((-191 (-405)) $)))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-4125 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) 52 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1461 (($ $) 58)) (-1360 (($ $) 55 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 43 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) 54 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 51 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37) (($ |#1| $ (-790)) 59)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 48)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-2043 (((-658 (-2 (|:| -3552 |#1|) (|:| -3452 (-790)))) $) 57)) (-1653 (($) 46) (($ (-658 |#1|)) 45)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 47)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-711 |#1|) (-1311) (-1119)) (T -711)) 
-((-2113 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-711 *2)) (-4 *2 (-1119)))) (-1461 (*1 *1 *1) (-12 (-4 *1 (-711 *2)) (-4 *2 (-1119)))) (-2043 (*1 *2 *1) (-12 (-4 *1 (-711 *3)) (-4 *3 (-1119)) (-5 *2 (-658 (-2 (|:| -3552 *3) (|:| -3452 (-790)))))))) 
-(-13 (-249 |t#1|) (-10 -8 (-15 -2113 ($ |t#1| $ (-790))) (-15 -1461 ($ $)) (-15 -2043 ((-658 (-2 (|:| -3552 |t#1|) (|:| -3452 (-790)))) $)))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-249 |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-4293 (((-658 |#1|) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))) (-592)) 46)) (-1841 ((|#1| |#1| (-592)) 45)) (-3548 ((|#1| |#1| |#1| (-592)) 35)) (-4500 (((-658 |#1|) |#1| (-592)) 38)) (-3473 ((|#1| |#1| (-592) |#1| (-592)) 32)) (-1404 (((-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))) |#1| (-592)) 44))) 
-(((-712 |#1|) (-10 -7 (-15 -3548 (|#1| |#1| |#1| (-592))) (-15 -1841 (|#1| |#1| (-592))) (-15 -4500 ((-658 |#1|) |#1| (-592))) (-15 -1404 ((-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))) |#1| (-592))) (-15 -4293 ((-658 |#1|) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))) (-592))) (-15 -3473 (|#1| |#1| (-592) |#1| (-592)))) (-1255 (-592))) (T -712)) 
-((-3473 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-712 *2)) (-4 *2 (-1255 *3)))) (-4293 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| -4500 *5) (|:| -4525 (-592))))) (-5 *4 (-592)) (-4 *5 (-1255 *4)) (-5 *2 (-658 *5)) (-5 *1 (-712 *5)))) (-1404 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-658 (-2 (|:| -4500 *3) (|:| -4525 *4)))) (-5 *1 (-712 *3)) (-4 *3 (-1255 *4)))) (-4500 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-658 *3)) (-5 *1 (-712 *3)) (-4 *3 (-1255 *4)))) (-1841 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-712 *2)) (-4 *2 (-1255 *3)))) (-3548 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-712 *2)) (-4 *2 (-1255 *3))))) 
-(-10 -7 (-15 -3548 (|#1| |#1| |#1| (-592))) (-15 -1841 (|#1| |#1| (-592))) (-15 -4500 ((-658 |#1|) |#1| (-592))) (-15 -1404 ((-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))) |#1| (-592))) (-15 -4293 ((-658 |#1|) (-658 (-2 (|:| -4500 |#1|) (|:| -4525 (-592)))) (-592))) (-15 -3473 (|#1| |#1| (-592) |#1| (-592)))) 
-((-3765 (((-1 (-971 (-237)) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237) (-237))) 17)) (-3035 (((-1150 (-237)) (-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-658 (-278))) 38) (((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-658 (-278))) 40) (((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-3 (-1 (-237) (-237) (-237) (-237)) "undefined") (-1113 (-237)) (-1113 (-237)) (-658 (-278))) 42)) (-2092 (((-1150 (-237)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-658 (-278))) NIL)) (-2331 (((-1150 (-237)) (-1 (-237) (-237) (-237)) (-3 (-1 (-237) (-237) (-237) (-237)) "undefined") (-1113 (-237)) (-1113 (-237)) (-658 (-278))) 43))) 
-(((-713) (-10 -7 (-15 -3035 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-3 (-1 (-237) (-237) (-237) (-237)) "undefined") (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -3035 ((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -3035 ((-1150 (-237)) (-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -2331 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-3 (-1 (-237) (-237) (-237) (-237)) "undefined") (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -2092 ((-1150 (-237)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -3765 ((-1 (-971 (-237)) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237) (-237)))))) (T -713)) 
-((-3765 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1 (-237) (-237) (-237) (-237))) (-5 *2 (-1 (-971 (-237)) (-237) (-237))) (-5 *1 (-713)))) (-2092 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713)))) (-2331 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-3 (-1 (-237) (-237) (-237) (-237)) "undefined")) (-5 *5 (-1113 (-237))) (-5 *6 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713)))) (-3035 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1150 (-237))) (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-237))) (-5 *5 (-658 (-278))) (-5 *1 (-713)))) (-3035 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-237))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713)))) (-3035 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-3 (-1 (-237) (-237) (-237) (-237)) "undefined")) (-5 *5 (-1113 (-237))) (-5 *6 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713))))) 
-(-10 -7 (-15 -3035 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-3 (-1 (-237) (-237) (-237) (-237)) "undefined") (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -3035 ((-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -3035 ((-1150 (-237)) (-1150 (-237)) (-1 (-971 (-237)) (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -2331 ((-1150 (-237)) (-1 (-237) (-237) (-237)) (-3 (-1 (-237) (-237) (-237) (-237)) "undefined") (-1113 (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -2092 ((-1150 (-237)) (-332 (-592)) (-332 (-592)) (-332 (-592)) (-1 (-237) (-237)) (-1113 (-237)) (-658 (-278)))) (-15 -3765 ((-1 (-971 (-237)) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237)) (-1 (-237) (-237) (-237) (-237))))) 
-((-4500 (((-444 (-1187 |#4|)) (-1187 |#4|)) 73) (((-444 |#4|) |#4|) 215))) 
-(((-714 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 |#4|) |#4|)) (-15 -4500 ((-444 (-1187 |#4|)) (-1187 |#4|)))) (-869) (-815) (-373) (-977 |#3| |#2| |#1|)) (T -714)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-373)) (-4 *7 (-977 *6 *5 *4)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-714 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-714 *4 *5 *6 *3)) (-4 *3 (-977 *6 *5 *4))))) 
-(-10 -7 (-15 -4500 ((-444 |#4|) |#4|)) (-15 -4500 ((-444 (-1187 |#4|)) (-1187 |#4|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 84)) (-1505 (((-592) $) 30)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2306 (($ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1442 (($ $) NIL)) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL)) (-3001 (($) NIL T CONST)) (-1755 (($ $) NIL)) (-4368 (((-3 (-592) "failed") $) 73) (((-3 (-433 (-592)) "failed") $) 26) (((-3 (-405) "failed") $) 70)) (-2400 (((-592) $) 75) (((-433 (-592)) $) 67) (((-405) $) 68)) (-1586 (($ $ $) 96)) (-3371 (((-3 $ "failed") $) 87)) (-1599 (($ $ $) 95)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-4047 (((-944)) 77) (((-944) (-944)) 76)) (-1691 (((-141) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL)) (-4346 (((-592) $) NIL)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL)) (-2793 (($ $) NIL)) (-1324 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1464 (((-592) (-592)) 81) (((-592)) 82)) (-1837 (($ $ $) NIL) (($) NIL (-12 (-3252 (|has| $ (-6 -4608))) (-3252 (|has| $ (-6 -4616)))))) (-3516 (((-592) (-592)) 79) (((-592)) 80)) (-3319 (($ $ $) NIL) (($) NIL (-12 (-3252 (|has| $ (-6 -4608))) (-3252 (|has| $ (-6 -4616)))))) (-2950 (((-592) $) 16)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 91)) (-1867 (((-944) (-592)) NIL (|has| $ (-6 -4616)))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL)) (-2039 (($ $) NIL)) (-4540 (($ (-592) (-592)) NIL) (($ (-592) (-592) (-944)) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) 92)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3215 (((-592) $) 22)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 94)) (-4406 (((-944)) NIL) (((-944) (-944)) NIL (|has| $ (-6 -4616)))) (-1738 (((-944) (-592)) NIL (|has| $ (-6 -4616)))) (-1778 (((-405) $) NIL) (((-237) $) NIL) (((-914 (-405)) $) NIL)) (-1683 (((-877) $) 52) (($ (-592)) 63) (($ $) NIL) (($ (-433 (-592))) 66) (($ (-592)) 63) (($ (-433 (-592))) 66) (($ (-405)) 60) (((-405) $) 50) (($ (-717)) 55)) (-4010 (((-790)) 103)) (-4164 (($ (-592) (-592) (-944)) 44)) (-2744 (($ $) NIL)) (-3671 (((-944)) NIL) (((-944) (-944)) NIL (|has| $ (-6 -4616)))) (-4226 (((-944)) 35) (((-944) (-944)) 78)) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 32 T CONST)) (-4257 (($) 17 T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 83)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 101)) (-3313 (($ $ $) 65)) (-3306 (($ $) 99) (($ $ $) 100)) (-3300 (($ $ $) 98)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL) (($ $ (-433 (-592))) 90)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 97) (($ $ $) 88) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-715) (-13 (-430) (-413) (-388) (-1065 (-405)) (-1065 (-433 (-592))) (-171) (-10 -8 (-15 -4047 ((-944) (-944))) (-15 -4047 ((-944))) (-15 -4226 ((-944) (-944))) (-15 -4226 ((-944))) (-15 -3516 ((-592) (-592))) (-15 -3516 ((-592))) (-15 -1464 ((-592) (-592))) (-15 -1464 ((-592))) (-15 -1683 ((-405) $)) (-15 -1683 ($ (-717))) (-15 -2950 ((-592) $)) (-15 -3215 ((-592) $)) (-15 -4164 ($ (-592) (-592) (-944)))))) (T -715)) 
-((-4226 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) (-3215 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) (-2950 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) (-4047 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) (-4047 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) (-4226 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) (-3516 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) (-3516 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) (-1464 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) (-1464 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-405)) (-5 *1 (-715)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-717)) (-5 *1 (-715)))) (-4164 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-592)) (-5 *3 (-944)) (-5 *1 (-715))))) 
-(-13 (-430) (-413) (-388) (-1065 (-405)) (-1065 (-433 (-592))) (-171) (-10 -8 (-15 -4047 ((-944) (-944))) (-15 -4047 ((-944))) (-15 -4226 ((-944) (-944))) (-15 -4226 ((-944))) (-15 -3516 ((-592) (-592))) (-15 -3516 ((-592))) (-15 -1464 ((-592) (-592))) (-15 -1464 ((-592))) (-15 -1683 ((-405) $)) (-15 -1683 ($ (-717))) (-15 -2950 ((-592) $)) (-15 -3215 ((-592) $)) (-15 -4164 ($ (-592) (-592) (-944))))) 
-((-2275 (((-706 |#1|) (-706 |#1|) |#1| |#1|) 66)) (-3052 (((-706 |#1|) (-706 |#1|) |#1|) 49)) (-1889 (((-706 |#1|) (-706 |#1|) |#1|) 67)) (-1816 (((-706 |#1|) (-706 |#1|)) 50)) (-1852 (((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|) 65))) 
-(((-716 |#1|) (-10 -7 (-15 -1816 ((-706 |#1|) (-706 |#1|))) (-15 -3052 ((-706 |#1|) (-706 |#1|) |#1|)) (-15 -1889 ((-706 |#1|) (-706 |#1|) |#1|)) (-15 -2275 ((-706 |#1|) (-706 |#1|) |#1| |#1|)) (-15 -1852 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|))) (-323)) (T -716)) 
-((-1852 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-716 *3)) (-4 *3 (-323)))) (-2275 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3)))) (-1889 (*1 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3)))) (-3052 (*1 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3)))) (-1816 (*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3))))) 
-(-10 -7 (-15 -1816 ((-706 |#1|) (-706 |#1|))) (-15 -3052 ((-706 |#1|) (-706 |#1|) |#1|)) (-15 -1889 ((-706 |#1|) (-706 |#1|) |#1|)) (-15 -2275 ((-706 |#1|) (-706 |#1|) |#1| |#1|)) (-15 -1852 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2204 (($ $ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1686 (($ $ $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL)) (-3651 (($ $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) 27)) (-2400 (((-592) $) 25)) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL)) (-2435 (((-141) $) NIL)) (-2270 (((-433 (-592)) $) NIL)) (-4290 (($ $) NIL) (($) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2520 (($ $ $ $) NIL)) (-1592 (($ $ $) NIL)) (-1691 (((-141) $) NIL)) (-3870 (($ $ $) NIL)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL)) (-3558 (((-141) $) NIL)) (-3372 (((-141) $) NIL)) (-3921 (((-3 $ "failed") $) NIL)) (-1324 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3260 (($ $ $ $) NIL)) (-1837 (($ $ $) NIL)) (-3207 (((-944) (-944)) 10) (((-944)) 9)) (-3319 (($ $ $) NIL)) (-4561 (($ $) NIL)) (-4233 (($ $) NIL)) (-2750 (($ (-658 $)) NIL) (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-4092 (($ $ $) NIL)) (-3703 (($) NIL T CONST)) (-4185 (($ $) NIL)) (-2951 (((-1137) $) NIL) (($ $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ (-658 $)) NIL) (($ $ $) NIL)) (-2283 (($ $) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3554 (((-141) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL) (($ $ (-790)) NIL)) (-1676 (($ $) NIL)) (-4599 (($ $) NIL)) (-1778 (((-237) $) NIL) (((-405) $) NIL) (((-914 (-592)) $) NIL) (((-565) $) NIL) (((-592) $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) 24) (($ $) NIL) (($ (-592)) 24) (((-332 $) (-332 (-592))) 18)) (-4010 (((-790)) NIL)) (-3911 (((-141) $ $) NIL)) (-4042 (($ $ $) NIL)) (-4226 (($) NIL)) (-2537 (((-141) $ $) NIL)) (-1475 (($ $ $ $) NIL)) (-1392 (($ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL) (($ $ (-790)) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL))) 
-(((-717) (-13 (-413) (-574) (-10 -8 (-15 -3207 ((-944) (-944))) (-15 -3207 ((-944))) (-15 -1683 ((-332 $) (-332 (-592))))))) (T -717)) 
-((-3207 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-717)))) (-3207 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-717)))) (-1683 (*1 *2 *3) (-12 (-5 *3 (-332 (-592))) (-5 *2 (-332 (-717))) (-5 *1 (-717))))) 
-(-13 (-413) (-574) (-10 -8 (-15 -3207 ((-944) (-944))) (-15 -3207 ((-944))) (-15 -1683 ((-332 $) (-332 (-592)))))) 
-((-4367 (((-1 |#4| |#2| |#3|) |#1| (-1191) (-1191)) 19)) (-3469 (((-1 |#4| |#2| |#3|) (-1191)) 12))) 
-(((-718 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3469 ((-1 |#4| |#2| |#3|) (-1191))) (-15 -4367 ((-1 |#4| |#2| |#3|) |#1| (-1191) (-1191)))) (-633 (-565)) (-1225) (-1225) (-1225)) (T -718)) 
-((-4367 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-718 *3 *5 *6 *7)) (-4 *3 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225)) (-4 *7 (-1225)))) (-3469 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-718 *4 *5 *6 *7)) (-4 *4 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225)) (-4 *7 (-1225))))) 
-(-10 -7 (-15 -3469 ((-1 |#4| |#2| |#3|) (-1191))) (-15 -4367 ((-1 |#4| |#2| |#3|) |#1| (-1191) (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-1632 (((-1285) $ (-790)) 14)) (-1721 (((-790) $) 12)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 25)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 24))) 
-(((-719 |#1|) (-13 (-159) (-632 |#1|) (-10 -8 (-15 -1683 ($ |#1|)))) (-1119)) (T -719)) 
-((-1683 (*1 *1 *2) (-12 (-5 *1 (-719 *2)) (-4 *2 (-1119))))) 
-(-13 (-159) (-632 |#1|) (-10 -8 (-15 -1683 ($ |#1|)))) 
-((-3508 (((-1 (-237) (-237) (-237)) |#1| (-1191) (-1191)) 33) (((-1 (-237) (-237)) |#1| (-1191)) 38))) 
-(((-720 |#1|) (-10 -7 (-15 -3508 ((-1 (-237) (-237)) |#1| (-1191))) (-15 -3508 ((-1 (-237) (-237) (-237)) |#1| (-1191) (-1191)))) (-633 (-565))) (T -720)) 
-((-3508 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 (-237) (-237) (-237))) (-5 *1 (-720 *3)) (-4 *3 (-633 (-565))))) (-3508 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 (-237) (-237))) (-5 *1 (-720 *3)) (-4 *3 (-633 (-565)))))) 
-(-10 -7 (-15 -3508 ((-1 (-237) (-237)) |#1| (-1191))) (-15 -3508 ((-1 (-237) (-237) (-237)) |#1| (-1191) (-1191)))) 
-((-1325 (((-1191) |#1| (-1191) (-658 (-1191))) 9) (((-1191) |#1| (-1191) (-1191) (-1191)) 12) (((-1191) |#1| (-1191) (-1191)) 11) (((-1191) |#1| (-1191)) 10))) 
-(((-721 |#1|) (-10 -7 (-15 -1325 ((-1191) |#1| (-1191))) (-15 -1325 ((-1191) |#1| (-1191) (-1191))) (-15 -1325 ((-1191) |#1| (-1191) (-1191) (-1191))) (-15 -1325 ((-1191) |#1| (-1191) (-658 (-1191))))) (-633 (-565))) (T -721)) 
-((-1325 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-658 (-1191))) (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565))))) (-1325 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565))))) (-1325 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565))))) (-1325 (*1 *2 *3 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565)))))) 
-(-10 -7 (-15 -1325 ((-1191) |#1| (-1191))) (-15 -1325 ((-1191) |#1| (-1191) (-1191))) (-15 -1325 ((-1191) |#1| (-1191) (-1191) (-1191))) (-15 -1325 ((-1191) |#1| (-1191) (-658 (-1191))))) 
-((-3139 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
-(((-722 |#1| |#2|) (-10 -7 (-15 -3139 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1225) (-1225)) (T -722)) 
-((-3139 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-722 *3 *4)) (-4 *3 (-1225)) (-4 *4 (-1225))))) 
-(-10 -7 (-15 -3139 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
-((-4490 (((-1 |#3| |#2|) (-1191)) 11)) (-4367 (((-1 |#3| |#2|) |#1| (-1191)) 21))) 
-(((-723 |#1| |#2| |#3|) (-10 -7 (-15 -4490 ((-1 |#3| |#2|) (-1191))) (-15 -4367 ((-1 |#3| |#2|) |#1| (-1191)))) (-633 (-565)) (-1225) (-1225)) (T -723)) 
-((-4367 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 *6 *5)) (-5 *1 (-723 *3 *5 *6)) (-4 *3 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225)))) (-4490 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 *6 *5)) (-5 *1 (-723 *4 *5 *6)) (-4 *4 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225))))) 
-(-10 -7 (-15 -4490 ((-1 |#3| |#2|) (-1191))) (-15 -4367 ((-1 |#3| |#2|) |#1| (-1191)))) 
-((-3424 (((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 (-1187 |#4|)) (-658 |#3|) (-658 |#4|) (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| |#4|)))) (-658 (-790)) (-1280 (-658 (-1187 |#3|))) |#3|) 58)) (-3497 (((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 (-1187 |#3|)) (-658 |#3|) (-658 |#4|) (-658 (-790)) |#3|) 71)) (-2868 (((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 |#3|) (-658 (-790)) (-658 (-1187 |#4|)) (-1280 (-658 (-1187 |#3|))) |#3|) 32))) 
-(((-724 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2868 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 |#3|) (-658 (-790)) (-658 (-1187 |#4|)) (-1280 (-658 (-1187 |#3|))) |#3|)) (-15 -3497 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 (-1187 |#3|)) (-658 |#3|) (-658 |#4|) (-658 (-790)) |#3|)) (-15 -3424 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 (-1187 |#4|)) (-658 |#3|) (-658 |#4|) (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| |#4|)))) (-658 (-790)) (-1280 (-658 (-1187 |#3|))) |#3|))) (-815) (-869) (-323) (-977 |#3| |#1| |#2|)) (T -724)) 
-((-3424 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-658 (-1187 *13))) (-5 *3 (-1187 *13)) (-5 *4 (-658 *12)) (-5 *5 (-658 *10)) (-5 *6 (-658 *13)) (-5 *7 (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| *13))))) (-5 *8 (-658 (-790))) (-5 *9 (-1280 (-658 (-1187 *10)))) (-4 *12 (-869)) (-4 *10 (-323)) (-4 *13 (-977 *10 *11 *12)) (-4 *11 (-815)) (-5 *1 (-724 *11 *12 *10 *13)))) (-3497 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-658 *11)) (-5 *5 (-658 (-1187 *9))) (-5 *6 (-658 *9)) (-5 *7 (-658 *12)) (-5 *8 (-658 (-790))) (-4 *11 (-869)) (-4 *9 (-323)) (-4 *12 (-977 *9 *10 *11)) (-4 *10 (-815)) (-5 *2 (-658 (-1187 *12))) (-5 *1 (-724 *10 *11 *9 *12)) (-5 *3 (-1187 *12)))) (-2868 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-658 (-1187 *11))) (-5 *3 (-1187 *11)) (-5 *4 (-658 *10)) (-5 *5 (-658 *8)) (-5 *6 (-658 (-790))) (-5 *7 (-1280 (-658 (-1187 *8)))) (-4 *10 (-869)) (-4 *8 (-323)) (-4 *11 (-977 *8 *9 *10)) (-4 *9 (-815)) (-5 *1 (-724 *9 *10 *8 *11))))) 
-(-10 -7 (-15 -2868 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 |#3|) (-658 (-790)) (-658 (-1187 |#4|)) (-1280 (-658 (-1187 |#3|))) |#3|)) (-15 -3497 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 (-1187 |#3|)) (-658 |#3|) (-658 |#4|) (-658 (-790)) |#3|)) (-15 -3424 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-658 |#2|) (-658 (-1187 |#4|)) (-658 |#3|) (-658 |#4|) (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| |#4|)))) (-658 (-790)) (-1280 (-658 (-1187 |#3|))) |#3|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4593 (($ $) 40)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-4526 (($ |#1| (-790)) 38)) (-4206 (((-790) $) 42)) (-4579 ((|#1| $) 41)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4525 (((-790) $) 43)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 37 (|has| |#1| (-194)))) (-1937 ((|#1| $ (-790)) 39)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
-(((-725 |#1|) (-1311) (-1075)) (T -725)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-725 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) (-4206 (*1 *2 *1) (-12 (-4 *1 (-725 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) (-4579 (*1 *2 *1) (-12 (-4 *1 (-725 *2)) (-4 *2 (-1075)))) (-4593 (*1 *1 *1) (-12 (-4 *1 (-725 *2)) (-4 *2 (-1075)))) (-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-725 *2)) (-4 *2 (-1075)))) (-4526 (*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-725 *2)) (-4 *2 (-1075))))) 
-(-13 (-1075) (-140 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-194)) (-6 (-43 |t#1|)) |noBranch|) (-15 -4525 ((-790) $)) (-15 -4206 ((-790) $)) (-15 -4579 (|t#1| $)) (-15 -4593 ($ $)) (-15 -1937 (|t#1| $ (-790))) (-15 -4526 ($ |t#1| (-790))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-194)) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) |has| |#1| (-194)) ((-743) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2731 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
-(((-726 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2731 (|#6| (-1 |#4| |#1|) |#3|))) (-582) (-1255 |#1|) (-1255 (-433 |#2|)) (-582) (-1255 |#4|) (-1255 (-433 |#5|))) (T -726)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-582)) (-4 *7 (-582)) (-4 *6 (-1255 *5)) (-4 *2 (-1255 (-433 *8))) (-5 *1 (-726 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1255 (-433 *6))) (-4 *8 (-1255 *7))))) 
-(-10 -7 (-15 -2731 (|#6| (-1 |#4| |#1|) |#3|))) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1805 (((-1173) (-877)) 31)) (-3536 (((-1285) (-1173)) 28)) (-1807 (((-1173) (-877)) 24)) (-2609 (((-1173) (-877)) 25)) (-1683 (((-877) $) NIL) (((-1173) (-877)) 23)) (-3255 (((-141) $ $) NIL))) 
-(((-727) (-13 (-1119) (-10 -7 (-15 -1683 ((-1173) (-877))) (-15 -1807 ((-1173) (-877))) (-15 -2609 ((-1173) (-877))) (-15 -1805 ((-1173) (-877))) (-15 -3536 ((-1285) (-1173)))))) (T -727)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727)))) (-1807 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727)))) (-2609 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727)))) (-1805 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727)))) (-3536 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-727))))) 
-(-13 (-1119) (-10 -7 (-15 -1683 ((-1173) (-877))) (-15 -1807 ((-1173) (-877))) (-15 -2609 ((-1173) (-877))) (-15 -1805 ((-1173) (-877))) (-15 -3536 ((-1285) (-1173))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL)) (-3657 (($ |#1| |#2|) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1704 ((|#2| $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2314 (((-3 $ "failed") $ $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) ((|#1| $) NIL)) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-728 |#1| |#2| |#3| |#4| |#5|) (-13 (-388) (-10 -8 (-15 -1704 (|#2| $)) (-15 -1683 (|#1| $)) (-15 -3657 ($ |#1| |#2|)) (-15 -2314 ((-3 $ "failed") $ $)))) (-194) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -728)) 
-((-1704 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-728 *3 *2 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-1683 (*1 *2 *1) (-12 (-4 *2 (-194)) (-5 *1 (-728 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3657 (*1 *1 *2 *3) (-12 (-5 *1 (-728 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2314 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-728 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-388) (-10 -8 (-15 -1704 (|#2| $)) (-15 -1683 (|#1| $)) (-15 -3657 ($ |#1| |#2|)) (-15 -2314 ((-3 $ "failed") $ $)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 30)) (-2651 (((-1280 |#1|) $ (-790)) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-2085 (($ (-1187 |#1|)) NIL)) (-4492 (((-1187 $) $ (-1103)) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3250 (($ $ $) NIL (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1403 (((-790)) 46 (|has| |#1| (-394)))) (-1696 (($ $ (-790)) NIL)) (-1498 (($ $ (-790)) NIL)) (-1714 ((|#2| |#2|) 43)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-477)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-1103) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-1103) $) NIL)) (-1544 (($ $ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $ $) NIL (|has| |#1| (-194)))) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) 33)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3657 (($ |#2|) 41)) (-3371 (((-3 $ "failed") $) 84)) (-4290 (($) 50 (|has| |#1| (-394)))) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-3213 (($ $ $) NIL)) (-2133 (($ $ $) NIL (|has| |#1| (-582)))) (-4369 (((-2 (|:| -1487 |#1|) (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-1777 (((-986 $)) 78)) (-4209 (($ $ |#1| (-790) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1103) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1103) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ $) NIL (|has| |#1| (-582)))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-1165)))) (-4533 (($ (-1187 |#1|) (-1103)) NIL) (($ (-1187 $) (-1103)) NIL)) (-3990 (($ $ (-790)) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) 76) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) NIL) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-1704 ((|#2|) 44)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2070 (((-1187 |#1|) $) NIL)) (-3254 (((-3 (-1103) "failed") $) NIL)) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-3650 ((|#2| $) 40)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) 28)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) NIL (|has| |#1| (-1165)) CONST)) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-4068 (($ $) 77 (|has| |#1| (-373)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#1|) NIL) (($ $ (-658 (-1103)) (-658 |#1|)) NIL) (($ $ (-1103) $) NIL) (($ $ (-658 (-1103)) (-658 $)) NIL)) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-3927 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-433 $) (-433 $) (-433 $)) NIL (|has| |#1| (-582))) ((|#1| (-433 $) |#1|) NIL (|has| |#1| (-388))) (((-433 $) $ (-433 $)) NIL (|has| |#1| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 85 (|has| |#1| (-388)))) (-1482 (($ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $) NIL (|has| |#1| (-194)))) (-3644 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-4525 (((-790) $) 31) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1103) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-3460 (((-986 $)) 35)) (-1528 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582))) (((-3 (-433 $) "failed") (-433 $) $) NIL (|has| |#1| (-582)))) (-1683 (((-877) $) 60) (($ (-592)) NIL) (($ |#1|) 57) (($ (-1103)) NIL) (($ |#2|) 67) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) 62) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 20 T CONST)) (-3784 (((-1280 |#1|) $) 74)) (-2785 (($ (-1280 |#1|)) 49)) (-4257 (($) 8 T CONST)) (-1940 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1962 (((-1280 |#1|) $) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 68)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) 71) (($ $ $) NIL)) (-3300 (($ $ $) 32)) (** (($ $ (-944)) NIL) (($ $ (-790)) 79)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 56) (($ $ $) 73) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
-(((-729 |#1| |#2|) (-13 (-1255 |#1|) (-10 -8 (-15 -1714 (|#2| |#2|)) (-15 -1704 (|#2|)) (-15 -3657 ($ |#2|)) (-15 -3650 (|#2| $)) (-15 -1683 ($ |#2|)) (-15 -3784 ((-1280 |#1|) $)) (-15 -2785 ($ (-1280 |#1|))) (-15 -1962 ((-1280 |#1|) $)) (-15 -1777 ((-986 $))) (-15 -3460 ((-986 $))) (IF (|has| |#1| (-373)) (-15 -4068 ($ $)) |noBranch|) (IF (|has| |#1| (-394)) (-6 (-394)) |noBranch|))) (-1075) (-1255 |#1|)) (T -729)) 
-((-1714 (*1 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-729 *3 *2)) (-4 *2 (-1255 *3)))) (-1704 (*1 *2) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-729 *3 *2)) (-4 *3 (-1075)))) (-3657 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-729 *3 *2)) (-4 *2 (-1255 *3)))) (-3650 (*1 *2 *1) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-729 *3 *2)) (-4 *3 (-1075)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-729 *3 *2)) (-4 *2 (-1255 *3)))) (-3784 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-1280 *3)) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3)))) (-2785 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1075)) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3)))) (-1962 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-1280 *3)) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3)))) (-1777 (*1 *2) (-12 (-4 *3 (-1075)) (-5 *2 (-986 (-729 *3 *4))) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3)))) (-3460 (*1 *2) (-12 (-4 *3 (-1075)) (-5 *2 (-986 (-729 *3 *4))) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3)))) (-4068 (*1 *1 *1) (-12 (-4 *2 (-373)) (-4 *2 (-1075)) (-5 *1 (-729 *2 *3)) (-4 *3 (-1255 *2))))) 
-(-13 (-1255 |#1|) (-10 -8 (-15 -1714 (|#2| |#2|)) (-15 -1704 (|#2|)) (-15 -3657 ($ |#2|)) (-15 -3650 (|#2| $)) (-15 -1683 ($ |#2|)) (-15 -3784 ((-1280 |#1|) $)) (-15 -2785 ($ (-1280 |#1|))) (-15 -1962 ((-1280 |#1|) $)) (-15 -1777 ((-986 $))) (-15 -3460 ((-986 $))) (IF (|has| |#1| (-373)) (-15 -4068 ($ $)) |noBranch|) (IF (|has| |#1| (-394)) (-6 (-394)) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-1825 ((|#1| $) 13)) (-2951 (((-1137) $) NIL)) (-3215 ((|#2| $) 12)) (-4466 (($ |#1| |#2|) 16)) (-1683 (((-877) $) NIL) (($ (-2 (|:| -1825 |#1|) (|:| -3215 |#2|))) 15) (((-2 (|:| -1825 |#1|) (|:| -3215 |#2|)) $) 14)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 11))) 
-(((-730 |#1| |#2| |#3|) (-13 (-869) (-10 -8 (-15 -3215 (|#2| $)) (-15 -1825 (|#1| $)) (-15 -1683 ($ (-2 (|:| -1825 |#1|) (|:| -3215 |#2|)))) (-15 -1683 ((-2 (|:| -1825 |#1|) (|:| -3215 |#2|)) $)) (-15 -4466 ($ |#1| |#2|)))) (-869) (-1119) (-1 (-141) (-2 (|:| -1825 |#1|) (|:| -3215 |#2|)) (-2 (|:| -1825 |#1|) (|:| -3215 |#2|)))) (T -730)) 
-((-3215 (*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-730 *3 *2 *4)) (-4 *3 (-869)) (-14 *4 (-1 (-141) (-2 (|:| -1825 *3) (|:| -3215 *2)) (-2 (|:| -1825 *3) (|:| -3215 *2)))))) (-1825 (*1 *2 *1) (-12 (-4 *2 (-869)) (-5 *1 (-730 *2 *3 *4)) (-4 *3 (-1119)) (-14 *4 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *3)) (-2 (|:| -1825 *2) (|:| -3215 *3)))))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1825 *3) (|:| -3215 *4))) (-4 *3 (-869)) (-4 *4 (-1119)) (-5 *1 (-730 *3 *4 *5)) (-14 *5 (-1 (-141) *2 *2)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1825 *3) (|:| -3215 *4))) (-5 *1 (-730 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-1119)) (-14 *5 (-1 (-141) *2 *2)))) (-4466 (*1 *1 *2 *3) (-12 (-5 *1 (-730 *2 *3 *4)) (-4 *2 (-869)) (-4 *3 (-1119)) (-14 *4 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *3)) (-2 (|:| -1825 *2) (|:| -3215 *3))))))) 
-(-13 (-869) (-10 -8 (-15 -3215 (|#2| $)) (-15 -1825 (|#1| $)) (-15 -1683 ($ (-2 (|:| -1825 |#1|) (|:| -3215 |#2|)))) (-15 -1683 ((-2 (|:| -1825 |#1|) (|:| -3215 |#2|)) $)) (-15 -4466 ($ |#1| |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 59)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 89) (((-3 (-143) "failed") $) 95)) (-2400 ((|#1| $) NIL) (((-143) $) 39)) (-3371 (((-3 $ "failed") $) 90)) (-4297 ((|#2| (-143) |#2|) 82)) (-3558 (((-141) $) NIL)) (-4415 (($ |#1| (-386 (-143))) 13)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3165 (($ $ (-1 |#2| |#2|)) 58)) (-1646 (($ $ (-1 |#2| |#2|)) 44)) (-3927 ((|#2| $ |#2|) 32)) (-4454 ((|#1| |#1|) 100 (|has| |#1| (-194)))) (-1683 (((-877) $) 66) (($ (-592)) 17) (($ |#1|) 16) (($ (-143)) 23)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) 36)) (-2332 (($ $) 99 (|has| |#1| (-194))) (($ $ $) 103 (|has| |#1| (-194)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 20 T CONST)) (-4257 (($) 9 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) 48) (($ $ $) NIL)) (-3300 (($ $ $) 73)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ (-143) (-592)) NIL) (($ $ (-592)) 57)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-194))) (($ $ |#1|) 97 (|has| |#1| (-194))))) 
-(((-731 |#1| |#2|) (-13 (-1075) (-1065 |#1|) (-1065 (-143)) (-303 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-194)) (PROGN (-6 (-43 |#1|)) (-15 -2332 ($ $)) (-15 -2332 ($ $ $)) (-15 -4454 (|#1| |#1|))) |noBranch|) (-15 -1646 ($ $ (-1 |#2| |#2|))) (-15 -3165 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-143) (-592))) (-15 ** ($ $ (-592))) (-15 -4297 (|#2| (-143) |#2|)) (-15 -4415 ($ |#1| (-386 (-143)))))) (-1075) (-661 |#1|)) (T -731)) 
-((-2332 (*1 *1 *1) (-12 (-4 *2 (-194)) (-4 *2 (-1075)) (-5 *1 (-731 *2 *3)) (-4 *3 (-661 *2)))) (-2332 (*1 *1 *1 *1) (-12 (-4 *2 (-194)) (-4 *2 (-1075)) (-5 *1 (-731 *2 *3)) (-4 *3 (-661 *2)))) (-4454 (*1 *2 *2) (-12 (-4 *2 (-194)) (-4 *2 (-1075)) (-5 *1 (-731 *2 *3)) (-4 *3 (-661 *2)))) (-1646 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-661 *3)) (-4 *3 (-1075)) (-5 *1 (-731 *3 *4)))) (-3165 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-661 *3)) (-4 *3 (-1075)) (-5 *1 (-731 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-731 *4 *5)) (-4 *5 (-661 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *3 (-1075)) (-5 *1 (-731 *3 *4)) (-4 *4 (-661 *3)))) (-4297 (*1 *2 *3 *2) (-12 (-5 *3 (-143)) (-4 *4 (-1075)) (-5 *1 (-731 *4 *2)) (-4 *2 (-661 *4)))) (-4415 (*1 *1 *2 *3) (-12 (-5 *3 (-386 (-143))) (-4 *2 (-1075)) (-5 *1 (-731 *2 *4)) (-4 *4 (-661 *2))))) 
-(-13 (-1075) (-1065 |#1|) (-1065 (-143)) (-303 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-194)) (PROGN (-6 (-43 |#1|)) (-15 -2332 ($ $)) (-15 -2332 ($ $ $)) (-15 -4454 (|#1| |#1|))) |noBranch|) (-15 -1646 ($ $ (-1 |#2| |#2|))) (-15 -3165 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-143) (-592))) (-15 ** ($ $ (-592))) (-15 -4297 (|#2| (-143) |#2|)) (-15 -4415 ($ |#1| (-386 (-143)))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 33)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3657 (($ |#1| |#2|) 25)) (-3371 (((-3 $ "failed") $) 47)) (-3558 (((-141) $) 35)) (-1704 ((|#2| $) 12)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 48)) (-2951 (((-1137) $) NIL)) (-2314 (((-3 $ "failed") $ $) 46)) (-1683 (((-877) $) 24) (($ (-592)) 19) ((|#1| $) 13)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 16 T CONST)) (-4257 (($) 30 T CONST)) (-3255 (((-141) $ $) 38)) (-3306 (($ $) 43) (($ $ $) 37)) (-3300 (($ $ $) 40)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 21) (($ $ $) 20))) 
-(((-732 |#1| |#2| |#3| |#4| |#5|) (-13 (-1075) (-10 -8 (-15 -1704 (|#2| $)) (-15 -1683 (|#1| $)) (-15 -3657 ($ |#1| |#2|)) (-15 -2314 ((-3 $ "failed") $ $)) (-15 -3371 ((-3 $ "failed") $)) (-15 -4552 ($ $)))) (-194) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -732)) 
-((-3371 (*1 *1 *1) (|partial| -12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1704 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-732 *3 *2 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-1683 (*1 *2 *1) (-12 (-4 *2 (-194)) (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3657 (*1 *1 *2 *3) (-12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2314 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4552 (*1 *1 *1) (-12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-1075) (-10 -8 (-15 -1704 (|#2| $)) (-15 -1683 (|#1| $)) (-15 -3657 ($ |#1| |#2|)) (-15 -2314 ((-3 $ "failed") $ $)) (-15 -3371 ((-3 $ "failed") $)) (-15 -4552 ($ $)))) 
-((* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
-(((-733 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) (-734 |#2|) (-194)) (T -733)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-734 |#1|) (-1311) (-194)) (T -734)) 
-NIL 
-(-13 (-140 |t#1| |t#1|)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-3651 (($ |#1|) 17) (($ $ |#1|) 20)) (-4086 (($ |#1|) 18) (($ $ |#1|) 21)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-3558 (((-141) $) NIL)) (-3818 (($ |#1| |#1| |#1| |#1|) 8)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 16)) (-2951 (((-1137) $) NIL)) (-2806 ((|#1| $ |#1|) 24) (((-855 |#1|) $ (-855 |#1|)) 32)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) 39)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 9 T CONST)) (-3255 (((-141) $ $) 44)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ $ $) 14))) 
-(((-735 |#1|) (-13 (-502) (-10 -8 (-15 -3818 ($ |#1| |#1| |#1| |#1|)) (-15 -3651 ($ |#1|)) (-15 -4086 ($ |#1|)) (-15 -3371 ($)) (-15 -3651 ($ $ |#1|)) (-15 -4086 ($ $ |#1|)) (-15 -3371 ($ $)) (-15 -2806 (|#1| $ |#1|)) (-15 -2806 ((-855 |#1|) $ (-855 |#1|))))) (-388)) (T -735)) 
-((-3818 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-3651 (*1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-4086 (*1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-3371 (*1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-3651 (*1 *1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-4086 (*1 *1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-3371 (*1 *1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-2806 (*1 *2 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) (-2806 (*1 *2 *1 *2) (-12 (-5 *2 (-855 *3)) (-4 *3 (-388)) (-5 *1 (-735 *3))))) 
-(-13 (-502) (-10 -8 (-15 -3818 ($ |#1| |#1| |#1| |#1|)) (-15 -3651 ($ |#1|)) (-15 -4086 ($ |#1|)) (-15 -3371 ($)) (-15 -3651 ($ $ |#1|)) (-15 -4086 ($ $ |#1|)) (-15 -3371 ($ $)) (-15 -2806 (|#1| $ |#1|)) (-15 -2806 ((-855 |#1|) $ (-855 |#1|))))) 
-((-2111 (($ $ (-944)) 12)) (-2682 (($ $ (-944)) 13)) (** (($ $ (-944)) 10))) 
-(((-736 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-944))) (-15 -2682 (|#1| |#1| (-944))) (-15 -2111 (|#1| |#1| (-944)))) (-737)) (T -736)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-944))) (-15 -2682 (|#1| |#1| (-944))) (-15 -2111 (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-2111 (($ $ (-944)) 14)) (-2682 (($ $ (-944)) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6)) (** (($ $ (-944)) 12)) (* (($ $ $) 15))) 
-(((-737) (-1311)) (T -737)) 
-((* (*1 *1 *1 *1) (-4 *1 (-737))) (-2111 (*1 *1 *1 *2) (-12 (-4 *1 (-737)) (-5 *2 (-944)))) (-2682 (*1 *1 *1 *2) (-12 (-4 *1 (-737)) (-5 *2 (-944)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-737)) (-5 *2 (-944))))) 
-(-13 (-1119) (-10 -8 (-15 * ($ $ $)) (-15 -2111 ($ $ (-944))) (-15 -2682 ($ $ (-944))) (-15 ** ($ $ (-944))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-2111 (($ $ (-944)) NIL) (($ $ (-790)) 17)) (-3558 (((-141) $) 10)) (-2682 (($ $ (-944)) NIL) (($ $ (-790)) 18)) (** (($ $ (-944)) NIL) (($ $ (-790)) 15))) 
-(((-738 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-790))) (-15 -2682 (|#1| |#1| (-790))) (-15 -2111 (|#1| |#1| (-790))) (-15 -3558 ((-141) |#1|)) (-15 ** (|#1| |#1| (-944))) (-15 -2682 (|#1| |#1| (-944))) (-15 -2111 (|#1| |#1| (-944)))) (-739)) (T -738)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-790))) (-15 -2682 (|#1| |#1| (-790))) (-15 -2111 (|#1| |#1| (-790))) (-15 -3558 ((-141) |#1|)) (-15 ** (|#1| |#1| (-944))) (-15 -2682 (|#1| |#1| (-944))) (-15 -2111 (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-2503 (((-3 $ "failed") $) 16)) (-2111 (($ $ (-944)) 14) (($ $ (-790)) 21)) (-3371 (((-3 $ "failed") $) 18)) (-3558 (((-141) $) 22)) (-4158 (((-3 $ "failed") $) 17)) (-2682 (($ $ (-944)) 13) (($ $ (-790)) 20)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-4257 (($) 23 T CONST)) (-3255 (((-141) $ $) 6)) (** (($ $ (-944)) 12) (($ $ (-790)) 19)) (* (($ $ $) 15))) 
-(((-739) (-1311)) (T -739)) 
-((-4257 (*1 *1) (-4 *1 (-739))) (-3558 (*1 *2 *1) (-12 (-4 *1 (-739)) (-5 *2 (-141)))) (-2111 (*1 *1 *1 *2) (-12 (-4 *1 (-739)) (-5 *2 (-790)))) (-2682 (*1 *1 *1 *2) (-12 (-4 *1 (-739)) (-5 *2 (-790)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-739)) (-5 *2 (-790)))) (-3371 (*1 *1 *1) (|partial| -4 *1 (-739))) (-4158 (*1 *1 *1) (|partial| -4 *1 (-739))) (-2503 (*1 *1 *1) (|partial| -4 *1 (-739)))) 
-(-13 (-737) (-10 -8 (-15 (-4257) ($) -4249) (-15 -3558 ((-141) $)) (-15 -2111 ($ $ (-790))) (-15 -2682 ($ $ (-790))) (-15 ** ($ $ (-790))) (-15 -3371 ((-3 $ "failed") $)) (-15 -4158 ((-3 $ "failed") $)) (-15 -2503 ((-3 $ "failed") $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-737) . T) ((-1119) . T)) 
-((-1403 (((-790)) 35)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL) ((|#2| $) 22)) (-3657 (($ |#3|) NIL) (((-3 $ "failed") (-433 |#3|)) 45)) (-3371 (((-3 $ "failed") $) 65)) (-4290 (($) 39)) (-2793 ((|#2| $) 20)) (-2934 (($) 17)) (-3644 (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL) (($ $ (-790)) NIL) (($ $) NIL)) (-4174 (((-706 |#2|) (-1280 $) (-1 |#2| |#2|)) 60)) (-1778 (((-1280 |#2|) $) NIL) (($ (-1280 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-4198 ((|#3| $) 32)) (-2195 (((-1280 $)) 29))) 
-(((-740 |#1| |#2| |#3|) (-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -4290 (|#1|)) (-15 -1403 ((-790))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -4174 ((-706 |#2|) (-1280 |#1|) (-1 |#2| |#2|))) (-15 -3657 ((-3 |#1| "failed") (-433 |#3|))) (-15 -1778 (|#1| |#3|)) (-15 -3657 (|#1| |#3|)) (-15 -2934 (|#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1778 (|#3| |#1|)) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -2195 ((-1280 |#1|))) (-15 -4198 (|#3| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|))) (-741 |#2| |#3|) (-194) (-1255 |#2|)) (T -740)) 
-((-1403 (*1 *2) (-12 (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-790)) (-5 *1 (-740 *3 *4 *5)) (-4 *3 (-741 *4 *5))))) 
-(-10 -8 (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -4290 (|#1|)) (-15 -1403 ((-790))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -4174 ((-706 |#2|) (-1280 |#1|) (-1 |#2| |#2|))) (-15 -3657 ((-3 |#1| "failed") (-433 |#3|))) (-15 -1778 (|#1| |#3|)) (-15 -3657 (|#1| |#3|)) (-15 -2934 (|#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1778 (|#3| |#1|)) (-15 -1778 (|#1| (-1280 |#2|))) (-15 -1778 ((-1280 |#2|) |#1|)) (-15 -2195 ((-1280 |#1|))) (-15 -4198 (|#3| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -3371 ((-3 |#1| "failed") |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 88 (|has| |#1| (-388)))) (-1555 (($ $) 89 (|has| |#1| (-388)))) (-1313 (((-141) $) 91 (|has| |#1| (-388)))) (-1800 (((-706 |#1|) (-1280 $)) 44) (((-706 |#1|)) 55)) (-4529 ((|#1| $) 50)) (-4217 (((-1199 (-944) (-790)) (-592)) 142 (|has| |#1| (-373)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 108 (|has| |#1| (-388)))) (-3164 (((-444 $) $) 109 (|has| |#1| (-388)))) (-3652 (((-141) $ $) 99 (|has| |#1| (-388)))) (-1403 (((-790)) 81 (|has| |#1| (-394)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 164 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 162 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 161)) (-2400 (((-592) $) 165 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 163 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 160)) (-1626 (($ (-1280 |#1|) (-1280 $)) 46) (($ (-1280 |#1|)) 58)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 148 (|has| |#1| (-373)))) (-1586 (($ $ $) 103 (|has| |#1| (-388)))) (-4493 (((-706 |#1|) $ (-1280 $)) 51) (((-706 |#1|) $) 53)) (-3945 (((-706 (-592)) (-706 $)) 159 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 158 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 157) (((-706 |#1|) (-706 $)) 156)) (-3657 (($ |#2|) 153) (((-3 $ "failed") (-433 |#2|)) 150 (|has| |#1| (-388)))) (-3371 (((-3 $ "failed") $) 33)) (-4175 (((-944)) 52)) (-4290 (($) 84 (|has| |#1| (-394)))) (-1599 (($ $ $) 102 (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 97 (|has| |#1| (-388)))) (-2667 (($) 144 (|has| |#1| (-373)))) (-3293 (((-141) $) 145 (|has| |#1| (-373)))) (-1525 (($ $ (-790)) 136 (|has| |#1| (-373))) (($ $) 135 (|has| |#1| (-373)))) (-2802 (((-141) $) 110 (|has| |#1| (-388)))) (-4346 (((-944) $) 147 (|has| |#1| (-373))) (((-855 (-944)) $) 133 (|has| |#1| (-373)))) (-3558 (((-141) $) 30)) (-2793 ((|#1| $) 49)) (-3921 (((-3 $ "failed") $) 137 (|has| |#1| (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 106 (|has| |#1| (-388)))) (-3504 ((|#2| $) 42 (|has| |#1| (-388)))) (-3546 (((-944) $) 83 (|has| |#1| (-394)))) (-3650 ((|#2| $) 151)) (-2750 (($ (-658 $)) 95 (|has| |#1| (-388))) (($ $ $) 94 (|has| |#1| (-388)))) (-2685 (((-1173) $) 9)) (-4552 (($ $) 111 (|has| |#1| (-388)))) (-3703 (($) 138 (|has| |#1| (-373)) CONST)) (-1825 (($ (-944)) 82 (|has| |#1| (-394)))) (-2951 (((-1137) $) 10)) (-2934 (($) 155)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 96 (|has| |#1| (-388)))) (-3548 (($ (-658 $)) 93 (|has| |#1| (-388))) (($ $ $) 92 (|has| |#1| (-388)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 141 (|has| |#1| (-373)))) (-4500 (((-444 $) $) 107 (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 104 (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ $) 87 (|has| |#1| (-388)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 98 (|has| |#1| (-388)))) (-2769 (((-790) $) 100 (|has| |#1| (-388)))) (-1405 (((-658 $)) 85 (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 101 (|has| |#1| (-388)))) (-1482 ((|#1| (-1280 $)) 45) ((|#1|) 54)) (-2177 (((-790) $) 146 (|has| |#1| (-373))) (((-3 (-790) "failed") $ $) 134 (|has| |#1| (-373)))) (-3644 (($ $) 132 (-3836 (-1732 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-790)) 130 (-3836 (-1732 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-1191)) 128 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-658 (-1191))) 127 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-1191) (-790)) 126 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-658 (-1191)) (-658 (-790))) 125 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-1 |#1| |#1|) (-790)) 118 (|has| |#1| (-388))) (($ $ (-1 |#1| |#1|)) 117 (|has| |#1| (-388)))) (-4174 (((-706 |#1|) (-1280 $) (-1 |#1| |#1|)) 149 (|has| |#1| (-388)))) (-3390 ((|#2|) 154)) (-3809 (($) 143 (|has| |#1| (-373)))) (-2231 (((-1280 |#1|) $ (-1280 $)) 48) (((-706 |#1|) (-1280 $) (-1280 $)) 47) (((-1280 |#1|) $) 60) (((-706 |#1|) (-1280 $)) 59)) (-1778 (((-1280 |#1|) $) 57) (($ (-1280 |#1|)) 56) ((|#2| $) 166) (($ |#2|) 152)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 140 (|has| |#1| (-373)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36) (($ $) 86 (|has| |#1| (-388))) (($ (-433 (-592))) 80 (-3836 (|has| |#1| (-388)) (|has| |#1| (-1065 (-433 (-592))))))) (-1517 (($ $) 139 (|has| |#1| (-373))) (((-3 $ "failed") $) 41 (|has| |#1| (-169)))) (-4198 ((|#2| $) 43)) (-4010 (((-790)) 28)) (-2195 (((-1280 $)) 61)) (-2537 (((-141) $ $) 90 (|has| |#1| (-388)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 112 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $) 131 (-3836 (-1732 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-790)) 129 (-3836 (-1732 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-1191)) 124 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-658 (-1191))) 123 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-1191) (-790)) 122 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-658 (-1191)) (-658 (-790))) 121 (-1732 (|has| |#1| (-922 (-1191))) (|has| |#1| (-388)))) (($ $ (-1 |#1| |#1|) (-790)) 120 (|has| |#1| (-388))) (($ $ (-1 |#1| |#1|)) 119 (|has| |#1| (-388)))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 116 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 113 (|has| |#1| (-388)))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-433 (-592)) $) 115 (|has| |#1| (-388))) (($ $ (-433 (-592))) 114 (|has| |#1| (-388))))) 
-(((-741 |#1| |#2|) (-1311) (-194) (-1255 |t#1|)) (T -741)) 
-((-2934 (*1 *1) (-12 (-4 *2 (-194)) (-4 *1 (-741 *2 *3)) (-4 *3 (-1255 *2)))) (-3390 (*1 *2) (-12 (-4 *1 (-741 *3 *2)) (-4 *3 (-194)) (-4 *2 (-1255 *3)))) (-3657 (*1 *1 *2) (-12 (-4 *3 (-194)) (-4 *1 (-741 *3 *2)) (-4 *2 (-1255 *3)))) (-1778 (*1 *1 *2) (-12 (-4 *3 (-194)) (-4 *1 (-741 *3 *2)) (-4 *2 (-1255 *3)))) (-3650 (*1 *2 *1) (-12 (-4 *1 (-741 *3 *2)) (-4 *3 (-194)) (-4 *2 (-1255 *3)))) (-3657 (*1 *1 *2) (|partial| -12 (-5 *2 (-433 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-388)) (-4 *3 (-194)) (-4 *1 (-741 *3 *4)))) (-4174 (*1 *2 *3 *4) (-12 (-5 *3 (-1280 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-388)) (-4 *1 (-741 *5 *6)) (-4 *5 (-194)) (-4 *6 (-1255 *5)) (-5 *2 (-706 *5))))) 
-(-13 (-435 |t#1| |t#2|) (-194) (-633 |t#2|) (-437 |t#1|) (-403 |t#1|) (-10 -8 (-15 -2934 ($)) (-15 -3390 (|t#2|)) (-15 -3657 ($ |t#2|)) (-15 -1778 ($ |t#2|)) (-15 -3650 (|t#2| $)) (IF (|has| |t#1| (-394)) (-6 (-394)) |noBranch|) (IF (|has| |t#1| (-388)) (PROGN (-6 (-388)) (-6 (-245 |t#1|)) (-15 -3657 ((-3 $ "failed") (-433 |t#2|))) (-15 -4174 ((-706 |t#1|) (-1280 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-373)) (-6 (-373)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-43 |#1|) . T) ((-43 $) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-140 |#1| |#1|) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| |#1| (-373)) (|has| |#1| (-169))) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-633 |#2|) . T) ((-245 |#1|) |has| |#1| (-388)) ((-247) -3836 (|has| |#1| (-373)) (-12 (|has| |#1| (-247)) (|has| |#1| (-388)))) ((-260) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-307) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-323) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-388) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-428) |has| |#1| (-373)) ((-394) -3836 (|has| |#1| (-394)) (|has| |#1| (-373))) ((-373) |has| |#1| (-373)) ((-396 |#1| |#2|) . T) ((-435 |#1| |#2|) . T) ((-403 |#1|) . T) ((-437 |#1|) . T) ((-477) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-582) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-661 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-734 |#1|) . T) ((-734 $) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191)))) ((-943) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) -3836 (|has| |#1| (-373)) (|has| |#1| (-388))) ((-1081 |#1|) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) |has| |#1| (-373)) ((-1235) -3836 (|has| |#1| (-373)) (|has| |#1| (-388)))) 
-((-3001 (($) 14)) (-3371 (((-3 $ "failed") $) 16)) (-3558 (((-141) $) 13)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) 9)) (** (($ $ (-944)) NIL) (($ $ (-790)) 20))) 
-(((-742 |#1|) (-10 -8 (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 -1424 (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-790))) (-15 -3558 ((-141) |#1|)) (-15 -3001 (|#1|)) (-15 -1424 (|#1| |#1| (-944))) (-15 ** (|#1| |#1| (-944)))) (-743)) (T -742)) 
-NIL 
-(-10 -8 (-15 -3371 ((-3 |#1| "failed") |#1|)) (-15 -1424 (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-790))) (-15 -3558 ((-141) |#1|)) (-15 -3001 (|#1|)) (-15 -1424 (|#1| |#1| (-944))) (-15 ** (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-3001 (($) 19 T CONST)) (-3371 (((-3 $ "failed") $) 15)) (-3558 (((-141) $) 18)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-944)) 12) (($ $ (-790)) 16)) (-4257 (($) 20 T CONST)) (-3255 (((-141) $ $) 6)) (** (($ $ (-944)) 13) (($ $ (-790)) 17)) (* (($ $ $) 14))) 
-(((-743) (-1311)) (T -743)) 
-((-4257 (*1 *1) (-4 *1 (-743))) (-3001 (*1 *1) (-4 *1 (-743))) (-3558 (*1 *2 *1) (-12 (-4 *1 (-743)) (-5 *2 (-141)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-743)) (-5 *2 (-790)))) (-1424 (*1 *1 *1 *2) (-12 (-4 *1 (-743)) (-5 *2 (-790)))) (-3371 (*1 *1 *1) (|partial| -4 *1 (-743)))) 
-(-13 (-1131) (-10 -8 (-15 (-4257) ($) -4249) (-15 -3001 ($) -4249) (-15 -3558 ((-141) $)) (-15 ** ($ $ (-790))) (-15 -1424 ($ $ (-790))) (-15 -3371 ((-3 $ "failed") $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1131) . T) ((-1119) . T)) 
-((-2091 (((-2 (|:| -1947 (-444 |#2|)) (|:| |special| (-444 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-1356 (((-2 (|:| -1947 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-2805 ((|#2| (-433 |#2|) (-1 |#2| |#2|)) 13)) (-1906 (((-2 (|:| |poly| |#2|) (|:| -1947 (-433 |#2|)) (|:| |special| (-433 |#2|))) (-433 |#2|) (-1 |#2| |#2|)) 47))) 
-(((-744 |#1| |#2|) (-10 -7 (-15 -1356 ((-2 (|:| -1947 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -2091 ((-2 (|:| -1947 (-444 |#2|)) (|:| |special| (-444 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2805 (|#2| (-433 |#2|) (-1 |#2| |#2|))) (-15 -1906 ((-2 (|:| |poly| |#2|) (|:| -1947 (-433 |#2|)) (|:| |special| (-433 |#2|))) (-433 |#2|) (-1 |#2| |#2|)))) (-388) (-1255 |#1|)) (T -744)) 
-((-1906 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |poly| *6) (|:| -1947 (-433 *6)) (|:| |special| (-433 *6)))) (-5 *1 (-744 *5 *6)) (-5 *3 (-433 *6)))) (-2805 (*1 *2 *3 *4) (-12 (-5 *3 (-433 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1255 *5)) (-5 *1 (-744 *5 *2)) (-4 *5 (-388)))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -1947 (-444 *3)) (|:| |special| (-444 *3)))) (-5 *1 (-744 *5 *3)))) (-1356 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -1947 *3) (|:| |special| *3))) (-5 *1 (-744 *5 *3))))) 
-(-10 -7 (-15 -1356 ((-2 (|:| -1947 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -2091 ((-2 (|:| -1947 (-444 |#2|)) (|:| |special| (-444 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2805 (|#2| (-433 |#2|) (-1 |#2| |#2|))) (-15 -1906 ((-2 (|:| |poly| |#2|) (|:| -1947 (-433 |#2|)) (|:| |special| (-433 |#2|))) (-433 |#2|) (-1 |#2| |#2|)))) 
-((-3711 ((|#7| (-658 |#5|) |#6|) NIL)) (-2731 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
-(((-745 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2731 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -3711 (|#7| (-658 |#5|) |#6|))) (-869) (-815) (-815) (-1075) (-1075) (-977 |#4| |#2| |#1|) (-977 |#5| |#3| |#1|)) (T -745)) 
-((-3711 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *9)) (-4 *9 (-1075)) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *8 (-1075)) (-4 *2 (-977 *9 *7 *5)) (-5 *1 (-745 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-815)) (-4 *4 (-977 *8 *6 *5)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1075)) (-4 *9 (-1075)) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *2 (-977 *9 *7 *5)) (-5 *1 (-745 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-815)) (-4 *4 (-977 *8 *6 *5))))) 
-(-10 -7 (-15 -2731 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -3711 (|#7| (-658 |#5|) |#6|))) 
-((-2731 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
-(((-746 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2731 (|#7| (-1 |#2| |#1|) |#6|))) (-869) (-869) (-815) (-815) (-1075) (-977 |#5| |#3| |#1|) (-977 |#5| |#4| |#2|)) (T -746)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-869)) (-4 *6 (-869)) (-4 *7 (-815)) (-4 *9 (-1075)) (-4 *2 (-977 *9 *8 *6)) (-5 *1 (-746 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-815)) (-4 *4 (-977 *9 *7 *5))))) 
-(-10 -7 (-15 -2731 (|#7| (-1 |#2| |#1|) |#6|))) 
-((-4500 (((-444 |#4|) |#4|) 39))) 
-(((-747 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 |#4|) |#4|))) (-815) (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191))))) (-323) (-977 (-980 |#3|) |#1| |#2|)) (T -747)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-747 *4 *5 *6 *3)) (-4 *3 (-977 (-980 *6) *4 *5))))) 
-(-10 -7 (-15 -4500 ((-444 |#4|) |#4|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-879 |#1|)) $) NIL)) (-4492 (((-1187 $) $ (-879 |#1|)) NIL) (((-1187 |#2|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-582)))) (-1555 (($ $) NIL (|has| |#2| (-582)))) (-1313 (((-141) $) NIL (|has| |#2| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-879 |#1|))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL (|has| |#2| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-879 |#1|) "failed") $) NIL)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-879 |#1|) $) NIL)) (-1544 (($ $ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#2| (-931)))) (-4209 (($ $ |#2| (-558 (-879 |#1|)) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-879 |#1|) (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#2|) (-879 |#1|)) NIL) (($ (-1187 $) (-879 |#1|)) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#2| (-558 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-879 |#1|)) NIL)) (-4206 (((-558 (-879 |#1|)) $) NIL) (((-790) $ (-879 |#1|)) NIL) (((-658 (-790)) $ (-658 (-879 |#1|))) NIL)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2976 (($ (-1 (-558 (-879 |#1|)) (-558 (-879 |#1|))) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-3254 (((-3 (-879 |#1|) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#2| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-879 |#1|)) (|:| -3215 (-790))) "failed") $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#2| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-931)))) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-879 |#1|) |#2|) NIL) (($ $ (-658 (-879 |#1|)) (-658 |#2|)) NIL) (($ $ (-879 |#1|) $) NIL) (($ $ (-658 (-879 |#1|)) (-658 $)) NIL)) (-1482 (($ $ (-879 |#1|)) NIL (|has| |#2| (-194)))) (-3644 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-4525 (((-558 (-879 |#1|)) $) NIL) (((-790) $ (-879 |#1|)) NIL) (((-658 (-790)) $ (-658 (-879 |#1|))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-879 |#1|) (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-879 |#1|) (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#2| $) NIL (|has| |#2| (-477))) (($ $ (-879 |#1|)) NIL (|has| |#2| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) NIL) (($ (-879 |#1|)) NIL) (($ $) NIL (|has| |#2| (-582))) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-43 (-433 (-592)))) (|has| |#2| (-1065 (-433 (-592))))))) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-558 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#2| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#2| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-879 |#1|)) NIL) (($ $ (-658 (-879 |#1|))) NIL) (($ $ (-879 |#1|) (-790)) NIL) (($ $ (-658 (-879 |#1|)) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#2| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#2| (-43 (-433 (-592))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-748 |#1| |#2|) (-977 |#2| (-558 (-879 |#1|)) (-879 |#1|)) (-658 (-1191)) (-1075)) (T -748)) 
-NIL 
-(-977 |#2| (-558 (-879 |#1|)) (-879 |#1|)) 
-((-2631 (((-2 (|:| -4079 (-980 |#3|)) (|:| -1817 (-980 |#3|))) |#4|) 13)) (-3292 ((|#4| |#4| |#2|) 30)) (-4534 ((|#4| (-433 (-980 |#3|)) |#2|) 63)) (-4008 ((|#4| (-1187 (-980 |#3|)) |#2|) 76)) (-4488 ((|#4| (-1187 |#4|) |#2|) 49)) (-3978 ((|#4| |#4| |#2|) 52)) (-4500 (((-444 |#4|) |#4|) 38))) 
-(((-749 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2631 ((-2 (|:| -4079 (-980 |#3|)) (|:| -1817 (-980 |#3|))) |#4|)) (-15 -3978 (|#4| |#4| |#2|)) (-15 -4488 (|#4| (-1187 |#4|) |#2|)) (-15 -3292 (|#4| |#4| |#2|)) (-15 -4008 (|#4| (-1187 (-980 |#3|)) |#2|)) (-15 -4534 (|#4| (-433 (-980 |#3|)) |#2|)) (-15 -4500 ((-444 |#4|) |#4|))) (-815) (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)))) (-582) (-977 (-433 (-980 |#3|)) |#1| |#2|)) (T -749)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *6 (-582)) (-5 *2 (-444 *3)) (-5 *1 (-749 *4 *5 *6 *3)) (-4 *3 (-977 (-433 (-980 *6)) *4 *5)))) (-4534 (*1 *2 *3 *4) (-12 (-4 *6 (-582)) (-4 *2 (-977 *3 *5 *4)) (-5 *1 (-749 *5 *4 *6 *2)) (-5 *3 (-433 (-980 *6))) (-4 *5 (-815)) (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))))) (-4008 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 (-980 *6))) (-4 *6 (-582)) (-4 *2 (-977 (-433 (-980 *6)) *5 *4)) (-5 *1 (-749 *5 *4 *6 *2)) (-4 *5 (-815)) (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))))) (-3292 (*1 *2 *2 *3) (-12 (-4 *4 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *5 (-582)) (-5 *1 (-749 *4 *3 *5 *2)) (-4 *2 (-977 (-433 (-980 *5)) *4 *3)))) (-4488 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *2)) (-4 *2 (-977 (-433 (-980 *6)) *5 *4)) (-5 *1 (-749 *5 *4 *6 *2)) (-4 *5 (-815)) (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *6 (-582)))) (-3978 (*1 *2 *2 *3) (-12 (-4 *4 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *5 (-582)) (-5 *1 (-749 *4 *3 *5 *2)) (-4 *2 (-977 (-433 (-980 *5)) *4 *3)))) (-2631 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *6 (-582)) (-5 *2 (-2 (|:| -4079 (-980 *6)) (|:| -1817 (-980 *6)))) (-5 *1 (-749 *4 *5 *6 *3)) (-4 *3 (-977 (-433 (-980 *6)) *4 *5))))) 
-(-10 -7 (-15 -2631 ((-2 (|:| -4079 (-980 |#3|)) (|:| -1817 (-980 |#3|))) |#4|)) (-15 -3978 (|#4| |#4| |#2|)) (-15 -4488 (|#4| (-1187 |#4|) |#2|)) (-15 -3292 (|#4| |#4| |#2|)) (-15 -4008 (|#4| (-1187 (-980 |#3|)) |#2|)) (-15 -4534 (|#4| (-433 (-980 |#3|)) |#2|)) (-15 -4500 ((-444 |#4|) |#4|))) 
-((-4500 (((-444 |#4|) |#4|) 51))) 
-(((-750 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 |#4|) |#4|))) (-815) (-869) (-13 (-323) (-171)) (-977 (-433 |#3|) |#1| |#2|)) (T -750)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-13 (-323) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-750 *4 *5 *6 *3)) (-4 *3 (-977 (-433 *6) *4 *5))))) 
-(-10 -7 (-15 -4500 ((-444 |#4|) |#4|))) 
-((-2731 (((-752 |#2| |#3|) (-1 |#2| |#1|) (-752 |#1| |#3|)) 18))) 
-(((-751 |#1| |#2| |#3|) (-10 -7 (-15 -2731 ((-752 |#2| |#3|) (-1 |#2| |#1|) (-752 |#1| |#3|)))) (-1075) (-1075) (-743)) (T -751)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-752 *5 *7)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-4 *7 (-743)) (-5 *2 (-752 *6 *7)) (-5 *1 (-751 *5 *6 *7))))) 
-(-10 -7 (-15 -2731 ((-752 |#2| |#3|) (-1 |#2| |#1|) (-752 |#1| |#3|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 26)) (-2982 (((-658 (-2 (|:| -1487 |#1|) (|:| -1493 |#2|))) $) 27)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1403 (((-790)) 20 (-12 (|has| |#2| (-394)) (|has| |#1| (-394))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-2400 ((|#2| $) NIL) ((|#1| $) NIL)) (-4593 (($ $) 75 (|has| |#2| (-869)))) (-3371 (((-3 $ "failed") $) 62)) (-4290 (($) 33 (-12 (|has| |#2| (-394)) (|has| |#1| (-394))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) 53)) (-3108 (((-658 $) $) 37)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| |#2|) 16)) (-2731 (($ (-1 |#1| |#1|) $) 52)) (-3546 (((-944) $) 30 (-12 (|has| |#2| (-394)) (|has| |#1| (-394))))) (-4573 ((|#2| $) 74 (|has| |#2| (-869)))) (-4579 ((|#1| $) 73 (|has| |#2| (-869)))) (-2685 (((-1173) $) NIL)) (-1825 (($ (-944)) 25 (-12 (|has| |#2| (-394)) (|has| |#1| (-394))))) (-2951 (((-1137) $) NIL)) (-1405 (((-658 $)) NIL (-12 (|has| |#2| (-394)) (|has| |#1| (-394))))) (-1683 (((-877) $) 72) (($ (-592)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-658 (-2 (|:| -1487 |#1|) (|:| -1493 |#2|)))) 11)) (-1647 (((-658 |#1|) $) 39)) (-1937 ((|#1| $ |#2|) 83)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 12 T CONST)) (-4257 (($) 31 T CONST)) (-3255 (((-141) $ $) 76)) (-3306 (($ $) 46) (($ $ $) NIL)) (-3300 (($ $ $) 24)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-194))) (($ $ |#1|) NIL (|has| |#1| (-194))))) 
-(((-752 |#1| |#2|) (-13 (-1075) (-1065 |#2|) (-1065 |#1|) (-10 -8 (-15 -4526 ($ |#1| |#2|)) (-15 -1937 (|#1| $ |#2|)) (-15 -1683 ($ (-658 (-2 (|:| -1487 |#1|) (|:| -1493 |#2|))))) (-15 -2982 ((-658 (-2 (|:| -1487 |#1|) (|:| -1493 |#2|))) $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -2027 ((-141) $)) (-15 -1647 ((-658 |#1|) $)) (-15 -3108 ((-658 $) $)) (-15 -4036 ((-790) $)) (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-394)) (IF (|has| |#2| (-394)) (-6 (-394)) |noBranch|) |noBranch|) (IF (|has| |#2| (-869)) (PROGN (-15 -4573 (|#2| $)) (-15 -4579 (|#1| $)) (-15 -4593 ($ $))) |noBranch|))) (-1075) (-743)) (T -752)) 
-((-4526 (*1 *1 *2 *3) (-12 (-5 *1 (-752 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-743)))) (-1937 (*1 *2 *1 *3) (-12 (-4 *2 (-1075)) (-5 *1 (-752 *2 *3)) (-4 *3 (-743)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1487 *3) (|:| -1493 *4)))) (-4 *3 (-1075)) (-4 *4 (-743)) (-5 *1 (-752 *3 *4)))) (-2982 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -1487 *3) (|:| -1493 *4)))) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-752 *3 *4)) (-4 *4 (-743)))) (-2027 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) (-1647 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) (-3108 (*1 *2 *1) (-12 (-5 *2 (-658 (-752 *3 *4))) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) (-4036 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) (-4573 (*1 *2 *1) (-12 (-4 *2 (-743)) (-4 *2 (-869)) (-5 *1 (-752 *3 *2)) (-4 *3 (-1075)))) (-4579 (*1 *2 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-752 *2 *3)) (-4 *3 (-869)) (-4 *3 (-743)))) (-4593 (*1 *1 *1) (-12 (-5 *1 (-752 *2 *3)) (-4 *3 (-869)) (-4 *2 (-1075)) (-4 *3 (-743))))) 
-(-13 (-1075) (-1065 |#2|) (-1065 |#1|) (-10 -8 (-15 -4526 ($ |#1| |#2|)) (-15 -1937 (|#1| $ |#2|)) (-15 -1683 ($ (-658 (-2 (|:| -1487 |#1|) (|:| -1493 |#2|))))) (-15 -2982 ((-658 (-2 (|:| -1487 |#1|) (|:| -1493 |#2|))) $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (-15 -2027 ((-141) $)) (-15 -1647 ((-658 |#1|) $)) (-15 -3108 ((-658 $) $)) (-15 -4036 ((-790) $)) (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-394)) (IF (|has| |#2| (-394)) (-6 (-394)) |noBranch|) |noBranch|) (IF (|has| |#2| (-869)) (PROGN (-15 -4573 (|#2| $)) (-15 -4579 (|#1| $)) (-15 -4593 ($ $))) |noBranch|))) 
-((-1641 (((-141) $ $) 18)) (-4528 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-4471 (($ $ $) 68)) (-2461 (((-141) $ $) 69)) (-2126 (((-141) $ (-790)) 8)) (-2224 (($ (-658 |#1|)) 64) (($) 63)) (-4125 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) 52 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1461 (($ $) 58)) (-1360 (($ $) 55 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 43 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) 54 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 51 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22)) (-2852 (($ $ $) 65)) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37) (($ |#1| $ (-790)) 59)) (-2951 (((-1137) $) 21)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 48)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-2043 (((-658 (-2 (|:| -3552 |#1|) (|:| -3452 (-790)))) $) 57)) (-4328 (($ $ |#1|) 67) (($ $ $) 66)) (-1653 (($) 46) (($ (-658 |#1|)) 45)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 47)) (-1683 (((-877) $) 20)) (-4586 (($ (-658 |#1|)) 62) (($) 61)) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19)) (-3266 (((-141) $ $) 60)) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-753 |#1|) (-1311) (-1119)) (T -753)) 
-NIL 
-(-13 (-711 |t#1|) (-1116 |t#1|)) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) . T) ((-632 (-877)) . T) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-249 |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-711 |#1|) . T) ((-1116 |#1|) . T) ((-1119) . T) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-4528 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-4471 (($ $ $) 80)) (-2461 (((-141) $ $) 83)) (-2126 (((-141) $ (-790)) NIL)) (-2224 (($ (-658 |#1|)) 24) (($) 15)) (-4125 (($ (-1 (-141) |#1|) $) 71 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-1461 (($ $) 72)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) 61 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 64 (|has| $ (-6 -4625))) (($ |#1| $ (-592)) 62) (($ (-1 (-141) |#1|) $ (-592)) 65)) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (($ |#1| $ (-592)) 67) (($ (-1 (-141) |#1|) $ (-592)) 68)) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 32 (|has| $ (-6 -4625)))) (-3126 (($) 13) (($ |#1|) 26) (($ (-658 |#1|)) 21)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) 38)) (-3133 (((-141) |#1| $) 57 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 76)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-2852 (($ $ $) 78)) (-4137 ((|#1| $) 54)) (-2113 (($ |#1| $) 55) (($ |#1| $ (-790)) 73)) (-2951 (((-1137) $) NIL)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-2106 ((|#1| $) 53)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 49)) (-2890 (($) 12)) (-2043 (((-658 (-2 (|:| -3552 |#1|) (|:| -3452 (-790)))) $) 47)) (-4328 (($ $ |#1|) NIL) (($ $ $) 79)) (-1653 (($) 14) (($ (-658 |#1|)) 23)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) 60 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 66)) (-1778 (((-565) $) 36 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 20)) (-1683 (((-877) $) 44)) (-4586 (($ (-658 |#1|)) 25) (($) 16)) (-4560 (($ (-658 |#1|)) 22)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 81)) (-3266 (((-141) $ $) 82)) (-1699 (((-790) $) 59 (|has| $ (-6 -4625))))) 
-(((-754 |#1|) (-13 (-753 |#1|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -3126 ($)) (-15 -3126 ($ |#1|)) (-15 -3126 ($ (-658 |#1|))) (-15 -4467 ((-658 |#1|) $)) (-15 -4459 ($ |#1| $ (-592))) (-15 -4459 ($ (-1 (-141) |#1|) $ (-592))) (-15 -4065 ($ |#1| $ (-592))) (-15 -4065 ($ (-1 (-141) |#1|) $ (-592))))) (-1119)) (T -754)) 
-((-3126 (*1 *1) (-12 (-5 *1 (-754 *2)) (-4 *2 (-1119)))) (-3126 (*1 *1 *2) (-12 (-5 *1 (-754 *2)) (-4 *2 (-1119)))) (-3126 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-754 *3)))) (-4467 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-754 *3)) (-4 *3 (-1119)))) (-4459 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-754 *2)) (-4 *2 (-1119)))) (-4459 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-141) *4)) (-5 *3 (-592)) (-4 *4 (-1119)) (-5 *1 (-754 *4)))) (-4065 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-754 *2)) (-4 *2 (-1119)))) (-4065 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-141) *4)) (-5 *3 (-592)) (-4 *4 (-1119)) (-5 *1 (-754 *4))))) 
-(-13 (-753 |#1|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -3126 ($)) (-15 -3126 ($ |#1|)) (-15 -3126 ($ (-658 |#1|))) (-15 -4467 ((-658 |#1|) $)) (-15 -4459 ($ |#1| $ (-592))) (-15 -4459 ($ (-1 (-141) |#1|) $ (-592))) (-15 -4065 ($ |#1| $ (-592))) (-15 -4065 ($ (-1 (-141) |#1|) $ (-592))))) 
-((-2865 (((-1285) (-1173)) 8))) 
-(((-755) (-10 -7 (-15 -2865 ((-1285) (-1173))))) (T -755)) 
-((-2865 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-755))))) 
-(-10 -7 (-15 -2865 ((-1285) (-1173)))) 
-((-2193 (((-658 |#1|) (-658 |#1|) (-658 |#1|)) 10))) 
-(((-756 |#1|) (-10 -7 (-15 -2193 ((-658 |#1|) (-658 |#1|) (-658 |#1|)))) (-869)) (T -756)) 
-((-2193 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-756 *3))))) 
-(-10 -7 (-15 -2193 ((-658 |#1|) (-658 |#1|) (-658 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 |#2|) $) 134)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 127 (|has| |#1| (-582)))) (-1555 (($ $) 126 (|has| |#1| (-582)))) (-1313 (((-141) $) 124 (|has| |#1| (-582)))) (-1588 (($ $) 83 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 66 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) 18)) (-1442 (($ $) 65 (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) 82 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 67 (|has| |#1| (-43 (-433 (-592)))))) (-1601 (($ $) 81 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 68 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) 16 T CONST)) (-4593 (($ $) 118)) (-3371 (((-3 $ "failed") $) 33)) (-2012 (((-980 |#1|) $ (-790)) 96) (((-980 |#1|) $ (-790) (-790)) 95)) (-2273 (((-141) $) 135)) (-1435 (($) 93 (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $ |#2|) 98) (((-790) $ |#2| (-790)) 97)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 64 (|has| |#1| (-43 (-433 (-592)))))) (-2027 (((-141) $) 116)) (-4526 (($ $ (-658 |#2|) (-658 (-558 |#2|))) 133) (($ $ |#2| (-558 |#2|)) 132) (($ |#1| (-558 |#2|)) 117) (($ $ |#2| (-790)) 100) (($ $ (-658 |#2|) (-658 (-790))) 99)) (-2731 (($ (-1 |#1| |#1|) $) 115)) (-4546 (($ $) 90 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) 113)) (-4579 ((|#1| $) 112)) (-2685 (((-1173) $) 9)) (-3162 (($ $ |#2|) 94 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) 10)) (-2807 (($ $ (-790)) 101)) (-3616 (((-3 $ "failed") $ $) 128 (|has| |#1| (-582)))) (-1430 (($ $) 91 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (($ $ |#2| $) 109) (($ $ (-658 |#2|) (-658 $)) 108) (($ $ (-658 (-310 $))) 107) (($ $ (-310 $)) 106) (($ $ $ $) 105) (($ $ (-658 $) (-658 $)) 104)) (-3644 (($ $ |#2|) 41) (($ $ (-658 |#2|)) 40) (($ $ |#2| (-790)) 39) (($ $ (-658 |#2|) (-658 (-790))) 38)) (-4525 (((-558 |#2|) $) 114)) (-1609 (($ $) 80 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 69 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 79 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 70 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 78 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 71 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 136)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 131 (|has| |#1| (-194))) (($ $) 129 (|has| |#1| (-582))) (($ (-433 (-592))) 121 (|has| |#1| (-43 (-433 (-592)))))) (-1937 ((|#1| $ (-558 |#2|)) 119) (($ $ |#2| (-790)) 103) (($ $ (-658 |#2|) (-658 (-790))) 102)) (-1517 (((-3 $ "failed") $) 130 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-1630 (($ $) 89 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 77 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) 125 (|has| |#1| (-582)))) (-1617 (($ $) 88 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 76 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 87 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 75 (|has| |#1| (-43 (-433 (-592)))))) (-2892 (($ $) 86 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 74 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 85 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 73 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 84 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 72 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ |#2|) 37) (($ $ (-658 |#2|)) 36) (($ $ |#2| (-790)) 35) (($ $ (-658 |#2|) (-658 (-790))) 34)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 120 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ $) 92 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 63 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 123 (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) 122 (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
-(((-757 |#1| |#2|) (-1311) (-1075) (-869)) (T -757)) 
-((-1937 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *2)) (-4 *4 (-1075)) (-4 *2 (-869)))) (-1937 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *5)) (-5 *3 (-658 (-790))) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)))) (-2807 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-757 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-869)))) (-4526 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *2)) (-4 *4 (-1075)) (-4 *2 (-869)))) (-4526 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *5)) (-5 *3 (-658 (-790))) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)))) (-4346 (*1 *2 *1 *3) (-12 (-4 *1 (-757 *4 *3)) (-4 *4 (-1075)) (-4 *3 (-869)) (-5 *2 (-790)))) (-4346 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-790)) (-4 *1 (-757 *4 *3)) (-4 *4 (-1075)) (-4 *3 (-869)))) (-2012 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)) (-5 *2 (-980 *4)))) (-2012 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)) (-5 *2 (-980 *4)))) (-3162 (*1 *1 *1 *2) (-12 (-4 *1 (-757 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-869)) (-4 *3 (-43 (-433 (-592))))))) 
-(-13 (-922 |t#2|) (-1002 |t#1| (-558 |t#2|) |t#2|) (-547 |t#2| $) (-325 $) (-10 -8 (-15 -1937 ($ $ |t#2| (-790))) (-15 -1937 ($ $ (-658 |t#2|) (-658 (-790)))) (-15 -2807 ($ $ (-790))) (-15 -4526 ($ $ |t#2| (-790))) (-15 -4526 ($ $ (-658 |t#2|) (-658 (-790)))) (-15 -4346 ((-790) $ |t#2|)) (-15 -4346 ((-790) $ |t#2| (-790))) (-15 -2012 ((-980 |t#1|) $ (-790))) (-15 -2012 ((-980 |t#1|) $ (-790) (-790))) (IF (|has| |t#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $ |t#2|)) (-6 (-1030)) (-6 (-1211))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-558 |#2|)) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-40) |has| |#1| (-43 (-433 (-592)))) ((-116) |has| |#1| (-43 (-433 (-592)))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-301) |has| |#1| (-43 (-433 (-592)))) ((-307) |has| |#1| (-582)) ((-325 $) . T) ((-526) |has| |#1| (-43 (-433 (-592)))) ((-547 |#2| $) . T) ((-547 $ $) . T) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) . T) ((-922 |#2|) . T) ((-1002 |#1| (-558 |#2|) |#2|) . T) ((-1030) |has| |#1| (-43 (-433 (-592)))) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1211) |has| |#1| (-43 (-433 (-592)))) ((-1214) |has| |#1| (-43 (-433 (-592))))) 
-((-4500 (((-444 (-1187 |#4|)) (-1187 |#4|)) 28) (((-444 |#4|) |#4|) 24))) 
-(((-758 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 |#4|) |#4|)) (-15 -4500 ((-444 (-1187 |#4|)) (-1187 |#4|)))) (-869) (-815) (-13 (-323) (-171)) (-977 |#3| |#2| |#1|)) (T -758)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-977 *6 *5 *4)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-758 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-13 (-323) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-758 *4 *5 *6 *3)) (-4 *3 (-977 *6 *5 *4))))) 
-(-10 -7 (-15 -4500 ((-444 |#4|) |#4|)) (-15 -4500 ((-444 (-1187 |#4|)) (-1187 |#4|)))) 
-((-4161 (((-444 |#4|) |#4| |#2|) 116)) (-2046 (((-444 |#4|) |#4|) NIL)) (-3164 (((-444 (-1187 |#4|)) (-1187 |#4|)) 107) (((-444 |#4|) |#4|) 38)) (-2051 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-658 (-2 (|:| -4500 (-1187 |#4|)) (|:| -3215 (-592)))))) (-1187 |#4|) (-658 |#2|) (-658 (-658 |#3|))) 65)) (-4127 (((-1187 |#3|) (-1187 |#3|) (-592)) 133)) (-3814 (((-658 (-790)) (-1187 |#4|) (-658 |#2|) (-790)) 58)) (-3650 (((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-1187 |#3|) (-1187 |#3|) |#4| (-658 |#2|) (-658 (-790)) (-658 |#3|)) 62)) (-2059 (((-2 (|:| |upol| (-1187 |#3|)) (|:| |Lval| (-658 |#3|)) (|:| |Lfact| (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592))))) (|:| |ctpol| |#3|)) (-1187 |#4|) (-658 |#2|) (-658 (-658 |#3|))) 22)) (-1557 (((-2 (|:| -3489 (-1187 |#4|)) (|:| |polval| (-1187 |#3|))) (-1187 |#4|) (-1187 |#3|) (-592)) 54)) (-1585 (((-592) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592))))) 130)) (-2921 ((|#4| (-592) (-444 |#4|)) 55)) (-3971 (((-141) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592))))) NIL))) 
-(((-759 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3164 ((-444 |#4|) |#4|)) (-15 -3164 ((-444 (-1187 |#4|)) (-1187 |#4|))) (-15 -2046 ((-444 |#4|) |#4|)) (-15 -1585 ((-592) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))))) (-15 -4161 ((-444 |#4|) |#4| |#2|)) (-15 -1557 ((-2 (|:| -3489 (-1187 |#4|)) (|:| |polval| (-1187 |#3|))) (-1187 |#4|) (-1187 |#3|) (-592))) (-15 -2051 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-658 (-2 (|:| -4500 (-1187 |#4|)) (|:| -3215 (-592)))))) (-1187 |#4|) (-658 |#2|) (-658 (-658 |#3|)))) (-15 -2059 ((-2 (|:| |upol| (-1187 |#3|)) (|:| |Lval| (-658 |#3|)) (|:| |Lfact| (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592))))) (|:| |ctpol| |#3|)) (-1187 |#4|) (-658 |#2|) (-658 (-658 |#3|)))) (-15 -2921 (|#4| (-592) (-444 |#4|))) (-15 -3971 ((-141) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))))) (-15 -3650 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-1187 |#3|) (-1187 |#3|) |#4| (-658 |#2|) (-658 (-790)) (-658 |#3|))) (-15 -3814 ((-658 (-790)) (-1187 |#4|) (-658 |#2|) (-790))) (-15 -4127 ((-1187 |#3|) (-1187 |#3|) (-592)))) (-815) (-869) (-323) (-977 |#3| |#1| |#2|)) (T -759)) 
-((-4127 (*1 *2 *2 *3) (-12 (-5 *2 (-1187 *6)) (-5 *3 (-592)) (-4 *6 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-759 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) (-3814 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1187 *9)) (-5 *4 (-658 *7)) (-4 *7 (-869)) (-4 *9 (-977 *8 *6 *7)) (-4 *6 (-815)) (-4 *8 (-323)) (-5 *2 (-658 (-790))) (-5 *1 (-759 *6 *7 *8 *9)) (-5 *5 (-790)))) (-3650 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1187 *11)) (-5 *6 (-658 *10)) (-5 *7 (-658 (-790))) (-5 *8 (-658 *11)) (-4 *10 (-869)) (-4 *11 (-323)) (-4 *9 (-815)) (-4 *5 (-977 *11 *9 *10)) (-5 *2 (-658 (-1187 *5))) (-5 *1 (-759 *9 *10 *11 *5)) (-5 *3 (-1187 *5)))) (-3971 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 (-1187 *6)) (|:| -3215 (-592))))) (-4 *6 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-759 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) (-2921 (*1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-444 *2)) (-4 *2 (-977 *7 *5 *6)) (-5 *1 (-759 *5 *6 *7 *2)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-323)))) (-2059 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1187 *9)) (-5 *4 (-658 *7)) (-5 *5 (-658 (-658 *8))) (-4 *7 (-869)) (-4 *8 (-323)) (-4 *9 (-977 *8 *6 *7)) (-4 *6 (-815)) (-5 *2 (-2 (|:| |upol| (-1187 *8)) (|:| |Lval| (-658 *8)) (|:| |Lfact| (-658 (-2 (|:| -4500 (-1187 *8)) (|:| -3215 (-592))))) (|:| |ctpol| *8))) (-5 *1 (-759 *6 *7 *8 *9)))) (-2051 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 *7)) (-5 *5 (-658 (-658 *8))) (-4 *7 (-869)) (-4 *8 (-323)) (-4 *6 (-815)) (-4 *9 (-977 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-658 (-2 (|:| -4500 (-1187 *9)) (|:| -3215 (-592))))))) (-5 *1 (-759 *6 *7 *8 *9)) (-5 *3 (-1187 *9)))) (-1557 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-323)) (-4 *9 (-977 *8 *6 *7)) (-5 *2 (-2 (|:| -3489 (-1187 *9)) (|:| |polval| (-1187 *8)))) (-5 *1 (-759 *6 *7 *8 *9)) (-5 *3 (-1187 *9)) (-5 *4 (-1187 *8)))) (-4161 (*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-759 *5 *4 *6 *3)) (-4 *3 (-977 *6 *5 *4)))) (-1585 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 (-1187 *6)) (|:| -3215 (-592))))) (-4 *6 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-592)) (-5 *1 (-759 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) (-2046 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-759 *4 *5 *6 *3)) (-4 *3 (-977 *6 *4 *5)))) (-3164 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-759 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) (-3164 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-759 *4 *5 *6 *3)) (-4 *3 (-977 *6 *4 *5))))) 
-(-10 -7 (-15 -3164 ((-444 |#4|) |#4|)) (-15 -3164 ((-444 (-1187 |#4|)) (-1187 |#4|))) (-15 -2046 ((-444 |#4|) |#4|)) (-15 -1585 ((-592) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))))) (-15 -4161 ((-444 |#4|) |#4| |#2|)) (-15 -1557 ((-2 (|:| -3489 (-1187 |#4|)) (|:| |polval| (-1187 |#3|))) (-1187 |#4|) (-1187 |#3|) (-592))) (-15 -2051 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-658 (-2 (|:| -4500 (-1187 |#4|)) (|:| -3215 (-592)))))) (-1187 |#4|) (-658 |#2|) (-658 (-658 |#3|)))) (-15 -2059 ((-2 (|:| |upol| (-1187 |#3|)) (|:| |Lval| (-658 |#3|)) (|:| |Lfact| (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592))))) (|:| |ctpol| |#3|)) (-1187 |#4|) (-658 |#2|) (-658 (-658 |#3|)))) (-15 -2921 (|#4| (-592) (-444 |#4|))) (-15 -3971 ((-141) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))) (-658 (-2 (|:| -4500 (-1187 |#3|)) (|:| -3215 (-592)))))) (-15 -3650 ((-3 (-658 (-1187 |#4|)) "failed") (-1187 |#4|) (-1187 |#3|) (-1187 |#3|) |#4| (-658 |#2|) (-658 (-790)) (-658 |#3|))) (-15 -3814 ((-658 (-790)) (-1187 |#4|) (-658 |#2|) (-790))) (-15 -4127 ((-1187 |#3|) (-1187 |#3|) (-592)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1191)) $) NIL)) (-4492 (((-433 (-1187 $)) $ (-631 $)) NIL (|has| |#2| (-582)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2165 (((-658 (-631 $)) $) NIL)) (-2178 (($ $ (-1111 $)) NIL) (($ $ (-1191)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3147 (($ $ (-310 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL)) (-3743 (($ $) NIL (|has| |#2| (-582)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-582)))) (-3652 (((-141) $ $) NIL (|has| |#2| (-582)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-631 $) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-980 |#2|)) "failed") $) NIL (|has| |#2| (-582))) (((-3 (-980 |#2|) "failed") $) NIL (|has| |#2| (-1075))) (((-3 (-761 |#1| |#2|) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (-3836 (-12 (|has| |#2| (-582)) (|has| |#2| (-1065 (-592)))) (|has| |#2| (-1065 (-433 (-592))))))) (-2400 (((-631 $) $) NIL) (((-1191) $) NIL) ((|#2| $) NIL) (((-433 (-980 |#2|)) $) 20 (|has| |#2| (-582))) (((-980 |#2|) $) 26 (|has| |#2| (-1075))) (((-761 |#1| |#2|) $) 27) (((-592) $) NIL) (((-433 (-761 |#1| |#2|)) $) 25) (((-433 (-592)) $) NIL (-3836 (-12 (|has| |#2| (-582)) (|has| |#2| (-1065 (-592)))) (|has| |#2| (-1065 (-433 (-592))))))) (-1586 (($ $ $) NIL (|has| |#2| (-582)))) (-3945 (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL (|has| |#2| (-1075))) (((-706 |#2|) (-706 $)) NIL (|has| |#2| (-1075))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075))))) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#2| (-582)))) (-3679 (($ $ (-1111 $)) NIL) (($ $ (-1191)) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#2| (-582)))) (-2802 (((-141) $) NIL (|has| |#2| (-582)))) (-3870 (($ $ $) NIL)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| |#2| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| |#2| (-908 (-405))))) (-2243 (($ $) NIL) (($ (-658 $)) NIL)) (-4388 (((-658 (-143)) $) NIL)) (-2791 (((-143) (-143)) NIL)) (-3558 (((-141) $) NIL)) (-3372 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-3838 (($ $) NIL)) (-1448 (((-1142 |#2| (-631 $)) $) NIL (|has| |#2| (-1075)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-582)))) (-2710 (((-1187 $) (-631 $)) NIL (|has| $ (-1075)))) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2731 (($ (-1 $ $) (-631 $)) NIL)) (-4160 (((-3 (-631 $) "failed") $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-582))) (($ $ $) NIL (|has| |#2| (-582)))) (-2685 (((-1173) $) NIL)) (-4486 (((-658 (-631 $)) $) NIL)) (-1462 (($ (-143) $) NIL) (($ (-143) (-658 $)) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL (|has| |#2| (-1131)))) (-2427 (((-3 (-2 (|:| |val| $) (|:| -3215 (-592))) "failed") $) NIL (|has| |#2| (-1075)))) (-2947 (((-3 (-658 $) "failed") $) NIL (|has| |#2| (-25)))) (-1649 (((-3 (-2 (|:| -1487 (-592)) (|:| |var| (-631 $))) "failed") $) NIL (|has| |#2| (-25)))) (-2257 (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $) NIL (|has| |#2| (-1131))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-143)) NIL (|has| |#2| (-1075))) (((-3 (-2 (|:| |var| (-631 $)) (|:| -3215 (-592))) "failed") $ (-1191)) NIL (|has| |#2| (-1075)))) (-3013 (((-141) $ (-143)) NIL) (((-141) $ (-1191)) NIL)) (-4552 (($ $) NIL (-3836 (|has| |#2| (-502)) (|has| |#2| (-582))))) (-2535 (((-790) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#2| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-582)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-582))) (($ $ $) NIL (|has| |#2| (-582)))) (-1319 (((-141) $ $) NIL) (((-141) $ (-1191)) NIL)) (-2944 (($ $ (-1191)) NIL) (($ $) NIL)) (-2283 (($ $) NIL)) (-4500 (((-444 $) $) NIL (|has| |#2| (-582)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-582))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#2| (-582)))) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-582)))) (-3554 (((-141) $) NIL (|has| $ (-1065 (-592))))) (-2806 (($ $ (-631 $) $) NIL) (($ $ (-658 (-631 $)) (-658 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-1191)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-1191) (-1 $ (-658 $))) NIL) (($ $ (-1191) (-1 $ $)) NIL) (($ $ (-658 (-143)) (-658 (-1 $ $))) NIL) (($ $ (-658 (-143)) (-658 (-1 $ (-658 $)))) NIL) (($ $ (-143) (-1 $ (-658 $))) NIL) (($ $ (-143) (-1 $ $)) NIL) (($ $ (-1191)) NIL (|has| |#2| (-633 (-565)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-633 (-565)))) (($ $) NIL (|has| |#2| (-633 (-565)))) (($ $ (-143) $ (-1191)) NIL (|has| |#2| (-633 (-565)))) (($ $ (-658 (-143)) (-658 $) (-1191)) NIL (|has| |#2| (-633 (-565)))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ $))) NIL (|has| |#2| (-1075))) (($ $ (-658 (-1191)) (-658 (-790)) (-658 (-1 $ (-658 $)))) NIL (|has| |#2| (-1075))) (($ $ (-1191) (-790) (-1 $ (-658 $))) NIL (|has| |#2| (-1075))) (($ $ (-1191) (-790) (-1 $ $)) NIL (|has| |#2| (-1075)))) (-2769 (((-790) $) NIL (|has| |#2| (-582)))) (-3927 (($ (-143) $) NIL) (($ (-143) $ $) NIL) (($ (-143) $ $ $) NIL) (($ (-143) $ $ $ $) NIL) (($ (-143) (-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-582)))) (-2818 (($ $) NIL) (($ $ $) NIL)) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL)) (-2782 (($ $) NIL)) (-1456 (((-1142 |#2| (-631 $)) $) NIL (|has| |#2| (-582)))) (-3390 (($ $) NIL (|has| $ (-1075)))) (-1778 (((-914 (-592)) $) NIL (|has| |#2| (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| |#2| (-633 (-914 (-405))))) (($ (-444 $)) NIL (|has| |#2| (-582))) (((-565) $) NIL (|has| |#2| (-633 (-565))))) (-2227 (($ $ $) NIL (|has| |#2| (-502)))) (-2131 (($ $ $) NIL (|has| |#2| (-502)))) (-1683 (((-877) $) NIL) (($ (-631 $)) NIL) (($ (-1191)) NIL) (($ |#2|) NIL) (($ (-1142 |#2| (-631 $))) NIL (|has| |#2| (-1075))) (($ (-433 |#2|)) NIL (|has| |#2| (-582))) (($ (-980 (-433 |#2|))) NIL (|has| |#2| (-582))) (($ (-433 (-980 (-433 |#2|)))) NIL (|has| |#2| (-582))) (($ (-433 (-980 |#2|))) NIL (|has| |#2| (-582))) (($ (-980 |#2|)) NIL (|has| |#2| (-1075))) (($ $) NIL) (($ (-592)) NIL) (($ (-761 |#1| |#2|)) NIL) (($ (-433 (-761 |#1| |#2|))) 35) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-582)) (|has| |#2| (-1065 (-433 (-592))))))) (-1517 (((-3 $ "failed") $) NIL (|has| |#2| (-169)))) (-4010 (((-790)) NIL)) (-3280 (($ $) NIL) (($ (-658 $)) NIL)) (-4042 (($ $ $) NIL)) (-3038 (((-141) (-143)) NIL)) (-2537 (((-141) $ $) NIL)) (-3270 (($ (-1191) $) NIL) (($ (-1191) $ $) NIL) (($ (-1191) $ $ $) NIL) (($ (-1191) $ $ $ $) NIL) (($ (-1191) (-658 $)) NIL)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL) (($ $ (-592)) NIL (-3836 (|has| |#2| (-502)) (|has| |#2| (-582))))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3313 (($ (-1142 |#2| (-631 $)) (-1142 |#2| (-631 $))) NIL (|has| |#2| (-582))) (($ $ $) NIL)) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL) (($ $ $) NIL) (($ $ (-592)) NIL (-3836 (|has| |#2| (-502)) (|has| |#2| (-582))))) (* (($ (-433 (-592)) $) NIL (|has| |#2| (-582))) (($ $ (-433 (-592))) NIL (|has| |#2| (-582))) (($ |#2| $) NIL (|has| |#2| (-194))) (($ $ |#2|) NIL (|has| |#2| (-194))) (($ $ $) NIL) (($ (-592) $) NIL) (($ (-790) $) NIL) (($ (-944) $) NIL))) 
-(((-760 |#1| |#2|) (-13 (-456 |#2|) (-582) (-1065 (-761 |#1| |#2|)) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $)) (-15 -1683 ($ (-433 (-761 |#1| |#2|)))) (-15 -2400 ((-433 (-761 |#1| |#2|)) $)))) (-1191) (-13 (-1075) (-869) (-582))) (T -760)) 
-((-4559 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-760 *3 *4)) (-14 *3 (-1191)) (-4 *4 (-13 (-1075) (-869) (-582))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) (-3313 (*1 *1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) (-3838 (*1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) (-2782 (*1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-433 (-761 *3 *4))) (-14 *3 (-1191)) (-4 *4 (-13 (-1075) (-869) (-582))) (-5 *1 (-760 *3 *4)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-433 (-761 *3 *4))) (-5 *1 (-760 *3 *4)) (-14 *3 (-1191)) (-4 *4 (-13 (-1075) (-869) (-582)))))) 
-(-13 (-456 |#2|) (-582) (-1065 (-761 |#1| |#2|)) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $)) (-15 -1683 ($ (-433 (-761 |#1| |#2|)))) (-15 -2400 ((-433 (-761 |#1| |#2|)) $)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2651 (((-1280 |#2|) $ (-790)) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-2085 (($ (-1187 |#2|)) NIL)) (-4492 (((-1187 $) $ (-1103)) NIL) (((-1187 |#2|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-582)))) (-1555 (($ $) NIL (|has| |#2| (-582)))) (-1313 (((-141) $) NIL (|has| |#2| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3250 (($ $ $) NIL (|has| |#2| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL (|has| |#2| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3652 (((-141) $ $) NIL (|has| |#2| (-388)))) (-1696 (($ $ (-790)) NIL)) (-1498 (($ $ (-790)) NIL)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-477)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-1103) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-1103) $) 22) (((-1191) $) 23)) (-1544 (($ $ $ (-1103)) NIL (|has| |#2| (-194))) ((|#2| $ $) NIL (|has| |#2| (-194)))) (-1586 (($ $ $) NIL (|has| |#2| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#2| (-388)))) (-3213 (($ $ $) NIL)) (-2133 (($ $ $) NIL (|has| |#2| (-582)))) (-4369 (((-2 (|:| -1487 |#2|) (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#2| (-388)))) (-3262 (($ $) NIL (|has| |#2| (-477))) (($ $ (-1103)) NIL (|has| |#2| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#2| (-931)))) (-4209 (($ $ |#2| (-790) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1103) (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1103) (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-4346 (((-790) $ $) NIL (|has| |#2| (-582)))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#2| (-1165)))) (-4533 (($ (-1187 |#2|) (-1103)) NIL) (($ (-1187 $) (-1103)) NIL)) (-3990 (($ $ (-790)) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-388)))) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#2| (-790)) 17) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) NIL) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-2070 (((-1187 |#2|) $) NIL)) (-3254 (((-3 (-1103) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#2| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-2685 (((-1173) $) NIL)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $) NIL (|has| |#2| (-43 (-433 (-592)))))) (-3703 (($) NIL (|has| |#2| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#2| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-4550 (($ $ (-790) |#2| $) NIL)) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-931)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#2| (-388)))) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-388)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#2|) NIL) (($ $ (-658 (-1103)) (-658 |#2|)) NIL) (($ $ (-1103) $) NIL) (($ $ (-658 (-1103)) (-658 $)) NIL)) (-2769 (((-790) $) NIL (|has| |#2| (-388)))) (-3927 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-433 $) (-433 $) (-433 $)) NIL (|has| |#2| (-582))) ((|#2| (-433 $) |#2|) NIL (|has| |#2| (-388))) (((-433 $) $ (-433 $)) NIL (|has| |#2| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-388)))) (-1482 (($ $ (-1103)) NIL (|has| |#2| (-194))) ((|#2| $) NIL (|has| |#2| (-194)))) (-3644 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-4525 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1103) (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#2| $) NIL (|has| |#2| (-477))) (($ $ (-1103)) NIL (|has| |#2| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1528 (((-3 $ "failed") $ $) NIL (|has| |#2| (-582))) (((-3 (-433 $) "failed") (-433 $) $) NIL (|has| |#2| (-582)))) (-1683 (((-877) $) 13) (($ (-592)) NIL) (($ |#2|) 26) (($ (-1103)) NIL) (($ (-1276 |#1|)) 20) (($ (-980 |#2|)) 34) (($ (-1191)) 18) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-43 (-433 (-592)))) (|has| |#2| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#2| (-582)))) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#2| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#2| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) 14 T CONST)) (-1940 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#2| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#2| (-43 (-433 (-592))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-761 |#1| |#2|) (-13 (-1255 |#2|) (-10 -8 (-6 (-1065 (-1191))) (-15 -1683 ($ (-1276 |#1|))) (-15 -4550 ($ $ (-790) |#2| $)) (IF (|has| |#2| (-15 -4492 ((-1187 |#2|) |#2| (-1191)))) (-15 -1683 ($ |#2|)) |noBranch|) (-15 -1683 ($ (-980 |#2|))))) (-1191) (-1075)) (T -761)) 
-((-1683 (*1 *1 *2) (-12 (-5 *1 (-761 *3 *2)) (-14 *3 (-1191)) (-4 *2 (-1075)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *3)) (-14 *3 (-1191)) (-5 *1 (-761 *3 *4)) (-4 *4 (-1075)))) (-4550 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-761 *4 *3)) (-14 *4 (-1191)) (-4 *3 (-1075)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-980 *4)) (-4 *4 (-1075)) (-5 *1 (-761 *3 *4)) (-14 *3 (-1191))))) 
-(-13 (-1255 |#2|) (-10 -8 (-6 (-1065 (-1191))) (-15 -1683 ($ (-1276 |#1|))) (-15 -4550 ($ $ (-790) |#2| $)) (IF (|has| |#2| (-15 -4492 ((-1187 |#2|) |#2| (-1191)))) (-15 -1683 ($ |#2|)) |noBranch|) (-15 -1683 ($ (-980 |#2|))))) 
-((-1833 (($ $ (-944)) 12))) 
-(((-762 |#1| |#2|) (-10 -8 (-15 -1833 (|#1| |#1| (-944)))) (-763 |#2|) (-194)) (T -762)) 
-NIL 
-(-10 -8 (-15 -1833 (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2111 (($ $ (-944)) 27)) (-1833 (($ $ (-944)) 32)) (-2682 (($ $ (-944)) 28)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2131 (($ $ $) 24)) (-1683 (((-877) $) 11)) (-3667 (($ $ $ $) 25)) (-2844 (($ $ $) 23)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 29)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-763 |#1|) (-1311) (-194)) (T -763)) 
-((-1833 (*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-763 *3)) (-4 *3 (-194))))) 
-(-13 (-780) (-734 |t#1|) (-10 -8 (-15 -1833 ($ $ (-944))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-734 |#1|) . T) ((-737) . T) ((-780) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-4224 (((-1063) (-706 (-237)) (-592) (-141) (-592)) 24)) (-4230 (((-1063) (-706 (-237)) (-592) (-141) (-592)) 23))) 
-(((-764) (-10 -7 (-15 -4230 ((-1063) (-706 (-237)) (-592) (-141) (-592))) (-15 -4224 ((-1063) (-706 (-237)) (-592) (-141) (-592))))) (T -764)) 
-((-4224 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-764)))) (-4230 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-764))))) 
-(-10 -7 (-15 -4230 ((-1063) (-706 (-237)) (-592) (-141) (-592))) (-15 -4224 ((-1063) (-706 (-237)) (-592) (-141) (-592)))) 
-((-4244 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-79 FCN)))) 43)) (-3380 (((-1063) (-592) (-592) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-86 FCN)))) 39)) (-3386 (((-1063) (-237) (-237) (-237) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) 32))) 
-(((-765) (-10 -7 (-15 -3386 ((-1063) (-237) (-237) (-237) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3380 ((-1063) (-592) (-592) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-86 FCN))))) (-15 -4244 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-79 FCN))))))) (T -765)) 
-((-4244 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1063)) (-5 *1 (-765)))) (-3380 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1063)) (-5 *1 (-765)))) (-3386 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-765))))) 
-(-10 -7 (-15 -3386 ((-1063) (-237) (-237) (-237) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3380 ((-1063) (-592) (-592) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-86 FCN))))) (-15 -4244 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-79 FCN)))))) 
-((-3392 (((-1063) (-592) (-592) (-706 (-237)) (-592)) 33)) (-3398 (((-1063) (-592) (-592) (-706 (-237)) (-592)) 32)) (-3404 (((-1063) (-592) (-706 (-237)) (-592)) 31)) (-3410 (((-1063) (-592) (-706 (-237)) (-592)) 30)) (-3416 (((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 29)) (-3423 (((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 28)) (-3428 (((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-592)) 27)) (-3434 (((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-592)) 26)) (-3440 (((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 23)) (-3445 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592)) 22)) (-3453 (((-1063) (-592) (-706 (-237)) (-592)) 21)) (-3459 (((-1063) (-592) (-706 (-237)) (-592)) 20))) 
-(((-766) (-10 -7 (-15 -3459 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3453 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3445 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3440 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3434 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3428 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3423 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3416 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3410 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3404 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3398 ((-1063) (-592) (-592) (-706 (-237)) (-592))) (-15 -3392 ((-1063) (-592) (-592) (-706 (-237)) (-592))))) (T -766)) 
-((-3392 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3398 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3404 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3410 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3416 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3423 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3428 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3434 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3440 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3445 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3453 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766)))) (-3459 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(-10 -7 (-15 -3459 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3453 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3445 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3440 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3434 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3428 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3423 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3416 ((-1063) (-592) (-592) (-1173) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3410 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3404 ((-1063) (-592) (-706 (-237)) (-592))) (-15 -3398 ((-1063) (-592) (-592) (-706 (-237)) (-592))) (-15 -3392 ((-1063) (-592) (-592) (-706 (-237)) (-592)))) 
-((-4414 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-237) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))) 52)) (-4420 (((-1063) (-706 (-237)) (-706 (-237)) (-592) (-592)) 51)) (-4426 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))) 50)) (-4432 (((-1063) (-237) (-237) (-592) (-592) (-592) (-592)) 46)) (-4437 (((-1063) (-237) (-237) (-592) (-237) (-592) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) 45)) (-3622 (((-1063) (-237) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) 44)) (-3633 (((-1063) (-237) (-237) (-237) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) 43)) (-3643 (((-1063) (-237) (-237) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) 42)) (-3649 (((-1063) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) 38)) (-3656 (((-1063) (-237) (-237) (-592) (-706 (-237)) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) 37)) (-3670 (((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) 33)) (-3680 (((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) 32))) 
-(((-767) (-10 -7 (-15 -3680 ((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3670 ((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3656 ((-1063) (-237) (-237) (-592) (-706 (-237)) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3649 ((-1063) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3643 ((-1063) (-237) (-237) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -3633 ((-1063) (-237) (-237) (-237) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -3622 ((-1063) (-237) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -4437 ((-1063) (-237) (-237) (-592) (-237) (-592) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -4432 ((-1063) (-237) (-237) (-592) (-592) (-592) (-592))) (-15 -4426 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN))))) (-15 -4420 ((-1063) (-706 (-237)) (-706 (-237)) (-592) (-592))) (-15 -4414 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-237) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN))))))) (T -767)) 
-((-4414 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-4420 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-767)))) (-4426 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-4432 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-767)))) (-4437 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3622 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3633 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3643 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3649 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3656 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3670 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-767)))) (-3680 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(-10 -7 (-15 -3680 ((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3670 ((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3656 ((-1063) (-237) (-237) (-592) (-706 (-237)) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3649 ((-1063) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958))))) (-15 -3643 ((-1063) (-237) (-237) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -3633 ((-1063) (-237) (-237) (-237) (-237) (-592) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -3622 ((-1063) (-237) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -4437 ((-1063) (-237) (-237) (-592) (-237) (-592) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G))))) (-15 -4432 ((-1063) (-237) (-237) (-592) (-592) (-592) (-592))) (-15 -4426 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-237) (-592) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN))))) (-15 -4420 ((-1063) (-706 (-237)) (-706 (-237)) (-592) (-592))) (-15 -4414 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-237) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))))) 
-((-4448 (((-1063) (-592) (-592) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-414)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-4453 (((-1063) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL))) (-414) (-414)) 69) (((-1063) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL)))) 68)) (-4458 (((-1063) (-237) (-237) (-592) (-237) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-414)) (|:| |fp| (-90 FCNG)))) 57)) (-4464 (((-1063) (-706 (-237)) (-706 (-237)) (-592) (-237) (-237) (-237) (-592) (-592) (-592) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) 50)) (-4470 (((-1063) (-237) (-592) (-592) (-1173) (-592) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) 49)) (-3263 (((-1063) (-237) (-592) (-592) (-237) (-1173) (-237) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) 45)) (-3269 (((-1063) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) 42)) (-3276 (((-1063) (-237) (-592) (-592) (-592) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) 38))) 
-(((-768) (-10 -7 (-15 -3276 ((-1063) (-237) (-592) (-592) (-592) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT))))) (-15 -3269 ((-1063) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))))) (-15 -3263 ((-1063) (-237) (-592) (-592) (-237) (-1173) (-237) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT))))) (-15 -4470 ((-1063) (-237) (-592) (-592) (-1173) (-592) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT))))) (-15 -4464 ((-1063) (-706 (-237)) (-706 (-237)) (-592) (-237) (-237) (-237) (-592) (-592) (-592) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))))) (-15 -4458 ((-1063) (-237) (-237) (-592) (-237) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-414)) (|:| |fp| (-90 FCNG))))) (-15 -4453 ((-1063) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL))))) (-15 -4453 ((-1063) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL))) (-414) (-414))) (-15 -4448 ((-1063) (-592) (-592) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-414)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -768)) 
-((-4448 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-768)))) (-4453 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-414)) (-5 *2 (-1063)) (-5 *1 (-768)))) (-4453 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1063)) (-5 *1 (-768)))) (-4458 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768)))) (-4464 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1063)) (-5 *1 (-768)))) (-4470 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-592)) (-5 *5 (-1173)) (-5 *6 (-706 (-237))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-414)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768)))) (-3263 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-592)) (-5 *5 (-1173)) (-5 *6 (-706 (-237))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768)))) (-3269 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768)))) (-3276 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(-10 -7 (-15 -3276 ((-1063) (-237) (-592) (-592) (-592) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT))))) (-15 -3269 ((-1063) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))))) (-15 -3263 ((-1063) (-237) (-592) (-592) (-237) (-1173) (-237) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT))))) (-15 -4470 ((-1063) (-237) (-592) (-592) (-1173) (-592) (-237) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT))))) (-15 -4464 ((-1063) (-706 (-237)) (-706 (-237)) (-592) (-237) (-237) (-237) (-592) (-592) (-592) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN))))) (-15 -4458 ((-1063) (-237) (-237) (-592) (-237) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-414)) (|:| |fp| (-90 FCNG))))) (-15 -4453 ((-1063) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL))))) (-15 -4453 ((-1063) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL))) (-414) (-414))) (-15 -4448 ((-1063) (-592) (-592) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-414)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
-((-3303 (((-1063) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-691 (-237)) (-592)) 45)) (-3309 (((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-1173) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-414)) (|:| |fp| (-88 BNDY)))) 41)) (-3316 (((-1063) (-592) (-592) (-592) (-592) (-237) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 23))) 
-(((-769) (-10 -7 (-15 -3316 ((-1063) (-592) (-592) (-592) (-592) (-237) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3309 ((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-1173) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-414)) (|:| |fp| (-88 BNDY))))) (-15 -3303 ((-1063) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-691 (-237)) (-592))))) (T -769)) 
-((-3303 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-691 (-237))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-769)))) (-3309 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-1173)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1063)) (-5 *1 (-769)))) (-3316 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-769))))) 
-(-10 -7 (-15 -3316 ((-1063) (-592) (-592) (-592) (-592) (-237) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3309 ((-1063) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-1173) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-414)) (|:| |fp| (-88 BNDY))))) (-15 -3303 ((-1063) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-691 (-237)) (-592)))) 
-((-4187 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-706 (-237)) (-237) (-237) (-592)) 35)) (-4267 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-237) (-237) (-592)) 34)) (-2207 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-706 (-237)) (-237) (-237) (-592)) 33)) (-4272 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 29)) (-4279 (((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 28)) (-4284 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592)) 27)) (-4289 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-592)) 23)) (-4296 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-592)) 22)) (-4302 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592)) 21)) (-4307 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592)) 20))) 
-(((-770) (-10 -7 (-15 -4307 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592))) (-15 -4302 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4296 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -4289 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -4284 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592))) (-15 -4279 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4272 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2207 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-706 (-237)) (-237) (-237) (-592))) (-15 -4267 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-237) (-237) (-592))) (-15 -4187 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-706 (-237)) (-237) (-237) (-592))))) (T -770)) 
-((-4187 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4267 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-770)))) (-2207 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *6 (-237)) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4272 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4279 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4284 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4289 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4296 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4302 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770)))) (-4307 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(-10 -7 (-15 -4307 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592))) (-15 -4302 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4296 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -4289 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -4284 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-237) (-592))) (-15 -4279 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4272 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2207 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-706 (-237)) (-237) (-237) (-592))) (-15 -4267 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-237) (-237) (-592))) (-15 -4187 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-706 (-237)) (-237) (-237) (-592)))) 
-((-4313 (((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592)) 45)) (-4317 (((-1063) (-592) (-592) (-592) (-237) (-706 (-237)) (-706 (-237)) (-592)) 44)) (-4323 (((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592)) 43)) (-4329 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 42)) (-4335 (((-1063) (-1173) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592)) 41)) (-4341 (((-1063) (-1173) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592)) 40)) (-4347 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592) (-592) (-592) (-237) (-706 (-237)) (-592)) 39)) (-4353 (((-1063) (-1173) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-592))) 38)) (-4359 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592)) 35)) (-2776 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592)) 34)) (-2783 (((-1063) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592)) 33)) (-2790 (((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 32)) (-2797 (((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-237) (-592)) 31)) (-2804 (((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-592)) 30)) (-3282 (((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-592) (-592) (-592)) 29)) (-3608 (((-1063) (-592) (-592) (-592) (-237) (-237) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592) (-706 (-592)) (-592) (-592) (-592)) 28)) (-4215 (((-1063) (-592) (-706 (-237)) (-237) (-592)) 24)) (-4237 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 20))) 
-(((-771) (-10 -7 (-15 -4237 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4215 ((-1063) (-592) (-706 (-237)) (-237) (-592))) (-15 -3608 ((-1063) (-592) (-592) (-592) (-237) (-237) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592) (-706 (-592)) (-592) (-592) (-592))) (-15 -3282 ((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-592) (-592) (-592))) (-15 -2804 ((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-592))) (-15 -2797 ((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-237) (-592))) (-15 -2790 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2783 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592))) (-15 -2776 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592))) (-15 -4359 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4353 ((-1063) (-1173) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-592)))) (-15 -4347 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592) (-592) (-592) (-237) (-706 (-237)) (-592))) (-15 -4341 ((-1063) (-1173) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592))) (-15 -4335 ((-1063) (-1173) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4329 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4323 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592))) (-15 -4317 ((-1063) (-592) (-592) (-592) (-237) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4313 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592))))) (T -771)) 
-((-4313 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4317 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4323 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4329 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4335 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4341 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1173)) (-5 *5 (-706 (-237))) (-5 *6 (-237)) (-5 *7 (-706 (-592))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4347 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *6 (-237)) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4353 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1173)) (-5 *5 (-706 (-237))) (-5 *6 (-237)) (-5 *7 (-706 (-592))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4359 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771)))) (-2776 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-2783 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-2790 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771)))) (-2797 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-2804 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-3282 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-3608 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-706 (-237))) (-5 *6 (-706 (-592))) (-5 *3 (-592)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4215 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-771)))) (-4237 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(-10 -7 (-15 -4237 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4215 ((-1063) (-592) (-706 (-237)) (-237) (-592))) (-15 -3608 ((-1063) (-592) (-592) (-592) (-237) (-237) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592) (-706 (-592)) (-592) (-592) (-592))) (-15 -3282 ((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-592) (-592) (-592))) (-15 -2804 ((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-237) (-592) (-592) (-592))) (-15 -2797 ((-1063) (-592) (-237) (-237) (-706 (-237)) (-592) (-592) (-237) (-592))) (-15 -2790 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2783 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592))) (-15 -2776 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592))) (-15 -4359 ((-1063) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4353 ((-1063) (-1173) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-592)))) (-15 -4347 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592) (-592) (-592) (-237) (-706 (-237)) (-592))) (-15 -4341 ((-1063) (-1173) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592))) (-15 -4335 ((-1063) (-1173) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4329 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4323 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592))) (-15 -4317 ((-1063) (-592) (-592) (-592) (-237) (-706 (-237)) (-706 (-237)) (-592))) (-15 -4313 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592) (-706 (-237)) (-706 (-237)) (-592) (-592) (-592)))) 
-((-2812 (((-1063) (-592) (-592) (-592) (-237) (-706 (-237)) (-592) (-706 (-237)) (-592)) 63)) (-2819 (((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-141) (-237) (-592) (-237) (-237) (-141) (-237) (-237) (-237) (-237) (-141) (-592) (-592) (-592) (-592) (-592) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-592)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN)))) 62)) (-2826 (((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-237) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-141) (-141) (-141) (-592) (-592) (-706 (-237)) (-706 (-592)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-70 QPHESS)))) 58)) (-2833 (((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-141) (-592) (-592) (-706 (-237)) (-592)) 51)) (-2841 (((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-71 FUNCT1)))) 50)) (-2849 (((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-68 LSFUN2)))) 46)) (-2857 (((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-84 LSFUN1)))) 42)) (-2864 (((-1063) (-592) (-237) (-237) (-592) (-237) (-141) (-237) (-237) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN)))) 38))) 
-(((-772) (-10 -7 (-15 -2864 ((-1063) (-592) (-237) (-237) (-592) (-237) (-141) (-237) (-237) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN))))) (-15 -2857 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-84 LSFUN1))))) (-15 -2849 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-68 LSFUN2))))) (-15 -2841 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-71 FUNCT1))))) (-15 -2833 ((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-141) (-592) (-592) (-706 (-237)) (-592))) (-15 -2826 ((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-237) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-141) (-141) (-141) (-592) (-592) (-706 (-237)) (-706 (-592)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-70 QPHESS))))) (-15 -2819 ((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-141) (-237) (-592) (-237) (-237) (-141) (-237) (-237) (-237) (-237) (-141) (-592) (-592) (-592) (-592) (-592) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-592)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN))))) (-15 -2812 ((-1063) (-592) (-592) (-592) (-237) (-706 (-237)) (-592) (-706 (-237)) (-592))))) (T -772)) 
-((-2812 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2819 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-141)) (-5 *6 (-237)) (-5 *7 (-706 (-592))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2826 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-706 (-237))) (-5 *6 (-141)) (-5 *7 (-706 (-592))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-592)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2833 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2841 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2849 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2857 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1063)) (-5 *1 (-772)))) (-2864 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-592)) (-5 *5 (-141)) (-5 *6 (-706 (-237))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(-10 -7 (-15 -2864 ((-1063) (-592) (-237) (-237) (-592) (-237) (-141) (-237) (-237) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN))))) (-15 -2857 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-84 LSFUN1))))) (-15 -2849 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-68 LSFUN2))))) (-15 -2841 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-71 FUNCT1))))) (-15 -2833 ((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-141) (-592) (-592) (-706 (-237)) (-592))) (-15 -2826 ((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-237) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-141) (-141) (-141) (-592) (-592) (-706 (-237)) (-706 (-592)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-70 QPHESS))))) (-15 -2819 ((-1063) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-592) (-141) (-237) (-592) (-237) (-237) (-141) (-237) (-237) (-237) (-237) (-141) (-592) (-592) (-592) (-592) (-592) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-592) (-706 (-592)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN))))) (-15 -2812 ((-1063) (-592) (-592) (-592) (-237) (-706 (-237)) (-592) (-706 (-237)) (-592)))) 
-((-2872 (((-1063) (-1173) (-592) (-592) (-592) (-592) (-706 (-191 (-237))) (-706 (-191 (-237))) (-592)) 46)) (-2879 (((-1063) (-1173) (-1173) (-592) (-592) (-706 (-191 (-237))) (-592) (-706 (-191 (-237))) (-592) (-592) (-706 (-191 (-237))) (-592)) 45)) (-2886 (((-1063) (-592) (-592) (-592) (-706 (-191 (-237))) (-592)) 44)) (-2893 (((-1063) (-1173) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 40)) (-2900 (((-1063) (-1173) (-1173) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-706 (-237)) (-592)) 39)) (-2907 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-592)) 36)) (-2914 (((-1063) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592)) 35)) (-2922 (((-1063) (-592) (-592) (-592) (-592) (-658 (-141)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-237) (-237) (-592)) 34)) (-2929 (((-1063) (-592) (-592) (-592) (-706 (-592)) (-706 (-592)) (-706 (-592)) (-706 (-592)) (-141) (-237) (-141) (-706 (-592)) (-706 (-237)) (-592)) 33)) (-2937 (((-1063) (-592) (-592) (-592) (-592) (-237) (-141) (-141) (-658 (-141)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-592)) 32))) 
-(((-773) (-10 -7 (-15 -2937 ((-1063) (-592) (-592) (-592) (-592) (-237) (-141) (-141) (-658 (-141)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-592))) (-15 -2929 ((-1063) (-592) (-592) (-592) (-706 (-592)) (-706 (-592)) (-706 (-592)) (-706 (-592)) (-141) (-237) (-141) (-706 (-592)) (-706 (-237)) (-592))) (-15 -2922 ((-1063) (-592) (-592) (-592) (-592) (-658 (-141)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-237) (-237) (-592))) (-15 -2914 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592))) (-15 -2907 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-592))) (-15 -2900 ((-1063) (-1173) (-1173) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-706 (-237)) (-592))) (-15 -2893 ((-1063) (-1173) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2886 ((-1063) (-592) (-592) (-592) (-706 (-191 (-237))) (-592))) (-15 -2879 ((-1063) (-1173) (-1173) (-592) (-592) (-706 (-191 (-237))) (-592) (-706 (-191 (-237))) (-592) (-592) (-706 (-191 (-237))) (-592))) (-15 -2872 ((-1063) (-1173) (-592) (-592) (-592) (-592) (-706 (-191 (-237))) (-706 (-191 (-237))) (-592))))) (T -773)) 
-((-2872 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2879 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2886 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2893 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2900 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2907 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2914 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2922 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-658 (-141))) (-5 *5 (-706 (-237))) (-5 *6 (-706 (-592))) (-5 *7 (-237)) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2929 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-706 (-592))) (-5 *5 (-141)) (-5 *7 (-706 (-237))) (-5 *3 (-592)) (-5 *6 (-237)) (-5 *2 (-1063)) (-5 *1 (-773)))) (-2937 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-658 (-141))) (-5 *7 (-706 (-237))) (-5 *8 (-706 (-592))) (-5 *3 (-592)) (-5 *4 (-237)) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(-10 -7 (-15 -2937 ((-1063) (-592) (-592) (-592) (-592) (-237) (-141) (-141) (-658 (-141)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-592))) (-15 -2929 ((-1063) (-592) (-592) (-592) (-706 (-592)) (-706 (-592)) (-706 (-592)) (-706 (-592)) (-141) (-237) (-141) (-706 (-592)) (-706 (-237)) (-592))) (-15 -2922 ((-1063) (-592) (-592) (-592) (-592) (-658 (-141)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-237) (-237) (-592))) (-15 -2914 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592))) (-15 -2907 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-592))) (-15 -2900 ((-1063) (-1173) (-1173) (-592) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-706 (-237)) (-592))) (-15 -2893 ((-1063) (-1173) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2886 ((-1063) (-592) (-592) (-592) (-706 (-191 (-237))) (-592))) (-15 -2879 ((-1063) (-1173) (-1173) (-592) (-592) (-706 (-191 (-237))) (-592) (-706 (-191 (-237))) (-592) (-592) (-706 (-191 (-237))) (-592))) (-15 -2872 ((-1063) (-1173) (-592) (-592) (-592) (-592) (-706 (-191 (-237))) (-706 (-191 (-237))) (-592)))) 
-((-3857 (((-1063) (-592) (-592) (-592) (-592) (-592) (-141) (-592) (-141) (-592) (-706 (-191 (-237))) (-706 (-191 (-237))) (-592)) 64)) (-3862 (((-1063) (-592) (-592) (-592) (-592) (-592) (-141) (-592) (-141) (-592) (-706 (-237)) (-706 (-237)) (-592)) 60)) (-3867 (((-1063) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE))) (-414)) 56) (((-1063) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE)))) 55)) (-3872 (((-1063) (-592) (-592) (-592) (-237) (-141) (-592) (-706 (-237)) (-706 (-237)) (-592)) 37)) (-3879 (((-1063) (-592) (-592) (-237) (-237) (-592) (-592) (-706 (-237)) (-592)) 33)) (-3885 (((-1063) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-592) (-592) (-592)) 29)) (-2556 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 28)) (-2562 (((-1063) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 27)) (-2568 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 26)) (-2574 (((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592)) 25)) (-2585 (((-1063) (-592) (-592) (-706 (-237)) (-592)) 24)) (-2591 (((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 23)) (-2597 (((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592)) 22)) (-2603 (((-1063) (-706 (-237)) (-592) (-592) (-592) (-592)) 21)) (-2610 (((-1063) (-592) (-592) (-706 (-237)) (-592)) 20))) 
-(((-774) (-10 -7 (-15 -2610 ((-1063) (-592) (-592) (-706 (-237)) (-592))) (-15 -2603 ((-1063) (-706 (-237)) (-592) (-592) (-592) (-592))) (-15 -2597 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2591 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2585 ((-1063) (-592) (-592) (-706 (-237)) (-592))) (-15 -2574 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592))) (-15 -2568 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2562 ((-1063) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2556 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3885 ((-1063) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-592) (-592) (-592))) (-15 -3879 ((-1063) (-592) (-592) (-237) (-237) (-592) (-592) (-706 (-237)) (-592))) (-15 -3872 ((-1063) (-592) (-592) (-592) (-237) (-141) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3867 ((-1063) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE))))) (-15 -3867 ((-1063) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE))) (-414))) (-15 -3862 ((-1063) (-592) (-592) (-592) (-592) (-592) (-141) (-592) (-141) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3857 ((-1063) (-592) (-592) (-592) (-592) (-592) (-141) (-592) (-141) (-592) (-706 (-191 (-237))) (-706 (-191 (-237))) (-592))))) (T -774)) 
-((-3857 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-141)) (-5 *5 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-3862 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-141)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-3867 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-414)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774)))) (-3867 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774)))) (-3872 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-592)) (-5 *5 (-141)) (-5 *6 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774)))) (-3879 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774)))) (-3885 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2556 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2562 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2568 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2574 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2585 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2591 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2597 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2603 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-774)))) (-2610 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(-10 -7 (-15 -2610 ((-1063) (-592) (-592) (-706 (-237)) (-592))) (-15 -2603 ((-1063) (-706 (-237)) (-592) (-592) (-592) (-592))) (-15 -2597 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2591 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2585 ((-1063) (-592) (-592) (-706 (-237)) (-592))) (-15 -2574 ((-1063) (-592) (-592) (-592) (-592) (-706 (-237)) (-592))) (-15 -2568 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2562 ((-1063) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -2556 ((-1063) (-592) (-592) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3885 ((-1063) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-592) (-592) (-592))) (-15 -3879 ((-1063) (-592) (-592) (-237) (-237) (-592) (-592) (-706 (-237)) (-592))) (-15 -3872 ((-1063) (-592) (-592) (-592) (-237) (-141) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3867 ((-1063) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE))))) (-15 -3867 ((-1063) (-592) (-592) (-237) (-592) (-592) (-592) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE))) (-414))) (-15 -3862 ((-1063) (-592) (-592) (-592) (-592) (-592) (-141) (-592) (-141) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3857 ((-1063) (-592) (-592) (-592) (-592) (-592) (-141) (-592) (-141) (-592) (-706 (-191 (-237))) (-706 (-191 (-237))) (-592)))) 
-((-3721 (((-1063) (-592) (-592) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-75 APROD)))) 60)) (-3726 (((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-592)) (-592) (-706 (-237)) (-592) (-592) (-592) (-592)) 56)) (-3731 (((-1063) (-592) (-706 (-237)) (-141) (-237) (-592) (-592) (-592) (-592) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-414)) (|:| |fp| (-78 MSOLVE)))) 55)) (-3736 (((-1063) (-592) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592) (-706 (-592)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592)) 36)) (-3741 (((-1063) (-592) (-592) (-592) (-237) (-592) (-706 (-237)) (-706 (-237)) (-592)) 35)) (-3745 (((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592)) 31)) (-3750 (((-1063) (-592) (-706 (-237)) (-592) (-706 (-592)) (-706 (-592)) (-592) (-706 (-592)) (-706 (-237))) 30)) (-3755 (((-1063) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-592)) 26)) (-3760 (((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592)) 25)) (-3770 (((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592)) 24)) (-3778 (((-1063) (-592) (-706 (-191 (-237))) (-592) (-592) (-592) (-592) (-706 (-191 (-237))) (-592)) 20))) 
-(((-775) (-10 -7 (-15 -3778 ((-1063) (-592) (-706 (-191 (-237))) (-592) (-592) (-592) (-592) (-706 (-191 (-237))) (-592))) (-15 -3770 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -3760 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -3755 ((-1063) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-592))) (-15 -3750 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-592)) (-706 (-592)) (-592) (-706 (-592)) (-706 (-237)))) (-15 -3745 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3741 ((-1063) (-592) (-592) (-592) (-237) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3736 ((-1063) (-592) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592) (-706 (-592)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592))) (-15 -3731 ((-1063) (-592) (-706 (-237)) (-141) (-237) (-592) (-592) (-592) (-592) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-414)) (|:| |fp| (-78 MSOLVE))))) (-15 -3726 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-592)) (-592) (-706 (-237)) (-592) (-592) (-592) (-592))) (-15 -3721 ((-1063) (-592) (-592) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-75 APROD))))))) (T -775)) 
-((-3721 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-75 APROD)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3726 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3731 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-141)) (-5 *6 (-237)) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3736 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3741 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3745 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3750 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3755 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3760 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3770 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-775)))) (-3778 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(-10 -7 (-15 -3778 ((-1063) (-592) (-706 (-191 (-237))) (-592) (-592) (-592) (-592) (-706 (-191 (-237))) (-592))) (-15 -3770 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -3760 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-592))) (-15 -3755 ((-1063) (-706 (-237)) (-592) (-706 (-237)) (-592) (-592) (-592))) (-15 -3750 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-592)) (-706 (-592)) (-592) (-706 (-592)) (-706 (-237)))) (-15 -3745 ((-1063) (-592) (-592) (-706 (-237)) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3741 ((-1063) (-592) (-592) (-592) (-237) (-592) (-706 (-237)) (-706 (-237)) (-592))) (-15 -3736 ((-1063) (-592) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592) (-706 (-592)) (-706 (-237)) (-706 (-592)) (-706 (-592)) (-706 (-237)) (-706 (-237)) (-706 (-592)) (-592))) (-15 -3731 ((-1063) (-592) (-706 (-237)) (-141) (-237) (-592) (-592) (-592) (-592) (-237) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-414)) (|:| |fp| (-78 MSOLVE))))) (-15 -3726 ((-1063) (-592) (-706 (-237)) (-592) (-706 (-237)) (-706 (-592)) (-592) (-706 (-237)) (-592) (-592) (-592) (-592))) (-15 -3721 ((-1063) (-592) (-592) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-706 (-237)) (-592) (-3 (|:| |fn| (-414)) (|:| |fp| (-75 APROD)))))) 
-((-3811 (((-1063) (-1173) (-592) (-592) (-706 (-237)) (-592) (-592) (-706 (-237))) 28)) (-3816 (((-1063) (-1173) (-592) (-592) (-706 (-237))) 27)) (-3823 (((-1063) (-1173) (-592) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592) (-706 (-237))) 26)) (-3828 (((-1063) (-592) (-592) (-592) (-706 (-237))) 20))) 
-(((-776) (-10 -7 (-15 -3828 ((-1063) (-592) (-592) (-592) (-706 (-237)))) (-15 -3823 ((-1063) (-1173) (-592) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592) (-706 (-237)))) (-15 -3816 ((-1063) (-1173) (-592) (-592) (-706 (-237)))) (-15 -3811 ((-1063) (-1173) (-592) (-592) (-706 (-237)) (-592) (-592) (-706 (-237)))))) (T -776)) 
-((-3811 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-776)))) (-3816 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-776)))) (-3823 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1173)) (-5 *5 (-706 (-237))) (-5 *6 (-706 (-592))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-776)))) (-3828 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-776))))) 
-(-10 -7 (-15 -3828 ((-1063) (-592) (-592) (-592) (-706 (-237)))) (-15 -3823 ((-1063) (-1173) (-592) (-592) (-706 (-237)) (-592) (-706 (-592)) (-592) (-706 (-237)))) (-15 -3816 ((-1063) (-1173) (-592) (-592) (-706 (-237)))) (-15 -3811 ((-1063) (-1173) (-592) (-592) (-706 (-237)) (-592) (-592) (-706 (-237))))) 
-((-3578 (((-1063) (-237) (-237) (-237) (-237) (-592)) 62)) (-3584 (((-1063) (-237) (-237) (-237) (-592)) 61)) (-3590 (((-1063) (-237) (-237) (-237) (-592)) 60)) (-3597 (((-1063) (-237) (-237) (-592)) 59)) (-3603 (((-1063) (-237) (-592)) 58)) (-3615 (((-1063) (-237) (-592)) 57)) (-3628 (((-1063) (-237) (-592)) 56)) (-3638 (((-1063) (-237) (-592)) 55)) (-3662 (((-1063) (-237) (-592)) 54)) (-3675 (((-1063) (-237) (-592)) 53)) (-3687 (((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592)) 52)) (-3692 (((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592)) 51)) (-3697 (((-1063) (-237) (-592)) 50)) (-3704 (((-1063) (-237) (-592)) 49)) (-3709 (((-1063) (-237) (-592)) 48)) (-3715 (((-1063) (-237) (-592)) 47)) (-3840 (((-1063) (-592) (-237) (-191 (-237)) (-592) (-1173) (-592)) 46)) (-3846 (((-1063) (-1173) (-191 (-237)) (-1173) (-592)) 45)) (-3851 (((-1063) (-1173) (-191 (-237)) (-1173) (-592)) 44)) (-3465 (((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592)) 43)) (-3471 (((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592)) 42)) (-3476 (((-1063) (-237) (-592)) 39)) (-3482 (((-1063) (-237) (-592)) 38)) (-3488 (((-1063) (-237) (-592)) 37)) (-3493 (((-1063) (-237) (-592)) 36)) (-3498 (((-1063) (-237) (-592)) 35)) (-3503 (((-1063) (-237) (-592)) 34)) (-3509 (((-1063) (-237) (-592)) 33)) (-3518 (((-1063) (-237) (-592)) 32)) (-3523 (((-1063) (-237) (-592)) 31)) (-3528 (((-1063) (-237) (-592)) 30)) (-3533 (((-1063) (-237) (-237) (-237) (-592)) 29)) (-3539 (((-1063) (-237) (-592)) 28)) (-3544 (((-1063) (-237) (-592)) 27)) (-3551 (((-1063) (-237) (-592)) 26)) (-3557 (((-1063) (-237) (-592)) 25)) (-3563 (((-1063) (-237) (-592)) 24)) (-3570 (((-1063) (-191 (-237)) (-592)) 20))) 
-(((-777) (-10 -7 (-15 -3570 ((-1063) (-191 (-237)) (-592))) (-15 -3563 ((-1063) (-237) (-592))) (-15 -3557 ((-1063) (-237) (-592))) (-15 -3551 ((-1063) (-237) (-592))) (-15 -3544 ((-1063) (-237) (-592))) (-15 -3539 ((-1063) (-237) (-592))) (-15 -3533 ((-1063) (-237) (-237) (-237) (-592))) (-15 -3528 ((-1063) (-237) (-592))) (-15 -3523 ((-1063) (-237) (-592))) (-15 -3518 ((-1063) (-237) (-592))) (-15 -3509 ((-1063) (-237) (-592))) (-15 -3503 ((-1063) (-237) (-592))) (-15 -3498 ((-1063) (-237) (-592))) (-15 -3493 ((-1063) (-237) (-592))) (-15 -3488 ((-1063) (-237) (-592))) (-15 -3482 ((-1063) (-237) (-592))) (-15 -3476 ((-1063) (-237) (-592))) (-15 -3471 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3465 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3851 ((-1063) (-1173) (-191 (-237)) (-1173) (-592))) (-15 -3846 ((-1063) (-1173) (-191 (-237)) (-1173) (-592))) (-15 -3840 ((-1063) (-592) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3715 ((-1063) (-237) (-592))) (-15 -3709 ((-1063) (-237) (-592))) (-15 -3704 ((-1063) (-237) (-592))) (-15 -3697 ((-1063) (-237) (-592))) (-15 -3692 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3687 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3675 ((-1063) (-237) (-592))) (-15 -3662 ((-1063) (-237) (-592))) (-15 -3638 ((-1063) (-237) (-592))) (-15 -3628 ((-1063) (-237) (-592))) (-15 -3615 ((-1063) (-237) (-592))) (-15 -3603 ((-1063) (-237) (-592))) (-15 -3597 ((-1063) (-237) (-237) (-592))) (-15 -3590 ((-1063) (-237) (-237) (-237) (-592))) (-15 -3584 ((-1063) (-237) (-237) (-237) (-592))) (-15 -3578 ((-1063) (-237) (-237) (-237) (-237) (-592))))) (T -777)) 
-((-3578 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3584 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3590 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3597 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3603 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3615 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3638 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3662 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3675 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3687 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3692 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3697 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3704 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3709 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3715 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3840 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-592)) (-5 *5 (-191 (-237))) (-5 *6 (-1173)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3846 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3851 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3465 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3471 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3476 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3482 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3488 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3493 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3498 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3503 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3509 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3518 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3523 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3528 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3533 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3539 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3544 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3551 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3557 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3563 (*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777)))) (-3570 (*1 *2 *3 *4) (-12 (-5 *3 (-191 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(-10 -7 (-15 -3570 ((-1063) (-191 (-237)) (-592))) (-15 -3563 ((-1063) (-237) (-592))) (-15 -3557 ((-1063) (-237) (-592))) (-15 -3551 ((-1063) (-237) (-592))) (-15 -3544 ((-1063) (-237) (-592))) (-15 -3539 ((-1063) (-237) (-592))) (-15 -3533 ((-1063) (-237) (-237) (-237) (-592))) (-15 -3528 ((-1063) (-237) (-592))) (-15 -3523 ((-1063) (-237) (-592))) (-15 -3518 ((-1063) (-237) (-592))) (-15 -3509 ((-1063) (-237) (-592))) (-15 -3503 ((-1063) (-237) (-592))) (-15 -3498 ((-1063) (-237) (-592))) (-15 -3493 ((-1063) (-237) (-592))) (-15 -3488 ((-1063) (-237) (-592))) (-15 -3482 ((-1063) (-237) (-592))) (-15 -3476 ((-1063) (-237) (-592))) (-15 -3471 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3465 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3851 ((-1063) (-1173) (-191 (-237)) (-1173) (-592))) (-15 -3846 ((-1063) (-1173) (-191 (-237)) (-1173) (-592))) (-15 -3840 ((-1063) (-592) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3715 ((-1063) (-237) (-592))) (-15 -3709 ((-1063) (-237) (-592))) (-15 -3704 ((-1063) (-237) (-592))) (-15 -3697 ((-1063) (-237) (-592))) (-15 -3692 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3687 ((-1063) (-237) (-191 (-237)) (-592) (-1173) (-592))) (-15 -3675 ((-1063) (-237) (-592))) (-15 -3662 ((-1063) (-237) (-592))) (-15 -3638 ((-1063) (-237) (-592))) (-15 -3628 ((-1063) (-237) (-592))) (-15 -3615 ((-1063) (-237) (-592))) (-15 -3603 ((-1063) (-237) (-592))) (-15 -3597 ((-1063) (-237) (-237) (-592))) (-15 -3590 ((-1063) (-237) (-237) (-237) (-592))) (-15 -3584 ((-1063) (-237) (-237) (-237) (-592))) (-15 -3578 ((-1063) (-237) (-237) (-237) (-237) (-592)))) 
-((-1590 (((-1285)) 18)) (-2147 (((-1173)) 22)) (-4591 (((-1173)) 21)) (-1407 (((-1123) (-1191) (-706 (-592))) 35) (((-1123) (-1191) (-706 (-237))) 31)) (-4140 (((-141)) 16)) (-2370 (((-1173) (-1173)) 25))) 
-(((-778) (-10 -7 (-15 -4591 ((-1173))) (-15 -2147 ((-1173))) (-15 -2370 ((-1173) (-1173))) (-15 -1407 ((-1123) (-1191) (-706 (-237)))) (-15 -1407 ((-1123) (-1191) (-706 (-592)))) (-15 -4140 ((-141))) (-15 -1590 ((-1285))))) (T -778)) 
-((-1590 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-778)))) (-4140 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-778)))) (-1407 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-706 (-592))) (-5 *2 (-1123)) (-5 *1 (-778)))) (-1407 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-706 (-237))) (-5 *2 (-1123)) (-5 *1 (-778)))) (-2370 (*1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-778)))) (-2147 (*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-778)))) (-4591 (*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-778))))) 
-(-10 -7 (-15 -4591 ((-1173))) (-15 -2147 ((-1173))) (-15 -2370 ((-1173) (-1173))) (-15 -1407 ((-1123) (-1191) (-706 (-237)))) (-15 -1407 ((-1123) (-1191) (-706 (-592)))) (-15 -4140 ((-141))) (-15 -1590 ((-1285)))) 
-((-2131 (($ $ $) 10)) (-3667 (($ $ $ $) 9)) (-2844 (($ $ $) 12))) 
-(((-779 |#1|) (-10 -8 (-15 -2844 (|#1| |#1| |#1|)) (-15 -2131 (|#1| |#1| |#1|)) (-15 -3667 (|#1| |#1| |#1| |#1|))) (-780)) (T -779)) 
-NIL 
-(-10 -8 (-15 -2844 (|#1| |#1| |#1|)) (-15 -2131 (|#1| |#1| |#1|)) (-15 -3667 (|#1| |#1| |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2111 (($ $ (-944)) 27)) (-2682 (($ $ (-944)) 28)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2131 (($ $ $) 24)) (-1683 (((-877) $) 11)) (-3667 (($ $ $ $) 25)) (-2844 (($ $ $) 23)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 29)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 26))) 
-(((-780) (-1311)) (T -780)) 
-((-3667 (*1 *1 *1 *1 *1) (-4 *1 (-780))) (-2131 (*1 *1 *1 *1) (-4 *1 (-780))) (-2844 (*1 *1 *1 *1) (-4 *1 (-780)))) 
-(-13 (-21) (-737) (-10 -8 (-15 -3667 ($ $ $ $)) (-15 -2131 ($ $ $)) (-15 -2844 ($ $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-737) . T) ((-1119) . T)) 
-((-1683 (((-877) $) NIL) (($ (-592)) 10))) 
-(((-781 |#1|) (-10 -8 (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-782)) (T -781)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2503 (((-3 $ "failed") $) 39)) (-2111 (($ $ (-944)) 27) (($ $ (-790)) 34)) (-3371 (((-3 $ "failed") $) 37)) (-3558 (((-141) $) 33)) (-4158 (((-3 $ "failed") $) 38)) (-2682 (($ $ (-944)) 28) (($ $ (-790)) 35)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2131 (($ $ $) 24)) (-1683 (((-877) $) 11) (($ (-592)) 30)) (-4010 (((-790)) 31)) (-3667 (($ $ $ $) 25)) (-2844 (($ $ $) 23)) (-3514 (($) 17 T CONST)) (-4257 (($) 32 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 29) (($ $ (-790)) 36)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 26))) 
-(((-782) (-1311)) (T -782)) 
-((-4010 (*1 *2) (-12 (-4 *1 (-782)) (-5 *2 (-790)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-782))))) 
-(-13 (-780) (-739) (-10 -8 (-15 -4010 ((-790))) (-15 -1683 ($ (-592))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-737) . T) ((-739) . T) ((-780) . T) ((-1119) . T)) 
-((-2102 (((-658 (-2 (|:| |outval| (-191 |#1|)) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 (-191 |#1|)))))) (-706 (-191 (-433 (-592)))) |#1|) 27)) (-2171 (((-658 (-191 |#1|)) (-706 (-191 (-433 (-592)))) |#1|) 19)) (-4198 (((-980 (-191 (-433 (-592)))) (-706 (-191 (-433 (-592)))) (-1191)) 16) (((-980 (-191 (-433 (-592)))) (-706 (-191 (-433 (-592))))) 15))) 
-(((-783 |#1|) (-10 -7 (-15 -4198 ((-980 (-191 (-433 (-592)))) (-706 (-191 (-433 (-592)))))) (-15 -4198 ((-980 (-191 (-433 (-592)))) (-706 (-191 (-433 (-592)))) (-1191))) (-15 -2171 ((-658 (-191 |#1|)) (-706 (-191 (-433 (-592)))) |#1|)) (-15 -2102 ((-658 (-2 (|:| |outval| (-191 |#1|)) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 (-191 |#1|)))))) (-706 (-191 (-433 (-592)))) |#1|))) (-13 (-388) (-867))) (T -783)) 
-((-2102 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *2 (-658 (-2 (|:| |outval| (-191 *4)) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 (-191 *4))))))) (-5 *1 (-783 *4)) (-4 *4 (-13 (-388) (-867))))) (-2171 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-783 *4)) (-4 *4 (-13 (-388) (-867))))) (-4198 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *4 (-1191)) (-5 *2 (-980 (-191 (-433 (-592))))) (-5 *1 (-783 *5)) (-4 *5 (-13 (-388) (-867))))) (-4198 (*1 *2 *3) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *2 (-980 (-191 (-433 (-592))))) (-5 *1 (-783 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(-10 -7 (-15 -4198 ((-980 (-191 (-433 (-592)))) (-706 (-191 (-433 (-592)))))) (-15 -4198 ((-980 (-191 (-433 (-592)))) (-706 (-191 (-433 (-592)))) (-1191))) (-15 -2171 ((-658 (-191 |#1|)) (-706 (-191 (-433 (-592)))) |#1|)) (-15 -2102 ((-658 (-2 (|:| |outval| (-191 |#1|)) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 (-191 |#1|)))))) (-706 (-191 (-433 (-592)))) |#1|))) 
-((-2867 (((-195 (-592)) |#1|) 25))) 
-(((-784 |#1|) (-10 -7 (-15 -2867 ((-195 (-592)) |#1|))) (-430)) (T -784)) 
-((-2867 (*1 *2 *3) (-12 (-5 *2 (-195 (-592))) (-5 *1 (-784 *3)) (-4 *3 (-430))))) 
-(-10 -7 (-15 -2867 ((-195 (-592)) |#1|))) 
-((-1763 ((|#1| |#1| |#1|) 24)) (-4308 ((|#1| |#1| |#1|) 23)) (-3696 ((|#1| |#1| |#1|) 31)) (-4262 ((|#1| |#1| |#1|) 27)) (-4156 (((-3 |#1| "failed") |#1| |#1|) 26)) (-4084 (((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|) 22))) 
-(((-785 |#1| |#2|) (-10 -7 (-15 -4084 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -4308 (|#1| |#1| |#1|)) (-15 -1763 (|#1| |#1| |#1|)) (-15 -4156 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4262 (|#1| |#1| |#1|)) (-15 -3696 (|#1| |#1| |#1|))) (-725 |#2|) (-388)) (T -785)) 
-((-3696 (*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) (-4262 (*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) (-4156 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) (-1763 (*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) (-4308 (*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) (-4084 (*1 *2 *3 *3) (-12 (-4 *4 (-388)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-785 *3 *4)) (-4 *3 (-725 *4))))) 
-(-10 -7 (-15 -4084 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -4308 (|#1| |#1| |#1|)) (-15 -1763 (|#1| |#1| |#1|)) (-15 -4156 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4262 (|#1| |#1| |#1|)) (-15 -3696 (|#1| |#1| |#1|))) 
-((-2904 (((-1187 |#1|) (-658 |#1|)) 25))) 
-(((-786 |#1|) (-10 -7 (-15 -2904 ((-1187 |#1|) (-658 |#1|)))) (-582)) (T -786)) 
-((-2904 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-582)) (-5 *2 (-1187 *4)) (-5 *1 (-786 *4))))) 
-(-10 -7 (-15 -2904 ((-1187 |#1|) (-658 |#1|)))) 
-((-2583 (((-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592)))) (-592)) 58)) (-4023 (((-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592))))) 56)) (-1482 (((-592)) 68))) 
-(((-787 |#1| |#2|) (-10 -7 (-15 -1482 ((-592))) (-15 -4023 ((-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592)))))) (-15 -2583 ((-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592)))) (-592)))) (-1255 (-592)) (-435 (-592) |#1|)) (T -787)) 
-((-2583 (*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-787 *4 *5)) (-4 *5 (-435 *3 *4)))) (-4023 (*1 *2) (-12 (-4 *3 (-1255 (-592))) (-5 *2 (-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592))))) (-5 *1 (-787 *3 *4)) (-4 *4 (-435 (-592) *3)))) (-1482 (*1 *2) (-12 (-4 *3 (-1255 *2)) (-5 *2 (-592)) (-5 *1 (-787 *3 *4)) (-4 *4 (-435 *2 *3))))) 
-(-10 -7 (-15 -1482 ((-592))) (-15 -4023 ((-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592)))))) (-15 -2583 ((-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592)))) (-592)))) 
-((-1641 (((-141) $ $) NIL)) (-2400 (((-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) $) 15)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 14) (($ (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 8) (($ (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) 12)) (-3255 (((-141) $ $) NIL))) 
-(((-788) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1683 ($ (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1683 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) $))))) (T -788)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-788)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-788)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-788)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) (-5 *1 (-788)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) (-5 *1 (-788))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1683 ($ (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1683 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) $)))) 
-((-3407 (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|))) 14) (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)) (-658 (-1191))) 13)) (-4005 (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|))) 16) (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)) (-658 (-1191))) 15))) 
-(((-789 |#1|) (-10 -7 (-15 -3407 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -3407 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|))))) (-582)) (T -789)) 
-((-4005 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-789 *4)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-789 *5)))) (-3407 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-789 *4)))) (-3407 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-789 *5))))) 
-(-10 -7 (-15 -3407 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -3407 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-980 |#1|))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4079 (($ $ $) 6)) (-2350 (((-3 $ "failed") $ $) 9)) (-3651 (($ $ (-592)) 7)) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($ $) NIL)) (-1599 (($ $ $) NIL)) (-3558 (((-141) $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3548 (($ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-1683 (((-877) $) NIL)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (* (($ (-790) $) NIL) (($ (-944) $) NIL) (($ $ $) NIL))) 
-(((-790) (-13 (-815) (-743) (-10 -8 (-15 -1599 ($ $ $)) (-15 -1586 ($ $ $)) (-15 -3548 ($ $ $)) (-15 -4570 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -3616 ((-3 $ "failed") $ $)) (-15 -3651 ($ $ (-592))) (-15 -4290 ($ $)) (-6 (-4627 "*"))))) (T -790)) 
-((-1599 (*1 *1 *1 *1) (-5 *1 (-790))) (-1586 (*1 *1 *1 *1) (-5 *1 (-790))) (-3548 (*1 *1 *1 *1) (-5 *1 (-790))) (-4570 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2230 (-790)) (|:| -3027 (-790)))) (-5 *1 (-790)))) (-3616 (*1 *1 *1 *1) (|partial| -5 *1 (-790))) (-3651 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-790)))) (-4290 (*1 *1 *1) (-5 *1 (-790)))) 
-(-13 (-815) (-743) (-10 -8 (-15 -1599 ($ $ $)) (-15 -1586 ($ $ $)) (-15 -3548 ($ $ $)) (-15 -4570 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -3616 ((-3 $ "failed") $ $)) (-15 -3651 ($ $ (-592))) (-15 -4290 ($ $)) (-6 (-4627 "*")))) 
-((-4005 (((-3 |#2| "failed") |#2| |#2| (-143) (-1191)) 35))) 
-(((-791 |#1| |#2|) (-10 -7 (-15 -4005 ((-3 |#2| "failed") |#2| |#2| (-143) (-1191)))) (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171)) (-13 (-29 |#1|) (-1211) (-987))) (T -791)) 
-((-4005 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-791 *5 *2)) (-4 *2 (-13 (-29 *5) (-1211) (-987)))))) 
-(-10 -7 (-15 -4005 ((-3 |#2| "failed") |#2| |#2| (-143) (-1191)))) 
-((-1683 (((-793) |#1|) 8))) 
-(((-792 |#1|) (-10 -7 (-15 -1683 ((-793) |#1|))) (-1225)) (T -792)) 
-((-1683 (*1 *2 *3) (-12 (-5 *2 (-793)) (-5 *1 (-792 *3)) (-4 *3 (-1225))))) 
-(-10 -7 (-15 -1683 ((-793) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 7)) (-3255 (((-141) $ $) 9))) 
-(((-793) (-1119)) (T -793)) 
-NIL 
-(-1119) 
-((-2793 ((|#2| |#4|) 35))) 
-(((-794 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2793 (|#2| |#4|))) (-477) (-1255 |#1|) (-741 |#1| |#2|) (-1255 |#3|)) (T -794)) 
-((-2793 (*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-741 *4 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-794 *4 *2 *5 *3)) (-4 *3 (-1255 *5))))) 
-(-10 -7 (-15 -2793 (|#2| |#4|))) 
-((-3371 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-2279 (((-1285) (-1173) (-1173) |#4| |#5|) 33)) (-1999 ((|#4| |#4| |#5|) 72)) (-4398 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|) 76)) (-2490 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|) 15))) 
-(((-795 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3371 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -1999 (|#4| |#4| |#5|)) (-15 -4398 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2279 ((-1285) (-1173) (-1173) |#4| |#5|)) (-15 -2490 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|)) (T -795)) 
-((-2490 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-795 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2279 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1173)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *4 (-1089 *6 *7 *8)) (-5 *2 (-1285)) (-5 *1 (-795 *6 *7 *8 *4 *5)) (-4 *5 (-1094 *6 *7 *8 *4)))) (-4398 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-795 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-1999 (*1 *2 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *2 (-1089 *4 *5 *6)) (-5 *1 (-795 *4 *5 *6 *2 *3)) (-4 *3 (-1094 *4 *5 *6 *2)))) (-3371 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-795 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(-10 -7 (-15 -3371 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -1999 (|#4| |#4| |#5|)) (-15 -4398 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2279 ((-1285) (-1173) (-1173) |#4| |#5|)) (-15 -2490 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|))) 
-((-4368 (((-3 (-1187 (-1187 |#1|)) "failed") |#4|) 43)) (-2941 (((-658 |#4|) |#4|) 15)) (-3417 ((|#4| |#4|) 11))) 
-(((-796 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2941 ((-658 |#4|) |#4|)) (-15 -4368 ((-3 (-1187 (-1187 |#1|)) "failed") |#4|)) (-15 -3417 (|#4| |#4|))) (-373) (-349 |#1|) (-1255 |#2|) (-1255 |#3|) (-944)) (T -796)) 
-((-3417 (*1 *2 *2) (-12 (-4 *3 (-373)) (-4 *4 (-349 *3)) (-4 *5 (-1255 *4)) (-5 *1 (-796 *3 *4 *5 *2 *6)) (-4 *2 (-1255 *5)) (-14 *6 (-944)))) (-4368 (*1 *2 *3) (|partial| -12 (-4 *4 (-373)) (-4 *5 (-349 *4)) (-4 *6 (-1255 *5)) (-5 *2 (-1187 (-1187 *4))) (-5 *1 (-796 *4 *5 *6 *3 *7)) (-4 *3 (-1255 *6)) (-14 *7 (-944)))) (-2941 (*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *5 (-349 *4)) (-4 *6 (-1255 *5)) (-5 *2 (-658 *3)) (-5 *1 (-796 *4 *5 *6 *3 *7)) (-4 *3 (-1255 *6)) (-14 *7 (-944))))) 
-(-10 -7 (-15 -2941 ((-658 |#4|) |#4|)) (-15 -4368 ((-3 (-1187 (-1187 |#1|)) "failed") |#4|)) (-15 -3417 (|#4| |#4|))) 
-((-1641 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-2400 (($ (-1237 |#1|)) 21)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 26)) (-2951 (((-1137) $) NIL)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 18 T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ $ $) 24))) 
-(((-797 |#1|) (-13 (-502) (-10 -8 (-15 -2400 ($ (-1237 |#1|))))) (-373)) (T -797)) 
-((-2400 (*1 *1 *2) (-12 (-5 *2 (-1237 *3)) (-4 *3 (-373)) (-5 *1 (-797 *3))))) 
-(-13 (-502) (-10 -8 (-15 -2400 ($ (-1237 |#1|))))) 
-((-2678 (((-2 (|:| |deter| (-658 (-1187 |#5|))) (|:| |dterm| (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-658 |#1|)) (|:| |nlead| (-658 |#5|))) (-1187 |#5|) (-658 |#1|) (-658 |#5|)) 51)) (-2734 (((-658 (-790)) |#1|) 12))) 
-(((-798 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2678 ((-2 (|:| |deter| (-658 (-1187 |#5|))) (|:| |dterm| (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-658 |#1|)) (|:| |nlead| (-658 |#5|))) (-1187 |#5|) (-658 |#1|) (-658 |#5|))) (-15 -2734 ((-658 (-790)) |#1|))) (-1255 |#4|) (-815) (-869) (-323) (-977 |#4| |#2| |#3|)) (T -798)) 
-((-2734 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-658 (-790))) (-5 *1 (-798 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *6)) (-4 *7 (-977 *6 *4 *5)))) (-2678 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1255 *9)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-323)) (-4 *10 (-977 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-658 (-1187 *10))) (|:| |dterm| (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| *10))))) (|:| |nfacts| (-658 *6)) (|:| |nlead| (-658 *10)))) (-5 *1 (-798 *6 *7 *8 *9 *10)) (-5 *3 (-1187 *10)) (-5 *4 (-658 *6)) (-5 *5 (-658 *10))))) 
-(-10 -7 (-15 -2678 ((-2 (|:| |deter| (-658 (-1187 |#5|))) (|:| |dterm| (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-658 |#1|)) (|:| |nlead| (-658 |#5|))) (-1187 |#5|) (-658 |#1|) (-658 |#5|))) (-15 -2734 ((-658 (-790)) |#1|))) 
-((-2206 (((-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal"))) (-658 |#2|)) 18) (((-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-4455 (((-658 (-658 |#2|)) |#2| (-592) (-592) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-2094 (((-658 (-658 |#2|)) |#2| (-658 (-658 |#2|))) 24)) (-1748 (((-790) (-658 (-658 |#2|))) 27))) 
-(((-799 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4455 ((-658 (-658 |#2|)) |#2| (-592) (-592) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -1748 ((-790) (-658 (-658 |#2|)))) (-15 -2094 ((-658 (-658 |#2|)) |#2| (-658 (-658 |#2|)))) (-15 -2206 ((-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -2206 ((-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal"))) (-658 |#2|)))) (-1075) (-346 |#1| |#3|) (-252 |#4| (-790)) (-790)) (T -799)) 
-((-2206 (*1 *2 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-346 *4 *6)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-4 *4 (-1075)) (-5 *2 (-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-799 *4 *5 *6 *7)))) (-2206 (*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-799 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) (-2094 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-346 *4 *5)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *4 (-1075)) (-5 *1 (-799 *4 *3 *5 *6)))) (-1748 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 *5))) (-4 *5 (-346 *4 *6)) (-4 *6 (-252 *7 *2)) (-14 *7 *2) (-4 *4 (-1075)) (-5 *2 (-790)) (-5 *1 (-799 *4 *5 *6 *7)))) (-4455 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-592)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1075)) (-4 *7 (-252 *8 (-790))) (-14 *8 (-790)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-799 *6 *3 *7 *8)) (-4 *3 (-346 *6 *7))))) 
-(-10 -7 (-15 -4455 ((-658 (-658 |#2|)) |#2| (-592) (-592) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -1748 ((-790) (-658 (-658 |#2|)))) (-15 -2094 ((-658 (-658 |#2|)) |#2| (-658 (-658 |#2|)))) (-15 -2206 ((-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -2206 ((-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal"))) (-658 |#2|)))) 
-((-2093 (((-658 (-2 (|:| |outval| |#1|) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 |#1|))))) (-706 (-433 (-592))) |#1|) 27)) (-4211 (((-658 |#1|) (-706 (-433 (-592))) |#1|) 19)) (-4198 (((-980 (-433 (-592))) (-706 (-433 (-592))) (-1191)) 16) (((-980 (-433 (-592))) (-706 (-433 (-592)))) 15))) 
-(((-800 |#1|) (-10 -7 (-15 -4198 ((-980 (-433 (-592))) (-706 (-433 (-592))))) (-15 -4198 ((-980 (-433 (-592))) (-706 (-433 (-592))) (-1191))) (-15 -4211 ((-658 |#1|) (-706 (-433 (-592))) |#1|)) (-15 -2093 ((-658 (-2 (|:| |outval| |#1|) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 |#1|))))) (-706 (-433 (-592))) |#1|))) (-13 (-388) (-867))) (T -800)) 
-((-2093 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| |outval| *4) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 *4)))))) (-5 *1 (-800 *4)) (-4 *4 (-13 (-388) (-867))))) (-4211 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *2 (-658 *4)) (-5 *1 (-800 *4)) (-4 *4 (-13 (-388) (-867))))) (-4198 (*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *4 (-1191)) (-5 *2 (-980 (-433 (-592)))) (-5 *1 (-800 *5)) (-4 *5 (-13 (-388) (-867))))) (-4198 (*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *2 (-980 (-433 (-592)))) (-5 *1 (-800 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(-10 -7 (-15 -4198 ((-980 (-433 (-592))) (-706 (-433 (-592))))) (-15 -4198 ((-980 (-433 (-592))) (-706 (-433 (-592))) (-1191))) (-15 -4211 ((-658 |#1|) (-706 (-433 (-592))) |#1|)) (-15 -2093 ((-658 (-2 (|:| |outval| |#1|) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 |#1|))))) (-706 (-433 (-592))) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 10)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) NIL)) (-2324 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2306 (($ $ (-592) (-592)) NIL) (($ $ (-592)) NIL)) (-1915 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-3188 (($ $) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-4143 (($ $ (-592)) NIL (|has| $ (-6 -4626)))) (-3652 (((-141) $ $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3651 (($ $ (-592)) 36)) (-3047 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626)))) (-3153 (($ $ $) NIL (|has| $ (-6 -4626)))) (-4496 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626)))) (-2101 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626)))) (-3932 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626))) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-1246 (-592)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626))) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626))) (($ $ "rest" $) NIL (|has| $ (-6 -4626))) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626))) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-2881 (($ (-592) |#1| $) 41)) (-3113 (($ (-1 (-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-1765 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL)) (-3800 (($ $ $) 51)) (-3001 (($) NIL T CONST)) (-4083 (($ $) 21)) (-1366 (($ $ (-790)) NIL) (($ $) 14)) (-3792 (($ (-592) $) 78) (($ $) 31)) (-1378 (($ $) 35)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119))))) (-4459 (($ (-1 (-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119))))) (-1586 (($ $ $) NIL)) (-4593 (($ $) NIL)) (-3657 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3371 (((-3 $ "failed") $) 38)) (-1599 (($ $ $) NIL)) (-1426 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626)))) (-3959 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592)) NIL)) (-3891 (((-141) (-141)) 30) (((-141)) 29)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-3868 (((-141) $) NIL)) (-1541 (($ $) 22)) (-2273 (((-141) $) NIL)) (-4004 (((-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3333 (((-3 (-592) "failed") $) 16)) (-4346 (((-592) $ (-592)) NIL) (((-592) $) 19) (((-592) $) 19)) (-3558 (((-141) $) NIL)) (-4219 (((-790) $) NIL)) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (-3242 (($ (-790) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL)) (-3990 (($ $ (-944)) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2027 (((-141) $) NIL)) (-1535 (($ (-658 $) (-658 (-790)) (-592)) 85)) (-4526 (($ $ (-658 (-1103)) (-658 (-592))) NIL) (($ $ (-1103) (-592)) NIL) (($ |#1| (-592)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-4467 (((-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3987 (($ (-1 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-3683 (((-141) $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1640 (($ $) NIL)) (-1323 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-4255 (($ $ (-790)) NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL)) (-4552 (($ $) 39)) (-3666 (($ (-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4479 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) 12)) (-1918 (($ $ (-790)) NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL)) (-2508 (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592)) 24)) (-2360 ((|#1| $ (-592)) 25)) (-4050 (((-3 (-2 (|:| |k| (-592)) (|:| |c| |#1|)) "failed") (-1 (-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-4301 (($ $ (-592)) 89)) (-1892 (($ $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2807 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2955 (((-141) $) NIL)) (-2393 (((-141) $) NIL)) (-3630 (((-141) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4625)))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-592))))) (($ $ (-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) (-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-325 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (($ $ (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-325 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (($ $ (-310 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-325 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (($ $ (-658 (-310 (-2 (|:| |k| (-592)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-325 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119))))) (-2769 (((-790) $) NIL)) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119))))) (-4210 (((-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-2943 (((-141) $) 23)) (-2890 (($) 94)) (-3927 (($ $ $) NIL (|has| (-592) (-1131))) ((|#1| $ (-592)) NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592)) NIL) (($ $ (-1246 (-592))) NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ "value") NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2920 (((-592) $ $) NIL)) (-3644 (($ $) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-4048 (($ (-1 $)) 34)) (-4525 (((-592) $) NIL)) (-3228 (((-141) $) NIL)) (-2399 (($ $) NIL)) (-1337 (($ $) NIL (|has| $ (-6 -4626)))) (-3318 (((-790) $) NIL)) (-3184 (($ $) NIL)) (-3452 (((-790) (-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (((-790) (-1 (-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 95)) (-3619 (($ $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4626))) (($ $ $) NIL (|has| $ (-6 -4626)))) (-2266 (($ $ (-2 (|:| |k| (-592)) (|:| |c| |#1|))) NIL) (($ (-658 $)) NIL) (($ (-2 (|:| |k| (-592)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-1700 (($ $) NIL)) (-1683 (((-877) $) 65) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 27) (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 26)) (-1937 ((|#1| $ (-592)) NIL)) (-1963 ((|#1| $) 86)) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| (-2 (|:| |k| (-592)) (|:| |c| |#1|)) (-1119)))) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) NIL)) (-2537 (((-141) $ $) NIL)) (-2642 ((|#1| $ (-592)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-3369 (((-141) (-1 (-141) (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4625)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 17 T CONST)) (-4257 (($) 74 T CONST)) (-1940 (($ $) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) 47) (($ $ $) 43)) (-3300 (($ $ $) 53)) (** (($ $ (-944)) NIL) (($ $ (-790)) 79) (($ $ (-592)) 52)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 42) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-801 |#1|) (-13 (-665 |#1|) (-690 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) (-10 -8 (-15 -2508 ((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592))))) (-388)) (T -801)) 
-((-2508 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-592)) (|:| |c| *4))) (-5 *1 (-801 *4)) (-4 *4 (-388)) (-5 *3 (-592))))) 
-(-13 (-665 |#1|) (-690 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) (-10 -8 (-15 -2508 ((-2 (|:| |k| (-592)) (|:| |c| |#1|)) $ (-592))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 34)) (-4085 (((-658 |#2|) $) NIL)) (-4492 (((-1187 $) $ |#2|) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 |#2|)) NIL)) (-3188 (($ $) 28)) (-3078 (((-141) $ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3250 (($ $ $) 92 (|has| |#1| (-582)))) (-3181 (((-658 $) $ $) 105 (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-980 (-433 (-592)))) NIL (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191))))) (((-3 $ "failed") (-980 (-592))) NIL (-3836 (-12 (|has| |#1| (-43 (-592))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592)))))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191)))))) (((-3 $ "failed") (-980 |#1|)) NIL (-3836 (-12 (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592))))) (-3252 (|has| |#1| (-43 (-592))))) (-12 (|has| |#1| (-43 (-592))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592))))) (-3252 (|has| |#1| (-574)))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-1021 (-592))))))) (((-3 (-1142 |#1| |#2|) "failed") $) 18)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) ((|#2| $) NIL) (($ (-980 (-433 (-592)))) NIL (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191))))) (($ (-980 (-592))) NIL (-3836 (-12 (|has| |#1| (-43 (-592))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592)))))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191)))))) (($ (-980 |#1|)) NIL (-3836 (-12 (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592))))) (-3252 (|has| |#1| (-43 (-592))))) (-12 (|has| |#1| (-43 (-592))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592))))) (-3252 (|has| |#1| (-574)))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-1021 (-592))))))) (((-1142 |#1| |#2|) $) NIL)) (-1544 (($ $ $ |#2|) NIL (|has| |#1| (-194))) (($ $ $) 103 (|has| |#1| (-582)))) (-4593 (($ $) NIL) (($ $ |#2|) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-2172 (((-141) $ $) NIL) (((-141) $ (-658 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2034 (((-141) $) NIL)) (-4369 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 69)) (-4544 (($ $) 118 (|has| |#1| (-477)))) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ |#2|) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-1342 (($ $) NIL (|has| |#1| (-582)))) (-2481 (($ $) NIL (|has| |#1| (-582)))) (-3383 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-1877 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-4209 (($ $ |#1| (-558 |#2|) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| |#1| (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| |#1| (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-2479 (((-141) $ $) NIL) (((-141) $ (-658 $)) NIL)) (-2707 (($ $ $ $ $) 89 (|has| |#1| (-582)))) (-3259 ((|#2| $) 19)) (-4533 (($ (-1187 |#1|) |#2|) NIL) (($ (-1187 $) |#2|) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-558 |#2|)) NIL) (($ $ |#2| (-790)) 36) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-4371 (($ $ $) 60)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#2|) NIL)) (-1469 (((-141) $) NIL)) (-4206 (((-558 |#2|) $) NIL) (((-790) $ |#2|) NIL) (((-658 (-790)) $ (-658 |#2|)) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-1824 (((-790) $) 20)) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-558 |#2|) (-558 |#2|)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3254 (((-3 |#2| "failed") $) NIL)) (-3158 (($ $) NIL (|has| |#1| (-477)))) (-4568 (($ $) NIL (|has| |#1| (-477)))) (-4003 (((-658 $) $) NIL)) (-4473 (($ $) 37)) (-3923 (($ $) NIL (|has| |#1| (-477)))) (-3026 (((-658 $) $) 41)) (-1508 (($ $) 39)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL) (($ $ |#2|) 45)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-3037 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3116 (-790))) $ $) 81)) (-2198 (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $) 66) (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $ |#2|) NIL)) (-4517 (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $) NIL) (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $ |#2|) NIL)) (-1499 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-1494 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-2685 (((-1173) $) NIL)) (-3722 (($ $ $) 107 (|has| |#1| (-582)))) (-2434 (((-658 $) $) 30)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| |#2|) (|:| -3215 (-790))) "failed") $) NIL)) (-2346 (((-141) $ $) NIL) (((-141) $ (-658 $)) NIL)) (-1751 (($ $ $) NIL)) (-3703 (($ $) 21)) (-3085 (((-141) $ $) NIL)) (-4442 (((-141) $ $) NIL) (((-141) $ (-658 $)) NIL)) (-1803 (($ $ $) NIL)) (-3296 (($ $) 23)) (-2951 (((-1137) $) NIL)) (-1453 (((-2 (|:| -3548 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-582)))) (-2845 (((-2 (|:| -3548 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-582)))) (-4559 (((-141) $) 52)) (-4565 ((|#1| $) 55)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 ((|#1| |#1| $) 115 (|has| |#1| (-477))) (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-2049 (((-2 (|:| -3548 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-582)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-582)))) (-2909 (($ $ |#1|) 111 (|has| |#1| (-582))) (($ $ $) NIL (|has| |#1| (-582)))) (-3194 (($ $ |#1|) 110 (|has| |#1| (-582))) (($ $ $) NIL (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-658 |#2|) (-658 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-658 |#2|) (-658 $)) NIL)) (-1482 (($ $ |#2|) NIL (|has| |#1| (-194)))) (-3644 (($ $ |#2|) NIL) (($ $ (-658 |#2|)) NIL) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-4525 (((-558 |#2|) $) NIL) (((-790) $ |#2|) 43) (((-658 (-790)) $ (-658 |#2|)) NIL)) (-2676 (($ $) NIL)) (-1526 (($ $) 33)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| |#1| (-633 (-565))) (|has| |#2| (-633 (-565))))) (($ (-980 (-433 (-592)))) NIL (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191))))) (($ (-980 (-592))) NIL (-3836 (-12 (|has| |#1| (-43 (-592))) (|has| |#2| (-633 (-1191))) (-3252 (|has| |#1| (-43 (-433 (-592)))))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#2| (-633 (-1191)))))) (($ (-980 |#1|)) NIL (|has| |#2| (-633 (-1191)))) (((-1173) $) NIL (-12 (|has| |#1| (-1065 (-592))) (|has| |#2| (-633 (-1191))))) (((-980 |#1|) $) NIL (|has| |#2| (-633 (-1191))))) (-1554 ((|#1| $) 114 (|has| |#1| (-477))) (($ $ |#2|) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-980 |#1|) $) NIL (|has| |#2| (-633 (-1191)))) (((-1142 |#1| |#2|) $) 15) (($ (-1142 |#1| |#2|)) 16) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-558 |#2|)) NIL) (($ $ |#2| (-790)) 44) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 13 T CONST)) (-2745 (((-3 (-141) "failed") $ $) NIL)) (-4257 (($) 35 T CONST)) (-4594 (($ $ $ $ (-790)) 87 (|has| |#1| (-582)))) (-2650 (($ $ $ (-790)) 86 (|has| |#1| (-582)))) (-1940 (($ $ |#2|) NIL) (($ $ (-658 |#2|)) NIL) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 54)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) 63)) (-3300 (($ $ $) 73)) (** (($ $ (-944)) NIL) (($ $ (-790)) 61)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 59) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
-(((-802 |#1| |#2|) (-13 (-1089 |#1| (-558 |#2|) |#2|) (-632 (-1142 |#1| |#2|)) (-1065 (-1142 |#1| |#2|))) (-1075) (-869)) (T -802)) 
-NIL 
-(-13 (-1089 |#1| (-558 |#2|) |#2|) (-632 (-1142 |#1| |#2|)) (-1065 (-1142 |#1| |#2|))) 
-((-2731 (((-804 |#2|) (-1 |#2| |#1|) (-804 |#1|)) 13))) 
-(((-803 |#1| |#2|) (-10 -7 (-15 -2731 ((-804 |#2|) (-1 |#2| |#1|) (-804 |#1|)))) (-1075) (-1075)) (T -803)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-804 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-804 *6)) (-5 *1 (-803 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-804 |#2|) (-1 |#2| |#1|) (-804 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 12)) (-2651 (((-1280 |#1|) $ (-790)) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-2085 (($ (-1187 |#1|)) NIL)) (-4492 (((-1187 $) $ (-1103)) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-2522 (((-658 $) $ $) 39 (|has| |#1| (-582)))) (-3250 (($ $ $) 35 (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1696 (($ $ (-790)) NIL)) (-1498 (($ $ (-790)) NIL)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-477)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-1103) "failed") $) NIL) (((-3 (-1187 |#1|) "failed") $) 10)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-1103) $) NIL) (((-1187 |#1|) $) NIL)) (-1544 (($ $ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $ $) 43 (|has| |#1| (-194)))) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-3213 (($ $ $) NIL)) (-2133 (($ $ $) 71 (|has| |#1| (-582)))) (-4369 (((-2 (|:| -1487 |#1|) (|:| -2230 $) (|:| -3027 $)) $ $) 70 (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-790) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1103) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1103) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ $) NIL (|has| |#1| (-582)))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-1165)))) (-4533 (($ (-1187 |#1|) (-1103)) NIL) (($ (-1187 $) (-1103)) NIL)) (-3990 (($ $ (-790)) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-4371 (($ $ $) 20)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) NIL) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2070 (((-1187 |#1|) $) NIL)) (-3254 (((-3 (-1103) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-3037 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3116 (-790))) $ $) 26)) (-1993 (($ $ $) 29)) (-4380 (($ $ $) 32)) (-2198 (((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $) 31)) (-2685 (((-1173) $) NIL)) (-3722 (($ $ $) 41 (|has| |#1| (-582)))) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) NIL (|has| |#1| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-1453 (((-2 (|:| -3548 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-582)))) (-2845 (((-2 (|:| -3548 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-582)))) (-4032 (((-2 (|:| -1544 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-582)))) (-3707 (((-2 (|:| -1544 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-582)))) (-4559 (((-141) $) 13)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-4550 (($ $ (-790) |#1| $) 19)) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-2049 (((-2 (|:| -3548 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-582)))) (-4483 (((-2 (|:| -1544 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-582)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#1|) NIL) (($ $ (-658 (-1103)) (-658 |#1|)) NIL) (($ $ (-1103) $) NIL) (($ $ (-658 (-1103)) (-658 $)) NIL)) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-433 $) (-433 $) (-433 $)) NIL (|has| |#1| (-582))) ((|#1| (-433 $) |#1|) NIL (|has| |#1| (-388))) (((-433 $) $ (-433 $)) NIL (|has| |#1| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-1482 (($ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $) NIL (|has| |#1| (-194)))) (-3644 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-4525 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1103) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1528 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582))) (((-3 (-433 $) "failed") (-433 $) $) NIL (|has| |#1| (-582)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-1103)) NIL) (((-1187 |#1|) $) 7) (($ (-1187 |#1|)) 8) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 21 T CONST)) (-4257 (($) 24 T CONST)) (-1940 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) 28) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
-(((-804 |#1|) (-13 (-1255 |#1|) (-632 (-1187 |#1|)) (-1065 (-1187 |#1|)) (-10 -8 (-15 -4550 ($ $ (-790) |#1| $)) (-15 -4371 ($ $ $)) (-15 -3037 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3116 (-790))) $ $)) (-15 -1993 ($ $ $)) (-15 -2198 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -4380 ($ $ $)) (IF (|has| |#1| (-582)) (PROGN (-15 -2522 ((-658 $) $ $)) (-15 -3722 ($ $ $)) (-15 -2049 ((-2 (|:| -3548 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2845 ((-2 (|:| -3548 $) (|:| |coef1| $)) $ $)) (-15 -1453 ((-2 (|:| -3548 $) (|:| |coef2| $)) $ $)) (-15 -4483 ((-2 (|:| -1544 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3707 ((-2 (|:| -1544 |#1|) (|:| |coef1| $)) $ $)) (-15 -4032 ((-2 (|:| -1544 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1075)) (T -804)) 
-((-4550 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-804 *3)) (-4 *3 (-1075)))) (-4371 (*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-1075)))) (-3037 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-804 *3)) (|:| |polden| *3) (|:| -3116 (-790)))) (-5 *1 (-804 *3)) (-4 *3 (-1075)))) (-1993 (*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-1075)))) (-2198 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1487 *3) (|:| |gap| (-790)) (|:| -2230 (-804 *3)) (|:| -3027 (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-1075)))) (-4380 (*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-1075)))) (-2522 (*1 *2 *1 *1) (-12 (-5 *2 (-658 (-804 *3))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) (-3722 (*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-582)) (-4 *2 (-1075)))) (-2049 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3548 (-804 *3)) (|:| |coef1| (-804 *3)) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) (-2845 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3548 (-804 *3)) (|:| |coef1| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) (-1453 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3548 (-804 *3)) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) (-4483 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1544 *3) (|:| |coef1| (-804 *3)) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) (-3707 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1544 *3) (|:| |coef1| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) (-4032 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1544 *3) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075))))) 
-(-13 (-1255 |#1|) (-632 (-1187 |#1|)) (-1065 (-1187 |#1|)) (-10 -8 (-15 -4550 ($ $ (-790) |#1| $)) (-15 -4371 ($ $ $)) (-15 -3037 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3116 (-790))) $ $)) (-15 -1993 ($ $ $)) (-15 -2198 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -4380 ($ $ $)) (IF (|has| |#1| (-582)) (PROGN (-15 -2522 ((-658 $) $ $)) (-15 -3722 ($ $ $)) (-15 -2049 ((-2 (|:| -3548 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2845 ((-2 (|:| -3548 $) (|:| |coef1| $)) $ $)) (-15 -1453 ((-2 (|:| -3548 $) (|:| |coef2| $)) $ $)) (-15 -4483 ((-2 (|:| -1544 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3707 ((-2 (|:| -1544 |#1|) (|:| |coef1| $)) $ $)) (-15 -4032 ((-2 (|:| -1544 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
-((-2023 ((|#1| (-790) |#1|) 32 (|has| |#1| (-43 (-433 (-592)))))) (-4446 ((|#1| (-790) |#1|) 22)) (-1531 ((|#1| (-790) |#1|) 34 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-805 |#1|) (-10 -7 (-15 -4446 (|#1| (-790) |#1|)) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -1531 (|#1| (-790) |#1|)) (-15 -2023 (|#1| (-790) |#1|))) |noBranch|)) (-194)) (T -805)) 
-((-2023 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-805 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-194)))) (-1531 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-805 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-194)))) (-4446 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-805 *2)) (-4 *2 (-194))))) 
-(-10 -7 (-15 -4446 (|#1| (-790) |#1|)) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -1531 (|#1| (-790) |#1|)) (-15 -2023 (|#1| (-790) |#1|))) |noBranch|)) 
-((-1641 (((-141) $ $) 7)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) 78)) (-2248 (((-658 $) (-658 |#4|)) 79) (((-658 $) (-658 |#4|) (-141)) 104)) (-4085 (((-658 |#3|) $) 32)) (-4325 (((-141) $) 25)) (-2988 (((-141) $) 16 (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) 94) (((-141) $) 90)) (-2244 ((|#4| |#4| $) 85)) (-3743 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| $) 119)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) 26)) (-2126 (((-141) $ (-790)) 43)) (-3113 (($ (-1 (-141) |#4|) $) 64 (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 72)) (-3001 (($) 44 T CONST)) (-3239 (((-141) $) 21 (|has| |#1| (-582)))) (-3478 (((-141) $ $) 23 (|has| |#1| (-582)))) (-2398 (((-141) $ $) 22 (|has| |#1| (-582)))) (-1529 (((-141) $) 24 (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 86)) (-4521 (((-658 |#4|) (-658 |#4|) $) 17 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) 18 (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 35)) (-2400 (($ (-658 |#4|)) 34)) (-1366 (((-3 $ "failed") $) 75)) (-2226 ((|#4| |#4| $) 82)) (-1360 (($ $) 67 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#4| $) 66 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#4|) $) 63 (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) 95)) (-3092 ((|#4| |#4| $) 80)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 87)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) 98)) (-1836 (((-141) |#4| $) 129)) (-2659 (((-141) |#4| $) 126)) (-3195 (((-141) |#4| $) 130) (((-141) $) 127)) (-4004 (((-658 |#4|) $) 51 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) 97) (((-141) $) 96)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) 42)) (-4467 (((-658 |#4|) $) 52 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 54 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 46)) (-2290 (((-658 |#3|) $) 31)) (-2645 (((-141) |#3| $) 30)) (-2554 (((-141) $ (-790)) 41)) (-2685 (((-1173) $) 9)) (-1470 (((-3 |#4| (-658 $)) |#4| |#4| $) 121)) (-3722 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| |#4| $) 120)) (-4255 (((-3 |#4| "failed") $) 76)) (-3501 (((-658 $) |#4| $) 122)) (-3732 (((-3 (-141) (-658 $)) |#4| $) 125)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |#4| $) 124) (((-141) |#4| $) 123)) (-2852 (((-658 $) |#4| $) 118) (((-658 $) (-658 |#4|) $) 117) (((-658 $) (-658 |#4|) (-658 $)) 116) (((-658 $) |#4| (-658 $)) 115)) (-3902 (($ |#4| $) 110) (($ (-658 |#4|) $) 109)) (-1712 (((-658 |#4|) $) 100)) (-2346 (((-141) |#4| $) 92) (((-141) $) 88)) (-1751 ((|#4| |#4| $) 83)) (-3085 (((-141) $ $) 103)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) 93) (((-141) $) 89)) (-1803 ((|#4| |#4| $) 84)) (-2951 (((-1137) $) 10)) (-1918 (((-3 |#4| "failed") $) 77)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) 60)) (-2778 (((-3 $ "failed") $ |#4|) 71)) (-2807 (($ $ |#4|) 70) (((-658 $) |#4| $) 108) (((-658 $) |#4| (-658 $)) 107) (((-658 $) (-658 |#4|) $) 106) (((-658 $) (-658 |#4|) (-658 $)) 105)) (-3002 (((-141) (-1 (-141) |#4|) $) 49 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) 58 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) 56 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) 55 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) 37)) (-2943 (((-141) $) 40)) (-2890 (($) 39)) (-4525 (((-790) $) 99)) (-3452 (((-790) |#4| $) 53 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#4|) $) 50 (|has| $ (-6 -4625)))) (-4599 (($ $) 38)) (-1778 (((-565) $) 68 (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 59)) (-2613 (($ $ |#3|) 27)) (-4152 (($ $ |#3|) 29)) (-2965 (($ $) 81)) (-2507 (($ $ |#3|) 28)) (-1683 (((-877) $) 11) (((-658 |#4|) $) 36)) (-1857 (((-790) $) 69 (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) 101)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) 91)) (-3032 (((-658 $) |#4| $) 114) (((-658 $) |#4| (-658 $)) 113) (((-658 $) (-658 |#4|) $) 112) (((-658 $) (-658 |#4|) (-658 $)) 111)) (-3369 (((-141) (-1 (-141) |#4|) $) 48 (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) 74)) (-1437 (((-141) |#4| $) 128)) (-3069 (((-141) |#3| $) 73)) (-3255 (((-141) $ $) 6)) (-1699 (((-790) $) 45 (|has| $ (-6 -4625))))) 
-(((-806 |#1| |#2| |#3| |#4|) (-1311) (-477) (-815) (-869) (-1089 |t#1| |t#2| |t#3|)) (T -806)) 
-NIL 
-(-13 (-1094 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-125) . T) ((-632 (-658 |#4|)) . T) ((-632 (-877)) . T) ((-175 |#4|) . T) ((-633 (-565)) |has| |#4| (-633 (-565))) ((-325 |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-523 |#4|) . T) ((-547 |#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-1005 |#1| |#2| |#3| |#4|) . T) ((-1094 |#1| |#2| |#3| |#4|) . T) ((-1119) . T) ((-1219 |#1| |#2| |#3| |#4|) . T) ((-1225) . T)) 
-((-1591 (((-3 (-405) "failed") (-332 |#1|) (-944)) 60 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-3 (-405) "failed") (-332 |#1|)) 52 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-3 (-405) "failed") (-433 (-980 |#1|)) (-944)) 39 (|has| |#1| (-582))) (((-3 (-405) "failed") (-433 (-980 |#1|))) 35 (|has| |#1| (-582))) (((-3 (-405) "failed") (-980 |#1|) (-944)) 30 (|has| |#1| (-1075))) (((-3 (-405) "failed") (-980 |#1|)) 24 (|has| |#1| (-1075)))) (-1806 (((-405) (-332 |#1|) (-944)) 92 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-405) (-332 |#1|)) 87 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-405) (-433 (-980 |#1|)) (-944)) 84 (|has| |#1| (-582))) (((-405) (-433 (-980 |#1|))) 81 (|has| |#1| (-582))) (((-405) (-980 |#1|) (-944)) 80 (|has| |#1| (-1075))) (((-405) (-980 |#1|)) 77 (|has| |#1| (-1075))) (((-405) |#1| (-944)) 73) (((-405) |#1|) 22)) (-2403 (((-3 (-191 (-405)) "failed") (-332 (-191 |#1|)) (-944)) 68 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-3 (-191 (-405)) "failed") (-332 (-191 |#1|))) 58 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-3 (-191 (-405)) "failed") (-332 |#1|) (-944)) 61 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-3 (-191 (-405)) "failed") (-332 |#1|)) 59 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-3 (-191 (-405)) "failed") (-433 (-980 (-191 |#1|))) (-944)) 44 (|has| |#1| (-582))) (((-3 (-191 (-405)) "failed") (-433 (-980 (-191 |#1|)))) 43 (|has| |#1| (-582))) (((-3 (-191 (-405)) "failed") (-433 (-980 |#1|)) (-944)) 38 (|has| |#1| (-582))) (((-3 (-191 (-405)) "failed") (-433 (-980 |#1|))) 37 (|has| |#1| (-582))) (((-3 (-191 (-405)) "failed") (-980 |#1|) (-944)) 28 (|has| |#1| (-1075))) (((-3 (-191 (-405)) "failed") (-980 |#1|)) 26 (|has| |#1| (-1075))) (((-3 (-191 (-405)) "failed") (-980 (-191 |#1|)) (-944)) 17 (|has| |#1| (-194))) (((-3 (-191 (-405)) "failed") (-980 (-191 |#1|))) 14 (|has| |#1| (-194)))) (-4480 (((-191 (-405)) (-332 (-191 |#1|)) (-944)) 95 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-191 (-405)) (-332 (-191 |#1|))) 94 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-191 (-405)) (-332 |#1|) (-944)) 93 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-191 (-405)) (-332 |#1|)) 91 (-12 (|has| |#1| (-582)) (|has| |#1| (-869)))) (((-191 (-405)) (-433 (-980 (-191 |#1|))) (-944)) 86 (|has| |#1| (-582))) (((-191 (-405)) (-433 (-980 (-191 |#1|)))) 85 (|has| |#1| (-582))) (((-191 (-405)) (-433 (-980 |#1|)) (-944)) 83 (|has| |#1| (-582))) (((-191 (-405)) (-433 (-980 |#1|))) 82 (|has| |#1| (-582))) (((-191 (-405)) (-980 |#1|) (-944)) 79 (|has| |#1| (-1075))) (((-191 (-405)) (-980 |#1|)) 78 (|has| |#1| (-1075))) (((-191 (-405)) (-980 (-191 |#1|)) (-944)) 75 (|has| |#1| (-194))) (((-191 (-405)) (-980 (-191 |#1|))) 74 (|has| |#1| (-194))) (((-191 (-405)) (-191 |#1|) (-944)) 16 (|has| |#1| (-194))) (((-191 (-405)) (-191 |#1|)) 12 (|has| |#1| (-194))) (((-191 (-405)) |#1| (-944)) 27) (((-191 (-405)) |#1|) 25))) 
-(((-807 |#1|) (-10 -7 (-15 -1806 ((-405) |#1|)) (-15 -1806 ((-405) |#1| (-944))) (-15 -4480 ((-191 (-405)) |#1|)) (-15 -4480 ((-191 (-405)) |#1| (-944))) (IF (|has| |#1| (-194)) (PROGN (-15 -4480 ((-191 (-405)) (-191 |#1|))) (-15 -4480 ((-191 (-405)) (-191 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-980 (-191 |#1|)))) (-15 -4480 ((-191 (-405)) (-980 (-191 |#1|)) (-944)))) |noBranch|) (IF (|has| |#1| (-1075)) (PROGN (-15 -1806 ((-405) (-980 |#1|))) (-15 -1806 ((-405) (-980 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-980 |#1|))) (-15 -4480 ((-191 (-405)) (-980 |#1|) (-944)))) |noBranch|) (IF (|has| |#1| (-582)) (PROGN (-15 -1806 ((-405) (-433 (-980 |#1|)))) (-15 -1806 ((-405) (-433 (-980 |#1|)) (-944))) (-15 -4480 ((-191 (-405)) (-433 (-980 |#1|)))) (-15 -4480 ((-191 (-405)) (-433 (-980 |#1|)) (-944))) (-15 -4480 ((-191 (-405)) (-433 (-980 (-191 |#1|))))) (-15 -4480 ((-191 (-405)) (-433 (-980 (-191 |#1|))) (-944))) (IF (|has| |#1| (-869)) (PROGN (-15 -1806 ((-405) (-332 |#1|))) (-15 -1806 ((-405) (-332 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-332 |#1|))) (-15 -4480 ((-191 (-405)) (-332 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-332 (-191 |#1|)))) (-15 -4480 ((-191 (-405)) (-332 (-191 |#1|)) (-944)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-194)) (PROGN (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 (-191 |#1|)))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 (-191 |#1|)) (-944)))) |noBranch|) (IF (|has| |#1| (-1075)) (PROGN (-15 -1591 ((-3 (-405) "failed") (-980 |#1|))) (-15 -1591 ((-3 (-405) "failed") (-980 |#1|) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 |#1|))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 |#1|) (-944)))) |noBranch|) (IF (|has| |#1| (-582)) (PROGN (-15 -1591 ((-3 (-405) "failed") (-433 (-980 |#1|)))) (-15 -1591 ((-3 (-405) "failed") (-433 (-980 |#1|)) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 |#1|)))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 |#1|)) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 (-191 |#1|))))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 (-191 |#1|))) (-944))) (IF (|has| |#1| (-869)) (PROGN (-15 -1591 ((-3 (-405) "failed") (-332 |#1|))) (-15 -1591 ((-3 (-405) "failed") (-332 |#1|) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 |#1|))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 |#1|) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 (-191 |#1|)))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 (-191 |#1|)) (-944)))) |noBranch|)) |noBranch|)) (-633 (-405))) (T -807)) 
-((-2403 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-332 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-2403 (*1 *2 *3) (|partial| -12 (-5 *3 (-332 (-191 *4))) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-2403 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-2403 (*1 *2 *3) (|partial| -12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-1591 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) (-1591 (*1 *2 *3) (|partial| -12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) (-2403 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-980 (-191 *5)))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-2403 (*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 (-191 *4)))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-2403 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-2403 (*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-1591 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) (-1591 (*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) (-2403 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-2403 (*1 *2 *3) (|partial| -12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-1591 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) (-1591 (*1 *2 *3) (|partial| -12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) (-2403 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-980 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-194)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-2403 (*1 *2 *3) (|partial| -12 (-5 *3 (-980 (-191 *4))) (-4 *4 (-194)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-332 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-332 (-191 *4))) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-1806 (*1 *2 *3 *4) (-12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) (-1806 (*1 *2 *3) (-12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-191 *5)))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 (-191 *4)))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-1806 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) (-1806 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-1806 (*1 *2 *3 *4) (-12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) (-1806 (*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-980 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-194)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-980 (-191 *4))) (-4 *4 (-194)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *3 (-191 *5)) (-5 *4 (-944)) (-4 *5 (-194)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-191 *4)) (-4 *4 (-194)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) (-4480 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-191 (-405))) (-5 *1 (-807 *3)) (-4 *3 (-633 (-405))))) (-4480 (*1 *2 *3) (-12 (-5 *2 (-191 (-405))) (-5 *1 (-807 *3)) (-4 *3 (-633 (-405))))) (-1806 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-405)) (-5 *1 (-807 *3)) (-4 *3 (-633 *2)))) (-1806 (*1 *2 *3) (-12 (-5 *2 (-405)) (-5 *1 (-807 *3)) (-4 *3 (-633 *2))))) 
-(-10 -7 (-15 -1806 ((-405) |#1|)) (-15 -1806 ((-405) |#1| (-944))) (-15 -4480 ((-191 (-405)) |#1|)) (-15 -4480 ((-191 (-405)) |#1| (-944))) (IF (|has| |#1| (-194)) (PROGN (-15 -4480 ((-191 (-405)) (-191 |#1|))) (-15 -4480 ((-191 (-405)) (-191 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-980 (-191 |#1|)))) (-15 -4480 ((-191 (-405)) (-980 (-191 |#1|)) (-944)))) |noBranch|) (IF (|has| |#1| (-1075)) (PROGN (-15 -1806 ((-405) (-980 |#1|))) (-15 -1806 ((-405) (-980 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-980 |#1|))) (-15 -4480 ((-191 (-405)) (-980 |#1|) (-944)))) |noBranch|) (IF (|has| |#1| (-582)) (PROGN (-15 -1806 ((-405) (-433 (-980 |#1|)))) (-15 -1806 ((-405) (-433 (-980 |#1|)) (-944))) (-15 -4480 ((-191 (-405)) (-433 (-980 |#1|)))) (-15 -4480 ((-191 (-405)) (-433 (-980 |#1|)) (-944))) (-15 -4480 ((-191 (-405)) (-433 (-980 (-191 |#1|))))) (-15 -4480 ((-191 (-405)) (-433 (-980 (-191 |#1|))) (-944))) (IF (|has| |#1| (-869)) (PROGN (-15 -1806 ((-405) (-332 |#1|))) (-15 -1806 ((-405) (-332 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-332 |#1|))) (-15 -4480 ((-191 (-405)) (-332 |#1|) (-944))) (-15 -4480 ((-191 (-405)) (-332 (-191 |#1|)))) (-15 -4480 ((-191 (-405)) (-332 (-191 |#1|)) (-944)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-194)) (PROGN (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 (-191 |#1|)))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 (-191 |#1|)) (-944)))) |noBranch|) (IF (|has| |#1| (-1075)) (PROGN (-15 -1591 ((-3 (-405) "failed") (-980 |#1|))) (-15 -1591 ((-3 (-405) "failed") (-980 |#1|) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 |#1|))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-980 |#1|) (-944)))) |noBranch|) (IF (|has| |#1| (-582)) (PROGN (-15 -1591 ((-3 (-405) "failed") (-433 (-980 |#1|)))) (-15 -1591 ((-3 (-405) "failed") (-433 (-980 |#1|)) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 |#1|)))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 |#1|)) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 (-191 |#1|))))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-433 (-980 (-191 |#1|))) (-944))) (IF (|has| |#1| (-869)) (PROGN (-15 -1591 ((-3 (-405) "failed") (-332 |#1|))) (-15 -1591 ((-3 (-405) "failed") (-332 |#1|) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 |#1|))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 |#1|) (-944))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 (-191 |#1|)))) (-15 -2403 ((-3 (-191 (-405)) "failed") (-332 (-191 |#1|)) (-944)))) |noBranch|)) |noBranch|)) 
-((-1393 (((-944) (-1173)) 63)) (-3588 (((-3 (-405) "failed") (-1173)) 32)) (-1981 (((-405) (-1173)) 30)) (-1900 (((-944) (-1173)) 53)) (-1706 (((-1173) (-944)) 54)) (-2296 (((-1173) (-944)) 52))) 
-(((-808) (-10 -7 (-15 -2296 ((-1173) (-944))) (-15 -1900 ((-944) (-1173))) (-15 -1706 ((-1173) (-944))) (-15 -1393 ((-944) (-1173))) (-15 -1981 ((-405) (-1173))) (-15 -3588 ((-3 (-405) "failed") (-1173))))) (T -808)) 
-((-3588 (*1 *2 *3) (|partial| -12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-808)))) (-1981 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-808)))) (-1393 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-944)) (-5 *1 (-808)))) (-1706 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1173)) (-5 *1 (-808)))) (-1900 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-944)) (-5 *1 (-808)))) (-2296 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1173)) (-5 *1 (-808))))) 
-(-10 -7 (-15 -2296 ((-1173) (-944))) (-15 -1900 ((-944) (-1173))) (-15 -1706 ((-1173) (-944))) (-15 -1393 ((-944) (-1173))) (-15 -1981 ((-405) (-1173))) (-15 -3588 ((-3 (-405) "failed") (-1173)))) 
-((-1641 (((-141) $ $) 7)) (-1538 (((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 14) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063)) 12)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 15) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-809) (-1311)) (T -809)) 
-((-2617 (*1 *2 *3 *4) (-12 (-4 *1 (-809)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063)))))) (-1538 (*1 *2 *3 *2) (-12 (-4 *1 (-809)) (-5 *2 (-1063)) (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) (-2617 (*1 *2 *3 *4) (-12 (-4 *1 (-809)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063)))))) (-1538 (*1 *2 *3 *2) (-12 (-4 *1 (-809)) (-5 *2 (-1063)) (-5 *3 (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) 
-(-13 (-1119) (-10 -7 (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1538 ((-1063) (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1538 ((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) (-1063))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3229 (((-1285) (-1280 (-405)) (-592) (-405) (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405))) (-405) (-1280 (-405)) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405))) 44) (((-1285) (-1280 (-405)) (-592) (-405) (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405))) (-405) (-1280 (-405)) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405))) 43)) (-3179 (((-1285) (-1280 (-405)) (-592) (-405) (-405) (-592) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405))) 50)) (-3175 (((-1285) (-1280 (-405)) (-592) (-405) (-405) (-405) (-405) (-592) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405))) 41)) (-3920 (((-1285) (-1280 (-405)) (-592) (-405) (-405) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405))) 52) (((-1285) (-1280 (-405)) (-592) (-405) (-405) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405))) 51))) 
-(((-810) (-10 -7 (-15 -3920 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))) (-15 -3920 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)))) (-15 -3175 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-405) (-405) (-592) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))) (-15 -3229 ((-1285) (-1280 (-405)) (-592) (-405) (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405))) (-405) (-1280 (-405)) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))) (-15 -3229 ((-1285) (-1280 (-405)) (-592) (-405) (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405))) (-405) (-1280 (-405)) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)))) (-15 -3179 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-592) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))))) (T -810)) 
-((-3179 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) (-3229 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-592)) (-5 *6 (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405)))) (-5 *7 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) (-3229 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-592)) (-5 *6 (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405)))) (-5 *7 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) (-3175 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) (-3920 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) (-3920 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810))))) 
-(-10 -7 (-15 -3920 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))) (-15 -3920 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)))) (-15 -3175 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-405) (-405) (-592) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))) (-15 -3229 ((-1285) (-1280 (-405)) (-592) (-405) (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405))) (-405) (-1280 (-405)) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)))) (-15 -3229 ((-1285) (-1280 (-405)) (-592) (-405) (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405))) (-405) (-1280 (-405)) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)) (-1280 (-405)))) (-15 -3179 ((-1285) (-1280 (-405)) (-592) (-405) (-405) (-592) (-1 (-1285) (-1280 (-405)) (-1280 (-405)) (-405))))) 
-((-1429 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)) 53)) (-1597 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)) 30)) (-3860 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)) 52)) (-2468 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)) 28)) (-2132 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)) 51)) (-2492 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)) 18)) (-3973 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592)) 31)) (-2643 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592)) 29)) (-4478 (((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592)) 27))) 
-(((-811) (-10 -7 (-15 -4478 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592))) (-15 -2643 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592))) (-15 -3973 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592))) (-15 -2492 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -2468 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -1597 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -2132 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -3860 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -1429 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))))) (T -811)) 
-((-1429 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-3860 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-2132 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-1597 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-2468 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-2492 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-3973 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-2643 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592)))) (-4478 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(-10 -7 (-15 -4478 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592))) (-15 -2643 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592))) (-15 -3973 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592) (-592))) (-15 -2492 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -2468 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -1597 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -2132 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -3860 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592))) (-15 -1429 ((-2 (|:| -2324 (-405)) (|:| -1615 (-405)) (|:| |totalpts| (-592)) (|:| |success| (-141))) (-1 (-405) (-405)) (-405) (-405) (-405) (-405) (-592) (-592)))) 
-((-2073 (((-1221 |#1|) |#1| (-237) (-592)) 45))) 
-(((-812 |#1|) (-10 -7 (-15 -2073 ((-1221 |#1|) |#1| (-237) (-592)))) (-1003)) (T -812)) 
-((-2073 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-237)) (-5 *5 (-592)) (-5 *2 (-1221 *3)) (-5 *1 (-812 *3)) (-4 *3 (-1003))))) 
-(-10 -7 (-15 -2073 ((-1221 |#1|) |#1| (-237) (-592)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 23)) (-2350 (((-3 $ "failed") $ $) 25)) (-3001 (($) 22 T CONST)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 21 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3306 (($ $ $) 27) (($ $) 26)) (-3300 (($ $ $) 19)) (* (($ (-790) $) 24) (($ (-944) $) 20) (($ (-592) $) 28))) 
-(((-813) (-1311)) (T -813)) 
-NIL 
-(-13 (-817) (-21)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-869) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 23)) (-3001 (($) 22 T CONST)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 21 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3300 (($ $ $) 19)) (* (($ (-790) $) 24) (($ (-944) $) 20))) 
-(((-814) (-1311)) (T -814)) 
-NIL 
-(-13 (-816) (-23)) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-632 (-877)) . T) ((-816) . T) ((-869) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 23)) (-4079 (($ $ $) 26)) (-2350 (((-3 $ "failed") $ $) 25)) (-3001 (($) 22 T CONST)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 21 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3300 (($ $ $) 19)) (* (($ (-790) $) 24) (($ (-944) $) 20))) 
-(((-815) (-1311)) (T -815)) 
-((-4079 (*1 *1 *1 *1) (-4 *1 (-815)))) 
-(-13 (-817) (-10 -8 (-15 -4079 ($ $ $)))) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-869) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 23)) (-3001 (($) 22 T CONST)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 21 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3300 (($ $ $) 19)) (* (($ (-790) $) 24) (($ (-944) $) 20))) 
-(((-816) (-1311)) (T -816)) 
-NIL 
-(-13 (-869) (-23)) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-632 (-877)) . T) ((-869) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 23)) (-2350 (((-3 $ "failed") $ $) 25)) (-3001 (($) 22 T CONST)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 21 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3300 (($ $ $) 19)) (* (($ (-790) $) 24) (($ (-944) $) 20))) 
-(((-817) (-1311)) (T -817)) 
-NIL 
-(-13 (-814) (-158)) 
-(((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-814) . T) ((-816) . T) ((-869) . T) ((-1119) . T)) 
-((-2272 (((-141) $) 41)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL) ((|#2| $) 42)) (-4182 (((-3 (-433 (-592)) "failed") $) 78)) (-2435 (((-141) $) 72)) (-2270 (((-433 (-592)) $) 76)) (-2793 ((|#2| $) 26)) (-2731 (($ (-1 |#2| |#2|) $) 23)) (-4552 (($ $) 61)) (-1778 (((-565) $) 67)) (-2227 (($ $) 21)) (-1683 (((-877) $) 56) (($ (-592)) 39) (($ |#2|) 37) (($ (-433 (-592))) NIL)) (-4010 (((-790)) 10)) (-1392 ((|#2| $) 71)) (-3255 (((-141) $ $) 29)) (-3266 (((-141) $ $) 69)) (-3306 (($ $) 31) (($ $ $) NIL)) (-3300 (($ $ $) 30)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
-(((-818 |#1| |#2|) (-10 -8 (-15 -3266 ((-141) |#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -4552 (|#1| |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -1392 (|#2| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -2227 (|#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1683 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 -2272 ((-141) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-819 |#2|) (-194)) (T -818)) 
-((-4010 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-790)) (-5 *1 (-818 *3 *4)) (-4 *3 (-819 *4))))) 
-(-10 -8 (-15 -3266 ((-141) |#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -4552 (|#1| |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -1392 (|#2| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -2227 (|#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1683 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 -2272 ((-141) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-1403 (((-790)) 51 (|has| |#1| (-394)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 93 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 91 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 89)) (-2400 (((-592) $) 94 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 92 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 88)) (-3371 (((-3 $ "failed") $) 33)) (-3996 ((|#1| $) 78)) (-4182 (((-3 (-433 (-592)) "failed") $) 65 (|has| |#1| (-574)))) (-2435 (((-141) $) 67 (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) 66 (|has| |#1| (-574)))) (-4290 (($) 54 (|has| |#1| (-394)))) (-3558 (((-141) $) 30)) (-3352 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 69)) (-2793 ((|#1| $) 70)) (-1837 (($ $ $) 61 (|has| |#1| (-869)))) (-3319 (($ $ $) 60 (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) 80)) (-3546 (((-944) $) 53 (|has| |#1| (-394)))) (-2685 (((-1173) $) 9)) (-4552 (($ $) 64 (|has| |#1| (-388)))) (-1825 (($ (-944)) 52 (|has| |#1| (-394)))) (-3789 ((|#1| $) 75)) (-3831 ((|#1| $) 76)) (-1933 ((|#1| $) 77)) (-2640 ((|#1| $) 71)) (-4326 ((|#1| $) 72)) (-1771 ((|#1| $) 73)) (-2278 ((|#1| $) 74)) (-2951 (((-1137) $) 10)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) 86 (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) 85 (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) 84 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) 83 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 82 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) 81 (|has| |#1| (-547 (-1191) |#1|)))) (-1405 (((-658 $)) 55 (|has| |#1| (-394)))) (-3927 (($ $ |#1|) 87 (|has| |#1| (-303 |#1| |#1|)))) (-1778 (((-565) $) 62 (|has| |#1| (-633 (-565))))) (-2227 (($ $) 79)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36) (($ (-433 (-592))) 90 (|has| |#1| (-1065 (-433 (-592)))))) (-1517 (((-3 $ "failed") $) 63 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-1392 ((|#1| $) 68 (|has| |#1| (-1084)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 58 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 57 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 59 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 56 (|has| |#1| (-869)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-819 |#1|) (-1311) (-194)) (T -819)) 
-((-2227 (*1 *1 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-3996 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-1933 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-3831 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-3789 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-2278 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-1771 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-4326 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-2640 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-2793 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-3352 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) (-1392 (*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)) (-4 *2 (-1084)))) (-2435 (*1 *2 *1) (-12 (-4 *1 (-819 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-141)))) (-2270 (*1 *2 *1) (-12 (-4 *1 (-819 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) (-4182 (*1 *2 *1) (|partial| -12 (-4 *1 (-819 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) (-4552 (*1 *1 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)) (-4 *2 (-388))))) 
-(-13 (-43 |t#1|) (-437 |t#1|) (-358 |t#1|) (-10 -8 (-15 -2227 ($ $)) (-15 -3996 (|t#1| $)) (-15 -1933 (|t#1| $)) (-15 -3831 (|t#1| $)) (-15 -3789 (|t#1| $)) (-15 -2278 (|t#1| $)) (-15 -1771 (|t#1| $)) (-15 -4326 (|t#1| $)) (-15 -2640 (|t#1| $)) (-15 -2793 (|t#1| $)) (-15 -3352 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-394)) (-6 (-394)) |noBranch|) (IF (|has| |t#1| (-869)) (-6 (-869)) |noBranch|) (IF (|has| |t#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |t#1| (-1084)) (-15 -1392 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-388)) (-15 -4552 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 |#1| $) |has| |#1| (-303 |#1| |#1|)) ((-325 |#1|) |has| |#1| (-325 |#1|)) ((-394) |has| |#1| (-394)) ((-358 |#1|) . T) ((-437 |#1|) . T) ((-547 (-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((-547 |#1| |#1|) |has| |#1| (-325 |#1|)) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) . T) ((-743) . T) ((-869) |has| |#1| (-869)) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2731 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
-(((-820 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#3| (-1 |#4| |#2|) |#1|))) (-819 |#2|) (-194) (-819 |#4|) (-194)) (T -820)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-4 *2 (-819 *6)) (-5 *1 (-820 *4 *5 *2 *6)) (-4 *4 (-819 *5))))) 
-(-10 -7 (-15 -2731 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-1027 |#1|) "failed") $) 35) (((-3 (-592) "failed") $) NIL (-3836 (|has| (-1027 |#1|) (-1065 (-592))) (|has| |#1| (-1065 (-592))))) (((-3 (-433 (-592)) "failed") $) NIL (-3836 (|has| (-1027 |#1|) (-1065 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-2400 ((|#1| $) NIL) (((-1027 |#1|) $) 33) (((-592) $) NIL (-3836 (|has| (-1027 |#1|) (-1065 (-592))) (|has| |#1| (-1065 (-592))))) (((-433 (-592)) $) NIL (-3836 (|has| (-1027 |#1|) (-1065 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-3371 (((-3 $ "failed") $) NIL)) (-3996 ((|#1| $) 16)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-574)))) (-2435 (((-141) $) NIL (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) NIL (|has| |#1| (-574)))) (-4290 (($) NIL (|has| |#1| (-394)))) (-3558 (((-141) $) NIL)) (-3352 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-1027 |#1|) (-1027 |#1|)) 29)) (-2793 ((|#1| $) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-3789 ((|#1| $) 22)) (-3831 ((|#1| $) 20)) (-1933 ((|#1| $) 18)) (-2640 ((|#1| $) 26)) (-4326 ((|#1| $) 25)) (-1771 ((|#1| $) 24)) (-2278 ((|#1| $) 23)) (-2951 (((-1137) $) NIL)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) NIL (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-547 (-1191) |#1|)))) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-3927 (($ $ |#1|) NIL (|has| |#1| (-303 |#1| |#1|)))) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-2227 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-1027 |#1|)) 30) (($ (-433 (-592))) NIL (-3836 (|has| (-1027 |#1|) (-1065 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-1392 ((|#1| $) NIL (|has| |#1| (-1084)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 8 T CONST)) (-4257 (($) 12 T CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-821 |#1|) (-13 (-819 |#1|) (-437 (-1027 |#1|)) (-10 -8 (-15 -3352 ($ (-1027 |#1|) (-1027 |#1|))))) (-194)) (T -821)) 
-((-3352 (*1 *1 *2 *2) (-12 (-5 *2 (-1027 *3)) (-4 *3 (-194)) (-5 *1 (-821 *3))))) 
-(-13 (-819 |#1|) (-437 (-1027 |#1|)) (-10 -8 (-15 -3352 ($ (-1027 |#1|) (-1027 |#1|))))) 
-((-1641 (((-141) $ $) 7)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3356 (((-1063) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 12)) (-3255 (((-141) $ $) 6))) 
-(((-822) (-1311)) (T -822)) 
-((-2617 (*1 *2 *3 *4) (-12 (-4 *1 (-822)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) (-3356 (*1 *2 *3) (-12 (-4 *1 (-822)) (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-1063))))) 
-(-13 (-1119) (-10 -7 (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -3356 ((-1063) (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-2377 (((-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#3| |#2| (-1191)) 19))) 
-(((-823 |#1| |#2| |#3|) (-10 -7 (-15 -2377 ((-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#3| |#2| (-1191)))) (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171)) (-13 (-29 |#1|) (-1211) (-987)) (-670 |#2|)) (T -823)) 
-((-2377 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1191)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-4 *4 (-13 (-29 *6) (-1211) (-987))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2195 (-658 *4)))) (-5 *1 (-823 *6 *4 *3)) (-4 *3 (-670 *4))))) 
-(-10 -7 (-15 -2377 ((-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#3| |#2| (-1191)))) 
-((-4005 (((-3 |#2| "failed") |#2| (-143) (-310 |#2|) (-658 |#2|)) 26) (((-3 |#2| "failed") (-310 |#2|) (-143) (-310 |#2|) (-658 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#2| "failed") |#2| (-143) (-1191)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#2| "failed") (-310 |#2|) (-143) (-1191)) 17) (((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-658 |#2|) (-658 (-143)) (-1191)) 22) (((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-658 (-310 |#2|)) (-658 (-143)) (-1191)) 24) (((-3 (-658 (-1280 |#2|)) "failed") (-706 |#2|) (-1191)) 36) (((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-706 |#2|) (-1280 |#2|) (-1191)) 34))) 
-(((-824 |#1| |#2|) (-10 -7 (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-706 |#2|) (-1280 |#2|) (-1191))) (-15 -4005 ((-3 (-658 (-1280 |#2|)) "failed") (-706 |#2|) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-658 (-310 |#2|)) (-658 (-143)) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-658 |#2|) (-658 (-143)) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#2| "failed") (-310 |#2|) (-143) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#2| "failed") |#2| (-143) (-1191))) (-15 -4005 ((-3 |#2| "failed") (-310 |#2|) (-143) (-310 |#2|) (-658 |#2|))) (-15 -4005 ((-3 |#2| "failed") |#2| (-143) (-310 |#2|) (-658 |#2|)))) (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171)) (-13 (-29 |#1|) (-1211) (-987))) (T -824)) 
-((-4005 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-310 *2)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-824 *6 *2)))) (-4005 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-310 *2)) (-5 *4 (-143)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-29 *6) (-1211) (-987))) (-5 *1 (-824 *6 *2)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))))) (-4005 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-143)) (-5 *5 (-1191)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -2195 (-658 *3))) *3 "failed")) (-5 *1 (-824 *6 *3)) (-4 *3 (-13 (-29 *6) (-1211) (-987))))) (-4005 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 *7)) (-5 *4 (-143)) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -2195 (-658 *7))) *7 "failed")) (-5 *1 (-824 *6 *7)))) (-4005 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-658 *7)) (-5 *4 (-658 (-143))) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-2 (|:| |particular| (-1280 *7)) (|:| -2195 (-658 (-1280 *7))))) (-5 *1 (-824 *6 *7)))) (-4005 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-658 (-310 *7))) (-5 *4 (-658 (-143))) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-2 (|:| |particular| (-1280 *7)) (|:| -2195 (-658 (-1280 *7))))) (-5 *1 (-824 *6 *7)))) (-4005 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-706 *6)) (-5 *4 (-1191)) (-4 *6 (-13 (-29 *5) (-1211) (-987))) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-1280 *6))) (-5 *1 (-824 *5 *6)))) (-4005 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-706 *7)) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-2 (|:| |particular| (-1280 *7)) (|:| -2195 (-658 (-1280 *7))))) (-5 *1 (-824 *6 *7)) (-5 *4 (-1280 *7))))) 
-(-10 -7 (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-706 |#2|) (-1280 |#2|) (-1191))) (-15 -4005 ((-3 (-658 (-1280 |#2|)) "failed") (-706 |#2|) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-658 (-310 |#2|)) (-658 (-143)) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#2|)) (|:| -2195 (-658 (-1280 |#2|)))) "failed") (-658 |#2|) (-658 (-143)) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#2| "failed") (-310 |#2|) (-143) (-1191))) (-15 -4005 ((-3 (-2 (|:| |particular| |#2|) (|:| -2195 (-658 |#2|))) |#2| "failed") |#2| (-143) (-1191))) (-15 -4005 ((-3 |#2| "failed") (-310 |#2|) (-143) (-310 |#2|) (-658 |#2|))) (-15 -4005 ((-3 |#2| "failed") |#2| (-143) (-310 |#2|) (-658 |#2|)))) 
-((-1339 (($) 9)) (-1718 (((-3 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))) "failed") (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 26)) (-2840 (((-658 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) $) 23)) (-2113 (($ (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))))) 20)) (-3919 (($ (-658 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))))) 18)) (-2260 (((-1285)) 12))) 
-(((-825) (-10 -8 (-15 -1339 ($)) (-15 -2260 ((-1285))) (-15 -2840 ((-658 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) $)) (-15 -3919 ($ (-658 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))))))) (-15 -2113 ($ (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))))) (-15 -1718 ((-3 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))) "failed") (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) (T -825)) 
-((-1718 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))) (-5 *1 (-825)))) (-2113 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))))) (-5 *1 (-825)))) (-3919 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))))) (-5 *1 (-825)))) (-2840 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-5 *1 (-825)))) (-2260 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-825)))) (-1339 (*1 *1) (-5 *1 (-825)))) 
-(-10 -8 (-15 -1339 ($)) (-15 -2260 ((-1285))) (-15 -2840 ((-658 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) $)) (-15 -3919 ($ (-658 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))))))) (-15 -2113 ($ (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))))) (-15 -1718 ((-3 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))) "failed") (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) 
-((-1749 ((|#2| |#2| (-1191)) 15)) (-1737 ((|#2| |#2| (-1191)) 47)) (-2485 (((-1 |#2| |#2|) (-1191)) 11))) 
-(((-826 |#1| |#2|) (-10 -7 (-15 -1749 (|#2| |#2| (-1191))) (-15 -1737 (|#2| |#2| (-1191))) (-15 -2485 ((-1 |#2| |#2|) (-1191)))) (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171)) (-13 (-29 |#1|) (-1211) (-987))) (T -826)) 
-((-2485 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-1 *5 *5)) (-5 *1 (-826 *4 *5)) (-4 *5 (-13 (-29 *4) (-1211) (-987))))) (-1737 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-826 *4 *2)) (-4 *2 (-13 (-29 *4) (-1211) (-987))))) (-1749 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-826 *4 *2)) (-4 *2 (-13 (-29 *4) (-1211) (-987)))))) 
-(-10 -7 (-15 -1749 (|#2| |#2| (-1191))) (-15 -1737 (|#2| |#2| (-1191))) (-15 -2485 ((-1 |#2| |#2|) (-1191)))) 
-((-4005 (((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-658 (-405)) (-405) (-405)) 114) (((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-658 (-405)) (-405)) 115) (((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-658 (-405)) (-405)) 117) (((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-405)) 118) (((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-405)) 119) (((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405))) 120) (((-1063) (-830) (-1087)) 105) (((-1063) (-830)) 106)) (-2617 (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-830) (-1087)) 71) (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-830)) 73))) 
-(((-827) (-10 -7 (-15 -4005 ((-1063) (-830))) (-15 -4005 ((-1063) (-830) (-1087))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-658 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-658 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-658 (-405)) (-405) (-405))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-830))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-830) (-1087))))) (T -827)) 
-((-2617 (*1 *2 *3 *4) (-12 (-5 *3 (-830)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-827)))) (-2617 (*1 *2 *3) (-12 (-5 *3 (-830)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1280 (-332 *4))) (-5 *5 (-658 (-405))) (-5 *6 (-332 (-405))) (-5 *4 (-405)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1280 (-332 *4))) (-5 *5 (-658 (-405))) (-5 *6 (-332 (-405))) (-5 *4 (-405)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1280 (-332 (-405)))) (-5 *4 (-405)) (-5 *5 (-658 *4)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1280 (-332 *4))) (-5 *5 (-658 (-405))) (-5 *6 (-332 (-405))) (-5 *4 (-405)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1280 (-332 (-405)))) (-5 *4 (-405)) (-5 *5 (-658 *4)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1280 (-332 (-405)))) (-5 *4 (-405)) (-5 *5 (-658 *4)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-830)) (-5 *4 (-1087)) (-5 *2 (-1063)) (-5 *1 (-827)))) (-4005 (*1 *2 *3) (-12 (-5 *3 (-830)) (-5 *2 (-1063)) (-5 *1 (-827))))) 
-(-10 -7 (-15 -4005 ((-1063) (-830))) (-15 -4005 ((-1063) (-830) (-1087))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-658 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-658 (-405)) (-405))) (-15 -4005 ((-1063) (-1280 (-332 (-405))) (-405) (-405) (-658 (-405)) (-332 (-405)) (-658 (-405)) (-405) (-405))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-830))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-830) (-1087)))) 
-((-2371 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -2195 (-658 |#4|))) (-667 |#4|) |#4|) 32))) 
-(((-828 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2371 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -2195 (-658 |#4|))) (-667 |#4|) |#4|))) (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592)))) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|)) (T -828)) 
-((-2371 (*1 *2 *3 *4) (-12 (-5 *3 (-667 *4)) (-4 *4 (-362 *5 *6 *7)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-828 *5 *6 *7 *4))))) 
-(-10 -7 (-15 -2371 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -2195 (-658 |#4|))) (-667 |#4|) |#4|))) 
-((-3626 (((-2 (|:| -2042 |#3|) (|:| |rh| (-658 (-433 |#2|)))) |#4| (-658 (-433 |#2|))) 51)) (-2601 (((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#4| |#2|) 59) (((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#4|) 58) (((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#3| |#2|) 20) (((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#3|) 21)) (-4436 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-3853 ((|#2| |#3| (-658 (-433 |#2|))) 93) (((-3 |#2| "failed") |#3| (-433 |#2|)) 90))) 
-(((-829 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3853 ((-3 |#2| "failed") |#3| (-433 |#2|))) (-15 -3853 (|#2| |#3| (-658 (-433 |#2|)))) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#3|)) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#3| |#2|)) (-15 -4436 (|#2| |#3| |#1|)) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#4|)) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#4| |#2|)) (-15 -4436 (|#2| |#4| |#1|)) (-15 -3626 ((-2 (|:| -2042 |#3|) (|:| |rh| (-658 (-433 |#2|)))) |#4| (-658 (-433 |#2|))))) (-13 (-388) (-171) (-1065 (-433 (-592)))) (-1255 |#1|) (-670 |#2|) (-670 (-433 |#2|))) (T -829)) 
-((-3626 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-2 (|:| -2042 *7) (|:| |rh| (-658 (-433 *6))))) (-5 *1 (-829 *5 *6 *7 *3)) (-5 *4 (-658 (-433 *6))) (-4 *7 (-670 *6)) (-4 *3 (-670 (-433 *6))))) (-4436 (*1 *2 *3 *4) (-12 (-4 *2 (-1255 *4)) (-5 *1 (-829 *4 *2 *5 *3)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-670 *2)) (-4 *3 (-670 (-433 *2))))) (-2601 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *4 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -2838 *4) (|:| -2724 *4)))) (-5 *1 (-829 *5 *4 *6 *3)) (-4 *6 (-670 *4)) (-4 *3 (-670 (-433 *4))))) (-2601 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-2 (|:| -2838 *5) (|:| -2724 *5)))) (-5 *1 (-829 *4 *5 *6 *3)) (-4 *6 (-670 *5)) (-4 *3 (-670 (-433 *5))))) (-4436 (*1 *2 *3 *4) (-12 (-4 *2 (-1255 *4)) (-5 *1 (-829 *4 *2 *3 *5)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *5 (-670 (-433 *2))))) (-2601 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *4 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -2838 *4) (|:| -2724 *4)))) (-5 *1 (-829 *5 *4 *3 *6)) (-4 *3 (-670 *4)) (-4 *6 (-670 (-433 *4))))) (-2601 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-2 (|:| -2838 *5) (|:| -2724 *5)))) (-5 *1 (-829 *4 *5 *3 *6)) (-4 *3 (-670 *5)) (-4 *6 (-670 (-433 *5))))) (-3853 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-433 *2))) (-4 *2 (-1255 *5)) (-5 *1 (-829 *5 *2 *3 *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *6 (-670 (-433 *2))))) (-3853 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-433 *2)) (-4 *2 (-1255 *5)) (-5 *1 (-829 *5 *2 *3 *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *6 (-670 *4))))) 
-(-10 -7 (-15 -3853 ((-3 |#2| "failed") |#3| (-433 |#2|))) (-15 -3853 (|#2| |#3| (-658 (-433 |#2|)))) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#3|)) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#3| |#2|)) (-15 -4436 (|#2| |#3| |#1|)) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#4|)) (-15 -2601 ((-658 (-2 (|:| -2838 |#2|) (|:| -2724 |#2|))) |#4| |#2|)) (-15 -4436 (|#2| |#4| |#1|)) (-15 -3626 ((-2 (|:| -2042 |#3|) (|:| |rh| (-658 (-433 |#2|)))) |#4| (-658 (-433 |#2|))))) 
-((-1641 (((-141) $ $) NIL)) (-2400 (((-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) $) 9)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 11) (($ (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) 8)) (-3255 (((-141) $ $) NIL))) 
-(((-830) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) $))))) (T -830)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-830)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-830)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-830))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))) $)))) 
-((-1884 (((-658 (-2 (|:| |frac| (-433 |#2|)) (|:| -2042 |#3|))) |#3| (-1 (-658 |#2|) |#2| (-1187 |#2|)) (-1 (-444 |#2|) |#2|)) 118)) (-3111 (((-658 (-2 (|:| |poly| |#2|) (|:| -2042 |#3|))) |#3| (-1 (-658 |#1|) |#2|)) 45)) (-4037 (((-658 (-2 (|:| |deg| (-790)) (|:| -2042 |#2|))) |#3|) 95)) (-3742 ((|#2| |#3|) 37)) (-4580 (((-658 (-2 (|:| -4249 |#1|) (|:| -2042 |#3|))) |#3| (-1 (-658 |#1|) |#2|)) 82)) (-2323 ((|#3| |#3| (-433 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
-(((-831 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3742 (|#2| |#3|)) (-15 -4037 ((-658 (-2 (|:| |deg| (-790)) (|:| -2042 |#2|))) |#3|)) (-15 -4580 ((-658 (-2 (|:| -4249 |#1|) (|:| -2042 |#3|))) |#3| (-1 (-658 |#1|) |#2|))) (-15 -3111 ((-658 (-2 (|:| |poly| |#2|) (|:| -2042 |#3|))) |#3| (-1 (-658 |#1|) |#2|))) (-15 -1884 ((-658 (-2 (|:| |frac| (-433 |#2|)) (|:| -2042 |#3|))) |#3| (-1 (-658 |#2|) |#2| (-1187 |#2|)) (-1 (-444 |#2|) |#2|))) (-15 -2323 (|#3| |#3| |#2|)) (-15 -2323 (|#3| |#3| (-433 |#2|)))) (-13 (-388) (-171) (-1065 (-433 (-592)))) (-1255 |#1|) (-670 |#2|) (-670 (-433 |#2|))) (T -831)) 
-((-2323 (*1 *2 *2 *3) (-12 (-5 *3 (-433 *5)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *1 (-831 *4 *5 *2 *6)) (-4 *2 (-670 *5)) (-4 *6 (-670 *3)))) (-2323 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-1255 *4)) (-5 *1 (-831 *4 *3 *2 *5)) (-4 *2 (-670 *3)) (-4 *5 (-670 (-433 *3))))) (-1884 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-658 *7) *7 (-1187 *7))) (-5 *5 (-1 (-444 *7) *7)) (-4 *7 (-1255 *6)) (-4 *6 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-5 *2 (-658 (-2 (|:| |frac| (-433 *7)) (|:| -2042 *3)))) (-5 *1 (-831 *6 *7 *3 *8)) (-4 *3 (-670 *7)) (-4 *8 (-670 (-433 *7))))) (-3111 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| |poly| *6) (|:| -2042 *3)))) (-5 *1 (-831 *5 *6 *3 *7)) (-4 *3 (-670 *6)) (-4 *7 (-670 (-433 *6))))) (-4580 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -4249 *5) (|:| -2042 *3)))) (-5 *1 (-831 *5 *6 *3 *7)) (-4 *3 (-670 *6)) (-4 *7 (-670 (-433 *6))))) (-4037 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-2 (|:| |deg| (-790)) (|:| -2042 *5)))) (-5 *1 (-831 *4 *5 *3 *6)) (-4 *3 (-670 *5)) (-4 *6 (-670 (-433 *5))))) (-3742 (*1 *2 *3) (-12 (-4 *2 (-1255 *4)) (-5 *1 (-831 *4 *2 *3 *5)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *5 (-670 (-433 *2)))))) 
-(-10 -7 (-15 -3742 (|#2| |#3|)) (-15 -4037 ((-658 (-2 (|:| |deg| (-790)) (|:| -2042 |#2|))) |#3|)) (-15 -4580 ((-658 (-2 (|:| -4249 |#1|) (|:| -2042 |#3|))) |#3| (-1 (-658 |#1|) |#2|))) (-15 -3111 ((-658 (-2 (|:| |poly| |#2|) (|:| -2042 |#3|))) |#3| (-1 (-658 |#1|) |#2|))) (-15 -1884 ((-658 (-2 (|:| |frac| (-433 |#2|)) (|:| -2042 |#3|))) |#3| (-1 (-658 |#2|) |#2| (-1187 |#2|)) (-1 (-444 |#2|) |#2|))) (-15 -2323 (|#3| |#3| |#2|)) (-15 -2323 (|#3| |#3| (-433 |#2|)))) 
-((-3952 (((-2 (|:| -2195 (-658 (-433 |#2|))) (|:| -3253 (-706 |#1|))) (-668 |#2| (-433 |#2|)) (-658 (-433 |#2|))) 117) (((-2 (|:| |particular| (-3 (-433 |#2|) "failed")) (|:| -2195 (-658 (-433 |#2|)))) (-668 |#2| (-433 |#2|)) (-433 |#2|)) 116) (((-2 (|:| -2195 (-658 (-433 |#2|))) (|:| -3253 (-706 |#1|))) (-667 (-433 |#2|)) (-658 (-433 |#2|))) 111) (((-2 (|:| |particular| (-3 (-433 |#2|) "failed")) (|:| -2195 (-658 (-433 |#2|)))) (-667 (-433 |#2|)) (-433 |#2|)) 109)) (-1965 ((|#2| (-668 |#2| (-433 |#2|))) 77) ((|#2| (-667 (-433 |#2|))) 81))) 
-(((-832 |#1| |#2|) (-10 -7 (-15 -3952 ((-2 (|:| |particular| (-3 (-433 |#2|) "failed")) (|:| -2195 (-658 (-433 |#2|)))) (-667 (-433 |#2|)) (-433 |#2|))) (-15 -3952 ((-2 (|:| -2195 (-658 (-433 |#2|))) (|:| -3253 (-706 |#1|))) (-667 (-433 |#2|)) (-658 (-433 |#2|)))) (-15 -3952 ((-2 (|:| |particular| (-3 (-433 |#2|) "failed")) (|:| -2195 (-658 (-433 |#2|)))) (-668 |#2| (-433 |#2|)) (-433 |#2|))) (-15 -3952 ((-2 (|:| -2195 (-658 (-433 |#2|))) (|:| -3253 (-706 |#1|))) (-668 |#2| (-433 |#2|)) (-658 (-433 |#2|)))) (-15 -1965 (|#2| (-667 (-433 |#2|)))) (-15 -1965 (|#2| (-668 |#2| (-433 |#2|))))) (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592)))) (-1255 |#1|)) (T -832)) 
-((-1965 (*1 *2 *3) (-12 (-5 *3 (-668 *2 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-832 *4 *2)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))))) (-1965 (*1 *2 *3) (-12 (-5 *3 (-667 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-832 *4 *2)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))))) (-3952 (*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| -2195 (-658 (-433 *6))) (|:| -3253 (-706 *5)))) (-5 *1 (-832 *5 *6)) (-5 *4 (-658 (-433 *6))))) (-3952 (*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-5 *4 (-433 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-832 *5 *6)))) (-3952 (*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| -2195 (-658 (-433 *6))) (|:| -3253 (-706 *5)))) (-5 *1 (-832 *5 *6)) (-5 *4 (-658 (-433 *6))))) (-3952 (*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-5 *4 (-433 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-832 *5 *6))))) 
-(-10 -7 (-15 -3952 ((-2 (|:| |particular| (-3 (-433 |#2|) "failed")) (|:| -2195 (-658 (-433 |#2|)))) (-667 (-433 |#2|)) (-433 |#2|))) (-15 -3952 ((-2 (|:| -2195 (-658 (-433 |#2|))) (|:| -3253 (-706 |#1|))) (-667 (-433 |#2|)) (-658 (-433 |#2|)))) (-15 -3952 ((-2 (|:| |particular| (-3 (-433 |#2|) "failed")) (|:| -2195 (-658 (-433 |#2|)))) (-668 |#2| (-433 |#2|)) (-433 |#2|))) (-15 -3952 ((-2 (|:| -2195 (-658 (-433 |#2|))) (|:| -3253 (-706 |#1|))) (-668 |#2| (-433 |#2|)) (-658 (-433 |#2|)))) (-15 -1965 (|#2| (-667 (-433 |#2|)))) (-15 -1965 (|#2| (-668 |#2| (-433 |#2|))))) 
-((-1539 (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#1|))) |#5| |#4|) 47))) 
-(((-833 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1539 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#1|))) |#5| |#4|))) (-388) (-670 |#1|) (-1255 |#1|) (-741 |#1| |#3|) (-670 |#4|)) (T -833)) 
-((-1539 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *7 (-1255 *5)) (-4 *4 (-741 *5 *7)) (-5 *2 (-2 (|:| -3253 (-706 *6)) (|:| |vec| (-1280 *5)))) (-5 *1 (-833 *5 *6 *7 *4 *3)) (-4 *6 (-670 *5)) (-4 *3 (-670 *4))))) 
-(-10 -7 (-15 -1539 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#1|))) |#5| |#4|))) 
-((-1884 (((-658 (-2 (|:| |frac| (-433 |#2|)) (|:| -2042 (-668 |#2| (-433 |#2|))))) (-668 |#2| (-433 |#2|)) (-1 (-444 |#2|) |#2|)) 43)) (-4170 (((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-444 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|))) 134 (|has| |#1| (-27))) (((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-444 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-658 (-433 |#2|)) (-667 (-433 |#2|))) 136 (|has| |#1| (-27))) (((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|) (-1 (-444 |#2|) |#2|)) 36) (((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|)) 37) (((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|) (-1 (-444 |#2|) |#2|)) 34) (((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|)) 35)) (-3111 (((-658 (-2 (|:| |poly| |#2|) (|:| -2042 (-668 |#2| (-433 |#2|))))) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|)) 80))) 
-(((-834 |#1| |#2|) (-10 -7 (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|) (-1 (-444 |#2|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|) (-1 (-444 |#2|) |#2|))) (-15 -1884 ((-658 (-2 (|:| |frac| (-433 |#2|)) (|:| -2042 (-668 |#2| (-433 |#2|))))) (-668 |#2| (-433 |#2|)) (-1 (-444 |#2|) |#2|))) (-15 -3111 ((-658 (-2 (|:| |poly| |#2|) (|:| -2042 (-668 |#2| (-433 |#2|))))) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)))) (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-444 |#2|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-444 |#2|) |#2|)))) |noBranch|)) (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592)))) (-1255 |#1|)) (T -834)) 
-((-4170 (*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6)))) (-4170 (*1 *2 *3) (-12 (-5 *3 (-668 *5 (-433 *5))) (-4 *5 (-1255 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *5))) (-5 *1 (-834 *4 *5)))) (-4170 (*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6)))) (-4170 (*1 *2 *3) (-12 (-5 *3 (-667 (-433 *5))) (-4 *5 (-1255 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *5))) (-5 *1 (-834 *4 *5)))) (-3111 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| |poly| *6) (|:| -2042 (-668 *6 (-433 *6)))))) (-5 *1 (-834 *5 *6)) (-5 *3 (-668 *6 (-433 *6))))) (-1884 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-2 (|:| |frac| (-433 *6)) (|:| -2042 (-668 *6 (-433 *6)))))) (-5 *1 (-834 *5 *6)) (-5 *3 (-668 *6 (-433 *6))))) (-4170 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-668 *7 (-433 *7))) (-5 *4 (-1 (-658 *6) *7)) (-5 *5 (-1 (-444 *7) *7)) (-4 *6 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *7 (-1255 *6)) (-5 *2 (-658 (-433 *7))) (-5 *1 (-834 *6 *7)))) (-4170 (*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6)))) (-4170 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-667 (-433 *7))) (-5 *4 (-1 (-658 *6) *7)) (-5 *5 (-1 (-444 *7) *7)) (-4 *6 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *7 (-1255 *6)) (-5 *2 (-658 (-433 *7))) (-5 *1 (-834 *6 *7)))) (-4170 (*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6))))) 
-(-10 -7 (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-658 |#1|) |#2|) (-1 (-444 |#2|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|) (-1 (-444 |#2|) |#2|))) (-15 -1884 ((-658 (-2 (|:| |frac| (-433 |#2|)) (|:| -2042 (-668 |#2| (-433 |#2|))))) (-668 |#2| (-433 |#2|)) (-1 (-444 |#2|) |#2|))) (-15 -3111 ((-658 (-2 (|:| |poly| |#2|) (|:| -2042 (-668 |#2| (-433 |#2|))))) (-668 |#2| (-433 |#2|)) (-1 (-658 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)))) (-15 -4170 ((-658 (-433 |#2|)) (-667 (-433 |#2|)) (-1 (-444 |#2|) |#2|))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)))) (-15 -4170 ((-658 (-433 |#2|)) (-668 |#2| (-433 |#2|)) (-1 (-444 |#2|) |#2|)))) |noBranch|)) 
-((-3595 (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#1|))) (-706 |#2|) (-1280 |#1|)) 86) (((-2 (|:| A (-706 |#1|)) (|:| |eqs| (-658 (-2 (|:| C (-706 |#1|)) (|:| |g| (-1280 |#1|)) (|:| -2042 |#2|) (|:| |rh| |#1|))))) (-706 |#1|) (-1280 |#1|)) 14)) (-3407 (((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-706 |#2|) (-1280 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -2195 (-658 |#1|))) |#2| |#1|)) 92)) (-4005 (((-3 (-2 (|:| |particular| (-1280 |#1|)) (|:| -2195 (-706 |#1|))) "failed") (-706 |#1|) (-1280 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed") |#2| |#1|)) 45))) 
-(((-835 |#1| |#2|) (-10 -7 (-15 -3595 ((-2 (|:| A (-706 |#1|)) (|:| |eqs| (-658 (-2 (|:| C (-706 |#1|)) (|:| |g| (-1280 |#1|)) (|:| -2042 |#2|) (|:| |rh| |#1|))))) (-706 |#1|) (-1280 |#1|))) (-15 -3595 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#1|))) (-706 |#2|) (-1280 |#1|))) (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#1|)) (|:| -2195 (-706 |#1|))) "failed") (-706 |#1|) (-1280 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed") |#2| |#1|))) (-15 -3407 ((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-706 |#2|) (-1280 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -2195 (-658 |#1|))) |#2| |#1|)))) (-388) (-670 |#1|)) (T -835)) 
-((-3407 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -2195 (-658 *6))) *7 *6)) (-4 *6 (-388)) (-4 *7 (-670 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 *6) "failed")) (|:| -2195 (-658 (-1280 *6))))) (-5 *1 (-835 *6 *7)) (-5 *4 (-1280 *6)))) (-4005 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -2195 (-658 *6))) "failed") *7 *6)) (-4 *6 (-388)) (-4 *7 (-670 *6)) (-5 *2 (-2 (|:| |particular| (-1280 *6)) (|:| -2195 (-706 *6)))) (-5 *1 (-835 *6 *7)) (-5 *3 (-706 *6)) (-5 *4 (-1280 *6)))) (-3595 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-670 *5)) (-5 *2 (-2 (|:| -3253 (-706 *6)) (|:| |vec| (-1280 *5)))) (-5 *1 (-835 *5 *6)) (-5 *3 (-706 *6)) (-5 *4 (-1280 *5)))) (-3595 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-5 *2 (-2 (|:| A (-706 *5)) (|:| |eqs| (-658 (-2 (|:| C (-706 *5)) (|:| |g| (-1280 *5)) (|:| -2042 *6) (|:| |rh| *5)))))) (-5 *1 (-835 *5 *6)) (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)) (-4 *6 (-670 *5))))) 
-(-10 -7 (-15 -3595 ((-2 (|:| A (-706 |#1|)) (|:| |eqs| (-658 (-2 (|:| C (-706 |#1|)) (|:| |g| (-1280 |#1|)) (|:| -2042 |#2|) (|:| |rh| |#1|))))) (-706 |#1|) (-1280 |#1|))) (-15 -3595 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#1|))) (-706 |#2|) (-1280 |#1|))) (-15 -4005 ((-3 (-2 (|:| |particular| (-1280 |#1|)) (|:| -2195 (-706 |#1|))) "failed") (-706 |#1|) (-1280 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -2195 (-658 |#1|))) "failed") |#2| |#1|))) (-15 -3407 ((-2 (|:| |particular| (-3 (-1280 |#1|) "failed")) (|:| -2195 (-658 (-1280 |#1|)))) (-706 |#2|) (-1280 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -2195 (-658 |#1|))) |#2| |#1|)))) 
-((-4524 (((-706 |#1|) (-658 |#1|) (-790)) 13) (((-706 |#1|) (-658 |#1|)) 14)) (-2361 (((-3 (-1280 |#1|) "failed") |#2| |#1| (-658 |#1|)) 34)) (-3993 (((-3 |#1| "failed") |#2| |#1| (-658 |#1|) (-1 |#1| |#1|)) 42))) 
-(((-836 |#1| |#2|) (-10 -7 (-15 -4524 ((-706 |#1|) (-658 |#1|))) (-15 -4524 ((-706 |#1|) (-658 |#1|) (-790))) (-15 -2361 ((-3 (-1280 |#1|) "failed") |#2| |#1| (-658 |#1|))) (-15 -3993 ((-3 |#1| "failed") |#2| |#1| (-658 |#1|) (-1 |#1| |#1|)))) (-388) (-670 |#1|)) (T -836)) 
-((-3993 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-658 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-388)) (-5 *1 (-836 *2 *3)) (-4 *3 (-670 *2)))) (-2361 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-658 *4)) (-4 *4 (-388)) (-5 *2 (-1280 *4)) (-5 *1 (-836 *4 *3)) (-4 *3 (-670 *4)))) (-4524 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-836 *5 *6)) (-4 *6 (-670 *5)))) (-4524 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-5 *2 (-706 *4)) (-5 *1 (-836 *4 *5)) (-4 *5 (-670 *4))))) 
-(-10 -7 (-15 -4524 ((-706 |#1|) (-658 |#1|))) (-15 -4524 ((-706 |#1|) (-658 |#1|) (-790))) (-15 -2361 ((-3 (-1280 |#1|) "failed") |#2| |#1| (-658 |#1|))) (-15 -3993 ((-3 |#1| "failed") |#2| |#1| (-658 |#1|) (-1 |#1| |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#2| (-1119)))) (-2272 (((-141) $) NIL (|has| |#2| (-158)))) (-2673 (($ (-944)) NIL (|has| |#2| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4079 (($ $ $) NIL (|has| |#2| (-815)))) (-2350 (((-3 $ "failed") $ $) NIL (|has| |#2| (-158)))) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| |#2| (-394)))) (-3940 (((-592) $) NIL (|has| |#2| (-867)))) (-3932 ((|#2| $ (-592) |#2|) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1119)))) (-2400 (((-592) $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119)))) (((-433 (-592)) $) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) ((|#2| $) NIL (|has| |#2| (-1119)))) (-3945 (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#2| (-1075)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL (|has| |#2| (-1075))) (((-706 |#2|) (-706 $)) NIL (|has| |#2| (-1075)))) (-3371 (((-3 $ "failed") $) NIL (|has| |#2| (-743)))) (-4290 (($) NIL (|has| |#2| (-394)))) (-1426 ((|#2| $ (-592) |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ (-592)) NIL)) (-1691 (((-141) $) NIL (|has| |#2| (-867)))) (-4004 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL (|has| |#2| (-743)))) (-1324 (((-141) $) NIL (|has| |#2| (-867)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-4467 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3987 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#2| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#2| (-1119)))) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-1825 (($ (-944)) NIL (|has| |#2| (-394)))) (-2951 (((-1137) $) NIL (|has| |#2| (-1119)))) (-1918 ((|#2| $) NIL (|has| (-592) (-869)))) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#2| (-394)))) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ (-592) |#2|) NIL) ((|#2| $ (-592)) NIL)) (-1729 ((|#2| $ $) NIL (|has| |#2| (-1075)))) (-4512 (($ (-1280 |#2|)) NIL)) (-1936 (((-160)) NIL (|has| |#2| (-388)))) (-3644 (($ $) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1075)))) (-3452 (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-1280 |#2|) $) NIL) (((-877) $) NIL (|has| |#2| (-1119))) (($ (-592)) NIL (-3836 (-12 (|has| |#2| (-1065 (-592))) (|has| |#2| (-1119))) (|has| |#2| (-1075)))) (($ (-433 (-592))) NIL (-12 (|has| |#2| (-1065 (-433 (-592)))) (|has| |#2| (-1119)))) (($ |#2|) NIL (|has| |#2| (-1119)))) (-4010 (((-790)) NIL (|has| |#2| (-1075)))) (-3369 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-1392 (($ $) NIL (|has| |#2| (-867)))) (-1424 (($ $ (-790)) NIL (|has| |#2| (-743))) (($ $ (-944)) NIL (|has| |#2| (-743)))) (-3514 (($) NIL (|has| |#2| (-158)) CONST)) (-4257 (($) NIL (|has| |#2| (-743)) CONST)) (-1940 (($ $) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#2| (-247)) (|has| |#2| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#2| (-922 (-1191))) (|has| |#2| (-1075)))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#2| (-1075))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1075)))) (-3286 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3255 (((-141) $ $) NIL (|has| |#2| (-1119)))) (-3279 (((-141) $ $) NIL (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3266 (((-141) $ $) 11 (-3836 (|has| |#2| (-815)) (|has| |#2| (-867))))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $ $) NIL (|has| |#2| (-1075))) (($ $) NIL (|has| |#2| (-1075)))) (-3300 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-790)) NIL (|has| |#2| (-743))) (($ $ (-944)) NIL (|has| |#2| (-743)))) (* (($ (-592) $) NIL (|has| |#2| (-1075))) (($ $ $) NIL (|has| |#2| (-743))) (($ $ |#2|) NIL (|has| |#2| (-743))) (($ |#2| $) NIL (|has| |#2| (-743))) (($ (-790) $) NIL (|has| |#2| (-158))) (($ (-944) $) NIL (|has| |#2| (-25)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-837 |#1| |#2| |#3|) (-252 |#1| |#2|) (-790) (-815) (-1 (-141) (-1280 |#2|) (-1280 |#2|))) (T -837)) 
-NIL 
-(-252 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1399 (((-658 (-790)) $) NIL) (((-658 (-790)) $ (-1191)) NIL)) (-3775 (((-790) $) NIL) (((-790) $ (-1191)) NIL)) (-4085 (((-658 (-840 (-1191))) $) NIL)) (-4492 (((-1187 $) $ (-840 (-1191))) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-840 (-1191)))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-1885 (($ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-840 (-1191)) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL) (((-3 (-1142 |#1| (-1191)) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-840 (-1191)) $) NIL) (((-1191) $) NIL) (((-1142 |#1| (-1191)) $) NIL)) (-1544 (($ $ $ (-840 (-1191))) NIL (|has| |#1| (-194)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ (-840 (-1191))) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-558 (-840 (-1191))) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-840 (-1191)) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-840 (-1191)) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ (-1191)) NIL) (((-790) $) NIL)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#1|) (-840 (-1191))) NIL) (($ (-1187 $) (-840 (-1191))) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-558 (-840 (-1191)))) NIL) (($ $ (-840 (-1191)) (-790)) NIL) (($ $ (-658 (-840 (-1191))) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-840 (-1191))) NIL)) (-4206 (((-558 (-840 (-1191))) $) NIL) (((-790) $ (-840 (-1191))) NIL) (((-658 (-790)) $ (-658 (-840 (-1191)))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-558 (-840 (-1191))) (-558 (-840 (-1191)))) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3358 (((-1 $ (-790)) (-1191)) NIL) (((-1 $ (-790)) $) NIL (|has| |#1| (-247)))) (-3254 (((-3 (-840 (-1191)) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-1692 (((-840 (-1191)) $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-4401 (((-141) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-840 (-1191))) (|:| -3215 (-790))) "failed") $) NIL)) (-3198 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-840 (-1191)) |#1|) NIL) (($ $ (-658 (-840 (-1191))) (-658 |#1|)) NIL) (($ $ (-840 (-1191)) $) NIL) (($ $ (-658 (-840 (-1191))) (-658 $)) NIL) (($ $ (-1191) $) NIL (|has| |#1| (-247))) (($ $ (-658 (-1191)) (-658 $)) NIL (|has| |#1| (-247))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-247))) (($ $ (-658 (-1191)) (-658 |#1|)) NIL (|has| |#1| (-247)))) (-1482 (($ $ (-840 (-1191))) NIL (|has| |#1| (-194)))) (-3644 (($ $ (-840 (-1191))) NIL) (($ $ (-658 (-840 (-1191)))) NIL) (($ $ (-840 (-1191)) (-790)) NIL) (($ $ (-658 (-840 (-1191))) (-658 (-790))) NIL) (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2912 (((-658 (-1191)) $) NIL)) (-4525 (((-558 (-840 (-1191))) $) NIL) (((-790) $ (-840 (-1191))) NIL) (((-658 (-790)) $ (-658 (-840 (-1191)))) NIL) (((-790) $ (-1191)) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-840 (-1191)) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-840 (-1191)) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-840 (-1191)) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ (-840 (-1191))) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-840 (-1191))) NIL) (($ (-1191)) NIL) (($ (-1142 |#1| (-1191))) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-558 (-840 (-1191)))) NIL) (($ $ (-840 (-1191)) (-790)) NIL) (($ $ (-658 (-840 (-1191))) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-840 (-1191))) NIL) (($ $ (-658 (-840 (-1191)))) NIL) (($ $ (-840 (-1191)) (-790)) NIL) (($ $ (-658 (-840 (-1191))) (-658 (-790))) NIL) (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-838 |#1|) (-13 (-268 |#1| (-1191) (-840 (-1191)) (-558 (-840 (-1191)))) (-1065 (-1142 |#1| (-1191)))) (-1075)) (T -838)) 
-NIL 
-(-13 (-268 |#1| (-1191) (-840 (-1191)) (-558 (-840 (-1191)))) (-1065 (-1142 |#1| (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-388)))) (-1555 (($ $) NIL (|has| |#2| (-388)))) (-1313 (((-141) $) NIL (|has| |#2| (-388)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#2| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-388)))) (-3652 (((-141) $ $) NIL (|has| |#2| (-388)))) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL (|has| |#2| (-388)))) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#2| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#2| (-388)))) (-2802 (((-141) $) NIL (|has| |#2| (-388)))) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-388)))) (-2750 (($ (-658 $)) NIL (|has| |#2| (-388))) (($ $ $) NIL (|has| |#2| (-388)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 20 (|has| |#2| (-388)))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-388))) (($ $ $) NIL (|has| |#2| (-388)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#2| (-388)))) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#2| (-388)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-388)))) (-2769 (((-790) $) NIL (|has| |#2| (-388)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-388)))) (-3644 (($ $ (-790)) NIL) (($ $) 13)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-433 (-592))) NIL (|has| |#2| (-388))) (($ $) NIL (|has| |#2| (-388)))) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL (|has| |#2| (-388)))) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL) (($ $ (-592)) NIL (|has| |#2| (-388)))) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) 15 (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL) (($ $ (-592)) 18 (|has| |#2| (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-433 (-592)) $) NIL (|has| |#2| (-388))) (($ $ (-433 (-592))) NIL (|has| |#2| (-388))))) 
-(((-839 |#1| |#2| |#3|) (-13 (-140 $ $) (-247) (-10 -8 (IF (|has| |#2| (-388)) (-6 (-388)) |noBranch|) (-15 -1683 ($ |#2|)) (-15 -1683 (|#2| $)))) (-1119) (-922 |#1|) |#1|) (T -839)) 
-((-1683 (*1 *1 *2) (-12 (-4 *3 (-1119)) (-14 *4 *3) (-5 *1 (-839 *3 *2 *4)) (-4 *2 (-922 *3)))) (-1683 (*1 *2 *1) (-12 (-4 *2 (-922 *3)) (-5 *1 (-839 *3 *2 *4)) (-4 *3 (-1119)) (-14 *4 *3)))) 
-(-13 (-140 $ $) (-247) (-10 -8 (IF (|has| |#2| (-388)) (-6 (-388)) |noBranch|) (-15 -1683 ($ |#2|)) (-15 -1683 (|#2| $)))) 
-((-1641 (((-141) $ $) NIL)) (-3775 (((-790) $) NIL)) (-3983 ((|#1| $) 10)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-4346 (((-790) $) 11)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-3358 (($ |#1| (-790)) 9)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3644 (($ $) NIL) (($ $ (-790)) NIL)) (-1683 (((-877) $) NIL) (($ |#1|) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL))) 
-(((-840 |#1|) (-284 |#1|) (-869)) (T -840)) 
-NIL 
-(-284 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-2692 (((-658 |#1|) $) 34)) (-1403 (((-790) $) NIL)) (-3001 (($) NIL T CONST)) (-3305 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-1366 (($ $) 36)) (-3371 (((-3 $ "failed") $) NIL)) (-3949 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-3558 (((-141) $) NIL)) (-4449 ((|#1| $ (-592)) NIL)) (-3888 (((-790) $ (-592)) NIL)) (-4103 (($ $) 40)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2141 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-3547 (((-141) $ $) 38)) (-4233 (((-790) $) 30)) (-2685 (((-1173) $) NIL)) (-4403 (($ $ $) NIL)) (-4041 (($ $ $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 ((|#1| $) 35)) (-2033 (((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $) NIL)) (-4570 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-1683 (((-877) $) NIL) (($ |#1|) NIL)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-4257 (($) 14 T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 39)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL) (($ |#1| (-790)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-841 |#1|) (-13 (-865) (-1065 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-790))) (-15 -1918 (|#1| $)) (-15 -1366 ($ $)) (-15 -4103 ($ $)) (-15 -3547 ((-141) $ $)) (-15 -4041 ($ $ $)) (-15 -4403 ($ $ $)) (-15 -2141 ((-3 $ "failed") $ $)) (-15 -3305 ((-3 $ "failed") $ $)) (-15 -2141 ((-3 $ "failed") $ |#1|)) (-15 -3305 ((-3 $ "failed") $ |#1|)) (-15 -4570 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3949 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -1403 ((-790) $)) (-15 -3888 ((-790) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -2033 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $)) (-15 -4233 ((-790) $)) (-15 -2692 ((-658 |#1|) $)))) (-869)) (T -841)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-1918 (*1 *2 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-1366 (*1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-4103 (*1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-3547 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-841 *3)) (-4 *3 (-869)))) (-4041 (*1 *1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-4403 (*1 *1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-2141 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-3305 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-2141 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-3305 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-4570 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-841 *3) "failed")) (|:| |rm| (-3 (-841 *3) "failed")))) (-5 *1 (-841 *3)) (-4 *3 (-869)))) (-3949 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-841 *3)) (|:| |mm| (-841 *3)) (|:| |rm| (-841 *3)))) (-5 *1 (-841 *3)) (-4 *3 (-869)))) (-1403 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-841 *3)) (-4 *3 (-869)))) (-3888 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-790)) (-5 *1 (-841 *4)) (-4 *4 (-869)))) (-4449 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-841 *2)) (-4 *2 (-869)))) (-2033 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 (-790))))) (-5 *1 (-841 *3)) (-4 *3 (-869)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-841 *3)) (-4 *3 (-869)))) (-2692 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-841 *3)) (-4 *3 (-869))))) 
-(-13 (-865) (-1065 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-790))) (-15 -1918 (|#1| $)) (-15 -1366 ($ $)) (-15 -4103 ($ $)) (-15 -3547 ((-141) $ $)) (-15 -4041 ($ $ $)) (-15 -4403 ($ $ $)) (-15 -2141 ((-3 $ "failed") $ $)) (-15 -3305 ((-3 $ "failed") $ $)) (-15 -2141 ((-3 $ "failed") $ |#1|)) (-15 -3305 ((-3 $ "failed") $ |#1|)) (-15 -4570 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3949 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -1403 ((-790) $)) (-15 -3888 ((-790) $ (-592))) (-15 -4449 (|#1| $ (-592))) (-15 -2033 ((-658 (-2 (|:| |gen| |#1|) (|:| -1430 (-790)))) $)) (-15 -4233 ((-790) $)) (-15 -2692 ((-658 |#1|) $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3940 (((-592) $) 52)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-1691 (((-141) $) 50)) (-3558 (((-141) $) 30)) (-1324 (((-141) $) 51)) (-1837 (($ $ $) 49)) (-3319 (($ $ $) 48)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ $) 41)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1392 (($ $) 53)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 46)) (-3273 (((-141) $ $) 45)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 47)) (-3266 (((-141) $ $) 44)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-842) (-1311)) (T -842)) 
-NIL 
-(-13 (-582) (-867)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-582) . T) ((-661 $) . T) ((-734 $) . T) ((-743) . T) ((-813) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-867) . T) ((-869) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2612 (($ (-1137)) 7)) (-4062 (((-141) $ (-1173) (-1137)) 15)) (-3353 (((-844) $) 12)) (-3835 (((-844) $) 11)) (-2217 (((-1285) $) 9)) (-4397 (((-141) $ (-1137)) 16))) 
-(((-843) (-10 -8 (-15 -2612 ($ (-1137))) (-15 -2217 ((-1285) $)) (-15 -3835 ((-844) $)) (-15 -3353 ((-844) $)) (-15 -4062 ((-141) $ (-1173) (-1137))) (-15 -4397 ((-141) $ (-1137))))) (T -843)) 
-((-4397 (*1 *2 *1 *3) (-12 (-5 *3 (-1137)) (-5 *2 (-141)) (-5 *1 (-843)))) (-4062 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-1137)) (-5 *2 (-141)) (-5 *1 (-843)))) (-3353 (*1 *2 *1) (-12 (-5 *2 (-844)) (-5 *1 (-843)))) (-3835 (*1 *2 *1) (-12 (-5 *2 (-844)) (-5 *1 (-843)))) (-2217 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-843)))) (-2612 (*1 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-843))))) 
-(-10 -8 (-15 -2612 ($ (-1137))) (-15 -2217 ((-1285) $)) (-15 -3835 ((-844) $)) (-15 -3353 ((-844) $)) (-15 -4062 ((-141) $ (-1173) (-1137))) (-15 -4397 ((-141) $ (-1137)))) 
-((-1513 (((-1285) $ (-845)) 12)) (-2201 (((-1285) $ (-1191)) 32)) (-1580 (((-1285) $ (-1173) (-1173)) 34)) (-2355 (((-1285) $ (-1173)) 33)) (-2011 (((-1285) $) 19)) (-3009 (((-1285) $ (-592)) 28)) (-2499 (((-1285) $ (-237)) 30)) (-1418 (((-1285) $) 18)) (-4248 (((-1285) $) 26)) (-2897 (((-1285) $) 25)) (-2035 (((-1285) $) 23)) (-2594 (((-1285) $) 24)) (-4316 (((-1285) $) 22)) (-3146 (((-1285) $) 21)) (-4370 (((-1285) $) 20)) (-4356 (((-1285) $) 16)) (-2402 (((-1285) $) 17)) (-1607 (((-1285) $) 15)) (-2480 (((-1285) $) 14)) (-2887 (((-1285) $) 13)) (-2404 (($ (-1173) (-845)) 9)) (-3295 (($ (-1173) (-1173) (-845)) 8)) (-4340 (((-1191) $) 51)) (-1851 (((-1191) $) 55)) (-3088 (((-2 (|:| |cd| (-1173)) (|:| -4095 (-1173))) $) 54)) (-4444 (((-1173) $) 52)) (-4484 (((-1285) $) 41)) (-2983 (((-592) $) 49)) (-2414 (((-237) $) 50)) (-1944 (((-1285) $) 40)) (-3042 (((-1285) $) 48)) (-3661 (((-1285) $) 47)) (-1950 (((-1285) $) 45)) (-1895 (((-1285) $) 46)) (-3411 (((-1285) $) 44)) (-4513 (((-1285) $) 43)) (-2421 (((-1285) $) 42)) (-3140 (((-1285) $) 38)) (-4212 (((-1285) $) 39)) (-4502 (((-1285) $) 37)) (-1894 (((-1285) $) 36)) (-3329 (((-1285) $) 35)) (-2587 (((-1285) $) 11))) 
-(((-844) (-10 -8 (-15 -3295 ($ (-1173) (-1173) (-845))) (-15 -2404 ($ (-1173) (-845))) (-15 -2587 ((-1285) $)) (-15 -1513 ((-1285) $ (-845))) (-15 -2887 ((-1285) $)) (-15 -2480 ((-1285) $)) (-15 -1607 ((-1285) $)) (-15 -4356 ((-1285) $)) (-15 -2402 ((-1285) $)) (-15 -1418 ((-1285) $)) (-15 -2011 ((-1285) $)) (-15 -4370 ((-1285) $)) (-15 -3146 ((-1285) $)) (-15 -4316 ((-1285) $)) (-15 -2035 ((-1285) $)) (-15 -2594 ((-1285) $)) (-15 -2897 ((-1285) $)) (-15 -4248 ((-1285) $)) (-15 -3009 ((-1285) $ (-592))) (-15 -2499 ((-1285) $ (-237))) (-15 -2201 ((-1285) $ (-1191))) (-15 -2355 ((-1285) $ (-1173))) (-15 -1580 ((-1285) $ (-1173) (-1173))) (-15 -3329 ((-1285) $)) (-15 -1894 ((-1285) $)) (-15 -4502 ((-1285) $)) (-15 -3140 ((-1285) $)) (-15 -4212 ((-1285) $)) (-15 -1944 ((-1285) $)) (-15 -4484 ((-1285) $)) (-15 -2421 ((-1285) $)) (-15 -4513 ((-1285) $)) (-15 -3411 ((-1285) $)) (-15 -1950 ((-1285) $)) (-15 -1895 ((-1285) $)) (-15 -3661 ((-1285) $)) (-15 -3042 ((-1285) $)) (-15 -2983 ((-592) $)) (-15 -2414 ((-237) $)) (-15 -4340 ((-1191) $)) (-15 -4444 ((-1173) $)) (-15 -3088 ((-2 (|:| |cd| (-1173)) (|:| -4095 (-1173))) $)) (-15 -1851 ((-1191) $)))) (T -844)) 
-((-1851 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-844)))) (-3088 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1173)) (|:| -4095 (-1173)))) (-5 *1 (-844)))) (-4444 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-844)))) (-4340 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-844)))) (-2414 (*1 *2 *1) (-12 (-5 *2 (-237)) (-5 *1 (-844)))) (-2983 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-844)))) (-3042 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-3661 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1895 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1950 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-3411 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4513 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2421 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4484 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1944 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4212 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-3140 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4502 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1894 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-3329 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1580 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-844)))) (-2355 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-844)))) (-2201 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-844)))) (-2499 (*1 *2 *1 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1285)) (-5 *1 (-844)))) (-3009 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-844)))) (-4248 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2897 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2594 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2035 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4316 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-3146 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4370 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2011 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1418 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2402 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-4356 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1607 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2480 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2887 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-1513 (*1 *2 *1 *3) (-12 (-5 *3 (-845)) (-5 *2 (-1285)) (-5 *1 (-844)))) (-2587 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844)))) (-2404 (*1 *1 *2 *3) (-12 (-5 *2 (-1173)) (-5 *3 (-845)) (-5 *1 (-844)))) (-3295 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1173)) (-5 *3 (-845)) (-5 *1 (-844))))) 
-(-10 -8 (-15 -3295 ($ (-1173) (-1173) (-845))) (-15 -2404 ($ (-1173) (-845))) (-15 -2587 ((-1285) $)) (-15 -1513 ((-1285) $ (-845))) (-15 -2887 ((-1285) $)) (-15 -2480 ((-1285) $)) (-15 -1607 ((-1285) $)) (-15 -4356 ((-1285) $)) (-15 -2402 ((-1285) $)) (-15 -1418 ((-1285) $)) (-15 -2011 ((-1285) $)) (-15 -4370 ((-1285) $)) (-15 -3146 ((-1285) $)) (-15 -4316 ((-1285) $)) (-15 -2035 ((-1285) $)) (-15 -2594 ((-1285) $)) (-15 -2897 ((-1285) $)) (-15 -4248 ((-1285) $)) (-15 -3009 ((-1285) $ (-592))) (-15 -2499 ((-1285) $ (-237))) (-15 -2201 ((-1285) $ (-1191))) (-15 -2355 ((-1285) $ (-1173))) (-15 -1580 ((-1285) $ (-1173) (-1173))) (-15 -3329 ((-1285) $)) (-15 -1894 ((-1285) $)) (-15 -4502 ((-1285) $)) (-15 -3140 ((-1285) $)) (-15 -4212 ((-1285) $)) (-15 -1944 ((-1285) $)) (-15 -4484 ((-1285) $)) (-15 -2421 ((-1285) $)) (-15 -4513 ((-1285) $)) (-15 -3411 ((-1285) $)) (-15 -1950 ((-1285) $)) (-15 -1895 ((-1285) $)) (-15 -3661 ((-1285) $)) (-15 -3042 ((-1285) $)) (-15 -2983 ((-592) $)) (-15 -2414 ((-237) $)) (-15 -4340 ((-1191) $)) (-15 -4444 ((-1173) $)) (-15 -3088 ((-2 (|:| |cd| (-1173)) (|:| -4095 (-1173))) $)) (-15 -1851 ((-1191) $))) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 12)) (-3236 (($) 15)) (-3998 (($) 13)) (-1583 (($) 16)) (-4303 (($) 14)) (-3255 (((-141) $ $) 8))) 
-(((-845) (-13 (-1119) (-10 -8 (-15 -3998 ($)) (-15 -3236 ($)) (-15 -1583 ($)) (-15 -4303 ($))))) (T -845)) 
-((-3998 (*1 *1) (-5 *1 (-845))) (-3236 (*1 *1) (-5 *1 (-845))) (-1583 (*1 *1) (-5 *1 (-845))) (-4303 (*1 *1) (-5 *1 (-845)))) 
-(-13 (-1119) (-10 -8 (-15 -3998 ($)) (-15 -3236 ($)) (-15 -1583 ($)) (-15 -4303 ($)))) 
-((-1641 (((-141) $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 21) (($ (-1191)) 17)) (-4413 (((-141) $) 10)) (-1315 (((-141) $) 9)) (-2471 (((-141) $) 11)) (-2028 (((-141) $) 8)) (-3255 (((-141) $ $) 19))) 
-(((-846) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-1191))) (-15 -2028 ((-141) $)) (-15 -1315 ((-141) $)) (-15 -4413 ((-141) $)) (-15 -2471 ((-141) $))))) (T -846)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-846)))) (-2028 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846)))) (-1315 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846)))) (-4413 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846)))) (-2471 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-1191))) (-15 -2028 ((-141) $)) (-15 -1315 ((-141) $)) (-15 -4413 ((-141) $)) (-15 -2471 ((-141) $)))) 
-((-1641 (((-141) $ $) NIL)) (-2158 (($ (-846) (-658 (-1191))) 24)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4411 (((-846) $) 25)) (-2855 (((-658 (-1191)) $) 26)) (-1683 (((-877) $) 23)) (-3255 (((-141) $ $) NIL))) 
-(((-847) (-13 (-1119) (-10 -8 (-15 -4411 ((-846) $)) (-15 -2855 ((-658 (-1191)) $)) (-15 -2158 ($ (-846) (-658 (-1191))))))) (T -847)) 
-((-4411 (*1 *2 *1) (-12 (-5 *2 (-846)) (-5 *1 (-847)))) (-2855 (*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-847)))) (-2158 (*1 *1 *2 *3) (-12 (-5 *2 (-846)) (-5 *3 (-658 (-1191))) (-5 *1 (-847))))) 
-(-13 (-1119) (-10 -8 (-15 -4411 ((-846) $)) (-15 -2855 ((-658 (-1191)) $)) (-15 -2158 ($ (-846) (-658 (-1191)))))) 
-((-1637 (((-1285) (-844) (-332 |#1|) (-141)) 22) (((-1285) (-844) (-332 |#1|)) 76) (((-1173) (-332 |#1|) (-141)) 75) (((-1173) (-332 |#1|)) 74))) 
-(((-848 |#1|) (-10 -7 (-15 -1637 ((-1173) (-332 |#1|))) (-15 -1637 ((-1173) (-332 |#1|) (-141))) (-15 -1637 ((-1285) (-844) (-332 |#1|))) (-15 -1637 ((-1285) (-844) (-332 |#1|) (-141)))) (-13 (-850) (-869) (-1075))) (T -848)) 
-((-1637 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-844)) (-5 *4 (-332 *6)) (-5 *5 (-141)) (-4 *6 (-13 (-850) (-869) (-1075))) (-5 *2 (-1285)) (-5 *1 (-848 *6)))) (-1637 (*1 *2 *3 *4) (-12 (-5 *3 (-844)) (-5 *4 (-332 *5)) (-4 *5 (-13 (-850) (-869) (-1075))) (-5 *2 (-1285)) (-5 *1 (-848 *5)))) (-1637 (*1 *2 *3 *4) (-12 (-5 *3 (-332 *5)) (-5 *4 (-141)) (-4 *5 (-13 (-850) (-869) (-1075))) (-5 *2 (-1173)) (-5 *1 (-848 *5)))) (-1637 (*1 *2 *3) (-12 (-5 *3 (-332 *4)) (-4 *4 (-13 (-850) (-869) (-1075))) (-5 *2 (-1173)) (-5 *1 (-848 *4))))) 
-(-10 -7 (-15 -1637 ((-1173) (-332 |#1|))) (-15 -1637 ((-1173) (-332 |#1|) (-141))) (-15 -1637 ((-1285) (-844) (-332 |#1|))) (-15 -1637 ((-1285) (-844) (-332 |#1|) (-141)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3864 ((|#1| $) 10)) (-1608 (($ |#1|) 9)) (-3558 (((-141) $) NIL)) (-4526 (($ |#2| (-790)) NIL)) (-4206 (((-790) $) NIL)) (-4579 ((|#2| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3644 (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $) NIL (|has| |#1| (-247)))) (-4525 (((-790) $) NIL)) (-1683 (((-877) $) 17) (($ (-592)) NIL) (($ |#2|) NIL (|has| |#2| (-194)))) (-1937 ((|#2| $ (-790)) NIL)) (-4010 (((-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $) NIL (|has| |#1| (-247)))) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-849 |#1| |#2|) (-13 (-725 |#2|) (-10 -8 (IF (|has| |#1| (-247)) (-6 (-247)) |noBranch|) (-15 -1608 ($ |#1|)) (-15 -3864 (|#1| $)))) (-725 |#2|) (-1075)) (T -849)) 
-((-1608 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-849 *2 *3)) (-4 *2 (-725 *3)))) (-3864 (*1 *2 *1) (-12 (-4 *2 (-725 *3)) (-5 *1 (-849 *2 *3)) (-4 *3 (-1075))))) 
-(-13 (-725 |#2|) (-10 -8 (IF (|has| |#1| (-247)) (-6 (-247)) |noBranch|) (-15 -1608 ($ |#1|)) (-15 -3864 (|#1| $)))) 
-((-1637 (((-1285) (-844) $ (-141)) 9) (((-1285) (-844) $) 8) (((-1173) $ (-141)) 7) (((-1173) $) 6))) 
-(((-850) (-1311)) (T -850)) 
-((-1637 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-850)) (-5 *3 (-844)) (-5 *4 (-141)) (-5 *2 (-1285)))) (-1637 (*1 *2 *3 *1) (-12 (-4 *1 (-850)) (-5 *3 (-844)) (-5 *2 (-1285)))) (-1637 (*1 *2 *1 *3) (-12 (-4 *1 (-850)) (-5 *3 (-141)) (-5 *2 (-1173)))) (-1637 (*1 *2 *1) (-12 (-4 *1 (-850)) (-5 *2 (-1173))))) 
-(-13 (-10 -8 (-15 -1637 ((-1173) $)) (-15 -1637 ((-1173) $ (-141))) (-15 -1637 ((-1285) (-844) $)) (-15 -1637 ((-1285) (-844) $ (-141))))) 
-((-4605 (((-327) (-1173) (-1173)) 12)) (-3513 (((-141) (-1173) (-1173)) 33)) (-4311 (((-141) (-1173)) 32)) (-3197 (((-57) (-1173)) 25)) (-1384 (((-57) (-1173)) 23)) (-1913 (((-57) (-844)) 17)) (-3979 (((-658 (-1173)) (-1173)) 28)) (-2899 (((-658 (-1173))) 27))) 
-(((-851) (-10 -7 (-15 -1913 ((-57) (-844))) (-15 -1384 ((-57) (-1173))) (-15 -3197 ((-57) (-1173))) (-15 -2899 ((-658 (-1173)))) (-15 -3979 ((-658 (-1173)) (-1173))) (-15 -4311 ((-141) (-1173))) (-15 -3513 ((-141) (-1173) (-1173))) (-15 -4605 ((-327) (-1173) (-1173))))) (T -851)) 
-((-4605 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-851)))) (-3513 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-141)) (-5 *1 (-851)))) (-4311 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-141)) (-5 *1 (-851)))) (-3979 (*1 *2 *3) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-851)) (-5 *3 (-1173)))) (-2899 (*1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-851)))) (-3197 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-57)) (-5 *1 (-851)))) (-1384 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-57)) (-5 *1 (-851)))) (-1913 (*1 *2 *3) (-12 (-5 *3 (-844)) (-5 *2 (-57)) (-5 *1 (-851))))) 
-(-10 -7 (-15 -1913 ((-57) (-844))) (-15 -1384 ((-57) (-1173))) (-15 -3197 ((-57) (-1173))) (-15 -2899 ((-658 (-1173)))) (-15 -3979 ((-658 (-1173)) (-1173))) (-15 -4311 ((-141) (-1173))) (-15 -3513 ((-141) (-1173) (-1173))) (-15 -4605 ((-327) (-1173) (-1173)))) 
-((-1641 (((-141) $ $) 18)) (-4528 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-4471 (($ $ $) 68)) (-2461 (((-141) $ $) 69)) (-2126 (((-141) $ (-790)) 8)) (-2224 (($ (-658 |#1|)) 64) (($) 63)) (-4125 (($ (-1 (-141) |#1|) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) 52 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-1461 (($ $) 58)) (-1360 (($ $) 55 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ |#1| $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) 43 (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) 54 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 51 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-1837 ((|#1| $) 74)) (-2713 (($ $ $) 77)) (-4491 (($ $ $) 76)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3319 ((|#1| $) 75)) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22)) (-2852 (($ $ $) 65)) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37) (($ |#1| $ (-790)) 59)) (-2951 (((-1137) $) 21)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 48)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-2043 (((-658 (-2 (|:| -3552 |#1|) (|:| -3452 (-790)))) $) 57)) (-4328 (($ $ |#1|) 67) (($ $ $) 66)) (-1653 (($) 46) (($ (-658 |#1|)) 45)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 47)) (-1683 (((-877) $) 20)) (-4586 (($ (-658 |#1|)) 62) (($) 61)) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19)) (-3266 (((-141) $ $) 60)) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-852 |#1|) (-1311) (-869)) (T -852)) 
-((-1837 (*1 *2 *1) (-12 (-4 *1 (-852 *2)) (-4 *2 (-869))))) 
-(-13 (-753 |t#1|) (-997 |t#1|) (-10 -8 (-15 -1837 (|t#1| $)))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) . T) ((-632 (-877)) . T) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-249 |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-711 |#1|) . T) ((-753 |#1|) . T) ((-997 |#1|) . T) ((-1116 |#1|) . T) ((-1119) . T) ((-1225) . T)) 
-((-3737 (((-1285) (-1137) (-1137)) 47)) (-1656 (((-1285) (-843) (-57)) 44)) (-4183 (((-57) (-843)) 16))) 
-(((-853) (-10 -7 (-15 -4183 ((-57) (-843))) (-15 -1656 ((-1285) (-843) (-57))) (-15 -3737 ((-1285) (-1137) (-1137))))) (T -853)) 
-((-3737 (*1 *2 *3 *3) (-12 (-5 *3 (-1137)) (-5 *2 (-1285)) (-5 *1 (-853)))) (-1656 (*1 *2 *3 *4) (-12 (-5 *3 (-843)) (-5 *4 (-57)) (-5 *2 (-1285)) (-5 *1 (-853)))) (-4183 (*1 *2 *3) (-12 (-5 *3 (-843)) (-5 *2 (-57)) (-5 *1 (-853))))) 
-(-10 -7 (-15 -4183 ((-57) (-843))) (-15 -1656 ((-1285) (-843) (-57))) (-15 -3737 ((-1285) (-1137) (-1137)))) 
-((-2731 (((-855 |#2|) (-1 |#2| |#1|) (-855 |#1|) (-855 |#2|)) 12) (((-855 |#2|) (-1 |#2| |#1|) (-855 |#1|)) 13))) 
-(((-854 |#1| |#2|) (-10 -7 (-15 -2731 ((-855 |#2|) (-1 |#2| |#1|) (-855 |#1|))) (-15 -2731 ((-855 |#2|) (-1 |#2| |#1|) (-855 |#1|) (-855 |#2|)))) (-1119) (-1119)) (T -854)) 
-((-2731 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-855 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-855 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *1 (-854 *5 *6)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-855 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-855 *6)) (-5 *1 (-854 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-855 |#2|) (-1 |#2| |#1|) (-855 |#1|))) (-15 -2731 ((-855 |#2|) (-1 |#2| |#1|) (-855 |#1|) (-855 |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL (|has| |#1| (-21)))) (-2350 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3940 (((-592) $) NIL (|has| |#1| (-867)))) (-3001 (($) NIL (|has| |#1| (-21)) CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 15)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 9)) (-3371 (((-3 $ "failed") $) 40 (|has| |#1| (-867)))) (-4182 (((-3 (-433 (-592)) "failed") $) 48 (|has| |#1| (-574)))) (-2435 (((-141) $) 43 (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) 45 (|has| |#1| (-574)))) (-1691 (((-141) $) NIL (|has| |#1| (-867)))) (-3558 (((-141) $) NIL (|has| |#1| (-867)))) (-1324 (((-141) $) NIL (|has| |#1| (-867)))) (-1837 (($ $ $) NIL (|has| |#1| (-867)))) (-3319 (($ $ $) NIL (|has| |#1| (-867)))) (-2685 (((-1173) $) NIL)) (-4109 (($) 13)) (-2349 (((-141) $) 12)) (-2951 (((-1137) $) NIL)) (-3561 (((-141) $) 11)) (-1683 (((-877) $) 18) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) 8) (($ (-592)) NIL (-3836 (|has| |#1| (-867)) (|has| |#1| (-1065 (-592)))))) (-4010 (((-790)) 34 (|has| |#1| (-867)))) (-1392 (($ $) NIL (|has| |#1| (-867)))) (-1424 (($ $ (-944)) NIL (|has| |#1| (-867))) (($ $ (-790)) NIL (|has| |#1| (-867)))) (-3514 (($) 22 (|has| |#1| (-21)) CONST)) (-4257 (($) 31 (|has| |#1| (-867)) CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3255 (((-141) $ $) 20)) (-3279 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3266 (((-141) $ $) 42 (|has| |#1| (-867)))) (-3306 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-3300 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-944)) NIL (|has| |#1| (-867))) (($ $ (-790)) NIL (|has| |#1| (-867)))) (* (($ $ $) 37 (|has| |#1| (-867))) (($ (-592) $) 25 (|has| |#1| (-21))) (($ (-790) $) NIL (|has| |#1| (-21))) (($ (-944) $) NIL (|has| |#1| (-21))))) 
-(((-855 |#1|) (-13 (-1119) (-437 |#1|) (-10 -8 (-15 -4109 ($)) (-15 -3561 ((-141) $)) (-15 -2349 ((-141) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-867)) |noBranch|) (IF (|has| |#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|))) (-1119)) (T -855)) 
-((-4109 (*1 *1) (-12 (-5 *1 (-855 *2)) (-4 *2 (-1119)))) (-3561 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-855 *3)) (-4 *3 (-1119)))) (-2349 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-855 *3)) (-4 *3 (-1119)))) (-2435 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-855 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) (-2270 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-855 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) (-4182 (*1 *2 *1) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-855 *3)) (-4 *3 (-574)) (-4 *3 (-1119))))) 
-(-13 (-1119) (-437 |#1|) (-10 -8 (-15 -4109 ($)) (-15 -3561 ((-141) $)) (-15 -2349 ((-141) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-867)) |noBranch|) (IF (|has| |#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-143) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-143) $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4297 ((|#1| (-143) |#1|) NIL)) (-3558 (((-141) $) NIL)) (-4415 (($ |#1| (-386 (-143))) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3165 (($ $ (-1 |#1| |#1|)) NIL)) (-1646 (($ $ (-1 |#1| |#1|)) NIL)) (-3927 ((|#1| $ |#1|) NIL)) (-4454 ((|#1| |#1|) NIL (|has| |#1| (-194)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-143)) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2332 (($ $) NIL (|has| |#1| (-194))) (($ $ $) NIL (|has| |#1| (-194)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ (-143) (-592)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-194))) (($ $ |#1|) NIL (|has| |#1| (-194))))) 
-(((-856 |#1|) (-13 (-1075) (-1065 |#1|) (-1065 (-143)) (-303 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-194)) (PROGN (-6 (-43 |#1|)) (-15 -2332 ($ $)) (-15 -2332 ($ $ $)) (-15 -4454 (|#1| |#1|))) |noBranch|) (-15 -1646 ($ $ (-1 |#1| |#1|))) (-15 -3165 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-143) (-592))) (-15 ** ($ $ (-592))) (-15 -4297 (|#1| (-143) |#1|)) (-15 -4415 ($ |#1| (-386 (-143)))))) (-1075)) (T -856)) 
-((-2332 (*1 *1 *1) (-12 (-5 *1 (-856 *2)) (-4 *2 (-194)) (-4 *2 (-1075)))) (-2332 (*1 *1 *1 *1) (-12 (-5 *1 (-856 *2)) (-4 *2 (-194)) (-4 *2 (-1075)))) (-4454 (*1 *2 *2) (-12 (-5 *1 (-856 *2)) (-4 *2 (-194)) (-4 *2 (-1075)))) (-1646 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-856 *3)))) (-3165 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-856 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-592)) (-5 *1 (-856 *4)) (-4 *4 (-1075)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-856 *3)) (-4 *3 (-1075)))) (-4297 (*1 *2 *3 *2) (-12 (-5 *3 (-143)) (-5 *1 (-856 *2)) (-4 *2 (-1075)))) (-4415 (*1 *1 *2 *3) (-12 (-5 *3 (-386 (-143))) (-5 *1 (-856 *2)) (-4 *2 (-1075))))) 
-(-13 (-1075) (-1065 |#1|) (-1065 (-143)) (-303 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |#1| (-194)) (PROGN (-6 (-43 |#1|)) (-15 -2332 ($ $)) (-15 -2332 ($ $ $)) (-15 -4454 (|#1| |#1|))) |noBranch|) (-15 -1646 ($ $ (-1 |#1| |#1|))) (-15 -3165 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-143) (-592))) (-15 ** ($ $ (-592))) (-15 -4297 (|#1| (-143) |#1|)) (-15 -4415 ($ |#1| (-386 (-143)))))) 
-((-2293 (((-227 (-535)) (-1173)) 8))) 
-(((-857) (-10 -7 (-15 -2293 ((-227 (-535)) (-1173))))) (T -857)) 
-((-2293 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-227 (-535))) (-5 *1 (-857))))) 
-(-10 -7 (-15 -2293 ((-227 (-535)) (-1173)))) 
-((-1641 (((-141) $ $) 7)) (-1432 (((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 13) (((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 12)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 15) (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 14)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-858) (-1311)) (T -858)) 
-((-2617 (*1 *2 *3 *4) (-12 (-4 *1 (-858)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) (-2617 (*1 *2 *3 *4) (-12 (-4 *1 (-858)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) (-1432 (*1 *2 *3) (-12 (-4 *1 (-858)) (-5 *3 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-1063)))) (-1432 (*1 *2 *3) (-12 (-4 *1 (-858)) (-5 *3 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *2 (-1063))))) 
-(-13 (-1119) (-10 -7 (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -1432 ((-1063) (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -1432 ((-1063) (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3512 (((-1063) (-658 (-332 (-405))) (-658 (-405))) 143) (((-1063) (-332 (-405)) (-658 (-405))) 141) (((-1063) (-332 (-405)) (-658 (-405)) (-658 (-862 (-405))) (-658 (-862 (-405)))) 140) (((-1063) (-332 (-405)) (-658 (-405)) (-658 (-862 (-405))) (-658 (-332 (-405))) (-658 (-862 (-405)))) 139) (((-1063) (-860)) 112) (((-1063) (-860) (-1087)) 111)) (-2617 (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-860) (-1087)) 76) (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-860)) 78)) (-3222 (((-1063) (-658 (-332 (-405))) (-658 (-405))) 144) (((-1063) (-860)) 128))) 
-(((-859) (-10 -7 (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-860))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-860) (-1087))) (-15 -3512 ((-1063) (-860) (-1087))) (-15 -3512 ((-1063) (-860))) (-15 -3222 ((-1063) (-860))) (-15 -3512 ((-1063) (-332 (-405)) (-658 (-405)) (-658 (-862 (-405))) (-658 (-332 (-405))) (-658 (-862 (-405))))) (-15 -3512 ((-1063) (-332 (-405)) (-658 (-405)) (-658 (-862 (-405))) (-658 (-862 (-405))))) (-15 -3512 ((-1063) (-332 (-405)) (-658 (-405)))) (-15 -3512 ((-1063) (-658 (-332 (-405))) (-658 (-405)))) (-15 -3222 ((-1063) (-658 (-332 (-405))) (-658 (-405)))))) (T -859)) 
-((-3222 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-332 (-405)))) (-5 *4 (-658 (-405))) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3512 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-332 (-405)))) (-5 *4 (-658 (-405))) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3512 (*1 *2 *3 *4) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-405))) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3512 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-405))) (-5 *5 (-658 (-862 (-405)))) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3512 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-658 (-405))) (-5 *5 (-658 (-862 (-405)))) (-5 *6 (-658 (-332 (-405)))) (-5 *3 (-332 (-405))) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3222 (*1 *2 *3) (-12 (-5 *3 (-860)) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3512 (*1 *2 *3) (-12 (-5 *3 (-860)) (-5 *2 (-1063)) (-5 *1 (-859)))) (-3512 (*1 *2 *3 *4) (-12 (-5 *3 (-860)) (-5 *4 (-1087)) (-5 *2 (-1063)) (-5 *1 (-859)))) (-2617 (*1 *2 *3 *4) (-12 (-5 *3 (-860)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-859)))) (-2617 (*1 *2 *3) (-12 (-5 *3 (-860)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-859))))) 
-(-10 -7 (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-860))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-860) (-1087))) (-15 -3512 ((-1063) (-860) (-1087))) (-15 -3512 ((-1063) (-860))) (-15 -3222 ((-1063) (-860))) (-15 -3512 ((-1063) (-332 (-405)) (-658 (-405)) (-658 (-862 (-405))) (-658 (-332 (-405))) (-658 (-862 (-405))))) (-15 -3512 ((-1063) (-332 (-405)) (-658 (-405)) (-658 (-862 (-405))) (-658 (-862 (-405))))) (-15 -3512 ((-1063) (-332 (-405)) (-658 (-405)))) (-15 -3512 ((-1063) (-658 (-332 (-405))) (-658 (-405)))) (-15 -3222 ((-1063) (-658 (-332 (-405))) (-658 (-405))))) 
-((-1641 (((-141) $ $) NIL)) (-2400 (((-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) $) 15)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 14) (($ (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) 8) (($ (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) 12)) (-3255 (((-141) $ $) NIL))) 
-(((-860) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))))) (-15 -1683 ($ (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -1683 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) $))))) (T -860)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-860)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *1 (-860)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *1 (-860)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) (-5 *1 (-860)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) (-5 *1 (-860))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237))))))) (-15 -1683 ($ (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) (-15 -1683 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237)))))) $)))) 
-((-2731 (((-862 |#2|) (-1 |#2| |#1|) (-862 |#1|) (-862 |#2|) (-862 |#2|)) 13) (((-862 |#2|) (-1 |#2| |#1|) (-862 |#1|)) 14))) 
-(((-861 |#1| |#2|) (-10 -7 (-15 -2731 ((-862 |#2|) (-1 |#2| |#1|) (-862 |#1|))) (-15 -2731 ((-862 |#2|) (-1 |#2| |#1|) (-862 |#1|) (-862 |#2|) (-862 |#2|)))) (-1119) (-1119)) (T -861)) 
-((-2731 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-862 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-862 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *1 (-861 *5 *6)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-862 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-862 *6)) (-5 *1 (-861 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-862 |#2|) (-1 |#2| |#1|) (-862 |#1|))) (-15 -2731 ((-862 |#2|) (-1 |#2| |#1|) (-862 |#1|) (-862 |#2|) (-862 |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL (|has| |#1| (-21)))) (-3801 (((-1137) $) 24)) (-2350 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3940 (((-592) $) NIL (|has| |#1| (-867)))) (-3001 (($) NIL (|has| |#1| (-21)) CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 16)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 9)) (-3371 (((-3 $ "failed") $) 47 (|has| |#1| (-867)))) (-4182 (((-3 (-433 (-592)) "failed") $) 54 (|has| |#1| (-574)))) (-2435 (((-141) $) 49 (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) 52 (|has| |#1| (-574)))) (-1691 (((-141) $) NIL (|has| |#1| (-867)))) (-4374 (($) 13)) (-3558 (((-141) $) NIL (|has| |#1| (-867)))) (-1324 (((-141) $) NIL (|has| |#1| (-867)))) (-4366 (($) 14)) (-1837 (($ $ $) NIL (|has| |#1| (-867)))) (-3319 (($ $ $) NIL (|has| |#1| (-867)))) (-2685 (((-1173) $) NIL)) (-2349 (((-141) $) 12)) (-2951 (((-1137) $) NIL)) (-3561 (((-141) $) 11)) (-1683 (((-877) $) 22) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) 8) (($ (-592)) NIL (-3836 (|has| |#1| (-867)) (|has| |#1| (-1065 (-592)))))) (-4010 (((-790)) 41 (|has| |#1| (-867)))) (-1392 (($ $) NIL (|has| |#1| (-867)))) (-1424 (($ $ (-944)) NIL (|has| |#1| (-867))) (($ $ (-790)) NIL (|has| |#1| (-867)))) (-3514 (($) 29 (|has| |#1| (-21)) CONST)) (-4257 (($) 38 (|has| |#1| (-867)) CONST)) (-3286 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3255 (((-141) $ $) 27)) (-3279 (((-141) $ $) NIL (|has| |#1| (-867)))) (-3266 (((-141) $ $) 48 (|has| |#1| (-867)))) (-3306 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 34 (|has| |#1| (-21)))) (-3300 (($ $ $) 36 (|has| |#1| (-21)))) (** (($ $ (-944)) NIL (|has| |#1| (-867))) (($ $ (-790)) NIL (|has| |#1| (-867)))) (* (($ $ $) 44 (|has| |#1| (-867))) (($ (-592) $) 32 (|has| |#1| (-21))) (($ (-790) $) NIL (|has| |#1| (-21))) (($ (-944) $) NIL (|has| |#1| (-21))))) 
-(((-862 |#1|) (-13 (-1119) (-437 |#1|) (-10 -8 (-15 -4374 ($)) (-15 -4366 ($)) (-15 -3561 ((-141) $)) (-15 -2349 ((-141) $)) (-15 -3801 ((-1137) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-867)) |noBranch|) (IF (|has| |#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|))) (-1119)) (T -862)) 
-((-4374 (*1 *1) (-12 (-5 *1 (-862 *2)) (-4 *2 (-1119)))) (-4366 (*1 *1) (-12 (-5 *1 (-862 *2)) (-4 *2 (-1119)))) (-3561 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-862 *3)) (-4 *3 (-1119)))) (-2349 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-862 *3)) (-4 *3 (-1119)))) (-3801 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-862 *3)) (-4 *3 (-1119)))) (-2435 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-862 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) (-2270 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-862 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) (-4182 (*1 *2 *1) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-862 *3)) (-4 *3 (-574)) (-4 *3 (-1119))))) 
-(-13 (-1119) (-437 |#1|) (-10 -8 (-15 -4374 ($)) (-15 -4366 ($)) (-15 -3561 ((-141) $)) (-15 -2349 ((-141) $)) (-15 -3801 ((-1137) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-867)) |noBranch|) (IF (|has| |#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|))) 
-((-1641 (((-141) $ $) 7)) (-1403 (((-790)) 19)) (-4290 (($) 22)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-3546 (((-944) $) 21)) (-2685 (((-1173) $) 9)) (-1825 (($ (-944)) 20)) (-2951 (((-1137) $) 10)) (-1405 (((-658 $)) 23)) (-1683 (((-877) $) 11)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17))) 
-(((-863) (-1311)) (T -863)) 
-NIL 
-(-13 (-869) (-394)) 
-(((-125) . T) ((-632 (-877)) . T) ((-394) . T) ((-869) . T) ((-1119) . T)) 
-((-2437 (((-141) (-1280 |#2|) (-1280 |#2|)) 17)) (-3549 (((-141) (-1280 |#2|) (-1280 |#2|)) 18)) (-3541 (((-141) (-1280 |#2|) (-1280 |#2|)) 14))) 
-(((-864 |#1| |#2|) (-10 -7 (-15 -3541 ((-141) (-1280 |#2|) (-1280 |#2|))) (-15 -2437 ((-141) (-1280 |#2|) (-1280 |#2|))) (-15 -3549 ((-141) (-1280 |#2|) (-1280 |#2|)))) (-790) (-814)) (T -864)) 
-((-3549 (*1 *2 *3 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-814)) (-5 *2 (-141)) (-5 *1 (-864 *4 *5)) (-14 *4 (-790)))) (-2437 (*1 *2 *3 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-814)) (-5 *2 (-141)) (-5 *1 (-864 *4 *5)) (-14 *4 (-790)))) (-3541 (*1 *2 *3 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-814)) (-5 *2 (-141)) (-5 *1 (-864 *4 *5)) (-14 *4 (-790))))) 
-(-10 -7 (-15 -3541 ((-141) (-1280 |#2|) (-1280 |#2|))) (-15 -2437 ((-141) (-1280 |#2|) (-1280 |#2|))) (-15 -3549 ((-141) (-1280 |#2|) (-1280 |#2|)))) 
-((-1641 (((-141) $ $) 7)) (-3001 (($) 23 T CONST)) (-3371 (((-3 $ "failed") $) 27)) (-3558 (((-141) $) 24)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-790)) 26) (($ $ (-944)) 21)) (-4257 (($) 22 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (** (($ $ (-790)) 25) (($ $ (-944)) 20)) (* (($ $ $) 19))) 
-(((-865) (-1311)) (T -865)) 
-NIL 
-(-13 (-869) (-743)) 
-(((-125) . T) ((-632 (-877)) . T) ((-743) . T) ((-869) . T) ((-1131) . T) ((-1119) . T)) 
-((-3940 (((-592) $) 17)) (-1691 (((-141) $) 10)) (-1324 (((-141) $) 11)) (-1392 (($ $) 19))) 
-(((-866 |#1|) (-10 -8 (-15 -1392 (|#1| |#1|)) (-15 -3940 ((-592) |#1|)) (-15 -1324 ((-141) |#1|)) (-15 -1691 ((-141) |#1|))) (-867)) (T -866)) 
-NIL 
-(-10 -8 (-15 -1392 (|#1| |#1|)) (-15 -3940 ((-592) |#1|)) (-15 -1324 ((-141) |#1|)) (-15 -1691 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 23)) (-2350 (((-3 $ "failed") $ $) 25)) (-3940 (((-592) $) 32)) (-3001 (($) 22 T CONST)) (-3371 (((-3 $ "failed") $) 38)) (-1691 (((-141) $) 34)) (-3558 (((-141) $) 41)) (-1324 (((-141) $) 33)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 44)) (-4010 (((-790)) 43)) (-1392 (($ $) 31)) (-1424 (($ $ (-790)) 39) (($ $ (-944)) 35)) (-3514 (($) 21 T CONST)) (-4257 (($) 42 T CONST)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17)) (-3306 (($ $ $) 27) (($ $) 26)) (-3300 (($ $ $) 19)) (** (($ $ (-790)) 40) (($ $ (-944)) 36)) (* (($ (-790) $) 24) (($ (-944) $) 20) (($ (-592) $) 28) (($ $ $) 37))) 
-(((-867) (-1311)) (T -867)) 
-((-1691 (*1 *2 *1) (-12 (-4 *1 (-867)) (-5 *2 (-141)))) (-1324 (*1 *2 *1) (-12 (-4 *1 (-867)) (-5 *2 (-141)))) (-3940 (*1 *2 *1) (-12 (-4 *1 (-867)) (-5 *2 (-592)))) (-1392 (*1 *1 *1) (-4 *1 (-867)))) 
-(-13 (-813) (-1075) (-743) (-10 -8 (-15 -1691 ((-141) $)) (-15 -1324 ((-141) $)) (-15 -3940 ((-592) $)) (-15 -1392 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-813) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-869) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1837 (($ $ $) 10)) (-3319 (($ $ $) 9)) (-3286 (((-141) $ $) 12)) (-3273 (((-141) $ $) 11)) (-3279 (((-141) $ $) 13))) 
-(((-868 |#1|) (-10 -8 (-15 -1837 (|#1| |#1| |#1|)) (-15 -3319 (|#1| |#1| |#1|)) (-15 -3279 ((-141) |#1| |#1|)) (-15 -3286 ((-141) |#1| |#1|)) (-15 -3273 ((-141) |#1| |#1|))) (-869)) (T -868)) 
-NIL 
-(-10 -8 (-15 -1837 (|#1| |#1| |#1|)) (-15 -3319 (|#1| |#1| |#1|)) (-15 -3279 ((-141) |#1| |#1|)) (-15 -3286 ((-141) |#1| |#1|)) (-15 -3273 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-1837 (($ $ $) 12)) (-3319 (($ $ $) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3286 (((-141) $ $) 15)) (-3273 (((-141) $ $) 16)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 14)) (-3266 (((-141) $ $) 17))) 
-(((-869) (-1311)) (T -869)) 
-((-3266 (*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) (-3273 (*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) (-3286 (*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) (-3279 (*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) (-3319 (*1 *1 *1 *1) (-4 *1 (-869))) (-1837 (*1 *1 *1 *1) (-4 *1 (-869)))) 
-(-13 (-1119) (-10 -8 (-15 -3266 ((-141) $ $)) (-15 -3273 ((-141) $ $)) (-15 -3286 ((-141) $ $)) (-15 -3279 ((-141) $ $)) (-15 -3319 ($ $ $)) (-15 -1837 ($ $ $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-2484 (($ $ $) 45)) (-3883 (($ $ $) 44)) (-1956 (($ $ $) 42)) (-1819 (($ $ $) 51)) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 46)) (-1477 (((-3 $ "failed") $ $) 49)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-3262 (($ $) 35)) (-1763 (($ $ $) 39)) (-4308 (($ $ $) 38)) (-3696 (($ $ $) 47)) (-4262 (($ $ $) 53)) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 41)) (-4156 (((-3 $ "failed") $ $) 48)) (-3616 (((-3 $ "failed") $ |#2|) 28)) (-1554 ((|#2| $) 32)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL) (($ |#2|) 12)) (-1647 (((-658 |#2|) $) 18)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
-(((-870 |#1| |#2|) (-10 -8 (-15 -3696 (|#1| |#1| |#1|)) (-15 -2423 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2934 |#1|)) |#1| |#1|)) (-15 -1819 (|#1| |#1| |#1|)) (-15 -1477 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2484 (|#1| |#1| |#1|)) (-15 -3883 (|#1| |#1| |#1|)) (-15 -1956 (|#1| |#1| |#1|)) (-15 -1603 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2934 |#1|)) |#1| |#1|)) (-15 -4262 (|#1| |#1| |#1|)) (-15 -4156 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1763 (|#1| |#1| |#1|)) (-15 -4308 (|#1| |#1| |#1|)) (-15 -3262 (|#1| |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1647 ((-658 |#2|) |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -1683 ((-877) |#1|))) (-871 |#2|) (-1075)) (T -870)) 
-NIL 
-(-10 -8 (-15 -3696 (|#1| |#1| |#1|)) (-15 -2423 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2934 |#1|)) |#1| |#1|)) (-15 -1819 (|#1| |#1| |#1|)) (-15 -1477 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2484 (|#1| |#1| |#1|)) (-15 -3883 (|#1| |#1| |#1|)) (-15 -1956 (|#1| |#1| |#1|)) (-15 -1603 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2934 |#1|)) |#1| |#1|)) (-15 -4262 (|#1| |#1| |#1|)) (-15 -4156 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1763 (|#1| |#1| |#1|)) (-15 -4308 (|#1| |#1| |#1|)) (-15 -3262 (|#1| |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3616 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1647 ((-658 |#2|) |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2484 (($ $ $) 44 (|has| |#1| (-388)))) (-3883 (($ $ $) 45 (|has| |#1| (-388)))) (-1956 (($ $ $) 47 (|has| |#1| (-388)))) (-1819 (($ $ $) 42 (|has| |#1| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 41 (|has| |#1| (-388)))) (-1477 (((-3 $ "failed") $ $) 43 (|has| |#1| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 46 (|has| |#1| (-388)))) (-4368 (((-3 (-592) "failed") $) 73 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 71 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 68)) (-2400 (((-592) $) 74 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 72 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 67)) (-4593 (($ $) 63)) (-3371 (((-3 $ "failed") $) 33)) (-3262 (($ $) 54 (|has| |#1| (-477)))) (-3558 (((-141) $) 30)) (-4526 (($ |#1| (-790)) 61)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 56 (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 57 (|has| |#1| (-582)))) (-4206 (((-790) $) 65)) (-1763 (($ $ $) 51 (|has| |#1| (-388)))) (-4308 (($ $ $) 52 (|has| |#1| (-388)))) (-3696 (($ $ $) 40 (|has| |#1| (-388)))) (-4262 (($ $ $) 49 (|has| |#1| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 48 (|has| |#1| (-388)))) (-4156 (((-3 $ "failed") $ $) 50 (|has| |#1| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 53 (|has| |#1| (-388)))) (-4579 ((|#1| $) 64)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-582)))) (-4525 (((-790) $) 66)) (-1554 ((|#1| $) 55 (|has| |#1| (-477)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 70 (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) 69)) (-1647 (((-658 |#1|) $) 60)) (-1937 ((|#1| $ (-790)) 62)) (-4010 (((-790)) 28)) (-4572 ((|#1| $ |#1| |#1|) 59)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-871 |#1|) (-1311) (-1075)) (T -871)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-871 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) (-4206 (*1 *2 *1) (-12 (-4 *1 (-871 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) (-4579 (*1 *2 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)))) (-4593 (*1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)))) (-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-871 *2)) (-4 *2 (-1075)))) (-4526 (*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-871 *2)) (-4 *2 (-1075)))) (-1647 (*1 *2 *1) (-12 (-4 *1 (-871 *3)) (-4 *3 (-1075)) (-5 *2 (-658 *3)))) (-4572 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)))) (-3616 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-582)))) (-2641 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) (-1844 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) (-1554 (*1 *2 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-477)))) (-3262 (*1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-477)))) (-4084 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) (-4308 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-1763 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-4156 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-4262 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-1603 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2934 *1))) (-4 *1 (-871 *3)))) (-1956 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-3172 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) (-3883 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-2484 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-1477 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-1819 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-2423 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2934 *1))) (-4 *1 (-871 *3)))) (-3696 (*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(-13 (-1075) (-140 |t#1| |t#1|) (-437 |t#1|) (-10 -8 (-15 -4525 ((-790) $)) (-15 -4206 ((-790) $)) (-15 -4579 (|t#1| $)) (-15 -4593 ($ $)) (-15 -1937 (|t#1| $ (-790))) (-15 -4526 ($ |t#1| (-790))) (-15 -1647 ((-658 |t#1|) $)) (-15 -4572 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-194)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-582)) (PROGN (-15 -3616 ((-3 $ "failed") $ |t#1|)) (-15 -2641 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -1844 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-477)) (PROGN (-15 -1554 (|t#1| $)) (-15 -3262 ($ $))) |noBranch|) (IF (|has| |t#1| (-388)) (PROGN (-15 -4084 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -4308 ($ $ $)) (-15 -1763 ($ $ $)) (-15 -4156 ((-3 $ "failed") $ $)) (-15 -4262 ($ $ $)) (-15 -1603 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $)) (-15 -1956 ($ $ $)) (-15 -3172 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -3883 ($ $ $)) (-15 -2484 ($ $ $)) (-15 -1477 ((-3 $ "failed") $ $)) (-15 -1819 ($ $ $)) (-15 -2423 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $)) (-15 -3696 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-194)) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-437 |#1|) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) |has| |#1| (-194)) ((-743) . T) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-4090 ((|#2| |#2| |#2| (-121 |#1|) (-1 |#1| |#1|)) 20)) (-3172 (((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)) 43 (|has| |#1| (-388)))) (-1844 (((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)) 40 (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)) 39 (|has| |#1| (-582)))) (-4084 (((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)) 42 (|has| |#1| (-388)))) (-4572 ((|#1| |#2| |#1| |#1| (-121 |#1|) (-1 |#1| |#1|)) 31))) 
-(((-872 |#1| |#2|) (-10 -7 (-15 -4090 (|#2| |#2| |#2| (-121 |#1|) (-1 |#1| |#1|))) (-15 -4572 (|#1| |#2| |#1| |#1| (-121 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-582)) (PROGN (-15 -2641 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|))) (-15 -1844 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-15 -4084 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|))) (-15 -3172 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)))) |noBranch|)) (-1075) (-871 |#1|)) (T -872)) 
-((-3172 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5)))) (-4084 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5)))) (-1844 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-582)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5)))) (-2641 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-582)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5)))) (-4572 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-121 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1075)) (-5 *1 (-872 *2 *3)) (-4 *3 (-871 *2)))) (-4090 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-121 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1075)) (-5 *1 (-872 *5 *2)) (-4 *2 (-871 *5))))) 
-(-10 -7 (-15 -4090 (|#2| |#2| |#2| (-121 |#1|) (-1 |#1| |#1|))) (-15 -4572 (|#1| |#2| |#1| |#1| (-121 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-582)) (PROGN (-15 -2641 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|))) (-15 -1844 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-15 -4084 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|))) (-15 -3172 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2| (-121 |#1|)))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-2484 (($ $ $) NIL (|has| |#1| (-388)))) (-3883 (($ $ $) NIL (|has| |#1| (-388)))) (-1956 (($ $ $) NIL (|has| |#1| (-388)))) (-1819 (($ $ $) NIL (|has| |#1| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-1477 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 25 (|has| |#1| (-388)))) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477)))) (-4149 (((-877) $ (-877)) NIL)) (-3558 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 21 (|has| |#1| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 19 (|has| |#1| (-582)))) (-4206 (((-790) $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-388)))) (-4308 (($ $ $) NIL (|has| |#1| (-388)))) (-3696 (($ $ $) NIL (|has| |#1| (-388)))) (-4262 (($ $ $) NIL (|has| |#1| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-4156 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 23 (|has| |#1| (-388)))) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-4525 (((-790) $) NIL)) (-1554 ((|#1| $) NIL (|has| |#1| (-477)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-1065 (-433 (-592))))) (($ |#1|) NIL)) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL)) (-4010 (((-790)) NIL)) (-4572 ((|#1| $ |#1| |#1|) 15)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-873 |#1| |#2| |#3|) (-13 (-871 |#1|) (-10 -8 (-15 -4149 ((-877) $ (-877))))) (-1075) (-121 |#1|) (-1 |#1| |#1|)) (T -873)) 
-((-4149 (*1 *2 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-121 *3)) (-14 *5 (-1 *3 *3))))) 
-(-13 (-871 |#1|) (-10 -8 (-15 -4149 ((-877) $ (-877))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-2484 (($ $ $) NIL (|has| |#2| (-388)))) (-3883 (($ $ $) NIL (|has| |#2| (-388)))) (-1956 (($ $ $) NIL (|has| |#2| (-388)))) (-1819 (($ $ $) NIL (|has| |#2| (-388)))) (-2423 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#2| (-388)))) (-1477 (((-3 $ "failed") $ $) NIL (|has| |#2| (-388)))) (-3172 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-388)))) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 |#2| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) ((|#2| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#2| (-477)))) (-3558 (((-141) $) NIL)) (-4526 (($ |#2| (-790)) 16)) (-1844 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-582)))) (-2641 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-582)))) (-4206 (((-790) $) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-388)))) (-4308 (($ $ $) NIL (|has| |#2| (-388)))) (-3696 (($ $ $) NIL (|has| |#2| (-388)))) (-4262 (($ $ $) NIL (|has| |#2| (-388)))) (-1603 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#2| (-388)))) (-4156 (((-3 $ "failed") $ $) NIL (|has| |#2| (-388)))) (-4084 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-388)))) (-4579 ((|#2| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582)))) (-4525 (((-790) $) NIL)) (-1554 ((|#2| $) NIL (|has| |#2| (-477)))) (-1683 (((-877) $) 23) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#2| (-1065 (-433 (-592))))) (($ |#2|) NIL) (($ (-1276 |#1|)) 18)) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-790)) NIL)) (-4010 (((-790)) NIL)) (-4572 ((|#2| $ |#2| |#2|) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) 13 T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-874 |#1| |#2| |#3| |#4|) (-13 (-871 |#2|) (-10 -8 (-15 -1683 ($ (-1276 |#1|))))) (-1191) (-1075) (-121 |#2|) (-1 |#2| |#2|)) (T -874)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *3)) (-14 *3 (-1191)) (-5 *1 (-874 *3 *4 *5 *6)) (-4 *4 (-1075)) (-14 *5 (-121 *4)) (-14 *6 (-1 *4 *4))))) 
-(-13 (-871 |#2|) (-10 -8 (-15 -1683 ($ (-1276 |#1|))))) 
-((-3409 ((|#1| (-790) |#1|) 35 (|has| |#1| (-43 (-433 (-592)))))) (-3403 ((|#1| (-790) (-790) |#1|) 27) ((|#1| (-790) |#1|) 20)) (-3714 ((|#1| (-790) |#1|) 31)) (-1787 ((|#1| (-790) |#1|) 29)) (-1843 ((|#1| (-790) |#1|) 28))) 
-(((-875 |#1|) (-10 -7 (-15 -1843 (|#1| (-790) |#1|)) (-15 -1787 (|#1| (-790) |#1|)) (-15 -3714 (|#1| (-790) |#1|)) (-15 -3403 (|#1| (-790) |#1|)) (-15 -3403 (|#1| (-790) (-790) |#1|)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3409 (|#1| (-790) |#1|)) |noBranch|)) (-194)) (T -875)) 
-((-3409 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-194)))) (-3403 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) (-3403 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) (-3714 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) (-1787 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) (-1843 (*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194))))) 
-(-10 -7 (-15 -1843 (|#1| (-790) |#1|)) (-15 -1787 (|#1| (-790) |#1|)) (-15 -3714 (|#1| (-790) |#1|)) (-15 -3403 (|#1| (-790) |#1|)) (-15 -3403 (|#1| (-790) (-790) |#1|)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3409 (|#1| (-790) |#1|)) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-2324 (((-592) $) 12)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 18) (($ (-592)) 11)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 8)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 9))) 
-(((-876) (-13 (-869) (-10 -8 (-15 -1683 ($ (-592))) (-15 -2324 ((-592) $))))) (T -876)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-876)))) (-2324 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-876))))) 
-(-13 (-869) (-10 -8 (-15 -1683 ($ (-592))) (-15 -2324 ((-592) $)))) 
-((-1641 (((-141) $ $) NIL)) (-1985 (($ $ $) 115)) (-3515 (((-592) $) 30) (((-592)) 35)) (-3553 (($ (-592)) 44)) (-1460 (($ $ $) 45) (($ (-658 $)) 76)) (-4418 (($ $ (-658 $)) 74)) (-4407 (((-592) $) 33)) (-4477 (($ $ $) 63)) (-2090 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-3025 (((-592) $) 32)) (-3220 (($ $ $) 62)) (-4574 (($ $) 105)) (-4291 (($ $ $) 119)) (-2928 (($ (-658 $)) 52)) (-4239 (($ $ (-658 $)) 69)) (-4114 (($ (-592) (-592)) 46)) (-2749 (($ $) 116) (($ $ $) 117)) (-1954 (($ $ (-592)) 40) (($ $) 43)) (-1586 (($ $ $) 89)) (-1547 (($ $ $) 122)) (-3645 (($ $) 106)) (-1599 (($ $ $) 90)) (-1975 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-3029 (((-1285) $) 8)) (-1644 (($ $) 109) (($ $ (-790)) 112)) (-4070 (($ $ $) 65)) (-3589 (($ $ $) 64)) (-3989 (($ $ (-658 $)) 100)) (-4400 (($ $ $) 104)) (-2533 (($ (-658 $)) 50)) (-2243 (($ $) 60) (($ (-658 $)) 61)) (-1727 (($ $ $) 113)) (-3124 (($ $) 107)) (-3986 (($ $ $) 118)) (-4149 (($ (-592)) 20) (($ (-1191)) 22) (($ (-1173)) 29) (($ (-237)) 24)) (-3573 (($ $ $) 93)) (-3252 (($ $) 94)) (-2148 (((-1285) (-1173)) 14)) (-2074 (($ (-1173)) 13)) (-4186 (($ (-658 (-658 $))) 48)) (-1961 (($ $ (-592)) 39) (($ $) 42)) (-2685 (((-1173) $) NIL)) (-3190 (($ $ $) 121)) (-1749 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-4278 (((-141) $) 98)) (-3686 (($ $ (-658 $)) 102) (($ $ $ $) 103)) (-4450 (($ (-592)) 36)) (-2535 (((-592) $) 31) (((-592)) 34)) (-3106 (($ $ $) 37) (($ (-658 $)) 75)) (-2951 (((-1137) $) NIL)) (-3616 (($ $ $) 91)) (-2890 (($) 12)) (-3927 (($ $ (-658 $)) 99)) (-1729 (($ $) 108) (($ $ (-790)) 111)) (-3623 (($ $ $) 88)) (-3644 (($ $ (-790)) 127)) (-3844 (($ (-658 $)) 51)) (-1683 (((-877) $) 18)) (-2838 (($ $ (-592)) 38) (($ $) 41)) (-3754 (($ $) 58) (($ (-658 $)) 59)) (-4586 (($ $) 56) (($ (-658 $)) 57)) (-3280 (($ $) 114)) (-3490 (($ (-658 $)) 55)) (-4042 (($ $ $) 97)) (-2733 (($ $ $) 120)) (-1732 (($ $ $) 92)) (-1858 (($ $ $) 77)) (-3766 (($ $ $) 95) (($ $) 96)) (-3286 (($ $ $) 81)) (-3273 (($ $ $) 79)) (-3255 (((-141) $ $) 15) (($ $ $) 16)) (-3279 (($ $ $) 80)) (-3266 (($ $ $) 78)) (-3313 (($ $ $) 86)) (-3306 (($ $ $) 83) (($ $) 84)) (-3300 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
-(((-877) (-13 (-1119) (-10 -8 (-15 -3029 ((-1285) $)) (-15 -2074 ($ (-1173))) (-15 -2148 ((-1285) (-1173))) (-15 -4149 ($ (-592))) (-15 -4149 ($ (-1191))) (-15 -4149 ($ (-1173))) (-15 -4149 ($ (-237))) (-15 -2890 ($)) (-15 -3515 ((-592) $)) (-15 -2535 ((-592) $)) (-15 -3515 ((-592))) (-15 -2535 ((-592))) (-15 -3025 ((-592) $)) (-15 -4407 ((-592) $)) (-15 -4450 ($ (-592))) (-15 -3553 ($ (-592))) (-15 -4114 ($ (-592) (-592))) (-15 -1961 ($ $ (-592))) (-15 -1954 ($ $ (-592))) (-15 -2838 ($ $ (-592))) (-15 -1961 ($ $)) (-15 -1954 ($ $)) (-15 -2838 ($ $)) (-15 -3106 ($ $ $)) (-15 -1460 ($ $ $)) (-15 -3106 ($ (-658 $))) (-15 -1460 ($ (-658 $))) (-15 -3989 ($ $ (-658 $))) (-15 -3686 ($ $ (-658 $))) (-15 -3686 ($ $ $ $)) (-15 -4400 ($ $ $)) (-15 -4278 ((-141) $)) (-15 -3927 ($ $ (-658 $))) (-15 -4574 ($ $)) (-15 -3190 ($ $ $)) (-15 -3280 ($ $)) (-15 -4186 ($ (-658 (-658 $)))) (-15 -1985 ($ $ $)) (-15 -2749 ($ $)) (-15 -2749 ($ $ $)) (-15 -3986 ($ $ $)) (-15 -4291 ($ $ $)) (-15 -2733 ($ $ $)) (-15 -1547 ($ $ $)) (-15 -3644 ($ $ (-790))) (-15 -4042 ($ $ $)) (-15 -3220 ($ $ $)) (-15 -4477 ($ $ $)) (-15 -3589 ($ $ $)) (-15 -4070 ($ $ $)) (-15 -4239 ($ $ (-658 $))) (-15 -4418 ($ $ (-658 $))) (-15 -3645 ($ $)) (-15 -1729 ($ $)) (-15 -1729 ($ $ (-790))) (-15 -1644 ($ $)) (-15 -1644 ($ $ (-790))) (-15 -3124 ($ $)) (-15 -1727 ($ $ $)) (-15 -2090 ($ $)) (-15 -2090 ($ $ $)) (-15 -2090 ($ $ $ $)) (-15 -1975 ($ $)) (-15 -1975 ($ $ $)) (-15 -1975 ($ $ $ $)) (-15 -1749 ($ $)) (-15 -1749 ($ $ $)) (-15 -1749 ($ $ $ $)) (-15 -4586 ($ $)) (-15 -4586 ($ (-658 $))) (-15 -3754 ($ $)) (-15 -3754 ($ (-658 $))) (-15 -2243 ($ $)) (-15 -2243 ($ (-658 $))) (-15 -2533 ($ (-658 $))) (-15 -3844 ($ (-658 $))) (-15 -2928 ($ (-658 $))) (-15 -3490 ($ (-658 $))) (-15 -3255 ($ $ $)) (-15 -1858 ($ $ $)) (-15 -3266 ($ $ $)) (-15 -3273 ($ $ $)) (-15 -3279 ($ $ $)) (-15 -3286 ($ $ $)) (-15 -3300 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -3306 ($ $)) (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3623 ($ $ $)) (-15 -1586 ($ $ $)) (-15 -1599 ($ $ $)) (-15 -3616 ($ $ $)) (-15 -1732 ($ $ $)) (-15 -3573 ($ $ $)) (-15 -3252 ($ $)) (-15 -3766 ($ $ $)) (-15 -3766 ($ $))))) (T -877)) 
-((-3029 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-877)))) (-2074 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-877)))) (-2148 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-877)))) (-4149 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-4149 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-877)))) (-4149 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-877)))) (-4149 (*1 *1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-877)))) (-2890 (*1 *1) (-5 *1 (-877))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-2535 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-3515 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-2535 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-3025 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-4407 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-4450 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-3553 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-4114 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-1961 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-1954 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-2838 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) (-1961 (*1 *1 *1) (-5 *1 (-877))) (-1954 (*1 *1 *1) (-5 *1 (-877))) (-2838 (*1 *1 *1) (-5 *1 (-877))) (-3106 (*1 *1 *1 *1) (-5 *1 (-877))) (-1460 (*1 *1 *1 *1) (-5 *1 (-877))) (-3106 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-1460 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3989 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3686 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3686 (*1 *1 *1 *1 *1) (-5 *1 (-877))) (-4400 (*1 *1 *1 *1) (-5 *1 (-877))) (-4278 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-877)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-4574 (*1 *1 *1) (-5 *1 (-877))) (-3190 (*1 *1 *1 *1) (-5 *1 (-877))) (-3280 (*1 *1 *1) (-5 *1 (-877))) (-4186 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-877)))) (-5 *1 (-877)))) (-1985 (*1 *1 *1 *1) (-5 *1 (-877))) (-2749 (*1 *1 *1) (-5 *1 (-877))) (-2749 (*1 *1 *1 *1) (-5 *1 (-877))) (-3986 (*1 *1 *1 *1) (-5 *1 (-877))) (-4291 (*1 *1 *1 *1) (-5 *1 (-877))) (-2733 (*1 *1 *1 *1) (-5 *1 (-877))) (-1547 (*1 *1 *1 *1) (-5 *1 (-877))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-877)))) (-4042 (*1 *1 *1 *1) (-5 *1 (-877))) (-3220 (*1 *1 *1 *1) (-5 *1 (-877))) (-4477 (*1 *1 *1 *1) (-5 *1 (-877))) (-3589 (*1 *1 *1 *1) (-5 *1 (-877))) (-4070 (*1 *1 *1 *1) (-5 *1 (-877))) (-4239 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-4418 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3645 (*1 *1 *1) (-5 *1 (-877))) (-1729 (*1 *1 *1) (-5 *1 (-877))) (-1729 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-877)))) (-1644 (*1 *1 *1) (-5 *1 (-877))) (-1644 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-877)))) (-3124 (*1 *1 *1) (-5 *1 (-877))) (-1727 (*1 *1 *1 *1) (-5 *1 (-877))) (-2090 (*1 *1 *1) (-5 *1 (-877))) (-2090 (*1 *1 *1 *1) (-5 *1 (-877))) (-2090 (*1 *1 *1 *1 *1) (-5 *1 (-877))) (-1975 (*1 *1 *1) (-5 *1 (-877))) (-1975 (*1 *1 *1 *1) (-5 *1 (-877))) (-1975 (*1 *1 *1 *1 *1) (-5 *1 (-877))) (-1749 (*1 *1 *1) (-5 *1 (-877))) (-1749 (*1 *1 *1 *1) (-5 *1 (-877))) (-1749 (*1 *1 *1 *1 *1) (-5 *1 (-877))) (-4586 (*1 *1 *1) (-5 *1 (-877))) (-4586 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3754 (*1 *1 *1) (-5 *1 (-877))) (-3754 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-2243 (*1 *1 *1) (-5 *1 (-877))) (-2243 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-2533 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3844 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-2928 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3490 (*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) (-3255 (*1 *1 *1 *1) (-5 *1 (-877))) (-1858 (*1 *1 *1 *1) (-5 *1 (-877))) (-3266 (*1 *1 *1 *1) (-5 *1 (-877))) (-3273 (*1 *1 *1 *1) (-5 *1 (-877))) (-3279 (*1 *1 *1 *1) (-5 *1 (-877))) (-3286 (*1 *1 *1 *1) (-5 *1 (-877))) (-3300 (*1 *1 *1 *1) (-5 *1 (-877))) (-3306 (*1 *1 *1 *1) (-5 *1 (-877))) (-3306 (*1 *1 *1) (-5 *1 (-877))) (* (*1 *1 *1 *1) (-5 *1 (-877))) (-3313 (*1 *1 *1 *1) (-5 *1 (-877))) (** (*1 *1 *1 *1) (-5 *1 (-877))) (-3623 (*1 *1 *1 *1) (-5 *1 (-877))) (-1586 (*1 *1 *1 *1) (-5 *1 (-877))) (-1599 (*1 *1 *1 *1) (-5 *1 (-877))) (-3616 (*1 *1 *1 *1) (-5 *1 (-877))) (-1732 (*1 *1 *1 *1) (-5 *1 (-877))) (-3573 (*1 *1 *1 *1) (-5 *1 (-877))) (-3252 (*1 *1 *1) (-5 *1 (-877))) (-3766 (*1 *1 *1 *1) (-5 *1 (-877))) (-3766 (*1 *1 *1) (-5 *1 (-877)))) 
-(-13 (-1119) (-10 -8 (-15 -3029 ((-1285) $)) (-15 -2074 ($ (-1173))) (-15 -2148 ((-1285) (-1173))) (-15 -4149 ($ (-592))) (-15 -4149 ($ (-1191))) (-15 -4149 ($ (-1173))) (-15 -4149 ($ (-237))) (-15 -2890 ($)) (-15 -3515 ((-592) $)) (-15 -2535 ((-592) $)) (-15 -3515 ((-592))) (-15 -2535 ((-592))) (-15 -3025 ((-592) $)) (-15 -4407 ((-592) $)) (-15 -4450 ($ (-592))) (-15 -3553 ($ (-592))) (-15 -4114 ($ (-592) (-592))) (-15 -1961 ($ $ (-592))) (-15 -1954 ($ $ (-592))) (-15 -2838 ($ $ (-592))) (-15 -1961 ($ $)) (-15 -1954 ($ $)) (-15 -2838 ($ $)) (-15 -3106 ($ $ $)) (-15 -1460 ($ $ $)) (-15 -3106 ($ (-658 $))) (-15 -1460 ($ (-658 $))) (-15 -3989 ($ $ (-658 $))) (-15 -3686 ($ $ (-658 $))) (-15 -3686 ($ $ $ $)) (-15 -4400 ($ $ $)) (-15 -4278 ((-141) $)) (-15 -3927 ($ $ (-658 $))) (-15 -4574 ($ $)) (-15 -3190 ($ $ $)) (-15 -3280 ($ $)) (-15 -4186 ($ (-658 (-658 $)))) (-15 -1985 ($ $ $)) (-15 -2749 ($ $)) (-15 -2749 ($ $ $)) (-15 -3986 ($ $ $)) (-15 -4291 ($ $ $)) (-15 -2733 ($ $ $)) (-15 -1547 ($ $ $)) (-15 -3644 ($ $ (-790))) (-15 -4042 ($ $ $)) (-15 -3220 ($ $ $)) (-15 -4477 ($ $ $)) (-15 -3589 ($ $ $)) (-15 -4070 ($ $ $)) (-15 -4239 ($ $ (-658 $))) (-15 -4418 ($ $ (-658 $))) (-15 -3645 ($ $)) (-15 -1729 ($ $)) (-15 -1729 ($ $ (-790))) (-15 -1644 ($ $)) (-15 -1644 ($ $ (-790))) (-15 -3124 ($ $)) (-15 -1727 ($ $ $)) (-15 -2090 ($ $)) (-15 -2090 ($ $ $)) (-15 -2090 ($ $ $ $)) (-15 -1975 ($ $)) (-15 -1975 ($ $ $)) (-15 -1975 ($ $ $ $)) (-15 -1749 ($ $)) (-15 -1749 ($ $ $)) (-15 -1749 ($ $ $ $)) (-15 -4586 ($ $)) (-15 -4586 ($ (-658 $))) (-15 -3754 ($ $)) (-15 -3754 ($ (-658 $))) (-15 -2243 ($ $)) (-15 -2243 ($ (-658 $))) (-15 -2533 ($ (-658 $))) (-15 -3844 ($ (-658 $))) (-15 -2928 ($ (-658 $))) (-15 -3490 ($ (-658 $))) (-15 -3255 ($ $ $)) (-15 -1858 ($ $ $)) (-15 -3266 ($ $ $)) (-15 -3273 ($ $ $)) (-15 -3279 ($ $ $)) (-15 -3286 ($ $ $)) (-15 -3300 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -3306 ($ $)) (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3623 ($ $ $)) (-15 -1586 ($ $ $)) (-15 -1599 ($ $ $)) (-15 -3616 ($ $ $)) (-15 -1732 ($ $ $)) (-15 -3573 ($ $ $)) (-15 -3252 ($ $)) (-15 -3766 ($ $ $)) (-15 -3766 ($ $)))) 
-((-3930 (((-1285) (-658 (-57))) 24)) (-3087 (((-1285) (-1173) (-877)) 14) (((-1285) (-877)) 9) (((-1285) (-1173)) 11))) 
-(((-878) (-10 -7 (-15 -3087 ((-1285) (-1173))) (-15 -3087 ((-1285) (-877))) (-15 -3087 ((-1285) (-1173) (-877))) (-15 -3930 ((-1285) (-658 (-57)))))) (T -878)) 
-((-3930 (*1 *2 *3) (-12 (-5 *3 (-658 (-57))) (-5 *2 (-1285)) (-5 *1 (-878)))) (-3087 (*1 *2 *3 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-877)) (-5 *2 (-1285)) (-5 *1 (-878)))) (-3087 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-878)))) (-3087 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-878))))) 
-(-10 -7 (-15 -3087 ((-1285) (-1173))) (-15 -3087 ((-1285) (-877))) (-15 -3087 ((-1285) (-1173) (-877))) (-15 -3930 ((-1285) (-658 (-57))))) 
-((-1641 (((-141) $ $) NIL)) (-3983 (((-3 $ "failed") (-1191)) 32)) (-1403 (((-790)) 30)) (-4290 (($) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-3546 (((-944) $) 28)) (-2685 (((-1173) $) 38)) (-1825 (($ (-944)) 27)) (-2951 (((-1137) $) NIL)) (-1405 (((-658 $)) NIL)) (-1778 (((-1191) $) 13) (((-565) $) 19) (((-914 (-405)) $) 25) (((-914 (-592)) $) 22)) (-1683 (((-877) $) 16)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 35)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 34))) 
-(((-879 |#1|) (-13 (-863) (-633 (-1191)) (-633 (-565)) (-633 (-914 (-405))) (-633 (-914 (-592))) (-10 -8 (-15 -3983 ((-3 $ "failed") (-1191))))) (-658 (-1191))) (T -879)) 
-((-3983 (*1 *1 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-879 *3)) (-14 *3 (-658 *2))))) 
-(-13 (-863) (-633 (-1191)) (-633 (-565)) (-633 (-914 (-405))) (-633 (-914 (-592))) (-10 -8 (-15 -3983 ((-3 $ "failed") (-1191))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (((-980 |#1|) $) NIL) (($ (-980 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-194)))) (-4010 (((-790)) NIL)) (-3583 (((-1285) (-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-194))) (($ $ |#1|) NIL (|has| |#1| (-194))))) 
-(((-880 |#1| |#2| |#3| |#4|) (-13 (-1075) (-10 -8 (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (-15 -1683 ((-980 |#1|) $)) (-15 -1683 ($ (-980 |#1|))) (IF (|has| |#1| (-388)) (-15 -3313 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3583 ((-1285) (-790))))) (-1075) (-658 (-1191)) (-658 (-790)) (-790)) (T -880)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-980 *3)) (-5 *1 (-880 *3 *4 *5 *6)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))) (-14 *5 (-658 (-790))) (-14 *6 (-790)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-980 *3)) (-4 *3 (-1075)) (-5 *1 (-880 *3 *4 *5 *6)) (-14 *4 (-658 (-1191))) (-14 *5 (-658 (-790))) (-14 *6 (-790)))) (-3313 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-880 *2 *3 *4 *5)) (-4 *2 (-388)) (-4 *2 (-1075)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-790))) (-14 *5 (-790)))) (-3583 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-880 *4 *5 *6 *7)) (-4 *4 (-1075)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 *3)) (-14 *7 *3)))) 
-(-13 (-1075) (-10 -8 (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (-15 -1683 ((-980 |#1|) $)) (-15 -1683 ($ (-980 |#1|))) (IF (|has| |#1| (-388)) (-15 -3313 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3583 ((-1285) (-790))))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2651 (((-1280 $) $ $) 78)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-1917 (((-141) $) 111)) (-4424 (((-790)) 115)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3925 (((-1285) $) 74)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 122) (((-3 (-433 (-592)) "failed") $) 119) (((-3 (-433 (-592)) "failed") $) 104) (((-3 (-887) "failed") $) 136) (((-3 (-887) "failed") $) 130)) (-2400 (((-592) $) 121) (((-433 (-592)) $) 118) (((-433 (-592)) $) 105) (((-887) $) 135) (((-887) $) 131)) (-1586 (($ $ $) 53)) (-3657 (($ (-1187 $)) 84)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-1525 (($ $ (-790)) 102 (-3836 (|has| (-887) (-169)) (|has| (-887) (-394)) (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)))) (($ $) 101 (-3836 (|has| (-887) (-169)) (|has| (-887) (-394)) (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-2802 (((-141) $) 69)) (-2837 (($ $) 79)) (-4346 (((-855 (-944)) $) 99 (-3836 (|has| (-887) (-169)) (|has| (-887) (-394)) (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-3558 (((-141) $) 30)) (-3613 (($ (-1187 $) $ (-1191)) 76) (($ (-1187 $) (-1191)) 75)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-1561 (($ (-658 $)) 81)) (-3650 (((-1187 $) $) 86) (((-1187 $) $ $) 85)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2142 (((-141) $) 112)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 82)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3767 (((-877) $) 73)) (-4500 (((-444 $) $) 72)) (-3470 (((-855 (-944))) 114)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2378 (((-944) $) 80)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-4445 (((-658 $) (-1187 $) $) 83)) (-2177 (((-3 (-790) "failed") $ $) 100 (-3836 (|has| (-887) (-169)) (|has| (-887) (-394)) (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-1936 (((-160)) 106)) (-4525 (((-855 (-944)) $) 113)) (-3390 (((-1187 $)) 88) (((-1187 $) $) 87)) (-2227 (($ $) 77)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ (-592)) 123) (($ (-433 (-592))) 120) (($ (-433 (-592))) 103) (($ (-887)) 137) (($ (-887)) 129)) (-1517 (((-3 $ "failed") $) 98 (-3836 (|has| (-887) (-169)) (|has| (-887) (-394)) (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-3069 (((-141) $) 110)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3417 (($ $ (-790)) 117 (-3836 (|has| (-887) (-394)) (|has| (-433 (-592)) (-394)))) (($ $) 116 (-3836 (|has| (-887) (-394)) (|has| (-433 (-592)) (-394))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62) (($ $ (-433 (-592))) 107) (($ $ (-887)) 132)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64) (($ (-433 (-592)) $) 109) (($ $ (-433 (-592))) 108) (($ (-887) $) 134) (($ $ (-887)) 133))) 
-(((-881) (-1311)) (T -881)) 
-NIL 
-(-13 (-886) (-1065 (-887)) (-1297 (-887))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 (-887) (-887)) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| (-887) (-394)) (|has| (-887) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-433 (-592)) (-169))) ((-171) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-1297 (-433 (-592))) . T) ((-1297 (-887)) . T) ((-388) . T) ((-428) -3836 (|has| (-887) (-394)) (|has| (-887) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-433 (-592)) (-169))) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 (-887)) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 (-887)) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-885) . T) ((-886) . T) ((-1065 (-433 (-592))) . T) ((-1065 (-592)) . T) ((-1065 (-887)) . T) ((-1081 (-433 (-592))) . T) ((-1081 (-887)) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T) ((-1287 (-433 (-592))) . T) ((-1287 (-887)) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 47)) (-2651 (((-1280 $) $ $) 69)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3925 (((-1285) $) 78)) (-3001 (($) NIL T CONST)) (-3265 (((-887) $) 17)) (-4368 (((-3 (-592) "failed") $) 75) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-887) "failed") $) 72) (((-3 (-887) "failed") $) 72)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL) (((-433 (-592)) $) NIL) (((-887) $) 111) (((-887) $) 111)) (-1586 (($ $ $) NIL)) (-3657 (($ (-1187 $)) 59)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-1525 (($ $ (-790)) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-887) (-169)) (|has| (-887) (-394)))) (($ $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-887) (-169)) (|has| (-887) (-394))))) (-2802 (((-141) $) NIL)) (-2837 (($ $) 63)) (-4346 (((-855 (-944)) $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-887) (-169)) (|has| (-887) (-394))))) (-3558 (((-141) $) 117)) (-3613 (($ (-1187 $) $ (-1191)) 41) (($ (-1187 $) (-1191)) 94)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1561 (($ (-658 $)) 61)) (-3650 (((-1187 $) $) 55) (((-1187 $) $ $) 56)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 101)) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 62)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3767 (((-877) $) 124)) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2378 (((-944) $) 37)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4445 (((-658 $) (-1187 $) $) 96)) (-2177 (((-3 (-790) "failed") $ $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-887) (-169)) (|has| (-887) (-394))))) (-1936 (((-160)) NIL)) (-4525 (((-855 (-944)) $) NIL)) (-3390 (((-1187 $)) 79) (((-1187 $) $) 64)) (-2227 (($ $) NIL)) (-1683 (((-877) $) 123) (($ (-592)) 44) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-592)) 44) (($ (-433 (-592))) NIL) (($ (-433 (-592))) NIL) (($ (-887)) 118) (($ (-887)) 118)) (-1517 (((-3 $ "failed") $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)) (|has| (-887) (-169)) (|has| (-887) (-394))))) (-4010 (((-790)) 126)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 48 T CONST)) (-4257 (($) 38 T CONST)) (-3417 (($ $ (-790)) NIL (-3836 (|has| (-433 (-592)) (-394)) (|has| (-887) (-394)))) (($ $) NIL (-3836 (|has| (-433 (-592)) (-394)) (|has| (-887) (-394))))) (-3255 (((-141) $ $) 114)) (-3313 (($ $ $) 102) (($ $ (-433 (-592))) NIL) (($ $ (-887)) NIL)) (-3306 (($ $) 35) (($ $ $) 105)) (-3300 (($ $ $) 81)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 53) (($ $ $) 31) (($ $ (-433 (-592))) 109) (($ (-433 (-592)) $) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) 109) (($ (-887) $) 103) (($ $ (-887)) 104))) 
-(((-882 |#1|) (-13 (-881) (-10 -8 (-15 -3767 ((-877) $)) (-15 -3265 ((-887) $)))) (-887)) (T -882)) 
-((-3767 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-882 *3)) (-14 *3 (-887)))) (-3265 (*1 *2 *1) (-12 (-5 *2 (-887)) (-5 *1 (-882 *3)) (-14 *3 *2)))) 
-(-13 (-881) (-10 -8 (-15 -3767 ((-877) $)) (-15 -3265 ((-887) $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2651 (((-1280 $) $ $) 114)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-4217 (((-1199 (-944) (-790)) (-592)) 88)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-1403 (((-790)) 98)) (-3925 (((-1285) $) 118)) (-3001 (($) 16 T CONST)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-1586 (($ $ $) 53)) (-3657 (($ (-1187 $)) 108)) (-3371 (((-3 $ "failed") $) 33)) (-4290 (($) 101)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2667 (($) 86)) (-3293 (((-141) $) 85)) (-1525 (($ $) 75) (($ $ (-790)) 74)) (-2802 (((-141) $) 69)) (-2837 (($ $) 113)) (-4346 (((-855 (-944)) $) 77) (((-944) $) 83)) (-3558 (((-141) $) 30)) (-3921 (((-3 $ "failed") $) 97)) (-3613 (($ (-1187 $) (-1191)) 117) (($ (-1187 $) $ (-1191)) 116)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-1561 (($ (-658 $)) 111)) (-3546 (((-944) $) 100)) (-3650 (((-1187 $) $ $) 107) (((-1187 $) $) 106)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-3703 (($) 96 T CONST)) (-1825 (($ (-944)) 99)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 110)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3767 (((-877) $) 119)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) 89)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2378 (((-944) $) 112)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-1405 (((-658 $)) 102)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-4445 (((-658 $) (-1187 $) $) 109)) (-2177 (((-3 (-790) "failed") $ $) 76) (((-790) $) 84)) (-3644 (($ $ (-790)) 94) (($ $) 92)) (-3390 (((-1187 $) $) 105) (((-1187 $)) 104)) (-3809 (($) 87)) (-2227 (($ $) 115)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 90)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63)) (-1517 (((-3 $ "failed") $) 78) (($ $) 91)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-790)) 95) (($ $) 93)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-883) (-1311)) (T -883)) 
-NIL 
-(-13 (-373) (-885)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-169) . T) ((-632 (-877)) . T) ((-194) . T) ((-247) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-428) . T) ((-394) . T) ((-373) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-885) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 29)) (-2651 (((-1280 $) $ $) 48)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 39)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4217 (((-1199 (-944) (-790)) (-592)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) 52)) (-3925 (((-1285) $) 56)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 126)) (-2400 ((|#1| $) 85)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-1586 (($ $ $) NIL)) (-3657 (($ (-1187 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) 82)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL)) (-3293 (((-141) $) NIL)) (-1525 (($ $) NIL) (($ $ (-790)) NIL)) (-2802 (((-141) $) NIL)) (-2837 (($ $) 41)) (-4346 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3558 (((-141) $) 123)) (-3921 (((-3 $ "failed") $) NIL)) (-3613 (($ (-1187 $) (-1191)) 79) (($ (-1187 $) $ (-1191)) 99)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1561 (($ (-658 $)) 104)) (-3546 (((-944) $) 134)) (-3650 (((-1187 $) $ $) NIL) (((-1187 $) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 27)) (-3703 (($) NIL T CONST)) (-1825 (($ (-944)) 136)) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 40)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3767 (((-877) $) 132)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL)) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2378 (((-944) $) 14)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4445 (((-658 $) (-1187 $) $) 81)) (-2177 (((-3 (-790) "failed") $ $) NIL) (((-790) $) NIL)) (-1936 (((-160)) NIL)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-4525 (((-855 (-944)) $) 17)) (-3390 (((-1187 $) $) 20) (((-1187 $)) NIL)) (-3809 (($) NIL)) (-2227 (($ $) 90)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL)) (-1683 (((-877) $) 131) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 124)) (-1517 (((-3 $ "failed") $) NIL) (($ $) 89)) (-4010 (((-790)) 140)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 30 T CONST)) (-4257 (($) 21 T CONST)) (-3417 (($ $ (-790)) NIL (|has| |#1| (-394))) (($ $) NIL (|has| |#1| (-394)))) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3255 (((-141) $ $) 120)) (-3313 (($ $ $) 96) (($ $ |#1|) NIL)) (-3306 (($ $) 97) (($ $ $) 107)) (-3300 (($ $ $) 63)) (** (($ $ (-944)) 33) (($ $ (-790)) 34) (($ $ (-592)) 37)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 111) (($ $ $) 65) (($ $ (-433 (-592))) 112) (($ (-433 (-592)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
-(((-884 |#1|) (-13 (-883) (-1297 |#1|) (-10 -8 (-15 -3767 ((-877) $)))) (-373)) (T -884)) 
-((-3767 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-884 *3)) (-4 *3 (-373))))) 
-(-13 (-883) (-1297 |#1|) (-10 -8 (-15 -3767 ((-877) $)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2651 (((-1280 $) $ $) 78)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3925 (((-1285) $) 74)) (-3001 (($) 16 T CONST)) (-1586 (($ $ $) 53)) (-3657 (($ (-1187 $)) 84)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-2802 (((-141) $) 69)) (-2837 (($ $) 79)) (-3558 (((-141) $) 30)) (-3613 (($ (-1187 $) $ (-1191)) 76) (($ (-1187 $) (-1191)) 75)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-1561 (($ (-658 $)) 81)) (-3650 (((-1187 $) $) 86) (((-1187 $) $ $) 85)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 82)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3767 (((-877) $) 73)) (-4500 (((-444 $) $) 72)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2378 (((-944) $) 80)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-4445 (((-658 $) (-1187 $) $) 83)) (-3390 (((-1187 $)) 88) (((-1187 $) $) 87)) (-2227 (($ $) 77)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64))) 
-(((-885) (-1311)) (T -885)) 
-((-3390 (*1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) (-3390 (*1 *2 *1) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) (-3650 (*1 *2 *1) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) (-3650 (*1 *2 *1 *1) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) (-3657 (*1 *1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) (-4445 (*1 *2 *3 *1) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-885)) (-5 *2 (-658 *1)))) (-4559 (*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-141)))) (-1561 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-885)))) (-2378 (*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-944)))) (-2837 (*1 *1 *1) (-4 *1 (-885))) (-2651 (*1 *2 *1 *1) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-885)))) (-2227 (*1 *1 *1) (-4 *1 (-885))) (-3613 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-885)))) (-3613 (*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-885)))) (-3925 (*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-1285)))) (-3767 (*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-877))))) 
-(-13 (-388) (-10 -8 (-15 -3390 ((-1187 $))) (-15 -3390 ((-1187 $) $)) (-15 -3650 ((-1187 $) $)) (-15 -3650 ((-1187 $) $ $)) (-15 -3657 ($ (-1187 $))) (-15 -4445 ((-658 $) (-1187 $) $)) (-15 -4559 ((-141) $)) (-15 -1561 ($ (-658 $))) (-15 -2378 ((-944) $)) (-15 -2837 ($ $)) (-15 -2651 ((-1280 $) $ $)) (-15 -2227 ($ $)) (-15 -3613 ($ (-1187 $) $ (-1191))) (-15 -3613 ($ (-1187 $) (-1191))) (-15 -3925 ((-1285) $)) (-15 -3767 ((-877) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2651 (((-1280 $) $ $) 78)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-1917 (((-141) $) 111)) (-4424 (((-790)) 115)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3925 (((-1285) $) 74)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 122) (((-3 (-433 (-592)) "failed") $) 119) (((-3 (-433 (-592)) "failed") $) 104)) (-2400 (((-592) $) 121) (((-433 (-592)) $) 118) (((-433 (-592)) $) 105)) (-1586 (($ $ $) 53)) (-3657 (($ (-1187 $)) 84)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-1525 (($ $ (-790)) 102 (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)))) (($ $) 101 (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-2802 (((-141) $) 69)) (-2837 (($ $) 79)) (-4346 (((-855 (-944)) $) 99 (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-3558 (((-141) $) 30)) (-3613 (($ (-1187 $) $ (-1191)) 76) (($ (-1187 $) (-1191)) 75)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-1561 (($ (-658 $)) 81)) (-3650 (((-1187 $) $) 86) (((-1187 $) $ $) 85)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2142 (((-141) $) 112)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 82)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3767 (((-877) $) 73)) (-4500 (((-444 $) $) 72)) (-3470 (((-855 (-944))) 114)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2378 (((-944) $) 80)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-4445 (((-658 $) (-1187 $) $) 83)) (-2177 (((-3 (-790) "failed") $ $) 100 (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-1936 (((-160)) 106)) (-4525 (((-855 (-944)) $) 113)) (-3390 (((-1187 $)) 88) (((-1187 $) $) 87)) (-2227 (($ $) 77)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ (-592)) 123) (($ (-433 (-592))) 120) (($ (-433 (-592))) 103)) (-1517 (((-3 $ "failed") $) 98 (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-3069 (((-141) $) 110)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3417 (($ $ (-790)) 117 (|has| (-433 (-592)) (-394))) (($ $) 116 (|has| (-433 (-592)) (-394)))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62) (($ $ (-433 (-592))) 107)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64) (($ (-433 (-592)) $) 109) (($ $ (-433 (-592))) 108))) 
-(((-886) (-1311)) (T -886)) 
-NIL 
-(-13 (-885) (-171) (-1065 (-592)) (-1065 (-433 (-592))) (-1297 (-433 (-592)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| (-433 (-592)) (-394)) (|has| (-433 (-592)) (-169))) ((-171) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-1297 (-433 (-592))) . T) ((-388) . T) ((-428) -3836 (|has| (-433 (-592)) (-394)) (|has| (-433 (-592)) (-169))) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-885) . T) ((-1065 (-433 (-592))) . T) ((-1065 (-592)) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T) ((-1287 (-433 (-592))) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 16)) (-2651 (((-1280 $) $ $) 47)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3925 (((-1285) $) 51)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) 104) (((-3 (-433 (-592)) "failed") $) 106) (((-3 (-433 (-592)) "failed") $) 106)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) 94) (((-433 (-592)) $) 94)) (-1586 (($ $ $) NIL)) (-3657 (($ (-1187 $)) 34)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-1525 (($ $ (-790)) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394)))) (($ $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-2802 (((-141) $) NIL)) (-2837 (($ $) 40)) (-4346 (((-855 (-944)) $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-3558 (((-141) $) 100)) (-3613 (($ (-1187 $) $ (-1191)) 79) (($ (-1187 $) (-1191)) 70) (($ (-1187 $) (-1187 $) (-944) $ (-1191)) 80)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1561 (($ (-658 $)) 38)) (-3650 (((-1187 $) $) 29) (((-1187 $) $ $) 31)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 86)) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 39)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3767 (((-877) $) 112)) (-4500 (((-444 $) $) NIL)) (-3470 (((-855 (-944))) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2378 (((-944) $) 30)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4445 (((-658 $) (-1187 $) $) 72)) (-2177 (((-3 (-790) "failed") $ $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-1936 (((-160)) NIL)) (-4525 (((-855 (-944)) $) NIL)) (-3390 (((-1187 $)) 52) (((-1187 $) $) 41)) (-2227 (($ $) NIL)) (-1683 (((-877) $) 111) (($ (-592)) 14) (($ $) NIL) (($ (-433 (-592))) 101) (($ (-592)) 14) (($ (-433 (-592))) 101) (($ (-433 (-592))) 101)) (-1517 (((-3 $ "failed") $) NIL (-3836 (|has| (-433 (-592)) (-169)) (|has| (-433 (-592)) (-394))))) (-4010 (((-790)) 114)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 17 T CONST)) (-4257 (($) 73 T CONST)) (-3417 (($ $ (-790)) NIL (|has| (-433 (-592)) (-394))) (($ $) NIL (|has| (-433 (-592)) (-394)))) (-3255 (((-141) $ $) 97)) (-3313 (($ $ $) 78) (($ $ (-433 (-592))) NIL)) (-3306 (($ $) 19) (($ $ $) 89)) (-3300 (($ $ $) 54)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 18) (($ $ $) 57) (($ $ (-433 (-592))) 88) (($ (-433 (-592)) $) 87) (($ (-433 (-592)) $) 87) (($ $ (-433 (-592))) 88))) 
-(((-887) (-13 (-886) (-10 -8 (-15 -3767 ((-877) $)) (-15 -3613 ($ (-1187 $) (-1187 $) (-944) $ (-1191)))))) (T -887)) 
-((-3767 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-887)))) (-3613 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1187 (-887))) (-5 *3 (-944)) (-5 *4 (-1191)) (-5 *1 (-887))))) 
-(-13 (-886) (-10 -8 (-15 -3767 ((-877) $)) (-15 -3613 ($ (-1187 $) (-1187 $) (-944) $ (-1191))))) 
-((-4515 (((-3 (-195 |#3|) "failed") (-790) (-790) |#2| |#2|) 31)) (-4365 (((-3 (-433 |#3|) "failed") (-790) (-790) |#2| |#2|) 24))) 
-(((-888 |#1| |#2| |#3|) (-10 -7 (-15 -4365 ((-3 (-433 |#3|) "failed") (-790) (-790) |#2| |#2|)) (-15 -4515 ((-3 (-195 |#3|) "failed") (-790) (-790) |#2| |#2|))) (-388) (-1270 |#1|) (-1255 |#1|)) (T -888)) 
-((-4515 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-790)) (-4 *5 (-388)) (-5 *2 (-195 *6)) (-5 *1 (-888 *5 *4 *6)) (-4 *4 (-1270 *5)) (-4 *6 (-1255 *5)))) (-4365 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-790)) (-4 *5 (-388)) (-5 *2 (-433 *6)) (-5 *1 (-888 *5 *4 *6)) (-4 *4 (-1270 *5)) (-4 *6 (-1255 *5))))) 
-(-10 -7 (-15 -4365 ((-3 (-433 |#3|) "failed") (-790) (-790) |#2| |#2|)) (-15 -4515 ((-3 (-195 |#3|) "failed") (-790) (-790) |#2| |#2|))) 
-((-4365 (((-3 (-433 (-1252 |#2| |#1|)) "failed") (-790) (-790) (-1271 |#1| |#2| |#3|)) 28) (((-3 (-433 (-1252 |#2| |#1|)) "failed") (-790) (-790) (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) 26))) 
-(((-889 |#1| |#2| |#3|) (-10 -7 (-15 -4365 ((-3 (-433 (-1252 |#2| |#1|)) "failed") (-790) (-790) (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|))) (-15 -4365 ((-3 (-433 (-1252 |#2| |#1|)) "failed") (-790) (-790) (-1271 |#1| |#2| |#3|)))) (-388) (-1191) |#1|) (T -889)) 
-((-4365 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-790)) (-5 *4 (-1271 *5 *6 *7)) (-4 *5 (-388)) (-14 *6 (-1191)) (-14 *7 *5) (-5 *2 (-433 (-1252 *6 *5))) (-5 *1 (-889 *5 *6 *7)))) (-4365 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-790)) (-5 *4 (-1271 *5 *6 *7)) (-4 *5 (-388)) (-14 *6 (-1191)) (-14 *7 *5) (-5 *2 (-433 (-1252 *6 *5))) (-5 *1 (-889 *5 *6 *7))))) 
-(-10 -7 (-15 -4365 ((-3 (-433 (-1252 |#2| |#1|)) "failed") (-790) (-790) (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|))) (-15 -4365 ((-3 (-433 (-1252 |#2| |#1|)) "failed") (-790) (-790) (-1271 |#1| |#2| |#3|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-1442 (($ $ (-592)) 60)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-2749 (($ (-1187 (-592)) (-592)) 59)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-3980 (($ $) 62)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-4346 (((-790) $) 67)) (-3558 (((-141) $) 30)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-1704 (((-592)) 64)) (-1518 (((-592) $) 63)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2807 (($ $ (-592)) 66)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-4406 (((-1171 (-592)) $) 68)) (-1700 (($ $) 65)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-2642 (((-592) $ (-592)) 61)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-890 |#1|) (-1311) (-592)) (T -890)) 
-((-4406 (*1 *2 *1) (-12 (-4 *1 (-890 *3)) (-5 *2 (-1171 (-592))))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-890 *3)) (-5 *2 (-790)))) (-2807 (*1 *1 *1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) (-1700 (*1 *1 *1) (-4 *1 (-890 *2))) (-1704 (*1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) (-1518 (*1 *2 *1) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) (-3980 (*1 *1 *1) (-4 *1 (-890 *2))) (-2642 (*1 *2 *1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) (-1442 (*1 *1 *1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) (-2749 (*1 *1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *3 (-592)) (-4 *1 (-890 *4))))) 
-(-13 (-323) (-171) (-10 -8 (-15 -4406 ((-1171 (-592)) $)) (-15 -4346 ((-790) $)) (-15 -2807 ($ $ (-592))) (-15 -1700 ($ $)) (-15 -1704 ((-592))) (-15 -1518 ((-592) $)) (-15 -3980 ($ $)) (-15 -2642 ((-592) $ (-592))) (-15 -1442 ($ $ (-592))) (-15 -2749 ($ (-1187 (-592)) (-592))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-171) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-323) . T) ((-477) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $ (-592)) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-2749 (($ (-1187 (-592)) (-592)) NIL)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3980 (($ $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-4346 (((-790) $) NIL)) (-3558 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1704 (((-592)) NIL)) (-1518 (((-592) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2807 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4406 (((-1171 (-592)) $) NIL)) (-1700 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL)) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL)) (-2642 (((-592) $ (-592)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL))) 
-(((-891 |#1|) (-890 |#1|) (-592)) (T -891)) 
-NIL 
-(-890 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-891 |#1|) $) NIL (|has| (-891 |#1|) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-891 |#1|) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-891 |#1|) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-891 |#1|) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-891 |#1|) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| (-891 |#1|) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-891 |#1|) (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| (-891 |#1|) (-1065 (-592))))) (-2400 (((-891 |#1|) $) NIL) (((-1191) $) NIL (|has| (-891 |#1|) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-891 |#1|) (-1065 (-592)))) (((-592) $) NIL (|has| (-891 |#1|) (-1065 (-592))))) (-3792 (($ $) NIL) (($ (-592) $) NIL)) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-891 |#1|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-891 |#1|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-891 |#1|))) (|:| |vec| (-1280 (-891 |#1|)))) (-706 $) (-1280 $)) NIL) (((-706 (-891 |#1|)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-891 |#1|) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| (-891 |#1|) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-891 |#1|) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-891 |#1|) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-891 |#1|) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| (-891 |#1|) (-1165)))) (-1324 (((-141) $) NIL (|has| (-891 |#1|) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-891 |#1|) (-869)))) (-3319 (($ $ $) NIL (|has| (-891 |#1|) (-869)))) (-2731 (($ (-1 (-891 |#1|) (-891 |#1|)) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-891 |#1|) (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-891 |#1|) (-323)))) (-2039 (((-891 |#1|) $) NIL (|has| (-891 |#1|) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-891 |#1|) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-891 |#1|) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-891 |#1|)) (-658 (-891 |#1|))) NIL (|has| (-891 |#1|) (-325 (-891 |#1|)))) (($ $ (-891 |#1|) (-891 |#1|)) NIL (|has| (-891 |#1|) (-325 (-891 |#1|)))) (($ $ (-310 (-891 |#1|))) NIL (|has| (-891 |#1|) (-325 (-891 |#1|)))) (($ $ (-658 (-310 (-891 |#1|)))) NIL (|has| (-891 |#1|) (-325 (-891 |#1|)))) (($ $ (-658 (-1191)) (-658 (-891 |#1|))) NIL (|has| (-891 |#1|) (-547 (-1191) (-891 |#1|)))) (($ $ (-1191) (-891 |#1|)) NIL (|has| (-891 |#1|) (-547 (-1191) (-891 |#1|))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-891 |#1|)) NIL (|has| (-891 |#1|) (-303 (-891 |#1|) (-891 |#1|))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| (-891 |#1|) (-247))) (($ $ (-790)) NIL (|has| (-891 |#1|) (-247))) (($ $ (-1191)) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-1 (-891 |#1|) (-891 |#1|)) (-790)) NIL) (($ $ (-1 (-891 |#1|) (-891 |#1|))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-891 |#1|) $) NIL)) (-1778 (((-914 (-592)) $) NIL (|has| (-891 |#1|) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-891 |#1|) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-891 |#1|) (-633 (-565)))) (((-405) $) NIL (|has| (-891 |#1|) (-1049))) (((-237) $) NIL (|has| (-891 |#1|) (-1049)))) (-2867 (((-195 (-433 (-592))) $) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-891 |#1|) (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL) (($ (-891 |#1|)) NIL) (($ (-1191)) NIL (|has| (-891 |#1|) (-1065 (-1191))))) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-891 |#1|) (-931))) (|has| (-891 |#1|) (-169))))) (-4010 (((-790)) NIL)) (-2744 (((-891 |#1|) $) NIL (|has| (-891 |#1|) (-574)))) (-2537 (((-141) $ $) NIL)) (-2642 (((-433 (-592)) $ (-592)) NIL)) (-1392 (($ $) NIL (|has| (-891 |#1|) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $) NIL (|has| (-891 |#1|) (-247))) (($ $ (-790)) NIL (|has| (-891 |#1|) (-247))) (($ $ (-1191)) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-891 |#1|) (-922 (-1191)))) (($ $ (-1 (-891 |#1|) (-891 |#1|)) (-790)) NIL) (($ $ (-1 (-891 |#1|) (-891 |#1|))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-891 |#1|) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-891 |#1|) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-891 |#1|) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-891 |#1|) (-869)))) (-3313 (($ $ $) NIL) (($ (-891 |#1|) (-891 |#1|)) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-891 |#1|) $) NIL) (($ $ (-891 |#1|)) NIL))) 
-(((-892 |#1|) (-13 (-1021 (-891 |#1|)) (-10 -8 (-15 -2642 ((-433 (-592)) $ (-592))) (-15 -2867 ((-195 (-433 (-592))) $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)))) (-592)) (T -892)) 
-((-2642 (*1 *2 *1 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-892 *4)) (-14 *4 *3) (-5 *3 (-592)))) (-2867 (*1 *2 *1) (-12 (-5 *2 (-195 (-433 (-592)))) (-5 *1 (-892 *3)) (-14 *3 (-592)))) (-3792 (*1 *1 *1) (-12 (-5 *1 (-892 *2)) (-14 *2 (-592)))) (-3792 (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-892 *3)) (-14 *3 *2)))) 
-(-13 (-1021 (-891 |#1|)) (-10 -8 (-15 -2642 ((-433 (-592)) $ (-592))) (-15 -2867 ((-195 (-433 (-592))) $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 ((|#2| $) NIL (|has| |#2| (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| |#2| (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (|has| |#2| (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592))))) (-2400 ((|#2| $) NIL) (((-1191) $) NIL (|has| |#2| (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-592)))) (((-592) $) NIL (|has| |#2| (-1065 (-592))))) (-3792 (($ $) 31) (($ (-592) $) 32)) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) 53)) (-4290 (($) NIL (|has| |#2| (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) NIL (|has| |#2| (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| |#2| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| |#2| (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 ((|#2| $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#2| (-1165)))) (-1324 (((-141) $) NIL (|has| |#2| (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 49)) (-3703 (($) NIL (|has| |#2| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| |#2| (-323)))) (-2039 ((|#2| $) NIL (|has| |#2| (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 |#2|) (-658 |#2|)) NIL (|has| |#2| (-325 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-325 |#2|))) (($ $ (-310 |#2|)) NIL (|has| |#2| (-325 |#2|))) (($ $ (-658 (-310 |#2|))) NIL (|has| |#2| (-325 |#2|))) (($ $ (-658 (-1191)) (-658 |#2|)) NIL (|has| |#2| (-547 (-1191) |#2|))) (($ $ (-1191) |#2|) NIL (|has| |#2| (-547 (-1191) |#2|)))) (-2769 (((-790) $) NIL)) (-3927 (($ $ |#2|) NIL (|has| |#2| (-303 |#2| |#2|)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) NIL (|has| |#2| (-247))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-2782 (($ $) NIL)) (-1456 ((|#2| $) NIL)) (-1778 (((-914 (-592)) $) NIL (|has| |#2| (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| |#2| (-633 (-914 (-405))))) (((-565) $) NIL (|has| |#2| (-633 (-565)))) (((-405) $) NIL (|has| |#2| (-1049))) (((-237) $) NIL (|has| |#2| (-1049)))) (-2867 (((-195 (-433 (-592))) $) 68)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1683 (((-877) $) 85) (($ (-592)) 19) (($ $) NIL) (($ (-433 (-592))) 24) (($ |#2|) 18) (($ (-1191)) NIL (|has| |#2| (-1065 (-1191))))) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-2744 ((|#2| $) NIL (|has| |#2| (-574)))) (-2537 (((-141) $ $) NIL)) (-2642 (((-433 (-592)) $ (-592)) 60)) (-1392 (($ $) NIL (|has| |#2| (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 14 T CONST)) (-4257 (($) 16 T CONST)) (-1940 (($ $) NIL (|has| |#2| (-247))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) 35)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ $) 23) (($ |#2| |#2|) 54)) (-3306 (($ $) 39) (($ $ $) 41)) (-3300 (($ $ $) 37)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) 50)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 42) (($ $ $) 44) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
-(((-893 |#1| |#2|) (-13 (-1021 |#2|) (-10 -8 (-15 -2642 ((-433 (-592)) $ (-592))) (-15 -2867 ((-195 (-433 (-592))) $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)))) (-592) (-890 |#1|)) (T -893)) 
-((-2642 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-433 (-592))) (-5 *1 (-893 *4 *5)) (-5 *3 (-592)) (-4 *5 (-890 *4)))) (-2867 (*1 *2 *1) (-12 (-14 *3 (-592)) (-5 *2 (-195 (-433 (-592)))) (-5 *1 (-893 *3 *4)) (-4 *4 (-890 *3)))) (-3792 (*1 *1 *1) (-12 (-14 *2 (-592)) (-5 *1 (-893 *2 *3)) (-4 *3 (-890 *2)))) (-3792 (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-14 *3 *2) (-5 *1 (-893 *3 *4)) (-4 *4 (-890 *3))))) 
-(-13 (-1021 |#2|) (-10 -8 (-15 -2642 ((-433 (-592)) $ (-592))) (-15 -2867 ((-195 (-433 (-592))) $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)))) 
-((-4322 (((-264 |#2| (-884 |#1|)) (-264 |#2| |#1|) (-995 |#1|)) NIL)) (-3427 (((-264 |#2| |#1|)) 107)) (-2589 (((-658 (-995 |#1|))) 116)) (-2671 (((-658 (-995 |#1|)) (-658 (-995 |#1|))) 27)) (-3822 (((-264 |#2| |#1|) (-264 |#2| |#1|)) 35)) (-3969 (((-658 (-995 |#1|))) 60)) (-2463 (((-658 (-949 |#1|))) 58)) (-2117 (((-995 |#1|) (-658 (-884 |#1|))) 17)) (-3405 (((-995 |#1|) (-949 |#1|)) 21)) (-2742 (((-658 (-949 |#1|)) (-944)) 45 (|has| (-884 |#1|) (-394)))) (-3466 (((-658 (-949 |#1|)) (-995 |#1|)) 24)) (-1449 (((-801 (-884 |#1|)) (-264 |#2| |#1|) (-949 |#1|)) 119)) (-1595 (((-592) (-944)) 47 (|has| (-884 |#1|) (-394)))) (-4056 (((-592) (-944) (-944)) 49 (|has| (-884 |#1|) (-394)))) (-4530 (((-592) (-944)) 43 (|has| (-884 |#1|) (-394)))) (-2353 (((-2 (|:| |num| (-658 (-264 |#2| |#1|))) (|:| |den| (-264 |#2| |#1|))) (-258 (-949 |#1|))) 62) (((-658 (-433 (-264 |#2| |#1|))) (-258 (-949 |#1|)) (-790)) NIL)) (-1587 (((-258 (-949 |#1|)) (-264 |#2| |#1|)) 135)) (-2225 (((-658 (-264 |#2| (-884 |#1|))) (-258 (-949 |#1|)) (-658 (-264 |#2| |#1|))) 125)) (-4507 (((-658 (-264 |#2| |#1|)) (-258 (-949 |#1|)) (-790)) 123)) (-3315 (((-264 |#2| |#1|) (-264 |#2| |#1|) (-592)) 13)) (-2561 (((-706 |#1|) (-258 (-949 |#1|)) (-658 (-949 |#1|))) 67) (((-706 |#1|) (-258 (-949 |#1|)) (-258 (-949 |#1|))) 69)) (-3567 (((-592)) 105)) (-3918 (((-790)) 103)) (-3144 (((-1285)) 144)) (-1474 (((-1285)) 140)) (-4389 (((-2 (|:| -2016 (-592)) (|:| |num| (-264 |#2| |#1|)) (|:| |den| (-264 |#2| |#1|)) (|:| |upTo| (-592))) (-258 (-949 |#1|)) (-592) (-592)) 32)) (-4474 (((-3 |#1| "failed") (-433 (-264 |#2| |#1|)) (-949 |#1|)) 132) (((-3 |#1| "failed") (-264 |#2| |#1|) (-264 |#2| |#1|) (-949 |#1|)) 127) (((-3 |#1| "failed") (-264 |#2| |#1|) (-949 |#1|)) 96)) (-2806 ((|#1| (-433 (-264 |#2| |#1|)) (-949 |#1|)) 133) ((|#1| (-264 |#2| |#1|) (-264 |#2| |#1|) (-949 |#1|)) 63) ((|#1| (-264 |#2| |#1|) (-949 |#1|)) 98)) (-1488 (((-658 (-281 (-561 |#1| |#2| |#3|)))) 112)) (-3166 (((-658 (-281 (-561 |#1| |#2| |#3|)))) 110)) (-2825 (((-592)) 56 (|has| (-884 |#1|) (-394)))) (-2269 (((-258 (-949 |#1|))) 114)) (-2665 (((-1275 (-592) -4132) (-944)) 41 (|has| (-884 |#1|) (-394))) (((-1275 (-592) -4132)) 38 (|has| (-884 |#1|) (-394)))) (-2821 (((-1187 (-592)) (-944)) 54 (|has| (-884 |#1|) (-394))) (((-1187 (-592))) 52 (|has| (-884 |#1|) (-394))))) 
-(((-894 |#1| |#2| |#3|) (-10 -7 (-15 -3315 ((-264 |#2| |#1|) (-264 |#2| |#1|) (-592))) (-15 -1474 ((-1285))) (-15 -3144 ((-1285))) (-15 -3822 ((-264 |#2| |#1|) (-264 |#2| |#1|))) (-15 -4322 ((-264 |#2| (-884 |#1|)) (-264 |#2| |#1|) (-995 |#1|))) (-15 -2561 ((-706 |#1|) (-258 (-949 |#1|)) (-258 (-949 |#1|)))) (-15 -2561 ((-706 |#1|) (-258 (-949 |#1|)) (-658 (-949 |#1|)))) (-15 -3405 ((-995 |#1|) (-949 |#1|))) (-15 -3466 ((-658 (-949 |#1|)) (-995 |#1|))) (-15 -2117 ((-995 |#1|) (-658 (-884 |#1|)))) (-15 -2671 ((-658 (-995 |#1|)) (-658 (-995 |#1|)))) (-15 -2463 ((-658 (-949 |#1|)))) (-15 -3427 ((-264 |#2| |#1|))) (-15 -3918 ((-790))) (-15 -3567 ((-592))) (-15 -1488 ((-658 (-281 (-561 |#1| |#2| |#3|))))) (-15 -3166 ((-658 (-281 (-561 |#1| |#2| |#3|))))) (-15 -3969 ((-658 (-995 |#1|)))) (-15 -2589 ((-658 (-995 |#1|)))) (-15 -1449 ((-801 (-884 |#1|)) (-264 |#2| |#1|) (-949 |#1|))) (-15 -2353 ((-658 (-433 (-264 |#2| |#1|))) (-258 (-949 |#1|)) (-790))) (-15 -2353 ((-2 (|:| |num| (-658 (-264 |#2| |#1|))) (|:| |den| (-264 |#2| |#1|))) (-258 (-949 |#1|)))) (-15 -4389 ((-2 (|:| -2016 (-592)) (|:| |num| (-264 |#2| |#1|)) (|:| |den| (-264 |#2| |#1|)) (|:| |upTo| (-592))) (-258 (-949 |#1|)) (-592) (-592))) (-15 -2225 ((-658 (-264 |#2| (-884 |#1|))) (-258 (-949 |#1|)) (-658 (-264 |#2| |#1|)))) (-15 -4507 ((-658 (-264 |#2| |#1|)) (-258 (-949 |#1|)) (-790))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-949 |#1|))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-264 |#2| |#1|) (-949 |#1|))) (-15 -2806 (|#1| (-433 (-264 |#2| |#1|)) (-949 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-949 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-264 |#2| |#1|) (-949 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-433 (-264 |#2| |#1|)) (-949 |#1|))) (-15 -1587 ((-258 (-949 |#1|)) (-264 |#2| |#1|))) (-15 -2269 ((-258 (-949 |#1|)))) (IF (|has| (-884 |#1|) (-394)) (PROGN (-15 -2821 ((-1187 (-592)))) (-15 -2821 ((-1187 (-592)) (-944))) (-15 -2825 ((-592))) (-15 -2742 ((-658 (-949 |#1|)) (-944))) (-15 -4530 ((-592) (-944))) (-15 -1595 ((-592) (-944))) (-15 -4056 ((-592) (-944) (-944))) (-15 -2665 ((-1275 (-592) -4132))) (-15 -2665 ((-1275 (-592) -4132) (-944)))) |noBranch|)) (-373) (-658 (-1191)) (-137)) (T -894)) 
-((-2665 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2665 (*1 *2) (-12 (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-894 *3 *4 *5)) (-4 (-884 *3) (-394)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-4056 (*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-1595 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-4530 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-658 (-949 *4))) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2825 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-894 *3 *4 *5)) (-4 (-884 *3) (-394)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2821 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 (-592))) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2821 (*1 *2) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-894 *3 *4 *5)) (-4 (-884 *3) (-394)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2269 (*1 *2) (-12 (-5 *2 (-258 (-949 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-1587 (*1 *2 *3) (-12 (-5 *3 (-264 *5 *4)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-5 *2 (-258 (-949 *4))) (-5 *1 (-894 *4 *5 *6)) (-4 *6 (-137)))) (-4474 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) (-4474 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) (-4474 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) (-2806 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) (-2806 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) (-2806 (*1 *2 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) (-4507 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 (-264 *6 *5))) (-5 *1 (-894 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-2225 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-658 (-264 *6 *5))) (-4 *5 (-373)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-264 *6 (-884 *5)))) (-5 *1 (-894 *5 *6 *7)) (-4 *7 (-137)))) (-4389 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-258 (-949 *5))) (-4 *5 (-373)) (-5 *2 (-2 (|:| -2016 (-592)) (|:| |num| (-264 *6 *5)) (|:| |den| (-264 *6 *5)) (|:| |upTo| (-592)))) (-5 *1 (-894 *5 *6 *7)) (-5 *4 (-592)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-2353 (*1 *2 *3) (-12 (-5 *3 (-258 (-949 *4))) (-4 *4 (-373)) (-5 *2 (-2 (|:| |num| (-658 (-264 *5 *4))) (|:| |den| (-264 *5 *4)))) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2353 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 (-433 (-264 *6 *5)))) (-5 *1 (-894 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-1449 (*1 *2 *3 *4) (-12 (-5 *3 (-264 *6 *5)) (-5 *4 (-949 *5)) (-4 *5 (-373)) (-14 *6 (-658 (-1191))) (-5 *2 (-801 (-884 *5))) (-5 *1 (-894 *5 *6 *7)) (-4 *7 (-137)))) (-2589 (*1 *2) (-12 (-5 *2 (-658 (-995 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3969 (*1 *2) (-12 (-5 *2 (-658 (-995 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3166 (*1 *2) (-12 (-5 *2 (-658 (-281 (-561 *3 *4 *5)))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-1488 (*1 *2) (-12 (-5 *2 (-658 (-281 (-561 *3 *4 *5)))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3567 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3918 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3427 (*1 *2) (-12 (-5 *2 (-264 *4 *3)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2463 (*1 *2) (-12 (-5 *2 (-658 (-949 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2671 (*1 *2 *2) (-12 (-5 *2 (-658 (-995 *3))) (-4 *3 (-373)) (-5 *1 (-894 *3 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2117 (*1 *2 *3) (-12 (-5 *3 (-658 (-884 *4))) (-4 *4 (-373)) (-5 *2 (-995 *4)) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-3466 (*1 *2 *3) (-12 (-5 *3 (-995 *4)) (-4 *4 (-373)) (-5 *2 (-658 (-949 *4))) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-3405 (*1 *2 *3) (-12 (-5 *3 (-949 *4)) (-4 *4 (-373)) (-5 *2 (-995 *4)) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2561 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-658 (-949 *5))) (-4 *5 (-373)) (-5 *2 (-706 *5)) (-5 *1 (-894 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-2561 (*1 *2 *3 *3) (-12 (-5 *3 (-258 (-949 *4))) (-4 *4 (-373)) (-5 *2 (-706 *4)) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-4322 (*1 *2 *3 *4) (-12 (-5 *3 (-264 *6 *5)) (-5 *4 (-995 *5)) (-4 *5 (-373)) (-14 *6 (-658 (-1191))) (-5 *2 (-264 *6 (-884 *5))) (-5 *1 (-894 *5 *6 *7)) (-4 *7 (-137)))) (-3822 (*1 *2 *2) (-12 (-5 *2 (-264 *4 *3)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-5 *1 (-894 *3 *4 *5)) (-4 *5 (-137)))) (-3144 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-1474 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3315 (*1 *2 *2 *3) (-12 (-5 *2 (-264 *5 *4)) (-5 *3 (-592)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-5 *1 (-894 *4 *5 *6)) (-4 *6 (-137))))) 
-(-10 -7 (-15 -3315 ((-264 |#2| |#1|) (-264 |#2| |#1|) (-592))) (-15 -1474 ((-1285))) (-15 -3144 ((-1285))) (-15 -3822 ((-264 |#2| |#1|) (-264 |#2| |#1|))) (-15 -4322 ((-264 |#2| (-884 |#1|)) (-264 |#2| |#1|) (-995 |#1|))) (-15 -2561 ((-706 |#1|) (-258 (-949 |#1|)) (-258 (-949 |#1|)))) (-15 -2561 ((-706 |#1|) (-258 (-949 |#1|)) (-658 (-949 |#1|)))) (-15 -3405 ((-995 |#1|) (-949 |#1|))) (-15 -3466 ((-658 (-949 |#1|)) (-995 |#1|))) (-15 -2117 ((-995 |#1|) (-658 (-884 |#1|)))) (-15 -2671 ((-658 (-995 |#1|)) (-658 (-995 |#1|)))) (-15 -2463 ((-658 (-949 |#1|)))) (-15 -3427 ((-264 |#2| |#1|))) (-15 -3918 ((-790))) (-15 -3567 ((-592))) (-15 -1488 ((-658 (-281 (-561 |#1| |#2| |#3|))))) (-15 -3166 ((-658 (-281 (-561 |#1| |#2| |#3|))))) (-15 -3969 ((-658 (-995 |#1|)))) (-15 -2589 ((-658 (-995 |#1|)))) (-15 -1449 ((-801 (-884 |#1|)) (-264 |#2| |#1|) (-949 |#1|))) (-15 -2353 ((-658 (-433 (-264 |#2| |#1|))) (-258 (-949 |#1|)) (-790))) (-15 -2353 ((-2 (|:| |num| (-658 (-264 |#2| |#1|))) (|:| |den| (-264 |#2| |#1|))) (-258 (-949 |#1|)))) (-15 -4389 ((-2 (|:| -2016 (-592)) (|:| |num| (-264 |#2| |#1|)) (|:| |den| (-264 |#2| |#1|)) (|:| |upTo| (-592))) (-258 (-949 |#1|)) (-592) (-592))) (-15 -2225 ((-658 (-264 |#2| (-884 |#1|))) (-258 (-949 |#1|)) (-658 (-264 |#2| |#1|)))) (-15 -4507 ((-658 (-264 |#2| |#1|)) (-258 (-949 |#1|)) (-790))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-949 |#1|))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-264 |#2| |#1|) (-949 |#1|))) (-15 -2806 (|#1| (-433 (-264 |#2| |#1|)) (-949 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-949 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-264 |#2| |#1|) (-949 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-433 (-264 |#2| |#1|)) (-949 |#1|))) (-15 -1587 ((-258 (-949 |#1|)) (-264 |#2| |#1|))) (-15 -2269 ((-258 (-949 |#1|)))) (IF (|has| (-884 |#1|) (-394)) (PROGN (-15 -2821 ((-1187 (-592)))) (-15 -2821 ((-1187 (-592)) (-944))) (-15 -2825 ((-592))) (-15 -2742 ((-658 (-949 |#1|)) (-944))) (-15 -4530 ((-592) (-944))) (-15 -1595 ((-592) (-944))) (-15 -4056 ((-592) (-944) (-944))) (-15 -2665 ((-1275 (-592) -4132))) (-15 -2665 ((-1275 (-592) -4132) (-944)))) |noBranch|)) 
-((-3427 (((-264 |#2| |#1|)) 83)) (-2589 (((-658 (-994 |#1|))) 92)) (-2671 (((-658 (-994 |#1|)) (-658 (-994 |#1|))) 24)) (-3822 (((-264 |#2| |#1|) (-264 |#2| |#1|)) 75)) (-3969 (((-658 (-994 |#1|))) 65)) (-2463 (((-658 (-948 |#1|))) 63)) (-2117 (((-994 |#1|) (-658 |#1|)) 27)) (-3405 (((-994 |#1|) (-948 |#1|)) 18)) (-2742 (((-658 (-948 |#1|)) (-944)) 50 (|has| |#1| (-394)))) (-3466 (((-658 (-948 |#1|)) (-994 |#1|)) 21)) (-1449 (((-801 |#1|) (-264 |#2| |#1|) (-948 |#1|)) 95)) (-1595 (((-592) (-944)) 52 (|has| |#1| (-394)))) (-4056 (((-592) (-944) (-944)) 54 (|has| |#1| (-394)))) (-4530 (((-592) (-944)) 48 (|has| |#1| (-394)))) (-2353 (((-2 (|:| |num| (-658 (-264 |#2| |#1|))) (|:| |den| (-264 |#2| |#1|))) (-258 (-948 |#1|))) 33) (((-658 (-433 (-264 |#2| |#1|))) (-258 (-948 |#1|)) (-790)) NIL)) (-1587 (((-258 (-948 |#1|)) (-264 |#2| |#1|)) 107)) (-2225 (((-658 (-264 |#2| |#1|)) (-258 (-948 |#1|)) (-658 (-264 |#2| |#1|))) 31)) (-4507 (((-658 (-264 |#2| |#1|)) (-258 (-948 |#1|)) (-790)) 97)) (-3315 (((-264 |#2| |#1|) (-264 |#2| |#1|) (-592)) 13)) (-2561 (((-706 |#1|) (-258 (-948 |#1|)) (-658 (-948 |#1|))) 38) (((-706 |#1|) (-258 (-948 |#1|)) (-258 (-948 |#1|))) 40)) (-3567 (((-592)) 81)) (-3918 (((-790)) 79)) (-3144 (((-1285)) 116)) (-1474 (((-1285)) 112)) (-4389 (((-2 (|:| -2016 (-592)) (|:| |num| (-264 |#2| |#1|)) (|:| |den| (-264 |#2| |#1|)) (|:| |upTo| (-592))) (-258 (-948 |#1|)) (-592) (-592)) NIL)) (-4474 (((-3 |#1| "failed") (-433 (-264 |#2| |#1|)) (-948 |#1|)) 105) (((-3 |#1| "failed") (-264 |#2| |#1|) (-264 |#2| |#1|) (-948 |#1|)) 104) (((-3 |#1| "failed") (-264 |#2| |#1|) (-948 |#1|)) 73)) (-2806 ((|#1| (-433 (-264 |#2| |#1|)) (-948 |#1|)) 102) ((|#1| (-264 |#2| |#1|) (-264 |#2| |#1|) (-948 |#1|)) 34) ((|#1| (-264 |#2| |#1|) (-948 |#1|)) 70)) (-1488 (((-658 (-281 (-537 |#1| |#2| |#3|)))) 88)) (-3166 (((-658 (-281 (-537 |#1| |#2| |#3|)))) 86)) (-2825 (((-592)) 61 (|has| |#1| (-394)))) (-2269 (((-258 (-948 |#1|))) 90)) (-2665 (((-1275 (-592) -4132) (-944)) 46 (|has| |#1| (-394))) (((-1275 (-592) -4132)) 43 (|has| |#1| (-394)))) (-2821 (((-1187 (-592)) (-944)) 59 (|has| |#1| (-394))) (((-1187 (-592))) 57 (|has| |#1| (-394))))) 
-(((-895 |#1| |#2| |#3|) (-10 -7 (-15 -3315 ((-264 |#2| |#1|) (-264 |#2| |#1|) (-592))) (-15 -2225 ((-658 (-264 |#2| |#1|)) (-258 (-948 |#1|)) (-658 (-264 |#2| |#1|)))) (-15 -1474 ((-1285))) (-15 -3144 ((-1285))) (-15 -3822 ((-264 |#2| |#1|) (-264 |#2| |#1|))) (-15 -2117 ((-994 |#1|) (-658 |#1|))) (-15 -3405 ((-994 |#1|) (-948 |#1|))) (-15 -3466 ((-658 (-948 |#1|)) (-994 |#1|))) (-15 -2671 ((-658 (-994 |#1|)) (-658 (-994 |#1|)))) (-15 -2561 ((-706 |#1|) (-258 (-948 |#1|)) (-258 (-948 |#1|)))) (-15 -2561 ((-706 |#1|) (-258 (-948 |#1|)) (-658 (-948 |#1|)))) (-15 -2463 ((-658 (-948 |#1|)))) (-15 -3427 ((-264 |#2| |#1|))) (-15 -3918 ((-790))) (-15 -3567 ((-592))) (-15 -1488 ((-658 (-281 (-537 |#1| |#2| |#3|))))) (-15 -3166 ((-658 (-281 (-537 |#1| |#2| |#3|))))) (-15 -3969 ((-658 (-994 |#1|)))) (-15 -2589 ((-658 (-994 |#1|)))) (-15 -1449 ((-801 |#1|) (-264 |#2| |#1|) (-948 |#1|))) (-15 -2353 ((-658 (-433 (-264 |#2| |#1|))) (-258 (-948 |#1|)) (-790))) (-15 -2353 ((-2 (|:| |num| (-658 (-264 |#2| |#1|))) (|:| |den| (-264 |#2| |#1|))) (-258 (-948 |#1|)))) (-15 -4389 ((-2 (|:| -2016 (-592)) (|:| |num| (-264 |#2| |#1|)) (|:| |den| (-264 |#2| |#1|)) (|:| |upTo| (-592))) (-258 (-948 |#1|)) (-592) (-592))) (-15 -4507 ((-658 (-264 |#2| |#1|)) (-258 (-948 |#1|)) (-790))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-948 |#1|))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-264 |#2| |#1|) (-948 |#1|))) (-15 -2806 (|#1| (-433 (-264 |#2| |#1|)) (-948 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-948 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-264 |#2| |#1|) (-948 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-433 (-264 |#2| |#1|)) (-948 |#1|))) (-15 -1587 ((-258 (-948 |#1|)) (-264 |#2| |#1|))) (-15 -2269 ((-258 (-948 |#1|)))) (IF (|has| |#1| (-394)) (PROGN (-15 -2821 ((-1187 (-592)))) (-15 -2821 ((-1187 (-592)) (-944))) (-15 -2825 ((-592))) (-15 -2742 ((-658 (-948 |#1|)) (-944))) (-15 -4530 ((-592) (-944))) (-15 -1595 ((-592) (-944))) (-15 -4056 ((-592) (-944) (-944))) (-15 -2665 ((-1275 (-592) -4132))) (-15 -2665 ((-1275 (-592) -4132) (-944)))) |noBranch|)) (-388) (-658 (-1191)) (-137)) (T -895)) 
-((-2665 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2665 (*1 *2) (-12 (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-4056 (*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-1595 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-4530 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-658 (-948 *4))) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2825 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2821 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 (-592))) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2821 (*1 *2) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2269 (*1 *2) (-12 (-5 *2 (-258 (-948 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-1587 (*1 *2 *3) (-12 (-5 *3 (-264 *5 *4)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-258 (-948 *4))) (-5 *1 (-895 *4 *5 *6)) (-4 *6 (-137)))) (-4474 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) (-4474 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) (-4474 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) (-2806 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) (-2806 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) (-2806 (*1 *2 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) (-4507 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-948 *5))) (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-658 (-264 *6 *5))) (-5 *1 (-895 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-4389 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-258 (-948 *5))) (-4 *5 (-388)) (-5 *2 (-2 (|:| -2016 (-592)) (|:| |num| (-264 *6 *5)) (|:| |den| (-264 *6 *5)) (|:| |upTo| (-592)))) (-5 *1 (-895 *5 *6 *7)) (-5 *4 (-592)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-2353 (*1 *2 *3) (-12 (-5 *3 (-258 (-948 *4))) (-4 *4 (-388)) (-5 *2 (-2 (|:| |num| (-658 (-264 *5 *4))) (|:| |den| (-264 *5 *4)))) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2353 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-948 *5))) (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-658 (-433 (-264 *6 *5)))) (-5 *1 (-895 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-1449 (*1 *2 *3 *4) (-12 (-5 *3 (-264 *6 *5)) (-5 *4 (-948 *5)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-5 *2 (-801 *5)) (-5 *1 (-895 *5 *6 *7)) (-4 *7 (-137)))) (-2589 (*1 *2) (-12 (-5 *2 (-658 (-994 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3969 (*1 *2) (-12 (-5 *2 (-658 (-994 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3166 (*1 *2) (-12 (-5 *2 (-658 (-281 (-537 *3 *4 *5)))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-1488 (*1 *2) (-12 (-5 *2 (-658 (-281 (-537 *3 *4 *5)))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3567 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3918 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3427 (*1 *2) (-12 (-5 *2 (-264 *4 *3)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2463 (*1 *2) (-12 (-5 *2 (-658 (-948 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2561 (*1 *2 *3 *4) (-12 (-5 *3 (-258 (-948 *5))) (-5 *4 (-658 (-948 *5))) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-895 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) (-2561 (*1 *2 *3 *3) (-12 (-5 *3 (-258 (-948 *4))) (-4 *4 (-388)) (-5 *2 (-706 *4)) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2671 (*1 *2 *2) (-12 (-5 *2 (-658 (-994 *3))) (-4 *3 (-388)) (-5 *1 (-895 *3 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-3466 (*1 *2 *3) (-12 (-5 *3 (-994 *4)) (-4 *4 (-388)) (-5 *2 (-658 (-948 *4))) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-3405 (*1 *2 *3) (-12 (-5 *3 (-948 *4)) (-4 *4 (-388)) (-5 *2 (-994 *4)) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-2117 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-5 *2 (-994 *4)) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) (-3822 (*1 *2 *2) (-12 (-5 *2 (-264 *4 *3)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-5 *1 (-895 *3 *4 *5)) (-4 *5 (-137)))) (-3144 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-1474 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) (-2225 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-264 *5 *4))) (-5 *3 (-258 (-948 *4))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *1 (-895 *4 *5 *6)) (-4 *6 (-137)))) (-3315 (*1 *2 *2 *3) (-12 (-5 *2 (-264 *5 *4)) (-5 *3 (-592)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *1 (-895 *4 *5 *6)) (-4 *6 (-137))))) 
-(-10 -7 (-15 -3315 ((-264 |#2| |#1|) (-264 |#2| |#1|) (-592))) (-15 -2225 ((-658 (-264 |#2| |#1|)) (-258 (-948 |#1|)) (-658 (-264 |#2| |#1|)))) (-15 -1474 ((-1285))) (-15 -3144 ((-1285))) (-15 -3822 ((-264 |#2| |#1|) (-264 |#2| |#1|))) (-15 -2117 ((-994 |#1|) (-658 |#1|))) (-15 -3405 ((-994 |#1|) (-948 |#1|))) (-15 -3466 ((-658 (-948 |#1|)) (-994 |#1|))) (-15 -2671 ((-658 (-994 |#1|)) (-658 (-994 |#1|)))) (-15 -2561 ((-706 |#1|) (-258 (-948 |#1|)) (-258 (-948 |#1|)))) (-15 -2561 ((-706 |#1|) (-258 (-948 |#1|)) (-658 (-948 |#1|)))) (-15 -2463 ((-658 (-948 |#1|)))) (-15 -3427 ((-264 |#2| |#1|))) (-15 -3918 ((-790))) (-15 -3567 ((-592))) (-15 -1488 ((-658 (-281 (-537 |#1| |#2| |#3|))))) (-15 -3166 ((-658 (-281 (-537 |#1| |#2| |#3|))))) (-15 -3969 ((-658 (-994 |#1|)))) (-15 -2589 ((-658 (-994 |#1|)))) (-15 -1449 ((-801 |#1|) (-264 |#2| |#1|) (-948 |#1|))) (-15 -2353 ((-658 (-433 (-264 |#2| |#1|))) (-258 (-948 |#1|)) (-790))) (-15 -2353 ((-2 (|:| |num| (-658 (-264 |#2| |#1|))) (|:| |den| (-264 |#2| |#1|))) (-258 (-948 |#1|)))) (-15 -4389 ((-2 (|:| -2016 (-592)) (|:| |num| (-264 |#2| |#1|)) (|:| |den| (-264 |#2| |#1|)) (|:| |upTo| (-592))) (-258 (-948 |#1|)) (-592) (-592))) (-15 -4507 ((-658 (-264 |#2| |#1|)) (-258 (-948 |#1|)) (-790))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-948 |#1|))) (-15 -2806 (|#1| (-264 |#2| |#1|) (-264 |#2| |#1|) (-948 |#1|))) (-15 -2806 (|#1| (-433 (-264 |#2| |#1|)) (-948 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-948 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-264 |#2| |#1|) (-264 |#2| |#1|) (-948 |#1|))) (-15 -4474 ((-3 |#1| "failed") (-433 (-264 |#2| |#1|)) (-948 |#1|))) (-15 -1587 ((-258 (-948 |#1|)) (-264 |#2| |#1|))) (-15 -2269 ((-258 (-948 |#1|)))) (IF (|has| |#1| (-394)) (PROGN (-15 -2821 ((-1187 (-592)))) (-15 -2821 ((-1187 (-592)) (-944))) (-15 -2825 ((-592))) (-15 -2742 ((-658 (-948 |#1|)) (-944))) (-15 -4530 ((-592) (-944))) (-15 -1595 ((-592) (-944))) (-15 -4056 ((-592) (-944) (-944))) (-15 -2665 ((-1275 (-592) -4132))) (-15 -2665 ((-1275 (-592) -4132) (-944)))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-3150 (((-592) $) 15)) (-2003 (($ (-179)) 11)) (-3007 (($ (-179)) 12)) (-2685 (((-1173) $) NIL)) (-3850 (((-179) $) 13)) (-2951 (((-1137) $) NIL)) (-3832 (($ (-179)) 9)) (-3827 (($ (-179)) 8)) (-1683 (((-877) $) 23) (($ (-179)) 16)) (-3074 (($ (-179)) 10)) (-3255 (((-141) $ $) NIL))) 
-(((-896) (-13 (-1119) (-10 -8 (-15 -3827 ($ (-179))) (-15 -3832 ($ (-179))) (-15 -3074 ($ (-179))) (-15 -2003 ($ (-179))) (-15 -3007 ($ (-179))) (-15 -3850 ((-179) $)) (-15 -3150 ((-592) $)) (-15 -1683 ($ (-179)))))) (T -896)) 
-((-3827 (*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) (-3832 (*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) (-3074 (*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) (-2003 (*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) (-3007 (*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) (-3850 (*1 *2 *1) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) (-3150 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-896)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896))))) 
-(-13 (-1119) (-10 -8 (-15 -3827 ($ (-179))) (-15 -3832 ($ (-179))) (-15 -3074 ($ (-179))) (-15 -2003 ($ (-179))) (-15 -3007 ($ (-179))) (-15 -3850 ((-179) $)) (-15 -3150 ((-592) $)) (-15 -1683 ($ (-179))))) 
-((-1683 (((-332 (-592)) (-433 (-980 (-53)))) 21) (((-332 (-592)) (-980 (-53))) 16))) 
-(((-897) (-10 -7 (-15 -1683 ((-332 (-592)) (-980 (-53)))) (-15 -1683 ((-332 (-592)) (-433 (-980 (-53))))))) (T -897)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 (-53)))) (-5 *2 (-332 (-592))) (-5 *1 (-897)))) (-1683 (*1 *2 *3) (-12 (-5 *3 (-980 (-53))) (-5 *2 (-332 (-592))) (-5 *1 (-897))))) 
-(-10 -7 (-15 -1683 ((-332 (-592)) (-980 (-53)))) (-15 -1683 ((-332 (-592)) (-433 (-980 (-53)))))) 
-((-1449 ((|#6| |#3| |#7| (-592)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-658 |#6|)) 28))) 
-(((-898 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1449 (|#6| |#3| (-658 |#6|))) (-15 -1449 (|#6| |#3| |#7|)) (-15 -1449 (|#6| |#3| |#3| |#7|)) (-15 -1449 (|#6| |#3| |#7| (-592)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|) (-665 |#1|) (-947 |#1| |#6|)) (T -898)) 
-((-1449 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *2 (-665 *6)) (-5 *1 (-898 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-977 *6 *8 (-879 *7))) (-4 *9 (-999 *6)) (-4 *4 (-947 *6 *2)))) (-1449 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-665 *5)) (-5 *1 (-898 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)) (-4 *4 (-947 *5 *2)))) (-1449 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-665 *5)) (-5 *1 (-898 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)) (-4 *4 (-947 *5 *2)))) (-1449 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *2)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-665 *5)) (-5 *1 (-898 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)) (-4 *9 (-947 *5 *2))))) 
-(-10 -7 (-15 -1449 (|#6| |#3| (-658 |#6|))) (-15 -1449 (|#6| |#3| |#7|)) (-15 -1449 (|#6| |#3| |#3| |#7|)) (-15 -1449 (|#6| |#3| |#7| (-592)))) 
-((-2731 (((-900 |#2|) (-1 |#2| |#1|) (-900 |#1|)) 14))) 
-(((-899 |#1| |#2|) (-10 -7 (-15 -2731 ((-900 |#2|) (-1 |#2| |#1|) (-900 |#1|)))) (-1225) (-1225)) (T -899)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-900 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-900 *6)) (-5 *1 (-899 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-900 |#2|) (-1 |#2| |#1|) (-900 |#1|)))) 
-((-2354 (($ |#1| |#1|) 8)) (-1365 ((|#1| $ (-790)) 10))) 
-(((-900 |#1|) (-10 -8 (-15 -2354 ($ |#1| |#1|)) (-15 -1365 (|#1| $ (-790)))) (-1225)) (T -900)) 
-((-1365 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-900 *2)) (-4 *2 (-1225)))) (-2354 (*1 *1 *2 *2) (-12 (-5 *1 (-900 *2)) (-4 *2 (-1225))))) 
-(-10 -8 (-15 -2354 ($ |#1| |#1|)) (-15 -1365 (|#1| $ (-790)))) 
-((-2731 (((-902 |#2|) (-1 |#2| |#1|) (-902 |#1|)) 14))) 
-(((-901 |#1| |#2|) (-10 -7 (-15 -2731 ((-902 |#2|) (-1 |#2| |#1|) (-902 |#1|)))) (-1225) (-1225)) (T -901)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-902 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-902 *6)) (-5 *1 (-901 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-902 |#2|) (-1 |#2| |#1|) (-902 |#1|)))) 
-((-2354 (($ |#1| |#1| |#1|) 8)) (-1365 ((|#1| $ (-790)) 10))) 
-(((-902 |#1|) (-10 -8 (-15 -2354 ($ |#1| |#1| |#1|)) (-15 -1365 (|#1| $ (-790)))) (-1225)) (T -902)) 
-((-1365 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-902 *2)) (-4 *2 (-1225)))) (-2354 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-902 *2)) (-4 *2 (-1225))))) 
-(-10 -8 (-15 -2354 ($ |#1| |#1| |#1|)) (-15 -1365 (|#1| $ (-790)))) 
-((-2731 (((-904 |#2|) (-1 |#2| |#1|) (-904 |#1|)) 14))) 
-(((-903 |#1| |#2|) (-10 -7 (-15 -2731 ((-904 |#2|) (-1 |#2| |#1|) (-904 |#1|)))) (-1225) (-1225)) (T -903)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-904 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-904 *6)) (-5 *1 (-903 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-904 |#2|) (-1 |#2| |#1|) (-904 |#1|)))) 
-((-1374 (($ |#1| |#1| |#1|) 8)) (-1365 ((|#1| $ (-790)) 10))) 
-(((-904 |#1|) (-10 -8 (-15 -1374 ($ |#1| |#1| |#1|)) (-15 -1365 (|#1| $ (-790)))) (-1225)) (T -904)) 
-((-1365 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-904 *2)) (-4 *2 (-1225)))) (-1374 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-904 *2)) (-4 *2 (-1225))))) 
-(-10 -8 (-15 -1374 ($ |#1| |#1| |#1|)) (-15 -1365 (|#1| $ (-790)))) 
-((-3723 (((-1171 (-658 (-592))) (-658 (-592)) (-1171 (-658 (-592)))) 30)) (-1338 (((-1171 (-658 (-592))) (-658 (-592)) (-658 (-592))) 26)) (-1352 (((-1171 (-658 (-592))) (-658 (-592))) 39) (((-1171 (-658 (-592))) (-658 (-592)) (-658 (-592))) 38)) (-3048 (((-1171 (-658 (-592))) (-592)) 40)) (-2541 (((-1171 (-658 (-592))) (-592) (-592)) 22) (((-1171 (-658 (-592))) (-592)) 16) (((-1171 (-658 (-592))) (-592) (-592) (-592)) 12)) (-3290 (((-1171 (-658 (-592))) (-1171 (-658 (-592)))) 24)) (-2227 (((-658 (-592)) (-658 (-592))) 23))) 
-(((-905) (-10 -7 (-15 -2541 ((-1171 (-658 (-592))) (-592) (-592) (-592))) (-15 -2541 ((-1171 (-658 (-592))) (-592))) (-15 -2541 ((-1171 (-658 (-592))) (-592) (-592))) (-15 -2227 ((-658 (-592)) (-658 (-592)))) (-15 -3290 ((-1171 (-658 (-592))) (-1171 (-658 (-592))))) (-15 -1338 ((-1171 (-658 (-592))) (-658 (-592)) (-658 (-592)))) (-15 -3723 ((-1171 (-658 (-592))) (-658 (-592)) (-1171 (-658 (-592))))) (-15 -1352 ((-1171 (-658 (-592))) (-658 (-592)) (-658 (-592)))) (-15 -1352 ((-1171 (-658 (-592))) (-658 (-592)))) (-15 -3048 ((-1171 (-658 (-592))) (-592))))) (T -905)) 
-((-3048 (*1 *2 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592)))) (-1352 (*1 *2 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-658 (-592))))) (-1352 (*1 *2 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-658 (-592))))) (-3723 (*1 *2 *3 *2) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *3 (-658 (-592))) (-5 *1 (-905)))) (-1338 (*1 *2 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-658 (-592))))) (-3290 (*1 *2 *2) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)))) (-2227 (*1 *2 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-905)))) (-2541 (*1 *2 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592)))) (-2541 (*1 *2 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592)))) (-2541 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592))))) 
-(-10 -7 (-15 -2541 ((-1171 (-658 (-592))) (-592) (-592) (-592))) (-15 -2541 ((-1171 (-658 (-592))) (-592))) (-15 -2541 ((-1171 (-658 (-592))) (-592) (-592))) (-15 -2227 ((-658 (-592)) (-658 (-592)))) (-15 -3290 ((-1171 (-658 (-592))) (-1171 (-658 (-592))))) (-15 -1338 ((-1171 (-658 (-592))) (-658 (-592)) (-658 (-592)))) (-15 -3723 ((-1171 (-658 (-592))) (-658 (-592)) (-1171 (-658 (-592))))) (-15 -1352 ((-1171 (-658 (-592))) (-658 (-592)) (-658 (-592)))) (-15 -1352 ((-1171 (-658 (-592))) (-658 (-592)))) (-15 -3048 ((-1171 (-658 (-592))) (-592)))) 
-((-1778 (((-914 (-405)) $) 9 (|has| |#1| (-633 (-914 (-405))))) (((-914 (-592)) $) 8 (|has| |#1| (-633 (-914 (-592))))))) 
-(((-906 |#1|) (-1311) (-1225)) (T -906)) 
-NIL 
-(-13 (-10 -7 (IF (|has| |t#1| (-633 (-914 (-592)))) (-6 (-633 (-914 (-592)))) |noBranch|) (IF (|has| |t#1| (-633 (-914 (-405)))) (-6 (-633 (-914 (-405)))) |noBranch|))) 
-(((-633 (-914 (-405))) |has| |#1| (-633 (-914 (-405)))) ((-633 (-914 (-592))) |has| |#1| (-633 (-914 (-592))))) 
-((-1641 (((-141) $ $) NIL)) (-3242 (($) 14)) (-2758 (($ (-911 |#1| |#2|) (-911 |#1| |#3|)) 27)) (-1668 (((-911 |#1| |#3|) $) 16)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4098 (((-141) $) 22)) (-3550 (($) 19)) (-1683 (((-877) $) 30)) (-3094 (((-911 |#1| |#2|) $) 15)) (-3255 (((-141) $ $) 25))) 
-(((-907 |#1| |#2| |#3|) (-13 (-1119) (-10 -8 (-15 -4098 ((-141) $)) (-15 -3550 ($)) (-15 -3242 ($)) (-15 -2758 ($ (-911 |#1| |#2|) (-911 |#1| |#3|))) (-15 -3094 ((-911 |#1| |#2|) $)) (-15 -1668 ((-911 |#1| |#3|) $)))) (-1119) (-1119) (-683 |#2|)) (T -907)) 
-((-4098 (*1 *2 *1) (-12 (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-907 *3 *4 *5)) (-4 *3 (-1119)) (-4 *5 (-683 *4)))) (-3550 (*1 *1) (-12 (-4 *3 (-1119)) (-5 *1 (-907 *2 *3 *4)) (-4 *2 (-1119)) (-4 *4 (-683 *3)))) (-3242 (*1 *1) (-12 (-4 *3 (-1119)) (-5 *1 (-907 *2 *3 *4)) (-4 *2 (-1119)) (-4 *4 (-683 *3)))) (-2758 (*1 *1 *2 *3) (-12 (-5 *2 (-911 *4 *5)) (-5 *3 (-911 *4 *6)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-683 *5)) (-5 *1 (-907 *4 *5 *6)))) (-3094 (*1 *2 *1) (-12 (-4 *4 (-1119)) (-5 *2 (-911 *3 *4)) (-5 *1 (-907 *3 *4 *5)) (-4 *3 (-1119)) (-4 *5 (-683 *4)))) (-1668 (*1 *2 *1) (-12 (-4 *4 (-1119)) (-5 *2 (-911 *3 *5)) (-5 *1 (-907 *3 *4 *5)) (-4 *3 (-1119)) (-4 *5 (-683 *4))))) 
-(-13 (-1119) (-10 -8 (-15 -4098 ((-141) $)) (-15 -3550 ($)) (-15 -3242 ($)) (-15 -2758 ($ (-911 |#1| |#2|) (-911 |#1| |#3|))) (-15 -3094 ((-911 |#1| |#2|) $)) (-15 -1668 ((-911 |#1| |#3|) $)))) 
-((-1641 (((-141) $ $) 7)) (-3412 (((-911 |#1| $) $ (-914 |#1|) (-911 |#1| $)) 12)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-908 |#1|) (-1311) (-1119)) (T -908)) 
-((-3412 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-911 *4 *1)) (-5 *3 (-914 *4)) (-4 *1 (-908 *4)) (-4 *4 (-1119))))) 
-(-13 (-1119) (-10 -8 (-15 -3412 ((-911 |t#1| $) $ (-914 |t#1|) (-911 |t#1| $))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3013 (((-141) (-658 |#2|) |#3|) 22) (((-141) |#2| |#3|) 17)) (-3772 (((-911 |#1| |#2|) |#2| |#3|) 42 (-12 (-3252 (|has| |#2| (-1065 (-1191)))) (-3252 (|has| |#2| (-1075))))) (((-658 (-310 (-980 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1075)) (-3252 (|has| |#2| (-1065 (-1191)))))) (((-658 (-310 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1065 (-1191)))) (((-907 |#1| |#2| (-658 |#2|)) (-658 |#2|) |#3|) 20))) 
-(((-909 |#1| |#2| |#3|) (-10 -7 (-15 -3013 ((-141) |#2| |#3|)) (-15 -3013 ((-141) (-658 |#2|) |#3|)) (-15 -3772 ((-907 |#1| |#2| (-658 |#2|)) (-658 |#2|) |#3|)) (IF (|has| |#2| (-1065 (-1191))) (-15 -3772 ((-658 (-310 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1075)) (-15 -3772 ((-658 (-310 (-980 |#2|))) |#2| |#3|)) (-15 -3772 ((-911 |#1| |#2|) |#2| |#3|))))) (-1119) (-908 |#1|) (-633 (-914 |#1|))) (T -909)) 
-((-3772 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-911 *5 *3)) (-5 *1 (-909 *5 *3 *4)) (-3252 (-4 *3 (-1065 (-1191)))) (-3252 (-4 *3 (-1075))) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5))))) (-3772 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-658 (-310 (-980 *3)))) (-5 *1 (-909 *5 *3 *4)) (-4 *3 (-1075)) (-3252 (-4 *3 (-1065 (-1191)))) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5))))) (-3772 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-658 (-310 *3))) (-5 *1 (-909 *5 *3 *4)) (-4 *3 (-1065 (-1191))) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5))))) (-3772 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *6 (-908 *5)) (-5 *2 (-907 *5 *6 (-658 *6))) (-5 *1 (-909 *5 *6 *4)) (-5 *3 (-658 *6)) (-4 *4 (-633 (-914 *5))))) (-3013 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-4 *6 (-908 *5)) (-4 *5 (-1119)) (-5 *2 (-141)) (-5 *1 (-909 *5 *6 *4)) (-4 *4 (-633 (-914 *5))))) (-3013 (*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-141)) (-5 *1 (-909 *5 *3 *4)) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5)))))) 
-(-10 -7 (-15 -3013 ((-141) |#2| |#3|)) (-15 -3013 ((-141) (-658 |#2|) |#3|)) (-15 -3772 ((-907 |#1| |#2| (-658 |#2|)) (-658 |#2|) |#3|)) (IF (|has| |#2| (-1065 (-1191))) (-15 -3772 ((-658 (-310 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1075)) (-15 -3772 ((-658 (-310 (-980 |#2|))) |#2| |#3|)) (-15 -3772 ((-911 |#1| |#2|) |#2| |#3|))))) 
-((-2731 (((-911 |#1| |#3|) (-1 |#3| |#2|) (-911 |#1| |#2|)) 21))) 
-(((-910 |#1| |#2| |#3|) (-10 -7 (-15 -2731 ((-911 |#1| |#3|) (-1 |#3| |#2|) (-911 |#1| |#2|)))) (-1119) (-1119) (-1119)) (T -910)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-911 *5 *6)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-911 *5 *7)) (-5 *1 (-910 *5 *6 *7))))) 
-(-10 -7 (-15 -2731 ((-911 |#1| |#3|) (-1 |#3| |#2|) (-911 |#1| |#2|)))) 
-((-1641 (((-141) $ $) NIL)) (-4528 (($ $ $) 37)) (-2081 (((-3 (-141) "failed") $ (-914 |#1|)) 34)) (-3242 (($) 11)) (-2685 (((-1173) $) NIL)) (-3102 (($ (-914 |#1|) |#2| $) 20)) (-2951 (((-1137) $) NIL)) (-2875 (((-3 |#2| "failed") (-914 |#1|) $) 48)) (-4098 (((-141) $) 14)) (-3550 (($) 12)) (-4518 (((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 |#2|))) $) 25)) (-4466 (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 |#2|)))) 23)) (-1683 (((-877) $) 42)) (-4231 (($ (-914 |#1|) |#2| $ |#2|) 46)) (-2087 (($ (-914 |#1|) |#2| $) 45)) (-3255 (((-141) $ $) 39))) 
-(((-911 |#1| |#2|) (-13 (-1119) (-10 -8 (-15 -4098 ((-141) $)) (-15 -3550 ($)) (-15 -3242 ($)) (-15 -4528 ($ $ $)) (-15 -2875 ((-3 |#2| "failed") (-914 |#1|) $)) (-15 -2087 ($ (-914 |#1|) |#2| $)) (-15 -3102 ($ (-914 |#1|) |#2| $)) (-15 -4231 ($ (-914 |#1|) |#2| $ |#2|)) (-15 -4518 ((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 |#2|))) $)) (-15 -4466 ($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 |#2|))))) (-15 -2081 ((-3 (-141) "failed") $ (-914 |#1|))))) (-1119) (-1119)) (T -911)) 
-((-4098 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-911 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-3550 (*1 *1) (-12 (-5 *1 (-911 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-3242 (*1 *1) (-12 (-5 *1 (-911 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-4528 (*1 *1 *1 *1) (-12 (-5 *1 (-911 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-2875 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-4 *2 (-1119)) (-5 *1 (-911 *4 *2)))) (-2087 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1119)))) (-3102 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1119)))) (-4231 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1119)))) (-4518 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 *4)))) (-5 *1 (-911 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-4466 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 *4)))) (-4 *4 (-1119)) (-5 *1 (-911 *3 *4)) (-4 *3 (-1119)))) (-2081 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1119))))) 
-(-13 (-1119) (-10 -8 (-15 -4098 ((-141) $)) (-15 -3550 ($)) (-15 -3242 ($)) (-15 -4528 ($ $ $)) (-15 -2875 ((-3 |#2| "failed") (-914 |#1|) $)) (-15 -2087 ($ (-914 |#1|) |#2| $)) (-15 -3102 ($ (-914 |#1|) |#2| $)) (-15 -4231 ($ (-914 |#1|) |#2| $ |#2|)) (-15 -4518 ((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 |#2|))) $)) (-15 -4466 ($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 |#2|))))) (-15 -2081 ((-3 (-141) "failed") $ (-914 |#1|))))) 
-((-4355 (((-914 |#1|) (-914 |#1|) (-658 (-1191)) (-1 (-141) (-658 |#2|))) 30) (((-914 |#1|) (-914 |#1|) (-658 (-1 (-141) |#2|))) 42) (((-914 |#1|) (-914 |#1|) (-1 (-141) |#2|)) 33)) (-2081 (((-141) (-658 |#2|) (-914 |#1|)) 39) (((-141) |#2| (-914 |#1|)) 35)) (-3499 (((-1 (-141) |#2|) (-914 |#1|)) 14)) (-2341 (((-658 |#2|) (-914 |#1|)) 23)) (-2518 (((-914 |#1|) (-914 |#1|) |#2|) 19))) 
-(((-912 |#1| |#2|) (-10 -7 (-15 -4355 ((-914 |#1|) (-914 |#1|) (-1 (-141) |#2|))) (-15 -4355 ((-914 |#1|) (-914 |#1|) (-658 (-1 (-141) |#2|)))) (-15 -4355 ((-914 |#1|) (-914 |#1|) (-658 (-1191)) (-1 (-141) (-658 |#2|)))) (-15 -3499 ((-1 (-141) |#2|) (-914 |#1|))) (-15 -2081 ((-141) |#2| (-914 |#1|))) (-15 -2081 ((-141) (-658 |#2|) (-914 |#1|))) (-15 -2518 ((-914 |#1|) (-914 |#1|) |#2|)) (-15 -2341 ((-658 |#2|) (-914 |#1|)))) (-1119) (-1225)) (T -912)) 
-((-2341 (*1 *2 *3) (-12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-5 *2 (-658 *5)) (-5 *1 (-912 *4 *5)) (-4 *5 (-1225)))) (-2518 (*1 *2 *2 *3) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-912 *4 *3)) (-4 *3 (-1225)))) (-2081 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *2 (-141)) (-5 *1 (-912 *5 *6)))) (-2081 (*1 *2 *3 *4) (-12 (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-5 *2 (-141)) (-5 *1 (-912 *5 *3)) (-4 *3 (-1225)))) (-3499 (*1 *2 *3) (-12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-5 *2 (-1 (-141) *5)) (-5 *1 (-912 *4 *5)) (-4 *5 (-1225)))) (-4355 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-914 *5)) (-5 *3 (-658 (-1191))) (-5 *4 (-1 (-141) (-658 *6))) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *1 (-912 *5 *6)))) (-4355 (*1 *2 *2 *3) (-12 (-5 *2 (-914 *4)) (-5 *3 (-658 (-1 (-141) *5))) (-4 *4 (-1119)) (-4 *5 (-1225)) (-5 *1 (-912 *4 *5)))) (-4355 (*1 *2 *2 *3) (-12 (-5 *2 (-914 *4)) (-5 *3 (-1 (-141) *5)) (-4 *4 (-1119)) (-4 *5 (-1225)) (-5 *1 (-912 *4 *5))))) 
-(-10 -7 (-15 -4355 ((-914 |#1|) (-914 |#1|) (-1 (-141) |#2|))) (-15 -4355 ((-914 |#1|) (-914 |#1|) (-658 (-1 (-141) |#2|)))) (-15 -4355 ((-914 |#1|) (-914 |#1|) (-658 (-1191)) (-1 (-141) (-658 |#2|)))) (-15 -3499 ((-1 (-141) |#2|) (-914 |#1|))) (-15 -2081 ((-141) |#2| (-914 |#1|))) (-15 -2081 ((-141) (-658 |#2|) (-914 |#1|))) (-15 -2518 ((-914 |#1|) (-914 |#1|) |#2|)) (-15 -2341 ((-658 |#2|) (-914 |#1|)))) 
-((-2731 (((-914 |#2|) (-1 |#2| |#1|) (-914 |#1|)) 17))) 
-(((-913 |#1| |#2|) (-10 -7 (-15 -2731 ((-914 |#2|) (-1 |#2| |#1|) (-914 |#1|)))) (-1119) (-1119)) (T -913)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-914 *6)) (-5 *1 (-913 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-914 |#2|) (-1 |#2| |#1|) (-914 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2705 (($ $ (-658 (-57))) 62)) (-4085 (((-658 $) $) 116)) (-1687 (((-2 (|:| |var| (-658 (-1191))) (|:| |pred| (-57))) $) 22)) (-4188 (((-141) $) 29)) (-1717 (($ $ (-658 (-1191)) (-57)) 24)) (-3226 (($ $ (-658 (-57))) 61)) (-4368 (((-3 |#1| "failed") $) 59) (((-3 (-1191) "failed") $) 138)) (-2400 ((|#1| $) 55) (((-1191) $) NIL)) (-1982 (($ $) 106)) (-3381 (((-141) $) 45)) (-1681 (((-658 (-57)) $) 43)) (-1916 (($ (-1191) (-141) (-141) (-141)) 63)) (-3022 (((-3 (-658 $) "failed") (-658 $)) 70)) (-1604 (((-141) $) 48)) (-4402 (((-141) $) 47)) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) 34)) (-1688 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-2427 (((-3 (-2 (|:| |val| $) (|:| -3215 $)) "failed") $) 81)) (-2947 (((-3 (-658 $) "failed") $) 31)) (-2624 (((-3 (-658 $) "failed") $ (-143)) 105) (((-3 (-2 (|:| -1608 (-143)) (|:| |arg| (-658 $))) "failed") $) 93)) (-3813 (((-3 (-658 $) "failed") $) 35)) (-2257 (((-3 (-2 (|:| |val| $) (|:| -3215 (-790))) "failed") $) 38)) (-1773 (((-141) $) 28)) (-2951 (((-1137) $) NIL)) (-1361 (((-141) $) 20)) (-2368 (((-141) $) 44)) (-2367 (((-658 (-57)) $) 109)) (-2363 (((-141) $) 46)) (-3927 (($ (-143) (-658 $)) 90)) (-3439 (((-790) $) 27)) (-4599 (($ $) 60)) (-1778 (($ (-658 $)) 57)) (-2752 (((-141) $) 25)) (-1683 (((-877) $) 50) (($ |#1|) 18) (($ (-1191)) 64)) (-2518 (($ $ (-57)) 108)) (-3514 (($) 89 T CONST)) (-4257 (($) 71 T CONST)) (-3255 (((-141) $ $) 77)) (-3313 (($ $ $) 98)) (-3300 (($ $ $) 102)) (** (($ $ (-790)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
-(((-914 |#1|) (-13 (-1119) (-1065 |#1|) (-1065 (-1191)) (-10 -8 (-15 0 ($) -4249) (-15 1 ($) -4249) (-15 -2947 ((-3 (-658 $) "failed") $)) (-15 -4421 ((-3 (-658 $) "failed") $)) (-15 -2624 ((-3 (-658 $) "failed") $ (-143))) (-15 -2624 ((-3 (-2 (|:| -1608 (-143)) (|:| |arg| (-658 $))) "failed") $)) (-15 -2257 ((-3 (-2 (|:| |val| $) (|:| -3215 (-790))) "failed") $)) (-15 -1688 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3813 ((-3 (-658 $) "failed") $)) (-15 -2427 ((-3 (-2 (|:| |val| $) (|:| -3215 $)) "failed") $)) (-15 -3927 ($ (-143) (-658 $))) (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-790))) (-15 ** ($ $ $)) (-15 -3313 ($ $ $)) (-15 -3439 ((-790) $)) (-15 -1778 ($ (-658 $))) (-15 -4599 ($ $)) (-15 -1773 ((-141) $)) (-15 -3381 ((-141) $)) (-15 -4188 ((-141) $)) (-15 -2752 ((-141) $)) (-15 -2363 ((-141) $)) (-15 -4402 ((-141) $)) (-15 -1604 ((-141) $)) (-15 -2368 ((-141) $)) (-15 -1681 ((-658 (-57)) $)) (-15 -3226 ($ $ (-658 (-57)))) (-15 -2705 ($ $ (-658 (-57)))) (-15 -1916 ($ (-1191) (-141) (-141) (-141))) (-15 -1717 ($ $ (-658 (-1191)) (-57))) (-15 -1687 ((-2 (|:| |var| (-658 (-1191))) (|:| |pred| (-57))) $)) (-15 -1361 ((-141) $)) (-15 -1982 ($ $)) (-15 -2518 ($ $ (-57))) (-15 -2367 ((-658 (-57)) $)) (-15 -4085 ((-658 $) $)) (-15 -3022 ((-3 (-658 $) "failed") (-658 $))))) (-1119)) (T -914)) 
-((-3514 (*1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (-4257 (*1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (-2947 (*1 *2 *1) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-4421 (*1 *2 *1) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2624 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-143)) (-5 *2 (-658 (-914 *4))) (-5 *1 (-914 *4)) (-4 *4 (-1119)))) (-2624 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -1608 (-143)) (|:| |arg| (-658 (-914 *3))))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2257 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-914 *3)) (|:| -3215 (-790)))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1688 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-914 *3)) (|:| |den| (-914 *3)))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-3813 (*1 *2 *1) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2427 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-914 *3)) (|:| -3215 (-914 *3)))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-3927 (*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 (-914 *4))) (-5 *1 (-914 *4)) (-4 *4 (-1119)))) (-3300 (*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (-3313 (*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (-3439 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (-1773 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-3381 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-4188 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2752 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2363 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-4402 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1604 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2368 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1681 (*1 *2 *1) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-3226 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2705 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1916 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-141)) (-5 *1 (-914 *4)) (-4 *4 (-1119)))) (-1717 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-57)) (-5 *1 (-914 *4)) (-4 *4 (-1119)))) (-1687 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-658 (-1191))) (|:| |pred| (-57)))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1361 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-1982 (*1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) (-2518 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-2367 (*1 *2 *1) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-4085 (*1 *2 *1) (-12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) (-3022 (*1 *2 *2) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(-13 (-1119) (-1065 |#1|) (-1065 (-1191)) (-10 -8 (-15 (-3514) ($) -4249) (-15 (-4257) ($) -4249) (-15 -2947 ((-3 (-658 $) "failed") $)) (-15 -4421 ((-3 (-658 $) "failed") $)) (-15 -2624 ((-3 (-658 $) "failed") $ (-143))) (-15 -2624 ((-3 (-2 (|:| -1608 (-143)) (|:| |arg| (-658 $))) "failed") $)) (-15 -2257 ((-3 (-2 (|:| |val| $) (|:| -3215 (-790))) "failed") $)) (-15 -1688 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3813 ((-3 (-658 $) "failed") $)) (-15 -2427 ((-3 (-2 (|:| |val| $) (|:| -3215 $)) "failed") $)) (-15 -3927 ($ (-143) (-658 $))) (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-790))) (-15 ** ($ $ $)) (-15 -3313 ($ $ $)) (-15 -3439 ((-790) $)) (-15 -1778 ($ (-658 $))) (-15 -4599 ($ $)) (-15 -1773 ((-141) $)) (-15 -3381 ((-141) $)) (-15 -4188 ((-141) $)) (-15 -2752 ((-141) $)) (-15 -2363 ((-141) $)) (-15 -4402 ((-141) $)) (-15 -1604 ((-141) $)) (-15 -2368 ((-141) $)) (-15 -1681 ((-658 (-57)) $)) (-15 -3226 ($ $ (-658 (-57)))) (-15 -2705 ($ $ (-658 (-57)))) (-15 -1916 ($ (-1191) (-141) (-141) (-141))) (-15 -1717 ($ $ (-658 (-1191)) (-57))) (-15 -1687 ((-2 (|:| |var| (-658 (-1191))) (|:| |pred| (-57))) $)) (-15 -1361 ((-141) $)) (-15 -1982 ($ $)) (-15 -2518 ($ $ (-57))) (-15 -2367 ((-658 (-57)) $)) (-15 -4085 ((-658 $) $)) (-15 -3022 ((-3 (-658 $) "failed") (-658 $))))) 
-((-1641 (((-141) $ $) NIL)) (-2692 (((-658 |#1|) $) 16)) (-3461 (((-141) $) 38)) (-4368 (((-3 (-688 |#1|) "failed") $) 41)) (-2400 (((-688 |#1|) $) 39)) (-1366 (($ $) 18)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-3725 (((-658 (-688 |#1|)) $) 23)) (-4233 (((-790) $) 45)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-688 |#1|) $) 17)) (-1683 (((-877) $) 37) (($ (-688 |#1|)) 21) (((-841 |#1|) $) 27) (($ |#1|) 20)) (-4257 (($) 8 T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 11)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 48))) 
-(((-915 |#1|) (-13 (-869) (-1065 (-688 |#1|)) (-10 -8 (-15 1 ($) -4249) (-15 -1683 ((-841 |#1|) $)) (-15 -1683 ($ |#1|)) (-15 -1918 ((-688 |#1|) $)) (-15 -4233 ((-790) $)) (-15 -3725 ((-658 (-688 |#1|)) $)) (-15 -1366 ($ $)) (-15 -3461 ((-141) $)) (-15 -2692 ((-658 |#1|) $)))) (-869)) (T -915)) 
-((-4257 (*1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-869)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-841 *3)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) (-1683 (*1 *1 *2) (-12 (-5 *1 (-915 *2)) (-4 *2 (-869)))) (-1918 (*1 *2 *1) (-12 (-5 *2 (-688 *3)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) (-3725 (*1 *2 *1) (-12 (-5 *2 (-658 (-688 *3))) (-5 *1 (-915 *3)) (-4 *3 (-869)))) (-1366 (*1 *1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-869)))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) (-2692 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-915 *3)) (-4 *3 (-869))))) 
-(-13 (-869) (-1065 (-688 |#1|)) (-10 -8 (-15 (-4257) ($) -4249) (-15 -1683 ((-841 |#1|) $)) (-15 -1683 ($ |#1|)) (-15 -1918 ((-688 |#1|) $)) (-15 -4233 ((-790) $)) (-15 -3725 ((-658 (-688 |#1|)) $)) (-15 -1366 ($ $)) (-15 -3461 ((-141) $)) (-15 -2692 ((-658 |#1|) $)))) 
-((-4060 ((|#1| |#1| |#1|) 19))) 
-(((-916 |#1| |#2|) (-10 -7 (-15 -4060 (|#1| |#1| |#1|))) (-1255 |#2|) (-1075)) (T -916)) 
-((-4060 (*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-916 *2 *3)) (-4 *2 (-1255 *3))))) 
-(-10 -7 (-15 -4060 (|#1| |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2617 (((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 13)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-4180 (((-1063) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 12)) (-3255 (((-141) $ $) 6))) 
-(((-917) (-1311)) (T -917)) 
-((-2617 (*1 *2 *3 *4) (-12 (-4 *1 (-917)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) (-4180 (*1 *2 *3) (-12 (-4 *1 (-917)) (-5 *3 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *2 (-1063))))) 
-(-13 (-1119) (-10 -7 (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| |explanations| (-1173))) (-1087) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))))) (-15 -4180 ((-1063) (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3695 ((|#1| |#1| (-790)) 23)) (-1380 (((-3 |#1| "failed") |#1| |#1|) 22)) (-1906 (((-3 (-2 (|:| -1961 |#1|) (|:| -1954 |#1|)) "failed") |#1| (-790) (-790)) 26) (((-658 |#1|) |#1|) 28))) 
-(((-918 |#1| |#2|) (-10 -7 (-15 -1906 ((-658 |#1|) |#1|)) (-15 -1906 ((-3 (-2 (|:| -1961 |#1|) (|:| -1954 |#1|)) "failed") |#1| (-790) (-790))) (-15 -1380 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3695 (|#1| |#1| (-790)))) (-1255 |#2|) (-388)) (T -918)) 
-((-3695 (*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-5 *1 (-918 *2 *4)) (-4 *2 (-1255 *4)))) (-1380 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-388)) (-5 *1 (-918 *2 *3)) (-4 *2 (-1255 *3)))) (-1906 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -1961 *3) (|:| -1954 *3))) (-5 *1 (-918 *3 *5)) (-4 *3 (-1255 *5)))) (-1906 (*1 *2 *3) (-12 (-4 *4 (-388)) (-5 *2 (-658 *3)) (-5 *1 (-918 *3 *4)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -1906 ((-658 |#1|) |#1|)) (-15 -1906 ((-3 (-2 (|:| -1961 |#1|) (|:| -1954 |#1|)) "failed") |#1| (-790) (-790))) (-15 -1380 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3695 (|#1| |#1| (-790)))) 
-((-4005 (((-1063) (-405) (-405) (-405) (-405) (-790) (-790) (-658 (-332 (-405))) (-658 (-658 (-332 (-405)))) (-1173)) 92) (((-1063) (-405) (-405) (-405) (-405) (-790) (-790) (-658 (-332 (-405))) (-658 (-658 (-332 (-405)))) (-1173) (-237)) 87) (((-1063) (-920) (-1087)) 76) (((-1063) (-920)) 77)) (-2617 (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-920) (-1087)) 50) (((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-920)) 52))) 
-(((-919) (-10 -7 (-15 -4005 ((-1063) (-920))) (-15 -4005 ((-1063) (-920) (-1087))) (-15 -4005 ((-1063) (-405) (-405) (-405) (-405) (-790) (-790) (-658 (-332 (-405))) (-658 (-658 (-332 (-405)))) (-1173) (-237))) (-15 -4005 ((-1063) (-405) (-405) (-405) (-405) (-790) (-790) (-658 (-332 (-405))) (-658 (-658 (-332 (-405)))) (-1173))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-920))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-920) (-1087))))) (T -919)) 
-((-2617 (*1 *2 *3 *4) (-12 (-5 *3 (-920)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-919)))) (-2617 (*1 *2 *3) (-12 (-5 *3 (-920)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-919)))) (-4005 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-790)) (-5 *6 (-658 (-658 (-332 *3)))) (-5 *7 (-1173)) (-5 *5 (-658 (-332 (-405)))) (-5 *3 (-405)) (-5 *2 (-1063)) (-5 *1 (-919)))) (-4005 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-790)) (-5 *6 (-658 (-658 (-332 *3)))) (-5 *7 (-1173)) (-5 *8 (-237)) (-5 *5 (-658 (-332 (-405)))) (-5 *3 (-405)) (-5 *2 (-1063)) (-5 *1 (-919)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-920)) (-5 *4 (-1087)) (-5 *2 (-1063)) (-5 *1 (-919)))) (-4005 (*1 *2 *3) (-12 (-5 *3 (-920)) (-5 *2 (-1063)) (-5 *1 (-919))))) 
-(-10 -7 (-15 -4005 ((-1063) (-920))) (-15 -4005 ((-1063) (-920) (-1087))) (-15 -4005 ((-1063) (-405) (-405) (-405) (-405) (-790) (-790) (-658 (-332 (-405))) (-658 (-658 (-332 (-405)))) (-1173) (-237))) (-15 -4005 ((-1063) (-405) (-405) (-405) (-405) (-790) (-790) (-658 (-332 (-405))) (-658 (-658 (-332 (-405)))) (-1173))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-920))) (-15 -2617 ((-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173)))) (-920) (-1087)))) 
-((-1641 (((-141) $ $) NIL)) (-2400 (((-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))) $) 10)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 12) (($ (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) 9)) (-3255 (((-141) $ $) NIL))) 
-(((-920) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))) $))))) (T -920)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-920)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *1 (-920)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *1 (-920))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))))) (-15 -1683 ((-877) $)) (-15 -2400 ((-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237))) $)))) 
-((-3644 (($ $ |#2|) NIL) (($ $ (-658 |#2|)) 10) (($ $ |#2| (-790)) 12) (($ $ (-658 |#2|) (-658 (-790))) 15)) (-1940 (($ $ |#2|) 16) (($ $ (-658 |#2|)) 18) (($ $ |#2| (-790)) 19) (($ $ (-658 |#2|) (-658 (-790))) 21))) 
-(((-921 |#1| |#2|) (-10 -8 (-15 -1940 (|#1| |#1| (-658 |#2|) (-658 (-790)))) (-15 -1940 (|#1| |#1| |#2| (-790))) (-15 -1940 (|#1| |#1| (-658 |#2|))) (-15 -1940 (|#1| |#1| |#2|)) (-15 -3644 (|#1| |#1| (-658 |#2|) (-658 (-790)))) (-15 -3644 (|#1| |#1| |#2| (-790))) (-15 -3644 (|#1| |#1| (-658 |#2|))) (-15 -3644 (|#1| |#1| |#2|))) (-922 |#2|) (-1119)) (T -921)) 
-NIL 
-(-10 -8 (-15 -1940 (|#1| |#1| (-658 |#2|) (-658 (-790)))) (-15 -1940 (|#1| |#1| |#2| (-790))) (-15 -1940 (|#1| |#1| (-658 |#2|))) (-15 -1940 (|#1| |#1| |#2|)) (-15 -3644 (|#1| |#1| (-658 |#2|) (-658 (-790)))) (-15 -3644 (|#1| |#1| |#2| (-790))) (-15 -3644 (|#1| |#1| (-658 |#2|))) (-15 -3644 (|#1| |#1| |#2|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3644 (($ $ |#1|) 41) (($ $ (-658 |#1|)) 40) (($ $ |#1| (-790)) 39) (($ $ (-658 |#1|) (-658 (-790))) 38)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ |#1|) 37) (($ $ (-658 |#1|)) 36) (($ $ |#1| (-790)) 35) (($ $ (-658 |#1|) (-658 (-790))) 34)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-922 |#1|) (-1311) (-1119)) (T -922)) 
-((-3644 (*1 *1 *1 *2) (-12 (-4 *1 (-922 *2)) (-4 *2 (-1119)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-922 *3)) (-4 *3 (-1119)))) (-3644 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-922 *2)) (-4 *2 (-1119)))) (-3644 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 (-790))) (-4 *1 (-922 *4)) (-4 *4 (-1119)))) (-1940 (*1 *1 *1 *2) (-12 (-4 *1 (-922 *2)) (-4 *2 (-1119)))) (-1940 (*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-922 *3)) (-4 *3 (-1119)))) (-1940 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-922 *2)) (-4 *2 (-1119)))) (-1940 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 (-790))) (-4 *1 (-922 *4)) (-4 *4 (-1119))))) 
-(-13 (-1075) (-10 -8 (-15 -3644 ($ $ |t#1|)) (-15 -3644 ($ $ (-658 |t#1|))) (-15 -3644 ($ $ |t#1| (-790))) (-15 -3644 ($ $ (-658 |t#1|) (-658 (-790)))) (-15 -1940 ($ $ |t#1|)) (-15 -1940 ($ $ (-658 |t#1|))) (-15 -1940 ($ $ |t#1| (-790))) (-15 -1940 ($ $ (-658 |t#1|) (-658 (-790)))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) 26)) (-2126 (((-141) $ (-790)) NIL)) (-3047 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-2949 (($ $ $) NIL (|has| $ (-6 -4626)))) (-1348 (($ $ $) NIL (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) (($ $ "left" $) NIL (|has| $ (-6 -4626))) (($ $ "right" $) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-1954 (($ $) 25)) (-1679 (($ |#1|) 12) (($ $ $) 17)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-1961 (($ $) 23)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) 20)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) 29 (|has| |#1| (-1119))) (((-1212 |#1|) $) 9)) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 21 (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-923 |#1|) (-13 (-148 |#1|) (-10 -8 (-15 -1679 ($ |#1|)) (-15 -1679 ($ $ $)) (-15 -1683 ((-1212 |#1|) $)))) (-1119)) (T -923)) 
-((-1679 (*1 *1 *2) (-12 (-5 *1 (-923 *2)) (-4 *2 (-1119)))) (-1679 (*1 *1 *1 *1) (-12 (-5 *1 (-923 *2)) (-4 *2 (-1119)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1212 *3)) (-5 *1 (-923 *3)) (-4 *3 (-1119))))) 
-(-13 (-148 |#1|) (-10 -8 (-15 -1679 ($ |#1|)) (-15 -1679 ($ $ $)) (-15 -1683 ((-1212 |#1|) $)))) 
-((-2632 ((|#2| (-1156 |#1| |#2|)) 39))) 
-(((-924 |#1| |#2|) (-10 -7 (-15 -2632 (|#2| (-1156 |#1| |#2|)))) (-944) (-13 (-1075) (-10 -7 (-6 (-4627 "*"))))) (T -924)) 
-((-2632 (*1 *2 *3) (-12 (-5 *3 (-1156 *4 *2)) (-14 *4 (-944)) (-4 *2 (-13 (-1075) (-10 -7 (-6 (-4627 "*"))))) (-5 *1 (-924 *4 *2))))) 
-(-10 -7 (-15 -2632 (|#2| (-1156 |#1| |#2|)))) 
-((-1641 (((-141) $ $) 7)) (-3001 (($) 19 T CONST)) (-3371 (((-3 $ "failed") $) 15)) (-1363 (((-1121 |#1|) $ |#1|) 34)) (-3558 (((-141) $) 18)) (-1837 (($ $ $) 32 (-3836 (|has| |#1| (-869)) (|has| |#1| (-394))))) (-3319 (($ $ $) 31 (-3836 (|has| |#1| (-869)) (|has| |#1| (-394))))) (-2685 (((-1173) $) 9)) (-4552 (($ $) 26)) (-2951 (((-1137) $) 10)) (-2806 ((|#1| $ |#1|) 36)) (-3927 ((|#1| $ |#1|) 35)) (-3999 (($ (-658 (-658 |#1|))) 37)) (-4523 (($ (-658 |#1|)) 38)) (-2227 (($ $ $) 22)) (-2131 (($ $ $) 21)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-944)) 12) (($ $ (-790)) 16) (($ $ (-592)) 23)) (-4257 (($) 20 T CONST)) (-3286 (((-141) $ $) 29 (-3836 (|has| |#1| (-869)) (|has| |#1| (-394))))) (-3273 (((-141) $ $) 28 (-3836 (|has| |#1| (-869)) (|has| |#1| (-394))))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 30 (-3836 (|has| |#1| (-869)) (|has| |#1| (-394))))) (-3266 (((-141) $ $) 33)) (-3313 (($ $ $) 25)) (** (($ $ (-944)) 13) (($ $ (-790)) 17) (($ $ (-592)) 24)) (* (($ $ $) 14))) 
-(((-925 |#1|) (-1311) (-1119)) (T -925)) 
-((-4523 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-925 *3)))) (-3999 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-4 *1 (-925 *3)))) (-2806 (*1 *2 *1 *2) (-12 (-4 *1 (-925 *2)) (-4 *2 (-1119)))) (-3927 (*1 *2 *1 *2) (-12 (-4 *1 (-925 *2)) (-4 *2 (-1119)))) (-1363 (*1 *2 *1 *3) (-12 (-4 *1 (-925 *3)) (-4 *3 (-1119)) (-5 *2 (-1121 *3)))) (-3266 (*1 *2 *1 *1) (-12 (-4 *1 (-925 *3)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(-13 (-502) (-10 -8 (-15 -4523 ($ (-658 |t#1|))) (-15 -3999 ($ (-658 (-658 |t#1|)))) (-15 -2806 (|t#1| $ |t#1|)) (-15 -3927 (|t#1| $ |t#1|)) (-15 -1363 ((-1121 |t#1|) $ |t#1|)) (-15 -3266 ((-141) $ $)) (IF (|has| |t#1| (-869)) (-6 (-869)) |noBranch|) (IF (|has| |t#1| (-394)) (-6 (-869)) |noBranch|))) 
-(((-125) . T) ((-632 (-877)) . T) ((-502) . T) ((-743) . T) ((-869) -3836 (|has| |#1| (-869)) (|has| |#1| (-394))) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-4343 (((-658 (-658 (-790))) $) 106)) (-2505 (((-658 (-790)) (-927 |#1|) $) 128)) (-2064 (((-658 (-790)) (-927 |#1|) $) 129)) (-2223 (((-658 (-927 |#1|)) $) 96)) (-4290 (((-927 |#1|) $ (-592)) 101) (((-927 |#1|) $) 102)) (-3432 (($ (-658 (-927 |#1|))) 108)) (-4346 (((-790) $) 103)) (-4562 (((-1121 (-1121 |#1|)) $) 126)) (-1363 (((-1121 |#1|) $ |#1|) 119) (((-1121 (-1121 |#1|)) $ (-1121 |#1|)) 137) (((-1121 (-658 |#1|)) $ (-658 |#1|)) 140)) (-1402 (((-1121 |#1|) $) 99)) (-3133 (((-141) (-927 |#1|) $) 90)) (-2685 (((-1173) $) NIL)) (-3924 (((-1285) $) 93) (((-1285) $ (-592) (-592)) 141)) (-2951 (((-1137) $) NIL)) (-1551 (((-658 (-927 |#1|)) $) 94)) (-3927 (((-927 |#1|) $ (-790)) 97)) (-4525 (((-790) $) 104)) (-1683 (((-877) $) 117) (((-658 (-927 |#1|)) $) 22) (($ (-658 (-927 |#1|))) 107)) (-4226 (((-658 |#1|) $) 105)) (-3255 (((-141) $ $) 134)) (-3279 (((-141) $ $) 132)) (-3266 (((-141) $ $) 131))) 
-(((-926 |#1|) (-13 (-1119) (-10 -8 (-15 -1683 ((-658 (-927 |#1|)) $)) (-15 -1551 ((-658 (-927 |#1|)) $)) (-15 -3927 ((-927 |#1|) $ (-790))) (-15 -4290 ((-927 |#1|) $ (-592))) (-15 -4290 ((-927 |#1|) $)) (-15 -4346 ((-790) $)) (-15 -4525 ((-790) $)) (-15 -4226 ((-658 |#1|) $)) (-15 -2223 ((-658 (-927 |#1|)) $)) (-15 -4343 ((-658 (-658 (-790))) $)) (-15 -1683 ($ (-658 (-927 |#1|)))) (-15 -3432 ($ (-658 (-927 |#1|)))) (-15 -1363 ((-1121 |#1|) $ |#1|)) (-15 -4562 ((-1121 (-1121 |#1|)) $)) (-15 -1363 ((-1121 (-1121 |#1|)) $ (-1121 |#1|))) (-15 -1363 ((-1121 (-658 |#1|)) $ (-658 |#1|))) (-15 -3133 ((-141) (-927 |#1|) $)) (-15 -2505 ((-658 (-790)) (-927 |#1|) $)) (-15 -2064 ((-658 (-790)) (-927 |#1|) $)) (-15 -1402 ((-1121 |#1|) $)) (-15 -3266 ((-141) $ $)) (-15 -3279 ((-141) $ $)) (-15 -3924 ((-1285) $)) (-15 -3924 ((-1285) $ (-592) (-592))))) (-1119)) (T -926)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-1551 (*1 *2 *1) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-927 *4)) (-5 *1 (-926 *4)) (-4 *4 (-1119)))) (-4290 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-927 *4)) (-5 *1 (-926 *4)) (-4 *4 (-1119)))) (-4290 (*1 *2 *1) (-12 (-5 *2 (-927 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-4346 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-4226 (*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-2223 (*1 *2 *1) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-4343 (*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-790)))) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-927 *3))) (-4 *3 (-1119)) (-5 *1 (-926 *3)))) (-3432 (*1 *1 *2) (-12 (-5 *2 (-658 (-927 *3))) (-4 *3 (-1119)) (-5 *1 (-926 *3)))) (-1363 (*1 *2 *1 *3) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-4562 (*1 *2 *1) (-12 (-5 *2 (-1121 (-1121 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-1363 (*1 *2 *1 *3) (-12 (-4 *4 (-1119)) (-5 *2 (-1121 (-1121 *4))) (-5 *1 (-926 *4)) (-5 *3 (-1121 *4)))) (-1363 (*1 *2 *1 *3) (-12 (-4 *4 (-1119)) (-5 *2 (-1121 (-658 *4))) (-5 *1 (-926 *4)) (-5 *3 (-658 *4)))) (-3133 (*1 *2 *3 *1) (-12 (-5 *3 (-927 *4)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-926 *4)))) (-2505 (*1 *2 *3 *1) (-12 (-5 *3 (-927 *4)) (-4 *4 (-1119)) (-5 *2 (-658 (-790))) (-5 *1 (-926 *4)))) (-2064 (*1 *2 *3 *1) (-12 (-5 *3 (-927 *4)) (-4 *4 (-1119)) (-5 *2 (-658 (-790))) (-5 *1 (-926 *4)))) (-1402 (*1 *2 *1) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-3266 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-3279 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-3924 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) (-3924 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-926 *4)) (-4 *4 (-1119))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ((-658 (-927 |#1|)) $)) (-15 -1551 ((-658 (-927 |#1|)) $)) (-15 -3927 ((-927 |#1|) $ (-790))) (-15 -4290 ((-927 |#1|) $ (-592))) (-15 -4290 ((-927 |#1|) $)) (-15 -4346 ((-790) $)) (-15 -4525 ((-790) $)) (-15 -4226 ((-658 |#1|) $)) (-15 -2223 ((-658 (-927 |#1|)) $)) (-15 -4343 ((-658 (-658 (-790))) $)) (-15 -1683 ($ (-658 (-927 |#1|)))) (-15 -3432 ($ (-658 (-927 |#1|)))) (-15 -1363 ((-1121 |#1|) $ |#1|)) (-15 -4562 ((-1121 (-1121 |#1|)) $)) (-15 -1363 ((-1121 (-1121 |#1|)) $ (-1121 |#1|))) (-15 -1363 ((-1121 (-658 |#1|)) $ (-658 |#1|))) (-15 -3133 ((-141) (-927 |#1|) $)) (-15 -2505 ((-658 (-790)) (-927 |#1|) $)) (-15 -2064 ((-658 (-790)) (-927 |#1|) $)) (-15 -1402 ((-1121 |#1|) $)) (-15 -3266 ((-141) $ $)) (-15 -3279 ((-141) $ $)) (-15 -3924 ((-1285) $)) (-15 -3924 ((-1285) $ (-592) (-592))))) 
-((-1641 (((-141) $ $) NIL)) (-3960 (((-658 $) (-658 $)) 76)) (-3940 (((-592) $) 59)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-4346 (((-790) $) 57)) (-1363 (((-1121 |#1|) $ |#1|) 48)) (-3558 (((-141) $) NIL)) (-3372 (((-141) $) 62)) (-2766 (((-790) $) 60)) (-1402 (((-1121 |#1|) $) 41)) (-1837 (($ $ $) NIL (-3836 (|has| |#1| (-394)) (|has| |#1| (-869))))) (-3319 (($ $ $) NIL (-3836 (|has| |#1| (-394)) (|has| |#1| (-869))))) (-3833 (((-2 (|:| |preimage| (-658 |#1|)) (|:| |image| (-658 |#1|))) $) 35)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 92)) (-2951 (((-1137) $) NIL)) (-2068 (((-1121 |#1|) $) 98 (|has| |#1| (-394)))) (-3554 (((-141) $) 58)) (-2806 ((|#1| $ |#1|) 46)) (-3927 ((|#1| $ |#1|) 93)) (-4525 (((-790) $) 43)) (-3999 (($ (-658 (-658 |#1|))) 84)) (-2123 (((-1000) $) 52)) (-4523 (($ (-658 |#1|)) 21)) (-2227 (($ $ $) NIL)) (-2131 (($ $ $) NIL)) (-2888 (($ (-658 (-658 |#1|))) 38)) (-2041 (($ (-658 (-658 |#1|))) 87)) (-1395 (($ (-658 |#1|)) 95)) (-1683 (((-877) $) 83) (($ (-658 (-658 |#1|))) 65) (($ (-658 |#1|)) 66)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-4257 (($) 16 T CONST)) (-3286 (((-141) $ $) NIL (-3836 (|has| |#1| (-394)) (|has| |#1| (-869))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#1| (-394)) (|has| |#1| (-869))))) (-3255 (((-141) $ $) 44)) (-3279 (((-141) $ $) NIL (-3836 (|has| |#1| (-394)) (|has| |#1| (-869))))) (-3266 (((-141) $ $) 64)) (-3313 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ $ $) 22))) 
-(((-927 |#1|) (-13 (-925 |#1|) (-10 -8 (-15 -3833 ((-2 (|:| |preimage| (-658 |#1|)) (|:| |image| (-658 |#1|))) $)) (-15 -2888 ($ (-658 (-658 |#1|)))) (-15 -1683 ($ (-658 (-658 |#1|)))) (-15 -1683 ($ (-658 |#1|))) (-15 -2041 ($ (-658 (-658 |#1|)))) (-15 -4525 ((-790) $)) (-15 -1402 ((-1121 |#1|) $)) (-15 -2123 ((-1000) $)) (-15 -4346 ((-790) $)) (-15 -2766 ((-790) $)) (-15 -3940 ((-592) $)) (-15 -3554 ((-141) $)) (-15 -3372 ((-141) $)) (-15 -3960 ((-658 $) (-658 $))) (IF (|has| |#1| (-394)) (-15 -2068 ((-1121 |#1|) $)) |noBranch|) (IF (|has| |#1| (-574)) (-15 -1395 ($ (-658 |#1|))) (IF (|has| |#1| (-394)) (-15 -1395 ($ (-658 |#1|))) |noBranch|)))) (-1119)) (T -927)) 
-((-3833 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-658 *3)) (|:| |image| (-658 *3)))) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-927 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-927 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-927 *3)))) (-2041 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-927 *3)))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-1402 (*1 *2 *1) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-2123 (*1 *2 *1) (-12 (-5 *2 (-1000)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-4346 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-2766 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-3940 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-3554 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-3372 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-3960 (*1 *2 *2) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) (-2068 (*1 *2 *1) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-927 *3)) (-4 *3 (-394)) (-4 *3 (-1119)))) (-1395 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-927 *3))))) 
-(-13 (-925 |#1|) (-10 -8 (-15 -3833 ((-2 (|:| |preimage| (-658 |#1|)) (|:| |image| (-658 |#1|))) $)) (-15 -2888 ($ (-658 (-658 |#1|)))) (-15 -1683 ($ (-658 (-658 |#1|)))) (-15 -1683 ($ (-658 |#1|))) (-15 -2041 ($ (-658 (-658 |#1|)))) (-15 -4525 ((-790) $)) (-15 -1402 ((-1121 |#1|) $)) (-15 -2123 ((-1000) $)) (-15 -4346 ((-790) $)) (-15 -2766 ((-790) $)) (-15 -3940 ((-592) $)) (-15 -3554 ((-141) $)) (-15 -3372 ((-141) $)) (-15 -3960 ((-658 $) (-658 $))) (IF (|has| |#1| (-394)) (-15 -2068 ((-1121 |#1|) $)) |noBranch|) (IF (|has| |#1| (-574)) (-15 -1395 ($ (-658 |#1|))) (IF (|has| |#1| (-394)) (-15 -1395 ($ (-658 |#1|))) |noBranch|)))) 
-((-3454 (((-3 (-658 (-1187 |#4|)) "failed") (-658 (-1187 |#4|)) (-1187 |#4|)) 127)) (-2606 ((|#1|) 75)) (-3653 (((-444 (-1187 |#4|)) (-1187 |#4|)) 136)) (-2971 (((-444 (-1187 |#4|)) (-658 |#3|) (-1187 |#4|)) 67)) (-3081 (((-444 (-1187 |#4|)) (-1187 |#4|)) 146)) (-4214 (((-3 (-658 (-1187 |#4|)) "failed") (-658 (-1187 |#4|)) (-1187 |#4|) |#3|) 91))) 
-(((-928 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3454 ((-3 (-658 (-1187 |#4|)) "failed") (-658 (-1187 |#4|)) (-1187 |#4|))) (-15 -3081 ((-444 (-1187 |#4|)) (-1187 |#4|))) (-15 -3653 ((-444 (-1187 |#4|)) (-1187 |#4|))) (-15 -2606 (|#1|)) (-15 -4214 ((-3 (-658 (-1187 |#4|)) "failed") (-658 (-1187 |#4|)) (-1187 |#4|) |#3|)) (-15 -2971 ((-444 (-1187 |#4|)) (-658 |#3|) (-1187 |#4|)))) (-931) (-815) (-869) (-977 |#1| |#2| |#3|)) (T -928)) 
-((-2971 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *7)) (-4 *7 (-869)) (-4 *5 (-931)) (-4 *6 (-815)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-444 (-1187 *8))) (-5 *1 (-928 *5 *6 *7 *8)) (-5 *4 (-1187 *8)))) (-4214 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-658 (-1187 *7))) (-5 *3 (-1187 *7)) (-4 *7 (-977 *5 *6 *4)) (-4 *5 (-931)) (-4 *6 (-815)) (-4 *4 (-869)) (-5 *1 (-928 *5 *6 *4 *7)))) (-2606 (*1 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-931)) (-5 *1 (-928 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) (-3653 (*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-928 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) (-3081 (*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-928 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) (-3454 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *7))) (-5 *3 (-1187 *7)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-931)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-928 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3454 ((-3 (-658 (-1187 |#4|)) "failed") (-658 (-1187 |#4|)) (-1187 |#4|))) (-15 -3081 ((-444 (-1187 |#4|)) (-1187 |#4|))) (-15 -3653 ((-444 (-1187 |#4|)) (-1187 |#4|))) (-15 -2606 (|#1|)) (-15 -4214 ((-3 (-658 (-1187 |#4|)) "failed") (-658 (-1187 |#4|)) (-1187 |#4|) |#3|)) (-15 -2971 ((-444 (-1187 |#4|)) (-658 |#3|) (-1187 |#4|)))) 
-((-3454 (((-3 (-658 (-1187 |#2|)) "failed") (-658 (-1187 |#2|)) (-1187 |#2|)) 36)) (-2606 ((|#1|) 53)) (-3653 (((-444 (-1187 |#2|)) (-1187 |#2|)) 101)) (-2971 (((-444 (-1187 |#2|)) (-1187 |#2|)) 88)) (-3081 (((-444 (-1187 |#2|)) (-1187 |#2|)) 112))) 
-(((-929 |#1| |#2|) (-10 -7 (-15 -3454 ((-3 (-658 (-1187 |#2|)) "failed") (-658 (-1187 |#2|)) (-1187 |#2|))) (-15 -3081 ((-444 (-1187 |#2|)) (-1187 |#2|))) (-15 -3653 ((-444 (-1187 |#2|)) (-1187 |#2|))) (-15 -2606 (|#1|)) (-15 -2971 ((-444 (-1187 |#2|)) (-1187 |#2|)))) (-931) (-1255 |#1|)) (T -929)) 
-((-2971 (*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-1255 *4)) (-5 *2 (-444 (-1187 *5))) (-5 *1 (-929 *4 *5)) (-5 *3 (-1187 *5)))) (-2606 (*1 *2) (-12 (-4 *2 (-931)) (-5 *1 (-929 *2 *3)) (-4 *3 (-1255 *2)))) (-3653 (*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-1255 *4)) (-5 *2 (-444 (-1187 *5))) (-5 *1 (-929 *4 *5)) (-5 *3 (-1187 *5)))) (-3081 (*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-1255 *4)) (-5 *2 (-444 (-1187 *5))) (-5 *1 (-929 *4 *5)) (-5 *3 (-1187 *5)))) (-3454 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *5))) (-5 *3 (-1187 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-931)) (-5 *1 (-929 *4 *5))))) 
-(-10 -7 (-15 -3454 ((-3 (-658 (-1187 |#2|)) "failed") (-658 (-1187 |#2|)) (-1187 |#2|))) (-15 -3081 ((-444 (-1187 |#2|)) (-1187 |#2|))) (-15 -3653 ((-444 (-1187 |#2|)) (-1187 |#2|))) (-15 -2606 (|#1|)) (-15 -2971 ((-444 (-1187 |#2|)) (-1187 |#2|)))) 
-((-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 39)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 18)) (-1517 (((-3 $ "failed") $) 33))) 
-(((-930 |#1|) (-10 -8 (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|)))) (-931)) (T -930)) 
-NIL 
-(-10 -8 (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 57)) (-3743 (($ $) 49)) (-3164 (((-444 $) $) 50)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 54)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-2802 (((-141) $) 51)) (-3558 (((-141) $) 30)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-1416 (((-444 (-1187 $)) (-1187 $)) 55)) (-3339 (((-444 (-1187 $)) (-1187 $)) 56)) (-4500 (((-444 $) $) 48)) (-3616 (((-3 $ "failed") $ $) 41)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 53 (|has| $ (-169)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-1517 (((-3 $ "failed") $) 52 (|has| $ (-169)))) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-931) (-1311)) (T -931)) 
-((-2536 (*1 *2 *2 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-931)))) (-4043 (*1 *2 *3) (-12 (-4 *1 (-931)) (-5 *2 (-444 (-1187 *1))) (-5 *3 (-1187 *1)))) (-3339 (*1 *2 *3) (-12 (-4 *1 (-931)) (-5 *2 (-444 (-1187 *1))) (-5 *3 (-1187 *1)))) (-1416 (*1 *2 *3) (-12 (-4 *1 (-931)) (-5 *2 (-444 (-1187 *1))) (-5 *3 (-1187 *1)))) (-3524 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *1))) (-5 *3 (-1187 *1)) (-4 *1 (-931)))) (-2288 (*1 *2 *3) (|partial| -12 (-5 *3 (-706 *1)) (-4 *1 (-169)) (-4 *1 (-931)) (-5 *2 (-1280 *1)))) (-1517 (*1 *1 *1) (|partial| -12 (-4 *1 (-169)) (-4 *1 (-931))))) 
-(-13 (-1235) (-10 -8 (-15 -4043 ((-444 (-1187 $)) (-1187 $))) (-15 -3339 ((-444 (-1187 $)) (-1187 $))) (-15 -1416 ((-444 (-1187 $)) (-1187 $))) (-15 -2536 ((-1187 $) (-1187 $) (-1187 $))) (-15 -3524 ((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $))) (IF (|has| $ (-169)) (PROGN (-15 -2288 ((-3 (-1280 $) "failed") (-706 $))) (-15 -1517 ((-3 $ "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-477) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-1917 (((-141) $) NIL)) (-4424 (((-790)) NIL)) (-4529 (($ $ (-944)) NIL (|has| $ (-394))) (($ $) NIL)) (-4217 (((-1199 (-944) (-790)) (-592)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-1403 (((-790)) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 $ "failed") $) NIL)) (-2400 (($ $) NIL)) (-1626 (($ (-1280 $)) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2667 (($) NIL)) (-3293 (((-141) $) NIL)) (-1525 (($ $) NIL) (($ $ (-790)) NIL)) (-2802 (((-141) $) NIL)) (-4346 (((-855 (-944)) $) NIL) (((-944) $) NIL)) (-3558 (((-141) $) NIL)) (-2834 (($) NIL (|has| $ (-394)))) (-2114 (((-141) $) NIL (|has| $ (-394)))) (-2793 (($ $ (-944)) NIL (|has| $ (-394))) (($ $) NIL)) (-3921 (((-3 $ "failed") $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3504 (((-1187 $) $ (-944)) NIL (|has| $ (-394))) (((-1187 $) $) NIL)) (-3546 (((-944) $) NIL)) (-2343 (((-1187 $) $) NIL (|has| $ (-394)))) (-1492 (((-3 (-1187 $) "failed") $ $) NIL (|has| $ (-394))) (((-1187 $) $) NIL (|has| $ (-394)))) (-2252 (($ $ (-1187 $)) NIL (|has| $ (-394)))) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL T CONST)) (-1825 (($ (-944)) NIL)) (-2142 (((-141) $) NIL)) (-2951 (((-1137) $) NIL)) (-2934 (($) NIL (|has| $ (-394)))) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL)) (-4500 (((-444 $) $) NIL)) (-3470 (((-944)) NIL) (((-855 (-944))) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-1405 (((-658 $)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-2177 (((-3 (-790) "failed") $ $) NIL) (((-790) $) NIL)) (-1936 (((-160)) NIL)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-4525 (((-944) $) NIL) (((-855 (-944)) $) NIL)) (-3390 (((-1187 $)) NIL)) (-3809 (($) NIL)) (-3342 (($) NIL (|has| $ (-394)))) (-2231 (((-706 $) (-1280 $)) NIL) (((-1280 $) $) NIL)) (-1778 (((-592) $) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL)) (-1517 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-4010 (((-790)) NIL)) (-2195 (((-1280 $) (-944)) NIL) (((-1280 $)) NIL)) (-2537 (((-141) $ $) NIL)) (-3069 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-3417 (($ $ (-790)) NIL (|has| $ (-394))) (($ $) NIL (|has| $ (-394)))) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-932 |#1|) (-13 (-373) (-349 $) (-633 (-592))) (-944)) (T -932)) 
-NIL 
-(-13 (-373) (-349 $) (-633 (-592))) 
-((-2608 (((-3 (-2 (|:| -4346 (-790)) (|:| -1325 |#5|)) "failed") (-356 |#2| |#3| |#4| |#5|)) 76)) (-2303 (((-141) (-356 |#2| |#3| |#4| |#5|)) 16)) (-4346 (((-3 (-790) "failed") (-356 |#2| |#3| |#4| |#5|)) 14))) 
-(((-933 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4346 ((-3 (-790) "failed") (-356 |#2| |#3| |#4| |#5|))) (-15 -2303 ((-141) (-356 |#2| |#3| |#4| |#5|))) (-15 -2608 ((-3 (-2 (|:| -4346 (-790)) (|:| -1325 |#5|)) "failed") (-356 |#2| |#3| |#4| |#5|)))) (-13 (-869) (-582) (-1065 (-592))) (-456 |#1|) (-1255 |#2|) (-1255 (-433 |#3|)) (-362 |#2| |#3| |#4|)) (T -933)) 
-((-2608 (*1 *2 *3) (|partial| -12 (-5 *3 (-356 *5 *6 *7 *8)) (-4 *5 (-456 *4)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-2 (|:| -4346 (-790)) (|:| -1325 *8))) (-5 *1 (-933 *4 *5 *6 *7 *8)))) (-2303 (*1 *2 *3) (-12 (-5 *3 (-356 *5 *6 *7 *8)) (-4 *5 (-456 *4)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-141)) (-5 *1 (-933 *4 *5 *6 *7 *8)))) (-4346 (*1 *2 *3) (|partial| -12 (-5 *3 (-356 *5 *6 *7 *8)) (-4 *5 (-456 *4)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-790)) (-5 *1 (-933 *4 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -4346 ((-3 (-790) "failed") (-356 |#2| |#3| |#4| |#5|))) (-15 -2303 ((-141) (-356 |#2| |#3| |#4| |#5|))) (-15 -2608 ((-3 (-2 (|:| -4346 (-790)) (|:| -1325 |#5|)) "failed") (-356 |#2| |#3| |#4| |#5|)))) 
-((-2608 (((-3 (-2 (|:| -4346 (-790)) (|:| -1325 |#3|)) "failed") (-356 (-433 (-592)) |#1| |#2| |#3|)) 56)) (-2303 (((-141) (-356 (-433 (-592)) |#1| |#2| |#3|)) 13)) (-4346 (((-3 (-790) "failed") (-356 (-433 (-592)) |#1| |#2| |#3|)) 11))) 
-(((-934 |#1| |#2| |#3|) (-10 -7 (-15 -4346 ((-3 (-790) "failed") (-356 (-433 (-592)) |#1| |#2| |#3|))) (-15 -2303 ((-141) (-356 (-433 (-592)) |#1| |#2| |#3|))) (-15 -2608 ((-3 (-2 (|:| -4346 (-790)) (|:| -1325 |#3|)) "failed") (-356 (-433 (-592)) |#1| |#2| |#3|)))) (-1255 (-433 (-592))) (-1255 (-433 |#1|)) (-362 (-433 (-592)) |#1| |#2|)) (T -934)) 
-((-2608 (*1 *2 *3) (|partial| -12 (-5 *3 (-356 (-433 (-592)) *4 *5 *6)) (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 (-433 (-592)) *4 *5)) (-5 *2 (-2 (|:| -4346 (-790)) (|:| -1325 *6))) (-5 *1 (-934 *4 *5 *6)))) (-2303 (*1 *2 *3) (-12 (-5 *3 (-356 (-433 (-592)) *4 *5 *6)) (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 (-433 (-592)) *4 *5)) (-5 *2 (-141)) (-5 *1 (-934 *4 *5 *6)))) (-4346 (*1 *2 *3) (|partial| -12 (-5 *3 (-356 (-433 (-592)) *4 *5 *6)) (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 (-433 (-592)) *4 *5)) (-5 *2 (-790)) (-5 *1 (-934 *4 *5 *6))))) 
-(-10 -7 (-15 -4346 ((-3 (-790) "failed") (-356 (-433 (-592)) |#1| |#2| |#3|))) (-15 -2303 ((-141) (-356 (-433 (-592)) |#1| |#2| |#3|))) (-15 -2608 ((-3 (-2 (|:| -4346 (-790)) (|:| -1325 |#3|)) "failed") (-356 (-433 (-592)) |#1| |#2| |#3|)))) 
-((-4492 (((-1187 |#1|) |#2|) 36)) (-3399 ((|#2| |#2| (-658 |#1|)) 59) ((|#2| |#2| (-658 |#1|) (-592)) 61)) (-2189 (((-790) |#2|) 70)) (-3374 ((|#2| |#2| |#2| (-592)) 51)) (-1770 ((|#2| |#2| |#2|) 49)) (-1920 ((|#2| |#2| |#2|) 48)) (-3882 ((|#2| |#2| (-592)) 64)) (-2356 ((|#2| |#2| (-592)) 60)) (-3108 (((-658 |#2|) |#2|) 15)) (-2701 ((|#2| |#2|) 82)) (-2976 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-4314 (((-658 |#2|)) 26)) (-3057 (((-658 |#3|) (-592)) 92)) (-3486 (((-658 |#2|) (-790)) 93)) (-3315 ((|#2| |#2| (-592)) 71)) (-1639 ((|#3| |#2|) NIL)) (-2409 (((-790) |#2|) 83)) (-4525 (((-790) |#2| (-592)) 67)) (-2286 ((|#1| |#2| (-944)) 80)) (-4249 ((|#1| |#2|) 81))) 
-(((-935 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2976 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -4525 ((-790) |#2| (-592))) (-15 -4492 ((-1187 |#1|) |#2|)) (-15 -2189 ((-790) |#2|)) (-15 -1920 (|#2| |#2| |#2|)) (-15 -1770 (|#2| |#2| |#2|)) (-15 -3374 (|#2| |#2| |#2| (-592))) (-15 -2701 (|#2| |#2|)) (-15 -1639 (|#3| |#2|)) (-15 -3882 (|#2| |#2| (-592))) (-15 -2356 (|#2| |#2| (-592))) (-15 -3399 (|#2| |#2| (-658 |#1|) (-592))) (-15 -3399 (|#2| |#2| (-658 |#1|))) (-15 -2286 (|#1| |#2| (-944))) (-15 -4249 (|#1| |#2|)) (-15 -3315 (|#2| |#2| (-592))) (-15 -3057 ((-658 |#3|) (-592))) (-15 -3486 ((-658 |#2|) (-790))) (-15 -2409 ((-790) |#2|)) (-15 -4314 ((-658 |#2|))) (-15 -3108 ((-658 |#2|) |#2|))) (-1075) (-346 |#1| |#3|) (-252 |#4| (-790)) (-790)) (T -935)) 
-((-3108 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-658 *3)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) (-4314 (*1 *2) (-12 (-4 *3 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-658 *4)) (-5 *1 (-935 *3 *4 *5 *6)) (-4 *4 (-346 *3 *5)))) (-2409 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 *2)) (-14 *6 *2) (-5 *2 (-790)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) (-3486 (*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-4 *6 (-252 *7 *3)) (-14 *7 *3) (-5 *2 (-658 *5)) (-5 *1 (-935 *4 *5 *6 *7)) (-4 *5 (-346 *4 *6)))) (-3057 (*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *2 (-658 *6)) (-5 *1 (-935 *4 *5 *6 *7)) (-4 *5 (-346 *4 *6)))) (-3315 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) (-4249 (*1 *2 *3) (-12 (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-4 *2 (-1075)) (-5 *1 (-935 *2 *3 *4 *5)) (-4 *3 (-346 *2 *4)))) (-2286 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *2 (-1075)) (-5 *1 (-935 *2 *3 *5 *6)) (-4 *3 (-346 *2 *5)))) (-3399 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) (-3399 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-592)) (-4 *5 (-1075)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *1 (-935 *5 *2 *6 *7)) (-4 *2 (-346 *5 *6)))) (-2356 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) (-3882 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) (-1639 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-252 *5 (-790))) (-5 *1 (-935 *4 *3 *2 *5)) (-4 *3 (-346 *4 *2)) (-14 *5 (-790)))) (-2701 (*1 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-5 *1 (-935 *3 *2 *4 *5)) (-4 *2 (-346 *3 *4)))) (-3374 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) (-1770 (*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-5 *1 (-935 *3 *2 *4 *5)) (-4 *2 (-346 *3 *4)))) (-1920 (*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-5 *1 (-935 *3 *2 *4 *5)) (-4 *2 (-346 *3 *4)))) (-2189 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 *2)) (-14 *6 *2) (-5 *2 (-790)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) (-4492 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-1187 *4)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) (-4525 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-1075)) (-4 *6 (-252 *7 *2)) (-14 *7 *2) (-5 *2 (-790)) (-5 *1 (-935 *5 *3 *6 *7)) (-4 *3 (-346 *5 *6)))) (-2976 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *4 (-1075)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5))))) 
-(-10 -7 (-15 -2976 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -4525 ((-790) |#2| (-592))) (-15 -4492 ((-1187 |#1|) |#2|)) (-15 -2189 ((-790) |#2|)) (-15 -1920 (|#2| |#2| |#2|)) (-15 -1770 (|#2| |#2| |#2|)) (-15 -3374 (|#2| |#2| |#2| (-592))) (-15 -2701 (|#2| |#2|)) (-15 -1639 (|#3| |#2|)) (-15 -3882 (|#2| |#2| (-592))) (-15 -2356 (|#2| |#2| (-592))) (-15 -3399 (|#2| |#2| (-658 |#1|) (-592))) (-15 -3399 (|#2| |#2| (-658 |#1|))) (-15 -2286 (|#1| |#2| (-944))) (-15 -4249 (|#1| |#2|)) (-15 -3315 (|#2| |#2| (-592))) (-15 -3057 ((-658 |#3|) (-592))) (-15 -3486 ((-658 |#2|) (-790))) (-15 -2409 ((-790) |#2|)) (-15 -4314 ((-658 |#2|))) (-15 -3108 ((-658 |#2|) |#2|))) 
-((-2040 ((|#2| |#2|) 25)) (-3462 (((-592) (-658 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592))))) 15)) (-3415 (((-944) (-592)) 35)) (-1830 (((-592) |#2|) 42)) (-2025 (((-592) |#2|) 21) (((-2 (|:| |den| (-592)) (|:| |gcdnum| (-592))) |#1|) 20))) 
-(((-936 |#1| |#2|) (-10 -7 (-15 -3415 ((-944) (-592))) (-15 -2025 ((-2 (|:| |den| (-592)) (|:| |gcdnum| (-592))) |#1|)) (-15 -2025 ((-592) |#2|)) (-15 -3462 ((-592) (-658 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592)))))) (-15 -1830 ((-592) |#2|)) (-15 -2040 (|#2| |#2|))) (-1255 (-433 (-592))) (-1255 (-433 |#1|))) (T -936)) 
-((-2040 (*1 *2 *2) (-12 (-4 *3 (-1255 (-433 (-592)))) (-5 *1 (-936 *3 *2)) (-4 *2 (-1255 (-433 *3))))) (-1830 (*1 *2 *3) (-12 (-4 *4 (-1255 (-433 *2))) (-5 *2 (-592)) (-5 *1 (-936 *4 *3)) (-4 *3 (-1255 (-433 *4))))) (-3462 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592))))) (-4 *4 (-1255 (-433 *2))) (-5 *2 (-592)) (-5 *1 (-936 *4 *5)) (-4 *5 (-1255 (-433 *4))))) (-2025 (*1 *2 *3) (-12 (-4 *4 (-1255 (-433 *2))) (-5 *2 (-592)) (-5 *1 (-936 *4 *3)) (-4 *3 (-1255 (-433 *4))))) (-2025 (*1 *2 *3) (-12 (-4 *3 (-1255 (-433 (-592)))) (-5 *2 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592)))) (-5 *1 (-936 *3 *4)) (-4 *4 (-1255 (-433 *3))))) (-3415 (*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1255 (-433 *3))) (-5 *2 (-944)) (-5 *1 (-936 *4 *5)) (-4 *5 (-1255 (-433 *4)))))) 
-(-10 -7 (-15 -3415 ((-944) (-592))) (-15 -2025 ((-2 (|:| |den| (-592)) (|:| |gcdnum| (-592))) |#1|)) (-15 -2025 ((-592) |#2|)) (-15 -3462 ((-592) (-658 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592)))))) (-15 -1830 ((-592) |#2|)) (-15 -2040 (|#2| |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 ((|#1| $) 80)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-1586 (($ $ $) NIL)) (-3371 (((-3 $ "failed") $) 74)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-3330 (($ |#1| (-444 |#1|)) 72)) (-1781 (((-1187 |#1|) |#1| |#1|) 40)) (-4417 (($ $) 48)) (-3558 (((-141) $) NIL)) (-2336 (((-592) $) 77)) (-1466 (($ $ (-592)) 79)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2234 ((|#1| $) 76)) (-4482 (((-444 |#1|) $) 75)) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) 73)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4184 (($ $) 38)) (-1683 (((-877) $) 98) (($ (-592)) 53) (($ $) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 30) (((-433 |#1|) $) 58) (($ (-433 (-444 |#1|))) 66)) (-4010 (((-790)) 51)) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 23 T CONST)) (-4257 (($) 11 T CONST)) (-3255 (((-141) $ $) 67)) (-3313 (($ $ $) NIL)) (-3306 (($ $) 87) (($ $ $) NIL)) (-3300 (($ $ $) 37)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 89) (($ $ $) 36) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
-(((-937 |#1|) (-13 (-388) (-43 |#1|) (-10 -8 (-15 -1683 ((-433 |#1|) $)) (-15 -1683 ($ (-433 (-444 |#1|)))) (-15 -4184 ($ $)) (-15 -4482 ((-444 |#1|) $)) (-15 -2234 (|#1| $)) (-15 -1466 ($ $ (-592))) (-15 -2336 ((-592) $)) (-15 -1781 ((-1187 |#1|) |#1| |#1|)) (-15 -4417 ($ $)) (-15 -3330 ($ |#1| (-444 |#1|))) (-15 -1505 (|#1| $)))) (-323)) (T -937)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-433 *3)) (-5 *1 (-937 *3)) (-4 *3 (-323)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-433 (-444 *3))) (-4 *3 (-323)) (-5 *1 (-937 *3)))) (-4184 (*1 *1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323)))) (-4482 (*1 *2 *1) (-12 (-5 *2 (-444 *3)) (-5 *1 (-937 *3)) (-4 *3 (-323)))) (-2234 (*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323)))) (-1466 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-937 *3)) (-4 *3 (-323)))) (-2336 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-937 *3)) (-4 *3 (-323)))) (-1781 (*1 *2 *3 *3) (-12 (-5 *2 (-1187 *3)) (-5 *1 (-937 *3)) (-4 *3 (-323)))) (-4417 (*1 *1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323)))) (-3330 (*1 *1 *2 *3) (-12 (-5 *3 (-444 *2)) (-4 *2 (-323)) (-5 *1 (-937 *2)))) (-1505 (*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323))))) 
-(-13 (-388) (-43 |#1|) (-10 -8 (-15 -1683 ((-433 |#1|) $)) (-15 -1683 ($ (-433 (-444 |#1|)))) (-15 -4184 ($ $)) (-15 -4482 ((-444 |#1|) $)) (-15 -2234 (|#1| $)) (-15 -1466 ($ $ (-592))) (-15 -2336 ((-592) $)) (-15 -1781 ((-1187 |#1|) |#1| |#1|)) (-15 -4417 ($ $)) (-15 -3330 ($ |#1| (-444 |#1|))) (-15 -1505 (|#1| $)))) 
-((-3330 (((-57) (-980 |#1|) (-444 (-980 |#1|)) (-1191)) 16) (((-57) (-433 (-980 |#1|)) (-1191)) 17))) 
-(((-938 |#1|) (-10 -7 (-15 -3330 ((-57) (-433 (-980 |#1|)) (-1191))) (-15 -3330 ((-57) (-980 |#1|) (-444 (-980 |#1|)) (-1191)))) (-13 (-323) (-171))) (T -938)) 
-((-3330 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-444 (-980 *6))) (-5 *5 (-1191)) (-5 *3 (-980 *6)) (-4 *6 (-13 (-323) (-171))) (-5 *2 (-57)) (-5 *1 (-938 *6)))) (-3330 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-171))) (-5 *2 (-57)) (-5 *1 (-938 *5))))) 
-(-10 -7 (-15 -3330 ((-57) (-433 (-980 |#1|)) (-1191))) (-15 -3330 ((-57) (-980 |#1|) (-444 (-980 |#1|)) (-1191)))) 
-((-3122 ((|#4| (-658 |#4|)) 119) (((-1187 |#4|) (-1187 |#4|) (-1187 |#4|)) 65) ((|#4| |#4| |#4|) 118)) (-3548 (((-1187 |#4|) (-658 (-1187 |#4|))) 112) (((-1187 |#4|) (-1187 |#4|) (-1187 |#4|)) 48) ((|#4| (-658 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
-(((-939 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3548 (|#4| |#4| |#4|)) (-15 -3548 (|#4| (-658 |#4|))) (-15 -3548 ((-1187 |#4|) (-1187 |#4|) (-1187 |#4|))) (-15 -3548 ((-1187 |#4|) (-658 (-1187 |#4|)))) (-15 -3122 (|#4| |#4| |#4|)) (-15 -3122 ((-1187 |#4|) (-1187 |#4|) (-1187 |#4|))) (-15 -3122 (|#4| (-658 |#4|)))) (-815) (-869) (-323) (-977 |#3| |#1| |#2|)) (T -939)) 
-((-3122 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *6 *4 *5)) (-5 *1 (-939 *4 *5 *6 *2)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)))) (-3122 (*1 *2 *2 *2) (-12 (-5 *2 (-1187 *6)) (-4 *6 (-977 *5 *3 *4)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *6)))) (-3122 (*1 *2 *2 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *2)) (-4 *2 (-977 *5 *3 *4)))) (-3548 (*1 *2 *3) (-12 (-5 *3 (-658 (-1187 *7))) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-1187 *7)) (-5 *1 (-939 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) (-3548 (*1 *2 *2 *2) (-12 (-5 *2 (-1187 *6)) (-4 *6 (-977 *5 *3 *4)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *6)))) (-3548 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *6 *4 *5)) (-5 *1 (-939 *4 *5 *6 *2)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)))) (-3548 (*1 *2 *2 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *2)) (-4 *2 (-977 *5 *3 *4))))) 
-(-10 -7 (-15 -3548 (|#4| |#4| |#4|)) (-15 -3548 (|#4| (-658 |#4|))) (-15 -3548 ((-1187 |#4|) (-1187 |#4|) (-1187 |#4|))) (-15 -3548 ((-1187 |#4|) (-658 (-1187 |#4|)))) (-15 -3122 (|#4| |#4| |#4|)) (-15 -3122 ((-1187 |#4|) (-1187 |#4|) (-1187 |#4|))) (-15 -3122 (|#4| (-658 |#4|)))) 
-((-3928 (((-926 (-592)) (-1000)) 22) (((-926 (-592)) (-658 (-592))) 19)) (-3123 (((-926 (-592)) (-658 (-592))) 46) (((-926 (-592)) (-944)) 47)) (-3933 (((-926 (-592))) 23)) (-4241 (((-926 (-592))) 36) (((-926 (-592)) (-658 (-592))) 35)) (-4543 (((-926 (-592))) 34) (((-926 (-592)) (-658 (-592))) 33)) (-3045 (((-926 (-592))) 32) (((-926 (-592)) (-658 (-592))) 31)) (-3706 (((-926 (-592))) 30) (((-926 (-592)) (-658 (-592))) 29)) (-4074 (((-926 (-592))) 28) (((-926 (-592)) (-658 (-592))) 27)) (-3848 (((-926 (-592))) 38) (((-926 (-592)) (-658 (-592))) 37)) (-3177 (((-926 (-592)) (-658 (-592))) 50) (((-926 (-592)) (-944)) 51)) (-1705 (((-926 (-592)) (-658 (-592))) 48) (((-926 (-592)) (-944)) 49)) (-1790 (((-926 (-592)) (-658 (-592))) 43) (((-926 (-592)) (-944)) 45)) (-2097 (((-926 (-592)) (-658 (-944))) 40))) 
-(((-940) (-10 -7 (-15 -3123 ((-926 (-592)) (-944))) (-15 -3123 ((-926 (-592)) (-658 (-592)))) (-15 -1790 ((-926 (-592)) (-944))) (-15 -1790 ((-926 (-592)) (-658 (-592)))) (-15 -2097 ((-926 (-592)) (-658 (-944)))) (-15 -1705 ((-926 (-592)) (-944))) (-15 -1705 ((-926 (-592)) (-658 (-592)))) (-15 -3177 ((-926 (-592)) (-944))) (-15 -3177 ((-926 (-592)) (-658 (-592)))) (-15 -4074 ((-926 (-592)) (-658 (-592)))) (-15 -4074 ((-926 (-592)))) (-15 -3706 ((-926 (-592)) (-658 (-592)))) (-15 -3706 ((-926 (-592)))) (-15 -3045 ((-926 (-592)) (-658 (-592)))) (-15 -3045 ((-926 (-592)))) (-15 -4543 ((-926 (-592)) (-658 (-592)))) (-15 -4543 ((-926 (-592)))) (-15 -4241 ((-926 (-592)) (-658 (-592)))) (-15 -4241 ((-926 (-592)))) (-15 -3848 ((-926 (-592)) (-658 (-592)))) (-15 -3848 ((-926 (-592)))) (-15 -3933 ((-926 (-592)))) (-15 -3928 ((-926 (-592)) (-658 (-592)))) (-15 -3928 ((-926 (-592)) (-1000))))) (T -940)) 
-((-3928 (*1 *2 *3) (-12 (-5 *3 (-1000)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3928 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3933 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3848 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3848 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-4241 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-4241 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-4543 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-4543 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3045 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3045 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3706 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3706 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-4074 (*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-4074 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3177 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3177 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-1705 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-1705 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-2097 (*1 *2 *3) (-12 (-5 *3 (-658 (-944))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-1790 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-1790 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3123 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) (-3123 (*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(-10 -7 (-15 -3123 ((-926 (-592)) (-944))) (-15 -3123 ((-926 (-592)) (-658 (-592)))) (-15 -1790 ((-926 (-592)) (-944))) (-15 -1790 ((-926 (-592)) (-658 (-592)))) (-15 -2097 ((-926 (-592)) (-658 (-944)))) (-15 -1705 ((-926 (-592)) (-944))) (-15 -1705 ((-926 (-592)) (-658 (-592)))) (-15 -3177 ((-926 (-592)) (-944))) (-15 -3177 ((-926 (-592)) (-658 (-592)))) (-15 -4074 ((-926 (-592)) (-658 (-592)))) (-15 -4074 ((-926 (-592)))) (-15 -3706 ((-926 (-592)) (-658 (-592)))) (-15 -3706 ((-926 (-592)))) (-15 -3045 ((-926 (-592)) (-658 (-592)))) (-15 -3045 ((-926 (-592)))) (-15 -4543 ((-926 (-592)) (-658 (-592)))) (-15 -4543 ((-926 (-592)))) (-15 -4241 ((-926 (-592)) (-658 (-592)))) (-15 -4241 ((-926 (-592)))) (-15 -3848 ((-926 (-592)) (-658 (-592)))) (-15 -3848 ((-926 (-592)))) (-15 -3933 ((-926 (-592)))) (-15 -3928 ((-926 (-592)) (-658 (-592)))) (-15 -3928 ((-926 (-592)) (-1000)))) 
-((-1441 (((-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191))) 10)) (-2629 (((-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191))) 9))) 
-(((-941 |#1|) (-10 -7 (-15 -2629 ((-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -1441 ((-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191))))) (-477)) (T -941)) 
-((-1441 (*1 *2 *2 *3) (-12 (-5 *2 (-658 (-980 *4))) (-5 *3 (-658 (-1191))) (-4 *4 (-477)) (-5 *1 (-941 *4)))) (-2629 (*1 *2 *2 *3) (-12 (-5 *2 (-658 (-980 *4))) (-5 *3 (-658 (-1191))) (-4 *4 (-477)) (-5 *1 (-941 *4))))) 
-(-10 -7 (-15 -2629 ((-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -1441 ((-658 (-980 |#1|)) (-658 (-980 |#1|)) (-658 (-1191))))) 
-((-1683 (((-332 |#1|) (-513)) 15))) 
-(((-942 |#1|) (-10 -7 (-15 -1683 ((-332 |#1|) (-513)))) (-13 (-869) (-582))) (T -942)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-513)) (-5 *2 (-332 *4)) (-5 *1 (-942 *4)) (-4 *4 (-13 (-869) (-582)))))) 
-(-10 -7 (-15 -1683 ((-332 |#1|) (-513)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-3558 (((-141) $) 30)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-943) (-1311)) (T -943)) 
-((-1491 (*1 *2 *3) (-12 (-4 *1 (-943)) (-5 *2 (-2 (|:| -1487 (-658 *1)) (|:| -2934 *1))) (-5 *3 (-658 *1)))) (-4539 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-658 *1)) (-4 *1 (-943))))) 
-(-13 (-477) (-10 -8 (-15 -1491 ((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $))) (-15 -4539 ((-3 (-658 $) "failed") (-658 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-477) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3548 (($ $ $) NIL)) (-1683 (((-877) $) NIL)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-4257 (($) NIL T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (* (($ (-944) $) NIL) (($ $ $) NIL))) 
-(((-944) (-13 (-25) (-869) (-743) (-10 -8 (-15 -3548 ($ $ $)) (-6 (-4627 "*"))))) (T -944)) 
-((-3548 (*1 *1 *1 *1) (-5 *1 (-944)))) 
-(-13 (-25) (-869) (-743) (-10 -8 (-15 -3548 ($ $ $)) (-6 (-4627 "*")))) 
-((-2526 ((|#2| (-658 |#1|) (-658 |#1|)) 22))) 
-(((-945 |#1| |#2|) (-10 -7 (-15 -2526 (|#2| (-658 |#1|) (-658 |#1|)))) (-388) (-1255 |#1|)) (T -945)) 
-((-2526 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-4 *2 (-1255 *4)) (-5 *1 (-945 *4 *2))))) 
-(-10 -7 (-15 -2526 (|#2| (-658 |#1|) (-658 |#1|)))) 
-((-3014 (((-1187 |#2|) (-658 |#2|) (-658 |#2|)) 17) (((-1252 |#1| |#2|) (-1252 |#1| |#2|) (-658 |#2|) (-658 |#2|)) 13))) 
-(((-946 |#1| |#2|) (-10 -7 (-15 -3014 ((-1252 |#1| |#2|) (-1252 |#1| |#2|) (-658 |#2|) (-658 |#2|))) (-15 -3014 ((-1187 |#2|) (-658 |#2|) (-658 |#2|)))) (-1191) (-388)) (T -946)) 
-((-3014 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-388)) (-5 *2 (-1187 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-1191)))) (-3014 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1252 *4 *5)) (-5 *3 (-658 *5)) (-14 *4 (-1191)) (-4 *5 (-388)) (-5 *1 (-946 *4 *5))))) 
-(-10 -7 (-15 -3014 ((-1252 |#1| |#2|) (-1252 |#1| |#2|) (-658 |#2|) (-658 |#2|))) (-15 -3014 ((-1187 |#2|) (-658 |#2|) (-658 |#2|)))) 
-((-1641 (((-141) $ $) 7)) (-2340 (((-1285) $ (-658 |#2|)) 19)) (-3034 (((-658 $)) 14)) (-3251 (((-1285) $ (-944)) 18)) (-3657 (((-258 $) (-658 $)) 23)) (-3693 (((-658 |#2|) $) 20)) (-3683 (((-141) $) 17)) (-2685 (((-1173) $) 9)) (-1850 (((-1285) $) 16)) (-2951 (((-1137) $) 10)) (-1362 (((-658 $)) 15)) (-3927 ((|#1| $ (-592)) 13)) (-4525 (((-944) $) 12)) (-2443 (($ (-658 |#1|)) 22) (($ (-1191)) 21)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6)) (-3306 (((-258 $) $ $) 28) (((-258 $) (-258 $) $) 27) (((-258 $) $ (-258 $)) 26) (((-258 $) $) 25)) (-3300 (((-258 $) $ $) 31) (((-258 $) (-258 $) $) 30) (((-258 $) $ (-258 $)) 29)) (* (((-258 $) (-592) $) 24))) 
-(((-947 |#1| |#2|) (-1311) (-388) (-665 |t#1|)) (T -947)) 
-((-3300 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)))) (-3300 (*1 *2 *2 *1) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) (-3300 (*1 *2 *1 *2) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) (-3306 (*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)))) (-3306 (*1 *2 *2 *1) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) (-3306 (*1 *2 *1 *2) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) (-3306 (*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-592)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-258 *1)) (-4 *1 (-947 *4 *5)))) (-3657 (*1 *2 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-947 *4 *5)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-258 *1)))) (-2443 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-947 *3 *4)) (-4 *4 (-665 *3)))) (-2443 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *3 (-388)) (-4 *1 (-947 *3 *4)) (-4 *4 (-665 *3)))) (-3693 (*1 *2 *1) (-12 (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-658 *4)))) (-2340 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *5)) (-4 *1 (-947 *4 *5)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-1285)))) (-3251 (*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-4 *1 (-947 *4 *5)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-1285)))) (-3683 (*1 *2 *1) (-12 (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-141)))) (-1850 (*1 *2 *1) (-12 (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-1285)))) (-1362 (*1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-658 *1)) (-4 *1 (-947 *3 *4)))) (-3034 (*1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-658 *1)) (-4 *1 (-947 *3 *4)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-947 *2 *4)) (-4 *4 (-665 *2)) (-4 *2 (-388))))) 
-(-13 (-1117) (-10 -8 (-15 -3300 ((-258 $) $ $)) (-15 -3300 ((-258 $) (-258 $) $)) (-15 -3300 ((-258 $) $ (-258 $))) (-15 -3306 ((-258 $) $ $)) (-15 -3306 ((-258 $) (-258 $) $)) (-15 -3306 ((-258 $) $ (-258 $))) (-15 -3306 ((-258 $) $)) (-15 * ((-258 $) (-592) $)) (-15 -3657 ((-258 $) (-658 $))) (-15 -2443 ($ (-658 |t#1|))) (-15 -2443 ($ (-1191))) (-15 -3693 ((-658 |t#2|) $)) (-15 -2340 ((-1285) $ (-658 |t#2|))) (-15 -3251 ((-1285) $ (-944))) (-15 -3683 ((-141) $)) (-15 -1850 ((-1285) $)) (-15 -1362 ((-658 $))) (-15 -3034 ((-658 $))) (-15 -3927 (|t#1| $ (-592))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T) ((-1117) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2340 (((-1285) $ (-658 (-801 |#1|))) NIL)) (-3034 (((-658 $)) NIL)) (-3251 (((-1285) $ (-944)) NIL)) (-3657 (((-258 $) (-658 $)) NIL)) (-3693 (((-658 (-801 |#1|)) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-1850 (((-1285) $) NIL)) (-2951 (((-1137) $) NIL)) (-1362 (((-658 $)) NIL)) (-3927 ((|#1| $ (-592)) NIL)) (-4525 (((-944) $) NIL)) (-2443 (($ (-658 |#1|)) NIL) (($ (-1191)) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL)) (-3306 (((-258 $) $ $) NIL) (((-258 $) (-258 $) $) NIL) (((-258 $) $ (-258 $)) NIL) (((-258 $) $) NIL)) (-3300 (((-258 $) $ $) NIL) (((-258 $) (-258 $) $) NIL) (((-258 $) $ (-258 $)) NIL)) (* (((-258 $) (-592) $) NIL))) 
-(((-948 |#1|) (-947 |#1| (-801 |#1|)) (-388)) (T -948)) 
-NIL 
-(-947 |#1| (-801 |#1|)) 
-((-1641 (((-141) $ $) NIL)) (-2340 (((-1285) $ (-658 (-801 (-884 |#1|)))) NIL)) (-3034 (((-658 $)) NIL)) (-3251 (((-1285) $ (-944)) NIL)) (-3657 (((-258 $) (-658 $)) NIL)) (-3693 (((-658 (-801 (-884 |#1|))) $) NIL)) (-3683 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-1850 (((-1285) $) NIL)) (-2951 (((-1137) $) NIL)) (-1362 (((-658 $)) NIL)) (-3927 (((-884 |#1|) $ (-592)) NIL)) (-4525 (((-944) $) NIL)) (-2443 (($ (-658 (-884 |#1|))) NIL) (($ (-1191)) NIL)) (-1683 (((-877) $) NIL)) (-3255 (((-141) $ $) NIL)) (-3306 (((-258 $) $ $) NIL) (((-258 $) (-258 $) $) NIL) (((-258 $) $ (-258 $)) NIL) (((-258 $) $) NIL)) (-3300 (((-258 $) $ $) NIL) (((-258 $) (-258 $) $) NIL) (((-258 $) $ (-258 $)) NIL)) (* (((-258 $) (-592) $) NIL))) 
-(((-949 |#1|) (-947 (-884 |#1|) (-801 (-884 |#1|))) (-373)) (T -949)) 
-NIL 
-(-947 (-884 |#1|) (-801 (-884 |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2340 (((-1285) $ (-658 |#2|)) 73)) (-3034 (((-658 $)) 62)) (-3251 (((-1285) $ (-944)) 71)) (-3657 (((-258 $) (-658 $)) 27)) (-3693 (((-658 |#2|) $) 74)) (-3683 (((-141) $) 54)) (-2685 (((-1173) $) NIL)) (-1850 (((-1285) $) 57)) (-2951 (((-1137) $) NIL)) (-1362 (((-658 $)) 59)) (-3927 ((|#1| $ (-592)) 53)) (-4525 (((-944) $) 42)) (-2443 (($ (-658 |#1|)) 69) (($ (-1191)) 70)) (-1683 (((-877) $) 45)) (-3255 (((-141) $ $) 50)) (-3306 (((-258 $) $ $) 18) (((-258 $) (-258 $) $) 30) (((-258 $) $ (-258 $)) 31) (((-258 $) $) 33)) (-3300 (((-258 $) $ $) 16) (((-258 $) (-258 $) $) 28) (((-258 $) $ (-258 $)) 29)) (* (((-258 $) (-592) $) 21))) 
-(((-950 |#1| |#2|) (-947 |#1| |#2|) (-388) (-665 |#1|)) (T -950)) 
-NIL 
-(-947 |#1| |#2|) 
-((-2729 (((-592) (-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-1173)) 137)) (-1506 ((|#4| |#4|) 153)) (-2711 (((-658 (-433 (-980 |#1|))) (-658 (-1191))) 116)) (-4097 (((-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))) (-706 |#4|) (-658 (-433 (-980 |#1|))) (-658 (-658 |#4|)) (-790) (-790) (-592)) 73)) (-3936 (((-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-658 |#4|)) 57)) (-2388 (((-706 |#4|) (-706 |#4|) (-658 |#4|)) 53)) (-1618 (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-1173)) 149)) (-2008 (((-592) (-706 |#4|) (-944) (-1173)) 130) (((-592) (-706 |#4|) (-658 (-1191)) (-944) (-1173)) 129) (((-592) (-706 |#4|) (-658 |#4|) (-944) (-1173)) 128) (((-592) (-706 |#4|) (-1173)) 125) (((-592) (-706 |#4|) (-658 (-1191)) (-1173)) 124) (((-592) (-706 |#4|) (-658 |#4|) (-1173)) 123) (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-944)) 122) (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 (-1191)) (-944)) 121) (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 |#4|) (-944)) 120) (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|)) 118) (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 (-1191))) 117) (((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 |#4|)) 114)) (-1935 ((|#4| (-980 |#1|)) 66)) (-2986 (((-141) (-658 |#4|) (-658 (-658 |#4|))) 150)) (-2187 (((-658 (-658 (-592))) (-592) (-592)) 127)) (-3257 (((-658 (-658 |#4|)) (-658 (-658 |#4|))) 85)) (-2379 (((-790) (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|))))) 83)) (-4404 (((-790) (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|))))) 82)) (-3186 (((-141) (-658 (-980 |#1|))) 17) (((-141) (-658 |#4|)) 13)) (-4485 (((-2 (|:| |sysok| (-141)) (|:| |z0| (-658 |#4|)) (|:| |n0| (-658 |#4|))) (-658 |#4|) (-658 |#4|)) 69)) (-2319 (((-658 |#4|) |#4|) 47)) (-3938 (((-658 (-433 (-980 |#1|))) (-658 |#4|)) 112) (((-706 (-433 (-980 |#1|))) (-706 |#4|)) 54) (((-433 (-980 |#1|)) |#4|) 109)) (-4348 (((-2 (|:| |rgl| (-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))))))) (|:| |rgsz| (-592))) (-706 |#4|) (-658 (-433 (-980 |#1|))) (-790) (-1173) (-592)) 89)) (-3051 (((-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))) (-706 |#4|) (-790)) 81)) (-2721 (((-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-706 |#4|) (-790)) 98)) (-2741 (((-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-2 (|:| -3253 (-706 (-433 (-980 |#1|)))) (|:| |vec| (-658 (-433 (-980 |#1|)))) (|:| -4175 (-790)) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) 46))) 
-(((-951 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 |#4|))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 (-1191)))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 |#4|) (-944))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 (-1191)) (-944))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-944))) (-15 -2008 ((-592) (-706 |#4|) (-658 |#4|) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-658 (-1191)) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-658 |#4|) (-944) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-658 (-1191)) (-944) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-944) (-1173))) (-15 -2729 ((-592) (-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-1173))) (-15 -1618 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-1173))) (-15 -4348 ((-2 (|:| |rgl| (-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))))))) (|:| |rgsz| (-592))) (-706 |#4|) (-658 (-433 (-980 |#1|))) (-790) (-1173) (-592))) (-15 -3938 ((-433 (-980 |#1|)) |#4|)) (-15 -3938 ((-706 (-433 (-980 |#1|))) (-706 |#4|))) (-15 -3938 ((-658 (-433 (-980 |#1|))) (-658 |#4|))) (-15 -2711 ((-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -1935 (|#4| (-980 |#1|))) (-15 -4485 ((-2 (|:| |sysok| (-141)) (|:| |z0| (-658 |#4|)) (|:| |n0| (-658 |#4|))) (-658 |#4|) (-658 |#4|))) (-15 -3051 ((-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))) (-706 |#4|) (-790))) (-15 -3936 ((-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-658 |#4|))) (-15 -2741 ((-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-2 (|:| -3253 (-706 (-433 (-980 |#1|)))) (|:| |vec| (-658 (-433 (-980 |#1|)))) (|:| -4175 (-790)) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (-15 -2319 ((-658 |#4|) |#4|)) (-15 -4404 ((-790) (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))))) (-15 -2379 ((-790) (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))))) (-15 -3257 ((-658 (-658 |#4|)) (-658 (-658 |#4|)))) (-15 -2187 ((-658 (-658 (-592))) (-592) (-592))) (-15 -2986 ((-141) (-658 |#4|) (-658 (-658 |#4|)))) (-15 -2721 ((-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-706 |#4|) (-790))) (-15 -2388 ((-706 |#4|) (-706 |#4|) (-658 |#4|))) (-15 -4097 ((-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))) (-706 |#4|) (-658 (-433 (-980 |#1|))) (-658 (-658 |#4|)) (-790) (-790) (-592))) (-15 -1506 (|#4| |#4|)) (-15 -3186 ((-141) (-658 |#4|))) (-15 -3186 ((-141) (-658 (-980 |#1|))))) (-13 (-323) (-171)) (-13 (-869) (-633 (-1191))) (-815) (-977 |#1| |#3| |#2|)) (T -951)) 
-((-3186 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-141)) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5)))) (-3186 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-141)) (-5 *1 (-951 *4 *5 *6 *7)))) (-1506 (*1 *2 *2) (-12 (-4 *3 (-13 (-323) (-171))) (-4 *4 (-13 (-869) (-633 (-1191)))) (-4 *5 (-815)) (-5 *1 (-951 *3 *4 *5 *2)) (-4 *2 (-977 *3 *5 *4)))) (-4097 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-5 *4 (-706 *12)) (-5 *5 (-658 (-433 (-980 *9)))) (-5 *6 (-658 (-658 *12))) (-5 *7 (-790)) (-5 *8 (-592)) (-4 *9 (-13 (-323) (-171))) (-4 *12 (-977 *9 *11 *10)) (-4 *10 (-13 (-869) (-633 (-1191)))) (-4 *11 (-815)) (-5 *2 (-2 (|:| |eqzro| (-658 *12)) (|:| |neqzro| (-658 *12)) (|:| |wcond| (-658 (-980 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *9)))) (|:| -2195 (-658 (-1280 (-433 (-980 *9))))))))) (-5 *1 (-951 *9 *10 *11 *12)))) (-2388 (*1 *2 *2 *3) (-12 (-5 *2 (-706 *7)) (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *1 (-951 *4 *5 *6 *7)))) (-2721 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-790)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |det| *8) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (-5 *1 (-951 *5 *6 *7 *8)))) (-2986 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-658 *8))) (-5 *3 (-658 *8)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-141)) (-5 *1 (-951 *5 *6 *7 *8)))) (-2187 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-658 (-592)))) (-5 *1 (-951 *4 *5 *6 *7)) (-5 *3 (-592)) (-4 *7 (-977 *4 *6 *5)))) (-3257 (*1 *2 *2) (-12 (-5 *2 (-658 (-658 *6))) (-4 *6 (-977 *3 *5 *4)) (-4 *3 (-13 (-323) (-171))) (-4 *4 (-13 (-869) (-633 (-1191)))) (-4 *5 (-815)) (-5 *1 (-951 *3 *4 *5 *6)))) (-2379 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| *7) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 *7))))) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-790)) (-5 *1 (-951 *4 *5 *6 *7)))) (-4404 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| *7) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 *7))))) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-790)) (-5 *1 (-951 *4 *5 *6 *7)))) (-2319 (*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 *3)) (-5 *1 (-951 *4 *5 *6 *3)) (-4 *3 (-977 *4 *6 *5)))) (-2741 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3253 (-706 (-433 (-980 *4)))) (|:| |vec| (-658 (-433 (-980 *4)))) (|:| -4175 (-790)) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4))))))) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5)))) (-3936 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4))))))) (-5 *3 (-658 *7)) (-4 *4 (-13 (-323) (-171))) (-4 *7 (-977 *4 *6 *5)) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *1 (-951 *4 *5 *6 *7)))) (-3051 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| *8) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 *8))))) (-5 *1 (-951 *5 *6 *7 *8)) (-5 *4 (-790)))) (-4485 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-4 *7 (-977 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-141)) (|:| |z0| (-658 *7)) (|:| |n0| (-658 *7)))) (-5 *1 (-951 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-1935 (*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-13 (-323) (-171))) (-4 *2 (-977 *4 *6 *5)) (-5 *1 (-951 *4 *5 *6 *2)) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)))) (-2711 (*1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-433 (-980 *4)))) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5)))) (-3938 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-433 (-980 *4)))) (-5 *1 (-951 *4 *5 *6 *7)))) (-3938 (*1 *2 *3) (-12 (-5 *3 (-706 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-706 (-433 (-980 *4)))) (-5 *1 (-951 *4 *5 *6 *7)))) (-3938 (*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-433 (-980 *4))) (-5 *1 (-951 *4 *5 *6 *3)) (-4 *3 (-977 *4 *6 *5)))) (-4348 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-706 *11)) (-5 *4 (-658 (-433 (-980 *8)))) (-5 *5 (-790)) (-5 *6 (-1173)) (-4 *8 (-13 (-323) (-171))) (-4 *11 (-977 *8 *10 *9)) (-4 *9 (-13 (-869) (-633 (-1191)))) (-4 *10 (-815)) (-5 *2 (-2 (|:| |rgl| (-658 (-2 (|:| |eqzro| (-658 *11)) (|:| |neqzro| (-658 *11)) (|:| |wcond| (-658 (-980 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *8)))) (|:| -2195 (-658 (-1280 (-433 (-980 *8)))))))))) (|:| |rgsz| (-592)))) (-5 *1 (-951 *8 *9 *10 *11)) (-5 *7 (-592)))) (-1618 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *7)) (|:| |neqzro| (-658 *7)) (|:| |wcond| (-658 (-980 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4)))))))))) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5)))) (-2729 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *4 (-1173)) (-4 *5 (-13 (-323) (-171))) (-4 *8 (-977 *5 *7 *6)) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *5 *6 *7 *8)))) (-2008 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-944)) (-5 *5 (-1173)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *6 *7 *8 *9)))) (-2008 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-706 *10)) (-5 *4 (-658 (-1191))) (-5 *5 (-944)) (-5 *6 (-1173)) (-4 *10 (-977 *7 *9 *8)) (-4 *7 (-13 (-323) (-171))) (-4 *8 (-13 (-869) (-633 (-1191)))) (-4 *9 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *7 *8 *9 *10)))) (-2008 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-706 *10)) (-5 *4 (-658 *10)) (-5 *5 (-944)) (-5 *6 (-1173)) (-4 *10 (-977 *7 *9 *8)) (-4 *7 (-13 (-323) (-171))) (-4 *8 (-13 (-869) (-633 (-1191)))) (-4 *9 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *7 *8 *9 *10)))) (-2008 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-1173)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *5 *6 *7 *8)))) (-2008 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-658 (-1191))) (-5 *5 (-1173)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *6 *7 *8 *9)))) (-2008 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-658 *9)) (-5 *5 (-1173)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *6 *7 *8 *9)))) (-2008 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-944)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *1 (-951 *5 *6 *7 *8)))) (-2008 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-658 (-1191))) (-5 *5 (-944)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *9)) (|:| |neqzro| (-658 *9)) (|:| |wcond| (-658 (-980 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *6)))) (|:| -2195 (-658 (-1280 (-433 (-980 *6)))))))))) (-5 *1 (-951 *6 *7 *8 *9)))) (-2008 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *5 (-944)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *9)) (|:| |neqzro| (-658 *9)) (|:| |wcond| (-658 (-980 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *6)))) (|:| -2195 (-658 (-1280 (-433 (-980 *6)))))))))) (-5 *1 (-951 *6 *7 *8 *9)) (-5 *4 (-658 *9)))) (-2008 (*1 *2 *3) (-12 (-5 *3 (-706 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *7)) (|:| |neqzro| (-658 *7)) (|:| |wcond| (-658 (-980 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4)))))))))) (-5 *1 (-951 *4 *5 *6 *7)))) (-2008 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-658 (-1191))) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *1 (-951 *5 *6 *7 *8)))) (-2008 (*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *1 (-951 *5 *6 *7 *8)) (-5 *4 (-658 *8))))) 
-(-10 -7 (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 |#4|))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 (-1191)))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 |#4|) (-944))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-658 (-1191)) (-944))) (-15 -2008 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-706 |#4|) (-944))) (-15 -2008 ((-592) (-706 |#4|) (-658 |#4|) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-658 (-1191)) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-658 |#4|) (-944) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-658 (-1191)) (-944) (-1173))) (-15 -2008 ((-592) (-706 |#4|) (-944) (-1173))) (-15 -2729 ((-592) (-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-1173))) (-15 -1618 ((-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|))))))))) (-1173))) (-15 -4348 ((-2 (|:| |rgl| (-658 (-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))))))) (|:| |rgsz| (-592))) (-706 |#4|) (-658 (-433 (-980 |#1|))) (-790) (-1173) (-592))) (-15 -3938 ((-433 (-980 |#1|)) |#4|)) (-15 -3938 ((-706 (-433 (-980 |#1|))) (-706 |#4|))) (-15 -3938 ((-658 (-433 (-980 |#1|))) (-658 |#4|))) (-15 -2711 ((-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -1935 (|#4| (-980 |#1|))) (-15 -4485 ((-2 (|:| |sysok| (-141)) (|:| |z0| (-658 |#4|)) (|:| |n0| (-658 |#4|))) (-658 |#4|) (-658 |#4|))) (-15 -3051 ((-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))) (-706 |#4|) (-790))) (-15 -3936 ((-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-658 |#4|))) (-15 -2741 ((-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))) (-2 (|:| -3253 (-706 (-433 (-980 |#1|)))) (|:| |vec| (-658 (-433 (-980 |#1|)))) (|:| -4175 (-790)) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (-15 -2319 ((-658 |#4|) |#4|)) (-15 -4404 ((-790) (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))))) (-15 -2379 ((-790) (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 |#4|)))))) (-15 -3257 ((-658 (-658 |#4|)) (-658 (-658 |#4|)))) (-15 -2187 ((-658 (-658 (-592))) (-592) (-592))) (-15 -2986 ((-141) (-658 |#4|) (-658 (-658 |#4|)))) (-15 -2721 ((-658 (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-706 |#4|) (-790))) (-15 -2388 ((-706 |#4|) (-706 |#4|) (-658 |#4|))) (-15 -4097 ((-2 (|:| |eqzro| (-658 |#4|)) (|:| |neqzro| (-658 |#4|)) (|:| |wcond| (-658 (-980 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 |#1|)))) (|:| -2195 (-658 (-1280 (-433 (-980 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))) (-706 |#4|) (-658 (-433 (-980 |#1|))) (-658 (-658 |#4|)) (-790) (-790) (-592))) (-15 -1506 (|#4| |#4|)) (-15 -3186 ((-141) (-658 |#4|))) (-15 -3186 ((-141) (-658 (-980 |#1|))))) 
-((-3606 (((-954) |#1| (-1191)) 16) (((-954) |#1| (-1191) (-1113 (-237))) 20)) (-1489 (((-954) |#1| |#1| (-1191) (-1113 (-237))) 18) (((-954) |#1| (-1191) (-1113 (-237))) 14))) 
-(((-952 |#1|) (-10 -7 (-15 -1489 ((-954) |#1| (-1191) (-1113 (-237)))) (-15 -1489 ((-954) |#1| |#1| (-1191) (-1113 (-237)))) (-15 -3606 ((-954) |#1| (-1191) (-1113 (-237)))) (-15 -3606 ((-954) |#1| (-1191)))) (-633 (-565))) (T -952)) 
-((-3606 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) (-3606 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-1113 (-237))) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) (-1489 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-1113 (-237))) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) (-1489 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-1113 (-237))) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565)))))) 
-(-10 -7 (-15 -1489 ((-954) |#1| (-1191) (-1113 (-237)))) (-15 -1489 ((-954) |#1| |#1| (-1191) (-1113 (-237)))) (-15 -3606 ((-954) |#1| (-1191) (-1113 (-237)))) (-15 -3606 ((-954) |#1| (-1191)))) 
-((-2570 (($ $ (-1113 (-237)) (-1113 (-237)) (-1113 (-237))) 68)) (-3331 (((-1113 (-237)) $) 40)) (-1413 (((-1113 (-237)) $) 39)) (-4254 (((-1113 (-237)) $) 38)) (-1412 (((-658 (-658 (-237))) $) 43)) (-3397 (((-1113 (-237)) $) 41)) (-2237 (((-592) (-592)) 32)) (-4111 (((-592) (-592)) 28)) (-2475 (((-592) (-592)) 30)) (-3068 (((-141) (-141)) 35)) (-2413 (((-592)) 31)) (-4028 (($ $ (-1113 (-237))) 71) (($ $) 72)) (-3843 (($ (-1 (-971 (-237)) (-237)) (-1113 (-237))) 76) (($ (-1 (-971 (-237)) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237))) 77)) (-1489 (($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237))) 79) (($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237))) 80) (($ $ (-1113 (-237))) 74)) (-1987 (((-592)) 36)) (-2968 (((-592)) 27)) (-2577 (((-592)) 29)) (-1613 (((-658 (-658 (-971 (-237)))) $) 92)) (-4101 (((-141) (-141)) 37)) (-1683 (((-877) $) 91)) (-2316 (((-141)) 34))) 
-(((-953) (-13 (-1003) (-10 -8 (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)))) (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ $ (-1113 (-237)))) (-15 -2570 ($ $ (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -4028 ($ $ (-1113 (-237)))) (-15 -4028 ($ $)) (-15 -3397 ((-1113 (-237)) $)) (-15 -1412 ((-658 (-658 (-237))) $)) (-15 -2968 ((-592))) (-15 -4111 ((-592) (-592))) (-15 -2577 ((-592))) (-15 -2475 ((-592) (-592))) (-15 -2413 ((-592))) (-15 -2237 ((-592) (-592))) (-15 -2316 ((-141))) (-15 -3068 ((-141) (-141))) (-15 -1987 ((-592))) (-15 -4101 ((-141) (-141)))))) (T -953)) 
-((-3843 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) (-3843 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) (-1489 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) (-1489 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) (-1489 (*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) (-2570 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) (-4028 (*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) (-4028 (*1 *1 *1) (-5 *1 (-953))) (-3397 (*1 *2 *1) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) (-1412 (*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-237)))) (-5 *1 (-953)))) (-2968 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-4111 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-2577 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-2475 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-2413 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-2237 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-2316 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-953)))) (-3068 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-953)))) (-1987 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953)))) (-4101 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-953))))) 
-(-13 (-1003) (-10 -8 (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)))) (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ $ (-1113 (-237)))) (-15 -2570 ($ $ (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -4028 ($ $ (-1113 (-237)))) (-15 -4028 ($ $)) (-15 -3397 ((-1113 (-237)) $)) (-15 -1412 ((-658 (-658 (-237))) $)) (-15 -2968 ((-592))) (-15 -4111 ((-592) (-592))) (-15 -2577 ((-592))) (-15 -2475 ((-592) (-592))) (-15 -2413 ((-592))) (-15 -2237 ((-592) (-592))) (-15 -2316 ((-141))) (-15 -3068 ((-141) (-141))) (-15 -1987 ((-592))) (-15 -4101 ((-141) (-141))))) 
-((-2570 (($ $ (-1113 (-237))) 69) (($ $ (-1113 (-237)) (-1113 (-237))) 70)) (-1413 (((-1113 (-237)) $) 43)) (-4254 (((-1113 (-237)) $) 42)) (-3397 (((-1113 (-237)) $) 44)) (-3975 (((-592) (-592)) 36)) (-1522 (((-592) (-592)) 32)) (-2699 (((-592) (-592)) 34)) (-1707 (((-141) (-141)) 38)) (-1793 (((-592)) 35)) (-4028 (($ $ (-1113 (-237))) 73) (($ $) 74)) (-3843 (($ (-1 (-971 (-237)) (-237)) (-1113 (-237))) 83) (($ (-1 (-971 (-237)) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237))) 84)) (-3606 (($ (-1 (-237) (-237)) (-1113 (-237))) 91) (($ (-1 (-237) (-237))) 94)) (-1489 (($ (-1 (-237) (-237)) (-1113 (-237))) 78) (($ (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237))) 79) (($ (-658 (-1 (-237) (-237))) (-1113 (-237))) 86) (($ (-658 (-1 (-237) (-237))) (-1113 (-237)) (-1113 (-237))) 87) (($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237))) 80) (($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237))) 81) (($ $ (-1113 (-237))) 75)) (-4236 (((-141) $) 39)) (-3901 (((-592)) 40)) (-2320 (((-592)) 31)) (-3866 (((-592)) 33)) (-1613 (((-658 (-658 (-971 (-237)))) $) 22)) (-4439 (((-141) (-141)) 41)) (-1683 (((-877) $) 105)) (-2560 (((-141)) 37))) 
-(((-954) (-13 (-983) (-10 -8 (-15 -1489 ($ (-1 (-237) (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ (-658 (-1 (-237) (-237))) (-1113 (-237)))) (-15 -1489 ($ (-658 (-1 (-237) (-237))) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)))) (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -3606 ($ (-1 (-237) (-237)) (-1113 (-237)))) (-15 -3606 ($ (-1 (-237) (-237)))) (-15 -1489 ($ $ (-1113 (-237)))) (-15 -4236 ((-141) $)) (-15 -2570 ($ $ (-1113 (-237)))) (-15 -2570 ($ $ (-1113 (-237)) (-1113 (-237)))) (-15 -4028 ($ $ (-1113 (-237)))) (-15 -4028 ($ $)) (-15 -3397 ((-1113 (-237)) $)) (-15 -2320 ((-592))) (-15 -1522 ((-592) (-592))) (-15 -3866 ((-592))) (-15 -2699 ((-592) (-592))) (-15 -1793 ((-592))) (-15 -3975 ((-592) (-592))) (-15 -2560 ((-141))) (-15 -1707 ((-141) (-141))) (-15 -3901 ((-592))) (-15 -4439 ((-141) (-141)))))) (T -954)) 
-((-1489 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-1489 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-1489 (*1 *1 *2 *3) (-12 (-5 *2 (-658 (-1 (-237) (-237)))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-1489 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-1 (-237) (-237)))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-1489 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-1489 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-3843 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-3843 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-3606 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) (-3606 (*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *1 (-954)))) (-1489 (*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) (-4236 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-954)))) (-2570 (*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) (-2570 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) (-4028 (*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) (-4028 (*1 *1 *1) (-5 *1 (-954))) (-3397 (*1 *2 *1) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) (-2320 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-1522 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-3866 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-2699 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-1793 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-3975 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-2560 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-954)))) (-1707 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-954)))) (-3901 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954)))) (-4439 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-954))))) 
-(-13 (-983) (-10 -8 (-15 -1489 ($ (-1 (-237) (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ (-658 (-1 (-237) (-237))) (-1113 (-237)))) (-15 -1489 ($ (-658 (-1 (-237) (-237))) (-1113 (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)))) (-15 -1489 ($ (-1 (-237) (-237)) (-1 (-237) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)))) (-15 -3843 ($ (-1 (-971 (-237)) (-237)) (-1113 (-237)) (-1113 (-237)) (-1113 (-237)))) (-15 -3606 ($ (-1 (-237) (-237)) (-1113 (-237)))) (-15 -3606 ($ (-1 (-237) (-237)))) (-15 -1489 ($ $ (-1113 (-237)))) (-15 -4236 ((-141) $)) (-15 -2570 ($ $ (-1113 (-237)))) (-15 -2570 ($ $ (-1113 (-237)) (-1113 (-237)))) (-15 -4028 ($ $ (-1113 (-237)))) (-15 -4028 ($ $)) (-15 -3397 ((-1113 (-237)) $)) (-15 -2320 ((-592))) (-15 -1522 ((-592) (-592))) (-15 -3866 ((-592))) (-15 -2699 ((-592) (-592))) (-15 -1793 ((-592))) (-15 -3975 ((-592) (-592))) (-15 -2560 ((-141))) (-15 -1707 ((-141) (-141))) (-15 -3901 ((-592))) (-15 -4439 ((-141) (-141))))) 
-((-2161 (((-658 (-1113 (-237))) (-658 (-658 (-971 (-237))))) 23))) 
-(((-955) (-10 -7 (-15 -2161 ((-658 (-1113 (-237))) (-658 (-658 (-971 (-237)))))))) (T -955)) 
-((-2161 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *2 (-658 (-1113 (-237)))) (-5 *1 (-955))))) 
-(-10 -7 (-15 -2161 ((-658 (-1113 (-237))) (-658 (-658 (-971 (-237))))))) 
-((-4322 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-592)) 20)) (-1509 (((-141) (-658 |#2|) |#5|) 23)) (-1748 (((-790) |#2| |#5| (-592)) 42) (((-790) |#2| |#5|) 41)) (-2701 ((|#2| |#2| |#5| (-592)) 45) ((|#2| |#2| |#5|) 44)) (-2806 ((|#1| |#2| |#5|) 21))) 
-(((-956 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1509 ((-141) (-658 |#2|) |#5|)) (-15 -2806 (|#1| |#2| |#5|)) (-15 -4322 (|#2| |#2| |#5| (-592))) (-15 -4322 (|#2| |#2| |#5|)) (-15 -2701 (|#2| |#2| |#5|)) (-15 -2701 (|#2| |#2| |#5| (-592))) (-15 -1748 ((-790) |#2| |#5|)) (-15 -1748 ((-790) |#2| |#5| (-592)))) (-388) (-346 |#1| |#3|) (-252 |#4| (-790)) (-790) (-999 |#1|)) (T -956)) 
-((-1748 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-388)) (-4 *7 (-252 *8 *2)) (-14 *8 *2) (-5 *2 (-790)) (-5 *1 (-956 *6 *3 *7 *8 *4)) (-4 *3 (-346 *6 *7)) (-4 *4 (-999 *6)))) (-1748 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-252 *7 *2)) (-14 *7 *2) (-5 *2 (-790)) (-5 *1 (-956 *5 *3 *6 *7 *4)) (-4 *3 (-346 *5 *6)) (-4 *4 (-999 *5)))) (-2701 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-388)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *1 (-956 *5 *2 *6 *7 *3)) (-4 *2 (-346 *5 *6)) (-4 *3 (-999 *5)))) (-2701 (*1 *2 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-956 *4 *2 *5 *6 *3)) (-4 *2 (-346 *4 *5)) (-4 *3 (-999 *4)))) (-4322 (*1 *2 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-956 *4 *2 *5 *6 *3)) (-4 *2 (-346 *4 *5)) (-4 *3 (-999 *4)))) (-4322 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-388)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *1 (-956 *5 *2 *6 *7 *3)) (-4 *2 (-346 *5 *6)) (-4 *3 (-999 *5)))) (-2806 (*1 *2 *3 *4) (-12 (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *2 (-388)) (-5 *1 (-956 *2 *3 *5 *6 *4)) (-4 *3 (-346 *2 *5)) (-4 *4 (-999 *2)))) (-1509 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-4 *6 (-346 *5 *7)) (-4 *7 (-252 *8 (-790))) (-14 *8 (-790)) (-4 *5 (-388)) (-5 *2 (-141)) (-5 *1 (-956 *5 *6 *7 *8 *4)) (-4 *4 (-999 *5))))) 
-(-10 -7 (-15 -1509 ((-141) (-658 |#2|) |#5|)) (-15 -2806 (|#1| |#2| |#5|)) (-15 -4322 (|#2| |#2| |#5| (-592))) (-15 -4322 (|#2| |#2| |#5|)) (-15 -2701 (|#2| |#2| |#5|)) (-15 -2701 (|#2| |#2| |#5| (-592))) (-15 -1748 ((-790) |#2| |#5|)) (-15 -1748 ((-790) |#2| |#5| (-592)))) 
-((-3243 ((|#2| |#2|) 25)) (-3237 ((|#2| |#2|) 26)) (-4249 ((|#2| |#2|) 24)) (-3366 ((|#2| |#2| (-1173)) 23))) 
-(((-957 |#1| |#2|) (-10 -7 (-15 -3366 (|#2| |#2| (-1173))) (-15 -4249 (|#2| |#2|)) (-15 -3243 (|#2| |#2|)) (-15 -3237 (|#2| |#2|))) (-869) (-456 |#1|)) (T -957)) 
-((-3237 (*1 *2 *2) (-12 (-4 *3 (-869)) (-5 *1 (-957 *3 *2)) (-4 *2 (-456 *3)))) (-3243 (*1 *2 *2) (-12 (-4 *3 (-869)) (-5 *1 (-957 *3 *2)) (-4 *2 (-456 *3)))) (-4249 (*1 *2 *2) (-12 (-4 *3 (-869)) (-5 *1 (-957 *3 *2)) (-4 *2 (-456 *3)))) (-3366 (*1 *2 *2 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-869)) (-5 *1 (-957 *4 *2)) (-4 *2 (-456 *4))))) 
-(-10 -7 (-15 -3366 (|#2| |#2| (-1173))) (-15 -4249 (|#2| |#2|)) (-15 -3243 (|#2| |#2|)) (-15 -3237 (|#2| |#2|))) 
-((-3243 (((-332 (-592)) (-1191)) 15)) (-3237 (((-332 (-592)) (-1191)) 13)) (-4249 (((-332 (-592)) (-1191)) 11)) (-3366 (((-332 (-592)) (-1191) (-1173)) 18))) 
-(((-958) (-10 -7 (-15 -3366 ((-332 (-592)) (-1191) (-1173))) (-15 -4249 ((-332 (-592)) (-1191))) (-15 -3243 ((-332 (-592)) (-1191))) (-15 -3237 ((-332 (-592)) (-1191))))) (T -958)) 
-((-3237 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-332 (-592))) (-5 *1 (-958)))) (-3243 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-332 (-592))) (-5 *1 (-958)))) (-4249 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-332 (-592))) (-5 *1 (-958)))) (-3366 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-1173)) (-5 *2 (-332 (-592))) (-5 *1 (-958))))) 
-(-10 -7 (-15 -3366 ((-332 (-592)) (-1191) (-1173))) (-15 -4249 ((-332 (-592)) (-1191))) (-15 -3243 ((-332 (-592)) (-1191))) (-15 -3237 ((-332 (-592)) (-1191)))) 
-((-3412 (((-911 |#1| |#3|) |#2| (-914 |#1|) (-911 |#1| |#3|)) 24)) (-3129 (((-1 (-141) |#2|) (-1 (-141) |#3|)) 12))) 
-(((-959 |#1| |#2| |#3|) (-10 -7 (-15 -3129 ((-1 (-141) |#2|) (-1 (-141) |#3|))) (-15 -3412 ((-911 |#1| |#3|) |#2| (-914 |#1|) (-911 |#1| |#3|)))) (-1119) (-908 |#1|) (-13 (-1119) (-1065 |#2|))) (T -959)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *6)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-13 (-1119) (-1065 *3))) (-4 *3 (-908 *5)) (-5 *1 (-959 *5 *3 *6)))) (-3129 (*1 *2 *3) (-12 (-5 *3 (-1 (-141) *6)) (-4 *6 (-13 (-1119) (-1065 *5))) (-4 *5 (-908 *4)) (-4 *4 (-1119)) (-5 *2 (-1 (-141) *5)) (-5 *1 (-959 *4 *5 *6))))) 
-(-10 -7 (-15 -3129 ((-1 (-141) |#2|) (-1 (-141) |#3|))) (-15 -3412 ((-911 |#1| |#3|) |#2| (-914 |#1|) (-911 |#1| |#3|)))) 
-((-3412 (((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)) 29))) 
-(((-960 |#1| |#2| |#3|) (-10 -7 (-15 -3412 ((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)))) (-1119) (-13 (-582) (-869) (-908 |#1|)) (-13 (-456 |#2|) (-633 (-914 |#1|)) (-908 |#1|) (-1065 (-631 $)))) (T -960)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-4 *5 (-1119)) (-4 *3 (-13 (-456 *6) (-633 *4) (-908 *5) (-1065 (-631 $)))) (-5 *4 (-914 *5)) (-4 *6 (-13 (-582) (-869) (-908 *5))) (-5 *1 (-960 *5 *6 *3))))) 
-(-10 -7 (-15 -3412 ((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)))) 
-((-3412 (((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|)) 12))) 
-(((-961 |#1|) (-10 -7 (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|)))) (-574)) (T -961)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 (-592) *3)) (-5 *4 (-914 (-592))) (-4 *3 (-574)) (-5 *1 (-961 *3))))) 
-(-10 -7 (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|)))) 
-((-3412 (((-911 |#1| |#2|) (-631 |#2|) (-914 |#1|) (-911 |#1| |#2|)) 52))) 
-(((-962 |#1| |#2|) (-10 -7 (-15 -3412 ((-911 |#1| |#2|) (-631 |#2|) (-914 |#1|) (-911 |#1| |#2|)))) (-1119) (-13 (-869) (-1065 (-631 $)) (-633 (-914 |#1|)) (-908 |#1|))) (T -962)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *6)) (-5 *3 (-631 *6)) (-4 *5 (-1119)) (-4 *6 (-13 (-869) (-1065 (-631 $)) (-633 *4) (-908 *5))) (-5 *4 (-914 *5)) (-5 *1 (-962 *5 *6))))) 
-(-10 -7 (-15 -3412 ((-911 |#1| |#2|) (-631 |#2|) (-914 |#1|) (-911 |#1| |#2|)))) 
-((-3412 (((-907 |#1| |#2| |#3|) |#3| (-914 |#1|) (-907 |#1| |#2| |#3|)) 14))) 
-(((-963 |#1| |#2| |#3|) (-10 -7 (-15 -3412 ((-907 |#1| |#2| |#3|) |#3| (-914 |#1|) (-907 |#1| |#2| |#3|)))) (-1119) (-908 |#1|) (-683 |#2|)) (T -963)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-907 *5 *6 *3)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-908 *5)) (-4 *3 (-683 *6)) (-5 *1 (-963 *5 *6 *3))))) 
-(-10 -7 (-15 -3412 ((-907 |#1| |#2| |#3|) |#3| (-914 |#1|) (-907 |#1| |#2| |#3|)))) 
-((-3412 (((-911 |#1| |#5|) |#5| (-914 |#1|) (-911 |#1| |#5|)) 17 (|has| |#3| (-908 |#1|))) (((-911 |#1| |#5|) |#5| (-914 |#1|) (-911 |#1| |#5|) (-1 (-911 |#1| |#5|) |#3| (-914 |#1|) (-911 |#1| |#5|))) 16))) 
-(((-964 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3412 ((-911 |#1| |#5|) |#5| (-914 |#1|) (-911 |#1| |#5|) (-1 (-911 |#1| |#5|) |#3| (-914 |#1|) (-911 |#1| |#5|)))) (IF (|has| |#3| (-908 |#1|)) (-15 -3412 ((-911 |#1| |#5|) |#5| (-914 |#1|) (-911 |#1| |#5|))) |noBranch|)) (-1119) (-815) (-869) (-13 (-1075) (-869) (-908 |#1|)) (-13 (-977 |#4| |#2| |#3|) (-633 (-914 |#1|)))) (T -964)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-4 *5 (-1119)) (-4 *3 (-13 (-977 *8 *6 *7) (-633 *4))) (-5 *4 (-914 *5)) (-4 *7 (-908 *5)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-13 (-1075) (-869) (-908 *5))) (-5 *1 (-964 *5 *6 *7 *8 *3)))) (-3412 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-911 *6 *3) *8 (-914 *6) (-911 *6 *3))) (-4 *8 (-869)) (-5 *2 (-911 *6 *3)) (-5 *4 (-914 *6)) (-4 *6 (-1119)) (-4 *3 (-13 (-977 *9 *7 *8) (-633 *4))) (-4 *7 (-815)) (-4 *9 (-13 (-1075) (-869) (-908 *6))) (-5 *1 (-964 *6 *7 *8 *9 *3))))) 
-(-10 -7 (-15 -3412 ((-911 |#1| |#5|) |#5| (-914 |#1|) (-911 |#1| |#5|) (-1 (-911 |#1| |#5|) |#3| (-914 |#1|) (-911 |#1| |#5|)))) (IF (|has| |#3| (-908 |#1|)) (-15 -3412 ((-911 |#1| |#5|) |#5| (-914 |#1|) (-911 |#1| |#5|))) |noBranch|)) 
-((-4355 ((|#2| |#2| (-658 (-1 (-141) |#3|))) 11) ((|#2| |#2| (-1 (-141) |#3|)) 12))) 
-(((-965 |#1| |#2| |#3|) (-10 -7 (-15 -4355 (|#2| |#2| (-1 (-141) |#3|))) (-15 -4355 (|#2| |#2| (-658 (-1 (-141) |#3|))))) (-869) (-456 |#1|) (-1225)) (T -965)) 
-((-4355 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-1 (-141) *5))) (-4 *5 (-1225)) (-4 *4 (-869)) (-5 *1 (-965 *4 *2 *5)) (-4 *2 (-456 *4)))) (-4355 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *5)) (-4 *5 (-1225)) (-4 *4 (-869)) (-5 *1 (-965 *4 *2 *5)) (-4 *2 (-456 *4))))) 
-(-10 -7 (-15 -4355 (|#2| |#2| (-1 (-141) |#3|))) (-15 -4355 (|#2| |#2| (-658 (-1 (-141) |#3|))))) 
-((-4355 (((-332 (-592)) (-1191) (-658 (-1 (-141) |#1|))) 16) (((-332 (-592)) (-1191) (-1 (-141) |#1|)) 13))) 
-(((-966 |#1|) (-10 -7 (-15 -4355 ((-332 (-592)) (-1191) (-1 (-141) |#1|))) (-15 -4355 ((-332 (-592)) (-1191) (-658 (-1 (-141) |#1|))))) (-1225)) (T -966)) 
-((-4355 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-658 (-1 (-141) *5))) (-4 *5 (-1225)) (-5 *2 (-332 (-592))) (-5 *1 (-966 *5)))) (-4355 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-1 (-141) *5)) (-4 *5 (-1225)) (-5 *2 (-332 (-592))) (-5 *1 (-966 *5))))) 
-(-10 -7 (-15 -4355 ((-332 (-592)) (-1191) (-1 (-141) |#1|))) (-15 -4355 ((-332 (-592)) (-1191) (-658 (-1 (-141) |#1|))))) 
-((-3412 (((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)) 25))) 
-(((-967 |#1| |#2| |#3|) (-10 -7 (-15 -3412 ((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)))) (-1119) (-13 (-582) (-908 |#1|) (-633 (-914 |#1|))) (-1021 |#2|)) (T -967)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-4 *5 (-1119)) (-4 *3 (-1021 *6)) (-4 *6 (-13 (-582) (-908 *5) (-633 *4))) (-5 *4 (-914 *5)) (-5 *1 (-967 *5 *6 *3))))) 
-(-10 -7 (-15 -3412 ((-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)))) 
-((-3412 (((-911 |#1| (-1191)) (-1191) (-914 |#1|) (-911 |#1| (-1191))) 17))) 
-(((-968 |#1|) (-10 -7 (-15 -3412 ((-911 |#1| (-1191)) (-1191) (-914 |#1|) (-911 |#1| (-1191))))) (-1119)) (T -968)) 
-((-3412 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 (-1191))) (-5 *3 (-1191)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-5 *1 (-968 *5))))) 
-(-10 -7 (-15 -3412 ((-911 |#1| (-1191)) (-1191) (-914 |#1|) (-911 |#1| (-1191))))) 
-((-3908 (((-911 |#1| |#3|) (-658 |#3|) (-658 (-914 |#1|)) (-911 |#1| |#3|) (-1 (-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|))) 33)) (-3412 (((-911 |#1| |#3|) (-658 |#3|) (-658 (-914 |#1|)) (-1 |#3| (-658 |#3|)) (-911 |#1| |#3|) (-1 (-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|))) 32))) 
-(((-969 |#1| |#2| |#3|) (-10 -7 (-15 -3412 ((-911 |#1| |#3|) (-658 |#3|) (-658 (-914 |#1|)) (-1 |#3| (-658 |#3|)) (-911 |#1| |#3|) (-1 (-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)))) (-15 -3908 ((-911 |#1| |#3|) (-658 |#3|) (-658 (-914 |#1|)) (-911 |#1| |#3|) (-1 (-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|))))) (-1119) (-13 (-1075) (-869)) (-13 (-1075) (-633 (-914 |#1|)) (-1065 |#2|))) (T -969)) 
-((-3908 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 (-914 *6))) (-5 *5 (-1 (-911 *6 *8) *8 (-914 *6) (-911 *6 *8))) (-4 *6 (-1119)) (-4 *8 (-13 (-1075) (-633 (-914 *6)) (-1065 *7))) (-5 *2 (-911 *6 *8)) (-4 *7 (-13 (-1075) (-869))) (-5 *1 (-969 *6 *7 *8)))) (-3412 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-658 (-914 *7))) (-5 *5 (-1 *9 (-658 *9))) (-5 *6 (-1 (-911 *7 *9) *9 (-914 *7) (-911 *7 *9))) (-4 *7 (-1119)) (-4 *9 (-13 (-1075) (-633 (-914 *7)) (-1065 *8))) (-5 *2 (-911 *7 *9)) (-5 *3 (-658 *9)) (-4 *8 (-13 (-1075) (-869))) (-5 *1 (-969 *7 *8 *9))))) 
-(-10 -7 (-15 -3412 ((-911 |#1| |#3|) (-658 |#3|) (-658 (-914 |#1|)) (-1 |#3| (-658 |#3|)) (-911 |#1| |#3|) (-1 (-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|)))) (-15 -3908 ((-911 |#1| |#3|) (-658 |#3|) (-658 (-914 |#1|)) (-911 |#1| |#3|) (-1 (-911 |#1| |#3|) |#3| (-914 |#1|) (-911 |#1| |#3|))))) 
-((-1880 (((-1187 (-433 (-592))) (-592)) 61)) (-1381 (((-1187 (-592)) (-592)) 64)) (-1893 (((-1187 (-592)) (-592)) 58)) (-4378 (((-592) (-1187 (-592))) 53)) (-3824 (((-1187 (-433 (-592))) (-592)) 47)) (-4446 (((-1187 (-592)) (-592)) 36)) (-1787 (((-1187 (-592)) (-592)) 66)) (-1843 (((-1187 (-592)) (-592)) 65)) (-4017 (((-1187 (-433 (-592))) (-592)) 49))) 
-(((-970) (-10 -7 (-15 -4017 ((-1187 (-433 (-592))) (-592))) (-15 -1843 ((-1187 (-592)) (-592))) (-15 -1787 ((-1187 (-592)) (-592))) (-15 -4446 ((-1187 (-592)) (-592))) (-15 -3824 ((-1187 (-433 (-592))) (-592))) (-15 -4378 ((-592) (-1187 (-592)))) (-15 -1893 ((-1187 (-592)) (-592))) (-15 -1381 ((-1187 (-592)) (-592))) (-15 -1880 ((-1187 (-433 (-592))) (-592))))) (T -970)) 
-((-1880 (*1 *2 *3) (-12 (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-970)) (-5 *3 (-592)))) (-1381 (*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592)))) (-1893 (*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592)))) (-4378 (*1 *2 *3) (-12 (-5 *3 (-1187 (-592))) (-5 *2 (-592)) (-5 *1 (-970)))) (-3824 (*1 *2 *3) (-12 (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-970)) (-5 *3 (-592)))) (-4446 (*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592)))) (-1787 (*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592)))) (-1843 (*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592)))) (-4017 (*1 *2 *3) (-12 (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(-10 -7 (-15 -4017 ((-1187 (-433 (-592))) (-592))) (-15 -1843 ((-1187 (-592)) (-592))) (-15 -1787 ((-1187 (-592)) (-592))) (-15 -4446 ((-1187 (-592)) (-592))) (-15 -3824 ((-1187 (-433 (-592))) (-592))) (-15 -4378 ((-592) (-1187 (-592)))) (-15 -1893 ((-1187 (-592)) (-592))) (-15 -1381 ((-1187 (-592)) (-592))) (-15 -1880 ((-1187 (-433 (-592))) (-592)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1417 (($ (-790)) NIL (|has| |#1| (-23)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) |#1|) 11 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-1831 (($ (-658 |#1|)) 13)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4363 (((-706 |#1|) $ $) NIL (|has| |#1| (-1075)))) (-3242 (($ (-790) |#1|) 8)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 10 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2311 ((|#1| $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1075))))) (-2554 (((-141) $ (-790)) NIL)) (-4233 ((|#1| $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1075))))) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-2807 (($ $ (-658 |#1|)) 24)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) 18) (($ $ (-1246 (-592))) NIL)) (-1729 ((|#1| $ $) NIL (|has| |#1| (-1075)))) (-1936 (((-944) $) 16)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-2746 (($ $ $) 22)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565)))) (($ (-658 |#1|)) 17)) (-4466 (($ (-658 |#1|)) NIL)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3306 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-3300 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-592) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-743))) (($ $ |#1|) NIL (|has| |#1| (-743)))) (-1699 (((-790) $) 14 (|has| $ (-6 -4625))))) 
-(((-971 |#1|) (-1009 |#1|) (-1075)) (T -971)) 
-NIL 
-(-1009 |#1|) 
-((-2384 (((-516 |#1| |#2|) (-980 |#2|)) 17)) (-1942 (((-264 |#1| |#2|) (-980 |#2|)) 29)) (-3829 (((-980 |#2|) (-516 |#1| |#2|)) 22)) (-2763 (((-264 |#1| |#2|) (-516 |#1| |#2|)) 53)) (-4587 (((-980 |#2|) (-264 |#1| |#2|)) 26)) (-2694 (((-516 |#1| |#2|) (-264 |#1| |#2|)) 44))) 
-(((-972 |#1| |#2|) (-10 -7 (-15 -2694 ((-516 |#1| |#2|) (-264 |#1| |#2|))) (-15 -2763 ((-264 |#1| |#2|) (-516 |#1| |#2|))) (-15 -2384 ((-516 |#1| |#2|) (-980 |#2|))) (-15 -3829 ((-980 |#2|) (-516 |#1| |#2|))) (-15 -4587 ((-980 |#2|) (-264 |#1| |#2|))) (-15 -1942 ((-264 |#1| |#2|) (-980 |#2|)))) (-658 (-1191)) (-1075)) (T -972)) 
-((-1942 (*1 *2 *3) (-12 (-5 *3 (-980 *5)) (-4 *5 (-1075)) (-5 *2 (-264 *4 *5)) (-5 *1 (-972 *4 *5)) (-14 *4 (-658 (-1191))))) (-4587 (*1 *2 *3) (-12 (-5 *3 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-980 *5)) (-5 *1 (-972 *4 *5)))) (-3829 (*1 *2 *3) (-12 (-5 *3 (-516 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-980 *5)) (-5 *1 (-972 *4 *5)))) (-2384 (*1 *2 *3) (-12 (-5 *3 (-980 *5)) (-4 *5 (-1075)) (-5 *2 (-516 *4 *5)) (-5 *1 (-972 *4 *5)) (-14 *4 (-658 (-1191))))) (-2763 (*1 *2 *3) (-12 (-5 *3 (-516 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-264 *4 *5)) (-5 *1 (-972 *4 *5)))) (-2694 (*1 *2 *3) (-12 (-5 *3 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-516 *4 *5)) (-5 *1 (-972 *4 *5))))) 
-(-10 -7 (-15 -2694 ((-516 |#1| |#2|) (-264 |#1| |#2|))) (-15 -2763 ((-264 |#1| |#2|) (-516 |#1| |#2|))) (-15 -2384 ((-516 |#1| |#2|) (-980 |#2|))) (-15 -3829 ((-980 |#2|) (-516 |#1| |#2|))) (-15 -4587 ((-980 |#2|) (-264 |#1| |#2|))) (-15 -1942 ((-264 |#1| |#2|) (-980 |#2|)))) 
-((-2961 (((-658 |#2|) |#2| |#2|) 10)) (-3618 (((-790) (-658 |#1|)) 37 (|has| |#1| (-867)))) (-3689 (((-658 |#2|) |#2|) 11)) (-2431 (((-790) (-658 |#1|) (-592) (-592)) 36 (|has| |#1| (-867)))) (-3408 ((|#1| |#2|) 32 (|has| |#1| (-867))))) 
-(((-973 |#1| |#2|) (-10 -7 (-15 -2961 ((-658 |#2|) |#2| |#2|)) (-15 -3689 ((-658 |#2|) |#2|)) (IF (|has| |#1| (-867)) (PROGN (-15 -3408 (|#1| |#2|)) (-15 -3618 ((-790) (-658 |#1|))) (-15 -2431 ((-790) (-658 |#1|) (-592) (-592)))) |noBranch|)) (-388) (-1255 |#1|)) (T -973)) 
-((-2431 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-592)) (-4 *5 (-867)) (-4 *5 (-388)) (-5 *2 (-790)) (-5 *1 (-973 *5 *6)) (-4 *6 (-1255 *5)))) (-3618 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-867)) (-4 *4 (-388)) (-5 *2 (-790)) (-5 *1 (-973 *4 *5)) (-4 *5 (-1255 *4)))) (-3408 (*1 *2 *3) (-12 (-4 *2 (-388)) (-4 *2 (-867)) (-5 *1 (-973 *2 *3)) (-4 *3 (-1255 *2)))) (-3689 (*1 *2 *3) (-12 (-4 *4 (-388)) (-5 *2 (-658 *3)) (-5 *1 (-973 *4 *3)) (-4 *3 (-1255 *4)))) (-2961 (*1 *2 *3 *3) (-12 (-4 *4 (-388)) (-5 *2 (-658 *3)) (-5 *1 (-973 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -2961 ((-658 |#2|) |#2| |#2|)) (-15 -3689 ((-658 |#2|) |#2|)) (IF (|has| |#1| (-867)) (PROGN (-15 -3408 (|#1| |#2|)) (-15 -3618 ((-790) (-658 |#1|))) (-15 -2431 ((-790) (-658 |#1|) (-592) (-592)))) |noBranch|)) 
-((-2731 (((-980 |#2|) (-1 |#2| |#1|) (-980 |#1|)) 18))) 
-(((-974 |#1| |#2|) (-10 -7 (-15 -2731 ((-980 |#2|) (-1 |#2| |#1|) (-980 |#1|)))) (-1075) (-1075)) (T -974)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-980 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-980 *6)) (-5 *1 (-974 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-980 |#2|) (-1 |#2| |#1|) (-980 |#1|)))) 
-((-4492 (((-1252 |#1| (-980 |#2|)) (-980 |#2|) (-1276 |#1|)) 18))) 
-(((-975 |#1| |#2|) (-10 -7 (-15 -4492 ((-1252 |#1| (-980 |#2|)) (-980 |#2|) (-1276 |#1|)))) (-1191) (-1075)) (T -975)) 
-((-4492 (*1 *2 *3 *4) (-12 (-5 *4 (-1276 *5)) (-14 *5 (-1191)) (-4 *6 (-1075)) (-5 *2 (-1252 *5 (-980 *6))) (-5 *1 (-975 *5 *6)) (-5 *3 (-980 *6))))) 
-(-10 -7 (-15 -4492 ((-1252 |#1| (-980 |#2|)) (-980 |#2|) (-1276 |#1|)))) 
-((-2189 (((-790) $) 69) (((-790) $ (-658 |#4|)) 72)) (-3743 (($ $) 169)) (-3164 (((-444 $) $) 161)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 112)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL) (((-592) $) NIL) ((|#4| $) 57)) (-1544 (($ $ $ |#4|) 74)) (-3945 (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) 102) (((-706 |#2|) (-706 $)) 95)) (-3262 (($ $) 177) (($ $ |#4|) 180)) (-4585 (((-658 $) $) 61)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 195) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 189)) (-3108 (((-658 $) $) 27)) (-4526 (($ |#2| |#3|) NIL) (($ $ |#4| (-790)) NIL) (($ $ (-658 |#4|) (-658 (-790))) 55)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#4|) 158)) (-4421 (((-3 (-658 $) "failed") $) 41)) (-2947 (((-3 (-658 $) "failed") $) 30)) (-2257 (((-3 (-2 (|:| |var| |#4|) (|:| -3215 (-790))) "failed") $) 45)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 105)) (-1416 (((-444 (-1187 $)) (-1187 $)) 118)) (-3339 (((-444 (-1187 $)) (-1187 $)) 116)) (-4500 (((-444 $) $) 136)) (-2806 (($ $ (-658 (-310 $))) 20) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-658 |#4|) (-658 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-658 |#4|) (-658 $)) NIL)) (-1482 (($ $ |#4|) 76)) (-1778 (((-914 (-405)) $) 209) (((-914 (-592)) $) 202) (((-565) $) 217)) (-1554 ((|#2| $) NIL) (($ $ |#4|) 171)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 150)) (-1937 ((|#2| $ |#3|) NIL) (($ $ |#4| (-790)) 50) (($ $ (-658 |#4|) (-658 (-790))) 53)) (-1517 (((-3 $ "failed") $) 152)) (-3266 (((-141) $ $) 183))) 
-(((-976 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|))) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -3743 (|#1| |#1|)) (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3339 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -1416 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -2288 ((-3 (-1280 |#1|) "failed") (-706 |#1|))) (-15 -3262 (|#1| |#1| |#4|)) (-15 -1554 (|#1| |#1| |#4|)) (-15 -1482 (|#1| |#1| |#4|)) (-15 -1544 (|#1| |#1| |#1| |#4|)) (-15 -4585 ((-658 |#1|) |#1|)) (-15 -2189 ((-790) |#1| (-658 |#4|))) (-15 -2189 ((-790) |#1|)) (-15 -2257 ((-3 (-2 (|:| |var| |#4|) (|:| -3215 (-790))) "failed") |#1|)) (-15 -4421 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -2947 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -4526 (|#1| |#1| (-658 |#4|) (-658 (-790)))) (-15 -4526 (|#1| |#1| |#4| (-790))) (-15 -1446 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1| |#4|)) (-15 -3108 ((-658 |#1|) |#1|)) (-15 -1937 (|#1| |#1| (-658 |#4|) (-658 (-790)))) (-15 -1937 (|#1| |#1| |#4| (-790))) (-15 -3945 ((-706 |#2|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -2400 (|#4| |#1|)) (-15 -4368 ((-3 |#4| "failed") |#1|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#4| |#1|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#4| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -4526 (|#1| |#2| |#3|)) (-15 -1937 (|#2| |#1| |#3|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3262 (|#1| |#1|))) (-977 |#2| |#3| |#4|) (-1075) (-815) (-869)) (T -976)) 
-NIL 
-(-10 -8 (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|))) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -3743 (|#1| |#1|)) (-15 -1517 ((-3 |#1| "failed") |#1|)) (-15 -3266 ((-141) |#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3339 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -1416 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -2288 ((-3 (-1280 |#1|) "failed") (-706 |#1|))) (-15 -3262 (|#1| |#1| |#4|)) (-15 -1554 (|#1| |#1| |#4|)) (-15 -1482 (|#1| |#1| |#4|)) (-15 -1544 (|#1| |#1| |#1| |#4|)) (-15 -4585 ((-658 |#1|) |#1|)) (-15 -2189 ((-790) |#1| (-658 |#4|))) (-15 -2189 ((-790) |#1|)) (-15 -2257 ((-3 (-2 (|:| |var| |#4|) (|:| -3215 (-790))) "failed") |#1|)) (-15 -4421 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -2947 ((-3 (-658 |#1|) "failed") |#1|)) (-15 -4526 (|#1| |#1| (-658 |#4|) (-658 (-790)))) (-15 -4526 (|#1| |#1| |#4| (-790))) (-15 -1446 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1| |#4|)) (-15 -3108 ((-658 |#1|) |#1|)) (-15 -1937 (|#1| |#1| (-658 |#4|) (-658 (-790)))) (-15 -1937 (|#1| |#1| |#4| (-790))) (-15 -3945 ((-706 |#2|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -2400 (|#4| |#1|)) (-15 -4368 ((-3 |#4| "failed") |#1|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#4| |#1|)) (-15 -2806 (|#1| |#1| (-658 |#4|) (-658 |#2|))) (-15 -2806 (|#1| |#1| |#4| |#2|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -4526 (|#1| |#2| |#3|)) (-15 -1937 (|#2| |#1| |#3|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3262 (|#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 |#3|) $) 109)) (-4492 (((-1187 $) $ |#3|) 124) (((-1187 |#1|) $) 123)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 85 (|has| |#1| (-582)))) (-1555 (($ $) 86 (|has| |#1| (-582)))) (-1313 (((-141) $) 88 (|has| |#1| (-582)))) (-2189 (((-790) $) 111) (((-790) $ (-658 |#3|)) 110)) (-2350 (((-3 $ "failed") $ $) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 99 (|has| |#1| (-931)))) (-3743 (($ $) 97 (|has| |#1| (-477)))) (-3164 (((-444 $) $) 96 (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 102 (|has| |#1| (-931)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 163) (((-3 (-433 (-592)) "failed") $) 161 (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) 159 (|has| |#1| (-1065 (-592)))) (((-3 |#3| "failed") $) 135)) (-2400 ((|#1| $) 164) (((-433 (-592)) $) 160 (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) 158 (|has| |#1| (-1065 (-592)))) ((|#3| $) 134)) (-1544 (($ $ $ |#3|) 107 (|has| |#1| (-194)))) (-4593 (($ $) 153)) (-3945 (((-706 (-592)) (-706 $)) 133 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 132 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 131) (((-706 |#1|) (-706 $)) 130)) (-3371 (((-3 $ "failed") $) 33)) (-3262 (($ $) 175 (|has| |#1| (-477))) (($ $ |#3|) 104 (|has| |#1| (-477)))) (-4585 (((-658 $) $) 108)) (-2802 (((-141) $) 95 (|has| |#1| (-931)))) (-4209 (($ $ |#1| |#2| $) 171)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 82 (-12 (|has| |#3| (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 81 (-12 (|has| |#3| (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-3558 (((-141) $) 30)) (-4036 (((-790) $) 168)) (-4533 (($ (-1187 |#1|) |#3|) 116) (($ (-1187 $) |#3|) 115)) (-3108 (((-658 $) $) 125)) (-2027 (((-141) $) 151)) (-4526 (($ |#1| |#2|) 152) (($ $ |#3| (-790)) 118) (($ $ (-658 |#3|) (-658 (-790))) 117)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#3|) 119)) (-4206 ((|#2| $) 169) (((-790) $ |#3|) 121) (((-658 (-790)) $ (-658 |#3|)) 120)) (-1837 (($ $ $) 77 (|has| |#1| (-869)))) (-3319 (($ $ $) 76 (|has| |#1| (-869)))) (-2976 (($ (-1 |#2| |#2|) $) 170)) (-2731 (($ (-1 |#1| |#1|) $) 150)) (-3254 (((-3 |#3| "failed") $) 122)) (-4573 (($ $) 148)) (-4579 ((|#1| $) 147)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 89 (|has| |#1| (-477)))) (-2750 (($ (-658 $)) 93 (|has| |#1| (-477))) (($ $ $) 92 (|has| |#1| (-477)))) (-2685 (((-1173) $) 9)) (-4421 (((-3 (-658 $) "failed") $) 113)) (-2947 (((-3 (-658 $) "failed") $) 114)) (-2257 (((-3 (-2 (|:| |var| |#3|) (|:| -3215 (-790))) "failed") $) 112)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 165)) (-4565 ((|#1| $) 166)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 94 (|has| |#1| (-477)))) (-3548 (($ (-658 $)) 91 (|has| |#1| (-477))) (($ $ $) 90 (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 101 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 100 (|has| |#1| (-931)))) (-4500 (((-444 $) $) 98 (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) 173 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) 144) (($ $ (-310 $)) 143) (($ $ $ $) 142) (($ $ (-658 $) (-658 $)) 141) (($ $ |#3| |#1|) 140) (($ $ (-658 |#3|) (-658 |#1|)) 139) (($ $ |#3| $) 138) (($ $ (-658 |#3|) (-658 $)) 137)) (-1482 (($ $ |#3|) 106 (|has| |#1| (-194)))) (-3644 (($ $ |#3|) 41) (($ $ (-658 |#3|)) 40) (($ $ |#3| (-790)) 39) (($ $ (-658 |#3|) (-658 (-790))) 38)) (-4525 ((|#2| $) 149) (((-790) $ |#3|) 129) (((-658 (-790)) $ (-658 |#3|)) 128)) (-1778 (((-914 (-405)) $) 80 (-12 (|has| |#3| (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) 79 (-12 (|has| |#3| (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) 78 (-12 (|has| |#3| (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) 174 (|has| |#1| (-477))) (($ $ |#3|) 105 (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 103 (-1732 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 162) (($ |#3|) 136) (($ $) 83 (|has| |#1| (-582))) (($ (-433 (-592))) 70 (-3836 (|has| |#1| (-1065 (-433 (-592)))) (|has| |#1| (-43 (-433 (-592))))))) (-1647 (((-658 |#1|) $) 167)) (-1937 ((|#1| $ |#2|) 154) (($ $ |#3| (-790)) 127) (($ $ (-658 |#3|) (-658 (-790))) 126)) (-1517 (((-3 $ "failed") $) 71 (-3836 (-1732 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) 28)) (-4064 (($ $ $ (-790)) 172 (|has| |#1| (-194)))) (-2537 (((-141) $ $) 87 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ |#3|) 37) (($ $ (-658 |#3|)) 36) (($ $ |#3| (-790)) 35) (($ $ (-658 |#3|) (-658 (-790))) 34)) (-3286 (((-141) $ $) 74 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 73 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 75 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 72 (|has| |#1| (-869)))) (-3313 (($ $ |#1|) 155 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 157 (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) 156 (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 146) (($ $ |#1|) 145))) 
-(((-977 |#1| |#2| |#3|) (-1311) (-1075) (-815) (-869)) (T -977)) 
-((-3262 (*1 *1 *1) (-12 (-4 *1 (-977 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) (-4525 (*1 *2 *1 *3) (-12 (-4 *1 (-977 *4 *5 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-790)))) (-4525 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 (-790))))) (-1937 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-977 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *2 (-869)))) (-1937 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *6)) (-5 *3 (-658 (-790))) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)))) (-3108 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5)))) (-4492 (*1 *2 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-1187 *1)) (-4 *1 (-977 *4 *5 *3)))) (-4492 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-1187 *3)))) (-3254 (*1 *2 *1) (|partial| -12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-4206 (*1 *2 *1 *3) (-12 (-4 *1 (-977 *4 *5 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-790)))) (-4206 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 (-790))))) (-1446 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-977 *4 *5 *3)))) (-4526 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-977 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *2 (-869)))) (-4526 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *6)) (-5 *3 (-658 (-790))) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)))) (-4533 (*1 *1 *2 *3) (-12 (-5 *2 (-1187 *4)) (-4 *4 (-1075)) (-4 *1 (-977 *4 *5 *3)) (-4 *5 (-815)) (-4 *3 (-869)))) (-4533 (*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-977 *4 *5 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)))) (-2947 (*1 *2 *1) (|partial| -12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5)))) (-4421 (*1 *2 *1) (|partial| -12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5)))) (-2257 (*1 *2 *1) (|partial| -12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| |var| *5) (|:| -3215 (-790)))))) (-2189 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-790)))) (-2189 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-790)))) (-4085 (*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *5)))) (-4585 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5)))) (-1544 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-194)))) (-1482 (*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-194)))) (-1554 (*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-477)))) (-3262 (*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-477)))) (-3743 (*1 *1 *1) (-12 (-4 *1 (-977 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) (-3164 (*1 *2 *1) (-12 (-4 *3 (-477)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-444 *1)) (-4 *1 (-977 *3 *4 *5))))) 
-(-13 (-922 |t#3|) (-346 |t#1| |t#2|) (-325 $) (-547 |t#3| |t#1|) (-547 |t#3| $) (-1065 |t#3|) (-403 |t#1|) (-10 -8 (-15 -4525 ((-790) $ |t#3|)) (-15 -4525 ((-658 (-790)) $ (-658 |t#3|))) (-15 -1937 ($ $ |t#3| (-790))) (-15 -1937 ($ $ (-658 |t#3|) (-658 (-790)))) (-15 -3108 ((-658 $) $)) (-15 -4492 ((-1187 $) $ |t#3|)) (-15 -4492 ((-1187 |t#1|) $)) (-15 -3254 ((-3 |t#3| "failed") $)) (-15 -4206 ((-790) $ |t#3|)) (-15 -4206 ((-658 (-790)) $ (-658 |t#3|))) (-15 -1446 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |t#3|)) (-15 -4526 ($ $ |t#3| (-790))) (-15 -4526 ($ $ (-658 |t#3|) (-658 (-790)))) (-15 -4533 ($ (-1187 |t#1|) |t#3|)) (-15 -4533 ($ (-1187 $) |t#3|)) (-15 -2947 ((-3 (-658 $) "failed") $)) (-15 -4421 ((-3 (-658 $) "failed") $)) (-15 -2257 ((-3 (-2 (|:| |var| |t#3|) (|:| -3215 (-790))) "failed") $)) (-15 -2189 ((-790) $)) (-15 -2189 ((-790) $ (-658 |t#3|))) (-15 -4085 ((-658 |t#3|) $)) (-15 -4585 ((-658 $) $)) (IF (|has| |t#1| (-869)) (-6 (-869)) |noBranch|) (IF (|has| |t#1| (-633 (-565))) (IF (|has| |t#3| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-633 (-914 (-592)))) (IF (|has| |t#3| (-633 (-914 (-592)))) (-6 (-633 (-914 (-592)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-633 (-914 (-405)))) (IF (|has| |t#3| (-633 (-914 (-405)))) (-6 (-633 (-914 (-405)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-908 (-592))) (IF (|has| |t#3| (-908 (-592))) (-6 (-908 (-592))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-908 (-405))) (IF (|has| |t#3| (-908 (-405))) (-6 (-908 (-405))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-194)) (PROGN (-15 -1544 ($ $ $ |t#3|)) (-15 -1482 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-477)) (PROGN (-6 (-477)) (-15 -1554 ($ $ |t#3|)) (-15 -3262 ($ $)) (-15 -3262 ($ $ |t#3|)) (-15 -3164 ((-444 $) $)) (-15 -3743 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4623)) (-6 -4623) |noBranch|) (IF (|has| |t#1| (-931)) (-6 (-931)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-633 (-565)) -12 (|has| |#1| (-633 (-565))) (|has| |#3| (-633 (-565)))) ((-633 (-914 (-405))) -12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#3| (-633 (-914 (-405))))) ((-633 (-914 (-592))) -12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#3| (-633 (-914 (-592))))) ((-307) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-325 $) . T) ((-346 |#1| |#2|) . T) ((-403 |#1|) . T) ((-437 |#1|) . T) ((-477) -3836 (|has| |#1| (-931)) (|has| |#1| (-477))) ((-547 |#3| |#1|) . T) ((-547 |#3| $) . T) ((-547 $ $) . T) ((-582) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) -3836 (|has| |#1| (-931)) (|has| |#1| (-477))) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-743) . T) ((-869) |has| |#1| (-869)) ((-922 |#3|) . T) ((-908 (-405)) -12 (|has| |#1| (-908 (-405))) (|has| |#3| (-908 (-405)))) ((-908 (-592)) -12 (|has| |#1| (-908 (-592))) (|has| |#3| (-908 (-592)))) ((-931) |has| |#1| (-931)) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1065 |#3|) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) |has| |#1| (-931))) 
-((-4085 (((-658 |#2|) |#5|) 36)) (-4492 (((-1187 |#5|) |#5| |#2| (-1187 |#5|)) 23) (((-433 (-1187 |#5|)) |#5| |#2|) 16)) (-4533 ((|#5| (-433 (-1187 |#5|)) |#2|) 30)) (-3254 (((-3 |#2| "failed") |#5|) 61)) (-4421 (((-3 (-658 |#5|) "failed") |#5|) 55)) (-2427 (((-3 (-2 (|:| |val| |#5|) (|:| -3215 (-592))) "failed") |#5|) 45)) (-2947 (((-3 (-658 |#5|) "failed") |#5|) 57)) (-2257 (((-3 (-2 (|:| |var| |#2|) (|:| -3215 (-592))) "failed") |#5|) 48))) 
-(((-978 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4085 ((-658 |#2|) |#5|)) (-15 -3254 ((-3 |#2| "failed") |#5|)) (-15 -4492 ((-433 (-1187 |#5|)) |#5| |#2|)) (-15 -4533 (|#5| (-433 (-1187 |#5|)) |#2|)) (-15 -4492 ((-1187 |#5|) |#5| |#2| (-1187 |#5|))) (-15 -2947 ((-3 (-658 |#5|) "failed") |#5|)) (-15 -4421 ((-3 (-658 |#5|) "failed") |#5|)) (-15 -2257 ((-3 (-2 (|:| |var| |#2|) (|:| -3215 (-592))) "failed") |#5|)) (-15 -2427 ((-3 (-2 (|:| |val| |#5|) (|:| -3215 (-592))) "failed") |#5|))) (-815) (-869) (-1075) (-977 |#3| |#1| |#2|) (-13 (-388) (-10 -8 (-15 -1683 ($ |#4|)) (-15 -1448 (|#4| $)) (-15 -1456 (|#4| $))))) (T -978)) 
-((-2427 (*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3215 (-592)))) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) (-2257 (*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3215 (-592)))) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) (-4421 (*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-658 *3)) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) (-2947 (*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-658 *3)) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) (-4492 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))) (-4 *7 (-977 *6 *5 *4)) (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-1075)) (-5 *1 (-978 *5 *4 *6 *7 *3)))) (-4533 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-1187 *2))) (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-1075)) (-4 *2 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))) (-5 *1 (-978 *5 *4 *6 *7 *2)) (-4 *7 (-977 *6 *5 *4)))) (-4492 (*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *5 *4)) (-5 *2 (-433 (-1187 *3))) (-5 *1 (-978 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) (-3254 (*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-1075)) (-4 *6 (-977 *5 *4 *2)) (-4 *2 (-869)) (-5 *1 (-978 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *6)) (-15 -1448 (*6 $)) (-15 -1456 (*6 $))))))) (-4085 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-658 *5)) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(-10 -7 (-15 -4085 ((-658 |#2|) |#5|)) (-15 -3254 ((-3 |#2| "failed") |#5|)) (-15 -4492 ((-433 (-1187 |#5|)) |#5| |#2|)) (-15 -4533 (|#5| (-433 (-1187 |#5|)) |#2|)) (-15 -4492 ((-1187 |#5|) |#5| |#2| (-1187 |#5|))) (-15 -2947 ((-3 (-658 |#5|) "failed") |#5|)) (-15 -4421 ((-3 (-658 |#5|) "failed") |#5|)) (-15 -2257 ((-3 (-2 (|:| |var| |#2|) (|:| -3215 (-592))) "failed") |#5|)) (-15 -2427 ((-3 (-2 (|:| |val| |#5|) (|:| -3215 (-592))) "failed") |#5|))) 
-((-2731 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
-(((-979 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2731 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-815) (-869) (-1075) (-977 |#3| |#1| |#2|) (-13 (-1119) (-10 -8 (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-790)))))) (T -979)) 
-((-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-869)) (-4 *8 (-1075)) (-4 *6 (-815)) (-4 *2 (-13 (-1119) (-10 -8 (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-790)))))) (-5 *1 (-979 *6 *7 *8 *5 *2)) (-4 *5 (-977 *8 *6 *7))))) 
-(-10 -7 (-15 -2731 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1191)) $) 15)) (-4492 (((-1187 $) $ (-1191)) 21) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1191))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 8) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-1191) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-1191) $) NIL)) (-1544 (($ $ $ (-1191)) NIL (|has| |#1| (-194)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ (-1191)) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-558 (-1191)) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1191) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1191) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#1|) (-1191)) NIL) (($ (-1187 $) (-1191)) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-558 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1191)) NIL)) (-4206 (((-558 (-1191)) $) NIL) (((-790) $ (-1191)) NIL) (((-658 (-790)) $ (-658 (-1191))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-558 (-1191)) (-558 (-1191))) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3254 (((-3 (-1191) "failed") $) 19)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1191)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $ (-1191)) 29 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1191) |#1|) NIL) (($ $ (-658 (-1191)) (-658 |#1|)) NIL) (($ $ (-1191) $) NIL) (($ $ (-658 (-1191)) (-658 $)) NIL)) (-1482 (($ $ (-1191)) NIL (|has| |#1| (-194)))) (-3644 (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-4525 (((-558 (-1191)) $) NIL) (((-790) $ (-1191)) NIL) (((-658 (-790)) $ (-658 (-1191))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1191) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1191) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1191) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ (-1191)) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) 25) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-1191)) 27) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-558 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-980 |#1|) (-13 (-977 |#1| (-558 (-1191)) (-1191)) (-10 -8 (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1191))) |noBranch|))) (-1075)) (T -980)) 
-((-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-980 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075))))) 
-(-13 (-977 |#1| (-558 (-1191)) (-1191)) (-10 -8 (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1191))) |noBranch|))) 
-((-3359 (((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) |#3| (-790)) 37)) (-2593 (((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) (-433 (-592)) (-790)) 33)) (-3904 (((-2 (|:| -3215 (-790)) (|:| -1487 |#4|) (|:| |radicand| (-658 |#4|))) |#4| (-790)) 52)) (-4058 (((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) |#5| (-790)) 62 (|has| |#3| (-477))))) 
-(((-981 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3359 ((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) |#3| (-790))) (-15 -2593 ((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) (-433 (-592)) (-790))) (IF (|has| |#3| (-477)) (-15 -4058 ((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) |#5| (-790))) |noBranch|) (-15 -3904 ((-2 (|:| -3215 (-790)) (|:| -1487 |#4|) (|:| |radicand| (-658 |#4|))) |#4| (-790)))) (-815) (-869) (-582) (-977 |#3| |#1| |#2|) (-13 (-388) (-10 -8 (-15 -1448 (|#4| $)) (-15 -1456 (|#4| $)) (-15 -1683 ($ |#4|))))) (T -981)) 
-((-3904 (*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-582)) (-4 *3 (-977 *7 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *3) (|:| |radicand| (-658 *3)))) (-5 *1 (-981 *5 *6 *7 *3 *8)) (-5 *4 (-790)) (-4 *8 (-13 (-388) (-10 -8 (-15 -1448 (*3 $)) (-15 -1456 (*3 $)) (-15 -1683 ($ *3))))))) (-4058 (*1 *2 *3 *4) (-12 (-4 *7 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-582)) (-4 *8 (-977 *7 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *3) (|:| |radicand| *3))) (-5 *1 (-981 *5 *6 *7 *8 *3)) (-5 *4 (-790)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1448 (*8 $)) (-15 -1456 (*8 $)) (-15 -1683 ($ *8))))))) (-2593 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-592))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-582)) (-4 *8 (-977 *7 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *9) (|:| |radicand| *9))) (-5 *1 (-981 *5 *6 *7 *8 *9)) (-5 *4 (-790)) (-4 *9 (-13 (-388) (-10 -8 (-15 -1448 (*8 $)) (-15 -1456 (*8 $)) (-15 -1683 ($ *8))))))) (-3359 (*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-582)) (-4 *7 (-977 *3 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *8) (|:| |radicand| *8))) (-5 *1 (-981 *5 *6 *3 *7 *8)) (-5 *4 (-790)) (-4 *8 (-13 (-388) (-10 -8 (-15 -1448 (*7 $)) (-15 -1456 (*7 $)) (-15 -1683 ($ *7)))))))) 
-(-10 -7 (-15 -3359 ((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) |#3| (-790))) (-15 -2593 ((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) (-433 (-592)) (-790))) (IF (|has| |#3| (-477)) (-15 -4058 ((-2 (|:| -3215 (-790)) (|:| -1487 |#5|) (|:| |radicand| |#5|)) |#5| (-790))) |noBranch|) (-15 -3904 ((-2 (|:| -3215 (-790)) (|:| -1487 |#4|) (|:| |radicand| (-658 |#4|))) |#4| (-790)))) 
-((-1973 (((-1285) (-1229) (-592) (-1229) (-592) (-592) (-592) (-592)) 33)) (-2415 (((-1285) (-1229) (-1229) (-592) (-592) (-592) (-592)) 27)) (-1321 (((-1229) (-1229) (-1229) (-592) (-592)) 45)) (-2726 (((-1285) (-1229) (-1229) (-1229) (-592) (-592)) 44)) (-2285 (((-1229) (-1187 (-592)) (-592)) 26)) (-1544 (((-592) (-1229) (-1229) (-592)) 54)) (-2373 (((-1285) (-1229) (-1229) (-592)) 36)) (-1777 (((-1229) (-1229) (-944) (-790) (-592)) 48)) (-2777 (((-1285) (-1229) (-592) (-592) (-592)) 31)) (-1358 (((-1285) (-1229) (-592) (-592) (-592)) 28) (((-1285) (-1229) (-592) (-592)) 30)) (-1524 (((-1229) (-1229) (-1229) (-592)) 41)) (-2750 (((-1229) (-986 (-1229)) (-592) (-592) (-592)) 42)) (-3548 (((-1229) (-986 (-1229)) (-592) (-592) (-592)) 40) (((-1229) (-1229) (-1229) (-592)) 38)) (-4150 (((-658 (-1229)) (-1229) (-1229) (-592)) 53)) (-3376 (((-592) (-1229) (-592) (-592) (-592)) 15)) (-2545 (((-1285) (-1229) (-1229) (-1229) (-592)) 35)) (-3644 (((-1229) (-1229) (-790) (-592)) 51) (((-1229) (-1229) (-592)) 50)) (-4525 (((-592) (-1229)) 32)) (-1907 (((-1285) (-1229) (-1229) (-592) (-592)) 12)) (-4099 (((-1285) (-1229) (-1229) (-592)) 11))) 
-(((-982) (-10 -7 (-15 -4099 ((-1285) (-1229) (-1229) (-592))) (-15 -1907 ((-1285) (-1229) (-1229) (-592) (-592))) (-15 -3376 ((-592) (-1229) (-592) (-592) (-592))) (-15 -2415 ((-1285) (-1229) (-1229) (-592) (-592) (-592) (-592))) (-15 -1358 ((-1285) (-1229) (-592) (-592))) (-15 -1358 ((-1285) (-1229) (-592) (-592) (-592))) (-15 -2777 ((-1285) (-1229) (-592) (-592) (-592))) (-15 -1524 ((-1229) (-1229) (-1229) (-592))) (-15 -1321 ((-1229) (-1229) (-1229) (-592) (-592))) (-15 -2726 ((-1285) (-1229) (-1229) (-1229) (-592) (-592))) (-15 -1777 ((-1229) (-1229) (-944) (-790) (-592))) (-15 -3644 ((-1229) (-1229) (-592))) (-15 -3644 ((-1229) (-1229) (-790) (-592))) (-15 -2545 ((-1285) (-1229) (-1229) (-1229) (-592))) (-15 -2373 ((-1285) (-1229) (-1229) (-592))) (-15 -1973 ((-1285) (-1229) (-592) (-1229) (-592) (-592) (-592) (-592))) (-15 -2285 ((-1229) (-1187 (-592)) (-592))) (-15 -3548 ((-1229) (-1229) (-1229) (-592))) (-15 -3548 ((-1229) (-986 (-1229)) (-592) (-592) (-592))) (-15 -2750 ((-1229) (-986 (-1229)) (-592) (-592) (-592))) (-15 -4525 ((-592) (-1229))) (-15 -4150 ((-658 (-1229)) (-1229) (-1229) (-592))) (-15 -1544 ((-592) (-1229) (-1229) (-592))))) (T -982)) 
-((-1544 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-1229)) (-5 *1 (-982)))) (-4150 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-658 (-1229))) (-5 *1 (-982)) (-5 *3 (-1229)))) (-4525 (*1 *2 *3) (-12 (-5 *3 (-1229)) (-5 *2 (-592)) (-5 *1 (-982)))) (-2750 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-986 (-1229))) (-5 *4 (-592)) (-5 *2 (-1229)) (-5 *1 (-982)))) (-3548 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-986 (-1229))) (-5 *4 (-592)) (-5 *2 (-1229)) (-5 *1 (-982)))) (-3548 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982)))) (-2285 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 (-592))) (-5 *4 (-592)) (-5 *2 (-1229)) (-5 *1 (-982)))) (-1973 (*1 *2 *3 *4 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-2373 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-2545 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-3644 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1229)) (-5 *3 (-790)) (-5 *4 (-592)) (-5 *1 (-982)))) (-3644 (*1 *2 *2 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982)))) (-1777 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-1229)) (-5 *3 (-944)) (-5 *4 (-790)) (-5 *5 (-592)) (-5 *1 (-982)))) (-2726 (*1 *2 *3 *3 *3 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-1321 (*1 *2 *2 *2 *3 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982)))) (-1524 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982)))) (-2777 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-1358 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-1358 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-2415 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-3376 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *3 (-1229)) (-5 *1 (-982)))) (-1907 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) (-4099 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(-10 -7 (-15 -4099 ((-1285) (-1229) (-1229) (-592))) (-15 -1907 ((-1285) (-1229) (-1229) (-592) (-592))) (-15 -3376 ((-592) (-1229) (-592) (-592) (-592))) (-15 -2415 ((-1285) (-1229) (-1229) (-592) (-592) (-592) (-592))) (-15 -1358 ((-1285) (-1229) (-592) (-592))) (-15 -1358 ((-1285) (-1229) (-592) (-592) (-592))) (-15 -2777 ((-1285) (-1229) (-592) (-592) (-592))) (-15 -1524 ((-1229) (-1229) (-1229) (-592))) (-15 -1321 ((-1229) (-1229) (-1229) (-592) (-592))) (-15 -2726 ((-1285) (-1229) (-1229) (-1229) (-592) (-592))) (-15 -1777 ((-1229) (-1229) (-944) (-790) (-592))) (-15 -3644 ((-1229) (-1229) (-592))) (-15 -3644 ((-1229) (-1229) (-790) (-592))) (-15 -2545 ((-1285) (-1229) (-1229) (-1229) (-592))) (-15 -2373 ((-1285) (-1229) (-1229) (-592))) (-15 -1973 ((-1285) (-1229) (-592) (-1229) (-592) (-592) (-592) (-592))) (-15 -2285 ((-1229) (-1187 (-592)) (-592))) (-15 -3548 ((-1229) (-1229) (-1229) (-592))) (-15 -3548 ((-1229) (-986 (-1229)) (-592) (-592) (-592))) (-15 -2750 ((-1229) (-986 (-1229)) (-592) (-592) (-592))) (-15 -4525 ((-592) (-1229))) (-15 -4150 ((-658 (-1229)) (-1229) (-1229) (-592))) (-15 -1544 ((-592) (-1229) (-1229) (-592)))) 
-((-1413 (((-1113 (-237)) $) 7)) (-4254 (((-1113 (-237)) $) 8)) (-1613 (((-658 (-658 (-971 (-237)))) $) 9)) (-1683 (((-877) $) 6))) 
-(((-983) (-1311)) (T -983)) 
-((-1613 (*1 *2 *1) (-12 (-4 *1 (-983)) (-5 *2 (-658 (-658 (-971 (-237))))))) (-4254 (*1 *2 *1) (-12 (-4 *1 (-983)) (-5 *2 (-1113 (-237))))) (-1413 (*1 *2 *1) (-12 (-4 *1 (-983)) (-5 *2 (-1113 (-237)))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -1613 ((-658 (-658 (-971 (-237)))) $)) (-15 -4254 ((-1113 (-237)) $)) (-15 -1413 ((-1113 (-237)) $)))) 
-(((-632 (-877)) . T)) 
-((-3028 (((-3 (-706 |#1|) "failed") |#2| (-944)) 14))) 
-(((-984 |#1| |#2|) (-10 -7 (-15 -3028 ((-3 (-706 |#1|) "failed") |#2| (-944)))) (-582) (-670 |#1|)) (T -984)) 
-((-3028 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-944)) (-4 *5 (-582)) (-5 *2 (-706 *5)) (-5 *1 (-984 *5 *3)) (-4 *3 (-670 *5))))) 
-(-10 -7 (-15 -3028 ((-3 (-706 |#1|) "failed") |#2| (-944)))) 
-((-1779 (((-986 |#2|) (-1 |#2| |#1| |#2|) (-986 |#1|) |#2|) 16)) (-3657 ((|#2| (-1 |#2| |#1| |#2|) (-986 |#1|) |#2|) 18)) (-2731 (((-986 |#2|) (-1 |#2| |#1|) (-986 |#1|)) 13))) 
-(((-985 |#1| |#2|) (-10 -7 (-15 -1779 ((-986 |#2|) (-1 |#2| |#1| |#2|) (-986 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-986 |#1|) |#2|)) (-15 -2731 ((-986 |#2|) (-1 |#2| |#1|) (-986 |#1|)))) (-1225) (-1225)) (T -985)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-986 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-986 *6)) (-5 *1 (-985 *5 *6)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-986 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-985 *5 *2)))) (-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-986 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-986 *5)) (-5 *1 (-985 *6 *5))))) 
-(-10 -7 (-15 -1779 ((-986 |#2|) (-1 |#2| |#1| |#2|) (-986 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-986 |#1|) |#2|)) (-15 -2731 ((-986 |#2|) (-1 |#2| |#1|) (-986 |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) |#1|) 17 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 16 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 14)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) |#1|) 13)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 10 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) 12 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 11)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) 15) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) NIL)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-1699 (((-790) $) 8 (|has| $ (-6 -4625))))) 
-(((-986 |#1|) (-19 |#1|) (-1225)) (T -986)) 
-NIL 
-(-19 |#1|) 
-((-1868 (($ $ (-1111 $)) 7) (($ $ (-1191)) 6))) 
-(((-987) (-1311)) (T -987)) 
-((-1868 (*1 *1 *1 *2) (-12 (-5 *2 (-1111 *1)) (-4 *1 (-987)))) (-1868 (*1 *1 *1 *2) (-12 (-4 *1 (-987)) (-5 *2 (-1191))))) 
-(-13 (-10 -8 (-15 -1868 ($ $ (-1191))) (-15 -1868 ($ $ (-1111 $))))) 
-((-2667 (((-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 |#1|))) (|:| |prim| (-1187 |#1|))) (-658 (-980 |#1|)) (-658 (-1191)) (-1191)) 23) (((-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 |#1|))) (|:| |prim| (-1187 |#1|))) (-658 (-980 |#1|)) (-658 (-1191))) 24) (((-2 (|:| |coef1| (-592)) (|:| |coef2| (-592)) (|:| |prim| (-1187 |#1|))) (-980 |#1|) (-1191) (-980 |#1|) (-1191)) 41))) 
-(((-988 |#1|) (-10 -7 (-15 -2667 ((-2 (|:| |coef1| (-592)) (|:| |coef2| (-592)) (|:| |prim| (-1187 |#1|))) (-980 |#1|) (-1191) (-980 |#1|) (-1191))) (-15 -2667 ((-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 |#1|))) (|:| |prim| (-1187 |#1|))) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -2667 ((-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 |#1|))) (|:| |prim| (-1187 |#1|))) (-658 (-980 |#1|)) (-658 (-1191)) (-1191)))) (-13 (-388) (-171))) (T -988)) 
-((-2667 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-980 *6))) (-5 *4 (-658 (-1191))) (-5 *5 (-1191)) (-4 *6 (-13 (-388) (-171))) (-5 *2 (-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 *6))) (|:| |prim| (-1187 *6)))) (-5 *1 (-988 *6)))) (-2667 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-388) (-171))) (-5 *2 (-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 *5))) (|:| |prim| (-1187 *5)))) (-5 *1 (-988 *5)))) (-2667 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-980 *5)) (-5 *4 (-1191)) (-4 *5 (-13 (-388) (-171))) (-5 *2 (-2 (|:| |coef1| (-592)) (|:| |coef2| (-592)) (|:| |prim| (-1187 *5)))) (-5 *1 (-988 *5))))) 
-(-10 -7 (-15 -2667 ((-2 (|:| |coef1| (-592)) (|:| |coef2| (-592)) (|:| |prim| (-1187 |#1|))) (-980 |#1|) (-1191) (-980 |#1|) (-1191))) (-15 -2667 ((-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 |#1|))) (|:| |prim| (-1187 |#1|))) (-658 (-980 |#1|)) (-658 (-1191)))) (-15 -2667 ((-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 |#1|))) (|:| |prim| (-1187 |#1|))) (-658 (-980 |#1|)) (-658 (-1191)) (-1191)))) 
-((-2918 (((-658 |#1|) |#1| |#1|) 42)) (-2802 (((-141) |#1|) 39)) (-2036 ((|#1| |#1|) 64)) (-2149 ((|#1| |#1|) 63))) 
-(((-989 |#1|) (-10 -7 (-15 -2802 ((-141) |#1|)) (-15 -2149 (|#1| |#1|)) (-15 -2036 (|#1| |#1|)) (-15 -2918 ((-658 |#1|) |#1| |#1|))) (-574)) (T -989)) 
-((-2918 (*1 *2 *3 *3) (-12 (-5 *2 (-658 *3)) (-5 *1 (-989 *3)) (-4 *3 (-574)))) (-2036 (*1 *2 *2) (-12 (-5 *1 (-989 *2)) (-4 *2 (-574)))) (-2149 (*1 *2 *2) (-12 (-5 *1 (-989 *2)) (-4 *2 (-574)))) (-2802 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-989 *3)) (-4 *3 (-574))))) 
-(-10 -7 (-15 -2802 ((-141) |#1|)) (-15 -2149 (|#1| |#1|)) (-15 -2036 (|#1| |#1|)) (-15 -2918 ((-658 |#1|) |#1| |#1|))) 
-((-3029 (((-1285) (-877)) 9))) 
-(((-990) (-10 -7 (-15 -3029 ((-1285) (-877))))) (T -990)) 
-((-3029 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-990))))) 
-(-10 -7 (-15 -3029 ((-1285) (-877)))) 
-((-1483 (((-658 |#5|) |#3| (-658 |#3|)) 70)) (-2589 (((-658 |#5|) |#3|) 45)) (-3969 (((-658 |#5|) |#3| (-944)) 58)) (-4213 (((-658 |#5|) (-658 |#3|)) 48))) 
-(((-991 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1483 ((-658 |#5|) |#3| (-658 |#3|))) (-15 -2589 ((-658 |#5|) |#3|)) (-15 -4213 ((-658 |#5|) (-658 |#3|))) (-15 -3969 ((-658 |#5|) |#3| (-944)))) (-388) (-658 (-1191)) (-977 |#1| |#4| (-879 |#2|)) (-252 (-1699 |#2|) (-790)) (-999 |#1|)) (T -991)) 
-((-3969 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-658 *8)) (-5 *1 (-991 *5 *6 *3 *7 *8)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)))) (-4213 (*1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-658 *8)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-999 *4)))) (-2589 (*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-658 *7)) (-5 *1 (-991 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4)))) (-1483 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 *8)) (-5 *1 (-991 *5 *6 *3 *7 *8)) (-4 *8 (-999 *5))))) 
-(-10 -7 (-15 -1483 ((-658 |#5|) |#3| (-658 |#3|))) (-15 -2589 ((-658 |#5|) |#3|)) (-15 -4213 ((-658 |#5|) (-658 |#3|))) (-15 -3969 ((-658 |#5|) |#3| (-944)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 62 (|has| |#1| (-582)))) (-1555 (($ $) 63 (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 28)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-4593 (($ $) 24)) (-3371 (((-3 $ "failed") $) 35)) (-3262 (($ $) NIL (|has| |#1| (-477)))) (-4209 (($ $ |#1| |#2| $) 47)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) 16)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| |#2|) NIL)) (-4206 ((|#2| $) 19)) (-2976 (($ (-1 |#2| |#2|) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4573 (($ $) 23)) (-4579 ((|#1| $) 21)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 40)) (-4565 ((|#1| $) NIL)) (-4550 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-158)) (|has| |#1| (-582))))) (-3616 (((-3 $ "failed") $ $) 73 (|has| |#1| (-582))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-582)))) (-4525 ((|#2| $) 17)) (-1554 ((|#1| $) NIL (|has| |#1| (-477)))) (-1683 (((-877) $) NIL) (($ (-592)) 39) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) 34) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ |#2|) 31)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) 15)) (-4064 (($ $ $ (-790)) 58 (|has| |#1| (-194)))) (-2537 (((-141) $ $) 68 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 54) (($ $ (-790)) 55)) (-3514 (($) 22 T CONST)) (-4257 (($) 12 T CONST)) (-3255 (((-141) $ $) 67)) (-3313 (($ $ |#1|) 74 (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) 53) (($ $ (-790)) 51)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-992 |#1| |#2|) (-13 (-346 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-582)) (IF (|has| |#2| (-158)) (-15 -4550 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4623)) (-6 -4623) |noBranch|))) (-1075) (-814)) (T -992)) 
-((-4550 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-992 *3 *2)) (-4 *2 (-158)) (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *2 (-814))))) 
-(-13 (-346 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-582)) (IF (|has| |#2| (-158)) (-15 -4550 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4623)) (-6 -4623) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))))) (-4079 (($ $ $) 63 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))))) (-2350 (((-3 $ "failed") $ $) 50 (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))))) (-1403 (((-790)) 34 (-12 (|has| |#1| (-394)) (|has| |#2| (-394))))) (-1734 ((|#2| $) 21)) (-2696 ((|#1| $) 20)) (-3001 (($) NIL (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))) CONST)) (-3371 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))))) (-4290 (($) NIL (-12 (|has| |#1| (-394)) (|has| |#2| (-394))))) (-3558 (((-141) $) NIL (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))))) (-1837 (($ $ $) NIL (-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))))) (-3319 (($ $ $) NIL (-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))))) (-4287 (($ |#1| |#2|) 19)) (-3546 (((-944) $) NIL (-12 (|has| |#1| (-394)) (|has| |#2| (-394))))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 37 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))))) (-1825 (($ (-944)) NIL (-12 (|has| |#1| (-394)) (|has| |#2| (-394))))) (-2951 (((-1137) $) NIL)) (-1405 (((-658 $)) NIL (-12 (|has| |#1| (-394)) (|has| |#2| (-394))))) (-2227 (($ $ $) NIL (-12 (|has| |#1| (-502)) (|has| |#2| (-502))))) (-2131 (($ $ $) NIL (-12 (|has| |#1| (-502)) (|has| |#2| (-502))))) (-1683 (((-877) $) 14)) (-1424 (($ $ (-592)) NIL (-12 (|has| |#1| (-502)) (|has| |#2| (-502)))) (($ $ (-790)) NIL (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743))))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))))) (-3514 (($) 40 (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))) CONST)) (-4257 (($) 24 (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))) CONST)) (-3286 (((-141) $ $) NIL (-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))))) (-3273 (((-141) $ $) NIL (-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))))) (-3255 (((-141) $ $) 18)) (-3279 (((-141) $ $) NIL (-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))))) (-3266 (((-141) $ $) 66 (-3836 (-12 (|has| |#1| (-815)) (|has| |#2| (-815))) (-12 (|has| |#1| (-869)) (|has| |#2| (-869)))))) (-3313 (($ $ $) NIL (-12 (|has| |#1| (-502)) (|has| |#2| (-502))))) (-3306 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-3300 (($ $ $) 43 (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815)))))) (** (($ $ (-592)) NIL (-12 (|has| |#1| (-502)) (|has| |#2| (-502)))) (($ $ (-790)) 31 (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743))))) (($ $ (-944)) NIL (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743)))))) (* (($ (-592) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-790) $) 46 (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815))))) (($ (-944) $) NIL (-3836 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-158)) (|has| |#2| (-158))) (-12 (|has| |#1| (-815)) (|has| |#2| (-815))))) (($ $ $) 27 (-3836 (-12 (|has| |#1| (-502)) (|has| |#2| (-502))) (-12 (|has| |#1| (-743)) (|has| |#2| (-743))))))) 
-(((-993 |#1| |#2|) (-13 (-1119) (-10 -8 (IF (|has| |#1| (-394)) (IF (|has| |#2| (-394)) (-6 (-394)) |noBranch|) |noBranch|) (IF (|has| |#1| (-743)) (IF (|has| |#2| (-743)) (-6 (-743)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-158)) (IF (|has| |#2| (-158)) (-6 (-158)) |noBranch|) |noBranch|) (IF (|has| |#1| (-502)) (IF (|has| |#2| (-502)) (-6 (-502)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-815)) (IF (|has| |#2| (-815)) (-6 (-815)) |noBranch|) |noBranch|) (IF (|has| |#1| (-869)) (IF (|has| |#2| (-869)) (-6 (-869)) |noBranch|) |noBranch|) (-15 -4287 ($ |#1| |#2|)) (-15 -2696 (|#1| $)) (-15 -1734 (|#2| $)))) (-1119) (-1119)) (T -993)) 
-((-4287 (*1 *1 *2 *3) (-12 (-5 *1 (-993 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-2696 (*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-993 *2 *3)) (-4 *3 (-1119)))) (-1734 (*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-993 *3 *2)) (-4 *3 (-1119))))) 
-(-13 (-1119) (-10 -8 (IF (|has| |#1| (-394)) (IF (|has| |#2| (-394)) (-6 (-394)) |noBranch|) |noBranch|) (IF (|has| |#1| (-743)) (IF (|has| |#2| (-743)) (-6 (-743)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-158)) (IF (|has| |#2| (-158)) (-6 (-158)) |noBranch|) |noBranch|) (IF (|has| |#1| (-502)) (IF (|has| |#2| (-502)) (-6 (-502)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-815)) (IF (|has| |#2| (-815)) (-6 (-815)) |noBranch|) |noBranch|) (IF (|has| |#1| (-869)) (IF (|has| |#2| (-869)) (-6 (-869)) |noBranch|) |noBranch|) (-15 -4287 ($ |#1| |#2|)) (-15 -2696 (|#1| $)) (-15 -1734 (|#2| $)))) 
-((-1641 (((-141) $ $) NIL)) (-3932 ((|#1| $ (-592) |#1|) NIL)) (-1328 (((-658 $) (-658 $) (-790)) NIL) (((-658 $) (-658 $)) NIL)) (-2435 (((-141) $ (-790)) NIL) (((-141) $) NIL)) (-2117 (($ (-658 |#1|)) NIL)) (-2382 (((-658 |#1|) $) NIL)) (-1363 (((-658 $) $) NIL) (((-658 $) $ (-790)) NIL)) (-1333 (((-658 |#1|) $) NIL)) (-2685 (((-1173) $) NIL)) (-4234 (((-592) $) NIL)) (-4475 (((-592) $) NIL)) (-3315 (($ $ (-592)) NIL) (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 ((|#1| $ (-592)) NIL)) (-4525 (((-944) $) NIL)) (-3472 ((|#1| $) NIL)) (-2227 (($ $ (-790)) NIL) (($ $) NIL)) (-1683 (((-877) $) NIL) (((-658 |#1|) $) NIL) (($ (-658 |#1|)) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-994 |#1|) (-999 |#1|) (-388)) (T -994)) 
-NIL 
-(-999 |#1|) 
-((-1641 (((-141) $ $) NIL)) (-3932 (((-884 |#1|) $ (-592) (-884 |#1|)) NIL)) (-1328 (((-658 $) (-658 $) (-790)) NIL) (((-658 $) (-658 $)) NIL)) (-2435 (((-141) $ (-790)) NIL) (((-141) $) NIL)) (-2117 (($ (-658 (-884 |#1|))) NIL)) (-2382 (((-658 (-884 |#1|)) $) NIL)) (-1363 (((-658 $) $) NIL) (((-658 $) $ (-790)) NIL)) (-1333 (((-658 (-884 |#1|)) $) NIL)) (-2685 (((-1173) $) NIL)) (-4234 (((-592) $) NIL)) (-4475 (((-592) $) NIL)) (-3315 (($ $ (-592)) NIL) (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 (((-884 |#1|) $ (-592)) NIL)) (-4525 (((-944) $) NIL)) (-3472 (((-884 |#1|) $) NIL)) (-2227 (($ $ (-790)) NIL) (($ $) NIL)) (-1683 (((-877) $) NIL) (((-658 (-884 |#1|)) $) NIL) (($ (-658 (-884 |#1|))) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-995 |#1|) (-999 (-884 |#1|)) (-373)) (T -995)) 
-NIL 
-(-999 (-884 |#1|)) 
-((-1641 (((-141) $ $) NIL)) (-3932 ((|#2| $ (-592) |#2|) NIL)) (-1328 (((-658 $) (-658 $) (-790)) 41) (((-658 $) (-658 $)) 42)) (-2435 (((-141) $ (-790)) 38) (((-141) $) 40)) (-2117 (($ (-658 |#2|)) 25)) (-2382 (((-658 |#2|) $) 27)) (-1363 (((-658 $) $) 50) (((-658 $) $ (-790)) 47)) (-1333 (((-658 |#2|) $) 26)) (-2685 (((-1173) $) NIL)) (-4234 (((-592) $) 59)) (-4475 (((-592) $) 62)) (-3315 (($ $ (-592)) 36) (($ $) 52)) (-2951 (((-1137) $) NIL)) (-3927 ((|#2| $ (-592)) 32)) (-4525 (((-944) $) 16)) (-3472 ((|#2| $) 22)) (-2227 (($ $ (-790)) 30) (($ $) 49)) (-1683 (((-877) $) 19) (((-658 |#2|) $) 24) (($ (-658 |#2|)) 58)) (-3255 (((-141) $ $) 37))) 
-(((-996 |#1| |#2|) (-999 |#2|) (-790) (-388)) (T -996)) 
-NIL 
-(-999 |#2|) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-2713 (($ $ $) 40)) (-4491 (($ $ $) 41)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3319 ((|#1| $) 42)) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-997 |#1|) (-1311) (-869)) (T -997)) 
-((-3319 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-869)))) (-4491 (*1 *1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-869)))) (-2713 (*1 *1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-869))))) 
-(-13 (-131 |t#1|) (-10 -8 (-6 -4625) (-15 -3319 (|t#1| $)) (-15 -4491 ($ $ $)) (-15 -2713 ($ $ $)))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-3604 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3548 |#2|)) |#2| |#2|) 84)) (-3250 ((|#2| |#2| |#2|) 82)) (-3532 (((-2 (|:| |coef2| |#2|) (|:| -3548 |#2|)) |#2| |#2|) 86)) (-2815 (((-2 (|:| |coef1| |#2|) (|:| -3548 |#2|)) |#2| |#2|) 88)) (-3378 (((-2 (|:| |coef2| |#2|) (|:| -1801 |#1|)) |#2| |#2|) 106 (|has| |#1| (-477)))) (-4178 (((-2 (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|) 45)) (-4527 (((-2 (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|) 63)) (-3744 (((-2 (|:| |coef1| |#2|) (|:| -1544 |#1|)) |#2| |#2|) 65)) (-2460 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-2580 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790)) 70)) (-2344 (((-2 (|:| |coef2| |#2|) (|:| -1482 |#1|)) |#2|) 96)) (-3189 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790)) 73)) (-4260 (((-658 (-790)) |#2| |#2|) 81)) (-2848 ((|#1| |#2| |#2|) 41)) (-4569 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1801 |#1|)) |#2| |#2|) 104 (|has| |#1| (-477)))) (-1801 ((|#1| |#2| |#2|) 102 (|has| |#1| (-477)))) (-2167 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|) 43)) (-3641 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|) 62)) (-1544 ((|#1| |#2| |#2|) 60)) (-4369 (((-2 (|:| -1487 |#1|) (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2|) 35)) (-3593 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-3156 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-3722 ((|#2| |#2| |#2|) 74)) (-1768 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790)) 68)) (-3981 ((|#2| |#2| |#2| (-790)) 66)) (-3548 ((|#2| |#2| |#2|) 110 (|has| |#1| (-477)))) (-3616 (((-1280 |#2|) (-1280 |#2|) |#1|) 21)) (-4570 (((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2|) 38)) (-4344 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1482 |#1|)) |#2|) 94)) (-1482 ((|#1| |#2|) 91)) (-2635 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790)) 72)) (-2991 ((|#2| |#2| |#2| (-790)) 71)) (-3438 (((-658 |#2|) |#2| |#2|) 79)) (-2095 ((|#2| |#2| |#1| |#1| (-790)) 49)) (-2572 ((|#1| |#1| |#1| (-790)) 48)) (* (((-1280 |#2|) |#1| (-1280 |#2|)) 16))) 
-(((-998 |#1| |#2|) (-10 -7 (-15 -1544 (|#1| |#2| |#2|)) (-15 -3641 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -4527 ((-2 (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -3744 ((-2 (|:| |coef1| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -3981 (|#2| |#2| |#2| (-790))) (-15 -1768 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -2580 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -2991 (|#2| |#2| |#2| (-790))) (-15 -2635 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -3189 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -3722 (|#2| |#2| |#2|)) (-15 -3156 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2460 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3250 (|#2| |#2| |#2|)) (-15 -3604 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3548 |#2|)) |#2| |#2|)) (-15 -3532 ((-2 (|:| |coef2| |#2|) (|:| -3548 |#2|)) |#2| |#2|)) (-15 -2815 ((-2 (|:| |coef1| |#2|) (|:| -3548 |#2|)) |#2| |#2|)) (-15 -1482 (|#1| |#2|)) (-15 -4344 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1482 |#1|)) |#2|)) (-15 -2344 ((-2 (|:| |coef2| |#2|) (|:| -1482 |#1|)) |#2|)) (-15 -3438 ((-658 |#2|) |#2| |#2|)) (-15 -4260 ((-658 (-790)) |#2| |#2|)) (IF (|has| |#1| (-477)) (PROGN (-15 -1801 (|#1| |#2| |#2|)) (-15 -4569 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1801 |#1|)) |#2| |#2|)) (-15 -3378 ((-2 (|:| |coef2| |#2|) (|:| -1801 |#1|)) |#2| |#2|)) (-15 -3548 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1280 |#2|) |#1| (-1280 |#2|))) (-15 -3616 ((-1280 |#2|) (-1280 |#2|) |#1|)) (-15 -4369 ((-2 (|:| -1487 |#1|) (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2|)) (-15 -4570 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2|)) (-15 -2572 (|#1| |#1| |#1| (-790))) (-15 -2095 (|#2| |#2| |#1| |#1| (-790))) (-15 -3593 (|#2| |#2| |#2| |#2| |#1|)) (-15 -2848 (|#1| |#2| |#2|)) (-15 -2167 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -4178 ((-2 (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|))) (-582) (-1255 |#1|)) (T -998)) 
-((-4178 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-2167 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-2848 (*1 *2 *3 *3) (-12 (-4 *2 (-582)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2)))) (-3593 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) (-2095 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) (-2572 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *2 (-582)) (-5 *1 (-998 *2 *4)) (-4 *4 (-1255 *2)))) (-4570 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-4369 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| -1487 *4) (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3616 (*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-582)) (-5 *1 (-998 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-582)) (-5 *1 (-998 *3 *4)))) (-3548 (*1 *2 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) (-3378 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1801 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-4569 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1801 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-1801 (*1 *2 *3 *3) (-12 (-4 *2 (-582)) (-4 *2 (-477)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2)))) (-4260 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-790))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3438 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 *3)) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-2344 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1482 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-4344 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1482 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-1482 (*1 *2 *3) (-12 (-4 *2 (-582)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2)))) (-2815 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3548 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3532 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3548 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3604 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3548 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3250 (*1 *2 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) (-2460 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3156 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3722 (*1 *2 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) (-3189 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5)))) (-2635 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5)))) (-2991 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-582)) (-5 *1 (-998 *4 *2)) (-4 *2 (-1255 *4)))) (-2580 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5)))) (-1768 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5)))) (-3981 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-582)) (-5 *1 (-998 *4 *2)) (-4 *2 (-1255 *4)))) (-3744 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-4527 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-3641 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) (-1544 (*1 *2 *3 *3) (-12 (-4 *2 (-582)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2))))) 
-(-10 -7 (-15 -1544 (|#1| |#2| |#2|)) (-15 -3641 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -4527 ((-2 (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -3744 ((-2 (|:| |coef1| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -3981 (|#2| |#2| |#2| (-790))) (-15 -1768 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -2580 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -2991 (|#2| |#2| |#2| (-790))) (-15 -2635 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -3189 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-790))) (-15 -3722 (|#2| |#2| |#2|)) (-15 -3156 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2460 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3250 (|#2| |#2| |#2|)) (-15 -3604 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3548 |#2|)) |#2| |#2|)) (-15 -3532 ((-2 (|:| |coef2| |#2|) (|:| -3548 |#2|)) |#2| |#2|)) (-15 -2815 ((-2 (|:| |coef1| |#2|) (|:| -3548 |#2|)) |#2| |#2|)) (-15 -1482 (|#1| |#2|)) (-15 -4344 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1482 |#1|)) |#2|)) (-15 -2344 ((-2 (|:| |coef2| |#2|) (|:| -1482 |#1|)) |#2|)) (-15 -3438 ((-658 |#2|) |#2| |#2|)) (-15 -4260 ((-658 (-790)) |#2| |#2|)) (IF (|has| |#1| (-477)) (PROGN (-15 -1801 (|#1| |#2| |#2|)) (-15 -4569 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1801 |#1|)) |#2| |#2|)) (-15 -3378 ((-2 (|:| |coef2| |#2|) (|:| -1801 |#1|)) |#2| |#2|)) (-15 -3548 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1280 |#2|) |#1| (-1280 |#2|))) (-15 -3616 ((-1280 |#2|) (-1280 |#2|) |#1|)) (-15 -4369 ((-2 (|:| -1487 |#1|) (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2|)) (-15 -4570 ((-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) |#2| |#2|)) (-15 -2572 (|#1| |#1| |#1| (-790))) (-15 -2095 (|#2| |#2| |#1| |#1| (-790))) (-15 -3593 (|#2| |#2| |#2| |#2| |#1|)) (-15 -2848 (|#1| |#2| |#2|)) (-15 -2167 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|)) (-15 -4178 ((-2 (|:| |coef2| |#2|) (|:| -1544 |#1|)) |#2| |#2|))) 
-((-1641 (((-141) $ $) 7)) (-3932 ((|#1| $ (-592) |#1|) 14)) (-1328 (((-658 $) (-658 $) (-790)) 22) (((-658 $) (-658 $)) 21)) (-2435 (((-141) $ (-790)) 20) (((-141) $) 19)) (-2117 (($ (-658 |#1|)) 30)) (-2382 (((-658 |#1|) $) 13)) (-1363 (((-658 $) $) 26) (((-658 $) $ (-790)) 25)) (-1333 (((-658 |#1|) $) 16)) (-2685 (((-1173) $) 9)) (-4234 (((-592) $) 17)) (-4475 (((-592) $) 32)) (-3315 (($ $ (-592)) 31) (($ $) 18)) (-2951 (((-1137) $) 10)) (-3927 ((|#1| $ (-592)) 15)) (-4525 (((-944) $) 12)) (-3472 ((|#1| $) 29)) (-2227 (($ $ (-790)) 24) (($ $) 23)) (-1683 (((-877) $) 11) (((-658 |#1|) $) 28) (($ (-658 |#1|)) 27)) (-3255 (((-141) $ $) 6))) 
-(((-999 |#1|) (-1311) (-388)) (T -999)) 
-((-4475 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) (-3315 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-999 *3)) (-4 *3 (-388)))) (-2117 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-999 *3)))) (-3472 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-388)))) (-1683 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-999 *3)))) (-1363 (*1 *2 *1) (-12 (-4 *3 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-999 *3)))) (-1363 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-999 *4)))) (-2227 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-999 *3)) (-4 *3 (-388)))) (-2227 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-388)))) (-1328 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *1)) (-5 *3 (-790)) (-4 *1 (-999 *4)) (-4 *4 (-388)))) (-1328 (*1 *2 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-999 *3)) (-4 *3 (-388)))) (-2435 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-999 *4)) (-4 *4 (-388)) (-5 *2 (-141)))) (-2435 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) (-3315 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-388)))) (-4234 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) (-1333 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-999 *2)) (-4 *2 (-388)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-999 *2)) (-4 *2 (-388)))) (-2382 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3))))) 
-(-13 (-1117) (-10 -8 (-15 -4475 ((-592) $)) (-15 -3315 ($ $ (-592))) (-15 -2117 ($ (-658 |t#1|))) (-15 -3472 (|t#1| $)) (-15 -1683 ((-658 |t#1|) $)) (-15 -1683 ($ (-658 |t#1|))) (-15 -1363 ((-658 $) $)) (-15 -1363 ((-658 $) $ (-790))) (-15 -2227 ($ $ (-790))) (-15 -2227 ($ $)) (-15 -1328 ((-658 $) (-658 $) (-790))) (-15 -1328 ((-658 $) (-658 $))) (-15 -2435 ((-141) $ (-790))) (-15 -2435 ((-141) $)) (-15 -3315 ($ $)) (-15 -4234 ((-592) $)) (-15 -1333 ((-658 |t#1|) $)) (-15 -3927 (|t#1| $ (-592))) (-15 -3932 (|t#1| $ (-592) |t#1|)) (-15 -2382 ((-658 |t#1|) $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T) ((-1117) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) 26)) (-3001 (($) NIL T CONST)) (-3672 (((-658 (-658 (-592))) (-658 (-592))) 28)) (-4443 (((-592) $) 44)) (-1744 (($ (-658 (-592))) 17)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1778 (((-658 (-592)) $) 11)) (-2227 (($ $) 31)) (-1683 (((-877) $) 42) (((-658 (-592)) $) 9)) (-3514 (($) 7 T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 19)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 18)) (-3300 (($ $ $) 20)) (* (($ (-790) $) 24) (($ (-944) $) NIL))) 
-(((-1000) (-13 (-817) (-633 (-658 (-592))) (-10 -8 (-15 -1744 ($ (-658 (-592)))) (-15 -3672 ((-658 (-658 (-592))) (-658 (-592)))) (-15 -4443 ((-592) $)) (-15 -2227 ($ $)) (-15 -1683 ((-658 (-592)) $))))) (T -1000)) 
-((-1744 (*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1000)))) (-3672 (*1 *2 *3) (-12 (-5 *2 (-658 (-658 (-592)))) (-5 *1 (-1000)) (-5 *3 (-658 (-592))))) (-4443 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1000)))) (-2227 (*1 *1 *1) (-5 *1 (-1000))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1000))))) 
-(-13 (-817) (-633 (-658 (-592))) (-10 -8 (-15 -1744 ($ (-658 (-592)))) (-15 -3672 ((-658 (-658 (-592))) (-658 (-592)))) (-15 -4443 ((-592) $)) (-15 -2227 ($ $)) (-15 -1683 ((-658 (-592)) $)))) 
-((-3313 (($ $ |#2|) 30)) (-3306 (($ $) 22) (($ $ $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-433 (-592)) $) 26) (($ $ (-433 (-592))) 28))) 
-(((-1001 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -3313 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) (-1002 |#2| |#3| |#4|) (-1075) (-814) (-869)) (T -1001)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-433 (-592)))) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 -3313 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 * (|#1| (-944) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 |#3|) $) 70)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-2273 (((-141) $) 69)) (-3558 (((-141) $) 30)) (-2027 (((-141) $) 61)) (-4526 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-658 |#3|) (-658 |#2|)) 71)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-4525 ((|#2| $) 63)) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582))) (($ |#1|) 46 (|has| |#1| (-194)))) (-1937 ((|#1| $ |#2|) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1002 |#1| |#2| |#3|) (-1311) (-1075) (-814) (-869)) (T -1002)) 
-((-4579 (*1 *2 *1) (-12 (-4 *1 (-1002 *2 *3 *4)) (-4 *3 (-814)) (-4 *4 (-869)) (-4 *2 (-1075)))) (-4573 (*1 *1 *1) (-12 (-4 *1 (-1002 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *4 (-869)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-1002 *3 *2 *4)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *2 (-814)))) (-4526 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-1002 *4 *3 *2)) (-4 *4 (-1075)) (-4 *3 (-814)) (-4 *2 (-869)))) (-4526 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *6)) (-5 *3 (-658 *5)) (-4 *1 (-1002 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-814)) (-4 *6 (-869)))) (-4085 (*1 *2 *1) (-12 (-4 *1 (-1002 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-814)) (-4 *5 (-869)) (-5 *2 (-658 *5)))) (-2273 (*1 *2 *1) (-12 (-4 *1 (-1002 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-814)) (-4 *5 (-869)) (-5 *2 (-141)))) (-1700 (*1 *1 *1) (-12 (-4 *1 (-1002 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *4 (-869))))) 
-(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -4526 ($ $ |t#3| |t#2|)) (-15 -4526 ($ $ (-658 |t#3|) (-658 |t#2|))) (-15 -4573 ($ $)) (-15 -4579 (|t#1| $)) (-15 -4525 (|t#2| $)) (-15 -4085 ((-658 |t#3|) $)) (-15 -2273 ((-141) $)) (-15 -1700 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-307) |has| |#1| (-582)) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-3331 (((-1113 (-237)) $) 7)) (-1413 (((-1113 (-237)) $) 8)) (-4254 (((-1113 (-237)) $) 9)) (-1613 (((-658 (-658 (-971 (-237)))) $) 10)) (-1683 (((-877) $) 6))) 
-(((-1003) (-1311)) (T -1003)) 
-((-1613 (*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-658 (-658 (-971 (-237))))))) (-4254 (*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-1113 (-237))))) (-1413 (*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-1113 (-237))))) (-3331 (*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-1113 (-237)))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -1613 ((-658 (-658 (-971 (-237)))) $)) (-15 -4254 ((-1113 (-237)) $)) (-15 -1413 ((-1113 (-237)) $)) (-15 -3331 ((-1113 (-237)) $)))) 
-(((-632 (-877)) . T)) 
-((-4085 (((-658 |#4|) $) 23)) (-4325 (((-141) $) 47)) (-2988 (((-141) $) 46)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#4|) 35)) (-3239 (((-141) $) 48)) (-3478 (((-141) $ $) 54)) (-2398 (((-141) $ $) 57)) (-1529 (((-141) $) 52)) (-4521 (((-658 |#5|) (-658 |#5|) $) 89)) (-3718 (((-658 |#5|) (-658 |#5|) $) 86)) (-3027 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-2290 (((-658 |#4|) $) 27)) (-2645 (((-141) |#4| $) 29)) (-3480 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-2613 (($ $ |#4|) 32)) (-4152 (($ $ |#4|) 31)) (-2507 (($ $ |#4|) 33)) (-3255 (((-141) $ $) 39))) 
-(((-1004 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2988 ((-141) |#1|)) (-15 -4521 ((-658 |#5|) (-658 |#5|) |#1|)) (-15 -3718 ((-658 |#5|) (-658 |#5|) |#1|)) (-15 -3027 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3480 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3239 ((-141) |#1|)) (-15 -2398 ((-141) |#1| |#1|)) (-15 -3478 ((-141) |#1| |#1|)) (-15 -1529 ((-141) |#1|)) (-15 -4325 ((-141) |#1|)) (-15 -3960 ((-2 (|:| |under| |#1|) (|:| -2039 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -2613 (|#1| |#1| |#4|)) (-15 -2507 (|#1| |#1| |#4|)) (-15 -4152 (|#1| |#1| |#4|)) (-15 -2645 ((-141) |#4| |#1|)) (-15 -2290 ((-658 |#4|) |#1|)) (-15 -4085 ((-658 |#4|) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-1005 |#2| |#3| |#4| |#5|) (-1075) (-815) (-869) (-1089 |#2| |#3| |#4|)) (T -1004)) 
-NIL 
-(-10 -8 (-15 -2988 ((-141) |#1|)) (-15 -4521 ((-658 |#5|) (-658 |#5|) |#1|)) (-15 -3718 ((-658 |#5|) (-658 |#5|) |#1|)) (-15 -3027 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3480 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3239 ((-141) |#1|)) (-15 -2398 ((-141) |#1| |#1|)) (-15 -3478 ((-141) |#1| |#1|)) (-15 -1529 ((-141) |#1|)) (-15 -4325 ((-141) |#1|)) (-15 -3960 ((-2 (|:| |under| |#1|) (|:| -2039 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -2613 (|#1| |#1| |#4|)) (-15 -2507 (|#1| |#1| |#4|)) (-15 -4152 (|#1| |#1| |#4|)) (-15 -2645 ((-141) |#4| |#1|)) (-15 -2290 ((-658 |#4|) |#1|)) (-15 -4085 ((-658 |#4|) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-4085 (((-658 |#3|) $) 32)) (-4325 (((-141) $) 25)) (-2988 (((-141) $) 16 (|has| |#1| (-582)))) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) 26)) (-2126 (((-141) $ (-790)) 43)) (-3113 (($ (-1 (-141) |#4|) $) 64 (|has| $ (-6 -4625)))) (-3001 (($) 44 T CONST)) (-3239 (((-141) $) 21 (|has| |#1| (-582)))) (-3478 (((-141) $ $) 23 (|has| |#1| (-582)))) (-2398 (((-141) $ $) 22 (|has| |#1| (-582)))) (-1529 (((-141) $) 24 (|has| |#1| (-582)))) (-4521 (((-658 |#4|) (-658 |#4|) $) 17 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) 18 (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 35)) (-2400 (($ (-658 |#4|)) 34)) (-1360 (($ $) 67 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#4| $) 66 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#4|) $) 63 (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-582)))) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4625)))) (-4004 (((-658 |#4|) $) 51 (|has| $ (-6 -4625)))) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) 42)) (-4467 (((-658 |#4|) $) 52 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 54 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 46)) (-2290 (((-658 |#3|) $) 31)) (-2645 (((-141) |#3| $) 30)) (-2554 (((-141) $ (-790)) 41)) (-2685 (((-1173) $) 9)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-582)))) (-2951 (((-1137) $) 10)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) 60)) (-3002 (((-141) (-1 (-141) |#4|) $) 49 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) 58 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) 56 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) 55 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) 37)) (-2943 (((-141) $) 40)) (-2890 (($) 39)) (-3452 (((-790) |#4| $) 53 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#4|) $) 50 (|has| $ (-6 -4625)))) (-4599 (($ $) 38)) (-1778 (((-565) $) 68 (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 59)) (-2613 (($ $ |#3|) 27)) (-4152 (($ $ |#3|) 29)) (-2507 (($ $ |#3|) 28)) (-1683 (((-877) $) 11) (((-658 |#4|) $) 36)) (-3369 (((-141) (-1 (-141) |#4|) $) 48 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 6)) (-1699 (((-790) $) 45 (|has| $ (-6 -4625))))) 
-(((-1005 |#1| |#2| |#3| |#4|) (-1311) (-1075) (-815) (-869) (-1089 |t#1| |t#2| |t#3|)) (T -1005)) 
-((-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *1 (-1005 *3 *4 *5 *6)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *1 (-1005 *3 *4 *5 *6)))) (-3259 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-1089 *3 *4 *2)) (-4 *2 (-869)))) (-4085 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *5)))) (-2290 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *5)))) (-2645 (*1 *2 *3 *1) (-12 (-4 *1 (-1005 *4 *5 *3 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *6 (-1089 *4 *5 *3)) (-5 *2 (-141)))) (-4152 (*1 *1 *1 *2) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *5 (-1089 *3 *4 *2)))) (-2507 (*1 *1 *1 *2) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *5 (-1089 *3 *4 *2)))) (-2613 (*1 *1 *1 *2) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *5 (-1089 *3 *4 *2)))) (-3960 (*1 *2 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *6 (-1089 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2039 *1) (|:| |upper| *1))) (-4 *1 (-1005 *4 *5 *3 *6)))) (-4325 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-1529 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141)))) (-3478 (*1 *2 *1 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141)))) (-2398 (*1 *2 *1 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141)))) (-3239 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141)))) (-3480 (*1 *2 *3 *1) (-12 (-4 *1 (-1005 *4 *5 *6 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-3027 (*1 *2 *3 *1) (-12 (-4 *1 (-1005 *4 *5 *6 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-3718 (*1 *2 *2 *1) (-12 (-5 *2 (-658 *6)) (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)))) (-4521 (*1 *2 *2 *1) (-12 (-5 *2 (-658 *6)) (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)))) (-2988 (*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141))))) 
-(-13 (-1119) (-175 |t#4|) (-632 (-658 |t#4|)) (-10 -8 (-6 -4625) (-15 -4368 ((-3 $ "failed") (-658 |t#4|))) (-15 -2400 ($ (-658 |t#4|))) (-15 -3259 (|t#3| $)) (-15 -4085 ((-658 |t#3|) $)) (-15 -2290 ((-658 |t#3|) $)) (-15 -2645 ((-141) |t#3| $)) (-15 -4152 ($ $ |t#3|)) (-15 -2507 ($ $ |t#3|)) (-15 -2613 ($ $ |t#3|)) (-15 -3960 ((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |t#3|)) (-15 -4325 ((-141) $)) (IF (|has| |t#1| (-582)) (PROGN (-15 -1529 ((-141) $)) (-15 -3478 ((-141) $ $)) (-15 -2398 ((-141) $ $)) (-15 -3239 ((-141) $)) (-15 -3480 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3027 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3718 ((-658 |t#4|) (-658 |t#4|) $)) (-15 -4521 ((-658 |t#4|) (-658 |t#4|) $)) (-15 -2988 ((-141) $))) |noBranch|))) 
-(((-39) . T) ((-125) . T) ((-632 (-658 |#4|)) . T) ((-632 (-877)) . T) ((-175 |#4|) . T) ((-633 (-565)) |has| |#4| (-633 (-565))) ((-325 |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-523 |#4|) . T) ((-547 |#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-1119) . T) ((-1225) . T)) 
-((-2945 (((-658 |#4|) |#4| |#4|) 114)) (-2582 (((-658 |#4|) (-658 |#4|) (-141)) 103 (|has| |#1| (-477))) (((-658 |#4|) (-658 |#4|)) 104 (|has| |#1| (-477)))) (-3500 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|)) 34)) (-1974 (((-141) |#4|) 33)) (-4519 (((-658 |#4|) |#4|) 100 (|has| |#1| (-477)))) (-2621 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-1 (-141) |#4|) (-658 |#4|)) 19)) (-1788 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 (-1 (-141) |#4|)) (-658 |#4|)) 21)) (-1979 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 (-1 (-141) |#4|)) (-658 |#4|)) 22)) (-1655 (((-3 (-2 (|:| |bas| (-505 |#1| |#2| |#3| |#4|)) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|)) 72)) (-2491 (((-658 |#4|) (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-3964 (((-658 |#4|) (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-3495 (((-658 |#4|) (-658 |#4|)) 106)) (-3073 (((-658 |#4|) (-658 |#4|) (-658 |#4|) (-141)) 47) (((-658 |#4|) (-658 |#4|) (-658 |#4|)) 49)) (-2789 ((|#4| |#4| (-658 |#4|)) 48)) (-2517 (((-658 |#4|) (-658 |#4|) (-658 |#4|)) 110 (|has| |#1| (-477)))) (-4275 (((-658 |#4|) (-658 |#4|) (-658 |#4|)) 113 (|has| |#1| (-477)))) (-1344 (((-658 |#4|) (-658 |#4|) (-658 |#4|)) 112 (|has| |#1| (-477)))) (-3771 (((-658 |#4|) (-658 |#4|) (-658 |#4|) (-1 (-658 |#4|) (-658 |#4|))) 86) (((-658 |#4|) (-658 |#4|) (-658 |#4|)) 88) (((-658 |#4|) (-658 |#4|) |#4|) 117) (((-658 |#4|) |#4| |#4|) 115) (((-658 |#4|) (-658 |#4|)) 87)) (-3815 (((-658 |#4|) (-658 |#4|) (-658 |#4|)) 97 (-12 (|has| |#1| (-171)) (|has| |#1| (-323))))) (-4556 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|)) 40)) (-4549 (((-141) (-658 |#4|)) 61)) (-3320 (((-141) (-658 |#4|) (-658 (-658 |#4|))) 52)) (-3131 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|)) 28)) (-2365 (((-141) |#4|) 27)) (-3917 (((-658 |#4|) (-658 |#4|)) 96 (-12 (|has| |#1| (-171)) (|has| |#1| (-323))))) (-2271 (((-658 |#4|) (-658 |#4|)) 95 (-12 (|has| |#1| (-171)) (|has| |#1| (-323))))) (-1767 (((-658 |#4|) (-658 |#4|)) 65)) (-4358 (((-658 |#4|) (-658 |#4|)) 78)) (-2924 (((-141) (-658 |#4|) (-658 |#4|)) 50)) (-2638 (((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|)) 38)) (-4514 (((-141) |#4|) 35))) 
-(((-1006 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3771 ((-658 |#4|) (-658 |#4|))) (-15 -3771 ((-658 |#4|) |#4| |#4|)) (-15 -3495 ((-658 |#4|) (-658 |#4|))) (-15 -2945 ((-658 |#4|) |#4| |#4|)) (-15 -3771 ((-658 |#4|) (-658 |#4|) |#4|)) (-15 -3771 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -3771 ((-658 |#4|) (-658 |#4|) (-658 |#4|) (-1 (-658 |#4|) (-658 |#4|)))) (-15 -2924 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3320 ((-141) (-658 |#4|) (-658 (-658 |#4|)))) (-15 -4549 ((-141) (-658 |#4|))) (-15 -2621 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-1 (-141) |#4|) (-658 |#4|))) (-15 -1788 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 (-1 (-141) |#4|)) (-658 |#4|))) (-15 -1979 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 (-1 (-141) |#4|)) (-658 |#4|))) (-15 -4556 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -1974 ((-141) |#4|)) (-15 -3500 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -2365 ((-141) |#4|)) (-15 -3131 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -4514 ((-141) |#4|)) (-15 -2638 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -3073 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -3073 ((-658 |#4|) (-658 |#4|) (-658 |#4|) (-141))) (-15 -2789 (|#4| |#4| (-658 |#4|))) (-15 -1767 ((-658 |#4|) (-658 |#4|))) (-15 -1655 ((-3 (-2 (|:| |bas| (-505 |#1| |#2| |#3| |#4|)) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|))) (-15 -4358 ((-658 |#4|) (-658 |#4|))) (-15 -2491 ((-658 |#4|) (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3964 ((-658 |#4|) (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-477)) (PROGN (-15 -4519 ((-658 |#4|) |#4|)) (-15 -2582 ((-658 |#4|) (-658 |#4|))) (-15 -2582 ((-658 |#4|) (-658 |#4|) (-141))) (-15 -2517 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -1344 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -4275 ((-658 |#4|) (-658 |#4|) (-658 |#4|)))) |noBranch|) (IF (|has| |#1| (-323)) (IF (|has| |#1| (-171)) (PROGN (-15 -2271 ((-658 |#4|) (-658 |#4|))) (-15 -3917 ((-658 |#4|) (-658 |#4|))) (-15 -3815 ((-658 |#4|) (-658 |#4|) (-658 |#4|)))) |noBranch|) |noBranch|)) (-582) (-815) (-869) (-1089 |#1| |#2| |#3|)) (T -1006)) 
-((-3815 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-171)) (-4 *3 (-323)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-3917 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-171)) (-4 *3 (-323)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-2271 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-171)) (-4 *3 (-323)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-4275 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-1344 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-2517 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-2582 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-141)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *7)))) (-2582 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-4519 (*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *3)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) (-3964 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-658 *8)) (-5 *3 (-1 (-141) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1006 *5 *6 *7 *8)))) (-2491 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-658 *9)) (-5 *3 (-1 (-141) *9)) (-5 *4 (-1 (-141) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1089 *6 *7 *8)) (-4 *6 (-582)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *1 (-1006 *6 *7 *8 *9)))) (-4358 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-1655 (*1 *2 *3) (|partial| -12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-505 *4 *5 *6 *7)) (|:| -3349 (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-1767 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-2789 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *2)))) (-3073 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-141)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *7)))) (-3073 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-2638 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-4514 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) (-3131 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-2365 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) (-3500 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-1974 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) (-4556 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1 (-141) *8))) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |goodPols| (-658 *8)) (|:| |badPols| (-658 *8)))) (-5 *1 (-1006 *5 *6 *7 *8)) (-5 *4 (-658 *8)))) (-1788 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1 (-141) *8))) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |goodPols| (-658 *8)) (|:| |badPols| (-658 *8)))) (-5 *1 (-1006 *5 *6 *7 *8)) (-5 *4 (-658 *8)))) (-2621 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-141) *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |goodPols| (-658 *8)) (|:| |badPols| (-658 *8)))) (-5 *1 (-1006 *5 *6 *7 *8)) (-5 *4 (-658 *8)))) (-4549 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *7)))) (-3320 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-658 *8))) (-5 *3 (-658 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *5 *6 *7 *8)))) (-2924 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *7)))) (-3771 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-658 *7) (-658 *7))) (-5 *2 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *7)))) (-3771 (*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-3771 (*1 *2 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *3)))) (-2945 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *3)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) (-3495 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) (-3771 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *3)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) (-3771 (*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3771 ((-658 |#4|) (-658 |#4|))) (-15 -3771 ((-658 |#4|) |#4| |#4|)) (-15 -3495 ((-658 |#4|) (-658 |#4|))) (-15 -2945 ((-658 |#4|) |#4| |#4|)) (-15 -3771 ((-658 |#4|) (-658 |#4|) |#4|)) (-15 -3771 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -3771 ((-658 |#4|) (-658 |#4|) (-658 |#4|) (-1 (-658 |#4|) (-658 |#4|)))) (-15 -2924 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3320 ((-141) (-658 |#4|) (-658 (-658 |#4|)))) (-15 -4549 ((-141) (-658 |#4|))) (-15 -2621 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-1 (-141) |#4|) (-658 |#4|))) (-15 -1788 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 (-1 (-141) |#4|)) (-658 |#4|))) (-15 -1979 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 (-1 (-141) |#4|)) (-658 |#4|))) (-15 -4556 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -1974 ((-141) |#4|)) (-15 -3500 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -2365 ((-141) |#4|)) (-15 -3131 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -4514 ((-141) |#4|)) (-15 -2638 ((-2 (|:| |goodPols| (-658 |#4|)) (|:| |badPols| (-658 |#4|))) (-658 |#4|))) (-15 -3073 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -3073 ((-658 |#4|) (-658 |#4|) (-658 |#4|) (-141))) (-15 -2789 (|#4| |#4| (-658 |#4|))) (-15 -1767 ((-658 |#4|) (-658 |#4|))) (-15 -1655 ((-3 (-2 (|:| |bas| (-505 |#1| |#2| |#3| |#4|)) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|))) (-15 -4358 ((-658 |#4|) (-658 |#4|))) (-15 -2491 ((-658 |#4|) (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3964 ((-658 |#4|) (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-477)) (PROGN (-15 -4519 ((-658 |#4|) |#4|)) (-15 -2582 ((-658 |#4|) (-658 |#4|))) (-15 -2582 ((-658 |#4|) (-658 |#4|) (-141))) (-15 -2517 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -1344 ((-658 |#4|) (-658 |#4|) (-658 |#4|))) (-15 -4275 ((-658 |#4|) (-658 |#4|) (-658 |#4|)))) |noBranch|) (IF (|has| |#1| (-323)) (IF (|has| |#1| (-171)) (PROGN (-15 -2271 ((-658 |#4|) (-658 |#4|))) (-15 -3917 ((-658 |#4|) (-658 |#4|))) (-15 -3815 ((-658 |#4|) (-658 |#4|) (-658 |#4|)))) |noBranch|) |noBranch|)) 
-((-3389 (((-2 (|:| R (-706 |#1|)) (|:| A (-706 |#1|)) (|:| |Ainv| (-706 |#1|))) (-706 |#1|) (-121 |#1|) (-1 |#1| |#1|)) 19)) (-3060 (((-658 (-2 (|:| C (-706 |#1|)) (|:| |g| (-1280 |#1|)))) (-706 |#1|) (-1280 |#1|)) 35)) (-4164 (((-706 |#1|) (-706 |#1|) (-706 |#1|) (-121 |#1|) (-1 |#1| |#1|)) 16))) 
-(((-1007 |#1|) (-10 -7 (-15 -3389 ((-2 (|:| R (-706 |#1|)) (|:| A (-706 |#1|)) (|:| |Ainv| (-706 |#1|))) (-706 |#1|) (-121 |#1|) (-1 |#1| |#1|))) (-15 -4164 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-121 |#1|) (-1 |#1| |#1|))) (-15 -3060 ((-658 (-2 (|:| C (-706 |#1|)) (|:| |g| (-1280 |#1|)))) (-706 |#1|) (-1280 |#1|)))) (-388)) (T -1007)) 
-((-3060 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-5 *2 (-658 (-2 (|:| C (-706 *5)) (|:| |g| (-1280 *5))))) (-5 *1 (-1007 *5)) (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)))) (-4164 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-706 *5)) (-5 *3 (-121 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-388)) (-5 *1 (-1007 *5)))) (-3389 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-388)) (-5 *2 (-2 (|:| R (-706 *6)) (|:| A (-706 *6)) (|:| |Ainv| (-706 *6)))) (-5 *1 (-1007 *6)) (-5 *3 (-706 *6))))) 
-(-10 -7 (-15 -3389 ((-2 (|:| R (-706 |#1|)) (|:| A (-706 |#1|)) (|:| |Ainv| (-706 |#1|))) (-706 |#1|) (-121 |#1|) (-1 |#1| |#1|))) (-15 -4164 ((-706 |#1|) (-706 |#1|) (-706 |#1|) (-121 |#1|) (-1 |#1| |#1|))) (-15 -3060 ((-658 (-2 (|:| C (-706 |#1|)) (|:| |g| (-1280 |#1|)))) (-706 |#1|) (-1280 |#1|)))) 
-((-3164 (((-444 |#4|) |#4|) 47))) 
-(((-1008 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3164 ((-444 |#4|) |#4|))) (-869) (-815) (-477) (-977 |#3| |#2| |#1|)) (T -1008)) 
-((-3164 (*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-477)) (-5 *2 (-444 *3)) (-5 *1 (-1008 *4 *5 *6 *3)) (-4 *3 (-977 *6 *5 *4))))) 
-(-10 -7 (-15 -3164 ((-444 |#4|) |#4|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-1417 (($ (-790)) 105 (|has| |#1| (-23)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) 91) (((-141) $) 85 (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) 82 (|has| $ (-6 -4626))) (($ $) 81 (-12 (|has| |#1| (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) |#1|) 49 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-2512 (($ $) 83 (|has| $ (-6 -4626)))) (-1373 (($ $) 93)) (-1360 (($ $) 73 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 72 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 69 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 48)) (-1721 (((-592) (-1 (-141) |#1|) $) 90) (((-592) |#1| $) 89 (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) 88 (|has| |#1| (-1119)))) (-1831 (($ (-658 |#1|)) 110)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4363 (((-706 |#1|) $ $) 98 (|has| |#1| (-1075)))) (-3242 (($ (-790) |#1|) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 80 (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 79 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2311 ((|#1| $) 95 (-12 (|has| |#1| (-1075)) (|has| |#1| (-1030))))) (-2554 (((-141) $ (-790)) 10)) (-4233 ((|#1| $) 96 (-12 (|has| |#1| (-1075)) (|has| |#1| (-1030))))) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 39 (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 66)) (-1892 (($ $ |#1|) 38 (|has| $ (-6 -4626)))) (-2807 (($ $ (-658 |#1|)) 107)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) |#1|) 47) ((|#1| $ (-592)) 46) (($ $ (-1246 (-592))) 58)) (-1729 ((|#1| $ $) 99 (|has| |#1| (-1075)))) (-1936 (((-944) $) 109)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-2746 (($ $ $) 97)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 84 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| |#1| (-633 (-565)))) (($ (-658 |#1|)) 108)) (-4466 (($ (-658 |#1|)) 65)) (-2266 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 77 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 76 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-3279 (((-141) $ $) 78 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 75 (|has| |#1| (-869)))) (-3306 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-3300 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-592) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-743))) (($ $ |#1|) 100 (|has| |#1| (-743)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1009 |#1|) (-1311) (-1075)) (T -1009)) 
-((-1831 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1075)) (-4 *1 (-1009 *3)))) (-1936 (*1 *2 *1) (-12 (-4 *1 (-1009 *3)) (-4 *3 (-1075)) (-5 *2 (-944)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1075)) (-4 *1 (-1009 *3)))) (-2746 (*1 *1 *1 *1) (-12 (-4 *1 (-1009 *2)) (-4 *2 (-1075)))) (-2807 (*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-1009 *3)) (-4 *3 (-1075))))) 
-(-13 (-1278 |t#1|) (-10 -8 (-15 -1831 ($ (-658 |t#1|))) (-15 -1936 ((-944) $)) (-15 -1778 ($ (-658 |t#1|))) (-15 -2746 ($ $ $)) (-15 -2807 ($ $ (-658 |t#1|))))) 
-(((-39) . T) ((-125) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-632 (-877)) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-399 |#1|) . T) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-19 |#1|) . T) ((-869) |has| |#1| (-869)) ((-1119) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-1225) . T) ((-1278 |#1|) . T)) 
-((-2731 (((-971 |#2|) (-1 |#2| |#1|) (-971 |#1|)) 17))) 
-(((-1010 |#1| |#2|) (-10 -7 (-15 -2731 ((-971 |#2|) (-1 |#2| |#1|) (-971 |#1|)))) (-1075) (-1075)) (T -1010)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-971 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-971 *6)) (-5 *1 (-1010 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-971 |#2|) (-1 |#2| |#1|) (-971 |#1|)))) 
-((-1612 ((|#1| (-971 |#1|)) 13)) (-2883 ((|#1| (-971 |#1|)) 12)) (-3913 ((|#1| (-971 |#1|)) 11)) (-1821 ((|#1| (-971 |#1|)) 15)) (-3150 ((|#1| (-971 |#1|)) 21)) (-1467 ((|#1| (-971 |#1|)) 14)) (-1694 ((|#1| (-971 |#1|)) 16)) (-3850 ((|#1| (-971 |#1|)) 20)) (-2932 ((|#1| (-971 |#1|)) 19))) 
-(((-1011 |#1|) (-10 -7 (-15 -3913 (|#1| (-971 |#1|))) (-15 -2883 (|#1| (-971 |#1|))) (-15 -1612 (|#1| (-971 |#1|))) (-15 -1467 (|#1| (-971 |#1|))) (-15 -1821 (|#1| (-971 |#1|))) (-15 -1694 (|#1| (-971 |#1|))) (-15 -2932 (|#1| (-971 |#1|))) (-15 -3850 (|#1| (-971 |#1|))) (-15 -3150 (|#1| (-971 |#1|)))) (-1075)) (T -1011)) 
-((-3150 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-3850 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-2932 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-1694 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-1821 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-1467 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-1612 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-2883 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075)))) (-3913 (*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(-10 -7 (-15 -3913 (|#1| (-971 |#1|))) (-15 -2883 (|#1| (-971 |#1|))) (-15 -1612 (|#1| (-971 |#1|))) (-15 -1467 (|#1| (-971 |#1|))) (-15 -1821 (|#1| (-971 |#1|))) (-15 -1694 (|#1| (-971 |#1|))) (-15 -2932 (|#1| (-971 |#1|))) (-15 -3850 (|#1| (-971 |#1|))) (-15 -3150 (|#1| (-971 |#1|)))) 
-((-2698 (((-3 |#1| "failed") |#1|) 18)) (-2540 (((-3 |#1| "failed") |#1|) 6)) (-4494 (((-3 |#1| "failed") |#1|) 16)) (-1923 (((-3 |#1| "failed") |#1|) 4)) (-1890 (((-3 |#1| "failed") |#1|) 20)) (-2063 (((-3 |#1| "failed") |#1|) 8)) (-1784 (((-3 |#1| "failed") |#1| (-790)) 1)) (-2548 (((-3 |#1| "failed") |#1|) 3)) (-4122 (((-3 |#1| "failed") |#1|) 2)) (-1415 (((-3 |#1| "failed") |#1|) 21)) (-2478 (((-3 |#1| "failed") |#1|) 9)) (-4208 (((-3 |#1| "failed") |#1|) 19)) (-2345 (((-3 |#1| "failed") |#1|) 7)) (-2966 (((-3 |#1| "failed") |#1|) 17)) (-2989 (((-3 |#1| "failed") |#1|) 5)) (-1650 (((-3 |#1| "failed") |#1|) 24)) (-3209 (((-3 |#1| "failed") |#1|) 12)) (-2416 (((-3 |#1| "failed") |#1|) 22)) (-4352 (((-3 |#1| "failed") |#1|) 10)) (-4069 (((-3 |#1| "failed") |#1|) 26)) (-3691 (((-3 |#1| "failed") |#1|) 14)) (-2590 (((-3 |#1| "failed") |#1|) 27)) (-1349 (((-3 |#1| "failed") |#1|) 15)) (-2295 (((-3 |#1| "failed") |#1|) 25)) (-2233 (((-3 |#1| "failed") |#1|) 13)) (-1510 (((-3 |#1| "failed") |#1|) 23)) (-2153 (((-3 |#1| "failed") |#1|) 11))) 
-(((-1012 |#1|) (-1311) (-1211)) (T -1012)) 
-((-2590 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-4069 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2295 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1650 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1510 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2416 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1415 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1890 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-4208 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2698 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2966 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-4494 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1349 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-3691 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2233 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-3209 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2153 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-4352 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2478 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2063 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2345 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2540 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2989 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1923 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-2548 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-4122 (*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211)))) (-1784 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-790)) (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(-13 (-10 -7 (-15 -1784 ((-3 |t#1| "failed") |t#1| (-790))) (-15 -4122 ((-3 |t#1| "failed") |t#1|)) (-15 -2548 ((-3 |t#1| "failed") |t#1|)) (-15 -1923 ((-3 |t#1| "failed") |t#1|)) (-15 -2989 ((-3 |t#1| "failed") |t#1|)) (-15 -2540 ((-3 |t#1| "failed") |t#1|)) (-15 -2345 ((-3 |t#1| "failed") |t#1|)) (-15 -2063 ((-3 |t#1| "failed") |t#1|)) (-15 -2478 ((-3 |t#1| "failed") |t#1|)) (-15 -4352 ((-3 |t#1| "failed") |t#1|)) (-15 -2153 ((-3 |t#1| "failed") |t#1|)) (-15 -3209 ((-3 |t#1| "failed") |t#1|)) (-15 -2233 ((-3 |t#1| "failed") |t#1|)) (-15 -3691 ((-3 |t#1| "failed") |t#1|)) (-15 -1349 ((-3 |t#1| "failed") |t#1|)) (-15 -4494 ((-3 |t#1| "failed") |t#1|)) (-15 -2966 ((-3 |t#1| "failed") |t#1|)) (-15 -2698 ((-3 |t#1| "failed") |t#1|)) (-15 -4208 ((-3 |t#1| "failed") |t#1|)) (-15 -1890 ((-3 |t#1| "failed") |t#1|)) (-15 -1415 ((-3 |t#1| "failed") |t#1|)) (-15 -2416 ((-3 |t#1| "failed") |t#1|)) (-15 -1510 ((-3 |t#1| "failed") |t#1|)) (-15 -1650 ((-3 |t#1| "failed") |t#1|)) (-15 -2295 ((-3 |t#1| "failed") |t#1|)) (-15 -4069 ((-3 |t#1| "failed") |t#1|)) (-15 -2590 ((-3 |t#1| "failed") |t#1|)))) 
-((-3292 ((|#4| |#4| (-658 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-3978 ((|#4| |#4| (-658 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-2731 ((|#4| (-1 |#4| (-980 |#1|)) |#4|) 30))) 
-(((-1013 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3978 (|#4| |#4| |#3|)) (-15 -3978 (|#4| |#4| (-658 |#3|))) (-15 -3292 (|#4| |#4| |#3|)) (-15 -3292 (|#4| |#4| (-658 |#3|))) (-15 -2731 (|#4| (-1 |#4| (-980 |#1|)) |#4|))) (-1075) (-815) (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191))))) (-977 (-980 |#1|) |#2| |#3|)) (T -1013)) 
-((-2731 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-980 *4))) (-4 *4 (-1075)) (-4 *2 (-977 (-980 *4) *5 *6)) (-4 *5 (-815)) (-4 *6 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-5 *1 (-1013 *4 *5 *6 *2)))) (-3292 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *4 (-1075)) (-4 *5 (-815)) (-5 *1 (-1013 *4 *5 *6 *2)) (-4 *2 (-977 (-980 *4) *5 *6)))) (-3292 (*1 *2 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-5 *1 (-1013 *4 *5 *3 *2)) (-4 *2 (-977 (-980 *4) *5 *3)))) (-3978 (*1 *2 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *4 (-1075)) (-4 *5 (-815)) (-5 *1 (-1013 *4 *5 *6 *2)) (-4 *2 (-977 (-980 *4) *5 *6)))) (-3978 (*1 *2 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-5 *1 (-1013 *4 *5 *3 *2)) (-4 *2 (-977 (-980 *4) *5 *3))))) 
-(-10 -7 (-15 -3978 (|#4| |#4| |#3|)) (-15 -3978 (|#4| |#4| (-658 |#3|))) (-15 -3292 (|#4| |#4| |#3|)) (-15 -3292 (|#4| |#4| (-658 |#3|))) (-15 -2731 (|#4| (-1 |#4| (-980 |#1|)) |#4|))) 
-((-2813 ((|#2| |#3|) 34)) (-2583 (((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) |#2|) 71)) (-4023 (((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) 86))) 
-(((-1014 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4023 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))))) (-15 -2583 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) |#2|)) (-15 -2813 (|#2| |#3|))) (-373) (-1255 |#1|) (-1255 |#2|) (-741 |#2| |#3|)) (T -1014)) 
-((-2813 (*1 *2 *3) (-12 (-4 *3 (-1255 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-1014 *4 *2 *3 *5)) (-4 *4 (-373)) (-4 *5 (-741 *2 *3)))) (-2583 (*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-1014 *4 *3 *5 *6)) (-4 *6 (-741 *3 *5)))) (-4023 (*1 *2) (-12 (-4 *3 (-373)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -2195 (-706 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-706 *4)))) (-5 *1 (-1014 *3 *4 *5 *6)) (-4 *6 (-741 *4 *5))))) 
-(-10 -7 (-15 -4023 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))))) (-15 -2583 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) |#2|)) (-15 -2813 (|#2| |#3|))) 
-((-4508 (((-1016 (-433 (-592)) (-879 |#1|) (-254 |#2| (-790)) (-264 |#1| (-433 (-592)))) (-1016 (-433 (-592)) (-879 |#1|) (-254 |#2| (-790)) (-264 |#1| (-433 (-592))))) 64))) 
-(((-1015 |#1| |#2|) (-10 -7 (-15 -4508 ((-1016 (-433 (-592)) (-879 |#1|) (-254 |#2| (-790)) (-264 |#1| (-433 (-592)))) (-1016 (-433 (-592)) (-879 |#1|) (-254 |#2| (-790)) (-264 |#1| (-433 (-592))))))) (-658 (-1191)) (-790)) (T -1015)) 
-((-4508 (*1 *2 *2) (-12 (-5 *2 (-1016 (-433 (-592)) (-879 *3) (-254 *4 (-790)) (-264 *3 (-433 (-592))))) (-14 *3 (-658 (-1191))) (-14 *4 (-790)) (-5 *1 (-1015 *3 *4))))) 
-(-10 -7 (-15 -4508 ((-1016 (-433 (-592)) (-879 |#1|) (-254 |#2| (-790)) (-264 |#1| (-433 (-592)))) (-1016 (-433 (-592)) (-879 |#1|) (-254 |#2| (-790)) (-264 |#1| (-433 (-592))))))) 
-((-1641 (((-141) $ $) NIL)) (-4499 (((-3 (-141) "failed") $) 67)) (-1849 (($ $) 35 (-12 (|has| |#1| (-171)) (|has| |#1| (-323))))) (-3377 (($ $ (-3 (-141) "failed")) 68)) (-3373 (($ (-658 |#4|) |#4|) 24)) (-2685 (((-1173) $) NIL)) (-1368 (($ $) 65)) (-2951 (((-1137) $) NIL)) (-2943 (((-141) $) 66)) (-2890 (($) 29)) (-1910 ((|#4| $) 70)) (-2605 (((-658 |#4|) $) 69)) (-1683 (((-877) $) 64)) (-3255 (((-141) $ $) NIL))) 
-(((-1016 |#1| |#2| |#3| |#4|) (-13 (-1119) (-632 (-877)) (-10 -8 (-15 -2890 ($)) (-15 -3373 ($ (-658 |#4|) |#4|)) (-15 -4499 ((-3 (-141) "failed") $)) (-15 -3377 ($ $ (-3 (-141) "failed"))) (-15 -2943 ((-141) $)) (-15 -2605 ((-658 |#4|) $)) (-15 -1910 (|#4| $)) (-15 -1368 ($ $)) (IF (|has| |#1| (-323)) (IF (|has| |#1| (-171)) (-15 -1849 ($ $)) |noBranch|) |noBranch|))) (-477) (-869) (-815) (-977 |#1| |#3| |#2|)) (T -1016)) 
-((-2890 (*1 *1) (-12 (-4 *2 (-477)) (-4 *3 (-869)) (-4 *4 (-815)) (-5 *1 (-1016 *2 *3 *4 *5)) (-4 *5 (-977 *2 *4 *3)))) (-3373 (*1 *1 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-977 *4 *6 *5)) (-4 *4 (-477)) (-4 *5 (-869)) (-4 *6 (-815)) (-5 *1 (-1016 *4 *5 *6 *3)))) (-4499 (*1 *2 *1) (|partial| -12 (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *2 (-141)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4)))) (-3377 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-141) "failed")) (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4)))) (-2943 (*1 *2 *1) (-12 (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *2 (-141)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4)))) (-2605 (*1 *2 *1) (-12 (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *2 (-658 *6)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4)))) (-1910 (*1 *2 *1) (-12 (-4 *2 (-977 *3 *5 *4)) (-5 *1 (-1016 *3 *4 *5 *2)) (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)))) (-1368 (*1 *1 *1) (-12 (-4 *2 (-477)) (-4 *3 (-869)) (-4 *4 (-815)) (-5 *1 (-1016 *2 *3 *4 *5)) (-4 *5 (-977 *2 *4 *3)))) (-1849 (*1 *1 *1) (-12 (-4 *2 (-171)) (-4 *2 (-323)) (-4 *2 (-477)) (-4 *3 (-869)) (-4 *4 (-815)) (-5 *1 (-1016 *2 *3 *4 *5)) (-4 *5 (-977 *2 *4 *3))))) 
-(-13 (-1119) (-632 (-877)) (-10 -8 (-15 -2890 ($)) (-15 -3373 ($ (-658 |#4|) |#4|)) (-15 -4499 ((-3 (-141) "failed") $)) (-15 -3377 ($ $ (-3 (-141) "failed"))) (-15 -2943 ((-141) $)) (-15 -2605 ((-658 |#4|) $)) (-15 -1910 (|#4| $)) (-15 -1368 ($ $)) (IF (|has| |#1| (-323)) (IF (|has| |#1| (-171)) (-15 -1849 ($ $)) |noBranch|) |noBranch|))) 
-((-3635 (((-141) |#5| |#5|) 37)) (-2846 (((-141) |#5| |#5|) 51)) (-3962 (((-141) |#5| (-658 |#5|)) 73) (((-141) |#5| |#5|) 60)) (-3988 (((-141) (-658 |#4|) (-658 |#4|)) 57)) (-2728 (((-141) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) 62)) (-3128 (((-1285)) 33)) (-4376 (((-1285) (-1173) (-1173) (-1173)) 29)) (-1859 (((-658 |#5|) (-658 |#5|)) 80)) (-2441 (((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) 78)) (-4015 (((-658 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|)))) (-658 |#4|) (-658 |#5|) (-141) (-141)) 100)) (-1496 (((-141) |#5| |#5|) 46)) (-2655 (((-3 (-141) "failed") |#5| |#5|) 70)) (-3274 (((-141) (-658 |#4|) (-658 |#4|)) 56)) (-3481 (((-141) (-658 |#4|) (-658 |#4|)) 58)) (-3085 (((-141) (-658 |#4|) (-658 |#4|)) 59)) (-1481 (((-3 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|))) "failed") (-658 |#4|) |#5| (-658 |#4|) (-141) (-141) (-141) (-141) (-141)) 96)) (-3174 (((-658 |#5|) (-658 |#5|)) 42))) 
-(((-1017 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4376 ((-1285) (-1173) (-1173) (-1173))) (-15 -3128 ((-1285))) (-15 -3635 ((-141) |#5| |#5|)) (-15 -3174 ((-658 |#5|) (-658 |#5|))) (-15 -1496 ((-141) |#5| |#5|)) (-15 -2846 ((-141) |#5| |#5|)) (-15 -3988 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3274 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3481 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3085 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -2655 ((-3 (-141) "failed") |#5| |#5|)) (-15 -3962 ((-141) |#5| |#5|)) (-15 -3962 ((-141) |#5| (-658 |#5|))) (-15 -1859 ((-658 |#5|) (-658 |#5|))) (-15 -2728 ((-141) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -2441 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-15 -4015 ((-658 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|)))) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1481 ((-3 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|))) "failed") (-658 |#4|) |#5| (-658 |#4|) (-141) (-141) (-141) (-141) (-141)))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|)) (T -1017)) 
-((-1481 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *4) (|:| |ineq| (-658 *9)))) (-5 *1 (-1017 *6 *7 *8 *9 *4)) (-5 *3 (-658 *9)) (-4 *4 (-1094 *6 *7 *8 *9)))) (-4015 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-658 *10)) (-5 *5 (-141)) (-4 *10 (-1094 *6 *7 *8 *9)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *10) (|:| |ineq| (-658 *9))))) (-5 *1 (-1017 *6 *7 *8 *9 *10)) (-5 *3 (-658 *9)))) (-2441 (*1 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |val| (-658 *6)) (|:| -2165 *7)))) (-4 *6 (-1089 *3 *4 *5)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1017 *3 *4 *5 *6 *7)))) (-2728 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)))) (-1859 (*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1017 *3 *4 *5 *6 *7)))) (-3962 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1017 *5 *6 *7 *8 *3)))) (-3962 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-2655 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-3085 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3481 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3274 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3988 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-2846 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-1496 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-3174 (*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1017 *3 *4 *5 *6 *7)))) (-3635 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-3128 (*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1017 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) (-4376 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -4376 ((-1285) (-1173) (-1173) (-1173))) (-15 -3128 ((-1285))) (-15 -3635 ((-141) |#5| |#5|)) (-15 -3174 ((-658 |#5|) (-658 |#5|))) (-15 -1496 ((-141) |#5| |#5|)) (-15 -2846 ((-141) |#5| |#5|)) (-15 -3988 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3274 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3481 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3085 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -2655 ((-3 (-141) "failed") |#5| |#5|)) (-15 -3962 ((-141) |#5| |#5|)) (-15 -3962 ((-141) |#5| (-658 |#5|))) (-15 -1859 ((-658 |#5|) (-658 |#5|))) (-15 -2728 ((-141) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -2441 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-15 -4015 ((-658 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|)))) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1481 ((-3 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|))) "failed") (-658 |#4|) |#5| (-658 |#4|) (-141) (-141) (-141) (-141) (-141)))) 
-((-3983 (((-1191) $) 15)) (-2324 (((-1173) $) 16)) (-2724 (($ (-1191) (-1173)) 14)) (-1683 (((-877) $) 13))) 
-(((-1018) (-13 (-632 (-877)) (-10 -8 (-15 -2724 ($ (-1191) (-1173))) (-15 -3983 ((-1191) $)) (-15 -2324 ((-1173) $))))) (T -1018)) 
-((-2724 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1173)) (-5 *1 (-1018)))) (-3983 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1018)))) (-2324 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1018))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -2724 ($ (-1191) (-1173))) (-15 -3983 ((-1191) $)) (-15 -2324 ((-1173) $)))) 
-((-2731 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
-(((-1019 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#4| (-1 |#2| |#1|) |#3|))) (-582) (-582) (-1021 |#1|) (-1021 |#2|)) (T -1019)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-582)) (-4 *6 (-582)) (-4 *2 (-1021 *6)) (-5 *1 (-1019 *5 *6 *4 *2)) (-4 *4 (-1021 *5))))) 
-(-10 -7 (-15 -2731 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-1191) "failed") $) 65) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-592) "failed") $) 95)) (-2400 ((|#2| $) NIL) (((-1191) $) 60) (((-433 (-592)) $) NIL) (((-592) $) 92)) (-3945 (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) 112) (((-706 |#2|) (-706 $)) 28)) (-4290 (($) 98)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 74) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 83)) (-3838 (($ $) 10)) (-3921 (((-3 $ "failed") $) 20)) (-2731 (($ (-1 |#2| |#2|) $) 22)) (-3703 (($) 16)) (-3856 (($ $) 54)) (-3644 (($ $) NIL) (($ $ (-790)) NIL) (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-2782 (($ $) 12)) (-1778 (((-914 (-592)) $) 69) (((-914 (-405)) $) 78) (((-565) $) 40) (((-405) $) 44) (((-237) $) 47)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) 90) (($ |#2|) NIL) (($ (-1191)) 57)) (-4010 (((-790)) 31)) (-3266 (((-141) $ $) 50))) 
-(((-1020 |#1| |#2|) (-10 -8 (-15 -3266 ((-141) |#1| |#1|)) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1778 ((-237) |#1|)) (-15 -1778 ((-405) |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -2400 ((-1191) |#1|)) (-15 -4368 ((-3 (-1191) "failed") |#1|)) (-15 -1683 (|#1| (-1191))) (-15 -4290 (|#1|)) (-15 -3856 (|#1| |#1|)) (-15 -2782 (|#1| |#1|)) (-15 -3838 (|#1| |#1|)) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -3945 ((-706 |#2|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 -1683 ((-877) |#1|))) (-1021 |#2|) (-582)) (T -1020)) 
-((-4010 (*1 *2) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-1020 *3 *4)) (-4 *3 (-1021 *4))))) 
-(-10 -8 (-15 -3266 ((-141) |#1| |#1|)) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1778 ((-237) |#1|)) (-15 -1778 ((-405) |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -2400 ((-1191) |#1|)) (-15 -4368 ((-3 (-1191) "failed") |#1|)) (-15 -1683 (|#1| (-1191))) (-15 -4290 (|#1|)) (-15 -3856 (|#1| |#1|)) (-15 -2782 (|#1| |#1|)) (-15 -3838 (|#1| |#1|)) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -3412 ((-911 (-592) |#1|) |#1| (-914 (-592)) (-911 (-592) |#1|))) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -3945 ((-706 |#2|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1505 ((|#1| $) 137 (|has| |#1| (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 128 (|has| |#1| (-931)))) (-3743 (($ $) 73)) (-3164 (((-444 $) $) 72)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 131 (|has| |#1| (-931)))) (-3652 (((-141) $ $) 58)) (-3940 (((-592) $) 118 (|has| |#1| (-842)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 176) (((-3 (-1191) "failed") $) 126 (|has| |#1| (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) 110 (|has| |#1| (-1065 (-592)))) (((-3 (-592) "failed") $) 108 (|has| |#1| (-1065 (-592))))) (-2400 ((|#1| $) 175) (((-1191) $) 125 (|has| |#1| (-1065 (-1191)))) (((-433 (-592)) $) 109 (|has| |#1| (-1065 (-592)))) (((-592) $) 107 (|has| |#1| (-1065 (-592))))) (-1586 (($ $ $) 54)) (-3945 (((-706 (-592)) (-706 $)) 150 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 149 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 148) (((-706 |#1|) (-706 $)) 147)) (-3371 (((-3 $ "failed") $) 33)) (-4290 (($) 135 (|has| |#1| (-574)))) (-1599 (($ $ $) 55)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 50)) (-2802 (((-141) $) 71)) (-1691 (((-141) $) 120 (|has| |#1| (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 144 (|has| |#1| (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 143 (|has| |#1| (-908 (-405))))) (-3558 (((-141) $) 30)) (-3838 (($ $) 139)) (-1448 ((|#1| $) 141)) (-3921 (((-3 $ "failed") $) 106 (|has| |#1| (-1165)))) (-1324 (((-141) $) 119 (|has| |#1| (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 51)) (-1837 (($ $ $) 116 (|has| |#1| (-869)))) (-3319 (($ $ $) 115 (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) 167)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 70)) (-3703 (($) 105 (|has| |#1| (-1165)) CONST)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3856 (($ $) 136 (|has| |#1| (-323)))) (-2039 ((|#1| $) 133 (|has| |#1| (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 130 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 129 (|has| |#1| (-931)))) (-4500 (((-444 $) $) 74)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 53) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 49)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) 173 (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) 172 (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) 171 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) 170 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 169 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) 168 (|has| |#1| (-547 (-1191) |#1|)))) (-2769 (((-790) $) 57)) (-3927 (($ $ |#1|) 174 (|has| |#1| (-303 |#1| |#1|)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 56)) (-3644 (($ $) 166 (|has| |#1| (-247))) (($ $ (-790)) 164 (|has| |#1| (-247))) (($ $ (-1191)) 162 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 161 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 160 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 159 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-2782 (($ $) 138)) (-1456 ((|#1| $) 140)) (-1778 (((-914 (-592)) $) 146 (|has| |#1| (-633 (-914 (-592))))) (((-914 (-405)) $) 145 (|has| |#1| (-633 (-914 (-405))))) (((-565) $) 123 (|has| |#1| (-633 (-565)))) (((-405) $) 122 (|has| |#1| (-1049))) (((-237) $) 121 (|has| |#1| (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 132 (-1732 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 65) (($ |#1|) 179) (($ (-1191)) 127 (|has| |#1| (-1065 (-1191))))) (-1517 (((-3 $ "failed") $) 124 (-3836 (|has| |#1| (-169)) (-1732 (|has| $ (-169)) (|has| |#1| (-931)))))) (-4010 (((-790)) 28)) (-2744 ((|#1| $) 134 (|has| |#1| (-574)))) (-2537 (((-141) $ $) 38)) (-1392 (($ $) 117 (|has| |#1| (-842)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 69)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $) 165 (|has| |#1| (-247))) (($ $ (-790)) 163 (|has| |#1| (-247))) (($ $ (-1191)) 158 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 157 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 156 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 155 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 154) (($ $ (-1 |#1| |#1|)) 153)) (-3286 (((-141) $ $) 113 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 112 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 114 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 111 (|has| |#1| (-869)))) (-3313 (($ $ $) 64) (($ |#1| |#1|) 142)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 68)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 67) (($ (-433 (-592)) $) 66) (($ |#1| $) 178) (($ $ |#1|) 177))) 
-(((-1021 |#1|) (-1311) (-582)) (T -1021)) 
-((-3313 (*1 *1 *2 *2) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)))) (-1448 (*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)))) (-1456 (*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)))) (-3838 (*1 *1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)))) (-2782 (*1 *1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)))) (-1505 (*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-323)))) (-3856 (*1 *1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-323)))) (-4290 (*1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-574)) (-4 *2 (-582)))) (-2744 (*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-574)))) (-2039 (*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-574))))) 
-(-13 (-388) (-43 |t#1|) (-1065 |t#1|) (-358 |t#1|) (-245 |t#1|) (-403 |t#1|) (-906 |t#1|) (-426 |t#1|) (-10 -8 (-15 -3313 ($ |t#1| |t#1|)) (-15 -1448 (|t#1| $)) (-15 -1456 (|t#1| $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (IF (|has| |t#1| (-1165)) (-6 (-1165)) |noBranch|) (IF (|has| |t#1| (-1065 (-592))) (PROGN (-6 (-1065 (-592))) (-6 (-1065 (-433 (-592))))) |noBranch|) (IF (|has| |t#1| (-869)) (-6 (-869)) |noBranch|) (IF (|has| |t#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#1| (-1049)) (-6 (-1049)) |noBranch|) (IF (|has| |t#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |t#1| (-1065 (-1191))) (-6 (-1065 (-1191))) |noBranch|) (IF (|has| |t#1| (-323)) (PROGN (-15 -1505 (|t#1| $)) (-15 -3856 ($ $))) |noBranch|) (IF (|has| |t#1| (-574)) (PROGN (-15 -4290 ($)) (-15 -2744 (|t#1| $)) (-15 -2039 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-931)) (-6 (-931)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 |#1| |#1|) . T) ((-140 $ $) . T) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-633 (-237)) |has| |#1| (-1049)) ((-633 (-405)) |has| |#1| (-1049)) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-633 (-914 (-405))) |has| |#1| (-633 (-914 (-405)))) ((-633 (-914 (-592))) |has| |#1| (-633 (-914 (-592)))) ((-245 |#1|) . T) ((-247) |has| |#1| (-247)) ((-260) . T) ((-303 |#1| $) |has| |#1| (-303 |#1| |#1|)) ((-307) . T) ((-323) . T) ((-325 |#1|) |has| |#1| (-325 |#1|)) ((-388) . T) ((-358 |#1|) . T) ((-403 |#1|) . T) ((-426 |#1|) . T) ((-477) . T) ((-547 (-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((-547 |#1| |#1|) |has| |#1| (-325 |#1|)) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-678) . T) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) . T) ((-734 |#1|) . T) ((-734 $) . T) ((-743) . T) ((-813) |has| |#1| (-842)) ((-814) |has| |#1| (-842)) ((-816) |has| |#1| (-842)) ((-817) |has| |#1| (-842)) ((-842) |has| |#1| (-842)) ((-867) |has| |#1| (-842)) ((-869) -3836 (|has| |#1| (-869)) (|has| |#1| (-842))) ((-922 (-1191)) |has| |#1| (-922 (-1191))) ((-908 (-405)) |has| |#1| (-908 (-405))) ((-908 (-592)) |has| |#1| (-908 (-592))) ((-906 |#1|) . T) ((-931) |has| |#1| (-931)) ((-943) . T) ((-1049) |has| |#1| (-1049)) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-592))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 (-1191)) |has| |#1| (-1065 (-1191))) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) . T) ((-1081 |#1|) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) |has| |#1| (-1165)) ((-1225) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3451 (($ (-1156 |#1| |#2|)) 11)) (-4186 (((-1156 |#1| |#2|) $) 12)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 ((|#2| $ (-254 |#1| |#2|)) 16)) (-1683 (((-877) $) NIL)) (-3514 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL))) 
-(((-1022 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -3451 ($ (-1156 |#1| |#2|))) (-15 -4186 ((-1156 |#1| |#2|) $)) (-15 -3927 (|#2| $ (-254 |#1| |#2|))))) (-944) (-388)) (T -1022)) 
-((-3451 (*1 *1 *2) (-12 (-5 *2 (-1156 *3 *4)) (-14 *3 (-944)) (-4 *4 (-388)) (-5 *1 (-1022 *3 *4)))) (-4186 (*1 *2 *1) (-12 (-5 *2 (-1156 *3 *4)) (-5 *1 (-1022 *3 *4)) (-14 *3 (-944)) (-4 *4 (-388)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 (-254 *4 *2)) (-14 *4 (-944)) (-4 *2 (-388)) (-5 *1 (-1022 *4 *2))))) 
-(-13 (-21) (-10 -8 (-15 -3451 ($ (-1156 |#1| |#2|))) (-15 -4186 ((-1156 |#1| |#2|) $)) (-15 -3927 (|#2| $ (-254 |#1| |#2|))))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-4179 (($ $) 43)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-4233 (((-790) $) 42)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1476 ((|#1| $) 41)) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-1659 ((|#1| |#1| $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-1716 ((|#1| $) 44)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-2829 ((|#1| $) 40)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1023 |#1|) (-1311) (-1225)) (T -1023)) 
-((-1659 (*1 *2 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) (-1716 (*1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) (-4179 (*1 *1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) (-4233 (*1 *2 *1) (-12 (-4 *1 (-1023 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) (-1476 (*1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) (-2829 (*1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225))))) 
-(-13 (-131 |t#1|) (-10 -8 (-6 -4625) (-15 -1659 (|t#1| |t#1| $)) (-15 -1716 (|t#1| $)) (-15 -4179 ($ $)) (-15 -4233 ((-790) $)) (-15 -1476 (|t#1| $)) (-15 -2829 (|t#1| $)))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-2272 (((-141) $) 42)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL) ((|#2| $) 43)) (-4182 (((-3 (-433 (-592)) "failed") $) 78)) (-2435 (((-141) $) 72)) (-2270 (((-433 (-592)) $) 76)) (-3558 (((-141) $) 41)) (-2793 ((|#2| $) 22)) (-2731 (($ (-1 |#2| |#2|) $) 19)) (-4552 (($ $) 61)) (-3644 (($ $) NIL) (($ $ (-790)) NIL) (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-1778 (((-565) $) 67)) (-2227 (($ $) 17)) (-1683 (((-877) $) 56) (($ (-592)) 38) (($ |#2|) 36) (($ (-433 (-592))) NIL)) (-4010 (((-790)) 10)) (-1392 ((|#2| $) 71)) (-3255 (((-141) $ $) 25)) (-3266 (((-141) $ $) 69)) (-3306 (($ $) 29) (($ $ $) 28)) (-3300 (($ $ $) 26)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL))) 
-(((-1024 |#1| |#2|) (-10 -8 (-15 -1683 (|#1| (-433 (-592)))) (-15 -3266 ((-141) |#1| |#1|)) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 * (|#1| |#1| (-433 (-592)))) (-15 -4552 (|#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -1392 (|#2| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -2227 (|#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1683 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 -3558 ((-141) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 -2272 ((-141) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-1025 |#2|) (-194)) (T -1024)) 
-((-4010 (*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-790)) (-5 *1 (-1024 *3 *4)) (-4 *3 (-1025 *4))))) 
-(-10 -8 (-15 -1683 (|#1| (-433 (-592)))) (-15 -3266 ((-141) |#1| |#1|)) (-15 * (|#1| (-433 (-592)) |#1|)) (-15 * (|#1| |#1| (-433 (-592)))) (-15 -4552 (|#1| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -1392 (|#2| |#1|)) (-15 -2793 (|#2| |#1|)) (-15 -2227 (|#1| |#1|)) (-15 -2731 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -1683 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 -3558 ((-141) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 * (|#1| (-790) |#1|)) (-15 -2272 ((-141) |#1|)) (-15 * (|#1| (-944) |#1|)) (-15 -3300 (|#1| |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4368 (((-3 (-592) "failed") $) 117 (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 115 (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) 114)) (-2400 (((-592) $) 118 (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) 116 (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) 113)) (-3945 (((-706 (-592)) (-706 $)) 88 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 87 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 86) (((-706 |#1|) (-706 $)) 85)) (-3371 (((-3 $ "failed") $) 33)) (-3996 ((|#1| $) 78)) (-4182 (((-3 (-433 (-592)) "failed") $) 74 (|has| |#1| (-574)))) (-2435 (((-141) $) 76 (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) 75 (|has| |#1| (-574)))) (-4383 (($ |#1| |#1| |#1| |#1|) 79)) (-3558 (((-141) $) 30)) (-2793 ((|#1| $) 80)) (-1837 (($ $ $) 66 (|has| |#1| (-869)))) (-3319 (($ $ $) 65 (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) 89)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 71 (|has| |#1| (-388)))) (-2640 ((|#1| $) 81)) (-4326 ((|#1| $) 82)) (-1771 ((|#1| $) 83)) (-2951 (((-1137) $) 10)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) 95 (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) 93 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) 92 (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) 91 (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) 90 (|has| |#1| (-547 (-1191) |#1|)))) (-3927 (($ $ |#1|) 96 (|has| |#1| (-303 |#1| |#1|)))) (-3644 (($ $) 112 (|has| |#1| (-247))) (($ $ (-790)) 110 (|has| |#1| (-247))) (($ $ (-1191)) 108 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 107 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 106 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 105 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-1778 (((-565) $) 72 (|has| |#1| (-633 (-565))))) (-2227 (($ $) 84)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 36) (($ (-433 (-592))) 60 (-3836 (|has| |#1| (-388)) (|has| |#1| (-1065 (-433 (-592))))))) (-1517 (((-3 $ "failed") $) 73 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-1392 ((|#1| $) 77 (|has| |#1| (-1084)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 70 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $) 111 (|has| |#1| (-247))) (($ $ (-790)) 109 (|has| |#1| (-247))) (($ $ (-1191)) 104 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 103 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 102 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 101 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-3286 (((-141) $ $) 63 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 62 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 64 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 61 (|has| |#1| (-869)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 69 (|has| |#1| (-388)))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-433 (-592))) 68 (|has| |#1| (-388))) (($ (-433 (-592)) $) 67 (|has| |#1| (-388))))) 
-(((-1025 |#1|) (-1311) (-194)) (T -1025)) 
-((-2227 (*1 *1 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-1771 (*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-4326 (*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-2640 (*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-2793 (*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-4383 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-3996 (*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) (-1392 (*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)) (-4 *2 (-1084)))) (-2435 (*1 *2 *1) (-12 (-4 *1 (-1025 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-141)))) (-2270 (*1 *2 *1) (-12 (-4 *1 (-1025 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) (-4182 (*1 *2 *1) (|partial| -12 (-4 *1 (-1025 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592)))))) 
-(-13 (-43 |t#1|) (-437 |t#1|) (-245 |t#1|) (-358 |t#1|) (-403 |t#1|) (-10 -8 (-15 -2227 ($ $)) (-15 -1771 (|t#1| $)) (-15 -4326 (|t#1| $)) (-15 -2640 (|t#1| $)) (-15 -2793 (|t#1| $)) (-15 -4383 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -3996 (|t#1| $)) (IF (|has| |t#1| (-307)) (-6 (-307)) |noBranch|) (IF (|has| |t#1| (-869)) (-6 (-869)) |noBranch|) (IF (|has| |t#1| (-388)) (-6 (-260)) |noBranch|) (IF (|has| |t#1| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-169)) |noBranch|) (IF (|has| |t#1| (-1084)) (-15 -1392 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-574)) (PROGN (-15 -2435 ((-141) $)) (-15 -2270 ((-433 (-592)) $)) (-15 -4182 ((-3 (-433 (-592)) "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-388)) ((-43 |#1|) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-388)) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-388)) (|has| |#1| (-307))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-245 |#1|) . T) ((-247) |has| |#1| (-247)) ((-260) |has| |#1| (-388)) ((-303 |#1| $) |has| |#1| (-303 |#1| |#1|)) ((-307) -3836 (|has| |#1| (-388)) (|has| |#1| (-307))) ((-325 |#1|) |has| |#1| (-325 |#1|)) ((-358 |#1|) . T) ((-403 |#1|) . T) ((-437 |#1|) . T) ((-547 (-1191) |#1|) |has| |#1| (-547 (-1191) |#1|)) ((-547 |#1| |#1|) |has| |#1| (-325 |#1|)) ((-661 (-433 (-592))) |has| |#1| (-388)) ((-661 |#1|) . T) ((-661 $) . T) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) |has| |#1| (-388)) ((-734 |#1|) . T) ((-743) . T) ((-869) |has| |#1| (-869)) ((-922 (-1191)) |has| |#1| (-922 (-1191))) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) |has| |#1| (-388)) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-388)) (|has| |#1| (-307))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-2731 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
-(((-1026 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#3| (-1 |#4| |#2|) |#1|))) (-1025 |#2|) (-194) (-1025 |#4|) (-194)) (T -1026)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-4 *2 (-1025 *6)) (-5 *1 (-1026 *4 *5 *2 *6)) (-4 *4 (-1025 *5))))) 
-(-10 -7 (-15 -2731 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3996 ((|#1| $) 12)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-574)))) (-2435 (((-141) $) NIL (|has| |#1| (-574)))) (-2270 (((-433 (-592)) $) NIL (|has| |#1| (-574)))) (-4383 (($ |#1| |#1| |#1| |#1|) 16)) (-3558 (((-141) $) NIL)) (-2793 ((|#1| $) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-2640 ((|#1| $) 15)) (-4326 ((|#1| $) 14)) (-1771 ((|#1| $) 13)) (-2951 (((-1137) $) NIL)) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-325 |#1|))) (($ $ (-310 |#1|)) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-310 |#1|))) NIL (|has| |#1| (-325 |#1|))) (($ $ (-658 (-1191)) (-658 |#1|)) NIL (|has| |#1| (-547 (-1191) |#1|))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-547 (-1191) |#1|)))) (-3927 (($ $ |#1|) NIL (|has| |#1| (-303 |#1| |#1|)))) (-3644 (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-2227 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-388)) (|has| |#1| (-1065 (-433 (-592))))))) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-1392 ((|#1| $) NIL (|has| |#1| (-1084)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 8 T CONST)) (-4257 (($) 10 T CONST)) (-1940 (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-388))) (($ (-433 (-592)) $) NIL (|has| |#1| (-388))))) 
-(((-1027 |#1|) (-1025 |#1|) (-194)) (T -1027)) 
-NIL 
-(-1025 |#1|) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2126 (((-141) $ (-790)) NIL)) (-3001 (($) NIL T CONST)) (-4179 (($ $) 20)) (-4105 (($ (-658 |#1|)) 29)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-4233 (((-790) $) 22)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4137 ((|#1| $) 24)) (-2113 (($ |#1| $) 15)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1476 ((|#1| $) 23)) (-2106 ((|#1| $) 19)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1659 ((|#1| |#1| $) 14)) (-2943 (((-141) $) 17)) (-2890 (($) NIL)) (-1716 ((|#1| $) 18)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) NIL)) (-2829 ((|#1| $) 26)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1028 |#1|) (-13 (-1023 |#1|) (-10 -8 (-15 -4105 ($ (-658 |#1|))) (-15 -1716 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -1659 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -1476 (|#1| $)) (-15 -2829 (|#1| $)) (-15 -4179 ($ $)) (-15 -4233 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) (-1119)) (T -1028)) 
-((-1724 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-2890 (*1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) (-2554 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1028 *4)) (-4 *4 (-1119)))) (-4345 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1028 *4)) (-4 *4 (-1119)))) (-2126 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1028 *4)) (-4 *4 (-1119)))) (-3001 (*1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-1028 *3)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-1028 *3)))) (-3369 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1028 *4)))) (-3002 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1028 *4)))) (-3452 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-1028 *4)))) (-4004 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) (-4467 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) (-3452 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3133 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2685 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2951 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1641 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-4560 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1028 *3)))) (-2106 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-4137 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-1659 (*1 *2 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-1716 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-4179 (*1 *1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) (-1476 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-2829 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) (-4105 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1028 *3))))) 
-(-13 (-1023 |#1|) (-10 -8 (-15 -4105 ($ (-658 |#1|))) (-15 -1716 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -1659 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -1476 (|#1| $)) (-15 -2829 (|#1| $)) (-15 -4179 ($ $)) (-15 -4233 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) 
-((-1442 (($ $) 12)) (-4422 (($ $ (-592)) 13))) 
-(((-1029 |#1|) (-10 -8 (-15 -1442 (|#1| |#1|)) (-15 -4422 (|#1| |#1| (-592)))) (-1030)) (T -1029)) 
-NIL 
-(-10 -8 (-15 -1442 (|#1| |#1|)) (-15 -4422 (|#1| |#1| (-592)))) 
-((-1442 (($ $) 6)) (-4422 (($ $ (-592)) 7)) (** (($ $ (-433 (-592))) 8))) 
-(((-1030) (-1311)) (T -1030)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-1030)) (-5 *2 (-433 (-592))))) (-4422 (*1 *1 *1 *2) (-12 (-4 *1 (-1030)) (-5 *2 (-592)))) (-1442 (*1 *1 *1) (-4 *1 (-1030)))) 
-(-13 (-10 -8 (-15 -1442 ($ $)) (-15 -4422 ($ $ (-592))) (-15 ** ($ $ (-433 (-592)))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4094 (((-2 (|:| |num| (-1280 |#2|)) (|:| |den| |#2|)) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| (-433 |#2|) (-388)))) (-1555 (($ $) NIL (|has| (-433 |#2|) (-388)))) (-1313 (((-141) $) NIL (|has| (-433 |#2|) (-388)))) (-1800 (((-706 (-433 |#2|)) (-1280 $)) NIL) (((-706 (-433 |#2|))) NIL)) (-4529 (((-433 |#2|) $) NIL)) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| (-433 |#2|) (-373)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| (-433 |#2|) (-388)))) (-3164 (((-444 $) $) NIL (|has| (-433 |#2|) (-388)))) (-3652 (((-141) $ $) NIL (|has| (-433 |#2|) (-388)))) (-1403 (((-790)) NIL (|has| (-433 |#2|) (-394)))) (-4578 (((-141)) NIL)) (-2105 (((-141) |#1|) 147) (((-141) |#2|) 152)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| (-433 |#2|) (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-433 |#2|) (-1065 (-433 (-592))))) (((-3 (-433 |#2|) "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| (-433 |#2|) (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| (-433 |#2|) (-1065 (-433 (-592))))) (((-433 |#2|) $) NIL)) (-1626 (($ (-1280 (-433 |#2|)) (-1280 $)) NIL) (($ (-1280 (-433 |#2|))) 70) (($ (-1280 |#2|) |#2|) NIL)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-433 |#2|) (-373)))) (-1586 (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-4493 (((-706 (-433 |#2|)) $ (-1280 $)) NIL) (((-706 (-433 |#2|)) $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-433 |#2|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-433 |#2|) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-433 |#2|))) (|:| |vec| (-1280 (-433 |#2|)))) (-706 $) (-1280 $)) NIL) (((-706 (-433 |#2|)) (-706 $)) NIL)) (-1872 (((-1280 $) (-1280 $)) NIL)) (-3657 (($ |#3|) 65) (((-3 $ "failed") (-433 |#3|)) NIL (|has| (-433 |#2|) (-388)))) (-3371 (((-3 $ "failed") $) NIL)) (-3969 (((-658 (-658 |#1|))) NIL (|has| |#1| (-394)))) (-2619 (((-141) |#1| |#1|) NIL)) (-4175 (((-944)) NIL)) (-4290 (($) NIL (|has| (-433 |#2|) (-394)))) (-1634 (((-141)) NIL)) (-2282 (((-141) |#1|) 56) (((-141) |#2|) 149)) (-1599 (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| (-433 |#2|) (-388)))) (-3262 (($ $) NIL)) (-2667 (($) NIL (|has| (-433 |#2|) (-373)))) (-3293 (((-141) $) NIL (|has| (-433 |#2|) (-373)))) (-1525 (($ $ (-790)) NIL (|has| (-433 |#2|) (-373))) (($ $) NIL (|has| (-433 |#2|) (-373)))) (-2802 (((-141) $) NIL (|has| (-433 |#2|) (-388)))) (-4346 (((-944) $) NIL (|has| (-433 |#2|) (-373))) (((-855 (-944)) $) NIL (|has| (-433 |#2|) (-373)))) (-3558 (((-141) $) NIL)) (-3804 (((-790)) NIL)) (-3655 (((-1280 $) (-1280 $)) NIL)) (-2793 (((-433 |#2|) $) NIL)) (-2010 (((-658 (-980 |#1|)) (-1191)) NIL (|has| |#1| (-388)))) (-3921 (((-3 $ "failed") $) NIL (|has| (-433 |#2|) (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| (-433 |#2|) (-388)))) (-3504 ((|#3| $) NIL (|has| (-433 |#2|) (-388)))) (-3546 (((-944) $) NIL (|has| (-433 |#2|) (-394)))) (-3650 ((|#3| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| (-433 |#2|) (-388))) (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-2685 (((-1173) $) NIL)) (-3757 (((-706 (-433 |#2|))) 52)) (-1346 (((-706 (-433 |#2|))) 51)) (-4552 (($ $) NIL (|has| (-433 |#2|) (-388)))) (-2482 (($ (-1280 |#2|) |#2|) 71)) (-2925 (((-706 (-433 |#2|))) 50)) (-4373 (((-706 (-433 |#2|))) 49)) (-3406 (((-2 (|:| |num| (-706 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-1645 (((-2 (|:| |num| (-1280 |#2|)) (|:| |den| |#2|)) $) 77)) (-3720 (((-1280 $)) 46)) (-4023 (((-1280 $)) 45)) (-3717 (((-141) $) NIL)) (-4551 (((-141) $) NIL) (((-141) $ |#1|) NIL) (((-141) $ |#2|) NIL)) (-3703 (($) NIL (|has| (-433 |#2|) (-373)) CONST)) (-1825 (($ (-944)) NIL (|has| (-433 |#2|) (-394)))) (-3560 (((-3 |#2| "failed")) 63)) (-2951 (((-1137) $) NIL)) (-3918 (((-790)) NIL)) (-2934 (($) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| (-433 |#2|) (-388)))) (-3548 (($ (-658 $)) NIL (|has| (-433 |#2|) (-388))) (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| (-433 |#2|) (-373)))) (-4500 (((-444 $) $) NIL (|has| (-433 |#2|) (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-433 |#2|) (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| (-433 |#2|) (-388)))) (-3616 (((-3 $ "failed") $ $) NIL (|has| (-433 |#2|) (-388)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| (-433 |#2|) (-388)))) (-2769 (((-790) $) NIL (|has| (-433 |#2|) (-388)))) (-1405 (((-658 $)) NIL (|has| (-433 |#2|) (-394)))) (-3927 ((|#1| $ |#1| |#1|) NIL)) (-3143 (((-3 |#2| "failed")) 62)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| (-433 |#2|) (-388)))) (-1482 (((-433 |#2|) (-1280 $)) NIL) (((-433 |#2|)) 42)) (-2177 (((-790) $) NIL (|has| (-433 |#2|) (-373))) (((-3 (-790) "failed") $ $) NIL (|has| (-433 |#2|) (-373)))) (-3644 (($ $ (-1 (-433 |#2|) (-433 |#2|)) (-790)) NIL (|has| (-433 |#2|) (-388))) (($ $ (-1 (-433 |#2|) (-433 |#2|))) NIL (|has| (-433 |#2|) (-388))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-790)) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373)))) (($ $) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373))))) (-4174 (((-706 (-433 |#2|)) (-1280 $) (-1 (-433 |#2|) (-433 |#2|))) NIL (|has| (-433 |#2|) (-388)))) (-3390 ((|#3|) 53)) (-3809 (($) NIL (|has| (-433 |#2|) (-373)))) (-2231 (((-1280 (-433 |#2|)) $ (-1280 $)) NIL) (((-706 (-433 |#2|)) (-1280 $) (-1280 $)) NIL) (((-1280 (-433 |#2|)) $) 72) (((-706 (-433 |#2|)) (-1280 $)) NIL)) (-1778 (((-1280 (-433 |#2|)) $) NIL) (($ (-1280 (-433 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| (-433 |#2|) (-373)))) (-3985 (((-1280 $) (-1280 $)) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 |#2|)) NIL) (($ (-433 (-592))) NIL (-3836 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-1065 (-433 (-592)))))) (($ $) NIL (|has| (-433 |#2|) (-388)))) (-1517 (($ $) NIL (|has| (-433 |#2|) (-373))) (((-3 $ "failed") $) NIL (|has| (-433 |#2|) (-169)))) (-4198 ((|#3| $) NIL)) (-4010 (((-790)) NIL)) (-2457 (((-141)) 60)) (-2576 (((-141) |#1|) 153) (((-141) |#2|) 154)) (-2195 (((-1280 $)) 124)) (-2537 (((-141) $ $) NIL (|has| (-433 |#2|) (-388)))) (-3748 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3059 (((-141)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-433 |#2|) (-388)))) (-3514 (($) 94 T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1 (-433 |#2|) (-433 |#2|)) (-790)) NIL (|has| (-433 |#2|) (-388))) (($ $ (-1 (-433 |#2|) (-433 |#2|))) NIL (|has| (-433 |#2|) (-388))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| (-433 |#2|) (-388)) (|has| (-433 |#2|) (-922 (-1191))))) (($ $ (-790)) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373)))) (($ $) NIL (-3836 (-12 (|has| (-433 |#2|) (-247)) (|has| (-433 |#2|) (-388))) (|has| (-433 |#2|) (-373))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ $) NIL (|has| (-433 |#2|) (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-433 |#2|) (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 |#2|)) NIL) (($ (-433 |#2|) $) NIL) (($ (-433 (-592)) $) NIL (|has| (-433 |#2|) (-388))) (($ $ (-433 (-592))) NIL (|has| (-433 |#2|) (-388))))) 
-(((-1031 |#1| |#2| |#3| |#4| |#5|) (-362 |#1| |#2| |#3|) (-1235) (-1255 |#1|) (-1255 (-433 |#2|)) (-433 |#2|) (-790)) (T -1031)) 
-NIL 
-(-362 |#1| |#2| |#3|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3419 (((-658 (-592)) $) 54)) (-3601 (($ (-658 (-592))) 62)) (-1505 (((-592) $) 40 (|has| (-592) (-323)))) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL (|has| (-592) (-842)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) 49) (((-3 (-1191) "failed") $) NIL (|has| (-592) (-1065 (-1191)))) (((-3 (-433 (-592)) "failed") $) 47 (|has| (-592) (-1065 (-592)))) (((-3 (-592) "failed") $) 49 (|has| (-592) (-1065 (-592))))) (-2400 (((-592) $) NIL) (((-1191) $) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) NIL (|has| (-592) (-1065 (-592)))) (((-592) $) NIL (|has| (-592) (-1065 (-592))))) (-1586 (($ $ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| (-592) (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4290 (($) NIL (|has| (-592) (-574)))) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1611 (((-658 (-592)) $) 60)) (-1691 (((-141) $) NIL (|has| (-592) (-842)))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (|has| (-592) (-908 (-592)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (|has| (-592) (-908 (-405))))) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL)) (-1448 (((-592) $) 37)) (-3921 (((-3 $ "failed") $) NIL (|has| (-592) (-1165)))) (-1324 (((-141) $) NIL (|has| (-592) (-842)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-2731 (($ (-1 (-592) (-592)) $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL)) (-3703 (($) NIL (|has| (-592) (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-3856 (($ $) NIL (|has| (-592) (-323))) (((-433 (-592)) $) 42)) (-3812 (((-1171 (-592)) $) 59)) (-4419 (($ (-658 (-592)) (-658 (-592))) 63)) (-2039 (((-592) $) 53 (|has| (-592) (-574)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| (-592) (-931)))) (-4500 (((-444 $) $) NIL)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2806 (($ $ (-658 (-592)) (-658 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-592) (-592)) NIL (|has| (-592) (-325 (-592)))) (($ $ (-310 (-592))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-310 (-592)))) NIL (|has| (-592) (-325 (-592)))) (($ $ (-658 (-1191)) (-658 (-592))) NIL (|has| (-592) (-547 (-1191) (-592)))) (($ $ (-1191) (-592)) NIL (|has| (-592) (-547 (-1191) (-592))))) (-2769 (((-790) $) NIL)) (-3927 (($ $ (-592)) NIL (|has| (-592) (-303 (-592) (-592))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $) 11 (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-2782 (($ $) NIL)) (-1456 (((-592) $) 39)) (-3393 (((-658 (-592)) $) 61)) (-1778 (((-914 (-592)) $) NIL (|has| (-592) (-633 (-914 (-592))))) (((-914 (-405)) $) NIL (|has| (-592) (-633 (-914 (-405))))) (((-565) $) NIL (|has| (-592) (-633 (-565)))) (((-405) $) NIL (|has| (-592) (-1049))) (((-237) $) NIL (|has| (-592) (-1049)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-592) (-931))))) (-1683 (((-877) $) 77) (($ (-592)) 43) (($ $) NIL) (($ (-433 (-592))) 19) (($ (-592)) 43) (($ (-1191)) NIL (|has| (-592) (-1065 (-1191)))) (((-433 (-592)) $) 17)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-592) (-931))) (|has| (-592) (-169))))) (-4010 (((-790)) 9)) (-2744 (((-592) $) 51 (|has| (-592) (-574)))) (-2537 (((-141) $ $) NIL)) (-1392 (($ $) NIL (|has| (-592) (-842)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 10 T CONST)) (-4257 (($) 12 T CONST)) (-1940 (($ $) NIL (|has| (-592) (-247))) (($ $ (-790)) NIL (|has| (-592) (-247))) (($ $ (-1191)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| (-592) (-922 (-1191)))) (($ $ (-1 (-592) (-592)) (-790)) NIL) (($ $ (-1 (-592) (-592))) NIL)) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) 14)) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) 33 (|has| (-592) (-869)))) (-3313 (($ $ $) 29) (($ (-592) (-592)) 31)) (-3306 (($ $) 15) (($ $ $) 22)) (-3300 (($ $ $) 20)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 25) (($ $ $) 27) (($ $ (-433 (-592))) NIL) (($ (-433 (-592)) $) NIL) (($ (-592) $) 25) (($ $ (-592)) NIL))) 
-(((-1032 |#1|) (-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -3419 ((-658 (-592)) $)) (-15 -3812 ((-1171 (-592)) $)) (-15 -1611 ((-658 (-592)) $)) (-15 -3393 ((-658 (-592)) $)) (-15 -3601 ($ (-658 (-592)))) (-15 -4419 ($ (-658 (-592)) (-658 (-592)))))) (-592)) (T -1032)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-3856 (*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-3419 (*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-3812 (*1 *2 *1) (-12 (-5 *2 (-1171 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-1611 (*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-3393 (*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-3601 (*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) (-4419 (*1 *1 *2 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(-13 (-1021 (-592)) (-10 -8 (-15 -1683 ((-433 (-592)) $)) (-15 -3856 ((-433 (-592)) $)) (-15 -3419 ((-658 (-592)) $)) (-15 -3812 ((-1171 (-592)) $)) (-15 -1611 ((-658 (-592)) $)) (-15 -3393 ((-658 (-592)) $)) (-15 -3601 ($ (-658 (-592)))) (-15 -4419 ($ (-658 (-592)) (-658 (-592)))))) 
-((-3185 (((-57) (-433 (-592)) (-592)) 9))) 
-(((-1033) (-10 -7 (-15 -3185 ((-57) (-433 (-592)) (-592))))) (T -1033)) 
-((-3185 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-592))) (-5 *4 (-592)) (-5 *2 (-57)) (-5 *1 (-1033))))) 
-(-10 -7 (-15 -3185 ((-57) (-433 (-592)) (-592)))) 
-((-1403 (((-592)) 13)) (-2103 (((-592)) 16)) (-1769 (((-1285) (-592)) 15)) (-4583 (((-592) (-592)) 17) (((-592)) 12))) 
-(((-1034) (-10 -7 (-15 -4583 ((-592))) (-15 -1403 ((-592))) (-15 -4583 ((-592) (-592))) (-15 -1769 ((-1285) (-592))) (-15 -2103 ((-592))))) (T -1034)) 
-((-2103 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034)))) (-1769 (*1 *2 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1034)))) (-4583 (*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034)))) (-1403 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034)))) (-4583 (*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034))))) 
-(-10 -7 (-15 -4583 ((-592))) (-15 -1403 ((-592))) (-15 -4583 ((-592) (-592))) (-15 -1769 ((-1285) (-592))) (-15 -2103 ((-592)))) 
-((-3082 (((-444 |#1|) |#1|) 40)) (-4500 (((-444 |#1|) |#1|) 39))) 
-(((-1035 |#1|) (-10 -7 (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3082 ((-444 |#1|) |#1|))) (-1255 (-433 (-592)))) (T -1035)) 
-((-3082 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1035 *3)) (-4 *3 (-1255 (-433 (-592)))))) (-4500 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1035 *3)) (-4 *3 (-1255 (-433 (-592))))))) 
-(-10 -7 (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3082 ((-444 |#1|) |#1|))) 
-((-4182 (((-3 (-433 (-592)) "failed") |#1|) 14)) (-2435 (((-141) |#1|) 13)) (-2270 (((-433 (-592)) |#1|) 9))) 
-(((-1036 |#1|) (-10 -7 (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|))) (-1065 (-433 (-592)))) (T -1036)) 
-((-4182 (*1 *2 *3) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-1036 *3)) (-4 *3 (-1065 *2)))) (-2435 (*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-1036 *3)) (-4 *3 (-1065 (-433 (-592)))))) (-2270 (*1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1036 *3)) (-4 *3 (-1065 *2))))) 
-(-10 -7 (-15 -2270 ((-433 (-592)) |#1|)) (-15 -2435 ((-141) |#1|)) (-15 -4182 ((-3 (-433 (-592)) "failed") |#1|))) 
-((-3932 ((|#2| $ "value" |#2|) 12)) (-3927 ((|#2| $ "value") 10)) (-2936 (((-141) $ $) 18))) 
-(((-1037 |#1| |#2|) (-10 -8 (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -2936 ((-141) |#1| |#1|)) (-15 -3927 (|#2| |#1| "value"))) (-1038 |#2|) (-1225)) (T -1037)) 
-NIL 
-(-10 -8 (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -2936 ((-141) |#1| |#1|)) (-15 -3927 (|#2| |#1| "value"))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3001 (($) 7 T CONST)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44)) (-2920 (((-592) $ $) 41)) (-3228 (((-141) $) 43)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1038 |#1|) (-1311) (-1225)) (T -1038)) 
-((-2493 (*1 *2 *1) (-12 (-4 *3 (-1225)) (-5 *2 (-658 *1)) (-4 *1 (-1038 *3)))) (-2774 (*1 *2 *1) (-12 (-4 *3 (-1225)) (-5 *2 (-658 *1)) (-4 *1 (-1038 *3)))) (-3683 (*1 *2 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) (-2324 (*1 *2 *1) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1225)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1038 *2)) (-4 *2 (-1225)))) (-3228 (*1 *2 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) (-4063 (*1 *2 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-658 *3)))) (-2920 (*1 *2 *1 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-592)))) (-2936 (*1 *2 *1 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-3055 (*1 *2 *1 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-4294 (*1 *1 *1 *2) (-12 (-5 *2 (-658 *1)) (|has| *1 (-6 -4626)) (-4 *1 (-1038 *3)) (-4 *3 (-1225)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4626)) (-4 *1 (-1038 *2)) (-4 *2 (-1225)))) (-3047 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1038 *2)) (-4 *2 (-1225))))) 
-(-13 (-523 |t#1|) (-10 -8 (-15 -2493 ((-658 $) $)) (-15 -2774 ((-658 $) $)) (-15 -3683 ((-141) $)) (-15 -2324 (|t#1| $)) (-15 -3927 (|t#1| $ "value")) (-15 -3228 ((-141) $)) (-15 -4063 ((-658 |t#1|) $)) (-15 -2920 ((-592) $ $)) (IF (|has| |t#1| (-1119)) (PROGN (-15 -2936 ((-141) $ $)) (-15 -3055 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4626)) (PROGN (-15 -4294 ($ $ (-658 $))) (-15 -3932 (|t#1| $ "value" |t#1|)) (-15 -3047 (|t#1| $ |t#1|))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-1442 (($ $) 9) (($ $ (-790)) 43) (($ (-433 (-592))) 12) (($ (-592)) 15)) (-3906 (((-3 $ "failed") (-1187 $) (-944) (-877)) 23) (((-3 $ "failed") (-1187 $) (-944)) 28)) (-4422 (($ $ (-592)) 49)) (-4010 (((-790)) 16)) (-3740 (((-658 $) (-1187 $)) NIL) (((-658 $) (-1187 (-433 (-592)))) 54) (((-658 $) (-1187 (-592))) 59) (((-658 $) (-980 $)) 63) (((-658 $) (-980 (-433 (-592)))) 67) (((-658 $) (-980 (-592))) 71)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL) (($ $ (-433 (-592))) 47))) 
-(((-1039 |#1|) (-10 -8 (-15 -1442 (|#1| (-592))) (-15 -1442 (|#1| (-433 (-592)))) (-15 -1442 (|#1| |#1| (-790))) (-15 -3740 ((-658 |#1|) (-980 (-592)))) (-15 -3740 ((-658 |#1|) (-980 (-433 (-592))))) (-15 -3740 ((-658 |#1|) (-980 |#1|))) (-15 -3740 ((-658 |#1|) (-1187 (-592)))) (-15 -3740 ((-658 |#1|) (-1187 (-433 (-592))))) (-15 -3740 ((-658 |#1|) (-1187 |#1|))) (-15 -3906 ((-3 |#1| "failed") (-1187 |#1|) (-944))) (-15 -3906 ((-3 |#1| "failed") (-1187 |#1|) (-944) (-877))) (-15 ** (|#1| |#1| (-433 (-592)))) (-15 -4422 (|#1| |#1| (-592))) (-15 -1442 (|#1| |#1|)) (-15 ** (|#1| |#1| (-592))) (-15 -4010 ((-790))) (-15 ** (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-944)))) (-1040)) (T -1039)) 
-((-4010 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1039 *3)) (-4 *3 (-1040))))) 
-(-10 -8 (-15 -1442 (|#1| (-592))) (-15 -1442 (|#1| (-433 (-592)))) (-15 -1442 (|#1| |#1| (-790))) (-15 -3740 ((-658 |#1|) (-980 (-592)))) (-15 -3740 ((-658 |#1|) (-980 (-433 (-592))))) (-15 -3740 ((-658 |#1|) (-980 |#1|))) (-15 -3740 ((-658 |#1|) (-1187 (-592)))) (-15 -3740 ((-658 |#1|) (-1187 (-433 (-592))))) (-15 -3740 ((-658 |#1|) (-1187 |#1|))) (-15 -3906 ((-3 |#1| "failed") (-1187 |#1|) (-944))) (-15 -3906 ((-3 |#1| "failed") (-1187 |#1|) (-944) (-877))) (-15 ** (|#1| |#1| (-433 (-592)))) (-15 -4422 (|#1| |#1| (-592))) (-15 -1442 (|#1| |#1|)) (-15 ** (|#1| |#1| (-592))) (-15 -4010 ((-790))) (-15 ** (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 88)) (-1555 (($ $) 89)) (-1313 (((-141) $) 91)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 108)) (-3164 (((-444 $) $) 109)) (-1442 (($ $) 72) (($ $ (-790)) 58) (($ (-433 (-592))) 57) (($ (-592)) 56)) (-3652 (((-141) $ $) 99)) (-3940 (((-592) $) 126)) (-3001 (($) 16 T CONST)) (-3906 (((-3 $ "failed") (-1187 $) (-944) (-877)) 66) (((-3 $ "failed") (-1187 $) (-944)) 65)) (-4368 (((-3 (-592) "failed") $) 84 (|has| (-433 (-592)) (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 82 (|has| (-433 (-592)) (-1065 (-433 (-592))))) (((-3 (-433 (-592)) "failed") $) 80)) (-2400 (((-592) $) 85 (|has| (-433 (-592)) (-1065 (-592)))) (((-433 (-592)) $) 83 (|has| (-433 (-592)) (-1065 (-433 (-592))))) (((-433 (-592)) $) 79)) (-4548 (($ $ (-877)) 55)) (-4460 (($ $ (-877)) 54)) (-1586 (($ $ $) 103)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 102)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 97)) (-2802 (((-141) $) 110)) (-1691 (((-141) $) 124)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 71)) (-1324 (((-141) $) 125)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 106)) (-1837 (($ $ $) 123)) (-3319 (($ $ $) 122)) (-1514 (((-3 (-1187 $) "failed") $) 67)) (-4385 (((-3 (-877) "failed") $) 69)) (-2235 (((-3 (-1187 $) "failed") $) 68)) (-2750 (($ (-658 $)) 95) (($ $ $) 94)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 111)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 96)) (-3548 (($ (-658 $)) 93) (($ $ $) 92)) (-4500 (((-444 $) $) 107)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 104)) (-3616 (((-3 $ "failed") $ $) 87)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 98)) (-2769 (((-790) $) 100)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 101)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 116) (($ $) 86) (($ (-433 (-592))) 81) (($ (-592)) 78) (($ (-433 (-592))) 75)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 90)) (-2642 (((-433 (-592)) $ $) 53)) (-3740 (((-658 $) (-1187 $)) 64) (((-658 $) (-1187 (-433 (-592)))) 63) (((-658 $) (-1187 (-592))) 62) (((-658 $) (-980 $)) 61) (((-658 $) (-980 (-433 (-592)))) 60) (((-658 $) (-980 (-592))) 59)) (-1392 (($ $) 127)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 112)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 120)) (-3273 (((-141) $ $) 119)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 121)) (-3266 (((-141) $ $) 118)) (-3313 (($ $ $) 117)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 113) (($ $ (-433 (-592))) 70)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ (-433 (-592)) $) 115) (($ $ (-433 (-592))) 114) (($ (-592) $) 77) (($ $ (-592)) 76) (($ (-433 (-592)) $) 74) (($ $ (-433 (-592))) 73))) 
-(((-1040) (-1311)) (T -1040)) 
-((-1442 (*1 *1 *1) (-4 *1 (-1040))) (-4385 (*1 *2 *1) (|partial| -12 (-4 *1 (-1040)) (-5 *2 (-877)))) (-2235 (*1 *2 *1) (|partial| -12 (-5 *2 (-1187 *1)) (-4 *1 (-1040)))) (-1514 (*1 *2 *1) (|partial| -12 (-5 *2 (-1187 *1)) (-4 *1 (-1040)))) (-3906 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1187 *1)) (-5 *3 (-944)) (-5 *4 (-877)) (-4 *1 (-1040)))) (-3906 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1187 *1)) (-5 *3 (-944)) (-4 *1 (-1040)))) (-3740 (*1 *2 *3) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-1040)) (-5 *2 (-658 *1)))) (-3740 (*1 *2 *3) (-12 (-5 *3 (-1187 (-433 (-592)))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) (-3740 (*1 *2 *3) (-12 (-5 *3 (-1187 (-592))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) (-3740 (*1 *2 *3) (-12 (-5 *3 (-980 *1)) (-4 *1 (-1040)) (-5 *2 (-658 *1)))) (-3740 (*1 *2 *3) (-12 (-5 *3 (-980 (-433 (-592)))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) (-3740 (*1 *2 *3) (-12 (-5 *3 (-980 (-592))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) (-1442 (*1 *1 *1 *2) (-12 (-4 *1 (-1040)) (-5 *2 (-790)))) (-1442 (*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-4 *1 (-1040)))) (-1442 (*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1040)))) (-4548 (*1 *1 *1 *2) (-12 (-4 *1 (-1040)) (-5 *2 (-877)))) (-4460 (*1 *1 *1 *2) (-12 (-4 *1 (-1040)) (-5 *2 (-877)))) (-2642 (*1 *2 *1 *1) (-12 (-4 *1 (-1040)) (-5 *2 (-433 (-592)))))) 
-(-13 (-171) (-867) (-194) (-388) (-437 (-433 (-592))) (-43 (-592)) (-43 (-433 (-592))) (-1030) (-10 -8 (-15 -4385 ((-3 (-877) "failed") $)) (-15 -2235 ((-3 (-1187 $) "failed") $)) (-15 -1514 ((-3 (-1187 $) "failed") $)) (-15 -3906 ((-3 $ "failed") (-1187 $) (-944) (-877))) (-15 -3906 ((-3 $ "failed") (-1187 $) (-944))) (-15 -3740 ((-658 $) (-1187 $))) (-15 -3740 ((-658 $) (-1187 (-433 (-592))))) (-15 -3740 ((-658 $) (-1187 (-592)))) (-15 -3740 ((-658 $) (-980 $))) (-15 -3740 ((-658 $) (-980 (-433 (-592))))) (-15 -3740 ((-658 $) (-980 (-592)))) (-15 -1442 ($ $ (-790))) (-15 -1442 ($ $)) (-15 -1442 ($ (-433 (-592)))) (-15 -1442 ($ (-592))) (-15 -4548 ($ $ (-877))) (-15 -4460 ($ $ (-877))) (-15 -2642 ((-433 (-592)) $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 (-592)) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 (-592) (-592)) . T) ((-140 $ $) . T) ((-158) . T) ((-171) . T) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-437 (-433 (-592))) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 (-592)) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 (-592)) . T) ((-734 $) . T) ((-743) . T) ((-813) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-867) . T) ((-869) . T) ((-943) . T) ((-1030) . T) ((-1065 (-433 (-592))) . T) ((-1065 (-592)) |has| (-433 (-592)) (-1065 (-592))) ((-1081 (-433 (-592))) . T) ((-1081 (-592)) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-2521 (((-2 (|:| |ans| |#2|) (|:| -1954 |#2|) (|:| |sol?| (-141))) (-592) |#2| |#2| (-1191) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-658 |#2|)) (-1 (-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
-(((-1041 |#1| |#2|) (-10 -7 (-15 -2521 ((-2 (|:| |ans| |#2|) (|:| -1954 |#2|) (|:| |sol?| (-141))) (-592) |#2| |#2| (-1191) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-658 |#2|)) (-1 (-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-27) (-456 |#1|))) (T -1041)) 
-((-2521 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1191)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-658 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3191 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1211) (-27) (-456 *8))) (-4 *8 (-13 (-477) (-869) (-171) (-1065 *3) (-654 *3))) (-5 *3 (-592)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1954 *4) (|:| |sol?| (-141)))) (-5 *1 (-1041 *8 *4))))) 
-(-10 -7 (-15 -2521 ((-2 (|:| |ans| |#2|) (|:| -1954 |#2|) (|:| |sol?| (-141))) (-592) |#2| |#2| (-1191) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-658 |#2|)) (-1 (-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-2038 (((-3 (-658 |#2|) "failed") (-592) |#2| |#2| |#2| (-1191) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-658 |#2|)) (-1 (-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
-(((-1042 |#1| |#2|) (-10 -7 (-15 -2038 ((-3 (-658 |#2|) "failed") (-592) |#2| |#2| |#2| (-1191) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-658 |#2|)) (-1 (-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592))) (-13 (-1211) (-27) (-456 |#1|))) (T -1042)) 
-((-2038 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1191)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-658 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3191 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1211) (-27) (-456 *8))) (-4 *8 (-13 (-477) (-869) (-171) (-1065 *3) (-654 *3))) (-5 *3 (-592)) (-5 *2 (-658 *4)) (-5 *1 (-1042 *8 *4))))) 
-(-10 -7 (-15 -2038 ((-3 (-658 |#2|) "failed") (-592) |#2| |#2| |#2| (-1191) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-658 |#2|)) (-1 (-3 (-2 (|:| -3191 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-4357 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-141)))) (|:| -2042 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-592)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-592) (-1 |#2| |#2|)) 30)) (-1317 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-433 |#2|)) (|:| |c| (-433 |#2|)) (|:| -4132 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-1 |#2| |#2|)) 56)) (-1864 (((-2 (|:| |ans| (-433 |#2|)) (|:| |nosol| (-141))) (-433 |#2|) (-433 |#2|)) 61))) 
-(((-1043 |#1| |#2|) (-10 -7 (-15 -1317 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-433 |#2|)) (|:| |c| (-433 |#2|)) (|:| -4132 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-1 |#2| |#2|))) (-15 -1864 ((-2 (|:| |ans| (-433 |#2|)) (|:| |nosol| (-141))) (-433 |#2|) (-433 |#2|))) (-15 -4357 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-141)))) (|:| -2042 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-592)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-592) (-1 |#2| |#2|)))) (-13 (-388) (-171) (-1065 (-592))) (-1255 |#1|)) (T -1043)) 
-((-4357 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1255 *6)) (-4 *6 (-13 (-388) (-171) (-1065 *4))) (-5 *4 (-592)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-141)))) (|:| -2042 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1043 *6 *3)))) (-1864 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| |ans| (-433 *5)) (|:| |nosol| (-141)))) (-5 *1 (-1043 *4 *5)) (-5 *3 (-433 *5)))) (-1317 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-433 *6)) (|:| |c| (-433 *6)) (|:| -4132 *6))) (-5 *1 (-1043 *5 *6)) (-5 *3 (-433 *6))))) 
-(-10 -7 (-15 -1317 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-433 |#2|)) (|:| |c| (-433 |#2|)) (|:| -4132 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-1 |#2| |#2|))) (-15 -1864 ((-2 (|:| |ans| (-433 |#2|)) (|:| |nosol| (-141))) (-433 |#2|) (-433 |#2|))) (-15 -4357 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-141)))) (|:| -2042 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-592)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-592) (-1 |#2| |#2|)))) 
-((-1711 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-433 |#2|)) (|:| |h| |#2|) (|:| |c1| (-433 |#2|)) (|:| |c2| (-433 |#2|)) (|:| -4132 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|) (-1 |#2| |#2|)) 22)) (-1377 (((-3 (-658 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|)) 32))) 
-(((-1044 |#1| |#2|) (-10 -7 (-15 -1711 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-433 |#2|)) (|:| |h| |#2|) (|:| |c1| (-433 |#2|)) (|:| |c2| (-433 |#2|)) (|:| -4132 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|) (-1 |#2| |#2|))) (-15 -1377 ((-3 (-658 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|)))) (-13 (-388) (-171) (-1065 (-592))) (-1255 |#1|)) (T -1044)) 
-((-1377 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-433 *5))) (-5 *1 (-1044 *4 *5)) (-5 *3 (-433 *5)))) (-1711 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-433 *6)) (|:| |h| *6) (|:| |c1| (-433 *6)) (|:| |c2| (-433 *6)) (|:| -4132 *6))) (-5 *1 (-1044 *5 *6)) (-5 *3 (-433 *6))))) 
-(-10 -7 (-15 -1711 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-433 |#2|)) (|:| |h| |#2|) (|:| |c1| (-433 |#2|)) (|:| |c2| (-433 |#2|)) (|:| -4132 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|) (-1 |#2| |#2|))) (-15 -1377 ((-3 (-658 (-433 |#2|)) "failed") (-433 |#2|) (-433 |#2|) (-433 |#2|)))) 
-((-3065 (((-1 |#1|) (-658 (-2 (|:| -2324 |#1|) (|:| -3775 (-592))))) 37)) (-3941 (((-1 |#1|) (-1121 |#1|)) 45)) (-3976 (((-1 |#1|) (-1280 |#1|) (-1280 (-592)) (-592)) 34))) 
-(((-1045 |#1|) (-10 -7 (-15 -3941 ((-1 |#1|) (-1121 |#1|))) (-15 -3065 ((-1 |#1|) (-658 (-2 (|:| -2324 |#1|) (|:| -3775 (-592)))))) (-15 -3976 ((-1 |#1|) (-1280 |#1|) (-1280 (-592)) (-592)))) (-1119)) (T -1045)) 
-((-3976 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1280 *6)) (-5 *4 (-1280 (-592))) (-5 *5 (-592)) (-4 *6 (-1119)) (-5 *2 (-1 *6)) (-5 *1 (-1045 *6)))) (-3065 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -2324 *4) (|:| -3775 (-592))))) (-4 *4 (-1119)) (-5 *2 (-1 *4)) (-5 *1 (-1045 *4)))) (-3941 (*1 *2 *3) (-12 (-5 *3 (-1121 *4)) (-4 *4 (-1119)) (-5 *2 (-1 *4)) (-5 *1 (-1045 *4))))) 
-(-10 -7 (-15 -3941 ((-1 |#1|) (-1121 |#1|))) (-15 -3065 ((-1 |#1|) (-658 (-2 (|:| -2324 |#1|) (|:| -3775 (-592)))))) (-15 -3976 ((-1 |#1|) (-1280 |#1|) (-1280 (-592)) (-592)))) 
-((-4346 (((-790) (-356 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
-(((-1046 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4346 ((-790) (-356 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-388) (-1255 |#1|) (-1255 (-433 |#2|)) (-362 |#1| |#2| |#3|) (-13 (-394) (-388))) (T -1046)) 
-((-4346 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-356 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-4 *4 (-1255 (-433 *7))) (-4 *8 (-362 *6 *7 *4)) (-4 *9 (-13 (-394) (-388))) (-5 *2 (-790)) (-5 *1 (-1046 *6 *7 *4 *8 *9))))) 
-(-10 -7 (-15 -4346 ((-790) (-356 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
-((-4028 (((-3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) "failed") |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) 31) (((-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592))) 28)) (-3785 (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592))) 33) (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-433 (-592))) 29) (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) 32) (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1|) 27)) (-2495 (((-658 (-433 (-592))) (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) 19)) (-1408 (((-433 (-592)) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) 16))) 
-(((-1047 |#1|) (-10 -7 (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1|)) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-433 (-592)))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) "failed") |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -1408 ((-433 (-592)) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -2495 ((-658 (-433 (-592))) (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))))) (-1255 (-592))) (T -1047)) 
-((-2495 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *2 (-658 (-433 (-592)))) (-5 *1 (-1047 *4)) (-4 *4 (-1255 (-592))))) (-1408 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *2 (-433 (-592))) (-5 *1 (-1047 *4)) (-4 *4 (-1255 (-592))))) (-4028 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))))) (-4028 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *4 (-433 (-592))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))))) (-3785 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-433 (-592))) (-5 *2 (-658 (-2 (|:| -1961 *5) (|:| -1954 *5)))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))) (-5 *4 (-2 (|:| -1961 *5) (|:| -1954 *5))))) (-3785 (*1 *2 *3 *4) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))) (-5 *4 (-433 (-592))))) (-3785 (*1 *2 *3 *4) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))) (-5 *4 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) (-3785 (*1 *2 *3) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592)))))) 
-(-10 -7 (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1|)) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-433 (-592)))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) "failed") |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -1408 ((-433 (-592)) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -2495 ((-658 (-433 (-592))) (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))))) 
-((-4028 (((-3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) "failed") |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) 35) (((-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592))) 32)) (-3785 (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592))) 30) (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-433 (-592))) 26) (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) 28) (((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1|) 24))) 
-(((-1048 |#1|) (-10 -7 (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1|)) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-433 (-592)))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) "failed") |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) (-1255 (-433 (-592)))) (T -1048)) 
-((-4028 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 (-433 (-592)))))) (-4028 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *4 (-433 (-592))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 *4)))) (-3785 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-433 (-592))) (-5 *2 (-658 (-2 (|:| -1961 *5) (|:| -1954 *5)))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 *5)) (-5 *4 (-2 (|:| -1961 *5) (|:| -1954 *5))))) (-3785 (*1 *2 *3 *4) (-12 (-5 *4 (-433 (-592))) (-5 *2 (-658 (-2 (|:| -1961 *4) (|:| -1954 *4)))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 *4)))) (-3785 (*1 *2 *3 *4) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 (-433 (-592)))) (-5 *4 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) (-3785 (*1 *2 *3) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 (-433 (-592))))))) 
-(-10 -7 (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1|)) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-433 (-592)))) (-15 -3785 ((-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-433 (-592)))) (-15 -4028 ((-3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) "failed") |#1| (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))) (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) 
-((-1778 (((-237) $) 6) (((-405) $) 8))) 
-(((-1049) (-1311)) (T -1049)) 
-NIL 
-(-13 (-633 (-237)) (-633 (-405))) 
-(((-633 (-237)) . T) ((-633 (-405)) . T)) 
-((-4005 (((-658 (-405)) (-980 (-592)) (-405)) 27) (((-658 (-405)) (-980 (-433 (-592))) (-405)) 26)) (-3006 (((-658 (-658 (-405))) (-658 (-980 (-592))) (-658 (-1191)) (-405)) 36))) 
-(((-1050) (-10 -7 (-15 -4005 ((-658 (-405)) (-980 (-433 (-592))) (-405))) (-15 -4005 ((-658 (-405)) (-980 (-592)) (-405))) (-15 -3006 ((-658 (-658 (-405))) (-658 (-980 (-592))) (-658 (-1191)) (-405))))) (T -1050)) 
-((-3006 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-658 (-1191))) (-5 *2 (-658 (-658 (-405)))) (-5 *1 (-1050)) (-5 *5 (-405)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-980 (-592))) (-5 *2 (-658 (-405))) (-5 *1 (-1050)) (-5 *4 (-405)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-980 (-433 (-592)))) (-5 *2 (-658 (-405))) (-5 *1 (-1050)) (-5 *4 (-405))))) 
-(-10 -7 (-15 -4005 ((-658 (-405)) (-980 (-433 (-592))) (-405))) (-15 -4005 ((-658 (-405)) (-980 (-592)) (-405))) (-15 -3006 ((-658 (-658 (-405))) (-658 (-980 (-592))) (-658 (-1191)) (-405)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 70)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-1442 (($ $) NIL) (($ $ (-790)) NIL) (($ (-433 (-592))) NIL) (($ (-592)) NIL)) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) 65)) (-3001 (($) NIL T CONST)) (-3906 (((-3 $ "failed") (-1187 $) (-944) (-877)) NIL) (((-3 $ "failed") (-1187 $) (-944)) 49)) (-4368 (((-3 (-433 (-592)) "failed") $) NIL (|has| (-433 (-592)) (-1065 (-433 (-592))))) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-592) "failed") $) NIL (-3836 (|has| (-433 (-592)) (-1065 (-592))) (|has| |#1| (-1065 (-592)))))) (-2400 (((-433 (-592)) $) 14 (|has| (-433 (-592)) (-1065 (-433 (-592))))) (((-433 (-592)) $) 14) ((|#1| $) 109) (((-592) $) NIL (-3836 (|has| (-433 (-592)) (-1065 (-592))) (|has| |#1| (-1065 (-592)))))) (-4548 (($ $ (-877)) 40)) (-4460 (($ $ (-877)) 41)) (-1586 (($ $ $) NIL)) (-4216 (((-433 (-592)) $ $) 18)) (-3371 (((-3 $ "failed") $) 83)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-1691 (((-141) $) 60)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL)) (-1324 (((-141) $) 63)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-1514 (((-3 (-1187 $) "failed") $) 78)) (-4385 (((-3 (-877) "failed") $) 77)) (-2235 (((-3 (-1187 $) "failed") $) 75)) (-2372 (((-3 (-1085 $ (-1187 $)) "failed") $) 73)) (-2750 (($ (-658 $)) NIL) (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 84)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ (-658 $)) NIL) (($ $ $) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-1683 (((-877) $) 82) (($ (-592)) NIL) (($ (-433 (-592))) NIL) (($ $) 57) (($ (-433 (-592))) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL) (($ |#1|) 111)) (-4010 (((-790)) NIL)) (-2537 (((-141) $ $) NIL)) (-2642 (((-433 (-592)) $ $) 24)) (-3740 (((-658 $) (-1187 $)) 55) (((-658 $) (-1187 (-433 (-592)))) NIL) (((-658 $) (-1187 (-592))) NIL) (((-658 $) (-980 $)) NIL) (((-658 $) (-980 (-433 (-592)))) NIL) (((-658 $) (-980 (-592))) NIL)) (-2765 (($ (-1085 $ (-1187 $)) (-877)) 39)) (-1392 (($ $) 19)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL)) (-3514 (($) 28 T CONST)) (-4257 (($) 34 T CONST)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 71)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 21)) (-3313 (($ $ $) 32)) (-3306 (($ $) 33) (($ $ $) 69)) (-3300 (($ $ $) 104)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL) (($ $ (-433 (-592))) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 92) (($ $ $) 97) (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL) (($ (-592) $) 92) (($ $ (-592)) NIL) (($ (-433 (-592)) $) NIL) (($ $ (-433 (-592))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
-(((-1051 |#1|) (-13 (-1040) (-437 |#1|) (-43 |#1|) (-10 -8 (-15 -2765 ($ (-1085 $ (-1187 $)) (-877))) (-15 -2372 ((-3 (-1085 $ (-1187 $)) "failed") $)) (-15 -4216 ((-433 (-592)) $ $)))) (-13 (-867) (-388) (-1049))) (T -1051)) 
-((-2765 (*1 *1 *2 *3) (-12 (-5 *2 (-1085 (-1051 *4) (-1187 (-1051 *4)))) (-5 *3 (-877)) (-5 *1 (-1051 *4)) (-4 *4 (-13 (-867) (-388) (-1049))))) (-2372 (*1 *2 *1) (|partial| -12 (-5 *2 (-1085 (-1051 *3) (-1187 (-1051 *3)))) (-5 *1 (-1051 *3)) (-4 *3 (-13 (-867) (-388) (-1049))))) (-4216 (*1 *2 *1 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1051 *3)) (-4 *3 (-13 (-867) (-388) (-1049)))))) 
-(-13 (-1040) (-437 |#1|) (-43 |#1|) (-10 -8 (-15 -2765 ($ (-1085 $ (-1187 $)) (-877))) (-15 -2372 ((-3 (-1085 $ (-1187 $)) "failed") $)) (-15 -4216 ((-433 (-592)) $ $)))) 
-((-2150 (((-2 (|:| -3319 (-3 (-592) "failed")) (|:| -2016 (-3 (-592) "failed")) (|:| |ker| (-631 |#2|))) (-143) (-1191) |#2|) 59 (|has| |#1| (-1075)))) (-3056 (((-592) (-592) (-143) (-1191) |#2|) 76)) (-2212 (((-3 (-592) "failed") (-143) (-631 |#2|) (-1191)) 56 (|has| |#1| (-1075)))) (-3196 (((-143) |#2|) 103)) (-3343 ((|#2| |#2|) 102)) (-4379 ((|#2| (-143) (-1191) |#2| |#2| |#2| (-658 |#2|)) 72)) (-2079 ((|#2| (-143) (-1191) |#2| |#2| |#2| (-658 |#2|)) 100))) 
-(((-1052 |#1| |#2|) (-10 -7 (-15 -4379 (|#2| (-143) (-1191) |#2| |#2| |#2| (-658 |#2|))) (-15 -2079 (|#2| (-143) (-1191) |#2| |#2| |#2| (-658 |#2|))) (-15 -3343 (|#2| |#2|)) (-15 -3196 ((-143) |#2|)) (-15 -3056 ((-592) (-592) (-143) (-1191) |#2|)) (IF (|has| |#1| (-1075)) (PROGN (-15 -2212 ((-3 (-592) "failed") (-143) (-631 |#2|) (-1191))) (-15 -2150 ((-2 (|:| -3319 (-3 (-592) "failed")) (|:| -2016 (-3 (-592) "failed")) (|:| |ker| (-631 |#2|))) (-143) (-1191) |#2|))) |noBranch|)) (-13 (-869) (-582) (-633 (-565))) (-13 (-456 |#1|) (-23) (-1065 (-592)) (-1065 (-1191)) (-922 (-1191)) (-182))) (T -1052)) 
-((-2150 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-143)) (-5 *4 (-1191)) (-4 *6 (-1075)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-2 (|:| -3319 (-3 (-592) "failed")) (|:| -2016 (-3 (-592) "failed")) (|:| |ker| (-631 *5)))) (-5 *1 (-1052 *6 *5)) (-4 *5 (-13 (-456 *6) (-23) (-1065 (-592)) (-1065 *4) (-922 *4) (-182))))) (-2212 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-631 *7)) (-4 *7 (-13 (-456 *6) (-23) (-1065 *2) (-1065 *5) (-922 *5) (-182))) (-5 *5 (-1191)) (-4 *6 (-1075)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-592)) (-5 *1 (-1052 *6 *7)))) (-3056 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-143)) (-5 *2 (-592)) (-5 *4 (-1191)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *6 *5)) (-4 *5 (-13 (-456 *6) (-23) (-1065 *2) (-1065 *4) (-922 *4) (-182))))) (-3196 (*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-143)) (-5 *1 (-1052 *4 *3)) (-4 *3 (-13 (-456 *4) (-23) (-1065 (-592)) (-1065 (-1191)) (-922 (-1191)) (-182))))) (-3343 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *3 *2)) (-4 *2 (-13 (-456 *3) (-23) (-1065 (-592)) (-1065 (-1191)) (-922 (-1191)) (-182))))) (-2079 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-143)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-456 *6) (-23) (-1065 (-592)) (-1065 *4) (-922 *4) (-182))) (-5 *4 (-1191)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *6 *2)))) (-4379 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-143)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-456 *6) (-23) (-1065 (-592)) (-1065 *4) (-922 *4) (-182))) (-5 *4 (-1191)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *6 *2))))) 
-(-10 -7 (-15 -4379 (|#2| (-143) (-1191) |#2| |#2| |#2| (-658 |#2|))) (-15 -2079 (|#2| (-143) (-1191) |#2| |#2| |#2| (-658 |#2|))) (-15 -3343 (|#2| |#2|)) (-15 -3196 ((-143) |#2|)) (-15 -3056 ((-592) (-592) (-143) (-1191) |#2|)) (IF (|has| |#1| (-1075)) (PROGN (-15 -2212 ((-3 (-592) "failed") (-143) (-631 |#2|) (-1191))) (-15 -2150 ((-2 (|:| -3319 (-3 (-592) "failed")) (|:| -2016 (-3 (-592) "failed")) (|:| |ker| (-631 |#2|))) (-143) (-1191) |#2|))) |noBranch|)) 
-((-1977 (((-2 (|:| -2042 |#2|) (|:| -1608 (-658 |#1|))) |#2| (-658 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
-(((-1053 |#1| |#2|) (-10 -7 (-15 -1977 (|#2| |#2| |#1|)) (-15 -1977 ((-2 (|:| -2042 |#2|) (|:| -1608 (-658 |#1|))) |#2| (-658 |#1|)))) (-388) (-670 |#1|)) (T -1053)) 
-((-1977 (*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-5 *2 (-2 (|:| -2042 *3) (|:| -1608 (-658 *5)))) (-5 *1 (-1053 *5 *3)) (-5 *4 (-658 *5)) (-4 *3 (-670 *5)))) (-1977 (*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-1053 *3 *2)) (-4 *2 (-670 *3))))) 
-(-10 -7 (-15 -1977 (|#2| |#2| |#1|)) (-15 -1977 ((-2 (|:| -2042 |#2|) (|:| -1608 (-658 |#1|))) |#2| (-658 |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1758 ((|#1| $ |#1|) 14)) (-3932 ((|#1| $ |#1|) 12)) (-2718 (($ |#1|) 10)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3927 ((|#1| $) 11)) (-2425 ((|#1| $) 13)) (-1683 (((-877) $) 21 (|has| |#1| (-1119)))) (-3255 (((-141) $ $) 9))) 
-(((-1054 |#1|) (-13 (-1225) (-10 -8 (-15 -2718 ($ |#1|)) (-15 -3927 (|#1| $)) (-15 -3932 (|#1| $ |#1|)) (-15 -2425 (|#1| $)) (-15 -1758 (|#1| $ |#1|)) (-15 -3255 ((-141) $ $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|))) (-1225)) (T -1054)) 
-((-2718 (*1 *1 *2) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) (-3927 (*1 *2 *1) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) (-3932 (*1 *2 *1 *2) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) (-2425 (*1 *2 *1) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) (-1758 (*1 *2 *1 *2) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1054 *3)) (-4 *3 (-1225))))) 
-(-13 (-1225) (-10 -8 (-15 -2718 ($ |#1|)) (-15 -3927 (|#1| $)) (-15 -3932 (|#1| $ |#1|)) (-15 -2425 (|#1| $)) (-15 -1758 (|#1| $ |#1|)) (-15 -3255 ((-141) $ $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) NIL)) (-2248 (((-658 $) (-658 |#4|)) 104) (((-658 $) (-658 |#4|) (-141)) 105) (((-658 $) (-658 |#4|) (-141) (-141)) 103) (((-658 $) (-658 |#4|) (-141) (-141) (-141) (-141)) 106)) (-4085 (((-658 |#3|) $) NIL)) (-4325 (((-141) $) NIL)) (-2988 (((-141) $) NIL (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-2244 ((|#4| |#4| $) NIL)) (-3743 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| $) 98)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3113 (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 53)) (-3001 (($) NIL T CONST)) (-3239 (((-141) $) 26 (|has| |#1| (-582)))) (-3478 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2398 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1529 (((-141) $) NIL (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4521 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) NIL)) (-2400 (($ (-658 |#4|)) NIL)) (-1366 (((-3 $ "failed") $) 39)) (-2226 ((|#4| |#4| $) 56)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4459 (($ |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) NIL)) (-3092 ((|#4| |#4| $) NIL)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) NIL)) (-1836 (((-141) |#4| $) NIL)) (-2659 (((-141) |#4| $) NIL)) (-3195 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1822 (((-2 (|:| |val| (-658 |#4|)) (|:| |towers| (-658 $))) (-658 |#4|) (-141) (-141)) 118)) (-4004 (((-658 |#4|) $) 16 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#4|) $) 17 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 25 (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-3987 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 21)) (-2290 (((-658 |#3|) $) NIL)) (-2645 (((-141) |#3| $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-1470 (((-3 |#4| (-658 $)) |#4| |#4| $) NIL)) (-3722 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| |#4| $) 96)) (-4255 (((-3 |#4| "failed") $) 37)) (-3501 (((-658 $) |#4| $) 79)) (-3732 (((-3 (-141) (-658 $)) |#4| $) NIL)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |#4| $) 89) (((-141) |#4| $) 51)) (-2852 (((-658 $) |#4| $) 101) (((-658 $) (-658 |#4|) $) NIL) (((-658 $) (-658 |#4|) (-658 $)) 102) (((-658 $) |#4| (-658 $)) NIL)) (-3859 (((-658 $) (-658 |#4|) (-141) (-141) (-141)) 113)) (-3902 (($ |#4| $) 69) (($ (-658 |#4|) $) 70) (((-658 $) |#4| $ (-141) (-141) (-141) (-141) (-141)) 66)) (-1712 (((-658 |#4|) $) NIL)) (-2346 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1751 ((|#4| |#4| $) NIL)) (-3085 (((-141) $ $) NIL)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1803 ((|#4| |#4| $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-3 |#4| "failed") $) 35)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) NIL)) (-2778 (((-3 $ "failed") $ |#4|) 47)) (-2807 (($ $ |#4|) NIL) (((-658 $) |#4| $) 81) (((-658 $) |#4| (-658 $)) NIL) (((-658 $) (-658 |#4|) $) NIL) (((-658 $) (-658 |#4|) (-658 $)) 76)) (-3002 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 15)) (-2890 (($) 13)) (-4525 (((-790) $) NIL)) (-3452 (((-790) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (((-790) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) 12)) (-1778 (((-565) $) NIL (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 20)) (-2613 (($ $ |#3|) 42)) (-4152 (($ $ |#3|) 43)) (-2965 (($ $) NIL)) (-2507 (($ $ |#3|) NIL)) (-1683 (((-877) $) 31) (((-658 |#4|) $) 40)) (-1857 (((-790) $) NIL (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) NIL)) (-3032 (((-658 $) |#4| $) 78) (((-658 $) |#4| (-658 $)) NIL) (((-658 $) (-658 |#4|) $) NIL) (((-658 $) (-658 |#4|) (-658 $)) NIL)) (-3369 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) NIL)) (-1437 (((-141) |#4| $) NIL)) (-3069 (((-141) |#3| $) 52)) (-3255 (((-141) $ $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1055 |#1| |#2| |#3| |#4|) (-13 (-1094 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3902 ((-658 $) |#4| $ (-141) (-141) (-141) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141) (-141) (-141))) (-15 -3859 ((-658 $) (-658 |#4|) (-141) (-141) (-141))) (-15 -1822 ((-2 (|:| |val| (-658 |#4|)) (|:| |towers| (-658 $))) (-658 |#4|) (-141) (-141))))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|)) (T -1055)) 
-((-3902 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *3))) (-5 *1 (-1055 *5 *6 *7 *3)) (-4 *3 (-1089 *5 *6 *7)))) (-2248 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *8))) (-5 *1 (-1055 *5 *6 *7 *8)))) (-2248 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *8))) (-5 *1 (-1055 *5 *6 *7 *8)))) (-3859 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *8))) (-5 *1 (-1055 *5 *6 *7 *8)))) (-1822 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-658 *8)) (|:| |towers| (-658 (-1055 *5 *6 *7 *8))))) (-5 *1 (-1055 *5 *6 *7 *8)) (-5 *3 (-658 *8))))) 
-(-13 (-1094 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3902 ((-658 $) |#4| $ (-141) (-141) (-141) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141) (-141) (-141))) (-15 -3859 ((-658 $) (-658 |#4|) (-141) (-141) (-141))) (-15 -1822 ((-2 (|:| |val| (-658 |#4|)) (|:| |towers| (-658 $))) (-658 |#4|) (-141) (-141))))) 
-((-1870 (((-658 (-706 |#1|)) (-658 (-706 |#1|))) 56) (((-706 |#1|) (-706 |#1|)) 55) (((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-658 (-706 |#1|))) 54) (((-706 |#1|) (-706 |#1|) (-706 |#1|)) 51)) (-2722 (((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-944)) 50) (((-706 |#1|) (-706 |#1|) (-944)) 49)) (-3245 (((-658 (-706 (-592))) (-658 (-658 (-592)))) 66) (((-658 (-706 (-592))) (-658 (-927 (-592))) (-592)) 65) (((-706 (-592)) (-658 (-592))) 62) (((-706 (-592)) (-927 (-592)) (-592)) 61)) (-4014 (((-706 (-980 |#1|)) (-790)) 79)) (-1939 (((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-944)) 36 (|has| |#1| (-6 (-4627 "*")))) (((-706 |#1|) (-706 |#1|) (-944)) 34 (|has| |#1| (-6 (-4627 "*")))))) 
-(((-1056 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4627 "*"))) (-15 -1939 ((-706 |#1|) (-706 |#1|) (-944))) |noBranch|) (IF (|has| |#1| (-6 (-4627 "*"))) (-15 -1939 ((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-944))) |noBranch|) (-15 -4014 ((-706 (-980 |#1|)) (-790))) (-15 -2722 ((-706 |#1|) (-706 |#1|) (-944))) (-15 -2722 ((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-944))) (-15 -1870 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -1870 ((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -1870 ((-706 |#1|) (-706 |#1|))) (-15 -1870 ((-658 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -3245 ((-706 (-592)) (-927 (-592)) (-592))) (-15 -3245 ((-706 (-592)) (-658 (-592)))) (-15 -3245 ((-658 (-706 (-592))) (-658 (-927 (-592))) (-592))) (-15 -3245 ((-658 (-706 (-592))) (-658 (-658 (-592)))))) (-1075)) (T -1056)) 
-((-3245 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-592)))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-1056 *4)) (-4 *4 (-1075)))) (-3245 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-927 (-592)))) (-5 *4 (-592)) (-5 *2 (-658 (-706 *4))) (-5 *1 (-1056 *5)) (-4 *5 (-1075)))) (-3245 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-1056 *4)) (-4 *4 (-1075)))) (-3245 (*1 *2 *3 *4) (-12 (-5 *3 (-927 (-592))) (-5 *4 (-592)) (-5 *2 (-706 *4)) (-5 *1 (-1056 *5)) (-4 *5 (-1075)))) (-1870 (*1 *2 *2) (-12 (-5 *2 (-658 (-706 *3))) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) (-1870 (*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) (-1870 (*1 *2 *2 *2) (-12 (-5 *2 (-658 (-706 *3))) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) (-1870 (*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) (-2722 (*1 *2 *2 *3) (-12 (-5 *2 (-658 (-706 *4))) (-5 *3 (-944)) (-4 *4 (-1075)) (-5 *1 (-1056 *4)))) (-2722 (*1 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-944)) (-4 *4 (-1075)) (-5 *1 (-1056 *4)))) (-4014 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-706 (-980 *4))) (-5 *1 (-1056 *4)) (-4 *4 (-1075)))) (-1939 (*1 *2 *2 *3) (-12 (-5 *2 (-658 (-706 *4))) (-5 *3 (-944)) (|has| *4 (-6 (-4627 "*"))) (-4 *4 (-1075)) (-5 *1 (-1056 *4)))) (-1939 (*1 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-944)) (|has| *4 (-6 (-4627 "*"))) (-4 *4 (-1075)) (-5 *1 (-1056 *4))))) 
-(-10 -7 (IF (|has| |#1| (-6 (-4627 "*"))) (-15 -1939 ((-706 |#1|) (-706 |#1|) (-944))) |noBranch|) (IF (|has| |#1| (-6 (-4627 "*"))) (-15 -1939 ((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-944))) |noBranch|) (-15 -4014 ((-706 (-980 |#1|)) (-790))) (-15 -2722 ((-706 |#1|) (-706 |#1|) (-944))) (-15 -2722 ((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-944))) (-15 -1870 ((-706 |#1|) (-706 |#1|) (-706 |#1|))) (-15 -1870 ((-658 (-706 |#1|)) (-658 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -1870 ((-706 |#1|) (-706 |#1|))) (-15 -1870 ((-658 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -3245 ((-706 (-592)) (-927 (-592)) (-592))) (-15 -3245 ((-706 (-592)) (-658 (-592)))) (-15 -3245 ((-658 (-706 (-592))) (-658 (-927 (-592))) (-592))) (-15 -3245 ((-658 (-706 (-592))) (-658 (-658 (-592)))))) 
-((-2870 (((-706 |#1|) (-658 (-706 |#1|)) (-1280 |#1|)) 48 (|has| |#1| (-323)))) (-1356 (((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-1280 (-1280 |#1|))) 71 (|has| |#1| (-388))) (((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-1280 |#1|)) 69 (|has| |#1| (-388)))) (-2055 (((-1280 |#1|) (-658 (-1280 |#1|)) (-592)) 73 (-12 (|has| |#1| (-388)) (|has| |#1| (-394))))) (-2115 (((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-944)) 78 (-12 (|has| |#1| (-388)) (|has| |#1| (-394)))) (((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-141)) 76 (-12 (|has| |#1| (-388)) (|has| |#1| (-394)))) (((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|))) 75 (-12 (|has| |#1| (-388)) (|has| |#1| (-394)))) (((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-141) (-592) (-592)) 74 (-12 (|has| |#1| (-388)) (|has| |#1| (-394))))) (-3526 (((-141) (-658 (-706 |#1|))) 67 (|has| |#1| (-388))) (((-141) (-658 (-706 |#1|)) (-592)) 66 (|has| |#1| (-388)))) (-2439 (((-1280 (-1280 |#1|)) (-658 (-706 |#1|)) (-1280 |#1|)) 46 (|has| |#1| (-323)))) (-3044 (((-706 |#1|) (-658 (-706 |#1|)) (-706 |#1|)) 32)) (-2401 (((-706 |#1|) (-1280 (-1280 |#1|))) 29)) (-2445 (((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)) (-592)) 62 (|has| |#1| (-388))) (((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|))) 61 (|has| |#1| (-388))) (((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)) (-141) (-592)) 60 (|has| |#1| (-388))))) 
-(((-1057 |#1|) (-10 -7 (-15 -2401 ((-706 |#1|) (-1280 (-1280 |#1|)))) (-15 -3044 ((-706 |#1|) (-658 (-706 |#1|)) (-706 |#1|))) (IF (|has| |#1| (-323)) (PROGN (-15 -2439 ((-1280 (-1280 |#1|)) (-658 (-706 |#1|)) (-1280 |#1|))) (-15 -2870 ((-706 |#1|) (-658 (-706 |#1|)) (-1280 |#1|)))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-15 -2445 ((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)) (-141) (-592))) (-15 -2445 ((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -2445 ((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)) (-592))) (-15 -3526 ((-141) (-658 (-706 |#1|)) (-592))) (-15 -3526 ((-141) (-658 (-706 |#1|)))) (-15 -1356 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-1280 |#1|))) (-15 -1356 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-1280 (-1280 |#1|))))) |noBranch|) (IF (|has| |#1| (-394)) (IF (|has| |#1| (-388)) (PROGN (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-141) (-592) (-592))) (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)))) (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-141))) (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-944))) (-15 -2055 ((-1280 |#1|) (-658 (-1280 |#1|)) (-592)))) |noBranch|) |noBranch|)) (-1075)) (T -1057)) 
-((-2055 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1280 *5))) (-5 *4 (-592)) (-5 *2 (-1280 *5)) (-5 *1 (-1057 *5)) (-4 *5 (-388)) (-4 *5 (-394)) (-4 *5 (-1075)))) (-2115 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *5 (-394)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) (-2115 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-388)) (-4 *5 (-394)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) (-2115 (*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *4 (-394)) (-4 *4 (-1075)) (-5 *2 (-658 (-658 (-706 *4)))) (-5 *1 (-1057 *4)) (-5 *3 (-658 (-706 *4))))) (-2115 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-141)) (-5 *5 (-592)) (-4 *6 (-388)) (-4 *6 (-394)) (-4 *6 (-1075)) (-5 *2 (-658 (-658 (-706 *6)))) (-5 *1 (-1057 *6)) (-5 *3 (-658 (-706 *6))))) (-1356 (*1 *2 *3 *4) (-12 (-5 *4 (-1280 (-1280 *5))) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) (-1356 (*1 *2 *3 *4) (-12 (-5 *4 (-1280 *5)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) (-3526 (*1 *2 *3) (-12 (-5 *3 (-658 (-706 *4))) (-4 *4 (-388)) (-4 *4 (-1075)) (-5 *2 (-141)) (-5 *1 (-1057 *4)))) (-3526 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-5 *4 (-592)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-141)) (-5 *1 (-1057 *5)))) (-2445 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-5 *4 (-592)) (-5 *2 (-706 *5)) (-5 *1 (-1057 *5)) (-4 *5 (-388)) (-4 *5 (-1075)))) (-2445 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-706 *4))) (-5 *2 (-706 *4)) (-5 *1 (-1057 *4)) (-4 *4 (-388)) (-4 *4 (-1075)))) (-2445 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-658 (-706 *6))) (-5 *4 (-141)) (-5 *5 (-592)) (-5 *2 (-706 *6)) (-5 *1 (-1057 *6)) (-4 *6 (-388)) (-4 *6 (-1075)))) (-2870 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-5 *4 (-1280 *5)) (-4 *5 (-323)) (-4 *5 (-1075)) (-5 *2 (-706 *5)) (-5 *1 (-1057 *5)))) (-2439 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-4 *5 (-323)) (-4 *5 (-1075)) (-5 *2 (-1280 (-1280 *5))) (-5 *1 (-1057 *5)) (-5 *4 (-1280 *5)))) (-3044 (*1 *2 *3 *2) (-12 (-5 *3 (-658 (-706 *4))) (-5 *2 (-706 *4)) (-4 *4 (-1075)) (-5 *1 (-1057 *4)))) (-2401 (*1 *2 *3) (-12 (-5 *3 (-1280 (-1280 *4))) (-4 *4 (-1075)) (-5 *2 (-706 *4)) (-5 *1 (-1057 *4))))) 
-(-10 -7 (-15 -2401 ((-706 |#1|) (-1280 (-1280 |#1|)))) (-15 -3044 ((-706 |#1|) (-658 (-706 |#1|)) (-706 |#1|))) (IF (|has| |#1| (-323)) (PROGN (-15 -2439 ((-1280 (-1280 |#1|)) (-658 (-706 |#1|)) (-1280 |#1|))) (-15 -2870 ((-706 |#1|) (-658 (-706 |#1|)) (-1280 |#1|)))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-15 -2445 ((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)) (-141) (-592))) (-15 -2445 ((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -2445 ((-706 |#1|) (-658 (-706 |#1|)) (-658 (-706 |#1|)) (-592))) (-15 -3526 ((-141) (-658 (-706 |#1|)) (-592))) (-15 -3526 ((-141) (-658 (-706 |#1|)))) (-15 -1356 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-1280 |#1|))) (-15 -1356 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-1280 (-1280 |#1|))))) |noBranch|) (IF (|has| |#1| (-394)) (IF (|has| |#1| (-388)) (PROGN (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-141) (-592) (-592))) (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)))) (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-141))) (-15 -2115 ((-658 (-658 (-706 |#1|))) (-658 (-706 |#1|)) (-944))) (-15 -2055 ((-1280 |#1|) (-658 (-1280 |#1|)) (-592)))) |noBranch|) |noBranch|)) 
-((-3886 ((|#1| (-944) |#1|) 9))) 
-(((-1058 |#1|) (-10 -7 (-15 -3886 (|#1| (-944) |#1|))) (-13 (-1119) (-10 -8 (-15 -3300 ($ $ $))))) (T -1058)) 
-((-3886 (*1 *2 *3 *2) (-12 (-5 *3 (-944)) (-5 *1 (-1058 *2)) (-4 *2 (-13 (-1119) (-10 -8 (-15 -3300 ($ $ $)))))))) 
-(-10 -7 (-15 -3886 (|#1| (-944) |#1|))) 
-((-2474 (((-658 (-2 (|:| |radval| (-332 (-592))) (|:| |radmult| (-592)) (|:| |radvect| (-658 (-706 (-332 (-592))))))) (-706 (-433 (-980 (-592))))) 58)) (-1878 (((-658 (-706 (-332 (-592)))) (-332 (-592)) (-706 (-433 (-980 (-592))))) 48)) (-2689 (((-658 (-332 (-592))) (-706 (-433 (-980 (-592))))) 41)) (-1571 (((-658 (-706 (-332 (-592)))) (-706 (-433 (-980 (-592))))) 67)) (-3084 (((-706 (-332 (-592))) (-706 (-332 (-592)))) 33)) (-3097 (((-658 (-706 (-332 (-592)))) (-658 (-706 (-332 (-592))))) 61)) (-1924 (((-3 (-706 (-332 (-592))) "failed") (-706 (-433 (-980 (-592))))) 65))) 
-(((-1059) (-10 -7 (-15 -2474 ((-658 (-2 (|:| |radval| (-332 (-592))) (|:| |radmult| (-592)) (|:| |radvect| (-658 (-706 (-332 (-592))))))) (-706 (-433 (-980 (-592)))))) (-15 -1878 ((-658 (-706 (-332 (-592)))) (-332 (-592)) (-706 (-433 (-980 (-592)))))) (-15 -2689 ((-658 (-332 (-592))) (-706 (-433 (-980 (-592)))))) (-15 -1924 ((-3 (-706 (-332 (-592))) "failed") (-706 (-433 (-980 (-592)))))) (-15 -3084 ((-706 (-332 (-592))) (-706 (-332 (-592))))) (-15 -3097 ((-658 (-706 (-332 (-592)))) (-658 (-706 (-332 (-592)))))) (-15 -1571 ((-658 (-706 (-332 (-592)))) (-706 (-433 (-980 (-592)))))))) (T -1059)) 
-((-1571 (*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-706 (-332 (-592))))) (-5 *1 (-1059)))) (-3097 (*1 *2 *2) (-12 (-5 *2 (-658 (-706 (-332 (-592))))) (-5 *1 (-1059)))) (-3084 (*1 *2 *2) (-12 (-5 *2 (-706 (-332 (-592)))) (-5 *1 (-1059)))) (-1924 (*1 *2 *3) (|partial| -12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-706 (-332 (-592)))) (-5 *1 (-1059)))) (-2689 (*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-332 (-592)))) (-5 *1 (-1059)))) (-1878 (*1 *2 *3 *4) (-12 (-5 *4 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-706 (-332 (-592))))) (-5 *1 (-1059)) (-5 *3 (-332 (-592))))) (-2474 (*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| |radval| (-332 (-592))) (|:| |radmult| (-592)) (|:| |radvect| (-658 (-706 (-332 (-592)))))))) (-5 *1 (-1059))))) 
-(-10 -7 (-15 -2474 ((-658 (-2 (|:| |radval| (-332 (-592))) (|:| |radmult| (-592)) (|:| |radvect| (-658 (-706 (-332 (-592))))))) (-706 (-433 (-980 (-592)))))) (-15 -1878 ((-658 (-706 (-332 (-592)))) (-332 (-592)) (-706 (-433 (-980 (-592)))))) (-15 -2689 ((-658 (-332 (-592))) (-706 (-433 (-980 (-592)))))) (-15 -1924 ((-3 (-706 (-332 (-592))) "failed") (-706 (-433 (-980 (-592)))))) (-15 -3084 ((-706 (-332 (-592))) (-706 (-332 (-592))))) (-15 -3097 ((-658 (-706 (-332 (-592)))) (-658 (-706 (-332 (-592)))))) (-15 -1571 ((-658 (-706 (-332 (-592)))) (-706 (-433 (-980 (-592))))))) 
-((-3336 ((|#1| |#1| (-944)) 9))) 
-(((-1060 |#1|) (-10 -7 (-15 -3336 (|#1| |#1| (-944)))) (-13 (-1119) (-10 -8 (-15 * ($ $ $))))) (T -1060)) 
-((-3336 (*1 *2 *2 *3) (-12 (-5 *3 (-944)) (-5 *1 (-1060 *2)) (-4 *2 (-13 (-1119) (-10 -8 (-15 * ($ $ $)))))))) 
-(-10 -7 (-15 -3336 (|#1| |#1| (-944)))) 
-((-1683 ((|#1| (-327)) 11) (((-1285) |#1|) 9))) 
-(((-1061 |#1|) (-10 -7 (-15 -1683 ((-1285) |#1|)) (-15 -1683 (|#1| (-327)))) (-1225)) (T -1061)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-327)) (-5 *1 (-1061 *2)) (-4 *2 (-1225)))) (-1683 (*1 *2 *3) (-12 (-5 *2 (-1285)) (-5 *1 (-1061 *3)) (-4 *3 (-1225))))) 
-(-10 -7 (-15 -1683 ((-1285) |#1|)) (-15 -1683 (|#1| (-327)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3657 (($ |#4|) 25)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-3650 ((|#4| $) 27)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 46) (($ (-592)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-4010 (((-790)) 43)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 21 T CONST)) (-4257 (($) 23 T CONST)) (-3255 (((-141) $ $) 40)) (-3306 (($ $) 31) (($ $ $) NIL)) (-3300 (($ $ $) 29)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
-(((-1062 |#1| |#2| |#3| |#4| |#5|) (-13 (-194) (-43 |#1|) (-10 -8 (-15 -3657 ($ |#4|)) (-15 -1683 ($ |#4|)) (-15 -3650 (|#4| $)))) (-388) (-815) (-869) (-977 |#1| |#2| |#3|) (-658 |#4|)) (T -1062)) 
-((-3657 (*1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1062 *3 *4 *5 *2 *6)) (-4 *2 (-977 *3 *4 *5)) (-14 *6 (-658 *2)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1062 *3 *4 *5 *2 *6)) (-4 *2 (-977 *3 *4 *5)) (-14 *6 (-658 *2)))) (-3650 (*1 *2 *1) (-12 (-4 *2 (-977 *3 *4 *5)) (-5 *1 (-1062 *3 *4 *5 *2 *6)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-14 *6 (-658 *2))))) 
-(-13 (-194) (-43 |#1|) (-10 -8 (-15 -3657 ($ |#4|)) (-15 -1683 ($ |#4|)) (-15 -3650 (|#4| $)))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-3898 (((-1285) $ (-1191) (-1191)) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3519 (((-141) (-141)) 39)) (-4589 (((-141) (-141)) 38)) (-3932 (((-57) $ (-1191) (-57)) NIL)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 (-57) "failed") (-1191) $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-4065 (($ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-3 (-57) "failed") (-1191) $) NIL)) (-4459 (($ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-57) $ (-1191) (-57)) NIL (|has| $ (-6 -4626)))) (-3959 (((-57) $ (-1191)) NIL)) (-4004 (((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-658 (-57)) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-1191) $) NIL (|has| (-1191) (-869)))) (-4467 (((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-658 (-57)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (((-141) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119))))) (-1813 (((-1191) $) NIL (|has| (-1191) (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4626))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-2840 (((-658 (-1191)) $) 34)) (-2396 (((-141) (-1191) $) NIL)) (-4137 (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL)) (-2113 (($ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL)) (-3708 (((-658 (-1191)) $) NIL)) (-3780 (((-141) (-1191) $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-1918 (((-57) $) NIL (|has| (-1191) (-869)))) (-4050 (((-3 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) "failed") (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL)) (-1892 (($ $ (-57)) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-310 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-658 (-57)) (-658 (-57))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-310 (-57))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-658 (-310 (-57)))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119))))) (-4210 (((-658 (-57)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 (((-57) $ (-1191)) 35) (((-57) $ (-1191) (-57)) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (((-790) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119)))) (((-790) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-1683 (((-877) $) 37 (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1063) (-13 (-1202 (-1191) (-57)) (-10 -7 (-15 -3519 ((-141) (-141))) (-15 -4589 ((-141) (-141))) (-6 -4625)))) (T -1063)) 
-((-3519 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1063)))) (-4589 (*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1063))))) 
-(-13 (-1202 (-1191) (-57)) (-10 -7 (-15 -3519 ((-141) (-141))) (-15 -4589 ((-141) (-141))) (-6 -4625))) 
-((-2400 ((|#2| $) 10))) 
-(((-1064 |#1| |#2|) (-10 -8 (-15 -2400 (|#2| |#1|))) (-1065 |#2|) (-1225)) (T -1064)) 
-NIL 
-(-10 -8 (-15 -2400 (|#2| |#1|))) 
-((-4368 (((-3 |#1| "failed") $) 7)) (-2400 ((|#1| $) 8)) (-1683 (($ |#1|) 6))) 
-(((-1065 |#1|) (-1311) (-1225)) (T -1065)) 
-((-2400 (*1 *2 *1) (-12 (-4 *1 (-1065 *2)) (-4 *2 (-1225)))) (-4368 (*1 *2 *1) (|partial| -12 (-4 *1 (-1065 *2)) (-4 *2 (-1225)))) (-1683 (*1 *1 *2) (-12 (-4 *1 (-1065 *2)) (-4 *2 (-1225))))) 
-(-13 (-10 -8 (-15 -1683 ($ |t#1|)) (-15 -4368 ((-3 |t#1| "failed") $)) (-15 -2400 (|t#1| $)))) 
-((-3521 (((-658 (-658 (-310 (-433 (-980 |#2|))))) (-658 (-980 |#2|)) (-658 (-1191))) 35))) 
-(((-1066 |#1| |#2|) (-10 -7 (-15 -3521 ((-658 (-658 (-310 (-433 (-980 |#2|))))) (-658 (-980 |#2|)) (-658 (-1191))))) (-582) (-13 (-582) (-1065 |#1|))) (T -1066)) 
-((-3521 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *6))) (-5 *4 (-658 (-1191))) (-4 *6 (-13 (-582) (-1065 *5))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *6)))))) (-5 *1 (-1066 *5 *6))))) 
-(-10 -7 (-15 -3521 ((-658 (-658 (-310 (-433 (-980 |#2|))))) (-658 (-980 |#2|)) (-658 (-1191))))) 
-((-2047 (((-405)) 15)) (-3941 (((-1 (-405)) (-405) (-405)) 20)) (-4132 (((-1 (-405)) (-790)) 42)) (-1960 (((-405)) 33)) (-1947 (((-1 (-405)) (-405) (-405)) 34)) (-3384 (((-405)) 26)) (-4331 (((-1 (-405)) (-405)) 27)) (-3530 (((-405) (-790)) 37)) (-1370 (((-1 (-405)) (-790)) 38)) (-3958 (((-1 (-405)) (-790) (-790)) 41)) (-2170 (((-1 (-405)) (-790) (-790)) 39))) 
-(((-1067) (-10 -7 (-15 -2047 ((-405))) (-15 -1960 ((-405))) (-15 -3384 ((-405))) (-15 -3530 ((-405) (-790))) (-15 -3941 ((-1 (-405)) (-405) (-405))) (-15 -1947 ((-1 (-405)) (-405) (-405))) (-15 -4331 ((-1 (-405)) (-405))) (-15 -1370 ((-1 (-405)) (-790))) (-15 -2170 ((-1 (-405)) (-790) (-790))) (-15 -3958 ((-1 (-405)) (-790) (-790))) (-15 -4132 ((-1 (-405)) (-790))))) (T -1067)) 
-((-4132 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067)))) (-3958 (*1 *2 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067)))) (-2170 (*1 *2 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067)))) (-1370 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067)))) (-4331 (*1 *2 *3) (-12 (-5 *2 (-1 (-405))) (-5 *1 (-1067)) (-5 *3 (-405)))) (-1947 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-405))) (-5 *1 (-1067)) (-5 *3 (-405)))) (-3941 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-405))) (-5 *1 (-1067)) (-5 *3 (-405)))) (-3530 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-405)) (-5 *1 (-1067)))) (-3384 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1067)))) (-1960 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1067)))) (-2047 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1067))))) 
-(-10 -7 (-15 -2047 ((-405))) (-15 -1960 ((-405))) (-15 -3384 ((-405))) (-15 -3530 ((-405) (-790))) (-15 -3941 ((-1 (-405)) (-405) (-405))) (-15 -1947 ((-1 (-405)) (-405) (-405))) (-15 -4331 ((-1 (-405)) (-405))) (-15 -1370 ((-1 (-405)) (-790))) (-15 -2170 ((-1 (-405)) (-790) (-790))) (-15 -3958 ((-1 (-405)) (-790) (-790))) (-15 -4132 ((-1 (-405)) (-790)))) 
-((-4500 (((-444 |#1|) |#1|) 31))) 
-(((-1068 |#1|) (-10 -7 (-15 -4500 ((-444 |#1|) |#1|))) (-1255 (-433 (-980 (-592))))) (T -1068)) 
-((-4500 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1068 *3)) (-4 *3 (-1255 (-433 (-980 (-592)))))))) 
-(-10 -7 (-15 -4500 ((-444 |#1|) |#1|))) 
-((-1562 (((-433 (-444 (-980 |#1|))) (-433 (-980 |#1|))) 14))) 
-(((-1069 |#1|) (-10 -7 (-15 -1562 ((-433 (-444 (-980 |#1|))) (-433 (-980 |#1|))))) (-323)) (T -1069)) 
-((-1562 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-323)) (-5 *2 (-433 (-444 (-980 *4)))) (-5 *1 (-1069 *4))))) 
-(-10 -7 (-15 -1562 ((-433 (-444 (-980 |#1|))) (-433 (-980 |#1|))))) 
-((-4085 (((-658 (-1191)) (-433 (-980 |#1|))) 15)) (-4492 (((-433 (-1187 (-433 (-980 |#1|)))) (-433 (-980 |#1|)) (-1191)) 22)) (-4533 (((-433 (-980 |#1|)) (-433 (-1187 (-433 (-980 |#1|)))) (-1191)) 24)) (-3254 (((-3 (-1191) "failed") (-433 (-980 |#1|))) 18)) (-2806 (((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-658 (-310 (-433 (-980 |#1|))))) 29) (((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|)))) 31) (((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-658 (-1191)) (-658 (-433 (-980 |#1|)))) 26) (((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|))) 27)) (-1683 (((-433 (-980 |#1|)) |#1|) 11))) 
-(((-1070 |#1|) (-10 -7 (-15 -4085 ((-658 (-1191)) (-433 (-980 |#1|)))) (-15 -3254 ((-3 (-1191) "failed") (-433 (-980 |#1|)))) (-15 -4492 ((-433 (-1187 (-433 (-980 |#1|)))) (-433 (-980 |#1|)) (-1191))) (-15 -4533 ((-433 (-980 |#1|)) (-433 (-1187 (-433 (-980 |#1|)))) (-1191))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|)))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-658 (-1191)) (-658 (-433 (-980 |#1|))))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-658 (-310 (-433 (-980 |#1|)))))) (-15 -1683 ((-433 (-980 |#1|)) |#1|))) (-582)) (T -1070)) 
-((-1683 (*1 *2 *3) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-1070 *3)) (-4 *3 (-582)))) (-2806 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-310 (-433 (-980 *4))))) (-5 *2 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *1 (-1070 *4)))) (-2806 (*1 *2 *2 *3) (-12 (-5 *3 (-310 (-433 (-980 *4)))) (-5 *2 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *1 (-1070 *4)))) (-2806 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 (-1191))) (-5 *4 (-658 (-433 (-980 *5)))) (-5 *2 (-433 (-980 *5))) (-4 *5 (-582)) (-5 *1 (-1070 *5)))) (-2806 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-433 (-980 *4))) (-5 *3 (-1191)) (-4 *4 (-582)) (-5 *1 (-1070 *4)))) (-4533 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-1187 (-433 (-980 *5))))) (-5 *4 (-1191)) (-5 *2 (-433 (-980 *5))) (-5 *1 (-1070 *5)) (-4 *5 (-582)))) (-4492 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-582)) (-5 *2 (-433 (-1187 (-433 (-980 *5))))) (-5 *1 (-1070 *5)) (-5 *3 (-433 (-980 *5))))) (-3254 (*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-1191)) (-5 *1 (-1070 *4)))) (-4085 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-658 (-1191))) (-5 *1 (-1070 *4))))) 
-(-10 -7 (-15 -4085 ((-658 (-1191)) (-433 (-980 |#1|)))) (-15 -3254 ((-3 (-1191) "failed") (-433 (-980 |#1|)))) (-15 -4492 ((-433 (-1187 (-433 (-980 |#1|)))) (-433 (-980 |#1|)) (-1191))) (-15 -4533 ((-433 (-980 |#1|)) (-433 (-1187 (-433 (-980 |#1|)))) (-1191))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|)))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-658 (-1191)) (-658 (-433 (-980 |#1|))))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-310 (-433 (-980 |#1|))))) (-15 -2806 ((-433 (-980 |#1|)) (-433 (-980 |#1|)) (-658 (-310 (-433 (-980 |#1|)))))) (-15 -1683 ((-433 (-980 |#1|)) |#1|))) 
-((-3421 (((-658 |#1|) (-658 |#1|)) 45)) (-2130 (((-658 |#1|)) 9)) (-4445 (((-2 (|:| |zeros| (-658 |#1|)) (|:| -2378 (-592))) (-1187 |#1|) |#1|) 19)) (-3668 (((-2 (|:| |zeros| (-658 |#1|)) (|:| -2378 (-592))) (-658 (-1187 |#1|)) |#1|) 37))) 
-(((-1071 |#1|) (-10 -7 (-15 -4445 ((-2 (|:| |zeros| (-658 |#1|)) (|:| -2378 (-592))) (-1187 |#1|) |#1|)) (-15 -3668 ((-2 (|:| |zeros| (-658 |#1|)) (|:| -2378 (-592))) (-658 (-1187 |#1|)) |#1|)) (-15 -2130 ((-658 |#1|))) (-15 -3421 ((-658 |#1|) (-658 |#1|)))) (-388)) (T -1071)) 
-((-3421 (*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-5 *1 (-1071 *3)))) (-2130 (*1 *2) (-12 (-5 *2 (-658 *3)) (-5 *1 (-1071 *3)) (-4 *3 (-388)))) (-3668 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1187 *4))) (-4 *4 (-388)) (-5 *2 (-2 (|:| |zeros| (-658 *4)) (|:| -2378 (-592)))) (-5 *1 (-1071 *4)))) (-4445 (*1 *2 *3 *4) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-388)) (-5 *2 (-2 (|:| |zeros| (-658 *4)) (|:| -2378 (-592)))) (-5 *1 (-1071 *4))))) 
-(-10 -7 (-15 -4445 ((-2 (|:| |zeros| (-658 |#1|)) (|:| -2378 (-592))) (-1187 |#1|) |#1|)) (-15 -3668 ((-2 (|:| |zeros| (-658 |#1|)) (|:| -2378 (-592))) (-658 (-1187 |#1|)) |#1|)) (-15 -2130 ((-658 |#1|))) (-15 -3421 ((-658 |#1|) (-658 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 (-802 |#1| (-879 |#2|)))))) (-658 (-802 |#1| (-879 |#2|)))) NIL)) (-2248 (((-658 $) (-658 (-802 |#1| (-879 |#2|)))) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-141)) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-141) (-141)) NIL)) (-4085 (((-658 (-879 |#2|)) $) NIL)) (-4325 (((-141) $) NIL)) (-2988 (((-141) $) NIL (|has| |#1| (-582)))) (-4135 (((-141) (-802 |#1| (-879 |#2|)) $) NIL) (((-141) $) NIL)) (-2244 (((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-3743 (((-658 (-2 (|:| |val| (-802 |#1| (-879 |#2|))) (|:| -2165 $))) (-802 |#1| (-879 |#2|)) $) NIL)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ (-879 |#2|)) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3113 (($ (-1 (-141) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 (-802 |#1| (-879 |#2|)) "failed") $ (-879 |#2|)) NIL)) (-3001 (($) NIL T CONST)) (-3239 (((-141) $) NIL (|has| |#1| (-582)))) (-3478 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2398 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1529 (((-141) $) NIL (|has| |#1| (-582)))) (-1903 (((-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|))) $ (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) (-1 (-141) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)))) NIL)) (-4521 (((-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|))) $) NIL (|has| |#1| (-582)))) (-3718 (((-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|))) $) NIL (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 (-802 |#1| (-879 |#2|)))) NIL)) (-2400 (($ (-658 (-802 |#1| (-879 |#2|)))) NIL)) (-1366 (((-3 $ "failed") $) NIL)) (-2226 (((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-802 |#1| (-879 |#2|)) (-1119))))) (-4459 (($ (-802 |#1| (-879 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-802 |#1| (-879 |#2|)) (-1119)))) (($ (-1 (-141) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-802 |#1| (-879 |#2|))) (|:| |den| |#1|)) (-802 |#1| (-879 |#2|)) $) NIL (|has| |#1| (-582)))) (-2172 (((-141) (-802 |#1| (-879 |#2|)) $ (-1 (-141) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)))) NIL)) (-3092 (((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-3657 (((-802 |#1| (-879 |#2|)) (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) $ (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-802 |#1| (-879 |#2|)) (-1119)))) (((-802 |#1| (-879 |#2|)) (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) $ (-802 |#1| (-879 |#2|))) NIL (|has| $ (-6 -4625))) (((-802 |#1| (-879 |#2|)) (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $ (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) (-1 (-141) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)))) NIL)) (-1643 (((-2 (|:| -3511 (-658 (-802 |#1| (-879 |#2|)))) (|:| -1774 (-658 (-802 |#1| (-879 |#2|))))) $) NIL)) (-1836 (((-141) (-802 |#1| (-879 |#2|)) $) NIL)) (-2659 (((-141) (-802 |#1| (-879 |#2|)) $) NIL)) (-3195 (((-141) (-802 |#1| (-879 |#2|)) $) NIL) (((-141) $) NIL)) (-4004 (((-658 (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2479 (((-141) (-802 |#1| (-879 |#2|)) $) NIL) (((-141) $) NIL)) (-3259 (((-879 |#2|) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-802 |#1| (-879 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-802 |#1| (-879 |#2|)) (-1119))))) (-3987 (($ (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) $) NIL)) (-2290 (((-658 (-879 |#2|)) $) NIL)) (-2645 (((-141) (-879 |#2|) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-1470 (((-3 (-802 |#1| (-879 |#2|)) (-658 $)) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-3722 (((-658 (-2 (|:| |val| (-802 |#1| (-879 |#2|))) (|:| -2165 $))) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-4255 (((-3 (-802 |#1| (-879 |#2|)) "failed") $) NIL)) (-3501 (((-658 $) (-802 |#1| (-879 |#2|)) $) NIL)) (-3732 (((-3 (-141) (-658 $)) (-802 |#1| (-879 |#2|)) $) NIL)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) (-802 |#1| (-879 |#2|)) $) NIL) (((-141) (-802 |#1| (-879 |#2|)) $) NIL)) (-2852 (((-658 $) (-802 |#1| (-879 |#2|)) $) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) $) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-658 $)) NIL) (((-658 $) (-802 |#1| (-879 |#2|)) (-658 $)) NIL)) (-3902 (($ (-802 |#1| (-879 |#2|)) $) NIL) (($ (-658 (-802 |#1| (-879 |#2|))) $) NIL)) (-1712 (((-658 (-802 |#1| (-879 |#2|))) $) NIL)) (-2346 (((-141) (-802 |#1| (-879 |#2|)) $) NIL) (((-141) $) NIL)) (-1751 (((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-3085 (((-141) $ $) NIL)) (-3480 (((-2 (|:| |num| (-802 |#1| (-879 |#2|))) (|:| |den| |#1|)) (-802 |#1| (-879 |#2|)) $) NIL (|has| |#1| (-582)))) (-4442 (((-141) (-802 |#1| (-879 |#2|)) $) NIL) (((-141) $) NIL)) (-1803 (((-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)) $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-3 (-802 |#1| (-879 |#2|)) "failed") $) NIL)) (-4050 (((-3 (-802 |#1| (-879 |#2|)) "failed") (-1 (-141) (-802 |#1| (-879 |#2|))) $) NIL)) (-2778 (((-3 $ "failed") $ (-802 |#1| (-879 |#2|))) NIL)) (-2807 (($ $ (-802 |#1| (-879 |#2|))) NIL) (((-658 $) (-802 |#1| (-879 |#2|)) $) NIL) (((-658 $) (-802 |#1| (-879 |#2|)) (-658 $)) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) $) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-658 $)) NIL)) (-3002 (((-141) (-1 (-141) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-802 |#1| (-879 |#2|))) (-658 (-802 |#1| (-879 |#2|)))) NIL (-12 (|has| (-802 |#1| (-879 |#2|)) (-325 (-802 |#1| (-879 |#2|)))) (|has| (-802 |#1| (-879 |#2|)) (-1119)))) (($ $ (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|))) NIL (-12 (|has| (-802 |#1| (-879 |#2|)) (-325 (-802 |#1| (-879 |#2|)))) (|has| (-802 |#1| (-879 |#2|)) (-1119)))) (($ $ (-310 (-802 |#1| (-879 |#2|)))) NIL (-12 (|has| (-802 |#1| (-879 |#2|)) (-325 (-802 |#1| (-879 |#2|)))) (|has| (-802 |#1| (-879 |#2|)) (-1119)))) (($ $ (-658 (-310 (-802 |#1| (-879 |#2|))))) NIL (-12 (|has| (-802 |#1| (-879 |#2|)) (-325 (-802 |#1| (-879 |#2|)))) (|has| (-802 |#1| (-879 |#2|)) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-4525 (((-790) $) NIL)) (-3452 (((-790) (-802 |#1| (-879 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-802 |#1| (-879 |#2|)) (-1119)))) (((-790) (-1 (-141) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-802 |#1| (-879 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-802 |#1| (-879 |#2|)))) NIL)) (-2613 (($ $ (-879 |#2|)) NIL)) (-4152 (($ $ (-879 |#2|)) NIL)) (-2965 (($ $) NIL)) (-2507 (($ $ (-879 |#2|)) NIL)) (-1683 (((-877) $) NIL) (((-658 (-802 |#1| (-879 |#2|))) $) NIL)) (-1857 (((-790) $) NIL (|has| (-879 |#2|) (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 (-802 |#1| (-879 |#2|))))) "failed") (-658 (-802 |#1| (-879 |#2|))) (-1 (-141) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 (-802 |#1| (-879 |#2|))))) "failed") (-658 (-802 |#1| (-879 |#2|))) (-1 (-141) (-802 |#1| (-879 |#2|))) (-1 (-141) (-802 |#1| (-879 |#2|)) (-802 |#1| (-879 |#2|)))) NIL)) (-4408 (((-141) $ (-1 (-141) (-802 |#1| (-879 |#2|)) (-658 (-802 |#1| (-879 |#2|))))) NIL)) (-3032 (((-658 $) (-802 |#1| (-879 |#2|)) $) NIL) (((-658 $) (-802 |#1| (-879 |#2|)) (-658 $)) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) $) NIL) (((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-658 $)) NIL)) (-3369 (((-141) (-1 (-141) (-802 |#1| (-879 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1596 (((-658 (-879 |#2|)) $) NIL)) (-1437 (((-141) (-802 |#1| (-879 |#2|)) $) NIL)) (-3069 (((-141) (-879 |#2|) $) NIL)) (-3255 (((-141) $ $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1072 |#1| |#2|) (-13 (-1094 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|))) (-10 -8 (-15 -2248 ((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-141) (-141))))) (-477) (-658 (-1191))) (T -1072)) 
-((-2248 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-1072 *5 *6))))) 
-(-13 (-1094 |#1| (-558 (-879 |#2|)) (-879 |#2|) (-802 |#1| (-879 |#2|))) (-10 -8 (-15 -2248 ((-658 $) (-658 (-802 |#1| (-879 |#2|))) (-141) (-141))))) 
-((-3941 (((-1 (-592)) (-1113 (-592))) 33)) (-2714 (((-592) (-592) (-592) (-592) (-592)) 30)) (-3922 (((-1 (-592)) |RationalNumber|) NIL)) (-2455 (((-1 (-592)) |RationalNumber|) NIL)) (-4042 (((-1 (-592)) (-592) |RationalNumber|) NIL))) 
-(((-1073) (-10 -7 (-15 -3941 ((-1 (-592)) (-1113 (-592)))) (-15 -4042 ((-1 (-592)) (-592) |RationalNumber|)) (-15 -3922 ((-1 (-592)) |RationalNumber|)) (-15 -2455 ((-1 (-592)) |RationalNumber|)) (-15 -2714 ((-592) (-592) (-592) (-592) (-592))))) (T -1073)) 
-((-2714 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1073)))) (-2455 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-592))) (-5 *1 (-1073)))) (-3922 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-592))) (-5 *1 (-1073)))) (-4042 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-592))) (-5 *1 (-1073)) (-5 *3 (-592)))) (-3941 (*1 *2 *3) (-12 (-5 *3 (-1113 (-592))) (-5 *2 (-1 (-592))) (-5 *1 (-1073))))) 
-(-10 -7 (-15 -3941 ((-1 (-592)) (-1113 (-592)))) (-15 -4042 ((-1 (-592)) (-592) |RationalNumber|)) (-15 -3922 ((-1 (-592)) |RationalNumber|)) (-15 -2455 ((-1 (-592)) |RationalNumber|)) (-15 -2714 ((-592) (-592) (-592) (-592) (-592)))) 
-((-1683 (((-877) $) NIL) (($ (-592)) 10))) 
-(((-1074 |#1|) (-10 -8 (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-1075)) (T -1074)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-1075) (-1311)) (T -1075)) 
-((-4010 (*1 *2) (-12 (-4 *1 (-1075)) (-5 *2 (-790)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1075))))) 
-(-13 (-1082) (-743) (-661 $) (-10 -8 (-15 -4010 ((-790))) (-15 -1683 ($ (-592))) (-6 -4622))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 $) . T) ((-743) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-3014 (((-433 (-980 |#2|)) (-658 |#2|) (-658 |#2|) (-790) (-790)) 45))) 
-(((-1076 |#1| |#2|) (-10 -7 (-15 -3014 ((-433 (-980 |#2|)) (-658 |#2|) (-658 |#2|) (-790) (-790)))) (-1191) (-388)) (T -1076)) 
-((-3014 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-790)) (-4 *6 (-388)) (-5 *2 (-433 (-980 *6))) (-5 *1 (-1076 *5 *6)) (-14 *5 (-1191))))) 
-(-10 -7 (-15 -3014 ((-433 (-980 |#2|)) (-658 |#2|) (-658 |#2|) (-790) (-790)))) 
-((-4034 (((-141) $) 27)) (-3120 (((-141) $) 16)) (-4292 (((-790) $) 13)) (-4298 (((-790) $) 14)) (-2940 (((-141) $) 25)) (-3951 (((-141) $) 29))) 
-(((-1077 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -4298 ((-790) |#1|)) (-15 -4292 ((-790) |#1|)) (-15 -3951 ((-141) |#1|)) (-15 -4034 ((-141) |#1|)) (-15 -2940 ((-141) |#1|)) (-15 -3120 ((-141) |#1|))) (-1078 |#2| |#3| |#4| |#5| |#6|) (-790) (-790) (-1075) (-252 |#3| |#4|) (-252 |#2| |#4|)) (T -1077)) 
-NIL 
-(-10 -8 (-15 -4298 ((-790) |#1|)) (-15 -4292 ((-790) |#1|)) (-15 -3951 ((-141) |#1|)) (-15 -4034 ((-141) |#1|)) (-15 -2940 ((-141) |#1|)) (-15 -3120 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4034 (((-141) $) 48)) (-2350 (((-3 $ "failed") $ $) 18)) (-3120 (((-141) $) 50)) (-2126 (((-141) $ (-790)) 58)) (-3001 (($) 16 T CONST)) (-3052 (($ $) 31 (|has| |#3| (-323)))) (-2747 ((|#4| $ (-592)) 36)) (-4175 (((-790) $) 30 (|has| |#3| (-582)))) (-3959 ((|#3| $ (-592) (-592)) 38)) (-4004 (((-658 |#3|) $) 65 (|has| $ (-6 -4625)))) (-3178 (((-790) $) 29 (|has| |#3| (-582)))) (-3555 (((-658 |#5|) $) 28 (|has| |#3| (-582)))) (-4292 (((-790) $) 42)) (-4298 (((-790) $) 41)) (-4345 (((-141) $ (-790)) 57)) (-4577 (((-592) $) 46)) (-4280 (((-592) $) 44)) (-4467 (((-658 |#3|) $) 66 (|has| $ (-6 -4625)))) (-3133 (((-141) |#3| $) 68 (-12 (|has| |#3| (-1119)) (|has| $ (-6 -4625))))) (-1898 (((-592) $) 45)) (-3005 (((-592) $) 43)) (-4186 (($ (-658 (-658 |#3|))) 51)) (-3987 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-4601 (((-658 (-658 |#3|)) $) 40)) (-2554 (((-141) $ (-790)) 56)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-582)))) (-3002 (((-141) (-1 (-141) |#3|) $) 63 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#3|) (-658 |#3|)) 72 (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-310 |#3|)) 70 (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-658 (-310 |#3|))) 69 (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119))))) (-1724 (((-141) $ $) 52)) (-2943 (((-141) $) 55)) (-2890 (($) 54)) (-3927 ((|#3| $ (-592) (-592)) 39) ((|#3| $ (-592) (-592) |#3|) 37)) (-2940 (((-141) $) 49)) (-3452 (((-790) |#3| $) 67 (-12 (|has| |#3| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#3|) $) 64 (|has| $ (-6 -4625)))) (-4599 (($ $) 53)) (-2000 ((|#5| $ (-592)) 35)) (-1683 (((-877) $) 11)) (-3369 (((-141) (-1 (-141) |#3|) $) 62 (|has| $ (-6 -4625)))) (-3951 (((-141) $) 47)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#3|) 32 (|has| |#3| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-1699 (((-790) $) 59 (|has| $ (-6 -4625))))) 
-(((-1078 |#1| |#2| |#3| |#4| |#5|) (-1311) (-790) (-790) (-1075) (-252 |t#2| |t#3|) (-252 |t#1| |t#3|)) (T -1078)) 
-((-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)))) (-4186 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *5))) (-4 *5 (-1075)) (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)))) (-3120 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141)))) (-2940 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141)))) (-4034 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141)))) (-3951 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141)))) (-4577 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592)))) (-1898 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592)))) (-4280 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592)))) (-3005 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592)))) (-4292 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-790)))) (-4298 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-790)))) (-4601 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-658 (-658 *5))))) (-3927 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *2 *6 *7)) (-4 *6 (-252 *5 *2)) (-4 *7 (-252 *4 *2)) (-4 *2 (-1075)))) (-3959 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *2 *6 *7)) (-4 *6 (-252 *5 *2)) (-4 *7 (-252 *4 *2)) (-4 *2 (-1075)))) (-3927 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *2 *6 *7)) (-4 *2 (-1075)) (-4 *6 (-252 *5 *2)) (-4 *7 (-252 *4 *2)))) (-2747 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *6 *2 *7)) (-4 *6 (-1075)) (-4 *7 (-252 *4 *6)) (-4 *2 (-252 *5 *6)))) (-2000 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *6 *7 *2)) (-4 *6 (-1075)) (-4 *7 (-252 *5 *6)) (-4 *2 (-252 *4 *6)))) (-2731 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)))) (-3616 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1078 *3 *4 *2 *5 *6)) (-4 *2 (-1075)) (-4 *5 (-252 *4 *2)) (-4 *6 (-252 *3 *2)) (-4 *2 (-582)))) (-3313 (*1 *1 *1 *2) (-12 (-4 *1 (-1078 *3 *4 *2 *5 *6)) (-4 *2 (-1075)) (-4 *5 (-252 *4 *2)) (-4 *6 (-252 *3 *2)) (-4 *2 (-388)))) (-3052 (*1 *1 *1) (-12 (-4 *1 (-1078 *2 *3 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *6 (-252 *2 *4)) (-4 *4 (-323)))) (-4175 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-4 *5 (-582)) (-5 *2 (-790)))) (-3178 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-4 *5 (-582)) (-5 *2 (-790)))) (-3555 (*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-4 *5 (-582)) (-5 *2 (-658 *7))))) 
-(-13 (-140 |t#3| |t#3|) (-523 |t#3|) (-10 -8 (-6 -4625) (IF (|has| |t#3| (-194)) (-6 (-734 |t#3|)) |noBranch|) (-15 -4186 ($ (-658 (-658 |t#3|)))) (-15 -3120 ((-141) $)) (-15 -2940 ((-141) $)) (-15 -4034 ((-141) $)) (-15 -3951 ((-141) $)) (-15 -4577 ((-592) $)) (-15 -1898 ((-592) $)) (-15 -4280 ((-592) $)) (-15 -3005 ((-592) $)) (-15 -4292 ((-790) $)) (-15 -4298 ((-790) $)) (-15 -4601 ((-658 (-658 |t#3|)) $)) (-15 -3927 (|t#3| $ (-592) (-592))) (-15 -3959 (|t#3| $ (-592) (-592))) (-15 -3927 (|t#3| $ (-592) (-592) |t#3|)) (-15 -2747 (|t#4| $ (-592))) (-15 -2000 (|t#5| $ (-592))) (-15 -2731 ($ (-1 |t#3| |t#3|) $)) (-15 -2731 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-582)) (-15 -3616 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-388)) (-15 -3313 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-323)) (-15 -3052 ($ $)) |noBranch|) (IF (|has| |t#3| (-582)) (PROGN (-15 -4175 ((-790) $)) (-15 -3178 ((-790) $)) (-15 -3555 ((-658 |t#5|) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-125) . T) ((-140 |#3| |#3|) . T) ((-158) . T) ((-632 (-877)) . T) ((-325 |#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119))) ((-523 |#3|) . T) ((-547 |#3| |#3|) -12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119))) ((-661 |#3|) . T) ((-734 |#3|) |has| |#3| (-194)) ((-1081 |#3|) . T) ((-1119) . T) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4034 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) 40 (|has| |#3| (-323)))) (-2747 (((-254 |#2| |#3|) $ (-592)) 29)) (-1326 (($ (-706 |#3|)) 38)) (-4175 (((-790) $) 42 (|has| |#3| (-582)))) (-3959 ((|#3| $ (-592) (-592)) NIL)) (-4004 (((-658 |#3|) $) NIL (|has| $ (-6 -4625)))) (-3178 (((-790) $) 44 (|has| |#3| (-582)))) (-3555 (((-658 (-254 |#1| |#3|)) $) 48 (|has| |#3| (-582)))) (-4292 (((-790) $) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-4577 (((-592) $) NIL)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#3|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-1898 (((-592) $) NIL)) (-3005 (((-592) $) NIL)) (-4186 (($ (-658 (-658 |#3|))) 24)) (-3987 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-4601 (((-658 (-658 |#3|)) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-582)))) (-3002 (((-141) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#3|) (-658 |#3|)) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-310 |#3|)) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-658 (-310 |#3|))) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#3| $ (-592) (-592)) NIL) ((|#3| $ (-592) (-592) |#3|) NIL)) (-1936 (((-160)) 51 (|has| |#3| (-388)))) (-2940 (((-141) $) NIL)) (-3452 (((-790) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119)))) (((-790) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) 60 (|has| |#3| (-633 (-565))))) (-2000 (((-254 |#1| |#3|) $ (-592)) 33)) (-1683 (((-877) $) 16) (((-706 |#3|) $) 35)) (-3369 (((-141) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3514 (($) 13 T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#3|) NIL (|has| |#3| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1079 |#1| |#2| |#3|) (-13 (-1078 |#1| |#2| |#3| (-254 |#2| |#3|) (-254 |#1| |#3|)) (-632 (-706 |#3|)) (-10 -8 (IF (|has| |#3| (-388)) (-6 (-1287 |#3|)) |noBranch|) (IF (|has| |#3| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (-15 -1326 ($ (-706 |#3|))) (-15 -1683 ((-706 |#3|) $)))) (-790) (-790) (-1075)) (T -1079)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-706 *5)) (-5 *1 (-1079 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790)) (-4 *5 (-1075)))) (-1326 (*1 *1 *2) (-12 (-5 *2 (-706 *5)) (-4 *5 (-1075)) (-5 *1 (-1079 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790))))) 
-(-13 (-1078 |#1| |#2| |#3| (-254 |#2| |#3|) (-254 |#1| |#3|)) (-632 (-706 |#3|)) (-10 -8 (IF (|has| |#3| (-388)) (-6 (-1287 |#3|)) |noBranch|) (IF (|has| |#3| (-633 (-565))) (-6 (-633 (-565))) |noBranch|) (-15 -1326 ($ (-706 |#3|))) (-15 -1683 ((-706 |#3|) $)))) 
-((-3657 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-2731 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
-(((-1080 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -2731 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -3657 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-790) (-790) (-1075) (-252 |#2| |#3|) (-252 |#1| |#3|) (-1078 |#1| |#2| |#3| |#4| |#5|) (-1075) (-252 |#2| |#7|) (-252 |#1| |#7|) (-1078 |#1| |#2| |#7| |#8| |#9|)) (T -1080)) 
-((-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1075)) (-4 *2 (-1075)) (-14 *5 (-790)) (-14 *6 (-790)) (-4 *8 (-252 *6 *7)) (-4 *9 (-252 *5 *7)) (-4 *10 (-252 *6 *2)) (-4 *11 (-252 *5 *2)) (-5 *1 (-1080 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1078 *5 *6 *7 *8 *9)) (-4 *12 (-1078 *5 *6 *2 *10 *11)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1075)) (-4 *10 (-1075)) (-14 *5 (-790)) (-14 *6 (-790)) (-4 *8 (-252 *6 *7)) (-4 *9 (-252 *5 *7)) (-4 *2 (-1078 *5 *6 *10 *11 *12)) (-5 *1 (-1080 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1078 *5 *6 *7 *8 *9)) (-4 *11 (-252 *6 *10)) (-4 *12 (-252 *5 *10))))) 
-(-10 -7 (-15 -2731 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -3657 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ |#1|) 22))) 
-(((-1081 |#1|) (-1311) (-1082)) (T -1081)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1081 *2)) (-4 *2 (-1082))))) 
-(-13 (-21) (-10 -8 (-15 * ($ $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-944)) 25)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-1082) (-1311)) (T -1082)) 
-NIL 
-(-13 (-21) (-1131)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-158) . T) ((-632 (-877)) . T) ((-1131) . T) ((-1119) . T)) 
-((-2306 (($ $) 16)) (-1755 (($ $) 22)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 49)) (-2793 (($ $) 24)) (-3856 (($ $) 11)) (-2039 (($ $) 38)) (-1778 (((-405) $) NIL) (((-237) $) NIL) (((-914 (-405)) $) 33)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL) (($ (-433 (-592))) 28) (($ (-592)) NIL) (($ (-433 (-592))) 28)) (-4010 (((-790)) 8)) (-2744 (($ $) 39))) 
-(((-1083 |#1|) (-10 -8 (-15 -1755 (|#1| |#1|)) (-15 -2306 (|#1| |#1|)) (-15 -3856 (|#1| |#1|)) (-15 -2039 (|#1| |#1|)) (-15 -2744 (|#1| |#1|)) (-15 -2793 (|#1| |#1|)) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| (-592))) (-15 -1778 ((-237) |#1|)) (-15 -1778 ((-405) |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 -1683 ((-877) |#1|))) (-1084)) (T -1083)) 
-((-4010 (*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1083 *3)) (-4 *3 (-1084))))) 
-(-10 -8 (-15 -1755 (|#1| |#1|)) (-15 -2306 (|#1| |#1|)) (-15 -3856 (|#1| |#1|)) (-15 -2039 (|#1| |#1|)) (-15 -2744 (|#1| |#1|)) (-15 -2793 (|#1| |#1|)) (-15 -3412 ((-911 (-405) |#1|) |#1| (-914 (-405)) (-911 (-405) |#1|))) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| (-592))) (-15 -1778 ((-237) |#1|)) (-15 -1778 ((-405) |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-592))) (-15 -4010 ((-790))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1505 (((-592) $) 87)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2306 (($ $) 85)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 73)) (-3164 (((-444 $) $) 72)) (-1442 (($ $) 95)) (-3652 (((-141) $ $) 58)) (-3940 (((-592) $) 112)) (-3001 (($) 16 T CONST)) (-1755 (($ $) 84)) (-4368 (((-3 (-592) "failed") $) 100) (((-3 (-433 (-592)) "failed") $) 97)) (-2400 (((-592) $) 99) (((-433 (-592)) $) 96)) (-1586 (($ $ $) 54)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 55)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 50)) (-2802 (((-141) $) 71)) (-1691 (((-141) $) 110)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 91)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 94)) (-2793 (($ $) 90)) (-1324 (((-141) $) 111)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 51)) (-1837 (($ $ $) 109)) (-3319 (($ $ $) 108)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 70)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-3856 (($ $) 86)) (-2039 (($ $) 88)) (-4500 (((-444 $) $) 74)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 53) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 49)) (-2769 (((-790) $) 57)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 56)) (-1778 (((-405) $) 103) (((-237) $) 102) (((-914 (-405)) $) 92)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 65) (($ (-592)) 101) (($ (-433 (-592))) 98)) (-4010 (((-790)) 28)) (-2744 (($ $) 89)) (-2537 (((-141) $ $) 38)) (-1392 (($ $) 113)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 69)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3286 (((-141) $ $) 106)) (-3273 (((-141) $ $) 105)) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 107)) (-3266 (((-141) $ $) 104)) (-3313 (($ $ $) 64)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 68) (($ $ (-433 (-592))) 93)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 67) (($ (-433 (-592)) $) 66))) 
-(((-1084) (-1311)) (T -1084)) 
-((-1392 (*1 *1 *1) (-4 *1 (-1084))) (-2793 (*1 *1 *1) (-4 *1 (-1084))) (-2744 (*1 *1 *1) (-4 *1 (-1084))) (-2039 (*1 *1 *1) (-4 *1 (-1084))) (-1505 (*1 *2 *1) (-12 (-4 *1 (-1084)) (-5 *2 (-592)))) (-3856 (*1 *1 *1) (-4 *1 (-1084))) (-2306 (*1 *1 *1) (-4 *1 (-1084))) (-1755 (*1 *1 *1) (-4 *1 (-1084)))) 
-(-13 (-388) (-867) (-1049) (-1065 (-592)) (-1065 (-433 (-592))) (-1030) (-633 (-914 (-405))) (-908 (-405)) (-171) (-10 -8 (-15 -2793 ($ $)) (-15 -2744 ($ $)) (-15 -2039 ($ $)) (-15 -1505 ((-592) $)) (-15 -3856 ($ $)) (-15 -2306 ($ $)) (-15 -1755 ($ $)) (-15 -1392 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 $ $) . T) ((-158) . T) ((-171) . T) ((-632 (-877)) . T) ((-194) . T) ((-633 (-237)) . T) ((-633 (-405)) . T) ((-633 (-914 (-405))) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 $) . T) ((-743) . T) ((-813) . T) ((-814) . T) ((-816) . T) ((-817) . T) ((-867) . T) ((-869) . T) ((-908 (-405)) . T) ((-943) . T) ((-1030) . T) ((-1049) . T) ((-1065 (-433 (-592))) . T) ((-1065 (-592)) . T) ((-1081 (-433 (-592))) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) |#2| $) 23)) (-1403 ((|#1| $) 10)) (-3940 (((-592) |#2| $) 88)) (-3906 (((-3 $ "failed") |#2| (-944)) 58)) (-1954 ((|#1| $) 28)) (-4216 ((|#1| |#2| $ |#1|) 37)) (-4028 (($ $) 25)) (-3371 (((-3 |#2| "failed") |#2| $) 87)) (-1691 (((-141) |#2| $) NIL)) (-1324 (((-141) |#2| $) NIL)) (-3724 (((-141) |#2| $) 24)) (-3170 ((|#1| $) 89)) (-1961 ((|#1| $) 27)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3390 ((|#2| $) 79)) (-1683 (((-877) $) 71)) (-2642 ((|#1| |#2| $ |#1|) 38)) (-3740 (((-658 $) |#2|) 60)) (-3255 (((-141) $ $) 74))) 
-(((-1085 |#1| |#2|) (-13 (-1091 |#1| |#2|) (-10 -8 (-15 -1961 (|#1| $)) (-15 -1954 (|#1| $)) (-15 -1403 (|#1| $)) (-15 -3170 (|#1| $)) (-15 -4028 ($ $)) (-15 -3724 ((-141) |#2| $)) (-15 -4216 (|#1| |#2| $ |#1|)))) (-13 (-867) (-388)) (-1255 |#1|)) (T -1085)) 
-((-4216 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) (-1961 (*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) (-1954 (*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) (-1403 (*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) (-3170 (*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) (-4028 (*1 *1 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) (-3724 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-867) (-388))) (-5 *2 (-141)) (-5 *1 (-1085 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-13 (-1091 |#1| |#2|) (-10 -8 (-15 -1961 (|#1| $)) (-15 -1954 (|#1| $)) (-15 -1403 (|#1| $)) (-15 -3170 (|#1| $)) (-15 -4028 ($ $)) (-15 -3724 ((-141) |#2| $)) (-15 -4216 (|#1| |#2| $ |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2204 (($ $ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1686 (($ $ $ $) NIL)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL)) (-3651 (($ $ $) NIL)) (-3001 (($) NIL T CONST)) (-2127 (($ (-1191)) 10) (($ (-592)) 7)) (-4368 (((-3 (-592) "failed") $) NIL)) (-2400 (((-592) $) NIL)) (-1586 (($ $ $) NIL)) (-3945 (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-706 (-592)) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL)) (-2435 (((-141) $) NIL)) (-2270 (((-433 (-592)) $) NIL)) (-4290 (($) NIL) (($ $) NIL)) (-1599 (($ $ $) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2520 (($ $ $ $) NIL)) (-1592 (($ $ $) NIL)) (-1691 (((-141) $) NIL)) (-3870 (($ $ $) NIL)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL)) (-3558 (((-141) $) NIL)) (-3372 (((-141) $) NIL)) (-3921 (((-3 $ "failed") $) NIL)) (-1324 (((-141) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3260 (($ $ $ $) NIL)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-4561 (($ $) NIL)) (-4233 (($ $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4092 (($ $ $) NIL)) (-3703 (($) NIL T CONST)) (-4185 (($ $) NIL)) (-2951 (((-1137) $) NIL) (($ $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2283 (($ $) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3554 (((-141) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-1676 (($ $) NIL)) (-4599 (($ $) NIL)) (-1778 (((-592) $) 16) (((-565) $) NIL) (((-914 (-592)) $) NIL) (((-405) $) NIL) (((-237) $) NIL) (($ (-1191)) 9)) (-1683 (((-877) $) 20) (($ (-592)) 6) (($ $) NIL) (($ (-592)) 6)) (-4010 (((-790)) NIL)) (-3911 (((-141) $ $) NIL)) (-4042 (($ $ $) NIL)) (-4226 (($) NIL)) (-2537 (((-141) $ $) NIL)) (-1475 (($ $ $ $) NIL)) (-1392 (($ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) NIL)) (-3306 (($ $) 19) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL))) 
-(((-1086) (-13 (-574) (-10 -8 (-6 -4612) (-6 -4617) (-6 -4613) (-15 -1778 ($ (-1191))) (-15 -2127 ($ (-1191))) (-15 -2127 ($ (-592)))))) (T -1086)) 
-((-1778 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1086)))) (-2127 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1086)))) (-2127 (*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1086))))) 
-(-13 (-574) (-10 -8 (-6 -4612) (-6 -4617) (-6 -4613) (-15 -1778 ($ (-1191))) (-15 -2127 ($ (-1191))) (-15 -2127 ($ (-592))))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-3898 (((-1285) $ (-1191) (-1191)) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-2670 (($) 9)) (-3932 (((-57) $ (-1191) (-57)) NIL)) (-3152 (($ $) 23)) (-1320 (($ $) 21)) (-4333 (($ $) 20)) (-3311 (($ $) 22)) (-3915 (($ $) 25)) (-3808 (($ $) 26)) (-1383 (($ $) 19)) (-1754 (($ $) 24)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) 18 (|has| $ (-6 -4625)))) (-2916 (((-3 (-57) "failed") (-1191) $) 34)) (-3001 (($) NIL T CONST)) (-3041 (($) 7)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-4065 (($ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) 46 (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-3 (-57) "failed") (-1191) $) NIL)) (-4459 (($ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625)))) (-1312 (((-3 (-1173) "failed") $ (-1173) (-592)) 59)) (-1426 (((-57) $ (-1191) (-57)) NIL (|has| $ (-6 -4626)))) (-3959 (((-57) $ (-1191)) NIL)) (-4004 (((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-658 (-57)) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-1191) $) NIL (|has| (-1191) (-869)))) (-4467 (((-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) 28 (|has| $ (-6 -4625))) (((-658 (-57)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (((-141) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119))))) (-1813 (((-1191) $) NIL (|has| (-1191) (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4626))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-2840 (((-658 (-1191)) $) NIL)) (-2396 (((-141) (-1191) $) NIL)) (-4137 (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL)) (-2113 (($ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) 37)) (-3708 (((-658 (-1191)) $) NIL)) (-3780 (((-141) (-1191) $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-2835 (((-405) $ (-1191)) 45)) (-2630 (((-658 (-1173)) $ (-1173)) 60)) (-1918 (((-57) $) NIL (|has| (-1191) (-869)))) (-4050 (((-3 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) "failed") (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL)) (-1892 (($ $ (-57)) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-310 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL (-12 (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-325 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (($ $ (-658 (-57)) (-658 (-57))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-310 (-57))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119)))) (($ $ (-658 (-310 (-57)))) NIL (-12 (|has| (-57) (-325 (-57))) (|has| (-57) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119))))) (-4210 (((-658 (-57)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 (((-57) $ (-1191)) NIL) (((-57) $ (-1191) (-57)) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-4288 (($ $ (-1191)) 47)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119)))) (((-790) (-57) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-57) (-1119)))) (((-790) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) 30)) (-2266 (($ $ $) 31)) (-1683 (((-877) $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-4541 (($ $ (-1191) (-405)) 43)) (-2020 (($ $ (-1191) (-405)) 44)) (-4560 (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 (-1191)) (|:| -3552 (-57)))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) (-57)) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-57) (-1119)) (|has| (-2 (|:| -1350 (-1191)) (|:| -3552 (-57))) (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1087) (-13 (-1202 (-1191) (-57)) (-10 -8 (-15 -2266 ($ $ $)) (-15 -3041 ($)) (-15 -1383 ($ $)) (-15 -4333 ($ $)) (-15 -1320 ($ $)) (-15 -3311 ($ $)) (-15 -1754 ($ $)) (-15 -3152 ($ $)) (-15 -3915 ($ $)) (-15 -3808 ($ $)) (-15 -4541 ($ $ (-1191) (-405))) (-15 -2020 ($ $ (-1191) (-405))) (-15 -2835 ((-405) $ (-1191))) (-15 -2630 ((-658 (-1173)) $ (-1173))) (-15 -4288 ($ $ (-1191))) (-15 -2670 ($)) (-15 -1312 ((-3 (-1173) "failed") $ (-1173) (-592))) (-6 -4625)))) (T -1087)) 
-((-2266 (*1 *1 *1 *1) (-5 *1 (-1087))) (-3041 (*1 *1) (-5 *1 (-1087))) (-1383 (*1 *1 *1) (-5 *1 (-1087))) (-4333 (*1 *1 *1) (-5 *1 (-1087))) (-1320 (*1 *1 *1) (-5 *1 (-1087))) (-3311 (*1 *1 *1) (-5 *1 (-1087))) (-1754 (*1 *1 *1) (-5 *1 (-1087))) (-3152 (*1 *1 *1) (-5 *1 (-1087))) (-3915 (*1 *1 *1) (-5 *1 (-1087))) (-3808 (*1 *1 *1) (-5 *1 (-1087))) (-4541 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-405)) (-5 *1 (-1087)))) (-2020 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-405)) (-5 *1 (-1087)))) (-2835 (*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-405)) (-5 *1 (-1087)))) (-2630 (*1 *2 *1 *3) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1087)) (-5 *3 (-1173)))) (-4288 (*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1087)))) (-2670 (*1 *1) (-5 *1 (-1087))) (-1312 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1173)) (-5 *3 (-592)) (-5 *1 (-1087))))) 
-(-13 (-1202 (-1191) (-57)) (-10 -8 (-15 -2266 ($ $ $)) (-15 -3041 ($)) (-15 -1383 ($ $)) (-15 -4333 ($ $)) (-15 -1320 ($ $)) (-15 -3311 ($ $)) (-15 -1754 ($ $)) (-15 -3152 ($ $)) (-15 -3915 ($ $)) (-15 -3808 ($ $)) (-15 -4541 ($ $ (-1191) (-405))) (-15 -2020 ($ $ (-1191) (-405))) (-15 -2835 ((-405) $ (-1191))) (-15 -2630 ((-658 (-1173)) $ (-1173))) (-15 -4288 ($ $ (-1191))) (-15 -2670 ($)) (-15 -1312 ((-3 (-1173) "failed") $ (-1173) (-592))) (-6 -4625))) 
-((-3188 (($ $) 45)) (-3078 (((-141) $ $) 74)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-980 (-433 (-592)))) 226) (((-3 $ "failed") (-980 (-592))) 225) (((-3 $ "failed") (-980 |#2|)) 228)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL) (((-592) $) NIL) ((|#4| $) NIL) (($ (-980 (-433 (-592)))) 214) (($ (-980 (-592))) 210) (($ (-980 |#2|)) 230)) (-4593 (($ $) NIL) (($ $ |#4|) 43)) (-2172 (((-141) $ $) 111) (((-141) $ (-658 $)) 112)) (-2034 (((-141) $) 56)) (-4369 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 106)) (-4544 (($ $) 137)) (-1342 (($ $) 133)) (-2481 (($ $) 132)) (-3383 (($ $ $) 79) (($ $ $ |#4|) 84)) (-1877 (($ $ $) 82) (($ $ $ |#4|) 86)) (-2479 (((-141) $ $) 120) (((-141) $ (-658 $)) 121)) (-3259 ((|#4| $) 33)) (-4371 (($ $ $) 109)) (-1469 (((-141) $) 55)) (-1824 (((-790) $) 35)) (-3158 (($ $) 151)) (-4568 (($ $) 148)) (-4003 (((-658 $) $) 68)) (-4473 (($ $) 57)) (-3923 (($ $) 144)) (-3026 (((-658 $) $) 65)) (-1508 (($ $) 59)) (-4579 ((|#2| $) NIL) (($ $ |#4|) 38)) (-3037 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3116 (-790))) $ $) 110)) (-2198 (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $) 107) (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $ |#4|) 108)) (-4517 (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $) 103) (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $ |#4|) 104)) (-1499 (($ $ $) 89) (($ $ $ |#4|) 94)) (-1494 (($ $ $) 90) (($ $ $ |#4|) 95)) (-2434 (((-658 $) $) 51)) (-2346 (((-141) $ $) 117) (((-141) $ (-658 $)) 118)) (-1751 (($ $ $) 102)) (-3703 (($ $) 37)) (-3085 (((-141) $ $) 72)) (-4442 (((-141) $ $) 113) (((-141) $ (-658 $)) 115)) (-1803 (($ $ $) 100)) (-3296 (($ $) 40)) (-3548 ((|#2| |#2| $) 141) (($ (-658 $)) NIL) (($ $ $) NIL)) (-2909 (($ $ |#2|) NIL) (($ $ $) 130)) (-3194 (($ $ |#2|) 125) (($ $ $) 128)) (-2676 (($ $) 48)) (-1526 (($ $) 52)) (-1778 (((-914 (-405)) $) NIL) (((-914 (-592)) $) NIL) (((-565) $) NIL) (($ (-980 (-433 (-592)))) 216) (($ (-980 (-592))) 212) (($ (-980 |#2|)) 227) (((-1173) $) 249) (((-980 |#2|) $) 161)) (-1683 (((-877) $) 30) (($ (-592)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-980 |#2|) $) 162) (($ (-433 (-592))) NIL) (($ $) NIL)) (-2745 (((-3 (-141) "failed") $ $) 71))) 
-(((-1088 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1683 (|#1| |#1|)) (-15 -3548 (|#1| |#1| |#1|)) (-15 -3548 (|#1| (-658 |#1|))) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 ((-980 |#2|) |#1|)) (-15 -1778 ((-980 |#2|) |#1|)) (-15 -1778 ((-1173) |#1|)) (-15 -3158 (|#1| |#1|)) (-15 -4568 (|#1| |#1|)) (-15 -3923 (|#1| |#1|)) (-15 -4544 (|#1| |#1|)) (-15 -3548 (|#2| |#2| |#1|)) (-15 -2909 (|#1| |#1| |#1|)) (-15 -3194 (|#1| |#1| |#1|)) (-15 -2909 (|#1| |#1| |#2|)) (-15 -3194 (|#1| |#1| |#2|)) (-15 -1342 (|#1| |#1|)) (-15 -2481 (|#1| |#1|)) (-15 -1778 (|#1| (-980 |#2|))) (-15 -2400 (|#1| (-980 |#2|))) (-15 -4368 ((-3 |#1| "failed") (-980 |#2|))) (-15 -1778 (|#1| (-980 (-592)))) (-15 -2400 (|#1| (-980 (-592)))) (-15 -4368 ((-3 |#1| "failed") (-980 (-592)))) (-15 -1778 (|#1| (-980 (-433 (-592))))) (-15 -2400 (|#1| (-980 (-433 (-592))))) (-15 -4368 ((-3 |#1| "failed") (-980 (-433 (-592))))) (-15 -1751 (|#1| |#1| |#1|)) (-15 -1803 (|#1| |#1| |#1|)) (-15 -3037 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3116 (-790))) |#1| |#1|)) (-15 -4371 (|#1| |#1| |#1|)) (-15 -4369 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -2198 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1| |#4|)) (-15 -2198 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -4517 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -3027 |#1|)) |#1| |#1| |#4|)) (-15 -4517 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -1494 (|#1| |#1| |#1| |#4|)) (-15 -1499 (|#1| |#1| |#1| |#4|)) (-15 -1494 (|#1| |#1| |#1|)) (-15 -1499 (|#1| |#1| |#1|)) (-15 -1877 (|#1| |#1| |#1| |#4|)) (-15 -3383 (|#1| |#1| |#1| |#4|)) (-15 -1877 (|#1| |#1| |#1|)) (-15 -3383 (|#1| |#1| |#1|)) (-15 -2479 ((-141) |#1| (-658 |#1|))) (-15 -2479 ((-141) |#1| |#1|)) (-15 -2346 ((-141) |#1| (-658 |#1|))) (-15 -2346 ((-141) |#1| |#1|)) (-15 -4442 ((-141) |#1| (-658 |#1|))) (-15 -4442 ((-141) |#1| |#1|)) (-15 -2172 ((-141) |#1| (-658 |#1|))) (-15 -2172 ((-141) |#1| |#1|)) (-15 -3078 ((-141) |#1| |#1|)) (-15 -3085 ((-141) |#1| |#1|)) (-15 -2745 ((-3 (-141) "failed") |#1| |#1|)) (-15 -4003 ((-658 |#1|) |#1|)) (-15 -3026 ((-658 |#1|) |#1|)) (-15 -1508 (|#1| |#1|)) (-15 -4473 (|#1| |#1|)) (-15 -2034 ((-141) |#1|)) (-15 -1469 ((-141) |#1|)) (-15 -4593 (|#1| |#1| |#4|)) (-15 -4579 (|#1| |#1| |#4|)) (-15 -1526 (|#1| |#1|)) (-15 -2434 ((-658 |#1|) |#1|)) (-15 -2676 (|#1| |#1|)) (-15 -3188 (|#1| |#1|)) (-15 -3296 (|#1| |#1|)) (-15 -3703 (|#1| |#1|)) (-15 -1824 ((-790) |#1|)) (-15 -3259 (|#4| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -2400 (|#4| |#1|)) (-15 -4368 ((-3 |#4| "failed") |#1|)) (-15 -1683 (|#1| |#4|)) (-15 -4579 (|#2| |#1|)) (-15 -4593 (|#1| |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-1089 |#2| |#3| |#4|) (-1075) (-815) (-869)) (T -1088)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| |#1|)) (-15 -3548 (|#1| |#1| |#1|)) (-15 -3548 (|#1| (-658 |#1|))) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 ((-980 |#2|) |#1|)) (-15 -1778 ((-980 |#2|) |#1|)) (-15 -1778 ((-1173) |#1|)) (-15 -3158 (|#1| |#1|)) (-15 -4568 (|#1| |#1|)) (-15 -3923 (|#1| |#1|)) (-15 -4544 (|#1| |#1|)) (-15 -3548 (|#2| |#2| |#1|)) (-15 -2909 (|#1| |#1| |#1|)) (-15 -3194 (|#1| |#1| |#1|)) (-15 -2909 (|#1| |#1| |#2|)) (-15 -3194 (|#1| |#1| |#2|)) (-15 -1342 (|#1| |#1|)) (-15 -2481 (|#1| |#1|)) (-15 -1778 (|#1| (-980 |#2|))) (-15 -2400 (|#1| (-980 |#2|))) (-15 -4368 ((-3 |#1| "failed") (-980 |#2|))) (-15 -1778 (|#1| (-980 (-592)))) (-15 -2400 (|#1| (-980 (-592)))) (-15 -4368 ((-3 |#1| "failed") (-980 (-592)))) (-15 -1778 (|#1| (-980 (-433 (-592))))) (-15 -2400 (|#1| (-980 (-433 (-592))))) (-15 -4368 ((-3 |#1| "failed") (-980 (-433 (-592))))) (-15 -1751 (|#1| |#1| |#1|)) (-15 -1803 (|#1| |#1| |#1|)) (-15 -3037 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3116 (-790))) |#1| |#1|)) (-15 -4371 (|#1| |#1| |#1|)) (-15 -4369 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -2198 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1| |#4|)) (-15 -2198 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -4517 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -3027 |#1|)) |#1| |#1| |#4|)) (-15 -4517 ((-2 (|:| -1487 |#1|) (|:| |gap| (-790)) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -1494 (|#1| |#1| |#1| |#4|)) (-15 -1499 (|#1| |#1| |#1| |#4|)) (-15 -1494 (|#1| |#1| |#1|)) (-15 -1499 (|#1| |#1| |#1|)) (-15 -1877 (|#1| |#1| |#1| |#4|)) (-15 -3383 (|#1| |#1| |#1| |#4|)) (-15 -1877 (|#1| |#1| |#1|)) (-15 -3383 (|#1| |#1| |#1|)) (-15 -2479 ((-141) |#1| (-658 |#1|))) (-15 -2479 ((-141) |#1| |#1|)) (-15 -2346 ((-141) |#1| (-658 |#1|))) (-15 -2346 ((-141) |#1| |#1|)) (-15 -4442 ((-141) |#1| (-658 |#1|))) (-15 -4442 ((-141) |#1| |#1|)) (-15 -2172 ((-141) |#1| (-658 |#1|))) (-15 -2172 ((-141) |#1| |#1|)) (-15 -3078 ((-141) |#1| |#1|)) (-15 -3085 ((-141) |#1| |#1|)) (-15 -2745 ((-3 (-141) "failed") |#1| |#1|)) (-15 -4003 ((-658 |#1|) |#1|)) (-15 -3026 ((-658 |#1|) |#1|)) (-15 -1508 (|#1| |#1|)) (-15 -4473 (|#1| |#1|)) (-15 -2034 ((-141) |#1|)) (-15 -1469 ((-141) |#1|)) (-15 -4593 (|#1| |#1| |#4|)) (-15 -4579 (|#1| |#1| |#4|)) (-15 -1526 (|#1| |#1|)) (-15 -2434 ((-658 |#1|) |#1|)) (-15 -2676 (|#1| |#1|)) (-15 -3188 (|#1| |#1|)) (-15 -3296 (|#1| |#1|)) (-15 -3703 (|#1| |#1|)) (-15 -1824 ((-790) |#1|)) (-15 -3259 (|#4| |#1|)) (-15 -1778 ((-565) |#1|)) (-15 -1778 ((-914 (-592)) |#1|)) (-15 -1778 ((-914 (-405)) |#1|)) (-15 -2400 (|#4| |#1|)) (-15 -4368 ((-3 |#4| "failed") |#1|)) (-15 -1683 (|#1| |#4|)) (-15 -4579 (|#2| |#1|)) (-15 -4593 (|#1| |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 |#3|) $) 108)) (-4492 (((-1187 $) $ |#3|) 123) (((-1187 |#1|) $) 122)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 85 (|has| |#1| (-582)))) (-1555 (($ $) 86 (|has| |#1| (-582)))) (-1313 (((-141) $) 88 (|has| |#1| (-582)))) (-2189 (((-790) $) 110) (((-790) $ (-658 |#3|)) 109)) (-3188 (($ $) 250)) (-3078 (((-141) $ $) 236)) (-2350 (((-3 $ "failed") $ $) 18)) (-3250 (($ $ $) 195 (|has| |#1| (-582)))) (-3181 (((-658 $) $ $) 190 (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) 98 (|has| |#1| (-931)))) (-3743 (($ $) 96 (|has| |#1| (-477)))) (-3164 (((-444 $) $) 95 (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 101 (|has| |#1| (-931)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 162) (((-3 (-433 (-592)) "failed") $) 160 (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) 158 (|has| |#1| (-1065 (-592)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-980 (-433 (-592)))) 210 (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191))))) (((-3 $ "failed") (-980 (-592))) 207 (-3836 (-12 (-3252 (|has| |#1| (-43 (-433 (-592))))) (|has| |#1| (-43 (-592))) (|has| |#3| (-633 (-1191)))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191)))))) (((-3 $ "failed") (-980 |#1|)) 204 (-3836 (-12 (-3252 (|has| |#1| (-43 (-433 (-592))))) (-3252 (|has| |#1| (-43 (-592)))) (|has| |#3| (-633 (-1191)))) (-12 (-3252 (|has| |#1| (-574))) (-3252 (|has| |#1| (-43 (-433 (-592))))) (|has| |#1| (-43 (-592))) (|has| |#3| (-633 (-1191)))) (-12 (-3252 (|has| |#1| (-1021 (-592)))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191))))))) (-2400 ((|#1| $) 163) (((-433 (-592)) $) 159 (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) 157 (|has| |#1| (-1065 (-592)))) ((|#3| $) 133) (($ (-980 (-433 (-592)))) 209 (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191))))) (($ (-980 (-592))) 206 (-3836 (-12 (-3252 (|has| |#1| (-43 (-433 (-592))))) (|has| |#1| (-43 (-592))) (|has| |#3| (-633 (-1191)))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191)))))) (($ (-980 |#1|)) 203 (-3836 (-12 (-3252 (|has| |#1| (-43 (-433 (-592))))) (-3252 (|has| |#1| (-43 (-592)))) (|has| |#3| (-633 (-1191)))) (-12 (-3252 (|has| |#1| (-574))) (-3252 (|has| |#1| (-43 (-433 (-592))))) (|has| |#1| (-43 (-592))) (|has| |#3| (-633 (-1191)))) (-12 (-3252 (|has| |#1| (-1021 (-592)))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191))))))) (-1544 (($ $ $ |#3|) 106 (|has| |#1| (-194))) (($ $ $) 191 (|has| |#1| (-582)))) (-4593 (($ $) 152) (($ $ |#3|) 245)) (-3945 (((-706 (-592)) (-706 $)) 132 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 131 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 130) (((-706 |#1|) (-706 $)) 129)) (-2172 (((-141) $ $) 235) (((-141) $ (-658 $)) 234)) (-3371 (((-3 $ "failed") $) 33)) (-2034 (((-141) $) 243)) (-4369 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 215)) (-4544 (($ $) 184 (|has| |#1| (-477)))) (-3262 (($ $) 174 (|has| |#1| (-477))) (($ $ |#3|) 103 (|has| |#1| (-477)))) (-4585 (((-658 $) $) 107)) (-2802 (((-141) $) 94 (|has| |#1| (-931)))) (-1342 (($ $) 200 (|has| |#1| (-582)))) (-2481 (($ $) 201 (|has| |#1| (-582)))) (-3383 (($ $ $) 227) (($ $ $ |#3|) 225)) (-1877 (($ $ $) 226) (($ $ $ |#3|) 224)) (-4209 (($ $ |#1| |#2| $) 170)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 82 (-12 (|has| |#3| (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 81 (-12 (|has| |#3| (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-3558 (((-141) $) 30)) (-4036 (((-790) $) 167)) (-2479 (((-141) $ $) 229) (((-141) $ (-658 $)) 228)) (-2707 (($ $ $ $ $) 186 (|has| |#1| (-582)))) (-3259 ((|#3| $) 254)) (-4533 (($ (-1187 |#1|) |#3|) 115) (($ (-1187 $) |#3|) 114)) (-3108 (((-658 $) $) 124)) (-2027 (((-141) $) 150)) (-4526 (($ |#1| |#2|) 151) (($ $ |#3| (-790)) 117) (($ $ (-658 |#3|) (-658 (-790))) 116)) (-4371 (($ $ $) 214)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#3|) 118)) (-1469 (((-141) $) 244)) (-4206 ((|#2| $) 168) (((-790) $ |#3|) 120) (((-658 (-790)) $ (-658 |#3|)) 119)) (-1837 (($ $ $) 77 (|has| |#1| (-869)))) (-1824 (((-790) $) 253)) (-3319 (($ $ $) 76 (|has| |#1| (-869)))) (-2976 (($ (-1 |#2| |#2|) $) 169)) (-2731 (($ (-1 |#1| |#1|) $) 149)) (-3254 (((-3 |#3| "failed") $) 121)) (-3158 (($ $) 181 (|has| |#1| (-477)))) (-4568 (($ $) 182 (|has| |#1| (-477)))) (-4003 (((-658 $) $) 239)) (-4473 (($ $) 242)) (-3923 (($ $) 183 (|has| |#1| (-477)))) (-3026 (((-658 $) $) 240)) (-1508 (($ $) 241)) (-4573 (($ $) 147)) (-4579 ((|#1| $) 146) (($ $ |#3|) 246)) (-2750 (($ (-658 $)) 92 (|has| |#1| (-477))) (($ $ $) 91 (|has| |#1| (-477)))) (-3037 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3116 (-790))) $ $) 213)) (-2198 (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $) 217) (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $ |#3|) 216)) (-4517 (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $) 219) (((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $ |#3|) 218)) (-1499 (($ $ $) 223) (($ $ $ |#3|) 221)) (-1494 (($ $ $) 222) (($ $ $ |#3|) 220)) (-2685 (((-1173) $) 9)) (-3722 (($ $ $) 189 (|has| |#1| (-582)))) (-2434 (((-658 $) $) 248)) (-4421 (((-3 (-658 $) "failed") $) 112)) (-2947 (((-3 (-658 $) "failed") $) 113)) (-2257 (((-3 (-2 (|:| |var| |#3|) (|:| -3215 (-790))) "failed") $) 111)) (-2346 (((-141) $ $) 231) (((-141) $ (-658 $)) 230)) (-1751 (($ $ $) 211)) (-3703 (($ $) 252)) (-3085 (((-141) $ $) 237)) (-4442 (((-141) $ $) 233) (((-141) $ (-658 $)) 232)) (-1803 (($ $ $) 212)) (-3296 (($ $) 251)) (-2951 (((-1137) $) 10)) (-1453 (((-2 (|:| -3548 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-582)))) (-2845 (((-2 (|:| -3548 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-582)))) (-4559 (((-141) $) 164)) (-4565 ((|#1| $) 165)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 93 (|has| |#1| (-477)))) (-3548 ((|#1| |#1| $) 185 (|has| |#1| (-477))) (($ (-658 $)) 90 (|has| |#1| (-477))) (($ $ $) 89 (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 100 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 99 (|has| |#1| (-931)))) (-4500 (((-444 $) $) 97 (|has| |#1| (-931)))) (-2049 (((-2 (|:| -3548 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-582)))) (-3616 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-582)))) (-2909 (($ $ |#1|) 198 (|has| |#1| (-582))) (($ $ $) 196 (|has| |#1| (-582)))) (-3194 (($ $ |#1|) 199 (|has| |#1| (-582))) (($ $ $) 197 (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) 143) (($ $ (-310 $)) 142) (($ $ $ $) 141) (($ $ (-658 $) (-658 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-658 |#3|) (-658 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-658 |#3|) (-658 $)) 136)) (-1482 (($ $ |#3|) 105 (|has| |#1| (-194)))) (-3644 (($ $ |#3|) 41) (($ $ (-658 |#3|)) 40) (($ $ |#3| (-790)) 39) (($ $ (-658 |#3|) (-658 (-790))) 38)) (-4525 ((|#2| $) 148) (((-790) $ |#3|) 128) (((-658 (-790)) $ (-658 |#3|)) 127)) (-2676 (($ $) 249)) (-1526 (($ $) 247)) (-1778 (((-914 (-405)) $) 80 (-12 (|has| |#3| (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) 79 (-12 (|has| |#3| (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) 78 (-12 (|has| |#3| (-633 (-565))) (|has| |#1| (-633 (-565))))) (($ (-980 (-433 (-592)))) 208 (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191))))) (($ (-980 (-592))) 205 (-3836 (-12 (-3252 (|has| |#1| (-43 (-433 (-592))))) (|has| |#1| (-43 (-592))) (|has| |#3| (-633 (-1191)))) (-12 (|has| |#1| (-43 (-433 (-592)))) (|has| |#3| (-633 (-1191)))))) (($ (-980 |#1|)) 202 (|has| |#3| (-633 (-1191)))) (((-1173) $) 180 (-12 (|has| |#1| (-1065 (-592))) (|has| |#3| (-633 (-1191))))) (((-980 |#1|) $) 179 (|has| |#3| (-633 (-1191))))) (-1554 ((|#1| $) 173 (|has| |#1| (-477))) (($ $ |#3|) 104 (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 102 (-1732 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-980 |#1|) $) 178 (|has| |#3| (-633 (-1191)))) (($ (-433 (-592))) 70 (-3836 (|has| |#1| (-1065 (-433 (-592)))) (|has| |#1| (-43 (-433 (-592)))))) (($ $) 83 (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) 166)) (-1937 ((|#1| $ |#2|) 153) (($ $ |#3| (-790)) 126) (($ $ (-658 |#3|) (-658 (-790))) 125)) (-1517 (((-3 $ "failed") $) 71 (-3836 (-1732 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) 28)) (-4064 (($ $ $ (-790)) 171 (|has| |#1| (-194)))) (-2537 (((-141) $ $) 87 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-2745 (((-3 (-141) "failed") $ $) 238)) (-4257 (($) 29 T CONST)) (-4594 (($ $ $ $ (-790)) 187 (|has| |#1| (-582)))) (-2650 (($ $ $ (-790)) 188 (|has| |#1| (-582)))) (-1940 (($ $ |#3|) 37) (($ $ (-658 |#3|)) 36) (($ $ |#3| (-790)) 35) (($ $ (-658 |#3|) (-658 (-790))) 34)) (-3286 (((-141) $ $) 74 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 73 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 75 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 72 (|has| |#1| (-869)))) (-3313 (($ $ |#1|) 154 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 156 (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) 155 (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1089 |#1| |#2| |#3|) (-1311) (-1075) (-815) (-869)) (T -1089)) 
-((-3259 (*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-1824 (*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-790)))) (-3703 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-3296 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-3188 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-2676 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-2434 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5)))) (-1526 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-4579 (*1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-4593 (*1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-1469 (*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-2034 (*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-4473 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-1508 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-3026 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5)))) (-4003 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5)))) (-2745 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-3085 (*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-3078 (*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-2172 (*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-2172 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) (-4442 (*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-4442 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) (-2346 (*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-2346 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) (-2479 (*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) (-2479 (*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) (-3383 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-1877 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-3383 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-1877 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-1499 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-1494 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-1499 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-1494 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) (-4517 (*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -3027 *1))) (-4 *1 (-1089 *3 *4 *5)))) (-4517 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -3027 *1))) (-4 *1 (-1089 *4 *5 *3)))) (-2198 (*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1089 *3 *4 *5)))) (-2198 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1089 *4 *5 *3)))) (-4369 (*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1089 *3 *4 *5)))) (-4371 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-3037 (*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3116 (-790)))) (-4 *1 (-1089 *3 *4 *5)))) (-1803 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-1751 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) (-4368 (*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-433 (-592)))) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)))) (-2400 (*1 *1 *2) (-12 (-5 *2 (-980 (-433 (-592)))) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-980 (-433 (-592)))) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)))) (-4368 (*1 *1 *2) (|partial| -3836 (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) (-2400 (*1 *1 *2) (-3836 (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) (-1778 (*1 *1 *2) (-3836 (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) (-4368 (*1 *1 *2) (|partial| -3836 (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-3252 (-4 *3 (-43 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-574))) (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-1021 (-592)))) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))))) (-2400 (*1 *1 *2) (-3836 (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-3252 (-4 *3 (-43 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-574))) (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-1021 (-592)))) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-980 *3)) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *5 (-633 (-1191))) (-4 *4 (-815)) (-4 *5 (-869)))) (-2481 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-1342 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-3194 (*1 *1 *1 *2) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-2909 (*1 *1 *1 *2) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-3194 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-2909 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-3250 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-2049 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -3548 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1089 *3 *4 *5)))) (-2845 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -3548 *1) (|:| |coef1| *1))) (-4 *1 (-1089 *3 *4 *5)))) (-1453 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -3548 *1) (|:| |coef2| *1))) (-4 *1 (-1089 *3 *4 *5)))) (-1544 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-3181 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5)))) (-3722 (*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-2650 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *3 (-582)))) (-4594 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *3 (-582)))) (-2707 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) (-3548 (*1 *2 *2 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) (-4544 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) (-3923 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) (-4568 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) (-3158 (*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477))))) 
-(-13 (-977 |t#1| |t#2| |t#3|) (-10 -8 (-15 -3259 (|t#3| $)) (-15 -1824 ((-790) $)) (-15 -3703 ($ $)) (-15 -3296 ($ $)) (-15 -3188 ($ $)) (-15 -2676 ($ $)) (-15 -2434 ((-658 $) $)) (-15 -1526 ($ $)) (-15 -4579 ($ $ |t#3|)) (-15 -4593 ($ $ |t#3|)) (-15 -1469 ((-141) $)) (-15 -2034 ((-141) $)) (-15 -4473 ($ $)) (-15 -1508 ($ $)) (-15 -3026 ((-658 $) $)) (-15 -4003 ((-658 $) $)) (-15 -2745 ((-3 (-141) "failed") $ $)) (-15 -3085 ((-141) $ $)) (-15 -3078 ((-141) $ $)) (-15 -2172 ((-141) $ $)) (-15 -2172 ((-141) $ (-658 $))) (-15 -4442 ((-141) $ $)) (-15 -4442 ((-141) $ (-658 $))) (-15 -2346 ((-141) $ $)) (-15 -2346 ((-141) $ (-658 $))) (-15 -2479 ((-141) $ $)) (-15 -2479 ((-141) $ (-658 $))) (-15 -3383 ($ $ $)) (-15 -1877 ($ $ $)) (-15 -3383 ($ $ $ |t#3|)) (-15 -1877 ($ $ $ |t#3|)) (-15 -1499 ($ $ $)) (-15 -1494 ($ $ $)) (-15 -1499 ($ $ $ |t#3|)) (-15 -1494 ($ $ $ |t#3|)) (-15 -4517 ((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $)) (-15 -4517 ((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -3027 $)) $ $ |t#3|)) (-15 -2198 ((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -2198 ((-2 (|:| -1487 $) (|:| |gap| (-790)) (|:| -2230 $) (|:| -3027 $)) $ $ |t#3|)) (-15 -4369 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -4371 ($ $ $)) (-15 -3037 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3116 (-790))) $ $)) (-15 -1803 ($ $ $)) (-15 -1751 ($ $ $)) (IF (|has| |t#3| (-633 (-1191))) (PROGN (-6 (-632 (-980 |t#1|))) (-6 (-633 (-980 |t#1|))) (IF (|has| |t#1| (-43 (-433 (-592)))) (PROGN (-15 -4368 ((-3 $ "failed") (-980 (-433 (-592))))) (-15 -2400 ($ (-980 (-433 (-592))))) (-15 -1778 ($ (-980 (-433 (-592))))) (-15 -4368 ((-3 $ "failed") (-980 (-592)))) (-15 -2400 ($ (-980 (-592)))) (-15 -1778 ($ (-980 (-592)))) (IF (|has| |t#1| (-1021 (-592))) |noBranch| (PROGN (-15 -4368 ((-3 $ "failed") (-980 |t#1|))) (-15 -2400 ($ (-980 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-592))) (IF (|has| |t#1| (-43 (-433 (-592)))) |noBranch| (PROGN (-15 -4368 ((-3 $ "failed") (-980 (-592)))) (-15 -2400 ($ (-980 (-592)))) (-15 -1778 ($ (-980 (-592)))) (IF (|has| |t#1| (-574)) |noBranch| (PROGN (-15 -4368 ((-3 $ "failed") (-980 |t#1|))) (-15 -2400 ($ (-980 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-592))) |noBranch| (IF (|has| |t#1| (-43 (-433 (-592)))) |noBranch| (PROGN (-15 -4368 ((-3 $ "failed") (-980 |t#1|))) (-15 -2400 ($ (-980 |t#1|)))))) (-15 -1778 ($ (-980 |t#1|))) (IF (|has| |t#1| (-1065 (-592))) (-6 (-633 (-1173))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-582)) (PROGN (-15 -2481 ($ $)) (-15 -1342 ($ $)) (-15 -3194 ($ $ |t#1|)) (-15 -2909 ($ $ |t#1|)) (-15 -3194 ($ $ $)) (-15 -2909 ($ $ $)) (-15 -3250 ($ $ $)) (-15 -2049 ((-2 (|:| -3548 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2845 ((-2 (|:| -3548 $) (|:| |coef1| $)) $ $)) (-15 -1453 ((-2 (|:| -3548 $) (|:| |coef2| $)) $ $)) (-15 -1544 ($ $ $)) (-15 -3181 ((-658 $) $ $)) (-15 -3722 ($ $ $)) (-15 -2650 ($ $ $ (-790))) (-15 -4594 ($ $ $ $ (-790))) (-15 -2707 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-477)) (PROGN (-15 -3548 (|t#1| |t#1| $)) (-15 -4544 ($ $)) (-15 -3923 ($ $)) (-15 -4568 ($ $)) (-15 -3158 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-632 (-980 |#1|)) |has| |#3| (-633 (-1191))) ((-194) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-633 (-565)) -12 (|has| |#1| (-633 (-565))) (|has| |#3| (-633 (-565)))) ((-633 (-914 (-405))) -12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#3| (-633 (-914 (-405))))) ((-633 (-914 (-592))) -12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#3| (-633 (-914 (-592))))) ((-633 (-980 |#1|)) |has| |#3| (-633 (-1191))) ((-633 (-1173)) -12 (|has| |#1| (-1065 (-592))) (|has| |#3| (-633 (-1191)))) ((-307) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-325 $) . T) ((-346 |#1| |#2|) . T) ((-403 |#1|) . T) ((-437 |#1|) . T) ((-477) -3836 (|has| |#1| (-931)) (|has| |#1| (-477))) ((-547 |#3| |#1|) . T) ((-547 |#3| $) . T) ((-547 $ $) . T) ((-582) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) -3836 (|has| |#1| (-931)) (|has| |#1| (-477))) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477))) ((-743) . T) ((-869) |has| |#1| (-869)) ((-922 |#3|) . T) ((-908 (-405)) -12 (|has| |#1| (-908 (-405))) (|has| |#3| (-908 (-405)))) ((-908 (-592)) -12 (|has| |#1| (-908 (-592))) (|has| |#3| (-908 (-592)))) ((-977 |#1| |#2| |#3|) . T) ((-931) |has| |#1| (-931)) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 |#1|) . T) ((-1065 |#3|) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) |has| |#1| (-931))) 
-((-2272 (((-141) |#3| $) 13)) (-3906 (((-3 $ "failed") |#3| (-944)) 23)) (-3371 (((-3 |#3| "failed") |#3| $) 37)) (-1691 (((-141) |#3| $) 16)) (-1324 (((-141) |#3| $) 14))) 
-(((-1090 |#1| |#2| |#3|) (-10 -8 (-15 -3906 ((-3 |#1| "failed") |#3| (-944))) (-15 -3371 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1691 ((-141) |#3| |#1|)) (-15 -1324 ((-141) |#3| |#1|)) (-15 -2272 ((-141) |#3| |#1|))) (-1091 |#2| |#3|) (-13 (-867) (-388)) (-1255 |#2|)) (T -1090)) 
-NIL 
-(-10 -8 (-15 -3906 ((-3 |#1| "failed") |#3| (-944))) (-15 -3371 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1691 ((-141) |#3| |#1|)) (-15 -1324 ((-141) |#3| |#1|)) (-15 -2272 ((-141) |#3| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) |#2| $) 20)) (-3940 (((-592) |#2| $) 21)) (-3906 (((-3 $ "failed") |#2| (-944)) 14)) (-4216 ((|#1| |#2| $ |#1|) 12)) (-3371 (((-3 |#2| "failed") |#2| $) 17)) (-1691 (((-141) |#2| $) 18)) (-1324 (((-141) |#2| $) 19)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-3390 ((|#2| $) 16)) (-1683 (((-877) $) 11)) (-2642 ((|#1| |#2| $ |#1|) 13)) (-3740 (((-658 $) |#2|) 15)) (-3255 (((-141) $ $) 6))) 
-(((-1091 |#1| |#2|) (-1311) (-13 (-867) (-388)) (-1255 |t#1|)) (T -1091)) 
-((-3940 (*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-592)))) (-2272 (*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-141)))) (-1324 (*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-141)))) (-1691 (*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-141)))) (-3371 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1091 *3 *2)) (-4 *3 (-13 (-867) (-388))) (-4 *2 (-1255 *3)))) (-3390 (*1 *2 *1) (-12 (-4 *1 (-1091 *3 *2)) (-4 *3 (-13 (-867) (-388))) (-4 *2 (-1255 *3)))) (-3740 (*1 *2 *3) (-12 (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-658 *1)) (-4 *1 (-1091 *4 *3)))) (-3906 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-944)) (-4 *4 (-13 (-867) (-388))) (-4 *1 (-1091 *4 *2)) (-4 *2 (-1255 *4)))) (-2642 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1091 *2 *3)) (-4 *2 (-13 (-867) (-388))) (-4 *3 (-1255 *2)))) (-4216 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1091 *2 *3)) (-4 *2 (-13 (-867) (-388))) (-4 *3 (-1255 *2))))) 
-(-13 (-1119) (-10 -8 (-15 -3940 ((-592) |t#2| $)) (-15 -2272 ((-141) |t#2| $)) (-15 -1324 ((-141) |t#2| $)) (-15 -1691 ((-141) |t#2| $)) (-15 -3371 ((-3 |t#2| "failed") |t#2| $)) (-15 -3390 (|t#2| $)) (-15 -3740 ((-658 $) |t#2|)) (-15 -3906 ((-3 $ "failed") |t#2| (-944))) (-15 -2642 (|t#1| |t#2| $ |t#1|)) (-15 -4216 (|t#1| |t#2| $ |t#1|)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3931 (((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 |#4|) (-658 |#5|) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-790)) 95)) (-4304 (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790)) 55)) (-3891 (((-1285) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-790)) 87)) (-3148 (((-790) (-658 |#4|) (-658 |#5|)) 27)) (-2856 (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790)) 57) (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790) (-141)) 59)) (-1906 (((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141) (-141) (-141) (-141)) 78) (((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141)) 79)) (-1778 (((-1173) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) 82)) (-1929 (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-141)) 54)) (-4270 (((-790) (-658 |#4|) (-658 |#5|)) 19))) 
-(((-1092 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4270 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -3148 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -1929 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-141))) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790) (-141))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141) (-141) (-141) (-141))) (-15 -3931 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 |#4|) (-658 |#5|) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-790))) (-15 -1778 ((-1173) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -3891 ((-1285) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-790)))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|)) (T -1092)) 
-((-3891 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *4 (-790)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-1285)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1173)) (-5 *1 (-1092 *4 *5 *6 *7 *8)))) (-3931 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-658 *11)) (|:| |todo| (-658 (-2 (|:| |val| *3) (|:| -2165 *11)))))) (-5 *6 (-790)) (-5 *2 (-658 (-2 (|:| |val| (-658 *10)) (|:| -2165 *11)))) (-5 *3 (-658 *10)) (-5 *4 (-658 *11)) (-4 *10 (-1089 *7 *8 *9)) (-4 *11 (-1094 *7 *8 *9 *10)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-5 *1 (-1092 *7 *8 *9 *10 *11)))) (-1906 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) (-1906 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) (-2856 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2856 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) (-2856 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-790)) (-5 *6 (-141)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-4 *3 (-1089 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *7 *8 *9 *3 *4)) (-4 *4 (-1094 *7 *8 *9 *3)))) (-4304 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-4304 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) (-1929 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) (-3148 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) (-4270 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1092 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -4270 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -3148 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -1929 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-141))) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790) (-141))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141) (-141) (-141) (-141))) (-15 -3931 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 |#4|) (-658 |#5|) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-790))) (-15 -1778 ((-1173) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -3891 ((-1285) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-790)))) 
-((-1836 (((-141) |#5| $) 20)) (-2659 (((-141) |#5| $) 23)) (-3195 (((-141) |#5| $) 16) (((-141) $) 44)) (-2852 (((-658 $) |#5| $) NIL) (((-658 $) (-658 |#5|) $) 76) (((-658 $) (-658 |#5|) (-658 $)) 74) (((-658 $) |#5| (-658 $)) 77)) (-2807 (($ $ |#5|) NIL) (((-658 $) |#5| $) NIL) (((-658 $) |#5| (-658 $)) 59) (((-658 $) (-658 |#5|) $) 61) (((-658 $) (-658 |#5|) (-658 $)) 63)) (-3032 (((-658 $) |#5| $) NIL) (((-658 $) |#5| (-658 $)) 53) (((-658 $) (-658 |#5|) $) 55) (((-658 $) (-658 |#5|) (-658 $)) 57)) (-1437 (((-141) |#5| $) 26))) 
-(((-1093 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2807 ((-658 |#1|) (-658 |#5|) (-658 |#1|))) (-15 -2807 ((-658 |#1|) (-658 |#5|) |#1|)) (-15 -2807 ((-658 |#1|) |#5| (-658 |#1|))) (-15 -2807 ((-658 |#1|) |#5| |#1|)) (-15 -3032 ((-658 |#1|) (-658 |#5|) (-658 |#1|))) (-15 -3032 ((-658 |#1|) (-658 |#5|) |#1|)) (-15 -3032 ((-658 |#1|) |#5| (-658 |#1|))) (-15 -3032 ((-658 |#1|) |#5| |#1|)) (-15 -2852 ((-658 |#1|) |#5| (-658 |#1|))) (-15 -2852 ((-658 |#1|) (-658 |#5|) (-658 |#1|))) (-15 -2852 ((-658 |#1|) (-658 |#5|) |#1|)) (-15 -2852 ((-658 |#1|) |#5| |#1|)) (-15 -2659 ((-141) |#5| |#1|)) (-15 -3195 ((-141) |#1|)) (-15 -1437 ((-141) |#5| |#1|)) (-15 -1836 ((-141) |#5| |#1|)) (-15 -3195 ((-141) |#5| |#1|)) (-15 -2807 (|#1| |#1| |#5|))) (-1094 |#2| |#3| |#4| |#5|) (-477) (-815) (-869) (-1089 |#2| |#3| |#4|)) (T -1093)) 
-NIL 
-(-10 -8 (-15 -2807 ((-658 |#1|) (-658 |#5|) (-658 |#1|))) (-15 -2807 ((-658 |#1|) (-658 |#5|) |#1|)) (-15 -2807 ((-658 |#1|) |#5| (-658 |#1|))) (-15 -2807 ((-658 |#1|) |#5| |#1|)) (-15 -3032 ((-658 |#1|) (-658 |#5|) (-658 |#1|))) (-15 -3032 ((-658 |#1|) (-658 |#5|) |#1|)) (-15 -3032 ((-658 |#1|) |#5| (-658 |#1|))) (-15 -3032 ((-658 |#1|) |#5| |#1|)) (-15 -2852 ((-658 |#1|) |#5| (-658 |#1|))) (-15 -2852 ((-658 |#1|) (-658 |#5|) (-658 |#1|))) (-15 -2852 ((-658 |#1|) (-658 |#5|) |#1|)) (-15 -2852 ((-658 |#1|) |#5| |#1|)) (-15 -2659 ((-141) |#5| |#1|)) (-15 -3195 ((-141) |#1|)) (-15 -1437 ((-141) |#5| |#1|)) (-15 -1836 ((-141) |#5| |#1|)) (-15 -3195 ((-141) |#5| |#1|)) (-15 -2807 (|#1| |#1| |#5|))) 
-((-1641 (((-141) $ $) 7)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) 78)) (-2248 (((-658 $) (-658 |#4|)) 79) (((-658 $) (-658 |#4|) (-141)) 104)) (-4085 (((-658 |#3|) $) 32)) (-4325 (((-141) $) 25)) (-2988 (((-141) $) 16 (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) 94) (((-141) $) 90)) (-2244 ((|#4| |#4| $) 85)) (-3743 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| $) 119)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) 26)) (-2126 (((-141) $ (-790)) 43)) (-3113 (($ (-1 (-141) |#4|) $) 64 (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 72)) (-3001 (($) 44 T CONST)) (-3239 (((-141) $) 21 (|has| |#1| (-582)))) (-3478 (((-141) $ $) 23 (|has| |#1| (-582)))) (-2398 (((-141) $ $) 22 (|has| |#1| (-582)))) (-1529 (((-141) $) 24 (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 86)) (-4521 (((-658 |#4|) (-658 |#4|) $) 17 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) 18 (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 35)) (-2400 (($ (-658 |#4|)) 34)) (-1366 (((-3 $ "failed") $) 75)) (-2226 ((|#4| |#4| $) 82)) (-1360 (($ $) 67 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#4| $) 66 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#4|) $) 63 (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) 95)) (-3092 ((|#4| |#4| $) 80)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 87)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) 98)) (-1836 (((-141) |#4| $) 129)) (-2659 (((-141) |#4| $) 126)) (-3195 (((-141) |#4| $) 130) (((-141) $) 127)) (-4004 (((-658 |#4|) $) 51 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) 97) (((-141) $) 96)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) 42)) (-4467 (((-658 |#4|) $) 52 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 54 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 46)) (-2290 (((-658 |#3|) $) 31)) (-2645 (((-141) |#3| $) 30)) (-2554 (((-141) $ (-790)) 41)) (-2685 (((-1173) $) 9)) (-1470 (((-3 |#4| (-658 $)) |#4| |#4| $) 121)) (-3722 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| |#4| $) 120)) (-4255 (((-3 |#4| "failed") $) 76)) (-3501 (((-658 $) |#4| $) 122)) (-3732 (((-3 (-141) (-658 $)) |#4| $) 125)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |#4| $) 124) (((-141) |#4| $) 123)) (-2852 (((-658 $) |#4| $) 118) (((-658 $) (-658 |#4|) $) 117) (((-658 $) (-658 |#4|) (-658 $)) 116) (((-658 $) |#4| (-658 $)) 115)) (-3902 (($ |#4| $) 110) (($ (-658 |#4|) $) 109)) (-1712 (((-658 |#4|) $) 100)) (-2346 (((-141) |#4| $) 92) (((-141) $) 88)) (-1751 ((|#4| |#4| $) 83)) (-3085 (((-141) $ $) 103)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) 93) (((-141) $) 89)) (-1803 ((|#4| |#4| $) 84)) (-2951 (((-1137) $) 10)) (-1918 (((-3 |#4| "failed") $) 77)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) 60)) (-2778 (((-3 $ "failed") $ |#4|) 71)) (-2807 (($ $ |#4|) 70) (((-658 $) |#4| $) 108) (((-658 $) |#4| (-658 $)) 107) (((-658 $) (-658 |#4|) $) 106) (((-658 $) (-658 |#4|) (-658 $)) 105)) (-3002 (((-141) (-1 (-141) |#4|) $) 49 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) 58 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) 56 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) 55 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) 37)) (-2943 (((-141) $) 40)) (-2890 (($) 39)) (-4525 (((-790) $) 99)) (-3452 (((-790) |#4| $) 53 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#4|) $) 50 (|has| $ (-6 -4625)))) (-4599 (($ $) 38)) (-1778 (((-565) $) 68 (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 59)) (-2613 (($ $ |#3|) 27)) (-4152 (($ $ |#3|) 29)) (-2965 (($ $) 81)) (-2507 (($ $ |#3|) 28)) (-1683 (((-877) $) 11) (((-658 |#4|) $) 36)) (-1857 (((-790) $) 69 (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) 101)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) 91)) (-3032 (((-658 $) |#4| $) 114) (((-658 $) |#4| (-658 $)) 113) (((-658 $) (-658 |#4|) $) 112) (((-658 $) (-658 |#4|) (-658 $)) 111)) (-3369 (((-141) (-1 (-141) |#4|) $) 48 (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) 74)) (-1437 (((-141) |#4| $) 128)) (-3069 (((-141) |#3| $) 73)) (-3255 (((-141) $ $) 6)) (-1699 (((-790) $) 45 (|has| $ (-6 -4625))))) 
-(((-1094 |#1| |#2| |#3| |#4|) (-1311) (-477) (-815) (-869) (-1089 |t#1| |t#2| |t#3|)) (T -1094)) 
-((-3195 (*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-1836 (*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-1437 (*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-2659 (*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-3732 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-3 (-141) (-658 *1))) (-4 *1 (-1094 *4 *5 *6 *3)))) (-2978 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *1)))) (-4 *1 (-1094 *4 *5 *6 *3)))) (-2978 (*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-3501 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)))) (-1470 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-3 *3 (-658 *1))) (-4 *1 (-1094 *4 *5 *6 *3)))) (-3722 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *1)))) (-4 *1 (-1094 *4 *5 *6 *3)))) (-3743 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *1)))) (-4 *1 (-1094 *4 *5 *6 *3)))) (-2852 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)))) (-2852 (*1 *2 *3 *1) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *7)))) (-2852 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 *7)) (-4 *1 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)))) (-2852 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)))) (-3032 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)))) (-3032 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)))) (-3032 (*1 *2 *3 *1) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *7)))) (-3032 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 *7)) (-4 *1 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)))) (-3902 (*1 *1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *2)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-3902 (*1 *1 *2 *1) (-12 (-5 *2 (-658 *6)) (-4 *1 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)))) (-2807 (*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)))) (-2807 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)))) (-2807 (*1 *2 *3 *1) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *7)))) (-2807 (*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 *7)) (-4 *1 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)))) (-2248 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *5 *6 *7 *8))))) 
-(-13 (-1219 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -3195 ((-141) |t#4| $)) (-15 -1836 ((-141) |t#4| $)) (-15 -1437 ((-141) |t#4| $)) (-15 -3195 ((-141) $)) (-15 -2659 ((-141) |t#4| $)) (-15 -3732 ((-3 (-141) (-658 $)) |t#4| $)) (-15 -2978 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |t#4| $)) (-15 -2978 ((-141) |t#4| $)) (-15 -3501 ((-658 $) |t#4| $)) (-15 -1470 ((-3 |t#4| (-658 $)) |t#4| |t#4| $)) (-15 -3722 ((-658 (-2 (|:| |val| |t#4|) (|:| -2165 $))) |t#4| |t#4| $)) (-15 -3743 ((-658 (-2 (|:| |val| |t#4|) (|:| -2165 $))) |t#4| $)) (-15 -2852 ((-658 $) |t#4| $)) (-15 -2852 ((-658 $) (-658 |t#4|) $)) (-15 -2852 ((-658 $) (-658 |t#4|) (-658 $))) (-15 -2852 ((-658 $) |t#4| (-658 $))) (-15 -3032 ((-658 $) |t#4| $)) (-15 -3032 ((-658 $) |t#4| (-658 $))) (-15 -3032 ((-658 $) (-658 |t#4|) $)) (-15 -3032 ((-658 $) (-658 |t#4|) (-658 $))) (-15 -3902 ($ |t#4| $)) (-15 -3902 ($ (-658 |t#4|) $)) (-15 -2807 ((-658 $) |t#4| $)) (-15 -2807 ((-658 $) |t#4| (-658 $))) (-15 -2807 ((-658 $) (-658 |t#4|) $)) (-15 -2807 ((-658 $) (-658 |t#4|) (-658 $))) (-15 -2248 ((-658 $) (-658 |t#4|) (-141))))) 
-(((-39) . T) ((-125) . T) ((-632 (-658 |#4|)) . T) ((-632 (-877)) . T) ((-175 |#4|) . T) ((-633 (-565)) |has| |#4| (-633 (-565))) ((-325 |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-523 |#4|) . T) ((-547 |#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-1005 |#1| |#2| |#3| |#4|) . T) ((-1119) . T) ((-1219 |#1| |#2| |#3| |#4|) . T) ((-1225) . T)) 
-((-3658 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|) 81)) (-3096 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|) 112)) (-2977 (((-658 |#5|) |#4| |#5|) 70)) (-3566 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|) 44) (((-141) |#4| |#5|) 52)) (-1543 (((-1285)) 35)) (-3611 (((-1285)) 25)) (-2599 (((-1285) (-1173) (-1173) (-1173)) 31)) (-1938 (((-1285) (-1173) (-1173) (-1173)) 20)) (-2584 (((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#4| |#4| |#5|) 95)) (-4410 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#3| (-141)) 106) (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5| (-141) (-141)) 49)) (-2639 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|) 101))) 
-(((-1095 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1938 ((-1285) (-1173) (-1173) (-1173))) (-15 -3611 ((-1285))) (-15 -2599 ((-1285) (-1173) (-1173) (-1173))) (-15 -1543 ((-1285))) (-15 -2584 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -4410 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5| (-141) (-141))) (-15 -4410 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#3| (-141))) (-15 -2639 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -3096 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -3566 ((-141) |#4| |#5|)) (-15 -3566 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2977 ((-658 |#5|) |#4| |#5|)) (-15 -3658 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|)) (T -1095)) 
-((-3658 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2977 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-3566 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-3566 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-3096 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2639 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-4410 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *5 (-141)) (-4 *8 (-1089 *6 *7 *4)) (-4 *9 (-1094 *6 *7 *4 *8)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *4 (-869)) (-5 *2 (-658 (-2 (|:| |val| *8) (|:| -2165 *9)))) (-5 *1 (-1095 *6 *7 *4 *8 *9)))) (-4410 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) (-2584 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-1543 (*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1095 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) (-2599 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1095 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3611 (*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1095 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) (-1938 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1095 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1938 ((-1285) (-1173) (-1173) (-1173))) (-15 -3611 ((-1285))) (-15 -2599 ((-1285) (-1173) (-1173) (-1173))) (-15 -1543 ((-1285))) (-15 -2584 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -4410 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5| (-141) (-141))) (-15 -4410 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#3| (-141))) (-15 -2639 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -3096 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -3566 ((-141) |#4| |#5|)) (-15 -3566 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2977 ((-658 |#5|) |#4| |#5|)) (-15 -3658 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|))) 
-((-1641 (((-141) $ $) NIL)) (-4095 (((-1191) $) 8)) (-2685 (((-1173) $) 16)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 13))) 
-(((-1096 |#1|) (-13 (-1119) (-10 -8 (-15 -4095 ((-1191) $)))) (-1191)) (T -1096)) 
-((-4095 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1096 *3)) (-14 *3 *2)))) 
-(-13 (-1119) (-10 -8 (-15 -4095 ((-1191) $)))) 
-((-1641 (((-141) $ $) NIL)) (-4355 (($ $ (-658 (-1191)) (-1 (-141) (-658 |#3|))) 29)) (-1512 (($ |#3| |#3|) 21) (($ |#3| |#3| (-658 (-1191))) 19)) (-1673 ((|#3| $) 13)) (-4368 (((-3 (-310 |#3|) "failed") $) 56)) (-2400 (((-310 |#3|) $) NIL)) (-2289 (((-658 (-1191)) $) 15)) (-2162 (((-914 |#1|) $) 11)) (-3634 ((|#3| $) 12)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-944)) 36)) (-1683 (((-877) $) 84) (($ (-310 |#3|)) 20)) (-3255 (((-141) $ $) 33))) 
-(((-1097 |#1| |#2| |#3|) (-13 (-1119) (-303 |#3| |#3|) (-1065 (-310 |#3|)) (-10 -8 (-15 -1512 ($ |#3| |#3|)) (-15 -1512 ($ |#3| |#3| (-658 (-1191)))) (-15 -4355 ($ $ (-658 (-1191)) (-1 (-141) (-658 |#3|)))) (-15 -2162 ((-914 |#1|) $)) (-15 -3634 (|#3| $)) (-15 -1673 (|#3| $)) (-15 -3927 (|#3| $ |#3| (-944))) (-15 -2289 ((-658 (-1191)) $)))) (-1119) (-13 (-1075) (-908 |#1|) (-869) (-633 (-914 |#1|))) (-13 (-456 |#2|) (-908 |#1|) (-633 (-914 |#1|)))) (T -1097)) 
-((-1512 (*1 *1 *2 *2) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-5 *1 (-1097 *3 *4 *2)) (-4 *2 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))))) (-1512 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1097 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))))) (-4355 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-1 (-141) (-658 *6))) (-4 *6 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1097 *4 *5 *6)))) (-2162 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 *2))) (-5 *2 (-914 *3)) (-5 *1 (-1097 *3 *4 *5)) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 *2))))) (-3634 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *2 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))) (-5 *1 (-1097 *3 *4 *2)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))))) (-1673 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *2 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))) (-5 *1 (-1097 *3 *4 *2)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))))) (-3927 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1097 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))))) (-2289 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-5 *2 (-658 (-1191))) (-5 *1 (-1097 *3 *4 *5)) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 (-914 *3))))))) 
-(-13 (-1119) (-303 |#3| |#3|) (-1065 (-310 |#3|)) (-10 -8 (-15 -1512 ($ |#3| |#3|)) (-15 -1512 ($ |#3| |#3| (-658 (-1191)))) (-15 -4355 ($ $ (-658 (-1191)) (-1 (-141) (-658 |#3|)))) (-15 -2162 ((-914 |#1|) $)) (-15 -3634 (|#3| $)) (-15 -1673 (|#3| $)) (-15 -3927 (|#3| $ |#3| (-944))) (-15 -2289 ((-658 (-1191)) $)))) 
-((-1641 (((-141) $ $) NIL)) (-1532 (($ (-658 (-1097 |#1| |#2| |#3|))) 12)) (-1566 (((-658 (-1097 |#1| |#2| |#3|)) $) 19)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3927 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-944)) 25)) (-1683 (((-877) $) 15)) (-3255 (((-141) $ $) 18))) 
-(((-1098 |#1| |#2| |#3|) (-13 (-1119) (-303 |#3| |#3|) (-10 -8 (-15 -1532 ($ (-658 (-1097 |#1| |#2| |#3|)))) (-15 -1566 ((-658 (-1097 |#1| |#2| |#3|)) $)) (-15 -3927 (|#3| $ |#3| (-944))))) (-1119) (-13 (-1075) (-908 |#1|) (-869) (-633 (-914 |#1|))) (-13 (-456 |#2|) (-908 |#1|) (-633 (-914 |#1|)))) (T -1098)) 
-((-1532 (*1 *1 *2) (-12 (-5 *2 (-658 (-1097 *3 *4 *5))) (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))) (-5 *1 (-1098 *3 *4 *5)))) (-1566 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-5 *2 (-658 (-1097 *3 *4 *5))) (-5 *1 (-1098 *3 *4 *5)) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))))) (-3927 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1098 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4))))))) 
-(-13 (-1119) (-303 |#3| |#3|) (-10 -8 (-15 -1532 ($ (-658 (-1097 |#1| |#2| |#3|)))) (-15 -1566 ((-658 (-1097 |#1| |#2| |#3|)) $)) (-15 -3927 (|#3| $ |#3| (-944))))) 
-((-2004 (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141)) 73) (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|))) 75) (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141)) 74))) 
-(((-1099 |#1| |#2|) (-10 -7 (-15 -2004 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141))) (-15 -2004 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)))) (-15 -2004 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141)))) (-13 (-323) (-171)) (-658 (-1191))) (T -1099)) 
-((-2004 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1099 *5 *6)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))))) (-2004 (*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *4)) (|:| -2231 (-658 (-980 *4)))))) (-5 *1 (-1099 *4 *5)) (-5 *3 (-658 (-980 *4))) (-14 *5 (-658 (-1191))))) (-2004 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1099 *5 *6)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191)))))) 
-(-10 -7 (-15 -2004 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141))) (-15 -2004 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)))) (-15 -2004 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141)))) 
-((-4500 (((-444 |#3|) |#3|) 16))) 
-(((-1100 |#1| |#2| |#3|) (-10 -7 (-15 -4500 ((-444 |#3|) |#3|))) (-1255 (-433 (-592))) (-13 (-388) (-171) (-741 (-433 (-592)) |#1|)) (-1255 |#2|)) (T -1100)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-13 (-388) (-171) (-741 (-433 (-592)) *4))) (-5 *2 (-444 *3)) (-5 *1 (-1100 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(-10 -7 (-15 -4500 ((-444 |#3|) |#3|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 125)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-388)))) (-1555 (($ $) NIL (|has| |#1| (-388)))) (-1313 (((-141) $) NIL (|has| |#1| (-388)))) (-1800 (((-706 |#1|) (-1280 $)) NIL) (((-706 |#1|)) 115)) (-4529 ((|#1| $) 119)) (-4217 (((-1199 (-944) (-790)) (-592)) NIL (|has| |#1| (-373)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1403 (((-790)) 40 (|has| |#1| (-394)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-1626 (($ (-1280 |#1|) (-1280 $)) NIL) (($ (-1280 |#1|)) 43)) (-4440 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-373)))) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4493 (((-706 |#1|) $ (-1280 $)) NIL) (((-706 |#1|) $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 106) (((-706 |#1|) (-706 $)) 100)) (-3657 (($ |#2|) 61) (((-3 $ "failed") (-433 |#2|)) NIL (|has| |#1| (-388)))) (-3371 (((-3 $ "failed") $) NIL)) (-4175 (((-944)) 77)) (-4290 (($) 44 (|has| |#1| (-394)))) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2667 (($) NIL (|has| |#1| (-373)))) (-3293 (((-141) $) NIL (|has| |#1| (-373)))) (-1525 (($ $ (-790)) NIL (|has| |#1| (-373))) (($ $) NIL (|has| |#1| (-373)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-4346 (((-944) $) NIL (|has| |#1| (-373))) (((-855 (-944)) $) NIL (|has| |#1| (-373)))) (-3558 (((-141) $) NIL)) (-2793 ((|#1| $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-3504 ((|#2| $) 84 (|has| |#1| (-388)))) (-3546 (((-944) $) 129 (|has| |#1| (-394)))) (-3650 ((|#2| $) 58)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3703 (($) NIL (|has| |#1| (-373)) CONST)) (-1825 (($ (-944)) 124 (|has| |#1| (-394)))) (-2951 (((-1137) $) NIL)) (-2934 (($) 121)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-1967 (((-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592))))) NIL (|has| |#1| (-373)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-1482 ((|#1| (-1280 $)) NIL) ((|#1|) 109)) (-2177 (((-790) $) NIL (|has| |#1| (-373))) (((-3 (-790) "failed") $ $) NIL (|has| |#1| (-373)))) (-3644 (($ $) NIL (-3836 (-12 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-790)) NIL (-3836 (-12 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-1 |#1| |#1|) (-790)) NIL (|has| |#1| (-388))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-388)))) (-4174 (((-706 |#1|) (-1280 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-388)))) (-3390 ((|#2|) 73)) (-3809 (($) NIL (|has| |#1| (-373)))) (-2231 (((-1280 |#1|) $ (-1280 $)) 89) (((-706 |#1|) (-1280 $) (-1280 $)) NIL) (((-1280 |#1|) $) 71) (((-706 |#1|) (-1280 $)) 85)) (-1778 (((-1280 |#1|) $) NIL) (($ (-1280 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (|has| |#1| (-373)))) (-1683 (((-877) $) 57) (($ (-592)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-388))) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-388)) (|has| |#1| (-1065 (-433 (-592))))))) (-1517 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4198 ((|#2| $) 82)) (-4010 (((-790)) 75)) (-2195 (((-1280 $)) 81)) (-2537 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 30 T CONST)) (-4257 (($) 19 T CONST)) (-1940 (($ $) NIL (-3836 (-12 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-790)) NIL (-3836 (-12 (|has| |#1| (-247)) (|has| |#1| (-388))) (|has| |#1| (-373)))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-388)) (|has| |#1| (-922 (-1191))))) (($ $ (-1 |#1| |#1|) (-790)) NIL (|has| |#1| (-388))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-388)))) (-3255 (((-141) $ $) 63)) (-3313 (($ $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) 67) (($ $ $) NIL)) (-3300 (($ $ $) 65)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-433 (-592)) $) NIL (|has| |#1| (-388))) (($ $ (-433 (-592))) NIL (|has| |#1| (-388))))) 
-(((-1101 |#1| |#2| |#3|) (-741 |#1| |#2|) (-194) (-1255 |#1|) |#2|) (T -1101)) 
-NIL 
-(-741 |#1| |#2|) 
-((-4500 (((-444 |#3|) |#3|) 16))) 
-(((-1102 |#1| |#2| |#3|) (-10 -7 (-15 -4500 ((-444 |#3|) |#3|))) (-1255 (-433 (-980 (-592)))) (-13 (-388) (-171) (-741 (-433 (-980 (-592))) |#1|)) (-1255 |#2|)) (T -1102)) 
-((-4500 (*1 *2 *3) (-12 (-4 *4 (-1255 (-433 (-980 (-592))))) (-4 *5 (-13 (-388) (-171) (-741 (-433 (-980 (-592))) *4))) (-5 *2 (-444 *3)) (-5 *1 (-1102 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(-10 -7 (-15 -4500 ((-444 |#3|) |#3|))) 
-((-1641 (((-141) $ $) NIL)) (-1837 (($ $ $) 14)) (-3319 (($ $ $) 15)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2443 (($) 6)) (-1778 (((-1191) $) 18)) (-1683 (((-877) $) 12)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 13)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 8))) 
-(((-1103) (-13 (-869) (-10 -8 (-15 -2443 ($)) (-15 -1778 ((-1191) $))))) (T -1103)) 
-((-2443 (*1 *1) (-5 *1 (-1103))) (-1778 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1103))))) 
-(-13 (-869) (-10 -8 (-15 -2443 ($)) (-15 -1778 ((-1191) $)))) 
-((-2910 ((|#1| |#1| (-1 (-592) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-141) |#1|)) 18)) (-4141 (((-1285)) 15)) (-2188 (((-658 |#1|)) 9))) 
-(((-1104 |#1|) (-10 -7 (-15 -4141 ((-1285))) (-15 -2188 ((-658 |#1|))) (-15 -2910 (|#1| |#1| (-1 (-141) |#1|))) (-15 -2910 (|#1| |#1| (-1 (-592) |#1| |#1|)))) (-159)) (T -1104)) 
-((-2910 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-592) *2 *2)) (-4 *2 (-159)) (-5 *1 (-1104 *2)))) (-2910 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *2)) (-4 *2 (-159)) (-5 *1 (-1104 *2)))) (-2188 (*1 *2) (-12 (-5 *2 (-658 *3)) (-5 *1 (-1104 *3)) (-4 *3 (-159)))) (-4141 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1104 *3)) (-4 *3 (-159))))) 
-(-10 -7 (-15 -4141 ((-1285))) (-15 -2188 ((-658 |#1|))) (-15 -2910 (|#1| |#1| (-1 (-141) |#1|))) (-15 -2910 (|#1| |#1| (-1 (-592) |#1| |#1|)))) 
-((-4061 (((-1280 (-706 |#1|)) (-658 (-706 |#1|))) 41) (((-1280 (-706 (-980 |#1|))) (-658 (-1191)) (-706 (-980 |#1|))) 60) (((-1280 (-706 (-433 (-980 |#1|)))) (-658 (-1191)) (-706 (-433 (-980 |#1|)))) 76)) (-2231 (((-1280 |#1|) (-706 |#1|) (-658 (-706 |#1|))) 35))) 
-(((-1105 |#1|) (-10 -7 (-15 -4061 ((-1280 (-706 (-433 (-980 |#1|)))) (-658 (-1191)) (-706 (-433 (-980 |#1|))))) (-15 -4061 ((-1280 (-706 (-980 |#1|))) (-658 (-1191)) (-706 (-980 |#1|)))) (-15 -4061 ((-1280 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -2231 ((-1280 |#1|) (-706 |#1|) (-658 (-706 |#1|))))) (-388)) (T -1105)) 
-((-2231 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-706 *5))) (-5 *3 (-706 *5)) (-4 *5 (-388)) (-5 *2 (-1280 *5)) (-5 *1 (-1105 *5)))) (-4061 (*1 *2 *3) (-12 (-5 *3 (-658 (-706 *4))) (-4 *4 (-388)) (-5 *2 (-1280 (-706 *4))) (-5 *1 (-1105 *4)))) (-4061 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1191))) (-4 *5 (-388)) (-5 *2 (-1280 (-706 (-980 *5)))) (-5 *1 (-1105 *5)) (-5 *4 (-706 (-980 *5))))) (-4061 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1191))) (-4 *5 (-388)) (-5 *2 (-1280 (-706 (-433 (-980 *5))))) (-5 *1 (-1105 *5)) (-5 *4 (-706 (-433 (-980 *5))))))) 
-(-10 -7 (-15 -4061 ((-1280 (-706 (-433 (-980 |#1|)))) (-658 (-1191)) (-706 (-433 (-980 |#1|))))) (-15 -4061 ((-1280 (-706 (-980 |#1|))) (-658 (-1191)) (-706 (-980 |#1|)))) (-15 -4061 ((-1280 (-706 |#1|)) (-658 (-706 |#1|)))) (-15 -2231 ((-1280 |#1|) (-706 |#1|) (-658 (-706 |#1|))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2328 (((-141) $ $) 89) (((-141) (-658 $) (-658 $)) 94) (((-141) (-658 (-658 $))) 97)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4567 (((-877)) 88)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-150) "failed") $) NIL)) (-2400 (((-150) $) 68)) (-4319 (((-658 (-150)) $) 70)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1319 (((-141) $ (-150)) 64)) (-2724 (((-3 (-310 $) "failed") $ |#1|) 75) (((-3 (-310 $) "failed") |#1| $) 76)) (-4229 (($ $) 62)) (-3394 (((-1199 $ $)) 79)) (-1750 (((-1199 $ $)) 78)) (-1683 (((-877) $) 47) (($ (-150)) 35)) (-1937 (((-332 |#1|) $ (-150)) 66)) (-3907 (((-3 $ "failed") (-150) (-150) $) 39)) (-3054 (((-3 $ "failed") (-150) $) 40)) (-1424 (($ $ (-944)) 61)) (-3514 (($) 21 T CONST)) (-3255 (((-141) $ $) 33)) (-3313 (($ $ (-332 |#1|)) 11)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 56)) (** (($ $ (-944)) 60)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 32) (($ $ (-332 |#1|)) NIL) (($ (-332 |#1|) $) 10))) 
-(((-1106 |#1|) (-13 (-1082) (-734 (-332 |#1|)) (-10 -8 (-6 (-1065 (-150))) (-15 -3907 ((-3 $ "failed") (-150) (-150) $)) (-15 -3054 ((-3 $ "failed") (-150) $)) (-15 -4229 ($ $)) (-15 -1319 ((-141) $ (-150))) (-15 -1937 ((-332 |#1|) $ (-150))) (-15 -4319 ((-658 (-150)) $)) (-15 -2724 ((-3 (-310 $) "failed") $ |#1|)) (-15 -2724 ((-3 (-310 $) "failed") |#1| $)) (-15 -1750 ((-1199 $ $))) (-15 -3394 ((-1199 $ $))) (-15 -3313 ($ $ (-332 |#1|))) (-15 ** ($ $ (-944))) (-15 -1424 ($ $ (-944))) (-15 -4567 ((-877))) (-15 -2328 ((-141) $ $)) (-15 -2328 ((-141) (-658 $) (-658 $))) (-15 -2328 ((-141) (-658 (-658 $)))))) (-13 (-869) (-582))) (T -1106)) 
-((-1424 (*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-3907 (*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-150)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-3054 (*1 *1 *2 *1) (|partial| -12 (-5 *2 (-150)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-4229 (*1 *1 *1) (-12 (-5 *1 (-1106 *2)) (-4 *2 (-13 (-869) (-582))))) (-1319 (*1 *2 *1 *3) (-12 (-5 *3 (-150)) (-5 *2 (-141)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582))))) (-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-150)) (-5 *2 (-332 *4)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582))))) (-4319 (*1 *2 *1) (-12 (-5 *2 (-658 (-150))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-2724 (*1 *2 *1 *3) (|partial| -12 (-5 *2 (-310 (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-2724 (*1 *2 *3 *1) (|partial| -12 (-5 *2 (-310 (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-1750 (*1 *2) (-12 (-5 *2 (-1199 (-1106 *3) (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-3394 (*1 *2) (-12 (-5 *2 (-1199 (-1106 *3) (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-3313 (*1 *1 *1 *2) (-12 (-5 *2 (-332 *3)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-1106 *3)))) (-4567 (*1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-2328 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) (-2328 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-1106 *4))) (-5 *2 (-141)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582))))) (-2328 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-1106 *4)))) (-5 *2 (-141)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582)))))) 
-(-13 (-1082) (-734 (-332 |#1|)) (-10 -8 (-6 (-1065 (-150))) (-15 -3907 ((-3 $ "failed") (-150) (-150) $)) (-15 -3054 ((-3 $ "failed") (-150) $)) (-15 -4229 ($ $)) (-15 -1319 ((-141) $ (-150))) (-15 -1937 ((-332 |#1|) $ (-150))) (-15 -4319 ((-658 (-150)) $)) (-15 -2724 ((-3 (-310 $) "failed") $ |#1|)) (-15 -2724 ((-3 (-310 $) "failed") |#1| $)) (-15 -1750 ((-1199 $ $))) (-15 -3394 ((-1199 $ $))) (-15 -3313 ($ $ (-332 |#1|))) (-15 ** ($ $ (-944))) (-15 -1424 ($ $ (-944))) (-15 -4567 ((-877))) (-15 -2328 ((-141) $ $)) (-15 -2328 ((-141) (-658 $) (-658 $))) (-15 -2328 ((-141) (-658 (-658 $)))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1399 (((-658 (-790)) $) NIL) (((-658 (-790)) $ (-1191)) NIL)) (-3775 (((-790) $) NIL) (((-790) $ (-1191)) NIL)) (-4085 (((-658 (-1108 (-1191))) $) NIL)) (-4492 (((-1187 $) $ (-1108 (-1191))) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1108 (-1191)))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-1885 (($ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-1108 (-1191)) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL) (((-3 (-1142 |#1| (-1191)) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-1108 (-1191)) $) NIL) (((-1191) $) NIL) (((-1142 |#1| (-1191)) $) NIL)) (-1544 (($ $ $ (-1108 (-1191))) NIL (|has| |#1| (-194)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ (-1108 (-1191))) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-558 (-1108 (-1191))) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1108 (-1191)) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1108 (-1191)) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ (-1191)) NIL) (((-790) $) NIL)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-4533 (($ (-1187 |#1|) (-1108 (-1191))) NIL) (($ (-1187 $) (-1108 (-1191))) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-558 (-1108 (-1191)))) NIL) (($ $ (-1108 (-1191)) (-790)) NIL) (($ $ (-658 (-1108 (-1191))) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1108 (-1191))) NIL)) (-4206 (((-558 (-1108 (-1191))) $) NIL) (((-790) $ (-1108 (-1191))) NIL) (((-658 (-790)) $ (-658 (-1108 (-1191)))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-558 (-1108 (-1191))) (-558 (-1108 (-1191)))) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3358 (((-1 $ (-790)) (-1191)) NIL) (((-1 $ (-790)) $) NIL (|has| |#1| (-247)))) (-3254 (((-3 (-1108 (-1191)) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-1692 (((-1108 (-1191)) $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-4401 (((-141) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1108 (-1191))) (|:| -3215 (-790))) "failed") $) NIL)) (-3198 (($ $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1108 (-1191)) |#1|) NIL) (($ $ (-658 (-1108 (-1191))) (-658 |#1|)) NIL) (($ $ (-1108 (-1191)) $) NIL) (($ $ (-658 (-1108 (-1191))) (-658 $)) NIL) (($ $ (-1191) $) NIL (|has| |#1| (-247))) (($ $ (-658 (-1191)) (-658 $)) NIL (|has| |#1| (-247))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-247))) (($ $ (-658 (-1191)) (-658 |#1|)) NIL (|has| |#1| (-247)))) (-1482 (($ $ (-1108 (-1191))) NIL (|has| |#1| (-194)))) (-3644 (($ $ (-1108 (-1191))) NIL) (($ $ (-658 (-1108 (-1191)))) NIL) (($ $ (-1108 (-1191)) (-790)) NIL) (($ $ (-658 (-1108 (-1191))) (-658 (-790))) NIL) (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2912 (((-658 (-1191)) $) NIL)) (-4525 (((-558 (-1108 (-1191))) $) NIL) (((-790) $ (-1108 (-1191))) NIL) (((-658 (-790)) $ (-658 (-1108 (-1191)))) NIL) (((-790) $ (-1191)) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1108 (-1191)) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1108 (-1191)) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1108 (-1191)) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ (-1108 (-1191))) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-1108 (-1191))) NIL) (($ (-1191)) NIL) (($ (-1142 |#1| (-1191))) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-558 (-1108 (-1191)))) NIL) (($ $ (-1108 (-1191)) (-790)) NIL) (($ $ (-658 (-1108 (-1191))) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1108 (-1191))) NIL) (($ $ (-658 (-1108 (-1191)))) NIL) (($ $ (-1108 (-1191)) (-790)) NIL) (($ $ (-658 (-1108 (-1191))) (-658 (-790))) NIL) (($ $) NIL (|has| |#1| (-247))) (($ $ (-790)) NIL (|has| |#1| (-247))) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1107 |#1|) (-13 (-268 |#1| (-1191) (-1108 (-1191)) (-558 (-1108 (-1191)))) (-1065 (-1142 |#1| (-1191)))) (-1075)) (T -1107)) 
-NIL 
-(-13 (-268 |#1| (-1191) (-1108 (-1191)) (-558 (-1108 (-1191)))) (-1065 (-1142 |#1| (-1191)))) 
-((-1641 (((-141) $ $) NIL)) (-3775 (((-790) $) NIL)) (-3983 ((|#1| $) 10)) (-4368 (((-3 |#1| "failed") $) NIL)) (-2400 ((|#1| $) NIL)) (-4346 (((-790) $) 11)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-3358 (($ |#1| (-790)) 9)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3644 (($ $) NIL) (($ $ (-790)) NIL)) (-1683 (((-877) $) NIL) (($ |#1|) NIL)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 15))) 
-(((-1108 |#1|) (-284 |#1|) (-869)) (T -1108)) 
-NIL 
-(-284 |#1|) 
-((-2731 (((-658 |#2|) (-1 |#2| |#1|) (-1113 |#1|)) 23 (|has| |#1| (-867))) (((-1113 |#2|) (-1 |#2| |#1|) (-1113 |#1|)) 14))) 
-(((-1109 |#1| |#2|) (-10 -7 (-15 -2731 ((-1113 |#2|) (-1 |#2| |#1|) (-1113 |#1|))) (IF (|has| |#1| (-867)) (-15 -2731 ((-658 |#2|) (-1 |#2| |#1|) (-1113 |#1|))) |noBranch|)) (-1225) (-1225)) (T -1109)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1113 *5)) (-4 *5 (-867)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-658 *6)) (-5 *1 (-1109 *5 *6)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1113 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1113 *6)) (-5 *1 (-1109 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-1113 |#2|) (-1 |#2| |#1|) (-1113 |#1|))) (IF (|has| |#1| (-867)) (-15 -2731 ((-658 |#2|) (-1 |#2| |#1|) (-1113 |#1|))) |noBranch|)) 
-((-2731 (((-1111 |#2|) (-1 |#2| |#1|) (-1111 |#1|)) 19))) 
-(((-1110 |#1| |#2|) (-10 -7 (-15 -2731 ((-1111 |#2|) (-1 |#2| |#1|) (-1111 |#1|)))) (-1225) (-1225)) (T -1110)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1111 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1111 *6)) (-5 *1 (-1110 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-1111 |#2|) (-1 |#2| |#1|) (-1111 |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3983 (((-1191) $) 11)) (-1896 (((-1113 |#1|) $) 12)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-2724 (($ (-1191) (-1113 |#1|)) 10)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3255 (((-141) $ $) 15 (|has| |#1| (-1119))))) 
-(((-1111 |#1|) (-13 (-1225) (-10 -8 (-15 -2724 ($ (-1191) (-1113 |#1|))) (-15 -3983 ((-1191) $)) (-15 -1896 ((-1113 |#1|) $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|))) (-1225)) (T -1111)) 
-((-2724 (*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1113 *4)) (-4 *4 (-1225)) (-5 *1 (-1111 *4)))) (-3983 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1111 *3)) (-4 *3 (-1225)))) (-1896 (*1 *2 *1) (-12 (-5 *2 (-1113 *3)) (-5 *1 (-1111 *3)) (-4 *3 (-1225))))) 
-(-13 (-1225) (-10 -8 (-15 -2724 ($ (-1191) (-1113 |#1|))) (-15 -3983 ((-1191) $)) (-15 -1896 ((-1113 |#1|) $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|))) 
-((-1896 (($ |#1| |#1|) 7)) (-2781 ((|#1| $) 10)) (-3000 ((|#1| $) 12)) (-3008 (((-592) $) 8)) (-2369 ((|#1| $) 9)) (-3015 ((|#1| $) 11)) (-1778 (($ |#1|) 6)) (-3766 (($ |#1| |#1|) 14)) (-2408 (($ $ (-592)) 13))) 
-(((-1112 |#1|) (-1311) (-1225)) (T -1112)) 
-((-3766 (*1 *1 *2 *2) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) (-2408 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1112 *3)) (-4 *3 (-1225)))) (-3000 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) (-3015 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) (-2781 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) (-2369 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) (-3008 (*1 *2 *1) (-12 (-4 *1 (-1112 *3)) (-4 *3 (-1225)) (-5 *2 (-592)))) (-1896 (*1 *1 *2 *2) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) (-1778 (*1 *1 *2) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225))))) 
-(-13 (-1225) (-10 -8 (-15 -3766 ($ |t#1| |t#1|)) (-15 -2408 ($ $ (-592))) (-15 -3000 (|t#1| $)) (-15 -3015 (|t#1| $)) (-15 -2781 (|t#1| $)) (-15 -2369 (|t#1| $)) (-15 -3008 ((-592) $)) (-15 -1896 ($ |t#1| |t#1|)) (-15 -1778 ($ |t#1|)))) 
-(((-1225) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1896 (($ |#1| |#1|) 15)) (-2731 (((-658 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-867)))) (-2781 ((|#1| $) 10)) (-3000 ((|#1| $) 9)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3008 (((-592) $) 14)) (-2369 ((|#1| $) 12)) (-3015 ((|#1| $) 11)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3098 (((-658 |#1|) $) 35 (|has| |#1| (-867))) (((-658 |#1|) (-658 $)) 34 (|has| |#1| (-867)))) (-1778 (($ |#1|) 26)) (-1683 (((-877) $) 25 (|has| |#1| (-1119)))) (-3766 (($ |#1| |#1|) 8)) (-2408 (($ $ (-592)) 16)) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119))))) 
-(((-1113 |#1|) (-13 (-1112 |#1|) (-10 -7 (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-1114 |#1| (-658 |#1|))) |noBranch|))) (-1225)) (T -1113)) 
-NIL 
-(-13 (-1112 |#1|) (-10 -7 (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-1114 |#1| (-658 |#1|))) |noBranch|))) 
-((-1896 (($ |#1| |#1|) 7)) (-2731 ((|#2| (-1 |#1| |#1|) $) 15)) (-2781 ((|#1| $) 10)) (-3000 ((|#1| $) 12)) (-3008 (((-592) $) 8)) (-2369 ((|#1| $) 9)) (-3015 ((|#1| $) 11)) (-3098 ((|#2| (-658 $)) 17) ((|#2| $) 16)) (-1778 (($ |#1|) 6)) (-3766 (($ |#1| |#1|) 14)) (-2408 (($ $ (-592)) 13))) 
-(((-1114 |#1| |#2|) (-1311) (-867) (-1163 |t#1|)) (T -1114)) 
-((-3098 (*1 *2 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1114 *4 *2)) (-4 *4 (-867)) (-4 *2 (-1163 *4)))) (-3098 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2)) (-4 *3 (-867)) (-4 *2 (-1163 *3)))) (-2731 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1114 *4 *2)) (-4 *4 (-867)) (-4 *2 (-1163 *4))))) 
-(-13 (-1112 |t#1|) (-10 -8 (-15 -3098 (|t#2| (-658 $))) (-15 -3098 (|t#2| $)) (-15 -2731 (|t#2| (-1 |t#1| |t#1|) $)))) 
-(((-1112 |#1|) . T) ((-1225) . T)) 
-((-4528 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-4471 (($ $ $) 10)) (-4328 (($ $ $) NIL) (($ $ |#2|) 15))) 
-(((-1115 |#1| |#2|) (-10 -8 (-15 -4528 (|#1| |#2| |#1|)) (-15 -4528 (|#1| |#1| |#2|)) (-15 -4528 (|#1| |#1| |#1|)) (-15 -4471 (|#1| |#1| |#1|)) (-15 -4328 (|#1| |#1| |#2|)) (-15 -4328 (|#1| |#1| |#1|))) (-1116 |#2|) (-1119)) (T -1115)) 
-NIL 
-(-10 -8 (-15 -4528 (|#1| |#2| |#1|)) (-15 -4528 (|#1| |#1| |#2|)) (-15 -4528 (|#1| |#1| |#1|)) (-15 -4471 (|#1| |#1| |#1|)) (-15 -4328 (|#1| |#1| |#2|)) (-15 -4328 (|#1| |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-4528 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-4471 (($ $ $) 19)) (-2461 (((-141) $ $) 18)) (-2126 (((-141) $ (-790)) 34)) (-2224 (($) 24) (($ (-658 |#1|)) 23)) (-3113 (($ (-1 (-141) |#1|) $) 55 (|has| $ (-6 -4625)))) (-3001 (($) 35 T CONST)) (-1360 (($ $) 58 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 57 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 54 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4625)))) (-4004 (((-658 |#1|) $) 42 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 33)) (-4467 (((-658 |#1|) $) 43 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 45 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 37)) (-2554 (((-141) $ (-790)) 32)) (-2685 (((-1173) $) 9)) (-2852 (($ $ $) 22)) (-2951 (((-1137) $) 10)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 51)) (-3002 (((-141) (-1 (-141) |#1|) $) 40 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#1|) (-658 |#1|)) 49 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 47 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 (-310 |#1|))) 46 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 28)) (-2943 (((-141) $) 31)) (-2890 (($) 30)) (-4328 (($ $ $) 21) (($ $ |#1|) 20)) (-3452 (((-790) |#1| $) 44 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#1|) $) 41 (|has| $ (-6 -4625)))) (-4599 (($ $) 29)) (-1778 (((-565) $) 59 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 50)) (-1683 (((-877) $) 11)) (-4586 (($) 26) (($ (-658 |#1|)) 25)) (-3369 (((-141) (-1 (-141) |#1|) $) 39 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 6)) (-3266 (((-141) $ $) 27)) (-1699 (((-790) $) 36 (|has| $ (-6 -4625))))) 
-(((-1116 |#1|) (-1311) (-1119)) (T -1116)) 
-((-3266 (*1 *2 *1 *1) (-12 (-4 *1 (-1116 *3)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-4586 (*1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-4586 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-1116 *3)))) (-2224 (*1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-2224 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-1116 *3)))) (-2852 (*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-4328 (*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-4328 (*1 *1 *1 *2) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-4471 (*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-2461 (*1 *2 *1 *1) (-12 (-4 *1 (-1116 *3)) (-4 *3 (-1119)) (-5 *2 (-141)))) (-4528 (*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-4528 (*1 *1 *1 *2) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) (-4528 (*1 *1 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(-13 (-1119) (-175 |t#1|) (-10 -8 (-6 -4615) (-15 -3266 ((-141) $ $)) (-15 -4586 ($)) (-15 -4586 ($ (-658 |t#1|))) (-15 -2224 ($)) (-15 -2224 ($ (-658 |t#1|))) (-15 -2852 ($ $ $)) (-15 -4328 ($ $ $)) (-15 -4328 ($ $ |t#1|)) (-15 -4471 ($ $ $)) (-15 -2461 ((-141) $ $)) (-15 -4528 ($ $ $)) (-15 -4528 ($ $ |t#1|)) (-15 -4528 ($ |t#1| $)))) 
-(((-39) . T) ((-125) . T) ((-632 (-877)) . T) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) . T) ((-1225) . T)) 
-((-1641 (((-141) $ $) 7)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4525 (((-944) $) 12)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-1117) (-1311)) (T -1117)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-1117)) (-5 *2 (-944))))) 
-(-13 (-1119) (-10 -8 (-15 -4525 ((-944) $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-2685 (((-1173) $) 10)) (-2951 (((-1137) $) 8))) 
-(((-1118 |#1|) (-10 -8 (-15 -2685 ((-1173) |#1|)) (-15 -2951 ((-1137) |#1|))) (-1119)) (T -1118)) 
-NIL 
-(-10 -8 (-15 -2685 ((-1173) |#1|)) (-15 -2951 ((-1137) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-1119) (-1311)) (T -1119)) 
-((-2951 (*1 *2 *1) (-12 (-4 *1 (-1119)) (-5 *2 (-1137)))) (-2685 (*1 *2 *1) (-12 (-4 *1 (-1119)) (-5 *2 (-1173))))) 
-(-13 (-125) (-632 (-877)) (-10 -8 (-15 -2951 ((-1137) $)) (-15 -2685 ((-1173) $)))) 
-(((-125) . T) ((-632 (-877)) . T)) 
-((-1641 (((-141) $ $) NIL)) (-1403 (((-790)) 30)) (-4364 (($ (-658 (-944))) 52)) (-1934 (((-3 $ "failed") $ (-944) (-944)) 57)) (-4290 (($) 32)) (-3133 (((-141) (-944) $) 35)) (-3546 (((-944) $) 50)) (-2685 (((-1173) $) NIL)) (-1825 (($ (-944)) 31)) (-1369 (((-3 $ "failed") $ (-944)) 55)) (-2951 (((-1137) $) NIL)) (-1405 (((-658 $)) NIL) (((-1280 $)) 40)) (-3105 (((-658 (-944)) $) 23)) (-2026 (((-790) $ (-944) (-944)) 56)) (-1683 (((-877) $) 29)) (-3255 (((-141) $ $) 21))) 
-(((-1120 |#1| |#2|) (-13 (-394) (-10 -8 (-15 -1369 ((-3 $ "failed") $ (-944))) (-15 -1934 ((-3 $ "failed") $ (-944) (-944))) (-15 -3105 ((-658 (-944)) $)) (-15 -4364 ($ (-658 (-944)))) (-15 -1405 ((-1280 $))) (-15 -3133 ((-141) (-944) $)) (-15 -2026 ((-790) $ (-944) (-944))))) (-944) (-944)) (T -1120)) 
-((-1369 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-944)) (-5 *1 (-1120 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-1934 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-944)) (-5 *1 (-1120 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-3105 (*1 *2 *1) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1120 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) (-4364 (*1 *1 *2) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1120 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) (-1405 (*1 *2) (-12 (-5 *2 (-1280 (-1120 *3 *4))) (-5 *1 (-1120 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) (-3133 (*1 *2 *3 *1) (-12 (-5 *3 (-944)) (-5 *2 (-141)) (-5 *1 (-1120 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-2026 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-790)) (-5 *1 (-1120 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-13 (-394) (-10 -8 (-15 -1369 ((-3 $ "failed") $ (-944))) (-15 -1934 ((-3 $ "failed") $ (-944) (-944))) (-15 -3105 ((-658 (-944)) $)) (-15 -4364 ($ (-658 (-944)))) (-15 -1405 ((-1280 $))) (-15 -3133 ((-141) (-944) $)) (-15 -2026 ((-790) $ (-944) (-944))))) 
-((-1641 (((-141) $ $) NIL)) (-1875 (($) NIL (|has| |#1| (-394)))) (-4528 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-4471 (($ $ $) 71)) (-2461 (((-141) $ $) 72)) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| |#1| (-394)))) (-2224 (($ (-658 |#1|)) NIL) (($) 13)) (-4125 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4065 (($ |#1| $) 67 (|has| $ (-6 -4625))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4625)))) (-4290 (($) NIL (|has| |#1| (-394)))) (-4004 (((-658 |#1|) $) 19 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-1837 ((|#1| $) 57 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 66 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3319 ((|#1| $) 55 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 34)) (-3546 (((-944) $) NIL (|has| |#1| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-2852 (($ $ $) 69)) (-4137 ((|#1| $) 25)) (-2113 (($ |#1| $) 65)) (-1825 (($ (-944)) NIL (|has| |#1| (-394)))) (-2951 (((-1137) $) NIL)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 31)) (-2106 ((|#1| $) 27)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#1| (-394)))) (-2943 (((-141) $) 21)) (-2890 (($) 11)) (-4328 (($ $ |#1|) NIL) (($ $ $) 70)) (-1653 (($) NIL) (($ (-658 |#1|)) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 16)) (-1778 (((-565) $) 52 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 61)) (-2184 (($ $) NIL (|has| |#1| (-394)))) (-1683 (((-877) $) NIL)) (-1484 (((-790) $) NIL)) (-4586 (($ (-658 |#1|)) NIL) (($) 12)) (-4560 (($ (-658 |#1|)) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 54)) (-3266 (((-141) $ $) NIL)) (-1699 (((-790) $) 10 (|has| $ (-6 -4625))))) 
-(((-1121 |#1|) (-451 |#1|) (-1119)) (T -1121)) 
-NIL 
-(-451 |#1|) 
-((-1641 (((-141) $ $) 7)) (-4188 (((-141) $) 31)) (-1398 ((|#2| $) 26)) (-4602 (((-141) $) 32)) (-4574 ((|#1| $) 27)) (-1549 (((-141) $) 34)) (-2830 (((-141) $) 36)) (-1968 (((-141) $) 33)) (-2685 (((-1173) $) 9)) (-4277 (((-141) $) 30)) (-4553 ((|#3| $) 25)) (-2951 (((-1137) $) 10)) (-4603 (((-141) $) 29)) (-4540 ((|#4| $) 24)) (-1564 ((|#5| $) 23)) (-2042 (((-141) $ $) 37)) (-3927 (($ $ (-592)) 13) (($ $ (-658 (-592))) 12)) (-4518 (((-658 $) $) 28)) (-1778 (($ (-658 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-1683 (((-877) $) 11)) (-1565 (($ $) 15)) (-1558 (($ $) 16)) (-2767 (((-141) $) 35)) (-3255 (((-141) $ $) 6)) (-1699 (((-592) $) 14))) 
-(((-1122 |#1| |#2| |#3| |#4| |#5|) (-1311) (-1119) (-1119) (-1119) (-1119) (-1119)) (T -1122)) 
-((-2042 (*1 *2 *1 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-2830 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-2767 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-1549 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-1968 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-4602 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-4188 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-4277 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-4603 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141)))) (-4518 (*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-658 *1)) (-4 *1 (-1122 *3 *4 *5 *6 *7)))) (-4574 (*1 *2 *1) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) (-1398 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *2 *4 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) (-4553 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *2 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) (-4540 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *2 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) (-1564 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *2)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) (-1778 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)))) (-1778 (*1 *1 *2) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *2 (-1119)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) (-1778 (*1 *1 *2) (-12 (-4 *1 (-1122 *3 *2 *4 *5 *6)) (-4 *3 (-1119)) (-4 *2 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) (-1778 (*1 *1 *2) (-12 (-4 *1 (-1122 *3 *4 *2 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *2 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) (-1778 (*1 *1 *2) (-12 (-4 *1 (-1122 *3 *4 *5 *2 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *2 (-1119)) (-4 *6 (-1119)))) (-1778 (*1 *1 *2) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *2)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) (-1558 (*1 *1 *1) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *2 (-1119)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) (-1565 (*1 *1 *1) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *2 (-1119)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) (-1699 (*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-592)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119))))) 
-(-13 (-1119) (-10 -8 (-15 -2042 ((-141) $ $)) (-15 -2830 ((-141) $)) (-15 -2767 ((-141) $)) (-15 -1549 ((-141) $)) (-15 -1968 ((-141) $)) (-15 -4602 ((-141) $)) (-15 -4188 ((-141) $)) (-15 -4277 ((-141) $)) (-15 -4603 ((-141) $)) (-15 -4518 ((-658 $) $)) (-15 -4574 (|t#1| $)) (-15 -1398 (|t#2| $)) (-15 -4553 (|t#3| $)) (-15 -4540 (|t#4| $)) (-15 -1564 (|t#5| $)) (-15 -1778 ($ (-658 $))) (-15 -1778 ($ |t#1|)) (-15 -1778 ($ |t#2|)) (-15 -1778 ($ |t#3|)) (-15 -1778 ($ |t#4|)) (-15 -1778 ($ |t#5|)) (-15 -1558 ($ $)) (-15 -1565 ($ $)) (-15 -1699 ((-592) $)) (-15 -3927 ($ $ (-592))) (-15 -3927 ($ $ (-658 (-592)))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-4188 (((-141) $) NIL)) (-1398 (((-1191) $) NIL)) (-4602 (((-141) $) NIL)) (-4574 (((-1173) $) NIL)) (-1549 (((-141) $) NIL)) (-2830 (((-141) $) NIL)) (-1968 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-4277 (((-141) $) NIL)) (-4553 (((-592) $) NIL)) (-2951 (((-1137) $) NIL)) (-4603 (((-141) $) NIL)) (-4540 (((-237) $) NIL)) (-1564 (((-877) $) NIL)) (-2042 (((-141) $ $) NIL)) (-3927 (($ $ (-592)) NIL) (($ $ (-658 (-592))) NIL)) (-4518 (((-658 $) $) NIL)) (-1778 (($ (-658 $)) NIL) (($ (-1173)) NIL) (($ (-1191)) NIL) (($ (-592)) NIL) (($ (-237)) NIL) (($ (-877)) NIL)) (-1683 (((-877) $) NIL)) (-1565 (($ $) NIL)) (-1558 (($ $) NIL)) (-2767 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL)) (-1699 (((-592) $) NIL))) 
-(((-1123) (-1122 (-1173) (-1191) (-592) (-237) (-877))) (T -1123)) 
-NIL 
-(-1122 (-1173) (-1191) (-592) (-237) (-877)) 
-((-1641 (((-141) $ $) NIL)) (-4188 (((-141) $) 37)) (-1398 ((|#2| $) 41)) (-4602 (((-141) $) 36)) (-4574 ((|#1| $) 40)) (-1549 (((-141) $) 34)) (-2830 (((-141) $) 14)) (-1968 (((-141) $) 35)) (-2685 (((-1173) $) NIL)) (-4277 (((-141) $) 38)) (-4553 ((|#3| $) 43)) (-2951 (((-1137) $) NIL)) (-4603 (((-141) $) 39)) (-4540 ((|#4| $) 42)) (-1564 ((|#5| $) 44)) (-2042 (((-141) $ $) 33)) (-3927 (($ $ (-592)) 55) (($ $ (-658 (-592))) 57)) (-4518 (((-658 $) $) 21)) (-1778 (($ (-658 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-1683 (((-877) $) 22)) (-1565 (($ $) 20)) (-1558 (($ $) 51)) (-2767 (((-141) $) 18)) (-3255 (((-141) $ $) 32)) (-1699 (((-592) $) 53))) 
-(((-1124 |#1| |#2| |#3| |#4| |#5|) (-1122 |#1| |#2| |#3| |#4| |#5|) (-1119) (-1119) (-1119) (-1119) (-1119)) (T -1124)) 
-NIL 
-(-1122 |#1| |#2| |#3| |#4| |#5|) 
-((-3592 (((-1285) $) 23)) (-2406 (($ (-1191) (-460) |#2|) 11)) (-1683 (((-877) $) 16))) 
-(((-1125 |#1| |#2|) (-13 (-421) (-10 -8 (-15 -2406 ($ (-1191) (-460) |#2|)))) (-869) (-456 |#1|)) (T -1125)) 
-((-2406 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-460)) (-4 *5 (-869)) (-5 *1 (-1125 *5 *4)) (-4 *4 (-456 *5))))) 
-(-13 (-421) (-10 -8 (-15 -2406 ($ (-1191) (-460) |#2|)))) 
-((-3635 (((-141) |#5| |#5|) 37)) (-2846 (((-141) |#5| |#5|) 51)) (-3962 (((-141) |#5| (-658 |#5|)) 74) (((-141) |#5| |#5|) 60)) (-3988 (((-141) (-658 |#4|) (-658 |#4|)) 57)) (-2728 (((-141) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) 62)) (-3128 (((-1285)) 33)) (-4376 (((-1285) (-1173) (-1173) (-1173)) 29)) (-1859 (((-658 |#5|) (-658 |#5|)) 81)) (-2441 (((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) 79)) (-4015 (((-658 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|)))) (-658 |#4|) (-658 |#5|) (-141) (-141)) 101)) (-1496 (((-141) |#5| |#5|) 46)) (-2655 (((-3 (-141) "failed") |#5| |#5|) 70)) (-3274 (((-141) (-658 |#4|) (-658 |#4|)) 56)) (-3481 (((-141) (-658 |#4|) (-658 |#4|)) 58)) (-3085 (((-141) (-658 |#4|) (-658 |#4|)) 59)) (-1481 (((-3 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|))) "failed") (-658 |#4|) |#5| (-658 |#4|) (-141) (-141) (-141) (-141) (-141)) 97)) (-3174 (((-658 |#5|) (-658 |#5|)) 42))) 
-(((-1126 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4376 ((-1285) (-1173) (-1173) (-1173))) (-15 -3128 ((-1285))) (-15 -3635 ((-141) |#5| |#5|)) (-15 -3174 ((-658 |#5|) (-658 |#5|))) (-15 -1496 ((-141) |#5| |#5|)) (-15 -2846 ((-141) |#5| |#5|)) (-15 -3988 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3274 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3481 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3085 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -2655 ((-3 (-141) "failed") |#5| |#5|)) (-15 -3962 ((-141) |#5| |#5|)) (-15 -3962 ((-141) |#5| (-658 |#5|))) (-15 -1859 ((-658 |#5|) (-658 |#5|))) (-15 -2728 ((-141) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -2441 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-15 -4015 ((-658 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|)))) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1481 ((-3 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|))) "failed") (-658 |#4|) |#5| (-658 |#4|) (-141) (-141) (-141) (-141) (-141)))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|)) (T -1126)) 
-((-1481 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *4) (|:| |ineq| (-658 *9)))) (-5 *1 (-1126 *6 *7 *8 *9 *4)) (-5 *3 (-658 *9)) (-4 *4 (-1094 *6 *7 *8 *9)))) (-4015 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-658 *10)) (-5 *5 (-141)) (-4 *10 (-1094 *6 *7 *8 *9)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *10) (|:| |ineq| (-658 *9))))) (-5 *1 (-1126 *6 *7 *8 *9 *10)) (-5 *3 (-658 *9)))) (-2441 (*1 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |val| (-658 *6)) (|:| -2165 *7)))) (-4 *6 (-1089 *3 *4 *5)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1126 *3 *4 *5 *6 *7)))) (-2728 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)))) (-1859 (*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1126 *3 *4 *5 *6 *7)))) (-3962 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1126 *5 *6 *7 *8 *3)))) (-3962 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-2655 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-3085 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3481 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3274 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3988 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-2846 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-1496 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-3174 (*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1126 *3 *4 *5 *6 *7)))) (-3635 (*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) (-3128 (*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1126 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) (-4376 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -4376 ((-1285) (-1173) (-1173) (-1173))) (-15 -3128 ((-1285))) (-15 -3635 ((-141) |#5| |#5|)) (-15 -3174 ((-658 |#5|) (-658 |#5|))) (-15 -1496 ((-141) |#5| |#5|)) (-15 -2846 ((-141) |#5| |#5|)) (-15 -3988 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3274 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3481 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -3085 ((-141) (-658 |#4|) (-658 |#4|))) (-15 -2655 ((-3 (-141) "failed") |#5| |#5|)) (-15 -3962 ((-141) |#5| |#5|)) (-15 -3962 ((-141) |#5| (-658 |#5|))) (-15 -1859 ((-658 |#5|) (-658 |#5|))) (-15 -2728 ((-141) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -2441 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-15 -4015 ((-658 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|)))) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1481 ((-3 (-2 (|:| -2042 (-658 |#4|)) (|:| -2165 |#5|) (|:| |ineq| (-658 |#4|))) "failed") (-658 |#4|) |#5| (-658 |#4|) (-141) (-141) (-141) (-141) (-141)))) 
-((-4349 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|) 94)) (-1665 (((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#4| |#4| |#5|) 70)) (-1845 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|) 88)) (-2636 (((-658 |#5|) |#4| |#5|) 109)) (-2719 (((-658 |#5|) |#4| |#5|) 116)) (-2828 (((-658 |#5|) |#4| |#5|) 117)) (-3934 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|) 95)) (-4416 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|) 115)) (-4130 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|) 44) (((-141) |#4| |#5|) 52)) (-1497 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#3| (-141)) 82) (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5| (-141) (-141)) 49)) (-2884 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|) 77)) (-1543 (((-1285)) 35)) (-3611 (((-1285)) 25)) (-2599 (((-1285) (-1173) (-1173) (-1173)) 31)) (-1938 (((-1285) (-1173) (-1173) (-1173)) 20))) 
-(((-1127 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1938 ((-1285) (-1173) (-1173) (-1173))) (-15 -3611 ((-1285))) (-15 -2599 ((-1285) (-1173) (-1173) (-1173))) (-15 -1543 ((-1285))) (-15 -1665 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -1497 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5| (-141) (-141))) (-15 -1497 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#3| (-141))) (-15 -2884 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -1845 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -4130 ((-141) |#4| |#5|)) (-15 -3934 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2636 ((-658 |#5|) |#4| |#5|)) (-15 -4416 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2719 ((-658 |#5|) |#4| |#5|)) (-15 -4130 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2828 ((-658 |#5|) |#4| |#5|)) (-15 -4349 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1094 |#1| |#2| |#3| |#4|)) (T -1127)) 
-((-4349 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2828 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-4130 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2719 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-4416 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2636 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-3934 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-4130 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-1845 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-2884 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-1497 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *5 (-141)) (-4 *8 (-1089 *6 *7 *4)) (-4 *9 (-1094 *6 *7 *4 *8)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *4 (-869)) (-5 *2 (-658 (-2 (|:| |val| *8) (|:| -2165 *9)))) (-5 *1 (-1127 *6 *7 *4 *8 *9)))) (-1497 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) (-1665 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) (-1543 (*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1127 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) (-2599 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1127 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) (-3611 (*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1127 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) (-1938 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1127 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1938 ((-1285) (-1173) (-1173) (-1173))) (-15 -3611 ((-1285))) (-15 -2599 ((-1285) (-1173) (-1173) (-1173))) (-15 -1543 ((-1285))) (-15 -1665 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -1497 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5| (-141) (-141))) (-15 -1497 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) |#3| (-141))) (-15 -2884 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -1845 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#4| |#5|)) (-15 -4130 ((-141) |#4| |#5|)) (-15 -3934 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2636 ((-658 |#5|) |#4| |#5|)) (-15 -4416 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2719 ((-658 |#5|) |#4| |#5|)) (-15 -4130 ((-658 (-2 (|:| |val| (-141)) (|:| -2165 |#5|))) |#4| |#5|)) (-15 -2828 ((-658 |#5|) |#4| |#5|)) (-15 -4349 ((-658 (-2 (|:| |val| |#4|) (|:| -2165 |#5|))) |#4| |#5|))) 
-((-1641 (((-141) $ $) 7)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) 78)) (-2248 (((-658 $) (-658 |#4|)) 79) (((-658 $) (-658 |#4|) (-141)) 104)) (-4085 (((-658 |#3|) $) 32)) (-4325 (((-141) $) 25)) (-2988 (((-141) $) 16 (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) 94) (((-141) $) 90)) (-2244 ((|#4| |#4| $) 85)) (-3743 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| $) 119)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) 26)) (-2126 (((-141) $ (-790)) 43)) (-3113 (($ (-1 (-141) |#4|) $) 64 (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 72)) (-3001 (($) 44 T CONST)) (-3239 (((-141) $) 21 (|has| |#1| (-582)))) (-3478 (((-141) $ $) 23 (|has| |#1| (-582)))) (-2398 (((-141) $ $) 22 (|has| |#1| (-582)))) (-1529 (((-141) $) 24 (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 86)) (-4521 (((-658 |#4|) (-658 |#4|) $) 17 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) 18 (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 35)) (-2400 (($ (-658 |#4|)) 34)) (-1366 (((-3 $ "failed") $) 75)) (-2226 ((|#4| |#4| $) 82)) (-1360 (($ $) 67 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#4| $) 66 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#4|) $) 63 (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) 95)) (-3092 ((|#4| |#4| $) 80)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 87)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) 98)) (-1836 (((-141) |#4| $) 129)) (-2659 (((-141) |#4| $) 126)) (-3195 (((-141) |#4| $) 130) (((-141) $) 127)) (-4004 (((-658 |#4|) $) 51 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) 97) (((-141) $) 96)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) 42)) (-4467 (((-658 |#4|) $) 52 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 54 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 46)) (-2290 (((-658 |#3|) $) 31)) (-2645 (((-141) |#3| $) 30)) (-2554 (((-141) $ (-790)) 41)) (-2685 (((-1173) $) 9)) (-1470 (((-3 |#4| (-658 $)) |#4| |#4| $) 121)) (-3722 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| |#4| $) 120)) (-4255 (((-3 |#4| "failed") $) 76)) (-3501 (((-658 $) |#4| $) 122)) (-3732 (((-3 (-141) (-658 $)) |#4| $) 125)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |#4| $) 124) (((-141) |#4| $) 123)) (-2852 (((-658 $) |#4| $) 118) (((-658 $) (-658 |#4|) $) 117) (((-658 $) (-658 |#4|) (-658 $)) 116) (((-658 $) |#4| (-658 $)) 115)) (-3902 (($ |#4| $) 110) (($ (-658 |#4|) $) 109)) (-1712 (((-658 |#4|) $) 100)) (-2346 (((-141) |#4| $) 92) (((-141) $) 88)) (-1751 ((|#4| |#4| $) 83)) (-3085 (((-141) $ $) 103)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) 93) (((-141) $) 89)) (-1803 ((|#4| |#4| $) 84)) (-2951 (((-1137) $) 10)) (-1918 (((-3 |#4| "failed") $) 77)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) 60)) (-2778 (((-3 $ "failed") $ |#4|) 71)) (-2807 (($ $ |#4|) 70) (((-658 $) |#4| $) 108) (((-658 $) |#4| (-658 $)) 107) (((-658 $) (-658 |#4|) $) 106) (((-658 $) (-658 |#4|) (-658 $)) 105)) (-3002 (((-141) (-1 (-141) |#4|) $) 49 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) 58 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) 56 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) 55 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) 37)) (-2943 (((-141) $) 40)) (-2890 (($) 39)) (-4525 (((-790) $) 99)) (-3452 (((-790) |#4| $) 53 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#4|) $) 50 (|has| $ (-6 -4625)))) (-4599 (($ $) 38)) (-1778 (((-565) $) 68 (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 59)) (-2613 (($ $ |#3|) 27)) (-4152 (($ $ |#3|) 29)) (-2965 (($ $) 81)) (-2507 (($ $ |#3|) 28)) (-1683 (((-877) $) 11) (((-658 |#4|) $) 36)) (-1857 (((-790) $) 69 (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) 101)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) 91)) (-3032 (((-658 $) |#4| $) 114) (((-658 $) |#4| (-658 $)) 113) (((-658 $) (-658 |#4|) $) 112) (((-658 $) (-658 |#4|) (-658 $)) 111)) (-3369 (((-141) (-1 (-141) |#4|) $) 48 (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) 74)) (-1437 (((-141) |#4| $) 128)) (-3069 (((-141) |#3| $) 73)) (-3255 (((-141) $ $) 6)) (-1699 (((-790) $) 45 (|has| $ (-6 -4625))))) 
-(((-1128 |#1| |#2| |#3| |#4|) (-1311) (-477) (-815) (-869) (-1089 |t#1| |t#2| |t#3|)) (T -1128)) 
-NIL 
-(-13 (-1094 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-125) . T) ((-632 (-658 |#4|)) . T) ((-632 (-877)) . T) ((-175 |#4|) . T) ((-633 (-565)) |has| |#4| (-633 (-565))) ((-325 |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-523 |#4|) . T) ((-547 |#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-1005 |#1| |#2| |#3| |#4|) . T) ((-1094 |#1| |#2| |#3| |#4|) . T) ((-1119) . T) ((-1219 |#1| |#2| |#3| |#4|) . T) ((-1225) . T)) 
-((-2179 (((-658 (-592)) (-592) (-592) (-592)) 20)) (-2967 (((-658 (-592)) (-592) (-592) (-592)) 12)) (-2684 (((-658 (-592)) (-592) (-592) (-592)) 16)) (-1648 (((-592) (-592) (-592)) 9)) (-1511 (((-1280 (-592)) (-658 (-592)) (-1280 (-592)) (-592)) 44) (((-1280 (-592)) (-1280 (-592)) (-1280 (-592)) (-592)) 39)) (-1569 (((-658 (-592)) (-658 (-592)) (-658 (-592)) (-141)) 26)) (-2496 (((-706 (-592)) (-658 (-592)) (-658 (-592)) (-706 (-592))) 43)) (-2679 (((-706 (-592)) (-658 (-592)) (-658 (-592))) 31)) (-3625 (((-658 (-706 (-592))) (-658 (-592))) 33)) (-2954 (((-658 (-592)) (-658 (-592)) (-658 (-592)) (-706 (-592))) 46)) (-3475 (((-706 (-592)) (-658 (-592)) (-658 (-592)) (-658 (-592))) 54))) 
-(((-1129) (-10 -7 (-15 -3475 ((-706 (-592)) (-658 (-592)) (-658 (-592)) (-658 (-592)))) (-15 -2954 ((-658 (-592)) (-658 (-592)) (-658 (-592)) (-706 (-592)))) (-15 -3625 ((-658 (-706 (-592))) (-658 (-592)))) (-15 -2679 ((-706 (-592)) (-658 (-592)) (-658 (-592)))) (-15 -2496 ((-706 (-592)) (-658 (-592)) (-658 (-592)) (-706 (-592)))) (-15 -1569 ((-658 (-592)) (-658 (-592)) (-658 (-592)) (-141))) (-15 -1511 ((-1280 (-592)) (-1280 (-592)) (-1280 (-592)) (-592))) (-15 -1511 ((-1280 (-592)) (-658 (-592)) (-1280 (-592)) (-592))) (-15 -1648 ((-592) (-592) (-592))) (-15 -2684 ((-658 (-592)) (-592) (-592) (-592))) (-15 -2967 ((-658 (-592)) (-592) (-592) (-592))) (-15 -2179 ((-658 (-592)) (-592) (-592) (-592))))) (T -1129)) 
-((-2179 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1129)) (-5 *3 (-592)))) (-2967 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1129)) (-5 *3 (-592)))) (-2684 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1129)) (-5 *3 (-592)))) (-1648 (*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1129)))) (-1511 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1280 (-592))) (-5 *3 (-658 (-592))) (-5 *4 (-592)) (-5 *1 (-1129)))) (-1511 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1280 (-592))) (-5 *3 (-592)) (-5 *1 (-1129)))) (-1569 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *3 (-141)) (-5 *1 (-1129)))) (-2496 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-706 (-592))) (-5 *3 (-658 (-592))) (-5 *1 (-1129)))) (-2679 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-1129)))) (-3625 (*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-1129)))) (-2954 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *3 (-706 (-592))) (-5 *1 (-1129)))) (-3475 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-1129))))) 
-(-10 -7 (-15 -3475 ((-706 (-592)) (-658 (-592)) (-658 (-592)) (-658 (-592)))) (-15 -2954 ((-658 (-592)) (-658 (-592)) (-658 (-592)) (-706 (-592)))) (-15 -3625 ((-658 (-706 (-592))) (-658 (-592)))) (-15 -2679 ((-706 (-592)) (-658 (-592)) (-658 (-592)))) (-15 -2496 ((-706 (-592)) (-658 (-592)) (-658 (-592)) (-706 (-592)))) (-15 -1569 ((-658 (-592)) (-658 (-592)) (-658 (-592)) (-141))) (-15 -1511 ((-1280 (-592)) (-1280 (-592)) (-1280 (-592)) (-592))) (-15 -1511 ((-1280 (-592)) (-658 (-592)) (-1280 (-592)) (-592))) (-15 -1648 ((-592) (-592) (-592))) (-15 -2684 ((-658 (-592)) (-592) (-592) (-592))) (-15 -2967 ((-658 (-592)) (-592) (-592) (-592))) (-15 -2179 ((-658 (-592)) (-592) (-592) (-592)))) 
-((-1424 (($ $ (-944)) 12)) (** (($ $ (-944)) 10))) 
-(((-1130 |#1|) (-10 -8 (-15 -1424 (|#1| |#1| (-944))) (-15 ** (|#1| |#1| (-944)))) (-1131)) (T -1130)) 
-NIL 
-(-10 -8 (-15 -1424 (|#1| |#1| (-944))) (-15 ** (|#1| |#1| (-944)))) 
-((-1641 (((-141) $ $) 7)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-1424 (($ $ (-944)) 12)) (-3255 (((-141) $ $) 6)) (** (($ $ (-944)) 13)) (* (($ $ $) 14))) 
-(((-1131) (-1311)) (T -1131)) 
-((* (*1 *1 *1 *1) (-4 *1 (-1131))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1131)) (-5 *2 (-944)))) (-1424 (*1 *1 *1 *2) (-12 (-4 *1 (-1131)) (-5 *2 (-944))))) 
-(-13 (-1119) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-944))) (-15 -1424 ($ $ (-944))))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#3| (-1119)))) (-2272 (((-141) $) NIL (|has| |#3| (-158)))) (-2673 (($ (-944)) NIL (|has| |#3| (-1075)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4079 (($ $ $) NIL (|has| |#3| (-815)))) (-2350 (((-3 $ "failed") $ $) NIL (|has| |#3| (-158)))) (-2126 (((-141) $ (-790)) NIL)) (-1403 (((-790)) NIL (|has| |#3| (-394)))) (-3940 (((-592) $) NIL (|has| |#3| (-867)))) (-3932 ((|#3| $ (-592) |#3|) NIL (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (-12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1119)))) (-2400 (((-592) $) NIL (-12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119)))) (((-433 (-592)) $) NIL (-12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119)))) ((|#3| $) NIL (|has| |#3| (-1119)))) (-3945 (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#3| (-654 (-592))) (|has| |#3| (-1075)))) (((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 $) (-1280 $)) NIL (|has| |#3| (-1075))) (((-706 |#3|) (-706 $)) NIL (|has| |#3| (-1075)))) (-3371 (((-3 $ "failed") $) NIL (|has| |#3| (-743)))) (-4290 (($) NIL (|has| |#3| (-394)))) (-1426 ((|#3| $ (-592) |#3|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#3| $ (-592)) 12)) (-1691 (((-141) $) NIL (|has| |#3| (-867)))) (-4004 (((-658 |#3|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL (|has| |#3| (-743)))) (-1324 (((-141) $) NIL (|has| |#3| (-867)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-4467 (((-658 |#3|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3987 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#3| |#3|) $) NIL)) (-3546 (((-944) $) NIL (|has| |#3| (-394)))) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#3| (-1119)))) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-1825 (($ (-944)) NIL (|has| |#3| (-394)))) (-2951 (((-1137) $) NIL (|has| |#3| (-1119)))) (-1918 ((|#3| $) NIL (|has| (-592) (-869)))) (-1892 (($ $ |#3|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#3|))) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-310 |#3|)) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119)))) (($ $ (-658 |#3|) (-658 |#3|)) NIL (-12 (|has| |#3| (-325 |#3|)) (|has| |#3| (-1119))))) (-1724 (((-141) $ $) NIL)) (-1405 (((-658 $)) NIL (|has| |#3| (-394)))) (-2254 (((-141) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-4210 (((-658 |#3|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#3| $ (-592) |#3|) NIL) ((|#3| $ (-592)) NIL)) (-1729 ((|#3| $ $) NIL (|has| |#3| (-1075)))) (-4512 (($ (-1280 |#3|)) NIL)) (-1936 (((-160)) NIL (|has| |#3| (-388)))) (-3644 (($ $) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1 |#3| |#3|) (-790)) NIL (|has| |#3| (-1075))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1075)))) (-3452 (((-790) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625))) (((-790) |#3| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#3| (-1119))))) (-4599 (($ $) NIL)) (-1683 (((-1280 |#3|) $) NIL) (((-877) $) NIL (|has| |#3| (-1119))) (($ (-592)) NIL (-3836 (-12 (|has| |#3| (-1065 (-592))) (|has| |#3| (-1119))) (|has| |#3| (-1075)))) (($ (-433 (-592))) NIL (-12 (|has| |#3| (-1065 (-433 (-592)))) (|has| |#3| (-1119)))) (($ |#3|) NIL (|has| |#3| (-1119)))) (-4010 (((-790)) NIL (|has| |#3| (-1075)))) (-3369 (((-141) (-1 (-141) |#3|) $) NIL (|has| $ (-6 -4625)))) (-1392 (($ $) NIL (|has| |#3| (-867)))) (-1424 (($ $ (-790)) NIL (|has| |#3| (-743))) (($ $ (-944)) NIL (|has| |#3| (-743)))) (-3514 (($) NIL (|has| |#3| (-158)) CONST)) (-4257 (($) NIL (|has| |#3| (-743)) CONST)) (-1940 (($ $) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075)))) (($ $ (-790)) NIL (-12 (|has| |#3| (-247)) (|has| |#3| (-1075)))) (($ $ (-1191)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#3| (-922 (-1191))) (|has| |#3| (-1075)))) (($ $ (-1 |#3| |#3|) (-790)) NIL (|has| |#3| (-1075))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1075)))) (-3286 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3273 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3255 (((-141) $ $) NIL (|has| |#3| (-1119)))) (-3279 (((-141) $ $) NIL (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3266 (((-141) $ $) 17 (-3836 (|has| |#3| (-815)) (|has| |#3| (-867))))) (-3313 (($ $ |#3|) NIL (|has| |#3| (-388)))) (-3306 (($ $ $) NIL (|has| |#3| (-1075))) (($ $) NIL (|has| |#3| (-1075)))) (-3300 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-790)) NIL (|has| |#3| (-743))) (($ $ (-944)) NIL (|has| |#3| (-743)))) (* (($ (-592) $) NIL (|has| |#3| (-1075))) (($ $ $) NIL (|has| |#3| (-743))) (($ $ |#3|) NIL (|has| |#3| (-743))) (($ |#3| $) NIL (|has| |#3| (-743))) (($ (-790) $) NIL (|has| |#3| (-158))) (($ (-944) $) NIL (|has| |#3| (-25)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1132 |#1| |#2| |#3|) (-252 |#1| |#3|) (-790) (-790) (-815)) (T -1132)) 
-NIL 
-(-252 |#1| |#3|) 
-((-3355 (((-658 (-1252 |#2| |#1|)) (-1252 |#2| |#1|) (-1252 |#2| |#1|)) 36)) (-4476 (((-592) (-1252 |#2| |#1|)) 67 (|has| |#1| (-477)))) (-2863 (((-592) (-1252 |#2| |#1|)) 53)) (-3345 (((-658 (-1252 |#2| |#1|)) (-1252 |#2| |#1|) (-1252 |#2| |#1|)) 44)) (-2462 (((-592) (-1252 |#2| |#1|) (-1252 |#2| |#1|)) 55 (|has| |#1| (-477)))) (-1818 (((-658 |#1|) (-1252 |#2| |#1|) (-1252 |#2| |#1|)) 47)) (-1958 (((-592) (-1252 |#2| |#1|) (-1252 |#2| |#1|)) 52))) 
-(((-1133 |#1| |#2|) (-10 -7 (-15 -3355 ((-658 (-1252 |#2| |#1|)) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -3345 ((-658 (-1252 |#2| |#1|)) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -1818 ((-658 |#1|) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -1958 ((-592) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -2863 ((-592) (-1252 |#2| |#1|))) (IF (|has| |#1| (-477)) (PROGN (-15 -2462 ((-592) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -4476 ((-592) (-1252 |#2| |#1|)))) |noBranch|)) (-842) (-1191)) (T -1133)) 
-((-4476 (*1 *2 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-477)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5)))) (-2462 (*1 *2 *3 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-477)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5)))) (-2863 (*1 *2 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5)))) (-1958 (*1 *2 *3 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5)))) (-1818 (*1 *2 *3 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-658 *4)) (-5 *1 (-1133 *4 *5)))) (-3345 (*1 *2 *3 *3) (-12 (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-658 (-1252 *5 *4))) (-5 *1 (-1133 *4 *5)) (-5 *3 (-1252 *5 *4)))) (-3355 (*1 *2 *3 *3) (-12 (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-658 (-1252 *5 *4))) (-5 *1 (-1133 *4 *5)) (-5 *3 (-1252 *5 *4))))) 
-(-10 -7 (-15 -3355 ((-658 (-1252 |#2| |#1|)) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -3345 ((-658 (-1252 |#2| |#1|)) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -1818 ((-658 |#1|) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -1958 ((-592) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -2863 ((-592) (-1252 |#2| |#1|))) (IF (|has| |#1| (-477)) (PROGN (-15 -2462 ((-592) (-1252 |#2| |#1|) (-1252 |#2| |#1|))) (-15 -4476 ((-592) (-1252 |#2| |#1|)))) |noBranch|)) 
-((-3940 (((-3 (-592) "failed") |#2| (-1191) |#2| (-1173)) 16) (((-3 (-592) "failed") |#2| (-1191) (-862 |#2|)) 14) (((-3 (-592) "failed") |#2|) 51))) 
-(((-1134 |#1| |#2|) (-10 -7 (-15 -3940 ((-3 (-592) "failed") |#2|)) (-15 -3940 ((-3 (-592) "failed") |#2| (-1191) (-862 |#2|))) (-15 -3940 ((-3 (-592) "failed") |#2| (-1191) |#2| (-1173)))) (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)) (-477)) (-13 (-27) (-1211) (-456 |#1|))) (T -1134)) 
-((-3940 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-1173)) (-4 *6 (-13 (-582) (-869) (-1065 *2) (-654 *2) (-477))) (-5 *2 (-592)) (-5 *1 (-1134 *6 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))))) (-3940 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-862 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 *2) (-654 *2) (-477))) (-5 *2 (-592)) (-5 *1 (-1134 *6 *3)))) (-3940 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-582) (-869) (-1065 *2) (-654 *2) (-477))) (-5 *2 (-592)) (-5 *1 (-1134 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4)))))) 
-(-10 -7 (-15 -3940 ((-3 (-592) "failed") |#2|)) (-15 -3940 ((-3 (-592) "failed") |#2| (-1191) (-862 |#2|))) (-15 -3940 ((-3 (-592) "failed") |#2| (-1191) |#2| (-1173)))) 
-((-3940 (((-3 (-592) "failed") (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|)) (-1173)) 34) (((-3 (-592) "failed") (-433 (-980 |#1|)) (-1191) (-862 (-433 (-980 |#1|)))) 29) (((-3 (-592) "failed") (-433 (-980 |#1|))) 12))) 
-(((-1135 |#1|) (-10 -7 (-15 -3940 ((-3 (-592) "failed") (-433 (-980 |#1|)))) (-15 -3940 ((-3 (-592) "failed") (-433 (-980 |#1|)) (-1191) (-862 (-433 (-980 |#1|))))) (-15 -3940 ((-3 (-592) "failed") (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|)) (-1173)))) (-477)) (T -1135)) 
-((-3940 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-433 (-980 *6))) (-5 *4 (-1191)) (-5 *5 (-1173)) (-4 *6 (-477)) (-5 *2 (-592)) (-5 *1 (-1135 *6)))) (-3940 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-862 (-433 (-980 *6)))) (-5 *3 (-433 (-980 *6))) (-4 *6 (-477)) (-5 *2 (-592)) (-5 *1 (-1135 *6)))) (-3940 (*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-477)) (-5 *2 (-592)) (-5 *1 (-1135 *4))))) 
-(-10 -7 (-15 -3940 ((-3 (-592) "failed") (-433 (-980 |#1|)))) (-15 -3940 ((-3 (-592) "failed") (-433 (-980 |#1|)) (-1191) (-862 (-433 (-980 |#1|))))) (-15 -3940 ((-3 (-592) "failed") (-433 (-980 |#1|)) (-1191) (-433 (-980 |#1|)) (-1173)))) 
-((-1849 (((-332 (-592)) (-53)) 11))) 
-(((-1136) (-10 -7 (-15 -1849 ((-332 (-592)) (-53))))) (T -1136)) 
-((-1849 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-332 (-592))) (-5 *1 (-1136))))) 
-(-10 -7 (-15 -1849 ((-332 (-592)) (-53)))) 
-((-1641 (((-141) $ $) NIL)) (-3163 (($ $) 41)) (-2272 (((-141) $) 65)) (-2773 (($ $ $) 48)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 84)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2204 (($ $ $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1686 (($ $ $ $) 74)) (-3743 (($ $) NIL)) (-3164 (((-444 $) $) NIL)) (-3652 (((-141) $ $) NIL)) (-3940 (((-592) $) NIL)) (-3651 (($ $ $) 71)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL)) (-2400 (((-592) $) NIL)) (-1586 (($ $ $) 59)) (-3945 (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 78) (((-706 (-592)) (-706 $)) 28)) (-3371 (((-3 $ "failed") $) NIL)) (-4182 (((-3 (-433 (-592)) "failed") $) NIL)) (-2435 (((-141) $) NIL)) (-2270 (((-433 (-592)) $) NIL)) (-4290 (($) 81) (($ $) 82)) (-1599 (($ $ $) 58)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL)) (-2802 (((-141) $) NIL)) (-2520 (($ $ $ $) NIL)) (-1592 (($ $ $) 79)) (-1691 (((-141) $) NIL)) (-3870 (($ $ $) NIL)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL)) (-3558 (((-141) $) 66)) (-3372 (((-141) $) 64)) (-3252 (($ $) 42)) (-3921 (((-3 $ "failed") $) NIL)) (-1324 (((-141) $) 75)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3260 (($ $ $ $) 72)) (-1837 (($ $ $) 68) (($) 39)) (-3319 (($ $ $) 67) (($) 38)) (-4561 (($ $) NIL)) (-4233 (($ $) 70)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (-2750 (($ $ $) NIL) (($ (-658 $)) NIL)) (-2685 (((-1173) $) NIL)) (-4092 (($ $ $) NIL)) (-3703 (($) NIL T CONST)) (-4185 (($ $) 50)) (-2951 (((-1137) $) NIL) (($ $) 69)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL)) (-3548 (($ $ $) 62) (($ (-658 $)) NIL)) (-2283 (($ $) NIL)) (-4500 (((-444 $) $) NIL)) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL)) (-3616 (((-3 $ "failed") $ $) NIL)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL)) (-3554 (((-141) $) NIL)) (-2769 (((-790) $) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 61)) (-3644 (($ $ (-790)) NIL) (($ $) NIL)) (-1676 (($ $) 51)) (-4599 (($ $) NIL)) (-1778 (((-592) $) 32) (((-565) $) NIL) (((-914 (-592)) $) NIL) (((-405) $) NIL) (((-237) $) NIL)) (-1683 (((-877) $) 31) (($ (-592)) 80) (($ $) NIL) (($ (-592)) 80)) (-4010 (((-790)) NIL)) (-3911 (((-141) $ $) NIL)) (-4042 (($ $ $) NIL)) (-4226 (($) 37)) (-2537 (((-141) $ $) NIL)) (-1475 (($ $ $ $) 73)) (-1392 (($ $) 63)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-1623 (($ $ $) 44)) (-3514 (($) 35 T CONST)) (-1447 (($ $ $) 47)) (-4257 (($) 36 T CONST)) (-1637 (((-1173) $) 21) (((-1173) $ (-141)) 23) (((-1285) (-844) $) 24) (((-1285) (-844) $ (-141)) 25)) (-1422 (($ $) 45)) (-1940 (($ $ (-790)) NIL) (($ $) NIL)) (-3214 (($ $ $) 46)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 40)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 49)) (-1616 (($ $ $) 43)) (-3306 (($ $) 52) (($ $ $) 54)) (-3300 (($ $ $) 53)) (** (($ $ (-944)) NIL) (($ $ (-790)) 57)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 34) (($ $ $) 55))) 
-(((-1137) (-13 (-574) (-675) (-850) (-10 -8 (-6 -4612) (-6 -4617) (-6 -4613) (-15 -3319 ($)) (-15 -1837 ($)) (-15 -3252 ($ $)) (-15 -3163 ($ $)) (-15 -1616 ($ $ $)) (-15 -1623 ($ $ $)) (-15 -2773 ($ $ $)) (-15 -1422 ($ $)) (-15 -3214 ($ $ $)) (-15 -1447 ($ $ $))))) (T -1137)) 
-((-1623 (*1 *1 *1 *1) (-5 *1 (-1137))) (-1616 (*1 *1 *1 *1) (-5 *1 (-1137))) (-3163 (*1 *1 *1) (-5 *1 (-1137))) (-3319 (*1 *1) (-5 *1 (-1137))) (-1837 (*1 *1) (-5 *1 (-1137))) (-3252 (*1 *1 *1) (-5 *1 (-1137))) (-2773 (*1 *1 *1 *1) (-5 *1 (-1137))) (-1422 (*1 *1 *1) (-5 *1 (-1137))) (-3214 (*1 *1 *1 *1) (-5 *1 (-1137))) (-1447 (*1 *1 *1 *1) (-5 *1 (-1137)))) 
-(-13 (-574) (-675) (-850) (-10 -8 (-6 -4612) (-6 -4617) (-6 -4613) (-15 -3319 ($)) (-15 -1837 ($)) (-15 -3252 ($ $)) (-15 -3163 ($ $)) (-15 -1616 ($ $ $)) (-15 -1623 ($ $ $)) (-15 -2773 ($ $ $)) (-15 -1422 ($ $)) (-15 -3214 ($ $ $)) (-15 -1447 ($ $ $)))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-3349 ((|#1| $) 41)) (-2126 (((-141) $ (-790)) 8)) (-3001 (($) 7 T CONST)) (-3568 ((|#1| |#1| $) 43)) (-2486 ((|#1| $) 42)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4137 ((|#1| $) 36)) (-2113 (($ |#1| $) 37)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-2106 ((|#1| $) 38)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3439 (((-790) $) 40)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) 39)) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1138 |#1|) (-1311) (-1225)) (T -1138)) 
-((-3568 (*1 *2 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1225)))) (-2486 (*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1225)))) (-3349 (*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1225)))) (-3439 (*1 *2 *1) (-12 (-4 *1 (-1138 *3)) (-4 *3 (-1225)) (-5 *2 (-790))))) 
-(-13 (-131 |t#1|) (-10 -8 (-6 -4625) (-15 -3568 (|t#1| |t#1| $)) (-15 -2486 (|t#1| $)) (-15 -3349 (|t#1| $)) (-15 -3439 ((-790) $)))) 
-(((-39) . T) ((-131 |#1|) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-4529 ((|#3| $) 76)) (-4368 (((-3 (-592) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-2400 (((-592) $) NIL) (((-433 (-592)) $) NIL) ((|#3| $) 37)) (-3945 (((-706 (-592)) (-706 $)) NIL) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL) (((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 $) (-1280 $)) 73) (((-706 |#3|) (-706 $)) 65)) (-3644 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191)) NIL) (($ $ (-790)) NIL) (($ $) NIL)) (-2236 ((|#3| $) 78)) (-1332 ((|#4| $) 32)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL) (($ |#3|) 16)) (** (($ $ (-944)) NIL) (($ $ (-790)) 15) (($ $ (-592)) 82))) 
-(((-1139 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-592))) (-15 -2236 (|#3| |#1|)) (-15 -4529 (|#3| |#1|)) (-15 -1332 (|#4| |#1|)) (-15 -3945 ((-706 |#3|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -2400 (|#3| |#1|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -1683 (|#1| |#3|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|) (-790))) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|))) (-15 -1683 (|#1| (-592))) (-15 ** (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-944))) (-15 -1683 ((-877) |#1|))) (-1140 |#2| |#3| |#4| |#5|) (-790) (-1075) (-252 |#2| |#3|) (-252 |#2| |#3|)) (T -1139)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-592))) (-15 -2236 (|#3| |#1|)) (-15 -4529 (|#3| |#1|)) (-15 -1332 (|#4| |#1|)) (-15 -3945 ((-706 |#3|) (-706 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 |#3|)) (|:| |vec| (-1280 |#3|))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 |#1|) (-1280 |#1|))) (-15 -3945 ((-706 (-592)) (-706 |#1|))) (-15 -2400 (|#3| |#1|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -1683 (|#1| |#3|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-592) |#1|)) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|) (-790))) (-15 -3644 (|#1| |#1| (-1 |#3| |#3|))) (-15 -1683 (|#1| (-592))) (-15 ** (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-944))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4529 ((|#2| $) 69)) (-4034 (((-141) $) 109)) (-2350 (((-3 $ "failed") $ $) 18)) (-3120 (((-141) $) 107)) (-2126 (((-141) $ (-790)) 99)) (-3223 (($ |#2|) 72)) (-3001 (($) 16 T CONST)) (-3052 (($ $) 126 (|has| |#2| (-323)))) (-2747 ((|#3| $ (-592)) 121)) (-4368 (((-3 (-592) "failed") $) 83 (|has| |#2| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) 81 (|has| |#2| (-1065 (-433 (-592))))) (((-3 |#2| "failed") $) 78)) (-2400 (((-592) $) 84 (|has| |#2| (-1065 (-592)))) (((-433 (-592)) $) 82 (|has| |#2| (-1065 (-433 (-592))))) ((|#2| $) 77)) (-3945 (((-706 (-592)) (-706 $)) 76 (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 75 (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) 74) (((-706 |#2|) (-706 $)) 73)) (-3371 (((-3 $ "failed") $) 33)) (-4175 (((-790) $) 127 (|has| |#2| (-582)))) (-3959 ((|#2| $ (-592) (-592)) 119)) (-4004 (((-658 |#2|) $) 92 (|has| $ (-6 -4625)))) (-3558 (((-141) $) 30)) (-3178 (((-790) $) 128 (|has| |#2| (-582)))) (-3555 (((-658 |#4|) $) 129 (|has| |#2| (-582)))) (-4292 (((-790) $) 115)) (-4298 (((-790) $) 116)) (-4345 (((-141) $ (-790)) 100)) (-3781 ((|#2| $) 64 (|has| |#2| (-6 (-4627 "*"))))) (-4577 (((-592) $) 111)) (-4280 (((-592) $) 113)) (-4467 (((-658 |#2|) $) 91 (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) 89 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-1898 (((-592) $) 112)) (-3005 (((-592) $) 114)) (-4186 (($ (-658 (-658 |#2|))) 106)) (-3987 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-4601 (((-658 (-658 |#2|)) $) 117)) (-2554 (((-141) $ (-790)) 101)) (-2685 (((-1173) $) 9)) (-3183 (((-3 $ "failed") $) 63 (|has| |#2| (-388)))) (-2951 (((-1137) $) 10)) (-3616 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-582)))) (-3002 (((-141) (-1 (-141) |#2|) $) 94 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) 88 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) 87 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) 85 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) 105)) (-2943 (((-141) $) 102)) (-2890 (($) 103)) (-3927 ((|#2| $ (-592) (-592) |#2|) 120) ((|#2| $ (-592) (-592)) 118)) (-3644 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-790)) 50) (($ $ (-658 (-1191)) (-658 (-790))) 43 (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) 42 (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) 41 (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) 40 (|has| |#2| (-922 (-1191)))) (($ $ (-790)) 38 (|has| |#2| (-247))) (($ $) 36 (|has| |#2| (-247)))) (-2236 ((|#2| $) 68)) (-2933 (($ (-658 |#2|)) 71)) (-2940 (((-141) $) 108)) (-1332 ((|#3| $) 70)) (-1625 ((|#2| $) 65 (|has| |#2| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#2|) $) 93 (|has| $ (-6 -4625))) (((-790) |#2| $) 90 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 104)) (-2000 ((|#4| $ (-592)) 122)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 80 (|has| |#2| (-1065 (-433 (-592))))) (($ |#2|) 79)) (-4010 (((-790)) 28)) (-3369 (((-141) (-1 (-141) |#2|) $) 95 (|has| $ (-6 -4625)))) (-3951 (((-141) $) 110)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-790)) 48) (($ $ (-658 (-1191)) (-658 (-790))) 47 (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) 46 (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) 45 (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) 44 (|has| |#2| (-922 (-1191)))) (($ $ (-790)) 39 (|has| |#2| (-247))) (($ $) 37 (|has| |#2| (-247)))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#2|) 125 (|has| |#2| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 62 (|has| |#2| (-388)))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-1699 (((-790) $) 98 (|has| $ (-6 -4625))))) 
-(((-1140 |#1| |#2| |#3| |#4|) (-1311) (-790) (-1075) (-252 |t#1| |t#2|) (-252 |t#1| |t#2|)) (T -1140)) 
-((-3223 (*1 *1 *2) (-12 (-4 *2 (-1075)) (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)))) (-2933 (*1 *1 *2) (-12 (-5 *2 (-658 *4)) (-4 *4 (-1075)) (-4 *1 (-1140 *3 *4 *5 *6)) (-4 *5 (-252 *3 *4)) (-4 *6 (-252 *3 *4)))) (-1332 (*1 *2 *1) (-12 (-4 *1 (-1140 *3 *4 *2 *5)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *2 (-252 *3 *4)))) (-4529 (*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (-4 *2 (-1075)))) (-2236 (*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (-4 *2 (-1075)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1140 *3 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *2 (-252 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1140 *3 *4 *2 *5)) (-4 *4 (-1075)) (-4 *2 (-252 *3 *4)) (-4 *5 (-252 *3 *4)))) (-1625 (*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075)))) (-3781 (*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075)))) (-3183 (*1 *1 *1) (|partial| -12 (-4 *1 (-1140 *2 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-252 *2 *3)) (-4 *5 (-252 *2 *3)) (-4 *3 (-388)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1140 *3 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *6 (-252 *3 *4)) (-4 *4 (-388))))) 
-(-13 (-245 |t#2|) (-140 |t#2| |t#2|) (-1078 |t#1| |t#1| |t#2| |t#3| |t#4|) (-437 |t#2|) (-403 |t#2|) (-10 -8 (IF (|has| |t#2| (-194)) (-6 (-734 |t#2|)) |noBranch|) (-15 -3223 ($ |t#2|)) (-15 -2933 ($ (-658 |t#2|))) (-15 -1332 (|t#3| $)) (-15 -4529 (|t#2| $)) (-15 -2236 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4627 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -1625 (|t#2| $)) (-15 -3781 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-388)) (PROGN (-15 -3183 ((-3 $ "failed") $)) (-15 ** ($ $ (-592)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4627 "*"))) ((-125) . T) ((-140 |#2| |#2|) . T) ((-158) . T) ((-632 (-877)) . T) ((-245 |#2|) . T) ((-247) |has| |#2| (-247)) ((-325 |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-403 |#2|) . T) ((-437 |#2|) . T) ((-523 |#2|) . T) ((-547 |#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-661 |#2|) . T) ((-661 $) . T) ((-654 (-592)) |has| |#2| (-654 (-592))) ((-654 |#2|) . T) ((-734 |#2|) -3836 (|has| |#2| (-194)) (|has| |#2| (-6 (-4627 "*")))) ((-743) . T) ((-922 (-1191)) |has| |#2| (-922 (-1191))) ((-1078 |#1| |#1| |#2| |#3| |#4|) . T) ((-1065 (-433 (-592))) |has| |#2| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#2| (-1065 (-592))) ((-1065 |#2|) . T) ((-1081 |#2|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1225) . T)) 
-((-3136 ((|#4| |#4|) 67)) (-1893 ((|#4| |#4|) 62)) (-4489 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|))) |#4| |#3|) 75)) (-2174 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-2299 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
-(((-1141 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1893 (|#4| |#4|)) (-15 -2299 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3136 (|#4| |#4|)) (-15 -2174 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4489 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|))) |#4| |#3|))) (-323) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|)) (T -1141)) 
-((-4489 (*1 *2 *3 *4) (-12 (-4 *5 (-323)) (-4 *6 (-399 *5)) (-4 *4 (-399 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-1141 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4)))) (-2174 (*1 *2 *3) (-12 (-4 *4 (-323)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1141 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-3136 (*1 *2 *2) (-12 (-4 *3 (-323)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1141 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-2299 (*1 *2 *3) (-12 (-4 *4 (-323)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1141 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) (-1893 (*1 *2 *2) (-12 (-4 *3 (-323)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1141 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(-10 -7 (-15 -1893 (|#4| |#4|)) (-15 -2299 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3136 (|#4| |#4|)) (-15 -2174 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4489 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -2195 (-658 |#3|))) |#4| |#3|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 17)) (-4085 (((-658 |#2|) $) 160)) (-4492 (((-1187 $) $ |#2|) 54) (((-1187 |#1|) $) 43)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 110 (|has| |#1| (-582)))) (-1555 (($ $) 112 (|has| |#1| (-582)))) (-1313 (((-141) $) 114 (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 |#2|)) 193)) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) 157) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 |#2| "failed") $) NIL)) (-2400 ((|#1| $) 155) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) ((|#2| $) NIL)) (-1544 (($ $ $ |#2|) NIL (|has| |#1| (-194)))) (-4593 (($ $) 197)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) 82)) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ |#2|) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-558 |#2|) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| |#1| (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| |#1| (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-3558 (((-141) $) 19)) (-4036 (((-790) $) 26)) (-4533 (($ (-1187 |#1|) |#2|) 48) (($ (-1187 $) |#2|) 64)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) 31)) (-4526 (($ |#1| (-558 |#2|)) 71) (($ $ |#2| (-790)) 52) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ |#2|) NIL)) (-4206 (((-558 |#2|) $) 187) (((-790) $ |#2|) 188) (((-658 (-790)) $ (-658 |#2|)) 189)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-558 |#2|) (-558 |#2|)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) 122)) (-3254 (((-3 |#2| "failed") $) 162)) (-4573 (($ $) 196)) (-4579 ((|#1| $) 37)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| |#2|) (|:| -3215 (-790))) "failed") $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 32)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 140 (|has| |#1| (-477)))) (-3548 (($ (-658 $)) 145 (|has| |#1| (-477))) (($ $ $) 132 (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-582)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-658 |#2|) (-658 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-658 |#2|) (-658 $)) 177)) (-1482 (($ $ |#2|) NIL (|has| |#1| (-194)))) (-3644 (($ $ |#2|) 195) (($ $ (-658 |#2|)) NIL) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-4525 (((-558 |#2|) $) 183) (((-790) $ |#2|) 179) (((-658 (-790)) $ (-658 |#2|)) 181)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| |#1| (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| |#1| (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| |#1| (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#1| $) 128 (|has| |#1| (-477))) (($ $ |#2|) 131 (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1683 (((-877) $) 151) (($ (-592)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-582))) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-1647 (((-658 |#1|) $) 154)) (-1937 ((|#1| $ (-558 |#2|)) 73) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) 79)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) 117 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 102) (($ $ (-790)) 104)) (-3514 (($) 12 T CONST)) (-4257 (($) 14 T CONST)) (-1940 (($ $ |#2|) NIL) (($ $ (-658 |#2|)) NIL) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 97)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) 126 (|has| |#1| (-388)))) (-3306 (($ $) 85) (($ $ $) 95)) (-3300 (($ $ $) 49)) (** (($ $ (-944)) 103) (($ $ (-790)) 100)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 88) (($ $ $) 65) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
-(((-1142 |#1| |#2|) (-977 |#1| (-558 |#2|) |#2|) (-1075) (-869)) (T -1142)) 
-NIL 
-(-977 |#1| (-558 |#2|) |#2|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 |#2|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-1588 (($ $) 154 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) 150 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 126 (|has| |#1| (-43 (-433 (-592)))))) (-1601 (($ $) 158 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 134 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2012 (((-980 |#1|) $ (-790)) NIL) (((-980 |#1|) $ (-790) (-790)) NIL)) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $ |#2|) NIL) (((-790) $ |#2| (-790)) NIL)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2027 (((-141) $) NIL)) (-4526 (($ $ (-658 |#2|) (-658 (-558 |#2|))) NIL) (($ $ |#2| (-558 |#2|)) NIL) (($ |#1| (-558 |#2|)) NIL) (($ $ |#2| (-790)) 71) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) 124 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-3162 (($ $ |#2|) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-4320 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-433 (-592)))))) (-2807 (($ $ (-790)) 15)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-1430 (($ $) 122 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (($ $ |#2| $) 109) (($ $ (-658 |#2|) (-658 $)) 102) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL)) (-3644 (($ $ |#2|) 111) (($ $ (-658 |#2|)) NIL) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-4525 (((-558 |#2|) $) NIL)) (-4461 (((-1 (-1171 |#3|) |#3|) (-658 |#2|) (-658 (-1171 |#3|))) 92)) (-1609 (($ $) 160 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 136 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 156 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 152 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 128 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 17)) (-1683 (((-877) $) 192) (($ (-592)) NIL) (($ |#1|) 59 (|has| |#1| (-194))) (($ $) NIL (|has| |#1| (-582))) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#2|) 78) (($ |#3|) 76)) (-1937 ((|#1| $ (-558 |#2|)) 57) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) 50) ((|#3| $ (-790)) 42)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-1630 (($ $) 166 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 142 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) 162 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 138 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 170 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 146 (|has| |#1| (-43 (-433 (-592)))))) (-2892 (($ $) 172 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 148 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 168 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 144 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 164 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 140 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 18 T CONST)) (-4257 (($) 10 T CONST)) (-1940 (($ $ |#2|) NIL) (($ $ (-658 |#2|)) NIL) (($ $ |#2| (-790)) NIL) (($ $ (-658 |#2|) (-658 (-790))) NIL)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) 194 (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 74)) (** (($ $ (-944)) NIL) (($ $ (-790)) 83) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 114 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 73) (($ $ (-433 (-592))) 119 (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) 117 (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
-(((-1143 |#1| |#2| |#3|) (-13 (-757 |#1| |#2|) (-10 -8 (-15 -1937 (|#3| $ (-790))) (-15 -1683 ($ |#2|)) (-15 -1683 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -4461 ((-1 (-1171 |#3|) |#3|) (-658 |#2|) (-658 (-1171 |#3|)))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $ |#2| |#1|)) (-15 -4320 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1075) (-869) (-977 |#1| (-558 |#2|) |#2|)) (T -1143)) 
-((-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *2 (-977 *4 (-558 *5) *5)) (-5 *1 (-1143 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-869)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *2 (-869)) (-5 *1 (-1143 *3 *2 *4)) (-4 *4 (-977 *3 (-558 *2) *2)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-869)) (-5 *1 (-1143 *3 *4 *2)) (-4 *2 (-977 *3 (-558 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-869)) (-5 *1 (-1143 *3 *4 *2)) (-4 *2 (-977 *3 (-558 *4) *4)))) (-4461 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 (-1171 *7))) (-4 *6 (-869)) (-4 *7 (-977 *5 (-558 *6) *6)) (-4 *5 (-1075)) (-5 *2 (-1 (-1171 *7) *7)) (-5 *1 (-1143 *5 *6 *7)))) (-3162 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-4 *2 (-869)) (-5 *1 (-1143 *3 *2 *4)) (-4 *4 (-977 *3 (-558 *2) *2)))) (-4320 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1143 *4 *3 *5))) (-4 *4 (-43 (-433 (-592)))) (-4 *4 (-1075)) (-4 *3 (-869)) (-5 *1 (-1143 *4 *3 *5)) (-4 *5 (-977 *4 (-558 *3) *3))))) 
-(-13 (-757 |#1| |#2|) (-10 -8 (-15 -1937 (|#3| $ (-790))) (-15 -1683 ($ |#2|)) (-15 -1683 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -4461 ((-1 (-1171 |#3|) |#3|) (-658 |#2|) (-658 (-1171 |#3|)))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $ |#2| |#1|)) (-15 -4320 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
-((-1641 (((-141) $ $) 7)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) 78)) (-2248 (((-658 $) (-658 |#4|)) 79) (((-658 $) (-658 |#4|) (-141)) 104)) (-4085 (((-658 |#3|) $) 32)) (-4325 (((-141) $) 25)) (-2988 (((-141) $) 16 (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) 94) (((-141) $) 90)) (-2244 ((|#4| |#4| $) 85)) (-3743 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| $) 119)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) 26)) (-2126 (((-141) $ (-790)) 43)) (-3113 (($ (-1 (-141) |#4|) $) 64 (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 72)) (-3001 (($) 44 T CONST)) (-3239 (((-141) $) 21 (|has| |#1| (-582)))) (-3478 (((-141) $ $) 23 (|has| |#1| (-582)))) (-2398 (((-141) $ $) 22 (|has| |#1| (-582)))) (-1529 (((-141) $) 24 (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 86)) (-4521 (((-658 |#4|) (-658 |#4|) $) 17 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) 18 (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 35)) (-2400 (($ (-658 |#4|)) 34)) (-1366 (((-3 $ "failed") $) 75)) (-2226 ((|#4| |#4| $) 82)) (-1360 (($ $) 67 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#4| $) 66 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#4|) $) 63 (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) 95)) (-3092 ((|#4| |#4| $) 80)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 87)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) 98)) (-1836 (((-141) |#4| $) 129)) (-2659 (((-141) |#4| $) 126)) (-3195 (((-141) |#4| $) 130) (((-141) $) 127)) (-4004 (((-658 |#4|) $) 51 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) 97) (((-141) $) 96)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) 42)) (-4467 (((-658 |#4|) $) 52 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 54 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 46)) (-2290 (((-658 |#3|) $) 31)) (-2645 (((-141) |#3| $) 30)) (-2554 (((-141) $ (-790)) 41)) (-2685 (((-1173) $) 9)) (-1470 (((-3 |#4| (-658 $)) |#4| |#4| $) 121)) (-3722 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| |#4| $) 120)) (-4255 (((-3 |#4| "failed") $) 76)) (-3501 (((-658 $) |#4| $) 122)) (-3732 (((-3 (-141) (-658 $)) |#4| $) 125)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |#4| $) 124) (((-141) |#4| $) 123)) (-2852 (((-658 $) |#4| $) 118) (((-658 $) (-658 |#4|) $) 117) (((-658 $) (-658 |#4|) (-658 $)) 116) (((-658 $) |#4| (-658 $)) 115)) (-3902 (($ |#4| $) 110) (($ (-658 |#4|) $) 109)) (-1712 (((-658 |#4|) $) 100)) (-2346 (((-141) |#4| $) 92) (((-141) $) 88)) (-1751 ((|#4| |#4| $) 83)) (-3085 (((-141) $ $) 103)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) 93) (((-141) $) 89)) (-1803 ((|#4| |#4| $) 84)) (-2951 (((-1137) $) 10)) (-1918 (((-3 |#4| "failed") $) 77)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) 60)) (-2778 (((-3 $ "failed") $ |#4|) 71)) (-2807 (($ $ |#4|) 70) (((-658 $) |#4| $) 108) (((-658 $) |#4| (-658 $)) 107) (((-658 $) (-658 |#4|) $) 106) (((-658 $) (-658 |#4|) (-658 $)) 105)) (-3002 (((-141) (-1 (-141) |#4|) $) 49 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) 58 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) 56 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) 55 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) 37)) (-2943 (((-141) $) 40)) (-2890 (($) 39)) (-4525 (((-790) $) 99)) (-3452 (((-790) |#4| $) 53 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#4|) $) 50 (|has| $ (-6 -4625)))) (-4599 (($ $) 38)) (-1778 (((-565) $) 68 (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 59)) (-2613 (($ $ |#3|) 27)) (-4152 (($ $ |#3|) 29)) (-2965 (($ $) 81)) (-2507 (($ $ |#3|) 28)) (-1683 (((-877) $) 11) (((-658 |#4|) $) 36)) (-1857 (((-790) $) 69 (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) 101)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) 91)) (-3032 (((-658 $) |#4| $) 114) (((-658 $) |#4| (-658 $)) 113) (((-658 $) (-658 |#4|) $) 112) (((-658 $) (-658 |#4|) (-658 $)) 111)) (-3369 (((-141) (-1 (-141) |#4|) $) 48 (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) 74)) (-1437 (((-141) |#4| $) 128)) (-3069 (((-141) |#3| $) 73)) (-3255 (((-141) $ $) 6)) (-1699 (((-790) $) 45 (|has| $ (-6 -4625))))) 
-(((-1144 |#1| |#2| |#3| |#4|) (-1311) (-477) (-815) (-869) (-1089 |t#1| |t#2| |t#3|)) (T -1144)) 
-NIL 
-(-13 (-1128 |t#1| |t#2| |t#3| |t#4|) (-806 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-125) . T) ((-632 (-658 |#4|)) . T) ((-632 (-877)) . T) ((-175 |#4|) . T) ((-633 (-565)) |has| |#4| (-633 (-565))) ((-325 |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-523 |#4|) . T) ((-547 |#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-806 |#1| |#2| |#3| |#4|) . T) ((-1005 |#1| |#2| |#3| |#4|) . T) ((-1094 |#1| |#2| |#3| |#4|) . T) ((-1119) . T) ((-1128 |#1| |#2| |#3| |#4|) . T) ((-1219 |#1| |#2| |#3| |#4|) . T) ((-1225) . T)) 
-((-4005 (((-658 |#2|) |#1|) 12)) (-4123 (((-658 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-658 |#2|) |#1|) 47)) (-2163 (((-658 |#2|) |#2| |#2| |#2|) 35) (((-658 |#2|) |#1|) 45)) (-3993 ((|#2| |#1|) 42)) (-1829 (((-2 (|:| |solns| (-658 |#2|)) (|:| |maps| (-658 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-4232 (((-658 |#2|) |#2| |#2|) 34) (((-658 |#2|) |#1|) 44)) (-2352 (((-658 |#2|) |#2| |#2| |#2| |#2|) 36) (((-658 |#2|) |#1|) 46)) (-1335 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-2519 ((|#2| |#2| |#2| |#2|) 39)) (-2192 ((|#2| |#2| |#2|) 38)) (-3887 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
-(((-1145 |#1| |#2|) (-10 -7 (-15 -4005 ((-658 |#2|) |#1|)) (-15 -3993 (|#2| |#1|)) (-15 -1829 ((-2 (|:| |solns| (-658 |#2|)) (|:| |maps| (-658 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -4232 ((-658 |#2|) |#1|)) (-15 -2163 ((-658 |#2|) |#1|)) (-15 -2352 ((-658 |#2|) |#1|)) (-15 -4123 ((-658 |#2|) |#1|)) (-15 -4232 ((-658 |#2|) |#2| |#2|)) (-15 -2163 ((-658 |#2|) |#2| |#2| |#2|)) (-15 -2352 ((-658 |#2|) |#2| |#2| |#2| |#2|)) (-15 -4123 ((-658 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -2192 (|#2| |#2| |#2|)) (-15 -2519 (|#2| |#2| |#2| |#2|)) (-15 -3887 (|#2| |#2| |#2| |#2| |#2|)) (-15 -1335 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1255 |#2|) (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (T -1145)) 
-((-1335 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2)))) (-3887 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2)))) (-2519 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2)))) (-2192 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2)))) (-4123 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3)))) (-2352 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3)))) (-2163 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3)))) (-4232 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3)))) (-4123 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) (-2352 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) (-2163 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) (-4232 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) (-1829 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-2 (|:| |solns| (-658 *5)) (|:| |maps| (-658 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1145 *3 *5)) (-4 *3 (-1255 *5)))) (-3993 (*1 *2 *3) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2)))) (-4005 (*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -4005 ((-658 |#2|) |#1|)) (-15 -3993 (|#2| |#1|)) (-15 -1829 ((-2 (|:| |solns| (-658 |#2|)) (|:| |maps| (-658 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -4232 ((-658 |#2|) |#1|)) (-15 -2163 ((-658 |#2|) |#1|)) (-15 -2352 ((-658 |#2|) |#1|)) (-15 -4123 ((-658 |#2|) |#1|)) (-15 -4232 ((-658 |#2|) |#2| |#2|)) (-15 -2163 ((-658 |#2|) |#2| |#2| |#2|)) (-15 -2352 ((-658 |#2|) |#2| |#2| |#2| |#2|)) (-15 -4123 ((-658 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -2192 (|#2| |#2| |#2|)) (-15 -2519 (|#2| |#2| |#2| |#2|)) (-15 -3887 (|#2| |#2| |#2| |#2| |#2|)) (-15 -1335 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
-((-4142 (((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-433 (-980 |#1|))))) 94) (((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-433 (-980 |#1|)))) (-658 (-1191))) 93) (((-658 (-658 (-310 (-332 |#1|)))) (-658 (-433 (-980 |#1|)))) 91) (((-658 (-658 (-310 (-332 |#1|)))) (-658 (-433 (-980 |#1|))) (-658 (-1191))) 89) (((-658 (-310 (-332 |#1|))) (-310 (-433 (-980 |#1|)))) 75) (((-658 (-310 (-332 |#1|))) (-310 (-433 (-980 |#1|))) (-1191)) 76) (((-658 (-310 (-332 |#1|))) (-433 (-980 |#1|))) 70) (((-658 (-310 (-332 |#1|))) (-433 (-980 |#1|)) (-1191)) 59)) (-3070 (((-658 (-658 (-332 |#1|))) (-658 (-433 (-980 |#1|))) (-658 (-1191))) 87) (((-658 (-332 |#1|)) (-433 (-980 |#1|)) (-1191)) 43)) (-2015 (((-1180 (-658 (-332 |#1|)) (-658 (-310 (-332 |#1|)))) (-433 (-980 |#1|)) (-1191)) 97) (((-1180 (-658 (-332 |#1|)) (-658 (-310 (-332 |#1|)))) (-310 (-433 (-980 |#1|))) (-1191)) 96))) 
-(((-1146 |#1|) (-10 -7 (-15 -4142 ((-658 (-310 (-332 |#1|))) (-433 (-980 |#1|)) (-1191))) (-15 -4142 ((-658 (-310 (-332 |#1|))) (-433 (-980 |#1|)))) (-15 -4142 ((-658 (-310 (-332 |#1|))) (-310 (-433 (-980 |#1|))) (-1191))) (-15 -4142 ((-658 (-310 (-332 |#1|))) (-310 (-433 (-980 |#1|))))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-433 (-980 |#1|))))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-433 (-980 |#1|)))) (-658 (-1191)))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-433 (-980 |#1|)))))) (-15 -3070 ((-658 (-332 |#1|)) (-433 (-980 |#1|)) (-1191))) (-15 -3070 ((-658 (-658 (-332 |#1|))) (-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -2015 ((-1180 (-658 (-332 |#1|)) (-658 (-310 (-332 |#1|)))) (-310 (-433 (-980 |#1|))) (-1191))) (-15 -2015 ((-1180 (-658 (-332 |#1|)) (-658 (-310 (-332 |#1|)))) (-433 (-980 |#1|)) (-1191)))) (-13 (-323) (-869) (-171))) (T -1146)) 
-((-2015 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-1180 (-658 (-332 *5)) (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) (-2015 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 *5)))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-1180 (-658 (-332 *5)) (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) (-3070 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-332 *5)))) (-5 *1 (-1146 *5)))) (-3070 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-332 *5))) (-5 *1 (-1146 *5)))) (-4142 (*1 *2 *3) (-12 (-5 *3 (-658 (-310 (-433 (-980 *4))))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *4))))) (-5 *1 (-1146 *4)))) (-4142 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-310 (-433 (-980 *5))))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) (-4142 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 *4)))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *4))))) (-5 *1 (-1146 *4)))) (-4142 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) (-4142 (*1 *2 *3) (-12 (-5 *3 (-310 (-433 (-980 *4)))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1146 *4)))) (-4142 (*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 *5)))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1146 *5)))) (-4142 (*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1146 *4)))) (-4142 (*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1146 *5))))) 
-(-10 -7 (-15 -4142 ((-658 (-310 (-332 |#1|))) (-433 (-980 |#1|)) (-1191))) (-15 -4142 ((-658 (-310 (-332 |#1|))) (-433 (-980 |#1|)))) (-15 -4142 ((-658 (-310 (-332 |#1|))) (-310 (-433 (-980 |#1|))) (-1191))) (-15 -4142 ((-658 (-310 (-332 |#1|))) (-310 (-433 (-980 |#1|))))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-433 (-980 |#1|))))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-433 (-980 |#1|)))) (-658 (-1191)))) (-15 -4142 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-433 (-980 |#1|)))))) (-15 -3070 ((-658 (-332 |#1|)) (-433 (-980 |#1|)) (-1191))) (-15 -3070 ((-658 (-658 (-332 |#1|))) (-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -2015 ((-1180 (-658 (-332 |#1|)) (-658 (-310 (-332 |#1|)))) (-310 (-433 (-980 |#1|))) (-1191))) (-15 -2015 ((-1180 (-658 (-332 |#1|)) (-658 (-310 (-332 |#1|)))) (-433 (-980 |#1|)) (-1191)))) 
-((-4011 (((-433 (-1187 (-332 |#1|))) (-1280 (-332 |#1|)) (-433 (-1187 (-332 |#1|))) (-592)) 27)) (-2787 (((-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|)))) 39))) 
-(((-1147 |#1|) (-10 -7 (-15 -2787 ((-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))))) (-15 -4011 ((-433 (-1187 (-332 |#1|))) (-1280 (-332 |#1|)) (-433 (-1187 (-332 |#1|))) (-592)))) (-13 (-582) (-869))) (T -1147)) 
-((-4011 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-433 (-1187 (-332 *5)))) (-5 *3 (-1280 (-332 *5))) (-5 *4 (-592)) (-4 *5 (-13 (-582) (-869))) (-5 *1 (-1147 *5)))) (-2787 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-433 (-1187 (-332 *3)))) (-4 *3 (-13 (-582) (-869))) (-5 *1 (-1147 *3))))) 
-(-10 -7 (-15 -2787 ((-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))) (-433 (-1187 (-332 |#1|))))) (-15 -4011 ((-433 (-1187 (-332 |#1|))) (-1280 (-332 |#1|)) (-433 (-1187 (-332 |#1|))) (-592)))) 
-((-4005 (((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-332 |#1|))) (-658 (-1191))) 216) (((-658 (-310 (-332 |#1|))) (-332 |#1|) (-1191)) 20) (((-658 (-310 (-332 |#1|))) (-310 (-332 |#1|)) (-1191)) 26) (((-658 (-310 (-332 |#1|))) (-310 (-332 |#1|))) 25) (((-658 (-310 (-332 |#1|))) (-332 |#1|)) 21))) 
-(((-1148 |#1|) (-10 -7 (-15 -4005 ((-658 (-310 (-332 |#1|))) (-332 |#1|))) (-15 -4005 ((-658 (-310 (-332 |#1|))) (-310 (-332 |#1|)))) (-15 -4005 ((-658 (-310 (-332 |#1|))) (-310 (-332 |#1|)) (-1191))) (-15 -4005 ((-658 (-310 (-332 |#1|))) (-332 |#1|) (-1191))) (-15 -4005 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-332 |#1|))) (-658 (-1191))))) (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (T -1148)) 
-((-4005 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *5))))) (-5 *1 (-1148 *5)) (-5 *3 (-658 (-310 (-332 *5)))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1148 *5)) (-5 *3 (-332 *5)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1148 *5)) (-5 *3 (-310 (-332 *5))))) (-4005 (*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1148 *4)) (-5 *3 (-310 (-332 *4))))) (-4005 (*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1148 *4)) (-5 *3 (-332 *4))))) 
-(-10 -7 (-15 -4005 ((-658 (-310 (-332 |#1|))) (-332 |#1|))) (-15 -4005 ((-658 (-310 (-332 |#1|))) (-310 (-332 |#1|)))) (-15 -4005 ((-658 (-310 (-332 |#1|))) (-310 (-332 |#1|)) (-1191))) (-15 -4005 ((-658 (-310 (-332 |#1|))) (-332 |#1|) (-1191))) (-15 -4005 ((-658 (-658 (-310 (-332 |#1|)))) (-658 (-310 (-332 |#1|))) (-658 (-1191))))) 
-((-2544 ((|#2| |#2|) 20 (|has| |#1| (-869))) ((|#2| |#2| (-1 (-141) |#1| |#1|)) 16)) (-1375 ((|#2| |#2|) 19 (|has| |#1| (-869))) ((|#2| |#2| (-1 (-141) |#1| |#1|)) 15))) 
-(((-1149 |#1| |#2|) (-10 -7 (-15 -1375 (|#2| |#2| (-1 (-141) |#1| |#1|))) (-15 -2544 (|#2| |#2| (-1 (-141) |#1| |#1|))) (IF (|has| |#1| (-869)) (PROGN (-15 -1375 (|#2| |#2|)) (-15 -2544 (|#2| |#2|))) |noBranch|)) (-1225) (-13 (-625 (-592) |#1|) (-10 -7 (-6 -4625) (-6 -4626)))) (T -1149)) 
-((-2544 (*1 *2 *2) (-12 (-4 *3 (-869)) (-4 *3 (-1225)) (-5 *1 (-1149 *3 *2)) (-4 *2 (-13 (-625 (-592) *3) (-10 -7 (-6 -4625) (-6 -4626)))))) (-1375 (*1 *2 *2) (-12 (-4 *3 (-869)) (-4 *3 (-1225)) (-5 *1 (-1149 *3 *2)) (-4 *2 (-13 (-625 (-592) *3) (-10 -7 (-6 -4625) (-6 -4626)))))) (-2544 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-1149 *4 *2)) (-4 *2 (-13 (-625 (-592) *4) (-10 -7 (-6 -4625) (-6 -4626)))))) (-1375 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-1149 *4 *2)) (-4 *2 (-13 (-625 (-592) *4) (-10 -7 (-6 -4625) (-6 -4626))))))) 
-(-10 -7 (-15 -1375 (|#2| |#2| (-1 (-141) |#1| |#1|))) (-15 -2544 (|#2| |#2| (-1 (-141) |#1| |#1|))) (IF (|has| |#1| (-869)) (PROGN (-15 -1375 (|#2| |#2|)) (-15 -2544 (|#2| |#2|))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-3540 (((-1179 3 |#1|) $) 105)) (-4595 (((-141) $) 72)) (-3449 (($ $ (-658 (-971 |#1|))) 20) (($ $ (-658 (-658 |#1|))) 75) (($ (-658 (-971 |#1|))) 74) (((-658 (-971 |#1|)) $) 73)) (-2048 (((-141) $) 41)) (-1831 (($ $ (-971 |#1|)) 46) (($ $ (-658 |#1|)) 51) (($ $ (-790)) 53) (($ (-971 |#1|)) 47) (((-971 |#1|) $) 45)) (-3284 (((-2 (|:| -2190 (-790)) (|:| |curves| (-790)) (|:| |polygons| (-790)) (|:| |constructs| (-790))) $) 103)) (-2675 (((-790) $) 26)) (-3804 (((-790) $) 25)) (-3443 (($ $ (-790) (-971 |#1|)) 39)) (-3788 (((-141) $) 82)) (-4138 (($ $ (-658 (-658 (-971 |#1|))) (-658 (-193)) (-193)) 89) (($ $ (-658 (-658 (-658 |#1|))) (-658 (-193)) (-193)) 91) (($ $ (-658 (-658 (-971 |#1|))) (-141) (-141)) 85) (($ $ (-658 (-658 (-658 |#1|))) (-141) (-141)) 93) (($ (-658 (-658 (-971 |#1|)))) 86) (($ (-658 (-658 (-971 |#1|))) (-141) (-141)) 87) (((-658 (-658 (-971 |#1|))) $) 84)) (-4491 (($ (-658 $)) 28) (($ $ $) 29)) (-4021 (((-658 (-193)) $) 101)) (-1988 (((-658 (-971 |#1|)) $) 96)) (-1502 (((-658 (-658 (-193))) $) 100)) (-1401 (((-658 (-658 (-658 (-971 |#1|)))) $) NIL)) (-2972 (((-658 (-658 (-658 (-790)))) $) 98)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2946 (((-790) $ (-658 (-971 |#1|))) 37)) (-3141 (((-141) $) 54)) (-2354 (($ $ (-658 (-971 |#1|))) 56) (($ $ (-658 (-658 |#1|))) 62) (($ (-658 (-971 |#1|))) 57) (((-658 (-971 |#1|)) $) 55)) (-4146 (($) 23) (($ (-1179 3 |#1|)) 24)) (-4599 (($ $) 35)) (-1570 (((-658 $) $) 34)) (-1528 (($ (-658 $)) 31)) (-3233 (((-658 $) $) 33)) (-1683 (((-877) $) 109)) (-4093 (((-141) $) 64)) (-2579 (($ $ (-658 (-971 |#1|))) 66) (($ $ (-658 (-658 |#1|))) 69) (($ (-658 (-971 |#1|))) 67) (((-658 (-971 |#1|)) $) 65)) (-3971 (($ $) 104)) (-3255 (((-141) $ $) NIL))) 
-(((-1150 |#1|) (-1151 |#1|) (-1075)) (T -1150)) 
-NIL 
-(-1151 |#1|) 
-((-1641 (((-141) $ $) 7)) (-3540 (((-1179 3 |#1|) $) 12)) (-4595 (((-141) $) 28)) (-3449 (($ $ (-658 (-971 |#1|))) 32) (($ $ (-658 (-658 |#1|))) 31) (($ (-658 (-971 |#1|))) 30) (((-658 (-971 |#1|)) $) 29)) (-2048 (((-141) $) 43)) (-1831 (($ $ (-971 |#1|)) 48) (($ $ (-658 |#1|)) 47) (($ $ (-790)) 46) (($ (-971 |#1|)) 45) (((-971 |#1|) $) 44)) (-3284 (((-2 (|:| -2190 (-790)) (|:| |curves| (-790)) (|:| |polygons| (-790)) (|:| |constructs| (-790))) $) 14)) (-2675 (((-790) $) 57)) (-3804 (((-790) $) 58)) (-3443 (($ $ (-790) (-971 |#1|)) 49)) (-3788 (((-141) $) 20)) (-4138 (($ $ (-658 (-658 (-971 |#1|))) (-658 (-193)) (-193)) 27) (($ $ (-658 (-658 (-658 |#1|))) (-658 (-193)) (-193)) 26) (($ $ (-658 (-658 (-971 |#1|))) (-141) (-141)) 25) (($ $ (-658 (-658 (-658 |#1|))) (-141) (-141)) 24) (($ (-658 (-658 (-971 |#1|)))) 23) (($ (-658 (-658 (-971 |#1|))) (-141) (-141)) 22) (((-658 (-658 (-971 |#1|))) $) 21)) (-4491 (($ (-658 $)) 56) (($ $ $) 55)) (-4021 (((-658 (-193)) $) 15)) (-1988 (((-658 (-971 |#1|)) $) 19)) (-1502 (((-658 (-658 (-193))) $) 16)) (-1401 (((-658 (-658 (-658 (-971 |#1|)))) $) 17)) (-2972 (((-658 (-658 (-658 (-790)))) $) 18)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2946 (((-790) $ (-658 (-971 |#1|))) 50)) (-3141 (((-141) $) 38)) (-2354 (($ $ (-658 (-971 |#1|))) 42) (($ $ (-658 (-658 |#1|))) 41) (($ (-658 (-971 |#1|))) 40) (((-658 (-971 |#1|)) $) 39)) (-4146 (($) 60) (($ (-1179 3 |#1|)) 59)) (-4599 (($ $) 51)) (-1570 (((-658 $) $) 52)) (-1528 (($ (-658 $)) 54)) (-3233 (((-658 $) $) 53)) (-1683 (((-877) $) 11)) (-4093 (((-141) $) 33)) (-2579 (($ $ (-658 (-971 |#1|))) 37) (($ $ (-658 (-658 |#1|))) 36) (($ (-658 (-971 |#1|))) 35) (((-658 (-971 |#1|)) $) 34)) (-3971 (($ $) 13)) (-3255 (((-141) $ $) 6))) 
-(((-1151 |#1|) (-1311) (-1075)) (T -1151)) 
-((-1683 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-877)))) (-4146 (*1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075)))) (-4146 (*1 *1 *2) (-12 (-5 *2 (-1179 3 *3)) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) (-3804 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) (-2675 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) (-4491 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-4491 (*1 *1 *1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075)))) (-1528 (*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-3233 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-658 *1)) (-4 *1 (-1151 *3)))) (-1570 (*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-658 *1)) (-4 *1 (-1151 *3)))) (-4599 (*1 *1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075)))) (-2946 (*1 *2 *1 *3) (-12 (-5 *3 (-658 (-971 *4))) (-4 *1 (-1151 *4)) (-4 *4 (-1075)) (-5 *2 (-790)))) (-3443 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-971 *4)) (-4 *1 (-1151 *4)) (-4 *4 (-1075)))) (-1831 (*1 *1 *1 *2) (-12 (-5 *2 (-971 *3)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-1831 (*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-1831 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-1831 (*1 *1 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) (-1831 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-971 *3)))) (-2048 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141)))) (-2354 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-2354 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-2354 (*1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) (-2354 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) (-3141 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141)))) (-2579 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-2579 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-2579 (*1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) (-2579 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) (-4093 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141)))) (-3449 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-3449 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) (-3449 (*1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) (-3449 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) (-4595 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141)))) (-4138 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-658 (-971 *5)))) (-5 *3 (-658 (-193))) (-5 *4 (-193)) (-4 *1 (-1151 *5)) (-4 *5 (-1075)))) (-4138 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-658 (-658 *5)))) (-5 *3 (-658 (-193))) (-5 *4 (-193)) (-4 *1 (-1151 *5)) (-4 *5 (-1075)))) (-4138 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-658 (-971 *4)))) (-5 *3 (-141)) (-4 *1 (-1151 *4)) (-4 *4 (-1075)))) (-4138 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-658 (-658 *4)))) (-5 *3 (-141)) (-4 *1 (-1151 *4)) (-4 *4 (-1075)))) (-4138 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-971 *3)))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) (-4138 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-658 (-971 *4)))) (-5 *3 (-141)) (-4 *4 (-1075)) (-4 *1 (-1151 *4)))) (-4138 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-971 *3)))))) (-3788 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141)))) (-1988 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) (-2972 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-658 (-790))))))) (-1401 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-658 (-971 *3))))))) (-1502 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-193)))))) (-4021 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-193))))) (-3284 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2190 (-790)) (|:| |curves| (-790)) (|:| |polygons| (-790)) (|:| |constructs| (-790)))))) (-3971 (*1 *1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075)))) (-3540 (*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-1179 3 *3))))) 
-(-13 (-1119) (-10 -8 (-15 -4146 ($)) (-15 -4146 ($ (-1179 3 |t#1|))) (-15 -3804 ((-790) $)) (-15 -2675 ((-790) $)) (-15 -4491 ($ (-658 $))) (-15 -4491 ($ $ $)) (-15 -1528 ($ (-658 $))) (-15 -3233 ((-658 $) $)) (-15 -1570 ((-658 $) $)) (-15 -4599 ($ $)) (-15 -2946 ((-790) $ (-658 (-971 |t#1|)))) (-15 -3443 ($ $ (-790) (-971 |t#1|))) (-15 -1831 ($ $ (-971 |t#1|))) (-15 -1831 ($ $ (-658 |t#1|))) (-15 -1831 ($ $ (-790))) (-15 -1831 ($ (-971 |t#1|))) (-15 -1831 ((-971 |t#1|) $)) (-15 -2048 ((-141) $)) (-15 -2354 ($ $ (-658 (-971 |t#1|)))) (-15 -2354 ($ $ (-658 (-658 |t#1|)))) (-15 -2354 ($ (-658 (-971 |t#1|)))) (-15 -2354 ((-658 (-971 |t#1|)) $)) (-15 -3141 ((-141) $)) (-15 -2579 ($ $ (-658 (-971 |t#1|)))) (-15 -2579 ($ $ (-658 (-658 |t#1|)))) (-15 -2579 ($ (-658 (-971 |t#1|)))) (-15 -2579 ((-658 (-971 |t#1|)) $)) (-15 -4093 ((-141) $)) (-15 -3449 ($ $ (-658 (-971 |t#1|)))) (-15 -3449 ($ $ (-658 (-658 |t#1|)))) (-15 -3449 ($ (-658 (-971 |t#1|)))) (-15 -3449 ((-658 (-971 |t#1|)) $)) (-15 -4595 ((-141) $)) (-15 -4138 ($ $ (-658 (-658 (-971 |t#1|))) (-658 (-193)) (-193))) (-15 -4138 ($ $ (-658 (-658 (-658 |t#1|))) (-658 (-193)) (-193))) (-15 -4138 ($ $ (-658 (-658 (-971 |t#1|))) (-141) (-141))) (-15 -4138 ($ $ (-658 (-658 (-658 |t#1|))) (-141) (-141))) (-15 -4138 ($ (-658 (-658 (-971 |t#1|))))) (-15 -4138 ($ (-658 (-658 (-971 |t#1|))) (-141) (-141))) (-15 -4138 ((-658 (-658 (-971 |t#1|))) $)) (-15 -3788 ((-141) $)) (-15 -1988 ((-658 (-971 |t#1|)) $)) (-15 -2972 ((-658 (-658 (-658 (-790)))) $)) (-15 -1401 ((-658 (-658 (-658 (-971 |t#1|)))) $)) (-15 -1502 ((-658 (-658 (-193))) $)) (-15 -4021 ((-658 (-193)) $)) (-15 -3284 ((-2 (|:| -2190 (-790)) (|:| |curves| (-790)) (|:| |polygons| (-790)) (|:| |constructs| (-790))) $)) (-15 -3971 ($ $)) (-15 -3540 ((-1179 3 |t#1|) $)) (-15 -1683 ((-877) $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-1969 (((-1285) (-658 (-877))) 23) (((-1285) (-877)) 22)) (-3574 (((-1285) (-658 (-877))) 21) (((-1285) (-877)) 20)) (-3592 (((-1285) (-658 (-877))) 19) (((-1285) (-877)) 11) (((-1285) (-1173) (-877)) 17))) 
-(((-1152) (-10 -7 (-15 -3592 ((-1285) (-1173) (-877))) (-15 -3592 ((-1285) (-877))) (-15 -3574 ((-1285) (-877))) (-15 -1969 ((-1285) (-877))) (-15 -3592 ((-1285) (-658 (-877)))) (-15 -3574 ((-1285) (-658 (-877)))) (-15 -1969 ((-1285) (-658 (-877)))))) (T -1152)) 
-((-1969 (*1 *2 *3) (-12 (-5 *3 (-658 (-877))) (-5 *2 (-1285)) (-5 *1 (-1152)))) (-3574 (*1 *2 *3) (-12 (-5 *3 (-658 (-877))) (-5 *2 (-1285)) (-5 *1 (-1152)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-658 (-877))) (-5 *2 (-1285)) (-5 *1 (-1152)))) (-1969 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) (-3574 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) (-3592 (*1 *2 *3 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152))))) 
-(-10 -7 (-15 -3592 ((-1285) (-1173) (-877))) (-15 -3592 ((-1285) (-877))) (-15 -3574 ((-1285) (-877))) (-15 -1969 ((-1285) (-877))) (-15 -3592 ((-1285) (-658 (-877)))) (-15 -3574 ((-1285) (-658 (-877)))) (-15 -1969 ((-1285) (-658 (-877))))) 
-((-4018 (($ $ $) 10)) (-2002 (($ $) 9)) (-2280 (($ $ $) 13)) (-2500 (($ $ $) 15)) (-3468 (($ $ $) 12)) (-2894 (($ $ $) 14)) (-2156 (($ $) 17)) (-3132 (($ $) 16)) (-1392 (($ $) 6)) (-2348 (($ $ $) 11) (($ $) 7)) (-2170 (($ $ $) 8))) 
-(((-1153) (-1311)) (T -1153)) 
-((-2156 (*1 *1 *1) (-4 *1 (-1153))) (-3132 (*1 *1 *1) (-4 *1 (-1153))) (-2500 (*1 *1 *1 *1) (-4 *1 (-1153))) (-2894 (*1 *1 *1 *1) (-4 *1 (-1153))) (-2280 (*1 *1 *1 *1) (-4 *1 (-1153))) (-3468 (*1 *1 *1 *1) (-4 *1 (-1153))) (-2348 (*1 *1 *1 *1) (-4 *1 (-1153))) (-4018 (*1 *1 *1 *1) (-4 *1 (-1153))) (-2002 (*1 *1 *1) (-4 *1 (-1153))) (-2170 (*1 *1 *1 *1) (-4 *1 (-1153))) (-2348 (*1 *1 *1) (-4 *1 (-1153))) (-1392 (*1 *1 *1) (-4 *1 (-1153)))) 
-(-13 (-10 -8 (-15 -1392 ($ $)) (-15 -2348 ($ $)) (-15 -2170 ($ $ $)) (-15 -2002 ($ $)) (-15 -4018 ($ $ $)) (-15 -2348 ($ $ $)) (-15 -3468 ($ $ $)) (-15 -2280 ($ $ $)) (-15 -2894 ($ $ $)) (-15 -2500 ($ $ $)) (-15 -3132 ($ $)) (-15 -2156 ($ $)))) 
-((-1641 (((-141) $ $) 41)) (-2324 ((|#1| $) 15)) (-2412 (((-141) $ $ (-1 (-141) |#2| |#2|)) 36)) (-4499 (((-141) $) 17)) (-3050 (($ $ |#1|) 28)) (-4235 (($ $ (-141)) 30)) (-1912 (($ $) 31)) (-2250 (($ $ |#2|) 29)) (-2685 (((-1173) $) NIL)) (-4145 (((-141) $ $ (-1 (-141) |#1| |#1|) (-1 (-141) |#2| |#2|)) 35)) (-2951 (((-1137) $) NIL)) (-2943 (((-141) $) 14)) (-2890 (($) 10)) (-4599 (($ $) 27)) (-4466 (($ |#1| |#2| (-141)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -2165 |#2|))) 21) (((-658 $) (-658 (-2 (|:| |val| |#1|) (|:| -2165 |#2|)))) 24) (((-658 $) |#1| (-658 |#2|)) 26)) (-2847 ((|#2| $) 16)) (-1683 (((-877) $) 50)) (-3255 (((-141) $ $) 39))) 
-(((-1154 |#1| |#2|) (-13 (-1119) (-10 -8 (-15 -2890 ($)) (-15 -2943 ((-141) $)) (-15 -2324 (|#1| $)) (-15 -2847 (|#2| $)) (-15 -4499 ((-141) $)) (-15 -4466 ($ |#1| |#2| (-141))) (-15 -4466 ($ |#1| |#2|)) (-15 -4466 ($ (-2 (|:| |val| |#1|) (|:| -2165 |#2|)))) (-15 -4466 ((-658 $) (-658 (-2 (|:| |val| |#1|) (|:| -2165 |#2|))))) (-15 -4466 ((-658 $) |#1| (-658 |#2|))) (-15 -4599 ($ $)) (-15 -3050 ($ $ |#1|)) (-15 -2250 ($ $ |#2|)) (-15 -4235 ($ $ (-141))) (-15 -1912 ($ $)) (-15 -4145 ((-141) $ $ (-1 (-141) |#1| |#1|) (-1 (-141) |#2| |#2|))) (-15 -2412 ((-141) $ $ (-1 (-141) |#2| |#2|))))) (-13 (-1119) (-39)) (-13 (-1119) (-39))) (T -1154)) 
-((-2890 (*1 *1) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))))) (-2324 (*1 *2 *1) (-12 (-4 *2 (-13 (-1119) (-39))) (-5 *1 (-1154 *2 *3)) (-4 *3 (-13 (-1119) (-39))))) (-2847 (*1 *2 *1) (-12 (-4 *2 (-13 (-1119) (-39))) (-5 *1 (-1154 *3 *2)) (-4 *3 (-13 (-1119) (-39))))) (-4499 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))))) (-4466 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-141)) (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-4466 (*1 *1 *2 *3) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-4466 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -2165 *4))) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1154 *3 *4)))) (-4466 (*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |val| *4) (|:| -2165 *5)))) (-4 *4 (-13 (-1119) (-39))) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-658 (-1154 *4 *5))) (-5 *1 (-1154 *4 *5)))) (-4466 (*1 *2 *3 *4) (-12 (-5 *4 (-658 *5)) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-658 (-1154 *3 *5))) (-5 *1 (-1154 *3 *5)) (-4 *3 (-13 (-1119) (-39))))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-3050 (*1 *1 *1 *2) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-2250 (*1 *1 *1 *2) (-12 (-5 *1 (-1154 *3 *2)) (-4 *3 (-13 (-1119) (-39))) (-4 *2 (-13 (-1119) (-39))))) (-4235 (*1 *1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))))) (-1912 (*1 *1 *1) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-4145 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-141) *5 *5)) (-5 *4 (-1 (-141) *6 *6)) (-4 *5 (-13 (-1119) (-39))) (-4 *6 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1154 *5 *6)))) (-2412 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-141) *5 *5)) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1154 *4 *5)) (-4 *4 (-13 (-1119) (-39)))))) 
-(-13 (-1119) (-10 -8 (-15 -2890 ($)) (-15 -2943 ((-141) $)) (-15 -2324 (|#1| $)) (-15 -2847 (|#2| $)) (-15 -4499 ((-141) $)) (-15 -4466 ($ |#1| |#2| (-141))) (-15 -4466 ($ |#1| |#2|)) (-15 -4466 ($ (-2 (|:| |val| |#1|) (|:| -2165 |#2|)))) (-15 -4466 ((-658 $) (-658 (-2 (|:| |val| |#1|) (|:| -2165 |#2|))))) (-15 -4466 ((-658 $) |#1| (-658 |#2|))) (-15 -4599 ($ $)) (-15 -3050 ($ $ |#1|)) (-15 -2250 ($ $ |#2|)) (-15 -4235 ($ $ (-141))) (-15 -1912 ($ $)) (-15 -4145 ((-141) $ $ (-1 (-141) |#1| |#1|) (-1 (-141) |#2| |#2|))) (-15 -2412 ((-141) $ $ (-1 (-141) |#2| |#2|))))) 
-((-1641 (((-141) $ $) NIL (|has| (-1154 |#1| |#2|) (-1119)))) (-2324 (((-1154 |#1| |#2|) $) 25)) (-1839 (($ $) 75)) (-4167 (((-141) (-1154 |#1| |#2|) $ (-1 (-141) |#2| |#2|)) 84)) (-3324 (($ $ $ (-658 (-1154 |#1| |#2|))) 89) (($ $ $ (-658 (-1154 |#1| |#2|)) (-1 (-141) |#2| |#2|)) 90)) (-2126 (((-141) $ (-790)) NIL)) (-3047 (((-1154 |#1| |#2|) $ (-1154 |#1| |#2|)) 42 (|has| $ (-6 -4626)))) (-3932 (((-1154 |#1| |#2|) $ "value" (-1154 |#1| |#2|)) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 40 (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-3080 (((-658 (-2 (|:| |val| |#1|) (|:| -2165 |#2|))) $) 79)) (-4065 (($ (-1154 |#1| |#2|) $) 38)) (-4459 (($ (-1154 |#1| |#2|) $) 30)) (-4004 (((-658 (-1154 |#1| |#2|)) $) NIL (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 50)) (-4276 (((-141) (-1154 |#1| |#2|) $) 81)) (-3055 (((-141) $ $) NIL (|has| (-1154 |#1| |#2|) (-1119)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 (-1154 |#1| |#2|)) $) 54 (|has| $ (-6 -4625)))) (-3133 (((-141) (-1154 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-1154 |#1| |#2|) (-1119))))) (-3987 (($ (-1 (-1154 |#1| |#2|) (-1154 |#1| |#2|)) $) 46 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-1154 |#1| |#2|) (-1154 |#1| |#2|)) $) 45)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 (-1154 |#1| |#2|)) $) 52)) (-3683 (((-141) $) 41)) (-2685 (((-1173) $) NIL (|has| (-1154 |#1| |#2|) (-1119)))) (-2951 (((-1137) $) NIL (|has| (-1154 |#1| |#2|) (-1119)))) (-3079 (((-3 $ "failed") $) 74)) (-3002 (((-141) (-1 (-141) (-1154 |#1| |#2|)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-1154 |#1| |#2|)))) NIL (-12 (|has| (-1154 |#1| |#2|) (-325 (-1154 |#1| |#2|))) (|has| (-1154 |#1| |#2|) (-1119)))) (($ $ (-310 (-1154 |#1| |#2|))) NIL (-12 (|has| (-1154 |#1| |#2|) (-325 (-1154 |#1| |#2|))) (|has| (-1154 |#1| |#2|) (-1119)))) (($ $ (-1154 |#1| |#2|) (-1154 |#1| |#2|)) NIL (-12 (|has| (-1154 |#1| |#2|) (-325 (-1154 |#1| |#2|))) (|has| (-1154 |#1| |#2|) (-1119)))) (($ $ (-658 (-1154 |#1| |#2|)) (-658 (-1154 |#1| |#2|))) NIL (-12 (|has| (-1154 |#1| |#2|) (-325 (-1154 |#1| |#2|))) (|has| (-1154 |#1| |#2|) (-1119))))) (-1724 (((-141) $ $) 49)) (-2943 (((-141) $) 22)) (-2890 (($) 24)) (-3927 (((-1154 |#1| |#2|) $ "value") NIL)) (-2920 (((-592) $ $) NIL)) (-3228 (((-141) $) 43)) (-3452 (((-790) (-1 (-141) (-1154 |#1| |#2|)) $) NIL (|has| $ (-6 -4625))) (((-790) (-1154 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-1154 |#1| |#2|) (-1119))))) (-4599 (($ $) 48)) (-4466 (($ (-1154 |#1| |#2|)) 9) (($ |#1| |#2| (-658 $)) 12) (($ |#1| |#2| (-658 (-1154 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-658 |#2|)) 17)) (-4203 (((-658 |#2|) $) 80)) (-1683 (((-877) $) 72 (|has| (-1154 |#1| |#2|) (-1119)))) (-2493 (((-658 $) $) 28)) (-2936 (((-141) $ $) NIL (|has| (-1154 |#1| |#2|) (-1119)))) (-3369 (((-141) (-1 (-141) (-1154 |#1| |#2|)) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 63 (|has| (-1154 |#1| |#2|) (-1119)))) (-1699 (((-790) $) 57 (|has| $ (-6 -4625))))) 
-(((-1155 |#1| |#2|) (-13 (-1038 (-1154 |#1| |#2|)) (-10 -8 (-6 -4626) (-6 -4625) (-15 -3079 ((-3 $ "failed") $)) (-15 -1839 ($ $)) (-15 -4466 ($ (-1154 |#1| |#2|))) (-15 -4466 ($ |#1| |#2| (-658 $))) (-15 -4466 ($ |#1| |#2| (-658 (-1154 |#1| |#2|)))) (-15 -4466 ($ |#1| |#2| |#1| (-658 |#2|))) (-15 -4203 ((-658 |#2|) $)) (-15 -3080 ((-658 (-2 (|:| |val| |#1|) (|:| -2165 |#2|))) $)) (-15 -4276 ((-141) (-1154 |#1| |#2|) $)) (-15 -4167 ((-141) (-1154 |#1| |#2|) $ (-1 (-141) |#2| |#2|))) (-15 -4459 ($ (-1154 |#1| |#2|) $)) (-15 -4065 ($ (-1154 |#1| |#2|) $)) (-15 -3324 ($ $ $ (-658 (-1154 |#1| |#2|)))) (-15 -3324 ($ $ $ (-658 (-1154 |#1| |#2|)) (-1 (-141) |#2| |#2|))))) (-13 (-1119) (-39)) (-13 (-1119) (-39))) (T -1155)) 
-((-3079 (*1 *1 *1) (|partial| -12 (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-1839 (*1 *1 *1) (-12 (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-4466 (*1 *1 *2) (-12 (-5 *2 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4)))) (-4466 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-658 (-1155 *2 *3))) (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) (-4466 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-658 (-1154 *2 *3))) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))) (-5 *1 (-1155 *2 *3)))) (-4466 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-13 (-1119) (-39))) (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))))) (-4203 (*1 *2 *1) (-12 (-5 *2 (-658 *4)) (-5 *1 (-1155 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))))) (-3080 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1155 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))))) (-4276 (*1 *2 *3 *1) (-12 (-5 *3 (-1154 *4 *5)) (-4 *4 (-13 (-1119) (-39))) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1155 *4 *5)))) (-4167 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1154 *5 *6)) (-5 *4 (-1 (-141) *6 *6)) (-4 *5 (-13 (-1119) (-39))) (-4 *6 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1155 *5 *6)))) (-4459 (*1 *1 *2 *1) (-12 (-5 *2 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4)))) (-4065 (*1 *1 *2 *1) (-12 (-5 *2 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4)))) (-3324 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-658 (-1154 *3 *4))) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4)))) (-3324 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1154 *4 *5))) (-5 *3 (-1 (-141) *5 *5)) (-4 *4 (-13 (-1119) (-39))) (-4 *5 (-13 (-1119) (-39))) (-5 *1 (-1155 *4 *5))))) 
-(-13 (-1038 (-1154 |#1| |#2|)) (-10 -8 (-6 -4626) (-6 -4625) (-15 -3079 ((-3 $ "failed") $)) (-15 -1839 ($ $)) (-15 -4466 ($ (-1154 |#1| |#2|))) (-15 -4466 ($ |#1| |#2| (-658 $))) (-15 -4466 ($ |#1| |#2| (-658 (-1154 |#1| |#2|)))) (-15 -4466 ($ |#1| |#2| |#1| (-658 |#2|))) (-15 -4203 ((-658 |#2|) $)) (-15 -3080 ((-658 (-2 (|:| |val| |#1|) (|:| -2165 |#2|))) $)) (-15 -4276 ((-141) (-1154 |#1| |#2|) $)) (-15 -4167 ((-141) (-1154 |#1| |#2|) $ (-1 (-141) |#2| |#2|))) (-15 -4459 ($ (-1154 |#1| |#2|) $)) (-15 -4065 ($ (-1154 |#1| |#2|) $)) (-15 -3324 ($ $ $ (-658 (-1154 |#1| |#2|)))) (-15 -3324 ($ $ $ (-658 (-1154 |#1| |#2|)) (-1 (-141) |#2| |#2|))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2245 (($ $) NIL)) (-4529 ((|#2| $) NIL)) (-4034 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3083 (($ (-706 |#2|)) 45)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3223 (($ |#2|) 9)) (-3001 (($) NIL T CONST)) (-3052 (($ $) 58 (|has| |#2| (-323)))) (-2747 (((-254 |#1| |#2|) $ (-592)) 31)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 |#2| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) ((|#2| $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) 72)) (-4175 (((-790) $) 60 (|has| |#2| (-582)))) (-3959 ((|#2| $ (-592) (-592)) NIL)) (-4004 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3558 (((-141) $) NIL)) (-3178 (((-790) $) 62 (|has| |#2| (-582)))) (-3555 (((-658 (-254 |#1| |#2|)) $) 66 (|has| |#2| (-582)))) (-4292 (((-790) $) NIL)) (-4298 (((-790) $) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-3781 ((|#2| $) 56 (|has| |#2| (-6 (-4627 "*"))))) (-4577 (((-592) $) NIL)) (-4280 (((-592) $) NIL)) (-4467 (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1898 (((-592) $) NIL)) (-3005 (((-592) $) NIL)) (-4186 (($ (-658 (-658 |#2|))) 26)) (-3987 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-4601 (((-658 (-658 |#2|)) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-3183 (((-3 $ "failed") $) 69 (|has| |#2| (-388)))) (-2951 (((-1137) $) NIL)) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582)))) (-3002 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ (-592) (-592) |#2|) NIL) ((|#2| $ (-592) (-592)) NIL)) (-3644 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $) NIL (|has| |#2| (-247)))) (-2236 ((|#2| $) NIL)) (-2933 (($ (-658 |#2|)) 40)) (-2940 (((-141) $) NIL)) (-1332 (((-254 |#1| |#2|) $) NIL)) (-1625 ((|#2| $) 54 (|has| |#2| (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4599 (($ $) NIL)) (-1778 (((-565) $) 81 (|has| |#2| (-633 (-565))))) (-2000 (((-254 |#1| |#2|) $ (-592)) 33)) (-1683 (((-877) $) 36) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#2| (-1065 (-433 (-592))))) (($ |#2|) NIL) (((-706 |#2|) $) 42)) (-4010 (((-790)) 17)) (-3369 (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 11 T CONST)) (-4257 (($) 14 T CONST)) (-1940 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-790)) NIL (|has| |#2| (-247))) (($ $) NIL (|has| |#2| (-247)))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) 52) (($ $ (-592)) 71 (|has| |#2| (-388)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-254 |#1| |#2|) $ (-254 |#1| |#2|)) 48) (((-254 |#1| |#2|) (-254 |#1| |#2|) $) 50)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1156 |#1| |#2|) (-13 (-1140 |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) (-632 (-706 |#2|)) (-10 -8 (-15 -2245 ($ $)) (-15 -3083 ($ (-706 |#2|))) (-15 -1683 ((-706 |#2|) $)) (IF (|has| |#2| (-6 (-4627 "*"))) (-6 -4614) |noBranch|) (IF (|has| |#2| (-6 (-4627 "*"))) (IF (|has| |#2| (-6 -4622)) (-6 -4622) |noBranch|) |noBranch|) (IF (|has| |#2| (-633 (-565))) (-6 (-633 (-565))) |noBranch|))) (-790) (-1075)) (T -1156)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-706 *4)) (-5 *1 (-1156 *3 *4)) (-14 *3 (-790)) (-4 *4 (-1075)))) (-2245 (*1 *1 *1) (-12 (-5 *1 (-1156 *2 *3)) (-14 *2 (-790)) (-4 *3 (-1075)))) (-3083 (*1 *1 *2) (-12 (-5 *2 (-706 *4)) (-4 *4 (-1075)) (-5 *1 (-1156 *3 *4)) (-14 *3 (-790))))) 
-(-13 (-1140 |#1| |#2| (-254 |#1| |#2|) (-254 |#1| |#2|)) (-632 (-706 |#2|)) (-10 -8 (-15 -2245 ($ $)) (-15 -3083 ($ (-706 |#2|))) (-15 -1683 ((-706 |#2|) $)) (IF (|has| |#2| (-6 (-4627 "*"))) (-6 -4614) |noBranch|) (IF (|has| |#2| (-6 (-4627 "*"))) (IF (|has| |#2| (-6 -4622)) (-6 -4622) |noBranch|) |noBranch|) (IF (|has| |#2| (-633 (-565))) (-6 (-633 (-565))) |noBranch|))) 
-((-3777 (($ $) 19)) (-2874 (($ $ (-168)) 10) (($ $ (-163)) 14)) (-3379 (((-141) $ $) 24)) (-1633 (($ $) 17)) (-3927 (((-168) $ (-592) (-168)) NIL) (((-168) $ (-592)) NIL) (($ $ (-1246 (-592))) NIL) (($ $ $) 29)) (-1683 (($ (-168)) 27) (((-877) $) NIL))) 
-(((-1157 |#1|) (-10 -8 (-15 -1683 ((-877) |#1|)) (-15 -3927 (|#1| |#1| |#1|)) (-15 -2874 (|#1| |#1| (-163))) (-15 -2874 (|#1| |#1| (-168))) (-15 -1683 (|#1| (-168))) (-15 -3379 ((-141) |#1| |#1|)) (-15 -3777 (|#1| |#1|)) (-15 -1633 (|#1| |#1|)) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -3927 ((-168) |#1| (-592))) (-15 -3927 ((-168) |#1| (-592) (-168)))) (-1158)) (T -1157)) 
-NIL 
-(-10 -8 (-15 -1683 ((-877) |#1|)) (-15 -3927 (|#1| |#1| |#1|)) (-15 -2874 (|#1| |#1| (-163))) (-15 -2874 (|#1| |#1| (-168))) (-15 -1683 (|#1| (-168))) (-15 -3379 ((-141) |#1| |#1|)) (-15 -3777 (|#1| |#1|)) (-15 -1633 (|#1| |#1|)) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -3927 ((-168) |#1| (-592))) (-15 -3927 ((-168) |#1| (-592) (-168)))) 
-((-1641 (((-141) $ $) 18 (|has| (-168) (-1119)))) (-3202 (($ $) 113)) (-3777 (($ $) 114)) (-2874 (($ $ (-168)) 101) (($ $ (-163)) 100)) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-3326 (((-141) $ $) 111)) (-3288 (((-141) $ $ (-592)) 110)) (-1356 (((-658 $) $ (-168)) 103) (((-658 $) $ (-163)) 102)) (-4076 (((-141) (-1 (-141) (-168) (-168)) $) 91) (((-141) $) 85 (|has| (-168) (-869)))) (-2831 (($ (-1 (-141) (-168) (-168)) $) 82 (|has| $ (-6 -4626))) (($ $) 81 (-12 (|has| (-168) (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) (-168) (-168)) $) 92) (($ $) 86 (|has| (-168) (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3932 (((-168) $ (-592) (-168)) 49 (|has| $ (-6 -4626))) (((-168) $ (-1246 (-592)) (-168)) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-168)) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-4447 (($ $ (-168)) 97) (($ $ (-163)) 96)) (-2512 (($ $) 83 (|has| $ (-6 -4626)))) (-1373 (($ $) 93)) (-2262 (($ $ (-1246 (-592)) $) 107)) (-1360 (($ $) 73 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ (-168) $) 72 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) (-168)) $) 69 (|has| $ (-6 -4625)))) (-3657 (((-168) (-1 (-168) (-168) (-168)) $ (-168) (-168)) 71 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625)))) (((-168) (-1 (-168) (-168) (-168)) $ (-168)) 68 (|has| $ (-6 -4625))) (((-168) (-1 (-168) (-168) (-168)) $) 67 (|has| $ (-6 -4625)))) (-1426 (((-168) $ (-592) (-168)) 50 (|has| $ (-6 -4626)))) (-3959 (((-168) $ (-592)) 48)) (-3379 (((-141) $ $) 112)) (-1721 (((-592) (-1 (-141) (-168)) $) 90) (((-592) (-168) $) 89 (|has| (-168) (-1119))) (((-592) (-168) $ (-592)) 88 (|has| (-168) (-1119))) (((-592) $ $ (-592)) 106) (((-592) (-163) $ (-592)) 105)) (-4004 (((-658 (-168)) $) 30 (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-168)) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 80 (|has| (-168) (-869)))) (-4491 (($ (-1 (-141) (-168) (-168)) $ $) 94) (($ $ $) 87 (|has| (-168) (-869)))) (-4467 (((-658 (-168)) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) (-168) $) 27 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 79 (|has| (-168) (-869)))) (-3614 (((-141) $ $ (-168)) 108)) (-1600 (((-790) $ $ (-168)) 109)) (-3987 (($ (-1 (-168) (-168)) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-168) (-168)) $) 35) (($ (-1 (-168) (-168) (-168)) $ $) 59)) (-2200 (($ $) 115)) (-1633 (($ $) 116)) (-2554 (((-141) $ (-790)) 10)) (-2999 (($ $ (-168)) 99) (($ $ (-163)) 98)) (-2685 (((-1173) $) 22 (|has| (-168) (-1119)))) (-3666 (($ (-168) $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| (-168) (-1119)))) (-1918 (((-168) $) 39 (|has| (-592) (-869)))) (-4050 (((-3 (-168) "failed") (-1 (-141) (-168)) $) 66)) (-1892 (($ $ (-168)) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-168)) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-168)))) 26 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-310 (-168))) 25 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-168) (-168)) 24 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-658 (-168)) (-658 (-168))) 23 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) (-168) $) 42 (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4210 (((-658 (-168)) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 (((-168) $ (-592) (-168)) 47) (((-168) $ (-592)) 46) (($ $ (-1246 (-592))) 58) (($ $ $) 95)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-3452 (((-790) (-1 (-141) (-168)) $) 31 (|has| $ (-6 -4625))) (((-790) (-168) $) 28 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 84 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| (-168) (-633 (-565))))) (-4466 (($ (-658 (-168))) 65)) (-2266 (($ $ (-168)) 63) (($ (-168) $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (($ (-168)) 104) (((-877) $) 20 (|has| (-168) (-1119)))) (-3369 (((-141) (-1 (-141) (-168)) $) 33 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 77 (|has| (-168) (-869)))) (-3273 (((-141) $ $) 76 (|has| (-168) (-869)))) (-3255 (((-141) $ $) 19 (|has| (-168) (-1119)))) (-3279 (((-141) $ $) 78 (|has| (-168) (-869)))) (-3266 (((-141) $ $) 75 (|has| (-168) (-869)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1158) (-1311)) (T -1158)) 
-((-1633 (*1 *1 *1) (-4 *1 (-1158))) (-2200 (*1 *1 *1) (-4 *1 (-1158))) (-3777 (*1 *1 *1) (-4 *1 (-1158))) (-3202 (*1 *1 *1) (-4 *1 (-1158))) (-3379 (*1 *2 *1 *1) (-12 (-4 *1 (-1158)) (-5 *2 (-141)))) (-3326 (*1 *2 *1 *1) (-12 (-4 *1 (-1158)) (-5 *2 (-141)))) (-3288 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1158)) (-5 *3 (-592)) (-5 *2 (-141)))) (-1600 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1158)) (-5 *3 (-168)) (-5 *2 (-790)))) (-3614 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1158)) (-5 *3 (-168)) (-5 *2 (-141)))) (-2262 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1158)) (-5 *2 (-1246 (-592))))) (-1721 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-592)))) (-1721 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-592)) (-5 *3 (-163)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-168)) (-4 *1 (-1158)))) (-1356 (*1 *2 *1 *3) (-12 (-5 *3 (-168)) (-5 *2 (-658 *1)) (-4 *1 (-1158)))) (-1356 (*1 *2 *1 *3) (-12 (-5 *3 (-163)) (-5 *2 (-658 *1)) (-4 *1 (-1158)))) (-2874 (*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-168)))) (-2874 (*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-163)))) (-2999 (*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-168)))) (-2999 (*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-163)))) (-4447 (*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-168)))) (-4447 (*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-163)))) (-3927 (*1 *1 *1 *1) (-4 *1 (-1158)))) 
-(-13 (-19 (-168)) (-10 -8 (-15 -1633 ($ $)) (-15 -2200 ($ $)) (-15 -3777 ($ $)) (-15 -3202 ($ $)) (-15 -3379 ((-141) $ $)) (-15 -3326 ((-141) $ $)) (-15 -3288 ((-141) $ $ (-592))) (-15 -1600 ((-790) $ $ (-168))) (-15 -3614 ((-141) $ $ (-168))) (-15 -2262 ($ $ (-1246 (-592)) $)) (-15 -1721 ((-592) $ $ (-592))) (-15 -1721 ((-592) (-163) $ (-592))) (-15 -1683 ($ (-168))) (-15 -1356 ((-658 $) $ (-168))) (-15 -1356 ((-658 $) $ (-163))) (-15 -2874 ($ $ (-168))) (-15 -2874 ($ $ (-163))) (-15 -2999 ($ $ (-168))) (-15 -2999 ($ $ (-163))) (-15 -4447 ($ $ (-168))) (-15 -4447 ($ $ (-163))) (-15 -3927 ($ $ $)))) 
-(((-39) . T) ((-125) -3836 (|has| (-168) (-1119)) (|has| (-168) (-869))) ((-632 (-877)) -3836 (|has| (-168) (-1119)) (|has| (-168) (-869))) ((-175 (-168)) . T) ((-633 (-565)) |has| (-168) (-633 (-565))) ((-303 (-592) (-168)) . T) ((-305 (-592) (-168)) . T) ((-325 (-168)) -12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))) ((-399 (-168)) . T) ((-523 (-168)) . T) ((-625 (-592) (-168)) . T) ((-547 (-168) (-168)) -12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))) ((-664 (-168)) . T) ((-19 (-168)) . T) ((-869) |has| (-168) (-869)) ((-1119) -3836 (|has| (-168) (-1119)) (|has| (-168) (-869))) ((-1225) . T)) 
-((-3931 (((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 |#4|) (-658 |#5|) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-790)) 93)) (-4304 (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790)) 53)) (-3891 (((-1285) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-790)) 85)) (-3148 (((-790) (-658 |#4|) (-658 |#5|)) 27)) (-2856 (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790)) 55) (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790) (-141)) 57)) (-1906 (((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141) (-141) (-141) (-141)) 76) (((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141)) 77)) (-1778 (((-1173) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) 80)) (-1929 (((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|) 52)) (-4270 (((-790) (-658 |#4|) (-658 |#5|)) 19))) 
-(((-1159 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4270 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -3148 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -1929 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790) (-141))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141) (-141) (-141) (-141))) (-15 -3931 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 |#4|) (-658 |#5|) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-790))) (-15 -1778 ((-1173) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -3891 ((-1285) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-790)))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|) (-1128 |#1| |#2| |#3| |#4|)) (T -1159)) 
-((-3891 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *4 (-790)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-1285)) (-5 *1 (-1159 *5 *6 *7 *8 *9)))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1128 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1173)) (-5 *1 (-1159 *4 *5 *6 *7 *8)))) (-3931 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-658 *11)) (|:| |todo| (-658 (-2 (|:| |val| *3) (|:| -2165 *11)))))) (-5 *6 (-790)) (-5 *2 (-658 (-2 (|:| |val| (-658 *10)) (|:| -2165 *11)))) (-5 *3 (-658 *10)) (-5 *4 (-658 *11)) (-4 *10 (-1089 *7 *8 *9)) (-4 *11 (-1128 *7 *8 *9 *10)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-5 *1 (-1159 *7 *8 *9 *10 *11)))) (-1906 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1159 *5 *6 *7 *8 *9)))) (-1906 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1159 *5 *6 *7 *8 *9)))) (-2856 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *5 *6 *7 *3 *4)) (-4 *4 (-1128 *5 *6 *7 *3)))) (-2856 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *6 *7 *8 *3 *4)) (-4 *4 (-1128 *6 *7 *8 *3)))) (-2856 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-790)) (-5 *6 (-141)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-4 *3 (-1089 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *7 *8 *9 *3 *4)) (-4 *4 (-1128 *7 *8 *9 *3)))) (-4304 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *5 *6 *7 *3 *4)) (-4 *4 (-1128 *5 *6 *7 *3)))) (-4304 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *6 *7 *8 *3 *4)) (-4 *4 (-1128 *6 *7 *8 *3)))) (-1929 (*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *5 *6 *7 *3 *4)) (-4 *4 (-1128 *5 *6 *7 *3)))) (-3148 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1159 *5 *6 *7 *8 *9)))) (-4270 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1159 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -4270 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -3148 ((-790) (-658 |#4|) (-658 |#5|))) (-15 -1929 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -4304 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790) (-141))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5| (-790))) (-15 -2856 ((-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) |#4| |#5|)) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141))) (-15 -1906 ((-658 |#5|) (-658 |#4|) (-658 |#5|) (-141) (-141) (-141) (-141) (-141))) (-15 -3931 ((-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-658 |#4|) (-658 |#5|) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-2 (|:| |done| (-658 |#5|)) (|:| |todo| (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))))) (-790))) (-15 -1778 ((-1173) (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|)))) (-15 -3891 ((-1285) (-658 (-2 (|:| |val| (-658 |#4|)) (|:| -2165 |#5|))) (-790)))) 
-((-1641 (((-141) $ $) NIL)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) NIL)) (-2248 (((-658 $) (-658 |#4|)) 109) (((-658 $) (-658 |#4|) (-141)) 110) (((-658 $) (-658 |#4|) (-141) (-141)) 108) (((-658 $) (-658 |#4|) (-141) (-141) (-141) (-141)) 111)) (-4085 (((-658 |#3|) $) NIL)) (-4325 (((-141) $) NIL)) (-2988 (((-141) $) NIL (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-2244 ((|#4| |#4| $) NIL)) (-3743 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| $) 83)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3113 (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 61)) (-3001 (($) NIL T CONST)) (-3239 (((-141) $) 26 (|has| |#1| (-582)))) (-3478 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2398 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1529 (((-141) $) NIL (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4521 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) NIL)) (-2400 (($ (-658 |#4|)) NIL)) (-1366 (((-3 $ "failed") $) 39)) (-2226 ((|#4| |#4| $) 64)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4459 (($ |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) NIL)) (-3092 ((|#4| |#4| $) NIL)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) NIL)) (-1836 (((-141) |#4| $) NIL)) (-2659 (((-141) |#4| $) NIL)) (-3195 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1822 (((-2 (|:| |val| (-658 |#4|)) (|:| |towers| (-658 $))) (-658 |#4|) (-141) (-141)) 123)) (-4004 (((-658 |#4|) $) 16 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#4|) $) 17 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 25 (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-3987 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 21)) (-2290 (((-658 |#3|) $) NIL)) (-2645 (((-141) |#3| $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-1470 (((-3 |#4| (-658 $)) |#4| |#4| $) NIL)) (-3722 (((-658 (-2 (|:| |val| |#4|) (|:| -2165 $))) |#4| |#4| $) 102)) (-4255 (((-3 |#4| "failed") $) 37)) (-3501 (((-658 $) |#4| $) 87)) (-3732 (((-3 (-141) (-658 $)) |#4| $) NIL)) (-2978 (((-658 (-2 (|:| |val| (-141)) (|:| -2165 $))) |#4| $) 97) (((-141) |#4| $) 52)) (-2852 (((-658 $) |#4| $) 106) (((-658 $) (-658 |#4|) $) NIL) (((-658 $) (-658 |#4|) (-658 $)) 107) (((-658 $) |#4| (-658 $)) NIL)) (-3859 (((-658 $) (-658 |#4|) (-141) (-141) (-141)) 118)) (-3902 (($ |#4| $) 74) (($ (-658 |#4|) $) 75) (((-658 $) |#4| $ (-141) (-141) (-141) (-141) (-141)) 73)) (-1712 (((-658 |#4|) $) NIL)) (-2346 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1751 ((|#4| |#4| $) NIL)) (-3085 (((-141) $ $) NIL)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1803 ((|#4| |#4| $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-3 |#4| "failed") $) 35)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) NIL)) (-2778 (((-3 $ "failed") $ |#4|) 47)) (-2807 (($ $ |#4|) NIL) (((-658 $) |#4| $) 89) (((-658 $) |#4| (-658 $)) NIL) (((-658 $) (-658 |#4|) $) NIL) (((-658 $) (-658 |#4|) (-658 $)) 85)) (-3002 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 15)) (-2890 (($) 13)) (-4525 (((-790) $) NIL)) (-3452 (((-790) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (((-790) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) 12)) (-1778 (((-565) $) NIL (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 20)) (-2613 (($ $ |#3|) 42)) (-4152 (($ $ |#3|) 43)) (-2965 (($ $) NIL)) (-2507 (($ $ |#3|) NIL)) (-1683 (((-877) $) 31) (((-658 |#4|) $) 40)) (-1857 (((-790) $) NIL (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) NIL)) (-3032 (((-658 $) |#4| $) 53) (((-658 $) |#4| (-658 $)) NIL) (((-658 $) (-658 |#4|) $) NIL) (((-658 $) (-658 |#4|) (-658 $)) NIL)) (-3369 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) NIL)) (-1437 (((-141) |#4| $) NIL)) (-3069 (((-141) |#3| $) 60)) (-3255 (((-141) $ $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1160 |#1| |#2| |#3| |#4|) (-13 (-1128 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3902 ((-658 $) |#4| $ (-141) (-141) (-141) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141) (-141) (-141))) (-15 -3859 ((-658 $) (-658 |#4|) (-141) (-141) (-141))) (-15 -1822 ((-2 (|:| |val| (-658 |#4|)) (|:| |towers| (-658 $))) (-658 |#4|) (-141) (-141))))) (-477) (-815) (-869) (-1089 |#1| |#2| |#3|)) (T -1160)) 
-((-3902 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *3))) (-5 *1 (-1160 *5 *6 *7 *3)) (-4 *3 (-1089 *5 *6 *7)))) (-2248 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *8))) (-5 *1 (-1160 *5 *6 *7 *8)))) (-2248 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *8))) (-5 *1 (-1160 *5 *6 *7 *8)))) (-3859 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *8))) (-5 *1 (-1160 *5 *6 *7 *8)))) (-1822 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-658 *8)) (|:| |towers| (-658 (-1160 *5 *6 *7 *8))))) (-5 *1 (-1160 *5 *6 *7 *8)) (-5 *3 (-658 *8))))) 
-(-13 (-1128 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3902 ((-658 $) |#4| $ (-141) (-141) (-141) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141))) (-15 -2248 ((-658 $) (-658 |#4|) (-141) (-141) (-141) (-141))) (-15 -3859 ((-658 $) (-658 |#4|) (-141) (-141) (-141))) (-15 -1822 ((-2 (|:| |val| (-658 |#4|)) (|:| |towers| (-658 $))) (-658 |#4|) (-141) (-141))))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3349 ((|#1| $) 28)) (-2633 (($ (-658 |#1|)) 33)) (-2126 (((-141) $ (-790)) NIL)) (-3001 (($) NIL T CONST)) (-3568 ((|#1| |#1| $) 30)) (-2486 ((|#1| $) 26)) (-4004 (((-658 |#1|) $) 34 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 37)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4137 ((|#1| $) 29)) (-2113 (($ |#1| $) 31)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-2106 ((|#1| $) 27)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 24)) (-2890 (($) 32)) (-3439 (((-790) $) 22)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 20)) (-1683 (((-877) $) 17 (|has| |#1| (-1119)))) (-4560 (($ (-658 |#1|)) NIL)) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 12 (|has| |#1| (-1119)))) (-1699 (((-790) $) 23 (|has| $ (-6 -4625))))) 
-(((-1161 |#1|) (-13 (-1138 |#1|) (-10 -8 (-15 -2633 ($ (-658 |#1|))) (-15 -2486 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -3568 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -3349 (|#1| $)) (-15 -3439 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) (-1119)) (T -1161)) 
-((-1724 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) (-4599 (*1 *1 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-2890 (*1 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-2943 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) (-2554 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1161 *4)) (-4 *4 (-1119)))) (-4345 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1161 *4)) (-4 *4 (-1119)))) (-2126 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1161 *4)) (-4 *4 (-1119)))) (-3001 (*1 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-1699 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-1161 *3)))) (-3987 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-1161 *3)))) (-3369 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1161 *4)))) (-3002 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1161 *4)))) (-3452 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-1161 *4)))) (-4004 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) (-4467 (*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) (-3452 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3133 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2685 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-2951 (*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-3255 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-1641 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) (-4560 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1161 *3)))) (-2106 (*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-2113 (*1 *1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-4137 (*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-3568 (*1 *2 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-2486 (*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-3349 (*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) (-3439 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) (-2633 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1161 *3))))) 
-(-13 (-1138 |#1|) (-10 -8 (-15 -2633 ($ (-658 |#1|))) (-15 -2486 (|#1| $)) (-15 -2106 (|#1| $)) (-15 -3568 (|#1| |#1| $)) (-15 -2113 ($ |#1| $)) (-15 -4137 (|#1| $)) (-15 -3349 (|#1| $)) (-15 -3439 ((-790) $)) (-15 -2554 ((-141) $ (-790))) (-15 -4345 ((-141) $ (-790))) (-15 -2126 ((-141) $ (-790))) (-15 -4560 ($ (-658 |#1|))) (-15 -2943 ((-141) $)) (-15 -2890 ($)) (-15 -3001 ($)) (-15 -4599 ($ $)) (-15 -1724 ((-141) $ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4626)) (-15 -3987 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1119)) (PROGN (-15 -2685 ((-1173) $)) (-15 -2951 ((-1137) $)) (-15 -1683 ((-877) $)) (-15 -3255 ((-141) $ $)) (-15 -1641 ((-141) $ $))) |noBranch|) (IF (|has| $ (-6 -4625)) (PROGN (-15 -3002 ((-141) (-1 (-141) |#1|) $)) (-15 -3369 ((-141) (-1 (-141) |#1|) $)) (-15 -3452 ((-790) (-1 (-141) |#1|) $)) (-15 -1699 ((-790) $)) (-15 -4004 ((-658 |#1|) $)) (-15 -4467 ((-658 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4625)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3133 ((-141) |#1| $)) (-15 -3452 ((-790) |#1| $))) |noBranch|) |noBranch|))) 
-((-3932 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1246 (-592)) |#2|) 43) ((|#2| $ (-592) |#2|) 40)) (-3868 (((-141) $) 11)) (-3987 (($ (-1 |#2| |#2|) $) 38)) (-1918 ((|#2| $) NIL) (($ $ (-790)) 16)) (-1892 (($ $ |#2|) 39)) (-2955 (((-141) $) 10)) (-3927 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1246 (-592))) 30) ((|#2| $ (-592)) 22) ((|#2| $ (-592) |#2|) NIL)) (-3619 (($ $ $) 46) (($ $ |#2|) NIL)) (-2266 (($ $ $) 32) (($ |#2| $) NIL) (($ (-658 $)) 35) (($ $ |#2|) NIL))) 
-(((-1162 |#1| |#2|) (-10 -8 (-15 -3868 ((-141) |#1|)) (-15 -2955 ((-141) |#1|)) (-15 -3932 (|#2| |#1| (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592))) (-15 -1892 (|#1| |#1| |#2|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -2266 (|#1| (-658 |#1|))) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -3932 (|#2| |#1| (-1246 (-592)) |#2|)) (-15 -3932 (|#2| |#1| "last" |#2|)) (-15 -3932 (|#1| |#1| "rest" |#1|)) (-15 -3932 (|#2| |#1| "first" |#2|)) (-15 -3619 (|#1| |#1| |#2|)) (-15 -3619 (|#1| |#1| |#1|)) (-15 -3927 (|#2| |#1| "last")) (-15 -3927 (|#1| |#1| "rest")) (-15 -1918 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "first")) (-15 -1918 (|#2| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#1|)) (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -3927 (|#2| |#1| "value")) (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|))) (-1163 |#2|) (-1225)) (T -1162)) 
-NIL 
-(-10 -8 (-15 -3868 ((-141) |#1|)) (-15 -2955 ((-141) |#1|)) (-15 -3932 (|#2| |#1| (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592) |#2|)) (-15 -3927 (|#2| |#1| (-592))) (-15 -1892 (|#1| |#1| |#2|)) (-15 -2266 (|#1| |#1| |#2|)) (-15 -2266 (|#1| (-658 |#1|))) (-15 -3927 (|#1| |#1| (-1246 (-592)))) (-15 -3932 (|#2| |#1| (-1246 (-592)) |#2|)) (-15 -3932 (|#2| |#1| "last" |#2|)) (-15 -3932 (|#1| |#1| "rest" |#1|)) (-15 -3932 (|#2| |#1| "first" |#2|)) (-15 -3619 (|#1| |#1| |#2|)) (-15 -3619 (|#1| |#1| |#1|)) (-15 -3927 (|#2| |#1| "last")) (-15 -3927 (|#1| |#1| "rest")) (-15 -1918 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "first")) (-15 -1918 (|#2| |#1|)) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#1|)) (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -3927 (|#2| |#1| "value")) (-15 -3987 (|#1| (-1 |#2| |#2|) |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-1915 ((|#1| $) 62)) (-3188 (($ $) 64)) (-3898 (((-1285) $ (-592) (-592)) 94 (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) 49 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-3153 (($ $ $) 53 (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) 51 (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) 55 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4626))) (($ $ "rest" $) 52 (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 114 (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) 83 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 99 (|has| $ (-6 -4625)))) (-1765 ((|#1| $) 63)) (-3001 (($) 7 T CONST)) (-1366 (($ $) 70) (($ $ (-790)) 68)) (-1360 (($ $) 96 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ (-1 (-141) |#1|) $) 100 (|has| $ (-6 -4625))) (($ |#1| $) 97 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1426 ((|#1| $ (-592) |#1|) 82 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 84)) (-3868 (((-141) $) 80)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-3242 (($ (-790) |#1|) 105)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 92 (|has| (-592) (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 91 (|has| (-592) (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4255 ((|#1| $) 67) (($ $ (-790)) 65)) (-3666 (($ $ $ (-592)) 113) (($ |#1| $ (-592)) 112)) (-3708 (((-658 (-592)) $) 89)) (-3780 (((-141) (-592) $) 88)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 73) (($ $ (-790)) 71)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 103)) (-1892 (($ $ |#1|) 93 (|has| $ (-6 -4626)))) (-2955 (((-141) $) 81)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 90 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 87)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1246 (-592))) 109) ((|#1| $ (-592)) 86) ((|#1| $ (-592) |#1|) 85)) (-2920 (((-592) $ $) 41)) (-3208 (($ $ (-1246 (-592))) 111) (($ $ (-592)) 110)) (-3228 (((-141) $) 43)) (-2399 (($ $) 59)) (-1337 (($ $) 56 (|has| $ (-6 -4626)))) (-3318 (((-790) $) 60)) (-3184 (($ $) 61)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-1778 (((-565) $) 95 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 104)) (-3619 (($ $ $) 58 (|has| $ (-6 -4626))) (($ $ |#1|) 57 (|has| $ (-6 -4626)))) (-2266 (($ $ $) 75) (($ |#1| $) 74) (($ (-658 $)) 107) (($ $ |#1|) 106)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1163 |#1|) (-1311) (-1225)) (T -1163)) 
-((-2955 (*1 *2 *1) (-12 (-4 *1 (-1163 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) (-3868 (*1 *2 *1) (-12 (-4 *1 (-1163 *3)) (-4 *3 (-1225)) (-5 *2 (-141))))) 
-(-13 (-1267 |t#1|) (-664 |t#1|) (-10 -8 (-15 -2955 ((-141) $)) (-15 -3868 ((-141) $)))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T) ((-1267 |#1|) . T)) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#2| $ |#1| |#2|) NIL)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) NIL)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2840 (((-658 |#1|) $) NIL)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3708 (((-658 |#1|) $) NIL)) (-3780 (((-141) |#1| $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1164 |#1| |#2| |#3|) (-1202 |#1| |#2|) (-1119) (-1119) |#2|) (T -1164)) 
-NIL 
-(-1202 |#1| |#2|) 
-((-1641 (((-141) $ $) 7)) (-3921 (((-3 $ "failed") $) 12)) (-2685 (((-1173) $) 9)) (-3703 (($) 13 T CONST)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11)) (-3255 (((-141) $ $) 6))) 
-(((-1165) (-1311)) (T -1165)) 
-((-3703 (*1 *1) (-4 *1 (-1165))) (-3921 (*1 *1 *1) (|partial| -4 *1 (-1165)))) 
-(-13 (-1119) (-10 -8 (-15 -3703 ($) -4249) (-15 -3921 ((-3 $ "failed") $)))) 
-(((-125) . T) ((-632 (-877)) . T) ((-1119) . T)) 
-((-3066 (((-1171 |#1|) (-1171 |#1|)) 17)) (-1353 (((-1171 |#1|) (-1171 |#1|)) 13)) (-2448 (((-1171 |#1|) (-1171 |#1|) (-592) (-592)) 20)) (-2447 (((-1171 |#1|) (-1171 |#1|)) 15))) 
-(((-1166 |#1|) (-10 -7 (-15 -1353 ((-1171 |#1|) (-1171 |#1|))) (-15 -2447 ((-1171 |#1|) (-1171 |#1|))) (-15 -3066 ((-1171 |#1|) (-1171 |#1|))) (-15 -2448 ((-1171 |#1|) (-1171 |#1|) (-592) (-592)))) (-13 (-582) (-171))) (T -1166)) 
-((-2448 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-1166 *4)))) (-3066 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1166 *3)))) (-2447 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1166 *3)))) (-1353 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1166 *3))))) 
-(-10 -7 (-15 -1353 ((-1171 |#1|) (-1171 |#1|))) (-15 -2447 ((-1171 |#1|) (-1171 |#1|))) (-15 -3066 ((-1171 |#1|) (-1171 |#1|))) (-15 -2448 ((-1171 |#1|) (-1171 |#1|) (-592) (-592)))) 
-((-1440 (((-1171 |#1|) (-1171 |#1|) (-1 (-658 |#1|) |#1|)) 16))) 
-(((-1167 |#1|) (-10 -7 (-15 -1440 ((-1171 |#1|) (-1171 |#1|) (-1 (-658 |#1|) |#1|)))) (-1225)) (T -1167)) 
-((-1440 (*1 *2 *2 *3) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-1 (-658 *4) *4)) (-4 *4 (-1225)) (-5 *1 (-1167 *4))))) 
-(-10 -7 (-15 -1440 ((-1171 |#1|) (-1171 |#1|) (-1 (-658 |#1|) |#1|)))) 
-((-2266 (((-1171 |#1|) (-1171 (-1171 |#1|))) 15))) 
-(((-1168 |#1|) (-10 -7 (-15 -2266 ((-1171 |#1|) (-1171 (-1171 |#1|))))) (-1225)) (T -1168)) 
-((-2266 (*1 *2 *3) (-12 (-5 *3 (-1171 (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1168 *4)) (-4 *4 (-1225))))) 
-(-10 -7 (-15 -2266 ((-1171 |#1|) (-1171 (-1171 |#1|))))) 
-((-1779 (((-1171 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1171 |#1|)) 25)) (-3657 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1171 |#1|)) 26)) (-2731 (((-1171 |#2|) (-1 |#2| |#1|) (-1171 |#1|)) 16))) 
-(((-1169 |#1| |#2|) (-10 -7 (-15 -2731 ((-1171 |#2|) (-1 |#2| |#1|) (-1171 |#1|))) (-15 -1779 ((-1171 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1171 |#1|))) (-15 -3657 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1171 |#1|)))) (-1225) (-1225)) (T -1169)) 
-((-3657 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1171 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-1169 *5 *2)))) (-1779 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1171 *6)) (-4 *6 (-1225)) (-4 *3 (-1225)) (-5 *2 (-1171 *3)) (-5 *1 (-1169 *6 *3)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1171 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1171 *6)) (-5 *1 (-1169 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-1171 |#2|) (-1 |#2| |#1|) (-1171 |#1|))) (-15 -1779 ((-1171 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1171 |#1|))) (-15 -3657 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1171 |#1|)))) 
-((-2731 (((-1171 |#3|) (-1 |#3| |#1| |#2|) (-1171 |#1|) (-1171 |#2|)) 21))) 
-(((-1170 |#1| |#2| |#3|) (-10 -7 (-15 -2731 ((-1171 |#3|) (-1 |#3| |#1| |#2|) (-1171 |#1|) (-1171 |#2|)))) (-1225) (-1225) (-1225)) (T -1170)) 
-((-2731 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1171 *6)) (-5 *5 (-1171 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-1171 *8)) (-5 *1 (-1170 *6 *7 *8))))) 
-(-10 -7 (-15 -2731 ((-1171 |#3|) (-1 |#3| |#1| |#2|) (-1171 |#1|) (-1171 |#2|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) NIL)) (-1915 ((|#1| $) NIL)) (-3188 (($ $) 48)) (-3898 (((-1285) $ (-592) (-592)) 73 (|has| $ (-6 -4626)))) (-4143 (($ $ (-592)) 107 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-4391 (((-877) $) 37 (|has| |#1| (-1119)))) (-4372 (((-141)) 38 (|has| |#1| (-1119)))) (-3047 ((|#1| $ |#1|) NIL (|has| $ (-6 -4626)))) (-3153 (($ $ $) 95 (|has| $ (-6 -4626))) (($ $ (-592) $) 117)) (-4496 ((|#1| $ |#1|) 104 (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) 99 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4626))) (($ $ "rest" $) 103 (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 86 (|has| $ (-6 -4626))) ((|#1| $ (-592) |#1|) 52 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 55)) (-1765 ((|#1| $) NIL)) (-3001 (($) NIL T CONST)) (-4083 (($ $) 14)) (-1366 (($ $) 28) (($ $ (-790)) 85)) (-4009 (((-141) (-658 |#1|) $) 112 (|has| |#1| (-1119)))) (-3201 (($ (-658 |#1|)) 109)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) 54)) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-3868 (((-141) $) NIL)) (-4004 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3087 (((-1285) (-592) $) 116 (|has| |#1| (-1119)))) (-4219 (((-790) $) 114)) (-2774 (((-658 $) $) NIL)) (-3055 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-2554 (((-141) $ (-790)) NIL)) (-4063 (((-658 |#1|) $) NIL)) (-3683 (((-141) $) NIL)) (-1640 (($ $) 87)) (-1323 (((-141) $) 13)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-4255 ((|#1| $) NIL) (($ $ (-790)) NIL)) (-3666 (($ $ $ (-592)) NIL) (($ |#1| $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) 71)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3086 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-4479 ((|#1| $) 10)) (-1918 ((|#1| $) 27) (($ $ (-790)) 46)) (-1726 (((-2 (|:| |cycle?| (-141)) (|:| -3989 (-790)) (|:| |period| (-790))) (-790) $) 24)) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-3103 (($ (-1 (-141) |#1|) $) 121)) (-3109 (($ (-1 (-141) |#1|) $) 122)) (-1892 (($ $ |#1|) 65 (|has| $ (-6 -4626)))) (-2807 (($ $ (-592)) 31)) (-2955 (((-141) $) 69)) (-2393 (((-141) $) 12)) (-3630 (((-141) $) 113)) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 20)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) 15)) (-2890 (($) 40)) (-3927 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1246 (-592))) NIL) ((|#1| $ (-592)) 51) ((|#1| $ (-592) |#1|) NIL)) (-2920 (((-592) $ $) 45)) (-3208 (($ $ (-1246 (-592))) NIL) (($ $ (-592)) NIL)) (-4048 (($ (-1 $)) 44)) (-3228 (((-141) $) 66)) (-2399 (($ $) 67)) (-1337 (($ $) 96 (|has| $ (-6 -4626)))) (-3318 (((-790) $) NIL)) (-3184 (($ $) NIL)) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 41)) (-1778 (((-565) $) NIL (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 50)) (-4592 (($ |#1| $) 94)) (-3619 (($ $ $) 97 (|has| $ (-6 -4626))) (($ $ |#1|) 98 (|has| $ (-6 -4626)))) (-2266 (($ $ $) 75) (($ |#1| $) 42) (($ (-658 $)) 80) (($ $ |#1|) 74)) (-1700 (($ $) 47)) (-1683 (((-877) $) 39 (|has| |#1| (-1119))) (($ (-658 |#1|)) 108)) (-2493 (((-658 $) $) NIL)) (-2936 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 111 (|has| |#1| (-1119)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1171 |#1|) (-13 (-690 |#1|) (-10 -8 (-6 -4626) (-15 -1683 ($ (-658 |#1|))) (-15 -3201 ($ (-658 |#1|))) (IF (|has| |#1| (-1119)) (-15 -4009 ((-141) (-658 |#1|) $)) |noBranch|) (-15 -1726 ((-2 (|:| |cycle?| (-141)) (|:| -3989 (-790)) (|:| |period| (-790))) (-790) $)) (-15 -4048 ($ (-1 $))) (-15 -4592 ($ |#1| $)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3087 ((-1285) (-592) $)) (-15 -4391 ((-877) $)) (-15 -4372 ((-141)))) |noBranch|) (-15 -3153 ($ $ (-592) $)) (-15 -3086 ($ (-1 |#1|))) (-15 -3086 ($ (-1 |#1| |#1|) |#1|)) (-15 -3103 ($ (-1 (-141) |#1|) $)) (-15 -3109 ($ (-1 (-141) |#1|) $)))) (-1225)) (T -1171)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) (-3201 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) (-4009 (*1 *2 *3 *1) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1119)) (-4 *4 (-1225)) (-5 *2 (-141)) (-5 *1 (-1171 *4)))) (-1726 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-141)) (|:| -3989 (-790)) (|:| |period| (-790)))) (-5 *1 (-1171 *4)) (-4 *4 (-1225)) (-5 *3 (-790)))) (-4048 (*1 *1 *2) (-12 (-5 *2 (-1 (-1171 *3))) (-5 *1 (-1171 *3)) (-4 *3 (-1225)))) (-4592 (*1 *1 *2 *1) (-12 (-5 *1 (-1171 *2)) (-4 *2 (-1225)))) (-3087 (*1 *2 *3 *1) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1171 *4)) (-4 *4 (-1119)) (-4 *4 (-1225)))) (-4391 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1171 *3)) (-4 *3 (-1119)) (-4 *3 (-1225)))) (-4372 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1171 *3)) (-4 *3 (-1119)) (-4 *3 (-1225)))) (-3153 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1171 *3)) (-4 *3 (-1225)))) (-3086 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) (-3086 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) (-3103 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) (-3109 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3))))) 
-(-13 (-690 |#1|) (-10 -8 (-6 -4626) (-15 -1683 ($ (-658 |#1|))) (-15 -3201 ($ (-658 |#1|))) (IF (|has| |#1| (-1119)) (-15 -4009 ((-141) (-658 |#1|) $)) |noBranch|) (-15 -1726 ((-2 (|:| |cycle?| (-141)) (|:| -3989 (-790)) (|:| |period| (-790))) (-790) $)) (-15 -4048 ($ (-1 $))) (-15 -4592 ($ |#1| $)) (IF (|has| |#1| (-1119)) (PROGN (-15 -3087 ((-1285) (-592) $)) (-15 -4391 ((-877) $)) (-15 -4372 ((-141)))) |noBranch|) (-15 -3153 ($ $ (-592) $)) (-15 -3086 ($ (-1 |#1|))) (-15 -3086 ($ (-1 |#1| |#1|) |#1|)) (-15 -3103 ($ (-1 (-141) |#1|) $)) (-15 -3109 ($ (-1 (-141) |#1|) $)))) 
-((-1641 (((-141) $ $) 18)) (-3202 (($ $) 113)) (-3777 (($ $) 114)) (-2874 (($ $ (-168)) 101) (($ $ (-163)) 100)) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-3326 (((-141) $ $) 111)) (-3288 (((-141) $ $ (-592)) 110)) (-4574 (($ (-592)) 118)) (-1356 (((-658 $) $ (-168)) 103) (((-658 $) $ (-163)) 102)) (-4076 (((-141) (-1 (-141) (-168) (-168)) $) 91) (((-141) $) 85 (|has| (-168) (-869)))) (-2831 (($ (-1 (-141) (-168) (-168)) $) 82 (|has| $ (-6 -4626))) (($ $) 81 (-12 (|has| (-168) (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) (-168) (-168)) $) 92) (($ $) 86 (|has| (-168) (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3932 (((-168) $ (-592) (-168)) 49 (|has| $ (-6 -4626))) (((-168) $ (-1246 (-592)) (-168)) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-168)) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-4447 (($ $ (-168)) 97) (($ $ (-163)) 96)) (-2512 (($ $) 83 (|has| $ (-6 -4626)))) (-1373 (($ $) 93)) (-2262 (($ $ (-1246 (-592)) $) 107)) (-1360 (($ $) 73 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ (-168) $) 72 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) (-168)) $) 69 (|has| $ (-6 -4625)))) (-3657 (((-168) (-1 (-168) (-168) (-168)) $ (-168) (-168)) 71 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625)))) (((-168) (-1 (-168) (-168) (-168)) $ (-168)) 68 (|has| $ (-6 -4625))) (((-168) (-1 (-168) (-168) (-168)) $) 67 (|has| $ (-6 -4625)))) (-1426 (((-168) $ (-592) (-168)) 50 (|has| $ (-6 -4626)))) (-3959 (((-168) $ (-592)) 48)) (-3379 (((-141) $ $) 112)) (-1721 (((-592) (-1 (-141) (-168)) $) 90) (((-592) (-168) $) 89 (|has| (-168) (-1119))) (((-592) (-168) $ (-592)) 88 (|has| (-168) (-1119))) (((-592) $ $ (-592)) 106) (((-592) (-163) $ (-592)) 105)) (-4004 (((-658 (-168)) $) 30 (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-168)) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 80 (|has| (-168) (-869)))) (-4491 (($ (-1 (-141) (-168) (-168)) $ $) 94) (($ $ $) 87 (|has| (-168) (-869)))) (-4467 (((-658 (-168)) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) (-168) $) 27 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 79 (|has| (-168) (-869)))) (-3614 (((-141) $ $ (-168)) 108)) (-1600 (((-790) $ $ (-168)) 109)) (-3987 (($ (-1 (-168) (-168)) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-168) (-168)) $) 35) (($ (-1 (-168) (-168) (-168)) $ $) 59)) (-2200 (($ $) 115)) (-1633 (($ $) 116)) (-2554 (((-141) $ (-790)) 10)) (-2999 (($ $ (-168)) 99) (($ $ (-163)) 98)) (-2685 (((-1173) $) 22)) (-3666 (($ (-168) $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21)) (-1918 (((-168) $) 39 (|has| (-592) (-869)))) (-4050 (((-3 (-168) "failed") (-1 (-141) (-168)) $) 66)) (-1892 (($ $ (-168)) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-168)) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-168)))) 26 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-310 (-168))) 25 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-168) (-168)) 24 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-658 (-168)) (-658 (-168))) 23 (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) (-168) $) 42 (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4210 (((-658 (-168)) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 (((-168) $ (-592) (-168)) 47) (((-168) $ (-592)) 46) (($ $ (-1246 (-592))) 58) (($ $ $) 95)) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-3452 (((-790) (-1 (-141) (-168)) $) 31 (|has| $ (-6 -4625))) (((-790) (-168) $) 28 (-12 (|has| (-168) (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 84 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| (-168) (-633 (-565))))) (-4466 (($ (-658 (-168))) 65)) (-2266 (($ $ (-168)) 63) (($ (-168) $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (($ (-168)) 104) (((-877) $) 20)) (-3369 (((-141) (-1 (-141) (-168)) $) 33 (|has| $ (-6 -4625)))) (-1637 (((-1173) $) 122) (((-1173) $ (-141)) 121) (((-1285) (-844) $) 120) (((-1285) (-844) $ (-141)) 119)) (-3286 (((-141) $ $) 77 (|has| (-168) (-869)))) (-3273 (((-141) $ $) 76 (|has| (-168) (-869)))) (-3255 (((-141) $ $) 19)) (-3279 (((-141) $ $) 78 (|has| (-168) (-869)))) (-3266 (((-141) $ $) 75 (|has| (-168) (-869)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1172) (-1311)) (T -1172)) 
-((-4574 (*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1172))))) 
-(-13 (-1158) (-1119) (-850) (-10 -8 (-15 -4574 ($ (-592))))) 
-(((-39) . T) ((-125) . T) ((-632 (-877)) . T) ((-175 (-168)) . T) ((-633 (-565)) |has| (-168) (-633 (-565))) ((-303 (-592) (-168)) . T) ((-305 (-592) (-168)) . T) ((-325 (-168)) -12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))) ((-399 (-168)) . T) ((-523 (-168)) . T) ((-625 (-592) (-168)) . T) ((-547 (-168) (-168)) -12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))) ((-664 (-168)) . T) ((-19 (-168)) . T) ((-850) . T) ((-869) |has| (-168) (-869)) ((-1119) . T) ((-1158) . T) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-3202 (($ $) NIL)) (-3777 (($ $) NIL)) (-2874 (($ $ (-168)) NIL) (($ $ (-163)) NIL)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-3326 (((-141) $ $) NIL)) (-3288 (((-141) $ $ (-592)) NIL)) (-4574 (($ (-592)) 7)) (-1356 (((-658 $) $ (-168)) NIL) (((-658 $) $ (-163)) NIL)) (-4076 (((-141) (-1 (-141) (-168) (-168)) $) NIL) (((-141) $) NIL (|has| (-168) (-869)))) (-2831 (($ (-1 (-141) (-168) (-168)) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-168) (-869))))) (-3960 (($ (-1 (-141) (-168) (-168)) $) NIL) (($ $) NIL (|has| (-168) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-168) $ (-592) (-168)) NIL (|has| $ (-6 -4626))) (((-168) $ (-1246 (-592)) (-168)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-4447 (($ $ (-168)) NIL) (($ $ (-163)) NIL)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-2262 (($ $ (-1246 (-592)) $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4459 (($ (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119)))) (($ (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-168) (-1 (-168) (-168) (-168)) $ (-168) (-168)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119)))) (((-168) (-1 (-168) (-168) (-168)) $ (-168)) NIL (|has| $ (-6 -4625))) (((-168) (-1 (-168) (-168) (-168)) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-168) $ (-592) (-168)) NIL (|has| $ (-6 -4626)))) (-3959 (((-168) $ (-592)) NIL)) (-3379 (((-141) $ $) NIL)) (-1721 (((-592) (-1 (-141) (-168)) $) NIL) (((-592) (-168) $) NIL (|has| (-168) (-1119))) (((-592) (-168) $ (-592)) NIL (|has| (-168) (-1119))) (((-592) $ $ (-592)) NIL) (((-592) (-163) $ (-592)) NIL)) (-4004 (((-658 (-168)) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-168)) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-168) (-869)))) (-4491 (($ (-1 (-141) (-168) (-168)) $ $) NIL) (($ $ $) NIL (|has| (-168) (-869)))) (-4467 (((-658 (-168)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-168) (-869)))) (-3614 (((-141) $ $ (-168)) NIL)) (-1600 (((-790) $ $ (-168)) NIL)) (-3987 (($ (-1 (-168) (-168)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-168) (-168)) $) NIL) (($ (-1 (-168) (-168) (-168)) $ $) NIL)) (-2200 (($ $) NIL)) (-1633 (($ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2999 (($ $ (-168)) NIL) (($ $ (-163)) NIL)) (-2685 (((-1173) $) NIL)) (-3666 (($ (-168) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-168) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-168) "failed") (-1 (-141) (-168)) $) NIL)) (-1892 (($ $ (-168)) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-168)))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-310 (-168))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-168) (-168)) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119)))) (($ $ (-658 (-168)) (-658 (-168))) NIL (-12 (|has| (-168) (-325 (-168))) (|has| (-168) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-4210 (((-658 (-168)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 (((-168) $ (-592) (-168)) NIL) (((-168) $ (-592)) NIL) (($ $ (-1246 (-592))) NIL) (($ $ $) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625))) (((-790) (-168) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-168) (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-168) (-633 (-565))))) (-4466 (($ (-658 (-168))) NIL)) (-2266 (($ $ (-168)) NIL) (($ (-168) $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (($ (-168)) NIL) (((-877) $) NIL)) (-3369 (((-141) (-1 (-141) (-168)) $) NIL (|has| $ (-6 -4625)))) (-1637 (((-1173) $) 18) (((-1173) $ (-141)) 20) (((-1285) (-844) $) 21) (((-1285) (-844) $ (-141)) 22)) (-3286 (((-141) $ $) NIL (|has| (-168) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-168) (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| (-168) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-168) (-869)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1173) (-1172)) (T -1173)) 
-NIL 
-(-1172) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)) (|has| |#1| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL)) (-3898 (((-1285) $ (-1173) (-1173)) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-1173) |#1|) NIL)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#1| "failed") (-1173) $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#1| "failed") (-1173) $) NIL)) (-4459 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-1173) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-1173)) NIL)) (-4004 (((-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-1173) $) NIL (|has| (-1173) (-869)))) (-4467 (((-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-1173) $) NIL (|has| (-1173) (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)) (|has| |#1| (-1119))))) (-2840 (((-658 (-1173)) $) NIL)) (-2396 (((-141) (-1173) $) NIL)) (-4137 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL)) (-3708 (((-658 (-1173)) $) NIL)) (-3780 (((-141) (-1173) $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)) (|has| |#1| (-1119))))) (-1918 ((|#1| $) NIL (|has| (-1173) (-869)))) (-4050 (((-3 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) "failed") (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL (-12 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-325 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-1173)) NIL) ((|#1| $ (-1173) |#1|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)) (|has| |#1| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 (-1173)) (|:| -3552 |#1|)) (-1119)) (|has| |#1| (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1174 |#1|) (-13 (-1202 (-1173) |#1|) (-10 -7 (-6 -4625))) (-1119)) (T -1174)) 
-NIL 
-(-13 (-1202 (-1173) |#1|) (-10 -7 (-6 -4625))) 
-((-3621 (((-1171 |#1|) (-1171 |#1|)) 77)) (-3371 (((-3 (-1171 |#1|) "failed") (-1171 |#1|)) 37)) (-4441 (((-1171 |#1|) (-433 (-592)) (-1171 |#1|)) 117 (|has| |#1| (-43 (-433 (-592)))))) (-3116 (((-1171 |#1|) |#1| (-1171 |#1|)) 121 (|has| |#1| (-388)))) (-2669 (((-1171 |#1|) (-1171 |#1|)) 90)) (-2620 (((-1171 (-592)) (-592)) 57)) (-3019 (((-1171 |#1|) (-1171 (-1171 |#1|))) 108 (|has| |#1| (-43 (-433 (-592)))))) (-3368 (((-1171 |#1|) (-592) (-592) (-1171 |#1|)) 95)) (-1493 (((-1171 |#1|) |#1| (-592)) 45)) (-2213 (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 60)) (-2164 (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 119 (|has| |#1| (-388)))) (-4286 (((-1171 |#1|) |#1| (-1 (-1171 |#1|))) 107 (|has| |#1| (-43 (-433 (-592)))))) (-2109 (((-1171 |#1|) (-1 |#1| (-592)) |#1| (-1 (-1171 |#1|))) 120 (|has| |#1| (-388)))) (-4006 (((-1171 |#1|) (-1171 |#1|)) 89)) (-3121 (((-1171 |#1|) (-1171 |#1|)) 76)) (-3884 (((-1171 |#1|) (-592) (-592) (-1171 |#1|)) 96)) (-3162 (((-1171 |#1|) |#1| (-1171 |#1|)) 105 (|has| |#1| (-43 (-433 (-592)))))) (-3402 (((-1171 (-592)) (-592)) 56)) (-1749 (((-1171 |#1|) |#1|) 59)) (-2860 (((-1171 |#1|) (-1171 |#1|) (-592) (-592)) 92)) (-4026 (((-1171 |#1|) (-1 |#1| (-592)) (-1171 |#1|)) 66)) (-3616 (((-3 (-1171 |#1|) "failed") (-1171 |#1|) (-1171 |#1|)) 35)) (-3325 (((-1171 |#1|) (-1171 |#1|)) 91)) (-2806 (((-1171 |#1|) (-1171 |#1|) |#1|) 71)) (-2513 (((-1171 |#1|) (-1171 |#1|)) 62)) (-4060 (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 72)) (-1683 (((-1171 |#1|) |#1|) 67)) (-2037 (((-1171 |#1|) (-1171 (-1171 |#1|))) 82)) (-3313 (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 36)) (-3306 (((-1171 |#1|) (-1171 |#1|)) 21) (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 23)) (-3300 (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 17)) (* (((-1171 |#1|) (-1171 |#1|) |#1|) 29) (((-1171 |#1|) |#1| (-1171 |#1|)) 26) (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 27))) 
-(((-1175 |#1|) (-10 -7 (-15 -3300 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3306 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3306 ((-1171 |#1|) (-1171 |#1|))) (-15 * ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 * ((-1171 |#1|) |#1| (-1171 |#1|))) (-15 * ((-1171 |#1|) (-1171 |#1|) |#1|)) (-15 -3616 ((-3 (-1171 |#1|) "failed") (-1171 |#1|) (-1171 |#1|))) (-15 -3313 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3371 ((-3 (-1171 |#1|) "failed") (-1171 |#1|))) (-15 -1493 ((-1171 |#1|) |#1| (-592))) (-15 -3402 ((-1171 (-592)) (-592))) (-15 -2620 ((-1171 (-592)) (-592))) (-15 -1749 ((-1171 |#1|) |#1|)) (-15 -2213 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -2513 ((-1171 |#1|) (-1171 |#1|))) (-15 -4026 ((-1171 |#1|) (-1 |#1| (-592)) (-1171 |#1|))) (-15 -1683 ((-1171 |#1|) |#1|)) (-15 -2806 ((-1171 |#1|) (-1171 |#1|) |#1|)) (-15 -4060 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3121 ((-1171 |#1|) (-1171 |#1|))) (-15 -3621 ((-1171 |#1|) (-1171 |#1|))) (-15 -2037 ((-1171 |#1|) (-1171 (-1171 |#1|)))) (-15 -4006 ((-1171 |#1|) (-1171 |#1|))) (-15 -2669 ((-1171 |#1|) (-1171 |#1|))) (-15 -3325 ((-1171 |#1|) (-1171 |#1|))) (-15 -2860 ((-1171 |#1|) (-1171 |#1|) (-592) (-592))) (-15 -3368 ((-1171 |#1|) (-592) (-592) (-1171 |#1|))) (-15 -3884 ((-1171 |#1|) (-592) (-592) (-1171 |#1|))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ((-1171 |#1|) |#1| (-1171 |#1|))) (-15 -4286 ((-1171 |#1|) |#1| (-1 (-1171 |#1|)))) (-15 -3019 ((-1171 |#1|) (-1171 (-1171 |#1|)))) (-15 -4441 ((-1171 |#1|) (-433 (-592)) (-1171 |#1|)))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-15 -2164 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -2109 ((-1171 |#1|) (-1 |#1| (-592)) |#1| (-1 (-1171 |#1|)))) (-15 -3116 ((-1171 |#1|) |#1| (-1171 |#1|)))) |noBranch|)) (-1075)) (T -1175)) 
-((-3116 (*1 *2 *3 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-2109 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-592))) (-5 *5 (-1 (-1171 *4))) (-4 *4 (-388)) (-4 *4 (-1075)) (-5 *2 (-1171 *4)) (-5 *1 (-1175 *4)))) (-2164 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-4441 (*1 *2 *3 *2) (-12 (-5 *2 (-1171 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1075)) (-5 *3 (-433 (-592))) (-5 *1 (-1175 *4)))) (-3019 (*1 *2 *3) (-12 (-5 *3 (-1171 (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1175 *4)) (-4 *4 (-43 (-433 (-592)))) (-4 *4 (-1075)))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1171 *3))) (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)))) (-3162 (*1 *2 *3 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3884 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) (-3368 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) (-2860 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) (-3325 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-2669 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-4006 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-2037 (*1 *2 *3) (-12 (-5 *3 (-1171 (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1175 *4)) (-4 *4 (-1075)))) (-3621 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3121 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-4060 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-2806 (*1 *2 *2 *3) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-1683 (*1 *2 *3) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-1075)))) (-4026 (*1 *2 *3 *2) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-1 *4 (-592))) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) (-2513 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-2213 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-1749 (*1 *2 *3) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-1075)))) (-2620 (*1 *2 *3) (-12 (-5 *2 (-1171 (-592))) (-5 *1 (-1175 *4)) (-4 *4 (-1075)) (-5 *3 (-592)))) (-3402 (*1 *2 *3) (-12 (-5 *2 (-1171 (-592))) (-5 *1 (-1175 *4)) (-4 *4 (-1075)) (-5 *3 (-592)))) (-1493 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-1075)))) (-3371 (*1 *2 *2) (|partial| -12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3313 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3616 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3306 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3306 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) (-3300 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(-10 -7 (-15 -3300 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3306 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3306 ((-1171 |#1|) (-1171 |#1|))) (-15 * ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 * ((-1171 |#1|) |#1| (-1171 |#1|))) (-15 * ((-1171 |#1|) (-1171 |#1|) |#1|)) (-15 -3616 ((-3 (-1171 |#1|) "failed") (-1171 |#1|) (-1171 |#1|))) (-15 -3313 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3371 ((-3 (-1171 |#1|) "failed") (-1171 |#1|))) (-15 -1493 ((-1171 |#1|) |#1| (-592))) (-15 -3402 ((-1171 (-592)) (-592))) (-15 -2620 ((-1171 (-592)) (-592))) (-15 -1749 ((-1171 |#1|) |#1|)) (-15 -2213 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -2513 ((-1171 |#1|) (-1171 |#1|))) (-15 -4026 ((-1171 |#1|) (-1 |#1| (-592)) (-1171 |#1|))) (-15 -1683 ((-1171 |#1|) |#1|)) (-15 -2806 ((-1171 |#1|) (-1171 |#1|) |#1|)) (-15 -4060 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -3121 ((-1171 |#1|) (-1171 |#1|))) (-15 -3621 ((-1171 |#1|) (-1171 |#1|))) (-15 -2037 ((-1171 |#1|) (-1171 (-1171 |#1|)))) (-15 -4006 ((-1171 |#1|) (-1171 |#1|))) (-15 -2669 ((-1171 |#1|) (-1171 |#1|))) (-15 -3325 ((-1171 |#1|) (-1171 |#1|))) (-15 -2860 ((-1171 |#1|) (-1171 |#1|) (-592) (-592))) (-15 -3368 ((-1171 |#1|) (-592) (-592) (-1171 |#1|))) (-15 -3884 ((-1171 |#1|) (-592) (-592) (-1171 |#1|))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ((-1171 |#1|) |#1| (-1171 |#1|))) (-15 -4286 ((-1171 |#1|) |#1| (-1 (-1171 |#1|)))) (-15 -3019 ((-1171 |#1|) (-1171 (-1171 |#1|)))) (-15 -4441 ((-1171 |#1|) (-433 (-592)) (-1171 |#1|)))) |noBranch|) (IF (|has| |#1| (-388)) (PROGN (-15 -2164 ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -2109 ((-1171 |#1|) (-1 |#1| (-592)) |#1| (-1 (-1171 |#1|)))) (-15 -3116 ((-1171 |#1|) |#1| (-1171 |#1|)))) |noBranch|)) 
-((-1588 (((-1171 |#1|) (-1171 |#1|)) 57)) (-1507 (((-1171 |#1|) (-1171 |#1|)) 39)) (-1575 (((-1171 |#1|) (-1171 |#1|)) 53)) (-1495 (((-1171 |#1|) (-1171 |#1|)) 35)) (-1601 (((-1171 |#1|) (-1171 |#1|)) 60)) (-1521 (((-1171 |#1|) (-1171 |#1|)) 42)) (-4546 (((-1171 |#1|) (-1171 |#1|)) 31)) (-1430 (((-1171 |#1|) (-1171 |#1|)) 27)) (-1609 (((-1171 |#1|) (-1171 |#1|)) 61)) (-1527 (((-1171 |#1|) (-1171 |#1|)) 43)) (-1594 (((-1171 |#1|) (-1171 |#1|)) 58)) (-1515 (((-1171 |#1|) (-1171 |#1|)) 40)) (-1581 (((-1171 |#1|) (-1171 |#1|)) 55)) (-1501 (((-1171 |#1|) (-1171 |#1|)) 37)) (-1630 (((-1171 |#1|) (-1171 |#1|)) 65)) (-1546 (((-1171 |#1|) (-1171 |#1|)) 47)) (-1617 (((-1171 |#1|) (-1171 |#1|)) 63)) (-1533 (((-1171 |#1|) (-1171 |#1|)) 45)) (-1642 (((-1171 |#1|) (-1171 |#1|)) 68)) (-1559 (((-1171 |#1|) (-1171 |#1|)) 50)) (-2892 (((-1171 |#1|) (-1171 |#1|)) 69)) (-1567 (((-1171 |#1|) (-1171 |#1|)) 51)) (-1636 (((-1171 |#1|) (-1171 |#1|)) 67)) (-1552 (((-1171 |#1|) (-1171 |#1|)) 49)) (-1624 (((-1171 |#1|) (-1171 |#1|)) 66)) (-1540 (((-1171 |#1|) (-1171 |#1|)) 48)) (** (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 33))) 
-(((-1176 |#1|) (-10 -7 (-15 -1430 ((-1171 |#1|) (-1171 |#1|))) (-15 -4546 ((-1171 |#1|) (-1171 |#1|))) (-15 ** ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -1495 ((-1171 |#1|) (-1171 |#1|))) (-15 -1501 ((-1171 |#1|) (-1171 |#1|))) (-15 -1507 ((-1171 |#1|) (-1171 |#1|))) (-15 -1515 ((-1171 |#1|) (-1171 |#1|))) (-15 -1521 ((-1171 |#1|) (-1171 |#1|))) (-15 -1527 ((-1171 |#1|) (-1171 |#1|))) (-15 -1533 ((-1171 |#1|) (-1171 |#1|))) (-15 -1540 ((-1171 |#1|) (-1171 |#1|))) (-15 -1546 ((-1171 |#1|) (-1171 |#1|))) (-15 -1552 ((-1171 |#1|) (-1171 |#1|))) (-15 -1559 ((-1171 |#1|) (-1171 |#1|))) (-15 -1567 ((-1171 |#1|) (-1171 |#1|))) (-15 -1575 ((-1171 |#1|) (-1171 |#1|))) (-15 -1581 ((-1171 |#1|) (-1171 |#1|))) (-15 -1588 ((-1171 |#1|) (-1171 |#1|))) (-15 -1594 ((-1171 |#1|) (-1171 |#1|))) (-15 -1601 ((-1171 |#1|) (-1171 |#1|))) (-15 -1609 ((-1171 |#1|) (-1171 |#1|))) (-15 -1617 ((-1171 |#1|) (-1171 |#1|))) (-15 -1624 ((-1171 |#1|) (-1171 |#1|))) (-15 -1630 ((-1171 |#1|) (-1171 |#1|))) (-15 -1636 ((-1171 |#1|) (-1171 |#1|))) (-15 -1642 ((-1171 |#1|) (-1171 |#1|))) (-15 -2892 ((-1171 |#1|) (-1171 |#1|)))) (-43 (-433 (-592)))) (T -1176)) 
-((-2892 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1642 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1636 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1630 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1624 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1617 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1609 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1601 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1594 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1588 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1581 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1575 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1567 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1559 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1552 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1546 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1540 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1533 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1527 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1521 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1515 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1507 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1495 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-4546 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) (-1430 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3))))) 
-(-10 -7 (-15 -1430 ((-1171 |#1|) (-1171 |#1|))) (-15 -4546 ((-1171 |#1|) (-1171 |#1|))) (-15 ** ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -1495 ((-1171 |#1|) (-1171 |#1|))) (-15 -1501 ((-1171 |#1|) (-1171 |#1|))) (-15 -1507 ((-1171 |#1|) (-1171 |#1|))) (-15 -1515 ((-1171 |#1|) (-1171 |#1|))) (-15 -1521 ((-1171 |#1|) (-1171 |#1|))) (-15 -1527 ((-1171 |#1|) (-1171 |#1|))) (-15 -1533 ((-1171 |#1|) (-1171 |#1|))) (-15 -1540 ((-1171 |#1|) (-1171 |#1|))) (-15 -1546 ((-1171 |#1|) (-1171 |#1|))) (-15 -1552 ((-1171 |#1|) (-1171 |#1|))) (-15 -1559 ((-1171 |#1|) (-1171 |#1|))) (-15 -1567 ((-1171 |#1|) (-1171 |#1|))) (-15 -1575 ((-1171 |#1|) (-1171 |#1|))) (-15 -1581 ((-1171 |#1|) (-1171 |#1|))) (-15 -1588 ((-1171 |#1|) (-1171 |#1|))) (-15 -1594 ((-1171 |#1|) (-1171 |#1|))) (-15 -1601 ((-1171 |#1|) (-1171 |#1|))) (-15 -1609 ((-1171 |#1|) (-1171 |#1|))) (-15 -1617 ((-1171 |#1|) (-1171 |#1|))) (-15 -1624 ((-1171 |#1|) (-1171 |#1|))) (-15 -1630 ((-1171 |#1|) (-1171 |#1|))) (-15 -1636 ((-1171 |#1|) (-1171 |#1|))) (-15 -1642 ((-1171 |#1|) (-1171 |#1|))) (-15 -2892 ((-1171 |#1|) (-1171 |#1|)))) 
-((-1588 (((-1171 |#1|) (-1171 |#1|)) 100)) (-1507 (((-1171 |#1|) (-1171 |#1|)) 64)) (-3739 (((-2 (|:| -1575 (-1171 |#1|)) (|:| -1581 (-1171 |#1|))) (-1171 |#1|)) 96)) (-1575 (((-1171 |#1|) (-1171 |#1|)) 97)) (-4024 (((-2 (|:| -1495 (-1171 |#1|)) (|:| -1501 (-1171 |#1|))) (-1171 |#1|)) 53)) (-1495 (((-1171 |#1|) (-1171 |#1|)) 54)) (-1601 (((-1171 |#1|) (-1171 |#1|)) 102)) (-1521 (((-1171 |#1|) (-1171 |#1|)) 71)) (-4546 (((-1171 |#1|) (-1171 |#1|)) 39)) (-1430 (((-1171 |#1|) (-1171 |#1|)) 36)) (-1609 (((-1171 |#1|) (-1171 |#1|)) 103)) (-1527 (((-1171 |#1|) (-1171 |#1|)) 72)) (-1594 (((-1171 |#1|) (-1171 |#1|)) 101)) (-1515 (((-1171 |#1|) (-1171 |#1|)) 67)) (-1581 (((-1171 |#1|) (-1171 |#1|)) 98)) (-1501 (((-1171 |#1|) (-1171 |#1|)) 55)) (-1630 (((-1171 |#1|) (-1171 |#1|)) 111)) (-1546 (((-1171 |#1|) (-1171 |#1|)) 86)) (-1617 (((-1171 |#1|) (-1171 |#1|)) 105)) (-1533 (((-1171 |#1|) (-1171 |#1|)) 82)) (-1642 (((-1171 |#1|) (-1171 |#1|)) 115)) (-1559 (((-1171 |#1|) (-1171 |#1|)) 90)) (-2892 (((-1171 |#1|) (-1171 |#1|)) 117)) (-1567 (((-1171 |#1|) (-1171 |#1|)) 92)) (-1636 (((-1171 |#1|) (-1171 |#1|)) 113)) (-1552 (((-1171 |#1|) (-1171 |#1|)) 88)) (-1624 (((-1171 |#1|) (-1171 |#1|)) 107)) (-1540 (((-1171 |#1|) (-1171 |#1|)) 84)) (** (((-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) 40))) 
-(((-1177 |#1|) (-10 -7 (-15 -1430 ((-1171 |#1|) (-1171 |#1|))) (-15 -4546 ((-1171 |#1|) (-1171 |#1|))) (-15 ** ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -4024 ((-2 (|:| -1495 (-1171 |#1|)) (|:| -1501 (-1171 |#1|))) (-1171 |#1|))) (-15 -1495 ((-1171 |#1|) (-1171 |#1|))) (-15 -1501 ((-1171 |#1|) (-1171 |#1|))) (-15 -1507 ((-1171 |#1|) (-1171 |#1|))) (-15 -1515 ((-1171 |#1|) (-1171 |#1|))) (-15 -1521 ((-1171 |#1|) (-1171 |#1|))) (-15 -1527 ((-1171 |#1|) (-1171 |#1|))) (-15 -1533 ((-1171 |#1|) (-1171 |#1|))) (-15 -1540 ((-1171 |#1|) (-1171 |#1|))) (-15 -1546 ((-1171 |#1|) (-1171 |#1|))) (-15 -1552 ((-1171 |#1|) (-1171 |#1|))) (-15 -1559 ((-1171 |#1|) (-1171 |#1|))) (-15 -1567 ((-1171 |#1|) (-1171 |#1|))) (-15 -3739 ((-2 (|:| -1575 (-1171 |#1|)) (|:| -1581 (-1171 |#1|))) (-1171 |#1|))) (-15 -1575 ((-1171 |#1|) (-1171 |#1|))) (-15 -1581 ((-1171 |#1|) (-1171 |#1|))) (-15 -1588 ((-1171 |#1|) (-1171 |#1|))) (-15 -1594 ((-1171 |#1|) (-1171 |#1|))) (-15 -1601 ((-1171 |#1|) (-1171 |#1|))) (-15 -1609 ((-1171 |#1|) (-1171 |#1|))) (-15 -1617 ((-1171 |#1|) (-1171 |#1|))) (-15 -1624 ((-1171 |#1|) (-1171 |#1|))) (-15 -1630 ((-1171 |#1|) (-1171 |#1|))) (-15 -1636 ((-1171 |#1|) (-1171 |#1|))) (-15 -1642 ((-1171 |#1|) (-1171 |#1|))) (-15 -2892 ((-1171 |#1|) (-1171 |#1|)))) (-43 (-433 (-592)))) (T -1177)) 
-((-2892 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1642 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1636 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1630 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1624 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1617 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1609 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1601 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1594 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1588 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1581 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1575 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-3739 (*1 *2 *3) (-12 (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-2 (|:| -1575 (-1171 *4)) (|:| -1581 (-1171 *4)))) (-5 *1 (-1177 *4)) (-5 *3 (-1171 *4)))) (-1567 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1559 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1552 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1546 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1540 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1533 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1527 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1521 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1515 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1507 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1495 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-4024 (*1 *2 *3) (-12 (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-2 (|:| -1495 (-1171 *4)) (|:| -1501 (-1171 *4)))) (-5 *1 (-1177 *4)) (-5 *3 (-1171 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-4546 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) (-1430 (*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(-10 -7 (-15 -1430 ((-1171 |#1|) (-1171 |#1|))) (-15 -4546 ((-1171 |#1|) (-1171 |#1|))) (-15 ** ((-1171 |#1|) (-1171 |#1|) (-1171 |#1|))) (-15 -4024 ((-2 (|:| -1495 (-1171 |#1|)) (|:| -1501 (-1171 |#1|))) (-1171 |#1|))) (-15 -1495 ((-1171 |#1|) (-1171 |#1|))) (-15 -1501 ((-1171 |#1|) (-1171 |#1|))) (-15 -1507 ((-1171 |#1|) (-1171 |#1|))) (-15 -1515 ((-1171 |#1|) (-1171 |#1|))) (-15 -1521 ((-1171 |#1|) (-1171 |#1|))) (-15 -1527 ((-1171 |#1|) (-1171 |#1|))) (-15 -1533 ((-1171 |#1|) (-1171 |#1|))) (-15 -1540 ((-1171 |#1|) (-1171 |#1|))) (-15 -1546 ((-1171 |#1|) (-1171 |#1|))) (-15 -1552 ((-1171 |#1|) (-1171 |#1|))) (-15 -1559 ((-1171 |#1|) (-1171 |#1|))) (-15 -1567 ((-1171 |#1|) (-1171 |#1|))) (-15 -3739 ((-2 (|:| -1575 (-1171 |#1|)) (|:| -1581 (-1171 |#1|))) (-1171 |#1|))) (-15 -1575 ((-1171 |#1|) (-1171 |#1|))) (-15 -1581 ((-1171 |#1|) (-1171 |#1|))) (-15 -1588 ((-1171 |#1|) (-1171 |#1|))) (-15 -1594 ((-1171 |#1|) (-1171 |#1|))) (-15 -1601 ((-1171 |#1|) (-1171 |#1|))) (-15 -1609 ((-1171 |#1|) (-1171 |#1|))) (-15 -1617 ((-1171 |#1|) (-1171 |#1|))) (-15 -1624 ((-1171 |#1|) (-1171 |#1|))) (-15 -1630 ((-1171 |#1|) (-1171 |#1|))) (-15 -1636 ((-1171 |#1|) (-1171 |#1|))) (-15 -1642 ((-1171 |#1|) (-1171 |#1|))) (-15 -2892 ((-1171 |#1|) (-1171 |#1|)))) 
-((-1928 (((-986 |#2|) |#2| |#2|) 35)) (-3262 ((|#2| |#2| |#1|) 19 (|has| |#1| (-323))))) 
-(((-1178 |#1| |#2|) (-10 -7 (-15 -1928 ((-986 |#2|) |#2| |#2|)) (IF (|has| |#1| (-323)) (-15 -3262 (|#2| |#2| |#1|)) |noBranch|)) (-582) (-1255 |#1|)) (T -1178)) 
-((-3262 (*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-4 *3 (-582)) (-5 *1 (-1178 *3 *2)) (-4 *2 (-1255 *3)))) (-1928 (*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-986 *3)) (-5 *1 (-1178 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -1928 ((-986 |#2|) |#2| |#2|)) (IF (|has| |#1| (-323)) (-15 -3262 (|#2| |#2| |#1|)) |noBranch|)) 
-((-1641 (((-141) $ $) NIL)) (-4000 (($ $ (-658 (-790))) 66)) (-3540 (($) 25)) (-1978 (($ $) 41)) (-1504 (((-658 $) $) 50)) (-3272 (((-141) $) 16)) (-1708 (((-658 (-971 |#2|)) $) 73)) (-2107 (($ $) 67)) (-1911 (((-790) $) 36)) (-3242 (($) 24)) (-3647 (($ $ (-658 (-790)) (-971 |#2|)) 59) (($ $ (-658 (-790)) (-790)) 60) (($ $ (-790) (-971 |#2|)) 62)) (-4491 (($ $ $) 47) (($ (-658 $)) 49)) (-3238 (((-790) $) 74)) (-3683 (((-141) $) 15)) (-2685 (((-1173) $) NIL)) (-2911 (((-141) $) 17)) (-2951 (((-1137) $) NIL)) (-2895 (((-193) $) 72)) (-1772 (((-971 |#2|) $) 68)) (-2902 (((-790) $) 69)) (-2006 (((-141) $) 71)) (-4554 (($ $ (-658 (-790)) (-193)) 65)) (-3446 (($ $) 42)) (-1683 (((-877) $) 84)) (-1579 (($ $ (-658 (-790)) (-141)) 64)) (-2493 (((-658 $) $) 11)) (-3992 (($ $ (-790)) 35)) (-3308 (($ $) 31)) (-2116 (($ $ $ (-971 |#2|) (-790)) 55)) (-3855 (($ $ (-971 |#2|)) 54)) (-4263 (($ $ (-658 (-790)) (-971 |#2|)) 53) (($ $ (-658 (-790)) (-790)) 57) (((-790) $ (-971 |#2|)) 58)) (-3255 (((-141) $ $) 78))) 
-(((-1179 |#1| |#2|) (-13 (-1119) (-10 -8 (-15 -3683 ((-141) $)) (-15 -3272 ((-141) $)) (-15 -2911 ((-141) $)) (-15 -3242 ($)) (-15 -3540 ($)) (-15 -3308 ($ $)) (-15 -3992 ($ $ (-790))) (-15 -2493 ((-658 $) $)) (-15 -1911 ((-790) $)) (-15 -1978 ($ $)) (-15 -3446 ($ $)) (-15 -4491 ($ $ $)) (-15 -4491 ($ (-658 $))) (-15 -1504 ((-658 $) $)) (-15 -4263 ($ $ (-658 (-790)) (-971 |#2|))) (-15 -3855 ($ $ (-971 |#2|))) (-15 -2116 ($ $ $ (-971 |#2|) (-790))) (-15 -3647 ($ $ (-658 (-790)) (-971 |#2|))) (-15 -4263 ($ $ (-658 (-790)) (-790))) (-15 -3647 ($ $ (-658 (-790)) (-790))) (-15 -4263 ((-790) $ (-971 |#2|))) (-15 -3647 ($ $ (-790) (-971 |#2|))) (-15 -1579 ($ $ (-658 (-790)) (-141))) (-15 -4554 ($ $ (-658 (-790)) (-193))) (-15 -4000 ($ $ (-658 (-790)))) (-15 -1772 ((-971 |#2|) $)) (-15 -2902 ((-790) $)) (-15 -2006 ((-141) $)) (-15 -2895 ((-193) $)) (-15 -3238 ((-790) $)) (-15 -2107 ($ $)) (-15 -1708 ((-658 (-971 |#2|)) $)))) (-944) (-1075)) (T -1179)) 
-((-3683 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-3272 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-2911 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-3242 (*1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-3540 (*1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-3308 (*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-3992 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-2493 (*1 *2 *1) (-12 (-5 *2 (-658 (-1179 *3 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-1911 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-1978 (*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-3446 (*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-4491 (*1 *1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-4491 (*1 *1 *2) (-12 (-5 *2 (-658 (-1179 *3 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-1504 (*1 *2 *1) (-12 (-5 *2 (-658 (-1179 *3 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-4263 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) (-3855 (*1 *1 *1 *2) (-12 (-5 *2 (-971 *4)) (-4 *4 (-1075)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)))) (-2116 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-971 *5)) (-5 *3 (-790)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) (-3647 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) (-4263 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-790)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075)))) (-3647 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-790)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075)))) (-4263 (*1 *2 *1 *3) (-12 (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *2 (-790)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) (-3647 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) (-1579 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-141)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075)))) (-4554 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-193)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075)))) (-4000 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-790))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-1772 (*1 *2 *1) (-12 (-5 *2 (-971 *4)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-2902 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-2006 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-2895 (*1 *2 *1) (-12 (-5 *2 (-193)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-3238 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) (-2107 (*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) (-1708 (*1 *2 *1) (-12 (-5 *2 (-658 (-971 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(-13 (-1119) (-10 -8 (-15 -3683 ((-141) $)) (-15 -3272 ((-141) $)) (-15 -2911 ((-141) $)) (-15 -3242 ($)) (-15 -3540 ($)) (-15 -3308 ($ $)) (-15 -3992 ($ $ (-790))) (-15 -2493 ((-658 $) $)) (-15 -1911 ((-790) $)) (-15 -1978 ($ $)) (-15 -3446 ($ $)) (-15 -4491 ($ $ $)) (-15 -4491 ($ (-658 $))) (-15 -1504 ((-658 $) $)) (-15 -4263 ($ $ (-658 (-790)) (-971 |#2|))) (-15 -3855 ($ $ (-971 |#2|))) (-15 -2116 ($ $ $ (-971 |#2|) (-790))) (-15 -3647 ($ $ (-658 (-790)) (-971 |#2|))) (-15 -4263 ($ $ (-658 (-790)) (-790))) (-15 -3647 ($ $ (-658 (-790)) (-790))) (-15 -4263 ((-790) $ (-971 |#2|))) (-15 -3647 ($ $ (-790) (-971 |#2|))) (-15 -1579 ($ $ (-658 (-790)) (-141))) (-15 -4554 ($ $ (-658 (-790)) (-193))) (-15 -4000 ($ $ (-658 (-790)))) (-15 -1772 ((-971 |#2|) $)) (-15 -2902 ((-790) $)) (-15 -2006 ((-141) $)) (-15 -2895 ((-193) $)) (-15 -3238 ((-790) $)) (-15 -2107 ($ $)) (-15 -1708 ((-658 (-971 |#2|)) $)))) 
-((-1641 (((-141) $ $) NIL)) (-1673 ((|#2| $) 11)) (-3634 ((|#1| $) 10)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4466 (($ |#1| |#2|) 9)) (-1683 (((-877) $) 16)) (-3255 (((-141) $ $) NIL))) 
-(((-1180 |#1| |#2|) (-13 (-1119) (-10 -8 (-15 -4466 ($ |#1| |#2|)) (-15 -3634 (|#1| $)) (-15 -1673 (|#2| $)))) (-1119) (-1119)) (T -1180)) 
-((-4466 (*1 *1 *2 *3) (-12 (-5 *1 (-1180 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-3634 (*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-1180 *2 *3)) (-4 *3 (-1119)))) (-1673 (*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-1180 *3 *2)) (-4 *3 (-1119))))) 
-(-13 (-1119) (-10 -8 (-15 -4466 ($ |#1| |#2|)) (-15 -3634 (|#1| $)) (-15 -1673 (|#2| $)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-1189 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-323)) (|has| |#1| (-388))))) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 11)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-1555 (($ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-1313 (((-141) $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-2306 (($ $ (-592)) NIL) (($ $ (-592) (-592)) 66)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-1444 (((-1189 |#1| |#2| |#3|) $) 36)) (-2919 (((-3 (-1189 |#1| |#2| |#3|) "failed") $) 29)) (-1986 (((-1189 |#1| |#2| |#3|) $) 30)) (-1588 (($ $) 107 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 83 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) 103 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 79 (|has| |#1| (-43 (-433 (-592)))))) (-3940 (((-592) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-2881 (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) NIL)) (-1601 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 87 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-1189 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1191) "failed") $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-1191))) (|has| |#1| (-388)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388)))) (((-3 (-592) "failed") $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388))))) (-2400 (((-1189 |#1| |#2| |#3|) $) 131) (((-1191) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-1191))) (|has| |#1| (-388)))) (((-433 (-592)) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388)))) (((-592) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388))))) (-3792 (($ $) 34) (($ (-592) $) 35)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-1189 |#1| |#2| |#3|)) (-706 $)) NIL (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 (-1189 |#1| |#2| |#3|))) (|:| |vec| (-1280 (-1189 |#1| |#2| |#3|)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-654 (-592))) (|has| |#1| (-388)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-654 (-592))) (|has| |#1| (-388))))) (-3371 (((-3 $ "failed") $) 48)) (-3247 (((-433 (-980 |#1|)) $ (-592)) 65 (|has| |#1| (-582))) (((-433 (-980 |#1|)) $ (-592) (-592)) 67 (|has| |#1| (-582)))) (-4290 (($) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-574)) (|has| |#1| (-388))))) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-1691 (((-141) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-2273 (((-141) $) 25)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-908 (-592))) (|has| |#1| (-388)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-908 (-405))) (|has| |#1| (-388))))) (-4346 (((-592) $) NIL) (((-592) $ (-592)) 24)) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL (|has| |#1| (-388)))) (-1448 (((-1189 |#1| |#2| |#3|) $) 38 (|has| |#1| (-388)))) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3921 (((-3 $ "failed") $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1165)) (|has| |#1| (-388))))) (-1324 (((-141) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-3990 (($ $ (-944)) NIL)) (-1376 (($ (-1 |#1| (-592)) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-592)) 18) (($ $ (-1103) (-592)) NIL) (($ $ (-658 (-1103)) (-658 (-592))) NIL)) (-1837 (($ $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3319 (($ $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-388)))) (-4546 (($ $) 72 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-1994 (($ (-592) (-1189 |#1| |#2| |#3|)) 33)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3162 (($ $) 70 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 71 (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1165)) (|has| |#1| (-388))) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3856 (($ $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-323)) (|has| |#1| (-388))))) (-2039 (((-1189 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-574)) (|has| |#1| (-388))))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-592)) 145)) (-3616 (((-3 $ "failed") $ $) 49 (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) 73 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-592))))) (($ $ (-1191) (-1189 |#1| |#2| |#3|)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-547 (-1191) (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-658 (-1191)) (-658 (-1189 |#1| |#2| |#3|))) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-547 (-1191) (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-658 (-310 (-1189 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-325 (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-310 (-1189 |#1| |#2| |#3|))) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-325 (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-325 (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-658 (-1189 |#1| |#2| |#3|)) (-658 (-1189 |#1| |#2| |#3|))) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-325 (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-592)) NIL) (($ $ $) 54 (|has| (-592) (-1131))) (($ $ (-1189 |#1| |#2| |#3|)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-303 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|))) (|has| |#1| (-388))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-1 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|))) NIL (|has| |#1| (-388))) (($ $ (-1 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) (-790)) NIL (|has| |#1| (-388))) (($ $ (-1276 |#2|)) 51) (($ $ (-790)) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) 50 (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191) (-790)) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-658 (-1191))) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))))) (-2782 (($ $) NIL (|has| |#1| (-388)))) (-1456 (((-1189 |#1| |#2| |#3|) $) 41 (|has| |#1| (-388)))) (-4525 (((-592) $) 37)) (-1609 (($ $) 113 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 89 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 109 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 85 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 105 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 81 (|has| |#1| (-43 (-433 (-592)))))) (-1778 (((-565) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-633 (-565))) (|has| |#1| (-388)))) (((-405) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1049)) (|has| |#1| (-388)))) (((-237) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1049)) (|has| |#1| (-388)))) (((-914 (-405)) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-633 (-914 (-405)))) (|has| |#1| (-388)))) (((-914 (-592)) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-633 (-914 (-592)))) (|has| |#1| (-388))))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) 149) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1189 |#1| |#2| |#3|)) 27) (($ (-1276 |#2|)) 23) (($ (-1191)) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-1191))) (|has| |#1| (-388)))) (($ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582)))) (($ (-433 (-592))) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388))) (|has| |#1| (-43 (-433 (-592))))))) (-1937 ((|#1| $ (-592)) 68)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-169)) (|has| |#1| (-388))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 12)) (-2744 (((-1189 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-574)) (|has| |#1| (-388))))) (-1630 (($ $) 119 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 95 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-1617 (($ $) 115 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 91 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 123 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 99 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-592)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 125 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 101 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 121 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 97 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 117 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 93 (|has| |#1| (-43 (-433 (-592)))))) (-1392 (($ $) NIL (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 20 T CONST)) (-4257 (($) 16 T CONST)) (-1940 (($ $ (-1 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|))) NIL (|has| |#1| (-388))) (($ $ (-1 (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) (-790)) NIL (|has| |#1| (-388))) (($ $ (-790)) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191) (-790)) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-658 (-1191))) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))))) (-3286 (((-141) $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3273 (((-141) $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3266 (((-141) $ $) NIL (-3836 (-12 (|has| (-1189 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1189 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) 44 (|has| |#1| (-388))) (($ (-1189 |#1| |#2| |#3|) (-1189 |#1| |#2| |#3|)) 45 (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 21)) (** (($ $ (-944)) NIL) (($ $ (-790)) 53) (($ $ (-592)) NIL (|has| |#1| (-388))) (($ $ $) 74 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 128 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1189 |#1| |#2| |#3|)) 43 (|has| |#1| (-388))) (($ (-1189 |#1| |#2| |#3|) $) 42 (|has| |#1| (-388))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1181 |#1| |#2| |#3|) (-13 (-1241 |#1| (-1189 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -1181)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1181 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1181 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1181 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1241 |#1| (-1189 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-2090 ((|#2| |#2| (-1111 |#2|)) 26) ((|#2| |#2| (-1191)) 28))) 
-(((-1182 |#1| |#2|) (-10 -7 (-15 -2090 (|#2| |#2| (-1191))) (-15 -2090 (|#2| |#2| (-1111 |#2|)))) (-13 (-582) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-456 |#1|) (-182) (-27) (-1211))) (T -1182)) 
-((-2090 (*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-13 (-456 *4) (-182) (-27) (-1211))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1182 *4 *2)))) (-2090 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1182 *4 *2)) (-4 *2 (-13 (-456 *4) (-182) (-27) (-1211)))))) 
-(-10 -7 (-15 -2090 (|#2| |#2| (-1191))) (-15 -2090 (|#2| |#2| (-1111 |#2|)))) 
-((-2090 (((-3 (-433 (-980 |#1|)) (-332 |#1|)) (-433 (-980 |#1|)) (-1111 (-433 (-980 |#1|)))) 30) (((-433 (-980 |#1|)) (-980 |#1|) (-1111 (-980 |#1|))) 44) (((-3 (-433 (-980 |#1|)) (-332 |#1|)) (-433 (-980 |#1|)) (-1191)) 32) (((-433 (-980 |#1|)) (-980 |#1|) (-1191)) 36))) 
-(((-1183 |#1|) (-10 -7 (-15 -2090 ((-433 (-980 |#1|)) (-980 |#1|) (-1191))) (-15 -2090 ((-3 (-433 (-980 |#1|)) (-332 |#1|)) (-433 (-980 |#1|)) (-1191))) (-15 -2090 ((-433 (-980 |#1|)) (-980 |#1|) (-1111 (-980 |#1|)))) (-15 -2090 ((-3 (-433 (-980 |#1|)) (-332 |#1|)) (-433 (-980 |#1|)) (-1111 (-433 (-980 |#1|)))))) (-13 (-582) (-869) (-1065 (-592)))) (T -1183)) 
-((-2090 (*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-433 (-980 *5)))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-3 *3 (-332 *5))) (-5 *1 (-1183 *5)))) (-2090 (*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-980 *5))) (-5 *3 (-980 *5)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-433 *3)) (-5 *1 (-1183 *5)))) (-2090 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-3 (-433 (-980 *5)) (-332 *5))) (-5 *1 (-1183 *5)) (-5 *3 (-433 (-980 *5))))) (-2090 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-433 (-980 *5))) (-5 *1 (-1183 *5)) (-5 *3 (-980 *5))))) 
-(-10 -7 (-15 -2090 ((-433 (-980 |#1|)) (-980 |#1|) (-1191))) (-15 -2090 ((-3 (-433 (-980 |#1|)) (-332 |#1|)) (-433 (-980 |#1|)) (-1191))) (-15 -2090 ((-433 (-980 |#1|)) (-980 |#1|) (-1111 (-980 |#1|)))) (-15 -2090 ((-3 (-433 (-980 |#1|)) (-332 |#1|)) (-433 (-980 |#1|)) (-1111 (-433 (-980 |#1|)))))) 
-((-2731 (((-1187 |#2|) (-1 |#2| |#1|) (-1187 |#1|)) 13))) 
-(((-1184 |#1| |#2|) (-10 -7 (-15 -2731 ((-1187 |#2|) (-1 |#2| |#1|) (-1187 |#1|)))) (-1075) (-1075)) (T -1184)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1187 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-1187 *6)) (-5 *1 (-1184 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-1187 |#2|) (-1 |#2| |#1|) (-1187 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2651 (((-1280 |#1|) $ (-790)) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-2085 (($ (-1187 |#1|)) NIL)) (-4492 (((-1187 $) $ (-1103)) NIL) (((-1187 |#1|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) NIL)) (-1588 (($ $) NIL (|has| |#1| (-1211)))) (-1507 (($ $) NIL (|has| |#1| (-1211)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3250 (($ $ $) NIL (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) NIL (|has| |#1| (-1211)))) (-1495 (($ $) 22 (|has| |#1| (-1211)))) (-1696 (($ $ (-790)) NIL)) (-1498 (($ $ (-790)) NIL)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-477)))) (-1601 (($ $) NIL (|has| |#1| (-1211)))) (-1521 (($ $) NIL (|has| |#1| (-1211)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-1103) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-1103) $) NIL)) (-1544 (($ $ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $ $) NIL (|has| |#1| (-194)))) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-3213 (($ $ $) NIL)) (-2133 (($ $ $) NIL (|has| |#1| (-582)))) (-4369 (((-2 (|:| -1487 |#1|) (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-3262 (($ $) NIL (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-790) $) NIL)) (-1435 (($) NIL (|has| |#1| (-1211)))) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1103) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1103) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ $) NIL (|has| |#1| (-582)))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-1165)))) (-4533 (($ (-1187 |#1|) (-1103)) NIL) (($ (-1187 $) (-1103)) NIL)) (-3990 (($ $ (-790)) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) NIL) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2070 (((-1187 |#1|) $) NIL)) (-3254 (((-3 (-1103) "failed") $) NIL)) (-4546 (($ $) 18 (|has| |#1| (-1211)))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) NIL (|has| |#1| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 8)) (-4565 ((|#1| $) 9)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#1| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-931)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) 20 (|has| |#1| (-1211)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#1|) NIL) (($ $ (-658 (-1103)) (-658 |#1|)) NIL) (($ $ (-1103) $) NIL) (($ $ (-658 (-1103)) (-658 $)) NIL)) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-433 $) (-433 $) (-433 $)) NIL (|has| |#1| (-582))) ((|#1| (-433 $) |#1|) NIL (|has| |#1| (-388))) (((-433 $) $ (-433 $)) NIL (|has| |#1| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-1482 (($ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $) NIL (|has| |#1| (-194)))) (-3644 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-4525 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1609 (($ $) NIL (|has| |#1| (-1211)))) (-1527 (($ $) NIL (|has| |#1| (-1211)))) (-1594 (($ $) NIL (|has| |#1| (-1211)))) (-1515 (($ $) NIL (|has| |#1| (-1211)))) (-1581 (($ $) NIL (|has| |#1| (-1211)))) (-1501 (($ $) 26 (|has| |#1| (-1211)))) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1103) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) NIL (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1528 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582))) (((-3 (-433 $) "failed") (-433 $) $) NIL (|has| |#1| (-582)))) (-1683 (((-877) $) 13) (($ (-592)) NIL) (($ |#1|) 11) (($ (-1103)) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-1630 (($ $) NIL (|has| |#1| (-1211)))) (-1546 (($ $) NIL (|has| |#1| (-1211)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-1211)))) (-1533 (($ $) 24 (|has| |#1| (-1211)))) (-1642 (($ $) NIL (|has| |#1| (-1211)))) (-1559 (($ $) NIL (|has| |#1| (-1211)))) (-2892 (($ $) NIL (|has| |#1| (-1211)))) (-1567 (($ $) NIL (|has| |#1| (-1211)))) (-1636 (($ $) NIL (|has| |#1| (-1211)))) (-1552 (($ $) NIL (|has| |#1| (-1211)))) (-1624 (($ $) NIL (|has| |#1| (-1211)))) (-1540 (($ $) 28 (|has| |#1| (-1211)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ $) NIL (|has| |#1| (-1211)))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1185 |#1|) (-13 (-1255 |#1|) (-10 -7 (IF (|has| |#1| (-1211)) (-6 (-1211)) |noBranch|))) (-1075)) (T -1185)) 
-NIL 
-(-13 (-1255 |#1|) (-10 -7 (IF (|has| |#1| (-1211)) (-6 (-1211)) |noBranch|))) 
-((-3164 (((-444 (-1187 (-433 |#4|))) (-1187 (-433 |#4|))) 50)) (-4500 (((-444 (-1187 (-433 |#4|))) (-1187 (-433 |#4|))) 51))) 
-(((-1186 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4500 ((-444 (-1187 (-433 |#4|))) (-1187 (-433 |#4|)))) (-15 -3164 ((-444 (-1187 (-433 |#4|))) (-1187 (-433 |#4|))))) (-815) (-869) (-477) (-977 |#3| |#1| |#2|)) (T -1186)) 
-((-3164 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-477)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-444 (-1187 (-433 *7)))) (-5 *1 (-1186 *4 *5 *6 *7)) (-5 *3 (-1187 (-433 *7))))) (-4500 (*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-477)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-444 (-1187 (-433 *7)))) (-5 *1 (-1186 *4 *5 *6 *7)) (-5 *3 (-1187 (-433 *7)))))) 
-(-10 -7 (-15 -4500 ((-444 (-1187 (-433 |#4|))) (-1187 (-433 |#4|)))) (-15 -3164 ((-444 (-1187 (-433 |#4|))) (-1187 (-433 |#4|))))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 30)) (-2651 (((-1280 |#1|) $ (-790)) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-2085 (($ (-1187 |#1|)) NIL)) (-4492 (((-1187 $) $ (-1103)) 59) (((-1187 |#1|) $) 48)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) 132 (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3250 (($ $ $) 126 (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) 72 (|has| |#1| (-931)))) (-3743 (($ $) NIL (|has| |#1| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 92 (|has| |#1| (-931)))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1696 (($ $ (-790)) 42)) (-1498 (($ $ (-790)) 43)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-477)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#1| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-1103) "failed") $) NIL)) (-2400 ((|#1| $) NIL) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-1103) $) NIL)) (-1544 (($ $ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $ $) 128 (|has| |#1| (-194)))) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) 57)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) NIL) (((-706 |#1|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-3213 (($ $ $) 104)) (-2133 (($ $ $) NIL (|has| |#1| (-582)))) (-4369 (((-2 (|:| -1487 |#1|) (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-3262 (($ $) 133 (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-790) $) 46)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1103) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1103) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4149 (((-877) $ (-877)) 117)) (-4346 (((-790) $ $) NIL (|has| |#1| (-582)))) (-3558 (((-141) $) 32)) (-4036 (((-790) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#1| (-1165)))) (-4533 (($ (-1187 |#1|) (-1103)) 50) (($ (-1187 $) (-1103)) 66)) (-3990 (($ $ (-790)) 34)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) 64) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) NIL) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 121)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2070 (((-1187 |#1|) $) NIL)) (-3254 (((-3 (-1103) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) 53)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) NIL (|has| |#1| (-477)))) (-2685 (((-1173) $) NIL)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) 41)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) NIL (|has| |#1| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) 33)) (-4565 ((|#1| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 80 (|has| |#1| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-477))) (($ $ $) 135 (|has| |#1| (-477)))) (-4550 (($ $ (-790) |#1| $) 99)) (-1416 (((-444 (-1187 $)) (-1187 $)) 78 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 77 (|has| |#1| (-931)))) (-4500 (((-444 $) $) 85 (|has| |#1| (-931)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#1|) NIL) (($ $ (-658 (-1103)) (-658 |#1|)) NIL) (($ $ (-1103) $) NIL) (($ $ (-658 (-1103)) (-658 $)) NIL)) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-433 $) (-433 $) (-433 $)) NIL (|has| |#1| (-582))) ((|#1| (-433 $) |#1|) NIL (|has| |#1| (-388))) (((-433 $) $ (-433 $)) NIL (|has| |#1| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) 37)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 137 (|has| |#1| (-388)))) (-1482 (($ $ (-1103)) NIL (|has| |#1| (-194))) ((|#1| $) 124 (|has| |#1| (-194)))) (-3644 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-4525 (((-790) $) 55) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1103) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) 130 (|has| |#1| (-477))) (($ $ (-1103)) NIL (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#1| (-931))))) (-1528 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582))) (((-3 (-433 $) "failed") (-433 $) $) NIL (|has| |#1| (-582)))) (-1683 (((-877) $) 118) (($ (-592)) NIL) (($ |#1|) 54) (($ (-1103)) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) 28 (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 15) (($ $ (-790)) 16)) (-3514 (($) 17 T CONST)) (-4257 (($) 18 T CONST)) (-1940 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) 97)) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3313 (($ $ |#1|) 138 (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 67)) (** (($ $ (-944)) 14) (($ $ (-790)) 12)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 27) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
-(((-1187 |#1|) (-13 (-1255 |#1|) (-10 -8 (-15 -4149 ((-877) $ (-877))) (-15 -4550 ($ $ (-790) |#1| $)))) (-1075)) (T -1187)) 
-((-4149 (*1 *2 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-1187 *3)) (-4 *3 (-1075)))) (-4550 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1187 *3)) (-4 *3 (-1075))))) 
-(-13 (-1255 |#1|) (-10 -8 (-15 -4149 ((-877) $ (-877))) (-15 -4550 ($ $ (-790) |#1| $)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 11)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) NIL) (($ $ (-433 (-592)) (-433 (-592))) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) NIL)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-1181 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1189 |#1| |#2| |#3|) "failed") $) 35)) (-2400 (((-1181 |#1| |#2| |#3|) $) NIL) (((-1189 |#1| |#2| |#3|) $) NIL)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1468 (((-433 (-592)) $) 55)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-2001 (($ (-433 (-592)) (-1181 |#1| |#2| |#3|)) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) NIL) (((-433 (-592)) $ (-433 (-592))) NIL)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) NIL) (($ $ (-433 (-592))) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-433 (-592))) 19) (($ $ (-1103) (-433 (-592))) NIL) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2337 (((-1181 |#1| |#2| |#3|) $) 40)) (-2501 (((-3 (-1181 |#1| |#2| |#3|) "failed") $) NIL)) (-1994 (((-1181 |#1| |#2| |#3|) $) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3162 (($ $) 38 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 39 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) NIL) (($ $ $) NIL (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $ (-1276 |#2|)) 37)) (-4525 (((-433 (-592)) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) 58) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1181 |#1| |#2| |#3|)) 29) (($ (-1189 |#1| |#2| |#3|)) 30) (($ (-1276 |#2|)) 25) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 12)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 21 T CONST)) (-4257 (($) 16 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 23)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1188 |#1| |#2| |#3|) (-13 (-1262 |#1| (-1181 |#1| |#2| |#3|)) (-1065 (-1189 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -1188)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1188 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1188 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1188 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1262 |#1| (-1181 |#1| |#2| |#3|)) (-1065 (-1189 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 124)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 115)) (-3395 (((-1252 |#2| |#1|) $ (-790)) 62)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-790)) 78) (($ $ (-790) (-790)) 75)) (-2982 (((-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|))) $) 101)) (-1588 (($ $) 168 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 144 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) 164 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 140 (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|)))) 114) (($ (-1171 |#1|)) 109)) (-1601 (($ $) 172 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 148 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) 23)) (-2410 (($ $) 26)) (-2012 (((-980 |#1|) $ (-790)) 74) (((-980 |#1|) $ (-790) (-790)) 76)) (-2273 (((-141) $) 119)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $) 121) (((-790) $ (-790)) 123)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) NIL)) (-1376 (($ (-1 |#1| (-592)) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) 13) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-3162 (($ $) 128 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 129 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2807 (($ $ (-790)) 15)) (-3616 (((-3 $ "failed") $ $) 24 (|has| |#1| (-582)))) (-1430 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-790)))))) (-3927 ((|#1| $ (-790)) 118) (($ $ $) 127 (|has| (-790) (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $ (-1276 |#2|)) 29)) (-4525 (((-790) $) NIL)) (-1609 (($ $) 174 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 150 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 170 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 146 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 166 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 142 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) 200) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) 125 (|has| |#1| (-194))) (($ (-1252 |#2| |#1|)) 50) (($ (-1276 |#2|)) 32)) (-1647 (((-1171 |#1|) $) 97)) (-1937 ((|#1| $ (-790)) 117)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 53)) (-1630 (($ $) 180 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 156 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) 176 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 152 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 184 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 160 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-790)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-790)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 186 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 162 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 182 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 158 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 178 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 154 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 17 T CONST)) (-4257 (($) 19 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) 193)) (-3300 (($ $ $) 31)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ |#1|) 197 (|has| |#1| (-388))) (($ $ $) 133 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 136 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1189 |#1| |#2| |#3|) (-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 |#2| |#1|))) (-15 -3395 ((-1252 |#2| |#1|) $ (-790))) (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -1189)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1252 *4 *3)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-1189 *3 *4 *5)))) (-3395 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 *5 *4)) (-5 *1 (-1189 *4 *5 *6)) (-4 *4 (-1075)) (-14 *5 (-1191)) (-14 *6 *4))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1189 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1189 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1189 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 |#2| |#1|))) (-15 -3395 ((-1252 |#2| |#1|) $ (-790))) (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-1683 (((-877) $) 22) (($ (-1191)) 24)) (-3836 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 35)) (-3830 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 28) (($ $) 29)) (-3517 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 30)) (-2996 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 32)) (-3681 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 31)) (-3137 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 33)) (-1465 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $))) 34))) 
-(((-1190) (-13 (-632 (-877)) (-10 -8 (-15 -1683 ($ (-1191))) (-15 -3517 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3681 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -2996 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3137 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3836 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -1465 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3830 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3830 ($ $))))) (T -1190)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1190)))) (-3517 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-3681 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-2996 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-3137 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-3836 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-1465 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-3830 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190)))) (-3830 (*1 *1 *1) (-5 *1 (-1190)))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -1683 ($ (-1191))) (-15 -3517 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3681 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -2996 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3137 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3836 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -1465 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)) (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3830 ($ (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| $)))) (-15 -3830 ($ $)))) 
-((-1641 (((-141) $ $) NIL)) (-1827 (($ $ (-658 (-877))) 58)) (-2191 (($ $ (-658 (-877))) 56)) (-4574 (((-1173) $) 82)) (-4239 (((-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877)))) $) 85)) (-3869 (((-141) $) 21)) (-2374 (($ $ (-658 (-658 (-877)))) 54) (($ $ (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877))))) 80)) (-3001 (($) 122 T CONST)) (-1682 (((-1285)) 103)) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 65) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 71)) (-3242 (($) 92) (($ $) 98)) (-4095 (($ $) 81)) (-1837 (($ $ $) NIL)) (-3319 (($ $ $) NIL)) (-1333 (((-658 $) $) 104)) (-2685 (((-1173) $) 87)) (-2951 (((-1137) $) NIL)) (-3927 (($ $ (-658 (-877))) 57)) (-1778 (((-565) $) 45) (((-1191) $) 46) (((-914 (-592)) $) 75) (((-914 (-405)) $) 73)) (-1683 (((-877) $) 52) (($ (-1173)) 47)) (-1925 (($ $ (-658 (-877))) 59)) (-1637 (((-1173) $) 33) (((-1173) $ (-141)) 34) (((-1285) (-844) $) 35) (((-1285) (-844) $ (-141)) 36)) (-3286 (((-141) $ $) NIL)) (-3273 (((-141) $ $) NIL)) (-3255 (((-141) $ $) 48)) (-3279 (((-141) $ $) NIL)) (-3266 (((-141) $ $) 49))) 
-(((-1191) (-13 (-869) (-633 (-565)) (-850) (-633 (-1191)) (-633 (-914 (-592))) (-633 (-914 (-405))) (-908 (-592)) (-908 (-405)) (-10 -8 (-15 -3242 ($)) (-15 -3242 ($ $)) (-15 -1682 ((-1285))) (-15 -1683 ($ (-1173))) (-15 -4095 ($ $)) (-15 -3869 ((-141) $)) (-15 -4239 ((-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877)))) $)) (-15 -2374 ($ $ (-658 (-658 (-877))))) (-15 -2374 ($ $ (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877)))))) (-15 -2191 ($ $ (-658 (-877)))) (-15 -1827 ($ $ (-658 (-877)))) (-15 -1925 ($ $ (-658 (-877)))) (-15 -3927 ($ $ (-658 (-877)))) (-15 -4574 ((-1173) $)) (-15 -1333 ((-658 $) $)) (-15 -3001 ($) -4249)))) (T -1191)) 
-((-3242 (*1 *1) (-5 *1 (-1191))) (-3242 (*1 *1 *1) (-5 *1 (-1191))) (-1682 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1191)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1191)))) (-4095 (*1 *1 *1) (-5 *1 (-1191))) (-3869 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1191)))) (-4239 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877))))) (-5 *1 (-1191)))) (-2374 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 (-877)))) (-5 *1 (-1191)))) (-2374 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877))))) (-5 *1 (-1191)))) (-2191 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191)))) (-1827 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191)))) (-1925 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191)))) (-4574 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1191)))) (-1333 (*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1191)))) (-3001 (*1 *1) (-5 *1 (-1191)))) 
-(-13 (-869) (-633 (-565)) (-850) (-633 (-1191)) (-633 (-914 (-592))) (-633 (-914 (-405))) (-908 (-592)) (-908 (-405)) (-10 -8 (-15 -3242 ($)) (-15 -3242 ($ $)) (-15 -1682 ((-1285))) (-15 -1683 ($ (-1173))) (-15 -4095 ($ $)) (-15 -3869 ((-141) $)) (-15 -4239 ((-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877)))) $)) (-15 -2374 ($ $ (-658 (-658 (-877))))) (-15 -2374 ($ $ (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877)))))) (-15 -2191 ($ $ (-658 (-877)))) (-15 -1827 ($ $ (-658 (-877)))) (-15 -1925 ($ $ (-658 (-877)))) (-15 -3927 ($ $ (-658 (-877)))) (-15 -4574 ((-1173) $)) (-15 -1333 ((-658 $) $)) (-15 -3001 ($) -4249))) 
-((-3328 (((-1280 |#1|) |#1| (-944)) 16) (((-1280 |#1|) (-658 |#1|)) 20))) 
-(((-1192 |#1|) (-10 -7 (-15 -3328 ((-1280 |#1|) (-658 |#1|))) (-15 -3328 ((-1280 |#1|) |#1| (-944)))) (-1075)) (T -1192)) 
-((-3328 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-1280 *3)) (-5 *1 (-1192 *3)) (-4 *3 (-1075)))) (-3328 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1075)) (-5 *2 (-1280 *4)) (-5 *1 (-1192 *4))))) 
-(-10 -7 (-15 -3328 ((-1280 |#1|) (-658 |#1|))) (-15 -3328 ((-1280 |#1|) |#1| (-944)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| |#1| (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#1| (-1065 (-433 (-592))))) (((-3 |#1| "failed") $) NIL)) (-2400 (((-592) $) NIL (|has| |#1| (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| |#1| (-1065 (-433 (-592))))) ((|#1| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3262 (($ $) NIL (|has| |#1| (-477)))) (-4209 (($ $ |#1| (-1000) $) NIL)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-1000)) NIL)) (-4206 (((-1000) $) NIL)) (-2976 (($ (-1 (-1000) (-1000)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#1| $) NIL)) (-4550 (($ $ (-1000) |#1| $) NIL (-12 (|has| (-1000) (-158)) (|has| |#1| (-582))))) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-582)))) (-4525 (((-1000) $) NIL)) (-1554 ((|#1| $) NIL (|has| |#1| (-477)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) NIL) (($ (-433 (-592))) NIL (-3836 (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-1065 (-433 (-592))))))) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ (-1000)) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#1| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 9 T CONST)) (-4257 (($) 14 T CONST)) (-3255 (((-141) $ $) 16)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 19)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1193 |#1|) (-13 (-346 |#1| (-1000)) (-10 -8 (IF (|has| |#1| (-582)) (IF (|has| (-1000) (-158)) (-15 -4550 ($ $ (-1000) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4623)) (-6 -4623) |noBranch|))) (-1075)) (T -1193)) 
-((-4550 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-1000)) (-4 *2 (-158)) (-5 *1 (-1193 *3)) (-4 *3 (-582)) (-4 *3 (-1075))))) 
-(-13 (-346 |#1| (-1000)) (-10 -8 (IF (|has| |#1| (-582)) (IF (|has| (-1000) (-158)) (-15 -4550 ($ $ (-1000) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4623)) (-6 -4623) |noBranch|))) 
-((-3910 (((-1195) (-1191) $) 24)) (-1675 (($) 28)) (-2558 (((-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-1191) $) 21)) (-3241 (((-1285) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void")) $) 40) (((-1285) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) 41) (((-1285) (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) 42)) (-2768 (((-1285) (-1191)) 57)) (-2647 (((-1285) (-1191) $) 54) (((-1285) (-1191)) 55) (((-1285)) 56)) (-1421 (((-1285) (-1191)) 36)) (-3312 (((-1191)) 35)) (-2890 (($) 33)) (-3321 (((-463) (-1191) (-463) (-1191) $) 44) (((-463) (-658 (-1191)) (-463) (-1191) $) 48) (((-463) (-1191) (-463)) 45) (((-463) (-1191) (-463) (-1191)) 49)) (-1725 (((-1191)) 34)) (-1683 (((-877) $) 27)) (-3234 (((-1285)) 29) (((-1285) (-1191)) 32)) (-2197 (((-658 (-1191)) (-1191) $) 23)) (-1340 (((-1285) (-1191) (-658 (-1191)) $) 37) (((-1285) (-1191) (-658 (-1191))) 38) (((-1285) (-658 (-1191))) 39))) 
-(((-1194) (-13 (-632 (-877)) (-10 -8 (-15 -1675 ($)) (-15 -3234 ((-1285))) (-15 -3234 ((-1285) (-1191))) (-15 -3321 ((-463) (-1191) (-463) (-1191) $)) (-15 -3321 ((-463) (-658 (-1191)) (-463) (-1191) $)) (-15 -3321 ((-463) (-1191) (-463))) (-15 -3321 ((-463) (-1191) (-463) (-1191))) (-15 -1421 ((-1285) (-1191))) (-15 -1725 ((-1191))) (-15 -3312 ((-1191))) (-15 -1340 ((-1285) (-1191) (-658 (-1191)) $)) (-15 -1340 ((-1285) (-1191) (-658 (-1191)))) (-15 -1340 ((-1285) (-658 (-1191)))) (-15 -3241 ((-1285) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void")) $)) (-15 -3241 ((-1285) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void")))) (-15 -3241 ((-1285) (-3 (|:| |fst| (-460)) (|:| -4191 "void")))) (-15 -2647 ((-1285) (-1191) $)) (-15 -2647 ((-1285) (-1191))) (-15 -2647 ((-1285))) (-15 -2768 ((-1285) (-1191))) (-15 -2890 ($)) (-15 -2558 ((-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-1191) $)) (-15 -2197 ((-658 (-1191)) (-1191) $)) (-15 -3910 ((-1195) (-1191) $))))) (T -1194)) 
-((-1675 (*1 *1) (-5 *1 (-1194))) (-3234 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1194)))) (-3234 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-3321 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1194)))) (-3321 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-463)) (-5 *3 (-658 (-1191))) (-5 *4 (-1191)) (-5 *1 (-1194)))) (-3321 (*1 *2 *3 *2) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1194)))) (-3321 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1194)))) (-1421 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-1725 (*1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1194)))) (-3312 (*1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1194)))) (-1340 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-1340 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-1340 (*1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-3241 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1191)) (-5 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-3241 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-3241 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-2647 (*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-2647 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-2647 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1194)))) (-2768 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) (-2890 (*1 *1) (-5 *1 (-1194))) (-2558 (*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *1 (-1194)))) (-2197 (*1 *2 *3 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1194)) (-5 *3 (-1191)))) (-3910 (*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-1195)) (-5 *1 (-1194))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -1675 ($)) (-15 -3234 ((-1285))) (-15 -3234 ((-1285) (-1191))) (-15 -3321 ((-463) (-1191) (-463) (-1191) $)) (-15 -3321 ((-463) (-658 (-1191)) (-463) (-1191) $)) (-15 -3321 ((-463) (-1191) (-463))) (-15 -3321 ((-463) (-1191) (-463) (-1191))) (-15 -1421 ((-1285) (-1191))) (-15 -1725 ((-1191))) (-15 -3312 ((-1191))) (-15 -1340 ((-1285) (-1191) (-658 (-1191)) $)) (-15 -1340 ((-1285) (-1191) (-658 (-1191)))) (-15 -1340 ((-1285) (-658 (-1191)))) (-15 -3241 ((-1285) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void")) $)) (-15 -3241 ((-1285) (-1191) (-3 (|:| |fst| (-460)) (|:| -4191 "void")))) (-15 -3241 ((-1285) (-3 (|:| |fst| (-460)) (|:| -4191 "void")))) (-15 -2647 ((-1285) (-1191) $)) (-15 -2647 ((-1285) (-1191))) (-15 -2647 ((-1285))) (-15 -2768 ((-1285) (-1191))) (-15 -2890 ($)) (-15 -2558 ((-3 (|:| |fst| (-460)) (|:| -4191 "void")) (-1191) $)) (-15 -2197 ((-658 (-1191)) (-1191) $)) (-15 -3910 ((-1195) (-1191) $)))) 
-((-4031 (((-658 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592))))))))) $) 57)) (-1753 (((-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592)))))))) (-460) $) 40)) (-3565 (($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-463))))) 15)) (-2768 (((-1285) $) 65)) (-2469 (((-658 (-1191)) $) 20)) (-2877 (((-1123) $) 53)) (-2697 (((-463) (-1191) $) 27)) (-2062 (((-658 (-1191)) $) 30)) (-2890 (($) 17)) (-3321 (((-463) (-658 (-1191)) (-463) $) 25) (((-463) (-1191) (-463) $) 24)) (-1683 (((-877) $) 9) (((-1199 (-1191) (-463)) $) 11))) 
-(((-1195) (-13 (-632 (-877)) (-10 -8 (-15 -1683 ((-1199 (-1191) (-463)) $)) (-15 -2890 ($)) (-15 -3321 ((-463) (-658 (-1191)) (-463) $)) (-15 -3321 ((-463) (-1191) (-463) $)) (-15 -2697 ((-463) (-1191) $)) (-15 -2469 ((-658 (-1191)) $)) (-15 -1753 ((-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592)))))))) (-460) $)) (-15 -2062 ((-658 (-1191)) $)) (-15 -4031 ((-658 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592))))))))) $)) (-15 -2877 ((-1123) $)) (-15 -2768 ((-1285) $)) (-15 -3565 ($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-463))))))))) (T -1195)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-1199 (-1191) (-463))) (-5 *1 (-1195)))) (-2890 (*1 *1) (-5 *1 (-1195))) (-3321 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-463)) (-5 *3 (-658 (-1191))) (-5 *1 (-1195)))) (-3321 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1195)))) (-2697 (*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-463)) (-5 *1 (-1195)))) (-2469 (*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1195)))) (-1753 (*1 *2 *3 *1) (-12 (-5 *3 (-460)) (-5 *2 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592))))))))) (-5 *1 (-1195)))) (-2062 (*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1195)))) (-4031 (*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592)))))))))) (-5 *1 (-1195)))) (-2877 (*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-1195)))) (-2768 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1195)))) (-3565 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-463))))) (-5 *1 (-1195))))) 
-(-13 (-632 (-877)) (-10 -8 (-15 -1683 ((-1199 (-1191) (-463)) $)) (-15 -2890 ($)) (-15 -3321 ((-463) (-658 (-1191)) (-463) $)) (-15 -3321 ((-463) (-1191) (-463) $)) (-15 -2697 ((-463) (-1191) $)) (-15 -2469 ((-658 (-1191)) $)) (-15 -1753 ((-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592)))))))) (-460) $)) (-15 -2062 ((-658 (-1191)) $)) (-15 -4031 ((-658 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592))))))))) $)) (-15 -2877 ((-1123) $)) (-15 -2768 ((-1285) $)) (-15 -3565 ($ (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-463)))))))) 
-((-3485 (((-658 (-658 (-980 |#1|))) (-658 (-433 (-980 |#1|))) (-658 (-1191))) 55)) (-4005 (((-658 (-310 (-433 (-980 |#1|)))) (-310 (-433 (-980 |#1|)))) 66) (((-658 (-310 (-433 (-980 |#1|)))) (-433 (-980 |#1|))) 62) (((-658 (-310 (-433 (-980 |#1|)))) (-310 (-433 (-980 |#1|))) (-1191)) 67) (((-658 (-310 (-433 (-980 |#1|)))) (-433 (-980 |#1|)) (-1191)) 61) (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-310 (-433 (-980 |#1|))))) 91) (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-433 (-980 |#1|)))) 90) (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-310 (-433 (-980 |#1|)))) (-658 (-1191))) 92) (((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-433 (-980 |#1|))) (-658 (-1191))) 89))) 
-(((-1196 |#1|) (-10 -7 (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-310 (-433 (-980 |#1|)))) (-658 (-1191)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-433 (-980 |#1|))))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-310 (-433 (-980 |#1|)))))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-433 (-980 |#1|)) (-1191))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-310 (-433 (-980 |#1|))) (-1191))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-433 (-980 |#1|)))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-310 (-433 (-980 |#1|))))) (-15 -3485 ((-658 (-658 (-980 |#1|))) (-658 (-433 (-980 |#1|))) (-658 (-1191))))) (-582)) (T -1196)) 
-((-3485 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-980 *5)))) (-5 *1 (-1196 *5)))) (-4005 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *4))))) (-5 *1 (-1196 *4)) (-5 *3 (-310 (-433 (-980 *4)))))) (-4005 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *4))))) (-5 *1 (-1196 *4)) (-5 *3 (-433 (-980 *4))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *5))))) (-5 *1 (-1196 *5)) (-5 *3 (-310 (-433 (-980 *5)))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *5))))) (-5 *1 (-1196 *5)) (-5 *3 (-433 (-980 *5))))) (-4005 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-1196 *4)) (-5 *3 (-658 (-310 (-433 (-980 *4))))))) (-4005 (*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 *4)))) (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-1196 *4)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-1196 *5)) (-5 *3 (-658 (-310 (-433 (-980 *5))))))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-1196 *5))))) 
-(-10 -7 (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-433 (-980 |#1|))) (-658 (-1191)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-310 (-433 (-980 |#1|)))) (-658 (-1191)))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-433 (-980 |#1|))))) (-15 -4005 ((-658 (-658 (-310 (-433 (-980 |#1|))))) (-658 (-310 (-433 (-980 |#1|)))))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-433 (-980 |#1|)) (-1191))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-310 (-433 (-980 |#1|))) (-1191))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-433 (-980 |#1|)))) (-15 -4005 ((-658 (-310 (-433 (-980 |#1|)))) (-310 (-433 (-980 |#1|))))) (-15 -3485 ((-658 (-658 (-980 |#1|))) (-658 (-433 (-980 |#1|))) (-658 (-1191))))) 
-((-3299 (((-658 (-658 |#1|)) (-658 (-658 |#1|)) (-658 (-658 (-658 |#1|)))) 38)) (-1347 (((-658 (-658 (-658 |#1|))) (-658 (-658 |#1|))) 24)) (-1406 (((-1198 (-658 |#1|)) (-658 |#1|)) 34)) (-2449 (((-658 (-658 |#1|)) (-658 |#1|)) 30)) (-1434 (((-2 (|:| |f1| (-658 |#1|)) (|:| |f2| (-658 (-658 (-658 |#1|)))) (|:| |f3| (-658 (-658 |#1|))) (|:| |f4| (-658 (-658 (-658 |#1|))))) (-658 (-658 (-658 |#1|)))) 37)) (-3161 (((-2 (|:| |f1| (-658 |#1|)) (|:| |f2| (-658 (-658 (-658 |#1|)))) (|:| |f3| (-658 (-658 |#1|))) (|:| |f4| (-658 (-658 (-658 |#1|))))) (-658 |#1|) (-658 (-658 (-658 |#1|))) (-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))) (-658 (-658 (-658 |#1|))) (-658 (-658 (-658 |#1|)))) 36)) (-3457 (((-658 (-658 |#1|)) (-658 (-658 |#1|))) 28)) (-3183 (((-658 |#1|) (-658 |#1|)) 31)) (-1792 (((-658 (-658 (-658 |#1|))) (-658 |#1|) (-658 (-658 (-658 |#1|)))) 18)) (-3871 (((-658 (-658 (-658 |#1|))) (-1 (-141) |#1| |#1|) (-658 |#1|) (-658 (-658 (-658 |#1|)))) 15)) (-2615 (((-2 (|:| |fs| (-141)) (|:| |sd| (-658 |#1|)) (|:| |td| (-658 (-658 |#1|)))) (-1 (-141) |#1| |#1|) (-658 |#1|) (-658 (-658 |#1|))) 13)) (-3705 (((-658 (-658 |#1|)) (-658 (-658 (-658 |#1|)))) 39)) (-3564 (((-658 (-658 |#1|)) (-1198 (-658 |#1|))) 41))) 
-(((-1197 |#1|) (-10 -7 (-15 -2615 ((-2 (|:| |fs| (-141)) (|:| |sd| (-658 |#1|)) (|:| |td| (-658 (-658 |#1|)))) (-1 (-141) |#1| |#1|) (-658 |#1|) (-658 (-658 |#1|)))) (-15 -3871 ((-658 (-658 (-658 |#1|))) (-1 (-141) |#1| |#1|) (-658 |#1|) (-658 (-658 (-658 |#1|))))) (-15 -1792 ((-658 (-658 (-658 |#1|))) (-658 |#1|) (-658 (-658 (-658 |#1|))))) (-15 -3299 ((-658 (-658 |#1|)) (-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))))) (-15 -3705 ((-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))))) (-15 -3564 ((-658 (-658 |#1|)) (-1198 (-658 |#1|)))) (-15 -1347 ((-658 (-658 (-658 |#1|))) (-658 (-658 |#1|)))) (-15 -1406 ((-1198 (-658 |#1|)) (-658 |#1|))) (-15 -3457 ((-658 (-658 |#1|)) (-658 (-658 |#1|)))) (-15 -2449 ((-658 (-658 |#1|)) (-658 |#1|))) (-15 -3183 ((-658 |#1|) (-658 |#1|))) (-15 -3161 ((-2 (|:| |f1| (-658 |#1|)) (|:| |f2| (-658 (-658 (-658 |#1|)))) (|:| |f3| (-658 (-658 |#1|))) (|:| |f4| (-658 (-658 (-658 |#1|))))) (-658 |#1|) (-658 (-658 (-658 |#1|))) (-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))) (-658 (-658 (-658 |#1|))) (-658 (-658 (-658 |#1|))))) (-15 -1434 ((-2 (|:| |f1| (-658 |#1|)) (|:| |f2| (-658 (-658 (-658 |#1|)))) (|:| |f3| (-658 (-658 |#1|))) (|:| |f4| (-658 (-658 (-658 |#1|))))) (-658 (-658 (-658 |#1|)))))) (-869)) (T -1197)) 
-((-1434 (*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-2 (|:| |f1| (-658 *4)) (|:| |f2| (-658 (-658 (-658 *4)))) (|:| |f3| (-658 (-658 *4))) (|:| |f4| (-658 (-658 (-658 *4)))))) (-5 *1 (-1197 *4)) (-5 *3 (-658 (-658 (-658 *4)))))) (-3161 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-869)) (-5 *3 (-658 *6)) (-5 *5 (-658 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-658 *5)) (|:| |f3| *5) (|:| |f4| (-658 *5)))) (-5 *1 (-1197 *6)) (-5 *4 (-658 *5)))) (-3183 (*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-1197 *3)))) (-2449 (*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-658 (-658 *4))) (-5 *1 (-1197 *4)) (-5 *3 (-658 *4)))) (-3457 (*1 *2 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-869)) (-5 *1 (-1197 *3)))) (-1406 (*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-1198 (-658 *4))) (-5 *1 (-1197 *4)) (-5 *3 (-658 *4)))) (-1347 (*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-658 (-658 (-658 *4)))) (-5 *1 (-1197 *4)) (-5 *3 (-658 (-658 *4))))) (-3564 (*1 *2 *3) (-12 (-5 *3 (-1198 (-658 *4))) (-4 *4 (-869)) (-5 *2 (-658 (-658 *4))) (-5 *1 (-1197 *4)))) (-3705 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-658 *4)))) (-5 *2 (-658 (-658 *4))) (-5 *1 (-1197 *4)) (-4 *4 (-869)))) (-3299 (*1 *2 *2 *3) (-12 (-5 *3 (-658 (-658 (-658 *4)))) (-5 *2 (-658 (-658 *4))) (-4 *4 (-869)) (-5 *1 (-1197 *4)))) (-1792 (*1 *2 *3 *2) (-12 (-5 *2 (-658 (-658 (-658 *4)))) (-5 *3 (-658 *4)) (-4 *4 (-869)) (-5 *1 (-1197 *4)))) (-3871 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-658 (-658 (-658 *5)))) (-5 *3 (-1 (-141) *5 *5)) (-5 *4 (-658 *5)) (-4 *5 (-869)) (-5 *1 (-1197 *5)))) (-2615 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-141) *6 *6)) (-4 *6 (-869)) (-5 *4 (-658 *6)) (-5 *2 (-2 (|:| |fs| (-141)) (|:| |sd| *4) (|:| |td| (-658 *4)))) (-5 *1 (-1197 *6)) (-5 *5 (-658 *4))))) 
-(-10 -7 (-15 -2615 ((-2 (|:| |fs| (-141)) (|:| |sd| (-658 |#1|)) (|:| |td| (-658 (-658 |#1|)))) (-1 (-141) |#1| |#1|) (-658 |#1|) (-658 (-658 |#1|)))) (-15 -3871 ((-658 (-658 (-658 |#1|))) (-1 (-141) |#1| |#1|) (-658 |#1|) (-658 (-658 (-658 |#1|))))) (-15 -1792 ((-658 (-658 (-658 |#1|))) (-658 |#1|) (-658 (-658 (-658 |#1|))))) (-15 -3299 ((-658 (-658 |#1|)) (-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))))) (-15 -3705 ((-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))))) (-15 -3564 ((-658 (-658 |#1|)) (-1198 (-658 |#1|)))) (-15 -1347 ((-658 (-658 (-658 |#1|))) (-658 (-658 |#1|)))) (-15 -1406 ((-1198 (-658 |#1|)) (-658 |#1|))) (-15 -3457 ((-658 (-658 |#1|)) (-658 (-658 |#1|)))) (-15 -2449 ((-658 (-658 |#1|)) (-658 |#1|))) (-15 -3183 ((-658 |#1|) (-658 |#1|))) (-15 -3161 ((-2 (|:| |f1| (-658 |#1|)) (|:| |f2| (-658 (-658 (-658 |#1|)))) (|:| |f3| (-658 (-658 |#1|))) (|:| |f4| (-658 (-658 (-658 |#1|))))) (-658 |#1|) (-658 (-658 (-658 |#1|))) (-658 (-658 |#1|)) (-658 (-658 (-658 |#1|))) (-658 (-658 (-658 |#1|))) (-658 (-658 (-658 |#1|))))) (-15 -1434 ((-2 (|:| |f1| (-658 |#1|)) (|:| |f2| (-658 (-658 (-658 |#1|)))) (|:| |f3| (-658 (-658 |#1|))) (|:| |f4| (-658 (-658 (-658 |#1|))))) (-658 (-658 (-658 |#1|)))))) 
-((-2292 (($ (-658 (-658 |#1|))) 9)) (-4601 (((-658 (-658 |#1|)) $) 10)) (-1683 (((-877) $) 25))) 
-(((-1198 |#1|) (-10 -8 (-15 -2292 ($ (-658 (-658 |#1|)))) (-15 -4601 ((-658 (-658 |#1|)) $)) (-15 -1683 ((-877) $))) (-1119)) (T -1198)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1198 *3)) (-4 *3 (-1119)))) (-4601 (*1 *2 *1) (-12 (-5 *2 (-658 (-658 *3))) (-5 *1 (-1198 *3)) (-4 *3 (-1119)))) (-2292 (*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-1198 *3))))) 
-(-10 -8 (-15 -2292 ($ (-658 (-658 |#1|)))) (-15 -4601 ((-658 (-658 |#1|)) $)) (-15 -1683 ((-877) $))) 
-((-1641 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4016 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3898 (((-1285) $ |#1| |#1|) NIL (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#2| $ |#1| |#2|) NIL)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) NIL)) (-3001 (($) NIL T CONST)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) NIL)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) NIL)) (-2261 ((|#1| $) NIL (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-658 |#2|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-1813 ((|#1| $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-2840 (((-658 |#1|) $) NIL)) (-2396 (((-141) |#1| $) NIL)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3708 (((-658 |#1|) $) NIL)) (-3780 (((-141) |#1| $) NIL)) (-2951 (((-1137) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1918 ((|#2| $) NIL (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL)) (-1892 (($ $ |#2|) NIL (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1653 (($) NIL) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (((-790) |#2| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119)))) (((-790) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-1683 (((-877) $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) NIL)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) NIL (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) NIL (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) NIL (-3836 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| |#2| (-1119))))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1199 |#1| |#2|) (-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) (-1119) (-1119)) (T -1199)) 
-NIL 
-(-13 (-1202 |#1| |#2|) (-10 -7 (-6 -4625))) 
-((-4520 ((|#1| (-658 |#1|)) 32)) (-2917 ((|#1| |#1| (-592)) 18)) (-2695 (((-1187 |#1|) |#1| (-944)) 15))) 
-(((-1200 |#1|) (-10 -7 (-15 -4520 (|#1| (-658 |#1|))) (-15 -2695 ((-1187 |#1|) |#1| (-944))) (-15 -2917 (|#1| |#1| (-592)))) (-388)) (T -1200)) 
-((-2917 (*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-1200 *2)) (-4 *2 (-388)))) (-2695 (*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-1187 *3)) (-5 *1 (-1200 *3)) (-4 *3 (-388)))) (-4520 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-1200 *2)) (-4 *2 (-388))))) 
-(-10 -7 (-15 -4520 (|#1| (-658 |#1|))) (-15 -2695 ((-1187 |#1|) |#1| (-944))) (-15 -2917 (|#1| |#1| (-592)))) 
-((-4016 (($) 10) (($ (-658 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)))) 14)) (-4065 (($ (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) $) 60) (($ (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-4004 (((-658 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) 39) (((-658 |#3|) $) 41)) (-3987 (($ (-1 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-2731 (($ (-1 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-4137 (((-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) $) 53)) (-2113 (($ (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) $) 16)) (-3708 (((-658 |#2|) $) 19)) (-3780 (((-141) |#2| $) 58)) (-4050 (((-3 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) "failed") (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) 57)) (-2106 (((-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) $) 62)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) NIL) (((-141) (-1 (-141) |#3|) $) 65)) (-4210 (((-658 |#3|) $) 43)) (-3927 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) NIL) (((-790) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) $) NIL) (((-790) |#3| $) NIL) (((-790) (-1 (-141) |#3|) $) 66)) (-1683 (((-877) $) 27)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) $) NIL) (((-141) (-1 (-141) |#3|) $) 64)) (-3255 (((-141) $ $) 48))) 
-(((-1201 |#1| |#2| |#3|) (-10 -8 (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -2731 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -4016 (|#1| (-658 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))))) (-15 -4016 (|#1|)) (-15 -2731 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3987 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#3|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#3|) |#1|)) (-15 -3452 ((-790) (-1 (-141) |#3|) |#1|)) (-15 -4004 ((-658 |#3|) |#1|)) (-15 -3452 ((-790) |#3| |#1|)) (-15 -3927 (|#3| |#1| |#2| |#3|)) (-15 -3927 (|#3| |#1| |#2|)) (-15 -4210 ((-658 |#3|) |#1|)) (-15 -3780 ((-141) |#2| |#1|)) (-15 -3708 ((-658 |#2|) |#1|)) (-15 -4065 ((-3 |#3| "failed") |#2| |#1|)) (-15 -4065 (|#1| (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -4065 (|#1| (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -4050 ((-3 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) "failed") (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -4137 ((-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -2113 (|#1| (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -2106 ((-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -3452 ((-790) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -4004 ((-658 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3452 ((-790) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3002 ((-141) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3369 ((-141) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3987 (|#1| (-1 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -2731 (|#1| (-1 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|))) (-1202 |#2| |#3|) (-1119) (-1119)) (T -1201)) 
-NIL 
-(-10 -8 (-15 -3255 ((-141) |#1| |#1|)) (-15 -1683 ((-877) |#1|)) (-15 -2731 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -4016 (|#1| (-658 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))))) (-15 -4016 (|#1|)) (-15 -2731 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3987 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3369 ((-141) (-1 (-141) |#3|) |#1|)) (-15 -3002 ((-141) (-1 (-141) |#3|) |#1|)) (-15 -3452 ((-790) (-1 (-141) |#3|) |#1|)) (-15 -4004 ((-658 |#3|) |#1|)) (-15 -3452 ((-790) |#3| |#1|)) (-15 -3927 (|#3| |#1| |#2| |#3|)) (-15 -3927 (|#3| |#1| |#2|)) (-15 -4210 ((-658 |#3|) |#1|)) (-15 -3780 ((-141) |#2| |#1|)) (-15 -3708 ((-658 |#2|) |#1|)) (-15 -4065 ((-3 |#3| "failed") |#2| |#1|)) (-15 -4065 (|#1| (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -4065 (|#1| (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -4050 ((-3 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) "failed") (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -4137 ((-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -2113 (|#1| (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -2106 ((-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -3452 ((-790) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) |#1|)) (-15 -4004 ((-658 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3452 ((-790) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3002 ((-141) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3369 ((-141) (-1 (-141) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -3987 (|#1| (-1 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|)) (-15 -2731 (|#1| (-1 (-2 (|:| -1350 |#2|) (|:| -3552 |#3|)) (-2 (|:| -1350 |#2|) (|:| -3552 |#3|))) |#1|))) 
-((-1641 (((-141) $ $) 18 (-3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4016 (($) 66) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 65)) (-3898 (((-1285) $ |#1| |#1|) 93 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#2| $ |#1| |#2|) 67)) (-4125 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 42 (|has| $ (-6 -4625)))) (-3113 (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 52 (|has| $ (-6 -4625)))) (-2916 (((-3 |#2| "failed") |#1| $) 57)) (-3001 (($) 7 T CONST)) (-1360 (($ $) 55 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625))))) (-4065 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 44 (|has| $ (-6 -4625))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 43 (|has| $ (-6 -4625))) (((-3 |#2| "failed") |#1| $) 58)) (-4459 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 54 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 51 (|has| $ (-6 -4625)))) (-3657 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 53 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 50 (|has| $ (-6 -4625))) (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 49 (|has| $ (-6 -4625)))) (-1426 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4626)))) (-3959 ((|#2| $ |#1|) 82)) (-4004 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 30 (|has| $ (-6 -4625))) (((-658 |#2|) $) 73 (|has| $ (-6 -4625)))) (-4345 (((-141) $ (-790)) 9)) (-2261 ((|#1| $) 90 (|has| |#1| (-869)))) (-4467 (((-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 29 (|has| $ (-6 -4625))) (((-658 |#2|) $) 74 (|has| $ (-6 -4625)))) (-3133 (((-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 27 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-141) |#2| $) 76 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625))))) (-1813 ((|#1| $) 89 (|has| |#1| (-869)))) (-3987 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 34 (|has| $ (-6 -4626))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-2554 (((-141) $ (-790)) 10)) (-2685 (((-1173) $) 22 (-3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-2840 (((-658 |#1|) $) 59)) (-2396 (((-141) |#1| $) 60)) (-4137 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 36)) (-2113 (($ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 37)) (-3708 (((-658 |#1|) $) 87)) (-3780 (((-141) |#1| $) 86)) (-2951 (((-1137) $) 21 (-3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1918 ((|#2| $) 91 (|has| |#1| (-869)))) (-4050 (((-3 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) "failed") (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 48)) (-1892 (($ $ |#2|) 92 (|has| $ (-6 -4626)))) (-2106 (((-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 38)) (-3002 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 32 (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) 71 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))))) 26 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-310 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 25 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) 24 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 23 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)))) (($ $ (-658 |#2|) (-658 |#2|)) 80 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-310 |#2|)) 78 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119)))) (($ $ (-658 (-310 |#2|))) 77 (-12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#2| $) 88 (-12 (|has| $ (-6 -4625)) (|has| |#2| (-1119))))) (-4210 (((-658 |#2|) $) 85)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-1653 (($) 46) (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 45)) (-3452 (((-790) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 31 (|has| $ (-6 -4625))) (((-790) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) $) 28 (-12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119)) (|has| $ (-6 -4625)))) (((-790) |#2| $) 75 (-12 (|has| |#2| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#2|) $) 72 (|has| $ (-6 -4625)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 56 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))))) (-4466 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 47)) (-1683 (((-877) $) 20 (-3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-4560 (($ (-658 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) 39)) (-3369 (((-141) (-1 (-141) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) $) 33 (|has| $ (-6 -4625))) (((-141) (-1 (-141) |#2|) $) 70 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (-3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1202 |#1| |#2|) (-1311) (-1119) (-1119)) (T -1202)) 
-((-3932 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1202 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) (-4016 (*1 *1) (-12 (-4 *1 (-1202 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) (-4016 (*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 *3) (|:| -3552 *4)))) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *1 (-1202 *3 *4)))) (-2731 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1202 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(-13 (-629 |t#1| |t#2|) (-625 |t#1| |t#2|) (-10 -8 (-15 -3932 (|t#2| $ |t#1| |t#2|)) (-15 -4016 ($)) (-15 -4016 ($ (-658 (-2 (|:| -1350 |t#1|) (|:| -3552 |t#2|))))) (-15 -2731 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
-(((-39) . T) ((-131 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-125) -3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-632 (-877)) -3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-175 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-633 (-565)) |has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-633 (-565))) ((-243 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-249 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-303 |#1| |#2|) . T) ((-305 |#1| |#2|) . T) ((-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) -12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-325 |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-523 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) . T) ((-523 |#2|) . T) ((-625 |#1| |#2|) . T) ((-547 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-2 (|:| -1350 |#1|) (|:| -3552 |#2|))) -12 (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-325 (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)))) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-547 |#2| |#2|) -12 (|has| |#2| (-325 |#2|)) (|has| |#2| (-1119))) ((-629 |#1| |#2|) . T) ((-1119) -3836 (|has| |#2| (-1119)) (|has| (-2 (|:| -1350 |#1|) (|:| -3552 |#2|)) (-1119))) ((-1225) . T)) 
-((-2626 (((-141)) 24)) (-1556 (((-1285) (-1173)) 26)) (-1720 (((-141)) 36)) (-3043 (((-1285)) 34)) (-3433 (((-1285) (-1173) (-1173)) 25)) (-4462 (((-141)) 37)) (-2113 (((-1285) |#1| |#2|) 44)) (-1719 (((-1285)) 20)) (-3367 (((-3 |#2| "failed") |#1|) 42)) (-3810 (((-1285)) 35))) 
-(((-1203 |#1| |#2|) (-10 -7 (-15 -1719 ((-1285))) (-15 -3433 ((-1285) (-1173) (-1173))) (-15 -1556 ((-1285) (-1173))) (-15 -3043 ((-1285))) (-15 -3810 ((-1285))) (-15 -2626 ((-141))) (-15 -1720 ((-141))) (-15 -4462 ((-141))) (-15 -3367 ((-3 |#2| "failed") |#1|)) (-15 -2113 ((-1285) |#1| |#2|))) (-1119) (-1119)) (T -1203)) 
-((-2113 (*1 *2 *3 *4) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-3367 (*1 *2 *3) (|partial| -12 (-4 *2 (-1119)) (-5 *1 (-1203 *3 *2)) (-4 *3 (-1119)))) (-4462 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-1720 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-2626 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-3810 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-3043 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) (-1556 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1203 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119)))) (-3433 (*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1203 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119)))) (-1719 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(-10 -7 (-15 -1719 ((-1285))) (-15 -3433 ((-1285) (-1173) (-1173))) (-15 -1556 ((-1285) (-1173))) (-15 -3043 ((-1285))) (-15 -3810 ((-1285))) (-15 -2626 ((-141))) (-15 -1720 ((-141))) (-15 -4462 ((-141))) (-15 -3367 ((-3 |#2| "failed") |#1|)) (-15 -2113 ((-1285) |#1| |#2|))) 
-((-1503 (((-1173) (-1173)) 18)) (-1955 (((-57) (-1173)) 21))) 
-(((-1204) (-10 -7 (-15 -1955 ((-57) (-1173))) (-15 -1503 ((-1173) (-1173))))) (T -1204)) 
-((-1503 (*1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1204)))) (-1955 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-57)) (-5 *1 (-1204))))) 
-(-10 -7 (-15 -1955 ((-57) (-1173))) (-15 -1503 ((-1173) (-1173)))) 
-((-1683 (((-1206) |#1|) 11))) 
-(((-1205 |#1|) (-10 -7 (-15 -1683 ((-1206) |#1|))) (-1119)) (T -1205)) 
-((-1683 (*1 *2 *3) (-12 (-5 *2 (-1206)) (-5 *1 (-1205 *3)) (-4 *3 (-1119))))) 
-(-10 -7 (-15 -1683 ((-1206) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2515 (((-658 (-1173)) $) 33)) (-2069 (((-658 (-1173)) $ (-658 (-1173))) 36)) (-2255 (((-658 (-1173)) $ (-658 (-1173))) 35)) (-1458 (((-658 (-1173)) $ (-658 (-1173))) 37)) (-3749 (((-658 (-1173)) $) 32)) (-3242 (($) 22)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4240 (((-658 (-1173)) $) 34)) (-3536 (((-1285) $ (-592)) 29) (((-1285) $) 30)) (-1778 (($ (-877) (-592)) 26) (($ (-877) (-592) (-877)) NIL)) (-1683 (((-877) $) 39) (($ (-877)) 24)) (-3255 (((-141) $ $) NIL))) 
-(((-1206) (-13 (-1119) (-10 -8 (-15 -1683 ($ (-877))) (-15 -1778 ($ (-877) (-592))) (-15 -1778 ($ (-877) (-592) (-877))) (-15 -3536 ((-1285) $ (-592))) (-15 -3536 ((-1285) $)) (-15 -4240 ((-658 (-1173)) $)) (-15 -2515 ((-658 (-1173)) $)) (-15 -3242 ($)) (-15 -3749 ((-658 (-1173)) $)) (-15 -1458 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -2069 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -2255 ((-658 (-1173)) $ (-658 (-1173))))))) (T -1206)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-1206)))) (-1778 (*1 *1 *2 *3) (-12 (-5 *2 (-877)) (-5 *3 (-592)) (-5 *1 (-1206)))) (-1778 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-877)) (-5 *3 (-592)) (-5 *1 (-1206)))) (-3536 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1206)))) (-3536 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1206)))) (-4240 (*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206)))) (-2515 (*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206)))) (-3242 (*1 *1) (-5 *1 (-1206))) (-3749 (*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206)))) (-1458 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206)))) (-2069 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206)))) (-2255 (*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(-13 (-1119) (-10 -8 (-15 -1683 ($ (-877))) (-15 -1778 ($ (-877) (-592))) (-15 -1778 ($ (-877) (-592) (-877))) (-15 -3536 ((-1285) $ (-592))) (-15 -3536 ((-1285) $)) (-15 -4240 ((-658 (-1173)) $)) (-15 -2515 ((-658 (-1173)) $)) (-15 -3242 ($)) (-15 -3749 ((-658 (-1173)) $)) (-15 -1458 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -2069 ((-658 (-1173)) $ (-658 (-1173)))) (-15 -2255 ((-658 (-1173)) $ (-658 (-1173)))))) 
-((-1641 (((-141) $ $) NIL)) (-2709 (((-1173) $ (-1173)) 15) (((-1173) $) 14)) (-3388 (((-1173) $ (-1173)) 13)) (-2820 (($ $ (-1173)) NIL)) (-2125 (((-3 (-1173) "failed") $) 11)) (-4169 (((-1173) $) 8)) (-3463 (((-3 (-1173) "failed") $) 12)) (-4393 (((-1173) $) 9)) (-1774 (($ (-414)) NIL) (($ (-414) (-1173)) NIL)) (-4095 (((-414) $) NIL)) (-2685 (((-1173) $) NIL)) (-2690 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4342 (((-1285) $) NIL)) (-1568 (((-141) $) 17)) (-1683 (((-877) $) NIL)) (-2607 (($ $) NIL)) (-3255 (((-141) $ $) NIL))) 
-(((-1207) (-13 (-389 (-414) (-1173)) (-10 -8 (-15 -2709 ((-1173) $ (-1173))) (-15 -2709 ((-1173) $)) (-15 -4169 ((-1173) $)) (-15 -2125 ((-3 (-1173) "failed") $)) (-15 -3463 ((-3 (-1173) "failed") $)) (-15 -1568 ((-141) $))))) (T -1207)) 
-((-2709 (*1 *2 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1207)))) (-2709 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1207)))) (-4169 (*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1207)))) (-2125 (*1 *2 *1) (|partial| -12 (-5 *2 (-1173)) (-5 *1 (-1207)))) (-3463 (*1 *2 *1) (|partial| -12 (-5 *2 (-1173)) (-5 *1 (-1207)))) (-1568 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1207))))) 
-(-13 (-389 (-414) (-1173)) (-10 -8 (-15 -2709 ((-1173) $ (-1173))) (-15 -2709 ((-1173) $)) (-15 -4169 ((-1173) $)) (-15 -2125 ((-3 (-1173) "failed") $)) (-15 -3463 ((-3 (-1173) "failed") $)) (-15 -1568 ((-141) $)))) 
-((-3940 (((-3 (-592) "failed") |#1|) 19)) (-4071 (((-3 (-592) "failed") |#1|) 13)) (-3756 (((-592) (-1173)) 28))) 
-(((-1208 |#1|) (-10 -7 (-15 -3940 ((-3 (-592) "failed") |#1|)) (-15 -4071 ((-3 (-592) "failed") |#1|)) (-15 -3756 ((-592) (-1173)))) (-1075)) (T -1208)) 
-((-3756 (*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-592)) (-5 *1 (-1208 *4)) (-4 *4 (-1075)))) (-4071 (*1 *2 *3) (|partial| -12 (-5 *2 (-592)) (-5 *1 (-1208 *3)) (-4 *3 (-1075)))) (-3940 (*1 *2 *3) (|partial| -12 (-5 *2 (-592)) (-5 *1 (-1208 *3)) (-4 *3 (-1075))))) 
-(-10 -7 (-15 -3940 ((-3 (-592) "failed") |#1|)) (-15 -4071 ((-3 (-592) "failed") |#1|)) (-15 -3756 ((-592) (-1173)))) 
-((-4091 (((-1150 (-237))) 8))) 
-(((-1209) (-10 -7 (-15 -4091 ((-1150 (-237)))))) (T -1209)) 
-((-4091 (*1 *2) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-1209))))) 
-(-10 -7 (-15 -4091 ((-1150 (-237))))) 
-((-1435 (($) 11)) (-1630 (($ $) 35)) (-1617 (($ $) 33)) (-1533 (($ $) 25)) (-1642 (($ $) 17)) (-2892 (($ $) 15)) (-1636 (($ $) 19)) (-1552 (($ $) 30)) (-1624 (($ $) 34)) (-1540 (($ $) 29))) 
-(((-1210 |#1|) (-10 -8 (-15 -1435 (|#1|)) (-15 -1630 (|#1| |#1|)) (-15 -1617 (|#1| |#1|)) (-15 -1642 (|#1| |#1|)) (-15 -2892 (|#1| |#1|)) (-15 -1636 (|#1| |#1|)) (-15 -1624 (|#1| |#1|)) (-15 -1533 (|#1| |#1|)) (-15 -1552 (|#1| |#1|)) (-15 -1540 (|#1| |#1|))) (-1211)) (T -1210)) 
-NIL 
-(-10 -8 (-15 -1435 (|#1|)) (-15 -1630 (|#1| |#1|)) (-15 -1617 (|#1| |#1|)) (-15 -1642 (|#1| |#1|)) (-15 -2892 (|#1| |#1|)) (-15 -1636 (|#1| |#1|)) (-15 -1624 (|#1| |#1|)) (-15 -1533 (|#1| |#1|)) (-15 -1552 (|#1| |#1|)) (-15 -1540 (|#1| |#1|))) 
-((-1588 (($ $) 26)) (-1507 (($ $) 11)) (-1575 (($ $) 27)) (-1495 (($ $) 10)) (-1601 (($ $) 28)) (-1521 (($ $) 9)) (-1435 (($) 16)) (-4546 (($ $) 19)) (-1430 (($ $) 18)) (-1609 (($ $) 29)) (-1527 (($ $) 8)) (-1594 (($ $) 30)) (-1515 (($ $) 7)) (-1581 (($ $) 31)) (-1501 (($ $) 6)) (-1630 (($ $) 20)) (-1546 (($ $) 32)) (-1617 (($ $) 21)) (-1533 (($ $) 33)) (-1642 (($ $) 22)) (-1559 (($ $) 34)) (-2892 (($ $) 23)) (-1567 (($ $) 35)) (-1636 (($ $) 24)) (-1552 (($ $) 36)) (-1624 (($ $) 25)) (-1540 (($ $) 37)) (** (($ $ $) 17))) 
-(((-1211) (-1311)) (T -1211)) 
-((-1435 (*1 *1) (-4 *1 (-1211)))) 
-(-13 (-1214) (-116) (-526) (-40) (-301) (-10 -8 (-15 -1435 ($)))) 
-(((-40) . T) ((-116) . T) ((-301) . T) ((-526) . T) ((-1214) . T)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-2324 ((|#1| $) 17)) (-2836 (($ |#1| (-658 $)) 23) (($ (-658 |#1|)) 27) (($ |#1|) 25)) (-2126 (((-141) $ (-790)) 46)) (-3047 ((|#1| $ |#1|) 14 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 13 (|has| $ (-6 -4626)))) (-3001 (($) NIL T CONST)) (-4004 (((-658 |#1|) $) 50 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 41)) (-3055 (((-141) $ $) 32 (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) 39)) (-4467 (((-658 |#1|) $) 51 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 49 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-3987 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 22)) (-2554 (((-141) $ (-790)) 38)) (-4063 (((-658 |#1|) $) 36)) (-3683 (((-141) $) 35)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-3002 (((-141) (-1 (-141) |#1|) $) 48 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 73)) (-2943 (((-141) $) 9)) (-2890 (($) 10)) (-3927 ((|#1| $ "value") NIL)) (-2920 (((-592) $ $) 31)) (-1996 (((-658 $) $) 57)) (-1620 (((-141) $ $) 75)) (-3713 (((-658 $) $) 70)) (-2511 (($ $) 71)) (-3228 (((-141) $) 54)) (-3452 (((-790) (-1 (-141) |#1|) $) 20 (|has| $ (-6 -4625))) (((-790) |#1| $) 16 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4599 (($ $) 56)) (-1683 (((-877) $) 59 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 12)) (-2936 (((-141) $ $) 29 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 47 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 28 (|has| |#1| (-1119)))) (-1699 (((-790) $) 37 (|has| $ (-6 -4625))))) 
-(((-1212 |#1|) (-13 (-1038 |#1|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -2836 ($ |#1| (-658 $))) (-15 -2836 ($ (-658 |#1|))) (-15 -2836 ($ |#1|)) (-15 -3228 ((-141) $)) (-15 -2511 ($ $)) (-15 -3713 ((-658 $) $)) (-15 -1620 ((-141) $ $)) (-15 -1996 ((-658 $) $)))) (-1119)) (T -1212)) 
-((-3228 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1212 *3)) (-4 *3 (-1119)))) (-2836 (*1 *1 *2 *3) (-12 (-5 *3 (-658 (-1212 *2))) (-5 *1 (-1212 *2)) (-4 *2 (-1119)))) (-2836 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1212 *3)))) (-2836 (*1 *1 *2) (-12 (-5 *1 (-1212 *2)) (-4 *2 (-1119)))) (-2511 (*1 *1 *1) (-12 (-5 *1 (-1212 *2)) (-4 *2 (-1119)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-658 (-1212 *3))) (-5 *1 (-1212 *3)) (-4 *3 (-1119)))) (-1620 (*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1212 *3)) (-4 *3 (-1119)))) (-1996 (*1 *2 *1) (-12 (-5 *2 (-658 (-1212 *3))) (-5 *1 (-1212 *3)) (-4 *3 (-1119))))) 
-(-13 (-1038 |#1|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -2836 ($ |#1| (-658 $))) (-15 -2836 ($ (-658 |#1|))) (-15 -2836 ($ |#1|)) (-15 -3228 ((-141) $)) (-15 -2511 ($ $)) (-15 -3713 ((-658 $) $)) (-15 -1620 ((-141) $ $)) (-15 -1996 ((-658 $) $)))) 
-((-1507 (($ $) 15)) (-1521 (($ $) 12)) (-1527 (($ $) 10)) (-1515 (($ $) 17))) 
-(((-1213 |#1|) (-10 -8 (-15 -1515 (|#1| |#1|)) (-15 -1527 (|#1| |#1|)) (-15 -1521 (|#1| |#1|)) (-15 -1507 (|#1| |#1|))) (-1214)) (T -1213)) 
-NIL 
-(-10 -8 (-15 -1515 (|#1| |#1|)) (-15 -1527 (|#1| |#1|)) (-15 -1521 (|#1| |#1|)) (-15 -1507 (|#1| |#1|))) 
-((-1507 (($ $) 11)) (-1495 (($ $) 10)) (-1521 (($ $) 9)) (-1527 (($ $) 8)) (-1515 (($ $) 7)) (-1501 (($ $) 6))) 
-(((-1214) (-1311)) (T -1214)) 
-((-1507 (*1 *1 *1) (-4 *1 (-1214))) (-1495 (*1 *1 *1) (-4 *1 (-1214))) (-1521 (*1 *1 *1) (-4 *1 (-1214))) (-1527 (*1 *1 *1) (-4 *1 (-1214))) (-1515 (*1 *1 *1) (-4 *1 (-1214))) (-1501 (*1 *1 *1) (-4 *1 (-1214)))) 
-(-13 (-10 -8 (-15 -1501 ($ $)) (-15 -1515 ($ $)) (-15 -1527 ($ $)) (-15 -1521 ($ $)) (-15 -1495 ($ $)) (-15 -1507 ($ $)))) 
-((-1519 ((|#2| |#2|) 85)) (-2952 (((-141) |#2|) 25)) (-3996 ((|#2| |#2|) 29)) (-4506 ((|#2| |#2|) 31)) (-1689 ((|#2| |#2| (-1191)) 79) ((|#2| |#2|) 80)) (-2438 (((-191 |#2|) |#2|) 27)) (-2771 ((|#2| |#2| (-1191)) 81) ((|#2| |#2|) 82))) 
-(((-1215 |#1| |#2|) (-10 -7 (-15 -1689 (|#2| |#2|)) (-15 -1689 (|#2| |#2| (-1191))) (-15 -2771 (|#2| |#2|)) (-15 -2771 (|#2| |#2| (-1191))) (-15 -1519 (|#2| |#2|)) (-15 -3996 (|#2| |#2|)) (-15 -4506 (|#2| |#2|)) (-15 -2952 ((-141) |#2|)) (-15 -2438 ((-191 |#2|) |#2|))) (-13 (-477) (-869) (-1065 (-592)) (-654 (-592))) (-13 (-27) (-1211) (-456 |#1|))) (T -1215)) 
-((-2438 (*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-191 *3)) (-5 *1 (-1215 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) (-2952 (*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-141)) (-5 *1 (-1215 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) (-4506 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) (-3996 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) (-1519 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) (-2771 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) (-2771 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) (-1689 (*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) (-1689 (*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3)))))) 
-(-10 -7 (-15 -1689 (|#2| |#2|)) (-15 -1689 (|#2| |#2| (-1191))) (-15 -2771 (|#2| |#2|)) (-15 -2771 (|#2| |#2| (-1191))) (-15 -1519 (|#2| |#2|)) (-15 -3996 (|#2| |#2|)) (-15 -4506 (|#2| |#2|)) (-15 -2952 ((-141) |#2|)) (-15 -2438 ((-191 |#2|) |#2|))) 
-((-4252 ((|#4| |#4| |#1|) 27)) (-2430 ((|#4| |#4| |#1|) 28))) 
-(((-1216 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4252 (|#4| |#4| |#1|)) (-15 -2430 (|#4| |#4| |#1|))) (-582) (-399 |#1|) (-399 |#1|) (-704 |#1| |#2| |#3|)) (T -1216)) 
-((-2430 (*1 *2 *2 *3) (-12 (-4 *3 (-582)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1216 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) (-4252 (*1 *2 *2 *3) (-12 (-4 *3 (-582)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1216 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(-10 -7 (-15 -4252 (|#4| |#4| |#1|)) (-15 -2430 (|#4| |#4| |#1|))) 
-((-3527 ((|#2| |#2|) 144)) (-2634 ((|#2| |#2|) 142)) (-3889 ((|#2| |#2|) 134)) (-4498 ((|#2| |#2|) 131)) (-4425 ((|#2| |#2|) 139)) (-3953 ((|#2| |#2|) 127)) (-1785 ((|#2| |#2|) 59)) (-3205 ((|#2| |#2|) 109)) (-1849 ((|#2| |#2|) 89)) (-2980 ((|#2| |#2|) 141)) (-2453 ((|#2| |#2|) 129)) (-3285 ((|#2| |#2|) 149)) (-4600 ((|#2| |#2|) 147)) (-4038 ((|#2| |#2|) 148)) (-2456 ((|#2| |#2|) 146)) (-4108 ((|#2| |#2|) 158)) (-1886 ((|#2| |#2|) 48 (-12 (|has| |#2| (-633 (-914 |#1|))) (|has| |#2| (-908 |#1|)) (|has| |#1| (-633 (-914 |#1|))) (|has| |#1| (-908 |#1|))))) (-2216 ((|#2| |#2|) 90)) (-1534 ((|#2| |#2|) 150)) (-3098 ((|#2| |#2|) 151)) (-3117 ((|#2| |#2|) 140)) (-2419 ((|#2| |#2|) 128)) (-3935 ((|#2| |#2|) 145)) (-1989 ((|#2| |#2|) 143)) (-1931 ((|#2| |#2|) 135)) (-2240 ((|#2| |#2|) 133)) (-2575 ((|#2| |#2|) 137)) (-2702 ((|#2| |#2|) 125))) 
-(((-1217 |#1| |#2|) (-10 -7 (-15 -3098 (|#2| |#2|)) (-15 -1849 (|#2| |#2|)) (-15 -4108 (|#2| |#2|)) (-15 -3205 (|#2| |#2|)) (-15 -1785 (|#2| |#2|)) (-15 -2216 (|#2| |#2|)) (-15 -1534 (|#2| |#2|)) (-15 -2702 (|#2| |#2|)) (-15 -2575 (|#2| |#2|)) (-15 -1931 (|#2| |#2|)) (-15 -3935 (|#2| |#2|)) (-15 -2419 (|#2| |#2|)) (-15 -3117 (|#2| |#2|)) (-15 -2453 (|#2| |#2|)) (-15 -2980 (|#2| |#2|)) (-15 -3953 (|#2| |#2|)) (-15 -4425 (|#2| |#2|)) (-15 -3889 (|#2| |#2|)) (-15 -3527 (|#2| |#2|)) (-15 -4498 (|#2| |#2|)) (-15 -2634 (|#2| |#2|)) (-15 -2240 (|#2| |#2|)) (-15 -1989 (|#2| |#2|)) (-15 -2456 (|#2| |#2|)) (-15 -4600 (|#2| |#2|)) (-15 -4038 (|#2| |#2|)) (-15 -3285 (|#2| |#2|)) (IF (|has| |#1| (-908 |#1|)) (IF (|has| |#1| (-633 (-914 |#1|))) (IF (|has| |#2| (-633 (-914 |#1|))) (IF (|has| |#2| (-908 |#1|)) (-15 -1886 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-869) (-477)) (-13 (-456 |#1|) (-1211))) (T -1217)) 
-((-1886 (*1 *2 *2) (-12 (-4 *3 (-633 (-914 *3))) (-4 *3 (-908 *3)) (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-633 (-914 *3))) (-4 *2 (-908 *3)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3285 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-4038 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-4600 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2456 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-1989 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2240 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2634 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-4498 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3527 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3889 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-4425 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3953 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2980 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2453 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3117 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2419 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3935 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-1931 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2575 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2702 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-1534 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-2216 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3205 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-4108 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-1849 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) (-3098 (*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(-10 -7 (-15 -3098 (|#2| |#2|)) (-15 -1849 (|#2| |#2|)) (-15 -4108 (|#2| |#2|)) (-15 -3205 (|#2| |#2|)) (-15 -1785 (|#2| |#2|)) (-15 -2216 (|#2| |#2|)) (-15 -1534 (|#2| |#2|)) (-15 -2702 (|#2| |#2|)) (-15 -2575 (|#2| |#2|)) (-15 -1931 (|#2| |#2|)) (-15 -3935 (|#2| |#2|)) (-15 -2419 (|#2| |#2|)) (-15 -3117 (|#2| |#2|)) (-15 -2453 (|#2| |#2|)) (-15 -2980 (|#2| |#2|)) (-15 -3953 (|#2| |#2|)) (-15 -4425 (|#2| |#2|)) (-15 -3889 (|#2| |#2|)) (-15 -3527 (|#2| |#2|)) (-15 -4498 (|#2| |#2|)) (-15 -2634 (|#2| |#2|)) (-15 -2240 (|#2| |#2|)) (-15 -1989 (|#2| |#2|)) (-15 -2456 (|#2| |#2|)) (-15 -4600 (|#2| |#2|)) (-15 -4038 (|#2| |#2|)) (-15 -3285 (|#2| |#2|)) (IF (|has| |#1| (-908 |#1|)) (IF (|has| |#1| (-633 (-914 |#1|))) (IF (|has| |#2| (-633 (-914 |#1|))) (IF (|has| |#2| (-908 |#1|)) (-15 -1886 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-4135 (((-141) |#5| $) 59) (((-141) $) 101)) (-2244 ((|#5| |#5| $) 74)) (-3113 (($ (-1 (-141) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-1903 (((-658 |#5|) (-658 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-141) |#5| |#5|)) 72)) (-4368 (((-3 $ "failed") (-658 |#5|)) 125)) (-1366 (((-3 $ "failed") $) 111)) (-2226 ((|#5| |#5| $) 93)) (-2172 (((-141) |#5| $ (-1 (-141) |#5| |#5|)) 30)) (-3092 ((|#5| |#5| $) 97)) (-3657 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-141) |#5| |#5|)) 68)) (-1643 (((-2 (|:| -3511 (-658 |#5|)) (|:| -1774 (-658 |#5|))) $) 54)) (-2479 (((-141) |#5| $) 57) (((-141) $) 102)) (-3259 ((|#4| $) 107)) (-4255 (((-3 |#5| "failed") $) 109)) (-1712 (((-658 |#5|) $) 48)) (-2346 (((-141) |#5| $) 66) (((-141) $) 106)) (-1751 ((|#5| |#5| $) 80)) (-3085 (((-141) $ $) 26)) (-4442 (((-141) |#5| $) 62) (((-141) $) 104)) (-1803 ((|#5| |#5| $) 77)) (-1918 (((-3 |#5| "failed") $) 108)) (-2807 (($ $ |#5|) 126)) (-4525 (((-790) $) 51)) (-4466 (($ (-658 |#5|)) 123)) (-2613 (($ $ |#4|) 121)) (-4152 (($ $ |#4|) 120)) (-2965 (($ $) 119)) (-1683 (((-877) $) NIL) (((-658 |#5|) $) 112)) (-1857 (((-790) $) 129)) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#5|))) "failed") (-658 |#5|) (-1 (-141) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#5|))) "failed") (-658 |#5|) (-1 (-141) |#5|) (-1 (-141) |#5| |#5|)) 44)) (-4408 (((-141) $ (-1 (-141) |#5| (-658 |#5|))) 99)) (-1596 (((-658 |#4|) $) 114)) (-3069 (((-141) |#4| $) 117)) (-3255 (((-141) $ $) 19))) 
-(((-1218 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1857 ((-790) |#1|)) (-15 -2807 (|#1| |#1| |#5|)) (-15 -3113 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3069 ((-141) |#4| |#1|)) (-15 -1596 ((-658 |#4|) |#1|)) (-15 -1366 ((-3 |#1| "failed") |#1|)) (-15 -4255 ((-3 |#5| "failed") |#1|)) (-15 -1918 ((-3 |#5| "failed") |#1|)) (-15 -3092 (|#5| |#5| |#1|)) (-15 -2965 (|#1| |#1|)) (-15 -2226 (|#5| |#5| |#1|)) (-15 -1751 (|#5| |#5| |#1|)) (-15 -1803 (|#5| |#5| |#1|)) (-15 -2244 (|#5| |#5| |#1|)) (-15 -1903 ((-658 |#5|) (-658 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-141) |#5| |#5|))) (-15 -3657 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-141) |#5| |#5|))) (-15 -2346 ((-141) |#1|)) (-15 -4442 ((-141) |#1|)) (-15 -4135 ((-141) |#1|)) (-15 -4408 ((-141) |#1| (-1 (-141) |#5| (-658 |#5|)))) (-15 -2346 ((-141) |#5| |#1|)) (-15 -4442 ((-141) |#5| |#1|)) (-15 -4135 ((-141) |#5| |#1|)) (-15 -2172 ((-141) |#5| |#1| (-1 (-141) |#5| |#5|))) (-15 -2479 ((-141) |#1|)) (-15 -2479 ((-141) |#5| |#1|)) (-15 -1643 ((-2 (|:| -3511 (-658 |#5|)) (|:| -1774 (-658 |#5|))) |#1|)) (-15 -4525 ((-790) |#1|)) (-15 -1712 ((-658 |#5|) |#1|)) (-15 -1387 ((-3 (-2 (|:| |bas| |#1|) (|:| -3349 (-658 |#5|))) "failed") (-658 |#5|) (-1 (-141) |#5|) (-1 (-141) |#5| |#5|))) (-15 -1387 ((-3 (-2 (|:| |bas| |#1|) (|:| -3349 (-658 |#5|))) "failed") (-658 |#5|) (-1 (-141) |#5| |#5|))) (-15 -3085 ((-141) |#1| |#1|)) (-15 -2613 (|#1| |#1| |#4|)) (-15 -4152 (|#1| |#1| |#4|)) (-15 -3259 (|#4| |#1|)) (-15 -4368 ((-3 |#1| "failed") (-658 |#5|))) (-15 -1683 ((-658 |#5|) |#1|)) (-15 -4466 (|#1| (-658 |#5|))) (-15 -3657 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -3657 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -3113 (|#1| (-1 (-141) |#5|) |#1|)) (-15 -3657 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) (-1219 |#2| |#3| |#4| |#5|) (-582) (-815) (-869) (-1089 |#2| |#3| |#4|)) (T -1218)) 
-NIL 
-(-10 -8 (-15 -1857 ((-790) |#1|)) (-15 -2807 (|#1| |#1| |#5|)) (-15 -3113 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3069 ((-141) |#4| |#1|)) (-15 -1596 ((-658 |#4|) |#1|)) (-15 -1366 ((-3 |#1| "failed") |#1|)) (-15 -4255 ((-3 |#5| "failed") |#1|)) (-15 -1918 ((-3 |#5| "failed") |#1|)) (-15 -3092 (|#5| |#5| |#1|)) (-15 -2965 (|#1| |#1|)) (-15 -2226 (|#5| |#5| |#1|)) (-15 -1751 (|#5| |#5| |#1|)) (-15 -1803 (|#5| |#5| |#1|)) (-15 -2244 (|#5| |#5| |#1|)) (-15 -1903 ((-658 |#5|) (-658 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-141) |#5| |#5|))) (-15 -3657 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-141) |#5| |#5|))) (-15 -2346 ((-141) |#1|)) (-15 -4442 ((-141) |#1|)) (-15 -4135 ((-141) |#1|)) (-15 -4408 ((-141) |#1| (-1 (-141) |#5| (-658 |#5|)))) (-15 -2346 ((-141) |#5| |#1|)) (-15 -4442 ((-141) |#5| |#1|)) (-15 -4135 ((-141) |#5| |#1|)) (-15 -2172 ((-141) |#5| |#1| (-1 (-141) |#5| |#5|))) (-15 -2479 ((-141) |#1|)) (-15 -2479 ((-141) |#5| |#1|)) (-15 -1643 ((-2 (|:| -3511 (-658 |#5|)) (|:| -1774 (-658 |#5|))) |#1|)) (-15 -4525 ((-790) |#1|)) (-15 -1712 ((-658 |#5|) |#1|)) (-15 -1387 ((-3 (-2 (|:| |bas| |#1|) (|:| -3349 (-658 |#5|))) "failed") (-658 |#5|) (-1 (-141) |#5|) (-1 (-141) |#5| |#5|))) (-15 -1387 ((-3 (-2 (|:| |bas| |#1|) (|:| -3349 (-658 |#5|))) "failed") (-658 |#5|) (-1 (-141) |#5| |#5|))) (-15 -3085 ((-141) |#1| |#1|)) (-15 -2613 (|#1| |#1| |#4|)) (-15 -4152 (|#1| |#1| |#4|)) (-15 -3259 (|#4| |#1|)) (-15 -4368 ((-3 |#1| "failed") (-658 |#5|))) (-15 -1683 ((-658 |#5|) |#1|)) (-15 -4466 (|#1| (-658 |#5|))) (-15 -3657 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -3657 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -3113 (|#1| (-1 (-141) |#5|) |#1|)) (-15 -3657 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -1683 ((-877) |#1|)) (-15 -3255 ((-141) |#1| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) 78)) (-2248 (((-658 $) (-658 |#4|)) 79)) (-4085 (((-658 |#3|) $) 32)) (-4325 (((-141) $) 25)) (-2988 (((-141) $) 16 (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) 94) (((-141) $) 90)) (-2244 ((|#4| |#4| $) 85)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) 26)) (-2126 (((-141) $ (-790)) 43)) (-3113 (($ (-1 (-141) |#4|) $) 64 (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) 72)) (-3001 (($) 44 T CONST)) (-3239 (((-141) $) 21 (|has| |#1| (-582)))) (-3478 (((-141) $ $) 23 (|has| |#1| (-582)))) (-2398 (((-141) $ $) 22 (|has| |#1| (-582)))) (-1529 (((-141) $) 24 (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 86)) (-4521 (((-658 |#4|) (-658 |#4|) $) 17 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) 18 (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) 35)) (-2400 (($ (-658 |#4|)) 34)) (-1366 (((-3 $ "failed") $) 75)) (-2226 ((|#4| |#4| $) 82)) (-1360 (($ $) 67 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#4| $) 66 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#4|) $) 63 (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) 95)) (-3092 ((|#4| |#4| $) 80)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 87)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) 98)) (-4004 (((-658 |#4|) $) 51 (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) 97) (((-141) $) 96)) (-3259 ((|#3| $) 33)) (-4345 (((-141) $ (-790)) 42)) (-4467 (((-658 |#4|) $) 52 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) 54 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) 46)) (-2290 (((-658 |#3|) $) 31)) (-2645 (((-141) |#3| $) 30)) (-2554 (((-141) $ (-790)) 41)) (-2685 (((-1173) $) 9)) (-4255 (((-3 |#4| "failed") $) 76)) (-1712 (((-658 |#4|) $) 100)) (-2346 (((-141) |#4| $) 92) (((-141) $) 88)) (-1751 ((|#4| |#4| $) 83)) (-3085 (((-141) $ $) 103)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) 93) (((-141) $) 89)) (-1803 ((|#4| |#4| $) 84)) (-2951 (((-1137) $) 10)) (-1918 (((-3 |#4| "failed") $) 77)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) 60)) (-2778 (((-3 $ "failed") $ |#4|) 71)) (-2807 (($ $ |#4|) 70)) (-3002 (((-141) (-1 (-141) |#4|) $) 49 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) 58 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) 56 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) 55 (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) 37)) (-2943 (((-141) $) 40)) (-2890 (($) 39)) (-4525 (((-790) $) 99)) (-3452 (((-790) |#4| $) 53 (-12 (|has| |#4| (-1119)) (|has| $ (-6 -4625)))) (((-790) (-1 (-141) |#4|) $) 50 (|has| $ (-6 -4625)))) (-4599 (($ $) 38)) (-1778 (((-565) $) 68 (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) 59)) (-2613 (($ $ |#3|) 27)) (-4152 (($ $ |#3|) 29)) (-2965 (($ $) 81)) (-2507 (($ $ |#3|) 28)) (-1683 (((-877) $) 11) (((-658 |#4|) $) 36)) (-1857 (((-790) $) 69 (|has| |#3| (-394)))) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) 101)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) 91)) (-3369 (((-141) (-1 (-141) |#4|) $) 48 (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) 74)) (-3069 (((-141) |#3| $) 73)) (-3255 (((-141) $ $) 6)) (-1699 (((-790) $) 45 (|has| $ (-6 -4625))))) 
-(((-1219 |#1| |#2| |#3| |#4|) (-1311) (-582) (-815) (-869) (-1089 |t#1| |t#2| |t#3|)) (T -1219)) 
-((-3085 (*1 *2 *1 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-1387 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-141) *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3349 (-658 *8)))) (-5 *3 (-658 *8)) (-4 *1 (-1219 *5 *6 *7 *8)))) (-1387 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-141) *9)) (-5 *5 (-1 (-141) *9 *9)) (-4 *9 (-1089 *6 *7 *8)) (-4 *6 (-582)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3349 (-658 *9)))) (-5 *3 (-658 *9)) (-4 *1 (-1219 *6 *7 *8 *9)))) (-1712 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *6)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-790)))) (-1643 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-2 (|:| -3511 (-658 *6)) (|:| -1774 (-658 *6)))))) (-2479 (*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-2479 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-2172 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-141) *3 *3)) (-4 *1 (-1219 *5 *6 *7 *3)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-141)))) (-4135 (*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-4442 (*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-2346 (*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-4408 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-141) *7 (-658 *7))) (-4 *1 (-1219 *4 *5 *6 *7)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)))) (-4135 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-4442 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-2346 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) (-3657 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-141) *2 *2)) (-4 *1 (-1219 *5 *6 *7 *2)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *2 (-1089 *5 *6 *7)))) (-1903 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-658 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-141) *8 *8)) (-4 *1 (-1219 *5 *6 *7 *8)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)))) (-2244 (*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-1803 (*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-1751 (*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-2226 (*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-2965 (*1 *1 *1) (-12 (-4 *1 (-1219 *2 *3 *4 *5)) (-4 *2 (-582)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-1089 *2 *3 *4)))) (-3092 (*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-2248 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1219 *4 *5 *6 *7)))) (-2660 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| -3511 *1) (|:| -1774 (-658 *7))))) (-5 *3 (-658 *7)) (-4 *1 (-1219 *4 *5 *6 *7)))) (-1918 (*1 *2 *1) (|partial| -12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-4255 (*1 *2 *1) (|partial| -12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-1366 (*1 *1 *1) (|partial| -12 (-4 *1 (-1219 *2 *3 *4 *5)) (-4 *2 (-582)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-1089 *2 *3 *4)))) (-1596 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *5)))) (-3069 (*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *3 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *6 (-1089 *4 *5 *3)) (-5 *2 (-141)))) (-3113 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1219 *4 *5 *3 *2)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *2 (-1089 *4 *5 *3)))) (-2778 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-2807 (*1 *1 *1 *2) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) (-1857 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *5 (-394)) (-5 *2 (-790))))) 
-(-13 (-1005 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4625) (-6 -4626) (-15 -3085 ((-141) $ $)) (-15 -1387 ((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |t#4|))) "failed") (-658 |t#4|) (-1 (-141) |t#4| |t#4|))) (-15 -1387 ((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |t#4|))) "failed") (-658 |t#4|) (-1 (-141) |t#4|) (-1 (-141) |t#4| |t#4|))) (-15 -1712 ((-658 |t#4|) $)) (-15 -4525 ((-790) $)) (-15 -1643 ((-2 (|:| -3511 (-658 |t#4|)) (|:| -1774 (-658 |t#4|))) $)) (-15 -2479 ((-141) |t#4| $)) (-15 -2479 ((-141) $)) (-15 -2172 ((-141) |t#4| $ (-1 (-141) |t#4| |t#4|))) (-15 -4135 ((-141) |t#4| $)) (-15 -4442 ((-141) |t#4| $)) (-15 -2346 ((-141) |t#4| $)) (-15 -4408 ((-141) $ (-1 (-141) |t#4| (-658 |t#4|)))) (-15 -4135 ((-141) $)) (-15 -4442 ((-141) $)) (-15 -2346 ((-141) $)) (-15 -3657 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-141) |t#4| |t#4|))) (-15 -1903 ((-658 |t#4|) (-658 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-141) |t#4| |t#4|))) (-15 -2244 (|t#4| |t#4| $)) (-15 -1803 (|t#4| |t#4| $)) (-15 -1751 (|t#4| |t#4| $)) (-15 -2226 (|t#4| |t#4| $)) (-15 -2965 ($ $)) (-15 -3092 (|t#4| |t#4| $)) (-15 -2248 ((-658 $) (-658 |t#4|))) (-15 -2660 ((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |t#4|)))) (-658 |t#4|))) (-15 -1918 ((-3 |t#4| "failed") $)) (-15 -4255 ((-3 |t#4| "failed") $)) (-15 -1366 ((-3 $ "failed") $)) (-15 -1596 ((-658 |t#3|) $)) (-15 -3069 ((-141) |t#3| $)) (-15 -3113 ((-3 |t#4| "failed") $ |t#3|)) (-15 -2778 ((-3 $ "failed") $ |t#4|)) (-15 -2807 ($ $ |t#4|)) (IF (|has| |t#3| (-394)) (-15 -1857 ((-790) $)) |noBranch|))) 
-(((-39) . T) ((-125) . T) ((-632 (-658 |#4|)) . T) ((-632 (-877)) . T) ((-175 |#4|) . T) ((-633 (-565)) |has| |#4| (-633 (-565))) ((-325 |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-523 |#4|) . T) ((-547 |#4| |#4|) -12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))) ((-1005 |#1| |#2| |#3| |#4|) . T) ((-1119) . T) ((-1225) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1191)) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2012 (((-980 |#1|) $ (-790)) 16) (((-980 |#1|) $ (-790) (-790)) NIL)) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $ (-1191)) NIL) (((-790) $ (-1191) (-790)) NIL)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2027 (((-141) $) NIL)) (-4526 (($ $ (-658 (-1191)) (-658 (-558 (-1191)))) NIL) (($ $ (-1191) (-558 (-1191))) NIL) (($ |#1| (-558 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-3162 (($ $ (-1191)) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191) |#1|) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-4320 (($ (-1 $) (-1191) |#1|) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2807 (($ $ (-790)) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2806 (($ $ (-1191) $) NIL) (($ $ (-658 (-1191)) (-658 $)) NIL) (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL)) (-3644 (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-4525 (((-558 (-1191)) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ $) NIL (|has| |#1| (-582))) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-1191)) NIL) (($ (-980 |#1|)) NIL)) (-1937 ((|#1| $ (-558 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (((-980 |#1|) $ (-790)) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1220 |#1|) (-13 (-757 |#1| (-1191)) (-10 -8 (-15 -1937 ((-980 |#1|) $ (-790))) (-15 -1683 ($ (-1191))) (-15 -1683 ($ (-980 |#1|))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $ (-1191) |#1|)) (-15 -4320 ($ (-1 $) (-1191) |#1|))) |noBranch|))) (-1075)) (T -1220)) 
-((-1937 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-980 *4)) (-5 *1 (-1220 *4)) (-4 *4 (-1075)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1220 *3)) (-4 *3 (-1075)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-980 *3)) (-4 *3 (-1075)) (-5 *1 (-1220 *3)))) (-3162 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *1 (-1220 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)))) (-4320 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1220 *4))) (-5 *3 (-1191)) (-5 *1 (-1220 *4)) (-4 *4 (-43 (-433 (-592)))) (-4 *4 (-1075))))) 
-(-13 (-757 |#1| (-1191)) (-10 -8 (-15 -1937 ((-980 |#1|) $ (-790))) (-15 -1683 ($ (-1191))) (-15 -1683 ($ (-980 |#1|))) (IF (|has| |#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $ (-1191) |#1|)) (-15 -4320 ($ (-1 $) (-1191) |#1|))) |noBranch|))) 
-((-2073 (($ |#1| (-658 (-658 (-971 (-237)))) (-141)) 15)) (-2405 (((-141) $ (-141)) 14)) (-4435 (((-141) $) 13)) (-2736 (((-658 (-658 (-971 (-237)))) $) 10)) (-4381 ((|#1| $) 8)) (-2308 (((-141) $) 12))) 
-(((-1221 |#1|) (-10 -8 (-15 -4381 (|#1| $)) (-15 -2736 ((-658 (-658 (-971 (-237)))) $)) (-15 -2308 ((-141) $)) (-15 -4435 ((-141) $)) (-15 -2405 ((-141) $ (-141))) (-15 -2073 ($ |#1| (-658 (-658 (-971 (-237)))) (-141)))) (-1003)) (T -1221)) 
-((-2073 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-141)) (-5 *1 (-1221 *2)) (-4 *2 (-1003)))) (-2405 (*1 *2 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1221 *3)) (-4 *3 (-1003)))) (-4435 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1221 *3)) (-4 *3 (-1003)))) (-2308 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1221 *3)) (-4 *3 (-1003)))) (-2736 (*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-1221 *3)) (-4 *3 (-1003)))) (-4381 (*1 *2 *1) (-12 (-5 *1 (-1221 *2)) (-4 *2 (-1003))))) 
-(-10 -8 (-15 -4381 (|#1| $)) (-15 -2736 ((-658 (-658 (-971 (-237)))) $)) (-15 -2308 ((-141) $)) (-15 -4435 ((-141) $)) (-15 -2405 ((-141) $ (-141))) (-15 -2073 ($ |#1| (-658 (-658 (-971 (-237)))) (-141)))) 
-((-2673 (((-971 (-237)) (-971 (-237))) 25)) (-1831 (((-971 (-237)) (-237) (-237) (-237) (-237)) 10)) (-2735 (((-658 (-971 (-237))) (-971 (-237)) (-971 (-237)) (-971 (-237)) (-237) (-658 (-658 (-237)))) 35)) (-1729 (((-237) (-971 (-237)) (-971 (-237))) 21)) (-2746 (((-971 (-237)) (-971 (-237)) (-971 (-237))) 22)) (-3900 (((-658 (-658 (-237))) (-592)) 31)) (-3306 (((-971 (-237)) (-971 (-237)) (-971 (-237))) 20)) (-3300 (((-971 (-237)) (-971 (-237)) (-971 (-237))) 19)) (* (((-971 (-237)) (-237) (-971 (-237))) 18))) 
-(((-1222) (-10 -7 (-15 -1831 ((-971 (-237)) (-237) (-237) (-237) (-237))) (-15 * ((-971 (-237)) (-237) (-971 (-237)))) (-15 -3300 ((-971 (-237)) (-971 (-237)) (-971 (-237)))) (-15 -3306 ((-971 (-237)) (-971 (-237)) (-971 (-237)))) (-15 -1729 ((-237) (-971 (-237)) (-971 (-237)))) (-15 -2746 ((-971 (-237)) (-971 (-237)) (-971 (-237)))) (-15 -2673 ((-971 (-237)) (-971 (-237)))) (-15 -3900 ((-658 (-658 (-237))) (-592))) (-15 -2735 ((-658 (-971 (-237))) (-971 (-237)) (-971 (-237)) (-971 (-237)) (-237) (-658 (-658 (-237))))))) (T -1222)) 
-((-2735 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-658 (-658 (-237)))) (-5 *4 (-237)) (-5 *2 (-658 (-971 *4))) (-5 *1 (-1222)) (-5 *3 (-971 *4)))) (-3900 (*1 *2 *3) (-12 (-5 *3 (-592)) (-5 *2 (-658 (-658 (-237)))) (-5 *1 (-1222)))) (-2673 (*1 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) (-2746 (*1 *2 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) (-1729 (*1 *2 *3 *3) (-12 (-5 *3 (-971 (-237))) (-5 *2 (-237)) (-5 *1 (-1222)))) (-3306 (*1 *2 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) (-3300 (*1 *2 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-971 (-237))) (-5 *3 (-237)) (-5 *1 (-1222)))) (-1831 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)) (-5 *3 (-237))))) 
-(-10 -7 (-15 -1831 ((-971 (-237)) (-237) (-237) (-237) (-237))) (-15 * ((-971 (-237)) (-237) (-971 (-237)))) (-15 -3300 ((-971 (-237)) (-971 (-237)) (-971 (-237)))) (-15 -3306 ((-971 (-237)) (-971 (-237)) (-971 (-237)))) (-15 -1729 ((-237) (-971 (-237)) (-971 (-237)))) (-15 -2746 ((-971 (-237)) (-971 (-237)) (-971 (-237)))) (-15 -2673 ((-971 (-237)) (-971 (-237)))) (-15 -3900 ((-658 (-658 (-237))) (-592))) (-15 -2735 ((-658 (-971 (-237))) (-971 (-237)) (-971 (-237)) (-971 (-237)) (-237) (-658 (-658 (-237)))))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3113 ((|#1| $ (-790)) 13)) (-4233 (((-790) $) 12)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1683 (((-986 |#1|) $) 10) (($ (-986 |#1|)) 9) (((-877) $) 23 (|has| |#1| (-1119)))) (-3255 (((-141) $ $) 16 (|has| |#1| (-1119))))) 
-(((-1223 |#1|) (-13 (-632 (-986 |#1|)) (-10 -8 (-15 -1683 ($ (-986 |#1|))) (-15 -3113 (|#1| $ (-790))) (-15 -4233 ((-790) $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|))) (-1225)) (T -1223)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-986 *3)) (-4 *3 (-1225)) (-5 *1 (-1223 *3)))) (-3113 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-1223 *2)) (-4 *2 (-1225)))) (-4233 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1223 *3)) (-4 *3 (-1225))))) 
-(-13 (-632 (-986 |#1|)) (-10 -8 (-15 -1683 ($ (-986 |#1|))) (-15 -3113 (|#1| $ (-790))) (-15 -4233 ((-790) $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|))) 
-((-2420 (((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)) (-592)) 79)) (-3216 (((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|))) 73)) (-3021 (((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|))) 58))) 
-(((-1224 |#1|) (-10 -7 (-15 -3216 ((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)))) (-15 -3021 ((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)))) (-15 -2420 ((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)) (-592)))) (-373)) (T -1224)) 
-((-2420 (*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-373)) (-5 *2 (-444 (-1187 (-1187 *5)))) (-5 *1 (-1224 *5)) (-5 *3 (-1187 (-1187 *5))))) (-3021 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 (-1187 (-1187 *4)))) (-5 *1 (-1224 *4)) (-5 *3 (-1187 (-1187 *4))))) (-3216 (*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 (-1187 (-1187 *4)))) (-5 *1 (-1224 *4)) (-5 *3 (-1187 (-1187 *4)))))) 
-(-10 -7 (-15 -3216 ((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)))) (-15 -3021 ((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)))) (-15 -2420 ((-444 (-1187 (-1187 |#1|))) (-1187 (-1187 |#1|)) (-592)))) 
-NIL 
-(((-1225) (-1311)) (T -1225)) 
-NIL 
-(-13 (-10 -7 (-6 -2623))) 
-((-1641 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-1227)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) NIL)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 (((-592) $ (-592) (-592) (-592)) 17) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-1227)) NIL)) (-2242 (($ $ (-592) (-1227)) NIL)) (-3223 (($ (-790) (-592)) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| (-592) (-323)))) (-2747 (((-1227) $ (-592)) NIL)) (-4175 (((-790) $) NIL (|has| (-592) (-582)))) (-1426 (((-592) $ (-592) (-592) (-592)) 16)) (-1695 (($ (-592) (-592)) 19)) (-3959 (((-592) $ (-592) (-592)) 14)) (-1794 (((-592) $) NIL (|has| (-592) (-194)))) (-4004 (((-658 (-592)) $) NIL)) (-3178 (((-790) $) NIL (|has| (-592) (-582)))) (-3555 (((-658 (-1227)) $) NIL (|has| (-592) (-582)))) (-4292 (((-790) $) 10)) (-3242 (($ (-790) (-790) (-592)) 20)) (-4298 (((-790) $) 11)) (-4345 (((-141) $ (-790)) NIL)) (-3781 (((-592) $) NIL (|has| (-592) (-6 (-4627 "*"))))) (-4577 (((-592) $) 7)) (-4280 (((-592) $) 8)) (-4467 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-1898 (((-592) $) 12)) (-3005 (((-592) $) 13)) (-4186 (($ (-658 (-658 (-592)))) NIL) (($ (-790) (-790) (-1 (-592) (-592) (-592))) NIL)) (-3987 (($ (-1 (-592) (-592)) $) NIL)) (-2731 (($ (-1 (-592) (-592)) $) NIL) (($ (-1 (-592) (-592) (-592)) $ $) NIL) (($ (-1 (-592) (-592) (-592)) $ $ (-592)) NIL)) (-4601 (((-658 (-658 (-592))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-592) (-1119)))) (-3183 (((-3 $ "failed") $) NIL (|has| (-592) (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| (-592) (-1119)))) (-1892 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ (-592)) NIL (|has| (-592) (-582)))) (-3002 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-592)))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-310 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-592) (-592)) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-658 (-592)) (-658 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 18)) (-3927 (((-592) $ (-592) (-592)) 15) (((-592) $ (-592) (-592) (-592)) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 (-592))) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 (((-592) $) NIL (|has| (-592) (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625))) (((-790) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-1227)) $) NIL (|has| (-592) (-323)))) (-2000 (((-1227) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| (-592) (-1119))) (($ (-1227)) NIL)) (-3369 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3313 (($ $ (-592)) NIL (|has| (-592) (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-592) (-388)))) (* (($ $ $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL) (($ (-592) $) NIL) (((-1227) $ (-1227)) NIL) (((-1227) (-1227) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1226) (-13 (-704 (-592) (-1227) (-1227)) (-10 -8 (-15 -1695 ($ (-592) (-592)))))) (T -1226)) 
-((-1695 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1226))))) 
-(-13 (-704 (-592) (-1227) (-1227)) (-10 -8 (-15 -1695 ($ (-592) (-592))))) 
-((-1641 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-592) (-592)) $) NIL) (((-141) $) NIL (|has| (-592) (-869)))) (-2831 (($ (-1 (-141) (-592) (-592)) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-592) (-869))))) (-3960 (($ (-1 (-141) (-592) (-592)) $) NIL) (($ $) NIL (|has| (-592) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-592) $ (-592) (-592)) 15 (|has| $ (-6 -4626))) (((-592) $ (-1246 (-592)) (-592)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4459 (($ (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119)))) (($ (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-592) (-1 (-592) (-592) (-592)) $ (-592) (-592)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119)))) (((-592) (-1 (-592) (-592) (-592)) $ (-592)) NIL (|has| $ (-6 -4625))) (((-592) (-1 (-592) (-592) (-592)) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-592) $ (-592) (-592)) 14 (|has| $ (-6 -4626)))) (-3959 (((-592) $ (-592)) 12)) (-1721 (((-592) (-1 (-141) (-592)) $) NIL) (((-592) (-592) $) NIL (|has| (-592) (-1119))) (((-592) (-592) $ (-592)) NIL (|has| (-592) (-1119)))) (-4004 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-592)) 11)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 9 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-4491 (($ (-1 (-141) (-592) (-592)) $ $) NIL) (($ $ $) NIL (|has| (-592) (-869)))) (-4467 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-3987 (($ (-1 (-592) (-592)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-592) (-592)) $) NIL) (($ (-1 (-592) (-592) (-592)) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-592) (-1119)))) (-3666 (($ (-592) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| (-592) (-1119)))) (-1918 (((-592) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-592) "failed") (-1 (-141) (-592)) $) NIL)) (-1892 (($ $ (-592)) 16 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-592)))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-310 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-592) (-592)) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-658 (-592)) (-658 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4210 (((-658 (-592)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 10)) (-3927 (((-592) $ (-592) (-592)) NIL) (((-592) $ (-592)) 13) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625))) (((-790) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-592) (-633 (-565))))) (-4466 (($ (-658 (-592))) NIL)) (-2266 (($ $ (-592)) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| (-592) (-1119)))) (-3369 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-592) (-869)))) (-1699 (((-790) $) 7 (|has| $ (-6 -4625))))) 
-(((-1227) (-19 (-592))) (T -1227)) 
-NIL 
-(-19 (-592)) 
-((-1641 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-1229)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) NIL)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 (((-592) $ (-592) (-592) (-592)) 17) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-1229)) NIL)) (-2242 (($ $ (-592) (-1229)) NIL)) (-3223 (($ (-790) (-592)) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| (-592) (-323)))) (-2747 (((-1229) $ (-592)) NIL)) (-4175 (((-790) $) NIL (|has| (-592) (-582)))) (-1426 (((-592) $ (-592) (-592) (-592)) 16)) (-1695 (($ (-592) (-592)) 19)) (-3959 (((-592) $ (-592) (-592)) 14)) (-1794 (((-592) $) NIL (|has| (-592) (-194)))) (-4004 (((-658 (-592)) $) NIL)) (-3178 (((-790) $) NIL (|has| (-592) (-582)))) (-3555 (((-658 (-1229)) $) NIL (|has| (-592) (-582)))) (-4292 (((-790) $) 10)) (-3242 (($ (-790) (-790) (-592)) 20)) (-4298 (((-790) $) 11)) (-4345 (((-141) $ (-790)) NIL)) (-3781 (((-592) $) NIL (|has| (-592) (-6 (-4627 "*"))))) (-4577 (((-592) $) 7)) (-4280 (((-592) $) 8)) (-4467 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-1898 (((-592) $) 12)) (-3005 (((-592) $) 13)) (-4186 (($ (-658 (-658 (-592)))) NIL) (($ (-790) (-790) (-1 (-592) (-592) (-592))) NIL)) (-3987 (($ (-1 (-592) (-592)) $) NIL)) (-2731 (($ (-1 (-592) (-592)) $) NIL) (($ (-1 (-592) (-592) (-592)) $ $) NIL) (($ (-1 (-592) (-592) (-592)) $ $ (-592)) NIL)) (-4601 (((-658 (-658 (-592))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-592) (-1119)))) (-3183 (((-3 $ "failed") $) NIL (|has| (-592) (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| (-592) (-1119)))) (-1892 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ (-592)) NIL (|has| (-592) (-582)))) (-3002 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-592)))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-310 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-592) (-592)) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-658 (-592)) (-658 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 18)) (-3927 (((-592) $ (-592) (-592)) 15) (((-592) $ (-592) (-592) (-592)) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 (-592))) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 (((-592) $) NIL (|has| (-592) (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625))) (((-790) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-1229)) $) NIL (|has| (-592) (-323)))) (-2000 (((-1229) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| (-592) (-1119))) (($ (-1229)) NIL)) (-3369 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3313 (($ $ (-592)) NIL (|has| (-592) (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-592) (-388)))) (* (($ $ $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL) (($ (-592) $) NIL) (((-1229) $ (-1229)) NIL) (((-1229) (-1229) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1228) (-13 (-704 (-592) (-1229) (-1229)) (-10 -8 (-15 -1695 ($ (-592) (-592)))))) (T -1228)) 
-((-1695 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1228))))) 
-(-13 (-704 (-592) (-1229) (-1229)) (-10 -8 (-15 -1695 ($ (-592) (-592))))) 
-((-1641 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-592) (-592)) $) NIL) (((-141) $) NIL (|has| (-592) (-869)))) (-2831 (($ (-1 (-141) (-592) (-592)) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-592) (-869))))) (-3960 (($ (-1 (-141) (-592) (-592)) $) NIL) (($ $) NIL (|has| (-592) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-592) $ (-592) (-592)) 15 (|has| $ (-6 -4626))) (((-592) $ (-1246 (-592)) (-592)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4459 (($ (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119)))) (($ (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-592) (-1 (-592) (-592) (-592)) $ (-592) (-592)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119)))) (((-592) (-1 (-592) (-592) (-592)) $ (-592)) NIL (|has| $ (-6 -4625))) (((-592) (-1 (-592) (-592) (-592)) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-592) $ (-592) (-592)) 14 (|has| $ (-6 -4626)))) (-3959 (((-592) $ (-592)) 12)) (-1721 (((-592) (-1 (-141) (-592)) $) NIL) (((-592) (-592) $) NIL (|has| (-592) (-1119))) (((-592) (-592) $ (-592)) NIL (|has| (-592) (-1119)))) (-4004 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-592)) 11)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 9 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-4491 (($ (-1 (-141) (-592) (-592)) $ $) NIL) (($ $ $) NIL (|has| (-592) (-869)))) (-4467 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-3987 (($ (-1 (-592) (-592)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-592) (-592)) $) NIL) (($ (-1 (-592) (-592) (-592)) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-592) (-1119)))) (-3666 (($ (-592) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| (-592) (-1119)))) (-1918 (((-592) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-592) "failed") (-1 (-141) (-592)) $) NIL)) (-1892 (($ $ (-592)) 16 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-592)))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-310 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-592) (-592)) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-658 (-592)) (-658 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4210 (((-658 (-592)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 10)) (-3927 (((-592) $ (-592) (-592)) NIL) (((-592) $ (-592)) 13) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625))) (((-790) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-592) (-633 (-565))))) (-4466 (($ (-658 (-592))) NIL)) (-2266 (($ $ (-592)) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| (-592) (-1119)))) (-3369 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-592) (-869)))) (-1699 (((-790) $) 7 (|has| $ (-6 -4625))))) 
-(((-1229) (-19 (-592))) (T -1229)) 
-NIL 
-(-19 (-592)) 
-((-1641 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-1417 (($ (-790) (-790)) NIL)) (-4596 (($ $ $) NIL)) (-2245 (($ (-1231)) NIL) (($ $) NIL)) (-4034 (((-141) $) NIL)) (-2668 (($ $ (-592) (-592)) NIL)) (-1664 (($ $ (-592) (-592)) NIL)) (-2019 (($ $ (-592) (-592) (-592) (-592)) NIL)) (-1574 (($ $) NIL)) (-3120 (((-141) $) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-2854 (($ $ (-592) (-592) $) NIL)) (-3932 (((-592) $ (-592) (-592) (-592)) 17) (($ $ (-658 (-592)) (-658 (-592)) $) NIL)) (-2547 (($ $ (-592) (-1231)) NIL)) (-2242 (($ $ (-592) (-1231)) NIL)) (-3223 (($ (-790) (-592)) NIL)) (-3001 (($) NIL T CONST)) (-3052 (($ $) NIL (|has| (-592) (-323)))) (-2747 (((-1231) $ (-592)) NIL)) (-4175 (((-790) $) NIL (|has| (-592) (-582)))) (-1426 (((-592) $ (-592) (-592) (-592)) 16)) (-1695 (($ (-592) (-592)) 19)) (-3959 (((-592) $ (-592) (-592)) 14)) (-1794 (((-592) $) NIL (|has| (-592) (-194)))) (-4004 (((-658 (-592)) $) NIL)) (-3178 (((-790) $) NIL (|has| (-592) (-582)))) (-3555 (((-658 (-1231)) $) NIL (|has| (-592) (-582)))) (-4292 (((-790) $) 10)) (-3242 (($ (-790) (-790) (-592)) 20)) (-4298 (((-790) $) 11)) (-4345 (((-141) $ (-790)) NIL)) (-3781 (((-592) $) NIL (|has| (-592) (-6 (-4627 "*"))))) (-4577 (((-592) $) 7)) (-4280 (((-592) $) 8)) (-4467 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-1898 (((-592) $) 12)) (-3005 (((-592) $) 13)) (-4186 (($ (-658 (-658 (-592)))) NIL) (($ (-790) (-790) (-1 (-592) (-592) (-592))) NIL)) (-3987 (($ (-1 (-592) (-592)) $) NIL)) (-2731 (($ (-1 (-592) (-592)) $) NIL) (($ (-1 (-592) (-592) (-592)) $ $) NIL) (($ (-1 (-592) (-592) (-592)) $ $ (-592)) NIL)) (-4601 (((-658 (-658 (-592))) $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-592) (-1119)))) (-3183 (((-3 $ "failed") $) NIL (|has| (-592) (-388)))) (-2083 (($ $ $) NIL)) (-2951 (((-1137) $) NIL (|has| (-592) (-1119)))) (-1892 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ (-592)) NIL (|has| (-592) (-582)))) (-3002 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-592)))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-310 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-592) (-592)) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-658 (-592)) (-658 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 18)) (-3927 (((-592) $ (-592) (-592)) 15) (((-592) $ (-592) (-592) (-592)) NIL) (($ $ (-658 (-592)) (-658 (-592))) NIL)) (-2933 (($ (-658 (-592))) NIL) (($ (-658 $)) NIL)) (-2940 (((-141) $) NIL)) (-1625 (((-592) $) NIL (|has| (-592) (-6 (-4627 "*"))))) (-3452 (((-790) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625))) (((-790) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4599 (($ $) NIL)) (-3430 (((-658 (-1231)) $) NIL (|has| (-592) (-323)))) (-2000 (((-1231) $ (-592)) NIL)) (-1683 (((-877) $) NIL (|has| (-592) (-1119))) (($ (-1231)) NIL)) (-3369 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3951 (((-141) $) NIL)) (-3255 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3313 (($ $ (-592)) NIL (|has| (-592) (-388)))) (-3306 (($ $ $) NIL) (($ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| (-592) (-388)))) (* (($ $ $) NIL) (($ (-592) $) NIL) (($ $ (-592)) NIL) (($ (-592) $) NIL) (((-1231) $ (-1231)) NIL) (((-1231) (-1231) $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1230) (-13 (-704 (-592) (-1231) (-1231)) (-10 -8 (-15 -1695 ($ (-592) (-592)))))) (T -1230)) 
-((-1695 (*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1230))))) 
-(-13 (-704 (-592) (-1231) (-1231)) (-10 -8 (-15 -1695 ($ (-592) (-592))))) 
-((-1641 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) (-592) (-592)) $) NIL) (((-141) $) NIL (|has| (-592) (-869)))) (-2831 (($ (-1 (-141) (-592) (-592)) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| (-592) (-869))))) (-3960 (($ (-1 (-141) (-592) (-592)) $) NIL) (($ $) NIL (|has| (-592) (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 (((-592) $ (-592) (-592)) 15 (|has| $ (-6 -4626))) (((-592) $ (-1246 (-592)) (-592)) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4459 (($ (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119)))) (($ (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3657 (((-592) (-1 (-592) (-592) (-592)) $ (-592) (-592)) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119)))) (((-592) (-1 (-592) (-592) (-592)) $ (-592)) NIL (|has| $ (-6 -4625))) (((-592) (-1 (-592) (-592) (-592)) $) NIL (|has| $ (-6 -4625)))) (-1426 (((-592) $ (-592) (-592)) 14 (|has| $ (-6 -4626)))) (-3959 (((-592) $ (-592)) 12)) (-1721 (((-592) (-1 (-141) (-592)) $) NIL) (((-592) (-592) $) NIL (|has| (-592) (-1119))) (((-592) (-592) $ (-592)) NIL (|has| (-592) (-1119)))) (-4004 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3242 (($ (-790) (-592)) 11)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) 9 (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| (-592) (-869)))) (-4491 (($ (-1 (-141) (-592) (-592)) $ $) NIL) (($ $ $) NIL (|has| (-592) (-869)))) (-4467 (((-658 (-592)) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| (-592) (-869)))) (-3987 (($ (-1 (-592) (-592)) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 (-592) (-592)) $) NIL) (($ (-1 (-592) (-592) (-592)) $ $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL (|has| (-592) (-1119)))) (-3666 (($ (-592) $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| (-592) (-1119)))) (-1918 (((-592) $) NIL (|has| (-592) (-869)))) (-4050 (((-3 (-592) "failed") (-1 (-141) (-592)) $) NIL)) (-1892 (($ $ (-592)) 16 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 (-592)))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-310 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-592) (-592)) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119)))) (($ $ (-658 (-592)) (-658 (-592))) NIL (-12 (|has| (-592) (-325 (-592))) (|has| (-592) (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-4210 (((-658 (-592)) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) 10)) (-3927 (((-592) $ (-592) (-592)) NIL) (((-592) $ (-592)) 13) (($ $ (-1246 (-592))) NIL)) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-3452 (((-790) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625))) (((-790) (-592) $) NIL (-12 (|has| $ (-6 -4625)) (|has| (-592) (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| (-592) (-633 (-565))))) (-4466 (($ (-658 (-592))) NIL)) (-2266 (($ $ (-592)) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| (-592) (-1119)))) (-3369 (((-141) (-1 (-141) (-592)) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3273 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3255 (((-141) $ $) NIL (|has| (-592) (-1119)))) (-3279 (((-141) $ $) NIL (|has| (-592) (-869)))) (-3266 (((-141) $ $) NIL (|has| (-592) (-869)))) (-1699 (((-790) $) 7 (|has| $ (-6 -4625))))) 
-(((-1231) (-19 (-592))) (T -1231)) 
-NIL 
-(-19 (-592)) 
-((-2357 (((-141)) 14)) (-2859 (((-1285) (-658 |#1|) (-658 |#1|)) 18) (((-1285) (-658 |#1|)) 19)) (-4345 (((-141) |#1| |#1|) 30 (|has| |#1| (-869)))) (-2554 (((-141) |#1| |#1| (-1 (-141) |#1| |#1|)) 26) (((-3 (-141) "failed") |#1| |#1|) 24)) (-3795 ((|#1| (-658 |#1|)) 31 (|has| |#1| (-869))) ((|#1| (-658 |#1|) (-1 (-141) |#1| |#1|)) 27)) (-4327 (((-2 (|:| -2781 (-658 |#1|)) (|:| -2369 (-658 |#1|)))) 16))) 
-(((-1232 |#1|) (-10 -7 (-15 -2859 ((-1285) (-658 |#1|))) (-15 -2859 ((-1285) (-658 |#1|) (-658 |#1|))) (-15 -4327 ((-2 (|:| -2781 (-658 |#1|)) (|:| -2369 (-658 |#1|))))) (-15 -2554 ((-3 (-141) "failed") |#1| |#1|)) (-15 -2554 ((-141) |#1| |#1| (-1 (-141) |#1| |#1|))) (-15 -3795 (|#1| (-658 |#1|) (-1 (-141) |#1| |#1|))) (-15 -2357 ((-141))) (IF (|has| |#1| (-869)) (PROGN (-15 -3795 (|#1| (-658 |#1|))) (-15 -4345 ((-141) |#1| |#1|))) |noBranch|)) (-1119)) (T -1232)) 
-((-4345 (*1 *2 *3 *3) (-12 (-5 *2 (-141)) (-5 *1 (-1232 *3)) (-4 *3 (-869)) (-4 *3 (-1119)))) (-3795 (*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-869)) (-5 *1 (-1232 *2)))) (-2357 (*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1232 *3)) (-4 *3 (-1119)))) (-3795 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *2)) (-5 *4 (-1 (-141) *2 *2)) (-5 *1 (-1232 *2)) (-4 *2 (-1119)))) (-2554 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-141) *3 *3)) (-4 *3 (-1119)) (-5 *2 (-141)) (-5 *1 (-1232 *3)))) (-2554 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-141)) (-5 *1 (-1232 *3)) (-4 *3 (-1119)))) (-4327 (*1 *2) (-12 (-5 *2 (-2 (|:| -2781 (-658 *3)) (|:| -2369 (-658 *3)))) (-5 *1 (-1232 *3)) (-4 *3 (-1119)))) (-2859 (*1 *2 *3 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1119)) (-5 *2 (-1285)) (-5 *1 (-1232 *4)))) (-2859 (*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1119)) (-5 *2 (-1285)) (-5 *1 (-1232 *4))))) 
-(-10 -7 (-15 -2859 ((-1285) (-658 |#1|))) (-15 -2859 ((-1285) (-658 |#1|) (-658 |#1|))) (-15 -4327 ((-2 (|:| -2781 (-658 |#1|)) (|:| -2369 (-658 |#1|))))) (-15 -2554 ((-3 (-141) "failed") |#1| |#1|)) (-15 -2554 ((-141) |#1| |#1| (-1 (-141) |#1| |#1|))) (-15 -3795 (|#1| (-658 |#1|) (-1 (-141) |#1| |#1|))) (-15 -2357 ((-141))) (IF (|has| |#1| (-869)) (PROGN (-15 -3795 (|#1| (-658 |#1|))) (-15 -4345 ((-141) |#1| |#1|))) |noBranch|)) 
-((-2683 (((-1285) (-658 (-1191)) (-658 (-1191))) 12) (((-1285) (-658 (-1191))) 10)) (-4431 (((-1285)) 13)) (-1652 (((-2 (|:| -2369 (-658 (-1191))) (|:| -2781 (-658 (-1191))))) 17))) 
-(((-1233) (-10 -7 (-15 -2683 ((-1285) (-658 (-1191)))) (-15 -2683 ((-1285) (-658 (-1191)) (-658 (-1191)))) (-15 -1652 ((-2 (|:| -2369 (-658 (-1191))) (|:| -2781 (-658 (-1191)))))) (-15 -4431 ((-1285))))) (T -1233)) 
-((-4431 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1233)))) (-1652 (*1 *2) (-12 (-5 *2 (-2 (|:| -2369 (-658 (-1191))) (|:| -2781 (-658 (-1191))))) (-5 *1 (-1233)))) (-2683 (*1 *2 *3 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1285)) (-5 *1 (-1233)))) (-2683 (*1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1285)) (-5 *1 (-1233))))) 
-(-10 -7 (-15 -2683 ((-1285) (-658 (-1191)))) (-15 -2683 ((-1285) (-658 (-1191)) (-658 (-1191)))) (-15 -1652 ((-2 (|:| -2369 (-658 (-1191))) (|:| -2781 (-658 (-1191)))))) (-15 -4431 ((-1285)))) 
-((-3743 (($ $) 16)) (-2802 (((-141) $) 23))) 
-(((-1234 |#1|) (-10 -8 (-15 -3743 (|#1| |#1|)) (-15 -2802 ((-141) |#1|))) (-1235)) (T -1234)) 
-NIL 
-(-10 -8 (-15 -3743 (|#1| |#1|)) (-15 -2802 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 50)) (-3164 (((-444 $) $) 51)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-2802 (((-141) $) 52)) (-3558 (((-141) $) 30)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4500 (((-444 $) $) 49)) (-3616 (((-3 $ "failed") $ $) 41)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42)) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23))) 
-(((-1235) (-1311)) (T -1235)) 
-((-2802 (*1 *2 *1) (-12 (-4 *1 (-1235)) (-5 *2 (-141)))) (-3164 (*1 *2 *1) (-12 (-5 *2 (-444 *1)) (-4 *1 (-1235)))) (-3743 (*1 *1 *1) (-4 *1 (-1235))) (-4500 (*1 *2 *1) (-12 (-5 *2 (-444 *1)) (-4 *1 (-1235))))) 
-(-13 (-477) (-10 -8 (-15 -2802 ((-141) $)) (-15 -3164 ((-444 $) $)) (-15 -3743 ($ $)) (-15 -4500 ((-444 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-125) . T) ((-140 $ $) . T) ((-158) . T) ((-632 (-877)) . T) ((-194) . T) ((-307) . T) ((-477) . T) ((-582) . T) ((-661 $) . T) ((-678) . T) ((-734 $) . T) ((-743) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-4177 (((-1237 |#1|) (-1237 |#1|) (-1237 |#1|)) 15))) 
-(((-1236 |#1|) (-10 -7 (-15 -4177 ((-1237 |#1|) (-1237 |#1|) (-1237 |#1|)))) (-1075)) (T -1236)) 
-((-4177 (*1 *2 *2 *2) (-12 (-5 *2 (-1237 *3)) (-4 *3 (-1075)) (-5 *1 (-1236 *3))))) 
-(-10 -7 (-15 -4177 ((-1237 |#1|) (-1237 |#1|) (-1237 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) NIL)) (-3395 (((-1252 (QUOTE |x|) |#1|) $ (-790)) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-790)) NIL) (($ $ (-790) (-790)) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|))) $) NIL)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|)))) NIL) (($ (-1171 |#1|)) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-3621 (($ $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2410 (($ $) NIL)) (-2012 (((-980 |#1|) $ (-790)) NIL) (((-980 |#1|) $ (-790) (-790)) NIL)) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $) NIL) (((-790) $ (-790)) NIL)) (-3558 (((-141) $) NIL)) (-2669 (($ $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3368 (($ (-592) (-592) $) NIL)) (-3990 (($ $ (-944)) NIL)) (-1376 (($ (-1 |#1| (-592)) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-4006 (($ $) NIL)) (-3121 (($ $) NIL)) (-3884 (($ (-592) (-592) $) NIL)) (-3162 (($ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 (QUOTE |x|))) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2860 (($ $ (-592) (-592)) NIL)) (-2807 (($ $ (-790)) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3325 (($ $) NIL)) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-790)))))) (-3927 ((|#1| $ (-790)) NIL) (($ $ $) NIL (|has| (-790) (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $ (-1276 (QUOTE |x|))) NIL)) (-4525 (((-790) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1252 (QUOTE |x|) |#1|)) NIL) (($ (-1276 (QUOTE |x|))) NIL)) (-1647 (((-1171 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) NIL)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-790)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-790)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) NIL T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1237 |#1|) (-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 (QUOTE |x|) |#1|))) (-15 -3395 ((-1252 (QUOTE |x|) |#1|) $ (-790))) (-15 -1683 ($ (-1276 (QUOTE |x|)))) (-15 -3644 ($ $ (-1276 (QUOTE |x|)))) (-15 -3121 ($ $)) (-15 -4006 ($ $)) (-15 -2669 ($ $)) (-15 -3325 ($ $)) (-15 -2860 ($ $ (-592) (-592))) (-15 -3621 ($ $)) (-15 -3368 ($ (-592) (-592) $)) (-15 -3884 ($ (-592) (-592) $)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 (QUOTE |x|)))) |noBranch|))) (-1075)) (T -1237)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1252 (QUOTE |x|) *3)) (-4 *3 (-1075)) (-5 *1 (-1237 *3)))) (-3395 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 (QUOTE |x|) *4)) (-5 *1 (-1237 *4)) (-4 *4 (-1075)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 (QUOTE |x|))) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 (QUOTE |x|))) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) (-3121 (*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) (-4006 (*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) (-2669 (*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) (-3325 (*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) (-2860 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) (-3621 (*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) (-3368 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) (-3884 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 (QUOTE |x|))) (-5 *1 (-1237 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075))))) 
-(-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 (QUOTE |x|) |#1|))) (-15 -3395 ((-1252 (QUOTE |x|) |#1|) $ (-790))) (-15 -1683 ($ (-1276 (QUOTE |x|)))) (-15 -3644 ($ $ (-1276 (QUOTE |x|)))) (-15 -3121 ($ $)) (-15 -4006 ($ $)) (-15 -2669 ($ $)) (-15 -3325 ($ $)) (-15 -2860 ($ $ (-592) (-592))) (-15 -3621 ($ $)) (-15 -3368 ($ (-592) (-592) $)) (-15 -3884 ($ (-592) (-592) $)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 (QUOTE |x|)))) |noBranch|))) 
-((-2731 (((-1243 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1243 |#1| |#3| |#5|)) 23))) 
-(((-1238 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2731 ((-1243 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1243 |#1| |#3| |#5|)))) (-1075) (-1075) (-1191) (-1191) |#1| |#2|) (T -1238)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1243 *5 *7 *9)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-14 *7 (-1191)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1243 *6 *8 *10)) (-5 *1 (-1238 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1191))))) 
-(-10 -7 (-15 -2731 ((-1243 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1243 |#1| |#3| |#5|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1103)) $) 70)) (-3983 (((-1191) $) 98)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2306 (($ $ (-592)) 93) (($ $ (-592) (-592)) 92)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 100)) (-1588 (($ $) 127 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 110 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 155 (|has| |#1| (-388)))) (-3164 (((-444 $) $) 156 (|has| |#1| (-388)))) (-1442 (($ $) 109 (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) 146 (|has| |#1| (-388)))) (-1575 (($ $) 126 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 167)) (-1601 (($ $) 125 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 112 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) 16 T CONST)) (-1586 (($ $ $) 150 (|has| |#1| (-388)))) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-3247 (((-433 (-980 |#1|)) $ (-592)) 165 (|has| |#1| (-582))) (((-433 (-980 |#1|)) $ (-592) (-592)) 164 (|has| |#1| (-582)))) (-1599 (($ $ $) 149 (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 144 (|has| |#1| (-388)))) (-2802 (((-141) $) 157 (|has| |#1| (-388)))) (-2273 (((-141) $) 69)) (-1435 (($) 137 (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-592) $) 95) (((-592) $ (-592)) 94)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 108 (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) 96)) (-1376 (($ (-1 |#1| (-592)) $) 166)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 153 (|has| |#1| (-388)))) (-2027 (((-141) $) 61)) (-4526 (($ |#1| (-592)) 60) (($ $ (-1103) (-592)) 72) (($ $ (-658 (-1103)) (-658 (-592))) 71)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4546 (($ $) 134 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 138 (|has| |#1| (-388)))) (-2750 (($ (-658 $)) 142 (|has| |#1| (-388))) (($ $ $) 141 (|has| |#1| (-388)))) (-2685 (((-1173) $) 9)) (-4552 (($ $) 158 (|has| |#1| (-388)))) (-3162 (($ $) 163 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 162 (-3836 (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-987)) (|has| |#1| (-1211)) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-43 (-433 (-592)))))))) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 143 (|has| |#1| (-388)))) (-3548 (($ (-658 $)) 140 (|has| |#1| (-388))) (($ $ $) 139 (|has| |#1| (-388)))) (-4500 (((-444 $) $) 154 (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 151 (|has| |#1| (-388)))) (-2807 (($ $ (-592)) 90)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 145 (|has| |#1| (-388)))) (-1430 (($ $) 135 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-592)))))) (-2769 (((-790) $) 147 (|has| |#1| (-388)))) (-3927 ((|#1| $ (-592)) 99) (($ $ $) 76 (|has| (-592) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 148 (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) 84 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-1191) (-790)) 83 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191))) 82 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-1191)) 81 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-790)) 79 (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (-4525 (((-592) $) 63)) (-1609 (($ $) 124 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 113 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 123 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 114 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 122 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 115 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 46 (|has| |#1| (-194))) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582)))) (-1937 ((|#1| $ (-592)) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 97)) (-1630 (($ $) 133 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 121 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1617 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 120 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 131 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 119 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-592)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 118 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 129 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 117 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 128 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 116 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 159 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) 88 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-1191) (-790)) 87 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191))) 86 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-1191)) 85 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-790)) 80 (|has| |#1| (-15 * (|#1| (-592) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388))) (($ $ $) 161 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 160 (|has| |#1| (-388))) (($ $ $) 136 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 107 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1239 |#1|) (-1311) (-1075)) (T -1239)) 
-((-2881 (*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-4 *3 (-1075)) (-4 *1 (-1239 *3)))) (-1376 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-592))) (-4 *1 (-1239 *3)) (-4 *3 (-1075)))) (-3247 (*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1239 *4)) (-4 *4 (-1075)) (-4 *4 (-582)) (-5 *2 (-433 (-980 *4))))) (-3247 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1239 *4)) (-4 *4 (-1075)) (-4 *4 (-582)) (-5 *2 (-433 (-980 *4))))) (-3162 (*1 *1 *1) (-12 (-4 *1 (-1239 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) (-3162 (*1 *1 *1 *2) (-3836 (-12 (-5 *2 (-1191)) (-4 *1 (-1239 *3)) (-4 *3 (-1075)) (-12 (-4 *3 (-29 (-592))) (-4 *3 (-987)) (-4 *3 (-1211)) (-4 *3 (-43 (-433 (-592)))))) (-12 (-5 *2 (-1191)) (-4 *1 (-1239 *3)) (-4 *3 (-1075)) (-12 (|has| *3 (-15 -4085 ((-658 *2) *3))) (|has| *3 (-15 -3162 (*3 *3 *2))) (-4 *3 (-43 (-433 (-592))))))))) 
-(-13 (-1257 |t#1| (-592)) (-10 -8 (-15 -2881 ($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |t#1|))))) (-15 -1376 ($ (-1 |t#1| (-592)) $)) (IF (|has| |t#1| (-582)) (PROGN (-15 -3247 ((-433 (-980 |t#1|)) $ (-592))) (-15 -3247 ((-433 (-980 |t#1|)) $ (-592) (-592)))) |noBranch|) (IF (|has| |t#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $)) (IF (|has| |t#1| (-15 -3162 (|t#1| |t#1| (-1191)))) (IF (|has| |t#1| (-15 -4085 ((-658 (-1191)) |t#1|))) (-15 -3162 ($ $ (-1191))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1211)) (IF (|has| |t#1| (-987)) (IF (|has| |t#1| (-29 (-592))) (-15 -3162 ($ $ (-1191))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1030)) (-6 (-1211))) |noBranch|) (IF (|has| |t#1| (-388)) (-6 (-388)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-592)) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-40) |has| |#1| (-43 (-433 (-592)))) ((-116) |has| |#1| (-43 (-433 (-592)))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-247) |has| |#1| (-15 * (|#1| (-592) |#1|))) ((-260) |has| |#1| (-388)) ((-301) |has| |#1| (-43 (-433 (-592)))) ((-303 $ $) |has| (-592) (-1131)) ((-307) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-323) |has| |#1| (-388)) ((-388) |has| |#1| (-388)) ((-477) |has| |#1| (-388)) ((-526) |has| |#1| (-43 (-433 (-592)))) ((-582) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-661 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) |has| |#1| (-388)) ((-734 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))) ((-1002 |#1| (-592) (-1103)) . T) ((-943) |has| |#1| (-388)) ((-1030) |has| |#1| (-43 (-433 (-592)))) ((-1081 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1211) |has| |#1| (-43 (-433 (-592)))) ((-1214) |has| |#1| (-43 (-433 (-592)))) ((-1235) |has| |#1| (-388)) ((-1257 |#1| (-592)) . T)) 
-((-2272 (((-141) $) 12)) (-4368 (((-3 |#3| "failed") $) 17) (((-3 (-1191) "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-592) "failed") $) NIL)) (-2400 ((|#3| $) 14) (((-1191) $) NIL) (((-433 (-592)) $) NIL) (((-592) $) NIL))) 
-(((-1240 |#1| |#2| |#3|) (-10 -8 (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-1191) |#1|)) (-15 -4368 ((-3 (-1191) "failed") |#1|)) (-15 -2400 (|#3| |#1|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -2272 ((-141) |#1|))) (-1241 |#2| |#3|) (-1075) (-1270 |#2|)) (T -1240)) 
-NIL 
-(-10 -8 (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -2400 ((-1191) |#1|)) (-15 -4368 ((-3 (-1191) "failed") |#1|)) (-15 -2400 (|#3| |#1|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -2272 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-1505 ((|#2| $) 219 (-1732 (|has| |#2| (-323)) (|has| |#1| (-388))))) (-4085 (((-658 (-1103)) $) 70)) (-3983 (((-1191) $) 98)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2306 (($ $ (-592)) 93) (($ $ (-592) (-592)) 92)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 100)) (-1444 ((|#2| $) 255)) (-2919 (((-3 |#2| "failed") $) 251)) (-1986 ((|#2| $) 252)) (-1588 (($ $) 127 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 110 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 228 (-1732 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-3743 (($ $) 154 (|has| |#1| (-388)))) (-3164 (((-444 $) $) 155 (|has| |#1| (-388)))) (-1442 (($ $) 109 (|has| |#1| (-43 (-433 (-592)))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 225 (-1732 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-3652 (((-141) $ $) 145 (|has| |#1| (-388)))) (-1575 (($ $) 126 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-3940 (((-592) $) 237 (-1732 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-2881 (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 166)) (-1601 (($ $) 125 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 112 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#2| "failed") $) 258) (((-3 (-592) "failed") $) 247 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-3 (-433 (-592)) "failed") $) 245 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-3 (-1191) "failed") $) 230 (-1732 (|has| |#2| (-1065 (-1191))) (|has| |#1| (-388))))) (-2400 ((|#2| $) 257) (((-592) $) 248 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-433 (-592)) $) 246 (-1732 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-1191) $) 231 (-1732 (|has| |#2| (-1065 (-1191))) (|has| |#1| (-388))))) (-3792 (($ $) 254) (($ (-592) $) 253)) (-1586 (($ $ $) 149 (|has| |#1| (-388)))) (-4593 (($ $) 59)) (-3945 (((-706 |#2|) (-706 $)) 209 (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) 208 (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 207 (-1732 (|has| |#2| (-654 (-592))) (|has| |#1| (-388)))) (((-706 (-592)) (-706 $)) 206 (-1732 (|has| |#2| (-654 (-592))) (|has| |#1| (-388))))) (-3371 (((-3 $ "failed") $) 33)) (-3247 (((-433 (-980 |#1|)) $ (-592)) 164 (|has| |#1| (-582))) (((-433 (-980 |#1|)) $ (-592) (-592)) 163 (|has| |#1| (-582)))) (-4290 (($) 221 (-1732 (|has| |#2| (-574)) (|has| |#1| (-388))))) (-1599 (($ $ $) 148 (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 143 (|has| |#1| (-388)))) (-2802 (((-141) $) 156 (|has| |#1| (-388)))) (-1691 (((-141) $) 235 (-1732 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-2273 (((-141) $) 69)) (-1435 (($) 137 (|has| |#1| (-43 (-433 (-592)))))) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 213 (-1732 (|has| |#2| (-908 (-405))) (|has| |#1| (-388)))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 212 (-1732 (|has| |#2| (-908 (-592))) (|has| |#1| (-388))))) (-4346 (((-592) $) 95) (((-592) $ (-592)) 94)) (-3558 (((-141) $) 30)) (-3838 (($ $) 217 (|has| |#1| (-388)))) (-1448 ((|#2| $) 215 (|has| |#1| (-388)))) (-4422 (($ $ (-592)) 108 (|has| |#1| (-43 (-433 (-592)))))) (-3921 (((-3 $ "failed") $) 249 (-1732 (|has| |#2| (-1165)) (|has| |#1| (-388))))) (-1324 (((-141) $) 236 (-1732 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-3990 (($ $ (-944)) 96)) (-1376 (($ (-1 |#1| (-592)) $) 165)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 152 (|has| |#1| (-388)))) (-2027 (((-141) $) 61)) (-4526 (($ |#1| (-592)) 60) (($ $ (-1103) (-592)) 72) (($ $ (-658 (-1103)) (-658 (-592))) 71)) (-1837 (($ $ $) 239 (-1732 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3319 (($ $ $) 240 (-1732 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-2731 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-388)))) (-4546 (($ $) 134 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2750 (($ (-658 $)) 141 (|has| |#1| (-388))) (($ $ $) 140 (|has| |#1| (-388)))) (-1994 (($ (-592) |#2|) 256)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 157 (|has| |#1| (-388)))) (-3162 (($ $) 162 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 161 (-3836 (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-987)) (|has| |#1| (-1211)) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-43 (-433 (-592)))))))) (-3703 (($) 250 (-1732 (|has| |#2| (-1165)) (|has| |#1| (-388))) CONST)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 142 (|has| |#1| (-388)))) (-3548 (($ (-658 $)) 139 (|has| |#1| (-388))) (($ $ $) 138 (|has| |#1| (-388)))) (-3856 (($ $) 220 (-1732 (|has| |#2| (-323)) (|has| |#1| (-388))))) (-2039 ((|#2| $) 223 (-1732 (|has| |#2| (-574)) (|has| |#1| (-388))))) (-1416 (((-444 (-1187 $)) (-1187 $)) 226 (-1732 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-3339 (((-444 (-1187 $)) (-1187 $)) 227 (-1732 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-4500 (((-444 $) $) 153 (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 150 (|has| |#1| (-388)))) (-2807 (($ $ (-592)) 90)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 144 (|has| |#1| (-388)))) (-1430 (($ $) 135 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-592))))) (($ $ (-1191) |#2|) 200 (-1732 (|has| |#2| (-547 (-1191) |#2|)) (|has| |#1| (-388)))) (($ $ (-658 (-1191)) (-658 |#2|)) 199 (-1732 (|has| |#2| (-547 (-1191) |#2|)) (|has| |#1| (-388)))) (($ $ (-658 (-310 |#2|))) 198 (-1732 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388)))) (($ $ (-310 |#2|)) 197 (-1732 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388)))) (($ $ |#2| |#2|) 196 (-1732 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388)))) (($ $ (-658 |#2|) (-658 |#2|)) 195 (-1732 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388))))) (-2769 (((-790) $) 146 (|has| |#1| (-388)))) (-3927 ((|#1| $ (-592)) 99) (($ $ $) 76 (|has| (-592) (-1131))) (($ $ |#2|) 194 (-1732 (|has| |#2| (-303 |#2| |#2|)) (|has| |#1| (-388))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 147 (|has| |#1| (-388)))) (-3644 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-388))) (($ $ (-1 |#2| |#2|) (-790)) 204 (|has| |#1| (-388))) (($ $ (-790)) 79 (-3836 (-1732 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) 77 (-3836 (-1732 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) 84 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (($ $ (-1191) (-790)) 83 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (($ $ (-658 (-1191))) 82 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (($ $ (-1191)) 81 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))))) (-2782 (($ $) 218 (|has| |#1| (-388)))) (-1456 ((|#2| $) 216 (|has| |#1| (-388)))) (-4525 (((-592) $) 63)) (-1609 (($ $) 124 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 113 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 123 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 114 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 122 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 115 (|has| |#1| (-43 (-433 (-592)))))) (-1778 (((-237) $) 234 (-1732 (|has| |#2| (-1049)) (|has| |#1| (-388)))) (((-405) $) 233 (-1732 (|has| |#2| (-1049)) (|has| |#1| (-388)))) (((-565) $) 232 (-1732 (|has| |#2| (-633 (-565))) (|has| |#1| (-388)))) (((-914 (-405)) $) 211 (-1732 (|has| |#2| (-633 (-914 (-405)))) (|has| |#1| (-388)))) (((-914 (-592)) $) 210 (-1732 (|has| |#2| (-633 (-914 (-592)))) (|has| |#1| (-388))))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 224 (-1732 (-1732 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#1| (-388))))) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 46 (|has| |#1| (-194))) (($ |#2|) 259) (($ (-1191)) 229 (-1732 (|has| |#2| (-1065 (-1191))) (|has| |#1| (-388)))) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582)))) (-1937 ((|#1| $ (-592)) 58)) (-1517 (((-3 $ "failed") $) 47 (-3836 (-1732 (-3836 (|has| |#2| (-169)) (-1732 (|has| $ (-169)) (|has| |#2| (-931)))) (|has| |#1| (-388))) (|has| |#1| (-169))))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 97)) (-2744 ((|#2| $) 222 (-1732 (|has| |#2| (-574)) (|has| |#1| (-388))))) (-1630 (($ $) 133 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 121 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1617 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 120 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 131 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 119 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-592)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 118 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 129 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 117 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 128 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 116 (|has| |#1| (-43 (-433 (-592)))))) (-1392 (($ $) 238 (-1732 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 158 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-388))) (($ $ (-1 |#2| |#2|) (-790)) 202 (|has| |#1| (-388))) (($ $ (-790)) 80 (-3836 (-1732 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) 78 (-3836 (-1732 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) 88 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (($ $ (-1191) (-790)) 87 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (($ $ (-658 (-1191))) 86 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))))) (($ $ (-1191)) 85 (-3836 (-1732 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))))) (-3286 (((-141) $ $) 242 (-1732 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3273 (((-141) $ $) 243 (-1732 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 241 (-1732 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3266 (((-141) $ $) 244 (-1732 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388))) (($ $ $) 160 (|has| |#1| (-388))) (($ |#2| |#2|) 214 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 159 (|has| |#1| (-388))) (($ $ $) 136 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 107 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-388))) (($ |#2| $) 192 (|has| |#1| (-388))) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1241 |#1| |#2|) (-1311) (-1075) (-1270 |t#1|)) (T -1241)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-1241 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1270 *3)) (-5 *2 (-592)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-1241 *3 *2)) (-4 *2 (-1270 *3)))) (-1994 (*1 *1 *2 *3) (-12 (-5 *2 (-592)) (-4 *4 (-1075)) (-4 *1 (-1241 *4 *3)) (-4 *3 (-1270 *4)))) (-1444 (*1 *2 *1) (-12 (-4 *1 (-1241 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1270 *3)))) (-3792 (*1 *1 *1) (-12 (-4 *1 (-1241 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-1270 *2)))) (-3792 (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-1241 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1270 *3)))) (-1986 (*1 *2 *1) (-12 (-4 *1 (-1241 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1270 *3)))) (-2919 (*1 *2 *1) (|partial| -12 (-4 *1 (-1241 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1270 *3))))) 
-(-13 (-1239 |t#1|) (-1065 |t#2|) (-10 -8 (-15 -1994 ($ (-592) |t#2|)) (-15 -4525 ((-592) $)) (-15 -1444 (|t#2| $)) (-15 -3792 ($ $)) (-15 -3792 ($ (-592) $)) (-15 -1683 ($ |t#2|)) (-15 -1986 (|t#2| $)) (-15 -2919 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-388)) (-6 (-1021 |t#2|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-592)) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-43 |#1|) |has| |#1| (-194)) ((-43 |#2|) |has| |#1| (-388)) ((-43 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-40) |has| |#1| (-43 (-433 (-592)))) ((-116) |has| |#1| (-43 (-433 (-592)))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-140 |#1| |#1|) . T) ((-140 |#2| |#2|) |has| |#1| (-388)) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-158) . T) ((-169) -3836 (-12 (|has| |#1| (-388)) (|has| |#2| (-169))) (|has| |#1| (-169))) ((-171) -3836 (-12 (|has| |#1| (-388)) (|has| |#2| (-171))) (|has| |#1| (-171))) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-633 (-237)) -12 (|has| |#1| (-388)) (|has| |#2| (-1049))) ((-633 (-405)) -12 (|has| |#1| (-388)) (|has| |#2| (-1049))) ((-633 (-565)) -12 (|has| |#1| (-388)) (|has| |#2| (-633 (-565)))) ((-633 (-914 (-405))) -12 (|has| |#1| (-388)) (|has| |#2| (-633 (-914 (-405))))) ((-633 (-914 (-592))) -12 (|has| |#1| (-388)) (|has| |#2| (-633 (-914 (-592))))) ((-245 |#2|) |has| |#1| (-388)) ((-247) -3836 (-12 (|has| |#1| (-388)) (|has| |#2| (-247))) (|has| |#1| (-15 * (|#1| (-592) |#1|)))) ((-260) |has| |#1| (-388)) ((-301) |has| |#1| (-43 (-433 (-592)))) ((-303 |#2| $) -12 (|has| |#1| (-388)) (|has| |#2| (-303 |#2| |#2|))) ((-303 $ $) |has| (-592) (-1131)) ((-307) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-323) |has| |#1| (-388)) ((-325 |#2|) -12 (|has| |#1| (-388)) (|has| |#2| (-325 |#2|))) ((-388) |has| |#1| (-388)) ((-358 |#2|) |has| |#1| (-388)) ((-403 |#2|) |has| |#1| (-388)) ((-426 |#2|) |has| |#1| (-388)) ((-477) |has| |#1| (-388)) ((-526) |has| |#1| (-43 (-433 (-592)))) ((-547 (-1191) |#2|) -12 (|has| |#1| (-388)) (|has| |#2| (-547 (-1191) |#2|))) ((-547 |#2| |#2|) -12 (|has| |#1| (-388)) (|has| |#2| (-325 |#2|))) ((-582) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-661 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-661 |#1|) . T) ((-661 |#2|) |has| |#1| (-388)) ((-661 $) . T) ((-678) |has| |#1| (-388)) ((-654 (-592)) -12 (|has| |#1| (-388)) (|has| |#2| (-654 (-592)))) ((-654 |#2|) |has| |#1| (-388)) ((-734 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-734 |#1|) |has| |#1| (-194)) ((-734 |#2|) |has| |#1| (-388)) ((-734 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-743) . T) ((-813) -12 (|has| |#1| (-388)) (|has| |#2| (-842))) ((-814) -12 (|has| |#1| (-388)) (|has| |#2| (-842))) ((-816) -12 (|has| |#1| (-388)) (|has| |#2| (-842))) ((-817) -12 (|has| |#1| (-388)) (|has| |#2| (-842))) ((-842) -12 (|has| |#1| (-388)) (|has| |#2| (-842))) ((-867) -12 (|has| |#1| (-388)) (|has| |#2| (-842))) ((-869) -3836 (-12 (|has| |#1| (-388)) (|has| |#2| (-869))) (-12 (|has| |#1| (-388)) (|has| |#2| (-842)))) ((-922 (-1191)) -3836 (-12 (|has| |#1| (-388)) (|has| |#2| (-922 (-1191)))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))) ((-908 (-405)) -12 (|has| |#1| (-388)) (|has| |#2| (-908 (-405)))) ((-908 (-592)) -12 (|has| |#1| (-388)) (|has| |#2| (-908 (-592)))) ((-906 |#2|) |has| |#1| (-388)) ((-931) -12 (|has| |#1| (-388)) (|has| |#2| (-931))) ((-1002 |#1| (-592) (-1103)) . T) ((-943) |has| |#1| (-388)) ((-1021 |#2|) |has| |#1| (-388)) ((-1030) |has| |#1| (-43 (-433 (-592)))) ((-1049) -12 (|has| |#1| (-388)) (|has| |#2| (-1049))) ((-1065 (-433 (-592))) -12 (|has| |#1| (-388)) (|has| |#2| (-1065 (-592)))) ((-1065 (-592)) -12 (|has| |#1| (-388)) (|has| |#2| (-1065 (-592)))) ((-1065 (-1191)) -12 (|has| |#1| (-388)) (|has| |#2| (-1065 (-1191)))) ((-1065 |#2|) . T) ((-1081 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-1081 |#1|) . T) ((-1081 |#2|) |has| |#1| (-388)) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) -12 (|has| |#1| (-388)) (|has| |#2| (-1165))) ((-1211) |has| |#1| (-43 (-433 (-592)))) ((-1214) |has| |#1| (-43 (-433 (-592)))) ((-1225) |has| |#1| (-388)) ((-1235) |has| |#1| (-388)) ((-1239 |#1|) . T) ((-1257 |#1| (-592)) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 70)) (-1505 ((|#2| $) NIL (-12 (|has| |#2| (-323)) (|has| |#1| (-388))))) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 88)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-592)) 97) (($ $ (-592) (-592)) 99)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) 47)) (-1444 ((|#2| $) 11)) (-2919 (((-3 |#2| "failed") $) 30)) (-1986 ((|#2| $) 31)) (-1588 (($ $) 192 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 168 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) 188 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 164 (|has| |#1| (-43 (-433 (-592)))))) (-3940 (((-592) $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-2881 (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) 57)) (-1601 (($ $) 196 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 172 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) 144) (((-3 (-592) "failed") $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-3 (-1191) "failed") $) NIL (-12 (|has| |#2| (-1065 (-1191))) (|has| |#1| (-388))))) (-2400 ((|#2| $) 143) (((-592) $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-433 (-592)) $) NIL (-12 (|has| |#2| (-1065 (-592))) (|has| |#1| (-388)))) (((-1191) $) NIL (-12 (|has| |#2| (-1065 (-1191))) (|has| |#1| (-388))))) (-3792 (($ $) 61) (($ (-592) $) 24)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 |#2|) (-706 $)) NIL (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#1| (-388)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| |#2| (-654 (-592))) (|has| |#1| (-388))))) (-3371 (((-3 $ "failed") $) 77)) (-3247 (((-433 (-980 |#1|)) $ (-592)) 112 (|has| |#1| (-582))) (((-433 (-980 |#1|)) $ (-592) (-592)) 114 (|has| |#1| (-582)))) (-4290 (($) NIL (-12 (|has| |#2| (-574)) (|has| |#1| (-388))))) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-1691 (((-141) $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-2273 (((-141) $) 64)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| |#2| (-908 (-405))) (|has| |#1| (-388)))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| |#2| (-908 (-592))) (|has| |#1| (-388))))) (-4346 (((-592) $) 93) (((-592) $ (-592)) 95)) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL (|has| |#1| (-388)))) (-1448 ((|#2| $) 151 (|has| |#1| (-388)))) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3921 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1165)) (|has| |#1| (-388))))) (-1324 (((-141) $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-3990 (($ $ (-944)) 136)) (-1376 (($ (-1 |#1| (-592)) $) 132)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-592)) 19) (($ $ (-1103) (-592)) NIL) (($ $ (-658 (-1103)) (-658 (-592))) NIL)) (-1837 (($ $ $) NIL (-12 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3319 (($ $ $) NIL (-12 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-2731 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-388)))) (-4546 (($ $) 162 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-1994 (($ (-592) |#2|) 10)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 145 (|has| |#1| (-388)))) (-3162 (($ $) 214 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 219 (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211)))))) (-3703 (($) NIL (-12 (|has| |#2| (-1165)) (|has| |#1| (-388))) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3856 (($ $) NIL (-12 (|has| |#2| (-323)) (|has| |#1| (-388))))) (-2039 ((|#2| $) NIL (-12 (|has| |#2| (-574)) (|has| |#1| (-388))))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| |#2| (-931)) (|has| |#1| (-388))))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-592)) 126)) (-3616 (((-3 $ "failed") $ $) 116 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) 160 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-592))))) (($ $ (-1191) |#2|) NIL (-12 (|has| |#2| (-547 (-1191) |#2|)) (|has| |#1| (-388)))) (($ $ (-658 (-1191)) (-658 |#2|)) NIL (-12 (|has| |#2| (-547 (-1191) |#2|)) (|has| |#1| (-388)))) (($ $ (-658 (-310 |#2|))) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388)))) (($ $ (-310 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388)))) (($ $ (-658 |#2|) (-658 |#2|)) NIL (-12 (|has| |#2| (-325 |#2|)) (|has| |#1| (-388))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-592)) 91) (($ $ $) 79 (|has| (-592) (-1131))) (($ $ |#2|) NIL (-12 (|has| |#2| (-303 |#2| |#2|)) (|has| |#1| (-388))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-388))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#1| (-388))) (($ $ (-790)) NIL (-3836 (-12 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) 137 (-3836 (-12 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191) (-790)) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-658 (-1191))) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191)) 140 (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))))) (-2782 (($ $) NIL (|has| |#1| (-388)))) (-1456 ((|#2| $) 152 (|has| |#1| (-388)))) (-4525 (((-592) $) 12)) (-1609 (($ $) 198 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 174 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 194 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 170 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 190 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 166 (|has| |#1| (-43 (-433 (-592)))))) (-1778 (((-237) $) NIL (-12 (|has| |#2| (-1049)) (|has| |#1| (-388)))) (((-405) $) NIL (-12 (|has| |#2| (-1049)) (|has| |#1| (-388)))) (((-565) $) NIL (-12 (|has| |#2| (-633 (-565))) (|has| |#1| (-388)))) (((-914 (-405)) $) NIL (-12 (|has| |#2| (-633 (-914 (-405)))) (|has| |#1| (-388)))) (((-914 (-592)) $) NIL (-12 (|has| |#2| (-633 (-914 (-592)))) (|has| |#1| (-388))))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931)) (|has| |#1| (-388))))) (-1700 (($ $) 124)) (-1683 (((-877) $) 242) (($ (-592)) 23) (($ |#1|) 21 (|has| |#1| (-194))) (($ |#2|) 20) (($ (-1191)) NIL (-12 (|has| |#2| (-1065 (-1191))) (|has| |#1| (-388)))) (($ (-433 (-592))) 155 (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582)))) (-1937 ((|#1| $ (-592)) 74)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931)) (|has| |#1| (-388))) (-12 (|has| |#2| (-169)) (|has| |#1| (-388))) (|has| |#1| (-169))))) (-4010 (((-790)) 142)) (-2838 ((|#1| $) 90)) (-2744 ((|#2| $) NIL (-12 (|has| |#2| (-574)) (|has| |#1| (-388))))) (-1630 (($ $) 204 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 180 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) 200 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 176 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 208 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 184 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-592)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 210 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 186 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 206 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 182 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 202 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 178 (|has| |#1| (-43 (-433 (-592)))))) (-1392 (($ $) NIL (-12 (|has| |#2| (-842)) (|has| |#1| (-388))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 13 T CONST)) (-4257 (($) 17 T CONST)) (-1940 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-388))) (($ $ (-1 |#2| |#2|) (-790)) NIL (|has| |#1| (-388))) (($ $ (-790)) NIL (-3836 (-12 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) NIL (-3836 (-12 (|has| |#2| (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191) (-790)) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-658 (-1191))) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#2| (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))))) (-3286 (((-141) $ $) NIL (-12 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3273 (((-141) $ $) NIL (-12 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3255 (((-141) $ $) 63)) (-3279 (((-141) $ $) NIL (-12 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3266 (((-141) $ $) NIL (-12 (|has| |#2| (-869)) (|has| |#1| (-388))))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) 149 (|has| |#1| (-388))) (($ |#2| |#2|) 150 (|has| |#1| (-388)))) (-3306 (($ $) 213) (($ $ $) 68)) (-3300 (($ $ $) 66)) (** (($ $ (-944)) NIL) (($ $ (-790)) 73) (($ $ (-592)) 146 (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 158 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-388))) (($ |#2| $) 147 (|has| |#1| (-388))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1242 |#1| |#2|) (-1241 |#1| |#2|) (-1075) (-1270 |#1|)) (T -1242)) 
-NIL 
-(-1241 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-1505 (((-1271 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-323)) (|has| |#1| (-388))))) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 10)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-1555 (($ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-1313 (((-141) $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-2306 (($ $ (-592)) NIL) (($ $ (-592) (-592)) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|))) $) NIL)) (-1444 (((-1271 |#1| |#2| |#3|) $) NIL)) (-2919 (((-3 (-1271 |#1| |#2| |#3|) "failed") $) NIL)) (-1986 (((-1271 |#1| |#2| |#3|) $) NIL)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3940 (((-592) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-2881 (($ (-1171 (-2 (|:| |k| (-592)) (|:| |c| |#1|)))) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-1271 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1191) "failed") $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-1191))) (|has| |#1| (-388)))) (((-3 (-433 (-592)) "failed") $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388)))) (((-3 (-592) "failed") $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388))))) (-2400 (((-1271 |#1| |#2| |#3|) $) NIL) (((-1191) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-1191))) (|has| |#1| (-388)))) (((-433 (-592)) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388)))) (((-592) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388))))) (-3792 (($ $) NIL) (($ (-592) $) NIL)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-1271 |#1| |#2| |#3|)) (-706 $)) NIL (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 (-1271 |#1| |#2| |#3|))) (|:| |vec| (-1280 (-1271 |#1| |#2| |#3|)))) (-706 $) (-1280 $)) NIL (|has| |#1| (-388))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-654 (-592))) (|has| |#1| (-388)))) (((-706 (-592)) (-706 $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-654 (-592))) (|has| |#1| (-388))))) (-3371 (((-3 $ "failed") $) NIL)) (-3247 (((-433 (-980 |#1|)) $ (-592)) NIL (|has| |#1| (-582))) (((-433 (-980 |#1|)) $ (-592) (-592)) NIL (|has| |#1| (-582)))) (-4290 (($) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-574)) (|has| |#1| (-388))))) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-1691 (((-141) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3412 (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-908 (-592))) (|has| |#1| (-388)))) (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-908 (-405))) (|has| |#1| (-388))))) (-4346 (((-592) $) NIL) (((-592) $ (-592)) NIL)) (-3558 (((-141) $) NIL)) (-3838 (($ $) NIL (|has| |#1| (-388)))) (-1448 (((-1271 |#1| |#2| |#3|) $) NIL (|has| |#1| (-388)))) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3921 (((-3 $ "failed") $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1165)) (|has| |#1| (-388))))) (-1324 (((-141) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-3990 (($ $ (-944)) NIL)) (-1376 (($ (-1 |#1| (-592)) $) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-592)) 17) (($ $ (-1103) (-592)) NIL) (($ $ (-658 (-1103)) (-658 (-592))) NIL)) (-1837 (($ $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3319 (($ $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-388)))) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-1994 (($ (-592) (-1271 |#1| |#2| |#3|)) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3162 (($ $) 25 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 26 (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1165)) (|has| |#1| (-388))) CONST)) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3856 (($ $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-323)) (|has| |#1| (-388))))) (-2039 (((-1271 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-574)) (|has| |#1| (-388))))) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-592)) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-592))))) (($ $ (-1191) (-1271 |#1| |#2| |#3|)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-547 (-1191) (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-658 (-1191)) (-658 (-1271 |#1| |#2| |#3|))) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-547 (-1191) (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-658 (-310 (-1271 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-325 (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-310 (-1271 |#1| |#2| |#3|))) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-325 (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-325 (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388)))) (($ $ (-658 (-1271 |#1| |#2| |#3|)) (-658 (-1271 |#1| |#2| |#3|))) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-325 (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-592)) NIL) (($ $ $) NIL (|has| (-592) (-1131))) (($ $ (-1271 |#1| |#2| |#3|)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-303 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|))) (|has| |#1| (-388))))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-1 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|))) NIL (|has| |#1| (-388))) (($ $ (-1 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) (-790)) NIL (|has| |#1| (-388))) (($ $ (-1276 |#2|)) 24) (($ $ (-790)) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) 23 (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191) (-790)) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-658 (-1191))) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))))) (-2782 (($ $) NIL (|has| |#1| (-388)))) (-1456 (((-1271 |#1| |#2| |#3|) $) NIL (|has| |#1| (-388)))) (-4525 (((-592) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1778 (((-565) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-633 (-565))) (|has| |#1| (-388)))) (((-405) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1049)) (|has| |#1| (-388)))) (((-237) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1049)) (|has| |#1| (-388)))) (((-914 (-405)) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-633 (-914 (-405)))) (|has| |#1| (-388)))) (((-914 (-592)) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-633 (-914 (-592)))) (|has| |#1| (-388))))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1271 |#1| |#2| |#3|)) NIL) (($ (-1276 |#2|)) 22) (($ (-1191)) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-1191))) (|has| |#1| (-388)))) (($ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582)))) (($ (-433 (-592))) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-1065 (-592))) (|has| |#1| (-388))) (|has| |#1| (-43 (-433 (-592))))))) (-1937 ((|#1| $ (-592)) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-169)) (|has| |#1| (-388))) (|has| |#1| (-169))))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 11)) (-2744 (((-1271 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-574)) (|has| |#1| (-388))))) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-931)) (|has| |#1| (-388))) (|has| |#1| (-582))))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-592)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-592)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1392 (($ $) NIL (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 19 T CONST)) (-4257 (($) 15 T CONST)) (-1940 (($ $ (-1 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|))) NIL (|has| |#1| (-388))) (($ $ (-1 (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) (-790)) NIL (|has| |#1| (-388))) (($ $ (-790)) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-247)) (|has| |#1| (-388))) (|has| |#1| (-15 * (|#1| (-592) |#1|))))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191) (-790)) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-658 (-1191))) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191)))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-922 (-1191))) (|has| |#1| (-388))) (-12 (|has| |#1| (-15 * (|#1| (-592) |#1|))) (|has| |#1| (-922 (-1191))))))) (-3286 (((-141) $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3273 (((-141) $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3266 (((-141) $ $) NIL (-3836 (-12 (|has| (-1271 |#1| |#2| |#3|) (-842)) (|has| |#1| (-388))) (-12 (|has| (-1271 |#1| |#2| |#3|) (-869)) (|has| |#1| (-388)))))) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388))) (($ (-1271 |#1| |#2| |#3|) (-1271 |#1| |#2| |#3|)) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 20)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1271 |#1| |#2| |#3|)) NIL (|has| |#1| (-388))) (($ (-1271 |#1| |#2| |#3|) $) NIL (|has| |#1| (-388))) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1243 |#1| |#2| |#3|) (-13 (-1241 |#1| (-1271 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -1243)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1243 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1243 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1243 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1241 |#1| (-1271 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-2112 (((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141)) 10)) (-3082 (((-444 |#1|) |#1|) 21)) (-4500 (((-444 |#1|) |#1|) 20))) 
-(((-1244 |#1|) (-10 -7 (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3082 ((-444 |#1|) |#1|)) (-15 -2112 ((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141)))) (-1255 (-592))) (T -1244)) 
-((-2112 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-5 *2 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-1244 *3)) (-4 *3 (-1255 (-592))))) (-3082 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1244 *3)) (-4 *3 (-1255 (-592))))) (-4500 (*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1244 *3)) (-4 *3 (-1255 (-592)))))) 
-(-10 -7 (-15 -4500 ((-444 |#1|) |#1|)) (-15 -3082 ((-444 |#1|) |#1|)) (-15 -2112 ((-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| |#1|) (|:| -1777 (-592)))))) |#1| (-141)))) 
-((-2731 (((-1171 |#2|) (-1 |#2| |#1|) (-1246 |#1|)) 23 (|has| |#1| (-867))) (((-1246 |#2|) (-1 |#2| |#1|) (-1246 |#1|)) 17))) 
-(((-1245 |#1| |#2|) (-10 -7 (-15 -2731 ((-1246 |#2|) (-1 |#2| |#1|) (-1246 |#1|))) (IF (|has| |#1| (-867)) (-15 -2731 ((-1171 |#2|) (-1 |#2| |#1|) (-1246 |#1|))) |noBranch|)) (-1225) (-1225)) (T -1245)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1246 *5)) (-4 *5 (-867)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1171 *6)) (-5 *1 (-1245 *5 *6)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1246 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1246 *6)) (-5 *1 (-1245 *5 *6))))) 
-(-10 -7 (-15 -2731 ((-1246 |#2|) (-1 |#2| |#1|) (-1246 |#1|))) (IF (|has| |#1| (-867)) (-15 -2731 ((-1171 |#2|) (-1 |#2| |#1|) (-1246 |#1|))) |noBranch|)) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1896 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-2731 (((-1171 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-867)))) (-2781 ((|#1| $) 14)) (-3000 ((|#1| $) 10)) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3008 (((-592) $) 18)) (-2369 ((|#1| $) 17)) (-3015 ((|#1| $) 11)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1840 (((-141) $) 16)) (-3098 (((-1171 |#1|) $) 38 (|has| |#1| (-867))) (((-1171 |#1|) (-658 $)) 37 (|has| |#1| (-867)))) (-1778 (($ |#1|) 25)) (-1683 (($ (-1113 |#1|)) 24) (((-877) $) 34 (|has| |#1| (-1119)))) (-3766 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-2408 (($ $ (-592)) 13)) (-3255 (((-141) $ $) 27 (|has| |#1| (-1119))))) 
-(((-1246 |#1|) (-13 (-1112 |#1|) (-10 -8 (-15 -3766 ($ |#1|)) (-15 -1896 ($ |#1|)) (-15 -1683 ($ (-1113 |#1|))) (-15 -1840 ((-141) $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-1114 |#1| (-1171 |#1|))) |noBranch|))) (-1225)) (T -1246)) 
-((-3766 (*1 *1 *2) (-12 (-5 *1 (-1246 *2)) (-4 *2 (-1225)))) (-1896 (*1 *1 *2) (-12 (-5 *1 (-1246 *2)) (-4 *2 (-1225)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1113 *3)) (-4 *3 (-1225)) (-5 *1 (-1246 *3)))) (-1840 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1246 *3)) (-4 *3 (-1225))))) 
-(-13 (-1112 |#1|) (-10 -8 (-15 -3766 ($ |#1|)) (-15 -1896 ($ |#1|)) (-15 -1683 ($ (-1113 |#1|))) (-15 -1840 ((-141) $)) (IF (|has| |#1| (-1119)) (-6 (-1119)) |noBranch|) (IF (|has| |#1| (-867)) (-6 (-1114 |#1| (-1171 |#1|))) |noBranch|))) 
-((-2731 (((-1252 |#3| |#4|) (-1 |#4| |#2|) (-1252 |#1| |#2|)) 15))) 
-(((-1247 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 ((-1252 |#3| |#4|) (-1 |#4| |#2|) (-1252 |#1| |#2|)))) (-1191) (-1075) (-1191) (-1075)) (T -1247)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1252 *5 *6)) (-14 *5 (-1191)) (-4 *6 (-1075)) (-4 *8 (-1075)) (-5 *2 (-1252 *7 *8)) (-5 *1 (-1247 *5 *6 *7 *8)) (-14 *7 (-1191))))) 
-(-10 -7 (-15 -2731 ((-1252 |#3| |#4|) (-1 |#4| |#2|) (-1252 |#1| |#2|)))) 
-((-3626 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-2088 ((|#1| |#3|) 13)) (-2219 ((|#3| |#3|) 19))) 
-(((-1248 |#1| |#2| |#3|) (-10 -7 (-15 -2088 (|#1| |#3|)) (-15 -2219 (|#3| |#3|)) (-15 -3626 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-582) (-1021 |#1|) (-1255 |#2|)) (T -1248)) 
-((-3626 (*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1248 *4 *5 *3)) (-4 *3 (-1255 *5)))) (-2219 (*1 *2 *2) (-12 (-4 *3 (-582)) (-4 *4 (-1021 *3)) (-5 *1 (-1248 *3 *4 *2)) (-4 *2 (-1255 *4)))) (-2088 (*1 *2 *3) (-12 (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-1248 *2 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -2088 (|#1| |#3|)) (-15 -2219 (|#3| |#3|)) (-15 -3626 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-3712 (((-3 |#2| "failed") |#2| (-790) |#1|) 29)) (-2528 (((-3 |#2| "failed") |#2| (-790)) 30)) (-1909 (((-3 (-2 (|:| -1961 |#2|) (|:| -1954 |#2|)) "failed") |#2|) 42)) (-3640 (((-658 |#2|) |#2|) 44)) (-2446 (((-3 |#2| "failed") |#2| |#2|) 39))) 
-(((-1249 |#1| |#2|) (-10 -7 (-15 -2528 ((-3 |#2| "failed") |#2| (-790))) (-15 -3712 ((-3 |#2| "failed") |#2| (-790) |#1|)) (-15 -2446 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1909 ((-3 (-2 (|:| -1961 |#2|) (|:| -1954 |#2|)) "failed") |#2|)) (-15 -3640 ((-658 |#2|) |#2|))) (-13 (-582) (-171)) (-1255 |#1|)) (T -1249)) 
-((-3640 (*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-171))) (-5 *2 (-658 *3)) (-5 *1 (-1249 *4 *3)) (-4 *3 (-1255 *4)))) (-1909 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-582) (-171))) (-5 *2 (-2 (|:| -1961 *3) (|:| -1954 *3))) (-5 *1 (-1249 *4 *3)) (-4 *3 (-1255 *4)))) (-2446 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1249 *3 *2)) (-4 *2 (-1255 *3)))) (-3712 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-1249 *4 *2)) (-4 *2 (-1255 *4)))) (-2528 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-1249 *4 *2)) (-4 *2 (-1255 *4))))) 
-(-10 -7 (-15 -2528 ((-3 |#2| "failed") |#2| (-790))) (-15 -3712 ((-3 |#2| "failed") |#2| (-790) |#1|)) (-15 -2446 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1909 ((-3 (-2 (|:| -1961 |#2|) (|:| -1954 |#2|)) "failed") |#2|)) (-15 -3640 ((-658 |#2|) |#2|))) 
-((-3669 (((-3 (-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) "failed") |#2| |#2|) 31))) 
-(((-1250 |#1| |#2|) (-10 -7 (-15 -3669 ((-3 (-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) "failed") |#2| |#2|))) (-582) (-1255 |#1|)) (T -1250)) 
-((-3669 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-582)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-1250 *4 *3)) (-4 *3 (-1255 *4))))) 
-(-10 -7 (-15 -3669 ((-3 (-2 (|:| -2230 |#2|) (|:| -3027 |#2|)) "failed") |#2| |#2|))) 
-((-2759 ((|#2| |#2| |#2|) 19)) (-3890 ((|#2| |#2| |#2|) 30)) (-3997 ((|#2| |#2| |#2| (-790) (-790)) 36))) 
-(((-1251 |#1| |#2|) (-10 -7 (-15 -2759 (|#2| |#2| |#2|)) (-15 -3890 (|#2| |#2| |#2|)) (-15 -3997 (|#2| |#2| |#2| (-790) (-790)))) (-1075) (-1255 |#1|)) (T -1251)) 
-((-3997 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *1 (-1251 *4 *2)) (-4 *2 (-1255 *4)))) (-3890 (*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-1251 *3 *2)) (-4 *2 (-1255 *3)))) (-2759 (*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-1251 *3 *2)) (-4 *2 (-1255 *3))))) 
-(-10 -7 (-15 -2759 (|#2| |#2| |#2|)) (-15 -3890 (|#2| |#2| |#2|)) (-15 -3997 (|#2| |#2| |#2| (-790) (-790)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2651 (((-1280 |#2|) $ (-790)) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-2085 (($ (-1187 |#2|)) NIL)) (-4492 (((-1187 $) $ (-1103)) NIL) (((-1187 |#2|) $) NIL)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#2| (-582)))) (-1555 (($ $) NIL (|has| |#2| (-582)))) (-1313 (((-141) $) NIL (|has| |#2| (-582)))) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3250 (($ $ $) NIL (|has| |#2| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3743 (($ $) NIL (|has| |#2| (-477)))) (-3164 (((-444 $) $) NIL (|has| |#2| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3652 (((-141) $ $) NIL (|has| |#2| (-388)))) (-1696 (($ $ (-790)) NIL)) (-1498 (($ $ (-790)) NIL)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-477)))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL) (((-3 (-433 (-592)) "failed") $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) NIL (|has| |#2| (-1065 (-592)))) (((-3 (-1103) "failed") $) NIL)) (-2400 ((|#2| $) NIL) (((-433 (-592)) $) NIL (|has| |#2| (-1065 (-433 (-592))))) (((-592) $) NIL (|has| |#2| (-1065 (-592)))) (((-1103) $) NIL)) (-1544 (($ $ $ (-1103)) NIL (|has| |#2| (-194))) ((|#2| $ $) NIL (|has| |#2| (-194)))) (-1586 (($ $ $) NIL (|has| |#2| (-388)))) (-4593 (($ $) NIL)) (-3945 (((-706 (-592)) (-706 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) NIL (|has| |#2| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#2|)) (|:| |vec| (-1280 |#2|))) (-706 $) (-1280 $)) NIL) (((-706 |#2|) (-706 $)) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1599 (($ $ $) NIL (|has| |#2| (-388)))) (-3213 (($ $ $) NIL)) (-2133 (($ $ $) NIL (|has| |#2| (-582)))) (-4369 (((-2 (|:| -1487 |#2|) (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#2| (-388)))) (-3262 (($ $) NIL (|has| |#2| (-477))) (($ $ (-1103)) NIL (|has| |#2| (-477)))) (-4585 (((-658 $) $) NIL)) (-2802 (((-141) $) NIL (|has| |#2| (-931)))) (-4209 (($ $ |#2| (-790) $) NIL)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) NIL (-12 (|has| (-1103) (-908 (-405))) (|has| |#2| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) NIL (-12 (|has| (-1103) (-908 (-592))) (|has| |#2| (-908 (-592)))))) (-4346 (((-790) $ $) NIL (|has| |#2| (-582)))) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3921 (((-3 $ "failed") $) NIL (|has| |#2| (-1165)))) (-4533 (($ (-1187 |#2|) (-1103)) NIL) (($ (-1187 $) (-1103)) NIL)) (-3990 (($ $ (-790)) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-388)))) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-4526 (($ |#2| (-790)) 17) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) NIL) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1837 (($ $ $) NIL (|has| |#2| (-869)))) (-3319 (($ $ $) NIL (|has| |#2| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-2070 (((-1187 |#2|) $) NIL)) (-3254 (((-3 (-1103) "failed") $) NIL)) (-4573 (($ $) NIL)) (-4579 ((|#2| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-2685 (((-1173) $) NIL)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) NIL)) (-4421 (((-3 (-658 $) "failed") $) NIL)) (-2947 (((-3 (-658 $) "failed") $) NIL)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) NIL)) (-3162 (($ $) NIL (|has| |#2| (-43 (-433 (-592)))))) (-3703 (($) NIL (|has| |#2| (-1165)) CONST)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 ((|#2| $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#2| (-477)))) (-3548 (($ (-658 $)) NIL (|has| |#2| (-477))) (($ $ $) NIL (|has| |#2| (-477)))) (-4550 (($ $ (-790) |#2| $) NIL)) (-1416 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) NIL (|has| |#2| (-931)))) (-4500 (((-444 $) $) NIL (|has| |#2| (-931)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#2| (-388)))) (-3616 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-582))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#2| (-388)))) (-2806 (($ $ (-658 (-310 $))) NIL) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#2|) NIL) (($ $ (-658 (-1103)) (-658 |#2|)) NIL) (($ $ (-1103) $) NIL) (($ $ (-658 (-1103)) (-658 $)) NIL)) (-2769 (((-790) $) NIL (|has| |#2| (-388)))) (-3927 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-433 $) (-433 $) (-433 $)) NIL (|has| |#2| (-582))) ((|#2| (-433 $) |#2|) NIL (|has| |#2| (-388))) (((-433 $) $ (-433 $)) NIL (|has| |#2| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) NIL)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#2| (-388)))) (-1482 (($ $ (-1103)) NIL (|has| |#2| (-194))) ((|#2| $) NIL (|has| |#2| (-194)))) (-3644 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-4525 (((-790) $) NIL) (((-790) $ (-1103)) NIL) (((-658 (-790)) $ (-658 (-1103))) NIL)) (-1778 (((-914 (-405)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#2| (-633 (-914 (-405)))))) (((-914 (-592)) $) NIL (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#2| (-633 (-914 (-592)))))) (((-565) $) NIL (-12 (|has| (-1103) (-633 (-565))) (|has| |#2| (-633 (-565)))))) (-1554 ((|#2| $) NIL (|has| |#2| (-477))) (($ $ (-1103)) NIL (|has| |#2| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) NIL (-12 (|has| $ (-169)) (|has| |#2| (-931))))) (-1528 (((-3 $ "failed") $ $) NIL (|has| |#2| (-582))) (((-3 (-433 $) "failed") (-433 $) $) NIL (|has| |#2| (-582)))) (-1683 (((-877) $) 13) (($ (-592)) NIL) (($ |#2|) NIL) (($ (-1103)) NIL) (($ (-1276 |#1|)) 19) (($ (-433 (-592))) NIL (-3836 (|has| |#2| (-43 (-433 (-592)))) (|has| |#2| (-1065 (-433 (-592)))))) (($ $) NIL (|has| |#2| (-582)))) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-790)) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-1517 (((-3 $ "failed") $) NIL (-3836 (-12 (|has| $ (-169)) (|has| |#2| (-931))) (|has| |#2| (-169))))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| |#2| (-194)))) (-2537 (((-141) $ $) NIL (|has| |#2| (-582)))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4257 (($) 14 T CONST)) (-1940 (($ $ (-1103)) NIL) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) NIL) (($ $ (-1191)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1191) (-790)) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) NIL (|has| |#2| (-922 (-1191)))) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-3286 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3255 (((-141) $ $) NIL)) (-3279 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#2| (-869)))) (-3313 (($ $ |#2|) NIL (|has| |#2| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-433 (-592))) NIL (|has| |#2| (-43 (-433 (-592))))) (($ (-433 (-592)) $) NIL (|has| |#2| (-43 (-433 (-592))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-1252 |#1| |#2|) (-13 (-1255 |#2|) (-10 -8 (-15 -1683 ($ (-1276 |#1|))) (-15 -4550 ($ $ (-790) |#2| $)))) (-1191) (-1075)) (T -1252)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *3)) (-14 *3 (-1191)) (-5 *1 (-1252 *3 *4)) (-4 *4 (-1075)))) (-4550 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1252 *4 *3)) (-14 *4 (-1191)) (-4 *3 (-1075))))) 
-(-13 (-1255 |#2|) (-10 -8 (-15 -1683 ($ (-1276 |#1|))) (-15 -4550 ($ $ (-790) |#2| $)))) 
-((-2731 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
-(((-1253 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|))) (-1075) (-1255 |#1|) (-1075) (-1255 |#3|)) (T -1253)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-4 *2 (-1255 *6)) (-5 *1 (-1253 *5 *4 *6 *2)) (-4 *4 (-1255 *5))))) 
-(-10 -7 (-15 -2731 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-2651 (((-1280 |#2|) $ (-790)) 113)) (-4085 (((-658 (-1103)) $) 15)) (-4011 (($ (-1280 |#2|)) 115)) (-2085 (($ (-1187 |#2|)) 66)) (-2189 (((-790) $) NIL) (((-790) $ (-658 (-1103))) 18)) (-4043 (((-444 (-1187 $)) (-1187 $)) 185)) (-3743 (($ $) 175)) (-3164 (((-444 $) $) 173)) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 81)) (-1696 (($ $ (-790)) 70)) (-1498 (($ $ (-790)) 72)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 131)) (-4368 (((-3 |#2| "failed") $) 118) (((-3 (-433 (-592)) "failed") $) NIL) (((-3 (-592) "failed") $) NIL) (((-3 (-1103) "failed") $) NIL)) (-2400 ((|#2| $) 116) (((-433 (-592)) $) NIL) (((-592) $) NIL) (((-1103) $) NIL)) (-2133 (($ $ $) 152)) (-4369 (((-2 (|:| -1487 |#2|) (|:| -2230 $) (|:| -3027 $)) $ $) 154)) (-4346 (((-790) $ $) 170)) (-3921 (((-3 $ "failed") $) 124)) (-4526 (($ |#2| (-790)) NIL) (($ $ (-1103) (-790)) 46) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-4206 (((-790) $) NIL) (((-790) $ (-1103)) 41) (((-658 (-790)) $ (-658 (-1103))) 42)) (-2070 (((-1187 |#2|) $) 58)) (-3254 (((-3 (-1103) "failed") $) 39)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) 69)) (-3162 (($ $) 196)) (-3703 (($) 120)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 182)) (-1416 (((-444 (-1187 $)) (-1187 $)) 87)) (-3339 (((-444 (-1187 $)) (-1187 $)) 85)) (-4500 (((-444 $) $) 105)) (-2806 (($ $ (-658 (-310 $))) 38) (($ $ (-310 $)) NIL) (($ $ $ $) NIL) (($ $ (-658 $) (-658 $)) NIL) (($ $ (-1103) |#2|) 31) (($ $ (-658 (-1103)) (-658 |#2|)) 28) (($ $ (-1103) $) 25) (($ $ (-658 (-1103)) (-658 $)) 23)) (-2769 (((-790) $) 188)) (-3927 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-433 $) (-433 $) (-433 $)) 148) ((|#2| (-433 $) |#2|) 187) (((-433 $) $ (-433 $)) 169)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 191)) (-3644 (($ $ (-1103)) 141) (($ $ (-658 (-1103))) NIL) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL) (($ $ (-790)) NIL) (($ $) 139) (($ $ (-1191)) NIL) (($ $ (-658 (-1191))) NIL) (($ $ (-1191) (-790)) NIL) (($ $ (-658 (-1191)) (-658 (-790))) NIL) (($ $ (-1 |#2| |#2|) (-790)) NIL) (($ $ (-1 |#2| |#2|)) 138) (($ $ (-1 |#2| |#2|) $) 135)) (-4525 (((-790) $) NIL) (((-790) $ (-1103)) 16) (((-658 (-790)) $ (-658 (-1103))) 20)) (-1554 ((|#2| $) NIL) (($ $ (-1103)) 126)) (-1528 (((-3 $ "failed") $ $) 162) (((-3 (-433 $) "failed") (-433 $) $) 158)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#2|) NIL) (($ (-1103)) 50) (($ (-433 (-592))) NIL) (($ $) NIL))) 
-(((-1254 |#1| |#2|) (-10 -8 (-15 -1683 (|#1| |#1|)) (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|))) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -3743 (|#1| |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -3927 ((-433 |#1|) |#1| (-433 |#1|))) (-15 -2769 ((-790) |#1|)) (-15 -4570 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -3162 (|#1| |#1|)) (-15 -3927 (|#2| (-433 |#1|) |#2|)) (-15 -1504 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -4369 ((-2 (|:| -1487 |#2|) (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -2133 (|#1| |#1| |#1|)) (-15 -1528 ((-3 (-433 |#1|) "failed") (-433 |#1|) |#1|)) (-15 -1528 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4346 ((-790) |#1| |#1|)) (-15 -3927 ((-433 |#1|) (-433 |#1|) (-433 |#1|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -1498 (|#1| |#1| (-790))) (-15 -1696 (|#1| |#1| (-790))) (-15 -3768 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| (-790))) (-15 -2085 (|#1| (-1187 |#2|))) (-15 -2070 ((-1187 |#2|) |#1|)) (-15 -4011 (|#1| (-1280 |#2|))) (-15 -2651 ((-1280 |#2|) |#1| (-790))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3927 (|#1| |#1| |#1|)) (-15 -3927 (|#2| |#1| |#2|)) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -4043 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3339 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -1416 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -1554 (|#1| |#1| (-1103))) (-15 -4085 ((-658 (-1103)) |#1|)) (-15 -2189 ((-790) |#1| (-658 (-1103)))) (-15 -2189 ((-790) |#1|)) (-15 -4526 (|#1| |#1| (-658 (-1103)) (-658 (-790)))) (-15 -4526 (|#1| |#1| (-1103) (-790))) (-15 -4206 ((-658 (-790)) |#1| (-658 (-1103)))) (-15 -4206 ((-790) |#1| (-1103))) (-15 -3254 ((-3 (-1103) "failed") |#1|)) (-15 -4525 ((-658 (-790)) |#1| (-658 (-1103)))) (-15 -4525 ((-790) |#1| (-1103))) (-15 -2400 ((-1103) |#1|)) (-15 -4368 ((-3 (-1103) "failed") |#1|)) (-15 -1683 (|#1| (-1103))) (-15 -2806 (|#1| |#1| (-658 (-1103)) (-658 |#1|))) (-15 -2806 (|#1| |#1| (-1103) |#1|)) (-15 -2806 (|#1| |#1| (-658 (-1103)) (-658 |#2|))) (-15 -2806 (|#1| |#1| (-1103) |#2|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -4525 ((-790) |#1|)) (-15 -4526 (|#1| |#2| (-790))) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4206 ((-790) |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3644 (|#1| |#1| (-658 (-1103)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1103) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1103)))) (-15 -3644 (|#1| |#1| (-1103))) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) (-1255 |#2|) (-1075)) (T -1254)) 
-NIL 
-(-10 -8 (-15 -1683 (|#1| |#1|)) (-15 -2536 ((-1187 |#1|) (-1187 |#1|) (-1187 |#1|))) (-15 -3164 ((-444 |#1|) |#1|)) (-15 -3743 (|#1| |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -3703 (|#1|)) (-15 -3921 ((-3 |#1| "failed") |#1|)) (-15 -3927 ((-433 |#1|) |#1| (-433 |#1|))) (-15 -2769 ((-790) |#1|)) (-15 -4570 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -3162 (|#1| |#1|)) (-15 -3927 (|#2| (-433 |#1|) |#2|)) (-15 -1504 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -4369 ((-2 (|:| -1487 |#2|) (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| |#1|)) (-15 -2133 (|#1| |#1| |#1|)) (-15 -1528 ((-3 (-433 |#1|) "failed") (-433 |#1|) |#1|)) (-15 -1528 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4346 ((-790) |#1| |#1|)) (-15 -3927 ((-433 |#1|) (-433 |#1|) (-433 |#1|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -1498 (|#1| |#1| (-790))) (-15 -1696 (|#1| |#1| (-790))) (-15 -3768 ((-2 (|:| -2230 |#1|) (|:| -3027 |#1|)) |#1| (-790))) (-15 -2085 (|#1| (-1187 |#2|))) (-15 -2070 ((-1187 |#2|) |#1|)) (-15 -4011 (|#1| (-1280 |#2|))) (-15 -2651 ((-1280 |#2|) |#1| (-790))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3644 (|#1| |#1| (-1 |#2| |#2|) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1191) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1191)))) (-15 -3644 (|#1| |#1| (-1191))) (-15 -3644 (|#1| |#1|)) (-15 -3644 (|#1| |#1| (-790))) (-15 -3927 (|#1| |#1| |#1|)) (-15 -3927 (|#2| |#1| |#2|)) (-15 -4500 ((-444 |#1|) |#1|)) (-15 -4043 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3339 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -1416 ((-444 (-1187 |#1|)) (-1187 |#1|))) (-15 -3524 ((-3 (-658 (-1187 |#1|)) "failed") (-658 (-1187 |#1|)) (-1187 |#1|))) (-15 -1554 (|#1| |#1| (-1103))) (-15 -4085 ((-658 (-1103)) |#1|)) (-15 -2189 ((-790) |#1| (-658 (-1103)))) (-15 -2189 ((-790) |#1|)) (-15 -4526 (|#1| |#1| (-658 (-1103)) (-658 (-790)))) (-15 -4526 (|#1| |#1| (-1103) (-790))) (-15 -4206 ((-658 (-790)) |#1| (-658 (-1103)))) (-15 -4206 ((-790) |#1| (-1103))) (-15 -3254 ((-3 (-1103) "failed") |#1|)) (-15 -4525 ((-658 (-790)) |#1| (-658 (-1103)))) (-15 -4525 ((-790) |#1| (-1103))) (-15 -2400 ((-1103) |#1|)) (-15 -4368 ((-3 (-1103) "failed") |#1|)) (-15 -1683 (|#1| (-1103))) (-15 -2806 (|#1| |#1| (-658 (-1103)) (-658 |#1|))) (-15 -2806 (|#1| |#1| (-1103) |#1|)) (-15 -2806 (|#1| |#1| (-658 (-1103)) (-658 |#2|))) (-15 -2806 (|#1| |#1| (-1103) |#2|)) (-15 -2806 (|#1| |#1| (-658 |#1|) (-658 |#1|))) (-15 -2806 (|#1| |#1| |#1| |#1|)) (-15 -2806 (|#1| |#1| (-310 |#1|))) (-15 -2806 (|#1| |#1| (-658 (-310 |#1|)))) (-15 -4525 ((-790) |#1|)) (-15 -4526 (|#1| |#2| (-790))) (-15 -2400 ((-592) |#1|)) (-15 -4368 ((-3 (-592) "failed") |#1|)) (-15 -2400 ((-433 (-592)) |#1|)) (-15 -4368 ((-3 (-433 (-592)) "failed") |#1|)) (-15 -1683 (|#1| |#2|)) (-15 -4368 ((-3 |#2| "failed") |#1|)) (-15 -2400 (|#2| |#1|)) (-15 -4206 ((-790) |#1|)) (-15 -1554 (|#2| |#1|)) (-15 -3644 (|#1| |#1| (-658 (-1103)) (-658 (-790)))) (-15 -3644 (|#1| |#1| (-1103) (-790))) (-15 -3644 (|#1| |#1| (-658 (-1103)))) (-15 -3644 (|#1| |#1| (-1103))) (-15 -1683 (|#1| (-592))) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2651 (((-1280 |#1|) $ (-790)) 219)) (-4085 (((-658 (-1103)) $) 109)) (-4011 (($ (-1280 |#1|)) 218)) (-2085 (($ (-1187 |#1|)) 216)) (-4492 (((-1187 $) $ (-1103)) 124) (((-1187 |#1|) $) 123)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 85 (|has| |#1| (-582)))) (-1555 (($ $) 86 (|has| |#1| (-582)))) (-1313 (((-141) $) 88 (|has| |#1| (-582)))) (-2189 (((-790) $) 111) (((-790) $ (-658 (-1103))) 110)) (-2350 (((-3 $ "failed") $ $) 18)) (-3250 (($ $ $) 203 (|has| |#1| (-582)))) (-4043 (((-444 (-1187 $)) (-1187 $)) 99 (|has| |#1| (-931)))) (-3743 (($ $) 97 (|has| |#1| (-477)))) (-3164 (((-444 $) $) 96 (|has| |#1| (-477)))) (-3524 (((-3 (-658 (-1187 $)) "failed") (-658 (-1187 $)) (-1187 $)) 102 (|has| |#1| (-931)))) (-3652 (((-141) $ $) 188 (|has| |#1| (-388)))) (-1696 (($ $ (-790)) 211)) (-1498 (($ $ (-790)) 210)) (-1504 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 198 (|has| |#1| (-477)))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 163) (((-3 (-433 (-592)) "failed") $) 161 (|has| |#1| (-1065 (-433 (-592))))) (((-3 (-592) "failed") $) 159 (|has| |#1| (-1065 (-592)))) (((-3 (-1103) "failed") $) 135)) (-2400 ((|#1| $) 164) (((-433 (-592)) $) 160 (|has| |#1| (-1065 (-433 (-592))))) (((-592) $) 158 (|has| |#1| (-1065 (-592)))) (((-1103) $) 134)) (-1544 (($ $ $ (-1103)) 107 (|has| |#1| (-194))) ((|#1| $ $) 206 (|has| |#1| (-194)))) (-1586 (($ $ $) 192 (|has| |#1| (-388)))) (-4593 (($ $) 153)) (-3945 (((-706 (-592)) (-706 $)) 133 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 (-592))) (|:| |vec| (-1280 (-592)))) (-706 $) (-1280 $)) 132 (|has| |#1| (-654 (-592)))) (((-2 (|:| -3253 (-706 |#1|)) (|:| |vec| (-1280 |#1|))) (-706 $) (-1280 $)) 131) (((-706 |#1|) (-706 $)) 130)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 191 (|has| |#1| (-388)))) (-3213 (($ $ $) 209)) (-2133 (($ $ $) 200 (|has| |#1| (-582)))) (-4369 (((-2 (|:| -1487 |#1|) (|:| -2230 $) (|:| -3027 $)) $ $) 199 (|has| |#1| (-582)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 186 (|has| |#1| (-388)))) (-3262 (($ $) 175 (|has| |#1| (-477))) (($ $ (-1103)) 104 (|has| |#1| (-477)))) (-4585 (((-658 $) $) 108)) (-2802 (((-141) $) 95 (|has| |#1| (-931)))) (-4209 (($ $ |#1| (-790) $) 171)) (-3412 (((-911 (-405) $) $ (-914 (-405)) (-911 (-405) $)) 82 (-12 (|has| (-1103) (-908 (-405))) (|has| |#1| (-908 (-405))))) (((-911 (-592) $) $ (-914 (-592)) (-911 (-592) $)) 81 (-12 (|has| (-1103) (-908 (-592))) (|has| |#1| (-908 (-592)))))) (-4346 (((-790) $ $) 204 (|has| |#1| (-582)))) (-3558 (((-141) $) 30)) (-4036 (((-790) $) 168)) (-3921 (((-3 $ "failed") $) 184 (|has| |#1| (-1165)))) (-4533 (($ (-1187 |#1|) (-1103)) 116) (($ (-1187 $) (-1103)) 115)) (-3990 (($ $ (-790)) 215)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 195 (|has| |#1| (-388)))) (-3108 (((-658 $) $) 125)) (-2027 (((-141) $) 151)) (-4526 (($ |#1| (-790)) 152) (($ $ (-1103) (-790)) 118) (($ $ (-658 (-1103)) (-658 (-790))) 117)) (-1446 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $ (-1103)) 119) (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 213)) (-4206 (((-790) $) 169) (((-790) $ (-1103)) 121) (((-658 (-790)) $ (-658 (-1103))) 120)) (-1837 (($ $ $) 77 (|has| |#1| (-869)))) (-3319 (($ $ $) 76 (|has| |#1| (-869)))) (-2976 (($ (-1 (-790) (-790)) $) 170)) (-2731 (($ (-1 |#1| |#1|) $) 150)) (-2070 (((-1187 |#1|) $) 217)) (-3254 (((-3 (-1103) "failed") $) 122)) (-4573 (($ $) 148)) (-4579 ((|#1| $) 147)) (-1389 (((-2 (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 89 (|has| |#1| (-477)))) (-2750 (($ (-658 $)) 93 (|has| |#1| (-477))) (($ $ $) 92 (|has| |#1| (-477)))) (-2685 (((-1173) $) 9)) (-3768 (((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790)) 212)) (-4421 (((-3 (-658 $) "failed") $) 113)) (-2947 (((-3 (-658 $) "failed") $) 114)) (-2257 (((-3 (-2 (|:| |var| (-1103)) (|:| -3215 (-790))) "failed") $) 112)) (-3162 (($ $) 196 (|has| |#1| (-43 (-433 (-592)))))) (-3703 (($) 183 (|has| |#1| (-1165)) CONST)) (-2951 (((-1137) $) 10)) (-4559 (((-141) $) 165)) (-4565 ((|#1| $) 166)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 94 (|has| |#1| (-477)))) (-3548 (($ (-658 $)) 91 (|has| |#1| (-477))) (($ $ $) 90 (|has| |#1| (-477)))) (-1416 (((-444 (-1187 $)) (-1187 $)) 101 (|has| |#1| (-931)))) (-3339 (((-444 (-1187 $)) (-1187 $)) 100 (|has| |#1| (-931)))) (-4500 (((-444 $) $) 98 (|has| |#1| (-931)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 194 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 193 (|has| |#1| (-388)))) (-3616 (((-3 $ "failed") $ |#1|) 173 (|has| |#1| (-582))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 187 (|has| |#1| (-388)))) (-2806 (($ $ (-658 (-310 $))) 144) (($ $ (-310 $)) 143) (($ $ $ $) 142) (($ $ (-658 $) (-658 $)) 141) (($ $ (-1103) |#1|) 140) (($ $ (-658 (-1103)) (-658 |#1|)) 139) (($ $ (-1103) $) 138) (($ $ (-658 (-1103)) (-658 $)) 137)) (-2769 (((-790) $) 189 (|has| |#1| (-388)))) (-3927 ((|#1| $ |#1|) 237) (($ $ $) 236) (((-433 $) (-433 $) (-433 $)) 205 (|has| |#1| (-582))) ((|#1| (-433 $) |#1|) 197 (|has| |#1| (-388))) (((-433 $) $ (-433 $)) 185 (|has| |#1| (-582)))) (-4510 (((-3 $ "failed") $ (-790)) 214)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 190 (|has| |#1| (-388)))) (-1482 (($ $ (-1103)) 106 (|has| |#1| (-194))) ((|#1| $) 207 (|has| |#1| (-194)))) (-3644 (($ $ (-1103)) 41) (($ $ (-658 (-1103))) 40) (($ $ (-1103) (-790)) 39) (($ $ (-658 (-1103)) (-658 (-790))) 38) (($ $ (-790)) 234) (($ $) 232) (($ $ (-1191)) 231 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 230 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 229 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 228 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 221) (($ $ (-1 |#1| |#1|)) 220) (($ $ (-1 |#1| |#1|) $) 208)) (-4525 (((-790) $) 149) (((-790) $ (-1103)) 129) (((-658 (-790)) $ (-658 (-1103))) 128)) (-1778 (((-914 (-405)) $) 80 (-12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405)))))) (((-914 (-592)) $) 79 (-12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592)))))) (((-565) $) 78 (-12 (|has| (-1103) (-633 (-565))) (|has| |#1| (-633 (-565)))))) (-1554 ((|#1| $) 174 (|has| |#1| (-477))) (($ $ (-1103)) 105 (|has| |#1| (-477)))) (-2288 (((-3 (-1280 $) "failed") (-706 $)) 103 (-1732 (|has| $ (-169)) (|has| |#1| (-931))))) (-1528 (((-3 $ "failed") $ $) 202 (|has| |#1| (-582))) (((-3 (-433 $) "failed") (-433 $) $) 201 (|has| |#1| (-582)))) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 162) (($ (-1103)) 136) (($ (-433 (-592))) 70 (-3836 (|has| |#1| (-1065 (-433 (-592)))) (|has| |#1| (-43 (-433 (-592)))))) (($ $) 83 (|has| |#1| (-582)))) (-1647 (((-658 |#1|) $) 167)) (-1937 ((|#1| $ (-790)) 154) (($ $ (-1103) (-790)) 127) (($ $ (-658 (-1103)) (-658 (-790))) 126)) (-1517 (((-3 $ "failed") $) 71 (-3836 (-1732 (|has| $ (-169)) (|has| |#1| (-931))) (|has| |#1| (-169))))) (-4010 (((-790)) 28)) (-4064 (($ $ $ (-790)) 172 (|has| |#1| (-194)))) (-2537 (((-141) $ $) 87 (|has| |#1| (-582)))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-1103)) 37) (($ $ (-658 (-1103))) 36) (($ $ (-1103) (-790)) 35) (($ $ (-658 (-1103)) (-658 (-790))) 34) (($ $ (-790)) 235) (($ $) 233) (($ $ (-1191)) 227 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191))) 226 (|has| |#1| (-922 (-1191)))) (($ $ (-1191) (-790)) 225 (|has| |#1| (-922 (-1191)))) (($ $ (-658 (-1191)) (-658 (-790))) 224 (|has| |#1| (-922 (-1191)))) (($ $ (-1 |#1| |#1|) (-790)) 223) (($ $ (-1 |#1| |#1|)) 222)) (-3286 (((-141) $ $) 74 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 73 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 6)) (-3279 (((-141) $ $) 75 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 72 (|has| |#1| (-869)))) (-3313 (($ $ |#1|) 155 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 157 (|has| |#1| (-43 (-433 (-592))))) (($ (-433 (-592)) $) 156 (|has| |#1| (-43 (-433 (-592))))) (($ |#1| $) 146) (($ $ |#1|) 145))) 
-(((-1255 |#1|) (-1311) (-1075)) (T -1255)) 
-((-2651 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-1255 *4)) (-4 *4 (-1075)) (-5 *2 (-1280 *4)))) (-4011 (*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1075)) (-4 *1 (-1255 *3)))) (-2070 (*1 *2 *1) (-12 (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-5 *2 (-1187 *3)))) (-2085 (*1 *1 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-1075)) (-4 *1 (-1255 *3)))) (-3990 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) (-4510 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) (-1446 (*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1255 *3)))) (-3768 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1255 *4)))) (-1696 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) (-1498 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) (-3213 (*1 *1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)))) (-3644 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) (-1482 (*1 *2 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-194)))) (-1544 (*1 *2 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-194)))) (-3927 (*1 *2 *2 *2) (-12 (-5 *2 (-433 *1)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-4 *3 (-582)))) (-4346 (*1 *2 *1 *1) (-12 (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-4 *3 (-582)) (-5 *2 (-790)))) (-3250 (*1 *1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-582)))) (-1528 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-582)))) (-1528 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-433 *1)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-4 *3 (-582)))) (-2133 (*1 *1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-582)))) (-4369 (*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -1487 *3) (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1255 *3)))) (-1504 (*1 *2 *1 *1) (-12 (-4 *3 (-477)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1255 *3)))) (-3927 (*1 *2 *3 *2) (-12 (-5 *3 (-433 *1)) (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-3162 (*1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592))))))) 
-(-13 (-977 |t#1| (-790) (-1103)) (-303 |t#1| |t#1|) (-303 $ $) (-247) (-245 |t#1|) (-10 -8 (-15 -2651 ((-1280 |t#1|) $ (-790))) (-15 -4011 ($ (-1280 |t#1|))) (-15 -2070 ((-1187 |t#1|) $)) (-15 -2085 ($ (-1187 |t#1|))) (-15 -3990 ($ $ (-790))) (-15 -4510 ((-3 $ "failed") $ (-790))) (-15 -1446 ((-2 (|:| -2230 $) (|:| -3027 $)) $ $)) (-15 -3768 ((-2 (|:| -2230 $) (|:| -3027 $)) $ (-790))) (-15 -1696 ($ $ (-790))) (-15 -1498 ($ $ (-790))) (-15 -3213 ($ $ $)) (-15 -3644 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1165)) (-6 (-1165)) |noBranch|) (IF (|has| |t#1| (-194)) (PROGN (-15 -1482 (|t#1| $)) (-15 -1544 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-582)) (PROGN (-6 (-303 (-433 $) (-433 $))) (-15 -3927 ((-433 $) (-433 $) (-433 $))) (-15 -4346 ((-790) $ $)) (-15 -3250 ($ $ $)) (-15 -1528 ((-3 $ "failed") $ $)) (-15 -1528 ((-3 (-433 $) "failed") (-433 $) $)) (-15 -2133 ($ $ $)) (-15 -4369 ((-2 (|:| -1487 |t#1|) (|:| -2230 $) (|:| -3027 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-477)) (-15 -1504 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-388)) (PROGN (-6 (-323)) (-6 -4621) (-15 -3927 (|t#1| (-433 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-433 (-592)))) (-15 -3162 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-790)) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-633 (-565)) -12 (|has| (-1103) (-633 (-565))) (|has| |#1| (-633 (-565)))) ((-633 (-914 (-405))) -12 (|has| (-1103) (-633 (-914 (-405)))) (|has| |#1| (-633 (-914 (-405))))) ((-633 (-914 (-592))) -12 (|has| (-1103) (-633 (-914 (-592)))) (|has| |#1| (-633 (-914 (-592))))) ((-245 |#1|) . T) ((-247) . T) ((-303 (-433 $) (-433 $)) |has| |#1| (-582)) ((-303 |#1| |#1|) . T) ((-303 $ $) . T) ((-307) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388))) ((-323) |has| |#1| (-388)) ((-325 $) . T) ((-346 |#1| (-790)) . T) ((-403 |#1|) . T) ((-437 |#1|) . T) ((-477) -3836 (|has| |#1| (-931)) (|has| |#1| (-477)) (|has| |#1| (-388))) ((-547 (-1103) |#1|) . T) ((-547 (-1103) $) . T) ((-547 $ $) . T) ((-582) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388))) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) -3836 (|has| |#1| (-931)) (|has| |#1| (-477)) (|has| |#1| (-388))) ((-654 (-592)) |has| |#1| (-654 (-592))) ((-654 |#1|) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388))) ((-743) . T) ((-869) |has| |#1| (-869)) ((-922 (-1103)) . T) ((-922 (-1191)) |has| |#1| (-922 (-1191))) ((-908 (-405)) -12 (|has| (-1103) (-908 (-405))) (|has| |#1| (-908 (-405)))) ((-908 (-592)) -12 (|has| (-1103) (-908 (-592))) (|has| |#1| (-908 (-592)))) ((-977 |#1| (-790) (-1103)) . T) ((-931) |has| |#1| (-931)) ((-943) |has| |#1| (-388)) ((-1065 (-433 (-592))) |has| |#1| (-1065 (-433 (-592)))) ((-1065 (-592)) |has| |#1| (-1065 (-592))) ((-1065 (-1103)) . T) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-931)) (|has| |#1| (-582)) (|has| |#1| (-477)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1165) |has| |#1| (-1165)) ((-1235) |has| |#1| (-931))) 
-((-4085 (((-658 (-1103)) $) 28)) (-4593 (($ $) 25)) (-4526 (($ |#2| |#3|) NIL) (($ $ (-1103) |#3|) 22) (($ $ (-658 (-1103)) (-658 |#3|)) 20)) (-4573 (($ $) 14)) (-4579 ((|#2| $) 12)) (-4525 ((|#3| $) 10))) 
-(((-1256 |#1| |#2| |#3|) (-10 -8 (-15 -4085 ((-658 (-1103)) |#1|)) (-15 -4526 (|#1| |#1| (-658 (-1103)) (-658 |#3|))) (-15 -4526 (|#1| |#1| (-1103) |#3|)) (-15 -4593 (|#1| |#1|)) (-15 -4526 (|#1| |#2| |#3|)) (-15 -4525 (|#3| |#1|)) (-15 -4573 (|#1| |#1|)) (-15 -4579 (|#2| |#1|))) (-1257 |#2| |#3|) (-1075) (-814)) (T -1256)) 
-NIL 
-(-10 -8 (-15 -4085 ((-658 (-1103)) |#1|)) (-15 -4526 (|#1| |#1| (-658 (-1103)) (-658 |#3|))) (-15 -4526 (|#1| |#1| (-1103) |#3|)) (-15 -4593 (|#1| |#1|)) (-15 -4526 (|#1| |#2| |#3|)) (-15 -4525 (|#3| |#1|)) (-15 -4573 (|#1| |#1|)) (-15 -4579 (|#2| |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1103)) $) 70)) (-3983 (((-1191) $) 98)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2306 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-2982 (((-1171 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-2273 (((-141) $) 69)) (-4346 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-3558 (((-141) $) 30)) (-3990 (($ $ (-944)) 96)) (-2027 (((-141) $) 61)) (-4526 (($ |#1| |#2|) 60) (($ $ (-1103) |#2|) 72) (($ $ (-658 (-1103)) (-658 |#2|)) 71)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2807 (($ $ |#2|) 90)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-2806 (((-1171 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-3927 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) 84 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1191) (-790)) 83 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-658 (-1191))) 82 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1191)) 81 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-790)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-4525 ((|#2| $) 63)) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582))) (($ |#1|) 46 (|has| |#1| (-194)))) (-1937 ((|#1| $ |#2|) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 97)) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-2642 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) 88 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1191) (-790)) 87 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-658 (-1191))) 86 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1191)) 85 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-790)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1257 |#1| |#2|) (-1311) (-1075) (-814)) (T -1257)) 
-((-2982 (*1 *2 *1) (-12 (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-1171 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-3927 (*1 *2 *1 *3) (-12 (-4 *1 (-1257 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) (-3983 (*1 *2 *1) (-12 (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-1191)))) (-2838 (*1 *2 *1) (-12 (-4 *1 (-1257 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) (-3990 (*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)))) (-4346 (*1 *2 *1) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-4346 (*1 *2 *1 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-2306 (*1 *1 *1 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-2306 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-2642 (*1 *2 *1 *3) (-12 (-4 *1 (-1257 *2 *3)) (-4 *3 (-814)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -1683 (*2 (-1191)))) (-4 *2 (-1075)))) (-2807 (*1 *1 *1 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) (-2806 (*1 *2 *1 *3) (-12 (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1171 *3))))) 
-(-13 (-1002 |t#1| |t#2| (-1103)) (-10 -8 (-15 -2982 ((-1171 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -3927 (|t#1| $ |t#2|)) (-15 -3983 ((-1191) $)) (-15 -2838 (|t#1| $)) (-15 -3990 ($ $ (-944))) (-15 -4346 (|t#2| $)) (-15 -4346 (|t#2| $ |t#2|)) (-15 -2306 ($ $ |t#2|)) (-15 -2306 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -1683 (|t#1| (-1191)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -2642 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -2807 ($ $ |t#2|)) (IF (|has| |t#2| (-1131)) (-6 (-303 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-247)) (IF (|has| |t#1| (-922 (-1191))) (-6 (-922 (-1191))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -2806 ((-1171 |t#1|) $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-247) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-303 $ $) |has| |#2| (-1131)) ((-307) |has| |#1| (-582)) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-922 (-1191)))) ((-1002 |#1| |#2| (-1103)) . T) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-3743 ((|#2| |#2|) 12)) (-3164 (((-444 |#2|) |#2|) 14)) (-2964 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-592))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-592)))) 30))) 
-(((-1258 |#1| |#2|) (-10 -7 (-15 -3164 ((-444 |#2|) |#2|)) (-15 -3743 (|#2| |#2|)) (-15 -2964 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-592))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-592)))))) (-582) (-13 (-1255 |#1|) (-582) (-10 -8 (-15 -3548 ($ $ $))))) (T -1258)) 
-((-2964 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-592)))) (-4 *4 (-13 (-1255 *3) (-582) (-10 -8 (-15 -3548 ($ $ $))))) (-4 *3 (-582)) (-5 *1 (-1258 *3 *4)))) (-3743 (*1 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-1258 *3 *2)) (-4 *2 (-13 (-1255 *3) (-582) (-10 -8 (-15 -3548 ($ $ $))))))) (-3164 (*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-444 *3)) (-5 *1 (-1258 *4 *3)) (-4 *3 (-13 (-1255 *4) (-582) (-10 -8 (-15 -3548 ($ $ $)))))))) 
-(-10 -7 (-15 -3164 ((-444 |#2|) |#2|)) (-15 -3743 (|#2| |#2|)) (-15 -2964 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-592))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-592)))))) 
-((-2731 (((-1264 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1264 |#1| |#3| |#5|)) 23))) 
-(((-1259 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2731 ((-1264 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1264 |#1| |#3| |#5|)))) (-1075) (-1075) (-1191) (-1191) |#1| |#2|) (T -1259)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1264 *5 *7 *9)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-14 *7 (-1191)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1264 *6 *8 *10)) (-5 *1 (-1259 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1191))))) 
-(-10 -7 (-15 -2731 ((-1264 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1264 |#1| |#3| |#5|)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1103)) $) 70)) (-3983 (((-1191) $) 98)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) 93) (($ $ (-433 (-592)) (-433 (-592))) 92)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) 100)) (-1588 (($ $) 127 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 110 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 154 (|has| |#1| (-388)))) (-3164 (((-444 $) $) 155 (|has| |#1| (-388)))) (-1442 (($ $) 109 (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) 145 (|has| |#1| (-388)))) (-1575 (($ $) 126 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) 164)) (-1601 (($ $) 125 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 112 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) 16 T CONST)) (-1586 (($ $ $) 149 (|has| |#1| (-388)))) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 148 (|has| |#1| (-388)))) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 143 (|has| |#1| (-388)))) (-2802 (((-141) $) 156 (|has| |#1| (-388)))) (-2273 (((-141) $) 69)) (-1435 (($) 137 (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) 95) (((-433 (-592)) $ (-433 (-592))) 94)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 108 (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) 96) (($ $ (-433 (-592))) 163)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 152 (|has| |#1| (-388)))) (-2027 (((-141) $) 61)) (-4526 (($ |#1| (-433 (-592))) 60) (($ $ (-1103) (-433 (-592))) 72) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) 71)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4546 (($ $) 134 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2750 (($ (-658 $)) 141 (|has| |#1| (-388))) (($ $ $) 140 (|has| |#1| (-388)))) (-2685 (((-1173) $) 9)) (-4552 (($ $) 157 (|has| |#1| (-388)))) (-3162 (($ $) 162 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 161 (-3836 (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-987)) (|has| |#1| (-1211)) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-43 (-433 (-592)))))))) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 142 (|has| |#1| (-388)))) (-3548 (($ (-658 $)) 139 (|has| |#1| (-388))) (($ $ $) 138 (|has| |#1| (-388)))) (-4500 (((-444 $) $) 153 (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 150 (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) 90)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 144 (|has| |#1| (-388)))) (-1430 (($ $) 135 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) 146 (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) 99) (($ $ $) 76 (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 147 (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) 84 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191) (-790)) 83 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-658 (-1191))) 82 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191)) 81 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-790)) 79 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-4525 (((-433 (-592)) $) 63)) (-1609 (($ $) 124 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 113 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 123 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 114 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 122 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 115 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 46 (|has| |#1| (-194))) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 97)) (-1630 (($ $) 133 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 121 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1617 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 120 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 131 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 119 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 118 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 129 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 117 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 128 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 116 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 158 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) 88 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191) (-790)) 87 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-658 (-1191))) 86 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191)) 85 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-790)) 80 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388))) (($ $ $) 160 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 159 (|has| |#1| (-388))) (($ $ $) 136 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 107 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1260 |#1|) (-1311) (-1075)) (T -1260)) 
-((-2881 (*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| *4)))) (-4 *4 (-1075)) (-4 *1 (-1260 *4)))) (-3990 (*1 *1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-4 *1 (-1260 *3)) (-4 *3 (-1075)))) (-3162 (*1 *1 *1) (-12 (-4 *1 (-1260 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) (-3162 (*1 *1 *1 *2) (-3836 (-12 (-5 *2 (-1191)) (-4 *1 (-1260 *3)) (-4 *3 (-1075)) (-12 (-4 *3 (-29 (-592))) (-4 *3 (-987)) (-4 *3 (-1211)) (-4 *3 (-43 (-433 (-592)))))) (-12 (-5 *2 (-1191)) (-4 *1 (-1260 *3)) (-4 *3 (-1075)) (-12 (|has| *3 (-15 -4085 ((-658 *2) *3))) (|has| *3 (-15 -3162 (*3 *3 *2))) (-4 *3 (-43 (-433 (-592))))))))) 
-(-13 (-1257 |t#1| (-433 (-592))) (-10 -8 (-15 -2881 ($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |t#1|))))) (-15 -3990 ($ $ (-433 (-592)))) (IF (|has| |t#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $)) (IF (|has| |t#1| (-15 -3162 (|t#1| |t#1| (-1191)))) (IF (|has| |t#1| (-15 -4085 ((-658 (-1191)) |t#1|))) (-15 -3162 ($ $ (-1191))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1211)) (IF (|has| |t#1| (-987)) (IF (|has| |t#1| (-29 (-592))) (-15 -3162 ($ $ (-1191))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1030)) (-6 (-1211))) |noBranch|) (IF (|has| |t#1| (-388)) (-6 (-388)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-433 (-592))) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-40) |has| |#1| (-43 (-433 (-592)))) ((-116) |has| |#1| (-43 (-433 (-592)))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-247) |has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) ((-260) |has| |#1| (-388)) ((-301) |has| |#1| (-43 (-433 (-592)))) ((-303 $ $) |has| (-433 (-592)) (-1131)) ((-307) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-323) |has| |#1| (-388)) ((-388) |has| |#1| (-388)) ((-477) |has| |#1| (-388)) ((-526) |has| |#1| (-43 (-433 (-592)))) ((-582) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-661 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) |has| |#1| (-388)) ((-734 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191)))) ((-1002 |#1| (-433 (-592)) (-1103)) . T) ((-943) |has| |#1| (-388)) ((-1030) |has| |#1| (-43 (-433 (-592)))) ((-1081 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1211) |has| |#1| (-43 (-433 (-592)))) ((-1214) |has| |#1| (-43 (-433 (-592)))) ((-1235) |has| |#1| (-388)) ((-1257 |#1| (-433 (-592))) . T)) 
-((-2272 (((-141) $) 12)) (-4368 (((-3 |#3| "failed") $) 17)) (-2400 ((|#3| $) 14))) 
-(((-1261 |#1| |#2| |#3|) (-10 -8 (-15 -2400 (|#3| |#1|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -2272 ((-141) |#1|))) (-1262 |#2| |#3|) (-1075) (-1239 |#2|)) (T -1261)) 
-NIL 
-(-10 -8 (-15 -2400 (|#3| |#1|)) (-15 -4368 ((-3 |#3| "failed") |#1|)) (-15 -2272 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1103)) $) 70)) (-3983 (((-1191) $) 98)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) 93) (($ $ (-433 (-592)) (-433 (-592))) 92)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) 100)) (-1588 (($ $) 127 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 110 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 154 (|has| |#1| (-388)))) (-3164 (((-444 $) $) 155 (|has| |#1| (-388)))) (-1442 (($ $) 109 (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) 145 (|has| |#1| (-388)))) (-1575 (($ $) 126 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) 164)) (-1601 (($ $) 125 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 112 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#2| "failed") $) 172)) (-2400 ((|#2| $) 171)) (-1586 (($ $ $) 149 (|has| |#1| (-388)))) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-1468 (((-433 (-592)) $) 169)) (-1599 (($ $ $) 148 (|has| |#1| (-388)))) (-2001 (($ (-433 (-592)) |#2|) 170)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 143 (|has| |#1| (-388)))) (-2802 (((-141) $) 156 (|has| |#1| (-388)))) (-2273 (((-141) $) 69)) (-1435 (($) 137 (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) 95) (((-433 (-592)) $ (-433 (-592))) 94)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 108 (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) 96) (($ $ (-433 (-592))) 163)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 152 (|has| |#1| (-388)))) (-2027 (((-141) $) 61)) (-4526 (($ |#1| (-433 (-592))) 60) (($ $ (-1103) (-433 (-592))) 72) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) 71)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4546 (($ $) 134 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2750 (($ (-658 $)) 141 (|has| |#1| (-388))) (($ $ $) 140 (|has| |#1| (-388)))) (-2337 ((|#2| $) 168)) (-2501 (((-3 |#2| "failed") $) 166)) (-1994 ((|#2| $) 167)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 157 (|has| |#1| (-388)))) (-3162 (($ $) 162 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 161 (-3836 (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-987)) (|has| |#1| (-1211)) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-43 (-433 (-592)))))))) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 142 (|has| |#1| (-388)))) (-3548 (($ (-658 $)) 139 (|has| |#1| (-388))) (($ $ $) 138 (|has| |#1| (-388)))) (-4500 (((-444 $) $) 153 (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 150 (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) 90)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 144 (|has| |#1| (-388)))) (-1430 (($ $) 135 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) 146 (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) 99) (($ $ $) 76 (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 147 (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) 84 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191) (-790)) 83 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-658 (-1191))) 82 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191)) 81 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-790)) 79 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-4525 (((-433 (-592)) $) 63)) (-1609 (($ $) 124 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 113 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 123 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 114 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 122 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 115 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 46 (|has| |#1| (-194))) (($ |#2|) 173) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 97)) (-1630 (($ $) 133 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 121 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1617 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 120 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 131 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 119 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 118 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 129 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 117 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 128 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 116 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 158 (|has| |#1| (-388)))) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) 88 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191) (-790)) 87 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-658 (-1191))) 86 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-1191)) 85 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (($ $ (-790)) 80 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388))) (($ $ $) 160 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 159 (|has| |#1| (-388))) (($ $ $) 136 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 107 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1262 |#1| |#2|) (-1311) (-1075) (-1239 |t#1|)) (T -1262)) 
-((-4525 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1239 *3)) (-5 *2 (-433 (-592))))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-1262 *3 *2)) (-4 *2 (-1239 *3)))) (-2001 (*1 *1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-4 *4 (-1075)) (-4 *1 (-1262 *4 *3)) (-4 *3 (-1239 *4)))) (-1468 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1239 *3)) (-5 *2 (-433 (-592))))) (-2337 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1239 *3)))) (-1994 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1239 *3)))) (-2501 (*1 *2 *1) (|partial| -12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1239 *3))))) 
-(-13 (-1260 |t#1|) (-1065 |t#2|) (-10 -8 (-15 -2001 ($ (-433 (-592)) |t#2|)) (-15 -1468 ((-433 (-592)) $)) (-15 -2337 (|t#2| $)) (-15 -4525 ((-433 (-592)) $)) (-15 -1683 ($ |t#2|)) (-15 -1994 (|t#2| $)) (-15 -2501 ((-3 |t#2| "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-433 (-592))) . T) ((-25) . T) ((-43 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-40) |has| |#1| (-43 (-433 (-592)))) ((-116) |has| |#1| (-43 (-433 (-592)))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-247) |has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) ((-260) |has| |#1| (-388)) ((-301) |has| |#1| (-43 (-433 (-592)))) ((-303 $ $) |has| (-433 (-592)) (-1131)) ((-307) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-323) |has| |#1| (-388)) ((-388) |has| |#1| (-388)) ((-477) |has| |#1| (-388)) ((-526) |has| |#1| (-43 (-433 (-592)))) ((-582) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-661 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-661 |#1|) . T) ((-661 $) . T) ((-678) |has| |#1| (-388)) ((-734 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388))) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191)))) ((-1002 |#1| (-433 (-592)) (-1103)) . T) ((-943) |has| |#1| (-388)) ((-1030) |has| |#1| (-43 (-433 (-592)))) ((-1065 |#2|) . T) ((-1081 (-433 (-592))) -3836 (|has| |#1| (-388)) (|has| |#1| (-43 (-433 (-592))))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-388)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1211) |has| |#1| (-43 (-433 (-592)))) ((-1214) |has| |#1| (-43 (-433 (-592)))) ((-1235) |has| |#1| (-388)) ((-1257 |#1| (-433 (-592))) . T) ((-1260 |#1|) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 96)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) 106) (($ $ (-433 (-592)) (-433 (-592))) 108)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) 51)) (-1588 (($ $) 179 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 155 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) 175 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 151 (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) 61)) (-1601 (($ $) 183 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 159 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL)) (-2400 ((|#2| $) NIL)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) 79)) (-1468 (((-433 (-592)) $) 12)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-2001 (($ (-433 (-592)) |#2|) 10)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-2273 (((-141) $) 68)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) 103) (((-433 (-592)) $ (-433 (-592))) 104)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) 120) (($ $ (-433 (-592))) 118)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-433 (-592))) 31) (($ $ (-1103) (-433 (-592))) NIL) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) 115)) (-4546 (($ $) 149 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2337 ((|#2| $) 11)) (-2501 (((-3 |#2| "failed") $) 41)) (-1994 ((|#2| $) 42)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) 93 (|has| |#1| (-388)))) (-3162 (($ $) 135 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 140 (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211)))))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) 112)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) 147 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) 100) (($ $ $) 86 (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) 127 (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-4525 (((-433 (-592)) $) 16)) (-1609 (($ $) 185 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 161 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 181 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 157 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 177 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 153 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 110)) (-1683 (((-877) $) NIL) (($ (-592)) 35) (($ |#1|) 27 (|has| |#1| (-194))) (($ |#2|) 32) (($ (-433 (-592))) 128 (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) 99)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) 117)) (-2838 ((|#1| $) 98)) (-1630 (($ $) 191 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 167 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) 187 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 163 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 195 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 171 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 197 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 173 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 193 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 169 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 189 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 165 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 21 T CONST)) (-4257 (($) 17 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3255 (((-141) $ $) 66)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) 92 (|has| |#1| (-388)))) (-3306 (($ $) 131) (($ $ $) 72)) (-3300 (($ $ $) 70)) (** (($ $ (-944)) NIL) (($ $ (-790)) 76) (($ $ (-592)) 144 (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 145 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1263 |#1| |#2|) (-1262 |#1| |#2|) (-1075) (-1239 |#1|)) (T -1263)) 
-NIL 
-(-1262 |#1| |#2|) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 11)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) NIL (|has| |#1| (-582)))) (-2306 (($ $ (-433 (-592))) NIL) (($ $ (-433 (-592)) (-433 (-592))) NIL)) (-2982 (((-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|))) $) NIL)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-3743 (($ $) NIL (|has| |#1| (-388)))) (-3164 (((-444 $) $) NIL (|has| |#1| (-388)))) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3652 (((-141) $ $) NIL (|has| |#1| (-388)))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-790) (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#1|)))) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-1243 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1271 |#1| |#2| |#3|) "failed") $) 22)) (-2400 (((-1243 |#1| |#2| |#3|) $) NIL) (((-1271 |#1| |#2| |#3|) $) NIL)) (-1586 (($ $ $) NIL (|has| |#1| (-388)))) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-1468 (((-433 (-592)) $) 57)) (-1599 (($ $ $) NIL (|has| |#1| (-388)))) (-2001 (($ (-433 (-592)) (-1243 |#1| |#2| |#3|)) NIL)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) NIL (|has| |#1| (-388)))) (-2802 (((-141) $) NIL (|has| |#1| (-388)))) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-433 (-592)) $) NIL) (((-433 (-592)) $ (-433 (-592))) NIL)) (-3558 (((-141) $) NIL)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) NIL) (($ $ (-433 (-592))) NIL)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-433 (-592))) 29) (($ $ (-1103) (-433 (-592))) NIL) (($ $ (-658 (-1103)) (-658 (-433 (-592)))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2750 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-2337 (((-1243 |#1| |#2| |#3|) $) 60)) (-2501 (((-3 (-1243 |#1| |#2| |#3|) "failed") $) NIL)) (-1994 (((-1243 |#1| |#2| |#3|) $) NIL)) (-2685 (((-1173) $) NIL)) (-4552 (($ $) NIL (|has| |#1| (-388)))) (-3162 (($ $) 38 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) NIL (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 39 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) NIL (|has| |#1| (-388)))) (-3548 (($ (-658 $)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-4500 (((-444 $) $) NIL (|has| |#1| (-388)))) (-4159 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-388))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) NIL (|has| |#1| (-388)))) (-2807 (($ $ (-433 (-592))) NIL)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-4539 (((-3 (-658 $) "failed") (-658 $) $) NIL (|has| |#1| (-388)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))))) (-2769 (((-790) $) NIL (|has| |#1| (-388)))) (-3927 ((|#1| $ (-433 (-592))) NIL) (($ $ $) NIL (|has| (-433 (-592)) (-1131)))) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) NIL (|has| |#1| (-388)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $ (-1276 |#2|)) 37)) (-4525 (((-433 (-592)) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) NIL)) (-1683 (((-877) $) 87) (($ (-592)) NIL) (($ |#1|) NIL (|has| |#1| (-194))) (($ (-1243 |#1| |#2| |#3|)) 16) (($ (-1271 |#1| |#2| |#3|)) 17) (($ (-1276 |#2|)) 35) (($ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582)))) (-1937 ((|#1| $ (-433 (-592))) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 12)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-433 (-592))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-433 (-592))))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388)))) (-3514 (($) 31 T CONST)) (-4257 (($) 26 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-433 (-592)) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 33)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ (-592)) NIL (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1264 |#1| |#2| |#3|) (-13 (-1262 |#1| (-1243 |#1| |#2| |#3|)) (-1065 (-1271 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -1264)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1264 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1264 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1264 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1262 |#1| (-1243 |#1| |#2| |#3|)) (-1065 (-1271 |#1| |#2| |#3|)) (-10 -8 (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 32)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL)) (-1555 (($ $) NIL)) (-1313 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 (-592) "failed") $) NIL (|has| (-1264 |#2| |#3| |#4|) (-1065 (-592)))) (((-3 (-433 (-592)) "failed") $) NIL (|has| (-1264 |#2| |#3| |#4|) (-1065 (-433 (-592))))) (((-3 (-1264 |#2| |#3| |#4|) "failed") $) 20)) (-2400 (((-592) $) NIL (|has| (-1264 |#2| |#3| |#4|) (-1065 (-592)))) (((-433 (-592)) $) NIL (|has| (-1264 |#2| |#3| |#4|) (-1065 (-433 (-592))))) (((-1264 |#2| |#3| |#4|) $) NIL)) (-4593 (($ $) 33)) (-3371 (((-3 $ "failed") $) 25)) (-3262 (($ $) NIL (|has| (-1264 |#2| |#3| |#4|) (-477)))) (-4209 (($ $ (-1264 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|) $) NIL)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) 11)) (-2027 (((-141) $) NIL)) (-4526 (($ (-1264 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|)) 23)) (-4206 (((-336 |#2| |#3| |#4|) $) NIL)) (-2976 (($ (-1 (-336 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|)) $) NIL)) (-2731 (($ (-1 (-1264 |#2| |#3| |#4|) (-1264 |#2| |#3| |#4|)) $) NIL)) (-1722 (((-3 (-862 |#2|) "failed") $) 72)) (-4573 (($ $) NIL)) (-4579 (((-1264 |#2| |#3| |#4|) $) 18)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4559 (((-141) $) NIL)) (-4565 (((-1264 |#2| |#3| |#4|) $) NIL)) (-3616 (((-3 $ "failed") $ (-1264 |#2| |#3| |#4|)) NIL (|has| (-1264 |#2| |#3| |#4|) (-582))) (((-3 $ "failed") $ $) NIL)) (-4057 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1264 |#2| |#3| |#4|)) (|:| |%expon| (-336 |#2| |#3| |#4|)) (|:| |%expTerms| (-658 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#2|)))))) (|:| |%type| (-1173))) "failed") $) 55)) (-4525 (((-336 |#2| |#3| |#4|) $) 14)) (-1554 (((-1264 |#2| |#3| |#4|) $) NIL (|has| (-1264 |#2| |#3| |#4|) (-477)))) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ (-1264 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-433 (-592))) NIL (-3836 (|has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592)))) (|has| (-1264 |#2| |#3| |#4|) (-1065 (-433 (-592))))))) (-1647 (((-658 (-1264 |#2| |#3| |#4|)) $) NIL)) (-1937 (((-1264 |#2| |#3| |#4|) $ (-336 |#2| |#3| |#4|)) NIL)) (-1517 (((-3 $ "failed") $) NIL (|has| (-1264 |#2| |#3| |#4|) (-169)))) (-4010 (((-790)) NIL)) (-4064 (($ $ $ (-790)) NIL (|has| (-1264 |#2| |#3| |#4|) (-194)))) (-2537 (((-141) $ $) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 60 T CONST)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ (-1264 |#2| |#3| |#4|)) NIL (|has| (-1264 |#2| |#3| |#4|) (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ (-1264 |#2| |#3| |#4|)) NIL) (($ (-1264 |#2| |#3| |#4|) $) NIL) (($ (-433 (-592)) $) NIL (|has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| (-1264 |#2| |#3| |#4|) (-43 (-433 (-592))))))) 
-(((-1265 |#1| |#2| |#3| |#4|) (-13 (-346 (-1264 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|)) (-582) (-10 -8 (-15 -1722 ((-3 (-862 |#2|) "failed") $)) (-15 -4057 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1264 |#2| |#3| |#4|)) (|:| |%expon| (-336 |#2| |#3| |#4|)) (|:| |%expTerms| (-658 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#2|)))))) (|:| |%type| (-1173))) "failed") $)))) (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477)) (-13 (-27) (-1211) (-456 |#1|)) (-1191) |#2|) (T -1265)) 
-((-1722 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *2 (-862 *4)) (-5 *1 (-1265 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4))) (-4057 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1264 *4 *5 *6)) (|:| |%expon| (-336 *4 *5 *6)) (|:| |%expTerms| (-658 (-2 (|:| |k| (-433 (-592))) (|:| |c| *4)))))) (|:| |%type| (-1173)))) (-5 *1 (-1265 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4)))) 
-(-13 (-346 (-1264 |#2| |#3| |#4|) (-336 |#2| |#3| |#4|)) (-582) (-10 -8 (-15 -1722 ((-3 (-862 |#2|) "failed") $)) (-15 -4057 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1264 |#2| |#3| |#4|)) (|:| |%expon| (-336 |#2| |#3| |#4|)) (|:| |%expTerms| (-658 (-2 (|:| |k| (-433 (-592))) (|:| |c| |#2|)))))) (|:| |%type| (-1173))) "failed") $)))) 
-((-2324 ((|#2| $) 28)) (-1915 ((|#2| $) 18)) (-3188 (($ $) 35)) (-4143 (($ $ (-592)) 63)) (-2126 (((-141) $ (-790)) 32)) (-3047 ((|#2| $ |#2|) 60)) (-4496 ((|#2| $ |#2|) 58)) (-3932 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-4294 (($ $ (-658 $)) 59)) (-1765 ((|#2| $) 17)) (-1366 (($ $) NIL) (($ $ (-790)) 41)) (-2774 (((-658 $) $) 25)) (-3055 (((-141) $ $) 49)) (-4345 (((-141) $ (-790)) 31)) (-2554 (((-141) $ (-790)) 30)) (-3683 (((-141) $) 27)) (-4255 ((|#2| $) 23) (($ $ (-790)) 45)) (-3927 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-3228 (((-141) $) 21)) (-2399 (($ $) 38)) (-1337 (($ $) 64)) (-3318 (((-790) $) 40)) (-3184 (($ $) 39)) (-2266 (($ $ $) 57) (($ |#2| $) NIL)) (-2493 (((-658 $) $) 26)) (-3255 (((-141) $ $) 47)) (-1699 (((-790) $) 34))) 
-(((-1266 |#1| |#2|) (-10 -8 (-15 -4143 (|#1| |#1| (-592))) (-15 -3932 (|#2| |#1| "last" |#2|)) (-15 -4496 (|#2| |#1| |#2|)) (-15 -3932 (|#1| |#1| "rest" |#1|)) (-15 -3932 (|#2| |#1| "first" |#2|)) (-15 -1337 (|#1| |#1|)) (-15 -2399 (|#1| |#1|)) (-15 -3318 ((-790) |#1|)) (-15 -3184 (|#1| |#1|)) (-15 -1915 (|#2| |#1|)) (-15 -1765 (|#2| |#1|)) (-15 -3188 (|#1| |#1|)) (-15 -4255 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "last")) (-15 -4255 (|#2| |#1|)) (-15 -1366 (|#1| |#1| (-790))) (-15 -3927 (|#1| |#1| "rest")) (-15 -1366 (|#1| |#1|)) (-15 -3927 (|#2| |#1| "first")) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#1|)) (-15 -3047 (|#2| |#1| |#2|)) (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -4294 (|#1| |#1| (-658 |#1|))) (-15 -3055 ((-141) |#1| |#1|)) (-15 -3228 ((-141) |#1|)) (-15 -3927 (|#2| |#1| "value")) (-15 -2324 (|#2| |#1|)) (-15 -3683 ((-141) |#1|)) (-15 -2774 ((-658 |#1|) |#1|)) (-15 -2493 ((-658 |#1|) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790)))) (-1267 |#2|) (-1225)) (T -1266)) 
-NIL 
-(-10 -8 (-15 -4143 (|#1| |#1| (-592))) (-15 -3932 (|#2| |#1| "last" |#2|)) (-15 -4496 (|#2| |#1| |#2|)) (-15 -3932 (|#1| |#1| "rest" |#1|)) (-15 -3932 (|#2| |#1| "first" |#2|)) (-15 -1337 (|#1| |#1|)) (-15 -2399 (|#1| |#1|)) (-15 -3318 ((-790) |#1|)) (-15 -3184 (|#1| |#1|)) (-15 -1915 (|#2| |#1|)) (-15 -1765 (|#2| |#1|)) (-15 -3188 (|#1| |#1|)) (-15 -4255 (|#1| |#1| (-790))) (-15 -3927 (|#2| |#1| "last")) (-15 -4255 (|#2| |#1|)) (-15 -1366 (|#1| |#1| (-790))) (-15 -3927 (|#1| |#1| "rest")) (-15 -1366 (|#1| |#1|)) (-15 -3927 (|#2| |#1| "first")) (-15 -2266 (|#1| |#2| |#1|)) (-15 -2266 (|#1| |#1| |#1|)) (-15 -3047 (|#2| |#1| |#2|)) (-15 -3932 (|#2| |#1| "value" |#2|)) (-15 -4294 (|#1| |#1| (-658 |#1|))) (-15 -3055 ((-141) |#1| |#1|)) (-15 -3228 ((-141) |#1|)) (-15 -3927 (|#2| |#1| "value")) (-15 -2324 (|#2| |#1|)) (-15 -3683 ((-141) |#1|)) (-15 -2774 ((-658 |#1|) |#1|)) (-15 -2493 ((-658 |#1|) |#1|)) (-15 -3255 ((-141) |#1| |#1|)) (-15 -1699 ((-790) |#1|)) (-15 -2126 ((-141) |#1| (-790))) (-15 -4345 ((-141) |#1| (-790))) (-15 -2554 ((-141) |#1| (-790)))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-2324 ((|#1| $) 45)) (-1915 ((|#1| $) 62)) (-3188 (($ $) 64)) (-4143 (($ $ (-592)) 49 (|has| $ (-6 -4626)))) (-2126 (((-141) $ (-790)) 8)) (-3047 ((|#1| $ |#1|) 36 (|has| $ (-6 -4626)))) (-3153 (($ $ $) 53 (|has| $ (-6 -4626)))) (-4496 ((|#1| $ |#1|) 51 (|has| $ (-6 -4626)))) (-2101 ((|#1| $ |#1|) 55 (|has| $ (-6 -4626)))) (-3932 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4626))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4626))) (($ $ "rest" $) 52 (|has| $ (-6 -4626))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4626)))) (-4294 (($ $ (-658 $)) 38 (|has| $ (-6 -4626)))) (-1765 ((|#1| $) 63)) (-3001 (($) 7 T CONST)) (-1366 (($ $) 70) (($ $ (-790)) 68)) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-2774 (((-658 $) $) 47)) (-3055 (((-141) $ $) 39 (|has| |#1| (-1119)))) (-4345 (((-141) $ (-790)) 9)) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35)) (-2554 (((-141) $ (-790)) 10)) (-4063 (((-658 |#1|) $) 42)) (-3683 (((-141) $) 46)) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-4255 ((|#1| $) 67) (($ $ (-790)) 65)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 73) (($ $ (-790)) 71)) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-2920 (((-592) $ $) 41)) (-3228 (((-141) $) 43)) (-2399 (($ $) 59)) (-1337 (($ $) 56 (|has| $ (-6 -4626)))) (-3318 (((-790) $) 60)) (-3184 (($ $) 61)) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4599 (($ $) 13)) (-3619 (($ $ $) 58 (|has| $ (-6 -4626))) (($ $ |#1|) 57 (|has| $ (-6 -4626)))) (-2266 (($ $ $) 75) (($ |#1| $) 74)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-2493 (((-658 $) $) 48)) (-2936 (((-141) $ $) 40 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1267 |#1|) (-1311) (-1225)) (T -1267)) 
-((-2266 (*1 *1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-2266 (*1 *1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-1918 (*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-1918 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) (-1366 (*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) (-1366 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) (-4255 (*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3927 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-4255 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) (-3188 (*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-1765 (*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-1915 (*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3184 (*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3318 (*1 *2 *1) (-12 (-4 *1 (-1267 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) (-2399 (*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3619 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3619 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-1337 (*1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-2101 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3153 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3932 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4626)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) (-4496 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-3932 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) (-4143 (*1 *1 *1 *2) (-12 (-5 *2 (-592)) (|has| *1 (-6 -4626)) (-4 *1 (-1267 *3)) (-4 *3 (-1225))))) 
-(-13 (-1038 |t#1|) (-10 -8 (-15 -2266 ($ $ $)) (-15 -2266 ($ |t#1| $)) (-15 -1918 (|t#1| $)) (-15 -3927 (|t#1| $ "first")) (-15 -1918 ($ $ (-790))) (-15 -1366 ($ $)) (-15 -3927 ($ $ "rest")) (-15 -1366 ($ $ (-790))) (-15 -4255 (|t#1| $)) (-15 -3927 (|t#1| $ "last")) (-15 -4255 ($ $ (-790))) (-15 -3188 ($ $)) (-15 -1765 (|t#1| $)) (-15 -1915 (|t#1| $)) (-15 -3184 ($ $)) (-15 -3318 ((-790) $)) (-15 -2399 ($ $)) (IF (|has| $ (-6 -4626)) (PROGN (-15 -3619 ($ $ $)) (-15 -3619 ($ $ |t#1|)) (-15 -1337 ($ $)) (-15 -2101 (|t#1| $ |t#1|)) (-15 -3932 (|t#1| $ "first" |t#1|)) (-15 -3153 ($ $ $)) (-15 -3932 ($ $ "rest" $)) (-15 -4496 (|t#1| $ |t#1|)) (-15 -3932 (|t#1| $ "last" |t#1|)) (-15 -4143 ($ $ (-592)))) |noBranch|))) 
-(((-39) . T) ((-125) |has| |#1| (-1119)) ((-632 (-877)) |has| |#1| (-1119)) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-523 |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-1038 |#1|) . T) ((-1119) |has| |#1| (-1119)) ((-1225) . T)) 
-((-2731 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
-(((-1268 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2731 (|#4| (-1 |#2| |#1|) |#3|))) (-1075) (-1075) (-1270 |#1|) (-1270 |#2|)) (T -1268)) 
-((-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-4 *2 (-1270 *6)) (-5 *1 (-1268 *5 *6 *4 *2)) (-4 *4 (-1270 *5))))) 
-(-10 -7 (-15 -2731 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-2272 (((-141) $) 15)) (-1588 (($ $) 90)) (-1507 (($ $) 66)) (-1575 (($ $) 86)) (-1495 (($ $) 62)) (-1601 (($ $) 94)) (-1521 (($ $) 70)) (-4546 (($ $) 60)) (-1430 (($ $) 58)) (-1609 (($ $) 96)) (-1527 (($ $) 72)) (-1594 (($ $) 92)) (-1515 (($ $) 68)) (-1581 (($ $) 88)) (-1501 (($ $) 64)) (-1683 (((-877) $) 46) (($ (-592)) NIL) (($ (-433 (-592))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-1630 (($ $) 102)) (-1546 (($ $) 78)) (-1617 (($ $) 98)) (-1533 (($ $) 74)) (-1642 (($ $) 106)) (-1559 (($ $) 82)) (-2892 (($ $) 108)) (-1567 (($ $) 84)) (-1636 (($ $) 104)) (-1552 (($ $) 80)) (-1624 (($ $) 100)) (-1540 (($ $) 76)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-433 (-592))) 56))) 
-(((-1269 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-433 (-592)))) (-15 -1507 (|#1| |#1|)) (-15 -1495 (|#1| |#1|)) (-15 -1521 (|#1| |#1|)) (-15 -1527 (|#1| |#1|)) (-15 -1515 (|#1| |#1|)) (-15 -1501 (|#1| |#1|)) (-15 -1540 (|#1| |#1|)) (-15 -1552 (|#1| |#1|)) (-15 -1567 (|#1| |#1|)) (-15 -1559 (|#1| |#1|)) (-15 -1533 (|#1| |#1|)) (-15 -1546 (|#1| |#1|)) (-15 -1581 (|#1| |#1|)) (-15 -1594 (|#1| |#1|)) (-15 -1609 (|#1| |#1|)) (-15 -1601 (|#1| |#1|)) (-15 -1575 (|#1| |#1|)) (-15 -1588 (|#1| |#1|)) (-15 -1624 (|#1| |#1|)) (-15 -1636 (|#1| |#1|)) (-15 -2892 (|#1| |#1|)) (-15 -1642 (|#1| |#1|)) (-15 -1617 (|#1| |#1|)) (-15 -1630 (|#1| |#1|)) (-15 -4546 (|#1| |#1|)) (-15 -1430 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| (-592))) (-15 ** (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-944))) (-15 -2272 ((-141) |#1|)) (-15 -1683 ((-877) |#1|))) (-1270 |#2|) (-1075)) (T -1269)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-433 (-592)))) (-15 -1507 (|#1| |#1|)) (-15 -1495 (|#1| |#1|)) (-15 -1521 (|#1| |#1|)) (-15 -1527 (|#1| |#1|)) (-15 -1515 (|#1| |#1|)) (-15 -1501 (|#1| |#1|)) (-15 -1540 (|#1| |#1|)) (-15 -1552 (|#1| |#1|)) (-15 -1567 (|#1| |#1|)) (-15 -1559 (|#1| |#1|)) (-15 -1533 (|#1| |#1|)) (-15 -1546 (|#1| |#1|)) (-15 -1581 (|#1| |#1|)) (-15 -1594 (|#1| |#1|)) (-15 -1609 (|#1| |#1|)) (-15 -1601 (|#1| |#1|)) (-15 -1575 (|#1| |#1|)) (-15 -1588 (|#1| |#1|)) (-15 -1624 (|#1| |#1|)) (-15 -1636 (|#1| |#1|)) (-15 -2892 (|#1| |#1|)) (-15 -1642 (|#1| |#1|)) (-15 -1617 (|#1| |#1|)) (-15 -1630 (|#1| |#1|)) (-15 -4546 (|#1| |#1|)) (-15 -1430 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -1683 (|#1| |#2|)) (-15 -1683 (|#1| |#1|)) (-15 -1683 (|#1| (-433 (-592)))) (-15 -1683 (|#1| (-592))) (-15 ** (|#1| |#1| (-790))) (-15 ** (|#1| |#1| (-944))) (-15 -2272 ((-141) |#1|)) (-15 -1683 ((-877) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-4085 (((-658 (-1103)) $) 70)) (-3983 (((-1191) $) 98)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 50 (|has| |#1| (-582)))) (-1555 (($ $) 51 (|has| |#1| (-582)))) (-1313 (((-141) $) 53 (|has| |#1| (-582)))) (-2306 (($ $ (-790)) 93) (($ $ (-790) (-790)) 92)) (-2982 (((-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|))) $) 100)) (-1588 (($ $) 127 (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) 110 (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) 18)) (-1442 (($ $) 109 (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) 126 (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) 111 (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|)))) 147) (($ (-1171 |#1|)) 145)) (-1601 (($ $) 125 (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) 112 (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) 16 T CONST)) (-4593 (($ $) 59)) (-3371 (((-3 $ "failed") $) 33)) (-2410 (($ $) 144)) (-2012 (((-980 |#1|) $ (-790)) 142) (((-980 |#1|) $ (-790) (-790)) 141)) (-2273 (((-141) $) 69)) (-1435 (($) 137 (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $) 95) (((-790) $ (-790)) 94)) (-3558 (((-141) $) 30)) (-4422 (($ $ (-592)) 108 (|has| |#1| (-43 (-433 (-592)))))) (-3990 (($ $ (-944)) 96)) (-1376 (($ (-1 |#1| (-592)) $) 143)) (-2027 (((-141) $) 61)) (-4526 (($ |#1| (-790)) 60) (($ $ (-1103) (-790)) 72) (($ $ (-658 (-1103)) (-658 (-790))) 71)) (-2731 (($ (-1 |#1| |#1|) $) 62)) (-4546 (($ $) 134 (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) 64)) (-4579 ((|#1| $) 65)) (-2685 (((-1173) $) 9)) (-3162 (($ $) 139 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 138 (-3836 (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-987)) (|has| |#1| (-1211)) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-43 (-433 (-592)))))))) (-2951 (((-1137) $) 10)) (-2807 (($ $ (-790)) 90)) (-3616 (((-3 $ "failed") $ $) 49 (|has| |#1| (-582)))) (-1430 (($ $) 135 (|has| |#1| (-43 (-433 (-592)))))) (-2806 (((-1171 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-790)))))) (-3927 ((|#1| $ (-790)) 99) (($ $ $) 76 (|has| (-790) (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) 84 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-1191) (-790)) 83 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-658 (-1191))) 82 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-1191)) 81 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-790)) 79 (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (-4525 (((-790) $) 63)) (-1609 (($ $) 124 (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) 113 (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) 123 (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) 114 (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) 122 (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) 115 (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 68)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ (-433 (-592))) 56 (|has| |#1| (-43 (-433 (-592))))) (($ $) 48 (|has| |#1| (-582))) (($ |#1|) 46 (|has| |#1| (-194)))) (-1647 (((-1171 |#1|) $) 146)) (-1937 ((|#1| $ (-790)) 58)) (-1517 (((-3 $ "failed") $) 47 (|has| |#1| (-169)))) (-4010 (((-790)) 28)) (-2838 ((|#1| $) 97)) (-1630 (($ $) 133 (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) 121 (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) 52 (|has| |#1| (-582)))) (-1617 (($ $) 132 (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) 120 (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) 131 (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) 119 (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-790)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-790)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) 130 (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) 118 (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) 129 (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) 117 (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) 128 (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) 116 (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) 88 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-1191) (-790)) 87 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-658 (-1191))) 86 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-1191)) 85 (-12 (|has| |#1| (-922 (-1191))) (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (($ $ (-790)) 80 (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 57 (|has| |#1| (-388)))) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ |#1|) 140 (|has| |#1| (-388))) (($ $ $) 136 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 107 (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-433 (-592)) $) 55 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) 54 (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1270 |#1|) (-1311) (-1075)) (T -1270)) 
-((-2881 (*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-790)) (|:| |c| *3)))) (-4 *3 (-1075)) (-4 *1 (-1270 *3)))) (-1647 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-1075)) (-5 *2 (-1171 *3)))) (-2881 (*1 *1 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-4 *1 (-1270 *3)))) (-2410 (*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1075)))) (-1376 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-592))) (-4 *1 (-1270 *3)) (-4 *3 (-1075)))) (-2012 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-1270 *4)) (-4 *4 (-1075)) (-5 *2 (-980 *4)))) (-2012 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-4 *1 (-1270 *4)) (-4 *4 (-1075)) (-5 *2 (-980 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) (-3162 (*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) (-3162 (*1 *1 *1 *2) (-3836 (-12 (-5 *2 (-1191)) (-4 *1 (-1270 *3)) (-4 *3 (-1075)) (-12 (-4 *3 (-29 (-592))) (-4 *3 (-987)) (-4 *3 (-1211)) (-4 *3 (-43 (-433 (-592)))))) (-12 (-5 *2 (-1191)) (-4 *1 (-1270 *3)) (-4 *3 (-1075)) (-12 (|has| *3 (-15 -4085 ((-658 *2) *3))) (|has| *3 (-15 -3162 (*3 *3 *2))) (-4 *3 (-43 (-433 (-592))))))))) 
-(-13 (-1257 |t#1| (-790)) (-10 -8 (-15 -2881 ($ (-1171 (-2 (|:| |k| (-790)) (|:| |c| |t#1|))))) (-15 -1647 ((-1171 |t#1|) $)) (-15 -2881 ($ (-1171 |t#1|))) (-15 -2410 ($ $)) (-15 -1376 ($ (-1 |t#1| (-592)) $)) (-15 -2012 ((-980 |t#1|) $ (-790))) (-15 -2012 ((-980 |t#1|) $ (-790) (-790))) (IF (|has| |t#1| (-388)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-433 (-592)))) (PROGN (-15 -3162 ($ $)) (IF (|has| |t#1| (-15 -3162 (|t#1| |t#1| (-1191)))) (IF (|has| |t#1| (-15 -4085 ((-658 (-1191)) |t#1|))) (-15 -3162 ($ $ (-1191))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1211)) (IF (|has| |t#1| (-987)) (IF (|has| |t#1| (-29 (-592))) (-15 -3162 ($ $ (-1191))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1030)) (-6 (-1211))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-790)) . T) ((-25) . T) ((-43 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-43 |#1|) |has| |#1| (-194)) ((-43 $) |has| |#1| (-582)) ((-40) |has| |#1| (-43 (-433 (-592)))) ((-116) |has| |#1| (-43 (-433 (-592)))) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-140 |#1| |#1|) . T) ((-140 $ $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-158) . T) ((-169) |has| |#1| (-169)) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-247) |has| |#1| (-15 * (|#1| (-790) |#1|))) ((-301) |has| |#1| (-43 (-433 (-592)))) ((-303 $ $) |has| (-790) (-1131)) ((-307) |has| |#1| (-582)) ((-526) |has| |#1| (-43 (-433 (-592)))) ((-582) |has| |#1| (-582)) ((-661 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-661 |#1|) . T) ((-661 $) . T) ((-734 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-734 |#1|) |has| |#1| (-194)) ((-734 $) |has| |#1| (-582)) ((-743) . T) ((-922 (-1191)) -12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191)))) ((-1002 |#1| (-790) (-1103)) . T) ((-1030) |has| |#1| (-43 (-433 (-592)))) ((-1081 (-433 (-592))) |has| |#1| (-43 (-433 (-592)))) ((-1081 |#1|) . T) ((-1081 $) -3836 (|has| |#1| (-582)) (|has| |#1| (-194))) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1211) |has| |#1| (-43 (-433 (-592)))) ((-1214) |has| |#1| (-43 (-433 (-592)))) ((-1257 |#1| (-790)) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 86)) (-3395 (((-1252 |#2| |#1|) $ (-790)) 73)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) 135 (|has| |#1| (-582)))) (-2306 (($ $ (-790)) 120) (($ $ (-790) (-790)) 122)) (-2982 (((-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|))) $) 42)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|)))) 53) (($ (-1171 |#1|)) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-3621 (($ $) 126)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2410 (($ $) 133)) (-2012 (((-980 |#1|) $ (-790)) 63) (((-980 |#1|) $ (-790) (-790)) 65)) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $) NIL) (((-790) $ (-790)) NIL)) (-3558 (((-141) $) NIL)) (-2669 (($ $) 110)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3368 (($ (-592) (-592) $) 128)) (-3990 (($ $ (-944)) 132)) (-1376 (($ (-1 |#1| (-592)) $) 104)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) 15) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) 92)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-4006 (($ $) 108)) (-3121 (($ $) 106)) (-3884 (($ (-592) (-592) $) 130)) (-3162 (($ $) 143 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 149 (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 144 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2860 (($ $ (-592) (-592)) 114)) (-2807 (($ $ (-790)) 116)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3325 (($ $) 112)) (-2806 (((-1171 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-790)))))) (-3927 ((|#1| $ (-790)) 89) (($ $ $) 124 (|has| (-790) (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) 101 (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $ (-1276 |#2|)) 97)) (-4525 (((-790) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 118)) (-1683 (((-877) $) NIL) (($ (-592)) 24) (($ (-433 (-592))) 141 (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) 23 (|has| |#1| (-194))) (($ (-1252 |#2| |#1|)) 79) (($ (-1276 |#2|)) 20)) (-1647 (((-1171 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) 88)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 87)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-790)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-790)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 17 T CONST)) (-4257 (($) 13 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) 100)) (-3300 (($ $ $) 18)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ |#1|) 138 (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1271 |#1| |#2| |#3|) (-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 |#2| |#1|))) (-15 -3395 ((-1252 |#2| |#1|) $ (-790))) (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (-15 -3121 ($ $)) (-15 -4006 ($ $)) (-15 -2669 ($ $)) (-15 -3325 ($ $)) (-15 -2860 ($ $ (-592) (-592))) (-15 -3621 ($ $)) (-15 -3368 ($ (-592) (-592) $)) (-15 -3884 ($ (-592) (-592) $)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191) |#1|) (T -1271)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1252 *4 *3)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-1271 *3 *4 *5)))) (-3395 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 *5 *4)) (-5 *1 (-1271 *4 *5 *6)) (-4 *4 (-1075)) (-14 *5 (-1191)) (-14 *6 *4))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) (-3121 (*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) (-4006 (*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) (-2669 (*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) (-3325 (*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) (-2860 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3))) (-3621 (*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) (-3368 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3))) (-3884 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3)))) 
-(-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 |#2| |#1|))) (-15 -3395 ((-1252 |#2| |#1|) $ (-790))) (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (-15 -3121 ($ $)) (-15 -4006 ($ $)) (-15 -2669 ($ $)) (-15 -3325 ($ $)) (-15 -2860 ($ $ (-592) (-592))) (-15 -3621 ($ $)) (-15 -3368 ($ (-592) (-592) $)) (-15 -3884 ($ (-592) (-592) $)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-1862 (((-1 (-1171 |#1|) (-658 (-1171 |#1|))) (-1 |#2| (-658 |#2|))) 24)) (-4295 (((-1 (-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-4054 (((-1 (-1171 |#1|) (-1171 |#1|)) (-1 |#2| |#2|)) 13)) (-3287 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-3365 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-2816 ((|#2| (-1 |#2| (-658 |#2|)) (-658 |#1|)) 54)) (-2814 (((-658 |#2|) (-658 |#1|) (-658 (-1 |#2| (-658 |#2|)))) 61)) (-2862 ((|#2| |#2| |#2|) 43))) 
-(((-1272 |#1| |#2|) (-10 -7 (-15 -4054 ((-1 (-1171 |#1|) (-1171 |#1|)) (-1 |#2| |#2|))) (-15 -4295 ((-1 (-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -1862 ((-1 (-1171 |#1|) (-658 (-1171 |#1|))) (-1 |#2| (-658 |#2|)))) (-15 -2862 (|#2| |#2| |#2|)) (-15 -3365 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -3287 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2816 (|#2| (-1 |#2| (-658 |#2|)) (-658 |#1|))) (-15 -2814 ((-658 |#2|) (-658 |#1|) (-658 (-1 |#2| (-658 |#2|)))))) (-43 (-433 (-592))) (-1270 |#1|)) (T -1272)) 
-((-2814 (*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-1 *6 (-658 *6)))) (-4 *5 (-43 (-433 (-592)))) (-4 *6 (-1270 *5)) (-5 *2 (-658 *6)) (-5 *1 (-1272 *5 *6)))) (-2816 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-658 *2))) (-5 *4 (-658 *5)) (-4 *5 (-43 (-433 (-592)))) (-4 *2 (-1270 *5)) (-5 *1 (-1272 *5 *2)))) (-3287 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1270 *4)) (-5 *1 (-1272 *4 *2)) (-4 *4 (-43 (-433 (-592)))))) (-3365 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1270 *4)) (-5 *1 (-1272 *4 *2)) (-4 *4 (-43 (-433 (-592)))))) (-2862 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1272 *3 *2)) (-4 *2 (-1270 *3)))) (-1862 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-658 *5))) (-4 *5 (-1270 *4)) (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-1 (-1171 *4) (-658 (-1171 *4)))) (-5 *1 (-1272 *4 *5)))) (-4295 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1270 *4)) (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-1 (-1171 *4) (-1171 *4) (-1171 *4))) (-5 *1 (-1272 *4 *5)))) (-4054 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1270 *4)) (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-1 (-1171 *4) (-1171 *4))) (-5 *1 (-1272 *4 *5))))) 
-(-10 -7 (-15 -4054 ((-1 (-1171 |#1|) (-1171 |#1|)) (-1 |#2| |#2|))) (-15 -4295 ((-1 (-1171 |#1|) (-1171 |#1|) (-1171 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -1862 ((-1 (-1171 |#1|) (-658 (-1171 |#1|))) (-1 |#2| (-658 |#2|)))) (-15 -2862 (|#2| |#2| |#2|)) (-15 -3365 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -3287 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2816 (|#2| (-1 |#2| (-658 |#2|)) (-658 |#1|))) (-15 -2814 ((-658 |#2|) (-658 |#1|) (-658 (-1 |#2| (-658 |#2|)))))) 
-((-2221 ((|#2| |#4| (-790)) 30)) (-3991 ((|#4| |#2|) 25)) (-4457 ((|#4| (-433 |#2|)) 51 (|has| |#1| (-582)))) (-2118 (((-1 |#4| (-658 |#4|)) |#3|) 45))) 
-(((-1273 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3991 (|#4| |#2|)) (-15 -2221 (|#2| |#4| (-790))) (-15 -2118 ((-1 |#4| (-658 |#4|)) |#3|)) (IF (|has| |#1| (-582)) (-15 -4457 (|#4| (-433 |#2|))) |noBranch|)) (-1075) (-1255 |#1|) (-670 |#2|) (-1270 |#1|)) (T -1273)) 
-((-4457 (*1 *2 *3) (-12 (-5 *3 (-433 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-582)) (-4 *4 (-1075)) (-4 *2 (-1270 *4)) (-5 *1 (-1273 *4 *5 *6 *2)) (-4 *6 (-670 *5)))) (-2118 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-1255 *4)) (-5 *2 (-1 *6 (-658 *6))) (-5 *1 (-1273 *4 *5 *3 *6)) (-4 *3 (-670 *5)) (-4 *6 (-1270 *4)))) (-2221 (*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-1075)) (-4 *2 (-1255 *5)) (-5 *1 (-1273 *5 *2 *6 *3)) (-4 *6 (-670 *2)) (-4 *3 (-1270 *5)))) (-3991 (*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *3 (-1255 *4)) (-4 *2 (-1270 *4)) (-5 *1 (-1273 *4 *3 *5 *2)) (-4 *5 (-670 *3))))) 
-(-10 -7 (-15 -3991 (|#4| |#2|)) (-15 -2221 (|#2| |#4| (-790))) (-15 -2118 ((-1 |#4| (-658 |#4|)) |#3|)) (IF (|has| |#1| (-582)) (-15 -4457 (|#4| (-433 |#2|))) |noBranch|)) 
-((-3016 ((|#2| (-1 |#3| |#3|) (-658 |#1|)) 67))) 
-(((-1274 |#1| |#2| |#3|) (-10 -7 (-15 -3016 (|#2| (-1 |#3| |#3|) (-658 |#1|)))) (-388) (-1270 |#1|) (-1270 (-1185 |#1|))) (T -1274)) 
-((-3016 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-658 *5)) (-4 *5 (-388)) (-4 *6 (-1270 (-1185 *5))) (-4 *2 (-1270 *5)) (-5 *1 (-1274 *5 *2 *6))))) 
-(-10 -7 (-15 -3016 (|#2| (-1 |#3| |#3|) (-658 |#1|)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-4085 (((-658 (-1103)) $) NIL)) (-3983 (((-1191) $) 79)) (-3395 (((-1252 |#2| |#1|) $ (-790)) 68)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) NIL (|has| |#1| (-582)))) (-1555 (($ $) NIL (|has| |#1| (-582)))) (-1313 (((-141) $) 128 (|has| |#1| (-582)))) (-2306 (($ $ (-790)) 113) (($ $ (-790) (-790)) 115)) (-2982 (((-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|))) $) 38)) (-1588 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1507 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2350 (((-3 $ "failed") $ $) NIL)) (-1442 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1575 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1495 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2881 (($ (-1171 (-2 (|:| |k| (-790)) (|:| |c| |#1|)))) 51) (($ (-1171 |#1|)) NIL)) (-1601 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1521 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3001 (($) NIL T CONST)) (-3621 (($ $) 119)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-2410 (($ $) 126)) (-2012 (((-980 |#1|) $ (-790)) 59) (((-980 |#1|) $ (-790) (-790)) 61)) (-2273 (((-141) $) NIL)) (-1435 (($) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4346 (((-790) $) NIL) (((-790) $ (-790)) NIL)) (-3558 (((-141) $) NIL)) (-2669 (($ $) 103)) (-4422 (($ $ (-592)) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3368 (($ (-592) (-592) $) 121)) (-3990 (($ $ (-944)) 125)) (-1376 (($ (-1 |#1| (-592)) $) 97)) (-2027 (((-141) $) NIL)) (-4526 (($ |#1| (-790)) 12) (($ $ (-1103) (-790)) NIL) (($ $ (-658 (-1103)) (-658 (-790))) NIL)) (-2731 (($ (-1 |#1| |#1|) $) 85)) (-4546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-4573 (($ $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-4006 (($ $) 101)) (-3121 (($ $) 99)) (-3884 (($ (-592) (-592) $) 123)) (-3162 (($ $) 136 (|has| |#1| (-43 (-433 (-592))))) (($ $ (-1191)) 139 (-3836 (-12 (|has| |#1| (-15 -3162 (|#1| |#1| (-1191)))) (|has| |#1| (-15 -4085 ((-658 (-1191)) |#1|))) (|has| |#1| (-43 (-433 (-592))))) (-12 (|has| |#1| (-29 (-592))) (|has| |#1| (-43 (-433 (-592)))) (|has| |#1| (-987)) (|has| |#1| (-1211))))) (($ $ (-1276 |#2|)) 137 (|has| |#1| (-43 (-433 (-592)))))) (-2951 (((-1137) $) NIL)) (-2860 (($ $ (-592) (-592)) 107)) (-2807 (($ $ (-790)) 109)) (-3616 (((-3 $ "failed") $ $) NIL (|has| |#1| (-582)))) (-1430 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-3325 (($ $) 105)) (-2806 (((-1171 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-790)))))) (-3927 ((|#1| $ (-790)) 82) (($ $ $) 117 (|has| (-790) (-1131)))) (-3644 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) 92 (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $ (-1276 |#2|)) 90)) (-4525 (((-790) $) NIL)) (-1609 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1527 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1594 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1515 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1581 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1501 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1700 (($ $) 111)) (-1683 (((-877) $) NIL) (($ (-592)) 18) (($ (-433 (-592))) 134 (|has| |#1| (-43 (-433 (-592))))) (($ $) NIL (|has| |#1| (-582))) (($ |#1|) 17 (|has| |#1| (-194))) (($ (-1252 |#2| |#1|)) 73) (($ (-1276 |#2|)) 14)) (-1647 (((-1171 |#1|) $) NIL)) (-1937 ((|#1| $ (-790)) 81)) (-1517 (((-3 $ "failed") $) NIL (|has| |#1| (-169)))) (-4010 (((-790)) NIL)) (-2838 ((|#1| $) 80)) (-1630 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1546 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2537 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1617 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1533 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1642 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1559 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-2642 ((|#1| $ (-790)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-790)))) (|has| |#1| (-15 -1683 (|#1| (-1191))))))) (-2892 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1567 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1636 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1552 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1624 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1540 (($ $) NIL (|has| |#1| (-43 (-433 (-592)))))) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 44 T CONST)) (-4257 (($) 9 T CONST)) (-1940 (($ $ (-658 (-1191)) (-658 (-790))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191) (-790)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-658 (-1191))) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-1191)) NIL (-12 (|has| |#1| (-15 * (|#1| (-790) |#1|))) (|has| |#1| (-922 (-1191))))) (($ $ (-790)) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-790) |#1|))))) (-3255 (((-141) $ $) NIL)) (-3313 (($ $ |#1|) NIL (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) 94)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL) (($ $ |#1|) 131 (|has| |#1| (-388))) (($ $ $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592)))))) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-433 (-592)) $) NIL (|has| |#1| (-43 (-433 (-592))))) (($ $ (-433 (-592))) NIL (|has| |#1| (-43 (-433 (-592))))))) 
-(((-1275 |#1| |#2|) (-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 |#2| |#1|))) (-15 -3395 ((-1252 |#2| |#1|) $ (-790))) (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (-15 -3121 ($ $)) (-15 -4006 ($ $)) (-15 -2669 ($ $)) (-15 -3325 ($ $)) (-15 -2860 ($ $ (-592) (-592))) (-15 -3621 ($ $)) (-15 -3368 ($ (-592) (-592) $)) (-15 -3884 ($ (-592) (-592) $)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) (-1075) (-1191)) (T -1275)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-1252 *4 *3)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)))) (-3395 (*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 *5 *4)) (-5 *1 (-1275 *4 *5)) (-4 *4 (-1075)) (-14 *5 (-1191)))) (-1683 (*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)))) (-3644 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)))) (-3121 (*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191)))) (-4006 (*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191)))) (-2669 (*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191)))) (-3325 (*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191)))) (-2860 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-1191)))) (-3621 (*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191)))) (-3368 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-1191)))) (-3884 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-1191)))) (-3162 (*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075))))) 
-(-13 (-1270 |#1|) (-10 -8 (-15 -1683 ($ (-1252 |#2| |#1|))) (-15 -3395 ((-1252 |#2| |#1|) $ (-790))) (-15 -1683 ($ (-1276 |#2|))) (-15 -3644 ($ $ (-1276 |#2|))) (-15 -3121 ($ $)) (-15 -4006 ($ $)) (-15 -2669 ($ $)) (-15 -3325 ($ $)) (-15 -2860 ($ $ (-592) (-592))) (-15 -3621 ($ $)) (-15 -3368 ($ (-592) (-592) $)) (-15 -3884 ($ (-592) (-592) $)) (IF (|has| |#1| (-43 (-433 (-592)))) (-15 -3162 ($ $ (-1276 |#2|))) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-3983 (((-1191)) 12)) (-2685 (((-1173) $) 17)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 11) (((-1191) $) 8)) (-3255 (((-141) $ $) 14))) 
-(((-1276 |#1|) (-13 (-1119) (-632 (-1191)) (-10 -8 (-15 -1683 ((-1191) $)) (-15 -3983 ((-1191))))) (-1191)) (T -1276)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1276 *3)) (-14 *3 *2))) (-3983 (*1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1276 *3)) (-14 *3 *2)))) 
-(-13 (-1119) (-632 (-1191)) (-10 -8 (-15 -1683 ((-1191) $)) (-15 -3983 ((-1191))))) 
-((-1417 (($ (-790)) 16)) (-4363 (((-706 |#2|) $ $) 37)) (-2311 ((|#2| $) 46)) (-4233 ((|#2| $) 45)) (-1729 ((|#2| $ $) 33)) (-2746 (($ $ $) 42)) (-3306 (($ $) 20) (($ $ $) 26)) (-3300 (($ $ $) 13)) (* (($ (-592) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
-(((-1277 |#1| |#2|) (-10 -8 (-15 -2311 (|#2| |#1|)) (-15 -4233 (|#2| |#1|)) (-15 -2746 (|#1| |#1| |#1|)) (-15 -4363 ((-706 |#2|) |#1| |#1|)) (-15 -1729 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 -1417 (|#1| (-790))) (-15 -3300 (|#1| |#1| |#1|))) (-1278 |#2|) (-1225)) (T -1277)) 
-NIL 
-(-10 -8 (-15 -2311 (|#2| |#1|)) (-15 -4233 (|#2| |#1|)) (-15 -2746 (|#1| |#1| |#1|)) (-15 -4363 ((-706 |#2|) |#1| |#1|)) (-15 -1729 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-592) |#1|)) (-15 -3306 (|#1| |#1| |#1|)) (-15 -3306 (|#1| |#1|)) (-15 -1417 (|#1| (-790))) (-15 -3300 (|#1| |#1| |#1|))) 
-((-1641 (((-141) $ $) 18 (|has| |#1| (-1119)))) (-1417 (($ (-790)) 105 (|has| |#1| (-23)))) (-3898 (((-1285) $ (-592) (-592)) 37 (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) 91) (((-141) $) 85 (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) 82 (|has| $ (-6 -4626))) (($ $) 81 (-12 (|has| |#1| (-869)) (|has| $ (-6 -4626))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) 8)) (-3932 ((|#1| $ (-592) |#1|) 49 (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) 53 (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) 70 (|has| $ (-6 -4625)))) (-3001 (($) 7 T CONST)) (-2512 (($ $) 83 (|has| $ (-6 -4626)))) (-1373 (($ $) 93)) (-1360 (($ $) 73 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-4459 (($ |#1| $) 72 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) (($ (-1 (-141) |#1|) $) 69 (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) 50 (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) 48)) (-1721 (((-592) (-1 (-141) |#1|) $) 90) (((-592) |#1| $) 89 (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) 88 (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) 30 (|has| $ (-6 -4625)))) (-4363 (((-706 |#1|) $ $) 98 (|has| |#1| (-1075)))) (-3242 (($ (-790) |#1|) 64)) (-4345 (((-141) $ (-790)) 9)) (-2261 (((-592) $) 40 (|has| (-592) (-869)))) (-1837 (($ $ $) 80 (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) 29 (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) 27 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-1813 (((-592) $) 41 (|has| (-592) (-869)))) (-3319 (($ $ $) 79 (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2311 ((|#1| $) 95 (-12 (|has| |#1| (-1075)) (|has| |#1| (-1030))))) (-2554 (((-141) $ (-790)) 10)) (-4233 ((|#1| $) 96 (-12 (|has| |#1| (-1075)) (|has| |#1| (-1030))))) (-2685 (((-1173) $) 22 (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) 55) (($ $ $ (-592)) 54)) (-3708 (((-658 (-592)) $) 43)) (-3780 (((-141) (-592) $) 44)) (-2951 (((-1137) $) 21 (|has| |#1| (-1119)))) (-1918 ((|#1| $) 39 (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) 66)) (-1892 (($ $ |#1|) 38 (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) 32 (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) 26 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) 25 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) 23 (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) 14)) (-2254 (((-141) |#1| $) 42 (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) 45)) (-2943 (((-141) $) 11)) (-2890 (($) 12)) (-3927 ((|#1| $ (-592) |#1|) 47) ((|#1| $ (-592)) 46) (($ $ (-1246 (-592))) 58)) (-1729 ((|#1| $ $) 99 (|has| |#1| (-1075)))) (-3208 (($ $ (-592)) 57) (($ $ (-1246 (-592))) 56)) (-2746 (($ $ $) 97 (|has| |#1| (-1075)))) (-3452 (((-790) (-1 (-141) |#1|) $) 31 (|has| $ (-6 -4625))) (((-790) |#1| $) 28 (-12 (|has| |#1| (-1119)) (|has| $ (-6 -4625))))) (-2385 (($ $ $ (-592)) 84 (|has| $ (-6 -4626)))) (-4599 (($ $) 13)) (-1778 (((-565) $) 74 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 65)) (-2266 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-658 $)) 60)) (-1683 (((-877) $) 20 (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) 33 (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) 77 (|has| |#1| (-869)))) (-3273 (((-141) $ $) 76 (|has| |#1| (-869)))) (-3255 (((-141) $ $) 19 (|has| |#1| (-1119)))) (-3279 (((-141) $ $) 78 (|has| |#1| (-869)))) (-3266 (((-141) $ $) 75 (|has| |#1| (-869)))) (-3306 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-3300 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-592) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-743))) (($ $ |#1|) 100 (|has| |#1| (-743)))) (-1699 (((-790) $) 6 (|has| $ (-6 -4625))))) 
-(((-1278 |#1|) (-1311) (-1225)) (T -1278)) 
-((-3300 (*1 *1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-25)))) (-1417 (*1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1278 *3)) (-4 *3 (-23)) (-4 *3 (-1225)))) (-3306 (*1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-21)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-1278 *3)) (-4 *3 (-1225)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) (-1729 (*1 *2 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1075)))) (-4363 (*1 *2 *1 *1) (-12 (-4 *1 (-1278 *3)) (-4 *3 (-1225)) (-4 *3 (-1075)) (-5 *2 (-706 *3)))) (-2746 (*1 *1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1075)))) (-4233 (*1 *2 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1030)) (-4 *2 (-1075)))) (-2311 (*1 *2 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1030)) (-4 *2 (-1075))))) 
-(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -3300 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -1417 ($ (-790))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -3306 ($ $)) (-15 -3306 ($ $ $)) (-15 * ($ (-592) $))) |noBranch|) (IF (|has| |t#1| (-743)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1075)) (PROGN (-15 -1729 (|t#1| $ $)) (-15 -4363 ((-706 |t#1|) $ $)) (-15 -2746 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1030)) (IF (|has| |t#1| (-1075)) (PROGN (-15 -4233 (|t#1| $)) (-15 -2311 (|t#1| $))) |noBranch|) |noBranch|))) 
-(((-39) . T) ((-125) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-632 (-877)) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-175 |#1|) . T) ((-633 (-565)) |has| |#1| (-633 (-565))) ((-303 (-592) |#1|) . T) ((-305 (-592) |#1|) . T) ((-325 |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-399 |#1|) . T) ((-523 |#1|) . T) ((-625 (-592) |#1|) . T) ((-547 |#1| |#1|) -12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))) ((-664 |#1|) . T) ((-19 |#1|) . T) ((-869) |has| |#1| (-869)) ((-1119) -3836 (|has| |#1| (-1119)) (|has| |#1| (-869))) ((-1225) . T)) 
-((-1779 (((-1280 |#2|) (-1 |#2| |#1| |#2|) (-1280 |#1|) |#2|) 13)) (-3657 ((|#2| (-1 |#2| |#1| |#2|) (-1280 |#1|) |#2|) 15)) (-2731 (((-3 (-1280 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1280 |#1|)) 28) (((-1280 |#2|) (-1 |#2| |#1|) (-1280 |#1|)) 18))) 
-(((-1279 |#1| |#2|) (-10 -7 (-15 -1779 ((-1280 |#2|) (-1 |#2| |#1| |#2|) (-1280 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-1280 |#1|) |#2|)) (-15 -2731 ((-1280 |#2|) (-1 |#2| |#1|) (-1280 |#1|))) (-15 -2731 ((-3 (-1280 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1280 |#1|)))) (-1225) (-1225)) (T -1279)) 
-((-2731 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1280 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1280 *6)) (-5 *1 (-1279 *5 *6)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1280 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1280 *6)) (-5 *1 (-1279 *5 *6)))) (-3657 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1280 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-1279 *5 *2)))) (-1779 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1280 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-1280 *5)) (-5 *1 (-1279 *6 *5))))) 
-(-10 -7 (-15 -1779 ((-1280 |#2|) (-1 |#2| |#1| |#2|) (-1280 |#1|) |#2|)) (-15 -3657 (|#2| (-1 |#2| |#1| |#2|) (-1280 |#1|) |#2|)) (-15 -2731 ((-1280 |#2|) (-1 |#2| |#1|) (-1280 |#1|))) (-15 -2731 ((-3 (-1280 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1280 |#1|)))) 
-((-1641 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-1417 (($ (-790)) NIL (|has| |#1| (-23)))) (-3665 (($ (-658 |#1|)) 9)) (-3898 (((-1285) $ (-592) (-592)) NIL (|has| $ (-6 -4626)))) (-4076 (((-141) (-1 (-141) |#1| |#1|) $) NIL) (((-141) $) NIL (|has| |#1| (-869)))) (-2831 (($ (-1 (-141) |#1| |#1|) $) NIL (|has| $ (-6 -4626))) (($ $) NIL (-12 (|has| $ (-6 -4626)) (|has| |#1| (-869))))) (-3960 (($ (-1 (-141) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-869)))) (-2126 (((-141) $ (-790)) NIL)) (-3932 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626))) ((|#1| $ (-1246 (-592)) |#1|) NIL (|has| $ (-6 -4626)))) (-3113 (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3001 (($) NIL T CONST)) (-2512 (($ $) NIL (|has| $ (-6 -4626)))) (-1373 (($ $) NIL)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4459 (($ |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) (($ (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3657 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4625))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4625)))) (-1426 ((|#1| $ (-592) |#1|) NIL (|has| $ (-6 -4626)))) (-3959 ((|#1| $ (-592)) NIL)) (-1721 (((-592) (-1 (-141) |#1|) $) NIL) (((-592) |#1| $) NIL (|has| |#1| (-1119))) (((-592) |#1| $ (-592)) NIL (|has| |#1| (-1119)))) (-4004 (((-658 |#1|) $) 15 (|has| $ (-6 -4625)))) (-4363 (((-706 |#1|) $ $) NIL (|has| |#1| (-1075)))) (-3242 (($ (-790) |#1|) NIL)) (-4345 (((-141) $ (-790)) NIL)) (-2261 (((-592) $) NIL (|has| (-592) (-869)))) (-1837 (($ $ $) NIL (|has| |#1| (-869)))) (-4491 (($ (-1 (-141) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-869)))) (-4467 (((-658 |#1|) $) NIL (|has| $ (-6 -4625)))) (-3133 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-1813 (((-592) $) NIL (|has| (-592) (-869)))) (-3319 (($ $ $) NIL (|has| |#1| (-869)))) (-3987 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2311 ((|#1| $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1075))))) (-2554 (((-141) $ (-790)) NIL)) (-4233 ((|#1| $) NIL (-12 (|has| |#1| (-1030)) (|has| |#1| (-1075))))) (-2685 (((-1173) $) NIL (|has| |#1| (-1119)))) (-3666 (($ |#1| $ (-592)) NIL) (($ $ $ (-592)) NIL)) (-3708 (((-658 (-592)) $) NIL)) (-3780 (((-141) (-592) $) NIL)) (-2951 (((-1137) $) NIL (|has| |#1| (-1119)))) (-1918 ((|#1| $) NIL (|has| (-592) (-869)))) (-4050 (((-3 |#1| "failed") (-1 (-141) |#1|) $) NIL)) (-1892 (($ $ |#1|) NIL (|has| $ (-6 -4626)))) (-3002 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 (-310 |#1|))) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-310 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119)))) (($ $ (-658 |#1|) (-658 |#1|)) NIL (-12 (|has| |#1| (-325 |#1|)) (|has| |#1| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2254 (((-141) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-4210 (((-658 |#1|) $) NIL)) (-2943 (((-141) $) NIL)) (-2890 (($) NIL)) (-3927 ((|#1| $ (-592) |#1|) NIL) ((|#1| $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-1729 ((|#1| $ $) NIL (|has| |#1| (-1075)))) (-3208 (($ $ (-592)) NIL) (($ $ (-1246 (-592))) NIL)) (-2746 (($ $ $) NIL (|has| |#1| (-1075)))) (-3452 (((-790) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625))) (((-790) |#1| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#1| (-1119))))) (-2385 (($ $ $ (-592)) NIL (|has| $ (-6 -4626)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) 19 (|has| |#1| (-633 (-565))))) (-4466 (($ (-658 |#1|)) 8)) (-2266 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-658 $)) NIL)) (-1683 (((-877) $) NIL (|has| |#1| (-1119)))) (-3369 (((-141) (-1 (-141) |#1|) $) NIL (|has| $ (-6 -4625)))) (-3286 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3273 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3255 (((-141) $ $) NIL (|has| |#1| (-1119)))) (-3279 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3266 (((-141) $ $) NIL (|has| |#1| (-869)))) (-3306 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-3300 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-592) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-743))) (($ $ |#1|) NIL (|has| |#1| (-743)))) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1280 |#1|) (-13 (-1278 |#1|) (-10 -8 (-15 -3665 ($ (-658 |#1|))))) (-1225)) (T -1280)) 
-((-3665 (*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-1280 *3))))) 
-(-13 (-1278 |#1|) (-10 -8 (-15 -3665 ($ (-658 |#1|))))) 
-((-1641 (((-141) $ $) NIL)) (-3802 (((-1173) $ (-1173)) 87) (((-1173) $ (-1173) (-1173)) 85) (((-1173) $ (-1173) (-658 (-1173))) 84)) (-1826 (($) 56)) (-3873 (((-1285) $ (-497) (-944)) 42)) (-3682 (((-1285) $ (-944) (-1173)) 70) (((-1285) $ (-944) (-896)) 71)) (-3399 (((-1285) $ (-944) (-405) (-405)) 45)) (-4116 (((-1285) $ (-1173)) 66)) (-4205 (((-1285) $ (-944) (-1173)) 75)) (-4086 (((-1285) $ (-944) (-405) (-405)) 46)) (-3046 (((-1285) $ (-944) (-944)) 43)) (-3796 (((-1285) $) 67)) (-3067 (((-1285) $ (-944) (-1173)) 74)) (-3783 (((-1285) $ (-497) (-944)) 30)) (-2190 (((-1285) $ (-944) (-1173)) 73)) (-1897 (((-658 (-278)) $) 22) (($ $ (-658 (-278))) 23)) (-2810 (((-1285) $ (-790) (-790)) 40)) (-2691 (($ $) 57) (($ (-497) (-658 (-278))) 58)) (-2685 (((-1173) $) NIL)) (-1350 (((-592) $) 37)) (-2951 (((-1137) $) NIL)) (-4405 (((-1280 (-3 (-497) "undefined")) $) 36)) (-3391 (((-1280 (-2 (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)) (|:| -2190 (-592)) (|:| -2180 (-592)) (|:| |spline| (-592)) (|:| -1436 (-592)) (|:| |axesColor| (-896)) (|:| -3682 (-592)) (|:| |unitsColor| (-896)) (|:| |showing| (-592)))) $) 35)) (-2871 (((-1285) $ (-944) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-896) (-592) (-896) (-592)) 65)) (-3909 (((-658 (-971 (-237))) $) NIL)) (-3636 (((-497) $ (-944)) 32)) (-3719 (((-1285) $ (-790) (-790) (-944) (-944)) 39)) (-2274 (((-1285) $ (-1173)) 76)) (-2180 (((-1285) $ (-944) (-1173)) 72)) (-1683 (((-877) $) 82)) (-3511 (((-1285) $) 77)) (-1436 (((-1285) $ (-944) (-1173)) 68) (((-1285) $ (-944) (-896)) 69)) (-3255 (((-141) $ $) NIL))) 
-(((-1281) (-13 (-1119) (-10 -8 (-15 -3909 ((-658 (-971 (-237))) $)) (-15 -1826 ($)) (-15 -2691 ($ $)) (-15 -1897 ((-658 (-278)) $)) (-15 -1897 ($ $ (-658 (-278)))) (-15 -2691 ($ (-497) (-658 (-278)))) (-15 -2871 ((-1285) $ (-944) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-896) (-592) (-896) (-592))) (-15 -3391 ((-1280 (-2 (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)) (|:| -2190 (-592)) (|:| -2180 (-592)) (|:| |spline| (-592)) (|:| -1436 (-592)) (|:| |axesColor| (-896)) (|:| -3682 (-592)) (|:| |unitsColor| (-896)) (|:| |showing| (-592)))) $)) (-15 -4405 ((-1280 (-3 (-497) "undefined")) $)) (-15 -4116 ((-1285) $ (-1173))) (-15 -3783 ((-1285) $ (-497) (-944))) (-15 -3636 ((-497) $ (-944))) (-15 -1436 ((-1285) $ (-944) (-1173))) (-15 -1436 ((-1285) $ (-944) (-896))) (-15 -3682 ((-1285) $ (-944) (-1173))) (-15 -3682 ((-1285) $ (-944) (-896))) (-15 -2190 ((-1285) $ (-944) (-1173))) (-15 -3067 ((-1285) $ (-944) (-1173))) (-15 -2180 ((-1285) $ (-944) (-1173))) (-15 -2274 ((-1285) $ (-1173))) (-15 -3511 ((-1285) $)) (-15 -3719 ((-1285) $ (-790) (-790) (-944) (-944))) (-15 -4086 ((-1285) $ (-944) (-405) (-405))) (-15 -3399 ((-1285) $ (-944) (-405) (-405))) (-15 -4205 ((-1285) $ (-944) (-1173))) (-15 -2810 ((-1285) $ (-790) (-790))) (-15 -3873 ((-1285) $ (-497) (-944))) (-15 -3046 ((-1285) $ (-944) (-944))) (-15 -3802 ((-1173) $ (-1173))) (-15 -3802 ((-1173) $ (-1173) (-1173))) (-15 -3802 ((-1173) $ (-1173) (-658 (-1173)))) (-15 -3796 ((-1285) $)) (-15 -1350 ((-592) $)) (-15 -1683 ((-877) $))))) (T -1281)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1281)))) (-3909 (*1 *2 *1) (-12 (-5 *2 (-658 (-971 (-237)))) (-5 *1 (-1281)))) (-1826 (*1 *1) (-5 *1 (-1281))) (-2691 (*1 *1 *1) (-5 *1 (-1281))) (-1897 (*1 *2 *1) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1281)))) (-1897 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1281)))) (-2691 (*1 *1 *2 *3) (-12 (-5 *2 (-497)) (-5 *3 (-658 (-278))) (-5 *1 (-1281)))) (-2871 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-944)) (-5 *4 (-237)) (-5 *5 (-592)) (-5 *6 (-896)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3391 (*1 *2 *1) (-12 (-5 *2 (-1280 (-2 (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)) (|:| -2190 (-592)) (|:| -2180 (-592)) (|:| |spline| (-592)) (|:| -1436 (-592)) (|:| |axesColor| (-896)) (|:| -3682 (-592)) (|:| |unitsColor| (-896)) (|:| |showing| (-592))))) (-5 *1 (-1281)))) (-4405 (*1 *2 *1) (-12 (-5 *2 (-1280 (-3 (-497) "undefined"))) (-5 *1 (-1281)))) (-4116 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3783 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-497)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3636 (*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-5 *2 (-497)) (-5 *1 (-1281)))) (-1436 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-1436 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-896)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3682 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3682 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-896)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-2190 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3067 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-2180 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-2274 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3511 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3719 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-790)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-4086 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-944)) (-5 *4 (-405)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3399 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-944)) (-5 *4 (-405)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-4205 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-2810 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3873 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-497)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3046 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281)))) (-3802 (*1 *2 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1281)))) (-3802 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1281)))) (-3802 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1173)) (-5 *1 (-1281)))) (-3796 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1281)))) (-1350 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1281))))) 
-(-13 (-1119) (-10 -8 (-15 -3909 ((-658 (-971 (-237))) $)) (-15 -1826 ($)) (-15 -2691 ($ $)) (-15 -1897 ((-658 (-278)) $)) (-15 -1897 ($ $ (-658 (-278)))) (-15 -2691 ($ (-497) (-658 (-278)))) (-15 -2871 ((-1285) $ (-944) (-237) (-237) (-237) (-237) (-592) (-592) (-592) (-592) (-896) (-592) (-896) (-592))) (-15 -3391 ((-1280 (-2 (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)) (|:| -2190 (-592)) (|:| -2180 (-592)) (|:| |spline| (-592)) (|:| -1436 (-592)) (|:| |axesColor| (-896)) (|:| -3682 (-592)) (|:| |unitsColor| (-896)) (|:| |showing| (-592)))) $)) (-15 -4405 ((-1280 (-3 (-497) "undefined")) $)) (-15 -4116 ((-1285) $ (-1173))) (-15 -3783 ((-1285) $ (-497) (-944))) (-15 -3636 ((-497) $ (-944))) (-15 -1436 ((-1285) $ (-944) (-1173))) (-15 -1436 ((-1285) $ (-944) (-896))) (-15 -3682 ((-1285) $ (-944) (-1173))) (-15 -3682 ((-1285) $ (-944) (-896))) (-15 -2190 ((-1285) $ (-944) (-1173))) (-15 -3067 ((-1285) $ (-944) (-1173))) (-15 -2180 ((-1285) $ (-944) (-1173))) (-15 -2274 ((-1285) $ (-1173))) (-15 -3511 ((-1285) $)) (-15 -3719 ((-1285) $ (-790) (-790) (-944) (-944))) (-15 -4086 ((-1285) $ (-944) (-405) (-405))) (-15 -3399 ((-1285) $ (-944) (-405) (-405))) (-15 -4205 ((-1285) $ (-944) (-1173))) (-15 -2810 ((-1285) $ (-790) (-790))) (-15 -3873 ((-1285) $ (-497) (-944))) (-15 -3046 ((-1285) $ (-944) (-944))) (-15 -3802 ((-1173) $ (-1173))) (-15 -3802 ((-1173) $ (-1173) (-1173))) (-15 -3802 ((-1173) $ (-1173) (-658 (-1173)))) (-15 -3796 ((-1285) $)) (-15 -1350 ((-592) $)) (-15 -1683 ((-877) $)))) 
-((-1641 (((-141) $ $) NIL)) (-2570 (((-1285) $ (-405)) 138) (((-1285) $ (-405) (-405) (-405)) 139)) (-3802 (((-1173) $ (-1173)) 146) (((-1173) $ (-1173) (-1173)) 144) (((-1173) $ (-1173) (-658 (-1173))) 143)) (-4588 (($) 49)) (-3678 (((-1285) $ (-405) (-405) (-405) (-405) (-405)) 114) (((-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))) $) 112) (((-1285) $ (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) 113) (((-1285) $ (-592) (-592) (-405) (-405) (-405)) 115) (((-1285) $ (-405) (-405)) 116) (((-1285) $ (-405) (-405) (-405)) 123)) (-2426 (((-405)) 96) (((-405) (-405)) 97)) (-2300 (((-405)) 91) (((-405) (-405)) 93)) (-2318 (((-405)) 94) (((-405) (-405)) 95)) (-2489 (((-405)) 100) (((-405) (-405)) 101)) (-2459 (((-405)) 98) (((-405) (-405)) 99)) (-3399 (((-1285) $ (-405) (-405)) 140)) (-4116 (((-1285) $ (-1173)) 124)) (-3540 (((-1150 (-237)) $) 50) (($ $ (-1150 (-237))) 51)) (-2476 (((-1285) $ (-1173)) 152)) (-3966 (((-1285) $ (-1173)) 153)) (-3735 (((-1285) $ (-405) (-405)) 122) (((-1285) $ (-592) (-592)) 137)) (-3046 (((-1285) $ (-944) (-944)) 130)) (-3796 (((-1285) $) 110)) (-1995 (((-1285) $ (-1173)) 151)) (-2122 (((-1285) $ (-1173)) 107)) (-1897 (((-658 (-278)) $) 52) (($ $ (-658 (-278))) 53)) (-2810 (((-1285) $ (-790) (-790)) 129)) (-3443 (((-1285) $ (-790) (-971 (-237))) 158)) (-2466 (($ $) 56) (($ (-1150 (-237)) (-1173)) 57) (($ (-1150 (-237)) (-658 (-278))) 58)) (-3099 (((-1285) $ (-405) (-405) (-405)) 104)) (-2685 (((-1173) $) NIL)) (-1350 (((-592) $) 102)) (-3115 (((-1285) $ (-405)) 141)) (-3598 (((-1285) $ (-405)) 156)) (-2951 (((-1137) $) NIL)) (-1331 (((-1285) $ (-405)) 155)) (-2218 (((-1285) $ (-1173)) 109)) (-3719 (((-1285) $ (-790) (-790) (-944) (-944)) 128)) (-3569 (((-1285) $ (-1173)) 106)) (-2274 (((-1285) $ (-1173)) 108)) (-4386 (((-1285) $ (-179) (-179)) 127)) (-1683 (((-877) $) 135)) (-3511 (((-1285) $) 111)) (-2301 (((-1285) $ (-1173)) 154)) (-1436 (((-1285) $ (-1173)) 105)) (-3255 (((-141) $ $) NIL))) 
-(((-1282) (-13 (-1119) (-10 -8 (-15 -2300 ((-405))) (-15 -2300 ((-405) (-405))) (-15 -2318 ((-405))) (-15 -2318 ((-405) (-405))) (-15 -2426 ((-405))) (-15 -2426 ((-405) (-405))) (-15 -2459 ((-405))) (-15 -2459 ((-405) (-405))) (-15 -2489 ((-405))) (-15 -2489 ((-405) (-405))) (-15 -4588 ($)) (-15 -2466 ($ $)) (-15 -2466 ($ (-1150 (-237)) (-1173))) (-15 -2466 ($ (-1150 (-237)) (-658 (-278)))) (-15 -3540 ((-1150 (-237)) $)) (-15 -3540 ($ $ (-1150 (-237)))) (-15 -3443 ((-1285) $ (-790) (-971 (-237)))) (-15 -1897 ((-658 (-278)) $)) (-15 -1897 ($ $ (-658 (-278)))) (-15 -2810 ((-1285) $ (-790) (-790))) (-15 -3046 ((-1285) $ (-944) (-944))) (-15 -4116 ((-1285) $ (-1173))) (-15 -3719 ((-1285) $ (-790) (-790) (-944) (-944))) (-15 -3678 ((-1285) $ (-405) (-405) (-405) (-405) (-405))) (-15 -3678 ((-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))) $)) (-15 -3678 ((-1285) $ (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))))) (-15 -3678 ((-1285) $ (-592) (-592) (-405) (-405) (-405))) (-15 -3678 ((-1285) $ (-405) (-405))) (-15 -3678 ((-1285) $ (-405) (-405) (-405))) (-15 -2274 ((-1285) $ (-1173))) (-15 -1436 ((-1285) $ (-1173))) (-15 -3569 ((-1285) $ (-1173))) (-15 -2122 ((-1285) $ (-1173))) (-15 -2218 ((-1285) $ (-1173))) (-15 -3735 ((-1285) $ (-405) (-405))) (-15 -3735 ((-1285) $ (-592) (-592))) (-15 -2570 ((-1285) $ (-405))) (-15 -2570 ((-1285) $ (-405) (-405) (-405))) (-15 -3399 ((-1285) $ (-405) (-405))) (-15 -1995 ((-1285) $ (-1173))) (-15 -1331 ((-1285) $ (-405))) (-15 -3598 ((-1285) $ (-405))) (-15 -2476 ((-1285) $ (-1173))) (-15 -3966 ((-1285) $ (-1173))) (-15 -2301 ((-1285) $ (-1173))) (-15 -3099 ((-1285) $ (-405) (-405) (-405))) (-15 -3115 ((-1285) $ (-405))) (-15 -3796 ((-1285) $)) (-15 -4386 ((-1285) $ (-179) (-179))) (-15 -3802 ((-1173) $ (-1173))) (-15 -3802 ((-1173) $ (-1173) (-1173))) (-15 -3802 ((-1173) $ (-1173) (-658 (-1173)))) (-15 -3511 ((-1285) $)) (-15 -1350 ((-592) $))))) (T -1282)) 
-((-2300 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2300 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2318 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2318 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2426 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2426 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2459 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2459 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2489 (*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-2489 (*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) (-4588 (*1 *1) (-5 *1 (-1282))) (-2466 (*1 *1 *1) (-5 *1 (-1282))) (-2466 (*1 *1 *2 *3) (-12 (-5 *2 (-1150 (-237))) (-5 *3 (-1173)) (-5 *1 (-1282)))) (-2466 (*1 *1 *2 *3) (-12 (-5 *2 (-1150 (-237))) (-5 *3 (-658 (-278))) (-5 *1 (-1282)))) (-3540 (*1 *2 *1) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-1282)))) (-3540 (*1 *1 *1 *2) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-1282)))) (-3443 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-971 (-237))) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-1897 (*1 *2 *1) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1282)))) (-1897 (*1 *1 *1 *2) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1282)))) (-2810 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3046 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-4116 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3719 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-790)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3678 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3678 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *1 (-1282)))) (-3678 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3678 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-592)) (-5 *4 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3678 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3678 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2274 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-1436 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3569 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2122 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2218 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3735 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3735 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2570 (*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2570 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3399 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-1995 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-1331 (*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3598 (*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2476 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3966 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-2301 (*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3099 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3115 (*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3796 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1282)))) (-4386 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-179)) (-5 *2 (-1285)) (-5 *1 (-1282)))) (-3802 (*1 *2 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1282)))) (-3802 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1282)))) (-3802 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1173)) (-5 *1 (-1282)))) (-3511 (*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1282)))) (-1350 (*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1282))))) 
-(-13 (-1119) (-10 -8 (-15 -2300 ((-405))) (-15 -2300 ((-405) (-405))) (-15 -2318 ((-405))) (-15 -2318 ((-405) (-405))) (-15 -2426 ((-405))) (-15 -2426 ((-405) (-405))) (-15 -2459 ((-405))) (-15 -2459 ((-405) (-405))) (-15 -2489 ((-405))) (-15 -2489 ((-405) (-405))) (-15 -4588 ($)) (-15 -2466 ($ $)) (-15 -2466 ($ (-1150 (-237)) (-1173))) (-15 -2466 ($ (-1150 (-237)) (-658 (-278)))) (-15 -3540 ((-1150 (-237)) $)) (-15 -3540 ($ $ (-1150 (-237)))) (-15 -3443 ((-1285) $ (-790) (-971 (-237)))) (-15 -1897 ((-658 (-278)) $)) (-15 -1897 ($ $ (-658 (-278)))) (-15 -2810 ((-1285) $ (-790) (-790))) (-15 -3046 ((-1285) $ (-944) (-944))) (-15 -4116 ((-1285) $ (-1173))) (-15 -3719 ((-1285) $ (-790) (-790) (-944) (-944))) (-15 -3678 ((-1285) $ (-405) (-405) (-405) (-405) (-405))) (-15 -3678 ((-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))) $)) (-15 -3678 ((-1285) $ (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237))))) (-15 -3678 ((-1285) $ (-592) (-592) (-405) (-405) (-405))) (-15 -3678 ((-1285) $ (-405) (-405))) (-15 -3678 ((-1285) $ (-405) (-405) (-405))) (-15 -2274 ((-1285) $ (-1173))) (-15 -1436 ((-1285) $ (-1173))) (-15 -3569 ((-1285) $ (-1173))) (-15 -2122 ((-1285) $ (-1173))) (-15 -2218 ((-1285) $ (-1173))) (-15 -3735 ((-1285) $ (-405) (-405))) (-15 -3735 ((-1285) $ (-592) (-592))) (-15 -2570 ((-1285) $ (-405))) (-15 -2570 ((-1285) $ (-405) (-405) (-405))) (-15 -3399 ((-1285) $ (-405) (-405))) (-15 -1995 ((-1285) $ (-1173))) (-15 -1331 ((-1285) $ (-405))) (-15 -3598 ((-1285) $ (-405))) (-15 -2476 ((-1285) $ (-1173))) (-15 -3966 ((-1285) $ (-1173))) (-15 -2301 ((-1285) $ (-1173))) (-15 -3099 ((-1285) $ (-405) (-405) (-405))) (-15 -3115 ((-1285) $ (-405))) (-15 -3796 ((-1285) $)) (-15 -4386 ((-1285) $ (-179) (-179))) (-15 -3802 ((-1173) $ (-1173))) (-15 -3802 ((-1173) $ (-1173) (-1173))) (-15 -3802 ((-1173) $ (-1173) (-658 (-1173)))) (-15 -3511 ((-1285) $)) (-15 -1350 ((-592) $)))) 
-((-2395 (((-658 (-1173)) (-658 (-1173))) 94) (((-658 (-1173))) 89)) (-2531 (((-658 (-1173))) 87)) (-2276 (((-658 (-944)) (-658 (-944))) 62) (((-658 (-944))) 59)) (-2146 (((-658 (-790)) (-658 (-790))) 56) (((-658 (-790))) 52)) (-2258 (((-1285)) 64)) (-3734 (((-944) (-944)) 80) (((-944)) 79)) (-3819 (((-944) (-944)) 78) (((-944)) 77)) (-4315 (((-896) (-896)) 74) (((-896)) 73)) (-3559 (((-237)) 84) (((-237) (-405)) 86)) (-3240 (((-944)) 81) (((-944) (-944)) 82)) (-1598 (((-944) (-944)) 76) (((-944)) 75)) (-3773 (((-896) (-896)) 68) (((-896)) 66)) (-1882 (((-896) (-896)) 70) (((-896)) 69)) (-1367 (((-896) (-896)) 72) (((-896)) 71))) 
-(((-1283) (-10 -7 (-15 -3773 ((-896))) (-15 -3773 ((-896) (-896))) (-15 -1882 ((-896))) (-15 -1882 ((-896) (-896))) (-15 -1367 ((-896))) (-15 -1367 ((-896) (-896))) (-15 -4315 ((-896))) (-15 -4315 ((-896) (-896))) (-15 -1598 ((-944))) (-15 -1598 ((-944) (-944))) (-15 -2146 ((-658 (-790)))) (-15 -2146 ((-658 (-790)) (-658 (-790)))) (-15 -2276 ((-658 (-944)))) (-15 -2276 ((-658 (-944)) (-658 (-944)))) (-15 -2258 ((-1285))) (-15 -2395 ((-658 (-1173)))) (-15 -2395 ((-658 (-1173)) (-658 (-1173)))) (-15 -2531 ((-658 (-1173)))) (-15 -3819 ((-944))) (-15 -3734 ((-944))) (-15 -3819 ((-944) (-944))) (-15 -3734 ((-944) (-944))) (-15 -3240 ((-944) (-944))) (-15 -3240 ((-944))) (-15 -3559 ((-237) (-405))) (-15 -3559 ((-237))))) (T -1283)) 
-((-3559 (*1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-1283)))) (-3559 (*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-237)) (-5 *1 (-1283)))) (-3240 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-3240 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-3734 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-3819 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-3734 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-3819 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-2531 (*1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1283)))) (-2395 (*1 *2 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1283)))) (-2395 (*1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1283)))) (-2258 (*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1283)))) (-2276 (*1 *2 *2) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1283)))) (-2276 (*1 *2) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1283)))) (-2146 (*1 *2 *2) (-12 (-5 *2 (-658 (-790))) (-5 *1 (-1283)))) (-2146 (*1 *2) (-12 (-5 *2 (-658 (-790))) (-5 *1 (-1283)))) (-1598 (*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-1598 (*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) (-4315 (*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-4315 (*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-1367 (*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-1367 (*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-1882 (*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-1882 (*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-3773 (*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) (-3773 (*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283))))) 
-(-10 -7 (-15 -3773 ((-896))) (-15 -3773 ((-896) (-896))) (-15 -1882 ((-896))) (-15 -1882 ((-896) (-896))) (-15 -1367 ((-896))) (-15 -1367 ((-896) (-896))) (-15 -4315 ((-896))) (-15 -4315 ((-896) (-896))) (-15 -1598 ((-944))) (-15 -1598 ((-944) (-944))) (-15 -2146 ((-658 (-790)))) (-15 -2146 ((-658 (-790)) (-658 (-790)))) (-15 -2276 ((-658 (-944)))) (-15 -2276 ((-658 (-944)) (-658 (-944)))) (-15 -2258 ((-1285))) (-15 -2395 ((-658 (-1173)))) (-15 -2395 ((-658 (-1173)) (-658 (-1173)))) (-15 -2531 ((-658 (-1173)))) (-15 -3819 ((-944))) (-15 -3734 ((-944))) (-15 -3819 ((-944) (-944))) (-15 -3734 ((-944) (-944))) (-15 -3240 ((-944) (-944))) (-15 -3240 ((-944))) (-15 -3559 ((-237) (-405))) (-15 -3559 ((-237)))) 
-((-1330 (((-497) (-658 (-658 (-971 (-237)))) (-658 (-278))) 17) (((-497) (-658 (-658 (-971 (-237))))) 16) (((-497) (-658 (-658 (-971 (-237)))) (-896) (-896) (-944) (-658 (-278))) 15)) (-4044 (((-1281) (-658 (-658 (-971 (-237)))) (-658 (-278))) 23) (((-1281) (-658 (-658 (-971 (-237)))) (-896) (-896) (-944) (-658 (-278))) 22)) (-1683 (((-1281) (-497)) 34))) 
-(((-1284) (-10 -7 (-15 -1330 ((-497) (-658 (-658 (-971 (-237)))) (-896) (-896) (-944) (-658 (-278)))) (-15 -1330 ((-497) (-658 (-658 (-971 (-237)))))) (-15 -1330 ((-497) (-658 (-658 (-971 (-237)))) (-658 (-278)))) (-15 -4044 ((-1281) (-658 (-658 (-971 (-237)))) (-896) (-896) (-944) (-658 (-278)))) (-15 -4044 ((-1281) (-658 (-658 (-971 (-237)))) (-658 (-278)))) (-15 -1683 ((-1281) (-497))))) (T -1284)) 
-((-1683 (*1 *2 *3) (-12 (-5 *3 (-497)) (-5 *2 (-1281)) (-5 *1 (-1284)))) (-4044 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-1284)))) (-4044 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *6 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-1284)))) (-1330 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-658 (-278))) (-5 *2 (-497)) (-5 *1 (-1284)))) (-1330 (*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *2 (-497)) (-5 *1 (-1284)))) (-1330 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *6 (-658 (-278))) (-5 *2 (-497)) (-5 *1 (-1284))))) 
-(-10 -7 (-15 -1330 ((-497) (-658 (-658 (-971 (-237)))) (-896) (-896) (-944) (-658 (-278)))) (-15 -1330 ((-497) (-658 (-658 (-971 (-237)))))) (-15 -1330 ((-497) (-658 (-658 (-971 (-237)))) (-658 (-278)))) (-15 -4044 ((-1281) (-658 (-658 (-971 (-237)))) (-896) (-896) (-944) (-658 (-278)))) (-15 -4044 ((-1281) (-658 (-658 (-971 (-237)))) (-658 (-278)))) (-15 -1683 ((-1281) (-497)))) 
-((-4191 (($) 7)) (-1683 (((-877) $) 10))) 
-(((-1285) (-10 -8 (-15 -4191 ($)) (-15 -1683 ((-877) $)))) (T -1285)) 
-((-1683 (*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1285)))) (-4191 (*1 *1) (-5 *1 (-1285)))) 
-(-10 -8 (-15 -4191 ($)) (-15 -1683 ((-877) $))) 
-((-3313 (($ $ |#2|) 10))) 
-(((-1286 |#1| |#2|) (-10 -8 (-15 -3313 (|#1| |#1| |#2|))) (-1287 |#2|) (-388)) (T -1286)) 
-NIL 
-(-10 -8 (-15 -3313 (|#1| |#1| |#2|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1936 (((-160)) 25)) (-1683 (((-877) $) 11)) (-3514 (($) 17 T CONST)) (-3255 (((-141) $ $) 6)) (-3313 (($ $ |#1|) 26)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-1287 |#1|) (-1311) (-388)) (T -1287)) 
-((-3313 (*1 *1 *1 *2) (-12 (-4 *1 (-1287 *2)) (-4 *2 (-388)))) (-1936 (*1 *2) (-12 (-4 *1 (-1287 *3)) (-4 *3 (-388)) (-5 *2 (-160))))) 
-(-13 (-734 |t#1|) (-10 -8 (-15 -3313 ($ $ |t#1|)) (-15 -1936 ((-160))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-734 |#1|) . T) ((-1081 |#1|) . T) ((-1119) . T)) 
-((-2121 (((-658 (-1220 |#1|)) (-1191) (-1220 |#1|)) 78)) (-1327 (((-1171 (-1171 (-980 |#1|))) (-1191) (-1171 (-980 |#1|))) 57)) (-2534 (((-1 (-1171 (-1220 |#1|)) (-1171 (-1220 |#1|))) (-790) (-1220 |#1|) (-1171 (-1220 |#1|))) 68)) (-1450 (((-1 (-1171 (-980 |#1|)) (-1171 (-980 |#1|))) (-790)) 59)) (-2939 (((-1 (-1187 (-980 |#1|)) (-980 |#1|)) (-1191)) 27)) (-4535 (((-1 (-1171 (-980 |#1|)) (-1171 (-980 |#1|))) (-790)) 58))) 
-(((-1288 |#1|) (-10 -7 (-15 -1450 ((-1 (-1171 (-980 |#1|)) (-1171 (-980 |#1|))) (-790))) (-15 -4535 ((-1 (-1171 (-980 |#1|)) (-1171 (-980 |#1|))) (-790))) (-15 -1327 ((-1171 (-1171 (-980 |#1|))) (-1191) (-1171 (-980 |#1|)))) (-15 -2939 ((-1 (-1187 (-980 |#1|)) (-980 |#1|)) (-1191))) (-15 -2121 ((-658 (-1220 |#1|)) (-1191) (-1220 |#1|))) (-15 -2534 ((-1 (-1171 (-1220 |#1|)) (-1171 (-1220 |#1|))) (-790) (-1220 |#1|) (-1171 (-1220 |#1|))))) (-388)) (T -1288)) 
-((-2534 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-790)) (-4 *6 (-388)) (-5 *4 (-1220 *6)) (-5 *2 (-1 (-1171 *4) (-1171 *4))) (-5 *1 (-1288 *6)) (-5 *5 (-1171 *4)))) (-2121 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-4 *5 (-388)) (-5 *2 (-658 (-1220 *5))) (-5 *1 (-1288 *5)) (-5 *4 (-1220 *5)))) (-2939 (*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-1187 (-980 *4)) (-980 *4))) (-5 *1 (-1288 *4)) (-4 *4 (-388)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-4 *5 (-388)) (-5 *2 (-1171 (-1171 (-980 *5)))) (-5 *1 (-1288 *5)) (-5 *4 (-1171 (-980 *5))))) (-4535 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-1171 (-980 *4)) (-1171 (-980 *4)))) (-5 *1 (-1288 *4)) (-4 *4 (-388)))) (-1450 (*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-1171 (-980 *4)) (-1171 (-980 *4)))) (-5 *1 (-1288 *4)) (-4 *4 (-388))))) 
-(-10 -7 (-15 -1450 ((-1 (-1171 (-980 |#1|)) (-1171 (-980 |#1|))) (-790))) (-15 -4535 ((-1 (-1171 (-980 |#1|)) (-1171 (-980 |#1|))) (-790))) (-15 -1327 ((-1171 (-1171 (-980 |#1|))) (-1191) (-1171 (-980 |#1|)))) (-15 -2939 ((-1 (-1187 (-980 |#1|)) (-980 |#1|)) (-1191))) (-15 -2121 ((-658 (-1220 |#1|)) (-1191) (-1220 |#1|))) (-15 -2534 ((-1 (-1171 (-1220 |#1|)) (-1171 (-1220 |#1|))) (-790) (-1220 |#1|) (-1171 (-1220 |#1|))))) 
-((-2583 (((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) |#2|) 74)) (-4023 (((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|)))) 73))) 
-(((-1289 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4023 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))))) (-15 -2583 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) |#2|))) (-373) (-1255 |#1|) (-1255 |#2|) (-435 |#2| |#3|)) (T -1289)) 
-((-2583 (*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-1289 *4 *3 *5 *6)) (-4 *6 (-435 *3 *5)))) (-4023 (*1 *2) (-12 (-4 *3 (-373)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -2195 (-706 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-706 *4)))) (-5 *1 (-1289 *3 *4 *5 *6)) (-4 *6 (-435 *4 *5))))) 
-(-10 -7 (-15 -4023 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))))) (-15 -2583 ((-2 (|:| -2195 (-706 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-706 |#2|))) |#2|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 41)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) NIL)) (-3558 (((-141) $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1683 (((-877) $) 62) (($ (-592)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-194)))) (-4010 (((-790)) NIL)) (-3583 (((-1285) (-790)) 16)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 26 T CONST)) (-4257 (($) 65 T CONST)) (-3255 (((-141) $ $) 67)) (-3313 (((-3 $ "failed") $ $) NIL (|has| |#1| (-388)))) (-3306 (($ $) 69) (($ $ $) NIL)) (-3300 (($ $ $) 45)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-194))) (($ $ |#1|) NIL (|has| |#1| (-194))))) 
-(((-1290 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1075) (-10 -8 (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (-15 -1683 (|#4| $)) (IF (|has| |#1| (-388)) (-15 -3313 ((-3 $ "failed") $ $)) |noBranch|) (-15 -1683 ($ |#4|)) (-15 -3583 ((-1285) (-790))))) (-1075) (-869) (-815) (-977 |#1| |#3| |#2|) (-658 |#2|) (-658 (-790)) (-790)) (T -1290)) 
-((-1683 (*1 *2 *1) (-12 (-4 *2 (-977 *3 *5 *4)) (-5 *1 (-1290 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-815)) (-14 *6 (-658 *4)) (-14 *7 (-658 (-790))) (-14 *8 (-790)))) (-3313 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-388)) (-4 *2 (-1075)) (-4 *3 (-869)) (-4 *4 (-815)) (-14 *6 (-658 *3)) (-5 *1 (-1290 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-977 *2 *4 *3)) (-14 *7 (-658 (-790))) (-14 *8 (-790)))) (-1683 (*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-815)) (-14 *6 (-658 *4)) (-5 *1 (-1290 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-977 *3 *5 *4)) (-14 *7 (-658 (-790))) (-14 *8 (-790)))) (-3583 (*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-4 *5 (-869)) (-4 *6 (-815)) (-14 *8 (-658 *5)) (-5 *2 (-1285)) (-5 *1 (-1290 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-977 *4 *6 *5)) (-14 *9 (-658 *3)) (-14 *10 *3)))) 
-(-13 (-1075) (-10 -8 (IF (|has| |#1| (-194)) (-6 (-43 |#1|)) |noBranch|) (-15 -1683 (|#4| $)) (IF (|has| |#1| (-388)) (-15 -3313 ((-3 $ "failed") $ $)) |noBranch|) (-15 -1683 ($ |#4|)) (-15 -3583 ((-1285) (-790))))) 
-((-1641 (((-141) $ $) NIL)) (-2660 (((-658 (-2 (|:| -3511 $) (|:| -1774 (-658 |#4|)))) (-658 |#4|)) NIL)) (-2248 (((-658 $) (-658 |#4|)) 87)) (-4085 (((-658 |#3|) $) NIL)) (-4325 (((-141) $) NIL)) (-2988 (((-141) $) NIL (|has| |#1| (-582)))) (-4135 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-2244 ((|#4| |#4| $) NIL)) (-3960 (((-2 (|:| |under| $) (|:| -2039 $) (|:| |upper| $)) $ |#3|) NIL)) (-2126 (((-141) $ (-790)) NIL)) (-3113 (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625))) (((-3 |#4| "failed") $ |#3|) NIL)) (-3001 (($) NIL T CONST)) (-3239 (((-141) $) NIL (|has| |#1| (-582)))) (-3478 (((-141) $ $) NIL (|has| |#1| (-582)))) (-2398 (((-141) $ $) NIL (|has| |#1| (-582)))) (-1529 (((-141) $) NIL (|has| |#1| (-582)))) (-1903 (((-658 |#4|) (-658 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) 27)) (-4521 (((-658 |#4|) (-658 |#4|) $) 24 (|has| |#1| (-582)))) (-3718 (((-658 |#4|) (-658 |#4|) $) NIL (|has| |#1| (-582)))) (-4368 (((-3 $ "failed") (-658 |#4|)) NIL)) (-2400 (($ (-658 |#4|)) NIL)) (-1366 (((-3 $ "failed") $) 69)) (-2226 ((|#4| |#4| $) 74)) (-1360 (($ $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-4459 (($ |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (($ (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-3027 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-2172 (((-141) |#4| $ (-1 (-141) |#4| |#4|)) NIL)) (-3092 ((|#4| |#4| $) NIL)) (-3657 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4625))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4625))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-1643 (((-2 (|:| -3511 (-658 |#4|)) (|:| -1774 (-658 |#4|))) $) NIL)) (-4004 (((-658 |#4|) $) NIL (|has| $ (-6 -4625)))) (-2479 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-3259 ((|#3| $) 75)) (-4345 (((-141) $ (-790)) NIL)) (-4467 (((-658 |#4|) $) 28 (|has| $ (-6 -4625)))) (-3133 (((-141) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119))))) (-2510 (((-3 $ "failed") (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-658 |#4|)) 34)) (-3987 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4626)))) (-2731 (($ (-1 |#4| |#4|) $) NIL)) (-2290 (((-658 |#3|) $) NIL)) (-2645 (((-141) |#3| $) NIL)) (-2554 (((-141) $ (-790)) NIL)) (-2685 (((-1173) $) NIL)) (-4255 (((-3 |#4| "failed") $) NIL)) (-1712 (((-658 |#4|) $) 49)) (-2346 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1751 ((|#4| |#4| $) 73)) (-3085 (((-141) $ $) 84)) (-3480 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-582)))) (-4442 (((-141) |#4| $) NIL) (((-141) $) NIL)) (-1803 ((|#4| |#4| $) NIL)) (-2951 (((-1137) $) NIL)) (-1918 (((-3 |#4| "failed") $) 68)) (-4050 (((-3 |#4| "failed") (-1 (-141) |#4|) $) NIL)) (-2778 (((-3 $ "failed") $ |#4|) NIL)) (-2807 (($ $ |#4|) NIL)) (-3002 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-2806 (($ $ (-658 |#4|) (-658 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-310 |#4|)) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119)))) (($ $ (-658 (-310 |#4|))) NIL (-12 (|has| |#4| (-325 |#4|)) (|has| |#4| (-1119))))) (-1724 (((-141) $ $) NIL)) (-2943 (((-141) $) 66)) (-2890 (($) 41)) (-4525 (((-790) $) NIL)) (-3452 (((-790) |#4| $) NIL (-12 (|has| $ (-6 -4625)) (|has| |#4| (-1119)))) (((-790) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-4599 (($ $) NIL)) (-1778 (((-565) $) NIL (|has| |#4| (-633 (-565))))) (-4466 (($ (-658 |#4|)) NIL)) (-2613 (($ $ |#3|) NIL)) (-4152 (($ $ |#3|) NIL)) (-2965 (($ $) NIL)) (-2507 (($ $ |#3|) NIL)) (-1683 (((-877) $) NIL) (((-658 |#4|) $) 56)) (-1857 (((-790) $) NIL (|has| |#3| (-394)))) (-4261 (((-3 $ "failed") (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-658 |#4|)) 40)) (-1762 (((-658 $) (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-658 $) (-658 |#4|)) 65)) (-1387 (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -3349 (-658 |#4|))) "failed") (-658 |#4|) (-1 (-141) |#4|) (-1 (-141) |#4| |#4|)) NIL)) (-4408 (((-141) $ (-1 (-141) |#4| (-658 |#4|))) NIL)) (-3369 (((-141) (-1 (-141) |#4|) $) NIL (|has| $ (-6 -4625)))) (-1596 (((-658 |#3|) $) NIL)) (-3069 (((-141) |#3| $) NIL)) (-3255 (((-141) $ $) NIL)) (-1699 (((-790) $) NIL (|has| $ (-6 -4625))))) 
-(((-1291 |#1| |#2| |#3| |#4|) (-13 (-1219 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2510 ((-3 $ "failed") (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2510 ((-3 $ "failed") (-658 |#4|))) (-15 -4261 ((-3 $ "failed") (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4261 ((-3 $ "failed") (-658 |#4|))) (-15 -1762 ((-658 $) (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1762 ((-658 $) (-658 |#4|))))) (-582) (-815) (-869) (-1089 |#1| |#2| |#3|)) (T -1291)) 
-((-2510 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-658 *8)) (-5 *3 (-1 (-141) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1291 *5 *6 *7 *8)))) (-2510 (*1 *1 *2) (|partial| -12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1291 *3 *4 *5 *6)))) (-4261 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-658 *8)) (-5 *3 (-1 (-141) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1291 *5 *6 *7 *8)))) (-4261 (*1 *1 *2) (|partial| -12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1291 *3 *4 *5 *6)))) (-1762 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *9)) (-5 *4 (-1 (-141) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1089 *6 *7 *8)) (-4 *6 (-582)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *2 (-658 (-1291 *6 *7 *8 *9))) (-5 *1 (-1291 *6 *7 *8 *9)))) (-1762 (*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 (-1291 *4 *5 *6 *7))) (-5 *1 (-1291 *4 *5 *6 *7))))) 
-(-13 (-1219 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2510 ((-3 $ "failed") (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2510 ((-3 $ "failed") (-658 |#4|))) (-15 -4261 ((-3 $ "failed") (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4261 ((-3 $ "failed") (-658 |#4|))) (-15 -1762 ((-658 $) (-658 |#4|) (-1 (-141) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1762 ((-658 $) (-658 |#4|))))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2350 (((-3 $ "failed") $ $) 18)) (-3001 (($) 16 T CONST)) (-3371 (((-3 $ "failed") $) 33)) (-3558 (((-141) $) 30)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#1|) 37)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
-(((-1292 |#1|) (-1311) (-1075)) (T -1292)) 
-((-1683 (*1 *1 *2) (-12 (-4 *1 (-1292 *2)) (-4 *2 (-1075))))) 
-(-13 (-1075) (-140 |t#1| |t#1|) (-10 -8 (-15 -1683 ($ |t#1|)) (IF (|has| |t#1| (-194)) (-6 (-43 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-194)) ((-125) . T) ((-140 |#1| |#1|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-734 |#1|) |has| |#1| (-194)) ((-743) . T) ((-1081 |#1|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2692 (((-658 |#1|) $) 45)) (-1394 (($ $ (-790)) 39)) (-2350 (((-3 $ "failed") $ $) NIL)) (-2549 (($ $ (-790)) 17 (|has| |#2| (-194))) (($ $ $) 18 (|has| |#2| (-194)))) (-3001 (($) NIL T CONST)) (-3305 (($ $ $) 61) (($ $ (-841 |#1|)) 48) (($ $ |#1|) 52)) (-4368 (((-3 (-841 |#1|) "failed") $) NIL)) (-2400 (((-841 |#1|) $) NIL)) (-4593 (($ $) 32)) (-3371 (((-3 $ "failed") $) NIL)) (-3053 (((-141) $) NIL)) (-1984 (($ $) NIL)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-1493 (($ (-841 |#1|) |#2|) 31)) (-4103 (($ $) 33)) (-3033 (((-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|)) $) 11)) (-3281 (((-841 |#1|) $) NIL)) (-3494 (((-841 |#1|) $) 34)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-2141 (($ $ $) 60) (($ $ (-841 |#1|)) 50) (($ $ |#1|) 54)) (-3725 (((-658 (-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2992 (((-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4573 (((-841 |#1|) $) 28)) (-4579 ((|#2| $) 30)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-4525 (((-790) $) 36)) (-2752 (((-141) $) 40)) (-4249 ((|#2| $) NIL)) (-1683 (((-877) $) NIL) (($ (-841 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-592)) NIL)) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-841 |#1|)) NIL)) (-1487 ((|#2| $ $) 63) ((|#2| $ (-841 |#1|)) NIL)) (-4010 (((-790)) NIL)) (-1424 (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (-3514 (($) 12 T CONST)) (-4257 (($) 14 T CONST)) (-3255 (((-141) $ $) 38)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 21)) (** (($ $ (-790)) NIL) (($ $ (-944)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-841 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
-(((-1293 |#1| |#2|) (-13 (-408 |#2| (-841 |#1|)) (-1299 |#1| |#2|)) (-869) (-1075)) (T -1293)) 
-NIL 
-(-13 (-408 |#2| (-841 |#1|)) (-1299 |#1| |#2|)) 
-((-4546 ((|#3| |#3| (-790)) 23)) (-1430 ((|#3| |#3| (-790)) 28)) (-3230 ((|#3| |#3| |#3| (-790)) 29))) 
-(((-1294 |#1| |#2| |#3|) (-10 -7 (-15 -1430 (|#3| |#3| (-790))) (-15 -4546 (|#3| |#3| (-790))) (-15 -3230 (|#3| |#3| |#3| (-790)))) (-13 (-1075) (-734 (-433 (-592)))) (-869) (-1299 |#2| |#1|)) (T -1294)) 
-((-3230 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-1075) (-734 (-433 (-592))))) (-4 *5 (-869)) (-5 *1 (-1294 *4 *5 *2)) (-4 *2 (-1299 *5 *4)))) (-4546 (*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-1075) (-734 (-433 (-592))))) (-4 *5 (-869)) (-5 *1 (-1294 *4 *5 *2)) (-4 *2 (-1299 *5 *4)))) (-1430 (*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-1075) (-734 (-433 (-592))))) (-4 *5 (-869)) (-5 *1 (-1294 *4 *5 *2)) (-4 *2 (-1299 *5 *4))))) 
-(-10 -7 (-15 -1430 (|#3| |#3| (-790))) (-15 -4546 (|#3| |#3| (-790))) (-15 -3230 (|#3| |#3| |#3| (-790)))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2692 (((-658 |#1|) $) 39)) (-2350 (((-3 $ "failed") $ $) 18)) (-2549 (($ $ $) 42 (|has| |#2| (-194))) (($ $ (-790)) 41 (|has| |#2| (-194)))) (-3001 (($) 16 T CONST)) (-3305 (($ $ |#1|) 53) (($ $ (-841 |#1|)) 52) (($ $ $) 51)) (-4368 (((-3 (-841 |#1|) "failed") $) 63)) (-2400 (((-841 |#1|) $) 62)) (-3371 (((-3 $ "failed") $) 33)) (-3053 (((-141) $) 44)) (-1984 (($ $) 43)) (-3558 (((-141) $) 30)) (-2027 (((-141) $) 49)) (-1493 (($ (-841 |#1|) |#2|) 50)) (-4103 (($ $) 48)) (-3033 (((-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|)) $) 59)) (-3281 (((-841 |#1|) $) 60)) (-2731 (($ (-1 |#2| |#2|) $) 40)) (-2141 (($ $ |#1|) 56) (($ $ (-841 |#1|)) 55) (($ $ $) 54)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-2752 (((-141) $) 46)) (-4249 ((|#2| $) 45)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#2|) 67) (($ (-841 |#1|)) 64) (($ |#1|) 47)) (-1487 ((|#2| $ (-841 |#1|)) 58) ((|#2| $ $) 57)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1295 |#1| |#2|) (-1311) (-869) (-1075)) (T -1295)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1295 *3 *2)) (-4 *3 (-869)) (-4 *2 (-1075)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-3281 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-841 *3)))) (-3033 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-2 (|:| |k| (-841 *3)) (|:| |c| *4))))) (-1487 (*1 *2 *1 *3) (-12 (-5 *3 (-841 *4)) (-4 *1 (-1295 *4 *2)) (-4 *4 (-869)) (-4 *2 (-1075)))) (-1487 (*1 *2 *1 *1) (-12 (-4 *1 (-1295 *3 *2)) (-4 *3 (-869)) (-4 *2 (-1075)))) (-2141 (*1 *1 *1 *2) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-2141 (*1 *1 *1 *2) (-12 (-5 *2 (-841 *3)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) (-2141 (*1 *1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-3305 (*1 *1 *1 *2) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-3305 (*1 *1 *1 *2) (-12 (-5 *2 (-841 *3)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) (-3305 (*1 *1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-1493 (*1 *1 *2 *3) (-12 (-5 *2 (-841 *4)) (-4 *4 (-869)) (-4 *1 (-1295 *4 *3)) (-4 *3 (-1075)))) (-2027 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-141)))) (-4103 (*1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-1683 (*1 *1 *2) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-2752 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-141)))) (-4249 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *2)) (-4 *3 (-869)) (-4 *2 (-1075)))) (-3053 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-141)))) (-1984 (*1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) (-2549 (*1 *1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)) (-4 *3 (-194)))) (-2549 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-4 *4 (-194)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) (-2692 (*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-658 *3))))) 
-(-13 (-1075) (-1292 |t#2|) (-1065 (-841 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -3281 ((-841 |t#1|) $)) (-15 -3033 ((-2 (|:| |k| (-841 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -1487 (|t#2| $ (-841 |t#1|))) (-15 -1487 (|t#2| $ $)) (-15 -2141 ($ $ |t#1|)) (-15 -2141 ($ $ (-841 |t#1|))) (-15 -2141 ($ $ $)) (-15 -3305 ($ $ |t#1|)) (-15 -3305 ($ $ (-841 |t#1|))) (-15 -3305 ($ $ $)) (-15 -1493 ($ (-841 |t#1|) |t#2|)) (-15 -2027 ((-141) $)) (-15 -4103 ($ $)) (-15 -1683 ($ |t#1|)) (-15 -2752 ((-141) $)) (-15 -4249 (|t#2| $)) (-15 -3053 ((-141) $)) (-15 -1984 ($ $)) (IF (|has| |t#2| (-194)) (PROGN (-15 -2549 ($ $ $)) (-15 -2549 ($ $ (-790)))) |noBranch|) (-15 -2731 ($ (-1 |t#2| |t#2|) $)) (-15 -2692 ((-658 |t#1|) $)) (IF (|has| |t#2| (-6 -4618)) (-6 -4618) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-194)) ((-125) . T) ((-140 |#2| |#2|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#2|) . T) ((-661 $) . T) ((-734 |#2|) |has| |#2| (-194)) ((-743) . T) ((-1065 (-841 |#1|)) . T) ((-1081 |#2|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1292 |#2|) . T)) 
-((-1917 (((-141) $) 13)) (-3069 (((-141) $) 12)) (-3417 (($ $) 17) (($ $ (-790)) 18))) 
-(((-1296 |#1| |#2|) (-10 -8 (-15 -3417 (|#1| |#1| (-790))) (-15 -3417 (|#1| |#1|)) (-15 -1917 ((-141) |#1|)) (-15 -3069 ((-141) |#1|))) (-1297 |#2|) (-388)) (T -1296)) 
-NIL 
-(-10 -8 (-15 -3417 (|#1| |#1| (-790))) (-15 -3417 (|#1| |#1|)) (-15 -1917 ((-141) |#1|)) (-15 -3069 ((-141) |#1|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-3620 (((-2 (|:| -4509 $) (|:| -4612 $) (|:| |associate| $)) $) 40)) (-1555 (($ $) 39)) (-1313 (((-141) $) 37)) (-1917 (((-141) $) 90)) (-4424 (((-790)) 86)) (-2350 (((-3 $ "failed") $ $) 18)) (-3743 (($ $) 71)) (-3164 (((-444 $) $) 70)) (-3652 (((-141) $ $) 57)) (-3001 (($) 16 T CONST)) (-4368 (((-3 |#1| "failed") $) 97)) (-2400 ((|#1| $) 96)) (-1586 (($ $ $) 53)) (-3371 (((-3 $ "failed") $) 33)) (-1599 (($ $ $) 54)) (-1491 (((-2 (|:| -1487 (-658 $)) (|:| -2934 $)) (-658 $)) 49)) (-1525 (($ $ (-790)) 83 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394)))) (($ $) 82 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-2802 (((-141) $) 69)) (-4346 (((-855 (-944)) $) 80 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-3558 (((-141) $) 30)) (-2310 (((-3 (-658 $) "failed") (-658 $) $) 50)) (-2750 (($ $ $) 45) (($ (-658 $)) 44)) (-2685 (((-1173) $) 9)) (-4552 (($ $) 68)) (-2142 (((-141) $) 89)) (-2951 (((-1137) $) 10)) (-2536 (((-1187 $) (-1187 $) (-1187 $)) 43)) (-3548 (($ $ $) 47) (($ (-658 $)) 46)) (-4500 (((-444 $) $) 72)) (-3470 (((-855 (-944))) 87)) (-4159 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2934 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3616 (((-3 $ "failed") $ $) 41)) (-4539 (((-3 (-658 $) "failed") (-658 $) $) 48)) (-2769 (((-790) $) 56)) (-4570 (((-2 (|:| -2230 $) (|:| -3027 $)) $ $) 55)) (-2177 (((-3 (-790) "failed") $ $) 81 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-1936 (((-160)) 95)) (-4525 (((-855 (-944)) $) 88)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ $) 42) (($ (-433 (-592))) 63) (($ |#1|) 98)) (-1517 (((-3 $ "failed") $) 79 (-3836 (|has| |#1| (-169)) (|has| |#1| (-394))))) (-4010 (((-790)) 28)) (-2537 (((-141) $ $) 38)) (-3069 (((-141) $) 91)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32) (($ $ (-592)) 67)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3417 (($ $) 85 (|has| |#1| (-394))) (($ $ (-790)) 84 (|has| |#1| (-394)))) (-3255 (((-141) $ $) 6)) (-3313 (($ $ $) 62) (($ $ |#1|) 94)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31) (($ $ (-592)) 66)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ $ (-433 (-592))) 65) (($ (-433 (-592)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-1297 |#1|) (-1311) (-388)) (T -1297)) 
-((-3069 (*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) (-1917 (*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) (-2142 (*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-855 (-944))))) (-3470 (*1 *2) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-855 (-944))))) (-4424 (*1 *2) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-790)))) (-3417 (*1 *1 *1) (-12 (-4 *1 (-1297 *2)) (-4 *2 (-388)) (-4 *2 (-394)))) (-3417 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-4 *3 (-394))))) 
-(-13 (-388) (-1065 |t#1|) (-1287 |t#1|) (-10 -8 (IF (|has| |t#1| (-171)) (-6 (-171)) |noBranch|) (IF (|has| |t#1| (-169)) (-6 (-428)) |noBranch|) (-15 -3069 ((-141) $)) (-15 -1917 ((-141) $)) (-15 -2142 ((-141) $)) (-15 -4525 ((-855 (-944)) $)) (-15 -3470 ((-855 (-944)))) (-15 -4424 ((-790))) (IF (|has| |t#1| (-394)) (PROGN (-6 (-428)) (-15 -3417 ($ $)) (-15 -3417 ($ $ (-790)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-433 (-592))) . T) ((-43 $) . T) ((-125) . T) ((-140 (-433 (-592)) (-433 (-592))) . T) ((-140 |#1| |#1|) . T) ((-140 $ $) . T) ((-158) . T) ((-169) -3836 (|has| |#1| (-394)) (|has| |#1| (-169))) ((-171) |has| |#1| (-171)) ((-632 (-877)) . T) ((-194) . T) ((-260) . T) ((-307) . T) ((-323) . T) ((-388) . T) ((-428) -3836 (|has| |#1| (-394)) (|has| |#1| (-169))) ((-477) . T) ((-582) . T) ((-661 (-433 (-592))) . T) ((-661 |#1|) . T) ((-661 $) . T) ((-678) . T) ((-734 (-433 (-592))) . T) ((-734 |#1|) . T) ((-734 $) . T) ((-743) . T) ((-943) . T) ((-1065 |#1|) . T) ((-1081 (-433 (-592))) . T) ((-1081 |#1|) . T) ((-1081 $) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1235) . T) ((-1287 |#1|) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2692 (((-658 |#1|) $) 84)) (-1394 (($ $ (-790)) 87)) (-2350 (((-3 $ "failed") $ $) NIL)) (-2549 (($ $ $) NIL (|has| |#2| (-194))) (($ $ (-790)) NIL (|has| |#2| (-194)))) (-3001 (($) NIL T CONST)) (-3305 (($ $ |#1|) NIL) (($ $ (-841 |#1|)) NIL) (($ $ $) NIL)) (-4368 (((-3 (-841 |#1|) "failed") $) NIL) (((-3 (-915 |#1|) "failed") $) NIL)) (-2400 (((-841 |#1|) $) NIL) (((-915 |#1|) $) NIL)) (-4593 (($ $) 86)) (-3371 (((-3 $ "failed") $) NIL)) (-3053 (((-141) $) 75)) (-1984 (($ $) 79)) (-3679 (($ $ $ (-790)) 88)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-1493 (($ (-841 |#1|) |#2|) NIL) (($ (-915 |#1|) |#2|) 25)) (-4103 (($ $) 101)) (-3033 (((-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3281 (((-841 |#1|) $) NIL)) (-3494 (((-841 |#1|) $) NIL)) (-2731 (($ (-1 |#2| |#2|) $) NIL)) (-2141 (($ $ |#1|) NIL) (($ $ (-841 |#1|)) NIL) (($ $ $) NIL)) (-4546 (($ $ (-790)) 95 (|has| |#2| (-734 (-433 (-592)))))) (-3725 (((-658 (-2 (|:| |k| (-915 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2992 (((-2 (|:| |k| (-915 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4573 (((-915 |#1|) $) 69)) (-4579 ((|#2| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-1430 (($ $ (-790)) 92 (|has| |#2| (-734 (-433 (-592)))))) (-4525 (((-790) $) 85)) (-2752 (((-141) $) 70)) (-4249 ((|#2| $) 74)) (-1683 (((-877) $) 56) (($ (-592)) NIL) (($ |#2|) 50) (($ (-841 |#1|)) NIL) (($ |#1|) 58) (($ (-915 |#1|)) NIL) (($ (-681 |#1| |#2|)) 42) (((-1293 |#1| |#2|) $) 63) (((-1302 |#1| |#2|) $) 68)) (-1647 (((-658 |#2|) $) NIL)) (-1937 ((|#2| $ (-915 |#1|)) NIL)) (-1487 ((|#2| $ (-841 |#1|)) NIL) ((|#2| $ $) NIL)) (-4010 (((-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 21 T CONST)) (-4257 (($) 24 T CONST)) (-1651 (((-3 (-681 |#1| |#2|) "failed") $) 100)) (-3255 (((-141) $ $) 64)) (-3306 (($ $) 94) (($ $ $) 93)) (-3300 (($ $ $) 20)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-915 |#1|)) NIL))) 
-(((-1298 |#1| |#2|) (-13 (-1299 |#1| |#2|) (-408 |#2| (-915 |#1|)) (-10 -8 (-15 -1683 ($ (-681 |#1| |#2|))) (-15 -1683 ((-1293 |#1| |#2|) $)) (-15 -1683 ((-1302 |#1| |#2|) $)) (-15 -1651 ((-3 (-681 |#1| |#2|) "failed") $)) (-15 -3679 ($ $ $ (-790))) (IF (|has| |#2| (-734 (-433 (-592)))) (PROGN (-15 -1430 ($ $ (-790))) (-15 -4546 ($ $ (-790)))) |noBranch|))) (-869) (-194)) (T -1298)) 
-((-1683 (*1 *1 *2) (-12 (-5 *2 (-681 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *1 (-1298 *3 *4)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1293 *3 *4)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-1683 (*1 *2 *1) (-12 (-5 *2 (-1302 *3 *4)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-1651 (*1 *2 *1) (|partial| -12 (-5 *2 (-681 *3 *4)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-3679 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) (-1430 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1298 *3 *4)) (-4 *4 (-734 (-433 (-592)))) (-4 *3 (-869)) (-4 *4 (-194)))) (-4546 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1298 *3 *4)) (-4 *4 (-734 (-433 (-592)))) (-4 *3 (-869)) (-4 *4 (-194))))) 
-(-13 (-1299 |#1| |#2|) (-408 |#2| (-915 |#1|)) (-10 -8 (-15 -1683 ($ (-681 |#1| |#2|))) (-15 -1683 ((-1293 |#1| |#2|) $)) (-15 -1683 ((-1302 |#1| |#2|) $)) (-15 -1651 ((-3 (-681 |#1| |#2|) "failed") $)) (-15 -3679 ($ $ $ (-790))) (IF (|has| |#2| (-734 (-433 (-592)))) (PROGN (-15 -1430 ($ $ (-790))) (-15 -4546 ($ $ (-790)))) |noBranch|))) 
-((-1641 (((-141) $ $) 7)) (-2272 (((-141) $) 15)) (-2692 (((-658 |#1|) $) 39)) (-1394 (($ $ (-790)) 68)) (-2350 (((-3 $ "failed") $ $) 18)) (-2549 (($ $ $) 42 (|has| |#2| (-194))) (($ $ (-790)) 41 (|has| |#2| (-194)))) (-3001 (($) 16 T CONST)) (-3305 (($ $ |#1|) 53) (($ $ (-841 |#1|)) 52) (($ $ $) 51)) (-4368 (((-3 (-841 |#1|) "failed") $) 63)) (-2400 (((-841 |#1|) $) 62)) (-3371 (((-3 $ "failed") $) 33)) (-3053 (((-141) $) 44)) (-1984 (($ $) 43)) (-3558 (((-141) $) 30)) (-2027 (((-141) $) 49)) (-1493 (($ (-841 |#1|) |#2|) 50)) (-4103 (($ $) 48)) (-3033 (((-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|)) $) 59)) (-3281 (((-841 |#1|) $) 60)) (-3494 (((-841 |#1|) $) 70)) (-2731 (($ (-1 |#2| |#2|) $) 40)) (-2141 (($ $ |#1|) 56) (($ $ (-841 |#1|)) 55) (($ $ $) 54)) (-2685 (((-1173) $) 9)) (-2951 (((-1137) $) 10)) (-4525 (((-790) $) 69)) (-2752 (((-141) $) 46)) (-4249 ((|#2| $) 45)) (-1683 (((-877) $) 11) (($ (-592)) 27) (($ |#2|) 67) (($ (-841 |#1|)) 64) (($ |#1|) 47)) (-1487 ((|#2| $ (-841 |#1|)) 58) ((|#2| $ $) 57)) (-4010 (((-790)) 28)) (-1424 (($ $ (-944)) 25) (($ $ (-790)) 32)) (-3514 (($) 17 T CONST)) (-4257 (($) 29 T CONST)) (-3255 (((-141) $ $) 6)) (-3306 (($ $) 21) (($ $ $) 20)) (-3300 (($ $ $) 13)) (** (($ $ (-944)) 24) (($ $ (-790)) 31)) (* (($ (-944) $) 12) (($ (-790) $) 14) (($ (-592) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1299 |#1| |#2|) (-1311) (-869) (-1075)) (T -1299)) 
-((-3494 (*1 *2 *1) (-12 (-4 *1 (-1299 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-841 *3)))) (-4525 (*1 *2 *1) (-12 (-4 *1 (-1299 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-790)))) (-1394 (*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1299 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075))))) 
-(-13 (-1295 |t#1| |t#2|) (-10 -8 (-15 -3494 ((-841 |t#1|) $)) (-15 -4525 ((-790) $)) (-15 -1394 ($ $ (-790))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-194)) ((-125) . T) ((-140 |#2| |#2|) . T) ((-158) . T) ((-632 (-877)) . T) ((-661 |#2|) . T) ((-661 $) . T) ((-734 |#2|) |has| |#2| (-194)) ((-743) . T) ((-1065 (-841 |#1|)) . T) ((-1081 |#2|) . T) ((-1075) . T) ((-1082) . T) ((-1131) . T) ((-1119) . T) ((-1292 |#2|) . T) ((-1295 |#1| |#2|) . T)) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2692 (((-658 (-1191)) $) NIL)) (-4136 (($ (-1293 (-1191) |#1|)) NIL)) (-1394 (($ $ (-790)) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-2549 (($ $ $) NIL (|has| |#1| (-194))) (($ $ (-790)) NIL (|has| |#1| (-194)))) (-3001 (($) NIL T CONST)) (-3305 (($ $ (-1191)) NIL) (($ $ (-841 (-1191))) NIL) (($ $ $) NIL)) (-4368 (((-3 (-841 (-1191)) "failed") $) NIL)) (-2400 (((-841 (-1191)) $) NIL)) (-3371 (((-3 $ "failed") $) NIL)) (-3053 (((-141) $) NIL)) (-1984 (($ $) NIL)) (-3558 (((-141) $) NIL)) (-2027 (((-141) $) NIL)) (-1493 (($ (-841 (-1191)) |#1|) NIL)) (-4103 (($ $) NIL)) (-3033 (((-2 (|:| |k| (-841 (-1191))) (|:| |c| |#1|)) $) NIL)) (-3281 (((-841 (-1191)) $) NIL)) (-3494 (((-841 (-1191)) $) NIL)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-2141 (($ $ (-1191)) NIL) (($ $ (-841 (-1191))) NIL) (($ $ $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3098 (((-1293 (-1191) |#1|) $) NIL)) (-4525 (((-790) $) NIL)) (-2752 (((-141) $) NIL)) (-4249 ((|#1| $) NIL)) (-1683 (((-877) $) NIL) (($ (-592)) NIL) (($ |#1|) NIL) (($ (-841 (-1191))) NIL) (($ (-1191)) NIL)) (-1487 ((|#1| $ (-841 (-1191))) NIL) ((|#1| $ $) NIL)) (-4010 (((-790)) NIL)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) NIL T CONST)) (-4429 (((-658 (-2 (|:| |k| (-1191)) (|:| |c| $))) $) NIL)) (-4257 (($) NIL T CONST)) (-3255 (((-141) $ $) NIL)) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) NIL)) (** (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1191) $) NIL))) 
-(((-1300 |#1|) (-13 (-1299 (-1191) |#1|) (-10 -8 (-15 -3098 ((-1293 (-1191) |#1|) $)) (-15 -4136 ($ (-1293 (-1191) |#1|))) (-15 -4429 ((-658 (-2 (|:| |k| (-1191)) (|:| |c| $))) $)))) (-1075)) (T -1300)) 
-((-3098 (*1 *2 *1) (-12 (-5 *2 (-1293 (-1191) *3)) (-5 *1 (-1300 *3)) (-4 *3 (-1075)))) (-4136 (*1 *1 *2) (-12 (-5 *2 (-1293 (-1191) *3)) (-4 *3 (-1075)) (-5 *1 (-1300 *3)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| (-1191)) (|:| |c| (-1300 *3))))) (-5 *1 (-1300 *3)) (-4 *3 (-1075))))) 
-(-13 (-1299 (-1191) |#1|) (-10 -8 (-15 -3098 ((-1293 (-1191) |#1|) $)) (-15 -4136 ($ (-1293 (-1191) |#1|))) (-15 -4429 ((-658 (-2 (|:| |k| (-1191)) (|:| |c| $))) $)))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2350 (((-3 $ "failed") $ $) NIL)) (-3001 (($) NIL T CONST)) (-4368 (((-3 |#2| "failed") $) NIL)) (-2400 ((|#2| $) NIL)) (-4593 (($ $) NIL)) (-3371 (((-3 $ "failed") $) 34)) (-3053 (((-141) $) 29)) (-1984 (($ $) 30)) (-3558 (((-141) $) NIL)) (-4036 (((-790) $) NIL)) (-3108 (((-658 $) $) NIL)) (-2027 (((-141) $) NIL)) (-1493 (($ |#2| |#1|) NIL)) (-3281 ((|#2| $) 19)) (-3494 ((|#2| $) 16)) (-2731 (($ (-1 |#1| |#1|) $) NIL)) (-3725 (((-658 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-2992 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-4573 ((|#2| $) NIL)) (-4579 ((|#1| $) NIL)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-2752 (((-141) $) 27)) (-4249 ((|#1| $) 28)) (-1683 (((-877) $) 53) (($ (-592)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-1647 (((-658 |#1|) $) NIL)) (-1937 ((|#1| $ |#2|) NIL)) (-1487 ((|#1| $ |#2|) 24)) (-4010 (((-790)) 14)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 25 T CONST)) (-4257 (($) 11 T CONST)) (-3255 (((-141) $ $) 26)) (-3313 (($ $ |#1|) 55 (|has| |#1| (-388)))) (-3306 (($ $) NIL) (($ $ $) NIL)) (-3300 (($ $ $) 42)) (** (($ $ (-944)) NIL) (($ $ (-790)) 44)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-1699 (((-790) $) 15))) 
-(((-1301 |#1| |#2|) (-13 (-1075) (-1292 |#1|) (-408 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -1699 ((-790) $)) (-15 -1683 ($ |#2|)) (-15 -3494 (|#2| $)) (-15 -3281 (|#2| $)) (-15 -4593 ($ $)) (-15 -1487 (|#1| $ |#2|)) (-15 -2752 ((-141) $)) (-15 -4249 (|#1| $)) (-15 -3053 ((-141) $)) (-15 -1984 ($ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-388)) (-15 -3313 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4618)) (-6 -4618) |noBranch|) (IF (|has| |#1| (-6 -4622)) (-6 -4622) |noBranch|) (IF (|has| |#1| (-6 -4623)) (-6 -4623) |noBranch|))) (-1075) (-865)) (T -1301)) 
-((* (*1 *1 *1 *2) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-865)))) (-4593 (*1 *1 *1) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-865)))) (-2731 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-1301 *3 *4)) (-4 *4 (-865)))) (-1683 (*1 *1 *2) (-12 (-5 *1 (-1301 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-865)))) (-1699 (*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1301 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-865)))) (-3494 (*1 *2 *1) (-12 (-4 *2 (-865)) (-5 *1 (-1301 *3 *2)) (-4 *3 (-1075)))) (-3281 (*1 *2 *1) (-12 (-4 *2 (-865)) (-5 *1 (-1301 *3 *2)) (-4 *3 (-1075)))) (-1487 (*1 *2 *1 *3) (-12 (-4 *2 (-1075)) (-5 *1 (-1301 *2 *3)) (-4 *3 (-865)))) (-2752 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1301 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-865)))) (-4249 (*1 *2 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-1301 *2 *3)) (-4 *3 (-865)))) (-3053 (*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1301 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-865)))) (-1984 (*1 *1 *1) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-865)))) (-3313 (*1 *1 *1 *2) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-388)) (-4 *2 (-1075)) (-4 *3 (-865))))) 
-(-13 (-1075) (-1292 |#1|) (-408 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -1699 ((-790) $)) (-15 -1683 ($ |#2|)) (-15 -3494 (|#2| $)) (-15 -3281 (|#2| $)) (-15 -4593 ($ $)) (-15 -1487 (|#1| $ |#2|)) (-15 -2752 ((-141) $)) (-15 -4249 (|#1| $)) (-15 -3053 ((-141) $)) (-15 -1984 ($ $)) (-15 -2731 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-388)) (-15 -3313 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4618)) (-6 -4618) |noBranch|) (IF (|has| |#1| (-6 -4622)) (-6 -4622) |noBranch|) (IF (|has| |#1| (-6 -4623)) (-6 -4623) |noBranch|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) NIL)) (-2692 (((-658 |#1|) $) 119)) (-4136 (($ (-1293 |#1| |#2|)) 43)) (-1394 (($ $ (-790)) 31)) (-2350 (((-3 $ "failed") $ $) NIL)) (-2549 (($ $ $) 47 (|has| |#2| (-194))) (($ $ (-790)) 45 (|has| |#2| (-194)))) (-3001 (($) NIL T CONST)) (-3305 (($ $ |#1|) 101) (($ $ (-841 |#1|)) 102) (($ $ $) 25)) (-4368 (((-3 (-841 |#1|) "failed") $) NIL)) (-2400 (((-841 |#1|) $) NIL)) (-3371 (((-3 $ "failed") $) 109)) (-3053 (((-141) $) 104)) (-1984 (($ $) 105)) (-3558 (((-141) $) NIL)) (-2027 (((-141) $) NIL)) (-1493 (($ (-841 |#1|) |#2|) 19)) (-4103 (($ $) NIL)) (-3033 (((-2 (|:| |k| (-841 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3281 (((-841 |#1|) $) 110)) (-3494 (((-841 |#1|) $) 113)) (-2731 (($ (-1 |#2| |#2|) $) 118)) (-2141 (($ $ |#1|) 99) (($ $ (-841 |#1|)) 100) (($ $ $) 55)) (-2685 (((-1173) $) NIL)) (-2951 (((-1137) $) NIL)) (-3098 (((-1293 |#1| |#2|) $) 83)) (-4525 (((-790) $) 116)) (-2752 (((-141) $) 69)) (-4249 ((|#2| $) 27)) (-1683 (((-877) $) 62) (($ (-592)) 76) (($ |#2|) 73) (($ (-841 |#1|)) 17) (($ |#1|) 72)) (-1487 ((|#2| $ (-841 |#1|)) 103) ((|#2| $ $) 26)) (-4010 (((-790)) 107)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 14 T CONST)) (-4429 (((-658 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-4257 (($) 28 T CONST)) (-3255 (((-141) $ $) 13)) (-3306 (($ $) 87) (($ $ $) 90)) (-3300 (($ $ $) 54)) (** (($ $ (-944)) NIL) (($ $ (-790)) 48)) (* (($ (-944) $) NIL) (($ (-790) $) 46) (($ (-592) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
-(((-1302 |#1| |#2|) (-13 (-1299 |#1| |#2|) (-10 -8 (-15 -3098 ((-1293 |#1| |#2|) $)) (-15 -4136 ($ (-1293 |#1| |#2|))) (-15 -4429 ((-658 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-869) (-1075)) (T -1302)) 
-((-3098 (*1 *2 *1) (-12 (-5 *2 (-1293 *3 *4)) (-5 *1 (-1302 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) (-4136 (*1 *1 *2) (-12 (-5 *2 (-1293 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *1 (-1302 *3 *4)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| *3) (|:| |c| (-1302 *3 *4))))) (-5 *1 (-1302 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075))))) 
-(-13 (-1299 |#1| |#2|) (-10 -8 (-15 -3098 ((-1293 |#1| |#2|) $)) (-15 -4136 ($ (-1293 |#1| |#2|))) (-15 -4429 ((-658 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
-((-3820 (((-658 (-1171 |#1|)) (-1 (-658 (-1171 |#1|)) (-658 (-1171 |#1|))) (-592)) 15) (((-1171 |#1|) (-1 (-1171 |#1|) (-1171 |#1|))) 11))) 
-(((-1303 |#1|) (-10 -7 (-15 -3820 ((-1171 |#1|) (-1 (-1171 |#1|) (-1171 |#1|)))) (-15 -3820 ((-658 (-1171 |#1|)) (-1 (-658 (-1171 |#1|)) (-658 (-1171 |#1|))) (-592)))) (-1225)) (T -1303)) 
-((-3820 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-658 (-1171 *5)) (-658 (-1171 *5)))) (-5 *4 (-592)) (-5 *2 (-658 (-1171 *5))) (-5 *1 (-1303 *5)) (-4 *5 (-1225)))) (-3820 (*1 *2 *3) (-12 (-5 *3 (-1 (-1171 *4) (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1303 *4)) (-4 *4 (-1225))))) 
-(-10 -7 (-15 -3820 ((-1171 |#1|) (-1 (-1171 |#1|) (-1171 |#1|)))) (-15 -3820 ((-658 (-1171 |#1|)) (-1 (-658 (-1171 |#1|)) (-658 (-1171 |#1|))) (-592)))) 
-((-2472 (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|))) 145) (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141)) 144) (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141)) 143) (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141) (-141)) 142) (((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-1072 |#1| |#2|)) 127)) (-2317 (((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|))) 70) (((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)) (-141)) 69) (((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)) (-141) (-141)) 68)) (-3164 (((-658 (-1160 |#1| (-558 (-879 |#3|)) (-879 |#3|) (-802 |#1| (-879 |#3|)))) (-1072 |#1| |#2|)) 59)) (-3006 (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|))) 112) (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141)) 111) (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141)) 110) (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141) (-141)) 109) (((-658 (-658 (-1051 (-433 |#1|)))) (-1072 |#1| |#2|)) 104)) (-3605 (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|))) 117) (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141)) 116) (((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141)) 115) (((-658 (-658 (-1051 (-433 |#1|)))) (-1072 |#1| |#2|)) 114)) (-1778 (((-658 (-802 |#1| (-879 |#3|))) (-1160 |#1| (-558 (-879 |#3|)) (-879 |#3|) (-802 |#1| (-879 |#3|)))) 96) (((-1187 (-1051 (-433 |#1|))) (-1187 |#1|)) 87) (((-980 (-1051 (-433 |#1|))) (-802 |#1| (-879 |#3|))) 94) (((-980 (-1051 (-433 |#1|))) (-980 |#1|)) 92) (((-802 |#1| (-879 |#3|)) (-802 |#1| (-879 |#2|))) 32))) 
-(((-1304 |#1| |#2| |#3|) (-10 -7 (-15 -2317 ((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)) (-141) (-141))) (-15 -2317 ((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)) (-141))) (-15 -2317 ((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-1072 |#1| |#2|))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141) (-141))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-1072 |#1| |#2|))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141) (-141))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-1072 |#1| |#2|))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)))) (-15 -3164 ((-658 (-1160 |#1| (-558 (-879 |#3|)) (-879 |#3|) (-802 |#1| (-879 |#3|)))) (-1072 |#1| |#2|))) (-15 -1778 ((-802 |#1| (-879 |#3|)) (-802 |#1| (-879 |#2|)))) (-15 -1778 ((-980 (-1051 (-433 |#1|))) (-980 |#1|))) (-15 -1778 ((-980 (-1051 (-433 |#1|))) (-802 |#1| (-879 |#3|)))) (-15 -1778 ((-1187 (-1051 (-433 |#1|))) (-1187 |#1|))) (-15 -1778 ((-658 (-802 |#1| (-879 |#3|))) (-1160 |#1| (-558 (-879 |#3|)) (-879 |#3|) (-802 |#1| (-879 |#3|)))))) (-13 (-867) (-323) (-171) (-1049)) (-658 (-1191)) (-658 (-1191))) (T -1304)) 
-((-1778 (*1 *2 *3) (-12 (-5 *3 (-1160 *4 (-558 (-879 *6)) (-879 *6) (-802 *4 (-879 *6)))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-802 *4 (-879 *6)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-1187 (-1051 (-433 *4)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-802 *4 (-879 *6))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *6 (-658 (-1191))) (-5 *2 (-980 (-1051 (-433 *4)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-980 (-1051 (-433 *4)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) (-1778 (*1 *2 *3) (-12 (-5 *3 (-802 *4 (-879 *5))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-802 *4 (-879 *6))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) (-3164 (*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-1160 *4 (-558 (-879 *6)) (-879 *6) (-802 *4 (-879 *6))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) (-3605 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) (-3605 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-3605 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-3605 (*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) (-3006 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) (-3006 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-3006 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-3006 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-3006 (*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) (-2472 (*1 *2 *3) (-12 (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *4)) (|:| -2231 (-658 (-980 *4)))))) (-5 *1 (-1304 *4 *5 *6)) (-5 *3 (-658 (-980 *4))) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) (-2472 (*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1304 *5 *6 *7)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-2472 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1304 *5 *6 *7)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-2472 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1304 *5 *6 *7)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-2472 (*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *4)) (|:| -2231 (-658 (-980 *4)))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) (-2317 (*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-1072 *4 *5))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) (-2317 (*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) (-2317 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191)))))) 
-(-10 -7 (-15 -2317 ((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)) (-141) (-141))) (-15 -2317 ((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)) (-141))) (-15 -2317 ((-658 (-1072 |#1| |#2|)) (-658 (-980 |#1|)))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-1072 |#1| |#2|))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141) (-141))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141) (-141))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)) (-141))) (-15 -2472 ((-658 (-2 (|:| -1666 (-1187 |#1|)) (|:| -2231 (-658 (-980 |#1|))))) (-658 (-980 |#1|)))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-1072 |#1| |#2|))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141) (-141))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141))) (-15 -3006 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-1072 |#1| |#2|))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141) (-141))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)) (-141))) (-15 -3605 ((-658 (-658 (-1051 (-433 |#1|)))) (-658 (-980 |#1|)))) (-15 -3164 ((-658 (-1160 |#1| (-558 (-879 |#3|)) (-879 |#3|) (-802 |#1| (-879 |#3|)))) (-1072 |#1| |#2|))) (-15 -1778 ((-802 |#1| (-879 |#3|)) (-802 |#1| (-879 |#2|)))) (-15 -1778 ((-980 (-1051 (-433 |#1|))) (-980 |#1|))) (-15 -1778 ((-980 (-1051 (-433 |#1|))) (-802 |#1| (-879 |#3|)))) (-15 -1778 ((-1187 (-1051 (-433 |#1|))) (-1187 |#1|))) (-15 -1778 ((-658 (-802 |#1| (-879 |#3|))) (-1160 |#1| (-558 (-879 |#3|)) (-879 |#3|) (-802 |#1| (-879 |#3|)))))) 
-((-1684 (((-3 (-1280 (-433 (-592))) "failed") (-1280 |#1|) |#1|) 17)) (-2358 (((-141) (-1280 |#1|)) 11)) (-3762 (((-3 (-1280 (-592)) "failed") (-1280 |#1|)) 14))) 
-(((-1305 |#1|) (-10 -7 (-15 -2358 ((-141) (-1280 |#1|))) (-15 -3762 ((-3 (-1280 (-592)) "failed") (-1280 |#1|))) (-15 -1684 ((-3 (-1280 (-433 (-592))) "failed") (-1280 |#1|) |#1|))) (-654 (-592))) (T -1305)) 
-((-1684 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 (-592))) (-5 *2 (-1280 (-433 (-592)))) (-5 *1 (-1305 *4)))) (-3762 (*1 *2 *3) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 (-592))) (-5 *2 (-1280 (-592))) (-5 *1 (-1305 *4)))) (-2358 (*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-654 (-592))) (-5 *2 (-141)) (-5 *1 (-1305 *4))))) 
-(-10 -7 (-15 -2358 ((-141) (-1280 |#1|))) (-15 -3762 ((-3 (-1280 (-592)) "failed") (-1280 |#1|))) (-15 -1684 ((-3 (-1280 (-433 (-592))) "failed") (-1280 |#1|) |#1|))) 
-((-1641 (((-141) $ $) NIL)) (-2272 (((-141) $) 11)) (-2350 (((-3 $ "failed") $ $) NIL)) (-1403 (((-790)) 8)) (-3001 (($) NIL T CONST)) (-3371 (((-3 $ "failed") $) 43)) (-4290 (($) 36)) (-3558 (((-141) $) NIL)) (-3921 (((-3 $ "failed") $) 29)) (-3546 (((-944) $) 15)) (-2685 (((-1173) $) NIL)) (-3703 (($) 25 T CONST)) (-1825 (($ (-944)) 37)) (-2951 (((-1137) $) NIL)) (-1405 (((-658 $)) NIL)) (-1778 (((-592) $) 13)) (-1683 (((-877) $) 22) (($ (-592)) 19)) (-4010 (((-790)) 9)) (-1424 (($ $ (-944)) NIL) (($ $ (-790)) NIL)) (-3514 (($) 23 T CONST)) (-4257 (($) 24 T CONST)) (-3255 (((-141) $ $) 27)) (-3306 (($ $) 38) (($ $ $) 35)) (-3300 (($ $ $) 26)) (** (($ $ (-944)) NIL) (($ $ (-790)) 40)) (* (($ (-944) $) NIL) (($ (-790) $) NIL) (($ (-592) $) 32) (($ $ $) 31))) 
-(((-1306 |#1|) (-13 (-194) (-394) (-633 (-592)) (-1165)) (-944)) (T -1306)) 
-NIL 
-(-13 (-194) (-394) (-633 (-592)) (-1165)) 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-((-1311 3640255 3640260 3640265 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3640240 3640245 3640250 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3640225 3640230 3640235 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3640210 3640215 3640220 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3640195 3640200 3640205 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1306 3639300 3640070 3640147 "ZMOD" 3640152 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1305 3638410 3638574 3638783 "ZLINDEP" 3639132 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1304 3627714 3629478 3631450 "ZDSOLVE" 3636540 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1303 3626960 3627101 3627290 "YSTREAM" 3627560 NIL YSTREAM (NIL T) -7 NIL NIL) (-1302 3624725 3626261 3626465 "XRPOLY" 3626803 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1301 3621179 3622508 3623088 "XPR" 3624192 NIL XPR (NIL T T) -8 NIL NIL) (-1300 3618889 3620510 3620714 "XPOLY" 3621010 NIL XPOLY (NIL T) -8 NIL NIL) (-1299 3616693 3618071 3618127 "XPOLYC" 3618415 NIL XPOLYC (NIL T T) -9 NIL 3618528) (-1298 3613067 3615212 3615599 "XPBWPOLY" 3616352 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1297 3608932 3611242 3611285 "XF" 3611906 NIL XF (NIL T) -9 NIL 3612303) (-1296 3608553 3608641 3608810 "XF-" 3608815 NIL XF- (NIL T T) -8 NIL NIL) (-1295 3603902 3605201 3605257 "XFALG" 3607429 NIL XFALG (NIL T T) -9 NIL 3608216) (-1294 3603035 3603139 3603344 "XEXPPKG" 3603794 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1293 3601132 3602885 3602981 "XDPOLY" 3602986 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1292 3600004 3600614 3600658 "XALG" 3600721 NIL XALG (NIL T) -9 NIL 3600840) (-1291 3593473 3597981 3598475 "WUTSET" 3599596 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1290 3591282 3592089 3592440 "WP" 3593256 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1289 3590168 3590366 3590661 "WFFINTBS" 3591079 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1288 3588072 3588499 3588961 "WEIER" 3589740 NIL WEIER (NIL T) -7 NIL NIL) (-1287 3587218 3587642 3587685 "VSPACE" 3587821 NIL VSPACE (NIL T) -9 NIL 3587895) (-1286 3587056 3587083 3587174 "VSPACE-" 3587179 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1285 3586802 3586845 3586916 "VOID" 3587007 T VOID (NIL) -8 NIL NIL) (-1284 3584938 3585297 3585703 "VIEW" 3586418 T VIEW (NIL) -7 NIL NIL) (-1283 3581363 3582001 3582738 "VIEWDEF" 3584223 T VIEWDEF (NIL) -7 NIL NIL) (-1282 3570702 3572911 3575084 "VIEW3D" 3579212 T VIEW3D (NIL) -8 NIL NIL) (-1281 3562984 3564613 3566192 "VIEW2D" 3569145 T VIEW2D (NIL) -8 NIL NIL) (-1280 3558392 3562754 3562846 "VECTOR" 3562927 NIL VECTOR (NIL T) -8 NIL NIL) (-1279 3556969 3557228 3557546 "VECTOR2" 3558122 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1278 3550534 3554780 3554824 "VECTCAT" 3555819 NIL VECTCAT (NIL T) -9 NIL 3556399) (-1277 3549548 3549802 3550192 "VECTCAT-" 3550197 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1276 3549029 3549199 3549319 "VARIABLE" 3549463 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1275 3541071 3546862 3547340 "UTSZ" 3548599 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1274 3540677 3540727 3540861 "UTSSOL" 3541015 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1273 3539509 3539663 3539924 "UTSODETL" 3540504 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1272 3536949 3537409 3537933 "UTSODE" 3539050 NIL UTSODE (NIL T T) -7 NIL NIL) (-1271 3528782 3534577 3535065 "UTS" 3536519 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1270 3520066 3525426 3525470 "UTSCAT" 3526582 NIL UTSCAT (NIL T) -9 NIL 3527333) (-1269 3517421 3518136 3519125 "UTSCAT-" 3519130 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1268 3517048 3517091 3517224 "UTS2" 3517372 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1267 3511362 3513921 3513965 "URAGG" 3516035 NIL URAGG (NIL T) -9 NIL 3516757) (-1266 3508301 3509164 3510287 "URAGG-" 3510292 NIL URAGG- (NIL T T) -8 NIL NIL) (-1265 3503979 3506915 3507387 "UPXSSING" 3507965 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1264 3495866 3503096 3503377 "UPXS" 3503756 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1263 3488894 3495770 3495842 "UPXSCONS" 3495847 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1262 3479077 3485902 3485965 "UPXSCCA" 3486621 NIL UPXSCCA (NIL T T) -9 NIL 3486863) (-1261 3478715 3478800 3478974 "UPXSCCA-" 3478979 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1260 3468830 3475428 3475472 "UPXSCAT" 3476120 NIL UPXSCAT (NIL T) -9 NIL 3476722) (-1259 3468260 3468339 3468518 "UPXS2" 3468745 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1258 3466914 3467167 3467518 "UPSQFREE" 3468003 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1257 3460747 3463797 3463853 "UPSCAT" 3465014 NIL UPSCAT (NIL T T) -9 NIL 3465783) (-1256 3459951 3460158 3460485 "UPSCAT-" 3460490 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1255 3445628 3453796 3453840 "UPOLYC" 3456020 NIL UPOLYC (NIL T) -9 NIL 3457265) (-1254 3436862 3439318 3442497 "UPOLYC-" 3442502 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1253 3436489 3436532 3436665 "UPOLYC2" 3436813 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1252 3427900 3436055 3436193 "UP" 3436399 NIL UP (NIL NIL T) -8 NIL NIL) (-1251 3427239 3427346 3427510 "UPMP" 3427789 NIL UPMP (NIL T T) -7 NIL NIL) (-1250 3426792 3426873 3427012 "UPDIVP" 3427152 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1249 3425360 3425609 3425925 "UPDECOMP" 3426541 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1248 3424591 3424703 3424889 "UPCDEN" 3425244 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1247 3424110 3424179 3424328 "UP2" 3424516 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1246 3422631 3423318 3423593 "UNISEG" 3423870 NIL UNISEG (NIL T) -8 NIL NIL) (-1245 3421848 3421975 3422179 "UNISEG2" 3422475 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1244 3420908 3421088 3421314 "UNIFACT" 3421664 NIL UNIFACT (NIL T) -7 NIL NIL) (-1243 3404792 3420087 3420337 "ULS" 3420716 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1242 3392747 3404696 3404768 "ULSCONS" 3404773 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1241 3375383 3387400 3387463 "ULSCCAT" 3388183 NIL ULSCCAT (NIL T T) -9 NIL 3388480) (-1240 3374433 3374678 3375066 "ULSCCAT-" 3375071 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1239 3364243 3370852 3370896 "ULSCAT" 3371759 NIL ULSCAT (NIL T) -9 NIL 3372482) (-1238 3363673 3363752 3363931 "ULS2" 3364158 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1237 3355811 3361664 3362164 "UFPS" 3363208 NIL UFPS (NIL T) -8 NIL NIL) (-1236 3355508 3355565 3355663 "UFPS1" 3355748 NIL UFPS1 (NIL T) -7 NIL NIL) (-1235 3353812 3354855 3354886 "UFD" 3355098 T UFD (NIL) -9 NIL 3355212) (-1234 3353606 3353652 3353747 "UFD-" 3353752 NIL UFD- (NIL T) -8 NIL NIL) (-1233 3352688 3352871 3353087 "UDVO" 3353412 T UDVO (NIL) -7 NIL NIL) (-1232 3350506 3350915 3351385 "UDPO" 3352253 NIL UDPO (NIL T) -7 NIL NIL) (-1231 3346469 3350451 3350487 "U8VEC" 3350492 T U8VEC (NIL) -8 NIL NIL) (-1230 3342663 3346233 3346331 "U8MAT" 3346393 T U8MAT (NIL) -8 NIL NIL) (-1229 3338626 3342608 3342644 "U32VEC" 3342649 T U32VEC (NIL) -8 NIL NIL) (-1228 3334820 3338390 3338488 "U32MAT" 3338550 T U32MAT (NIL) -8 NIL NIL) (-1227 3330783 3334765 3334801 "U16VEC" 3334806 T U16VEC (NIL) -8 NIL NIL) (-1226 3326977 3330547 3330645 "U16MAT" 3330707 T U16MAT (NIL) -8 NIL NIL) (-1225 3326909 3326914 3326945 "TYPE" 3326950 T TYPE (NIL) -9 NIL NIL) (-1224 3325880 3326082 3326322 "TWOFACT" 3326703 NIL TWOFACT (NIL T) -7 NIL NIL) (-1223 3324952 3325283 3325482 "TUPLE" 3325716 NIL TUPLE (NIL T) -8 NIL NIL) (-1222 3322643 3323162 3323701 "TUBETOOL" 3324435 T TUBETOOL (NIL) -7 NIL NIL) (-1221 3321485 3321690 3321932 "TUBE" 3322436 NIL TUBE (NIL T) -8 NIL NIL) (-1220 3316205 3320459 3320741 "TS" 3321238 NIL TS (NIL T) -8 NIL NIL) (-1219 3304877 3308962 3309060 "TSETCAT" 3314329 NIL TSETCAT (NIL T T T T) -9 NIL 3315860) (-1218 3299612 3301209 3303100 "TSETCAT-" 3303105 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1217 3293882 3294729 3295667 "TRMANIP" 3298752 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1216 3293323 3293386 3293549 "TRIMAT" 3293814 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1215 3291119 3291356 3291720 "TRIGMNIP" 3293072 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1214 3290638 3290751 3290782 "TRIGCAT" 3290995 T TRIGCAT (NIL) -9 NIL NIL) (-1213 3290307 3290386 3290527 "TRIGCAT-" 3290532 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1212 3287210 3289165 3289446 "TREE" 3290061 NIL TREE (NIL T) -8 NIL NIL) (-1211 3286481 3287009 3287040 "TRANFUN" 3287075 T TRANFUN (NIL) -9 NIL 3287142) (-1210 3285760 3285951 3286231 "TRANFUN-" 3286236 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1209 3285564 3285596 3285657 "TOPSP" 3285721 T TOPSP (NIL) -7 NIL NIL) (-1208 3284912 3285027 3285181 "TOOLSIGN" 3285445 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1207 3283547 3284089 3284328 "TEXTFILE" 3284695 T TEXTFILE (NIL) -8 NIL NIL) (-1206 3281412 3281926 3282364 "TEX" 3283131 T TEX (NIL) -8 NIL NIL) (-1205 3281193 3281224 3281296 "TEX1" 3281375 NIL TEX1 (NIL T) -7 NIL NIL) (-1204 3280841 3280904 3280994 "TEMUTL" 3281125 T TEMUTL (NIL) -7 NIL NIL) (-1203 3278995 3279275 3279600 "TBCMPPK" 3280564 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1202 3270740 3277000 3277057 "TBAGG" 3277457 NIL TBAGG (NIL T T) -9 NIL 3277668) (-1201 3265810 3267298 3269052 "TBAGG-" 3269057 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1200 3265194 3265301 3265446 "TANEXP" 3265699 NIL TANEXP (NIL T) -7 NIL NIL) (-1199 3258707 3265051 3265144 "TABLE" 3265149 NIL TABLE (NIL T T) -8 NIL NIL) (-1198 3258120 3258218 3258356 "TABLEAU" 3258604 NIL TABLEAU (NIL T) -8 NIL NIL) (-1197 3252728 3253948 3255196 "TABLBUMP" 3256906 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1196 3249191 3249886 3250669 "SYSSOLP" 3251979 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1195 3246325 3246933 3247571 "SYMTAB" 3248575 T SYMTAB (NIL) -8 NIL NIL) (-1194 3241574 3242476 3243459 "SYMS" 3245364 T SYMS (NIL) -8 NIL NIL) (-1193 3238790 3241031 3241261 "SYMPOLY" 3241379 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1192 3238307 3238382 3238505 "SYMFUNC" 3238702 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1191 3234285 3235544 3236366 "SYMBOL" 3237507 T SYMBOL (NIL) -8 NIL NIL) (-1190 3227824 3229513 3231233 "SWITCH" 3232587 T SWITCH (NIL) -8 NIL NIL) (-1189 3221050 3226647 3226949 "SUTS" 3227580 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1188 3212936 3220167 3220448 "SUPXS" 3220827 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1187 3204421 3212554 3212680 "SUP" 3212845 NIL SUP (NIL T) -8 NIL NIL) (-1186 3203580 3203707 3203924 "SUPFRACF" 3204289 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1185 3194152 3203382 3203496 "SUPEXPR" 3203501 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1184 3193773 3193832 3193945 "SUP2" 3194087 NIL SUP2 (NIL T T) -7 NIL NIL) (-1183 3192186 3192460 3192823 "SUMRF" 3193472 NIL SUMRF (NIL T) -7 NIL NIL) (-1182 3191500 3191566 3191765 "SUMFS" 3192107 NIL SUMFS (NIL T T) -7 NIL NIL) (-1181 3175424 3190679 3190929 "SULS" 3191308 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1180 3174746 3174949 3175089 "SUCH" 3175332 NIL SUCH (NIL T T) -8 NIL NIL) (-1179 3168640 3169652 3170611 "SUBSPACE" 3173834 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1178 3168072 3168162 3168325 "SUBRESP" 3168529 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1177 3161441 3162737 3164048 "STTF" 3166808 NIL STTF (NIL T) -7 NIL NIL) (-1176 3155614 3156734 3157881 "STTFNC" 3160341 NIL STTFNC (NIL T) -7 NIL NIL) (-1175 3146933 3148800 3150592 "STTAYLOR" 3153857 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1174 3140189 3146797 3146880 "STRTBL" 3146885 NIL STRTBL (NIL T) -8 NIL NIL) (-1173 3135580 3140144 3140175 "STRING" 3140180 T STRING (NIL) -8 NIL NIL) (-1172 3130444 3134922 3134953 "STRICAT" 3135012 T STRICAT (NIL) -9 NIL 3135074) (-1171 3123171 3127971 3128589 "STREAM" 3129861 NIL STREAM (NIL T) -8 NIL NIL) (-1170 3122681 3122758 3122902 "STREAM3" 3123088 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1169 3121663 3121846 3122081 "STREAM2" 3122494 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1168 3121351 3121403 3121496 "STREAM1" 3121605 NIL STREAM1 (NIL T) -7 NIL NIL) (-1167 3120995 3121061 3121168 "STNSR" 3121279 NIL STNSR (NIL T) -7 NIL NIL) (-1166 3120011 3120192 3120423 "STINPROD" 3120811 NIL STINPROD (NIL T) -7 NIL NIL) (-1165 3119588 3119772 3119803 "STEP" 3119883 T STEP (NIL) -9 NIL 3119961) (-1164 3113143 3119487 3119564 "STBL" 3119569 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1163 3108357 3112395 3112439 "STAGG" 3112592 NIL STAGG (NIL T) -9 NIL 3112681) (-1162 3106059 3106661 3107533 "STAGG-" 3107538 NIL STAGG- (NIL T T) -8 NIL NIL) (-1161 3099551 3101120 3102235 "STACK" 3104979 NIL STACK (NIL T) -8 NIL NIL) (-1160 3092276 3097692 3098148 "SREGSET" 3099181 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1159 3084702 3086070 3087583 "SRDCMPK" 3090882 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1158 3077680 3082140 3082171 "SRAGG" 3083474 T SRAGG (NIL) -9 NIL 3084082) (-1157 3076697 3076952 3077331 "SRAGG-" 3077336 NIL SRAGG- (NIL T) -8 NIL NIL) (-1156 3071145 3075620 3076044 "SQMATRIX" 3076320 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1155 3064901 3067863 3068590 "SPLTREE" 3070490 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1154 3060891 3061557 3062203 "SPLNODE" 3064327 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1153 3059937 3060170 3060201 "SPFCAT" 3060645 T SPFCAT (NIL) -9 NIL NIL) (-1152 3058674 3058884 3059148 "SPECOUT" 3059695 T SPECOUT (NIL) -7 NIL NIL) (-1151 3050644 3052391 3052435 "SPACEC" 3056808 NIL SPACEC (NIL T) -9 NIL 3058624) (-1150 3048815 3050576 3050625 "SPACE3" 3050630 NIL SPACE3 (NIL T) -8 NIL NIL) (-1149 3047569 3047740 3048030 "SORTPAK" 3048621 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1148 3045619 3045922 3046341 "SOLVETRA" 3047233 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1147 3044630 3044852 3045126 "SOLVESER" 3045392 NIL SOLVESER (NIL T) -7 NIL NIL) (-1146 3039850 3040731 3041733 "SOLVERAD" 3043682 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1145 3035665 3036274 3037003 "SOLVEFOR" 3039217 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1144 3029967 3035012 3035110 "SNTSCAT" 3035115 NIL SNTSCAT (NIL T T T T) -9 NIL 3035185) (-1143 3024065 3028292 3028682 "SMTS" 3029658 NIL SMTS (NIL T T T) -8 NIL NIL) (-1142 3018469 3023953 3024030 "SMP" 3024035 NIL SMP (NIL T T) -8 NIL NIL) (-1141 3016628 3016929 3017327 "SMITH" 3018166 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1140 3009570 3013768 3013872 "SMATCAT" 3015223 NIL SMATCAT (NIL NIL T T T) -9 NIL 3015770) (-1139 3006510 3007333 3008511 "SMATCAT-" 3008516 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1138 3004263 3005780 3005824 "SKAGG" 3006085 NIL SKAGG (NIL T) -9 NIL 3006220) (-1137 3000244 3003367 3003645 "SINT" 3004007 T SINT (NIL) -8 NIL NIL) (-1136 3000016 3000054 3000120 "SIMPAN" 3000200 T SIMPAN (NIL) -7 NIL NIL) (-1135 2998854 2999075 2999350 "SIGNRF" 2999775 NIL SIGNRF (NIL T) -7 NIL NIL) (-1134 2997659 2997810 2998101 "SIGNEF" 2998683 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1133 2995351 2995805 2996310 "SHP" 2997201 NIL SHP (NIL T NIL) -7 NIL NIL) (-1132 2989132 2995252 2995328 "SHDP" 2995333 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1131 2988620 2988812 2988843 "SGROUP" 2988995 T SGROUP (NIL) -9 NIL 2989082) (-1130 2988390 2988442 2988546 "SGROUP-" 2988551 NIL SGROUP- (NIL T) -8 NIL NIL) (-1129 2985226 2985923 2986646 "SGCF" 2987689 T SGCF (NIL) -7 NIL NIL) (-1128 2979626 2984671 2984769 "SFRTCAT" 2984774 NIL SFRTCAT (NIL T T T T) -9 NIL 2984813) (-1127 2973050 2974065 2975201 "SFRGCD" 2978609 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1126 2966178 2967249 2968435 "SFQCMPK" 2971983 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1125 2965800 2965889 2965999 "SFORT" 2966119 NIL SFORT (NIL T T) -8 NIL NIL) (-1124 2964945 2965640 2965761 "SEXOF" 2965766 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1123 2964079 2964826 2964894 "SEX" 2964899 T SEX (NIL) -8 NIL NIL) (-1122 2958854 2959543 2959639 "SEXCAT" 2963410 NIL SEXCAT (NIL T T T T T) -9 NIL 2964029) (-1121 2955989 2958788 2958836 "SET" 2958841 NIL SET (NIL T) -8 NIL NIL) (-1120 2954223 2954702 2955007 "SETMN" 2955730 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1119 2953828 2953954 2953985 "SETCAT" 2954102 T SETCAT (NIL) -9 NIL 2954187) (-1118 2953608 2953660 2953759 "SETCAT-" 2953764 NIL SETCAT- (NIL T) -8 NIL NIL) (-1117 2953271 2953421 2953452 "SETCATD" 2953511 T SETCATD (NIL) -9 NIL 2953558) (-1116 2949657 2951731 2951775 "SETAGG" 2952645 NIL SETAGG (NIL T) -9 NIL 2952985) (-1115 2949115 2949231 2949468 "SETAGG-" 2949473 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1114 2948318 2948611 2948673 "SEGXCAT" 2948959 NIL SEGXCAT (NIL T T) -9 NIL 2949079) (-1113 2947378 2947988 2948168 "SEG" 2948173 NIL SEG (NIL T) -8 NIL NIL) (-1112 2946284 2946497 2946541 "SEGCAT" 2947123 NIL SEGCAT (NIL T) -9 NIL 2947361) (-1111 2945335 2945665 2945864 "SEGBIND" 2946120 NIL SEGBIND (NIL T) -8 NIL NIL) (-1110 2944956 2945015 2945128 "SEGBIND2" 2945270 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1109 2944177 2944303 2944506 "SEG2" 2944801 NIL SEG2 (NIL T T) -7 NIL NIL) (-1108 2943614 2944112 2944159 "SDVAR" 2944164 NIL SDVAR (NIL T) -8 NIL NIL) (-1107 2935858 2943384 2943514 "SDPOL" 2943519 NIL SDPOL (NIL T) -8 NIL NIL) (-1106 2931881 2932910 2933557 "SD" 2935258 NIL SD (NIL T) -8 NIL NIL) (-1105 2930474 2930740 2931059 "SCPKG" 2931596 NIL SCPKG (NIL T) -7 NIL NIL) (-1104 2929695 2929828 2930007 "SCACHE" 2930329 NIL SCACHE (NIL T) -7 NIL NIL) (-1103 2929134 2929455 2929540 "SAOS" 2929632 T SAOS (NIL) -8 NIL NIL) (-1102 2928699 2928734 2928907 "SAERFFC" 2929093 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1101 2922543 2928596 2928676 "SAE" 2928681 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1100 2922136 2922171 2922330 "SAEFACT" 2922502 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1099 2920457 2920771 2921172 "RURPK" 2921802 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1098 2919093 2919372 2919684 "RULESET" 2920291 NIL RULESET (NIL T T T) -8 NIL NIL) (-1097 2916280 2916783 2917248 "RULE" 2918774 NIL RULE (NIL T T T) -8 NIL NIL) (-1096 2915919 2916074 2916157 "RULECOLD" 2916232 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1095 2910768 2911562 2912482 "RSETGCD" 2915118 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1094 2900030 2905075 2905173 "RSETCAT" 2909292 NIL RSETCAT (NIL T T T T) -9 NIL 2910389) (-1093 2897957 2898496 2899320 "RSETCAT-" 2899325 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1092 2890344 2891719 2893239 "RSDCMPK" 2896556 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1091 2888348 2888789 2888864 "RRCC" 2889950 NIL RRCC (NIL T T) -9 NIL 2890294) (-1090 2887699 2887873 2888152 "RRCC-" 2888157 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1089 2861786 2871417 2871485 "RPOLCAT" 2882151 NIL RPOLCAT (NIL T T T) -9 NIL 2885300) (-1088 2853286 2855624 2858746 "RPOLCAT-" 2858751 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1087 2844345 2851497 2851979 "ROUTINE" 2852826 T ROUTINE (NIL) -8 NIL NIL) (-1086 2841045 2843896 2844045 "ROMAN" 2844218 T ROMAN (NIL) -8 NIL NIL) (-1085 2839320 2839905 2840165 "ROIRC" 2840850 NIL ROIRC (NIL T T) -8 NIL NIL) (-1084 2835567 2837945 2837976 "RNS" 2838280 T RNS (NIL) -9 NIL 2838554) (-1083 2834076 2834459 2834993 "RNS-" 2835068 NIL RNS- (NIL T) -8 NIL NIL) (-1082 2833498 2833906 2833937 "RNG" 2833942 T RNG (NIL) -9 NIL 2833963) (-1081 2832889 2833251 2833295 "RMODULE" 2833357 NIL RMODULE (NIL T) -9 NIL 2833399) (-1080 2831725 2831819 2832155 "RMCAT2" 2832790 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1079 2828434 2830903 2831226 "RMATRIX" 2831461 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1078 2821380 2823614 2823730 "RMATCAT" 2827089 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2828066) (-1077 2820755 2820902 2821209 "RMATCAT-" 2821214 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1076 2820322 2820397 2820525 "RINTERP" 2820674 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1075 2819365 2819929 2819960 "RING" 2820072 T RING (NIL) -9 NIL 2820167) (-1074 2819157 2819201 2819298 "RING-" 2819303 NIL RING- (NIL T) -8 NIL NIL) (-1073 2817998 2818235 2818493 "RIDIST" 2818921 T RIDIST (NIL) -7 NIL NIL) (-1072 2809314 2817466 2817672 "RGCHAIN" 2817846 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1071 2808114 2808355 2808634 "RFP" 2809069 NIL RFP (NIL T) -7 NIL NIL) (-1070 2805108 2805722 2806392 "RF" 2807478 NIL RF (NIL T) -7 NIL NIL) (-1069 2804754 2804817 2804920 "RFFACTOR" 2805039 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1068 2804479 2804514 2804611 "RFFACT" 2804713 NIL RFFACT (NIL T) -7 NIL NIL) (-1067 2802596 2802960 2803342 "RFDIST" 2804119 T RFDIST (NIL) -7 NIL NIL) (-1066 2802049 2802141 2802304 "RETSOL" 2802498 NIL RETSOL (NIL T T) -7 NIL NIL) (-1065 2801636 2801716 2801760 "RETRACT" 2801953 NIL RETRACT (NIL T) -9 NIL NIL) (-1064 2801485 2801510 2801597 "RETRACT-" 2801602 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1063 2794351 2801138 2801265 "RESULT" 2801380 T RESULT (NIL) -8 NIL NIL) (-1062 2792931 2793620 2793819 "RESRING" 2794254 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1061 2792567 2792616 2792714 "RESLATC" 2792868 NIL RESLATC (NIL T) -7 NIL NIL) (-1060 2792273 2792307 2792414 "REPSQ" 2792526 NIL REPSQ (NIL T) -7 NIL NIL) (-1059 2789695 2790275 2790877 "REP" 2791693 T REP (NIL) -7 NIL NIL) (-1058 2789393 2789427 2789538 "REPDB" 2789654 NIL REPDB (NIL T) -7 NIL NIL) (-1057 2783311 2784690 2785909 "REP2" 2788209 NIL REP2 (NIL T) -7 NIL NIL) (-1056 2779692 2780373 2781179 "REP1" 2782540 NIL REP1 (NIL T) -7 NIL NIL) (-1055 2772418 2777833 2778289 "REGSET" 2779322 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1054 2771233 2771568 2771817 "REF" 2772204 NIL REF (NIL T) -8 NIL NIL) (-1053 2770610 2770713 2770880 "REDORDER" 2771117 NIL REDORDER (NIL T T) -7 NIL NIL) (-1052 2767472 2767938 2768547 "RECOP" 2770144 NIL RECOP (NIL T T) -7 NIL NIL) (-1051 2763412 2766685 2766912 "RECLOS" 2767300 NIL RECLOS (NIL T) -8 NIL NIL) (-1050 2762464 2762645 2762860 "REALSOLV" 2763219 T REALSOLV (NIL) -7 NIL NIL) (-1049 2762309 2762350 2762381 "REAL" 2762386 T REAL (NIL) -9 NIL 2762421) (-1048 2758792 2759594 2760478 "REAL0Q" 2761474 NIL REAL0Q (NIL T) -7 NIL NIL) (-1047 2754393 2755381 2756442 "REAL0" 2757773 NIL REAL0 (NIL T) -7 NIL NIL) (-1046 2753798 2753870 2754077 "RDIV" 2754315 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1045 2752866 2753040 2753253 "RDIST" 2753620 NIL RDIST (NIL T) -7 NIL NIL) (-1044 2751463 2751750 2752122 "RDETRS" 2752574 NIL RDETRS (NIL T T) -7 NIL NIL) (-1043 2749275 2749729 2750267 "RDETR" 2751005 NIL RDETR (NIL T T) -7 NIL NIL) (-1042 2747886 2748164 2748568 "RDEEFS" 2748991 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1041 2746381 2746687 2747119 "RDEEF" 2747574 NIL RDEEF (NIL T T) -7 NIL NIL) (-1040 2740559 2743494 2743525 "RCFIELD" 2744820 T RCFIELD (NIL) -9 NIL 2745551) (-1039 2738623 2739127 2739823 "RCFIELD-" 2739898 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1038 2734981 2736760 2736804 "RCAGG" 2737888 NIL RCAGG (NIL T) -9 NIL 2738351) (-1037 2734609 2734703 2734866 "RCAGG-" 2734871 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1036 2733945 2734056 2734221 "RATRET" 2734493 NIL RATRET (NIL T) -7 NIL NIL) (-1035 2733498 2733565 2733686 "RATFACT" 2733873 NIL RATFACT (NIL T) -7 NIL NIL) (-1034 2732806 2732926 2733078 "RANDSRC" 2733368 T RANDSRC (NIL) -7 NIL NIL) (-1033 2732540 2732584 2732657 "RADUTIL" 2732755 T RADUTIL (NIL) -7 NIL NIL) (-1032 2725526 2731271 2731591 "RADIX" 2732254 NIL RADIX (NIL NIL) -8 NIL NIL) (-1031 2717037 2725368 2725498 "RADFF" 2725503 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1030 2716683 2716758 2716789 "RADCAT" 2716949 T RADCAT (NIL) -9 NIL NIL) (-1029 2716465 2716513 2716613 "RADCAT-" 2716618 NIL RADCAT- (NIL T) -8 NIL NIL) (-1028 2709710 2711328 2712482 "QUEUE" 2715346 NIL QUEUE (NIL T) -8 NIL NIL) (-1027 2706197 2709643 2709691 "QUAT" 2709696 NIL QUAT (NIL T) -8 NIL NIL) (-1026 2705828 2705871 2706002 "QUATCT2" 2706148 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-1025 2699552 2702936 2702979 "QUATCAT" 2703770 NIL QUATCAT (NIL T) -9 NIL 2704528) (-1024 2695691 2696728 2698118 "QUATCAT-" 2698214 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-1023 2693243 2694801 2694845 "QUAGG" 2695226 NIL QUAGG (NIL T) -9 NIL 2695401) (-1022 2692163 2692636 2692810 "QFORM" 2693115 NIL QFORM (NIL NIL T) -8 NIL NIL) (-1021 2683289 2688632 2688675 "QFCAT" 2689343 NIL QFCAT (NIL T) -9 NIL 2690332) (-1020 2678856 2680057 2681651 "QFCAT-" 2681747 NIL QFCAT- (NIL T T) -8 NIL NIL) (-1019 2678487 2678530 2678661 "QFCAT2" 2678807 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-1018 2677942 2678052 2678184 "QEQUAT" 2678377 T QEQUAT (NIL) -8 NIL NIL) (-1017 2671070 2672141 2673327 "QCMPACK" 2676875 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-1016 2668639 2669060 2669488 "QALGSET" 2670727 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-1015 2667874 2668050 2668286 "QALGSET2" 2668457 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-1014 2666560 2666783 2667102 "PWFFINTB" 2667647 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-1013 2664735 2664903 2665259 "PUSHVAR" 2666374 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-1012 2660623 2661677 2661721 "PTRANFN" 2663632 NIL PTRANFN (NIL T) -9 NIL NIL) (-1011 2659014 2659305 2659629 "PTPACK" 2660334 NIL PTPACK (NIL T) -7 NIL NIL) (-1010 2658643 2658700 2658811 "PTFUNC2" 2658951 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-1009 2653136 2657470 2657514 "PTCAT" 2657892 NIL PTCAT (NIL T) -9 NIL 2658054) (-1008 2652791 2652826 2652952 "PSQFR" 2653095 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-1007 2651373 2651673 2652011 "PSEUDLIN" 2652487 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-1006 2638110 2640474 2642797 "PSETPK" 2649136 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-1005 2631132 2633846 2633945 "PSETCAT" 2636986 NIL PSETCAT (NIL T T T T) -9 NIL 2637799) (-1004 2628965 2629599 2630423 "PSETCAT-" 2630428 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-1003 2628308 2628472 2628503 "PSCURVE" 2628775 T PSCURVE (NIL) -9 NIL 2628942) (-1002 2624687 2626213 2626281 "PSCAT" 2627133 NIL PSCAT (NIL T T T) -9 NIL 2627373) (-1001 2623747 2623963 2624366 "PSCAT-" 2624371 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-1000 2622393 2623025 2623241 "PRTITION" 2623553 T PRTITION (NIL) -8 NIL NIL) (-999 2619557 2620206 2620247 "PRSPCAT" 2621761 NIL PRSPCAT (NIL T) -9 NIL 2622329) (-998 2608657 2610863 2613050 "PRS" 2617420 NIL PRS (NIL T T) -7 NIL NIL) (-997 2606555 2608041 2608082 "PRQAGG" 2608265 NIL PRQAGG (NIL T) -9 NIL 2608367) (-996 2605824 2606480 2606537 "PROJSP" 2606542 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-995 2605006 2605747 2605799 "PROJPLPS" 2605804 NIL PROJPLPS (NIL T) -8 NIL NIL) (-994 2604265 2604943 2604988 "PROJPL" 2604993 NIL PROJPL (NIL T) -8 NIL NIL) (-993 2598000 2602463 2603267 "PRODUCT" 2603507 NIL PRODUCT (NIL T T) -8 NIL NIL) (-992 2595275 2597464 2597695 "PR" 2597814 NIL PR (NIL T T) -8 NIL NIL) (-991 2593827 2593984 2594279 "PRJALGPK" 2595115 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-990 2593623 2593655 2593714 "PRINT" 2593788 T PRINT (NIL) -7 NIL NIL) (-989 2592963 2593080 2593232 "PRIMES" 2593503 NIL PRIMES (NIL T) -7 NIL NIL) (-988 2591028 2591429 2591895 "PRIMELT" 2592542 NIL PRIMELT (NIL T) -7 NIL NIL) (-987 2590756 2590805 2590834 "PRIMCAT" 2590958 T PRIMCAT (NIL) -9 NIL NIL) (-986 2586923 2590694 2590739 "PRIMARR" 2590744 NIL PRIMARR (NIL T) -8 NIL NIL) (-985 2585930 2586108 2586336 "PRIMARR2" 2586741 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-984 2585573 2585629 2585740 "PREASSOC" 2585868 NIL PREASSOC (NIL T T) -7 NIL NIL) (-983 2585048 2585180 2585209 "PPCURVE" 2585414 T PPCURVE (NIL) -9 NIL 2585550) (-982 2579446 2580597 2581776 "POLYVEC" 2583889 T POLYVEC (NIL) -7 NIL NIL) (-981 2576807 2577206 2577797 "POLYROOT" 2579028 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-980 2570708 2576413 2576572 "POLY" 2576681 NIL POLY (NIL T) -8 NIL NIL) (-979 2570091 2570149 2570383 "POLYLIFT" 2570644 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-978 2566366 2566815 2567444 "POLYCATQ" 2569636 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-977 2553176 2558673 2558739 "POLYCAT" 2562253 NIL POLYCAT (NIL T T T) -9 NIL 2564166) (-976 2546626 2548487 2550871 "POLYCAT-" 2550876 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-975 2546213 2546281 2546401 "POLY2UP" 2546552 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-974 2545845 2545902 2546011 "POLY2" 2546150 NIL POLY2 (NIL T T) -7 NIL NIL) (-973 2544532 2544771 2545046 "POLUTIL" 2545620 NIL POLUTIL (NIL T T) -7 NIL NIL) (-972 2542887 2543164 2543495 "POLTOPOL" 2544254 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-971 2538407 2542821 2542868 "POINT" 2542873 NIL POINT (NIL T) -8 NIL NIL) (-970 2536594 2536951 2537326 "PNTHEORY" 2538052 T PNTHEORY (NIL) -7 NIL NIL) (-969 2535013 2535310 2535722 "PMTOOLS" 2536292 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-968 2534606 2534684 2534801 "PMSYM" 2534929 NIL PMSYM (NIL T) -7 NIL NIL) (-967 2534114 2534183 2534358 "PMQFCAT" 2534531 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-966 2533469 2533579 2533735 "PMPRED" 2533991 NIL PMPRED (NIL T) -7 NIL NIL) (-965 2532865 2532951 2533112 "PMPREDFS" 2533370 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-964 2531510 2531718 2532102 "PMPLCAT" 2532628 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-963 2531042 2531121 2531273 "PMLSAGG" 2531425 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-962 2530517 2530593 2530774 "PMKERNEL" 2530960 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-961 2530134 2530209 2530322 "PMINS" 2530436 NIL PMINS (NIL T) -7 NIL NIL) (-960 2529562 2529631 2529847 "PMFS" 2530059 NIL PMFS (NIL T T T) -7 NIL NIL) (-959 2528790 2528908 2529113 "PMDOWN" 2529439 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-958 2527953 2528112 2528294 "PMASS" 2528628 T PMASS (NIL) -7 NIL NIL) (-957 2527227 2527338 2527501 "PMASSFS" 2527839 NIL PMASSFS (NIL T T) -7 NIL NIL) (-956 2524987 2525240 2525623 "PLPKCRV" 2526951 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-955 2524642 2524710 2524804 "PLOTTOOL" 2524913 T PLOTTOOL (NIL) -7 NIL NIL) (-954 2519264 2520453 2521601 "PLOT" 2523514 T PLOT (NIL) -8 NIL NIL) (-953 2515076 2516110 2517032 "PLOT3D" 2518362 T PLOT3D (NIL) -8 NIL NIL) (-952 2513988 2514165 2514400 "PLOT1" 2514880 NIL PLOT1 (NIL T) -7 NIL NIL) (-951 2489407 2494072 2498917 "PLEQN" 2509260 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-950 2488647 2489317 2489384 "PLCS" 2489389 NIL PLCS (NIL T T) -8 NIL NIL) (-949 2487798 2488532 2488603 "PLACESPS" 2488608 NIL PLACESPS (NIL T) -8 NIL NIL) (-948 2487005 2487711 2487768 "PLACES" 2487773 NIL PLACES (NIL T) -8 NIL NIL) (-947 2483729 2484393 2484452 "PLACESC" 2486370 NIL PLACESC (NIL T T) -9 NIL 2486941) (-946 2483047 2483169 2483349 "PINTERP" 2483594 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-945 2482740 2482787 2482890 "PINTERPA" 2482994 NIL PINTERPA (NIL T T) -7 NIL NIL) (-944 2481967 2482534 2482627 "PI" 2482667 T PI (NIL) -8 NIL NIL) (-943 2480341 2481326 2481355 "PID" 2481537 T PID (NIL) -9 NIL 2481671) (-942 2480066 2480103 2480191 "PICOERCE" 2480298 NIL PICOERCE (NIL T) -7 NIL NIL) (-941 2479387 2479525 2479701 "PGROEB" 2479922 NIL PGROEB (NIL T) -7 NIL NIL) (-940 2474970 2475785 2476691 "PGE" 2478501 T PGE (NIL) -7 NIL NIL) (-939 2473094 2473340 2473706 "PGCD" 2474687 NIL PGCD (NIL T T T T) -7 NIL NIL) (-938 2472432 2472535 2472696 "PFRPAC" 2472978 NIL PFRPAC (NIL T) -7 NIL NIL) (-937 2469047 2470980 2471333 "PFR" 2472111 NIL PFR (NIL T) -8 NIL NIL) (-936 2467436 2467680 2468005 "PFOTOOLS" 2468794 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-935 2462301 2462966 2463715 "PFORP" 2466778 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-934 2460834 2461073 2461424 "PFOQ" 2462058 NIL PFOQ (NIL T T T) -7 NIL NIL) (-933 2459307 2459519 2459882 "PFO" 2460618 NIL PFO (NIL T T T T T) -7 NIL NIL) (-932 2455805 2459196 2459265 "PF" 2459270 NIL PF (NIL NIL) -8 NIL NIL) (-931 2453217 2454498 2454527 "PFECAT" 2455112 T PFECAT (NIL) -9 NIL 2455495) (-930 2452662 2452816 2453030 "PFECAT-" 2453035 NIL PFECAT- (NIL T) -8 NIL NIL) (-929 2451266 2451517 2451818 "PFBRU" 2452411 NIL PFBRU (NIL T T) -7 NIL NIL) (-928 2449133 2449484 2449916 "PFBR" 2450917 NIL PFBR (NIL T T T T) -7 NIL NIL) (-927 2444985 2446510 2447185 "PERM" 2448491 NIL PERM (NIL T) -8 NIL NIL) (-926 2440252 2441192 2442062 "PERMGRP" 2444148 NIL PERMGRP (NIL T) -8 NIL NIL) (-925 2438323 2439316 2439358 "PERMCAT" 2439804 NIL PERMCAT (NIL T) -9 NIL 2440107) (-924 2437976 2438017 2438141 "PERMAN" 2438276 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-923 2435422 2437545 2437676 "PENDTREE" 2437878 NIL PENDTREE (NIL T) -8 NIL NIL) (-922 2433490 2434268 2434310 "PDRING" 2434967 NIL PDRING (NIL T) -9 NIL 2435253) (-921 2432593 2432811 2433173 "PDRING-" 2433178 NIL PDRING- (NIL T T) -8 NIL NIL) (-920 2429735 2430485 2431176 "PDEPROB" 2431922 T PDEPROB (NIL) -8 NIL NIL) (-919 2427282 2427784 2428339 "PDEPACK" 2429200 T PDEPACK (NIL) -7 NIL NIL) (-918 2426194 2426384 2426635 "PDECOMP" 2427081 NIL PDECOMP (NIL T T) -7 NIL NIL) (-917 2423798 2424615 2424644 "PDECAT" 2425431 T PDECAT (NIL) -9 NIL 2426144) (-916 2423549 2423582 2423672 "PCOMP" 2423759 NIL PCOMP (NIL T T) -7 NIL NIL) (-915 2421754 2422350 2422647 "PBWLB" 2423278 NIL PBWLB (NIL T) -8 NIL NIL) (-914 2414259 2415827 2417165 "PATTERN" 2420437 NIL PATTERN (NIL T) -8 NIL NIL) (-913 2413891 2413948 2414057 "PATTERN2" 2414196 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-912 2411648 2412036 2412493 "PATTERN1" 2413480 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-911 2409043 2409597 2410078 "PATRES" 2411213 NIL PATRES (NIL T T) -8 NIL NIL) (-910 2408607 2408674 2408806 "PATRES2" 2408970 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-909 2406490 2406895 2407302 "PATMATCH" 2408274 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-908 2406025 2406208 2406250 "PATMAB" 2406357 NIL PATMAB (NIL T) -9 NIL 2406440) (-907 2404570 2404879 2405137 "PATLRES" 2405830 NIL PATLRES (NIL T T T) -8 NIL NIL) (-906 2404117 2404240 2404282 "PATAB" 2404287 NIL PATAB (NIL T) -9 NIL 2404457) (-905 2401598 2402130 2402703 "PARTPERM" 2403564 T PARTPERM (NIL) -7 NIL NIL) (-904 2401219 2401282 2401384 "PARSURF" 2401529 NIL PARSURF (NIL T) -8 NIL NIL) (-903 2400851 2400908 2401017 "PARSU2" 2401156 NIL PARSU2 (NIL T T) -7 NIL NIL) (-902 2400472 2400535 2400637 "PARSCURV" 2400782 NIL PARSCURV (NIL T) -8 NIL NIL) (-901 2400104 2400161 2400270 "PARSC2" 2400409 NIL PARSC2 (NIL T T) -7 NIL NIL) (-900 2399743 2399801 2399898 "PARPCURV" 2400040 NIL PARPCURV (NIL T) -8 NIL NIL) (-899 2399375 2399432 2399541 "PARPC2" 2399680 NIL PARPC2 (NIL T T) -7 NIL NIL) (-898 2397855 2397973 2398292 "PARAMP" 2399230 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-897 2397375 2397461 2397580 "PAN2EXPR" 2397756 T PAN2EXPR (NIL) -7 NIL NIL) (-896 2396181 2396496 2396724 "PALETTE" 2397167 T PALETTE (NIL) -8 NIL NIL) (-895 2383814 2385980 2388096 "PAFF" 2394129 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-894 2370810 2373138 2375349 "PAFFFF" 2381667 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-893 2364649 2370067 2370262 "PADICRC" 2370664 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-892 2357846 2363993 2364178 "PADICRAT" 2364496 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-891 2356150 2357783 2357828 "PADIC" 2357833 NIL PADIC (NIL NIL) -8 NIL NIL) (-890 2353337 2354911 2354952 "PADICCT" 2355533 NIL PADICCT (NIL NIL) -9 NIL 2355815) (-889 2352294 2352494 2352762 "PADEPAC" 2353124 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-888 2351506 2351639 2351845 "PADE" 2352156 NIL PADE (NIL T T T) -7 NIL NIL) (-887 2347983 2351124 2351243 "PACRAT" 2351407 T PACRAT (NIL) -8 NIL NIL) (-886 2344031 2347081 2347110 "PACRATC" 2347115 T PACRATC (NIL) -9 NIL 2347195) (-885 2340140 2342105 2342134 "PACPERC" 2343080 T PACPERC (NIL) -9 NIL 2343520) (-884 2336785 2339914 2340005 "PACOFF" 2340081 NIL PACOFF (NIL T) -8 NIL NIL) (-883 2333442 2336127 2336156 "PACFFC" 2336161 T PACFFC (NIL) -9 NIL 2336182) (-882 2329532 2333125 2333226 "PACEXT" 2333373 NIL PACEXT (NIL NIL) -8 NIL NIL) (-881 2324897 2328414 2328443 "PACEXTC" 2328448 T PACEXTC (NIL) -9 NIL 2328492) (-880 2322905 2323737 2324052 "OWP" 2324666 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-879 2321989 2322510 2322682 "OVAR" 2322773 NIL OVAR (NIL NIL) -8 NIL NIL) (-878 2321253 2321374 2321535 "OUT" 2321848 T OUT (NIL) -7 NIL NIL) (-877 2310299 2312478 2314648 "OUTFORM" 2319103 T OUTFORM (NIL) -8 NIL NIL) (-876 2309707 2310028 2310117 "OSI" 2310230 T OSI (NIL) -8 NIL NIL) (-875 2308454 2308681 2308965 "ORTHPOL" 2309455 NIL ORTHPOL (NIL T) -7 NIL NIL) (-874 2305816 2308111 2308251 "OREUP" 2308397 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-873 2303203 2305505 2305633 "ORESUP" 2305758 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-872 2300711 2301217 2301782 "OREPCTO" 2302688 NIL OREPCTO (NIL T T) -7 NIL NIL) (-871 2294581 2296792 2296834 "OREPCAT" 2299182 NIL OREPCAT (NIL T) -9 NIL 2300282) (-870 2291728 2292510 2293568 "OREPCAT-" 2293573 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-869 2290904 2291176 2291205 "ORDSET" 2291514 T ORDSET (NIL) -9 NIL 2291678) (-868 2290423 2290545 2290738 "ORDSET-" 2290743 NIL ORDSET- (NIL T) -8 NIL NIL) (-867 2289032 2289833 2289862 "ORDRING" 2290064 T ORDRING (NIL) -9 NIL 2290189) (-866 2288677 2288771 2288915 "ORDRING-" 2288920 NIL ORDRING- (NIL T) -8 NIL NIL) (-865 2288051 2288532 2288561 "ORDMON" 2288566 T ORDMON (NIL) -9 NIL 2288587) (-864 2287213 2287360 2287555 "ORDFUNS" 2287900 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-863 2286699 2287082 2287111 "ORDFIN" 2287116 T ORDFIN (NIL) -9 NIL 2287137) (-862 2283211 2285291 2285697 "ORDCOMP" 2286326 NIL ORDCOMP (NIL T) -8 NIL NIL) (-861 2282477 2282604 2282790 "ORDCOMP2" 2283071 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-860 2278985 2279867 2280704 "OPTPROB" 2281660 T OPTPROB (NIL) -8 NIL NIL) (-859 2275787 2276426 2277130 "OPTPACK" 2278301 T OPTPACK (NIL) -7 NIL NIL) (-858 2273499 2274239 2274268 "OPTCAT" 2275087 T OPTCAT (NIL) -9 NIL 2275737) (-857 2273267 2273306 2273372 "OPQUERY" 2273453 T OPQUERY (NIL) -7 NIL NIL) (-856 2270393 2271584 2272085 "OP" 2272799 NIL OP (NIL T) -8 NIL NIL) (-855 2267158 2269196 2269562 "ONECOMP" 2270060 NIL ONECOMP (NIL T) -8 NIL NIL) (-854 2266463 2266578 2266752 "ONECOMP2" 2267030 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-853 2265882 2265988 2266118 "OMSERVER" 2266353 T OMSERVER (NIL) -7 NIL NIL) (-852 2262769 2265321 2265362 "OMSAGG" 2265423 NIL OMSAGG (NIL T) -9 NIL 2265487) (-851 2261392 2261655 2261937 "OMPKG" 2262507 T OMPKG (NIL) -7 NIL NIL) (-850 2260821 2260924 2260953 "OM" 2261252 T OM (NIL) -9 NIL NIL) (-849 2259359 2260372 2260540 "OMLO" 2260703 NIL OMLO (NIL T T) -8 NIL NIL) (-848 2258284 2258431 2258658 "OMEXPR" 2259185 NIL OMEXPR (NIL T) -7 NIL NIL) (-847 2257602 2257830 2257966 "OMERR" 2258168 T OMERR (NIL) -8 NIL NIL) (-846 2256780 2257023 2257183 "OMERRK" 2257462 T OMERRK (NIL) -8 NIL NIL) (-845 2256258 2256457 2256565 "OMENC" 2256692 T OMENC (NIL) -8 NIL NIL) (-844 2250153 2251338 2252509 "OMDEV" 2255107 T OMDEV (NIL) -8 NIL NIL) (-843 2249222 2249393 2249587 "OMCONN" 2249979 T OMCONN (NIL) -8 NIL NIL) (-842 2247833 2248819 2248848 "OINTDOM" 2248853 T OINTDOM (NIL) -9 NIL 2248874) (-841 2243484 2244739 2245483 "OFMONOID" 2247121 NIL OFMONOID (NIL T) -8 NIL NIL) (-840 2242922 2243421 2243466 "ODVAR" 2243471 NIL ODVAR (NIL T) -8 NIL NIL) (-839 2240049 2242421 2242605 "ODR" 2242798 NIL ODR (NIL T T NIL) -8 NIL NIL) (-838 2232347 2239825 2239951 "ODPOL" 2239956 NIL ODPOL (NIL T) -8 NIL NIL) (-837 2226098 2232219 2232324 "ODP" 2232329 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-836 2224864 2225079 2225354 "ODETOOLS" 2225872 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-835 2221833 2222489 2223205 "ODESYS" 2224197 NIL ODESYS (NIL T T) -7 NIL NIL) (-834 2216717 2217625 2218649 "ODERTRIC" 2220909 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-833 2216143 2216225 2216419 "ODERED" 2216629 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-832 2213031 2213579 2214256 "ODERAT" 2215566 NIL ODERAT (NIL T T) -7 NIL NIL) (-831 2209991 2210455 2211052 "ODEPRRIC" 2212560 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-830 2207862 2208429 2208938 "ODEPROB" 2209502 T ODEPROB (NIL) -8 NIL NIL) (-829 2204384 2204867 2205514 "ODEPRIM" 2207341 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-828 2203633 2203735 2203995 "ODEPAL" 2204276 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-827 2199795 2200586 2201450 "ODEPACK" 2202789 T ODEPACK (NIL) -7 NIL NIL) (-826 2198828 2198935 2199164 "ODEINT" 2199684 NIL ODEINT (NIL T T) -7 NIL NIL) (-825 2192929 2194354 2195801 "ODEIFTBL" 2197401 T ODEIFTBL (NIL) -8 NIL NIL) (-824 2188264 2189050 2190009 "ODEEF" 2192088 NIL ODEEF (NIL T T) -7 NIL NIL) (-823 2187599 2187688 2187918 "ODECONST" 2188169 NIL ODECONST (NIL T T T) -7 NIL NIL) (-822 2185749 2186384 2186413 "ODECAT" 2187018 T ODECAT (NIL) -9 NIL 2187549) (-821 2182548 2185454 2185576 "OCT" 2185659 NIL OCT (NIL T) -8 NIL NIL) (-820 2182186 2182229 2182356 "OCTCT2" 2182499 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-819 2176966 2179454 2179495 "OC" 2180592 NIL OC (NIL T) -9 NIL 2181442) (-818 2174193 2174941 2175931 "OC-" 2176025 NIL OC- (NIL T T) -8 NIL NIL) (-817 2173570 2174012 2174041 "OCAMON" 2174046 T OCAMON (NIL) -9 NIL 2174067) (-816 2173022 2173429 2173458 "OASGP" 2173463 T OASGP (NIL) -9 NIL 2173483) (-815 2172308 2172771 2172800 "OAMONS" 2172840 T OAMONS (NIL) -9 NIL 2172883) (-814 2171747 2172154 2172183 "OAMON" 2172188 T OAMON (NIL) -9 NIL 2172208) (-813 2171050 2171542 2171571 "OAGROUP" 2171576 T OAGROUP (NIL) -9 NIL 2171596) (-812 2170738 2170788 2170877 "NUMTUBE" 2170994 NIL NUMTUBE (NIL T) -7 NIL NIL) (-811 2164311 2165829 2167365 "NUMQUAD" 2169222 T NUMQUAD (NIL) -7 NIL NIL) (-810 2160067 2161055 2162080 "NUMODE" 2163306 T NUMODE (NIL) -7 NIL NIL) (-809 2157447 2158301 2158330 "NUMINT" 2159253 T NUMINT (NIL) -9 NIL 2160017) (-808 2156395 2156592 2156810 "NUMFMT" 2157249 T NUMFMT (NIL) -7 NIL NIL) (-807 2142773 2145715 2148239 "NUMERIC" 2153910 NIL NUMERIC (NIL T) -7 NIL NIL) (-806 2137175 2142220 2142316 "NTSCAT" 2142321 NIL NTSCAT (NIL T T T T) -9 NIL 2142360) (-805 2136371 2136536 2136728 "NTPOLFN" 2137015 NIL NTPOLFN (NIL T) -7 NIL NIL) (-804 2124167 2133198 2134009 "NSUP" 2135593 NIL NSUP (NIL T) -8 NIL NIL) (-803 2123799 2123856 2123965 "NSUP2" 2124104 NIL NSUP2 (NIL T T) -7 NIL NIL) (-802 2113748 2123573 2123706 "NSMP" 2123711 NIL NSMP (NIL T T) -8 NIL NIL) (-801 2101840 2113330 2113494 "NSDPS" 2113616 NIL NSDPS (NIL T) -8 NIL NIL) (-800 2100272 2100573 2100930 "NREP" 2101528 NIL NREP (NIL T) -7 NIL NIL) (-799 2097361 2097909 2098558 "NPOLYGON" 2099714 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-798 2095952 2096204 2096562 "NPCOEF" 2097104 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-797 2095234 2095736 2095820 "NOTTING" 2095900 NIL NOTTING (NIL T) -8 NIL NIL) (-796 2094300 2094415 2094631 "NORMRETR" 2095115 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-795 2092341 2092631 2093040 "NORMPK" 2094008 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-794 2092026 2092054 2092178 "NORMMA" 2092307 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-793 2091853 2091983 2092012 "NONE" 2092017 T NONE (NIL) -8 NIL NIL) (-792 2091642 2091671 2091740 "NONE1" 2091817 NIL NONE1 (NIL T) -7 NIL NIL) (-791 2091125 2091187 2091373 "NODE1" 2091574 NIL NODE1 (NIL T T) -7 NIL NIL) (-790 2089419 2090288 2090543 "NNI" 2090890 T NNI (NIL) -8 NIL NIL) (-789 2087839 2088152 2088516 "NLINSOL" 2089087 NIL NLINSOL (NIL T) -7 NIL NIL) (-788 2084007 2084974 2085896 "NIPROB" 2086937 T NIPROB (NIL) -8 NIL NIL) (-787 2082764 2082998 2083300 "NFINTBAS" 2083769 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-786 2082493 2082536 2082617 "NEWTON" 2082715 NIL NEWTON (NIL T) -7 NIL NIL) (-785 2081201 2081432 2081713 "NCODIV" 2082261 NIL NCODIV (NIL T T) -7 NIL NIL) (-784 2080963 2081000 2081075 "NCNTFRAC" 2081158 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-783 2079143 2079507 2079927 "NCEP" 2080588 NIL NCEP (NIL T) -7 NIL NIL) (-782 2078053 2078792 2078821 "NASRING" 2078931 T NASRING (NIL) -9 NIL 2079005) (-781 2077848 2077892 2077986 "NASRING-" 2077991 NIL NASRING- (NIL T) -8 NIL NIL) (-780 2077000 2077499 2077528 "NARNG" 2077645 T NARNG (NIL) -9 NIL 2077736) (-779 2076692 2076759 2076893 "NARNG-" 2076898 NIL NARNG- (NIL T) -8 NIL NIL) (-778 2075571 2075778 2076013 "NAGSP" 2076477 T NAGSP (NIL) -7 NIL NIL) (-777 2066843 2068527 2070200 "NAGS" 2073918 T NAGS (NIL) -7 NIL NIL) (-776 2065391 2065699 2066030 "NAGF07" 2066532 T NAGF07 (NIL) -7 NIL NIL) (-775 2059929 2061220 2062527 "NAGF04" 2064104 T NAGF04 (NIL) -7 NIL NIL) (-774 2052897 2054511 2056144 "NAGF02" 2058316 T NAGF02 (NIL) -7 NIL NIL) (-773 2048121 2049221 2050338 "NAGF01" 2051800 T NAGF01 (NIL) -7 NIL NIL) (-772 2041749 2043315 2044900 "NAGE04" 2046556 T NAGE04 (NIL) -7 NIL NIL) (-771 2032918 2035039 2037169 "NAGE02" 2039639 T NAGE02 (NIL) -7 NIL NIL) (-770 2028871 2029818 2030782 "NAGE01" 2031974 T NAGE01 (NIL) -7 NIL NIL) (-769 2026666 2027200 2027758 "NAGD03" 2028333 T NAGD03 (NIL) -7 NIL NIL) (-768 2018416 2020344 2022298 "NAGD02" 2024732 T NAGD02 (NIL) -7 NIL NIL) (-767 2012227 2013652 2015092 "NAGD01" 2016996 T NAGD01 (NIL) -7 NIL NIL) (-766 2008436 2009258 2010095 "NAGC06" 2011410 T NAGC06 (NIL) -7 NIL NIL) (-765 2006901 2007233 2007589 "NAGC05" 2008100 T NAGC05 (NIL) -7 NIL NIL) (-764 2006277 2006396 2006540 "NAGC02" 2006777 T NAGC02 (NIL) -7 NIL NIL) (-763 2005336 2005893 2005934 "NAALG" 2006013 NIL NAALG (NIL T) -9 NIL 2006074) (-762 2005171 2005200 2005290 "NAALG-" 2005295 NIL NAALG- (NIL T T) -8 NIL NIL) (-761 1996047 2004287 2004562 "MYUP" 2004942 NIL MYUP (NIL NIL T) -8 NIL NIL) (-760 1986410 1994503 1994874 "MYEXPR" 1995742 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-759 1980360 1981468 1982655 "MULTSQFR" 1985306 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-758 1979679 1979754 1979938 "MULTFACT" 1980272 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-757 1972801 1976710 1976764 "MTSCAT" 1977834 NIL MTSCAT (NIL T T) -9 NIL 1978349) (-756 1972513 1972567 1972659 "MTHING" 1972741 NIL MTHING (NIL T) -7 NIL NIL) (-755 1972305 1972338 1972398 "MSYSCMD" 1972473 T MSYSCMD (NIL) -7 NIL NIL) (-754 1968417 1971060 1971380 "MSET" 1972018 NIL MSET (NIL T) -8 NIL NIL) (-753 1965511 1967977 1968019 "MSETAGG" 1968024 NIL MSETAGG (NIL T) -9 NIL 1968058) (-752 1961289 1962902 1963641 "MRING" 1964817 NIL MRING (NIL T T) -8 NIL NIL) (-751 1960855 1960922 1961053 "MRF2" 1961216 NIL MRF2 (NIL T T T) -7 NIL NIL) (-750 1960473 1960508 1960652 "MRATFAC" 1960814 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-749 1958085 1958380 1958811 "MPRFF" 1960178 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-748 1952099 1957939 1958036 "MPOLY" 1958041 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-747 1951589 1951624 1951832 "MPCPF" 1952058 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-746 1951103 1951146 1951330 "MPC3" 1951540 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-745 1950298 1950379 1950600 "MPC2" 1951018 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-744 1948599 1948936 1949326 "MONOTOOL" 1949958 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-743 1947722 1948057 1948086 "MONOID" 1948363 T MONOID (NIL) -9 NIL 1948535) (-742 1947100 1947263 1947506 "MONOID-" 1947511 NIL MONOID- (NIL T) -8 NIL NIL) (-741 1937926 1943956 1944016 "MONOGEN" 1944690 NIL MONOGEN (NIL T T) -9 NIL 1945143) (-740 1935144 1935879 1936879 "MONOGEN-" 1936998 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-739 1934002 1934422 1934451 "MONADWU" 1934843 T MONADWU (NIL) -9 NIL 1935081) (-738 1933374 1933533 1933781 "MONADWU-" 1933786 NIL MONADWU- (NIL T) -8 NIL NIL) (-737 1932758 1932976 1933005 "MONAD" 1933212 T MONAD (NIL) -9 NIL 1933324) (-736 1932443 1932521 1932653 "MONAD-" 1932658 NIL MONAD- (NIL T) -8 NIL NIL) (-735 1930694 1931356 1931635 "MOEBIUS" 1932196 NIL MOEBIUS (NIL T) -8 NIL NIL) (-734 1930085 1930463 1930504 "MODULE" 1930509 NIL MODULE (NIL T) -9 NIL 1930535) (-733 1929653 1929749 1929939 "MODULE-" 1929944 NIL MODULE- (NIL T T) -8 NIL NIL) (-732 1927322 1928017 1928344 "MODRING" 1929477 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-731 1924268 1925433 1925951 "MODOP" 1926854 NIL MODOP (NIL T T) -8 NIL NIL) (-730 1922455 1922907 1923248 "MODMONOM" 1924067 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-729 1912075 1920651 1921072 "MODMON" 1922085 NIL MODMON (NIL T T) -8 NIL NIL) (-728 1909201 1910919 1911195 "MODFIELD" 1911950 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-727 1908205 1908482 1908672 "MMLFORM" 1909031 T MMLFORM (NIL) -8 NIL NIL) (-726 1907731 1907774 1907953 "MMAP" 1908156 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-725 1905956 1906733 1906775 "MLO" 1907198 NIL MLO (NIL T) -9 NIL 1907439) (-724 1903323 1903838 1904440 "MLIFT" 1905437 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-723 1902714 1902798 1902952 "MKUCFUNC" 1903234 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-722 1902313 1902383 1902506 "MKRECORD" 1902637 NIL MKRECORD (NIL T T) -7 NIL NIL) (-721 1901361 1901522 1901750 "MKFUNC" 1902124 NIL MKFUNC (NIL T) -7 NIL NIL) (-720 1900749 1900853 1901009 "MKFLCFN" 1901244 NIL MKFLCFN (NIL T) -7 NIL NIL) (-719 1900175 1900542 1900631 "MKCHSET" 1900693 NIL MKCHSET (NIL T) -8 NIL NIL) (-718 1899452 1899554 1899739 "MKBCFUNC" 1900068 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-717 1896136 1899006 1899142 "MINT" 1899336 T MINT (NIL) -8 NIL NIL) (-716 1894948 1895191 1895468 "MHROWRED" 1895891 NIL MHROWRED (NIL T) -7 NIL NIL) (-715 1890215 1893389 1893815 "MFLOAT" 1894542 T MFLOAT (NIL) -8 NIL NIL) (-714 1889572 1889648 1889819 "MFINFACT" 1890127 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-713 1885887 1886735 1887619 "MESH" 1888708 T MESH (NIL) -7 NIL NIL) (-712 1884277 1884589 1884942 "MDDFACT" 1885574 NIL MDDFACT (NIL T) -7 NIL NIL) (-711 1881159 1883470 1883512 "MDAGG" 1883767 NIL MDAGG (NIL T) -9 NIL 1883910) (-710 1870800 1880452 1880659 "MCMPLX" 1880972 T MCMPLX (NIL) -8 NIL NIL) (-709 1869937 1870083 1870284 "MCDEN" 1870649 NIL MCDEN (NIL T T) -7 NIL NIL) (-708 1867827 1868097 1868477 "MCALCFN" 1869667 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-707 1865439 1865962 1866524 "MATSTOR" 1867298 NIL MATSTOR (NIL T) -7 NIL NIL) (-706 1861305 1864815 1865061 "MATRIX" 1865226 NIL MATRIX (NIL T) -8 NIL NIL) (-705 1857081 1857784 1858517 "MATLIN" 1860665 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-704 1846592 1849860 1849938 "MATCAT" 1855220 NIL MATCAT (NIL T T T) -9 NIL 1856782) (-703 1842630 1843745 1845213 "MATCAT-" 1845218 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-702 1841224 1841377 1841710 "MATCAT2" 1842465 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-701 1839964 1840230 1840545 "MAPPKG4" 1840955 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-700 1838076 1838400 1838784 "MAPPKG3" 1839639 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-699 1837057 1837230 1837452 "MAPPKG2" 1837900 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-698 1835556 1835840 1836167 "MAPPKG1" 1836763 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-697 1835167 1835225 1835348 "MAPHACK3" 1835492 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-696 1834759 1834820 1834934 "MAPHACK2" 1835099 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-695 1834197 1834300 1834442 "MAPHACK1" 1834650 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-694 1827365 1828306 1829403 "MAMA" 1833193 NIL MAMA (NIL T T T T) -7 NIL NIL) (-693 1825471 1826065 1826369 "MAGMA" 1827093 NIL MAGMA (NIL T) -8 NIL NIL) (-692 1823707 1824079 1824134 "MAGCDOC" 1825071 NIL MAGCDOC (NIL T T) -9 NIL NIL) (-691 1820182 1821948 1822408 "M3D" 1823280 NIL M3D (NIL T) -8 NIL NIL) (-690 1814376 1818582 1818624 "LZSTAGG" 1819406 NIL LZSTAGG (NIL T) -9 NIL 1819701) (-689 1810350 1811507 1812964 "LZSTAGG-" 1812969 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-688 1807464 1808241 1808728 "LWORD" 1809895 NIL LWORD (NIL T) -8 NIL NIL) (-687 1800619 1807235 1807369 "LSQM" 1807374 NIL LSQM (NIL NIL T) -8 NIL NIL) (-686 1799843 1799982 1800210 "LSPP" 1800474 NIL LSPP (NIL T T T T) -7 NIL NIL) (-685 1797655 1797956 1798412 "LSMP" 1799532 NIL LSMP (NIL T T T T) -7 NIL NIL) (-684 1794434 1795108 1795838 "LSMP1" 1796957 NIL LSMP1 (NIL T) -7 NIL NIL) (-683 1788391 1793624 1793666 "LSAGG" 1793728 NIL LSAGG (NIL T) -9 NIL 1793806) (-682 1785086 1786010 1787223 "LSAGG-" 1787228 NIL LSAGG- (NIL T T) -8 NIL NIL) (-681 1782712 1784230 1784479 "LPOLY" 1784881 NIL LPOLY (NIL T T) -8 NIL NIL) (-680 1782294 1782379 1782502 "LPEFRAC" 1782621 NIL LPEFRAC (NIL T) -7 NIL NIL) (-679 1779858 1780107 1780539 "LPARSPT" 1782036 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-678 1778762 1779402 1779431 "LORER" 1779545 T LORER (NIL) -9 NIL 1779643) (-677 1777237 1777564 1777924 "LOP" 1778434 NIL LOP (NIL T) -7 NIL NIL) (-676 1775586 1776333 1776585 "LO" 1777070 NIL LO (NIL T T T) -8 NIL NIL) (-675 1775237 1775349 1775378 "LOGIC" 1775489 T LOGIC (NIL) -9 NIL 1775570) (-674 1775099 1775122 1775193 "LOGIC-" 1775198 NIL LOGIC- (NIL T) -8 NIL NIL) (-673 1774292 1774432 1774625 "LODOOPS" 1774955 NIL LODOOPS (NIL T T) -7 NIL NIL) (-672 1771704 1774208 1774274 "LODO" 1774279 NIL LODO (NIL T NIL) -8 NIL NIL) (-671 1770244 1770479 1770831 "LODOF" 1771452 NIL LODOF (NIL T T) -7 NIL NIL) (-670 1766643 1769084 1769126 "LODOCAT" 1769564 NIL LODOCAT (NIL T) -9 NIL 1769774) (-669 1766376 1766434 1766561 "LODOCAT-" 1766566 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-668 1763685 1766217 1766335 "LODO2" 1766340 NIL LODO2 (NIL T T) -8 NIL NIL) (-667 1761109 1763622 1763667 "LODO1" 1763672 NIL LODO1 (NIL T) -8 NIL NIL) (-666 1759969 1760134 1760446 "LODEEF" 1760932 NIL LODEEF (NIL T T T) -7 NIL NIL) (-665 1752782 1756947 1756988 "LOCPOWC" 1758450 NIL LOCPOWC (NIL T) -9 NIL 1759027) (-664 1748106 1750944 1750986 "LNAGG" 1751933 NIL LNAGG (NIL T) -9 NIL 1752376) (-663 1747253 1747467 1747809 "LNAGG-" 1747814 NIL LNAGG- (NIL T T) -8 NIL NIL) (-662 1743416 1744178 1744817 "LMOPS" 1746668 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-661 1742810 1743172 1743214 "LMODULE" 1743275 NIL LMODULE (NIL T) -9 NIL 1743317) (-660 1740062 1742455 1742578 "LMDICT" 1742720 NIL LMDICT (NIL T) -8 NIL NIL) (-659 1739219 1739353 1739540 "LISYSER" 1739924 NIL LISYSER (NIL T T) -7 NIL NIL) (-658 1732456 1738169 1738465 "LIST" 1738956 NIL LIST (NIL T) -8 NIL NIL) (-657 1731981 1732055 1732194 "LIST3" 1732376 NIL LIST3 (NIL T T T) -7 NIL NIL) (-656 1730988 1731166 1731394 "LIST2" 1731799 NIL LIST2 (NIL T T) -7 NIL NIL) (-655 1729122 1729434 1729833 "LIST2MAP" 1730635 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-654 1727827 1728507 1728549 "LINEXP" 1728804 NIL LINEXP (NIL T) -9 NIL 1728953) (-653 1726474 1726734 1727031 "LINDEP" 1727579 NIL LINDEP (NIL T T) -7 NIL NIL) (-652 1723241 1723960 1724737 "LIMITRF" 1725729 NIL LIMITRF (NIL T) -7 NIL NIL) (-651 1721517 1721812 1722228 "LIMITPS" 1722936 NIL LIMITPS (NIL T T) -7 NIL NIL) (-650 1715976 1721032 1721258 "LIE" 1721340 NIL LIE (NIL T T) -8 NIL NIL) (-649 1715025 1715468 1715509 "LIECAT" 1715649 NIL LIECAT (NIL T) -9 NIL 1715799) (-648 1714866 1714893 1714981 "LIECAT-" 1714986 NIL LIECAT- (NIL T T) -8 NIL NIL) (-647 1707400 1714245 1714428 "LIB" 1714703 T LIB (NIL) -8 NIL NIL) (-646 1703037 1703918 1704853 "LGROBP" 1706517 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-645 1700518 1700842 1701253 "LF" 1702710 NIL LF (NIL T T) -7 NIL NIL) (-644 1699214 1699944 1699973 "LFCAT" 1700248 T LFCAT (NIL) -9 NIL 1700423) (-643 1696118 1696746 1697434 "LEXTRIPK" 1698578 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-642 1692824 1693688 1694191 "LEXP" 1695698 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-641 1691222 1691535 1691936 "LEADCDET" 1692506 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-640 1690412 1690486 1690715 "LAZM3PK" 1691143 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-639 1685328 1688495 1689030 "LAUPOL" 1689927 NIL LAUPOL (NIL T T) -8 NIL NIL) (-638 1684893 1684937 1685105 "LAPLACE" 1685278 NIL LAPLACE (NIL T T) -7 NIL NIL) (-637 1682823 1683996 1684246 "LA" 1684727 NIL LA (NIL T T T) -8 NIL NIL) (-636 1681879 1682473 1682515 "LALG" 1682577 NIL LALG (NIL T) -9 NIL 1682636) (-635 1681593 1681652 1681788 "LALG-" 1681793 NIL LALG- (NIL T T) -8 NIL NIL) (-634 1680497 1680684 1680983 "KOVACIC" 1681393 NIL KOVACIC (NIL T T) -7 NIL NIL) (-633 1680331 1680355 1680397 "KONVERT" 1680459 NIL KONVERT (NIL T) -9 NIL NIL) (-632 1680165 1680189 1680231 "KOERCE" 1680293 NIL KOERCE (NIL T) -9 NIL NIL) (-631 1677901 1678661 1679053 "KERNEL" 1679805 NIL KERNEL (NIL T) -8 NIL NIL) (-630 1677403 1677484 1677614 "KERNEL2" 1677815 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-629 1671086 1675768 1675823 "KDAGG" 1676200 NIL KDAGG (NIL T T) -9 NIL 1676406) (-628 1670615 1670739 1670944 "KDAGG-" 1670949 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-627 1663764 1670276 1670431 "KAFILE" 1670493 NIL KAFILE (NIL T) -8 NIL NIL) (-626 1658223 1663279 1663505 "JORDAN" 1663587 NIL JORDAN (NIL T T) -8 NIL NIL) (-625 1654566 1656466 1656521 "IXAGG" 1657450 NIL IXAGG (NIL T T) -9 NIL 1657905) (-624 1653485 1653791 1654210 "IXAGG-" 1654215 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-623 1649069 1653407 1653466 "IVECTOR" 1653471 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-622 1647835 1648072 1648338 "ITUPLE" 1648836 NIL ITUPLE (NIL T) -8 NIL NIL) (-621 1646259 1646436 1646744 "ITRIGMNP" 1647657 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-620 1645004 1645208 1645491 "ITFUN3" 1646035 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-619 1644636 1644693 1644802 "ITFUN2" 1644941 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-618 1642429 1643500 1643798 "ITAYLOR" 1644371 NIL ITAYLOR (NIL T) -8 NIL NIL) (-617 1631368 1636568 1637730 "ISUPS" 1641300 NIL ISUPS (NIL T) -8 NIL NIL) (-616 1630472 1630612 1630848 "ISUMP" 1631215 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-615 1625742 1630273 1630352 "ISTRING" 1630425 NIL ISTRING (NIL NIL) -8 NIL NIL) (-614 1624952 1625033 1625249 "IRURPK" 1625656 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-613 1623888 1624089 1624329 "IRSN" 1624732 T IRSN (NIL) -7 NIL NIL) (-612 1621919 1622274 1622709 "IRRF2F" 1623527 NIL IRRF2F (NIL T) -7 NIL NIL) (-611 1621666 1621704 1621780 "IRREDFFX" 1621875 NIL IRREDFFX (NIL T) -7 NIL NIL) (-610 1620281 1620540 1620839 "IROOT" 1621399 NIL IROOT (NIL T) -7 NIL NIL) (-609 1616917 1617969 1618659 "IR" 1619623 NIL IR (NIL T) -8 NIL NIL) (-608 1614530 1615025 1615591 "IR2" 1616395 NIL IR2 (NIL T T) -7 NIL NIL) (-607 1613602 1613715 1613936 "IR2F" 1614413 NIL IR2F (NIL T T) -7 NIL NIL) (-606 1613393 1613427 1613487 "IPRNTPK" 1613562 T IPRNTPK (NIL) -7 NIL NIL) (-605 1609922 1613282 1613351 "IPF" 1613356 NIL IPF (NIL NIL) -8 NIL NIL) (-604 1608239 1609847 1609904 "IPADIC" 1609909 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-603 1607736 1607794 1607984 "INVLAPLA" 1608175 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-602 1597385 1599738 1602124 "INTTR" 1605400 NIL INTTR (NIL T T) -7 NIL NIL) (-601 1593743 1594485 1595342 "INTTOOLS" 1596577 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-600 1593329 1593420 1593537 "INTSLPE" 1593646 T INTSLPE (NIL) -7 NIL NIL) (-599 1591279 1593252 1593311 "INTRVL" 1593316 NIL INTRVL (NIL T) -8 NIL NIL) (-598 1588881 1589393 1589968 "INTRF" 1590764 NIL INTRF (NIL T) -7 NIL NIL) (-597 1588292 1588389 1588531 "INTRET" 1588779 NIL INTRET (NIL T) -7 NIL NIL) (-596 1586289 1586678 1587148 "INTRAT" 1587900 NIL INTRAT (NIL T T) -7 NIL NIL) (-595 1583525 1584108 1584730 "INTPM" 1585778 NIL INTPM (NIL T T) -7 NIL NIL) (-594 1580230 1580829 1581573 "INTPAF" 1582912 NIL INTPAF (NIL T T T) -7 NIL NIL) (-593 1575409 1576371 1577422 "INTPACK" 1579199 T INTPACK (NIL) -7 NIL NIL) (-592 1572186 1575138 1575265 "INT" 1575302 T INT (NIL) -8 NIL NIL) (-591 1571438 1571590 1571798 "INTHERTR" 1572028 NIL INTHERTR (NIL T T) -7 NIL NIL) (-590 1570877 1570957 1571145 "INTHERAL" 1571352 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-589 1568723 1569166 1569623 "INTHEORY" 1570440 T INTHEORY (NIL) -7 NIL NIL) (-588 1560034 1561654 1563432 "INTG0" 1567076 NIL INTG0 (NIL T T T) -7 NIL NIL) (-587 1540607 1545397 1550207 "INTFTBL" 1555244 T INTFTBL (NIL) -8 NIL NIL) (-586 1538644 1538851 1539252 "INTFRSP" 1540397 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-585 1537893 1538031 1538204 "INTFACT" 1538503 NIL INTFACT (NIL T) -7 NIL NIL) (-584 1537483 1537525 1537676 "INTERGB" 1537845 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-583 1534868 1535314 1535878 "INTEF" 1537037 NIL INTEF (NIL T T) -7 NIL NIL) (-582 1533325 1534074 1534103 "INTDOM" 1534404 T INTDOM (NIL) -9 NIL 1534611) (-581 1532694 1532868 1533110 "INTDOM-" 1533115 NIL INTDOM- (NIL T) -8 NIL NIL) (-580 1531298 1531403 1531793 "INTDIVP" 1532584 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-579 1527770 1529700 1529755 "INTCAT" 1530554 NIL INTCAT (NIL T) -9 NIL 1530875) (-578 1527243 1527345 1527473 "INTBIT" 1527662 T INTBIT (NIL) -7 NIL NIL) (-577 1525914 1526068 1526382 "INTALG" 1527088 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-576 1525371 1525461 1525631 "INTAF" 1525818 NIL INTAF (NIL T T) -7 NIL NIL) (-575 1518837 1525181 1525321 "INTABL" 1525326 NIL INTABL (NIL T T T) -8 NIL NIL) (-574 1513692 1516495 1516524 "INS" 1517492 T INS (NIL) -9 NIL 1518175) (-573 1510932 1511703 1512677 "INS-" 1512750 NIL INS- (NIL T) -8 NIL NIL) (-572 1509707 1509934 1510232 "INPSIGN" 1510685 NIL INPSIGN (NIL T T) -7 NIL NIL) (-571 1508825 1508942 1509139 "INPRODPF" 1509587 NIL INPRODPF (NIL T T) -7 NIL NIL) (-570 1507719 1507836 1508073 "INPRODFF" 1508705 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-569 1506719 1506871 1507131 "INNMFACT" 1507555 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-568 1505916 1506013 1506201 "INMODGCD" 1506618 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-567 1504425 1504669 1504993 "INFSP" 1505661 NIL INFSP (NIL T T T) -7 NIL NIL) (-566 1503609 1503726 1503909 "INFPROD0" 1504305 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-565 1500490 1501674 1502189 "INFORM" 1503102 T INFORM (NIL) -8 NIL NIL) (-564 1500100 1500160 1500258 "INFORM1" 1500425 NIL INFORM1 (NIL T) -7 NIL NIL) (-563 1499623 1499712 1499826 "INFINITY" 1500006 T INFINITY (NIL) -7 NIL NIL) (-562 1497306 1498303 1498646 "INFCLSPT" 1499483 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-561 1495183 1496428 1496722 "INFCLSPS" 1497076 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-560 1487733 1488656 1488877 "INFCLCT" 1494308 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1495119) (-559 1486351 1486599 1486920 "INEP" 1487481 NIL INEP (NIL T T T) -7 NIL NIL) (-558 1485627 1486248 1486313 "INDE" 1486318 NIL INDE (NIL T) -8 NIL NIL) (-557 1485191 1485259 1485376 "INCRMAPS" 1485554 NIL INCRMAPS (NIL T) -7 NIL NIL) (-556 1480502 1481427 1482371 "INBFF" 1484279 NIL INBFF (NIL T) -7 NIL NIL) (-555 1476849 1480346 1480450 "IMATRIX" 1480455 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-554 1475559 1475682 1475997 "IMATQF" 1476706 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-553 1473781 1474008 1474344 "IMATLIN" 1475316 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-552 1468413 1473705 1473763 "ILIST" 1473768 NIL ILIST (NIL T NIL) -8 NIL NIL) (-551 1466372 1468273 1468386 "IIARRAY2" 1468391 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-550 1461688 1466283 1466347 "IFF" 1466352 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-549 1456737 1460980 1461168 "IFARRAY" 1461545 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-548 1455944 1456641 1456714 "IFAMON" 1456719 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-547 1455527 1455592 1455647 "IEVALAB" 1455854 NIL IEVALAB (NIL T T) -9 NIL NIL) (-546 1455202 1455270 1455430 "IEVALAB-" 1455435 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-545 1454860 1455116 1455179 "IDPO" 1455184 NIL IDPO (NIL T T) -8 NIL NIL) (-544 1454137 1454749 1454824 "IDPOAMS" 1454829 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-543 1453471 1454026 1454101 "IDPOAM" 1454106 NIL IDPOAM (NIL T T) -8 NIL NIL) (-542 1452555 1452805 1452859 "IDPC" 1453272 NIL IDPC (NIL T T) -9 NIL 1453421) (-541 1452051 1452447 1452520 "IDPAM" 1452525 NIL IDPAM (NIL T T) -8 NIL NIL) (-540 1451454 1451943 1452016 "IDPAG" 1452021 NIL IDPAG (NIL T T) -8 NIL NIL) (-539 1447709 1448557 1449452 "IDECOMP" 1450611 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-538 1440585 1441634 1442680 "IDEAL" 1446746 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-537 1438602 1439749 1440022 "ICP" 1440376 NIL ICP (NIL T NIL T) -8 NIL NIL) (-536 1437762 1437874 1438074 "ICDEN" 1438486 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-535 1436861 1437242 1437389 "ICARD" 1437635 T ICARD (NIL) -8 NIL NIL) (-534 1434921 1435234 1435639 "IBPTOOLS" 1436538 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-533 1430535 1434541 1434654 "IBITS" 1434840 NIL IBITS (NIL NIL) -8 NIL NIL) (-532 1427258 1427834 1428529 "IBATOOL" 1429952 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-531 1425038 1425499 1426032 "IBACHIN" 1426793 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-530 1422921 1424884 1424987 "IARRAY2" 1424992 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-529 1419080 1422847 1422904 "IARRAY1" 1422909 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-528 1413010 1417492 1417973 "IAN" 1418619 T IAN (NIL) -8 NIL NIL) (-527 1412521 1412578 1412751 "IALGFACT" 1412947 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-526 1412048 1412161 1412190 "HYPCAT" 1412397 T HYPCAT (NIL) -9 NIL NIL) (-525 1411586 1411703 1411889 "HYPCAT-" 1411894 NIL HYPCAT- (NIL T) -8 NIL NIL) (-524 1410590 1410867 1411057 "HTMLFORM" 1411416 T HTMLFORM (NIL) -8 NIL NIL) (-523 1407379 1408704 1408746 "HOAGG" 1409727 NIL HOAGG (NIL T) -9 NIL 1410336) (-522 1405973 1406372 1406898 "HOAGG-" 1406903 NIL HOAGG- (NIL T T) -8 NIL NIL) (-521 1399789 1405409 1405577 "HEXADEC" 1405825 T HEXADEC (NIL) -8 NIL NIL) (-520 1398537 1398759 1399022 "HEUGCD" 1399566 NIL HEUGCD (NIL T) -7 NIL NIL) (-519 1397640 1398374 1398504 "HELLFDIV" 1398509 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-518 1391357 1392900 1393981 "HEAP" 1396591 NIL HEAP (NIL T) -8 NIL NIL) (-517 1385152 1391272 1391334 "HDP" 1391339 NIL HDP (NIL NIL T) -8 NIL NIL) (-516 1378857 1384787 1384939 "HDMP" 1385053 NIL HDMP (NIL NIL T) -8 NIL NIL) (-515 1378182 1378321 1378485 "HB" 1378713 T HB (NIL) -7 NIL NIL) (-514 1371691 1378028 1378132 "HASHTBL" 1378137 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-513 1369438 1371313 1371495 "HACKPI" 1371529 T HACKPI (NIL) -8 NIL NIL) (-512 1351586 1355455 1359458 "GUESSUP" 1365468 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-511 1322683 1329724 1336420 "GUESSP" 1344910 T GUESSP (NIL) -7 NIL NIL) (-510 1289498 1294769 1300153 "GUESS" 1317627 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-509 1263003 1269400 1275536 "GUESSINT" 1283382 T GUESSINT (NIL) -7 NIL NIL) (-508 1238374 1243824 1249391 "GUESSF" 1257488 NIL GUESSF (NIL T) -7 NIL NIL) (-507 1238096 1238133 1238228 "GUESSF1" 1238331 NIL GUESSF1 (NIL T) -7 NIL NIL) (-506 1214257 1219791 1225406 "GUESSAN" 1232501 T GUESSAN (NIL) -7 NIL NIL) (-505 1209952 1214110 1214223 "GTSET" 1214228 NIL GTSET (NIL T T T T) -8 NIL NIL) (-504 1203490 1209830 1209928 "GSTBL" 1209933 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-503 1195720 1202523 1202787 "GSERIES" 1203282 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-502 1194741 1195194 1195223 "GROUP" 1195484 T GROUP (NIL) -9 NIL 1195643) (-501 1193857 1194080 1194424 "GROUP-" 1194429 NIL GROUP- (NIL T) -8 NIL NIL) (-500 1192226 1192545 1192932 "GROEBSOL" 1193534 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-499 1191165 1191427 1191479 "GRMOD" 1192008 NIL GRMOD (NIL T T) -9 NIL 1192176) (-498 1190933 1190969 1191097 "GRMOD-" 1191102 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-497 1186262 1187287 1188287 "GRIMAGE" 1189953 T GRIMAGE (NIL) -8 NIL NIL) (-496 1184729 1184989 1185313 "GRDEF" 1185958 T GRDEF (NIL) -7 NIL NIL) (-495 1184173 1184289 1184430 "GRAY" 1184608 T GRAY (NIL) -7 NIL NIL) (-494 1183403 1183783 1183835 "GRALG" 1183988 NIL GRALG (NIL T T) -9 NIL 1184081) (-493 1183064 1183137 1183300 "GRALG-" 1183305 NIL GRALG- (NIL T T T) -8 NIL NIL) (-492 1179866 1182647 1182826 "GPOLSET" 1182970 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-491 1162069 1163559 1165148 "GPAFF" 1178557 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-490 1161423 1161480 1161738 "GOSPER" 1162006 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-489 1157773 1158609 1159336 "GOPT" 1160716 T GOPT (NIL) -8 NIL NIL) (-488 1153252 1154270 1155178 "GOPT0" 1156885 T GOPT0 (NIL) -8 NIL NIL) (-487 1149011 1149690 1150216 "GMODPOL" 1152951 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-486 1148016 1148200 1148438 "GHENSEL" 1148823 NIL GHENSEL (NIL T T) -7 NIL NIL) (-485 1142067 1142910 1143937 "GENUPS" 1147100 NIL GENUPS (NIL T T) -7 NIL NIL) (-484 1141764 1141815 1141904 "GENUFACT" 1142010 NIL GENUFACT (NIL T) -7 NIL NIL) (-483 1141176 1141253 1141418 "GENPGCD" 1141682 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-482 1140650 1140685 1140898 "GENMFACT" 1141135 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-481 1139218 1139473 1139780 "GENEEZ" 1140393 NIL GENEEZ (NIL T T) -7 NIL NIL) (-480 1137762 1138039 1138363 "GDRAW" 1138914 T GDRAW (NIL) -7 NIL NIL) (-479 1131629 1137373 1137535 "GDMP" 1137685 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-478 1121013 1125402 1126507 "GCNAALG" 1130613 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-477 1119334 1120282 1120311 "GCDDOM" 1120566 T GCDDOM (NIL) -9 NIL 1120730) (-476 1118548 1118751 1119056 "GCDDOM-" 1119061 NIL GCDDOM- (NIL T) -8 NIL NIL) (-475 1117222 1117407 1117710 "GB" 1118328 NIL GB (NIL T T T T) -7 NIL NIL) (-474 1105842 1108168 1110560 "GBINTERN" 1114913 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-473 1103679 1103971 1104392 "GBF" 1105517 NIL GBF (NIL T T T T) -7 NIL NIL) (-472 1102460 1102625 1102892 "GBEUCLID" 1103495 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-471 1101809 1101934 1102083 "GAUSSFAC" 1102331 T GAUSSFAC (NIL) -7 NIL NIL) (-470 1100178 1100480 1100793 "GALUTIL" 1101529 NIL GALUTIL (NIL T) -7 NIL NIL) (-469 1098486 1098760 1099084 "GALPOLYU" 1099905 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-468 1095851 1096141 1096548 "GALFACTU" 1098183 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-467 1087657 1089156 1090764 "GALFACT" 1094283 NIL GALFACT (NIL T) -7 NIL NIL) (-466 1085045 1085702 1085731 "FVFUN" 1086887 T FVFUN (NIL) -9 NIL 1087607) (-465 1084311 1084492 1084521 "FVC" 1084812 T FVC (NIL) -9 NIL 1084995) (-464 1083953 1084108 1084189 "FUNCTION" 1084263 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-463 1081623 1082174 1082663 "FT" 1083484 T FT (NIL) -8 NIL NIL) (-462 1080415 1080924 1081127 "FTEM" 1081440 T FTEM (NIL) -8 NIL NIL) (-461 1078673 1078962 1079365 "FSUPFACT" 1080107 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-460 1077070 1077359 1077691 "FST" 1078361 T FST (NIL) -8 NIL NIL) (-459 1076241 1076347 1076542 "FSRED" 1076952 NIL FSRED (NIL T T) -7 NIL NIL) (-458 1074922 1075177 1075530 "FSPRMELT" 1075957 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-457 1070288 1070993 1071750 "FSPECF" 1074227 NIL FSPECF (NIL T T) -7 NIL NIL) (-456 1052519 1061108 1061149 "FS" 1064997 NIL FS (NIL T) -9 NIL 1067275) (-455 1041169 1044159 1048215 "FS-" 1048512 NIL FS- (NIL T T) -8 NIL NIL) (-454 1040683 1040737 1040914 "FSINT" 1041110 NIL FSINT (NIL T T) -7 NIL NIL) (-453 1038968 1039680 1039981 "FSERIES" 1040464 NIL FSERIES (NIL T T) -8 NIL NIL) (-452 1037982 1038098 1038329 "FSCINT" 1038848 NIL FSCINT (NIL T T) -7 NIL NIL) (-451 1034173 1036927 1036969 "FSAGG" 1037339 NIL FSAGG (NIL T) -9 NIL 1037596) (-450 1031935 1032536 1033332 "FSAGG-" 1033427 NIL FSAGG- (NIL T T) -8 NIL NIL) (-449 1030977 1031120 1031347 "FSAGG2" 1031788 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-448 1028628 1028907 1029462 "FS2UPS" 1030695 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-447 1028210 1028253 1028408 "FS2" 1028579 NIL FS2 (NIL T T T T) -7 NIL NIL) (-446 1027067 1027238 1027547 "FS2EXPXP" 1028035 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-445 1026493 1026608 1026760 "FRUTIL" 1026947 NIL FRUTIL (NIL T) -7 NIL NIL) (-444 1017919 1022004 1023354 "FR" 1025175 NIL FR (NIL T) -8 NIL NIL) (-443 1012999 1015637 1015678 "FRNAALG" 1017074 NIL FRNAALG (NIL T) -9 NIL 1017680) (-442 1008678 1009748 1011023 "FRNAALG-" 1011773 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-441 1008316 1008359 1008486 "FRNAAF2" 1008629 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-440 1006674 1007167 1007462 "FRMOD" 1008129 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-439 1004381 1005049 1005367 "FRIDEAL" 1006465 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-438 1003572 1003659 1003950 "FRIDEAL2" 1004288 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-437 1002815 1003229 1003271 "FRETRCT" 1003276 NIL FRETRCT (NIL T) -9 NIL 1003450) (-436 1001927 1002158 1002509 "FRETRCT-" 1002514 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-435 999132 1000352 1000412 "FRAMALG" 1001294 NIL FRAMALG (NIL T T) -9 NIL 1001586) (-434 997265 997721 998351 "FRAMALG-" 998574 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-433 991166 996748 997020 "FRAC" 997025 NIL FRAC (NIL T) -8 NIL NIL) (-432 990802 990859 990966 "FRAC2" 991103 NIL FRAC2 (NIL T T) -7 NIL NIL) (-431 990438 990495 990602 "FR2" 990739 NIL FR2 (NIL T T) -7 NIL NIL) (-430 985047 987956 987985 "FPS" 989104 T FPS (NIL) -9 NIL 989658) (-429 984496 984605 984769 "FPS-" 984915 NIL FPS- (NIL T) -8 NIL NIL) (-428 981879 983576 983605 "FPC" 983830 T FPC (NIL) -9 NIL 983972) (-427 981672 981712 981809 "FPC-" 981814 NIL FPC- (NIL T) -8 NIL NIL) (-426 980551 981161 981203 "FPATMAB" 981208 NIL FPATMAB (NIL T) -9 NIL 981358) (-425 978251 978727 979153 "FPARFRAC" 980188 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-424 973646 974143 974825 "FORTRAN" 977683 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-423 971362 971862 972401 "FORT" 973127 T FORT (NIL) -7 NIL NIL) (-422 969038 969599 969628 "FORTFN" 970688 T FORTFN (NIL) -9 NIL 971312) (-421 968801 968851 968880 "FORTCAT" 968939 T FORTCAT (NIL) -9 NIL 969001) (-420 966861 967344 967743 "FORMULA" 968422 T FORMULA (NIL) -8 NIL NIL) (-419 966649 966679 966748 "FORMULA1" 966825 NIL FORMULA1 (NIL T) -7 NIL NIL) (-418 966172 966224 966397 "FORDER" 966591 NIL FORDER (NIL T T T T) -7 NIL NIL) (-417 965268 965432 965625 "FOP" 965999 T FOP (NIL) -7 NIL NIL) (-416 963876 964548 964722 "FNLA" 965150 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-415 962543 962932 962961 "FNCAT" 963533 T FNCAT (NIL) -9 NIL 963826) (-414 962109 962502 962530 "FNAME" 962535 T FNAME (NIL) -8 NIL NIL) (-413 960762 961735 961764 "FMTC" 961769 T FMTC (NIL) -9 NIL 961805) (-412 957080 958287 958915 "FMONOID" 960167 NIL FMONOID (NIL T) -8 NIL NIL) (-411 956301 956824 956972 "FM" 956977 NIL FM (NIL T T) -8 NIL NIL) (-410 953725 954370 954399 "FMFUN" 955543 T FMFUN (NIL) -9 NIL 956251) (-409 952994 953174 953203 "FMC" 953493 T FMC (NIL) -9 NIL 953675) (-408 950206 951040 951095 "FMCAT" 952290 NIL FMCAT (NIL T T) -9 NIL 952784) (-407 949099 949972 950072 "FM1" 950151 NIL FM1 (NIL T T) -8 NIL NIL) (-406 946873 947289 947783 "FLOATRP" 948650 NIL FLOATRP (NIL T) -7 NIL NIL) (-405 940360 944529 945159 "FLOAT" 946263 T FLOAT (NIL) -8 NIL NIL) (-404 937798 938298 938876 "FLOATCP" 939827 NIL FLOATCP (NIL T) -7 NIL NIL) (-403 936583 937431 937473 "FLINEXP" 937478 NIL FLINEXP (NIL T) -9 NIL 937570) (-402 935737 935972 936300 "FLINEXP-" 936305 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-401 934813 934957 935181 "FLASORT" 935589 NIL FLASORT (NIL T T) -7 NIL NIL) (-400 932029 932871 932924 "FLALG" 934151 NIL FLALG (NIL T T) -9 NIL 934618) (-399 925848 929542 929584 "FLAGG" 930846 NIL FLAGG (NIL T) -9 NIL 931494) (-398 924574 924913 925403 "FLAGG-" 925408 NIL FLAGG- (NIL T T) -8 NIL NIL) (-397 923616 923759 923986 "FLAGG2" 924427 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-396 920587 921605 921665 "FINRALG" 922793 NIL FINRALG (NIL T T) -9 NIL 923298) (-395 919747 919976 920315 "FINRALG-" 920320 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-394 919050 919287 919316 "FINITE" 919567 T FINITE (NIL) -9 NIL 919697) (-393 918859 918903 918990 "FINITE-" 918995 NIL FINITE- (NIL T) -8 NIL NIL) (-392 911317 913478 913519 "FINAALG" 917186 NIL FINAALG (NIL T) -9 NIL 918638) (-391 906657 907699 908843 "FINAALG-" 910222 NIL FINAALG- (NIL T T) -8 NIL NIL) (-390 906027 906412 906515 "FILE" 906587 NIL FILE (NIL T) -8 NIL NIL) (-389 904567 904904 904959 "FILECAT" 905737 NIL FILECAT (NIL T T) -9 NIL 905977) (-388 902364 903920 903949 "FIELD" 903989 T FIELD (NIL) -9 NIL 904069) (-387 900984 901369 901880 "FIELD-" 901885 NIL FIELD- (NIL T) -8 NIL NIL) (-386 898797 899619 899966 "FGROUP" 900670 NIL FGROUP (NIL T) -8 NIL NIL) (-385 897887 898051 898271 "FGLMICPK" 898629 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-384 893644 897812 897869 "FFX" 897874 NIL FFX (NIL T NIL) -8 NIL NIL) (-383 893184 893251 893373 "FFSQFR" 893572 NIL FFSQFR (NIL T T) -7 NIL NIL) (-382 892785 892846 892981 "FFSLPE" 893117 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-381 888781 889557 890353 "FFPOLY" 892021 NIL FFPOLY (NIL T) -7 NIL NIL) (-380 888285 888321 888530 "FFPOLY2" 888739 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-379 884062 888204 888267 "FFP" 888272 NIL FFP (NIL T NIL) -8 NIL NIL) (-378 879378 883973 884037 "FF" 884042 NIL FF (NIL NIL NIL) -8 NIL NIL) (-377 874429 878721 878911 "FFNBX" 879232 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-376 869294 873564 873822 "FFNBP" 874283 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-375 863845 868578 868789 "FFNB" 869127 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-374 862677 862875 863190 "FFINTBAS" 863642 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-373 858815 861075 861104 "FFIELDC" 861724 T FFIELDC (NIL) -9 NIL 862100) (-372 857478 857848 858345 "FFIELDC-" 858350 NIL FFIELDC- (NIL T) -8 NIL NIL) (-371 857048 857093 857217 "FFHOM" 857420 NIL FFHOM (NIL T T T) -7 NIL NIL) (-370 854746 855230 855747 "FFF" 856563 NIL FFF (NIL T) -7 NIL NIL) (-369 850442 851207 852051 "FFFG" 853970 NIL FFFG (NIL T T) -7 NIL NIL) (-368 849168 849377 849699 "FFFGF" 850220 NIL FFFGF (NIL T T T) -7 NIL NIL) (-367 847919 848116 848364 "FFFACTSE" 848970 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-366 846670 846867 847115 "FFFACTOR" 847721 NIL FFFACTOR (NIL T T) -7 NIL NIL) (-365 842213 846412 846513 "FFCGX" 846613 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-364 837770 841945 842052 "FFCGP" 842156 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-363 832871 837497 837605 "FFCG" 837706 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-362 814539 823713 823800 "FFCAT" 828965 NIL FFCAT (NIL T T T) -9 NIL 830450) (-361 809737 810784 812098 "FFCAT-" 813328 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-360 809148 809191 809426 "FFCAT2" 809688 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-359 798318 802124 803342 "FEXPR" 808002 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-358 797320 797755 797797 "FEVALAB" 797881 NIL FEVALAB (NIL T) -9 NIL 798139) (-357 796479 796689 797027 "FEVALAB-" 797032 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-356 795072 795862 796065 "FDIV" 796378 NIL FDIV (NIL T T T T) -8 NIL NIL) (-355 792137 792852 792968 "FDIVCAT" 794536 NIL FDIVCAT (NIL T T T T) -9 NIL 794973) (-354 791899 791926 792096 "FDIVCAT-" 792101 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-353 791119 791206 791483 "FDIV2" 791806 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-352 789805 790064 790353 "FCPAK1" 790850 T FCPAK1 (NIL) -7 NIL NIL) (-351 788933 789305 789446 "FCOMP" 789696 NIL FCOMP (NIL T) -8 NIL NIL) (-350 772561 775976 779539 "FC" 785390 T FC (NIL) -8 NIL NIL) (-349 765047 769135 769176 "FAXF" 770978 NIL FAXF (NIL T) -9 NIL 771669) (-348 762327 762981 763806 "FAXF-" 764271 NIL FAXF- (NIL T T) -8 NIL NIL) (-347 757433 761703 761879 "FARRAY" 762184 NIL FARRAY (NIL T) -8 NIL NIL) (-346 752751 754827 754881 "FAMR" 755904 NIL FAMR (NIL T T) -9 NIL 756361) (-345 751641 751943 752378 "FAMR-" 752383 NIL FAMR- (NIL T T T) -8 NIL NIL) (-344 751229 751272 751423 "FAMR2" 751592 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-343 750425 751151 751204 "FAMONOID" 751209 NIL FAMONOID (NIL T) -8 NIL NIL) (-342 748255 748939 748993 "FAMONC" 749934 NIL FAMONC (NIL T T) -9 NIL 750319) (-341 746949 748011 748147 "FAGROUP" 748152 NIL FAGROUP (NIL T) -8 NIL NIL) (-340 744744 745063 745466 "FACUTIL" 746630 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-339 744160 744269 744415 "FACTRN" 744630 NIL FACTRN (NIL T) -7 NIL NIL) (-338 743259 743444 743666 "FACTFUNC" 743970 NIL FACTFUNC (NIL T) -7 NIL NIL) (-337 742675 742784 742930 "FACTEXT" 743145 NIL FACTEXT (NIL T) -7 NIL NIL) (-336 734995 741926 742138 "EXPUPXS" 742531 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-335 732478 733018 733604 "EXPRTUBE" 734429 T EXPRTUBE (NIL) -7 NIL NIL) (-334 731649 731744 731964 "EXPRSOL" 732378 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-333 727843 728435 729172 "EXPRODE" 730988 NIL EXPRODE (NIL T T) -7 NIL NIL) (-332 712864 726504 726929 "EXPR" 727450 NIL EXPR (NIL T) -8 NIL NIL) (-331 707271 707858 708671 "EXPR2UPS" 712162 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-330 706907 706964 707071 "EXPR2" 707208 NIL EXPR2 (NIL T T) -7 NIL NIL) (-329 698245 706037 706335 "EXPEXPAN" 706743 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-328 697957 698008 698085 "EXP3D" 698188 T EXP3D (NIL) -7 NIL NIL) (-327 697784 697914 697943 "EXIT" 697948 T EXIT (NIL) -8 NIL NIL) (-326 697411 697473 697586 "EVALCYC" 697716 NIL EVALCYC (NIL T) -7 NIL NIL) (-325 696953 697069 697111 "EVALAB" 697281 NIL EVALAB (NIL T) -9 NIL 697385) (-324 696434 696556 696777 "EVALAB-" 696782 NIL EVALAB- (NIL T T) -8 NIL NIL) (-323 693879 695191 695220 "EUCDOM" 695775 T EUCDOM (NIL) -9 NIL 696125) (-322 692284 692726 693316 "EUCDOM-" 693321 NIL EUCDOM- (NIL T) -8 NIL NIL) (-321 679824 682582 685332 "ESTOOLS" 689554 T ESTOOLS (NIL) -7 NIL NIL) (-320 679456 679513 679622 "ESTOOLS2" 679761 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-319 679207 679249 679329 "ESTOOLS1" 679408 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-318 673133 674861 674890 "ES" 677658 T ES (NIL) -9 NIL 679065) (-317 668081 669367 671184 "ES-" 671348 NIL ES- (NIL T) -8 NIL NIL) (-316 664456 665216 665996 "ESCONT" 667321 T ESCONT (NIL) -7 NIL NIL) (-315 664201 664233 664315 "ESCONT1" 664418 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-314 663876 663926 664026 "ES2" 664145 NIL ES2 (NIL T T) -7 NIL NIL) (-313 663506 663564 663673 "ES1" 663812 NIL ES1 (NIL T T) -7 NIL NIL) (-312 662722 662851 663027 "ERROR" 663350 T ERROR (NIL) -7 NIL NIL) (-311 656237 662581 662672 "EQTBL" 662677 NIL EQTBL (NIL T T) -8 NIL NIL) (-310 648696 651579 653014 "EQ" 654835 NIL -1465 (NIL T) -8 NIL NIL) (-309 648328 648385 648494 "EQ2" 648633 NIL EQ2 (NIL T T) -7 NIL NIL) (-308 643620 644666 645759 "EP" 647267 NIL EP (NIL T) -7 NIL NIL) (-307 642774 643338 643367 "ENTIRER" 643372 T ENTIRER (NIL) -9 NIL 643418) (-306 639230 640729 641099 "EMR" 642573 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-305 638376 638559 638614 "ELTAGG" 638994 NIL ELTAGG (NIL T T) -9 NIL 639204) (-304 638095 638157 638298 "ELTAGG-" 638303 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-303 637883 637912 637967 "ELTAB" 638051 NIL ELTAB (NIL T T) -9 NIL NIL) (-302 637009 637155 637354 "ELFUTS" 637734 NIL ELFUTS (NIL T T) -7 NIL NIL) (-301 636750 636806 636835 "ELEMFUN" 636940 T ELEMFUN (NIL) -9 NIL NIL) (-300 636620 636641 636709 "ELEMFUN-" 636714 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-299 631550 634753 634795 "ELAGG" 635735 NIL ELAGG (NIL T) -9 NIL 636196) (-298 629835 630269 630932 "ELAGG-" 630937 NIL ELAGG- (NIL T T) -8 NIL NIL) (-297 622675 624474 625302 "EFUPXS" 629111 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-296 616125 617926 618736 "EFULS" 621951 NIL EFULS (NIL T T T) -8 NIL NIL) (-295 613547 613905 614384 "EFSTRUC" 615757 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-294 602559 604124 605685 "EF" 612062 NIL EF (NIL T T) -7 NIL NIL) (-293 601660 602044 602193 "EAB" 602430 T EAB (NIL) -8 NIL NIL) (-292 600869 601619 601647 "E04UCFA" 601652 T E04UCFA (NIL) -8 NIL NIL) (-291 600078 600828 600856 "E04NAFA" 600861 T E04NAFA (NIL) -8 NIL NIL) (-290 599287 600037 600065 "E04MBFA" 600070 T E04MBFA (NIL) -8 NIL NIL) (-289 598496 599246 599274 "E04JAFA" 599279 T E04JAFA (NIL) -8 NIL NIL) (-288 597707 598455 598483 "E04GCFA" 598488 T E04GCFA (NIL) -8 NIL NIL) (-287 596918 597666 597694 "E04FDFA" 597699 T E04FDFA (NIL) -8 NIL NIL) (-286 596127 596877 596905 "E04DGFA" 596910 T E04DGFA (NIL) -8 NIL NIL) (-285 590306 591652 593016 "E04AGNT" 594783 T E04AGNT (NIL) -7 NIL NIL) (-284 589029 589509 589550 "DVARCAT" 590025 NIL DVARCAT (NIL T) -9 NIL 590224) (-283 588233 588445 588759 "DVARCAT-" 588764 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-282 581202 581684 582433 "DTP" 587764 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-281 578651 580624 580781 "DSTREE" 581078 NIL DSTREE (NIL T) -8 NIL NIL) (-280 576120 577965 578007 "DSTRCAT" 578226 NIL DSTRCAT (NIL T) -9 NIL 578360) (-279 568974 575919 576048 "DSMP" 576053 NIL DSMP (NIL T T T) -8 NIL NIL) (-278 563784 564919 565987 "DROPT" 567926 T DROPT (NIL) -8 NIL NIL) (-277 563449 563508 563606 "DROPT1" 563719 NIL DROPT1 (NIL T) -7 NIL NIL) (-276 558564 559690 560827 "DROPT0" 562332 T DROPT0 (NIL) -7 NIL NIL) (-275 556909 557234 557620 "DRAWPT" 558198 T DRAWPT (NIL) -7 NIL NIL) (-274 551496 552419 553498 "DRAW" 555883 NIL DRAW (NIL T) -7 NIL NIL) (-273 551129 551182 551300 "DRAWHACK" 551437 NIL DRAWHACK (NIL T) -7 NIL NIL) (-272 549860 550129 550420 "DRAWCX" 550858 T DRAWCX (NIL) -7 NIL NIL) (-271 549376 549444 549595 "DRAWCURV" 549786 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-270 539848 541806 543921 "DRAWCFUN" 547281 T DRAWCFUN (NIL) -7 NIL NIL) (-269 536699 538575 538617 "DQAGG" 539246 NIL DQAGG (NIL T) -9 NIL 539520) (-268 525072 531813 531897 "DPOLCAT" 533749 NIL DPOLCAT (NIL T T T T) -9 NIL 534293) (-267 519911 521257 523215 "DPOLCAT-" 523220 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-266 512607 519772 519870 "DPMO" 519875 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-265 505206 512387 512554 "DPMM" 512559 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-264 498911 504841 504993 "DMP" 505107 NIL DMP (NIL NIL T) -8 NIL NIL) (-263 498511 498567 498711 "DLP" 498849 NIL DLP (NIL T) -7 NIL NIL) (-262 492161 497612 497839 "DLIST" 498316 NIL DLIST (NIL T) -8 NIL NIL) (-261 489046 491049 491091 "DLAGG" 491641 NIL DLAGG (NIL T) -9 NIL 491870) (-260 487703 488395 488424 "DIVRING" 488574 T DIVRING (NIL) -9 NIL 488682) (-259 486691 486944 487337 "DIVRING-" 487342 NIL DIVRING- (NIL T) -8 NIL NIL) (-258 485119 486284 486420 "DIV" 486588 NIL DIV (NIL T) -8 NIL NIL) (-257 482613 483681 483723 "DIVCAT" 484557 NIL DIVCAT (NIL T) -9 NIL 484888) (-256 480715 481072 481478 "DISPLAY" 482227 T DISPLAY (NIL) -7 NIL NIL) (-255 478208 479421 479803 "DIRRING" 480366 NIL DIRRING (NIL T) -8 NIL NIL) (-254 472025 478122 478185 "DIRPROD" 478190 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-253 470873 471076 471341 "DIRPROD2" 471818 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-252 460325 466397 466451 "DIRPCAT" 466861 NIL DIRPCAT (NIL NIL T) -9 NIL 467690) (-251 457651 458293 459174 "DIRPCAT-" 459511 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-250 456938 457098 457284 "DIOSP" 457485 T DIOSP (NIL) -7 NIL NIL) (-249 453681 455885 455927 "DIOPS" 456361 NIL DIOPS (NIL T) -9 NIL 456589) (-248 453230 453344 453535 "DIOPS-" 453540 NIL DIOPS- (NIL T T) -8 NIL NIL) (-247 452097 452735 452764 "DIFRING" 452951 T DIFRING (NIL) -9 NIL 453061) (-246 451743 451820 451972 "DIFRING-" 451977 NIL DIFRING- (NIL T) -8 NIL NIL) (-245 449525 450807 450849 "DIFEXT" 451212 NIL DIFEXT (NIL T) -9 NIL 451504) (-244 447810 448238 448904 "DIFEXT-" 448909 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-243 445172 447376 447418 "DIAGG" 447423 NIL DIAGG (NIL T) -9 NIL 447443) (-242 444556 444713 444965 "DIAGG-" 444970 NIL DIAGG- (NIL T T) -8 NIL NIL) (-241 439878 443515 443792 "DHMATRIX" 444325 NIL DHMATRIX (NIL T) -8 NIL NIL) (-240 435089 439692 439766 "DFVEC" 439824 T DFVEC (NIL) -8 NIL NIL) (-239 428690 430040 431477 "DFSFUN" 433672 T DFSFUN (NIL) -7 NIL NIL) (-238 424901 428461 428555 "DFMAT" 428616 T DFMAT (NIL) -8 NIL NIL) (-237 419178 423355 423788 "DFLOAT" 424488 T DFLOAT (NIL) -8 NIL NIL) (-236 417406 417687 418083 "DFINTTLS" 418886 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-235 414425 415427 415827 "DERHAM" 417072 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-234 406038 407955 409390 "DEQUEUE" 413023 NIL DEQUEUE (NIL T) -8 NIL NIL) (-233 405253 405386 405582 "DEGRED" 405900 NIL DEGRED (NIL T T) -7 NIL NIL) (-232 401648 402393 403246 "DEFINTRF" 404481 NIL DEFINTRF (NIL T) -7 NIL NIL) (-231 399175 399644 400243 "DEFINTEF" 401167 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-230 392991 398611 398779 "DECIMAL" 399027 T DECIMAL (NIL) -8 NIL NIL) (-229 390503 390961 391467 "DDFACT" 392535 NIL DDFACT (NIL T T) -7 NIL NIL) (-228 390099 390142 390293 "DBLRESP" 390454 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-227 387805 388140 388510 "DBASE" 389856 NIL DBASE (NIL T) -8 NIL NIL) (-226 386938 387764 387792 "D03FAFA" 387797 T D03FAFA (NIL) -8 NIL NIL) (-225 386072 386897 386925 "D03EEFA" 386930 T D03EEFA (NIL) -8 NIL NIL) (-224 384022 384488 384977 "D03AGNT" 385603 T D03AGNT (NIL) -7 NIL NIL) (-223 383338 383981 384009 "D02EJFA" 384014 T D02EJFA (NIL) -8 NIL NIL) (-222 382654 383297 383325 "D02CJFA" 383330 T D02CJFA (NIL) -8 NIL NIL) (-221 381970 382613 382641 "D02BHFA" 382646 T D02BHFA (NIL) -8 NIL NIL) (-220 381286 381929 381957 "D02BBFA" 381962 T D02BBFA (NIL) -8 NIL NIL) (-219 374485 376072 377678 "D02AGNT" 379700 T D02AGNT (NIL) -7 NIL NIL) (-218 372254 372776 373322 "D01WGTS" 373959 T D01WGTS (NIL) -7 NIL NIL) (-217 371349 372213 372241 "D01TRNS" 372246 T D01TRNS (NIL) -8 NIL NIL) (-216 370444 371308 371336 "D01GBFA" 371341 T D01GBFA (NIL) -8 NIL NIL) (-215 369539 370403 370431 "D01FCFA" 370436 T D01FCFA (NIL) -8 NIL NIL) (-214 368634 369498 369526 "D01ASFA" 369531 T D01ASFA (NIL) -8 NIL NIL) (-213 367729 368593 368621 "D01AQFA" 368626 T D01AQFA (NIL) -8 NIL NIL) (-212 366824 367688 367716 "D01APFA" 367721 T D01APFA (NIL) -8 NIL NIL) (-211 365919 366783 366811 "D01ANFA" 366816 T D01ANFA (NIL) -8 NIL NIL) (-210 365014 365878 365906 "D01AMFA" 365911 T D01AMFA (NIL) -8 NIL NIL) (-209 364109 364973 365001 "D01ALFA" 365006 T D01ALFA (NIL) -8 NIL NIL) (-208 363204 364068 364096 "D01AKFA" 364101 T D01AKFA (NIL) -8 NIL NIL) (-207 362299 363163 363191 "D01AJFA" 363196 T D01AJFA (NIL) -8 NIL NIL) (-206 355596 357147 358708 "D01AGNT" 360758 T D01AGNT (NIL) -7 NIL NIL) (-205 354933 355061 355213 "CYCLOTOM" 355464 T CYCLOTOM (NIL) -7 NIL NIL) (-204 351668 352381 353108 "CYCLES" 354226 T CYCLES (NIL) -7 NIL NIL) (-203 350980 351114 351285 "CVMP" 351529 NIL CVMP (NIL T) -7 NIL NIL) (-202 348752 349009 349385 "CTRIGMNP" 350708 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-201 348126 348225 348378 "CSTTOOLS" 348649 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-200 343925 344582 345340 "CRFP" 347438 NIL CRFP (NIL T T) -7 NIL NIL) (-199 342972 343157 343385 "CRAPACK" 343729 NIL CRAPACK (NIL T) -7 NIL NIL) (-198 342358 342459 342662 "CPMATCH" 342849 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-197 342083 342111 342217 "CPIMA" 342324 NIL CPIMA (NIL T T T) -7 NIL NIL) (-196 338431 339103 339822 "COORDSYS" 341418 NIL COORDSYS (NIL T) -7 NIL NIL) (-195 334292 336434 336926 "CONTFRAC" 337971 NIL CONTFRAC (NIL T) -8 NIL NIL) (-194 333440 334004 334033 "COMRING" 334038 T COMRING (NIL) -9 NIL 334090) (-193 332521 332798 332982 "COMPPROP" 333276 T COMPPROP (NIL) -8 NIL NIL) (-192 332182 332217 332345 "COMPLPAT" 332480 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-191 322108 331993 332101 "COMPLEX" 332106 NIL COMPLEX (NIL T) -8 NIL NIL) (-190 321744 321801 321908 "COMPLEX2" 322045 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-189 321462 321497 321595 "COMPFACT" 321703 NIL COMPFACT (NIL T T) -7 NIL NIL) (-188 305593 315938 315979 "COMPCAT" 316983 NIL COMPCAT (NIL T) -9 NIL 318364) (-187 295109 298032 301659 "COMPCAT-" 302015 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-186 294768 294920 294949 "COMPAR" 295010 T COMPAR (NIL) -9 NIL 295059) (-185 294497 294525 294628 "COMMUPC" 294734 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-184 294292 294325 294384 "COMMONOP" 294458 T COMMONOP (NIL) -7 NIL NIL) (-183 293875 294043 294130 "COMM" 294225 T COMM (NIL) -8 NIL NIL) (-182 293123 293317 293346 "COMBOPC" 293684 T COMBOPC (NIL) -9 NIL 293859) (-181 292019 292229 292471 "COMBINAT" 292913 NIL COMBINAT (NIL T) -7 NIL NIL) (-180 288217 288790 289430 "COMBF" 291441 NIL COMBF (NIL T T) -7 NIL NIL) (-179 287003 287333 287568 "COLOR" 288002 T COLOR (NIL) -8 NIL NIL) (-178 286643 286690 286815 "CMPLXRT" 286950 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-177 282145 283173 284253 "CLIP" 285583 T CLIP (NIL) -7 NIL NIL) (-176 280476 281246 281486 "CLIF" 281972 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-175 276741 278659 278701 "CLAGG" 279630 NIL CLAGG (NIL T) -9 NIL 280163) (-174 275163 275620 276203 "CLAGG-" 276208 NIL CLAGG- (NIL T T) -8 NIL NIL) (-173 274707 274792 274932 "CINTSLPE" 275072 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-172 272208 272679 273227 "CHVAR" 274235 NIL CHVAR (NIL T T T) -7 NIL NIL) (-171 271426 271990 272019 "CHARZ" 272024 T CHARZ (NIL) -9 NIL 272039) (-170 271180 271220 271298 "CHARPOL" 271380 NIL CHARPOL (NIL T) -7 NIL NIL) (-169 270282 270879 270908 "CHARNZ" 270955 T CHARNZ (NIL) -9 NIL 271011) (-168 268280 268972 269307 "CHAR" 269967 T CHAR (NIL) -8 NIL NIL) (-167 268005 268066 268095 "CFCAT" 268206 T CFCAT (NIL) -9 NIL NIL) (-166 262138 267662 267780 "CDFVEC" 267907 T CDFVEC (NIL) -8 NIL NIL) (-165 257796 261895 261996 "CDFMAT" 262057 T CDFMAT (NIL) -8 NIL NIL) (-164 257037 257148 257331 "CDEN" 257680 NIL CDEN (NIL T T T) -7 NIL NIL) (-163 252982 256190 256470 "CCLASS" 256777 T CCLASS (NIL) -8 NIL NIL) (-162 248035 249011 249764 "CARTEN" 252285 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-161 247143 247291 247512 "CARTEN2" 247882 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-160 245438 246293 246550 "CARD" 246906 T CARD (NIL) -8 NIL NIL) (-159 244809 245137 245166 "CACHSET" 245298 T CACHSET (NIL) -9 NIL 245375) (-158 244304 244600 244629 "CABMON" 244679 T CABMON (NIL) -9 NIL 244735) (-157 241867 243996 244103 "BTREE" 244230 NIL BTREE (NIL T) -8 NIL NIL) (-156 239371 241515 241637 "BTOURN" 241777 NIL BTOURN (NIL T) -8 NIL NIL) (-155 236828 238875 238917 "BTCAT" 238985 NIL BTCAT (NIL T) -9 NIL 239062) (-154 236495 236575 236724 "BTCAT-" 236729 NIL BTCAT- (NIL T T) -8 NIL NIL) (-153 231685 235555 235584 "BTAGG" 235840 T BTAGG (NIL) -9 NIL 236019) (-152 231108 231252 231482 "BTAGG-" 231487 NIL BTAGG- (NIL T) -8 NIL NIL) (-151 228158 230386 230601 "BSTREE" 230925 NIL BSTREE (NIL T) -8 NIL NIL) (-150 226561 227108 227408 "BSD" 227878 T BSD (NIL) -8 NIL NIL) (-149 225699 225825 226009 "BRILL" 226417 NIL BRILL (NIL T) -7 NIL NIL) (-148 222439 224460 224502 "BRAGG" 225151 NIL BRAGG (NIL T) -9 NIL 225408) (-147 220968 221374 221929 "BRAGG-" 221934 NIL BRAGG- (NIL T T) -8 NIL NIL) (-146 214165 220312 220497 "BPADICRT" 220815 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-145 212469 214102 214147 "BPADIC" 214152 NIL BPADIC (NIL NIL) -8 NIL NIL) (-144 212167 212197 212311 "BOUNDZRO" 212433 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-143 207682 208773 209640 "BOP" 211320 T BOP (NIL) -8 NIL NIL) (-142 205305 205749 206268 "BOP1" 207196 NIL BOP1 (NIL T) -7 NIL NIL) (-141 203633 204348 204642 "BOOLEAN" 205031 T BOOLEAN (NIL) -8 NIL NIL) (-140 202994 203372 203427 "BMODULE" 203432 NIL BMODULE (NIL T T) -9 NIL 203497) (-139 199337 200007 200793 "BLUPPACK" 202326 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-138 198729 199214 199283 "BLQT" 199288 T BLQT (NIL) -8 NIL NIL) (-137 197158 197633 197662 "BLMETCT" 198307 T BLMETCT (NIL) -9 NIL 198679) (-136 196557 197039 197106 "BLHN" 197111 T BLHN (NIL) -8 NIL NIL) (-135 191394 192543 193702 "BLAS1" 195418 T BLAS1 (NIL) -7 NIL NIL) (-134 187204 191192 191265 "BITS" 191341 T BITS (NIL) -8 NIL NIL) (-133 186275 186736 186888 "BINFILE" 187072 T BINFILE (NIL) -8 NIL NIL) (-132 180095 185714 185881 "BINARY" 186128 T BINARY (NIL) -8 NIL NIL) (-131 177962 179384 179426 "BGAGG" 179686 NIL BGAGG (NIL T) -9 NIL 179823) (-130 177793 177825 177916 "BGAGG-" 177921 NIL BGAGG- (NIL T T) -8 NIL NIL) (-129 176891 177177 177382 "BFUNCT" 177608 T BFUNCT (NIL) -8 NIL NIL) (-128 175583 175761 176048 "BEZOUT" 176716 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-127 174546 174768 175027 "BEZIER" 175357 NIL BEZIER (NIL T) -7 NIL NIL) (-126 171069 173398 173728 "BBTREE" 174249 NIL BBTREE (NIL T) -8 NIL NIL) (-125 170802 170855 170884 "BASTYPE" 171003 T BASTYPE (NIL) -9 NIL NIL) (-124 170655 170683 170756 "BASTYPE-" 170761 NIL BASTYPE- (NIL T) -8 NIL NIL) (-123 170089 170165 170317 "BALFACT" 170566 NIL BALFACT (NIL T T) -7 NIL NIL) (-122 169453 169576 169724 "AXSERV" 169961 T AXSERV (NIL) -7 NIL NIL) (-121 168266 168863 169051 "AUTOMOR" 169298 NIL AUTOMOR (NIL T) -8 NIL NIL) (-120 168200 168205 168234 "ATUNIKN" 168239 T ATUNIKN (NIL) -9 NIL NIL) (-119 167912 167917 167946 "ATTREG" 167951 T ATTREG (NIL) -9 NIL NIL) (-118 166180 166598 166952 "ATTRBUT" 167578 T ATTRBUT (NIL) -8 NIL NIL) (-117 166114 166119 166148 "ATSHMUT" 166153 T ATSHMUT (NIL) -9 NIL NIL) (-116 165641 165754 165783 "ATRIG" 165990 T ATRIG (NIL) -9 NIL NIL) (-115 165447 165488 165578 "ATRIG-" 165583 NIL ATRIG- (NIL T) -8 NIL NIL) (-114 165381 165386 165415 "ATPOSET" 165420 T ATPOSET (NIL) -9 NIL NIL) (-113 165315 165320 165349 "ATNZDIV" 165354 T ATNZDIV (NIL) -9 NIL NIL) (-112 165249 165254 165283 "ATNULSQ" 165288 T ATNULSQ (NIL) -9 NIL NIL) (-111 165183 165188 165217 "ATNOTHR" 165222 T ATNOTHR (NIL) -9 NIL NIL) (-110 165117 165122 165151 "ATMULVA" 165156 T ATMULVA (NIL) -9 NIL NIL) (-109 165051 165056 165085 "ATLUNIT" 165090 T ATLUNIT (NIL) -9 NIL NIL) (-108 164985 164990 165019 "ATLR" 165024 T ATLR (NIL) -9 NIL NIL) (-107 164919 164924 164953 "ATJACID" 164958 T ATJACID (NIL) -9 NIL NIL) (-106 164853 164858 164887 "ATFINAG" 164892 T ATFINAG (NIL) -9 NIL NIL) (-105 164787 164792 164821 "ATCUNOR" 164826 T ATCUNOR (NIL) -9 NIL NIL) (-104 164721 164726 164755 "ATCS" 164760 T ATCS (NIL) -9 NIL NIL) (-103 164655 164660 164689 "ATCENRL" 164694 T ATCENRL (NIL) -9 NIL NIL) (-102 164589 164594 164623 "ATCANON" 164628 T ATCANON (NIL) -9 NIL NIL) (-101 164523 164528 164557 "ATCANCL" 164562 T ATCANCL (NIL) -9 NIL NIL) (-100 164457 164462 164491 "ATARBPR" 164496 T ATARBPR (NIL) -9 NIL NIL) (-99 164393 164398 164425 "ATARBEX" 164430 T ATARBEX (NIL) -9 NIL NIL) (-98 164329 164334 164361 "ATAPPRO" 164366 T ATAPPRO (NIL) -9 NIL NIL) (-97 164265 164270 164297 "ATADDVA" 164302 T ATADDVA (NIL) -9 NIL NIL) (-96 157825 159394 160505 "ASTACK" 163185 NIL ASTACK (NIL T) -8 NIL NIL) (-95 156332 156629 156993 "ASSOCEQ" 157508 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 155364 155991 156115 "ASP9" 156239 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 155128 155312 155351 "ASP8" 155356 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153998 154733 154875 "ASP80" 155017 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152897 153633 153765 "ASP7" 153897 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151853 152574 152692 "ASP78" 152810 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150824 151533 151650 "ASP77" 151767 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149739 150462 150593 "ASP74" 150724 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148640 149374 149506 "ASP73" 149638 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147595 148317 148435 "ASP6" 148553 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146544 147272 147390 "ASP55" 147508 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145494 146218 146337 "ASP50" 146456 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144582 145195 145305 "ASP4" 145415 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143670 144283 144393 "ASP49" 144503 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142455 143209 143377 "ASP42" 143559 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 141233 141988 142158 "ASP41" 142342 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 140185 140910 141028 "ASP35" 141146 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139950 140133 140172 "ASP34" 140177 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139687 139754 139830 "ASP33" 139905 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138583 139322 139454 "ASP31" 139586 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 138348 138531 138570 "ASP30" 138575 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 138083 138152 138228 "ASP29" 138303 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137848 138031 138070 "ASP28" 138075 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137613 137796 137835 "ASP27" 137840 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136697 137311 137422 "ASP24" 137533 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135614 136338 136468 "ASP20" 136598 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134702 135315 135425 "ASP1" 135535 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133646 134376 134495 "ASP19" 134614 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 133383 133450 133526 "ASP12" 133601 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 132236 132982 133126 "ASP10" 133270 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 130141 132080 132171 "ARRAY2" 132176 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125963 129789 129903 "ARRAY1" 130058 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124995 125168 125389 "ARRAY12" 125786 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 119394 121259 121335 "ARR2CAT" 123965 NIL ARR2CAT (NIL T T T) -9 NIL 124723) (-61 116828 117572 118526 "ARR2CAT-" 118531 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115576 115728 116034 "APPRULE" 116664 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 115227 115275 115394 "APPLYORE" 115522 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114399 114556 114733 "API" 115068 T API (NIL) -7 NIL NIL) (-57 113373 113664 113859 "ANY" 114222 T ANY (NIL) -8 NIL NIL) (-56 112651 112774 112931 "ANY1" 113247 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110170 111088 111415 "ANTISYM" 112375 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109997 110129 110156 "ANON" 110161 T ANON (NIL) -8 NIL NIL) (-53 104064 108536 108990 "AN" 109561 T AN (NIL) -8 NIL NIL) (-52 100359 101757 101809 "AMR" 102557 NIL AMR (NIL T T) -9 NIL 103151) (-51 99471 99692 100055 "AMR-" 100060 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 84033 99388 99449 "ALIST" 99454 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80870 83627 83796 "ALGSC" 83951 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77428 77982 78588 "ALGPKG" 80311 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76705 76806 76990 "ALGMFACT" 77314 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72453 73137 73788 "ALGMANIP" 76232 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63715 72079 72229 "ALGFF" 72386 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62911 63042 63221 "ALGFACT" 63573 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61896 62506 62545 "ALGEBRA" 62605 NIL ALGEBRA (NIL T) -9 NIL 62664) (-42 61614 61673 61805 "ALGEBRA-" 61810 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43421 59146 59199 "ALAGG" 59335 NIL ALAGG (NIL T T) -9 NIL 59496) (-40 42956 43069 43096 "AHYP" 43297 T AHYP (NIL) -9 NIL NIL) (-39 41887 42135 42162 "AGG" 42661 T AGG (NIL) -9 NIL 42939) (-38 41321 41483 41697 "AGG-" 41702 NIL AGG- (NIL T) -8 NIL NIL) (-37 38870 39451 39490 "AFSPCAT" 40762 NIL AFSPCAT (NIL T) -9 NIL 41257) (-36 36549 36971 37388 "AF" 38513 NIL AF (NIL T T) -7 NIL NIL) (-35 35889 36478 36532 "AFFSP" 36537 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35146 35816 35865 "AFFPLPS" 35870 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34480 35087 35129 "AFFPL" 35134 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31193 31680 32308 "AFALGRES" 33985 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29839 30016 30330 "AFALGGRO" 31012 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29108 29366 29522 "ACPLOT" 29701 T ACPLOT (NIL) -8 NIL NIL) (-29 18455 26438 26490 "ACFS" 27201 NIL ACFS (NIL T) -9 NIL 27440) (-28 16469 16959 17734 "ACFS-" 17739 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
+(((|ElementaryFunctionCategory&| |#1|) (CATEGORY |domain| (SIGNATURE ** (|#1| |#1| |#1|))) (|ElementaryFunctionCategory|)) (T |ElementaryFunctionCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ** (|#1| |#1| |#1|))) 
+((|log| (($ $) 6)) (|exp| (($ $) 7)) (** (($ $ $) 8))) 
+(((|ElementaryFunctionCategory|) (|Category|)) (T |ElementaryFunctionCategory|)) 
+((** (*1 *1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) (|exp| (*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) (|log| (*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |log| ($ $)) (SIGNATURE |exp| ($ $)) (SIGNATURE ** ($ $ $)))) 
+((|sncndn| (((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|) 35)) (|sn| ((|#2| |#2| |#1|) 38)) (|dn| ((|#2| |#2| |#1|) 40)) (|cn| ((|#2| |#2| |#1|) 39))) 
+(((|EllipticFunctionsUnivariateTaylorSeries| |#1| |#2|) (CATEGORY |package| (SIGNATURE |sn| (|#2| |#2| |#1|)) (SIGNATURE |cn| (|#2| |#2| |#1|)) (SIGNATURE |dn| (|#2| |#2| |#1|)) (SIGNATURE |sncndn| ((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|))) (|Field|) (|UnivariateTaylorSeriesCategory| |#1|)) (T |EllipticFunctionsUnivariateTaylorSeries|)) 
+((|sncndn| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Stream| *4))) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *4 *5)) (|isDomain| *3 (|Stream| *4)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)))) (|dn| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|cn| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|sn| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |sn| (|#2| |#2| |#1|)) (SIGNATURE |cn| (|#2| |#2| |#1|)) (SIGNATURE |dn| (|#2| |#2| |#1|)) (SIGNATURE |sncndn| ((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|))) 
+((|elt| ((|#2| $ |#1|) 6))) 
+(((|Eltable| |#1| |#2|) (|Category|) (|SetCategory|) (|Type|)) (T |Eltable|)) 
+((|elt| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|Eltable| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |elt| (|t#2| $ |t#1|)))) 
+((|qsetelt!| ((|#3| $ |#2| |#3|) 12)) (|qelt| ((|#3| $ |#2|) 10))) 
+(((|EltableAggregate&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |qsetelt!| (|#3| |#1| |#2| |#3|)) (SIGNATURE |qelt| (|#3| |#1| |#2|))) (|EltableAggregate| |#2| |#3|) (|SetCategory|) (|Type|)) (T |EltableAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |qsetelt!| (|#3| |#1| |#2| |#3|)) (SIGNATURE |qelt| (|#3| |#1| |#2|))) 
+((|setelt| ((|#2| $ |#1| |#2|) 8 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) 7 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) 9)) (|elt| ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
+(((|EltableAggregate| |#1| |#2|) (|Category|) (|SetCategory|) (|Type|)) (T |EltableAggregate|)) 
+((|elt| (*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) (|qelt| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) (|qsetelt!| (*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|Eltable| |t#1| |t#2|) (CATEGORY |domain| (SIGNATURE |elt| (|t#2| $ |t#1| |t#2|)) (SIGNATURE |qelt| (|t#2| $ |t#1|)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |setelt| (|t#2| $ |t#1| |t#2|)) (SIGNATURE |qsetelt!| (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
+(((|Eltable| |#1| |#2|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 34)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 39)) (|unitCanonical| (($ $) 37)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) 32)) (|reduce| (($ |#2| |#3|) 19)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|modulus| ((|#3| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 20)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|exQuo| (((|Union| $ "failed") $ $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) 33)) (|elt| ((|#2| $ |#2|) 41)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 24)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) ((|#2| $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 27 T CONST)) (|One| (($) 35 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 36))) 
+(((|EuclideanModularRing| |#1| |#2| |#3| |#4| |#5| |#6|) (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |modulus| (|#3| $)) (SIGNATURE |coerce| (|#2| $)) (SIGNATURE |reduce| ($ |#2| |#3|)) (SIGNATURE |exQuo| ((|Union| $ "failed") $ $)) (SIGNATURE |recip| ((|Union| $ "failed") $)) (SIGNATURE |inv| ($ $)) (SIGNATURE |elt| (|#2| $ |#2|)))) (|CommutativeRing|) (|UnivariatePolynomialCategory| |#1|) (|AbelianMonoid|) (|Mapping| |#2| |#2| |#3|) (|Mapping| (|Union| |#3| "failed") |#3| |#3|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| |#3|)) (T |EuclideanModularRing|)) 
+((|recip| (*1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) (|modulus| (*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|EuclideanModularRing| *3 *4 *2 *5 *6 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofType| *5 (|Mapping| *4 *4 *2)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *7 (|Mapping| (|Union| *4 "failed") *4 *4 *2)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) (|reduce| (*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *4 *2 *3 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *3)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|exQuo| (*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) (|inv| (*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) (|elt| (*1 *2 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4))))) 
+(|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |modulus| (|#3| $)) (SIGNATURE |coerce| (|#2| $)) (SIGNATURE |reduce| ($ |#2| |#3|)) (SIGNATURE |exQuo| ((|Union| $ "failed") $ $)) (SIGNATURE |recip| ((|Union| $ "failed") $)) (SIGNATURE |inv| ($ $)) (SIGNATURE |elt| (|#2| $ |#2|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|EntireRing|) (|Category|)) (T |EntireRing|)) 
+NIL 
+(|Join| (|Ring|) (|BiModule| $ $) (CATEGORY |package| (ATTRIBUTE |noZeroDivisors|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|generalizedEigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 83)) (|generalizedEigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 78) (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) 36)) (|eigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 80)) (|eigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 60)) (|eigenvalues| (((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 59)) (|characteristicPolynomial| (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 47) (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) 48))) 
+(((|EigenPackage| |#1|) (CATEGORY |package| (SIGNATURE |characteristicPolynomial| ((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |characteristicPolynomial| ((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eigenvalues| ((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eigenvector| ((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |generalizedEigenvector| ((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |generalizedEigenvector| ((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |generalizedEigenvectors| ((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eigenvectors| ((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|GcdDomain|)) (T |EigenPackage|)) 
+((|eigenvectors| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))))) (|generalizedEigenvectors| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))))) (|generalizedEigenvector| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| *4)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5)))))) (|generalizedEigenvector| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *6)) (|SuchThat| (|Symbol|) (|Polynomial| *6)))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *6))))) (|isDomain| *1 (|EigenPackage| *6)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *6)))))) (|eigenvector| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5)))))) (|eigenvalues| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4))))) (|isDomain| *1 (|EigenPackage| *4)))) (|characteristicPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|EigenPackage| *4)) (|ofCategory| *4 (|GcdDomain|)))) (|characteristicPolynomial| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|EigenPackage| *5)) (|ofCategory| *5 (|GcdDomain|))))) 
+(CATEGORY |package| (SIGNATURE |characteristicPolynomial| ((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |characteristicPolynomial| ((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eigenvalues| ((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eigenvector| ((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |generalizedEigenvector| ((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |generalizedEigenvector| ((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |generalizedEigenvectors| ((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eigenvectors| ((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) 
+((|map| (((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)) 14))) 
+(((|EquationFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)))) (|Type|) (|Type|)) (T |EquationFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Equation| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Equation| *6)) (|isDomain| *1 (|EquationFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero?| (((|Boolean|) $) NIL (|has| |#1| (|AbelianGroup|)))) (|swap| (($ $) 22)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|AbelianGroup|)))) (|subst| (($ $ $) 93 (|has| |#1| (|ExpressionSpace|)))) (|sample| (($) NIL (OR (|has| |#1| (|AbelianGroup|)) (|has| |#1| (|Monoid|))) CONST)) (|rightZero| (($ $) 8 (|has| |#1| (|AbelianGroup|)))) (|rightOne| (((|Union| $ "failed") $) 68 (|has| |#1| (|Monoid|)))) (|rhs| ((|#1| $) 21)) (|recip| (((|Union| $ "failed") $) 66 (|has| |#1| (|Monoid|)))) (|one?| (((|Boolean|) $) NIL (|has| |#1| (|Monoid|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 24)) (|lhs| ((|#1| $) 9)) (|leftZero| (($ $) 57 (|has| |#1| (|AbelianGroup|)))) (|leftOne| (((|Union| $ "failed") $) 67 (|has| |#1| (|Monoid|)))) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inv| (($ $) 70 (OR (|has| |#1| (|Field|)) (|has| |#1| (|Group|))))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|factorAndSplit| (((|List| $) $) 19 (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ $) 34 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| $)) 37 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Symbol|) |#1|) 27 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 31 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|equation| (($ |#1| |#1|) 17)) (|dimension| (((|CardinalNumber|)) 88 (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 85 (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (|conjugate| (($ $ $) NIL (|has| |#1| (|Group|)))) (|commutator| (($ $ $) NIL (|has| |#1| (|Group|)))) (|coerce| (($ (|Integer|)) NIL (|has| |#1| (|Ring|))) (((|Boolean|) $) 45 (|has| |#1| (|SetCategory|))) (((|OutputForm|) $) 44 (|has| |#1| (|SetCategory|)))) (|characteristic| (((|NonNegativeInteger|)) 73 (|has| |#1| (|Ring|)))) (^ (($ $ (|Integer|)) NIL (|has| |#1| (|Group|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|SemiGroup|)))) (|Zero| (($) 55 (|has| |#1| (|AbelianGroup|)) CONST)) (|One| (($) 63 (|has| |#1| (|Monoid|)) CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (= (($ |#1| |#1|) 20) (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) 90 (OR (|has| |#1| (|Field|)) (|has| |#1| (|Group|))))) (- (($ |#1| $) 53 (|has| |#1| (|AbelianGroup|))) (($ $ |#1|) 54 (|has| |#1| (|AbelianGroup|))) (($ $ $) 52 (|has| |#1| (|AbelianGroup|))) (($ $) 51 (|has| |#1| (|AbelianGroup|)))) (+ (($ |#1| $) 48 (|has| |#1| (|AbelianSemiGroup|))) (($ $ |#1|) 49 (|has| |#1| (|AbelianSemiGroup|))) (($ $ $) 47 (|has| |#1| (|AbelianSemiGroup|)))) (** (($ $ (|Integer|)) NIL (|has| |#1| (|Group|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|SemiGroup|)))) (* (($ $ |#1|) 61 (|has| |#1| (|SemiGroup|))) (($ |#1| $) 60 (|has| |#1| (|SemiGroup|))) (($ $ $) 59 (|has| |#1| (|SemiGroup|))) (($ (|Integer|) $) 76 (|has| |#1| (|AbelianGroup|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#1| (|AbelianGroup|))) (($ (|PositiveInteger|) $) NIL (|has| |#1| (|AbelianSemiGroup|))))) 
+(((|Equation| |#1|) (|Join| (|Type|) (CATEGORY |domain| (SIGNATURE = ($ |#1| |#1|)) (SIGNATURE |equation| ($ |#1| |#1|)) (SIGNATURE |swap| ($ $)) (SIGNATURE |lhs| (|#1| $)) (SIGNATURE |rhs| (|#1| $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) (ATTRIBUTE (|InnerEvalable| (|Symbol|) |#1|)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (ATTRIBUTE (|SetCategory|)) (ATTRIBUTE (|CoercibleTo| (|Boolean|))) (IF (|has| |#1| (|Evalable| |#1|)) (PROGN (SIGNATURE |eval| ($ $ $)) (SIGNATURE |eval| ($ $ (|List| $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (|AbelianSemiGroup|)) (PROGN (ATTRIBUTE (|AbelianSemiGroup|)) (SIGNATURE + ($ |#1| $)) (SIGNATURE + ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (|AbelianGroup|)) (PROGN (ATTRIBUTE (|AbelianGroup|)) (SIGNATURE |leftZero| ($ $)) (SIGNATURE |rightZero| ($ $)) (SIGNATURE - ($ |#1| $)) (SIGNATURE - ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (|SemiGroup|)) (PROGN (ATTRIBUTE (|SemiGroup|)) (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (|Monoid|)) (PROGN (ATTRIBUTE (|Monoid|)) (SIGNATURE |leftOne| ((|Union| $ "failed") $)) (SIGNATURE |rightOne| ((|Union| $ "failed") $))) |noBranch|) (IF (|has| |#1| (|Group|)) (PROGN (ATTRIBUTE (|Group|)) (SIGNATURE |leftOne| ((|Union| $ "failed") $)) (SIGNATURE |rightOne| ((|Union| $ "failed") $))) |noBranch|) (IF (|has| |#1| (|Ring|)) (PROGN (ATTRIBUTE (|Ring|)) (ATTRIBUTE (|BiModule| |#1| |#1|))) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Module| |#1|)) |noBranch|) (IF (|has| |#1| (|IntegralDomain|)) (SIGNATURE |factorAndSplit| ((|List| $) $)) |noBranch|) (IF (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (ATTRIBUTE (|PartialDifferentialRing| (|Symbol|))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (ATTRIBUTE (|VectorSpace| |#1|)) (SIGNATURE / ($ $ $)) (SIGNATURE |inv| ($ $))) |noBranch|) (IF (|has| |#1| (|ExpressionSpace|)) (SIGNATURE |subst| ($ $ $)) |noBranch|))) (|Type|)) (T |Equation|)) 
+((= (*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) (|equation| (*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) (|swap| (*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) (|lhs| (*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) (|rhs| (*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) (|eval| (*1 *1 *1 *1) (AND (|ofCategory| *2 (|Evalable| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|Equation| *2)))) (|eval| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *3 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) (+ (*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) (+ (*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) (|leftZero| (*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) (|rightZero| (*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) (- (*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) (- (*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) (|leftOne| (*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|)))) (|rightOne| (*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|)))) (|factorAndSplit| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|Equation| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Type|)))) (|subst| (*1 *1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)))) (* (*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) (* (*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) (/ (*1 *1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) (|inv| (*1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|)))))) 
+(|Join| (|Type|) (CATEGORY |domain| (SIGNATURE = ($ |#1| |#1|)) (SIGNATURE |equation| ($ |#1| |#1|)) (SIGNATURE |swap| ($ $)) (SIGNATURE |lhs| (|#1| $)) (SIGNATURE |rhs| (|#1| $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) (ATTRIBUTE (|InnerEvalable| (|Symbol|) |#1|)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (ATTRIBUTE (|SetCategory|)) (ATTRIBUTE (|CoercibleTo| (|Boolean|))) (IF (|has| |#1| (|Evalable| |#1|)) (PROGN (SIGNATURE |eval| ($ $ $)) (SIGNATURE |eval| ($ $ (|List| $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (|AbelianSemiGroup|)) (PROGN (ATTRIBUTE (|AbelianSemiGroup|)) (SIGNATURE + ($ |#1| $)) (SIGNATURE + ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (|AbelianGroup|)) (PROGN (ATTRIBUTE (|AbelianGroup|)) (SIGNATURE |leftZero| ($ $)) (SIGNATURE |rightZero| ($ $)) (SIGNATURE - ($ |#1| $)) (SIGNATURE - ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (|SemiGroup|)) (PROGN (ATTRIBUTE (|SemiGroup|)) (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (|Monoid|)) (PROGN (ATTRIBUTE (|Monoid|)) (SIGNATURE |leftOne| ((|Union| $ "failed") $)) (SIGNATURE |rightOne| ((|Union| $ "failed") $))) |noBranch|) (IF (|has| |#1| (|Group|)) (PROGN (ATTRIBUTE (|Group|)) (SIGNATURE |leftOne| ((|Union| $ "failed") $)) (SIGNATURE |rightOne| ((|Union| $ "failed") $))) |noBranch|) (IF (|has| |#1| (|Ring|)) (PROGN (ATTRIBUTE (|Ring|)) (ATTRIBUTE (|BiModule| |#1| |#1|))) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Module| |#1|)) |noBranch|) (IF (|has| |#1| (|IntegralDomain|)) (SIGNATURE |factorAndSplit| ((|List| $) $)) |noBranch|) (IF (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (ATTRIBUTE (|PartialDifferentialRing| (|Symbol|))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (ATTRIBUTE (|VectorSpace| |#1|)) (SIGNATURE / ($ $ $)) (SIGNATURE |inv| ($ $))) |noBranch|) (IF (|has| |#1| (|ExpressionSpace|)) (SIGNATURE |subst| ($ $ $)) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#2| $ |#1| |#2|) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) NIL)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|keys| (((|List| |#1|) $) NIL)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|indices| (((|List| |#1|) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|EqTable| |#1| |#2|) (|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) (|SetCategory|) (|SetCategory|)) (T |EqTable|)) 
+NIL 
+(|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) 
+((|error| (((|Exit|) (|String|) (|List| (|String|))) 16) (((|Exit|) (|String|) (|String|)) 15) (((|Exit|) (|List| (|String|))) 14) (((|Exit|) (|String|)) 12))) 
+(((|ErrorFunctions|) (CATEGORY |package| (SIGNATURE |error| ((|Exit|) (|String|))) (SIGNATURE |error| ((|Exit|) (|List| (|String|)))) (SIGNATURE |error| ((|Exit|) (|String|) (|String|))) (SIGNATURE |error| ((|Exit|) (|String|) (|List| (|String|)))))) (T |ErrorFunctions|)) 
+((|error| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|String|))) (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) (|error| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) (|error| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) (|error| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|))))) 
+(CATEGORY |package| (SIGNATURE |error| ((|Exit|) (|String|))) (SIGNATURE |error| ((|Exit|) (|List| (|String|)))) (SIGNATURE |error| ((|Exit|) (|String|) (|String|))) (SIGNATURE |error| ((|Exit|) (|String|) (|List| (|String|))))) 
+((|map| ((|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)) 17))) 
+(((|ExpressionSpaceFunctions1| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| (|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)))) (|ExpressionSpace|) (|Type|)) (T |ExpressionSpaceFunctions1|)) 
+((|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Kernel| *6)) (|ofCategory| *6 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ExpressionSpaceFunctions1| *6 *2))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)))) 
+((|map| ((|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)) 17))) 
+(((|ExpressionSpaceFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| (|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)))) (|ExpressionSpace|) (|ExpressionSpace|)) (T |ExpressionSpaceFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Kernel| *5)) (|ofCategory| *5 (|ExpressionSpace|)) (|ofCategory| *2 (|ExpressionSpace|)) (|isDomain| *1 (|ExpressionSpaceFunctions2| *5 *2))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)))) 
+((|in?| (((|Boolean|) (|DoubleFloat|)) 10))) 
+(((|ExpertSystemContinuityPackage1| |#1| |#2|) (CATEGORY |package| (SIGNATURE |in?| ((|Boolean|) (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|)) (T |ExpertSystemContinuityPackage1|)) 
+((|in?| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage1| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3)))) 
+(CATEGORY |package| (SIGNATURE |in?| ((|Boolean|) (|DoubleFloat|)))) 
+((|zerosOf| (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 88)) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 103) (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 58)) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) NIL)) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 55)) (|polynomialZeros| (((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 47)) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) NIL)) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 23)) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 24)) (|functionIsFracPolynomial?| (((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 51)) (|df2st| (((|String|) (|DoubleFloat|)) NIL))) 
+(((|ExpertSystemContinuityPackage|) (CATEGORY |package| (SIGNATURE |getlo| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |gethi| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |functionIsFracPolynomial?| ((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |problemPoints| ((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |zerosOf| ((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |singularitiesOf| ((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |singularitiesOf| ((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |polynomialZeros| ((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |df2st| ((|String|) (|DoubleFloat|))) (SIGNATURE |ldf2lst| ((|List| (|String|)) (|List| (|DoubleFloat|)))) (SIGNATURE |sdf2lst| ((|List| (|String|)) (|Stream| (|DoubleFloat|)))))) (T |ExpertSystemContinuityPackage|)) 
+((|sdf2lst| (*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|ldf2lst| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|df2st| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|polynomialZeros| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|singularitiesOf| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|singularitiesOf| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|zerosOf| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|problemPoints| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|functionIsFracPolynomial?| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|gethi| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) (|getlo| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(CATEGORY |package| (SIGNATURE |getlo| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |gethi| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |functionIsFracPolynomial?| ((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |problemPoints| ((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |zerosOf| ((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |singularitiesOf| ((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |singularitiesOf| ((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |polynomialZeros| ((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |df2st| ((|String|) (|DoubleFloat|))) (SIGNATURE |ldf2lst| ((|List| (|String|)) (|List| (|DoubleFloat|)))) (SIGNATURE |sdf2lst| ((|List| (|String|)) (|Stream| (|DoubleFloat|))))) 
+((|tower| (((|List| (|Kernel| $)) $) 28)) (|subst| (($ $ (|Equation| $)) 80) (($ $ (|List| (|Equation| $))) 120) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) 110)) (|retract| (((|Kernel| $) $) 109)) (|paren| (($ $) 19) (($ (|List| $)) 54)) (|operators| (((|List| (|BasicOperator|)) $) 37)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 90)) (|odd?| (((|Boolean|) $) 128)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) 88)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) 92)) (|kernel| (($ (|BasicOperator|) $) 60) (($ (|BasicOperator|) (|List| $)) 98)) (|is?| (((|Boolean|) $ (|BasicOperator|)) 114) (((|Boolean|) $ (|Symbol|)) 113)) (|height| (((|NonNegativeInteger|) $) 45)) (|freeOf?| (((|Boolean|) $ $) 58) (((|Boolean|) $ (|Symbol|)) 49)) (|even?| (((|Boolean|) $) 126)) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL) (($ $ (|List| (|Equation| $))) 118) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) 83) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) 68) (($ $ (|Symbol|) (|Mapping| $ $)) 74) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) 82) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) 84) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) 70) (($ $ (|BasicOperator|) (|Mapping| $ $)) 76)) (|elt| (($ (|BasicOperator|) $) 61) (($ (|BasicOperator|) $ $) 62) (($ (|BasicOperator|) $ $ $) 63) (($ (|BasicOperator|) $ $ $ $) 64) (($ (|BasicOperator|) (|List| $)) 106)) (|distribute| (($ $) 51) (($ $ $) 116)) (|box| (($ $) 17) (($ (|List| $)) 53)) (|belong?| (((|Boolean|) (|BasicOperator|)) 22))) 
+(((|ExpressionSpace&| |#1|) (CATEGORY |domain| (SIGNATURE |odd?| ((|Boolean|) |#1|)) (SIGNATURE |even?| ((|Boolean|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |freeOf?| ((|Boolean|) |#1| (|Symbol|))) (SIGNATURE |freeOf?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#1| |#1|) (|Kernel| |#1|))) (SIGNATURE |kernel| (|#1| (|BasicOperator|) (|List| |#1|))) (SIGNATURE |kernel| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |is?| ((|Boolean|) |#1| (|Symbol|))) (SIGNATURE |is?| ((|Boolean|) |#1| (|BasicOperator|))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |operators| ((|List| (|BasicOperator|)) |#1|)) (SIGNATURE |tower| ((|List| (|Kernel| |#1|)) |#1|)) (SIGNATURE |mainKernel| ((|Union| (|Kernel| |#1|) "failed") |#1|)) (SIGNATURE |height| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |distribute| (|#1| |#1| |#1|)) (SIGNATURE |distribute| (|#1| |#1|)) (SIGNATURE |paren| (|#1| (|List| |#1|))) (SIGNATURE |paren| (|#1| |#1|)) (SIGNATURE |box| (|#1| (|List| |#1|))) (SIGNATURE |box| (|#1| |#1|)) (SIGNATURE |subst| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |subst| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |subst| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) (|List| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Kernel| |#1|) |#1|)) (SIGNATURE |retract| ((|Kernel| |#1|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Kernel| |#1|) "failed") |#1|))) (|ExpressionSpace|)) (T |ExpressionSpace&|)) 
+((|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|ExpressionSpace&| *3)) (|ofCategory| *3 (|ExpressionSpace|)))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpressionSpace&| *4)) (|ofCategory| *4 (|ExpressionSpace|))))) 
+(CATEGORY |domain| (SIGNATURE |odd?| ((|Boolean|) |#1|)) (SIGNATURE |even?| ((|Boolean|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |freeOf?| ((|Boolean|) |#1| (|Symbol|))) (SIGNATURE |freeOf?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#1| |#1|) (|Kernel| |#1|))) (SIGNATURE |kernel| (|#1| (|BasicOperator|) (|List| |#1|))) (SIGNATURE |kernel| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |is?| ((|Boolean|) |#1| (|Symbol|))) (SIGNATURE |is?| ((|Boolean|) |#1| (|BasicOperator|))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |operators| ((|List| (|BasicOperator|)) |#1|)) (SIGNATURE |tower| ((|List| (|Kernel| |#1|)) |#1|)) (SIGNATURE |mainKernel| ((|Union| (|Kernel| |#1|) "failed") |#1|)) (SIGNATURE |height| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |distribute| (|#1| |#1| |#1|)) (SIGNATURE |distribute| (|#1| |#1|)) (SIGNATURE |paren| (|#1| (|List| |#1|))) (SIGNATURE |paren| (|#1| |#1|)) (SIGNATURE |box| (|#1| (|List| |#1|))) (SIGNATURE |box| (|#1| |#1|)) (SIGNATURE |subst| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |subst| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |subst| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) (|List| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Kernel| |#1|) |#1|)) (SIGNATURE |retract| ((|Kernel| |#1|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Kernel| |#1|) "failed") |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|tower| (((|List| (|Kernel| $)) $) 43)) (|subst| (($ $ (|Equation| $)) 55) (($ $ (|List| (|Equation| $))) 54) (($ $ (|List| (|Kernel| $)) (|List| $)) 53)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) 68)) (|retract| (((|Kernel| $) $) 67)) (|paren| (($ $) 50) (($ (|List| $)) 49)) (|operators| (((|List| (|BasicOperator|)) $) 42)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 41)) (|odd?| (((|Boolean|) $) 21 (|has| $ (|RetractableTo| (|Integer|))))) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) 24 (|has| $ (|Ring|)))) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) 35)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) 45)) (|latex| (((|String|) $) 9)) (|kernels| (((|List| (|Kernel| $)) $) 44)) (|kernel| (($ (|BasicOperator|) $) 37) (($ (|BasicOperator|) (|List| $)) 36)) (|is?| (((|Boolean|) $ (|BasicOperator|)) 39) (((|Boolean|) $ (|Symbol|)) 38)) (|height| (((|NonNegativeInteger|) $) 46)) (|hash| (((|SingleInteger|) $) 10)) (|freeOf?| (((|Boolean|) $ $) 34) (((|Boolean|) $ (|Symbol|)) 33)) (|even?| (((|Boolean|) $) 22 (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) 66) (($ $ (|List| (|Kernel| $)) (|List| $)) 65) (($ $ (|List| (|Equation| $))) 64) (($ $ (|Equation| $)) 63) (($ $ $ $) 62) (($ $ (|List| $) (|List| $)) 61) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) 32) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) 31) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) 30) (($ $ (|Symbol|) (|Mapping| $ $)) 29) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) 28) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) 27) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) 26) (($ $ (|BasicOperator|) (|Mapping| $ $)) 25)) (|elt| (($ (|BasicOperator|) $) 60) (($ (|BasicOperator|) $ $) 59) (($ (|BasicOperator|) $ $ $) 58) (($ (|BasicOperator|) $ $ $ $) 57) (($ (|BasicOperator|) (|List| $)) 56)) (|distribute| (($ $) 48) (($ $ $) 47)) (|definingPolynomial| (($ $) 23 (|has| $ (|Ring|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Kernel| $)) 69)) (|box| (($ $) 52) (($ (|List| $)) 51)) (|belong?| (((|Boolean|) (|BasicOperator|)) 40)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17))) 
+(((|ExpressionSpace|) (|Category|)) (T |ExpressionSpace|)) 
+((|elt| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) (|elt| (*1 *1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) (|elt| (*1 *1 *2 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) (|elt| (*1 *1 *2 *1 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) (|elt| (*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|subst| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|subst| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|subst| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|box| (*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) (|box| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|paren| (*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) (|paren| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|distribute| (*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) (|distribute| (*1 *1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) (|height| (*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|mainKernel| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|kernels| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|tower| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|operators| (*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|List| (|BasicOperator|))))) (|operator| (*1 *2 *2) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) (|belong?| (*1 *2 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) (|is?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) (|is?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) (|kernel| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) (|kernel| (*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|map| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *1 *1)) (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|freeOf?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) (|freeOf?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) (|minPoly| (*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)))) (|definingPolynomial| (*1 *1 *1) (AND (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)))) (|even?| (*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) (|odd?| (*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|InnerEvalable| (|Kernel| $) $) (|Evalable| $) (CATEGORY |domain| (SIGNATURE |elt| ($ (|BasicOperator|) $)) (SIGNATURE |elt| ($ (|BasicOperator|) $ $)) (SIGNATURE |elt| ($ (|BasicOperator|) $ $ $)) (SIGNATURE |elt| ($ (|BasicOperator|) $ $ $ $)) (SIGNATURE |elt| ($ (|BasicOperator|) (|List| $))) (SIGNATURE |subst| ($ $ (|Equation| $))) (SIGNATURE |subst| ($ $ (|List| (|Equation| $)))) (SIGNATURE |subst| ($ $ (|List| (|Kernel| $)) (|List| $))) (SIGNATURE |box| ($ $)) (SIGNATURE |box| ($ (|List| $))) (SIGNATURE |paren| ($ $)) (SIGNATURE |paren| ($ (|List| $))) (SIGNATURE |distribute| ($ $)) (SIGNATURE |distribute| ($ $ $)) (SIGNATURE |height| ((|NonNegativeInteger|) $)) (SIGNATURE |mainKernel| ((|Union| (|Kernel| $) "failed") $)) (SIGNATURE |kernels| ((|List| (|Kernel| $)) $)) (SIGNATURE |tower| ((|List| (|Kernel| $)) $)) (SIGNATURE |operators| ((|List| (|BasicOperator|)) $)) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |is?| ((|Boolean|) $ (|BasicOperator|))) (SIGNATURE |is?| ((|Boolean|) $ (|Symbol|))) (SIGNATURE |kernel| ($ (|BasicOperator|) $)) (SIGNATURE |kernel| ($ (|BasicOperator|) (|List| $))) (SIGNATURE |map| ($ (|Mapping| $ $) (|Kernel| $))) (SIGNATURE |freeOf?| ((|Boolean|) $ $)) (SIGNATURE |freeOf?| ((|Boolean|) $ (|Symbol|))) (SIGNATURE |eval| ($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $)))) (SIGNATURE |eval| ($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $))))) (SIGNATURE |eval| ($ $ (|Symbol|) (|Mapping| $ (|List| $)))) (SIGNATURE |eval| ($ $ (|Symbol|) (|Mapping| $ $))) (SIGNATURE |eval| ($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $)))) (SIGNATURE |eval| ($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $))))) (SIGNATURE |eval| ($ $ (|BasicOperator|) (|Mapping| $ (|List| $)))) (SIGNATURE |eval| ($ $ (|BasicOperator|) (|Mapping| $ $))) (IF (|has| $ (|Ring|)) (PROGN (SIGNATURE |minPoly| ((|SparseUnivariatePolynomial| $) (|Kernel| $))) (SIGNATURE |definingPolynomial| ($ $))) |noBranch|) (IF (|has| $ (|RetractableTo| (|Integer|))) (PROGN (SIGNATURE |even?| ((|Boolean|) $)) (SIGNATURE |odd?| ((|Boolean|) $))) |noBranch|))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Evalable| $) . T) ((|InnerEvalable| (|Kernel| $) $) . T) ((|InnerEvalable| $ $) . T) ((|OrderedSet|) . T) ((|RetractableTo| (|Kernel| $)) . T) ((|SetCategory|) . T)) 
+((|neglist| (((|List| |#1|) (|List| |#1|)) 10))) 
+(((|ExpertSystemToolsPackage1| |#1|) (CATEGORY |package| (SIGNATURE |neglist| ((|List| |#1|) (|List| |#1|)))) (|OrderedRing|)) (T |ExpertSystemToolsPackage1|)) 
+((|neglist| (*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedRing|)) (|isDomain| *1 (|ExpertSystemToolsPackage1| *3))))) 
+(CATEGORY |package| (SIGNATURE |neglist| ((|List| |#1|) (|List| |#1|)))) 
+((|map| (((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)) 15))) 
+(((|ExpertSystemToolsPackage2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)))) (|Ring|) (|Ring|)) (T |ExpertSystemToolsPackage2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|ExpertSystemToolsPackage2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)))) 
+((|vedf2vef| (((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|)))) 105)) (|socf2socdf| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|)))) 39)) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) 87)) (|pdf2ef| (((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|))) 49)) (|pdf2df| (((|DoubleFloat|) (|Polynomial| (|DoubleFloat|))) 45)) (|outputMeasure| (((|String|) (|Float|)) 167)) (|ocf2ocdf| (((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|))) 33)) (|numberOfOperations| (((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|)))) 142)) (|measure2Result| (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) 180) (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) 178)) (|mat| (((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|)) 13)) (|ldf2vmf| (((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|))) 94)) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) 74)) (|isQuotient| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) 120)) (|in?| (((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 109)) (|iflist2Result| (((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) 198)) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 107)) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 108)) (|fi2df| (((|DoubleFloat|) (|Fraction| (|Integer|))) 26)) (|f2st| (((|String|) (|Float|)) 72)) (|f2df| (((|DoubleFloat|) (|Float|)) 17)) (|expenseOfEvaluation| (((|Float|) (|Vector| (|Expression| (|DoubleFloat|)))) 153)) (|ef2edf| (((|Expression| (|DoubleFloat|)) (|Expression| (|Float|))) 23)) (|edf2fi| (((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|))) 52)) (|edf2efi| (((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|))) 68)) (|edf2ef| (((|Expression| (|Float|)) (|Expression| (|DoubleFloat|))) 98)) (|edf2df| (((|DoubleFloat|) (|Expression| (|DoubleFloat|))) 53)) (|dflist| (((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) 63)) (|dfRange| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) 60)) (|df2st| (((|String|) (|DoubleFloat|)) 71)) (|df2mf| (((|MachineFloat|) (|DoubleFloat|)) 90)) (|df2fi| (((|Fraction| (|Integer|)) (|DoubleFloat|)) 54)) (|df2ef| (((|Expression| (|Float|)) (|DoubleFloat|)) 48)) (|convert| (((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) 42)) (|concat| (((|Result|) (|List| (|Result|))) 163) (((|Result|) (|Result|) (|Result|)) 160)) (|att2Result| (((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
+(((|ExpertSystemToolsPackage|) (CATEGORY |package| (SIGNATURE |f2df| ((|DoubleFloat|) (|Float|))) (SIGNATURE |ef2edf| ((|Expression| (|DoubleFloat|)) (|Expression| (|Float|)))) (SIGNATURE |ocf2ocdf| ((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|)))) (SIGNATURE |socf2socdf| ((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|))))) (SIGNATURE |convert| ((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|)))))) (SIGNATURE |df2fi| ((|Fraction| (|Integer|)) (|DoubleFloat|))) (SIGNATURE |edf2fi| ((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |edf2df| ((|DoubleFloat|) (|Expression| (|DoubleFloat|)))) (SIGNATURE |isQuotient| ((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|)))) (SIGNATURE |expenseOfEvaluation| ((|Float|) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |numberOfOperations| ((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |edf2efi| ((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|)))) (SIGNATURE |dfRange| ((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |dflist| ((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) (SIGNATURE |df2mf| ((|MachineFloat|) (|DoubleFloat|))) (SIGNATURE |ldf2vmf| ((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|)))) (SIGNATURE |edf2ef| ((|Expression| (|Float|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |vedf2vef| ((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |in?| ((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |df2st| ((|String|) (|DoubleFloat|))) (SIGNATURE |f2st| ((|String|) (|Float|))) (SIGNATURE |ldf2lst| ((|List| (|String|)) (|List| (|DoubleFloat|)))) (SIGNATURE |sdf2lst| ((|List| (|String|)) (|Stream| (|DoubleFloat|)))) (SIGNATURE |getlo| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |gethi| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |concat| ((|Result|) (|Result|) (|Result|))) (SIGNATURE |concat| ((|Result|) (|List| (|Result|)))) (SIGNATURE |outputMeasure| ((|String|) (|Float|))) (SIGNATURE |measure2Result| ((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))))) (SIGNATURE |measure2Result| ((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))))) (SIGNATURE |att2Result| ((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (SIGNATURE |iflist2Result| ((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))) (SIGNATURE |pdf2ef| ((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|)))) (SIGNATURE |pdf2df| ((|DoubleFloat|) (|Polynomial| (|DoubleFloat|)))) (SIGNATURE |df2ef| ((|Expression| (|Float|)) (|DoubleFloat|))) (SIGNATURE |fi2df| ((|DoubleFloat|) (|Fraction| (|Integer|)))) (SIGNATURE |mat| ((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|))))) (T |ExpertSystemToolsPackage|)) 
+((|mat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|fi2df| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|df2ef| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|pdf2df| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|pdf2ef| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|iflist2Result| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|att2Result| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|measure2Result| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|measure2Result| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|outputMeasure| (*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|concat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Result|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|concat| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|gethi| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|getlo| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|sdf2lst| (*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|ldf2lst| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|f2st| (*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|df2st| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|in?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|vedf2vef| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|edf2ef| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|ldf2vmf| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|df2mf| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|MachineFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|dflist| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|dfRange| (*1 *2 *2) (AND (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|edf2efi| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Fraction| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|numberOfOperations| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|expenseOfEvaluation| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|isQuotient| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|edf2df| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|edf2fi| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|df2fi| (*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|socf2socdf| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|ocf2ocdf| (*1 *2 *3) (AND (|isDomain| *3 (|OrderedCompletion| (|Float|))) (|isDomain| *2 (|OrderedCompletion| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|ef2edf| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) (|f2df| (*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |f2df| ((|DoubleFloat|) (|Float|))) (SIGNATURE |ef2edf| ((|Expression| (|DoubleFloat|)) (|Expression| (|Float|)))) (SIGNATURE |ocf2ocdf| ((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|)))) (SIGNATURE |socf2socdf| ((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|))))) (SIGNATURE |convert| ((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|)))))) (SIGNATURE |df2fi| ((|Fraction| (|Integer|)) (|DoubleFloat|))) (SIGNATURE |edf2fi| ((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |edf2df| ((|DoubleFloat|) (|Expression| (|DoubleFloat|)))) (SIGNATURE |isQuotient| ((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|)))) (SIGNATURE |expenseOfEvaluation| ((|Float|) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |numberOfOperations| ((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |edf2efi| ((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|)))) (SIGNATURE |dfRange| ((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |dflist| ((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) (SIGNATURE |df2mf| ((|MachineFloat|) (|DoubleFloat|))) (SIGNATURE |ldf2vmf| ((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|)))) (SIGNATURE |edf2ef| ((|Expression| (|Float|)) (|Expression| (|DoubleFloat|)))) (SIGNATURE |vedf2vef| ((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|))))) (SIGNATURE |in?| ((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |df2st| ((|String|) (|DoubleFloat|))) (SIGNATURE |f2st| ((|String|) (|Float|))) (SIGNATURE |ldf2lst| ((|List| (|String|)) (|List| (|DoubleFloat|)))) (SIGNATURE |sdf2lst| ((|List| (|String|)) (|Stream| (|DoubleFloat|)))) (SIGNATURE |getlo| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |gethi| ((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (SIGNATURE |concat| ((|Result|) (|Result|) (|Result|))) (SIGNATURE |concat| ((|Result|) (|List| (|Result|)))) (SIGNATURE |outputMeasure| ((|String|) (|Float|))) (SIGNATURE |measure2Result| ((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))))) (SIGNATURE |measure2Result| ((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))))) (SIGNATURE |att2Result| ((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (SIGNATURE |iflist2Result| ((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))) (SIGNATURE |pdf2ef| ((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|)))) (SIGNATURE |pdf2df| ((|DoubleFloat|) (|Polynomial| (|DoubleFloat|)))) (SIGNATURE |df2ef| ((|Expression| (|Float|)) (|DoubleFloat|))) (SIGNATURE |fi2df| ((|DoubleFloat|) (|Fraction| (|Integer|)))) (SIGNATURE |mat| ((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|)))) 
+((|sizeLess?| (((|Boolean|) $ $) 11)) (|rem| (($ $ $) 15)) (|quo| (($ $ $) 14)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 43)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 52)) (|gcd| (($ $ $) 21) (($ (|List| $)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 31) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (|exquo| (((|Union| $ "failed") $ $) 18)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 45))) 
+(((|EuclideanDomain&| |#1|) (CATEGORY |domain| (SIGNATURE |multiEuclidean| ((|Union| (|List| |#1|) "failed") (|List| |#1|) |#1|)) (SIGNATURE |extendedEuclidean| ((|Union| (|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (SIGNATURE |extendedEuclidean| ((|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| |generator| |#1|)) |#1| |#1|)) (SIGNATURE |rem| (|#1| |#1| |#1|)) (SIGNATURE |quo| (|#1| |#1| |#1|)) (SIGNATURE |sizeLess?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |expressIdealMember| ((|Union| (|List| |#1|) "failed") (|List| |#1|) |#1|)) (SIGNATURE |principalIdeal| ((|Record| (|:| |coef| (|List| |#1|)) (|:| |generator| |#1|)) (|List| |#1|))) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|))) (|EuclideanDomain|)) (T |EuclideanDomain&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |multiEuclidean| ((|Union| (|List| |#1|) "failed") (|List| |#1|) |#1|)) (SIGNATURE |extendedEuclidean| ((|Union| (|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (SIGNATURE |extendedEuclidean| ((|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| |generator| |#1|)) |#1| |#1|)) (SIGNATURE |rem| (|#1| |#1| |#1|)) (SIGNATURE |quo| (|#1| |#1| |#1|)) (SIGNATURE |sizeLess?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |expressIdealMember| ((|Union| (|List| |#1|) "failed") (|List| |#1|) |#1|)) (SIGNATURE |principalIdeal| ((|Record| (|:| |coef| (|List| |#1|)) (|:| |generator| |#1|)) (|List| |#1|))) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|one?| (((|Boolean|) $) 30)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|EuclideanDomain|) (|Category|)) (T |EuclideanDomain|)) 
+((|sizeLess?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)))) (|euclideanSize| (*1 *2 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|divide| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) (|quo| (*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) (|rem| (*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) (|extendedEuclidean| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) (|extendedEuclidean| (*1 *2 *1 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) (|multiEuclidean| (*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(|Join| (|PrincipalIdealDomain|) (CATEGORY |domain| (SIGNATURE |sizeLess?| ((|Boolean|) $ $)) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) $)) (SIGNATURE |divide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |quo| ($ $ $)) (SIGNATURE |rem| ($ $ $)) (SIGNATURE |extendedEuclidean| ((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $)) (SIGNATURE |extendedEuclidean| ((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (SIGNATURE |multiEuclidean| ((|Union| (|List| $) "failed") (|List| $) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|eval| (($ $ (|List| |#2|) (|List| |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (|Equation| |#2|)) 11) (($ $ (|List| (|Equation| |#2|))) NIL))) 
+(((|Evalable&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#2|)))) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#2| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#2|)))) (|Evalable| |#2|) (|SetCategory|)) (T |Evalable&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#2|)))) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#2| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#2|)))) 
+((|eval| (($ $ (|List| |#1|) (|List| |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (|Equation| |#1|)) 9) (($ $ (|List| (|Equation| |#1|))) 8))) 
+(((|Evalable| |#1|) (|Category|) (|SetCategory|)) (T |Evalable|)) 
+((|eval| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *3)) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) (|eval| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|InnerEvalable| |t#1| |t#1|) (CATEGORY |domain| (SIGNATURE |eval| ($ $ (|Equation| |t#1|))) (SIGNATURE |eval| ($ $ (|List| (|Equation| |t#1|)))))) 
+(((|InnerEvalable| |#1| |#1|) . T)) 
+((|eval| ((|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) 24))) 
+(((|EvaluateCycleIndicators| |#1|) (CATEGORY |package| (SIGNATURE |eval| (|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))))) (|Algebra| (|Fraction| (|Integer|)))) (T |EvaluateCycleIndicators|)) 
+((|eval| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|Integer|))) (|isDomain| *4 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|EvaluateCycleIndicators| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|))))))) 
+(CATEGORY |package| (SIGNATURE |eval| (|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 7)) (= (((|Boolean|) $ $) 9))) 
+(((|Exit|) (|SetCategory|)) (T |Exit|)) 
+NIL 
+(|SetCategory|) 
+((|writeObj| (((|Void|) (|SubSpace| 3 (|DoubleFloat|)) (|String|)) 38))) 
+(((|Export3D|) (CATEGORY |package| (SIGNATURE |writeObj| ((|Void|) (|SubSpace| 3 (|DoubleFloat|)) (|String|))))) (T |Export3D|)) 
+((|writeObj| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SubSpace| 3 (|DoubleFloat|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Export3D|))))) 
+(CATEGORY |package| (SIGNATURE |writeObj| ((|Void|) (|SubSpace| 3 (|DoubleFloat|)) (|String|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 62)) (|wholePart| (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Integer|)))) (((|Union| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) "failed") $) 24)) (|retract| (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) NIL) (((|Symbol|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Integer|)))) (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) (|:| |vec| (|Vector| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) 21)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) $) NIL)) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) 76)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|EuclideanDomain|)))) (|floor| (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) (|List| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Evalable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) (($ $ (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Evalable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) (($ $ (|Equation| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Evalable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) (($ $ (|List| (|Equation| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Evalable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) (($ $ (|List| (|Symbol|)) (|List| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|InnerEvalable| (|Symbol|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)))) (($ $ (|Symbol|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|InnerEvalable| (|Symbol|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Eltable| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) 17)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) 28) (($ (|Symbol|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|RetractableTo| (|Symbol|)))) (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) 36)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PolynomialFactorizationExplicit|))) (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 41 T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|OrderedSet|)))) (/ (($ $ $) 33) (($ (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) 30)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) $) 29) (($ $ (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) NIL))) 
+(((|ExponentialExpansion| |#1| |#2| |#3| |#4|) (|Join| (|QuotientFieldCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) (|RetractableTo| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (CATEGORY |domain| (SIGNATURE |limitPlus| ((|Union| (|OrderedCompletion| |#2|) "failed") $)) (SIGNATURE |coerce| ($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|))))) (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|)) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|)) (|Symbol|) |#2|) (T |ExponentialExpansion|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4) (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)))) (|limitPlus| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
+(|Join| (|QuotientFieldCategory| (|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|)) (|RetractableTo| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (CATEGORY |domain| (SIGNATURE |limitPlus| ((|Union| (|OrderedCompletion| |#2|) "failed") $)) (SIGNATURE |coerce| ($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|))))) 
+((|map| (((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)) 13))) 
+(((|ExpressionFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)))) (|OrderedSet|) (|OrderedSet|)) (T |ExpressionFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Expression| *6)) (|isDomain| *1 (|ExpressionFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)))) 
+((|taylor| (((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|)) 33) (((|Any|) |#2| (|Equation| |#2|)) 24) (((|Any|) |#2| (|NonNegativeInteger|)) 28) (((|Any|) |#2|) 25) (((|Any|) (|Symbol|)) 21)) (|series| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) 51) (((|Any|) |#2| (|Equation| |#2|)) 48) (((|Any|) |#2| (|Fraction| (|Integer|))) 50) (((|Any|) |#2|) 49) (((|Any|) (|Symbol|)) 47)) (|puiseux| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) 46) (((|Any|) |#2| (|Equation| |#2|)) 43) (((|Any|) |#2| (|Fraction| (|Integer|))) 45) (((|Any|) |#2|) 44) (((|Any|) (|Symbol|)) 42)) (|laurent| (((|Any|) |#2| (|Equation| |#2|) (|Integer|)) 39) (((|Any|) |#2| (|Equation| |#2|)) 35) (((|Any|) |#2| (|Integer|)) 38) (((|Any|) |#2|) 36) (((|Any|) (|Symbol|)) 34))) 
+(((|ExpressionToUnivariatePowerSeries| |#1| |#2|) (CATEGORY |package| (SIGNATURE |taylor| ((|Any|) (|Symbol|))) (SIGNATURE |taylor| ((|Any|) |#2|)) (SIGNATURE |taylor| ((|Any|) |#2| (|NonNegativeInteger|))) (SIGNATURE |taylor| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |taylor| ((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|))) (SIGNATURE |laurent| ((|Any|) (|Symbol|))) (SIGNATURE |laurent| ((|Any|) |#2|)) (SIGNATURE |laurent| ((|Any|) |#2| (|Integer|))) (SIGNATURE |laurent| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |laurent| ((|Any|) |#2| (|Equation| |#2|) (|Integer|))) (SIGNATURE |puiseux| ((|Any|) (|Symbol|))) (SIGNATURE |puiseux| ((|Any|) |#2|)) (SIGNATURE |puiseux| ((|Any|) |#2| (|Fraction| (|Integer|)))) (SIGNATURE |puiseux| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |puiseux| ((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) (|Symbol|))) (SIGNATURE |series| ((|Any|) |#2|)) (SIGNATURE |series| ((|Any|) |#2| (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |series| ((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))))) (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |ExpressionToUnivariatePowerSeries|)) 
+((|series| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) (|series| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) (|series| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|series| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|series| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|puiseux| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) (|puiseux| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) (|puiseux| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|puiseux| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|puiseux| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|laurent| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *5) (|LinearlyExplicitRingOver| *5))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) (|laurent| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) (|laurent| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *4) (|LinearlyExplicitRingOver| *4))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|laurent| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|laurent| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|taylor| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) (|taylor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) (|taylor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|taylor| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|taylor| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(CATEGORY |package| (SIGNATURE |taylor| ((|Any|) (|Symbol|))) (SIGNATURE |taylor| ((|Any|) |#2|)) (SIGNATURE |taylor| ((|Any|) |#2| (|NonNegativeInteger|))) (SIGNATURE |taylor| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |taylor| ((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|))) (SIGNATURE |laurent| ((|Any|) (|Symbol|))) (SIGNATURE |laurent| ((|Any|) |#2|)) (SIGNATURE |laurent| ((|Any|) |#2| (|Integer|))) (SIGNATURE |laurent| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |laurent| ((|Any|) |#2| (|Equation| |#2|) (|Integer|))) (SIGNATURE |puiseux| ((|Any|) (|Symbol|))) (SIGNATURE |puiseux| ((|Any|) |#2|)) (SIGNATURE |puiseux| ((|Any|) |#2| (|Fraction| (|Integer|)))) (SIGNATURE |puiseux| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |puiseux| ((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) (|Symbol|))) (SIGNATURE |series| ((|Any|) |#2|)) (SIGNATURE |series| ((|Any|) |#2| (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) |#2| (|Equation| |#2|))) (SIGNATURE |series| ((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zerosOf| (((|List| $) $ (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) $) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) (|Polynomial| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|zeroOf| (($ $ (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (($ (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|zero?| (((|Boolean|) $) 27 (OR (|has| |#1| (|AbelianSemiGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))))) (|variables| (((|List| (|Symbol|)) $) 348)) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|tower| (((|List| (|Kernel| $)) $) NIL)) (|tanh| (($ $) 154 (|has| |#1| (|IntegralDomain|)))) (|tan| (($ $) 130 (|has| |#1| (|IntegralDomain|)))) (|summation| (($ $ (|SegmentBinding| $)) 215 (|has| |#1| (|IntegralDomain|))) (($ $ (|Symbol|)) 211 (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (OR (|has| |#1| (|AbelianGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))))) (|subst| (($ $ (|Equation| $)) NIL) (($ $ (|List| (|Equation| $))) 364) (($ $ (|List| (|Kernel| $)) (|List| $)) 407)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 292 (AND (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|))))) (|squareFreePart| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|sqrt| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|sinh| (($ $) 150 (|has| |#1| (|IntegralDomain|)))) (|sin| (($ $) 126 (|has| |#1| (|IntegralDomain|)))) (|simplifyPower| (($ $ (|Integer|)) 64 (|has| |#1| (|IntegralDomain|)))) (|sech| (($ $) 158 (|has| |#1| (|IntegralDomain|)))) (|sec| (($ $) 134 (|has| |#1| (|IntegralDomain|)))) (|sample| (($) NIL (OR (|has| |#1| (|AbelianSemiGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|))) CONST)) (|rootsOf| (((|List| $) $ (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) $) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|IntegralDomain|))) (((|List| $) (|Polynomial| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|rootOf| (($ $ (|Symbol|)) NIL (|has| |#1| (|IntegralDomain|))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 117 (|has| |#1| (|IntegralDomain|))) (($ (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) 17) (((|Union| (|Symbol|) "failed") $) NIL) (((|Union| |#1| "failed") $) 416) (((|Union| (|AlgebraicNumber|) "failed") $) 321 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") $) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| (|Polynomial| |#1|) "failed") $) NIL (|has| |#1| (|Ring|))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 45 (OR (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|retract| (((|Kernel| $) $) 11) (((|Symbol|) $) NIL) ((|#1| $) 398) (((|AlgebraicNumber|) $) NIL (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Polynomial| |#1|)) $) NIL (|has| |#1| (|IntegralDomain|))) (((|Polynomial| |#1|) $) NIL (|has| |#1| (|Ring|))) (((|Fraction| (|Integer|)) $) 305 (OR (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|rem| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 110 (|has| |#1| (|Ring|))) (((|Matrix| |#1|) (|Matrix| $)) 102 (|has| |#1| (|Ring|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))))) (|reduce| (($ $) 84 (|has| |#1| (|IntegralDomain|)))) (|recip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|))))) (|quo| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|product| (($ $ (|SegmentBinding| $)) 219 (|has| |#1| (|IntegralDomain|))) (($ $ (|Symbol|)) 217 (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|polygamma| (($ $ $) 185 (|has| |#1| (|IntegralDomain|)))) (|pi| (($) 120 (|has| |#1| (|IntegralDomain|)))) (|permutation| (($ $ $) 205 (|has| |#1| (|IntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 370 (|has| |#1| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 376 (|has| |#1| (|PatternMatchable| (|Float|))))) (|paren| (($ $) NIL) (($ (|List| $)) NIL)) (|operators| (((|List| (|BasicOperator|)) $) NIL)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 264)) (|one?| (((|Boolean|) $) 25 (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|))))) (|odd?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|numerator| (($ $) 66 (|has| |#1| (|Ring|)))) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) 79 (|has| |#1| (|Ring|)))) (|number?| (((|Boolean|) $) 46 (|has| |#1| (|IntegralDomain|)))) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|IntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) 265 (|has| $ (|Ring|)))) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) 403)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) NIL)) (|log| (($ $) 124 (|has| |#1| (|IntegralDomain|)))) (|li| (($ $) 230 (|has| |#1| (|IntegralDomain|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|IntegralDomain|))) (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|latex| (((|String|) $) NIL)) (|kernels| (((|List| (|Kernel| $)) $) 48)) (|kernel| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) (|List| $)) 408)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL (|has| |#1| (|SemiGroup|)))) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) NIL (|has| |#1| (|Ring|)))) (|isPlus| (((|Union| (|List| $) "failed") $) 411 (|has| |#1| (|AbelianSemiGroup|)))) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) 415 (|has| |#1| (|AbelianSemiGroup|)))) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) NIL (|has| |#1| (|SemiGroup|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) NIL (|has| |#1| (|Ring|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) NIL (|has| |#1| (|Ring|)))) (|is?| (((|Boolean|) $ (|BasicOperator|)) NIL) (((|Boolean|) $ (|Symbol|)) 52)) (|inv| (($ $) NIL (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|))))) (|integral| (($ $ (|Symbol|)) 238 (|has| |#1| (|IntegralDomain|))) (($ $ (|SegmentBinding| $)) 240 (|has| |#1| (|IntegralDomain|)))) (|height| (((|NonNegativeInteger|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 43)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 285 (|has| |#1| (|IntegralDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|IntegralDomain|))) (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|fresnelS| (($ $) 234 (|has| |#1| (|IntegralDomain|)))) (|fresnelC| (($ $) 236 (|has| |#1| (|IntegralDomain|)))) (|freeOf?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|factorials| (($ $ (|Symbol|)) 209 (|has| |#1| (|IntegralDomain|))) (($ $) 207 (|has| |#1| (|IntegralDomain|)))) (|factorial| (($ $) 201 (|has| |#1| (|IntegralDomain|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 290 (AND (|has| |#1| (|GcdDomain|)) (|has| |#1| (|IntegralDomain|))))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|IntegralDomain|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) 122 (|has| |#1| (|IntegralDomain|)))) (|even?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) 402) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) NIL) (($ $ (|Symbol|) (|Mapping| $ $)) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) 358) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ $)) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|BasicOperator|) $ (|Symbol|)) 346 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) 345 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) NIL (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) NIL (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) NIL (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) NIL (|has| |#1| (|Ring|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|erf| (($ $) 222 (|has| |#1| (|IntegralDomain|)))) (|elt| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) $ $) NIL) (($ (|BasicOperator|) $ $ $) NIL) (($ (|BasicOperator|) $ $ $ $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|distribute| (($ $) NIL) (($ $ $) NIL)) (|dilog| (($ $) 232 (|has| |#1| (|IntegralDomain|)))) (|digamma| (($ $) 183 (|has| |#1| (|IntegralDomain|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|Ring|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|Ring|)))) (|denominator| (($ $) 67 (|has| |#1| (|IntegralDomain|)))) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) 81 (|has| |#1| (|IntegralDomain|)))) (|definingPolynomial| (($ $) 303 (|has| $ (|Ring|)))) (|csch| (($ $) 160 (|has| |#1| (|IntegralDomain|)))) (|csc| (($ $) 136 (|has| |#1| (|IntegralDomain|)))) (|coth| (($ $) 156 (|has| |#1| (|IntegralDomain|)))) (|cot| (($ $) 132 (|has| |#1| (|IntegralDomain|)))) (|cosh| (($ $) 152 (|has| |#1| (|IntegralDomain|)))) (|cos| (($ $) 128 (|has| |#1| (|IntegralDomain|)))) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (($ (|Factored| $)) NIL (|has| |#1| (|IntegralDomain|))) (((|InputForm|) $) 343 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $ $) NIL (|has| |#1| (|Group|)))) (|commutator| (($ $ $) NIL (|has| |#1| (|Group|)))) (|coerce| (((|OutputForm|) $) 401) (($ (|Kernel| $)) 392) (($ (|Symbol|)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ (|AlgebraicNumber|)) 297 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|))))) (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) 83 (|has| |#1| (|Ring|))) (($ (|Fraction| |#1|)) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| (|Fraction| |#1|))) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| |#1|))) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| |#1|)) NIL (|has| |#1| (|Ring|))) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ (|Integer|)) 34 (OR (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#1| (|Ring|))))) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Ring|)))) (|box| (($ $) NIL) (($ (|List| $)) NIL)) (|binomial| (($ $ $) 203 (|has| |#1| (|IntegralDomain|)))) (|besselY| (($ $ $) 189 (|has| |#1| (|IntegralDomain|)))) (|besselK| (($ $ $) 193 (|has| |#1| (|IntegralDomain|)))) (|besselJ| (($ $ $) 187 (|has| |#1| (|IntegralDomain|)))) (|besselI| (($ $ $) 191 (|has| |#1| (|IntegralDomain|)))) (|belong?| (((|Boolean|) (|BasicOperator|)) 9)) (|atanh| (($ $) 166 (|has| |#1| (|IntegralDomain|)))) (|atan| (($ $) 142 (|has| |#1| (|IntegralDomain|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 162 (|has| |#1| (|IntegralDomain|)))) (|asin| (($ $) 138 (|has| |#1| (|IntegralDomain|)))) (|asech| (($ $) 170 (|has| |#1| (|IntegralDomain|)))) (|asec| (($ $) 146 (|has| |#1| (|IntegralDomain|)))) (|applyQuote| (($ (|Symbol|) $) NIL) (($ (|Symbol|) $ $) NIL) (($ (|Symbol|) $ $ $) NIL) (($ (|Symbol|) $ $ $ $) NIL) (($ (|Symbol|) (|List| $)) NIL)) (|airyBi| (($ $) 197 (|has| |#1| (|IntegralDomain|)))) (|airyAi| (($ $) 195 (|has| |#1| (|IntegralDomain|)))) (|acsch| (($ $) 172 (|has| |#1| (|IntegralDomain|)))) (|acsc| (($ $) 148 (|has| |#1| (|IntegralDomain|)))) (|acoth| (($ $) 168 (|has| |#1| (|IntegralDomain|)))) (|acot| (($ $) 144 (|has| |#1| (|IntegralDomain|)))) (|acosh| (($ $) 164 (|has| |#1| (|IntegralDomain|)))) (|acos| (($ $) 140 (|has| |#1| (|IntegralDomain|)))) (|abs| (($ $) 175 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|Integer|)) NIL (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|)))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|)))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|))))) (|Zero| (($) 20 (OR (|has| |#1| (|AbelianSemiGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))) CONST)) (|Si| (($ $) 226 (|has| |#1| (|IntegralDomain|)))) (|One| (($) 22 (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|))) CONST)) (|Gamma| (($ $) 177 (|has| |#1| (|IntegralDomain|))) (($ $ $) 179 (|has| |#1| (|IntegralDomain|)))) (|Ei| (($ $) 224 (|has| |#1| (|IntegralDomain|)))) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|Ring|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|Ring|)))) (|Ci| (($ $) 228 (|has| |#1| (|IntegralDomain|)))) (|Beta| (($ $ $) 181 (|has| |#1| (|IntegralDomain|)))) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 76)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 75)) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) 93 (|has| |#1| (|IntegralDomain|))) (($ $ $) 42 (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|))))) (- (($ $ $) 40 (OR (|has| |#1| (|AbelianGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))))) (($ $) 29 (OR (|has| |#1| (|AbelianGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))))) (+ (($ $ $) 38 (OR (|has| |#1| (|AbelianSemiGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))))) (** (($ $ $) 61 (|has| |#1| (|IntegralDomain|))) (($ $ (|Fraction| (|Integer|))) 300 (|has| |#1| (|IntegralDomain|))) (($ $ (|Integer|)) 71 (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|)))) (($ $ (|NonNegativeInteger|)) 68 (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|)))) (($ $ (|PositiveInteger|)) 73 (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|))))) (* (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|IntegralDomain|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1| $) NIL (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ $ $) 36 (OR (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) (|has| |#1| (|SemiGroup|)))) (($ (|Integer|) $) 32 (OR (|has| |#1| (|AbelianGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))))) (($ (|NonNegativeInteger|) $) NIL (OR (|has| |#1| (|AbelianSemiGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))))) (($ (|PositiveInteger|) $) NIL (OR (|has| |#1| (|AbelianSemiGroup|)) (AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))))))) 
+(((|Expression| |#1|) (|Join| (|FunctionSpace| |#1|) (CATEGORY |domain| (IF (|has| |#1| (|IntegralDomain|)) (PROGN (ATTRIBUTE (|AlgebraicallyClosedFunctionSpace| |#1|)) (ATTRIBUTE (|TranscendentalFunctionCategory|)) (ATTRIBUTE (|CombinatorialOpsCategory|)) (ATTRIBUTE (|LiouvillianFunctionCategory|)) (ATTRIBUTE (|SpecialFunctionCategory|)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |number?| ((|Boolean|) $)) (SIGNATURE |simplifyPower| ($ $ (|Integer|))) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $))) (SIGNATURE |squareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)))) |noBranch|) (IF (|has| |#1| (|RetractableTo| (|Integer|))) (ATTRIBUTE (|RetractableTo| (|AlgebraicNumber|))) |noBranch|)) |noBranch|))) (|OrderedSet|)) (T |Expression|)) 
+((|reduce| (*1 *1 *1) (AND (|isDomain| *1 (|Expression| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|OrderedSet|)))) (|number?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)))) (|simplifyPower| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)))) (|factorPolynomial| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) (|squareFreePolynomial| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(|Join| (|FunctionSpace| |#1|) (CATEGORY |domain| (IF (|has| |#1| (|IntegralDomain|)) (PROGN (ATTRIBUTE (|AlgebraicallyClosedFunctionSpace| |#1|)) (ATTRIBUTE (|TranscendentalFunctionCategory|)) (ATTRIBUTE (|CombinatorialOpsCategory|)) (ATTRIBUTE (|LiouvillianFunctionCategory|)) (ATTRIBUTE (|SpecialFunctionCategory|)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |number?| ((|Boolean|) $)) (SIGNATURE |simplifyPower| ($ $ (|Integer|))) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $))) (SIGNATURE |squareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)))) |noBranch|) (IF (|has| |#1| (|RetractableTo| (|Integer|))) (ATTRIBUTE (|RetractableTo| (|AlgebraicNumber|))) |noBranch|)) |noBranch|))) 
+((|seriesSolve| (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) 86) (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) 82) (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|) 84) (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|) 85) (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) 78) (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) 80) (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) 81) (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) 79) (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) 87) (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) 83))) 
+(((|ExpressionSpaceODESolver| |#1| |#2|) (CATEGORY |package| (SIGNATURE |seriesSolve| ((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|)))) (SIGNATURE |seriesSolve| ((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|)))) (SIGNATURE |seriesSolve| ((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|)) (SIGNATURE |seriesSolve| ((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|)) (SIGNATURE |seriesSolve| ((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)))) (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|))) (|FunctionSpace| |#1|)) (T |ExpressionSpaceODESolver|)) 
+((|seriesSolve| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *3)))) (|seriesSolve| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) (|seriesSolve| (*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) (|seriesSolve| (*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *5)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *5 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *5)))) (|seriesSolve| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *6 (|List| (|Equation| *8))) (|ofCategory| *8 (|FunctionSpace| *7)) (|isDomain| *5 (|Equation| *8)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) (|seriesSolve| (*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) (|seriesSolve| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| (|Equation| *8))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *8)) (|isDomain| *6 (|List| *8)) (|ofCategory| *8 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) (|seriesSolve| (*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) (|seriesSolve| (*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) (|seriesSolve| (*1 *2 *3 *4 *3 *3) (AND (|isDomain| *3 (|Equation| *6)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |seriesSolve| ((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|)))) (SIGNATURE |seriesSolve| ((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|)))) (SIGNATURE |seriesSolve| ((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|)) (SIGNATURE |seriesSolve| ((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|)) (SIGNATURE |seriesSolve| ((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|))) (SIGNATURE |seriesSolve| ((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)))) 
+((|seriesSolve| ((|#3| |#2| (|BasicOperator|) (|Symbol|) (|List| |#2|)) 53)) (|replaceDiffs| ((|#2| |#2| (|BasicOperator|) (|Symbol|)) 30))) 
+(((|ExpressionSolve| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |seriesSolve| (|#3| |#2| (|BasicOperator|) (|Symbol|) (|List| |#2|))) (SIGNATURE |replaceDiffs| (|#2| |#2| (|BasicOperator|) (|Symbol|)))) (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|))) (|FunctionSpace| |#1|) (|UnivariateTaylorSeriesCategory| |#2|) (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| |#2|))) (T |ExpressionSolve|)) 
+((|replaceDiffs| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|ExpressionSolve| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *7 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *2))))) (|seriesSolve| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ExpressionSolve| *7 *3 *2 *8)) (|ofCategory| *8 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *3)))))) 
+(CATEGORY |package| (SIGNATURE |seriesSolve| (|#3| |#2| (|BasicOperator|) (|Symbol|) (|List| |#2|))) (SIGNATURE |replaceDiffs| (|#2| |#2| (|BasicOperator|) (|Symbol|)))) 
+((|tubePlot| (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|)) 45) (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) 46) (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|)) 42) (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|)) 43)) (|constantToUnaryFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|)) 44))) 
+(((|ExpressionTubePlot|) (CATEGORY |package| (SIGNATURE |constantToUnaryFunction| ((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|))))) (T |ExpressionTubePlot|)) 
+((|tubePlot| (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *8 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) (|tubePlot| (*1 *2 *3 *3 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) (|tubePlot| (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *7 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) (|tubePlot| (*1 *2 *3 *3 *3 *4 *5 *4 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) (|constantToUnaryFunction| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|ExpressionTubePlot|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(CATEGORY |package| (SIGNATURE |constantToUnaryFunction| ((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|))) (SIGNATURE |tubePlot| ((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 24)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) 19)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) 30)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) NIL) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) 15)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL) (($ $ (|Fraction| (|Integer|))) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|integrate| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exponentialOrder| (((|Fraction| (|Integer|)) $) 16)) (|exponential| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) 11)) (|exponent| (((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $) 12)) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) NIL) (($ $ $) NIL (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (|degree| (((|Fraction| (|Integer|)) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 10)) (|coerce| (((|OutputForm|) $) 36) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) 28)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) NIL)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 26)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 31)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|ExponentialOfUnivariatePuiseuxSeries| |#1| |#2| |#3|) (|Join| (|UnivariatePuiseuxSeriesCategory| |#1|) (|OrderedAbelianMonoid|) (CATEGORY |domain| (SIGNATURE |exponential| ($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|))) (SIGNATURE |exponent| ((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $)) (SIGNATURE |exponentialOrder| ((|Fraction| (|Integer|)) $)))) (|Join| (|Field|) (|OrderedSet|)) (|Symbol|) |#1|) (T |ExponentialOfUnivariatePuiseuxSeries|)) 
+((|exponential| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)))) (|exponent| (*1 *2 *1) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) (|exponentialOrder| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariatePuiseuxSeriesCategory| |#1|) (|OrderedAbelianMonoid|) (CATEGORY |domain| (SIGNATURE |exponential| ($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|))) (SIGNATURE |exponent| ((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $)) (SIGNATURE |exponentialOrder| ((|Fraction| (|Integer|)) $)))) 
+((|factorSqFree| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|) 15)) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|) 24))) 
+(((|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|)) (SIGNATURE |factorSqFree| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|))) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (T |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber|)) 
+((|factorSqFree| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) (|factor| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|)) (SIGNATURE |factorSqFree| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|))) 
+((|nthRoot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|)) 24)) (|log| (((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)) 28))) 
+(((|FactoredFunctions| |#1|) (CATEGORY |package| (SIGNATURE |nthRoot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|))) (SIGNATURE |log| ((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)))) (|IntegralDomain|)) (T |FactoredFunctions|)) 
+((|log| (*1 *2 *3) (AND (|isDomain| *3 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| *4)))) (|isDomain| *1 (|FactoredFunctions| *4)))) (|nthRoot| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *5) (|:| |radicand| (|List| *5)))) (|isDomain| *1 (|FactoredFunctions| *5)) (|isDomain| *4 (|NonNegativeInteger|))))) 
+(CATEGORY |package| (SIGNATURE |nthRoot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|))) (SIGNATURE |log| ((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)))) 
+((|factorSqFree| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|) 15)) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|) 24))) 
+(((|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|)) (SIGNATURE |factorSqFree| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|))) (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (T |FactorisationOverPseudoAlgebraicClosureOfRationalNumber|)) 
+((|factorSqFree| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) (|factor| (*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|)) (SIGNATURE |factorSqFree| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|) |#1|))) 
+((|variables| (((|List| |#2|) (|SparseUnivariatePolynomial| |#4|)) 43)) (|ran| ((|#3| (|Integer|)) 46)) (|raisePolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|)) 30)) (|normalDeriv| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|)) 55)) (|lowerPolynomial| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|)) 21)) (|degree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|)) 40)) (|completeEval| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|)) 35))) 
+(((|FactoringUtilities| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |completeEval| ((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|))) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|))) (SIGNATURE |variables| ((|List| |#2|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |lowerPolynomial| ((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |raisePolynomial| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|))) (SIGNATURE |normalDeriv| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|))) (SIGNATURE |ran| (|#3| (|Integer|)))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|Ring|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |FactoringUtilities|)) 
+((|ran| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *2 *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *4 *5)))) (|normalDeriv| (*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) (|raisePolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) (|lowerPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) (|variables| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) (|degree| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *8)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|FactoringUtilities| *5 *6 *7 *8)))) (|completeEval| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *8)) (|isDomain| *1 (|FactoringUtilities| *6 *7 *8 *9))))) 
+(CATEGORY |package| (SIGNATURE |completeEval| ((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|))) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|))) (SIGNATURE |variables| ((|List| |#2|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |lowerPolynomial| ((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |raisePolynomial| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|))) (SIGNATURE |normalDeriv| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|))) (SIGNATURE |ran| (|#3| (|Integer|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 14)) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) 18)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size| (((|NonNegativeInteger|) $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|nthFactor| ((|#1| $ (|Integer|)) NIL)) (|nthCoef| (((|Integer|) $ (|Integer|)) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapGen| (($ (|Mapping| |#1| |#1|) $) NIL)) (|mapCoef| (($ (|Mapping| (|Integer|) (|Integer|)) $) 10)) (|latex| (((|String|) $) NIL)) (|highCommonTerms| (($ $ $) NIL (|has| (|Integer|) (|OrderedAbelianMonoid|)))) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ |#1|) NIL)) (|coefficient| (((|Integer|) |#1| $) NIL)) (|Zero| (($) 15 T CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 21 (|has| |#1| (|OrderedSet|)))) (- (($ $) 11) (($ $ $) 20)) (+ (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL) (($ (|Integer|) |#1|) 19))) 
+(((|FreeAbelianGroup| |#1|) (|Join| (|AbelianGroup|) (|Module| (|Integer|)) (|FreeAbelianMonoidCategory| |#1| (|Integer|)) (CATEGORY |package| (IF (|has| |#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|))) (|SetCategory|)) (T |FreeAbelianGroup|)) 
+NIL 
+(|Join| (|AbelianGroup|) (|Module| (|Integer|)) (|FreeAbelianMonoidCategory| |#1| (|Integer|)) (CATEGORY |package| (IF (|has| |#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) 26)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|size| (((|NonNegativeInteger|) $) 27)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 31)) (|retract| ((|#1| $) 30)) (|nthFactor| ((|#1| $ (|Integer|)) 24)) (|nthCoef| ((|#2| $ (|Integer|)) 25)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) 21)) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) 22)) (|latex| (((|String|) $) 9)) (|highCommonTerms| (($ $ $) 20 (|has| |#2| (|OrderedAbelianMonoid|)))) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ |#1|) 32)) (|coefficient| ((|#2| |#1| $) 23)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (+ (($ $ $) 13) (($ |#1| $) 29)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ |#2| |#1|) 28))) 
+(((|FreeAbelianMonoidCategory| |#1| |#2|) (|Category|) (|SetCategory|) (|CancellationAbelianMonoid|)) (T |FreeAbelianMonoidCategory|)) 
+((+ (*1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)))) (* (*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) (|size| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|terms| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))))) (|nthCoef| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *4 *2)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) (|nthFactor| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *4)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|ofCategory| *2 (|SetCategory|)))) (|coefficient| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) (|mapCoef| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)))) (|mapGen| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)))) (|highCommonTerms| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(|Join| (|CancellationAbelianMonoid|) (|RetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE + ($ |t#1| $)) (SIGNATURE * ($ |t#2| |t#1|)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |terms| ((|List| (|Record| (|:| |gen| |t#1|) (|:| |exp| |t#2|))) $)) (SIGNATURE |nthCoef| (|t#2| $ (|Integer|))) (SIGNATURE |nthFactor| (|t#1| $ (|Integer|))) (SIGNATURE |coefficient| (|t#2| |t#1| $)) (SIGNATURE |mapCoef| ($ (|Mapping| |t#2| |t#2|) $)) (SIGNATURE |mapGen| ($ (|Mapping| |t#1| |t#1|) $)) (IF (|has| |t#2| (|OrderedAbelianMonoid|)) (SIGNATURE |highCommonTerms| ($ $ $)) |noBranch|))) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|RetractableTo| |#1|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size| (((|NonNegativeInteger|) $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|nthFactor| ((|#1| $ (|Integer|)) NIL)) (|nthCoef| (((|NonNegativeInteger|) $ (|Integer|)) NIL)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) NIL)) (|mapCoef| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|latex| (((|String|) $) NIL)) (|highCommonTerms| (($ $ $) NIL (|has| (|NonNegativeInteger|) (|OrderedAbelianMonoid|)))) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ |#1|) NIL)) (|coefficient| (((|NonNegativeInteger|) |#1| $) NIL)) (|Zero| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (+ (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|NonNegativeInteger|) |#1|) NIL))) 
+(((|FreeAbelianMonoid| |#1|) (|FreeAbelianMonoidCategory| |#1| (|NonNegativeInteger|)) (|SetCategory|)) (T |FreeAbelianMonoid|)) 
+NIL 
+(|FreeAbelianMonoidCategory| |#1| (|NonNegativeInteger|)) 
+((|map| ((|#5| (|Mapping| |#4| |#2|) |#3|) 19))) 
+(((|FiniteAbelianMonoidRingFunctions2| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |map| (|#5| (|Mapping| |#4| |#2|) |#3|))) (|OrderedAbelianMonoid|) (|Ring|) (|FiniteAbelianMonoidRing| |#2| |#1|) (|Ring|) (|FiniteAbelianMonoidRing| |#4| |#1|)) (T |FiniteAbelianMonoidRingFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *7 *5)) (|isDomain| *1 (|FiniteAbelianMonoidRingFunctions2| *5 *6 *4 *7 *2)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#5| (|Mapping| |#4| |#2|) |#3|))) 
+((|primitivePart| (($ $) 52)) (|pomopo!| (($ $ |#2| |#3| $) 14)) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) 35)) (|ground?| (((|Boolean|) $) 27)) (|ground| ((|#2| $) 29)) (|exquo| (((|Union| $ "failed") $ $) NIL) (((|Union| $ "failed") $ |#2|) 45)) (|content| ((|#2| $) 48)) (|coefficients| (((|List| |#2|) $) 38)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 23)) (/ (($ $ |#2|) 42))) 
+(((|FiniteAbelianMonoidRing&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |primitivePart| (|#1| |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE |binomThmExpt| (|#1| |#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |pomopo!| (|#1| |#1| |#2| |#3| |#1|)) (SIGNATURE |mapExponents| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |coefficients| ((|List| |#2|) |#1|)) (SIGNATURE |ground| (|#2| |#1|)) (SIGNATURE |ground?| ((|Boolean|) |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE / (|#1| |#1| |#2|))) (|FiniteAbelianMonoidRing| |#2| |#3|) (|Ring|) (|OrderedAbelianMonoid|)) (T |FiniteAbelianMonoidRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |primitivePart| (|#1| |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE |binomThmExpt| (|#1| |#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |pomopo!| (|#1| |#1| |#2| |#3| |#1|)) (SIGNATURE |mapExponents| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |coefficients| ((|List| |#2|) |#1|)) (SIGNATURE |ground| (|#2| |#1|)) (SIGNATURE |ground?| ((|Boolean|) |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE / (|#1| |#1| |#2|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 86 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 84 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 83)) (|retract| (((|Integer|) $) 87 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 85 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 82)) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|primitivePart| (($ $) 71 (|has| |#1| (|GcdDomain|)))) (|pomopo!| (($ $ |#1| |#2| $) 75)) (|one?| (((|Boolean|) $) 30)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 78)) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| |#2|) 60)) (|minimumDegree| ((|#2| $) 77)) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) 76)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 81)) (|ground| ((|#1| $) 80)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ |#1|) 73 (|has| |#1| (|IntegralDomain|)))) (|degree| ((|#2| $) 63)) (|content| ((|#1| $) 72 (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 48 (|has| |#1| (|IntegralDomain|))) (($ |#1|) 46) (($ (|Fraction| (|Integer|))) 56 (OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| |#1|) $) 79)) (|coefficient| ((|#1| $ |#2|) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 74 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|FiniteAbelianMonoidRing| |#1| |#2|) (|Category|) (|Ring|) (|OrderedAbelianMonoid|)) (T |FiniteAbelianMonoidRing|)) 
+((|ground?| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) (|ground| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) (|coefficients| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|List| *3)))) (|numberOfMonomials| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|minimumDegree| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|mapExponents| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) (|pomopo!| (*1 *1 *1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) (|binomThmExpt| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *3 (|CommutativeRing|)))) (|exquo| (*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|IntegralDomain|)))) (|content| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) (|primitivePart| (*1 *1 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(|Join| (|AbelianMonoidRing| |t#1| |t#2|) (|FullyRetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE |ground?| ((|Boolean|) $)) (SIGNATURE |ground| (|t#1| $)) (SIGNATURE |coefficients| ((|List| |t#1|) $)) (SIGNATURE |numberOfMonomials| ((|NonNegativeInteger|) $)) (SIGNATURE |minimumDegree| (|t#2| $)) (SIGNATURE |mapExponents| ($ (|Mapping| |t#2| |t#2|) $)) (SIGNATURE |pomopo!| ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (|CommutativeRing|)) (SIGNATURE |binomThmExpt| ($ $ $ (|NonNegativeInteger|))) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (SIGNATURE |exquo| ((|Union| $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (|GcdDomain|)) (PROGN (SIGNATURE |content| (|t#1| $)) (SIGNATURE |primitivePart| ($ $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| |#2|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|FullyRetractableTo| |#1|) . T) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|shrinkable| (((|Boolean|) (|Boolean|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates!| (($ $) NIL (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) NIL (|has| |#1| (|SetCategory|))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|physicalLength!| (($ $ (|Integer|)) NIL)) (|physicalLength| (((|NonNegativeInteger|) $) NIL)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge!| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL)) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert!| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|flexibleArray| (($ (|List| |#1|)) NIL)) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat!| (($ $ $) NIL) (($ $ |#1|) NIL)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|FlexibleArray| |#1|) (|Join| (|OneDimensionalArrayAggregate| |#1|) (|ExtensibleLinearAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |flexibleArray| ($ (|List| |#1|))) (SIGNATURE |physicalLength| ((|NonNegativeInteger|) $)) (SIGNATURE |physicalLength!| ($ $ (|Integer|))) (SIGNATURE |shrinkable| ((|Boolean|) (|Boolean|))))) (|Type|)) (T |FlexibleArray|)) 
+((|flexibleArray| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|FlexibleArray| *3)))) (|physicalLength| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) (|physicalLength!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) (|shrinkable| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|OneDimensionalArrayAggregate| |#1|) (|ExtensibleLinearAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |flexibleArray| ($ (|List| |#1|))) (SIGNATURE |physicalLength| ((|NonNegativeInteger|) $)) (SIGNATURE |physicalLength!| ($ $ (|Integer|))) (SIGNATURE |shrinkable| ((|Boolean|) (|Boolean|))))) 
+((|transcendent?| (((|Boolean|) $) 37)) (|transcendenceDegree| (((|NonNegativeInteger|)) 22)) (|trace| ((|#2| $) 41) (($ $ (|PositiveInteger|)) 99)) (|size| (((|NonNegativeInteger|)) 93)) (|represents| (($ (|Vector| |#2|)) 20)) (|normal?| (((|Boolean|) $) 111)) (|norm| ((|#2| $) 43) (($ $ (|PositiveInteger|)) 97)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) 88)) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) 78)) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#2|) $) 75) (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) 72)) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) 48)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) 91) (((|PositiveInteger|)) 38)) (|dimension| (((|CardinalNumber|)) 25)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) 112)) (|createNormalElement| (($) 105)) (|coordinates| (((|Vector| |#2|) $) NIL) (((|Matrix| |#2|) (|Vector| $)) 34)) (|charthRoot| (($ $) NIL) (((|Union| $ "failed") $) 81)) (|algebraic?| (((|Boolean|) $) 36))) 
+(((|FiniteAlgebraicExtensionField&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |charthRoot| (|#1| |#1|)) (SIGNATURE |linearAssociatedLog| ((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") |#1| |#1|)) (SIGNATURE |linearAssociatedLog| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |linearAssociatedOrder| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |linearAssociatedExp| (|#1| |#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |normal?| ((|Boolean|) |#1|)) (SIGNATURE |createNormalElement| (|#1|)) (SIGNATURE |trace| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |norm| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|))) (SIGNATURE |trace| (|#2| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |degree| ((|PositiveInteger|) |#1|)) (SIGNATURE |extensionDegree| ((|PositiveInteger|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#2|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |transcendenceDegree| ((|NonNegativeInteger|))) (SIGNATURE |extensionDegree| ((|OnePointCompletion| (|PositiveInteger|)))) (SIGNATURE |degree| ((|OnePointCompletion| (|PositiveInteger|)) |#1|)) (SIGNATURE |transcendent?| ((|Boolean|) |#1|)) (SIGNATURE |algebraic?| ((|Boolean|) |#1|)) (SIGNATURE |dimension| ((|CardinalNumber|)))) (|FiniteAlgebraicExtensionField| |#2|) (|Field|)) (T |FiniteAlgebraicExtensionField&|)) 
+((|dimension| (*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) (|extensionDegree| (*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) (|transcendenceDegree| (*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) (|extensionDegree| (*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) (|size| (*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4))))) 
+(CATEGORY |domain| (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |charthRoot| (|#1| |#1|)) (SIGNATURE |linearAssociatedLog| ((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") |#1| |#1|)) (SIGNATURE |linearAssociatedLog| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |linearAssociatedOrder| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |linearAssociatedExp| (|#1| |#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |normal?| ((|Boolean|) |#1|)) (SIGNATURE |createNormalElement| (|#1|)) (SIGNATURE |trace| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |norm| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|))) (SIGNATURE |trace| (|#2| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |degree| ((|PositiveInteger|) |#1|)) (SIGNATURE |extensionDegree| ((|PositiveInteger|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#2|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |transcendenceDegree| ((|NonNegativeInteger|))) (SIGNATURE |extensionDegree| ((|OnePointCompletion| (|PositiveInteger|)))) (SIGNATURE |degree| ((|OnePointCompletion| (|PositiveInteger|)) |#1|)) (SIGNATURE |transcendent?| ((|Boolean|) |#1|)) (SIGNATURE |algebraic?| ((|Boolean|) |#1|)) (SIGNATURE |dimension| ((|CardinalNumber|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|transcendent?| (((|Boolean|) $) 92)) (|transcendenceDegree| (((|NonNegativeInteger|)) 88)) (|trace| ((|#1| $) 136) (($ $ (|PositiveInteger|)) 133 (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 118 (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|size| (((|NonNegativeInteger|)) 108 (|has| |#1| (|Finite|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 99)) (|retract| ((|#1| $) 98)) (|represents| (($ (|Vector| |#1|)) 142)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 124 (|has| |#1| (|Finite|)))) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|random| (($) 105 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primitiveElement| (($) 120 (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) 121 (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 85 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) 84 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) 71)) (|order| (((|PositiveInteger|) $) 123 (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) 82 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) 30)) (|normalElement| (($) 131 (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) 130 (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) 137) (($ $ (|PositiveInteger|)) 134 (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) 109 (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 141) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) 135 (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) 106 (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) 127 (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) 126 (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) 125 (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) 128 (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|init| (($) 110 (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) 107 (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) 91)) (|hash| (((|SingleInteger|) $) 10)) (|generator| (($) 129 (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 117 (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) 74)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) 89) (((|PositiveInteger|)) 139)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|enumerate| (((|List| $)) 104 (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|discreteLog| (((|NonNegativeInteger|) $) 122 (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) 83 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) 97)) (|differentiate| (($ $) 114 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) 112 (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) 90) (((|PositiveInteger|) $) 138)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) 140)) (|createPrimitiveElement| (($) 119 (|has| |#1| (|Finite|)))) (|createNormalElement| (($) 132 (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) 144) (((|Matrix| |#1|) (|Vector| $)) 143)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 116 (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ |#1|) 100)) (|charthRoot| (($ $) 115 (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) 81 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|basis| (((|Vector| $)) 146) (((|Vector| $) (|PositiveInteger|)) 145)) (|associates?| (((|Boolean|) $ $) 38)) (|algebraic?| (((|Boolean|) $) 93)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (|Frobenius| (($ $) 87 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) 86 (|has| |#1| (|Finite|)))) (D (($ $) 113 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) 111 (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64) (($ $ |#1|) 96)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ $ |#1|) 95) (($ |#1| $) 94))) 
+(((|FiniteAlgebraicExtensionField| |#1|) (|Category|) (|Field|)) (T |FiniteAlgebraicExtensionField|)) 
+((|basis| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) (|basis| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) (|coordinates| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *3)))) (|coordinates| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)))) (|represents| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) (|minimalPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|definingPolynomial| (*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|extensionDegree| (*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) (|norm| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) (|trace| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) (|minimalPolynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) (|norm| (*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) (|trace| (*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) (|createNormalElement| (*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) (|normalElement| (*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) (|normal?| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|Boolean|)))) (|generator| (*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) (|linearAssociatedExp| (*1 *1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)))) (|linearAssociatedOrder| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|linearAssociatedLog| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|linearAssociatedLog| (*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(|Join| (|ExtensionField| |t#1|) (|RetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE |basis| ((|Vector| $))) (SIGNATURE |basis| ((|Vector| $) (|PositiveInteger|))) (SIGNATURE |coordinates| ((|Vector| |t#1|) $)) (SIGNATURE |coordinates| ((|Matrix| |t#1|) (|Vector| $))) (SIGNATURE |represents| ($ (|Vector| |t#1|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |definingPolynomial| ((|SparseUnivariatePolynomial| |t#1|))) (SIGNATURE |extensionDegree| ((|PositiveInteger|))) (SIGNATURE |degree| ((|PositiveInteger|) $)) (SIGNATURE |norm| (|t#1| $)) (SIGNATURE |trace| (|t#1| $)) (IF (|has| |t#1| (|Finite|)) (PROGN (ATTRIBUTE (|FiniteFieldCategory|)) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|))) (SIGNATURE |norm| ($ $ (|PositiveInteger|))) (SIGNATURE |trace| ($ $ (|PositiveInteger|))) (SIGNATURE |createNormalElement| ($)) (SIGNATURE |normalElement| ($)) (SIGNATURE |normal?| ((|Boolean|) $)) (SIGNATURE |generator| ($)) (SIGNATURE |linearAssociatedExp| ($ $ (|SparseUnivariatePolynomial| |t#1|))) (SIGNATURE |linearAssociatedOrder| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |linearAssociatedLog| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |linearAssociatedLog| ((|Union| (|SparseUnivariatePolynomial| |t#1|) "failed") $ $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| |#1| (|Finite|)) (|has| |#1| (|CharacteristicNonZero|))) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DifferentialRing|) |has| |#1| (|Finite|)) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|ExtensionField| |#1|) . T) ((|Field|) . T) ((|FieldOfPrimeCharacteristic|) OR (|has| |#1| (|Finite|)) (|has| |#1| (|CharacteristicNonZero|))) ((|Finite|) |has| |#1| (|Finite|)) ((|FiniteFieldCategory|) |has| |#1| (|Finite|)) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| |#1|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| |#1|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) |has| |#1| (|Finite|)) ((|UniqueFactorizationDomain|) . T) ((|VectorSpace| |#1|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|whileLoop| (($ (|Switch|) $) 88)) (|stop| (($) 76)) (|setLabelValue| (((|SingleInteger|) (|SingleInteger|)) 11)) (|save| (($) 77)) (|returns| (($) 90) (($ (|Expression| (|MachineFloat|))) 96) (($ (|Expression| (|MachineInteger|))) 93) (($ (|Expression| (|MachineComplex|))) 99) (($ (|Expression| (|Float|))) 105) (($ (|Expression| (|Integer|))) 102) (($ (|Expression| (|Complex| (|Float|)))) 108)) (|repeatUntilLoop| (($ (|Switch|) $) 89)) (|printStatement| (($ (|List| (|OutputForm|))) 79)) (|printCode| (((|Void|) $) 73)) (|operation| (((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|goto| (($ (|SingleInteger|)) 45)) (|getCode| (((|SExpression|) $) 25)) (|forLoop| (($ (|SegmentBinding| (|Polynomial| (|Integer|))) $) 85) (($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $) 86)) (|continue| (($ (|SingleInteger|)) 87)) (|cond| (($ (|Switch|) $) 110) (($ (|Switch|) $ $) 111)) (|common| (($ (|Symbol|) (|List| (|Symbol|))) 75)) (|comment| (($ (|String|)) 82) (($ (|List| (|String|))) 80)) (|coerce| (((|OutputForm|) $) 113)) (|code| (((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $) 37)) (|call| (($ (|String|)) 182)) (|block| (($ (|List| $)) 109)) (|assign| (($ (|Symbol|) (|String|)) 115) (($ (|Symbol|) (|Expression| (|MachineInteger|))) 155) (($ (|Symbol|) (|Expression| (|MachineFloat|))) 156) (($ (|Symbol|) (|Expression| (|MachineComplex|))) 157) (($ (|Symbol|) (|Matrix| (|MachineInteger|))) 118) (($ (|Symbol|) (|Matrix| (|MachineFloat|))) 121) (($ (|Symbol|) (|Matrix| (|MachineComplex|))) 124) (($ (|Symbol|) (|Vector| (|MachineInteger|))) 127) (($ (|Symbol|) (|Vector| (|MachineFloat|))) 130) (($ (|Symbol|) (|Vector| (|MachineComplex|))) 133) (($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|)))) 136) (($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|)))) 139) (($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|)))) 142) (($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|)))) 145) (($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|)))) 148) (($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|)))) 151) (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|))) 152) (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|))) 153) (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|))) 154) (($ (|Symbol|) (|Expression| (|Integer|))) 179) (($ (|Symbol|) (|Expression| (|Float|))) 180) (($ (|Symbol|) (|Expression| (|Complex| (|Float|)))) 181) (($ (|Symbol|) (|Matrix| (|Expression| (|Integer|)))) 160) (($ (|Symbol|) (|Matrix| (|Expression| (|Float|)))) 163) (($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|))))) 166) (($ (|Symbol|) (|Vector| (|Expression| (|Integer|)))) 169) (($ (|Symbol|) (|Vector| (|Expression| (|Float|)))) 172) (($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|))))) 175) (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|))) 176) (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|))) 177) (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|)))) 178)) (= (((|Boolean|) $ $) NIL))) 
+(((|FortranCode|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |forLoop| ($ (|SegmentBinding| (|Polynomial| (|Integer|))) $)) (SIGNATURE |forLoop| ($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $)) (SIGNATURE |whileLoop| ($ (|Switch|) $)) (SIGNATURE |repeatUntilLoop| ($ (|Switch|) $)) (SIGNATURE |goto| ($ (|SingleInteger|))) (SIGNATURE |continue| ($ (|SingleInteger|))) (SIGNATURE |comment| ($ (|String|))) (SIGNATURE |comment| ($ (|List| (|String|)))) (SIGNATURE |call| ($ (|String|))) (SIGNATURE |returns| ($)) (SIGNATURE |returns| ($ (|Expression| (|MachineFloat|)))) (SIGNATURE |returns| ($ (|Expression| (|MachineInteger|)))) (SIGNATURE |returns| ($ (|Expression| (|MachineComplex|)))) (SIGNATURE |returns| ($ (|Expression| (|Float|)))) (SIGNATURE |returns| ($ (|Expression| (|Integer|)))) (SIGNATURE |returns| ($ (|Expression| (|Complex| (|Float|))))) (SIGNATURE |cond| ($ (|Switch|) $)) (SIGNATURE |cond| ($ (|Switch|) $ $)) (SIGNATURE |assign| ($ (|Symbol|) (|String|))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|))))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|Integer|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|Float|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|Complex| (|Float|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|Integer|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|Float|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|)))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|Integer|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|Float|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|)))))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|))))) (SIGNATURE |block| ($ (|List| $))) (SIGNATURE |stop| ($)) (SIGNATURE |save| ($)) (SIGNATURE |printStatement| ($ (|List| (|OutputForm|)))) (SIGNATURE |common| ($ (|Symbol|) (|List| (|Symbol|)))) (SIGNATURE |operation| ((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (SIGNATURE |code| ((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $)) (SIGNATURE |printCode| ((|Void|) $)) (SIGNATURE |getCode| ((|SExpression|) $)) (SIGNATURE |setLabelValue| ((|SingleInteger|) (|SingleInteger|)))))) (T |FortranCode|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranCode|)))) (|forLoop| (*1 *1 *2 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) (|forLoop| (*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) (|whileLoop| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) (|repeatUntilLoop| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) (|goto| (*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|)))) (|continue| (*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|)))) (|comment| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|)))) (|comment| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranCode|)))) (|call| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|)))) (|returns| (*1 *1) (|isDomain| *1 (|FortranCode|))) (|returns| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) (|returns| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) (|returns| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) (|returns| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) (|returns| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) (|returns| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) (|cond| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) (|cond| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) (|assign| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) (|block| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranCode|)))) (|stop| (*1 *1) (|isDomain| *1 (|FortranCode|))) (|save| (*1 *1) (|isDomain| *1 (|FortranCode|))) (|printStatement| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|FortranCode|)))) (|common| (*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranCode|)))) (|operation| (*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (|isDomain| *1 (|FortranCode|)))) (|code| (*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| (|FortranCode|)) (|:| |elseClause| (|FortranCode|)))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| (|FortranCode|))) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| (|FortranCode|)))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| (|FortranCode|)))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|))))) (|isDomain| *1 (|FortranCode|)))) (|printCode| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranCode|)))) (|getCode| (*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranCode|)))) (|setLabelValue| (*1 *2 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |forLoop| ($ (|SegmentBinding| (|Polynomial| (|Integer|))) $)) (SIGNATURE |forLoop| ($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $)) (SIGNATURE |whileLoop| ($ (|Switch|) $)) (SIGNATURE |repeatUntilLoop| ($ (|Switch|) $)) (SIGNATURE |goto| ($ (|SingleInteger|))) (SIGNATURE |continue| ($ (|SingleInteger|))) (SIGNATURE |comment| ($ (|String|))) (SIGNATURE |comment| ($ (|List| (|String|)))) (SIGNATURE |call| ($ (|String|))) (SIGNATURE |returns| ($)) (SIGNATURE |returns| ($ (|Expression| (|MachineFloat|)))) (SIGNATURE |returns| ($ (|Expression| (|MachineInteger|)))) (SIGNATURE |returns| ($ (|Expression| (|MachineComplex|)))) (SIGNATURE |returns| ($ (|Expression| (|Float|)))) (SIGNATURE |returns| ($ (|Expression| (|Integer|)))) (SIGNATURE |returns| ($ (|Expression| (|Complex| (|Float|))))) (SIGNATURE |cond| ($ (|Switch|) $)) (SIGNATURE |cond| ($ (|Switch|) $ $)) (SIGNATURE |assign| ($ (|Symbol|) (|String|))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|))))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|Integer|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|Float|)))) (SIGNATURE |assign| ($ (|Symbol|) (|Expression| (|Complex| (|Float|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|Integer|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|Float|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|)))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|Integer|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|Float|))))) (SIGNATURE |assign| ($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|)))))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|)))) (SIGNATURE |assign| ($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|))))) (SIGNATURE |block| ($ (|List| $))) (SIGNATURE |stop| ($)) (SIGNATURE |save| ($)) (SIGNATURE |printStatement| ($ (|List| (|OutputForm|)))) (SIGNATURE |common| ($ (|Symbol|) (|List| (|Symbol|)))) (SIGNATURE |operation| ((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (SIGNATURE |code| ((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $)) (SIGNATURE |printCode| ((|Void|) $)) (SIGNATURE |getCode| ((|SExpression|) $)) (SIGNATURE |setLabelValue| ((|SingleInteger|) (|SingleInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|sin?| (((|Boolean|) $) 11)) (|sin| (($ |#1|) 8)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|cos| (($ |#1|) 9)) (|coerce| (((|OutputForm|) $) 17)) (|argument| ((|#1| $) 12)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 19))) 
+(((|FourierComponent| |#1|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |sin| ($ |#1|)) (SIGNATURE |cos| ($ |#1|)) (SIGNATURE |sin?| ((|Boolean|) $)) (SIGNATURE |argument| (|#1| $)))) (|OrderedSet|)) (T |FourierComponent|)) 
+((|sin| (*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|cos| (*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|sin?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FourierComponent| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|argument| (*1 *2 *1) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |sin| ($ |#1|)) (SIGNATURE |cos| ($ |#1|)) (SIGNATURE |sin?| ((|Boolean|) $)) (SIGNATURE |argument| (|#1| $)))) 
+((|zeroVector| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) 22)) (|zeroSquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) 26)) (|zeroMatrix| (((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|)))) 25) (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|))) 23)) (|identitySquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) 30))) 
+(((|FortranCodePackage1|) (CATEGORY |package| (SIGNATURE |zeroVector| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)))) (SIGNATURE |zeroMatrix| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|)))) (SIGNATURE |zeroMatrix| ((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|))))) (SIGNATURE |zeroSquareMatrix| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)))) (SIGNATURE |identitySquareMatrix| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)))))) (T |FortranCodePackage1|)) 
+((|identitySquareMatrix| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) (|zeroSquareMatrix| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) (|zeroMatrix| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) (|zeroMatrix| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) (|zeroVector| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(CATEGORY |package| (SIGNATURE |zeroVector| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)))) (SIGNATURE |zeroMatrix| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|)))) (SIGNATURE |zeroMatrix| ((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|))))) (SIGNATURE |zeroSquareMatrix| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)))) (SIGNATURE |identitySquareMatrix| ((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))))) 
+((|map| (((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) 31))) 
+(((|FiniteDivisorFunctions2| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (CATEGORY |package| (SIGNATURE |map| ((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|) (|Field|) (|UnivariatePolynomialCategory| |#5|) (|UnivariatePolynomialCategory| (|Fraction| |#6|)) (|FunctionFieldCategory| |#5| |#6| |#7|)) (T |FiniteDivisorFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *9 (|Field|)) (|ofCategory| *10 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| (|Fraction| *10))) (|isDomain| *2 (|FiniteDivisor| *9 *10 *11 *12)) (|isDomain| *1 (|FiniteDivisorFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|FunctionFieldCategory| *9 *10 *11))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)))) 
+((|principal?| (((|Boolean|) $) 14))) 
+(((|FiniteDivisorCategory&| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |domain| (SIGNATURE |principal?| ((|Boolean|) |#1|))) (|FiniteDivisorCategory| |#2| |#3| |#4| |#5|) (|Field|) (|UnivariatePolynomialCategory| |#2|) (|UnivariatePolynomialCategory| (|Fraction| |#3|)) (|FunctionFieldCategory| |#2| |#3| |#4|)) (T |FiniteDivisorCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |principal?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reduce| (($ $) 25)) (|principal?| (((|Boolean|) $) 24)) (|latex| (((|String|) $) 9)) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) 31)) (|hash| (((|SingleInteger|) $) 10)) (|generator| (((|Union| |#4| "failed") $) 23)) (|divisor| (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (|Integer|)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19))) 
+(((|FiniteDivisorCategory| |#1| |#2| |#3| |#4|) (|Category|) (|Field|) (|UnivariatePolynomialCategory| |t#1|) (|UnivariatePolynomialCategory| (|Fraction| |t#2|)) (|FunctionFieldCategory| |t#1| |t#2| |t#3|)) (T |FiniteDivisorCategory|)) 
+((|ideal| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)))) (|divisor| (*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)))) (|divisor| (*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) (|divisor| (*1 *1 *2 *2) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) (|divisor| (*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *2 *4 *5)))) (|decompose| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |id| (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|:| |principalPart| *6))))) (|reduce| (*1 *1 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) (|principal?| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|generator| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) (|divisor| (*1 *1 *2 *3 *3 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *4 *3 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *4 *3 *5))))) 
+(|Join| (|AbelianGroup|) (CATEGORY |domain| (SIGNATURE |ideal| ((|FractionalIdeal| |t#2| (|Fraction| |t#2|) |t#3| |t#4|) $)) (SIGNATURE |divisor| ($ (|FractionalIdeal| |t#2| (|Fraction| |t#2|) |t#3| |t#4|))) (SIGNATURE |divisor| ($ |t#4|)) (SIGNATURE |divisor| ($ |t#1| |t#1|)) (SIGNATURE |divisor| ($ |t#1| |t#1| (|Integer|))) (SIGNATURE |decompose| ((|Record| (|:| |id| (|FractionalIdeal| |t#2| (|Fraction| |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |principal?| ((|Boolean|) $)) (SIGNATURE |generator| ((|Union| |t#4| "failed") $)) (SIGNATURE |divisor| ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reduce| (($ $) 32)) (|principal?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|lSpaceBasis| (((|Vector| |#4|) $) 124)) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) 30)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (((|Union| |#4| "failed") $) 35)) (|finiteBasis| (((|Vector| |#4|) $) 117)) (|divisor| (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (|Integer|)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (|coerce| (((|OutputForm|) $) 17)) (|Zero| (($) 14 T CONST)) (= (((|Boolean|) $ $) 20)) (- (($ $) 27) (($ $ $) NIL)) (+ (($ $ $) 25)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 23))) 
+(((|FiniteDivisor| |#1| |#2| |#3| |#4|) (|Join| (|FiniteDivisorCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |finiteBasis| ((|Vector| |#4|) $)) (SIGNATURE |lSpaceBasis| ((|Vector| |#4|) $)))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|)) (T |FiniteDivisor|)) 
+((|finiteBasis| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)))) (|lSpaceBasis| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
+(|Join| (|FiniteDivisorCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |finiteBasis| ((|Vector| |#4|) $)) (SIGNATURE |lSpaceBasis| ((|Vector| |#4|) $)))) 
+((|eval| (($ $ (|Symbol|) |#2|) NIL) (($ $ (|List| (|Symbol|)) (|List| |#2|)) 18) (($ $ (|List| (|Equation| |#2|))) 14) (($ $ (|Equation| |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (|List| |#2|) (|List| |#2|)) NIL)) (|elt| (($ $ |#2|) 11))) 
+(((|FullyEvalableOver&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |elt| (|#1| |#1| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#2| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#2|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) |#2|))) (|FullyEvalableOver| |#2|) (|SetCategory|)) (T |FullyEvalableOver&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |elt| (|#1| |#1| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#2| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#2|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) |#2|))) 
+((|map| (($ (|Mapping| |#1| |#1|) $) 6)) (|eval| (($ $ (|Symbol|) |#1|) 16 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 15 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|List| (|Equation| |#1|))) 14 (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) 13 (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| |#1|) (|List| |#1|)) 11 (|has| |#1| (|Evalable| |#1|)))) (|elt| (($ $ |#1|) 10 (|has| |#1| (|Eltable| |#1| |#1|))))) 
+(((|FullyEvalableOver| |#1|) (|Category|) (|SetCategory|)) (T |FullyEvalableOver|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FullyEvalableOver| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1|) $)) (IF (|has| |t#1| (|Eltable| |t#1| |t#1|)) (ATTRIBUTE (|Eltable| |t#1| $)) |noBranch|) (IF (|has| |t#1| (|Evalable| |t#1|)) (ATTRIBUTE (|Evalable| |t#1|)) |noBranch|) (IF (|has| |t#1| (|InnerEvalable| (|Symbol|) |t#1|)) (ATTRIBUTE (|InnerEvalable| (|Symbol|) |t#1|)) |noBranch|))) 
+(((|Eltable| |#1| $) |has| |#1| (|Eltable| |#1| |#1|)) ((|Evalable| |#1|) |has| |#1| (|Evalable| |#1|)) ((|InnerEvalable| (|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|InnerEvalable| |#1| |#1|) |has| |#1| (|Evalable| |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|Symbol|)) $) NIL)) (|useNagFunctions| (((|Boolean|)) 87) (((|Boolean|) (|Boolean|)) 88)) (|tower| (((|List| (|Kernel| $)) $) NIL)) (|tanh| (($ $) NIL)) (|tan| (($ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subst| (($ $ (|Equation| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL)) (|sqrt| (($ $) NIL)) (|sinh| (($ $) NIL)) (|sin| (($ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) NIL) (((|Union| |#3| "failed") $) NIL) (((|Union| $ "failed") (|Expression| |#3|)) 69) (((|Union| $ "failed") (|Symbol|)) 93) (((|Union| $ "failed") (|Expression| (|Integer|))) 56 (|has| |#3| (|RetractableTo| (|Integer|)))) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 62 (|has| |#3| (|RetractableTo| (|Integer|)))) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 57 (|has| |#3| (|RetractableTo| (|Integer|)))) (((|Union| $ "failed") (|Expression| (|Float|))) 74 (|has| |#3| (|RetractableTo| (|Float|)))) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 80 (|has| |#3| (|RetractableTo| (|Float|)))) (((|Union| $ "failed") (|Polynomial| (|Float|))) 75 (|has| |#3| (|RetractableTo| (|Float|))))) (|retract| (((|Kernel| $) $) NIL) ((|#3| $) NIL) (($ (|Expression| |#3|)) 70) (($ (|Symbol|)) 94) (($ (|Expression| (|Integer|))) 58 (|has| |#3| (|RetractableTo| (|Integer|)))) (($ (|Fraction| (|Polynomial| (|Integer|)))) 63 (|has| |#3| (|RetractableTo| (|Integer|)))) (($ (|Polynomial| (|Integer|))) 59 (|has| |#3| (|RetractableTo| (|Integer|)))) (($ (|Expression| (|Float|))) 76 (|has| |#3| (|RetractableTo| (|Float|)))) (($ (|Fraction| (|Polynomial| (|Float|)))) 81 (|has| |#3| (|RetractableTo| (|Float|)))) (($ (|Polynomial| (|Float|))) 77 (|has| |#3| (|RetractableTo| (|Float|))))) (|recip| (((|Union| $ "failed") $) NIL)) (|pi| (($) 10)) (|paren| (($ $) NIL) (($ (|List| $)) NIL)) (|operators| (((|List| (|BasicOperator|)) $) NIL)) (|operator| (((|BasicOperator|) (|BasicOperator|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|odd?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) NIL (|has| $ (|Ring|)))) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) NIL)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) NIL)) (|log10| (($ $) 90)) (|log| (($ $) NIL)) (|latex| (((|String|) $) NIL)) (|kernels| (((|List| (|Kernel| $)) $) NIL)) (|kernel| (($ (|BasicOperator|) $) 89) (($ (|BasicOperator|) (|List| $)) NIL)) (|is?| (((|Boolean|) $ (|BasicOperator|)) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|height| (((|NonNegativeInteger|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|freeOf?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|exp| (($ $) NIL)) (|even?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) NIL) (($ $ (|Symbol|) (|Mapping| $ $)) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ $)) NIL)) (|elt| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) $ $) NIL) (($ (|BasicOperator|) $ $ $) NIL) (($ (|BasicOperator|) $ $ $ $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|distribute| (($ $) NIL) (($ $ $) NIL)) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL)) (|definingPolynomial| (($ $) NIL (|has| $ (|Ring|)))) (|cosh| (($ $) NIL)) (|cos| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Kernel| $)) NIL) (($ |#3|) NIL) (($ (|Integer|)) NIL) (((|Expression| |#3|) $) 92)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|box| (($ $) NIL) (($ (|List| $)) NIL)) (|belong?| (((|Boolean|) (|BasicOperator|)) NIL)) (|atan| (($ $) NIL)) (|asin| (($ $) NIL)) (|acos| (($ $) NIL)) (|abs| (($ $) NIL)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|Zero| (($) 91 T CONST)) (|One| (($) 22 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|FortranExpression| |#1| |#2| |#3|) (|Join| (|ExpressionSpace|) (|Algebra| |#3|) (|RetractableTo| |#3|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE |retract| ($ (|Expression| |#3|))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| |#3|))) (SIGNATURE |retract| ($ (|Symbol|))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Symbol|))) (SIGNATURE |coerce| ((|Expression| |#3|) $)) (IF (|has| |#3| (|RetractableTo| (|Integer|))) (PROGN (SIGNATURE |retract| ($ (|Expression| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| (|Integer|)))) (SIGNATURE |retract| ($ (|Fraction| (|Polynomial| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|))))) (SIGNATURE |retract| ($ (|Polynomial| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Integer|))))) |noBranch|) (IF (|has| |#3| (|RetractableTo| (|Float|))) (PROGN (SIGNATURE |retract| ($ (|Expression| (|Float|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| (|Float|)))) (SIGNATURE |retract| ($ (|Fraction| (|Polynomial| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|))))) (SIGNATURE |retract| ($ (|Polynomial| (|Float|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Float|))))) |noBranch|) (SIGNATURE |abs| ($ $)) (SIGNATURE |sqrt| ($ $)) (SIGNATURE |exp| ($ $)) (SIGNATURE |log| ($ $)) (SIGNATURE |log10| ($ $)) (SIGNATURE |sin| ($ $)) (SIGNATURE |cos| ($ $)) (SIGNATURE |tan| ($ $)) (SIGNATURE |asin| ($ $)) (SIGNATURE |acos| ($ $)) (SIGNATURE |atan| ($ $)) (SIGNATURE |sinh| ($ $)) (SIGNATURE |cosh| ($ $)) (SIGNATURE |tanh| ($ $)) (SIGNATURE |pi| ($)) (SIGNATURE |variables| ((|List| (|Symbol|)) $)) (SIGNATURE |useNagFunctions| ((|Boolean|))) (SIGNATURE |useNagFunctions| ((|Boolean|) (|Boolean|))))) (|List| (|Symbol|)) (|List| (|Symbol|)) (|FortranMachineTypeCategory|)) (T |FortranExpression|)) 
+((|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|abs| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|sqrt| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|exp| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|log| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|log10| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|sin| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|cos| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|tan| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|asin| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|acos| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|atan| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|sinh| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|cosh| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|tanh| (*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|pi| (*1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) (|variables| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|useNagFunctions| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) (|useNagFunctions| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|))))) 
+(|Join| (|ExpressionSpace|) (|Algebra| |#3|) (|RetractableTo| |#3|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE |retract| ($ (|Expression| |#3|))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| |#3|))) (SIGNATURE |retract| ($ (|Symbol|))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Symbol|))) (SIGNATURE |coerce| ((|Expression| |#3|) $)) (IF (|has| |#3| (|RetractableTo| (|Integer|))) (PROGN (SIGNATURE |retract| ($ (|Expression| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| (|Integer|)))) (SIGNATURE |retract| ($ (|Fraction| (|Polynomial| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|))))) (SIGNATURE |retract| ($ (|Polynomial| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Integer|))))) |noBranch|) (IF (|has| |#3| (|RetractableTo| (|Float|))) (PROGN (SIGNATURE |retract| ($ (|Expression| (|Float|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| (|Float|)))) (SIGNATURE |retract| ($ (|Fraction| (|Polynomial| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|))))) (SIGNATURE |retract| ($ (|Polynomial| (|Float|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Float|))))) |noBranch|) (SIGNATURE |abs| ($ $)) (SIGNATURE |sqrt| ($ $)) (SIGNATURE |exp| ($ $)) (SIGNATURE |log| ($ $)) (SIGNATURE |log10| ($ $)) (SIGNATURE |sin| ($ $)) (SIGNATURE |cos| ($ $)) (SIGNATURE |tan| ($ $)) (SIGNATURE |asin| ($ $)) (SIGNATURE |acos| ($ $)) (SIGNATURE |atan| ($ $)) (SIGNATURE |sinh| ($ $)) (SIGNATURE |cosh| ($ $)) (SIGNATURE |tanh| ($ $)) (SIGNATURE |pi| ($)) (SIGNATURE |variables| ((|List| (|Symbol|)) $)) (SIGNATURE |useNagFunctions| ((|Boolean|))) (SIGNATURE |useNagFunctions| ((|Boolean|) (|Boolean|))))) 
+((|map| ((|#8| (|Mapping| |#5| |#1|) |#4|) 19))) 
+(((|FunctionFieldCategoryFunctions2| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (CATEGORY |package| (SIGNATURE |map| (|#8| (|Mapping| |#5| |#1|) |#4|))) (|UniqueFactorizationDomain|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|) (|UniqueFactorizationDomain|) (|UnivariatePolynomialCategory| |#5|) (|UnivariatePolynomialCategory| (|Fraction| |#6|)) (|FunctionFieldCategory| |#5| |#6| |#7|)) (T |FunctionFieldCategoryFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *8 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *9 (|UnivariatePolynomialCategory| *8)) (|ofCategory| *2 (|FunctionFieldCategory| *8 *9 *10)) (|isDomain| *1 (|FunctionFieldCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *10 (|UnivariatePolynomialCategory| (|Fraction| *9)))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#8| (|Mapping| |#5| |#1|) |#4|))) 
+((|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) 37)) (|represents| (($ (|Vector| (|Fraction| |#3|)) (|Vector| $)) NIL) (($ (|Vector| (|Fraction| |#3|))) NIL) (($ (|Vector| |#3|) |#3|) 158)) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) 142)) (|rationalPoints| (((|List| (|List| |#2|))) 115)) (|rationalPoint?| (((|Boolean|) |#2| |#2|) 71)) (|primitivePart| (($ $) 136)) (|numberOfComponents| (((|NonNegativeInteger|)) 30)) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) 195)) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) 108)) (|integralAtInfinity?| (((|Boolean|) $) 155)) (|integral?| (((|Boolean|) $) 24) (((|Boolean|) $ |#2|) 28) (((|Boolean|) $ |#3|) 199)) (|hyperelliptic| (((|Union| |#3| "failed")) 48)) (|genus| (((|NonNegativeInteger|)) 167)) (|elt| ((|#2| $ |#2| |#2|) 129)) (|elliptic| (((|Union| |#3| "failed")) 66)) (|differentiate| (($ $ (|Mapping| (|Fraction| |#3|) (|Fraction| |#3|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Fraction| |#3|) (|Fraction| |#3|))) NIL) (($ $ (|Mapping| |#3| |#3|)) 203) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|complementaryBasis| (((|Vector| $) (|Vector| $)) 148)) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) 64)) (|absolutelyIrreducible?| (((|Boolean|)) 32))) 
+(((|FunctionFieldCategory&| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |rationalPoints| ((|List| (|List| |#2|)))) (SIGNATURE |nonSingularModel| ((|List| (|Polynomial| |#2|)) (|Symbol|))) (SIGNATURE |algSplitSimple| ((|Record| (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |hyperelliptic| ((|Union| |#3| "failed"))) (SIGNATURE |elliptic| ((|Union| |#3| "failed"))) (SIGNATURE |elt| (|#2| |#1| |#2| |#2|)) (SIGNATURE |primitivePart| (|#1| |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#3|) |#3|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |integral?| ((|Boolean|) |#1| |#3|)) (SIGNATURE |integral?| ((|Boolean|) |#1| |#2|)) (SIGNATURE |yCoordinates| ((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) |#1|)) (SIGNATURE |reduceBasisAtInfinity| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |normalizeAtInfinity| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |complementaryBasis| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |integral?| ((|Boolean|) |#1|)) (SIGNATURE |integralAtInfinity?| ((|Boolean|) |#1|)) (SIGNATURE |rationalPoint?| ((|Boolean|) |#2| |#2|)) (SIGNATURE |absolutelyIrreducible?| ((|Boolean|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |numberOfComponents| ((|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| (|Fraction| |#3|) (|Fraction| |#3|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| (|Fraction| |#3|) (|Fraction| |#3|)) (|NonNegativeInteger|))) (SIGNATURE |represents| (|#1| (|Vector| (|Fraction| |#3|)))) (SIGNATURE |represents| (|#1| (|Vector| (|Fraction| |#3|)) (|Vector| |#1|)))) (|FunctionFieldCategory| |#2| |#3| |#4|) (|UniqueFactorizationDomain|) (|UnivariatePolynomialCategory| |#2|) (|UnivariatePolynomialCategory| (|Fraction| |#3|))) (T |FunctionFieldCategory&|)) 
+((|numberOfComponents| (*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) (|genus| (*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) (|absolutelyIrreducible?| (*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) (|rationalPoint?| (*1 *2 *3 *3) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *4 *3 *5 *6)) (|ofCategory| *4 (|FunctionFieldCategory| *3 *5 *6)))) (|elliptic| (*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) (|hyperelliptic| (*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) (|nonSingularModel| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|List| (|Polynomial| *5))) (|isDomain| *1 (|FunctionFieldCategory&| *4 *5 *6 *7)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)))) (|rationalPoints| (*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6))))) 
+(CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |rationalPoints| ((|List| (|List| |#2|)))) (SIGNATURE |nonSingularModel| ((|List| (|Polynomial| |#2|)) (|Symbol|))) (SIGNATURE |algSplitSimple| ((|Record| (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |hyperelliptic| ((|Union| |#3| "failed"))) (SIGNATURE |elliptic| ((|Union| |#3| "failed"))) (SIGNATURE |elt| (|#2| |#1| |#2| |#2|)) (SIGNATURE |primitivePart| (|#1| |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#3|) |#3|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |integral?| ((|Boolean|) |#1| |#3|)) (SIGNATURE |integral?| ((|Boolean|) |#1| |#2|)) (SIGNATURE |yCoordinates| ((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) |#1|)) (SIGNATURE |reduceBasisAtInfinity| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |normalizeAtInfinity| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |complementaryBasis| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |integral?| ((|Boolean|) |#1|)) (SIGNATURE |integralAtInfinity?| ((|Boolean|) |#1|)) (SIGNATURE |rationalPoint?| ((|Boolean|) |#2| |#2|)) (SIGNATURE |absolutelyIrreducible?| ((|Boolean|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |numberOfComponents| ((|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| (|Fraction| |#3|) (|Fraction| |#3|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| (|Fraction| |#3|) (|Fraction| |#3|)) (|NonNegativeInteger|))) (SIGNATURE |represents| (|#1| (|Vector| (|Fraction| |#3|)))) (SIGNATURE |represents| (|#1| (|Vector| (|Fraction| |#3|)) (|Vector| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) 183)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 89 (|has| (|Fraction| |#2|) (|Field|)))) (|unitCanonical| (($ $) 90 (|has| (|Fraction| |#2|) (|Field|)))) (|unit?| (((|Boolean|) $) 92 (|has| (|Fraction| |#2|) (|Field|)))) (|traceMatrix| (((|Matrix| (|Fraction| |#2|)) (|Vector| $)) 44) (((|Matrix| (|Fraction| |#2|))) 55)) (|trace| (((|Fraction| |#2|) $) 50)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 144 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 110 (|has| (|Fraction| |#2|) (|Field|)))) (|squareFree| (((|Factored| $) $) 111 (|has| (|Fraction| |#2|) (|Field|)))) (|sizeLess?| (((|Boolean|) $ $) 101 (|has| (|Fraction| |#2|) (|Field|)))) (|size| (((|NonNegativeInteger|)) 82 (|has| (|Fraction| |#2|) (|Finite|)))) (|singularAtInfinity?| (((|Boolean|)) 200)) (|singular?| (((|Boolean|) |#1|) 199) (((|Boolean|) |#2|) 198)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 166 (|has| (|Fraction| |#2|) (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 164 (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Fraction| |#2|) "failed") $) 163)) (|retract| (((|Integer|) $) 167 (|has| (|Fraction| |#2|) (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 165 (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| |#2|) $) 162)) (|represents| (($ (|Vector| (|Fraction| |#2|)) (|Vector| $)) 46) (($ (|Vector| (|Fraction| |#2|))) 58) (($ (|Vector| |#2|) |#2|) 176)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 150 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|rem| (($ $ $) 105 (|has| (|Fraction| |#2|) (|Field|)))) (|regularRepresentation| (((|Matrix| (|Fraction| |#2|)) $ (|Vector| $)) 51) (((|Matrix| (|Fraction| |#2|)) $) 53)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 161 (|has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 160 (|has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Fraction| |#2|))) (|:| |vec| (|Vector| (|Fraction| |#2|)))) (|Matrix| $) (|Vector| $)) 159) (((|Matrix| (|Fraction| |#2|)) (|Matrix| $)) 158)) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) 188)) (|reduce| (($ |#3|) 155) (((|Union| $ "failed") (|Fraction| |#3|)) 152 (|has| (|Fraction| |#2|) (|Field|)))) (|recip| (((|Union| $ "failed") $) 33)) (|rationalPoints| (((|List| (|List| |#1|))) 169 (|has| |#1| (|Finite|)))) (|rationalPoint?| (((|Boolean|) |#1| |#1|) 204)) (|rank| (((|PositiveInteger|)) 52)) (|random| (($) 85 (|has| (|Fraction| |#2|) (|Finite|)))) (|ramifiedAtInfinity?| (((|Boolean|)) 197)) (|ramified?| (((|Boolean|) |#1|) 196) (((|Boolean|) |#2|) 195)) (|quo| (($ $ $) 104 (|has| (|Fraction| |#2|) (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 99 (|has| (|Fraction| |#2|) (|Field|)))) (|primitivePart| (($ $) 175)) (|primitiveElement| (($) 146 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) 147 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 138 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (($ $) 137 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) 112 (|has| (|Fraction| |#2|) (|Field|)))) (|order| (((|PositiveInteger|) $) 149 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) 135 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) 30)) (|numberOfComponents| (((|NonNegativeInteger|)) 207)) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) 189)) (|norm| (((|Fraction| |#2|) $) 49)) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) 170 (|has| |#1| (|Field|)))) (|nextItem| (((|Union| $ "failed") $) 139 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 108 (|has| (|Fraction| |#2|) (|Field|)))) (|minimalPolynomial| ((|#3| $) 42 (|has| (|Fraction| |#2|) (|Field|)))) (|lookup| (((|PositiveInteger|) $) 84 (|has| (|Fraction| |#2|) (|Finite|)))) (|lift| ((|#3| $) 153)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 93 (|has| (|Fraction| |#2|) (|Field|)))) (|lcm| (($ (|List| $)) 97 (|has| (|Fraction| |#2|) (|Field|))) (($ $ $) 96 (|has| (|Fraction| |#2|) (|Field|)))) (|latex| (((|String|) $) 9)) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) 184)) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) 186)) (|inv| (($ $) 113 (|has| (|Fraction| |#2|) (|Field|)))) (|integralRepresents| (($ (|Vector| |#2|) |#2|) 181)) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) 185)) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) 187)) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) 180)) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) 182)) (|integralBasisAtInfinity| (((|Vector| $)) 193)) (|integralBasis| (((|Vector| $)) 194)) (|integralAtInfinity?| (((|Boolean|) $) 192)) (|integral?| (((|Boolean|) $) 191) (((|Boolean|) $ |#1|) 179) (((|Boolean|) $ |#2|) 178)) (|init| (($) 140 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) 83 (|has| (|Fraction| |#2|) (|Finite|)))) (|hyperelliptic| (((|Union| |#2| "failed")) 172)) (|hash| (((|SingleInteger|) $) 10)) (|genus| (((|NonNegativeInteger|)) 206)) (|generator| (($) 157)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 98 (|has| (|Fraction| |#2|) (|Field|)))) (|gcd| (($ (|List| $)) 95 (|has| (|Fraction| |#2|) (|Field|))) (($ $ $) 94 (|has| (|Fraction| |#2|) (|Field|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 143 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|factor| (((|Factored| $) $) 109 (|has| (|Fraction| |#2|) (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 107 (|has| (|Fraction| |#2|) (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 106 (|has| (|Fraction| |#2|) (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) 88 (|has| (|Fraction| |#2|) (|Field|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 100 (|has| (|Fraction| |#2|) (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) 102 (|has| (|Fraction| |#2|) (|Field|)))) (|enumerate| (((|List| $)) 86 (|has| (|Fraction| |#2|) (|Finite|)))) (|elt| ((|#1| $ |#1| |#1|) 174)) (|elliptic| (((|Union| |#2| "failed")) 173)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 103 (|has| (|Fraction| |#2|) (|Field|)))) (|discriminant| (((|Fraction| |#2|) (|Vector| $)) 45) (((|Fraction| |#2|)) 54)) (|discreteLog| (((|NonNegativeInteger|) $) 148 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) 136 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|differentiate| (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|)) (|NonNegativeInteger|)) 120 (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) 119 (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| |#2| |#2|)) 177) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 127 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 128 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|List| (|Symbol|))) 129 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|Symbol|)) 130 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|NonNegativeInteger|)) 132 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|DifferentialRing|))) (|and| (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (($ $) 134 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|DifferentialRing|))) (|and| (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))))) (|derivationCoordinates| (((|Matrix| (|Fraction| |#2|)) (|Vector| $) (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) 151 (|has| (|Fraction| |#2|) (|Field|)))) (|definingPolynomial| ((|#3|) 156)) (|createPrimitiveElement| (($) 145 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|coordinates| (((|Vector| (|Fraction| |#2|)) $ (|Vector| $)) 48) (((|Matrix| (|Fraction| |#2|)) (|Vector| $) (|Vector| $)) 47) (((|Vector| (|Fraction| |#2|)) $) 60) (((|Matrix| (|Fraction| |#2|)) (|Vector| $)) 59)) (|convert| (((|Vector| (|Fraction| |#2|)) $) 57) (($ (|Vector| (|Fraction| |#2|))) 56) ((|#3| $) 168) (($ |#3|) 154)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 142 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|complementaryBasis| (((|Vector| $) (|Vector| $)) 190)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| |#2|)) 36) (($ (|Fraction| (|Integer|))) 81 (OR (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) 87 (|has| (|Fraction| |#2|) (|Field|)))) (|charthRoot| (($ $) 141 (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|Union| $ "failed") $) 41 (|has| (|Fraction| |#2|) (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#3| $) 43)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|branchPointAtInfinity?| (((|Boolean|)) 203)) (|branchPoint?| (((|Boolean|) |#1|) 202) (((|Boolean|) |#2|) 201)) (|basis| (((|Vector| $)) 61)) (|associates?| (((|Boolean|) $ $) 91 (|has| (|Fraction| |#2|) (|Field|)))) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) 171)) (|absolutelyIrreducible?| (((|Boolean|)) 205)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 114 (|has| (|Fraction| |#2|) (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|)) (|NonNegativeInteger|)) 122 (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) 121 (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 123 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 124 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|List| (|Symbol|))) 125 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|Symbol|)) 126 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) (|and| (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))) (|has| (|Fraction| |#2|) (|Field|))))) (($ $ (|NonNegativeInteger|)) 131 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|DifferentialRing|))) (|and| (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (($ $) 133 (OR (|and| (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|DifferentialRing|))) (|and| (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 118 (|has| (|Fraction| |#2|) (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 115 (|has| (|Fraction| |#2|) (|Field|)))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| |#2|)) 38) (($ (|Fraction| |#2|) $) 37) (($ (|Fraction| (|Integer|)) $) 117 (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Fraction| (|Integer|))) 116 (|has| (|Fraction| |#2|) (|Field|))))) 
+(((|FunctionFieldCategory| |#1| |#2| |#3|) (|Category|) (|UniqueFactorizationDomain|) (|UnivariatePolynomialCategory| |t#1|) (|UnivariatePolynomialCategory| (|Fraction| |t#2|))) (T |FunctionFieldCategory|)) 
+((|numberOfComponents| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) (|genus| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) (|absolutelyIrreducible?| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|rationalPoint?| (*1 *2 *3 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|branchPointAtInfinity?| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|branchPoint?| (*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|branchPoint?| (*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) (|singularAtInfinity?| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|singular?| (*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|singular?| (*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) (|ramifiedAtInfinity?| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|ramified?| (*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|ramified?| (*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) (|integralBasis| (*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) (|integralBasisAtInfinity| (*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) (|integralAtInfinity?| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|integral?| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|complementaryBasis| (*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|normalizeAtInfinity| (*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|reduceBasisAtInfinity| (*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|integralMatrix| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4))))) (|inverseIntegralMatrix| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4))))) (|integralMatrixAtInfinity| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4))))) (|inverseIntegralMatrixAtInfinity| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4))))) (|yCoordinates| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4))))) (|integralCoordinates| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4))))) (|integralRepresents| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) (|integralDerivationMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *5)) (|:| |den| *5))))) (|integral?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) (|integral?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|represents| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) (|primitivePart| (*1 *1 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) (|elt| (*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) (|elliptic| (*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|hyperelliptic| (*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|algSplitSimple| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)))) (|nonSingularModel| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) (|rationalPoints| (*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|List| (|List| *3)))))) 
+(|Join| (|MonogenicAlgebra| (|Fraction| |t#2|) |t#3|) (CATEGORY |domain| (SIGNATURE |numberOfComponents| ((|NonNegativeInteger|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |absolutelyIrreducible?| ((|Boolean|))) (SIGNATURE |rationalPoint?| ((|Boolean|) |t#1| |t#1|)) (SIGNATURE |branchPointAtInfinity?| ((|Boolean|))) (SIGNATURE |branchPoint?| ((|Boolean|) |t#1|)) (SIGNATURE |branchPoint?| ((|Boolean|) |t#2|)) (SIGNATURE |singularAtInfinity?| ((|Boolean|))) (SIGNATURE |singular?| ((|Boolean|) |t#1|)) (SIGNATURE |singular?| ((|Boolean|) |t#2|)) (SIGNATURE |ramifiedAtInfinity?| ((|Boolean|))) (SIGNATURE |ramified?| ((|Boolean|) |t#1|)) (SIGNATURE |ramified?| ((|Boolean|) |t#2|)) (SIGNATURE |integralBasis| ((|Vector| $))) (SIGNATURE |integralBasisAtInfinity| ((|Vector| $))) (SIGNATURE |integralAtInfinity?| ((|Boolean|) $)) (SIGNATURE |integral?| ((|Boolean|) $)) (SIGNATURE |complementaryBasis| ((|Vector| $) (|Vector| $))) (SIGNATURE |normalizeAtInfinity| ((|Vector| $) (|Vector| $))) (SIGNATURE |reduceBasisAtInfinity| ((|Vector| $) (|Vector| $))) (SIGNATURE |integralMatrix| ((|Matrix| (|Fraction| |t#2|)))) (SIGNATURE |inverseIntegralMatrix| ((|Matrix| (|Fraction| |t#2|)))) (SIGNATURE |integralMatrixAtInfinity| ((|Matrix| (|Fraction| |t#2|)))) (SIGNATURE |inverseIntegralMatrixAtInfinity| ((|Matrix| (|Fraction| |t#2|)))) (SIGNATURE |yCoordinates| ((|Record| (|:| |num| (|Vector| |t#2|)) (|:| |den| |t#2|)) $)) (SIGNATURE |represents| ($ (|Vector| |t#2|) |t#2|)) (SIGNATURE |integralCoordinates| ((|Record| (|:| |num| (|Vector| |t#2|)) (|:| |den| |t#2|)) $)) (SIGNATURE |integralRepresents| ($ (|Vector| |t#2|) |t#2|)) (SIGNATURE |integralDerivationMatrix| ((|Record| (|:| |num| (|Matrix| |t#2|)) (|:| |den| |t#2|)) (|Mapping| |t#2| |t#2|))) (SIGNATURE |integral?| ((|Boolean|) $ |t#1|)) (SIGNATURE |integral?| ((|Boolean|) $ |t#2|)) (SIGNATURE |differentiate| ($ $ (|Mapping| |t#2| |t#2|))) (SIGNATURE |represents| ($ (|Vector| |t#2|) |t#2|)) (SIGNATURE |primitivePart| ($ $)) (SIGNATURE |elt| (|t#1| $ |t#1| |t#1|)) (SIGNATURE |elliptic| ((|Union| |t#2| "failed"))) (SIGNATURE |hyperelliptic| ((|Union| |t#2| "failed"))) (SIGNATURE |algSplitSimple| ((|Record| (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (|Mapping| |t#2| |t#2|))) (IF (|has| |t#1| (|Field|)) (SIGNATURE |nonSingularModel| ((|List| (|Polynomial| |t#1|)) (|Symbol|))) |noBranch|) (IF (|has| |t#1| (|Finite|)) (SIGNATURE |rationalPoints| ((|List| (|List| |t#1|)))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|Algebra| (|Fraction| |#2|)) . T) ((|Algebra| $) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|BiModule| (|Fraction| |#2|) (|Fraction| |#2|)) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|CharacteristicNonZero|))) ((|CharacteristicZero|) |has| (|Fraction| |#2|) (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| |#3|) . T) ((|DifferentialExtension| (|Fraction| |#2|)) |has| (|Fraction| |#2|) (|Field|)) ((|DifferentialRing|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|)))) ((|DivisionRing|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|EntireRing|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|EuclideanDomain|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|Field|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|FieldOfPrimeCharacteristic|) |has| (|Fraction| |#2|) (|FiniteFieldCategory|)) ((|Finite|) OR (|has| (|Fraction| |#2|) (|Finite|)) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) ((|FiniteFieldCategory|) |has| (|Fraction| |#2|) (|FiniteFieldCategory|)) ((|FiniteRankAlgebra| (|Fraction| |#2|) |#3|) . T) ((|FramedAlgebra| (|Fraction| |#2|) |#3|) . T) ((|FullyLinearlyExplicitRingOver| (|Fraction| |#2|)) . T) ((|FullyRetractableTo| (|Fraction| |#2|)) . T) ((|GcdDomain|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|IntegralDomain|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|LeftModule| (|Fraction| |#2|)) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|LinearlyExplicitRingOver| (|Fraction| |#2|)) . T) ((|LinearlyExplicitRingOver| (|Integer|)) |has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|))) ((|Module| (|Fraction| (|Integer|))) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|Module| (|Fraction| |#2|)) . T) ((|Module| $) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|MonogenicAlgebra| (|Fraction| |#2|) |#3|) . T) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|)))) ((|PrincipalIdealDomain|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|RetractableTo| (|Fraction| (|Integer|))) |has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Fraction| |#2|)) . T) ((|RetractableTo| (|Integer|)) |has| (|Fraction| |#2|) (|RetractableTo| (|Integer|))) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|))) ((|RightModule| (|Fraction| |#2|)) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) |has| (|Fraction| |#2|) (|FiniteFieldCategory|)) ((|UniqueFactorizationDomain|) OR (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) (|has| (|Fraction| |#2|) (|Field|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| (((|PrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|PrimeField| |#1|) "failed") $) NIL)) (|retract| (((|PrimeField| |#1|) $) NIL)) (|represents| (($ (|Vector| (|PrimeField| |#1|))) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|)))) (($ $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|norm| (((|PrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| (|PrimeField| |#1|)) "failed") $ $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| (|PrimeField| |#1|))) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) NIL)) (|generator| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|))) NIL)) (|createPrimitiveElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|createNormalElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|coordinates| (((|Vector| (|PrimeField| |#1|)) $) NIL) (((|Matrix| (|PrimeField| |#1|)) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|PrimeField| |#1|)) NIL)) (|charthRoot| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (D (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ (|PrimeField| |#1|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|PrimeField| |#1|)) NIL) (($ (|PrimeField| |#1|) $) NIL))) 
+(((|FiniteFieldCyclicGroup| |#1| |#2|) (|Join| (|FiniteAlgebraicExtensionField| (|PrimeField| |#1|)) (CATEGORY |package| (SIGNATURE |getZechTable| ((|PrimitiveArray| (|SingleInteger|)))))) (|PositiveInteger|) (|PositiveInteger|)) (T |FiniteFieldCyclicGroup|)) 
+((|getZechTable| (*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroup| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(|Join| (|FiniteAlgebraicExtensionField| (|PrimeField| |#1|)) (CATEGORY |package| (SIGNATURE |getZechTable| ((|PrimitiveArray| (|SingleInteger|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 46)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 43 (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 113)) (|retract| ((|#1| $) 84)) (|represents| (($ (|Vector| |#1|)) 102)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) 96 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) 128 (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) 49 (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) 47 (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) 130 (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 88) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) 138 (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) NIL (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 145)) (|init| (($) NIL (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) 70 (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) 116)) (|hash| (((|SingleInteger|) $) NIL)) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) 44)) (|generator| (($) 126 (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 91 (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) 67) (((|PositiveInteger|)) 68)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) 129 (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) 123 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) 94)) (|createPrimitiveElement| (($) 127 (|has| |#1| (|Finite|)))) (|createNormalElement| (($) 135 (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) 59) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) 141) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 74)) (|charthRoot| (($ $) NIL (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 137)) (|basis| (((|Vector| $)) 115) (((|Vector| $) (|PositiveInteger|)) 72)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 32 T CONST)) (|One| (($) 19 T CONST)) (|Frobenius| (($ $) 80 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (D (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) 48)) (/ (($ $ $) 143) (($ $ |#1|) 144)) (- (($ $) 125) (($ $ $) NIL)) (+ (($ $ $) 61)) (** (($ $ (|PositiveInteger|)) 147) (($ $ (|NonNegativeInteger|)) 148) (($ $ (|Integer|)) 146)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 76) (($ $ $) 75) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
+(((|FiniteFieldCyclicGroupExtensionByPolynomial| |#1| |#2|) (|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getZechTable| ((|PrimitiveArray| (|SingleInteger|)))))) (|FiniteFieldCategory|) (|SparseUnivariatePolynomial| |#1|)) (T |FiniteFieldCyclicGroupExtensionByPolynomial|)) 
+((|getZechTable| (*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|SparseUnivariatePolynomial| *3))))) 
+(|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getZechTable| ((|PrimitiveArray| (|SingleInteger|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|represents| (($ (|Vector| |#1|)) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) NIL (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) NIL)) (|generator| (($) NIL (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) NIL)) (|createPrimitiveElement| (($) NIL (|has| |#1| (|Finite|)))) (|createNormalElement| (($) NIL (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) NIL) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) NIL)) (|charthRoot| (($ $) NIL (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (D (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ |#1|) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|FiniteFieldCyclicGroupExtension| |#1| |#2|) (|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getZechTable| ((|PrimitiveArray| (|SingleInteger|)))))) (|FiniteFieldCategory|) (|PositiveInteger|)) (T |FiniteFieldCyclicGroupExtension|)) 
+((|getZechTable| (*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getZechTable| ((|PrimitiveArray| (|SingleInteger|)))))) 
+((|irreducible?| (((|Boolean|) |#2|) 68)) (|factorUsingYun| (((|Factored| |#2|) |#2|) 56)) (|factorUsingMusser| (((|Factored| |#2|) |#2|) 58)) (|factorSquareFree| (((|List| |#2|) |#2|) 61)) (|factorCantorZassenhaus| (((|List| |#2|) |#2| (|NonNegativeInteger|)) 62)) (|factor| (((|Factored| |#2|) |#2|) 59))) 
+(((|FiniteFieldFactorization| |#1| |#2|) (CATEGORY |package| (SIGNATURE |factorSquareFree| ((|List| |#2|) |#2|)) (SIGNATURE |factorCantorZassenhaus| ((|List| |#2|) |#2| (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingYun| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingMusser| ((|Factored| |#2|) |#2|)) (SIGNATURE |irreducible?| ((|Boolean|) |#2|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|)) (T |FiniteFieldFactorization|)) 
+((|irreducible?| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factorUsingMusser| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factorUsingYun| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factorCantorZassenhaus| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|factorSquareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |factorSquareFree| ((|List| |#2|) |#2|)) (SIGNATURE |factorCantorZassenhaus| ((|List| |#2|) |#2| (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingYun| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingMusser| ((|Factored| |#2|) |#2|)) (SIGNATURE |irreducible?| ((|Boolean|) |#2|))) 
+((|irreducible?| (((|Boolean|) |#2|) 68)) (|factorUsingYun| (((|Factored| |#2|) |#2|) 56)) (|factorUsingMusser| (((|Factored| |#2|) |#2|) 58)) (|factorSquareFree| (((|List| |#2|) |#2|) 61)) (|factorCantorZassenhaus| (((|List| |#2|) |#2| (|NonNegativeInteger|)) 62)) (|factor| (((|Factored| |#2|) |#2|) 59))) 
+(((|FiniteFieldFactorizationWithSizeParseBySideEffect| |#1| |#2|) (CATEGORY |package| (SIGNATURE |factorSquareFree| ((|List| |#2|) |#2|)) (SIGNATURE |factorCantorZassenhaus| ((|List| |#2|) |#2| (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingYun| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingMusser| ((|Factored| |#2|) |#2|)) (SIGNATURE |irreducible?| ((|Boolean|) |#2|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|)) (T |FiniteFieldFactorizationWithSizeParseBySideEffect|)) 
+((|irreducible?| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factorUsingMusser| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factorUsingYun| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factorCantorZassenhaus| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|factorSquareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |factorSquareFree| ((|List| |#2|) |#2|)) (SIGNATURE |factorCantorZassenhaus| ((|List| |#2|) |#2| (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingYun| ((|Factored| |#2|) |#2|)) (SIGNATURE |factorUsingMusser| ((|Factored| |#2|) |#2|)) (SIGNATURE |irreducible?| ((|Boolean|) |#2|))) 
+((|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 54) (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|))) 42))) 
+(((|FractionFreeFastGaussianFractions| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |generalInterpolation| ((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |generalInterpolation| ((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)))) (|Join| (|IntegralDomain|) (|GcdDomain|)) (|FiniteAbelianMonoidRing| |#1| (|NonNegativeInteger|)) (|FiniteAbelianMonoidRing| (|Fraction| |#1|) (|NonNegativeInteger|))) (T |FractionFreeFastGaussianFractions|)) 
+((|generalInterpolation| (*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 *6)) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) (|generalInterpolation| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 (|NonNegativeInteger|))) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9))))) 
+(CATEGORY |package| (SIGNATURE |generalInterpolation| ((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |generalInterpolation| ((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)))) 
+((|qShiftC| (((|List| |#1|) |#1| (|NonNegativeInteger|)) 21)) (|qShiftAction| ((|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) 20)) (|interpolate| (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|)) 75) (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|)) 68)) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 62) (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|))) 44)) (|generalCoefficient| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) 37)) (|fffg| (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|))) 43)) (|ShiftC| (((|List| |#1|) (|NonNegativeInteger|)) 17)) (|ShiftAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) 11)) (|DiffC| (((|List| |#1|) (|NonNegativeInteger|)) 24)) (|DiffAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) 22))) 
+(((|FractionFreeFastGaussian| |#1| |#2|) (CATEGORY |package| (SIGNATURE |fffg| ((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|)))) (SIGNATURE |interpolate| ((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |interpolate| ((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |generalInterpolation| ((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |generalInterpolation| ((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |generalCoefficient| (|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |ShiftAction| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|)) (SIGNATURE |ShiftC| ((|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |DiffAction| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|)) (SIGNATURE |DiffC| ((|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |qShiftAction| (|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|)) (SIGNATURE |qShiftC| ((|List| |#1|) |#1| (|NonNegativeInteger|)))) (|Join| (|IntegralDomain|) (|GcdDomain|)) (|AbelianMonoidRing| |#1| (|NonNegativeInteger|))) (T |FractionFreeFastGaussian|)) 
+((|qShiftC| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FractionFreeFastGaussian| *3 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *3 *4)))) (|qShiftAction| (*1 *2 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3)))) (|DiffC| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3)))) (|DiffAction| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3)))) (|ShiftC| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3)))) (|ShiftAction| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3)))) (|generalCoefficient| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) (|NonNegativeInteger|) *7)) (|isDomain| *4 (|Vector| *7)) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Vector| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *7 (|AbelianMonoidRing| *2 *5)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *7)))) (|generalInterpolation| (*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) (|generalInterpolation| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) (|interpolate| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) (|interpolate| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) (|fffg| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Mapping| *6 (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *5 (|List| (|NonNegativeInteger|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *6))) (|isDomain| *1 (|FractionFreeFastGaussian| *6 *7)) (|ofCategory| *7 (|AbelianMonoidRing| *6 (|NonNegativeInteger|)))))) 
+(CATEGORY |package| (SIGNATURE |fffg| ((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|)))) (SIGNATURE |interpolate| ((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |interpolate| ((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |generalInterpolation| ((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |generalInterpolation| ((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |generalCoefficient| (|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |ShiftAction| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|)) (SIGNATURE |ShiftC| ((|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |DiffAction| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|)) (SIGNATURE |DiffC| ((|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |qShiftAction| (|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|)) (SIGNATURE |qShiftC| ((|List| |#1|) |#1| (|NonNegativeInteger|)))) 
+((|sizeMultiplication| (((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) 40)) (|createZechTable| (((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|)) 84)) (|createMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|)) 77)) (|createMultiplicationMatrix| (((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) 85)) (|createLowComplexityTable| (((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|)) 10)) (|createLowComplexityNormalBasis| (((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)) 15))) 
+(((|FiniteFieldFunctions| |#1|) (CATEGORY |package| (SIGNATURE |createZechTable| ((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |createMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |createMultiplicationMatrix| ((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |createLowComplexityTable| ((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|))) (SIGNATURE |createLowComplexityNormalBasis| ((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)))) (|FiniteFieldCategory|)) (T |FiniteFieldFunctions|)) 
+((|createLowComplexityNormalBasis| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Union| (|SparseUnivariatePolynomial| *4) (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|))))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|createLowComplexityTable| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|sizeMultiplication| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) (|createMultiplicationMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) (|createMultiplicationTable| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) (|createZechTable| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(CATEGORY |package| (SIGNATURE |createZechTable| ((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |createMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |createMultiplicationMatrix| ((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |createLowComplexityTable| ((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|))) (SIGNATURE |createLowComplexityNormalBasis| ((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)))) 
+((|coerce| ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
+(((|FiniteFieldHomomorphisms| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |coerce| (|#3| |#1|)) (SIGNATURE |coerce| (|#1| |#3|))) (|FiniteAlgebraicExtensionField| |#2|) (|FiniteFieldCategory|) (|FiniteAlgebraicExtensionField| |#2|)) (T |FiniteFieldHomomorphisms|)) 
+((|coerce| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *2 *4 *3)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) (|coerce| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *3 *4 *2)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4))))) 
+(CATEGORY |package| (SIGNATURE |coerce| (|#3| |#1|)) (SIGNATURE |coerce| (|#1| |#3|))) 
+((|primitive?| (((|Boolean|) $) 50)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 21) (((|PositiveInteger|) $) 51)) (|nextItem| (((|Union| $ "failed") $) 16)) (|init| (($) 9)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 91)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 70) (((|NonNegativeInteger|) $) 59)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 8)) (|createPrimitiveElement| (($) 44)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 33)) (|charthRoot| (((|Union| $ "failed") $) 39) (($ $) 38))) 
+(((|FiniteFieldCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |order| ((|PositiveInteger|) |#1|)) (SIGNATURE |discreteLog| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |primitive?| ((|Boolean|) |#1|)) (SIGNATURE |createPrimitiveElement| (|#1|)) (SIGNATURE |conditionP| ((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|))) (SIGNATURE |charthRoot| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |discreteLog| ((|Union| (|NonNegativeInteger|) "failed") |#1| |#1|)) (SIGNATURE |order| ((|OnePointCompletion| (|PositiveInteger|)) |#1|)) (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)))) (|FiniteFieldCategory|)) (T |FiniteFieldCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |order| ((|PositiveInteger|) |#1|)) (SIGNATURE |discreteLog| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |primitive?| ((|Boolean|) |#1|)) (SIGNATURE |createPrimitiveElement| (|#1|)) (SIGNATURE |conditionP| ((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|))) (SIGNATURE |charthRoot| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |discreteLog| ((|Union| (|NonNegativeInteger|) "failed") |#1| |#1|)) (SIGNATURE |order| ((|OnePointCompletion| (|PositiveInteger|)) |#1|)) (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 90)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|size| (((|NonNegativeInteger|)) 100)) (|sample| (($) 16 T CONST)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 84)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|random| (($) 103)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primitiveElement| (($) 88)) (|primitive?| (((|Boolean|) $) 87)) (|primeFrobenius| (($ $) 77) (($ $ (|NonNegativeInteger|)) 76)) (|prime?| (((|Boolean|) $) 71)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 79) (((|PositiveInteger|) $) 85)) (|one?| (((|Boolean|) $) 30)) (|nextItem| (((|Union| $ "failed") $) 99)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|lookup| (((|PositiveInteger|) $) 102)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|init| (($) 98 T CONST)) (|index| (($ (|PositiveInteger|)) 101)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 91)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|enumerate| (((|List| $)) 104)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 78) (((|NonNegativeInteger|) $) 86)) (|differentiate| (($ $ (|NonNegativeInteger|)) 96) (($ $) 94)) (|createPrimitiveElement| (($) 89)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 92)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65)) (|charthRoot| (((|Union| $ "failed") $) 80) (($ $) 93)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|NonNegativeInteger|)) 97) (($ $) 95)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|FiniteFieldCategory|) (|Category|)) (T |FiniteFieldCategory|)) 
+((|charthRoot| (*1 *1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) (|conditionP| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| *1)))) (|factorsOfCyclicGroupSize| (*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))))) (|tableForDiscreteLogarithm| (*1 *2 *3) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Table| (|PositiveInteger|) (|NonNegativeInteger|))))) (|createPrimitiveElement| (*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) (|primitiveElement| (*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) (|primitive?| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)))) (|discreteLog| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) (|representationType| (*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Union| "prime" "polynomial" "normal" "cyclic"))))) 
+(|Join| (|FieldOfPrimeCharacteristic|) (|Finite|) (|StepThrough|) (|DifferentialRing|) (CATEGORY |domain| (SIGNATURE |charthRoot| ($ $)) (SIGNATURE |conditionP| ((|Union| (|Vector| $) "failed") (|Matrix| $))) (SIGNATURE |factorsOfCyclicGroupSize| ((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|)))))) (SIGNATURE |tableForDiscreteLogarithm| ((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|))) (SIGNATURE |createPrimitiveElement| ($)) (SIGNATURE |primitiveElement| ($)) (SIGNATURE |primitive?| ((|Boolean|) $)) (SIGNATURE |discreteLog| ((|NonNegativeInteger|) $)) (SIGNATURE |order| ((|PositiveInteger|) $)) (SIGNATURE |representationType| ((|Union| "prime" "polynomial" "normal" "cyclic"))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DifferentialRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|FieldOfPrimeCharacteristic|) . T) ((|Finite|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|) 51)) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) 49))) 
+(((|FunctionFieldIntegralBasis| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|))) (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $)))) (|UnivariatePolynomialCategory| |#1|) (|FramedAlgebra| |#1| |#2|)) (T |FunctionFieldIntegralBasis|)) 
+((|localIntegralBasis| (*1 *2 *3) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|integralBasis| (*1 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(CATEGORY |package| (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| (((|PrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeMultiplication| (((|NonNegativeInteger|)) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|PrimeField| |#1|) "failed") $) NIL)) (|retract| (((|PrimeField| |#1|) $) NIL)) (|represents| (($ (|Vector| (|PrimeField| |#1|))) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|)))) (($ $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|norm| (((|PrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| (|PrimeField| |#1|)) "failed") $ $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| (|PrimeField| |#1|))) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|)))))) NIL)) (|getMultiplicationMatrix| (((|Matrix| (|PrimeField| |#1|))) NIL)) (|generator| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|))) NIL)) (|createPrimitiveElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|createNormalElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|coordinates| (((|Vector| (|PrimeField| |#1|)) $) NIL) (((|Matrix| (|PrimeField| |#1|)) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|PrimeField| |#1|)) NIL)) (|charthRoot| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (D (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ (|PrimeField| |#1|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|PrimeField| |#1|)) NIL) (($ (|PrimeField| |#1|) $) NIL))) 
+(((|FiniteFieldNormalBasis| |#1| |#2|) (|Join| (|FiniteAlgebraicExtensionField| (|PrimeField| |#1|)) (CATEGORY |package| (SIGNATURE |getMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |getMultiplicationMatrix| ((|Matrix| (|PrimeField| |#1|)))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|))))) (|PositiveInteger|) (|PositiveInteger|)) (T |FiniteFieldNormalBasis|)) 
+((|getMultiplicationTable| (*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| (|PrimeField| *3)) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) (|getMultiplicationMatrix| (*1 *2) (AND (|isDomain| *2 (|Matrix| (|PrimeField| *3))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) (|sizeMultiplication| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(|Join| (|FiniteAlgebraicExtensionField| (|PrimeField| |#1|)) (CATEGORY |package| (SIGNATURE |getMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |getMultiplicationMatrix| ((|Matrix| (|PrimeField| |#1|)))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 74)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| ((|#1| $) 92) (($ $ (|PositiveInteger|)) 90 (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 148 (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeMultiplication| (((|NonNegativeInteger|)) 89)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) 162 (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 111)) (|retract| ((|#1| $) 91)) (|represents| (($ (|Vector| |#1|)) 57)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) 158 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) 149 (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) 97 (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) 175 (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) 94) (($ $ (|PositiveInteger|)) 93 (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 188) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) 133 (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) 73 (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) 70 (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) 82 (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) 69 (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 191)) (|init| (($) NIL (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) 136 (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) 107)) (|hash| (((|SingleInteger|) $) NIL)) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) 83)) (|getMultiplicationMatrix| (((|Matrix| |#1|)) 87)) (|generator| (($) 96 (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 150 (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) 151)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) 62)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) 152)) (|createPrimitiveElement| (($) 132 (|has| |#1| (|Finite|)))) (|createNormalElement| (($) NIL (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) 105) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) 123) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 56)) (|charthRoot| (($ $) NIL (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 156)) (|basis| (((|Vector| $)) 172) (((|Vector| $) (|PositiveInteger|)) 100)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 30 T CONST)) (|One| (($) 22 T CONST)) (|Frobenius| (($ $) 106 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) 98 (|has| |#1| (|Finite|)))) (D (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) 60)) (/ (($ $ $) 103) (($ $ |#1|) 104)) (- (($ $) 177) (($ $ $) 181)) (+ (($ $ $) 179)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 137)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 185) (($ $ $) 142) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
+(((|FiniteFieldNormalBasisExtensionByPolynomial| |#1| |#2|) (|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |getMultiplicationMatrix| ((|Matrix| |#1|))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|))))) (|FiniteFieldCategory|) (|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (T |FiniteFieldNormalBasisExtensionByPolynomial|)) 
+((|getMultiplicationTable| (*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) *2)))) (|getMultiplicationMatrix| (*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) (|sizeMultiplication| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))))))) 
+(|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |getMultiplicationMatrix| ((|Matrix| |#1|))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeMultiplication| (((|NonNegativeInteger|)) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|represents| (($ (|Vector| |#1|)) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) NIL (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) NIL)) (|getMultiplicationMatrix| (((|Matrix| |#1|)) NIL)) (|generator| (($) NIL (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) NIL)) (|createPrimitiveElement| (($) NIL (|has| |#1| (|Finite|)))) (|createNormalElement| (($) NIL (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) NIL) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) NIL)) (|charthRoot| (($ $) NIL (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (D (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ |#1|) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|FiniteFieldNormalBasisExtension| |#1| |#2|) (|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |getMultiplicationMatrix| ((|Matrix| |#1|))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|))))) (|FiniteFieldCategory|) (|PositiveInteger|)) (T |FiniteFieldNormalBasisExtension|)) 
+((|getMultiplicationTable| (*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|)))) (|getMultiplicationMatrix| (*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|)))) (|sizeMultiplication| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(|Join| (|FiniteAlgebraicExtensionField| |#1|) (CATEGORY |package| (SIGNATURE |getMultiplicationTable| ((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))))) (SIGNATURE |getMultiplicationMatrix| ((|Matrix| |#1|))) (SIGNATURE |sizeMultiplication| ((|NonNegativeInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| (((|PrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|PrimeField| |#1|) "failed") $) NIL)) (|retract| (((|PrimeField| |#1|) $) NIL)) (|represents| (($ (|Vector| (|PrimeField| |#1|))) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|)))) (($ $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|norm| (((|PrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|)) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| (|PrimeField| |#1|)) "failed") $ $) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| (|PrimeField| |#1|))) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| (|PrimeField| |#1|))) NIL)) (|createPrimitiveElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|createNormalElement| (($) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|coordinates| (((|Vector| (|PrimeField| |#1|)) $) NIL) (((|Matrix| (|PrimeField| |#1|)) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|PrimeField| |#1|)) NIL)) (|charthRoot| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| (|PrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|PrimeField| |#1|) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (D (($ $) NIL (|has| (|PrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PrimeField| |#1|) (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ (|PrimeField| |#1|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|PrimeField| |#1|)) NIL) (($ (|PrimeField| |#1|) $) NIL))) 
+(((|FiniteField| |#1| |#2|) (|FiniteAlgebraicExtensionField| (|PrimeField| |#1|)) (|PositiveInteger|) (|PositiveInteger|)) (T |FiniteField|)) 
+NIL 
+(|FiniteAlgebraicExtensionField| (|PrimeField| |#1|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 119 (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) 138 (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 91)) (|retract| ((|#1| $) 88)) (|represents| (($ (|Vector| |#1|)) 83)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) 80 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) 39 (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) 120 (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) 72 (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) 38) (($ $ (|PositiveInteger|)) 40 (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 62) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) 95 (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) NIL (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) 93 (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) 140)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) 35 (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 113 (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) 137)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) 56)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) 86)) (|createPrimitiveElement| (($) 125 (|has| |#1| (|Finite|)))) (|createNormalElement| (($) NIL (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) 50) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) 136) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 85)) (|charthRoot| (($ $) NIL (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 142)) (|basis| (((|Vector| $)) 107) (((|Vector| $) (|PositiveInteger|)) 46)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 109 T CONST)) (|One| (($) 31 T CONST)) (|Frobenius| (($ $) 65 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (D (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) 105)) (/ (($ $ $) 97) (($ $ |#1|) 98)) (- (($ $) 78) (($ $ $) 103)) (+ (($ $ $) 101)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 41) (($ $ (|Integer|)) 128)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 76) (($ $ $) 53) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
+(((|FiniteFieldExtensionByPolynomial| |#1| |#2|) (|FiniteAlgebraicExtensionField| |#1|) (|FiniteFieldCategory|) (|SparseUnivariatePolynomial| |#1|)) (T |FiniteFieldExtensionByPolynomial|)) 
+NIL 
+(|FiniteAlgebraicExtensionField| |#1|) 
+((|rootOfIrreduciblePoly| ((|#1| (|SparseUnivariatePolynomial| |#2|)) 51))) 
+(((|FiniteFieldPolynomialPackage2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |rootOfIrreduciblePoly| (|#1| (|SparseUnivariatePolynomial| |#2|)))) (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |lookup| ((|PositiveInteger|) |#1|)) (SIGNATURE |basis| ((|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |Frobenius| (|#1| |#1|)))) (|FiniteFieldCategory|)) (T |FiniteFieldPolynomialPackage2|)) 
+((|rootOfIrreduciblePoly| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (*2 *4)) (SIGNATURE |lookup| ((|PositiveInteger|) *2)) (SIGNATURE |basis| ((|Vector| *2) (|PositiveInteger|))) (SIGNATURE |Frobenius| (*2 *2))))) (|isDomain| *1 (|FiniteFieldPolynomialPackage2| *2 *4))))) 
+(CATEGORY |package| (SIGNATURE |rootOfIrreduciblePoly| (|#1| (|SparseUnivariatePolynomial| |#2|)))) 
+((|reducedQPowers| (((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) 36)) (|random| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|)) 109) (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 108)) (|primitive?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) 81)) (|numberOfPrimitivePoly| (((|PositiveInteger|) (|PositiveInteger|)) 71)) (|numberOfNormalPoly| (((|PositiveInteger|) (|PositiveInteger|)) 73)) (|numberOfIrreduciblePoly| (((|PositiveInteger|) (|PositiveInteger|)) 69)) (|normal?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) 85)) (|nextPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) 97)) (|nextPrimitiveNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) 100)) (|nextNormalPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) 99)) (|nextNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) 98)) (|nextIrreduciblePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) 94)) (|leastAffineMultiple| (((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)) 62)) (|createPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 103)) (|createPrimitiveNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 106)) (|createNormalPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 105)) (|createNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 104)) (|createIrreduciblePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 101))) 
+(((|FiniteFieldPolynomialPackage| |#1|) (CATEGORY |package| (SIGNATURE |primitive?| ((|Boolean|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |normal?| ((|Boolean|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |numberOfIrreduciblePoly| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |numberOfPrimitivePoly| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |numberOfNormalPoly| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |createIrreduciblePoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createPrimitivePoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createNormalPoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createNormalPrimitivePoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createPrimitiveNormalPoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |nextIrreduciblePoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextPrimitivePoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextNormalPoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextNormalPrimitivePoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextPrimitiveNormalPoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |random| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |random| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |leastAffineMultiple| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |reducedQPowers| ((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)))) (|FiniteFieldCategory|)) (T |FiniteFieldPolynomialPackage|)) 
+((|reducedQPowers| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) (|leastAffineMultiple| (*1 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)))) (|random| (*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|random| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|nextPrimitiveNormalPoly| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)))) (|nextNormalPrimitivePoly| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)))) (|nextNormalPoly| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)))) (|nextPrimitivePoly| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)))) (|nextIrreduciblePoly| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)))) (|createPrimitiveNormalPoly| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|createNormalPrimitivePoly| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|createNormalPoly| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|createPrimitivePoly| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|createIrreduciblePoly| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|numberOfNormalPoly| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) (|numberOfPrimitivePoly| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) (|numberOfIrreduciblePoly| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) (|normal?| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)))) (|primitive?| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4))))) 
+(CATEGORY |package| (SIGNATURE |primitive?| ((|Boolean|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |normal?| ((|Boolean|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |numberOfIrreduciblePoly| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |numberOfPrimitivePoly| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |numberOfNormalPoly| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |createIrreduciblePoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createPrimitivePoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createNormalPoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createNormalPrimitivePoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |createPrimitiveNormalPoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |nextIrreduciblePoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextPrimitivePoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextNormalPoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextNormalPrimitivePoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |nextPrimitiveNormalPoly| ((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |random| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |random| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |leastAffineMultiple| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |reducedQPowers| ((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)))) 
+((|solveLinearPolynomialEquation| (((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|) 33))) 
+(((|FiniteFieldSolveLinearPolynomialEquation| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| |#2|)) (T |FiniteFieldSolveLinearPolynomialEquation|)) 
+((|solveLinearPolynomialEquation| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldSolveLinearPolynomialEquation| *4 *5 *3))))) 
+(CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|))) 
+((|Yun| (((|Factored| |#2|) |#2|) 46)) (|Musser| (((|Factored| |#2|) |#2|) 36))) 
+(((|FiniteFieldSquareFreeDecomposition| |#1| |#2|) (CATEGORY |package| (SIGNATURE |Musser| ((|Factored| |#2|) |#2|)) (SIGNATURE |Yun| ((|Factored| |#2|) |#2|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|)) (T |FiniteFieldSquareFreeDecomposition|)) 
+((|Yun| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|Musser| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |Musser| ((|Factored| |#2|) |#2|)) (SIGNATURE |Yun| ((|Factored| |#2|) |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| |#1| (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|represents| (($ (|Vector| |#1|)) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| |#1| (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| |#1| (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| |#1| (|Finite|)))) (|norm| ((|#1| $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) NIL (|has| |#1| (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) NIL (|has| |#1| (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| |#1| (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) NIL (|has| |#1| (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| |#1| (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) NIL)) (|createPrimitiveElement| (($) NIL (|has| |#1| (|Finite|)))) (|createNormalElement| (($) NIL (|has| |#1| (|Finite|)))) (|coordinates| (((|Vector| |#1|) $) NIL) (((|Matrix| |#1|) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) NIL)) (|charthRoot| (($ $) NIL (|has| |#1| (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (D (($ $) NIL (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ |#1|) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|FiniteFieldExtension| |#1| |#2|) (|FiniteAlgebraicExtensionField| |#1|) (|FiniteFieldCategory|) (|PositiveInteger|)) (T |FiniteFieldExtension|)) 
+NIL 
+(|FiniteAlgebraicExtensionField| |#1|) 
+((|zeroDimensional?| (((|Boolean|) (|List| (|Polynomial| |#1|))) 31)) (|groebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))) 42)) (|fglmIfCan| (((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|))) 38))) 
+(((|FGLMIfCanPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |zeroDimensional?| ((|Boolean|) (|List| (|Polynomial| |#1|)))) (SIGNATURE |fglmIfCan| ((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|)))) (SIGNATURE |groebner| ((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))))) (|GcdDomain|) (|List| (|Symbol|))) (T |FGLMIfCanPackage|)) 
+((|groebner| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) (|fglmIfCan| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) (|zeroDimensional?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FGLMIfCanPackage| *4 *5)) (|ofType| *5 (|List| (|Symbol|)))))) 
+(CATEGORY |package| (SIGNATURE |zeroDimensional?| ((|Boolean|) (|List| (|Polynomial| |#1|)))) (SIGNATURE |fglmIfCan| ((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|)))) (SIGNATURE |groebner| ((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|) $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) 14)) (|nthFactor| ((|#1| $ (|Integer|)) NIL)) (|nthExpon| (((|Integer|) $ (|Integer|)) NIL)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) 32)) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) 24)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 26)) (|hash| (((|SingleInteger|) $) NIL)) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) 28)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) 38) (($ |#1|) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 9 T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL) (($ |#1| (|Integer|)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
+(((|FreeGroup| |#1|) (|Join| (|Group|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE ** ($ |#1| (|Integer|))) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |nthExpon| ((|Integer|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |mapExpon| ($ (|Mapping| (|Integer|) (|Integer|)) $)) (SIGNATURE |mapGen| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |factors| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $)))) (|SetCategory|)) (T |FreeGroup|)) 
+((* (*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) (* (*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) (** (*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) (|size| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|nthExpon| (*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|nthFactor| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) (|mapExpon| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Integer|) (|Integer|))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|mapGen| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeGroup| *3)))) (|factors| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|))))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|Group|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE ** ($ |#1| (|Integer|))) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |nthExpon| ((|Integer|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |mapExpon| ($ (|Mapping| (|Integer|) (|Integer|)) $)) (SIGNATURE |mapGen| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |factors| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $)))) 
+((|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 13)) (|unitCanonical| (($ $) 14)) (|squareFree| (((|Factored| $) $) 29)) (|prime?| (((|Boolean|) $) 25)) (|inv| (($ $) 18)) (|gcd| (($ $ $) 22) (($ (|List| $)) NIL)) (|factor| (((|Factored| $) $) 30)) (|exquo| (((|Union| $ "failed") $ $) 21)) (|euclideanSize| (((|NonNegativeInteger|) $) 24)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 34)) (|associates?| (((|Boolean|) $ $) 15)) (/ (($ $ $) 32))) 
+(((|Field&| |#1|) (CATEGORY |domain| (SIGNATURE / (|#1| |#1| |#1|)) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE |prime?| ((|Boolean|) |#1|)) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |associates?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |unitCanonical| (|#1| |#1|)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| |#1|) (|:| |canonical| |#1|) (|:| |associate| |#1|)) |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|))) (|Field|)) (T |Field&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE / (|#1| |#1| |#1|)) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE |prime?| ((|Boolean|) |#1|)) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |associates?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |unitCanonical| (|#1| |#1|)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| |#1|) (|:| |canonical| |#1|) (|:| |associate| |#1|)) |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|one?| (((|Boolean|) $) 30)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|Field|) (|Category|)) (T |Field|)) 
+((/ (*1 *1 *1 *1) (|ofCategory| *1 (|Field|)))) 
+(|Join| (|EuclideanDomain|) (|UniqueFactorizationDomain|) (|DivisionRing|) (CATEGORY |domain| (SIGNATURE / ($ $ $)) (ATTRIBUTE |canonicalUnitNormal|) (ATTRIBUTE |canonicalsClosed|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|write!| ((|#2| $ |#2|) 13)) (|reopen!| (($ $ (|String|)) 18)) (|read!| ((|#2| $) 14)) (|open| (($ |#1|) 20) (($ |#1| (|String|)) 19)) (|name| ((|#1| $) 16)) (|latex| (((|String|) $) 9)) (|iomode| (((|String|) $) 15)) (|hash| (((|SingleInteger|) $) 10)) (|flush| (((|Void|) $) 12)) (|coerce| (((|OutputForm|) $) 11)) (|close!| (($ $) 17)) (= (((|Boolean|) $ $) 6))) 
+(((|FileCategory| |#1| |#2|) (|Category|) (|SetCategory|) (|SetCategory|)) (T |FileCategory|)) 
+((|open| (*1 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|open| (*1 *1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *1 (|FileCategory| *2 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|reopen!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|close!| (*1 *1 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|name| (*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|iomode| (*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|String|)))) (|read!| (*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|write!| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|flush| (*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |open| ($ |t#1|)) (SIGNATURE |open| ($ |t#1| (|String|))) (SIGNATURE |reopen!| ($ $ (|String|))) (SIGNATURE |close!| ($ $)) (SIGNATURE |name| (|t#1| $)) (SIGNATURE |iomode| ((|String|) $)) (SIGNATURE |read!| (|t#2| $)) (SIGNATURE |write!| (|t#2| $ |t#2|)) (SIGNATURE |flush| ((|Void|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|write!| ((|#1| $ |#1|) 29)) (|reopen!| (($ $ (|String|)) 22)) (|readIfCan!| (((|Union| |#1| "failed") $) 28)) (|read!| ((|#1| $) 26)) (|open| (($ (|FileName|)) 21) (($ (|FileName|) (|String|)) 20)) (|name| (((|FileName|) $) 24)) (|latex| (((|String|) $) NIL)) (|iomode| (((|String|) $) 25)) (|hash| (((|SingleInteger|) $) NIL)) (|flush| (((|Void|) $) 31)) (|coerce| (((|OutputForm|) $) 19)) (|close!| (($ $) 23)) (= (((|Boolean|) $ $) 18))) 
+(((|File| |#1|) (|Join| (|FileCategory| (|FileName|) |#1|) (CATEGORY |domain| (SIGNATURE |readIfCan!| ((|Union| |#1| "failed") $)))) (|SetCategory|)) (T |File|)) 
+((|readIfCan!| (*1 *2 *1) (|partial| AND (|isDomain| *1 (|File| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|FileCategory| (|FileName|) |#1|) (CATEGORY |domain| (SIGNATURE |readIfCan!| ((|Union| |#1| "failed") $)))) 
+((|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) 62)) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) 120)) (|rightTrace| ((|#2| $) 32)) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) 124)) (|rightRecip| (((|Union| $ "failed") $) 76)) (|rightNorm| ((|#2| $) 35)) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) 84)) (|rightDiscriminant| ((|#2| (|Vector| $)) 107)) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) 28)) (|rightAlternative?| (((|Boolean|)) 101)) (|represents| (($ (|Vector| |#2|) (|Vector| $)) 114)) (|recip| (((|Union| $ "failed") $) 80)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) 96)) (|lieAlgebra?| (((|Boolean|)) 91)) (|lieAdmissible?| (((|Boolean|)) 54)) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) 118)) (|leftTrace| ((|#2| $) 31)) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) 123)) (|leftRecip| (((|Union| $ "failed") $) 74)) (|leftNorm| ((|#2| $) 34)) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) 83)) (|leftDiscriminant| ((|#2| (|Vector| $)) 105)) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) 26)) (|leftAlternative?| (((|Boolean|)) 100)) (|jordanAlgebra?| (((|Boolean|)) 93)) (|jordanAdmissible?| (((|Boolean|)) 52)) (|jacobiIdentity?| (((|Boolean|)) 88)) (|flexible?| (((|Boolean|)) 102)) (|coordinates| (((|Vector| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) 112)) (|commutative?| (((|Boolean|)) 98)) (|associatorDependence| (((|List| (|Vector| |#2|))) 87)) (|associative?| (((|Boolean|)) 99)) (|antiCommutative?| (((|Boolean|)) 97)) (|antiAssociative?| (((|Boolean|)) 46)) (|alternative?| (((|Boolean|)) 103))) 
+(((|FiniteRankNonAssociativeAlgebra&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |rightMinimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |leftMinimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |associatorDependence| ((|List| (|Vector| |#2|)))) (SIGNATURE |rightRecip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |leftRecip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |lieAlgebra?| ((|Boolean|))) (SIGNATURE |jordanAlgebra?| ((|Boolean|))) (SIGNATURE |noncommutativeJordanAlgebra?| ((|Boolean|))) (SIGNATURE |jordanAdmissible?| ((|Boolean|))) (SIGNATURE |lieAdmissible?| ((|Boolean|))) (SIGNATURE |jacobiIdentity?| ((|Boolean|))) (SIGNATURE |alternative?| ((|Boolean|))) (SIGNATURE |flexible?| ((|Boolean|))) (SIGNATURE |rightAlternative?| ((|Boolean|))) (SIGNATURE |leftAlternative?| ((|Boolean|))) (SIGNATURE |antiAssociative?| ((|Boolean|))) (SIGNATURE |associative?| ((|Boolean|))) (SIGNATURE |antiCommutative?| ((|Boolean|))) (SIGNATURE |commutative?| ((|Boolean|))) (SIGNATURE |rightCharacteristicPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |leftCharacteristicPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |rightTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |rightDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |leftDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |rightNorm| (|#2| |#1|)) (SIGNATURE |leftNorm| (|#2| |#1|)) (SIGNATURE |rightTrace| (|#2| |#1|)) (SIGNATURE |leftTrace| (|#2| |#1|)) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#2|)) (|Vector| |#1|)))) (|FiniteRankNonAssociativeAlgebra| |#2|) (|CommutativeRing|)) (T |FiniteRankNonAssociativeAlgebra&|)) 
+((|commutative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|antiCommutative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|associative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|antiAssociative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|leftAlternative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|rightAlternative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|flexible?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|alternative?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|jacobiIdentity?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|lieAdmissible?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|jordanAdmissible?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|noncommutativeJordanAlgebra?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|jordanAlgebra?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|lieAlgebra?| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) (|associatorDependence| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Vector| *4))) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4))))) 
+(CATEGORY |domain| (SIGNATURE |rightMinimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |leftMinimalPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |associatorDependence| ((|List| (|Vector| |#2|)))) (SIGNATURE |rightRecip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |leftRecip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |lieAlgebra?| ((|Boolean|))) (SIGNATURE |jordanAlgebra?| ((|Boolean|))) (SIGNATURE |noncommutativeJordanAlgebra?| ((|Boolean|))) (SIGNATURE |jordanAdmissible?| ((|Boolean|))) (SIGNATURE |lieAdmissible?| ((|Boolean|))) (SIGNATURE |jacobiIdentity?| ((|Boolean|))) (SIGNATURE |alternative?| ((|Boolean|))) (SIGNATURE |flexible?| ((|Boolean|))) (SIGNATURE |rightAlternative?| ((|Boolean|))) (SIGNATURE |leftAlternative?| ((|Boolean|))) (SIGNATURE |antiAssociative?| ((|Boolean|))) (SIGNATURE |associative?| ((|Boolean|))) (SIGNATURE |antiCommutative?| ((|Boolean|))) (SIGNATURE |commutative?| ((|Boolean|))) (SIGNATURE |rightCharacteristicPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |leftCharacteristicPolynomial| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |rightTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |rightDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |leftDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |rightNorm| (|#2| |#1|)) (SIGNATURE |leftNorm| (|#2| |#1|)) (SIGNATURE |rightTrace| (|#2| |#1|)) (SIGNATURE |leftTrace| (|#2| |#1|)) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#2|)) (|Vector| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unit| (((|Union| $ "failed")) 35 (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) 76)) (|someBasis| (((|Vector| $)) 79)) (|sample| (($) 16 T CONST)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) 38 (|has| |#1| (|IntegralDomain|)))) (|rightUnit| (((|Union| $ "failed")) 36 (|has| |#1| (|IntegralDomain|)))) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) 63)) (|rightTrace| ((|#1| $) 72)) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 74)) (|rightRecip| (((|Union| $ "failed") $) 43 (|has| |#1| (|IntegralDomain|)))) (|rightPower| (($ $ (|PositiveInteger|)) 27)) (|rightNorm| ((|#1| $) 70)) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 40 (|has| |#1| (|IntegralDomain|)))) (|rightDiscriminant| ((|#1| (|Vector| $)) 65)) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 61)) (|rightAlternative?| (((|Boolean|)) 55)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) 67)) (|recip| (((|Union| $ "failed") $) 45 (|has| |#1| (|IntegralDomain|)))) (|rank| (((|PositiveInteger|)) 78)) (|powerAssociative?| (((|Boolean|)) 52)) (|plenaryPower| (($ $ (|PositiveInteger|)) 32)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) 48)) (|lieAlgebra?| (((|Boolean|)) 46)) (|lieAdmissible?| (((|Boolean|)) 50)) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) 39 (|has| |#1| (|IntegralDomain|)))) (|leftUnit| (((|Union| $ "failed")) 37 (|has| |#1| (|IntegralDomain|)))) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) 64)) (|leftTrace| ((|#1| $) 73)) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 75)) (|leftRecip| (((|Union| $ "failed") $) 44 (|has| |#1| (|IntegralDomain|)))) (|leftPower| (($ $ (|PositiveInteger|)) 28)) (|leftNorm| ((|#1| $) 71)) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 41 (|has| |#1| (|IntegralDomain|)))) (|leftDiscriminant| ((|#1| (|Vector| $)) 66)) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 62)) (|leftAlternative?| (((|Boolean|)) 56)) (|latex| (((|String|) $) 9)) (|jordanAlgebra?| (((|Boolean|)) 47)) (|jordanAdmissible?| (((|Boolean|)) 49)) (|jacobiIdentity?| (((|Boolean|)) 51)) (|hash| (((|SingleInteger|) $) 10)) (|flexible?| (((|Boolean|)) 54)) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 69) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) 68)) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) 77)) (|commutator| (($ $ $) 24)) (|commutative?| (((|Boolean|)) 60)) (|coerce| (((|OutputForm|) $) 11)) (|associatorDependence| (((|List| (|Vector| |#1|))) 42 (|has| |#1| (|IntegralDomain|)))) (|associator| (($ $ $ $) 25)) (|associative?| (((|Boolean|)) 58)) (|antiCommutator| (($ $ $) 23)) (|antiCommutative?| (((|Boolean|)) 59)) (|antiAssociative?| (((|Boolean|)) 57)) (|alternative?| (((|Boolean|)) 53)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 29)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((|FiniteRankNonAssociativeAlgebra| |#1|) (|Category|) (|CommutativeRing|)) (T |FiniteRankNonAssociativeAlgebra|)) 
+((|someBasis| (*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) (|rank| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)))) (|conditionsForIdempotents| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) (|structuralConstants| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))))) (|leftRegularRepresentation| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) (|rightRegularRepresentation| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) (|leftTrace| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|rightTrace| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|leftNorm| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|rightNorm| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|coordinates| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *4)))) (|coordinates| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) (|represents| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)))) (|leftDiscriminant| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|rightDiscriminant| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|leftTraceMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) (|rightTraceMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) (|leftCharacteristicPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|rightCharacteristicPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|commutative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|antiCommutative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|associative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|antiAssociative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|leftAlternative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|rightAlternative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|flexible?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|alternative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|powerAssociative?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|jacobiIdentity?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|lieAdmissible?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|jordanAdmissible?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|noncommutativeJordanAlgebra?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|jordanAlgebra?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|lieAlgebra?| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)))) (|recip| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) (|leftRecip| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) (|rightRecip| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) (|associatorDependence| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Vector| *3))))) (|leftMinimalPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|rightMinimalPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|leftUnits| (*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) (|rightUnits| (*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) (|leftUnit| (*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) (|rightUnit| (*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) (|unit| (*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(|Join| (|NonAssociativeAlgebra| |t#1|) (CATEGORY |domain| (SIGNATURE |someBasis| ((|Vector| $))) (SIGNATURE |rank| ((|PositiveInteger|))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |t#1|)) (|Vector| $))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |t#1|)) (|Vector| $))) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |t#1|) $ (|Vector| $))) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |t#1|) $ (|Vector| $))) (SIGNATURE |leftTrace| (|t#1| $)) (SIGNATURE |rightTrace| (|t#1| $)) (SIGNATURE |leftNorm| (|t#1| $)) (SIGNATURE |rightNorm| (|t#1| $)) (SIGNATURE |coordinates| ((|Vector| |t#1|) $ (|Vector| $))) (SIGNATURE |coordinates| ((|Matrix| |t#1|) (|Vector| $) (|Vector| $))) (SIGNATURE |represents| ($ (|Vector| |t#1|) (|Vector| $))) (SIGNATURE |leftDiscriminant| (|t#1| (|Vector| $))) (SIGNATURE |rightDiscriminant| (|t#1| (|Vector| $))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |t#1|) (|Vector| $))) (SIGNATURE |rightTraceMatrix| ((|Matrix| |t#1|) (|Vector| $))) (SIGNATURE |leftCharacteristicPolynomial| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |rightCharacteristicPolynomial| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |commutative?| ((|Boolean|))) (SIGNATURE |antiCommutative?| ((|Boolean|))) (SIGNATURE |associative?| ((|Boolean|))) (SIGNATURE |antiAssociative?| ((|Boolean|))) (SIGNATURE |leftAlternative?| ((|Boolean|))) (SIGNATURE |rightAlternative?| ((|Boolean|))) (SIGNATURE |flexible?| ((|Boolean|))) (SIGNATURE |alternative?| ((|Boolean|))) (SIGNATURE |powerAssociative?| ((|Boolean|))) (SIGNATURE |jacobiIdentity?| ((|Boolean|))) (SIGNATURE |lieAdmissible?| ((|Boolean|))) (SIGNATURE |jordanAdmissible?| ((|Boolean|))) (SIGNATURE |noncommutativeJordanAlgebra?| ((|Boolean|))) (SIGNATURE |jordanAlgebra?| ((|Boolean|))) (SIGNATURE |lieAlgebra?| ((|Boolean|))) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (SIGNATURE |recip| ((|Union| $ "failed") $)) (SIGNATURE |leftRecip| ((|Union| $ "failed") $)) (SIGNATURE |rightRecip| ((|Union| $ "failed") $)) (SIGNATURE |associatorDependence| ((|List| (|Vector| |t#1|)))) (SIGNATURE |leftMinimalPolynomial| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |rightMinimalPolynomial| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |leftUnits| ((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed"))) (SIGNATURE |rightUnits| ((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed"))) (SIGNATURE |leftUnit| ((|Union| $ "failed"))) (SIGNATURE |rightUnit| ((|Union| $ "failed"))) (SIGNATURE |unit| ((|Union| $ "failed"))) (ATTRIBUTE |unitsKnown|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|Module| |#1|) . T) ((|Monad|) . T) ((|NonAssociativeAlgebra| |#1|) . T) ((|NonAssociativeRng|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((|random| (($) 13)) (|enumerate| (((|List| $)) 15))) 
+(((|Finite&| |#1|) (CATEGORY |domain| (SIGNATURE |enumerate| ((|List| |#1|))) (SIGNATURE |random| (|#1|))) (|Finite|)) (T |Finite&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |enumerate| ((|List| |#1|))) (SIGNATURE |random| (|#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|size| (((|NonNegativeInteger|)) 16)) (|random| (($) 13)) (|lookup| (((|PositiveInteger|) $) 14)) (|latex| (((|String|) $) 9)) (|index| (($ (|PositiveInteger|)) 15)) (|hash| (((|SingleInteger|) $) 10)) (|enumerate| (((|List| $)) 12)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|Finite|) (|Category|)) (T |Finite|)) 
+((|size| (*1 *2) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|index| (*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|Finite|)))) (|lookup| (*1 *2 *1) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|PositiveInteger|)))) (|random| (*1 *1) (|ofCategory| *1 (|Finite|))) (|enumerate| (*1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|Finite|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |index| ($ (|PositiveInteger|))) (SIGNATURE |lookup| ((|PositiveInteger|) $)) (SIGNATURE |random| ($)) (SIGNATURE |enumerate| ((|List| $))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) 40)) (|represents| (($ (|Vector| |#2|) (|Vector| $)) 35)) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) 43)) (|discriminant| ((|#2| (|Vector| $)) 13)) (|coordinates| (((|Vector| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) 25))) 
+(((|FiniteRankAlgebra&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |traceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |discriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |regularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|)))) (|FiniteRankAlgebra| |#2| |#3|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |#2|)) (T |FiniteRankAlgebra&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |traceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |discriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |regularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) 44)) (|trace| ((|#1| $) 50)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) 46)) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 51)) (|recip| (((|Union| $ "failed") $) 33)) (|rank| (((|PositiveInteger|)) 52)) (|one?| (((|Boolean|) $) 30)) (|norm| ((|#1| $) 49)) (|minimalPolynomial| ((|#2| $) 42 (|has| |#1| (|Field|)))) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|discriminant| ((|#1| (|Vector| $)) 45)) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 48) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) 47)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36)) (|charthRoot| (((|Union| $ "failed") $) 41 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#2| $) 43)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((|FiniteRankAlgebra| |#1| |#2|) (|Category|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |t#1|)) (T |FiniteRankAlgebra|)) 
+((|rank| (*1 *2) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|PositiveInteger|)))) (|regularRepresentation| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) (|trace| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|norm| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|coordinates| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *4)))) (|coordinates| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) (|represents| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) (|discriminant| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|traceMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) (|characteristicPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|minimalPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(|Join| (|Algebra| |t#1|) (CATEGORY |domain| (SIGNATURE |rank| ((|PositiveInteger|))) (SIGNATURE |regularRepresentation| ((|Matrix| |t#1|) $ (|Vector| $))) (SIGNATURE |trace| (|t#1| $)) (SIGNATURE |norm| (|t#1| $)) (SIGNATURE |coordinates| ((|Vector| |t#1|) $ (|Vector| $))) (SIGNATURE |coordinates| ((|Matrix| |t#1|) (|Vector| $) (|Vector| $))) (SIGNATURE |represents| ($ (|Vector| |t#1|) (|Vector| $))) (SIGNATURE |discriminant| (|t#1| (|Vector| $))) (SIGNATURE |traceMatrix| ((|Matrix| |t#1|) (|Vector| $))) (SIGNATURE |characteristicPolynomial| (|t#2| $)) (IF (|has| |t#1| (|Field|)) (SIGNATURE |minimalPolynomial| (|t#2| $)) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) . T) ((|Monoid|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) 23)) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) 15)) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) 21))) 
+(((|FiniteLinearAggregateFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|)) (SIGNATURE |reduce| (|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|)) (SIGNATURE |scan| (|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|))) (|Type|) (|FiniteLinearAggregate| |#1|) (|Type|) (|FiniteLinearAggregate| |#3|)) (T |FiniteLinearAggregateFunctions2|)) 
+((|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *5)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *6)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *6)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|)) (SIGNATURE |reduce| (|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|)) (SIGNATURE |scan| (|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|))) 
+((|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) NIL) (((|Boolean|) $) 18)) (|sort!| (($ (|Mapping| (|Boolean|) |#2| |#2|) $) NIL) (($ $) 28)) (|sort| (($ (|Mapping| (|Boolean|) |#2| |#2|) $) 27) (($ $) 22)) (|reverse| (($ $) 25)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) NIL) (((|Integer|) |#2| $) 11) (((|Integer|) |#2| $ (|Integer|)) NIL)) (|merge| (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
+(((|FiniteLinearAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |sort| (|#1| |#1|)) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |sort| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |reverse| (|#1| |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|))) (|FiniteLinearAggregate| |#2|) (|Type|)) (T |FiniteLinearAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |sort| (|#1| |#1|)) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |sort| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |reverse| (|#1| |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) 91) (((|Boolean|) $) 85 (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 81 (AND (|has| |#1| (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) |#1|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|reverse!| (($ $) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 93)) (|removeDuplicates| (($ $) 73 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 72 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 71 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 48)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) 90) (((|Integer|) |#1| $) 89 (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) 88 (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 80 (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 79 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 59)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 66)) (|fill!| (($ $ |#1|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) |#1|) 47) ((|#1| $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 84 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 65)) (|concat| (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 77 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 76 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) 78 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|FiniteLinearAggregate| |#1|) (|Category|) (|Type|)) (T |FiniteLinearAggregate|)) 
+((|merge| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|reverse| (*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|sort| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|sorted?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|position| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) (|position| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) (|position| (*1 *2 *3 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)))) (|merge| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) (|sort| (*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) (|sorted?| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|copyInto!| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|reverse!| (*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|sort!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|sort!| (*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|LinearAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |merge| ($ (|Mapping| (|Boolean|) |t#1| |t#1|) $ $)) (SIGNATURE |reverse| ($ $)) (SIGNATURE |sort| ($ (|Mapping| (|Boolean|) |t#1| |t#1|) $)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |t#1| |t#1|) $)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |t#1|) $)) (IF (|has| |t#1| (|SetCategory|)) (PROGN (SIGNATURE |position| ((|Integer|) |t#1| $)) (SIGNATURE |position| ((|Integer|) |t#1| $ (|Integer|)))) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (PROGN (ATTRIBUTE (|OrderedSet|)) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |sort| ($ $)) (SIGNATURE |sorted?| ((|Boolean|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |copyInto!| ($ $ $ (|Integer|))) (SIGNATURE |reverse!| ($ $)) (SIGNATURE |sort!| ($ (|Mapping| (|Boolean|) |t#1| |t#1|) $)) (IF (|has| |t#1| (|OrderedSet|)) (SIGNATURE |sort!| ($ $)) |noBranch|)) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|SetCategory|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|varList| (((|List| |#1|) $) 29)) (|trunc| (($ $ (|NonNegativeInteger|)) 30)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) 33)) (|mirror| (($ $) 31)) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) 34)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|eval| (($ $ |#1| $) 28) (($ $ (|List| |#1|) (|List| $)) 27)) (|degree| (((|NonNegativeInteger|) $) 35)) (|construct| (($ $ $) 26)) (|coerce| (((|OutputForm|) $) 11) (($ |#1|) 38) (((|XDistributedPolynomial| |#1| |#2|) $) 37) (((|XRecursivePolynomial| |#1| |#2|) $) 36)) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) 39)) (|Zero| (($) 17 T CONST)) (|LiePoly| (($ (|LyndonWord| |#1|)) 32)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#2|) 25 (|has| |#2| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
+(((|FreeLieAlgebra| |#1| |#2|) (|Category|) (|OrderedSet|) (|CommutativeRing|)) (T |FreeLieAlgebra|)) 
+((|coef| (*1 *2 *3 *1) (AND (|isDomain| *3 (|XRecursivePolynomial| *4 *2)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|CommutativeRing|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XDistributedPolynomial| *3 *4)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XRecursivePolynomial| *3 *4)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|lquo| (*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|rquo| (*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|LiePoly| (*1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) (|mirror| (*1 *1 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) (|trunc| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|varList| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| *3)))) (|eval| (*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(|Join| (|LieAlgebra| |t#2|) (CATEGORY |domain| (SIGNATURE |coef| (|t#2| (|XRecursivePolynomial| |t#1| |t#2|) $)) (SIGNATURE |coerce| ($ |t#1|)) (SIGNATURE |coerce| ((|XDistributedPolynomial| |t#1| |t#2|) $)) (SIGNATURE |coerce| ((|XRecursivePolynomial| |t#1| |t#2|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |lquo| ((|XRecursivePolynomial| |t#1| |t#2|) (|XRecursivePolynomial| |t#1| |t#2|) $)) (SIGNATURE |rquo| ((|XRecursivePolynomial| |t#1| |t#2|) (|XRecursivePolynomial| |t#1| |t#2|) $)) (SIGNATURE |LiePoly| ($ (|LyndonWord| |t#1|))) (SIGNATURE |mirror| ($ $)) (SIGNATURE |trunc| ($ $ (|NonNegativeInteger|))) (SIGNATURE |varList| ((|List| |t#1|) $)) (SIGNATURE |eval| ($ $ |t#1| $)) (SIGNATURE |eval| ($ $ (|List| |t#1|) (|List| $))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#2| |#2|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#2|) . T) ((|LieAlgebra| |#2|) . T) ((|Module| |#2|) . T) ((|RightModule| |#2|) . T) ((|SetCategory|) . T)) 
+((|shellSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) 22)) (|quickSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) 12)) (|heapSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) 21))) 
+(((|FiniteLinearAggregateSort| |#1| |#2|) (CATEGORY |package| (SIGNATURE |quickSort| (|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|)) (SIGNATURE |heapSort| (|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|)) (SIGNATURE |shellSort| (|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|))) (|Type|) (|Join| (|FiniteLinearAggregate| |#1|) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (T |FiniteLinearAggregateSort|)) 
+((|shellSort| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))))) (|heapSort| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))))) (|quickSort| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(CATEGORY |package| (SIGNATURE |quickSort| (|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|)) (SIGNATURE |heapSort| (|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|)) (SIGNATURE |shellSort| (|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|))) 
+((|reducedSystem| (((|Matrix| |#2|) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 19) (((|Matrix| (|Integer|)) (|Matrix| $)) 13))) 
+(((|FullyLinearlyExplicitRingOver&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|)))) (|FullyLinearlyExplicitRingOver| |#2|) (|Ring|)) (T |FullyLinearlyExplicitRingOver&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reducedSystem| (((|Matrix| |#1|) (|Matrix| $)) 35) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 34) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 38 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) 37 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))))) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|FullyLinearlyExplicitRingOver| |#1|) (|Category|) (|Ring|)) (T |FullyLinearlyExplicitRingOver|)) 
+NIL 
+(|Join| (|LinearlyExplicitRingOver| |t#1|) (CATEGORY |package| (IF (|has| |t#1| (|LinearlyExplicitRingOver| (|Integer|))) (ATTRIBUTE (|LinearlyExplicitRingOver| (|Integer|))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|complexSolve| (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) 52) (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) 51) (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|) 47) (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) 40)) (|complexRoots| (((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|) 28) (((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) 15))) 
+(((|FloatingComplexPackage| |#1|) (CATEGORY |package| (SIGNATURE |complexSolve| ((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|)) (SIGNATURE |complexSolve| ((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|)) (SIGNATURE |complexSolve| ((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|)) (SIGNATURE |complexSolve| ((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|)) (SIGNATURE |complexRoots| ((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|)) (SIGNATURE |complexRoots| ((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|))) (|Join| (|Field|) (|OrderedRing|))) (T |FloatingComplexPackage|)) 
+((|complexRoots| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Complex| *5)))) (|isDomain| *1 (|FloatingComplexPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) (|complexRoots| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|complexSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|complexSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|complexSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|complexSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(CATEGORY |package| (SIGNATURE |complexSolve| ((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|)) (SIGNATURE |complexSolve| ((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|)) (SIGNATURE |complexSolve| ((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|)) (SIGNATURE |complexSolve| ((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|)) (SIGNATURE |complexRoots| ((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|)) (SIGNATURE |complexRoots| ((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 33)) (|wholePart| (((|Integer|) $) 55)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|truncate| (($ $) 109)) (|tanh| (($ $) 81)) (|tan| (($ $) 70)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sqrt| (($ $) 44)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sinh| (($ $) 79)) (|sin| (($ $) 68)) (|sign| (((|Integer|) $) 63)) (|shift| (($ $ (|Integer|)) 62)) (|sech| (($ $) NIL)) (|sec| (($ $) NIL)) (|sample| (($) NIL T CONST)) (|round| (($ $) 111)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 187) (((|Union| (|Fraction| (|Integer|)) "failed") $) 183)) (|retract| (((|Integer|) $) 185) (((|Fraction| (|Integer|)) $) 181)) (|rem| (($ $ $) NIL)) (|relerror| (((|Integer|) $ $) 101)) (|recip| (((|Union| $ "failed") $) 113)) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) 188) (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 180)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|precision| (((|PositiveInteger|)) 72) (((|PositiveInteger|) (|PositiveInteger|)) 97 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|positive?| (((|Boolean|) $) 105)) (|pi| (($) 40)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL)) (|outputSpacing| (((|Void|) (|NonNegativeInteger|)) 150)) (|outputGeneral| (((|Void|)) 155) (((|Void|) (|NonNegativeInteger|)) 156)) (|outputFloating| (((|Void|)) 157) (((|Void|) (|NonNegativeInteger|)) 158)) (|outputFixed| (((|Void|)) 153) (((|Void|) (|NonNegativeInteger|)) 154)) (|order| (((|Integer|) $) 58)) (|one?| (((|Boolean|) $) 103)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|normalize| (($ $) 48)) (|norm| (($ $) NIL)) (|negative?| (((|Boolean|) $) 35)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL) (($) NIL (AND (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|))) (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|)))))) (|max| (($ $ $) NIL) (($) 98 (AND (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|))) (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|)))))) (|mantissa| (((|Integer|) $) 17)) (|log2| (($) 86) (($ $) 91)) (|log10| (($) 90) (($ $) 92)) (|log| (($ $) 82)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 115)) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) 43 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) 53)) (|floor| (($ $) 108)) (|float| (($ (|Integer|) (|Integer|)) 106) (($ (|Integer|) (|Integer|) (|PositiveInteger|)) 107)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|exponent| (((|Integer|) $) 19)) (|exp1| (($) 93)) (|exp| (($ $) 78)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|digits| (((|PositiveInteger|)) 99) (((|PositiveInteger|) (|PositiveInteger|)) 100 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 114)) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) 47 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|csch| (($ $) NIL)) (|csc| (($ $) NIL)) (|coth| (($ $) NIL)) (|cot| (($ $) NIL)) (|cosh| (($ $) 80)) (|cos| (($ $) 69)) (|convert| (((|Float|) $) 173) (((|DoubleFloat|) $) 175) (((|Pattern| (|Float|)) $) NIL) (((|String|) $) 160) (((|InputForm|) $) 171) (($ (|DoubleFloat|)) 179)) (|coerce| (((|OutputForm|) $) 162) (($ (|Integer|)) 184) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|Integer|)) 184) (($ (|Fraction| (|Integer|))) NIL) (((|DoubleFloat|) $) 176)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (($ $) 110)) (|bits| (((|PositiveInteger|)) 54) (((|PositiveInteger|) (|PositiveInteger|)) 65 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|base| (((|PositiveInteger|)) 102)) (|atanh| (($ $) 85)) (|atan| (($ $) 46) (($ $ $) 52)) (|associates?| (((|Boolean|) $ $) NIL)) (|asinh| (($ $) 83)) (|asin| (($ $) 37)) (|asech| (($ $) NIL)) (|asec| (($ $) NIL)) (|acsch| (($ $) NIL)) (|acsc| (($ $) NIL)) (|acoth| (($ $) NIL)) (|acot| (($ $) NIL)) (|acosh| (($ $) 84)) (|acos| (($ $) 49)) (|abs| (($ $) 51)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 34 T CONST)) (|One| (($) 38 T CONST)) (|OMwrite| (((|String|) $) 27) (((|String|) $ (|Boolean|)) 29) (((|Void|) (|OpenMathDevice|) $) 30) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 31)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 39)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 42)) (/ (($ $ $) 45) (($ $ (|Integer|)) 41)) (- (($ $) 36) (($ $ $) 50)) (+ (($ $ $) 61)) (** (($ $ (|PositiveInteger|)) 66) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 87) (($ $ (|Fraction| (|Integer|))) 124) (($ $ $) 116)) (* (($ (|PositiveInteger|) $) 64) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 67) (($ $ $) 60) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|Float|) (|Join| (|FloatingPointSystem|) (|DifferentialRing|) (|ConvertibleTo| (|String|)) (|OpenMath|) (|CoercibleTo| (|DoubleFloat|)) (|TranscendentalFunctionCategory|) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE / ($ $ (|Integer|))) (SIGNATURE ** ($ $ $)) (SIGNATURE |normalize| ($ $)) (SIGNATURE |relerror| ((|Integer|) $ $)) (SIGNATURE |shift| ($ $ (|Integer|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |log2| ($)) (SIGNATURE |log10| ($)) (SIGNATURE |exp1| ($)) (SIGNATURE |atan| ($ $ $)) (SIGNATURE |log2| ($ $)) (SIGNATURE |log10| ($ $)) (SIGNATURE |convert| ($ (|DoubleFloat|))) (SIGNATURE |outputFloating| ((|Void|))) (SIGNATURE |outputFloating| ((|Void|) (|NonNegativeInteger|))) (SIGNATURE |outputFixed| ((|Void|))) (SIGNATURE |outputFixed| ((|Void|) (|NonNegativeInteger|))) (SIGNATURE |outputGeneral| ((|Void|))) (SIGNATURE |outputGeneral| ((|Void|) (|NonNegativeInteger|))) (SIGNATURE |outputSpacing| ((|Void|) (|NonNegativeInteger|))) (ATTRIBUTE |arbitraryPrecision|) (ATTRIBUTE |arbitraryExponent|)))) (T |Float|)) 
+((** (*1 *1 *1 *1) (|isDomain| *1 (|Float|))) (/ (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) (|normalize| (*1 *1 *1) (|isDomain| *1 (|Float|))) (|relerror| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) (|shift| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) (|rationalApproximation| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|)))) (|rationalApproximation| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|)))) (|log2| (*1 *1) (|isDomain| *1 (|Float|))) (|log10| (*1 *1) (|isDomain| *1 (|Float|))) (|exp1| (*1 *1) (|isDomain| *1 (|Float|))) (|atan| (*1 *1 *1 *1) (|isDomain| *1 (|Float|))) (|log2| (*1 *1 *1) (|isDomain| *1 (|Float|))) (|log10| (*1 *1 *1) (|isDomain| *1 (|Float|))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Float|)))) (|outputFloating| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) (|outputFloating| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) (|outputFixed| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) (|outputFixed| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) (|outputGeneral| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) (|outputGeneral| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) (|outputSpacing| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(|Join| (|FloatingPointSystem|) (|DifferentialRing|) (|ConvertibleTo| (|String|)) (|OpenMath|) (|CoercibleTo| (|DoubleFloat|)) (|TranscendentalFunctionCategory|) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE / ($ $ (|Integer|))) (SIGNATURE ** ($ $ $)) (SIGNATURE |normalize| ($ $)) (SIGNATURE |relerror| ((|Integer|) $ $)) (SIGNATURE |shift| ($ $ (|Integer|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|))) (SIGNATURE |rationalApproximation| ((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |log2| ($)) (SIGNATURE |log10| ($)) (SIGNATURE |exp1| ($)) (SIGNATURE |atan| ($ $ $)) (SIGNATURE |log2| ($ $)) (SIGNATURE |log10| ($ $)) (SIGNATURE |convert| ($ (|DoubleFloat|))) (SIGNATURE |outputFloating| ((|Void|))) (SIGNATURE |outputFloating| ((|Void|) (|NonNegativeInteger|))) (SIGNATURE |outputFixed| ((|Void|))) (SIGNATURE |outputFixed| ((|Void|) (|NonNegativeInteger|))) (SIGNATURE |outputGeneral| ((|Void|))) (SIGNATURE |outputGeneral| ((|Void|) (|NonNegativeInteger|))) (SIGNATURE |outputSpacing| ((|Void|) (|NonNegativeInteger|))) (ATTRIBUTE |arbitraryPrecision|) (ATTRIBUTE |arbitraryExponent|))) 
+((|solve| (((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) 47) (((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|) 46) (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|) 42) (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) 36)) (|realRoots| (((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|) 19) (((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|) 31))) 
+(((|FloatingRealPackage| |#1|) (CATEGORY |package| (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|)) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|)) (SIGNATURE |solve| ((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|)) (SIGNATURE |solve| ((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|)) (SIGNATURE |realRoots| ((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|)) (SIGNATURE |realRoots| ((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|))) (|Join| (|OrderedRing|) (|Field|))) (T |FloatingRealPackage|)) 
+((|realRoots| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) (|realRoots| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| *5))) (|isDomain| *1 (|FloatingRealPackage| *5)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|Field|))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|)))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|)) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|)) (SIGNATURE |solve| ((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|)) (SIGNATURE |solve| ((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|)) (SIGNATURE |realRoots| ((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|)) (SIGNATURE |realRoots| ((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 25)) (|retract| ((|#2| $) 27)) (|reductum| (($ $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 10)) (|monomials| (((|List| $) $) 20)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ |#2| |#1|) 18)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (|leadingMonomial| ((|#2| $) 15)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 43) (($ |#2|) 26)) (|coefficients| (((|List| |#1|) $) 17)) (|coefficient| ((|#1| $ |#2|) 45)) (|Zero| (($) 28 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
+(((|FreeModule1| |#1| |#2|) (|Join| (|FreeModuleCat| |#1| |#2|) (CATEGORY |domain| (SIGNATURE * ($ |#2| |#1|)))) (|Ring|) (|OrderedSet|)) (T |FreeModule1|)) 
+((* (*1 *1 *2 *3) (AND (|isDomain| *1 (|FreeModule1| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|FreeModuleCat| |#1| |#2|) (CATEGORY |domain| (SIGNATURE * ($ |#2| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 41)) (|retract| ((|#2| $) 40)) (|reductum| (($ $) 27)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 31)) (|monomials| (((|List| $) $) 32)) (|monomial?| (((|Boolean|) $) 35)) (|monom| (($ |#2| |#1|) 36)) (|map| (($ (|Mapping| |#1| |#1|) $) 37)) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (|leadingMonomial| ((|#2| $) 30)) (|leadingCoefficient| ((|#1| $) 29)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ |#2|) 42)) (|coefficients| (((|List| |#1|) $) 33)) (|coefficient| ((|#1| $ |#2|) 38)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
+(((|FreeModuleCat| |#1| |#2|) (|Category|) (|Ring|) (|SetCategory|)) (T |FreeModuleCat|)) 
+((* (*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) (|coefficient| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)))) (|monom| (*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) (|monomial?| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|listOfTerms| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |k| *4) (|:| |c| *3)))))) (|coefficients| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) (|monomials| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)))) (|numberOfMonomials| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|leadingMonomial| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) (|leadingTerm| (*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |k| *4) (|:| |c| *3))))) (|reductum| (*1 *1 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|BiModule| |t#1| |t#1|) (|RetractableTo| |t#2|) (CATEGORY |domain| (SIGNATURE * ($ |t#1| |t#2|)) (SIGNATURE |coefficient| (|t#1| $ |t#2|)) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1|) $)) (SIGNATURE |monom| ($ |t#2| |t#1|)) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |listOfTerms| ((|List| (|Record| (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (SIGNATURE |coefficients| ((|List| |t#1|) $)) (SIGNATURE |monomials| ((|List| $) $)) (SIGNATURE |numberOfMonomials| ((|NonNegativeInteger|) $)) (SIGNATURE |leadingMonomial| (|t#2| $)) (SIGNATURE |leadingCoefficient| (|t#1| $)) (SIGNATURE |leadingTerm| ((|Record| (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (SIGNATURE |reductum| ($ $)) (IF (|has| |t#1| (|CommutativeRing|)) (ATTRIBUTE (|Module| |t#1|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|RetractableTo| |#2|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((|outputAsFortran| (((|Void|) $) 7)) (|coerce| (((|OutputForm|) $) 8) (($ (|Matrix| (|MachineFloat|))) 12) (($ (|List| (|FortranCode|))) 11) (($ (|FortranCode|)) 10) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 9))) 
+(((|FortranMatrixCategory|) (|Category|)) (T |FortranMatrixCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|MachineFloat|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixCategory|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Matrix| (|MachineFloat|)))) (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))))) 
+(((|CoercibleTo| (|OutputForm|)) . T) ((|FortranProgramCategory|) . T) ((|Type|) . T)) 
+((|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) 19) (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) 17) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) 15) (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) 13) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 11) (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 9)) (|retract| (($ (|Matrix| (|Expression| (|Float|)))) 20) (($ (|Matrix| (|Expression| (|Integer|)))) 18) (($ (|Matrix| (|Polynomial| (|Float|)))) 16) (($ (|Matrix| (|Polynomial| (|Integer|)))) 14) (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) 12) (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 10)) (|outputAsFortran| (((|Void|) $) 7)) (|coerce| (((|OutputForm|) $) 8) (($ (|List| (|FortranCode|))) 23) (($ (|FortranCode|)) 22) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 21))) 
+(((|FortranMatrixFunctionCategory|) (|Category|)) (T |FortranMatrixFunctionCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))) (SIGNATURE |retract| ($ (|Matrix| (|Expression| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Matrix| (|Expression| (|Float|))))) (SIGNATURE |retract| ($ (|Matrix| (|Expression| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|))))) (SIGNATURE |retract| ($ (|Matrix| (|Polynomial| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|))))) (SIGNATURE |retract| ($ (|Matrix| (|Polynomial| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|))))) (SIGNATURE |retract| ($ (|Matrix| (|Fraction| (|Polynomial| (|Float|)))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|)))))) (SIGNATURE |retract| ($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))))) 
+(((|CoercibleTo| (|OutputForm|)) . T) ((|FortranProgramCategory|) . T) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|monomial| (($ |#1| |#2|) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingSupport| ((|#2| $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 27)) (|Zero| (($) 12 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
+(((|FreeModule| |#1| |#2|) (|Join| (|BiModule| |#1| |#1|) (|IndexedDirectProductCategory| |#1| |#2|) (CATEGORY |package| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Module| |#1|)) |noBranch|))) (|Ring|) (|OrderedSet|)) (T |FreeModule|)) 
+NIL 
+(|Join| (|BiModule| |#1| |#1|) (|IndexedDirectProductCategory| |#1| |#2|) (CATEGORY |package| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Module| |#1|)) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|) $) 56)) (|sample| (($) NIL T CONST)) (|rquo| (((|Union| $ "failed") $ $) 58)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (|one?| (((|Boolean|) $) 14)) (|nthFactor| ((|#1| $ (|Integer|)) NIL)) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapGen| (($ (|Mapping| |#1| |#1|) $) 37)) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) 34)) (|lquo| (((|Union| $ "failed") $ $) 49)) (|latex| (((|String|) $) NIL)) (|hcrf| (($ $ $) 25)) (|hclf| (($ $ $) 23)) (|hash| (((|SingleInteger|) $) NIL)) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) 31)) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (|coerce| (((|OutputForm|) $) 21) (($ |#1|) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|One| (($) 9 T CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 41)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 60 (|has| |#1| (|OrderedSet|)))) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ |#1| (|NonNegativeInteger|)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
+(((|FreeMonoid| |#1|) (|Join| (|Monoid|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE ** ($ |#1| (|NonNegativeInteger|))) (SIGNATURE |hclf| ($ $ $)) (SIGNATURE |hcrf| ($ $ $)) (SIGNATURE |lquo| ((|Union| $ "failed") $ $)) (SIGNATURE |rquo| ((|Union| $ "failed") $ $)) (SIGNATURE |divide| ((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (SIGNATURE |overlap| ((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |factors| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $)) (SIGNATURE |nthExpon| ((|NonNegativeInteger|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |mapExpon| ($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $)) (SIGNATURE |mapGen| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|))) (|SetCategory|)) (T |FreeMonoid|)) 
+((* (*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (* (*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (** (*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (|hclf| (*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (|hcrf| (*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (|lquo| (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (|rquo| (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (|divide| (*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) (|overlap| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |mm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) (|size| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) (|factors| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) (|nthExpon| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *4)) (|ofCategory| *4 (|SetCategory|)))) (|nthFactor| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) (|mapExpon| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) (|mapGen| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeMonoid| *3))))) 
+(|Join| (|Monoid|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE ** ($ |#1| (|NonNegativeInteger|))) (SIGNATURE |hclf| ($ $ $)) (SIGNATURE |hcrf| ($ $ $)) (SIGNATURE |lquo| ((|Union| $ "failed") $ $)) (SIGNATURE |rquo| ((|Union| $ "failed") $ $)) (SIGNATURE |divide| ((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (SIGNATURE |overlap| ((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |factors| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $)) (SIGNATURE |nthExpon| ((|NonNegativeInteger|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |mapExpon| ($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $)) (SIGNATURE |mapGen| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 46)) (|retract| (((|Integer|) $) 45)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|min| (($ $ $) 53)) (|max| (($ $ $) 52)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Integer|)) 47)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 50)) (> (((|Boolean|) $ $) 49)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 51)) (< (((|Boolean|) $ $) 48)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|FortranMachineTypeCategory|) (|Category|)) (T |FortranMachineTypeCategory|)) 
+NIL 
+(|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedSet|) . T) ((|RetractableTo| (|Integer|)) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|writable?| (((|Boolean|) $) 20)) (|readable?| (((|Boolean|) $) 19)) (|new| (($ (|String|) (|String|) (|String|)) 21)) (|name| (((|String|) $) 16)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|filename| (($ (|String|) (|String|) (|String|)) 14)) (|extension| (((|String|) $) 17)) (|exists?| (((|Boolean|) $) 18)) (|directory| (((|String|) $) 15)) (|coerce| (((|OutputForm|) $) 12) (($ (|String|)) 13) (((|String|) $) 9)) (= (((|Boolean|) $ $) 7))) 
+(((|FileName|) (|FileNameCategory|)) (T |FileName|)) 
+NIL 
+(|FileNameCategory|) 
+((~= (((|Boolean|) $ $) 7)) (|writable?| (((|Boolean|) $) 13)) (|readable?| (((|Boolean|) $) 14)) (|new| (($ (|String|) (|String|) (|String|)) 12)) (|name| (((|String|) $) 17)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|filename| (($ (|String|) (|String|) (|String|)) 19)) (|extension| (((|String|) $) 16)) (|exists?| (((|Boolean|) $) 15)) (|directory| (((|String|) $) 18)) (|coerce| (((|OutputForm|) $) 11) (($ (|String|)) 21) (((|String|) $) 20)) (= (((|Boolean|) $ $) 6))) 
+(((|FileNameCategory|) (|Category|)) (T |FileNameCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) (|filename| (*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) (|directory| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) (|name| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) (|extension| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) (|exists?| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|)))) (|readable?| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|)))) (|writable?| (*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|)))) (|new| (*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|String|))) (SIGNATURE |coerce| ((|String|) $)) (SIGNATURE |filename| ($ (|String|) (|String|) (|String|))) (SIGNATURE |directory| ((|String|) $)) (SIGNATURE |name| ((|String|) $)) (SIGNATURE |extension| ((|String|) $)) (SIGNATURE |exists?| ((|Boolean|) $)) (SIGNATURE |readable?| ((|Boolean|) $)) (SIGNATURE |writable?| ((|Boolean|) $)) (SIGNATURE |new| ($ (|String|) (|String|) (|String|))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|shallowExpand| (((|OutputForm|) $) 50)) (|sample| (($) NIL T CONST)) (|rightPower| (($ $ (|PositiveInteger|)) NIL)) (|plenaryPower| (($ $ (|PositiveInteger|)) NIL)) (|leftPower| (($ $ (|PositiveInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($ (|NonNegativeInteger|)) 26)) (|dimension| (((|NonNegativeInteger|)) 15)) (|deepExpand| (((|OutputForm|) $) 52)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|associator| (($ $ $ $) NIL)) (|antiCommutator| (($ $ $) NIL)) (|Zero| (($) 20 T CONST)) (= (((|Boolean|) $ $) 28)) (- (($ $) 34) (($ $ $) 36)) (+ (($ $ $) 37)) (** (($ $ (|PositiveInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
+(((|FreeNilpotentLie| |#1| |#2| |#3|) (|Join| (|NonAssociativeAlgebra| |#3|) (CATEGORY |domain| (SIGNATURE |dimension| ((|NonNegativeInteger|))) (SIGNATURE |deepExpand| ((|OutputForm|) $)) (SIGNATURE |shallowExpand| ((|OutputForm|) $)) (SIGNATURE |generator| ($ (|NonNegativeInteger|))))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|CommutativeRing|)) (T |FreeNilpotentLie|)) 
+((|dimension| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) (|deepExpand| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|shallowExpand| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) (|generator| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|))))) 
+(|Join| (|NonAssociativeAlgebra| |#3|) (CATEGORY |domain| (SIGNATURE |dimension| ((|NonNegativeInteger|))) (SIGNATURE |deepExpand| ((|OutputForm|) $)) (SIGNATURE |shallowExpand| ((|OutputForm|) $)) (SIGNATURE |generator| ($ (|NonNegativeInteger|))))) 
+((|topFortranOutputStack| (((|String|)) 10)) (|showFortranOutputStack| (((|Stack| (|String|))) 28)) (|pushFortranOutputStack| (((|Void|) (|String|)) 25) (((|Void|) (|FileName|)) 24)) (|popFortranOutputStack| (((|Void|)) 26)) (|clearFortranOutputStack| (((|Stack| (|String|))) 27))) 
+(((|FortranOutputStackPackage|) (CATEGORY |package| (SIGNATURE |clearFortranOutputStack| ((|Stack| (|String|)))) (SIGNATURE |showFortranOutputStack| ((|Stack| (|String|)))) (SIGNATURE |popFortranOutputStack| ((|Void|))) (SIGNATURE |pushFortranOutputStack| ((|Void|) (|FileName|))) (SIGNATURE |pushFortranOutputStack| ((|Void|) (|String|))) (SIGNATURE |topFortranOutputStack| ((|String|))))) (T |FortranOutputStackPackage|)) 
+((|topFortranOutputStack| (*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) (|pushFortranOutputStack| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) (|pushFortranOutputStack| (*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) (|popFortranOutputStack| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) (|showFortranOutputStack| (*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|)))) (|clearFortranOutputStack| (*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(CATEGORY |package| (SIGNATURE |clearFortranOutputStack| ((|Stack| (|String|)))) (SIGNATURE |showFortranOutputStack| ((|Stack| (|String|)))) (SIGNATURE |popFortranOutputStack| ((|Void|))) (SIGNATURE |pushFortranOutputStack| ((|Void|) (|FileName|))) (SIGNATURE |pushFortranOutputStack| ((|Void|) (|String|))) (SIGNATURE |topFortranOutputStack| ((|String|)))) 
+((|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) 16))) 
+(((|FindOrderFinite| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |order| ((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)))) (|Join| (|Finite|) (|Field|)) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|)) (T |FindOrderFinite|)) 
+((|order| (*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *4 *5 *6 *7)) (|ofCategory| *4 (|Join| (|Finite|) (|Field|))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *7 (|FunctionFieldCategory| *4 *5 *6)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FindOrderFinite| *4 *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |order| ((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)))) 
+((|coerce| (((|ScriptFormulaFormat|) |#1|) 11))) 
+(((|ScriptFormulaFormat1| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|ScriptFormulaFormat|) |#1|))) (|SetCategory|)) (T |ScriptFormulaFormat1|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|ScriptFormulaFormat|)) (|isDomain| *1 (|ScriptFormulaFormat1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|ScriptFormulaFormat|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) 37)) (|setFormula!| (((|List| (|String|)) $ (|List| (|String|))) 38)) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) 39)) (|prologue| (((|List| (|String|)) $) 34)) (|new| (($) 23)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|formula| (((|List| (|String|)) $) 35)) (|epilogue| (((|List| (|String|)) $) 36)) (|display| (((|Void|) $ (|Integer|)) 32) (((|Void|) $) 33)) (|convert| (($ (|OutputForm|) (|Integer|)) 29)) (|coerce| (((|OutputForm|) $) 41) (($ (|OutputForm|)) 25)) (= (((|Boolean|) $ $) NIL))) 
+(((|ScriptFormulaFormat|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|OutputForm|))) (SIGNATURE |convert| ($ (|OutputForm|) (|Integer|))) (SIGNATURE |display| ((|Void|) $ (|Integer|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |epilogue| ((|List| (|String|)) $)) (SIGNATURE |formula| ((|List| (|String|)) $)) (SIGNATURE |new| ($)) (SIGNATURE |prologue| ((|List| (|String|)) $)) (SIGNATURE |setEpilogue!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setFormula!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setPrologue!| ((|List| (|String|)) $ (|List| (|String|))))))) (T |ScriptFormulaFormat|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|convert| (*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|display| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|display| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|epilogue| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|formula| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|new| (*1 *1) (|isDomain| *1 (|ScriptFormulaFormat|))) (|prologue| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|setEpilogue!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|setFormula!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) (|setPrologue!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|OutputForm|))) (SIGNATURE |convert| ($ (|OutputForm|) (|Integer|))) (SIGNATURE |display| ((|Void|) $ (|Integer|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |epilogue| ((|List| (|String|)) $)) (SIGNATURE |formula| ((|List| (|String|)) $)) (SIGNATURE |new| ($)) (SIGNATURE |prologue| ((|List| (|String|)) $)) (SIGNATURE |setEpilogue!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setFormula!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setPrologue!| ((|List| (|String|)) $ (|List| (|String|)))))) 
+((|outputAsFortran| (((|Void|) $) 7)) (|coerce| (((|OutputForm|) $) 8))) 
+(((|FortranProgramCategory|) (|Category|)) (T |FortranProgramCategory|)) 
+((|outputAsFortran| (*1 *2 *1) (AND (|ofCategory| *1 (|FortranProgramCategory|)) (|isDomain| *2 (|Void|))))) 
+(|Join| (|Type|) (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |outputAsFortran| ((|Void|) $)))) 
+(((|CoercibleTo| (|OutputForm|)) . T) ((|Type|) . T)) 
+((|retractIfCan| (((|Union| $ "failed") (|Expression| (|Float|))) 19) (((|Union| $ "failed") (|Expression| (|Integer|))) 17) (((|Union| $ "failed") (|Polynomial| (|Float|))) 15) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 13) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) 11) (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) 9)) (|retract| (($ (|Expression| (|Float|))) 20) (($ (|Expression| (|Integer|))) 18) (($ (|Polynomial| (|Float|))) 16) (($ (|Polynomial| (|Integer|))) 14) (($ (|Fraction| (|Polynomial| (|Float|)))) 12) (($ (|Fraction| (|Polynomial| (|Integer|)))) 10)) (|outputAsFortran| (((|Void|) $) 7)) (|coerce| (((|OutputForm|) $) 8) (($ (|List| (|FortranCode|))) 23) (($ (|FortranCode|)) 22) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 21))) 
+(((|FortranFunctionCategory|) (|Category|)) (T |FortranFunctionCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))) (SIGNATURE |retract| ($ (|Expression| (|Float|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| (|Float|)))) (SIGNATURE |retract| ($ (|Expression| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Expression| (|Integer|)))) (SIGNATURE |retract| ($ (|Polynomial| (|Float|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Float|)))) (SIGNATURE |retract| ($ (|Polynomial| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Integer|)))) (SIGNATURE |retract| ($ (|Fraction| (|Polynomial| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|))))) (SIGNATURE |retract| ($ (|Fraction| (|Polynomial| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|))))))) 
+(((|CoercibleTo| (|OutputForm|)) . T) ((|FortranProgramCategory|) . T) ((|Type|) . T)) 
+((|setLegalFortranSourceExtensions| (((|List| (|String|)) (|List| (|String|))) 8)) (|outputAsFortran| (((|Void|) (|FileName|)) 27)) (|linkToFortran| (((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|))) 59) (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|)) 35) (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|))) 34))) 
+(((|FortranPackage|) (CATEGORY |package| (SIGNATURE |linkToFortran| ((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)))) (SIGNATURE |linkToFortran| ((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|))) (SIGNATURE |linkToFortran| ((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|)))) (SIGNATURE |outputAsFortran| ((|Void|) (|FileName|))) (SIGNATURE |setLegalFortranSourceExtensions| ((|List| (|String|)) (|List| (|String|)))))) (T |FortranPackage|)) 
+((|setLegalFortranSourceExtensions| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranPackage|)))) (|outputAsFortran| (*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranPackage|)))) (|linkToFortran| (*1 *2 *3 *4 *5 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) (|linkToFortran| (*1 *2 *3 *4 *5 *6 *3) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) (|linkToFortran| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|))))) 
+(CATEGORY |package| (SIGNATURE |linkToFortran| ((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)))) (SIGNATURE |linkToFortran| ((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|))) (SIGNATURE |linkToFortran| ((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|)))) (SIGNATURE |outputAsFortran| ((|Void|) (|FileName|))) (SIGNATURE |setLegalFortranSourceExtensions| ((|List| (|String|)) (|List| (|String|))))) 
+((|outputAsFortran| (((|Void|) $) 37)) (|coerce| (((|OutputForm|) $) 89) (($ (|FortranCode|)) 92) (($ (|List| (|FortranCode|))) 91) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 88) (($ (|Expression| (|MachineInteger|))) 52) (($ (|Expression| (|MachineFloat|))) 66) (($ (|Expression| (|MachineComplex|))) 78) (($ (|Equation| (|Expression| (|MachineInteger|)))) 62) (($ (|Equation| (|Expression| (|MachineFloat|)))) 74) (($ (|Equation| (|Expression| (|MachineComplex|)))) 86) (($ (|Expression| (|Integer|))) 96) (($ (|Expression| (|Float|))) 108) (($ (|Expression| (|Complex| (|Float|)))) 120) (($ (|Equation| (|Expression| (|Integer|)))) 104) (($ (|Equation| (|Expression| (|Float|)))) 116) (($ (|Equation| (|Expression| (|Complex| (|Float|))))) 128))) 
+(((|FortranProgram| |#1| |#2| |#3| |#4|) (|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))) (SIGNATURE |coerce| ($ (|Expression| (|MachineInteger|)))) (SIGNATURE |coerce| ($ (|Expression| (|MachineFloat|)))) (SIGNATURE |coerce| ($ (|Expression| (|MachineComplex|)))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|MachineInteger|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|MachineFloat|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|MachineComplex|))))) (SIGNATURE |coerce| ($ (|Expression| (|Integer|)))) (SIGNATURE |coerce| ($ (|Expression| (|Float|)))) (SIGNATURE |coerce| ($ (|Expression| (|Complex| (|Float|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|Integer|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|Float|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|Complex| (|Float|)))))))) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|SymbolTable|)) (T |FortranProgram|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))) (SIGNATURE |coerce| ($ (|Expression| (|MachineInteger|)))) (SIGNATURE |coerce| ($ (|Expression| (|MachineFloat|)))) (SIGNATURE |coerce| ($ (|Expression| (|MachineComplex|)))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|MachineInteger|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|MachineFloat|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|MachineComplex|))))) (SIGNATURE |coerce| ($ (|Expression| (|Integer|)))) (SIGNATURE |coerce| ($ (|Expression| (|Float|)))) (SIGNATURE |coerce| ($ (|Expression| (|Complex| (|Float|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|Integer|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|Float|))))) (SIGNATURE |coerce| ($ (|Equation| (|Expression| (|Complex| (|Float|)))))))) 
+((~= (((|Boolean|) $ $) NIL)) (|polyPart| ((|#2| $) 36)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fullPartialFraction| (($ (|Fraction| |#2|)) 84)) (|fracPart| (((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $) 37)) (|differentiate| (($ $) 32) (($ $ (|NonNegativeInteger|)) 34)) (|convert| (((|Fraction| |#2|) $) 46)) (|construct| (($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|)))) 31)) (|coerce| (((|OutputForm|) $) 120)) (D (($ $) 33) (($ $ (|NonNegativeInteger|)) 35)) (= (((|Boolean|) $ $) NIL)) (+ (($ |#2| $) 39))) 
+(((|FullPartialFractionExpansion| |#1| |#2|) (|Join| (|SetCategory|) (|ConvertibleTo| (|Fraction| |#2|)) (CATEGORY |domain| (SIGNATURE + ($ |#2| $)) (SIGNATURE |fullPartialFraction| ($ (|Fraction| |#2|))) (SIGNATURE |polyPart| (|#2| $)) (SIGNATURE |fracPart| ((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $)) (SIGNATURE |construct| ($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))))) (SIGNATURE |differentiate| ($ $)) (SIGNATURE D ($ $)) (SIGNATURE |differentiate| ($ $ (|NonNegativeInteger|))) (SIGNATURE D ($ $ (|NonNegativeInteger|))))) (|Join| (|Field|) (|CharacteristicZero|)) (|UnivariatePolynomialCategory| |#1|)) (T |FullPartialFractionExpansion|)) 
+((+ (*1 *1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|fullPartialFraction| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)))) (|polyPart| (*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))))) (|fracPart| (*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|construct| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)))) (|differentiate| (*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (D (*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (D (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(|Join| (|SetCategory|) (|ConvertibleTo| (|Fraction| |#2|)) (CATEGORY |domain| (SIGNATURE + ($ |#2| $)) (SIGNATURE |fullPartialFraction| ($ (|Fraction| |#2|))) (SIGNATURE |polyPart| (|#2| $)) (SIGNATURE |fracPart| ((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $)) (SIGNATURE |construct| ($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))))) (SIGNATURE |differentiate| ($ $)) (SIGNATURE D ($ $)) (SIGNATURE |differentiate| ($ $ (|NonNegativeInteger|))) (SIGNATURE D ($ $ (|NonNegativeInteger|))))) 
+((~= (((|Boolean|) $ $) 9 (OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))))) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 15 (|has| |#1| (|PatternMatchable| (|Float|)))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 14 (|has| |#1| (|PatternMatchable| (|Integer|))))) (|latex| (((|String|) $) 13 (OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))))) (|hash| (((|SingleInteger|) $) 12 (OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))))) (|coerce| (((|OutputForm|) $) 11 (OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))))) (= (((|Boolean|) $ $) 10 (OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|))))))) 
+(((|FullyPatternMatchable| |#1|) (|Category|) (|Type|)) (T |FullyPatternMatchable|)) 
+NIL 
+(|Join| (|Type|) (CATEGORY |package| (IF (|has| |t#1| (|PatternMatchable| (|Integer|))) (ATTRIBUTE (|PatternMatchable| (|Integer|))) |noBranch|) (IF (|has| |t#1| (|PatternMatchable| (|Float|))) (ATTRIBUTE (|PatternMatchable| (|Float|))) |noBranch|))) 
+(((|BasicType|) OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))) ((|PatternMatchable| (|Float|)) |has| |#1| (|PatternMatchable| (|Float|))) ((|PatternMatchable| (|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) ((|SetCategory|) OR (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Float|)))) ((|Type|) . T)) 
+((|primeFrobenius| (($ $) 10) (($ $ (|NonNegativeInteger|)) 11))) 
+(((|FieldOfPrimeCharacteristic&| |#1|) (CATEGORY |domain| (SIGNATURE |primeFrobenius| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |primeFrobenius| (|#1| |#1|))) (|FieldOfPrimeCharacteristic|)) (T |FieldOfPrimeCharacteristic&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |primeFrobenius| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |primeFrobenius| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primeFrobenius| (($ $) 77) (($ $ (|NonNegativeInteger|)) 76)) (|prime?| (((|Boolean|) $) 71)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 79)) (|one?| (((|Boolean|) $) 30)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 78)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65)) (|charthRoot| (((|Union| $ "failed") $) 80)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|FieldOfPrimeCharacteristic|) (|Category|)) (T |FieldOfPrimeCharacteristic|)) 
+((|order| (*1 *2 *1) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) (|discreteLog| (*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|primeFrobenius| (*1 *1 *1) (|ofCategory| *1 (|FieldOfPrimeCharacteristic|))) (|primeFrobenius| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(|Join| (|Field|) (|CharacteristicNonZero|) (CATEGORY |domain| (SIGNATURE |order| ((|OnePointCompletion| (|PositiveInteger|)) $)) (SIGNATURE |discreteLog| ((|Union| (|NonNegativeInteger|) "failed") $ $)) (SIGNATURE |primeFrobenius| ($ $)) (SIGNATURE |primeFrobenius| ($ $ (|NonNegativeInteger|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((|float| (($ (|Integer|) (|Integer|)) 11) (($ (|Integer|) (|Integer|) (|PositiveInteger|)) NIL)) (|digits| (((|PositiveInteger|)) 16) (((|PositiveInteger|) (|PositiveInteger|)) NIL))) 
+(((|FloatingPointSystem&| |#1|) (CATEGORY |domain| (SIGNATURE |digits| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |digits| ((|PositiveInteger|))) (SIGNATURE |float| (|#1| (|Integer|) (|Integer|) (|PositiveInteger|))) (SIGNATURE |float| (|#1| (|Integer|) (|Integer|)))) (|FloatingPointSystem|)) (T |FloatingPointSystem&|)) 
+((|digits| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) (|digits| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|))))) 
+(CATEGORY |domain| (SIGNATURE |digits| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |digits| ((|PositiveInteger|))) (SIGNATURE |float| (|#1| (|Integer|) (|Integer|) (|PositiveInteger|))) (SIGNATURE |float| (|#1| (|Integer|) (|Integer|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|wholePart| (((|Integer|) $) 87)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|truncate| (($ $) 85)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sqrt| (($ $) 95)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sign| (((|Integer|) $) 112)) (|sample| (($) 16 T CONST)) (|round| (($ $) 84)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 100) (((|Union| (|Fraction| (|Integer|)) "failed") $) 97)) (|retract| (((|Integer|) $) 99) (((|Fraction| (|Integer|)) $) 96)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|precision| (((|PositiveInteger|)) 121) (((|PositiveInteger|) (|PositiveInteger|)) 118 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|positive?| (((|Boolean|) $) 110)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 91)) (|order| (((|Integer|) $) 127)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 94)) (|norm| (($ $) 90)) (|negative?| (((|Boolean|) $) 111)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|min| (($ $ $) 109) (($) 115 (AND (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|)))))) (|max| (($ $ $) 108) (($) 114 (AND (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|)))))) (|mantissa| (((|Integer|) $) 124)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) 117 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fractionPart| (($ $) 86)) (|floor| (($ $) 88)) (|float| (($ (|Integer|) (|Integer|)) 129) (($ (|Integer|) (|Integer|) (|PositiveInteger|)) 128)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|exponent| (((|Integer|) $) 125)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|digits| (((|PositiveInteger|)) 122) (((|PositiveInteger|) (|PositiveInteger|)) 119 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) 116 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|convert| (((|Float|) $) 103) (((|DoubleFloat|) $) 102) (((|Pattern| (|Float|)) $) 92)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ (|Integer|)) 101) (($ (|Fraction| (|Integer|))) 98)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|ceiling| (($ $) 89)) (|bits| (((|PositiveInteger|)) 123) (((|PositiveInteger|) (|PositiveInteger|)) 120 (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|base| (((|PositiveInteger|)) 126)) (|associates?| (((|Boolean|) $ $) 38)) (|abs| (($ $) 113)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 106)) (> (((|Boolean|) $ $) 105)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 107)) (< (((|Boolean|) $ $) 104)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68) (($ $ (|Fraction| (|Integer|))) 93)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|FloatingPointSystem|) (|Category|)) (T |FloatingPointSystem|)) 
+((|float| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FloatingPointSystem|)))) (|float| (*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|FloatingPointSystem|)))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) (|base| (*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) (|exponent| (*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) (|mantissa| (*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) (|bits| (*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) (|digits| (*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) (|precision| (*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) (|bits| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) (|digits| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) (|precision| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) (|increasePrecision| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) (|decreasePrecision| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) (|min| (*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) (|max| (*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|)))))) 
+(|Join| (|RealNumberSystem|) (CATEGORY |domain| (ATTRIBUTE |approximate|) (SIGNATURE |float| ($ (|Integer|) (|Integer|))) (SIGNATURE |float| ($ (|Integer|) (|Integer|) (|PositiveInteger|))) (SIGNATURE |order| ((|Integer|) $)) (SIGNATURE |base| ((|PositiveInteger|))) (SIGNATURE |exponent| ((|Integer|) $)) (SIGNATURE |mantissa| ((|Integer|) $)) (SIGNATURE |bits| ((|PositiveInteger|))) (SIGNATURE |digits| ((|PositiveInteger|))) (SIGNATURE |precision| ((|PositiveInteger|))) (IF (|has| $ (ATTRIBUTE |arbitraryPrecision|)) (PROGN (SIGNATURE |bits| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |digits| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |precision| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |increasePrecision| ((|PositiveInteger|) (|Integer|))) (SIGNATURE |decreasePrecision| ((|PositiveInteger|) (|Integer|)))) |noBranch|) (IF (|has| $ (ATTRIBUTE |arbitraryExponent|)) |noBranch| (IF (|has| $ (ATTRIBUTE |arbitraryPrecision|)) |noBranch| (PROGN (SIGNATURE |min| ($)) (SIGNATURE |max| ($))))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| (|DoubleFloat|)) . T) ((|ConvertibleTo| (|Float|)) . T) ((|ConvertibleTo| (|Pattern| (|Float|))) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedRing|) . T) ((|OrderedSet|) . T) ((|PatternMatchable| (|Float|)) . T) ((|PrincipalIdealDomain|) . T) ((|RadicalCategory|) . T) ((|RealConstant|) . T) ((|RealNumberSystem|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) . T) ((|RetractableTo| (|Integer|)) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((|map| (((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)) 20))) 
+(((|FactoredFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)))) (|IntegralDomain|) (|IntegralDomain|)) (T |FactoredFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *6)) (|isDomain| *1 (|FactoredFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)))) 
+((|map| (((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)) 13))) 
+(((|FractionFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)))) (|IntegralDomain|) (|IntegralDomain|)) (T |FractionFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Fraction| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|FractionFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 13)) (|wholePart| ((|#1| $) 21 (|has| |#1| (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| |#1| (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 17) (((|Union| (|Symbol|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 70 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|))))) (|retract| ((|#1| $) 15) (((|Symbol|) $) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) 67 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|))))) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) 50)) (|random| (($) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| |#1| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| |#1| (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) 64)) (|numerator| (($ $) NIL)) (|numer| ((|#1| $) 71)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| |#1| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 97)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| |#1| (|EuclideanDomain|)))) (|floor| ((|#1| $) 28 (|has| |#1| (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 133 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 129 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ |#1|) NIL (|has| |#1| (|Eltable| |#1| |#1|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) 63)) (|denominator| (($ $) NIL)) (|denom| ((|#1| $) 73)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| |#1| (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| |#1| (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 113 (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 10) (($ (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|))))) (|charthRoot| (((|Union| $ "failed") $) 99 (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 100)) (|ceiling| ((|#1| $) 26 (|has| |#1| (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL (|has| |#1| (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 22 T CONST)) (|One| (($) 8 T CONST)) (|OMwrite| (((|String|) $) 43 (AND (|has| |#1| (|IntegerNumberSystem|)) (|has| |#1| (|OpenMath|)))) (((|String|) $ (|Boolean|)) 44 (AND (|has| |#1| (|IntegerNumberSystem|)) (|has| |#1| (|OpenMath|)))) (((|Void|) (|OpenMathDevice|) $) 45 (AND (|has| |#1| (|IntegerNumberSystem|)) (|has| |#1| (|OpenMath|)))) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 46 (AND (|has| |#1| (|IntegerNumberSystem|)) (|has| |#1| (|OpenMath|))))) (D (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 56)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 24 (|has| |#1| (|OrderedSet|)))) (/ (($ $ $) 124) (($ |#1| |#1|) 52)) (- (($ $) 25) (($ $ $) 55)) (+ (($ $ $) 53)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 123)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 60) (($ $ $) 57) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
+(((|Fraction| |#1|) (|Join| (|QuotientFieldCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|IntegerNumberSystem|)) (IF (|has| |#1| (|OpenMath|)) (ATTRIBUTE (|OpenMath|)) |noBranch|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonical|)) (IF (|has| |#1| (|GcdDomain|)) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonical|) |noBranch|) |noBranch|) |noBranch|))) (|IntegralDomain|)) (T |Fraction|)) 
+NIL 
+(|Join| (|QuotientFieldCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|IntegerNumberSystem|)) (IF (|has| |#1| (|OpenMath|)) (ATTRIBUTE (|OpenMath|)) |noBranch|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonical|)) (IF (|has| |#1| (|GcdDomain|)) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonical|) |noBranch|) |noBranch|) |noBranch|))) 
+((|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) NIL) (((|Matrix| |#2|)) 18)) (|represents| (($ (|Vector| |#2|) (|Vector| $)) NIL) (($ (|Vector| |#2|)) 26)) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) $) 22)) (|minimalPolynomial| ((|#3| $) 59)) (|discriminant| ((|#2| (|Vector| $)) NIL) ((|#2|) 20)) (|coordinates| (((|Vector| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#2|) $) NIL) (((|Matrix| |#2|) (|Vector| $)) 24)) (|convert| (((|Vector| |#2|) $) 11) (($ (|Vector| |#2|)) 13)) (|characteristicPolynomial| ((|#3| $) 51))) 
+(((|FramedAlgebra&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |regularRepresentation| ((|Matrix| |#2|) |#1|)) (SIGNATURE |discriminant| (|#2|)) (SIGNATURE |traceMatrix| ((|Matrix| |#2|))) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#2|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |minimalPolynomial| (|#3| |#1|)) (SIGNATURE |characteristicPolynomial| (|#3| |#1|)) (SIGNATURE |traceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |discriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |regularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|)))) (|FramedAlgebra| |#2| |#3|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |#2|)) (T |FramedAlgebra&|)) 
+((|traceMatrix| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|FramedAlgebra| *4 *5)))) (|discriminant| (*1 *2) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedAlgebra&| *3 *2 *4)) (|ofCategory| *3 (|FramedAlgebra| *2 *4))))) 
+(CATEGORY |domain| (SIGNATURE |regularRepresentation| ((|Matrix| |#2|) |#1|)) (SIGNATURE |discriminant| (|#2|)) (SIGNATURE |traceMatrix| ((|Matrix| |#2|))) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#2|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |minimalPolynomial| (|#3| |#1|)) (SIGNATURE |characteristicPolynomial| (|#3| |#1|)) (SIGNATURE |traceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |discriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |regularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) 44) (((|Matrix| |#1|)) 55)) (|trace| ((|#1| $) 50)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) 46) (($ (|Vector| |#1|)) 58)) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 51) (((|Matrix| |#1|) $) 53)) (|recip| (((|Union| $ "failed") $) 33)) (|rank| (((|PositiveInteger|)) 52)) (|one?| (((|Boolean|) $) 30)) (|norm| ((|#1| $) 49)) (|minimalPolynomial| ((|#2| $) 42 (|has| |#1| (|Field|)))) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|discriminant| ((|#1| (|Vector| $)) 45) ((|#1|) 54)) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 48) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) 47) (((|Vector| |#1|) $) 60) (((|Matrix| |#1|) (|Vector| $)) 59)) (|convert| (((|Vector| |#1|) $) 57) (($ (|Vector| |#1|)) 56)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36)) (|charthRoot| (((|Union| $ "failed") $) 41 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#2| $) 43)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|basis| (((|Vector| $)) 61)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((|FramedAlgebra| |#1| |#2|) (|Category|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |t#1|)) (T |FramedAlgebra|)) 
+((|basis| (*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)))) (|coordinates| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) (|coordinates| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) (|represents| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|convert| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|traceMatrix| (*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3)))) (|discriminant| (*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|regularRepresentation| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(|Join| (|FiniteRankAlgebra| |t#1| |t#2|) (CATEGORY |domain| (SIGNATURE |basis| ((|Vector| $))) (SIGNATURE |coordinates| ((|Vector| |t#1|) $)) (SIGNATURE |coordinates| ((|Matrix| |t#1|) (|Vector| $))) (SIGNATURE |represents| ($ (|Vector| |t#1|))) (SIGNATURE |convert| ((|Vector| |t#1|) $)) (SIGNATURE |convert| ($ (|Vector| |t#1|))) (SIGNATURE |traceMatrix| ((|Matrix| |t#1|))) (SIGNATURE |discriminant| (|t#1|)) (SIGNATURE |regularRepresentation| ((|Matrix| |t#1|) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|FiniteRankAlgebra| |#1| |#2|) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) . T) ((|Monoid|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) 27) (((|Union| (|Integer|) "failed") $) 19)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) 24) (((|Integer|) $) 14)) (|coerce| (($ |#2|) NIL) (($ (|Fraction| (|Integer|))) 22) (($ (|Integer|)) 11))) 
+(((|FullyRetractableTo&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|))) (|FullyRetractableTo| |#2|) (|Type|)) (T |FullyRetractableTo&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|))) 
+((|retractIfCan| (((|Union| |#1| "failed") $) 7) (((|Union| (|Fraction| (|Integer|)) "failed") $) 15 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) 12 (|has| |#1| (|RetractableTo| (|Integer|))))) (|retract| ((|#1| $) 8) (((|Fraction| (|Integer|)) $) 14 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) 11 (|has| |#1| (|RetractableTo| (|Integer|))))) (|coerce| (($ |#1|) 6) (($ (|Fraction| (|Integer|))) 16 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ (|Integer|)) 13 (|has| |#1| (|RetractableTo| (|Integer|)))))) 
+(((|FullyRetractableTo| |#1|) (|Category|) (|Type|)) (T |FullyRetractableTo|)) 
+NIL 
+(|Join| (|RetractableTo| |t#1|) (CATEGORY |package| (IF (|has| |t#1| (|RetractableTo| (|Integer|))) (ATTRIBUTE (|RetractableTo| (|Integer|))) |noBranch|) (IF (|has| |t#1| (|RetractableTo| (|Fraction| (|Integer|)))) (ATTRIBUTE (|RetractableTo| (|Fraction| (|Integer|)))) |noBranch|))) 
+(((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T)) 
+((|map| (((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)) 33))) 
+(((|FractionalIdealFunctions2| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (CATEGORY |package| (SIGNATURE |map| ((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)))) (|EuclideanDomain|) (|QuotientFieldCategory| |#1|) (|UnivariatePolynomialCategory| |#2|) (|Join| (|FramedAlgebra| |#2| |#3|) (|RetractableTo| |#2|)) (|EuclideanDomain|) (|QuotientFieldCategory| |#5|) (|UnivariatePolynomialCategory| |#6|) (|Join| (|FramedAlgebra| |#6| |#7|) (|RetractableTo| |#6|))) (T |FractionalIdealFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FractionalIdeal| *5 *6 *7 *8)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *8 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|QuotientFieldCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| *10)) (|isDomain| *2 (|FractionalIdeal| *9 *10 *11 *12)) (|isDomain| *1 (|FractionalIdealFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|Join| (|FramedAlgebra| *10 *11) (|RetractableTo| *10)))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|randomLC| ((|#4| (|NonNegativeInteger|) (|Vector| |#4|)) 55)) (|one?| (((|Boolean|) $) NIL)) (|numer| (((|Vector| |#4|) $) 17)) (|norm| ((|#2| $) 53)) (|minimize| (($ $) 136)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 98)) (|ideal| (($ (|Vector| |#4|)) 97)) (|hash| (((|SingleInteger|) $) NIL)) (|denom| ((|#1| $) 18)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) 131)) (|basis| (((|Vector| |#4|) $) 126)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 11 T CONST)) (= (((|Boolean|) $ $) 39)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 119)) (* (($ $ $) 118))) 
+(((|FractionalIdeal| |#1| |#2| |#3| |#4|) (|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |ideal| ($ (|Vector| |#4|))) (SIGNATURE |basis| ((|Vector| |#4|) $)) (SIGNATURE |norm| (|#2| $)) (SIGNATURE |numer| ((|Vector| |#4|) $)) (SIGNATURE |denom| (|#1| $)) (SIGNATURE |minimize| ($ $)) (SIGNATURE |randomLC| (|#4| (|NonNegativeInteger|) (|Vector| |#4|))))) (|EuclideanDomain|) (|QuotientFieldCategory| |#1|) (|UnivariatePolynomialCategory| |#2|) (|Join| (|FramedAlgebra| |#2| |#3|) (|RetractableTo| |#2|))) (T |FractionalIdeal|)) 
+((|ideal| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)))) (|basis| (*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) (|norm| (*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *3 *2 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *2 *4) (|RetractableTo| *2))))) (|numer| (*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) (|denom| (*1 *2 *1) (AND (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3))))) (|minimize| (*1 *1 *1) (AND (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3))))) (|randomLC| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Vector| *2)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *2 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|isDomain| *1 (|FractionalIdeal| *5 *6 *7 *2)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |ideal| ($ (|Vector| |#4|))) (SIGNATURE |basis| ((|Vector| |#4|) $)) (SIGNATURE |norm| (|#2| $)) (SIGNATURE |numer| ((|Vector| |#4|) $)) (SIGNATURE |denom| (|#1| $)) (SIGNATURE |minimize| ($ $)) (SIGNATURE |randomLC| (|#4| (|NonNegativeInteger|) (|Vector| |#4|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|norm| ((|#2| $) 60)) (|module| (($ (|Vector| |#4|)) 25) (($ (|FractionalIdeal| |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (|RetractableTo| |#2|)))) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 34)) (|basis| (((|Vector| |#4|) $) 26)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|One| (($) 23 T CONST)) (= (((|Boolean|) $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ $ $) 72))) 
+(((|FramedModule| |#1| |#2| |#3| |#4| |#5|) (|Join| (|Monoid|) (CATEGORY |domain| (SIGNATURE |basis| ((|Vector| |#4|) $)) (SIGNATURE |norm| (|#2| $)) (SIGNATURE |module| ($ (|Vector| |#4|))) (IF (|has| |#4| (|RetractableTo| |#2|)) (SIGNATURE |module| ($ (|FractionalIdeal| |#1| |#2| |#3| |#4|))) |noBranch|))) (|EuclideanDomain|) (|QuotientFieldCategory| |#1|) (|UnivariatePolynomialCategory| |#2|) (|FramedAlgebra| |#2| |#3|) (|Vector| |#4|)) (T |FramedModule|)) 
+((|basis| (*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 *2))) (|norm| (*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FramedModule| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)) (|ofType| *6 (|Vector| *5)))) (|module| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofType| *7 *2))) (|module| (*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|RetractableTo| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7))))) 
+(|Join| (|Monoid|) (CATEGORY |domain| (SIGNATURE |basis| ((|Vector| |#4|) $)) (SIGNATURE |norm| (|#2| $)) (SIGNATURE |module| ($ (|Vector| |#4|))) (IF (|has| |#4| (|RetractableTo| |#2|)) (SIGNATURE |module| ($ (|FractionalIdeal| |#1| |#2| |#3| |#4|))) |noBranch|))) 
+((|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) 26))) 
+(((|FramedNonAssociativeAlgebraFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#3| (|Mapping| |#4| |#2|) |#1|))) (|FramedNonAssociativeAlgebra| |#2|) (|CommutativeRing|) (|FramedNonAssociativeAlgebra| |#4|) (|CommutativeRing|)) (T |FramedNonAssociativeAlgebraFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|FramedNonAssociativeAlgebra| *6)) (|isDomain| *1 (|FramedNonAssociativeAlgebraFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#3| (|Mapping| |#4| |#2|) |#1|))) 
+((|unit| (((|Union| $ "failed")) 85)) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) NIL) (((|Vector| (|Matrix| |#2|))) 90)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) 84)) (|rightUnit| (((|Union| $ "failed")) 83)) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) NIL) (((|Matrix| |#2|)) 101)) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) $) 109)) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) 54)) (|rightDiscriminant| ((|#2| (|Vector| $)) NIL) ((|#2|) 105)) (|represents| (($ (|Vector| |#2|) (|Vector| $)) NIL) (($ (|Vector| |#2|)) 112)) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) 82)) (|leftUnit| (((|Union| $ "failed")) 74)) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) NIL) (((|Matrix| |#2|)) 99)) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) $) 107)) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) 53)) (|leftDiscriminant| ((|#2| (|Vector| $)) NIL) ((|#2|) 103)) (|coordinates| (((|Vector| |#2|) $ (|Vector| $)) NIL) (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#2|) $) NIL) (((|Matrix| |#2|) (|Vector| $)) 111)) (|convert| (((|Vector| |#2|) $) 95) (($ (|Vector| |#2|)) 97)) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) NIL) (((|List| (|Polynomial| |#2|))) 93)) (|apply| (($ (|Matrix| |#2|) $) 89))) 
+(((|FramedNonAssociativeAlgebra&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |apply| (|#1| (|Matrix| |#2|) |#1|)) (SIGNATURE |rightRankPolynomial| ((|SparseUnivariatePolynomial| (|Polynomial| |#2|)))) (SIGNATURE |leftRankPolynomial| ((|SparseUnivariatePolynomial| (|Polynomial| |#2|)))) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |#2|) |#1|)) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |#2|) |#1|)) (SIGNATURE |rightTraceMatrix| ((|Matrix| |#2|))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |#2|))) (SIGNATURE |rightDiscriminant| (|#2|)) (SIGNATURE |leftDiscriminant| (|#2|)) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#2|))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#2|)))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#2|)))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |unit| ((|Union| |#1| "failed"))) (SIGNATURE |rightUnit| ((|Union| |#1| "failed"))) (SIGNATURE |leftUnit| ((|Union| |#1| "failed"))) (SIGNATURE |rightUnits| ((|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed"))) (SIGNATURE |leftUnits| ((|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed"))) (SIGNATURE |rightTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |rightDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |leftDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#2|)) (|Vector| |#1|))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#2|)) (|Vector| |#1|)))) (|FramedNonAssociativeAlgebra| |#2|) (|CommutativeRing|)) (T |FramedNonAssociativeAlgebra&|)) 
+((|structuralConstants| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|conditionsForIdempotents| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|leftDiscriminant| (*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) (|rightDiscriminant| (*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) (|leftTraceMatrix| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|rightTraceMatrix| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|leftRankPolynomial| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) (|rightRankPolynomial| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(CATEGORY |domain| (SIGNATURE |apply| (|#1| (|Matrix| |#2|) |#1|)) (SIGNATURE |rightRankPolynomial| ((|SparseUnivariatePolynomial| (|Polynomial| |#2|)))) (SIGNATURE |leftRankPolynomial| ((|SparseUnivariatePolynomial| (|Polynomial| |#2|)))) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |#2|) |#1|)) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |#2|) |#1|)) (SIGNATURE |rightTraceMatrix| ((|Matrix| |#2|))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |#2|))) (SIGNATURE |rightDiscriminant| (|#2|)) (SIGNATURE |leftDiscriminant| (|#2|)) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |represents| (|#1| (|Vector| |#2|))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#2|)))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#2|)))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1|)) (SIGNATURE |unit| ((|Union| |#1| "failed"))) (SIGNATURE |rightUnit| ((|Union| |#1| "failed"))) (SIGNATURE |leftUnit| ((|Union| |#1| "failed"))) (SIGNATURE |rightUnits| ((|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed"))) (SIGNATURE |leftUnits| ((|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed"))) (SIGNATURE |rightTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |leftTraceMatrix| ((|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |rightDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |leftDiscriminant| (|#2| (|Vector| |#1|))) (SIGNATURE |represents| (|#1| (|Vector| |#2|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |coordinates| ((|Vector| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |#2|) |#1| (|Vector| |#1|))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#2|)) (|Vector| |#1|))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#2|)) (|Vector| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unit| (((|Union| $ "failed")) 35 (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) 76) (((|Vector| (|Matrix| |#1|))) 93)) (|someBasis| (((|Vector| $)) 79)) (|sample| (($) 16 T CONST)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) 38 (|has| |#1| (|IntegralDomain|)))) (|rightUnit| (((|Union| $ "failed")) 36 (|has| |#1| (|IntegralDomain|)))) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) 63) (((|Matrix| |#1|)) 85)) (|rightTrace| ((|#1| $) 72)) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 74) (((|Matrix| |#1|) $) 83)) (|rightRecip| (((|Union| $ "failed") $) 43 (|has| |#1| (|IntegralDomain|)))) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) 81 (|has| |#1| (|Field|)))) (|rightPower| (($ $ (|PositiveInteger|)) 27)) (|rightNorm| ((|#1| $) 70)) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 40 (|has| |#1| (|IntegralDomain|)))) (|rightDiscriminant| ((|#1| (|Vector| $)) 65) ((|#1|) 87)) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 61)) (|rightAlternative?| (((|Boolean|)) 55)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) 67) (($ (|Vector| |#1|)) 91)) (|recip| (((|Union| $ "failed") $) 45 (|has| |#1| (|IntegralDomain|)))) (|rank| (((|PositiveInteger|)) 78)) (|powerAssociative?| (((|Boolean|)) 52)) (|plenaryPower| (($ $ (|PositiveInteger|)) 32)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) 48)) (|lieAlgebra?| (((|Boolean|)) 46)) (|lieAdmissible?| (((|Boolean|)) 50)) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) 39 (|has| |#1| (|IntegralDomain|)))) (|leftUnit| (((|Union| $ "failed")) 37 (|has| |#1| (|IntegralDomain|)))) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) 64) (((|Matrix| |#1|)) 86)) (|leftTrace| ((|#1| $) 73)) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 75) (((|Matrix| |#1|) $) 84)) (|leftRecip| (((|Union| $ "failed") $) 44 (|has| |#1| (|IntegralDomain|)))) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) 82 (|has| |#1| (|Field|)))) (|leftPower| (($ $ (|PositiveInteger|)) 28)) (|leftNorm| ((|#1| $) 71)) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 41 (|has| |#1| (|IntegralDomain|)))) (|leftDiscriminant| ((|#1| (|Vector| $)) 66) ((|#1|) 88)) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) 62)) (|leftAlternative?| (((|Boolean|)) 56)) (|latex| (((|String|) $) 9)) (|jordanAlgebra?| (((|Boolean|)) 47)) (|jordanAdmissible?| (((|Boolean|)) 49)) (|jacobiIdentity?| (((|Boolean|)) 51)) (|hash| (((|SingleInteger|) $) 10)) (|flexible?| (((|Boolean|)) 54)) (|elt| ((|#1| $ (|Integer|)) 94)) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 69) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) 68) (((|Vector| |#1|) $) 96) (((|Matrix| |#1|) (|Vector| $)) 95)) (|convert| (((|Vector| |#1|) $) 90) (($ (|Vector| |#1|)) 89)) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) 77) (((|List| (|Polynomial| |#1|))) 92)) (|commutator| (($ $ $) 24)) (|commutative?| (((|Boolean|)) 60)) (|coerce| (((|OutputForm|) $) 11)) (|basis| (((|Vector| $)) 97)) (|associatorDependence| (((|List| (|Vector| |#1|))) 42 (|has| |#1| (|IntegralDomain|)))) (|associator| (($ $ $ $) 25)) (|associative?| (((|Boolean|)) 58)) (|apply| (($ (|Matrix| |#1|) $) 80)) (|antiCommutator| (($ $ $) 23)) (|antiCommutative?| (((|Boolean|)) 59)) (|antiAssociative?| (((|Boolean|)) 57)) (|alternative?| (((|Boolean|)) 53)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 29)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((|FramedNonAssociativeAlgebra| |#1|) (|Category|) (|CommutativeRing|)) (T |FramedNonAssociativeAlgebra|)) 
+((|basis| (*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) (|coordinates| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) (|coordinates| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|structuralConstants| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *3))))) (|conditionsForIdempotents| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *3))))) (|represents| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) (|convert| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) (|leftDiscriminant| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|rightDiscriminant| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|leftTraceMatrix| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3)))) (|rightTraceMatrix| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3)))) (|leftRegularRepresentation| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3)))) (|rightRegularRepresentation| (*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3)))) (|leftRankPolynomial| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) (|rightRankPolynomial| (*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) (|apply| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(|Join| (|FiniteRankNonAssociativeAlgebra| |t#1|) (CATEGORY |domain| (SIGNATURE |basis| ((|Vector| $))) (SIGNATURE |coordinates| ((|Vector| |t#1|) $)) (SIGNATURE |coordinates| ((|Matrix| |t#1|) (|Vector| $))) (SIGNATURE |elt| (|t#1| $ (|Integer|))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |t#1|)))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |t#1|)))) (SIGNATURE |represents| ($ (|Vector| |t#1|))) (SIGNATURE |convert| ((|Vector| |t#1|) $)) (SIGNATURE |convert| ($ (|Vector| |t#1|))) (SIGNATURE |leftDiscriminant| (|t#1|)) (SIGNATURE |rightDiscriminant| (|t#1|)) (SIGNATURE |leftTraceMatrix| ((|Matrix| |t#1|))) (SIGNATURE |rightTraceMatrix| ((|Matrix| |t#1|))) (SIGNATURE |leftRegularRepresentation| ((|Matrix| |t#1|) $)) (SIGNATURE |rightRegularRepresentation| ((|Matrix| |t#1|) $)) (IF (|has| |t#1| (|Field|)) (PROGN (SIGNATURE |leftRankPolynomial| ((|SparseUnivariatePolynomial| (|Polynomial| |t#1|)))) (SIGNATURE |rightRankPolynomial| ((|SparseUnivariatePolynomial| (|Polynomial| |t#1|))))) |noBranch|) (SIGNATURE |apply| ($ (|Matrix| |t#1|) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|FiniteRankNonAssociativeAlgebra| |#1|) . T) ((|LeftModule| |#1|) . T) ((|Module| |#1|) . T) ((|Monad|) . T) ((|NonAssociativeAlgebra| |#1|) . T) ((|NonAssociativeRng|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 40)) (|unitNormalize| (($ $) 55)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 142)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) 34)) (|unit| ((|#1| $) 12)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|UniqueFactorizationDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|UniqueFactorizationDomain|)))) (|sqfrFactor| (($ |#1| (|Integer|)) 30)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 112)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 53)) (|recip| (((|Union| $ "failed") $) 127)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 61 (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) 57 (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) 59 (|has| |#1| (|IntegerNumberSystem|)))) (|primeFactor| (($ |#1| (|Integer|)) 32)) (|prime?| (((|Boolean|) $) 148 (|has| |#1| (|UniqueFactorizationDomain|)))) (|one?| (((|Boolean|) $) 41)) (|numberOfFactors| (((|NonNegativeInteger|) $) 36)) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) 133)) (|nthFactor| ((|#1| $ (|Integer|)) 132)) (|nthExponent| (((|Integer|) $ (|Integer|)) 131)) (|nilFactor| (($ |#1| (|Integer|)) 29)) (|map| (($ (|Mapping| |#1| |#1|) $) 139)) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) 56)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|irreducibleFactor| (($ |#1| (|Integer|)) 31)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) 143 (|has| |#1| (|GcdDomain|)))) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) 28)) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) 52)) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) 11)) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|UniqueFactorizationDomain|)))) (|exquo| (((|Union| $ "failed") $ $) 134)) (|exponent| (((|Integer|) $) 128)) (|expand| ((|#1| $) 54)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) 76 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 81 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) $) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) $))) (($ $ (|List| (|Symbol|)) (|List| $)) 82 (|has| |#1| (|InnerEvalable| (|Symbol|) $))) (($ $ (|List| (|Equation| $))) 78 (|has| |#1| (|Evalable| $))) (($ $ (|Equation| $)) NIL (|has| |#1| (|Evalable| $))) (($ $ $ $) NIL (|has| |#1| (|Evalable| $))) (($ $ (|List| $) (|List| $)) NIL (|has| |#1| (|Evalable| $)))) (|elt| (($ $ |#1|) 68 (|has| |#1| (|Eltable| |#1| |#1|))) (($ $ $) 69 (|has| |#1| (|Eltable| $ $)))) (|differentiate| (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) 138)) (|convert| (((|InputForm|) $) 26 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) 88 (|has| |#1| (|RealConstant|))) (((|DoubleFloat|) $) 91 (|has| |#1| (|RealConstant|)))) (|coerce| (((|OutputForm|) $) 110) (($ (|Integer|)) 44) (($ $) NIL) (($ |#1|) 43) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (|characteristic| (((|NonNegativeInteger|)) 46)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 38 T CONST)) (|One| (($) 37 T CONST)) (D (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (= (((|Boolean|) $ $) 92)) (- (($ $) 124) (($ $ $) NIL)) (+ (($ $ $) 136)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 98)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
+(((|Factored| |#1|) (|Join| (|IntegralDomain|) (|DifferentialExtension| |#1|) (|Algebra| |#1|) (|FullyEvalableOver| |#1|) (|FullyRetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |expand| (|#1| $)) (SIGNATURE |exponent| ((|Integer|) $)) (SIGNATURE |makeFR| ($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))))) (SIGNATURE |factorList| ((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $)) (SIGNATURE |nilFactor| ($ |#1| (|Integer|))) (SIGNATURE |factors| ((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $)) (SIGNATURE |irreducibleFactor| ($ |#1| (|Integer|))) (SIGNATURE |nthExponent| ((|Integer|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |nthFlag| ((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|))) (SIGNATURE |numberOfFactors| ((|NonNegativeInteger|) $)) (SIGNATURE |primeFactor| ($ |#1| (|Integer|))) (SIGNATURE |sqfrFactor| ($ |#1| (|Integer|))) (SIGNATURE |flagFactor| ($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime"))) (SIGNATURE |unit| (|#1| $)) (SIGNATURE |unitNormalize| ($ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|GcdDomain|)) (ATTRIBUTE (|GcdDomain|)) |noBranch|) (IF (|has| |#1| (|RealConstant|)) (ATTRIBUTE (|RealConstant|)) |noBranch|) (IF (|has| |#1| (|UniqueFactorizationDomain|)) (ATTRIBUTE (|UniqueFactorizationDomain|)) |noBranch|) (IF (|has| |#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|) (IF (|has| |#1| (|Eltable| $ $)) (ATTRIBUTE (|Eltable| $ $)) |noBranch|) (IF (|has| |#1| (|Evalable| $)) (ATTRIBUTE (|Evalable| $)) |noBranch|) (IF (|has| |#1| (|InnerEvalable| (|Symbol|) $)) (ATTRIBUTE (|InnerEvalable| (|Symbol|) $)) |noBranch|))) (|IntegralDomain|)) (T |Factored|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *3)))) (|expand| (*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|exponent| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) (|makeFR| (*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (|Integer|))))) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *2)))) (|factorList| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) (|nilFactor| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|factors| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |exponent| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) (|irreducibleFactor| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|nthExponent| (*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) (|nthFactor| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|nthFlag| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|)))) (|numberOfFactors| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) (|primeFactor| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|sqfrFactor| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|flagFactor| (*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|unit| (*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|unitNormalize| (*1 *1 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|rational?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) (|rational| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(|Join| (|IntegralDomain|) (|DifferentialExtension| |#1|) (|Algebra| |#1|) (|FullyEvalableOver| |#1|) (|FullyRetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |expand| (|#1| $)) (SIGNATURE |exponent| ((|Integer|) $)) (SIGNATURE |makeFR| ($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))))) (SIGNATURE |factorList| ((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $)) (SIGNATURE |nilFactor| ($ |#1| (|Integer|))) (SIGNATURE |factors| ((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $)) (SIGNATURE |irreducibleFactor| ($ |#1| (|Integer|))) (SIGNATURE |nthExponent| ((|Integer|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |nthFlag| ((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|))) (SIGNATURE |numberOfFactors| ((|NonNegativeInteger|) $)) (SIGNATURE |primeFactor| ($ |#1| (|Integer|))) (SIGNATURE |sqfrFactor| ($ |#1| (|Integer|))) (SIGNATURE |flagFactor| ($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime"))) (SIGNATURE |unit| (|#1| $)) (SIGNATURE |unitNormalize| ($ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|GcdDomain|)) (ATTRIBUTE (|GcdDomain|)) |noBranch|) (IF (|has| |#1| (|RealConstant|)) (ATTRIBUTE (|RealConstant|)) |noBranch|) (IF (|has| |#1| (|UniqueFactorizationDomain|)) (ATTRIBUTE (|UniqueFactorizationDomain|)) |noBranch|) (IF (|has| |#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|) (IF (|has| |#1| (|Eltable| $ $)) (ATTRIBUTE (|Eltable| $ $)) |noBranch|) (IF (|has| |#1| (|Evalable| $)) (ATTRIBUTE (|Evalable| $)) |noBranch|) (IF (|has| |#1| (|InnerEvalable| (|Symbol|) $)) (ATTRIBUTE (|InnerEvalable| (|Symbol|) $)) |noBranch|))) 
+((|refine| (((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|)) 20)) (|mergeFactors| (((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)) 15))) 
+(((|FactoredFunctionUtilities| |#1|) (CATEGORY |package| (SIGNATURE |refine| ((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|))) (SIGNATURE |mergeFactors| ((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)))) (|IntegralDomain|)) (T |FactoredFunctionUtilities|)) 
+((|mergeFactors| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|FactoredFunctionUtilities| *3)))) (|refine| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Factored| *4) *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|FactoredFunctionUtilities| *4))))) 
+(CATEGORY |package| (SIGNATURE |refine| ((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|))) (SIGNATURE |mergeFactors| ((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)))) 
+((|localAbs| ((|#2| |#2|) 160)) (|exprToXXP| (((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|)) 55))) 
+(((|FunctionSpaceToExponentialExpansion| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |exprToXXP| ((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|))) (SIGNATURE |localAbs| (|#2| |#2|))) (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|)) (|Symbol|) |#2|) (T |FunctionSpaceToExponentialExpansion|)) 
+((|localAbs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *3 *2 *4 *5)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *2))) (|exprToXXP| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |%expansion| (|ExponentialExpansion| *5 *3 *6 *7)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *5 *3 *6 *7)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofType| *6 (|Symbol|)) (|ofType| *7 *3)))) 
+(CATEGORY |package| (SIGNATURE |exprToXXP| ((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|))) (SIGNATURE |localAbs| (|#2| |#2|))) 
+((|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) 11))) 
+(((|FunctionSpaceFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|))) (|Join| (|Ring|) (|OrderedSet|)) (|FunctionSpace| |#1|) (|Join| (|Ring|) (|OrderedSet|)) (|FunctionSpace| |#3|)) (T |FunctionSpaceFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *6 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *2 (|FunctionSpace| *6)) (|isDomain| *1 (|FunctionSpaceFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FunctionSpace| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|))) 
+((|localAbs| ((|#2| |#2|) 87)) (|exprToUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) 46)) (|exprToGenUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) 152))) 
+(((|FunctionSpaceToUnivariatePowerSeries| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |package| (SIGNATURE |exprToUPS| ((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|))) (SIGNATURE |exprToGenUPS| ((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|))) (SIGNATURE |localAbs| (|#2| |#2|))) (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#3|)))) (|OrderedRing|) (|Join| (|UnivariatePowerSeriesCategory| |#2| |#3|) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $)))) (|PartialTranscendentalFunctions| |#4|) (|Symbol|)) (T |FunctionSpaceToUnivariatePowerSeries|)) 
+((|localAbs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3) (CATEGORY |domain| (SIGNATURE |coerce| ($ *4))))) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *5 (|Join| (|UnivariatePowerSeriesCategory| *2 *4) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *3 *2 *4 *5 *6 *7)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)) (|ofType| *7 (|Symbol|)))) (|exprToGenUPS| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|)))) (|exprToUPS| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |exprToUPS| ((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|))) (SIGNATURE |exprToGenUPS| ((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|))) (SIGNATURE |localAbs| (|#2| |#2|))) 
+((|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) 22)) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) 20)) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) 17))) 
+(((|FiniteSetAggregateFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|)) (SIGNATURE |reduce| (|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|)) (SIGNATURE |scan| (|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|))) (|SetCategory|) (|FiniteSetAggregate| |#1|) (|SetCategory|) (|FiniteSetAggregate| |#3|)) (T |FiniteSetAggregateFunctions2|)) 
+((|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *5)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *6)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteSetAggregate| *5)) (|ofCategory| *6 (|FiniteSetAggregate| *2)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *6)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|)) (SIGNATURE |reduce| (|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|)) (SIGNATURE |scan| (|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|))) 
+((|universe| (($) 44)) (|union| (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (|symmetricDifference| (($ $ $) 39)) (|subset?| (((|Boolean|) $ $) 28)) (|size| (((|NonNegativeInteger|)) 47)) (|set| (($ (|List| |#2|)) 20) (($) NIL)) (|random| (($) 53)) (|min| ((|#2| $) 61)) (|max| ((|#2| $) 59)) (|lookup| (((|PositiveInteger|) $) 55)) (|intersect| (($ $ $) 35)) (|index| (($ (|PositiveInteger|)) 50)) (|difference| (($ $ |#2|) NIL) (($ $ $) 38)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL) (((|NonNegativeInteger|) |#2| $) 26)) (|construct| (($ (|List| |#2|)) 24)) (|complement| (($ $) 46)) (|coerce| (((|OutputForm|) $) 33)) (|cardinality| (((|NonNegativeInteger|) $) 21)) (|brace| (($ (|List| |#2|)) 19) (($) NIL)) (= (((|Boolean|) $ $) 16)) (< (((|Boolean|) $ $) 13))) 
+(((|FiniteSetAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |index| (|#1| (|PositiveInteger|))) (SIGNATURE |lookup| ((|PositiveInteger|) |#1|)) (SIGNATURE |random| (|#1|)) (SIGNATURE |min| (|#2| |#1|)) (SIGNATURE |max| (|#2| |#1|)) (SIGNATURE |universe| (|#1|)) (SIGNATURE |complement| (|#1| |#1|)) (SIGNATURE |cardinality| ((|NonNegativeInteger|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |brace| (|#1|)) (SIGNATURE |brace| (|#1| (|List| |#2|))) (SIGNATURE |set| (|#1|)) (SIGNATURE |set| (|#1| (|List| |#2|))) (SIGNATURE |intersect| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#2|)) (SIGNATURE |symmetricDifference| (|#1| |#1| |#1|)) (SIGNATURE |subset?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |union| (|#1| |#1| |#1|)) (SIGNATURE |union| (|#1| |#1| |#2|)) (SIGNATURE |union| (|#1| |#2| |#1|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|))) (|FiniteSetAggregate| |#2|) (|SetCategory|)) (T |FiniteSetAggregate&|)) 
+((|size| (*1 *2) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteSetAggregate&| *3 *4)) (|ofCategory| *3 (|FiniteSetAggregate| *4))))) 
+(CATEGORY |domain| (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |index| (|#1| (|PositiveInteger|))) (SIGNATURE |lookup| ((|PositiveInteger|) |#1|)) (SIGNATURE |random| (|#1|)) (SIGNATURE |min| (|#2| |#1|)) (SIGNATURE |max| (|#2| |#1|)) (SIGNATURE |universe| (|#1|)) (SIGNATURE |complement| (|#1| |#1|)) (SIGNATURE |cardinality| ((|NonNegativeInteger|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |brace| (|#1|)) (SIGNATURE |brace| (|#1| (|List| |#2|))) (SIGNATURE |set| (|#1|)) (SIGNATURE |set| (|#1| (|List| |#2|))) (SIGNATURE |intersect| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#2|)) (SIGNATURE |symmetricDifference| (|#1| |#1| |#1|)) (SIGNATURE |subset?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |union| (|#1| |#1| |#1|)) (SIGNATURE |union| (|#1| |#1| |#2|)) (SIGNATURE |union| (|#1| |#2| |#1|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|))) 
+((~= (((|Boolean|) $ $) 18)) (|universe| (($) 64 (|has| |#1| (|Finite|)))) (|union| (($ |#1| $) 79) (($ $ |#1|) 78) (($ $ $) 77)) (|symmetricDifference| (($ $ $) 75)) (|subset?| (((|Boolean|) $ $) 76)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|size| (((|NonNegativeInteger|)) 57 (|has| |#1| (|Finite|)))) (|set| (($ (|List| |#1|)) 71) (($) 70)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 55 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) 54 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 53 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|random| (($) 60 (|has| |#1| (|Finite|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|min| ((|#1| $) 62 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|max| ((|#1| $) 63 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|lookup| (((|PositiveInteger|) $) 59 (|has| |#1| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22)) (|intersect| (($ $ $) 72)) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|index| (($ (|PositiveInteger|)) 58 (|has| |#1| (|Finite|)))) (|hash| (((|SingleInteger|) $) 21)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 48)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|enumerate| (((|List| $)) 61 (|has| |#1| (|Finite|)))) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|difference| (($ $ |#1|) 74) (($ $ $) 73)) (|dictionary| (($) 46) (($ (|List| |#1|)) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 47)) (|complement| (($ $) 65 (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) 20)) (|cardinality| (((|NonNegativeInteger|) $) 66)) (|brace| (($ (|List| |#1|)) 69) (($) 68)) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19)) (< (((|Boolean|) $ $) 67)) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|FiniteSetAggregate| |#1|) (|Category|) (|SetCategory|)) (T |FiniteSetAggregate|)) 
+((|cardinality| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|complement| (*1 *1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Finite|)))) (|universe| (*1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|SetCategory|)))) (|max| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) (|min| (*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|Dictionary| |t#1|) (|SetAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |cardinality| ((|NonNegativeInteger|) $)) (IF (|has| |t#1| (|Finite|)) (PROGN (ATTRIBUTE (|Finite|)) (SIGNATURE |complement| ($ $)) (SIGNATURE |universe| ($))) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (PROGN (SIGNATURE |max| (|t#1| $)) (SIGNATURE |min| (|t#1| $))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Dictionary| |#1|) . T) ((|DictionaryOperations| |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|Finite|) |has| |#1| (|Finite|)) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetAggregate| |#1|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((|internalIntegrate0| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) 35)) (|internalIntegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) 19)) (|complexIntegrate| ((|#2| |#2| (|Symbol|)) 24))) 
+(((|FunctionSpaceComplexIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |internalIntegrate| ((|IntegrationResult| |#2|) |#2| (|Symbol|))) (SIGNATURE |internalIntegrate0| ((|IntegrationResult| |#2|) |#2| (|Symbol|))) (SIGNATURE |complexIntegrate| (|#2| |#2| (|Symbol|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| |#1|))) (T |FunctionSpaceComplexIntegration|)) 
+((|complexIntegrate| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4))))) (|internalIntegrate0| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) (|internalIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
+(CATEGORY |package| (SIGNATURE |internalIntegrate| ((|IntegrationResult| |#2|) |#2| (|Symbol|))) (SIGNATURE |internalIntegrate0| ((|IntegrationResult| |#2|) |#2| (|Symbol|))) (SIGNATURE |complexIntegrate| (|#2| |#2| (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|makeSin| (($ |#2| |#1|) 35)) (|makeCos| (($ |#2| |#1|) 33)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|FourierComponent| |#2|)) 25)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 10 T CONST)) (|One| (($) 16 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 34)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|FourierSeries| |#1| |#2|) (|Join| (|Algebra| |#1|) (CATEGORY |domain| (IF (|has| |#2| (ATTRIBUTE |canonical|)) (IF (|has| |#1| (ATTRIBUTE |canonical|)) (ATTRIBUTE |canonical|) |noBranch|) |noBranch|) (SIGNATURE |coerce| ($ |#1|)) (SIGNATURE |coerce| ($ (|FourierComponent| |#2|))) (SIGNATURE |makeSin| ($ |#2| |#1|)) (SIGNATURE |makeCos| ($ |#2| |#1|)))) (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|)))) (|Join| (|OrderedSet|) (|AbelianGroup|))) (T |FourierSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *1 (|FourierSeries| *2 *3)) (|ofCategory| *2 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|AbelianGroup|))))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FourierComponent| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|AbelianGroup|))) (|isDomain| *1 (|FourierSeries| *3 *4)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))))) (|makeSin| (*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|))))) (|makeCos| (*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(|Join| (|Algebra| |#1|) (CATEGORY |domain| (IF (|has| |#2| (ATTRIBUTE |canonical|)) (IF (|has| |#1| (ATTRIBUTE |canonical|)) (ATTRIBUTE |canonical|) |noBranch|) |noBranch|) (SIGNATURE |coerce| ($ |#1|)) (SIGNATURE |coerce| ($ (|FourierComponent| |#2|))) (SIGNATURE |makeSin| ($ |#2| |#1|)) (SIGNATURE |makeCos| ($ |#2| |#1|)))) 
+((|integrate| (((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)) 104))) 
+(((|FunctionSpaceIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |integrate| ((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| |#1|))) (T |FunctionSpaceIntegration|)) 
+((|integrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|List| *3))) (|isDomain| *1 (|FunctionSpaceIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
+(CATEGORY |package| (SIGNATURE |integrate| ((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)))) 
+((|variables| (((|List| (|Symbol|)) $) 72)) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) 268)) (|subst| (($ $ (|Equation| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) 233)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) 75) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| |#2| "failed") $) 229) (((|Union| (|Fraction| (|Polynomial| |#2|)) "failed") $) 319) (((|Union| (|Polynomial| |#2|) "failed") $) 231) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|retract| (((|Kernel| $) $) NIL) (((|Symbol|) $) 30) (((|Integer|) $) NIL) ((|#2| $) 227) (((|Fraction| (|Polynomial| |#2|)) $) 300) (((|Polynomial| |#2|) $) 228) (((|Fraction| (|Integer|)) $) NIL)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 47)) (|numerator| (($ $) 87)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) 224)) (|kernels| (((|List| (|Kernel| $)) $) 225)) (|isTimes| (((|Union| (|List| $) "failed") $) 243)) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) 250)) (|isPlus| (((|Union| (|List| $) "failed") $) 241)) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) 259)) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) 247) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) 214) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) 216)) (|ground?| (((|Boolean|) $) 19)) (|ground| ((|#2| $) 21)) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) 232) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) 96) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) NIL) (($ $ (|Symbol|) (|Mapping| $ $)) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ $)) NIL) (($ $ (|Symbol|)) 57) (($ $ (|List| (|Symbol|))) 236) (($ $) 237) (($ $ (|BasicOperator|) $ (|Symbol|)) 60) (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) 67) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) 107) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) 238) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) 94) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) 93)) (|elt| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) $ $) NIL) (($ (|BasicOperator|) $ $ $) NIL) (($ (|BasicOperator|) $ $ $ $) NIL) (($ (|BasicOperator|) (|List| $)) 106)) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) 234)) (|denominator| (($ $) 279)) (|convert| (((|Pattern| (|Integer|)) $) 253) (((|Pattern| (|Float|)) $) 256) (($ (|Factored| $)) 315) (((|InputForm|) $) NIL)) (|coerce| (((|OutputForm|) $) 235) (($ (|Kernel| $)) 84) (($ (|Symbol|)) 26) (($ |#2|) NIL) (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) NIL) (($ (|Fraction| |#2|)) 284) (($ (|Polynomial| (|Fraction| |#2|))) 324) (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) 296) (($ (|Fraction| (|Polynomial| |#2|))) 290) (($ $) NIL) (($ (|Polynomial| |#2|)) 183) (($ (|Fraction| (|Integer|))) 329) (($ (|Integer|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) 79)) (|belong?| (((|Boolean|) (|BasicOperator|)) 41)) (|applyQuote| (($ (|Symbol|) $) 33) (($ (|Symbol|) $ $) 34) (($ (|Symbol|) $ $ $) 35) (($ (|Symbol|) $ $ $ $) 36) (($ (|Symbol|) (|List| $)) 39)) (* (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|FunctionSpace&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |retract| ((|Polynomial| |#2|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Polynomial| |#2|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Polynomial| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retract| ((|Fraction| (|Polynomial| |#2|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Polynomial| |#2|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Polynomial| |#2|)))) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| |#1|)) |#1| (|Kernel| |#1|))) (SIGNATURE |coerce| (|#1| (|Fraction| (|Polynomial| (|Fraction| |#2|))))) (SIGNATURE |coerce| (|#1| (|Polynomial| (|Fraction| |#2|)))) (SIGNATURE |coerce| (|#1| (|Fraction| |#2|))) (SIGNATURE |denominator| (|#1| |#1|)) (SIGNATURE |convert| (|#1| (|Factored| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| |#1|) (|:| |exponent| (|Integer|))) "failed") |#1|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| |#1|)) (|:| |exponent| (|Integer|))) "failed") |#1| (|Symbol|))) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| |#1|)) (|:| |exponent| (|Integer|))) "failed") |#1| (|BasicOperator|))) (SIGNATURE |numerator| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|SparseMultivariatePolynomial| |#2| (|Kernel| |#1|)))) (SIGNATURE |isMult| ((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| |#1|))) "failed") |#1|)) (SIGNATURE |isPlus| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| |#1|)) (|:| |exponent| (|Integer|))) "failed") |#1|)) (SIGNATURE |isTimes| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| |#1|) (|Symbol|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) |#1| (|Symbol|))) (SIGNATURE |eval| (|#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|))) (SIGNATURE |applyQuote| (|#1| (|Symbol|) (|List| |#1|))) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1| |#1| |#1| |#1|)) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1| |#1| |#1|)) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1| |#1|)) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1|)) (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|)) (SIGNATURE |ground| (|#2| |#1|)) (SIGNATURE |ground?| ((|Boolean|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |retract| ((|Symbol|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Symbol|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Symbol|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |kernels| ((|List| (|Kernel| |#1|)) |#1|)) (SIGNATURE |mainKernel| ((|Union| (|Kernel| |#1|) "failed") |#1|)) (SIGNATURE |subst| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |subst| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |subst| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) (|List| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Kernel| |#1|) |#1|)) (SIGNATURE |retract| ((|Kernel| |#1|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Kernel| |#1|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Kernel| |#1|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|FunctionSpace| |#2|) (|OrderedSet|)) (T |FunctionSpace&|)) 
+((|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionSpace&| *4 *5)) (|ofCategory| *4 (|FunctionSpace| *5)))) (|characteristic| (*1 *2) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4))))) 
+(CATEGORY |domain| (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |retract| ((|Polynomial| |#2|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Polynomial| |#2|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Polynomial| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retract| ((|Fraction| (|Polynomial| |#2|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Polynomial| |#2|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Polynomial| |#2|)))) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| |#1|)) |#1| (|Kernel| |#1|))) (SIGNATURE |coerce| (|#1| (|Fraction| (|Polynomial| (|Fraction| |#2|))))) (SIGNATURE |coerce| (|#1| (|Polynomial| (|Fraction| |#2|)))) (SIGNATURE |coerce| (|#1| (|Fraction| |#2|))) (SIGNATURE |denominator| (|#1| |#1|)) (SIGNATURE |convert| (|#1| (|Factored| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| |#1|) (|:| |exponent| (|Integer|))) "failed") |#1|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| |#1|)) (|:| |exponent| (|Integer|))) "failed") |#1| (|Symbol|))) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| |#1|)) (|:| |exponent| (|Integer|))) "failed") |#1| (|BasicOperator|))) (SIGNATURE |numerator| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|SparseMultivariatePolynomial| |#2| (|Kernel| |#1|)))) (SIGNATURE |isMult| ((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| |#1|))) "failed") |#1|)) (SIGNATURE |isPlus| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| |#1|)) (|:| |exponent| (|Integer|))) "failed") |#1|)) (SIGNATURE |isTimes| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| |#1|) (|Symbol|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) |#1| (|Symbol|))) (SIGNATURE |eval| (|#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|))) (SIGNATURE |applyQuote| (|#1| (|Symbol|) (|List| |#1|))) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1| |#1| |#1| |#1|)) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1| |#1| |#1|)) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1| |#1|)) (SIGNATURE |applyQuote| (|#1| (|Symbol|) |#1|)) (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|)) (SIGNATURE |ground| (|#2| |#1|)) (SIGNATURE |ground?| ((|Boolean|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |retract| ((|Symbol|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Symbol|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Symbol|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|BasicOperator|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|BasicOperator|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Symbol|) (|Mapping| |#1| (|List| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| (|List| |#1|))))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Symbol|)) (|List| (|Mapping| |#1| |#1|)))) (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |kernels| ((|List| (|Kernel| |#1|)) |#1|)) (SIGNATURE |mainKernel| ((|Union| (|Kernel| |#1|) "failed") |#1|)) (SIGNATURE |subst| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |subst| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |subst| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) (|List| |#1|))) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1| |#1|)) (SIGNATURE |elt| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Kernel| |#1|)) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|Kernel| |#1|) |#1|)) (SIGNATURE |retract| ((|Kernel| |#1|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Kernel| |#1|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Kernel| |#1|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 108 (|has| |#1| (|AbelianSemiGroup|)))) (|variables| (((|List| (|Symbol|)) $) 196)) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) 164 (|has| |#1| (|IntegralDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 135 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 136 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 138 (|has| |#1| (|IntegralDomain|)))) (|tower| (((|List| (|Kernel| $)) $) 43)) (|subtractIfCan| (((|Union| $ "failed") $ $) 110 (|has| |#1| (|AbelianGroup|)))) (|subst| (($ $ (|Equation| $)) 55) (($ $ (|List| (|Equation| $))) 54) (($ $ (|List| (|Kernel| $)) (|List| $)) 53)) (|squareFreePart| (($ $) 156 (|has| |#1| (|IntegralDomain|)))) (|squareFree| (((|Factored| $) $) 157 (|has| |#1| (|IntegralDomain|)))) (|sizeLess?| (((|Boolean|) $ $) 147 (|has| |#1| (|IntegralDomain|)))) (|sample| (($) 94 (OR (|has| |#1| (|SemiGroup|)) (|has| |#1| (|AbelianSemiGroup|))) CONST)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) 68) (((|Union| (|Symbol|) "failed") $) 209) (((|Union| (|Integer|) "failed") $) 202 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#1| "failed") $) 200) (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") $) 162 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Polynomial| |#1|) "failed") $) 115 (|has| |#1| (|Ring|))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 87 (OR (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#1| (|IntegralDomain|))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|retract| (((|Kernel| $) $) 67) (((|Symbol|) $) 208) (((|Integer|) $) 203 (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#1| $) 199) (((|Fraction| (|Polynomial| |#1|)) $) 161 (|has| |#1| (|IntegralDomain|))) (((|Polynomial| |#1|) $) 114 (|has| |#1| (|Ring|))) (((|Fraction| (|Integer|)) $) 86 (OR (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#1| (|IntegralDomain|))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|rem| (($ $ $) 151 (|has| |#1| (|IntegralDomain|)))) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 129 (|and| (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 128 (|and| (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 127 (|has| |#1| (|Ring|))) (((|Matrix| |#1|) (|Matrix| $)) 126 (|has| |#1| (|Ring|)))) (|recip| (((|Union| $ "failed") $) 97 (|has| |#1| (|SemiGroup|)))) (|quo| (($ $ $) 150 (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 145 (|has| |#1| (|IntegralDomain|)))) (|prime?| (((|Boolean|) $) 158 (|has| |#1| (|IntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 205 (|has| |#1| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 204 (|has| |#1| (|PatternMatchable| (|Float|))))) (|paren| (($ $) 50) (($ (|List| $)) 49)) (|operators| (((|List| (|BasicOperator|)) $) 42)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 41)) (|one?| (((|Boolean|) $) 95 (|has| |#1| (|SemiGroup|)))) (|odd?| (((|Boolean|) $) 21 (|has| $ (|RetractableTo| (|Integer|))))) (|numerator| (($ $) 179 (|has| |#1| (|Ring|)))) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) 180 (|has| |#1| (|Ring|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 154 (|has| |#1| (|IntegralDomain|)))) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) 24 (|has| $ (|Ring|)))) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) 35)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) 45)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 139 (|has| |#1| (|IntegralDomain|)))) (|lcm| (($ (|List| $)) 143 (|has| |#1| (|IntegralDomain|))) (($ $ $) 142 (|has| |#1| (|IntegralDomain|)))) (|latex| (((|String|) $) 9)) (|kernels| (((|List| (|Kernel| $)) $) 44)) (|kernel| (($ (|BasicOperator|) $) 37) (($ (|BasicOperator|) (|List| $)) 36)) (|isTimes| (((|Union| (|List| $) "failed") $) 185 (|has| |#1| (|SemiGroup|)))) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) 176 (|has| |#1| (|Ring|)))) (|isPlus| (((|Union| (|List| $) "failed") $) 183 (|has| |#1| (|AbelianSemiGroup|)))) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) 182 (|has| |#1| (|AbelianSemiGroup|)))) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) 184 (|has| |#1| (|SemiGroup|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) 178 (|has| |#1| (|Ring|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) 177 (|has| |#1| (|Ring|)))) (|is?| (((|Boolean|) $ (|BasicOperator|)) 39) (((|Boolean|) $ (|Symbol|)) 38)) (|inv| (($ $) 99 (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|))))) (|height| (((|NonNegativeInteger|) $) 46)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 198)) (|ground| ((|#1| $) 197)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 144 (|has| |#1| (|IntegralDomain|)))) (|gcd| (($ (|List| $)) 141 (|has| |#1| (|IntegralDomain|))) (($ $ $) 140 (|has| |#1| (|IntegralDomain|)))) (|freeOf?| (((|Boolean|) $ $) 34) (((|Boolean|) $ (|Symbol|)) 33)) (|factor| (((|Factored| $) $) 155 (|has| |#1| (|IntegralDomain|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 153 (|has| |#1| (|IntegralDomain|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 152 (|has| |#1| (|IntegralDomain|)))) (|exquo| (((|Union| $ "failed") $ $) 134 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 146 (|has| |#1| (|IntegralDomain|)))) (|even?| (((|Boolean|) $) 22 (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) 66) (($ $ (|List| (|Kernel| $)) (|List| $)) 65) (($ $ (|List| (|Equation| $))) 64) (($ $ (|Equation| $)) 63) (($ $ $ $) 62) (($ $ (|List| $) (|List| $)) 61) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) 32) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) 31) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) 30) (($ $ (|Symbol|) (|Mapping| $ $)) 29) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) 28) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) 27) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) 26) (($ $ (|BasicOperator|) (|Mapping| $ $)) 25) (($ $ (|Symbol|)) 190 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|))) 189 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $) 188 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|BasicOperator|) $ (|Symbol|)) 187 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) 186 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) 175 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) 174 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) 173 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) 172 (|has| |#1| (|Ring|)))) (|euclideanSize| (((|NonNegativeInteger|) $) 148 (|has| |#1| (|IntegralDomain|)))) (|elt| (($ (|BasicOperator|) $) 60) (($ (|BasicOperator|) $ $) 59) (($ (|BasicOperator|) $ $ $) 58) (($ (|BasicOperator|) $ $ $ $) 57) (($ (|BasicOperator|) (|List| $)) 56)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 149 (|has| |#1| (|IntegralDomain|)))) (|distribute| (($ $) 48) (($ $ $) 47)) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 120 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 119 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|))) 118 (|has| |#1| (|Ring|))) (($ $ (|Symbol|)) 117 (|has| |#1| (|Ring|)))) (|denominator| (($ $) 169 (|has| |#1| (|IntegralDomain|)))) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) 170 (|has| |#1| (|IntegralDomain|)))) (|definingPolynomial| (($ $) 23 (|has| $ (|Ring|)))) (|convert| (((|Pattern| (|Integer|)) $) 207 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) 206 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (($ (|Factored| $)) 171 (|has| |#1| (|IntegralDomain|))) (((|InputForm|) $) 89 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $ $) 103 (|has| |#1| (|Group|)))) (|commutator| (($ $ $) 104 (|has| |#1| (|Group|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Kernel| $)) 69) (($ (|Symbol|)) 210) (($ |#1|) 201) (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) 181 (|has| |#1| (|Ring|))) (($ (|Fraction| |#1|)) 167 (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| (|Fraction| |#1|))) 166 (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) 165 (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| |#1|))) 163 (|has| |#1| (|IntegralDomain|))) (($ $) 133 (|has| |#1| (|IntegralDomain|))) (($ (|Polynomial| |#1|)) 116 (|has| |#1| (|Ring|))) (($ (|Fraction| (|Integer|))) 88 (OR (|has| |#1| (|IntegralDomain|)) (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#1| (|IntegralDomain|))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ (|Integer|)) 85 (OR (|has| |#1| (|Ring|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|charthRoot| (((|Union| $ "failed") $) 130 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 125 (|has| |#1| (|Ring|)))) (|box| (($ $) 52) (($ (|List| $)) 51)) (|belong?| (((|Boolean|) (|BasicOperator|)) 40)) (|associates?| (((|Boolean|) $ $) 137 (|has| |#1| (|IntegralDomain|)))) (|applyQuote| (($ (|Symbol|) $) 195) (($ (|Symbol|) $ $) 194) (($ (|Symbol|) $ $ $) 193) (($ (|Symbol|) $ $ $ $) 192) (($ (|Symbol|) (|List| $)) 191)) (^ (($ $ (|Integer|)) 102 (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|)))) (($ $ (|NonNegativeInteger|)) 96 (|has| |#1| (|SemiGroup|))) (($ $ (|PositiveInteger|)) 92 (|has| |#1| (|SemiGroup|)))) (|Zero| (($) 107 (|has| |#1| (|AbelianSemiGroup|)) CONST)) (|One| (($) 93 (|has| |#1| (|SemiGroup|)) CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 124 (|has| |#1| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 123 (|has| |#1| (|Ring|))) (($ $ (|List| (|Symbol|))) 122 (|has| |#1| (|Ring|))) (($ $ (|Symbol|)) 121 (|has| |#1| (|Ring|)))) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) 168 (|has| |#1| (|IntegralDomain|))) (($ $ $) 100 (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|))))) (- (($ $ $) 112 (|has| |#1| (|AbelianGroup|))) (($ $) 111 (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) 105 (|has| |#1| (|AbelianSemiGroup|)))) (** (($ $ (|Integer|)) 101 (OR (|has| |#1| (|Group|)) (|has| |#1| (|IntegralDomain|)))) (($ $ (|NonNegativeInteger|)) 98 (|has| |#1| (|SemiGroup|))) (($ $ (|PositiveInteger|)) 91 (|has| |#1| (|SemiGroup|)))) (* (($ (|Fraction| (|Integer|)) $) 160 (|has| |#1| (|IntegralDomain|))) (($ $ (|Fraction| (|Integer|))) 159 (|has| |#1| (|IntegralDomain|))) (($ |#1| $) 132 (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) 131 (|has| |#1| (|CommutativeRing|))) (($ (|Integer|) $) 113 (|has| |#1| (|AbelianGroup|))) (($ (|NonNegativeInteger|) $) 109 (|has| |#1| (|AbelianSemiGroup|))) (($ (|PositiveInteger|) $) 106 (|has| |#1| (|AbelianSemiGroup|))) (($ $ $) 90 (|has| |#1| (|SemiGroup|))))) 
+(((|FunctionSpace| |#1|) (|Category|) (|OrderedSet|)) (T |FunctionSpace|)) 
+((|ground?| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|ground| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|variables| (*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| (|Symbol|))))) (|applyQuote| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|applyQuote| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|applyQuote| (*1 *1 *2 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|applyQuote| (*1 *1 *2 *1 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|applyQuote| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|eval| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|eval| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|eval| (*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|ConvertibleTo| (|InputForm|))))) (|eval| (*1 *1 *1 *2 *1 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))))) (|eval| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|InputForm|))))) (|isTimes| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|isExpt| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) (|isPlus| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|isMult| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| *1)))) (|ofCategory| *1 (|FunctionSpace| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|numer| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) (|numerator| (*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) (|isExpt| (*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) (|isExpt| (*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) (|isPower| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |val| *1) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) (|eval| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|eval| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|eval| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|eval| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 *1)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)))) (|denom| (*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) (|denominator| (*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (/ (*1 *1 *2 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| *3))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Fraction| *3)))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) (|univariate| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *1))))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SemiGroup|))))) 
+(|Join| (|ExpressionSpace|) (|RetractableTo| (|Symbol|)) (|Patternable| |t#1|) (|FullyPatternMatchable| |t#1|) (|FullyRetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE |ground?| ((|Boolean|) $)) (SIGNATURE |ground| (|t#1| $)) (SIGNATURE |variables| ((|List| (|Symbol|)) $)) (SIGNATURE |applyQuote| ($ (|Symbol|) $)) (SIGNATURE |applyQuote| ($ (|Symbol|) $ $)) (SIGNATURE |applyQuote| ($ (|Symbol|) $ $ $)) (SIGNATURE |applyQuote| ($ (|Symbol|) $ $ $ $)) (SIGNATURE |applyQuote| ($ (|Symbol|) (|List| $))) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (PROGN (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) (SIGNATURE |eval| ($ $ (|Symbol|))) (SIGNATURE |eval| ($ $ (|List| (|Symbol|)))) (SIGNATURE |eval| ($ $)) (SIGNATURE |eval| ($ $ (|BasicOperator|) $ (|Symbol|))) (SIGNATURE |eval| ($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)))) |noBranch|) (IF (|has| |t#1| (|SemiGroup|)) (PROGN (ATTRIBUTE (|Monoid|)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE |isTimes| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $))) |noBranch|) (IF (|has| |t#1| (|Group|)) (ATTRIBUTE (|Group|)) |noBranch|) (IF (|has| |t#1| (|AbelianSemiGroup|)) (PROGN (ATTRIBUTE (|AbelianMonoid|)) (SIGNATURE |isPlus| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isMult| ((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) (IF (|has| |t#1| (|Ring|)) (PROGN (ATTRIBUTE (|Ring|)) (ATTRIBUTE (|RetractableTo| (|Polynomial| |t#1|))) (ATTRIBUTE (|PartialDifferentialRing| (|Symbol|))) (ATTRIBUTE (|FullyLinearlyExplicitRingOver| |t#1|)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| |t#1| (|Kernel| $)))) (SIGNATURE |numer| ((|SparseMultivariatePolynomial| |t#1| (|Kernel| $)) $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|))) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|))) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $)) (SIGNATURE |eval| ($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $)))) (SIGNATURE |eval| ($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $))))) (SIGNATURE |eval| ($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $)))) (SIGNATURE |eval| ($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)))) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |t#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |t#1|)) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (ATTRIBUTE (|Field|)) (ATTRIBUTE (|RetractableTo| (|Fraction| (|Polynomial| |t#1|)))) (SIGNATURE |convert| ($ (|Factored| $))) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| |t#1| (|Kernel| $)) $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE / ($ (|SparseMultivariatePolynomial| |t#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |t#1| (|Kernel| $)))) (SIGNATURE |coerce| ($ (|Fraction| |t#1|))) (SIGNATURE |coerce| ($ (|Polynomial| (|Fraction| |t#1|)))) (SIGNATURE |coerce| ($ (|Fraction| (|Polynomial| (|Fraction| |t#1|))))) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $))) (IF (|has| |t#1| (|RetractableTo| (|Integer|))) (ATTRIBUTE (|RetractableTo| (|Fraction| (|Integer|)))) |noBranch|)) |noBranch|))) 
+(((|AbelianGroup|) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|AbelianGroup|))) ((|AbelianMonoid|) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|AbelianGroup|))) ((|AbelianSemiGroup|) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|AbelianSemiGroup|)) (|has| |#1| (|AbelianGroup|))) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) ((|BiModule| |#1| |#1|) |has| |#1| (|CommutativeRing|)) ((|BiModule| $ $) |has| |#1| (|IntegralDomain|)) ((|CancellationAbelianMonoid|) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|AbelianGroup|))) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) |has| |#1| (|IntegralDomain|)) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|ConvertibleTo| (|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) ((|ConvertibleTo| (|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) ((|DivisionRing|) |has| |#1| (|IntegralDomain|)) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|EuclideanDomain|) |has| |#1| (|IntegralDomain|)) ((|Evalable| $) . T) ((|ExpressionSpace|) . T) ((|Field|) |has| |#1| (|IntegralDomain|)) ((|FullyLinearlyExplicitRingOver| |#1|) |has| |#1| (|Ring|)) ((|FullyPatternMatchable| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) |has| |#1| (|IntegralDomain|)) ((|Group|) |has| |#1| (|Group|)) ((|InnerEvalable| (|Kernel| $) $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) ((|LeftModule| |#1|) |has| |#1| (|CommutativeRing|)) ((|LeftModule| $) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|))) ((|LeftOreRing|) |has| |#1| (|IntegralDomain|)) ((|LinearlyExplicitRingOver| (|Integer|)) AND (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Ring|))) ((|LinearlyExplicitRingOver| |#1|) |has| |#1| (|Ring|)) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) OR (|has| |#1| (|SemiGroup|)) (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Group|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|))) ((|OrderedSet|) . T) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|Ring|)) ((|PatternMatchable| (|Float|)) |has| |#1| (|PatternMatchable| (|Float|))) ((|PatternMatchable| (|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) ((|Patternable| |#1|) . T) ((|PrincipalIdealDomain|) |has| |#1| (|IntegralDomain|)) ((|RetractableTo| (|Fraction| (|Integer|))) OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|RetractableTo| (|Integer|))))) ((|RetractableTo| (|Fraction| (|Polynomial| |#1|))) |has| |#1| (|IntegralDomain|)) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| (|Kernel| $)) . T) ((|RetractableTo| (|Polynomial| |#1|)) |has| |#1| (|Ring|)) ((|RetractableTo| (|Symbol|)) . T) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|IntegralDomain|)) ((|RightModule| |#1|) |has| |#1| (|CommutativeRing|)) ((|RightModule| $) |has| |#1| (|IntegralDomain|)) ((|Ring|) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|))) ((|Rng|) OR (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|))) ((|SemiGroup|) OR (|has| |#1| (|SemiGroup|)) (|has| |#1| (|Ring|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Group|)) (|has| |#1| (|CommutativeRing|)) (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|CharacteristicNonZero|))) ((|SetCategory|) . T) ((|Type|) . T) ((|UniqueFactorizationDomain|) |has| |#1| (|IntegralDomain|))) 
+((|polygamma| ((|#2| |#2| |#2|) 33)) (|operator| (((|BasicOperator|) (|BasicOperator|)) 44)) (|iipolygamma| ((|#2| (|List| |#2|)) 79)) (|iidigamma| ((|#2| |#2|) 77)) (|iiabs| ((|#2| |#2|) 68)) (|iiGamma| ((|#2| |#2|) 71)) (|iiBeta| ((|#2| (|List| |#2|)) 75)) (|iiBesselY| ((|#2| (|List| |#2|)) 83)) (|iiBesselK| ((|#2| (|List| |#2|)) 87)) (|iiBesselJ| ((|#2| (|List| |#2|)) 81)) (|iiBesselI| ((|#2| (|List| |#2|)) 85)) (|iiAiryBi| ((|#2| |#2|) 91)) (|iiAiryAi| ((|#2| |#2|) 89)) (|digamma| ((|#2| |#2|) 32)) (|besselY| ((|#2| |#2| |#2|) 35)) (|besselK| ((|#2| |#2| |#2|) 37)) (|besselJ| ((|#2| |#2| |#2|) 34)) (|besselI| ((|#2| |#2| |#2|) 36)) (|belong?| (((|Boolean|) (|BasicOperator|)) 42)) (|airyBi| ((|#2| |#2|) 39)) (|airyAi| ((|#2| |#2|) 38)) (|abs| ((|#2| |#2|) 27)) (|Gamma| ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (|Beta| ((|#2| |#2| |#2|) 31))) 
+(((|FunctionalSpecialFunction| |#1| |#2|) (CATEGORY |package| (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |abs| (|#2| |#2|)) (SIGNATURE |Gamma| (|#2| |#2|)) (SIGNATURE |Gamma| (|#2| |#2| |#2|)) (SIGNATURE |Beta| (|#2| |#2| |#2|)) (SIGNATURE |digamma| (|#2| |#2|)) (SIGNATURE |polygamma| (|#2| |#2| |#2|)) (SIGNATURE |besselJ| (|#2| |#2| |#2|)) (SIGNATURE |besselY| (|#2| |#2| |#2|)) (SIGNATURE |besselI| (|#2| |#2| |#2|)) (SIGNATURE |besselK| (|#2| |#2| |#2|)) (SIGNATURE |airyAi| (|#2| |#2|)) (SIGNATURE |airyBi| (|#2| |#2|)) (SIGNATURE |iiGamma| (|#2| |#2|)) (SIGNATURE |iiabs| (|#2| |#2|)) (SIGNATURE |iiBeta| (|#2| (|List| |#2|))) (SIGNATURE |iidigamma| (|#2| |#2|)) (SIGNATURE |iipolygamma| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselJ| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselY| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselI| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselK| (|#2| (|List| |#2|))) (SIGNATURE |iiAiryAi| (|#2| |#2|)) (SIGNATURE |iiAiryBi| (|#2| |#2|))) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|FunctionSpace| |#1|)) (T |FunctionalSpecialFunction|)) 
+((|iiAiryBi| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|iiAiryAi| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|iiBesselK| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iiBesselI| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iiBesselY| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iiBesselJ| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iipolygamma| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iidigamma| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|iiBeta| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|iiabs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|iiGamma| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|airyBi| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|airyAi| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|besselK| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|besselI| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|besselY| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|besselJ| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|polygamma| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|digamma| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|Beta| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|Gamma| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|Gamma| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|abs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
+(CATEGORY |package| (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |abs| (|#2| |#2|)) (SIGNATURE |Gamma| (|#2| |#2|)) (SIGNATURE |Gamma| (|#2| |#2| |#2|)) (SIGNATURE |Beta| (|#2| |#2| |#2|)) (SIGNATURE |digamma| (|#2| |#2|)) (SIGNATURE |polygamma| (|#2| |#2| |#2|)) (SIGNATURE |besselJ| (|#2| |#2| |#2|)) (SIGNATURE |besselY| (|#2| |#2| |#2|)) (SIGNATURE |besselI| (|#2| |#2| |#2|)) (SIGNATURE |besselK| (|#2| |#2| |#2|)) (SIGNATURE |airyAi| (|#2| |#2|)) (SIGNATURE |airyBi| (|#2| |#2|)) (SIGNATURE |iiGamma| (|#2| |#2|)) (SIGNATURE |iiabs| (|#2| |#2|)) (SIGNATURE |iiBeta| (|#2| (|List| |#2|))) (SIGNATURE |iidigamma| (|#2| |#2|)) (SIGNATURE |iipolygamma| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselJ| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselY| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselI| (|#2| (|List| |#2|))) (SIGNATURE |iiBesselK| (|#2| (|List| |#2|))) (SIGNATURE |iiAiryAi| (|#2| |#2|)) (SIGNATURE |iiAiryBi| (|#2| |#2|))) 
+((|primitiveElement| (((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|) 93 (|has| |#2| (|AlgebraicallyClosedField|))) (((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|)) 58))) 
+(((|FunctionSpacePrimitiveElement| |#1| |#2|) (CATEGORY |package| (SIGNATURE |primitiveElement| ((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|))) (IF (|has| |#2| (|AlgebraicallyClosedField|)) (SIGNATURE |primitiveElement| ((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|)) |noBranch|)) (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|)) (|FunctionSpace| |#1|)) (T |FunctionSpacePrimitiveElement|)) 
+((|primitiveElement| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *3) (|:| |pol1| (|SparseUnivariatePolynomial| *3)) (|:| |pol2| (|SparseUnivariatePolynomial| *3)) (|:| |prim| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *3)) (|ofCategory| *3 (|AlgebraicallyClosedField|)) (|ofCategory| *3 (|FunctionSpace| *4)))) (|primitiveElement| (*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *5) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |primitiveElement| ((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|))) (IF (|has| |#2| (|AlgebraicallyClosedField|)) (SIGNATURE |primitiveElement| ((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|)) |noBranch|)) 
+((|newReduc| (((|Void|)) 18)) (|bringDown| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|)) 40) (((|Fraction| (|Integer|)) |#2|) 23))) 
+(((|FunctionSpaceReduce| |#1| |#2|) (CATEGORY |package| (SIGNATURE |bringDown| ((|Fraction| (|Integer|)) |#2|)) (SIGNATURE |bringDown| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|))) (SIGNATURE |newReduc| ((|Void|)))) (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|))) (|FunctionSpace| |#1|)) (T |FunctionSpaceReduce|)) 
+((|newReduc| (*1 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FunctionSpaceReduce| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) (|bringDown| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceReduce| *5 *3)))) (|bringDown| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|FunctionSpaceReduce| *4 *3)) (|ofCategory| *3 (|FunctionSpace| *4))))) 
+(CATEGORY |package| (SIGNATURE |bringDown| ((|Fraction| (|Integer|)) |#2|)) (SIGNATURE |bringDown| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|))) (SIGNATURE |newReduc| ((|Void|)))) 
+((|real?| (((|Boolean|) $) 28)) (|logical?| (((|Boolean|) $) 30)) (|integer?| (((|Boolean|) $) 31)) (|doubleComplex?| (((|Boolean|) $) 34)) (|double?| (((|Boolean|) $) 29)) (|complex?| (((|Boolean|) $) 33)) (|coerce| (((|OutputForm|) $) 18) (($ (|String|)) 27) (($ (|Symbol|)) 23) (((|Symbol|) $) 22) (((|SExpression|) $) 21)) (|character?| (((|Boolean|) $) 32)) (= (((|Boolean|) $ $) 15))) 
+(((|FortranScalarType|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|String|))) (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE |coerce| ((|Symbol|) $)) (SIGNATURE |coerce| ((|SExpression|) $)) (SIGNATURE |real?| ((|Boolean|) $)) (SIGNATURE |double?| ((|Boolean|) $)) (SIGNATURE |integer?| ((|Boolean|) $)) (SIGNATURE |complex?| ((|Boolean|) $)) (SIGNATURE |doubleComplex?| ((|Boolean|) $)) (SIGNATURE |character?| ((|Boolean|) $)) (SIGNATURE |logical?| ((|Boolean|) $)) (SIGNATURE = ((|Boolean|) $ $))))) (T |FortranScalarType|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranScalarType|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranScalarType|)))) (|real?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (|double?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (|integer?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (|complex?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (|doubleComplex?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (|character?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (|logical?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|String|))) (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE |coerce| ((|Symbol|) $)) (SIGNATURE |coerce| ((|SExpression|) $)) (SIGNATURE |real?| ((|Boolean|) $)) (SIGNATURE |double?| ((|Boolean|) $)) (SIGNATURE |integer?| ((|Boolean|) $)) (SIGNATURE |complex?| ((|Boolean|) $)) (SIGNATURE |doubleComplex?| ((|Boolean|) $)) (SIGNATURE |character?| ((|Boolean|) $)) (SIGNATURE |logical?| ((|Boolean|) $)) (SIGNATURE = ((|Boolean|) $ $)))) 
+((|qfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|) 68)) (|ffactor| (((|Factored| |#3|) |#3|) 33)) (|anfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|) 27 (|has| |#2| (|RetractableTo| (|AlgebraicNumber|))))) (|UP2ifCan| (((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|) 35))) 
+(((|FunctionSpaceUnivariatePolynomialFactor| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |ffactor| ((|Factored| |#3|) |#3|)) (SIGNATURE |qfactor| ((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|)) (SIGNATURE |UP2ifCan| ((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|)) (IF (|has| |#2| (|RetractableTo| (|AlgebraicNumber|))) (SIGNATURE |anfactor| ((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|)) |noBranch|)) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|))) (|FunctionSpace| |#1|) (|UnivariatePolynomialCategory| |#2|)) (T |FunctionSpaceUnivariatePolynomialFactor|)) 
+((|anfactor| (*1 *2 *3) (|partial| AND (|ofCategory| *5 (|RetractableTo| (|AlgebraicNumber|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|UP2ifCan| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|qfactor| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|ffactor| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |ffactor| ((|Factored| |#3|) |#3|)) (SIGNATURE |qfactor| ((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|)) (SIGNATURE |UP2ifCan| ((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|)) (IF (|has| |#2| (|RetractableTo| (|AlgebraicNumber|))) (SIGNATURE |anfactor| ((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|)) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|write!| (((|String|) $ (|String|)) NIL)) (|reopen!| (($ $ (|String|)) NIL)) (|read!| (((|String|) $) NIL)) (|processTemplate| (((|FileName|) (|FileName|) (|FileName|)) 17) (((|FileName|) (|FileName|)) 15)) (|open| (($ (|FileName|)) NIL) (($ (|FileName|) (|String|)) NIL)) (|name| (((|FileName|) $) NIL)) (|latex| (((|String|) $) NIL)) (|iomode| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fortranLiteralLine| (((|Void|) (|String|)) 9)) (|fortranLiteral| (((|Void|) (|String|)) 10)) (|fortranCarriageReturn| (((|Void|)) 11)) (|flush| (((|Void|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|close!| (($ $) 34)) (= (((|Boolean|) $ $) NIL))) 
+(((|FortranTemplate|) (|Join| (|FileCategory| (|FileName|) (|String|)) (CATEGORY |package| (SIGNATURE |processTemplate| ((|FileName|) (|FileName|) (|FileName|))) (SIGNATURE |processTemplate| ((|FileName|) (|FileName|))) (SIGNATURE |fortranLiteralLine| ((|Void|) (|String|))) (SIGNATURE |fortranLiteral| ((|Void|) (|String|))) (SIGNATURE |fortranCarriageReturn| ((|Void|)))))) (T |FortranTemplate|)) 
+((|processTemplate| (*1 *2 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) (|processTemplate| (*1 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) (|fortranLiteralLine| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|)))) (|fortranLiteral| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|)))) (|fortranCarriageReturn| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(|Join| (|FileCategory| (|FileName|) (|String|)) (CATEGORY |package| (SIGNATURE |processTemplate| ((|FileName|) (|FileName|) (|FileName|))) (SIGNATURE |processTemplate| ((|FileName|) (|FileName|))) (SIGNATURE |fortranLiteralLine| ((|Void|) (|String|))) (SIGNATURE |fortranLiteral| ((|Void|) (|String|))) (SIGNATURE |fortranCarriageReturn| ((|Void|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|scalarTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) 10)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fortranReal| (($) 31)) (|fortranLogical| (($) 37)) (|fortranInteger| (($) 33)) (|fortranDoubleComplex| (($) 35)) (|fortranDouble| (($) 32)) (|fortranComplex| (($) 34)) (|fortranCharacter| (($) 36)) (|external?| (((|Boolean|) $) 8)) (|dimensionsOf| (((|List| (|Polynomial| (|Integer|))) $) 16)) (|construct| (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|)) 25) (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|)) 26)) (|coerce| (((|OutputForm|) $) 21) (($ (|FortranScalarType|)) 28)) (= (((|Boolean|) $ $) NIL))) 
+(((|FortranType|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |coerce| ($ (|FortranScalarType|))) (SIGNATURE |scalarTypeOf| ((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $)) (SIGNATURE |dimensionsOf| ((|List| (|Polynomial| (|Integer|))) $)) (SIGNATURE |external?| ((|Boolean|) $)) (SIGNATURE |construct| ($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|))) (SIGNATURE |construct| ($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|))) (SIGNATURE |fortranReal| ($)) (SIGNATURE |fortranDouble| ($)) (SIGNATURE |fortranInteger| ($)) (SIGNATURE |fortranLogical| ($)) (SIGNATURE |fortranComplex| ($)) (SIGNATURE |fortranDoubleComplex| ($)) (SIGNATURE |fortranCharacter| ($))))) (T |FortranType|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranType|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranScalarType|)) (|isDomain| *1 (|FortranType|)))) (|scalarTypeOf| (*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|FortranType|)))) (|dimensionsOf| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranType|)))) (|external?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) (|construct| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) (|construct| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) (|fortranReal| (*1 *1) (|isDomain| *1 (|FortranType|))) (|fortranDouble| (*1 *1) (|isDomain| *1 (|FortranType|))) (|fortranInteger| (*1 *1) (|isDomain| *1 (|FortranType|))) (|fortranLogical| (*1 *1) (|isDomain| *1 (|FortranType|))) (|fortranComplex| (*1 *1) (|isDomain| *1 (|FortranType|))) (|fortranDoubleComplex| (*1 *1) (|isDomain| *1 (|FortranType|))) (|fortranCharacter| (*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |coerce| ($ (|FortranScalarType|))) (SIGNATURE |scalarTypeOf| ((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $)) (SIGNATURE |dimensionsOf| ((|List| (|Polynomial| (|Integer|))) $)) (SIGNATURE |external?| ((|Boolean|) $)) (SIGNATURE |construct| ($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|))) (SIGNATURE |construct| ($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|))) (SIGNATURE |fortranReal| ($)) (SIGNATURE |fortranDouble| ($)) (SIGNATURE |fortranInteger| ($)) (SIGNATURE |fortranLogical| ($)) (SIGNATURE |fortranComplex| ($)) (SIGNATURE |fortranDoubleComplex| ($)) (SIGNATURE |fortranCharacter| ($)))) 
+((~= (((|Boolean|) $ $) NIL)) (|name| (((|Symbol|) $) 8)) (|latex| (((|String|) $) 16)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 13))) 
+(((|FunctionCalled| |#1|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)))) (|Symbol|)) (T |FunctionCalled|)) 
+((|name| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FunctionCalled| *3)) (|ofType| *3 *2)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)))) 
+((|outputAsFortran| (((|Void|) $) 7)) (|coerce| (((|OutputForm|) $) 8) (($ (|Vector| (|MachineFloat|))) 12) (($ (|List| (|FortranCode|))) 11) (($ (|FortranCode|)) 10) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 9))) 
+(((|FortranVectorCategory|) (|Category|)) (T |FortranVectorCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|MachineFloat|))) (|ofCategory| *1 (|FortranVectorCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorCategory|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|MachineFloat|)))) (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))))) 
+(((|CoercibleTo| (|OutputForm|)) . T) ((|FortranProgramCategory|) . T) ((|Type|) . T)) 
+((|retractIfCan| (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) 19) (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) 17) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) 15) (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) 13) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 11) (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 9)) (|retract| (($ (|Vector| (|Expression| (|Float|)))) 20) (($ (|Vector| (|Expression| (|Integer|)))) 18) (($ (|Vector| (|Polynomial| (|Float|)))) 16) (($ (|Vector| (|Polynomial| (|Integer|)))) 14) (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) 12) (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) 10)) (|outputAsFortran| (((|Void|) $) 7)) (|coerce| (((|OutputForm|) $) 8) (($ (|List| (|FortranCode|))) 23) (($ (|FortranCode|)) 22) (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) 21))) 
+(((|FortranVectorFunctionCategory|) (|Category|)) (T |FortranVectorFunctionCategory|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|List| (|FortranCode|)))) (SIGNATURE |coerce| ($ (|FortranCode|))) (SIGNATURE |coerce| ($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|)))))) (SIGNATURE |retract| ($ (|Vector| (|Expression| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Vector| (|Expression| (|Float|))))) (SIGNATURE |retract| ($ (|Vector| (|Expression| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Vector| (|Expression| (|Integer|))))) (SIGNATURE |retract| ($ (|Vector| (|Polynomial| (|Float|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|))))) (SIGNATURE |retract| ($ (|Vector| (|Polynomial| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|))))) (SIGNATURE |retract| ($ (|Vector| (|Fraction| (|Polynomial| (|Float|)))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|)))))) (SIGNATURE |retract| ($ (|Vector| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|)))))))) 
+(((|CoercibleTo| (|OutputForm|)) . T) ((|FortranProgramCategory|) . T) ((|Type|) . T)) 
+((|useSingleFactorBound?| (((|Boolean|)) 17)) (|useSingleFactorBound| (((|Boolean|) (|Boolean|)) 18)) (|useEisensteinCriterion?| (((|Boolean|)) 13)) (|useEisensteinCriterion| (((|Boolean|) (|Boolean|)) 14)) (|tryFunctionalDecomposition?| (((|Boolean|)) 15)) (|tryFunctionalDecomposition| (((|Boolean|) (|Boolean|)) 16)) (|stopMusserTrials| (((|PositiveInteger|) (|PositiveInteger|)) 21) (((|PositiveInteger|)) 20)) (|numberOfFactors| (((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) 41)) (|musserTrials| (((|PositiveInteger|) (|PositiveInteger|)) 23) (((|PositiveInteger|)) 22)) (|modularFactor| (((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|) 61)) (|makeFR| (((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|))))))) 125)) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) 151)) (|factorSquareFree| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) 164) (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) 161) (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) 163) (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) 162) (((|Factored| |#1|) |#1|) 160)) (|factorOfDegree| (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|)) 166) (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) 167) (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|))) 169) (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|)) 168) (((|Union| |#1| "failed") (|PositiveInteger|) |#1|) 170)) (|factor| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) 159) (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) 155) (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) 157) (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) 156) (((|Factored| |#1|) |#1|) 154)) (|eisensteinIrreducible?| (((|Boolean|) |#1|) 36)) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) 66)) (|btwFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)) 153))) 
+(((|GaloisGroupFactorizer| |#1|) (CATEGORY |package| (SIGNATURE |makeFR| ((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))))) (SIGNATURE |degreePartition| ((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))))) (SIGNATURE |musserTrials| ((|PositiveInteger|))) (SIGNATURE |musserTrials| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |stopMusserTrials| ((|PositiveInteger|))) (SIGNATURE |stopMusserTrials| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |numberOfFactors| ((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))))) (SIGNATURE |modularFactor| ((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|)) (SIGNATURE |useSingleFactorBound?| ((|Boolean|))) (SIGNATURE |useSingleFactorBound| ((|Boolean|) (|Boolean|))) (SIGNATURE |useEisensteinCriterion?| ((|Boolean|))) (SIGNATURE |useEisensteinCriterion| ((|Boolean|) (|Boolean|))) (SIGNATURE |eisensteinIrreducible?| ((|Boolean|) |#1|)) (SIGNATURE |tryFunctionalDecomposition?| ((|Boolean|))) (SIGNATURE |tryFunctionalDecomposition| ((|Boolean|) (|Boolean|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)))) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|NonNegativeInteger|))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1|)) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|))) (SIGNATURE |henselFact| ((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|))) (SIGNATURE |btwFact| ((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)))) (|UnivariatePolynomialCategory| (|Integer|))) (T |GaloisGroupFactorizer|)) 
+((|btwFact| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Set| (|NonNegativeInteger|))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|henselFact| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorOfDegree| (*1 *2 *3 *2 *4 *5 *6) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorOfDegree| (*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorOfDegree| (*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorOfDegree| (*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorOfDegree| (*1 *2 *3 *2) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorSquareFree| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorSquareFree| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorSquareFree| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorSquareFree| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorSquareFree| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factor| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factor| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|tryFunctionalDecomposition| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|tryFunctionalDecomposition?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|eisensteinIrreducible?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|useEisensteinCriterion| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|useEisensteinCriterion?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|useSingleFactorBound| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|useSingleFactorBound?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|modularFactor| (*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| *3)))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|numberOfFactors| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) (|stopMusserTrials| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|stopMusserTrials| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|musserTrials| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|musserTrials| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|degreePartition| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) (|makeFR| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *4) (|:| |pow| (|Integer|))))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(CATEGORY |package| (SIGNATURE |makeFR| ((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))))) (SIGNATURE |degreePartition| ((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))))) (SIGNATURE |musserTrials| ((|PositiveInteger|))) (SIGNATURE |musserTrials| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |stopMusserTrials| ((|PositiveInteger|))) (SIGNATURE |stopMusserTrials| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |numberOfFactors| ((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))))) (SIGNATURE |modularFactor| ((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|)) (SIGNATURE |useSingleFactorBound?| ((|Boolean|))) (SIGNATURE |useSingleFactorBound| ((|Boolean|) (|Boolean|))) (SIGNATURE |useEisensteinCriterion?| ((|Boolean|))) (SIGNATURE |useEisensteinCriterion| ((|Boolean|) (|Boolean|))) (SIGNATURE |eisensteinIrreducible?| ((|Boolean|) |#1|)) (SIGNATURE |tryFunctionalDecomposition?| ((|Boolean|))) (SIGNATURE |tryFunctionalDecomposition| ((|Boolean|) (|Boolean|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)))) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|NonNegativeInteger|))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1|)) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |factorOfDegree| ((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|))) (SIGNATURE |henselFact| ((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|))) (SIGNATURE |btwFact| ((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)))) 
+((|singleFactorBound| (((|Integer|) |#2|) 48) (((|Integer|) |#2| (|NonNegativeInteger|)) 47)) (|rootBound| (((|Integer|) |#2|) 55)) (|quadraticNorm| ((|#3| |#2|) 25)) (|norm| ((|#3| |#2| (|PositiveInteger|)) 14)) (|length| ((|#3| |#2|) 15)) (|infinityNorm| ((|#3| |#2|) 9)) (|height| ((|#3| |#2|) 10)) (|bombieriNorm| ((|#3| |#2| (|PositiveInteger|)) 62) ((|#3| |#2|) 30)) (|beauzamyBound| (((|Integer|) |#2|) 57))) 
+(((|GaloisGroupFactorizationUtilities| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |beauzamyBound| ((|Integer|) |#2|)) (SIGNATURE |bombieriNorm| (|#3| |#2|)) (SIGNATURE |bombieriNorm| (|#3| |#2| (|PositiveInteger|))) (SIGNATURE |rootBound| ((|Integer|) |#2|)) (SIGNATURE |singleFactorBound| ((|Integer|) |#2| (|NonNegativeInteger|))) (SIGNATURE |singleFactorBound| ((|Integer|) |#2|)) (SIGNATURE |norm| (|#3| |#2| (|PositiveInteger|))) (SIGNATURE |quadraticNorm| (|#3| |#2|)) (SIGNATURE |infinityNorm| (|#3| |#2|)) (SIGNATURE |height| (|#3| |#2|)) (SIGNATURE |length| (|#3| |#2|))) (|Ring|) (|UnivariatePolynomialCategory| |#1|) (|Join| (|FloatingPointSystem|) (|RetractableTo| |#1|) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (T |GaloisGroupFactorizationUtilities|)) 
+((|length| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|height| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|infinityNorm| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|quadraticNorm| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|norm| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|singleFactorBound| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) (|singleFactorBound| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *6 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) (|rootBound| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) (|bombieriNorm| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|bombieriNorm| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|beauzamyBound| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |beauzamyBound| ((|Integer|) |#2|)) (SIGNATURE |bombieriNorm| (|#3| |#2|)) (SIGNATURE |bombieriNorm| (|#3| |#2| (|PositiveInteger|))) (SIGNATURE |rootBound| ((|Integer|) |#2|)) (SIGNATURE |singleFactorBound| ((|Integer|) |#2| (|NonNegativeInteger|))) (SIGNATURE |singleFactorBound| ((|Integer|) |#2|)) (SIGNATURE |norm| (|#3| |#2| (|PositiveInteger|))) (SIGNATURE |quadraticNorm| (|#3| |#2|)) (SIGNATURE |infinityNorm| (|#3| |#2|)) (SIGNATURE |height| (|#3| |#2|)) (SIGNATURE |length| (|#3| |#2|))) 
+((|unvectorise| ((|#2| (|Vector| |#1|)) 36)) (|shiftRoots| ((|#2| |#2| |#1|) 49)) (|scaleRoots| ((|#2| |#2| |#1|) 41)) (|reverse| ((|#2| |#2|) 38)) (|monic?| (((|Boolean|) |#2|) 30)) (|factorsOfDegree| (((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)) 16)) (|factorOfDegree| ((|#2| (|PositiveInteger|) (|Factored| |#2|)) 21)) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|)) 25))) 
+(((|GaloisGroupPolynomialUtilities| |#1| |#2|) (CATEGORY |package| (SIGNATURE |monic?| ((|Boolean|) |#2|)) (SIGNATURE |unvectorise| (|#2| (|Vector| |#1|))) (SIGNATURE |reverse| (|#2| |#2|)) (SIGNATURE |scaleRoots| (|#2| |#2| |#1|)) (SIGNATURE |shiftRoots| (|#2| |#2| |#1|)) (SIGNATURE |degreePartition| ((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|))) (SIGNATURE |factorOfDegree| (|#2| (|PositiveInteger|) (|Factored| |#2|))) (SIGNATURE |factorsOfDegree| ((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)))) (|Ring|) (|UnivariatePolynomialCategory| |#1|)) (T |GaloisGroupPolynomialUtilities|)) 
+((|factorsOfDegree| (*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *6)))) (|factorOfDegree| (*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *2)) (|ofCategory| *5 (|Ring|)))) (|degreePartition| (*1 *2 *3) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *5)))) (|shiftRoots| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|scaleRoots| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|reverse| (*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|unvectorise| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *2)))) (|monic?| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |monic?| ((|Boolean|) |#2|)) (SIGNATURE |unvectorise| (|#2| (|Vector| |#1|))) (SIGNATURE |reverse| (|#2| |#2|)) (SIGNATURE |scaleRoots| (|#2| |#2| |#1|)) (SIGNATURE |shiftRoots| (|#2| |#2| |#1|)) (SIGNATURE |degreePartition| ((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|))) (SIGNATURE |factorOfDegree| (|#2| (|PositiveInteger|) (|Factored| |#2|))) (SIGNATURE |factorsOfDegree| ((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)))) 
+((|sizePascalTriangle| (((|NonNegativeInteger|)) 41)) (|safetyMargin| (((|NonNegativeInteger|)) 23 (|has| |#1| (|FloatingPointSystem|))) (((|NonNegativeInteger|) (|NonNegativeInteger|)) 22 (|has| |#1| (|FloatingPointSystem|)))) (|safeFloor| (((|Integer|) |#1|) 18 (|has| |#1| (|FloatingPointSystem|)))) (|safeCeiling| (((|Integer|) |#1|) 20 (|has| |#1| (|FloatingPointSystem|)))) (|rangePascalTriangle| (((|NonNegativeInteger|)) 40) (((|NonNegativeInteger|) (|NonNegativeInteger|)) 39)) (|pascalTriangle| ((|#1| (|NonNegativeInteger|) (|Integer|)) 29)) (|fillPascalTriangle| (((|Void|)) 43))) 
+(((|GaloisGroupUtilities| |#1|) (CATEGORY |package| (SIGNATURE |pascalTriangle| (|#1| (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |rangePascalTriangle| ((|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |rangePascalTriangle| ((|NonNegativeInteger|))) (SIGNATURE |sizePascalTriangle| ((|NonNegativeInteger|))) (SIGNATURE |fillPascalTriangle| ((|Void|))) (IF (|has| |#1| (|FloatingPointSystem|)) (PROGN (SIGNATURE |safeCeiling| ((|Integer|) |#1|)) (SIGNATURE |safeFloor| ((|Integer|) |#1|)) (SIGNATURE |safetyMargin| ((|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |safetyMargin| ((|NonNegativeInteger|)))) |noBranch|)) (|Ring|)) (T |GaloisGroupUtilities|)) 
+((|safetyMargin| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) (|safetyMargin| (*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) (|safeFloor| (*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) (|safeCeiling| (*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) (|fillPascalTriangle| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) (|sizePascalTriangle| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) (|rangePascalTriangle| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) (|rangePascalTriangle| (*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) (|pascalTriangle| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *2)) (|ofCategory| *2 (|Ring|))))) 
+(CATEGORY |package| (SIGNATURE |pascalTriangle| (|#1| (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |rangePascalTriangle| ((|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |rangePascalTriangle| ((|NonNegativeInteger|))) (SIGNATURE |sizePascalTriangle| ((|NonNegativeInteger|))) (SIGNATURE |fillPascalTriangle| ((|Void|))) (IF (|has| |#1| (|FloatingPointSystem|)) (PROGN (SIGNATURE |safeCeiling| ((|Integer|) |#1|)) (SIGNATURE |safeFloor| ((|Integer|) |#1|)) (SIGNATURE |safetyMargin| ((|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |safetyMargin| ((|NonNegativeInteger|)))) |noBranch|)) 
+((|sumSquares| (((|List| (|Integer|)) (|Integer|)) 57)) (|prime?| (((|Boolean|) (|Complex| (|Integer|))) 61)) (|factor| (((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|))) 56))) 
+(((|GaussianFactorizationPackage|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|)))) (SIGNATURE |sumSquares| ((|List| (|Integer|)) (|Integer|))) (SIGNATURE |prime?| ((|Boolean|) (|Complex| (|Integer|)))))) (T |GaussianFactorizationPackage|)) 
+((|prime?| (*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaussianFactorizationPackage|)))) (|sumSquares| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Integer|)))) (|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|Complex| (|Integer|)))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Complex| (|Integer|)))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|)))) (SIGNATURE |sumSquares| ((|List| (|Integer|)) (|Integer|))) (SIGNATURE |prime?| ((|Boolean|) (|Complex| (|Integer|))))) 
+((|euclideanNormalForm| ((|#4| |#4| (|List| |#4|)) 57)) (|euclideanGroebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) 17) (((|List| |#4|) (|List| |#4|) (|String|)) 16) (((|List| |#4|) (|List| |#4|)) 11))) 
+(((|EuclideanGroebnerBasisPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |euclideanNormalForm| (|#4| |#4| (|List| |#4|))) (SIGNATURE |euclideanGroebner| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |euclideanGroebner| ((|List| |#4|) (|List| |#4|) (|String|))) (SIGNATURE |euclideanGroebner| ((|List| |#4|) (|List| |#4|) (|String|) (|String|)))) (|EuclideanDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |EuclideanGroebnerBasisPackage|)) 
+((|euclideanGroebner| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7)))) (|euclideanGroebner| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7)))) (|euclideanGroebner| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *3 *4 *5 *6)))) (|euclideanNormalForm| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *2))))) 
+(CATEGORY |package| (SIGNATURE |euclideanNormalForm| (|#4| |#4| (|List| |#4|))) (SIGNATURE |euclideanGroebner| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |euclideanGroebner| ((|List| |#4|) (|List| |#4|) (|String|))) (SIGNATURE |euclideanGroebner| ((|List| |#4|) (|List| |#4|) (|String|) (|String|)))) 
+((|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) 70) (((|List| (|List| |#4|)) (|List| |#4|)) 69) (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) 63) (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) 64)) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) 40) (((|List| (|List| |#4|)) (|List| |#4|)) 60))) 
+(((|GroebnerFactorizationPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factorGroebnerBasis| ((|List| (|List| |#4|)) (|List| |#4|))) (SIGNATURE |factorGroebnerBasis| ((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)))) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |GroebnerFactorizationPackage|)) 
+((|groebnerFactorize| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) (|groebnerFactorize| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|groebnerFactorize| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) (|groebnerFactorize| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|factorGroebnerBasis| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) (|factorGroebnerBasis| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(CATEGORY |package| (SIGNATURE |factorGroebnerBasis| ((|List| (|List| |#4|)) (|List| |#4|))) (SIGNATURE |factorGroebnerBasis| ((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|))) (SIGNATURE |groebnerFactorize| ((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)))) 
+((|virtualDegree| (((|NonNegativeInteger|) |#4|) 12)) (|updatF| (((|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))) |#4| (|NonNegativeInteger|) (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)))) 31)) (|updatD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (|sPol| ((|#4| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (|redPol| ((|#4| |#4| (|List| |#4|)) 39)) (|redPo| (((|Record| (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (|List| |#4|)) 68)) (|prinshINFO| (((|Void|) |#4|) 41)) (|prinpolINFO| (((|Void|) (|List| |#4|)) 50)) (|prindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|)) 47)) (|prinb| (((|Void|) (|Integer|)) 75)) (|minGbasis| (((|List| |#4|) (|List| |#4|)) 73)) (|makeCrit| (((|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)) |#4| (|NonNegativeInteger|)) 25)) (|lepol| (((|Integer|) |#4|) 74)) (|hMonic| ((|#4| |#4|) 29)) (|gbasis| (((|List| |#4|) (|List| |#4|) (|Integer|) (|Integer|)) 54)) (|fprindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 85)) (|critpOrder| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (|critT| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (|critMonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (|critMTonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (|critM| (((|Boolean|) |#2| |#2|) 55)) (|critBonD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (|critB| (((|Boolean|) |#2| |#2| |#2| |#2|) 58)) (|credPol| ((|#4| |#4| (|List| |#4|)) 69))) 
+(((|GroebnerInternalPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |credPol| (|#4| |#4| (|List| |#4|))) (SIGNATURE |redPol| (|#4| |#4| (|List| |#4|))) (SIGNATURE |gbasis| ((|List| |#4|) (|List| |#4|) (|Integer|) (|Integer|))) (SIGNATURE |critT| ((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (SIGNATURE |critM| ((|Boolean|) |#2| |#2|)) (SIGNATURE |critB| ((|Boolean|) |#2| |#2| |#2| |#2|)) (SIGNATURE |critBonD| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |critMTonD1| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |critMonD1| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |redPo| ((|Record| (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (|List| |#4|))) (SIGNATURE |hMonic| (|#4| |#4|)) (SIGNATURE |updatF| ((|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))) |#4| (|NonNegativeInteger|) (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))))) (SIGNATURE |sPol| (|#4| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (SIGNATURE |updatD| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |minGbasis| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |lepol| ((|Integer|) |#4|)) (SIGNATURE |prinshINFO| ((|Void|) |#4|)) (SIGNATURE |prindINFO| ((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |fprindINFO| ((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |prinpolINFO| ((|Void|) (|List| |#4|))) (SIGNATURE |prinb| ((|Void|) (|Integer|))) (SIGNATURE |critpOrder| ((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (SIGNATURE |makeCrit| ((|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)) |#4| (|NonNegativeInteger|))) (SIGNATURE |virtualDegree| ((|NonNegativeInteger|) |#4|))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |GroebnerInternalPackage|)) 
+((|virtualDegree| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)))) (|makeCrit| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *4))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *4 (|PolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (|isDomain| *1 (|GroebnerInternalPackage| *6 *7 *8 *4)))) (|critpOrder| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)))) (|prinb| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) (|prinpolINFO| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)))) (|fprindINFO| (*1 *2 *3 *4 *4 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4)))) (|prindINFO| (*1 *2 *3 *4 *4 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4)))) (|prinshINFO| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)))) (|lepol| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)))) (|minGbasis| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6)))) (|updatD| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6)))) (|sPol| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *2) (|:| |polj| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)))) (|updatF| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *3)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3)))) (|hMonic| (*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) (|redPo| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |poly| *3) (|:| |mult| *5))) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3)))) (|critMonD1| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *3) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)))) (|critMTonD1| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6)))) (|critBonD| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *3) (|:| |polj| *3)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)))) (|critB| (*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)))) (|critM| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)))) (|critT| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)))) (|gbasis| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)))) (|redPol| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)))) (|credPol| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(CATEGORY |package| (SIGNATURE |credPol| (|#4| |#4| (|List| |#4|))) (SIGNATURE |redPol| (|#4| |#4| (|List| |#4|))) (SIGNATURE |gbasis| ((|List| |#4|) (|List| |#4|) (|Integer|) (|Integer|))) (SIGNATURE |critT| ((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (SIGNATURE |critM| ((|Boolean|) |#2| |#2|)) (SIGNATURE |critB| ((|Boolean|) |#2| |#2| |#2| |#2|)) (SIGNATURE |critBonD| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |critMTonD1| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |critMonD1| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |redPo| ((|Record| (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (|List| |#4|))) (SIGNATURE |hMonic| (|#4| |#4|)) (SIGNATURE |updatF| ((|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))) |#4| (|NonNegativeInteger|) (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))))) (SIGNATURE |sPol| (|#4| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (SIGNATURE |updatD| ((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (SIGNATURE |minGbasis| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |lepol| ((|Integer|) |#4|)) (SIGNATURE |prinshINFO| ((|Void|) |#4|)) (SIGNATURE |prindINFO| ((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |fprindINFO| ((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |prinpolINFO| ((|Void|) (|List| |#4|))) (SIGNATURE |prinb| ((|Void|) (|Integer|))) (SIGNATURE |critpOrder| ((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (SIGNATURE |makeCrit| ((|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)) |#4| (|NonNegativeInteger|))) (SIGNATURE |virtualDegree| ((|NonNegativeInteger|) |#4|))) 
+((|normalForm| ((|#4| |#4| (|List| |#4|)) 22 (|has| |#1| (|Field|)))) (|groebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) 41) (((|List| |#4|) (|List| |#4|) (|String|)) 40) (((|List| |#4|) (|List| |#4|)) 35))) 
+(((|GroebnerPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |groebner| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |groebner| ((|List| |#4|) (|List| |#4|) (|String|))) (SIGNATURE |groebner| ((|List| |#4|) (|List| |#4|) (|String|) (|String|))) (IF (|has| |#1| (|Field|)) (SIGNATURE |normalForm| (|#4| |#4| (|List| |#4|))) |noBranch|)) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |GroebnerPackage|)) 
+((|normalForm| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *2)))) (|groebner| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) (|groebner| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) (|groebner| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *3 *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |groebner| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |groebner| ((|List| |#4|) (|List| |#4|) (|String|))) (SIGNATURE |groebner| ((|List| |#4|) (|List| |#4|) (|String|) (|String|))) (IF (|has| |#1| (|Field|)) (SIGNATURE |normalForm| (|#4| |#4| (|List| |#4|))) |noBranch|)) 
+((|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 43)) (|lcm| (($ $ $) 14) (($ (|List| $)) 21)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 41)) (|gcd| (($ $ $) NIL) (($ (|List| $)) 22))) 
+(((|GcdDomain&| |#1|) (CATEGORY |domain| (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |lcm| (|#1| (|List| |#1|))) (SIGNATURE |lcm| (|#1| |#1| |#1|)) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |lcmCoef| ((|Record| (|:| |llcmres| |#1|) (|:| |coeff1| |#1|) (|:| |coeff2| |#1|)) |#1| |#1|))) (|GcdDomain|)) (T |GcdDomain&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |lcm| (|#1| (|List| |#1|))) (SIGNATURE |lcm| (|#1| |#1| |#1|)) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |lcmCoef| ((|Record| (|:| |llcmres| |#1|) (|:| |coeff1| |#1|) (|:| |coeff2| |#1|)) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|GcdDomain|) (|Category|)) (T |GcdDomain|)) 
+((|gcd| (*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) (|gcd| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) (|lcm| (*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) (|lcm| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) (|gcdPolynomial| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|GcdDomain|))))) 
+(|Join| (|IntegralDomain|) (|LeftOreRing|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)) (SIGNATURE |gcd| ($ (|List| $))) (SIGNATURE |lcm| ($ $ $)) (SIGNATURE |lcm| ($ (|List| $))) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unit| (((|Union| $ "failed")) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|structuralConstants| (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| $)) NIL) (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|))))) NIL)) (|someBasis| (((|Vector| $)) NIL)) (|sample| (($) NIL T CONST)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL)) (|rightUnit| (((|Union| $ "failed")) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|rightTraceMatrix| (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Vector| $)) NIL) (((|Matrix| (|Fraction| (|Polynomial| |#1|)))) NIL)) (|rightTrace| (((|Fraction| (|Polynomial| |#1|)) $) NIL)) (|rightRegularRepresentation| (((|Matrix| (|Fraction| (|Polynomial| |#1|))) $ (|Vector| $)) NIL) (((|Matrix| (|Fraction| (|Polynomial| |#1|))) $) NIL)) (|rightRecip| (((|Union| $ "failed") $) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| (|Fraction| (|Polynomial| |#1|))))) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|Field|))) (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) 79 (|has| |#1| (|IntegralDomain|)))) (|rightPower| (($ $ (|PositiveInteger|)) NIL)) (|rightNorm| (((|Fraction| (|Polynomial| |#1|)) $) NIL)) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) 77 (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|rightDiscriminant| (((|Fraction| (|Polynomial| |#1|)) (|Vector| $)) NIL) (((|Fraction| (|Polynomial| |#1|))) NIL)) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) NIL)) (|rightAlternative?| (((|Boolean|)) NIL)) (|represents| (($ (|Vector| (|Fraction| (|Polynomial| |#1|))) (|Vector| $)) 97) (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) NIL)) (|recip| (((|Union| $ "failed") $) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|rank| (((|PositiveInteger|)) NIL)) (|powerAssociative?| (((|Boolean|)) NIL)) (|plenaryPower| (($ $ (|PositiveInteger|)) NIL)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) NIL)) (|lieAlgebra?| (((|Boolean|)) NIL)) (|lieAdmissible?| (((|Boolean|)) NIL)) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL)) (|leftUnit| (((|Union| $ "failed")) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|leftTraceMatrix| (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Vector| $)) NIL) (((|Matrix| (|Fraction| (|Polynomial| |#1|)))) NIL)) (|leftTrace| (((|Fraction| (|Polynomial| |#1|)) $) NIL)) (|leftRegularRepresentation| (((|Matrix| (|Fraction| (|Polynomial| |#1|))) $ (|Vector| $)) NIL) (((|Matrix| (|Fraction| (|Polynomial| |#1|))) $) NIL)) (|leftRecip| (((|Union| $ "failed") $) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| (|Fraction| (|Polynomial| |#1|))))) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|Field|))) (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) 78 (|has| |#1| (|IntegralDomain|)))) (|leftPower| (($ $ (|PositiveInteger|)) NIL)) (|leftNorm| (((|Fraction| (|Polynomial| |#1|)) $) NIL)) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) 72 (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|leftDiscriminant| (((|Fraction| (|Polynomial| |#1|)) (|Vector| $)) NIL) (((|Fraction| (|Polynomial| |#1|))) NIL)) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) NIL)) (|leftAlternative?| (((|Boolean|)) NIL)) (|latex| (((|String|) $) NIL)) (|jordanAlgebra?| (((|Boolean|)) NIL)) (|jordanAdmissible?| (((|Boolean|)) NIL)) (|jacobiIdentity?| (((|Boolean|)) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|genericRightTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) 66 (|has| |#1| (|IntegralDomain|)))) (|genericRightTrace| (((|Fraction| (|Polynomial| |#1|)) $) 65 (|has| |#1| (|IntegralDomain|)))) (|genericRightNorm| (((|Fraction| (|Polynomial| |#1|)) $) 89 (|has| |#1| (|IntegralDomain|)))) (|genericRightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) 83 (|has| |#1| (|IntegralDomain|)))) (|genericRightDiscriminant| (((|Fraction| (|Polynomial| |#1|))) 67 (|has| |#1| (|IntegralDomain|)))) (|genericLeftTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) 54 (|has| |#1| (|IntegralDomain|)))) (|genericLeftTrace| (((|Fraction| (|Polynomial| |#1|)) $) 53 (|has| |#1| (|IntegralDomain|)))) (|genericLeftNorm| (((|Fraction| (|Polynomial| |#1|)) $) 88 (|has| |#1| (|IntegralDomain|)))) (|genericLeftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) 82 (|has| |#1| (|IntegralDomain|)))) (|genericLeftDiscriminant| (((|Fraction| (|Polynomial| |#1|))) 64 (|has| |#1| (|IntegralDomain|)))) (|generic| (($) 95) (($ (|Symbol|)) 101) (($ (|Vector| (|Symbol|))) 100) (($ (|Vector| $)) 90) (($ (|Symbol|) (|Vector| $)) 99) (($ (|Vector| (|Symbol|)) (|Vector| $)) 98)) (|flexible?| (((|Boolean|)) NIL)) (|elt| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) NIL)) (|coordinates| (((|Vector| (|Fraction| (|Polynomial| |#1|))) $ (|Vector| $)) 92) (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Vector| $) (|Vector| $)) NIL) (((|Vector| (|Fraction| (|Polynomial| |#1|))) $) 37) (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Vector| $)) NIL)) (|convert| (((|Vector| (|Fraction| (|Polynomial| |#1|))) $) NIL) (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) 34)) (|conditionsForIdempotents| (((|List| (|Polynomial| (|Fraction| (|Polynomial| |#1|)))) (|Vector| $)) NIL) (((|List| (|Polynomial| (|Fraction| (|Polynomial| |#1|))))) NIL) (((|List| (|Polynomial| |#1|)) (|Vector| $)) 93 (|has| |#1| (|IntegralDomain|))) (((|List| (|Polynomial| |#1|))) 94 (|has| |#1| (|IntegralDomain|)))) (|commutator| (($ $ $) NIL)) (|commutative?| (((|Boolean|)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) NIL)) (|basis| (((|Vector| $)) 56)) (|associatorDependence| (((|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))) NIL (|has| (|Fraction| (|Polynomial| |#1|)) (|IntegralDomain|)))) (|associator| (($ $ $ $) NIL)) (|associative?| (((|Boolean|)) NIL)) (|apply| (($ (|Matrix| (|Fraction| (|Polynomial| |#1|))) $) NIL)) (|antiCommutator| (($ $ $) NIL)) (|antiCommutative?| (((|Boolean|)) NIL)) (|antiAssociative?| (((|Boolean|)) NIL)) (|alternative?| (((|Boolean|)) NIL)) (|Zero| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) 91)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 52) (($ $ (|Fraction| (|Polynomial| |#1|))) NIL) (($ (|Fraction| (|Polynomial| |#1|)) $) NIL) (($ (|SquareMatrix| |#2| (|Fraction| (|Polynomial| |#1|))) $) NIL))) 
+(((|GenericNonAssociativeAlgebra| |#1| |#2| |#3| |#4|) (|Join| (|FramedNonAssociativeAlgebra| (|Fraction| (|Polynomial| |#1|))) (|LeftModule| (|SquareMatrix| |#2| (|Fraction| (|Polynomial| |#1|)))) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |leftUnits| ((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed"))) (SIGNATURE |rightUnits| ((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed"))) (SIGNATURE |generic| ($)) (SIGNATURE |generic| ($ (|Symbol|))) (SIGNATURE |generic| ($ (|Vector| (|Symbol|)))) (SIGNATURE |generic| ($ (|Vector| $))) (SIGNATURE |generic| ($ (|Symbol|) (|Vector| $))) (SIGNATURE |generic| ($ (|Vector| (|Symbol|)) (|Vector| $))) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |leftRankPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |genericLeftMinimalPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $)) (SIGNATURE |genericLeftTrace| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |genericLeftNorm| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |rightRankPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |genericRightMinimalPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $)) (SIGNATURE |genericRightTrace| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |genericRightNorm| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |genericLeftTraceForm| ((|Fraction| (|Polynomial| |#1|)) $ $)) (SIGNATURE |genericLeftDiscriminant| ((|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |genericRightTraceForm| ((|Fraction| (|Polynomial| |#1|)) $ $)) (SIGNATURE |genericRightDiscriminant| ((|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#1|)) (|Vector| $))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#1|))))) |noBranch|))) (|CommutativeRing|) (|PositiveInteger|) (|List| (|Symbol|)) (|Vector| (|Matrix| |#1|))) (T |GenericNonAssociativeAlgebra|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) (|leftUnits| (*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|rightUnits| (*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|generic| (*1 *1) (AND (|isDomain| *1 (|GenericNonAssociativeAlgebra| *2 *3 *4 *5)) (|ofCategory| *2 (|CommutativeRing|)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|Vector| (|Matrix| *2))))) (|generic| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| *2)) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|generic| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|generic| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|generic| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| *2)) (|ofType| *7 (|Vector| (|Matrix| *4))))) (|generic| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) (|leftRankPolynomial| (*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericLeftMinimalPolynomial| (*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericLeftTrace| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericLeftNorm| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|rightRankPolynomial| (*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericRightMinimalPolynomial| (*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericRightTrace| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericRightNorm| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericLeftTraceForm| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericLeftDiscriminant| (*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericRightTraceForm| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|genericRightDiscriminant| (*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) (|conditionsForIdempotents| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) (|conditionsForIdempotents| (*1 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(|Join| (|FramedNonAssociativeAlgebra| (|Fraction| (|Polynomial| |#1|))) (|LeftModule| (|SquareMatrix| |#2| (|Fraction| (|Polynomial| |#1|)))) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Vector| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |leftUnits| ((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed"))) (SIGNATURE |rightUnits| ((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed"))) (SIGNATURE |generic| ($)) (SIGNATURE |generic| ($ (|Symbol|))) (SIGNATURE |generic| ($ (|Vector| (|Symbol|)))) (SIGNATURE |generic| ($ (|Vector| $))) (SIGNATURE |generic| ($ (|Symbol|) (|Vector| $))) (SIGNATURE |generic| ($ (|Vector| (|Symbol|)) (|Vector| $))) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |leftRankPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |genericLeftMinimalPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $)) (SIGNATURE |genericLeftTrace| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |genericLeftNorm| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |rightRankPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |genericRightMinimalPolynomial| ((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $)) (SIGNATURE |genericRightTrace| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |genericRightNorm| ((|Fraction| (|Polynomial| |#1|)) $)) (SIGNATURE |genericLeftTraceForm| ((|Fraction| (|Polynomial| |#1|)) $ $)) (SIGNATURE |genericLeftDiscriminant| ((|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |genericRightTraceForm| ((|Fraction| (|Polynomial| |#1|)) $ $)) (SIGNATURE |genericRightDiscriminant| ((|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#1|)) (|Vector| $))) (SIGNATURE |conditionsForIdempotents| ((|List| (|Polynomial| |#1|))))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 13)) (|variables| (((|List| (|OrderedVariableList| |#1|)) $) 73)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|OrderedVariableList| |#1|)) 46) (((|SparseUnivariatePolynomial| |#2|) $) 115)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) 21) (((|NonNegativeInteger|) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 44) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|retract| ((|#2| $) 42) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|OrderedVariableList| |#1|) $) NIL)) (|resultant| (($ $ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|reorder| (($ $ (|List| (|Integer|))) 78)) (|reductum| (($ $) 67)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#2| |#3| $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 58)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#2|) (|OrderedVariableList| |#1|)) 120) (($ (|SparseUnivariatePolynomial| $) (|OrderedVariableList| |#1|)) 52)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) 59)) (|monomial| (($ |#2| |#3|) 28) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) 30) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|OrderedVariableList| |#1|)) NIL)) (|minimumDegree| ((|#3| $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) 50) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) 57)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|mainVariable| (((|Union| (|OrderedVariableList| |#1|) "failed") $) 39)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#2| $) 41)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|OrderedVariableList| |#1|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 40)) (|ground| ((|#2| $) 113)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) 125 (|has| |#2| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|OrderedVariableList| |#1|) |#2|) 85) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| |#2|)) 88) (($ $ (|OrderedVariableList| |#1|) $) 83) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| $)) 104)) (|discriminant| (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|differentiate| (($ $ (|OrderedVariableList| |#1|)) 53) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|degree| ((|#3| $) 66) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) 37) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) 56)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#2| $) 122 (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 141) (($ (|Integer|)) NIL) (($ |#2|) 84) (($ (|OrderedVariableList| |#1|)) 31) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ |#3|) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 16 T CONST)) (|One| (($) 25 T CONST)) (D (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ |#2|) 64 (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 109)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 107)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 29) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
+(((|GeneralDistributedMultivariatePolynomial| |#1| |#2| |#3|) (|Join| (|PolynomialCategory| |#2| |#3| (|OrderedVariableList| |#1|)) (CATEGORY |domain| (SIGNATURE |reorder| ($ $ (|List| (|Integer|)))))) (|List| (|Symbol|)) (|Ring|) (|DirectProductCategory| (|#| |#1|) (|NonNegativeInteger|))) (T |GeneralDistributedMultivariatePolynomial|)) 
+((|reorder| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|isDomain| *1 (|GeneralDistributedMultivariatePolynomial| *3 *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|)))))) 
+(|Join| (|PolynomialCategory| |#2| |#3| (|OrderedVariableList| |#1|)) (CATEGORY |domain| (SIGNATURE |reorder| ($ $ (|List| (|Integer|)))))) 
+((|gnuDraw| (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) 49) (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) 48) (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) 42) (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) 39))) 
+(((|GnuDraw|) (CATEGORY |package| (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|)))) (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|))) (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|)))) (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|))))) (T |GnuDraw|)) 
+((|gnuDraw| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) (|gnuDraw| (*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) (|gnuDraw| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) (|gnuDraw| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|))))) 
+(CATEGORY |package| (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|)))) (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|))) (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|)))) (SIGNATURE |gnuDraw| ((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)))) 
+((|testModulus| (((|Boolean|) |#1| (|List| |#2|)) 65)) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) 74)) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) 76)) (|reduction| ((|#2| |#2| |#1|) 28)) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) 20))) 
+(((|GenExEuclid| |#1| |#2|) (CATEGORY |package| (SIGNATURE |reduction| (|#2| |#2| |#1|)) (SIGNATURE |compBound| ((|NonNegativeInteger|) |#2| (|List| |#2|))) (SIGNATURE |tablePow| ((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|))) (SIGNATURE |solveid| ((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|)))) (SIGNATURE |testModulus| ((|Boolean|) |#1| (|List| |#2|)))) (|EuclideanDomain|) (|UnivariatePolynomialCategory| |#1|)) (T |GenExEuclid|)) 
+((|testModulus| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GenExEuclid| *3 *5)))) (|solveid| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Vector| (|List| *3))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|GenExEuclid| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|tablePow| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| (|List| *6))) (|isDomain| *1 (|GenExEuclid| *4 *6)) (|isDomain| *5 (|List| *6)))) (|compBound| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GenExEuclid| *5 *3)))) (|reduction| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GenExEuclid| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |reduction| (|#2| |#2| |#1|)) (SIGNATURE |compBound| ((|NonNegativeInteger|) |#2| (|List| |#2|))) (SIGNATURE |tablePow| ((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|))) (SIGNATURE |solveid| ((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|)))) (SIGNATURE |testModulus| ((|Boolean|) |#1| (|List| |#2|)))) 
+((|factor| (((|Factored| |#5|) |#5|) 24))) 
+(((|GeneralizedMultivariateFactorize| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#5|) |#5|))) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|))))) (|OrderedAbelianMonoidSup|) (|IntegralDomain|) (|IntegralDomain|) (|PolynomialCategory| |#4| |#2| |#1|)) (T |GeneralizedMultivariateFactorize|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GeneralizedMultivariateFactorize| *4 *5 *6 *7 *3)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#5|) |#5|))) 
+((|randomR| ((|#3|) 36)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) 32))) 
+(((|GeneralPolynomialGcdPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |randomR| (|#3|))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialFactorizationExplicit|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |GeneralPolynomialGcdPackage|)) 
+((|randomR| (*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *2 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|gcdPolynomial| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |randomR| (|#3|))) 
+((|factor| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) 41))) 
+(((|GenUFactorize| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)))) (|EuclideanDomain|)) (T |GenUFactorize|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|GenUFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)))) 
+((|taylor| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) 42) (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) 41) (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) 35) (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) 27)) (|series| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) 80) (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) 79) (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) 78) (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) 77) (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) 72) (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) 71)) (|puiseux| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) 66) (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) 64)) (|laurent| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) 48) (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) 47))) 
+(((|GenerateUnivariatePowerSeries| |#1| |#2|) (CATEGORY |package| (SIGNATURE |taylor| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|))) (SIGNATURE |taylor| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|))) (SIGNATURE |taylor| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|)))) (SIGNATURE |taylor| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|)))) (SIGNATURE |laurent| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |laurent| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |puiseux| ((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|)))) (SIGNATURE |puiseux| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|))) (SIGNATURE |series| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|))) (SIGNATURE |series| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |series| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |series| ((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |GenerateUnivariatePowerSeries|)) 
+((|series| (*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) (|series| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) (|series| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) (|series| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) (|series| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) (|series| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) (|puiseux| (*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) (|puiseux| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) (|laurent| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) (|laurent| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) (|taylor| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) (|taylor| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) (|taylor| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) (|taylor| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |taylor| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|))) (SIGNATURE |taylor| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|))) (SIGNATURE |taylor| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|)))) (SIGNATURE |taylor| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|)))) (SIGNATURE |laurent| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |laurent| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |puiseux| ((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|)))) (SIGNATURE |puiseux| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|))) (SIGNATURE |series| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|))) (SIGNATURE |series| ((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |series| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|)))) (SIGNATURE |series| ((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|)))) (SIGNATURE |series| ((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))))) 
+((|reduction| ((|#2| |#2| |#1|) 15)) (|completeHensel| (((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) 65)) (|HenselLift| (((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) 58))) 
+(((|GeneralHenselPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |HenselLift| ((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|))) (SIGNATURE |completeHensel| ((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|))) (SIGNATURE |reduction| (|#2| |#2| |#1|))) (|EuclideanDomain|) (|UnivariatePolynomialCategory| |#1|)) (T |GeneralHenselPackage|)) 
+((|reduction| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|completeHensel| (*1 *2 *3 *2 *4 *5) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *4 *3)))) (|HenselLift| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *6 (|PositiveInteger|)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |plist| (|List| *3)) (|:| |modulo| *5))) (|isDomain| *1 (|GeneralHenselPackage| *5 *3)) (|isDomain| *4 (|List| *3))))) 
+(CATEGORY |package| (SIGNATURE |HenselLift| ((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|))) (SIGNATURE |completeHensel| ((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|))) (SIGNATURE |reduction| (|#2| |#2| |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 28)) (|unitVector| (($ |#3|) 25)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) 32)) (|multMonom| (($ |#2| |#4| $) 33)) (|monomial| (($ |#2| (|ModuleMonomial| |#3| |#4| |#5|)) 24)) (|leadingMonomial| (((|ModuleMonomial| |#3| |#4| |#5|) $) 15)) (|leadingIndex| ((|#3| $) 19)) (|leadingExponent| ((|#4| $) 17)) (|leadingCoefficient| ((|#2| $) 29)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|build| (($ |#2| |#3| |#4|) 26)) (|Zero| (($) 36 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 34)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((|GeneralModulePolynomial| |#1| |#2| |#3| |#4| |#5| |#6|) (|Join| (|Module| |#6|) (|Module| |#2|) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| (|#2| $)) (SIGNATURE |leadingMonomial| ((|ModuleMonomial| |#3| |#4| |#5|) $)) (SIGNATURE |leadingExponent| (|#4| $)) (SIGNATURE |leadingIndex| (|#3| $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |monomial| ($ |#2| (|ModuleMonomial| |#3| |#4| |#5|))) (SIGNATURE |unitVector| ($ |#3|)) (SIGNATURE |build| ($ |#2| |#3| |#4|)) (SIGNATURE |multMonom| ($ |#2| |#4| $)) (SIGNATURE * ($ |#6| $)))) (|List| (|Symbol|)) (|CommutativeRing|) (|OrderedSet|) (|DirectProductCategory| (|#| |#1|) (|NonNegativeInteger|)) (|Mapping| (|Boolean|) (|Record| (|:| |index| |#3|) (|:| |exponent| |#4|)) (|Record| (|:| |index| |#3|) (|:| |exponent| |#4|))) (|PolynomialCategory| |#2| |#4| (|OrderedVariableList| |#1|))) (T |GeneralModulePolynomial|)) 
+((* (*1 *1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *2 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))))) (|leadingMonomial| (*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *2 (|ModuleMonomial| *5 *6 *7)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) (|leadingExponent| (*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *2)) (|Record| (|:| |index| *5) (|:| |exponent| *2)))) (|ofCategory| *2 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *2 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *2 (|OrderedVariableList| *3))))) (|leadingIndex| (*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3))))) (|reductum| (*1 *1 *1) (AND (|ofType| *2 (|List| (|Symbol|))) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *2) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *2 *3 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *2))))) (|monomial| (*1 *1 *2 *3) (AND (|isDomain| *3 (|ModuleMonomial| *5 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *6 *7 *8)) (|ofCategory| *8 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *4))))) (|unitVector| (*1 *1 *2) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3))))) (|build| (*1 *1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *4 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *4)) (|Record| (|:| |index| *3) (|:| |exponent| *4)))) (|isDomain| *1 (|GeneralModulePolynomial| *5 *2 *3 *4 *6 *7)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *4 (|OrderedVariableList| *5))))) (|multMonom| (*1 *1 *2 *3 *1) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *3)) (|Record| (|:| |index| *5) (|:| |exponent| *3)))) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *3 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *3 (|OrderedVariableList| *4)))))) 
+(|Join| (|Module| |#6|) (|Module| |#2|) (CATEGORY |domain| (SIGNATURE |leadingCoefficient| (|#2| $)) (SIGNATURE |leadingMonomial| ((|ModuleMonomial| |#3| |#4| |#5|) $)) (SIGNATURE |leadingExponent| (|#4| $)) (SIGNATURE |leadingIndex| (|#3| $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |monomial| ($ |#2| (|ModuleMonomial| |#3| |#4| |#5|))) (SIGNATURE |unitVector| ($ |#3|)) (SIGNATURE |build| ($ |#2| |#3| |#4|)) (SIGNATURE |multMonom| ($ |#2| |#4| $)) (SIGNATURE * ($ |#6| $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) 48)) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) 33)) (|one| (((|Boolean|) (|List| (|GuessOption|))) 39)) (|maxSubst| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) 20)) (|maxShift| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) 18)) (|maxPower| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) 32)) (|maxMixedDegree| (((|NonNegativeInteger|) (|List| (|GuessOption|))) 25)) (|maxLevel| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) 16)) (|maxDerivative| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) 17)) (|maxDegree| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) 21)) (|latex| (((|String|) $) NIL)) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) 50)) (|homogeneous| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) 44)) (|hash| (((|SingleInteger|) $) NIL)) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) 49)) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) 51)) (|debug| (((|Boolean|) (|List| (|GuessOption|))) 40)) (|coerce| (((|OutputForm|) $) NIL)) (|checkOptions| (((|Void|) (|List| (|GuessOption|))) 61)) (|checkExtraValues| (((|Boolean|) (|List| (|GuessOption|))) 38)) (|check| (((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|))) 37)) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) 29)) (|Somos| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) 45)) (= (((|Boolean|) $ $) NIL))) 
+(((|GuessOptionFunctions0|) (|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |maxDerivative| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxShift| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxSubst| ((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxPower| ((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |homogeneous| ((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|)))) (SIGNATURE |Somos| ((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|)))) (SIGNATURE |maxLevel| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxDegree| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxMixedDegree| ((|NonNegativeInteger|) (|List| (|GuessOption|)))) (SIGNATURE |allDegrees| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |safety| ((|NonNegativeInteger|) (|List| (|GuessOption|)))) (SIGNATURE |check| ((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|)))) (SIGNATURE |checkExtraValues| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |one| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |functionName| ((|Symbol|) (|List| (|GuessOption|)))) (SIGNATURE |variableName| ((|Symbol|) (|List| (|GuessOption|)))) (SIGNATURE |indexName| ((|Symbol|) (|List| (|GuessOption|)))) (SIGNATURE |displayAsGF| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |debug| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |checkOptions| ((|Void|) (|List| (|GuessOption|))))))) (T |GuessOptionFunctions0|)) 
+((|maxDerivative| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|maxShift| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|maxSubst| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|maxPower| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|homogeneous| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|Somos| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|maxLevel| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|maxDegree| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|maxMixedDegree| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|allDegrees| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|safety| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|check| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|checkExtraValues| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|one| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|functionName| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|variableName| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|indexName| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|displayAsGF| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|debug| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) (|checkOptions| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |maxDerivative| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxShift| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxSubst| ((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxPower| ((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |homogeneous| ((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|)))) (SIGNATURE |Somos| ((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|)))) (SIGNATURE |maxLevel| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxDegree| ((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|)))) (SIGNATURE |maxMixedDegree| ((|NonNegativeInteger|) (|List| (|GuessOption|)))) (SIGNATURE |allDegrees| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |safety| ((|NonNegativeInteger|) (|List| (|GuessOption|)))) (SIGNATURE |check| ((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|)))) (SIGNATURE |checkExtraValues| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |one| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |functionName| ((|Symbol|) (|List| (|GuessOption|)))) (SIGNATURE |variableName| ((|Symbol|) (|List| (|GuessOption|)))) (SIGNATURE |indexName| ((|Symbol|) (|List| (|GuessOption|)))) (SIGNATURE |displayAsGF| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |debug| ((|Boolean|) (|List| (|GuessOption|)))) (SIGNATURE |checkOptions| ((|Void|) (|List| (|GuessOption|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|variableName| (($ (|Symbol|)) 49)) (|safety| (($ (|NonNegativeInteger|)) 28)) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) 61)) (|one| (($ (|Boolean|)) 40)) (|maxSubst| (($ (|Union| (|PositiveInteger|) "arbitrary")) 15)) (|maxShift| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) 13)) (|maxPower| (($ (|Union| (|PositiveInteger|) "arbitrary")) 27)) (|maxMixedDegree| (($ (|NonNegativeInteger|)) 20)) (|maxLevel| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) 11)) (|maxDerivative| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) 12)) (|maxDegree| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) 16)) (|latex| (((|String|) $) NIL)) (|indexName| (($ (|Symbol|)) 50)) (|homogeneous| (($ (|Union| (|PositiveInteger|) (|Boolean|))) 32)) (|hash| (((|SingleInteger|) $) NIL)) (|functionNames| (($ (|List| (|Symbol|))) 48)) (|functionName| (($ (|Symbol|)) 44)) (|displayKind| (($ (|Symbol|)) 51)) (|debug| (($ (|Boolean|)) 34)) (|coerce| (((|OutputForm|) $) 56)) (|checkExtraValues| (($ (|Boolean|)) 39)) (|check| (($ (|Union| "skip" "MonteCarlo" "deterministic")) 38)) (|allDegrees| (($ (|Boolean|)) 24)) (|Somos| (($ (|Union| (|PositiveInteger|) (|Boolean|))) 33)) (= (((|Boolean|) $ $) 58))) 
+(((|GuessOption|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |maxDerivative| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxShift| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxSubst| ($ (|Union| (|PositiveInteger|) "arbitrary"))) (SIGNATURE |maxPower| ($ (|Union| (|PositiveInteger|) "arbitrary"))) (SIGNATURE |homogeneous| ($ (|Union| (|PositiveInteger|) (|Boolean|)))) (SIGNATURE |Somos| ($ (|Union| (|PositiveInteger|) (|Boolean|)))) (SIGNATURE |maxLevel| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxDegree| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxMixedDegree| ($ (|NonNegativeInteger|))) (SIGNATURE |allDegrees| ($ (|Boolean|))) (SIGNATURE |safety| ($ (|NonNegativeInteger|))) (SIGNATURE |check| ($ (|Union| "skip" "MonteCarlo" "deterministic"))) (SIGNATURE |checkExtraValues| ($ (|Boolean|))) (SIGNATURE |one| ($ (|Boolean|))) (SIGNATURE |debug| ($ (|Boolean|))) (SIGNATURE |functionName| ($ (|Symbol|))) (SIGNATURE |functionNames| ($ (|List| (|Symbol|)))) (SIGNATURE |variableName| ($ (|Symbol|))) (SIGNATURE |indexName| ($ (|Symbol|))) (SIGNATURE |displayKind| ($ (|Symbol|))) (SIGNATURE |option| ((|Union| (|Any|) "failed") (|List| $) (|Symbol|)))))) (T |GuessOption|)) 
+((|maxDerivative| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|)))) (|maxShift| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|)))) (|maxSubst| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|)))) (|maxPower| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|)))) (|homogeneous| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|)))) (|Somos| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|)))) (|maxLevel| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|)))) (|maxDegree| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|)))) (|maxMixedDegree| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|)))) (|allDegrees| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) (|safety| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|)))) (|check| (*1 *1 *2) (AND (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOption|)))) (|checkExtraValues| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) (|one| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) (|debug| (*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) (|functionName| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|)))) (|functionNames| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|GuessOption|)))) (|variableName| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|)))) (|indexName| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|)))) (|displayKind| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|)))) (|option| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GuessOption|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |maxDerivative| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxShift| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxSubst| ($ (|Union| (|PositiveInteger|) "arbitrary"))) (SIGNATURE |maxPower| ($ (|Union| (|PositiveInteger|) "arbitrary"))) (SIGNATURE |homogeneous| ($ (|Union| (|PositiveInteger|) (|Boolean|)))) (SIGNATURE |Somos| ($ (|Union| (|PositiveInteger|) (|Boolean|)))) (SIGNATURE |maxLevel| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxDegree| ($ (|Union| (|NonNegativeInteger|) "arbitrary"))) (SIGNATURE |maxMixedDegree| ($ (|NonNegativeInteger|))) (SIGNATURE |allDegrees| ($ (|Boolean|))) (SIGNATURE |safety| ($ (|NonNegativeInteger|))) (SIGNATURE |check| ($ (|Union| "skip" "MonteCarlo" "deterministic"))) (SIGNATURE |checkExtraValues| ($ (|Boolean|))) (SIGNATURE |one| ($ (|Boolean|))) (SIGNATURE |debug| ($ (|Boolean|))) (SIGNATURE |functionName| ($ (|Symbol|))) (SIGNATURE |functionNames| ($ (|List| (|Symbol|)))) (SIGNATURE |variableName| ($ (|Symbol|))) (SIGNATURE |indexName| ($ (|Symbol|))) (SIGNATURE |displayKind| ($ (|Symbol|))) (SIGNATURE |option| ((|Union| (|Any|) "failed") (|List| $) (|Symbol|))))) 
+((|GospersMethod| (((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)) 35))) 
+(((|GosperSummationMethod| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |GospersMethod| ((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|IntegralDomain|) (|PolynomialCategory| |#3| |#1| |#2|) (|Join| (|RetractableTo| (|Fraction| (|Integer|))) (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#4|)) (SIGNATURE |numer| (|#4| $)) (SIGNATURE |denom| (|#4| $))))) (T |GosperSummationMethod|)) 
+((|GospersMethod| (*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *3)) (|isDomain| *1 (|GosperSummationMethod| *5 *3 *6 *7 *2)) (|ofCategory| *2 (|Join| (|RetractableTo| (|Fraction| (|Integer|))) (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(CATEGORY |package| (SIGNATURE |GospersMethod| ((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)))) 
+((|theCurve| ((|#3|) 43)) (|singularPoints| (((|List| |#5|)) 47)) (|setSingularPoints| (((|List| |#5|) (|List| |#5|)) 129)) (|setCurve| ((|#3| |#3|) 107)) (|reset| (((|Void|)) 106)) (|rationalPoints| (((|List| |#5|)) 150 (|has| |#1| (|Finite|)))) (|rationalPlaces| (((|List| |#7|)) 153 (|has| |#1| (|Finite|)))) (|printInfo| (((|Void|) (|List| (|Boolean|))) 120)) (|pointDominateBy| ((|#5| |#7|) 94)) (|placesOfDegree| (((|List| |#7|) (|PositiveInteger|)) 149 (|has| |#1| (|Finite|)))) (|placesAbove| (((|List| |#7|) |#5|) 92)) (|parametrize| ((|#6| |#3| |#7|) 97)) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) 194 (|has| |#1| (|Finite|)))) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) 193 (|has| |#1| (|Finite|)))) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) 176 (|has| |#1| (|Finite|)))) (|lBasis| (((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|) 69)) (|intersectionDivisor| ((|#8| |#3|) 50)) (|interpolateFormsForFact| (((|List| |#3|) |#8| (|List| |#3|)) 136)) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|)) 65)) (|homogenize| ((|#3| |#3| (|Integer|)) 40)) (|genusNeg| (((|Integer|)) 74)) (|genus| (((|NonNegativeInteger|)) 73)) (|findOrderOfDivisor| (((|Record| (|:| |ord| (|Integer|)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (|Integer|))) |#8| (|Integer|) (|Integer|)) 114)) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| |#3|) |#7|) 144) (((|Union| |#1| "failed") |#3| |#3| |#7|) 139) (((|Union| |#1| "failed") |#3| |#7|) 104)) (|eval| ((|#1| (|Fraction| |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (|desingTreeWoFullParam| (((|List| |#10|)) 70)) (|desingTree| (((|List| |#10|)) 45)) (|classNumber| (((|Integer|)) 204 (|has| |#1| (|Finite|)))) (|adjunctionDivisor| ((|#8|) 54)) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) 155 (|has| |#1| (|Finite|))) (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) 156 (|has| |#1| (|Finite|)))) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) 158 (|has| |#1| (|Finite|))) (((|SparseUnivariatePolynomial| (|Integer|))) 196 (|has| |#1| (|Finite|))))) 
+(((|GeneralPackageForAlgebraicFunctionField| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (CATEGORY |package| (SIGNATURE |reset| ((|Void|))) (SIGNATURE |setCurve| (|#3| |#3|)) (SIGNATURE |homogenize| (|#3| |#3| (|Integer|))) (SIGNATURE |printInfo| ((|Void|) (|List| (|Boolean|)))) (SIGNATURE |theCurve| (|#3|)) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |genusNeg| ((|Integer|))) (SIGNATURE |desingTree| ((|List| |#10|))) (SIGNATURE |desingTreeWoFullParam| ((|List| |#10|))) (SIGNATURE |setSingularPoints| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |singularPoints| ((|List| |#5|))) (SIGNATURE |parametrize| (|#6| |#3| |#7|)) (SIGNATURE |lBasis| ((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|)) (SIGNATURE |findOrderOfDivisor| ((|Record| (|:| |ord| (|Integer|)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (|Integer|))) |#8| (|Integer|) (|Integer|))) (SIGNATURE |interpolateForms| ((|List| |#3|) |#8| (|NonNegativeInteger|))) (SIGNATURE |interpolateFormsForFact| ((|List| |#3|) |#8| (|List| |#3|))) (SIGNATURE |eval| (|#1| |#3| |#7|)) (SIGNATURE |eval| (|#1| |#3| |#3| |#7|)) (SIGNATURE |eval| (|#1| (|Fraction| |#3|) |#7|)) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") |#3| |#7|)) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") |#3| |#3| |#7|)) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|Fraction| |#3|) |#7|)) (SIGNATURE |intersectionDivisor| (|#8| |#3|)) (SIGNATURE |adjunctionDivisor| (|#8|)) (SIGNATURE |placesAbove| ((|List| |#7|) |#5|)) (SIGNATURE |pointDominateBy| (|#5| |#7|)) (IF (|has| |#1| (|Finite|)) (PROGN (SIGNATURE |rationalPlaces| ((|List| |#7|))) (SIGNATURE |rationalPoints| ((|List| |#5|))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |classNumber| ((|Integer|))) (SIGNATURE |placesOfDegree| ((|List| |#7|) (|PositiveInteger|))) (SIGNATURE |numberOfPlacesOfDegree| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberRatPlacesExtDeg| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberPlacesDegExtDeg| ((|Integer|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)))) |noBranch|)) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|) (|DivisorCategory| |#7|) (|InfinitlyClosePointCategory| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (|DesingTreeCategory| |#9|) (|BlowUpMethodCategory|)) (T |GeneralPackageForAlgebraicFunctionField|)) 
+((|ZetaFunction| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|ZetaFunction| (*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|numberPlacesDegExtDeg| (*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|numberRatPlacesExtDeg| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|numberOfPlacesOfDegree| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|placesOfDegree| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|classNumber| (*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|LPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|LPolynomial| (*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|rationalPoints| (*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|rationalPlaces| (*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|pointDominateBy| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *3 (|PlacesCategory| *4 *8)) (|ofCategory| *9 (|DivisorCategory| *3)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *2 *8 *3 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|placesAbove| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *3 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|adjunctionDivisor| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|intersectionDivisor| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|evalIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|evalIfCan| (*1 *2 *3 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|evalIfCan| (*1 *2 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|eval| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|eval| (*1 *2 *3 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|eval| (*1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|interpolateFormsForFact| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|interpolateForms| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *4)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|findOrderOfDivisor| (*1 *2 *3 *4 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|isDomain| *4 (|Integer|)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|lBasis| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| *6)) (|:| |den| *6))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|parametrize| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *2 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|singularPoints| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|setSingularPoints| (*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|desingTreeWoFullParam| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|desingTree| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|genusNeg| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|genus| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|theCurve| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|printInfo| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Boolean|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) (|homogenize| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *2 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) (|setCurve| (*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) (|reset| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11))))) 
+(CATEGORY |package| (SIGNATURE |reset| ((|Void|))) (SIGNATURE |setCurve| (|#3| |#3|)) (SIGNATURE |homogenize| (|#3| |#3| (|Integer|))) (SIGNATURE |printInfo| ((|Void|) (|List| (|Boolean|)))) (SIGNATURE |theCurve| (|#3|)) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |genusNeg| ((|Integer|))) (SIGNATURE |desingTree| ((|List| |#10|))) (SIGNATURE |desingTreeWoFullParam| ((|List| |#10|))) (SIGNATURE |setSingularPoints| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |singularPoints| ((|List| |#5|))) (SIGNATURE |parametrize| (|#6| |#3| |#7|)) (SIGNATURE |lBasis| ((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|)) (SIGNATURE |findOrderOfDivisor| ((|Record| (|:| |ord| (|Integer|)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (|Integer|))) |#8| (|Integer|) (|Integer|))) (SIGNATURE |interpolateForms| ((|List| |#3|) |#8| (|NonNegativeInteger|))) (SIGNATURE |interpolateFormsForFact| ((|List| |#3|) |#8| (|List| |#3|))) (SIGNATURE |eval| (|#1| |#3| |#7|)) (SIGNATURE |eval| (|#1| |#3| |#3| |#7|)) (SIGNATURE |eval| (|#1| (|Fraction| |#3|) |#7|)) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") |#3| |#7|)) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") |#3| |#3| |#7|)) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|Fraction| |#3|) |#7|)) (SIGNATURE |intersectionDivisor| (|#8| |#3|)) (SIGNATURE |adjunctionDivisor| (|#8|)) (SIGNATURE |placesAbove| ((|List| |#7|) |#5|)) (SIGNATURE |pointDominateBy| (|#5| |#7|)) (IF (|has| |#1| (|Finite|)) (PROGN (SIGNATURE |rationalPlaces| ((|List| |#7|))) (SIGNATURE |rationalPoints| ((|List| |#5|))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |classNumber| ((|Integer|))) (SIGNATURE |placesOfDegree| ((|List| |#7|) (|PositiveInteger|))) (SIGNATURE |numberOfPlacesOfDegree| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberRatPlacesExtDeg| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberPlacesDegExtDeg| ((|Integer|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|variables| (((|List| |#3|) $) 41)) (|trivialIdeal?| (((|Boolean|) $) NIL)) (|triangular?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 47)) (|retract| (($ (|List| |#4|)) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|remove| (($ |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#4|) $) 18 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|mvar| ((|#3| $) 45)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#4|) $) 14 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 26 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 23 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 21)) (|mainVariables| (((|List| |#3|) $) NIL)) (|mainVariable?| (((|Boolean|) |#3| $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|hash| (((|SingleInteger|) $) NIL)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 39)) (|empty| (($) 17)) (|count| (((|NonNegativeInteger|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 16)) (|convert| (((|InputForm|) $) NIL (|has| |#4| (|ConvertibleTo| (|InputForm|)))) (($ (|List| |#4|)) 49)) (|construct| (($ (|List| |#4|)) 13)) (|collectUpper| (($ $ |#3|) NIL)) (|collectUnder| (($ $ |#3|) NIL)) (|collect| (($ $ |#3|) NIL)) (|coerce| (((|OutputForm|) $) 38) (((|List| |#4|) $) 48)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 30)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|GeneralPolynomialSet| |#1| |#2| |#3| |#4|) (|Join| (|PolynomialSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |convert| ($ (|List| |#4|))) (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|)) (T |GeneralPolynomialSet|)) 
+((|convert| (*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GeneralPolynomialSet| *3 *4 *5 *6))))) 
+(|Join| (|PolynomialSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |convert| ($ (|List| |#4|))) (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))) 
+((|Zero| (($) 11)) (|One| (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
+(((|GradedAlgebra&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |One| (|#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE |Zero| (|#1|))) (|GradedAlgebra| |#2| |#3|) (|CommutativeRing|) (|AbelianMonoid|)) (T |GradedAlgebra&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |One| (|#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE |Zero| (|#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|retractIfCan| (((|Union| |#1| "failed") $) 23)) (|retract| ((|#1| $) 22)) (|product| (($ $ $) 20)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|degree| ((|#2| $) 18)) (|coerce| (((|OutputForm|) $) 11) (($ |#1|) 24)) (|Zero| (($) 17 T CONST)) (|One| (($) 21 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 14) (($ $ $) 12)) (+ (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((|GradedAlgebra| |#1| |#2|) (|Category|) (|CommutativeRing|) (|AbelianMonoid|)) (T |GradedAlgebra|)) 
+((|One| (*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (|product| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|))))) 
+(|Join| (|GradedModule| |t#1| |t#2|) (|RetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |product| ($ $ $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|GradedModule| |#1| |#2|) . T) ((|RetractableTo| |#1|) . T) ((|SetCategory|) . T)) 
+((|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) 18)) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) 16))) 
+(((|GrayCode|) (CATEGORY |package| (SIGNATURE |nextSubsetGray| ((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|))) (SIGNATURE |firstSubsetGray| ((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|))))) (T |GrayCode|)) 
+((|firstSubsetGray| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|)))) (|nextSubsetGray| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
+(CATEGORY |package| (SIGNATURE |nextSubsetGray| ((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|))) (SIGNATURE |firstSubsetGray| ((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)))) 
+((|screenResolution| (((|Integer|) (|Integer|)) 30) (((|Integer|)) 22)) (|minPoints| (((|Integer|) (|Integer|)) 26) (((|Integer|)) 18)) (|maxPoints| (((|Integer|) (|Integer|)) 28) (((|Integer|)) 20)) (|drawToScale| (((|Boolean|) (|Boolean|)) 12) (((|Boolean|)) 10)) (|clipPointsDefault| (((|Boolean|) (|Boolean|)) 11) (((|Boolean|)) 9)) (|adaptive| (((|Boolean|) (|Boolean|)) 24) (((|Boolean|)) 15))) 
+(((|GraphicsDefaults|) (CATEGORY |package| (SIGNATURE |clipPointsDefault| ((|Boolean|))) (SIGNATURE |drawToScale| ((|Boolean|))) (SIGNATURE |clipPointsDefault| ((|Boolean|) (|Boolean|))) (SIGNATURE |drawToScale| ((|Boolean|) (|Boolean|))) (SIGNATURE |adaptive| ((|Boolean|))) (SIGNATURE |maxPoints| ((|Integer|))) (SIGNATURE |minPoints| ((|Integer|))) (SIGNATURE |screenResolution| ((|Integer|))) (SIGNATURE |adaptive| ((|Boolean|) (|Boolean|))) (SIGNATURE |maxPoints| ((|Integer|) (|Integer|))) (SIGNATURE |minPoints| ((|Integer|) (|Integer|))) (SIGNATURE |screenResolution| ((|Integer|) (|Integer|))))) (T |GraphicsDefaults|)) 
+((|screenResolution| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|minPoints| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|maxPoints| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|adaptive| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|screenResolution| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|minPoints| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|maxPoints| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|adaptive| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|drawToScale| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|clipPointsDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|drawToScale| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) (|clipPointsDefault| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(CATEGORY |package| (SIGNATURE |clipPointsDefault| ((|Boolean|))) (SIGNATURE |drawToScale| ((|Boolean|))) (SIGNATURE |clipPointsDefault| ((|Boolean|) (|Boolean|))) (SIGNATURE |drawToScale| ((|Boolean|) (|Boolean|))) (SIGNATURE |adaptive| ((|Boolean|))) (SIGNATURE |maxPoints| ((|Integer|))) (SIGNATURE |minPoints| ((|Integer|))) (SIGNATURE |screenResolution| ((|Integer|))) (SIGNATURE |adaptive| ((|Boolean|) (|Boolean|))) (SIGNATURE |maxPoints| ((|Integer|) (|Integer|))) (SIGNATURE |minPoints| ((|Integer|) (|Integer|))) (SIGNATURE |screenResolution| ((|Integer|) (|Integer|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|units| (((|List| (|Float|)) $) 27) (((|List| (|Float|)) $ (|List| (|Float|))) 90)) (|ranges| (((|List| (|Segment| (|Float|))) $) 14) (((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|)))) 87)) (|putColorInfo| (((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|))) 42)) (|pointLists| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 83)) (|point| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|)) 103)) (|makeGraphImage| (($ $) 82) (($ (|List| (|List| (|Point| (|DoubleFloat|))))) 93) (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|))) 92) (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|))) 94)) (|latex| (((|String|) $) NIL)) (|key| (((|Integer|) $) 65)) (|hash| (((|SingleInteger|) $) NIL)) (|graphImage| (($) 91)) (|figureUnits| (((|List| (|DoubleFloat|)) (|List| (|List| (|Point| (|DoubleFloat|))))) 52)) (|component| (((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|)) 97) (((|Void|) $ (|Point| (|DoubleFloat|))) 99) (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|)) 98)) (|coerce| (((|OutputForm|) $) 109) (($ (|List| (|List| (|Point| (|DoubleFloat|))))) 104)) (|appendPoint| (((|Void|) $ (|Point| (|DoubleFloat|))) 102)) (= (((|Boolean|) $ $) NIL))) 
+(((|GraphImage|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |graphImage| ($)) (SIGNATURE |makeGraphImage| ($ $)) (SIGNATURE |makeGraphImage| ($ (|List| (|List| (|Point| (|DoubleFloat|)))))) (SIGNATURE |makeGraphImage| ($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)))) (SIGNATURE |makeGraphImage| ($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|)))) (SIGNATURE |pointLists| ((|List| (|List| (|Point| (|DoubleFloat|)))) $)) (SIGNATURE |key| ((|Integer|) $)) (SIGNATURE |ranges| ((|List| (|Segment| (|Float|))) $)) (SIGNATURE |ranges| ((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|))))) (SIGNATURE |units| ((|List| (|Float|)) $)) (SIGNATURE |units| ((|List| (|Float|)) $ (|List| (|Float|)))) (SIGNATURE |component| ((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|))) (SIGNATURE |component| ((|Void|) $ (|Point| (|DoubleFloat|)))) (SIGNATURE |component| ((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|))) (SIGNATURE |appendPoint| ((|Void|) $ (|Point| (|DoubleFloat|)))) (SIGNATURE |point| ((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|))) (SIGNATURE |coerce| ($ (|List| (|List| (|Point| (|DoubleFloat|)))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |putColorInfo| ((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)))) (SIGNATURE |figureUnits| ((|List| (|DoubleFloat|)) (|List| (|List| (|Point| (|DoubleFloat|))))))))) (T |GraphImage|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|GraphImage|)))) (|graphImage| (*1 *1) (|isDomain| *1 (|GraphImage|))) (|makeGraphImage| (*1 *1 *1) (|isDomain| *1 (|GraphImage|))) (|makeGraphImage| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) (|makeGraphImage| (*1 *1 *2 *3 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *1 (|GraphImage|)))) (|makeGraphImage| (*1 *1 *2 *3 *3 *4 *5) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|GraphImage|)))) (|pointLists| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) (|key| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphImage|)))) (|ranges| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) (|ranges| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) (|units| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) (|units| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) (|component| (*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) (|component| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) (|component| (*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) (|appendPoint| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) (|point| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) (|putColorInfo| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *1 (|GraphImage|)))) (|figureUnits| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|GraphImage|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |graphImage| ($)) (SIGNATURE |makeGraphImage| ($ $)) (SIGNATURE |makeGraphImage| ($ (|List| (|List| (|Point| (|DoubleFloat|)))))) (SIGNATURE |makeGraphImage| ($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)))) (SIGNATURE |makeGraphImage| ($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|)))) (SIGNATURE |pointLists| ((|List| (|List| (|Point| (|DoubleFloat|)))) $)) (SIGNATURE |key| ((|Integer|) $)) (SIGNATURE |ranges| ((|List| (|Segment| (|Float|))) $)) (SIGNATURE |ranges| ((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|))))) (SIGNATURE |units| ((|List| (|Float|)) $)) (SIGNATURE |units| ((|List| (|Float|)) $ (|List| (|Float|)))) (SIGNATURE |component| ((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|))) (SIGNATURE |component| ((|Void|) $ (|Point| (|DoubleFloat|)))) (SIGNATURE |component| ((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|))) (SIGNATURE |appendPoint| ((|Void|) $ (|Point| (|DoubleFloat|)))) (SIGNATURE |point| ((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|))) (SIGNATURE |coerce| ($ (|List| (|List| (|Point| (|DoubleFloat|)))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |putColorInfo| ((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)))) (SIGNATURE |figureUnits| ((|List| (|DoubleFloat|)) (|List| (|List| (|Point| (|DoubleFloat|)))))))) 
+((- (($ $) NIL) (($ $ $) 11))) 
+(((|GradedModule&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|))) (|GradedModule| |#2| |#3|) (|CommutativeRing|) (|AbelianMonoid|)) (T |GradedModule&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|degree| ((|#2| $) 18)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 14) (($ $ $) 12)) (+ (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((|GradedModule| |#1| |#2|) (|Category|) (|CommutativeRing|) (|AbelianMonoid|)) (T |GradedModule|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)))) (|Zero| (*1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (* (*1 *1 *1 *2) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (- (*1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (+ (*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (- (*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |degree| (|t#2| $)) (SIGNATURE (|Zero|) ($) |constant|) (SIGNATURE * ($ |t#1| $)) (SIGNATURE * ($ $ |t#1|)) (SIGNATURE - ($ $)) (SIGNATURE + ($ $ $)) (SIGNATURE - ($ $ $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|testDim| (((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) 88)) (|groebSolve| (((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) 86)) (|genericPosition| (((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) 58))) 
+(((|GroebnerSolve| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |groebSolve| ((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|)))) (SIGNATURE |testDim| ((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|)))) (SIGNATURE |genericPosition| ((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))))) (|List| (|Symbol|)) (|GcdDomain|) (|GcdDomain|)) (T |GroebnerSolve|)) 
+((|genericPosition| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|:| |coords| (|List| (|Integer|))))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|)))) (|testDim| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|GroebnerSolve| *4 *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) (|groebSolve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| (|DistributedMultivariatePolynomial| *5 *6)))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
+(CATEGORY |package| (SIGNATURE |groebSolve| ((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|)))) (SIGNATURE |testDim| ((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|)))) (SIGNATURE |genericPosition| ((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))))) 
+((|recip| (((|Union| $ "failed") $) 11)) (|conjugate| (($ $ $) 20)) (|commutator| (($ $ $) 21)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 14)) (/ (($ $ $) 9)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 19))) 
+(((|Group&| |#1|) (CATEGORY |domain| (SIGNATURE |commutator| (|#1| |#1| |#1|)) (SIGNATURE |conjugate| (|#1| |#1| |#1|)) (SIGNATURE ^ (|#1| |#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE / (|#1| |#1| |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE ^ (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) (|Group|)) (T |Group&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |commutator| (|#1| |#1| |#1|)) (SIGNATURE |conjugate| (|#1| |#1| |#1|)) (SIGNATURE ^ (|#1| |#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE / (|#1| |#1| |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE ^ (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|sample| (($) 19 T CONST)) (|recip| (((|Union| $ "failed") $) 15)) (|one?| (((|Boolean|) $) 18)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 26)) (|hash| (((|SingleInteger|) $) 10)) (|conjugate| (($ $ $) 22)) (|commutator| (($ $ $) 21)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|PositiveInteger|)) 12) (($ $ (|NonNegativeInteger|)) 16) (($ $ (|Integer|)) 23)) (|One| (($) 20 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 25)) (** (($ $ (|PositiveInteger|)) 13) (($ $ (|NonNegativeInteger|)) 17) (($ $ (|Integer|)) 24)) (* (($ $ $) 14))) 
+(((|Group|) (|Category|)) (T |Group|)) 
+((|inv| (*1 *1 *1) (|ofCategory| *1 (|Group|))) (/ (*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) (** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) (^ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) (|conjugate| (*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) (|commutator| (*1 *1 *1 *1) (|ofCategory| *1 (|Group|)))) 
+(|Join| (|Monoid|) (CATEGORY |domain| (SIGNATURE |inv| ($ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE ^ ($ $ (|Integer|))) (ATTRIBUTE |unitsKnown|) (SIGNATURE |conjugate| ($ $ $)) (SIGNATURE |commutator| ($ $ $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Monoid|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 17)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) NIL) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL) (($ $ (|Fraction| (|Integer|))) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) 22)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|integrate| (($ $) 26 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 33 (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 27 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) NIL) (($ $ $) NIL (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) 25 (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 13 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $ (|Variable| |#2|)) 15)) (|degree| (((|Fraction| (|Integer|)) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|Variable| |#2|)) NIL) (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) 9) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 18)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) 24)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|GeneralUnivariatePowerSeries| |#1| |#2| |#3|) (|Join| (|UnivariatePuiseuxSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |coerce| ($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |GeneralUnivariatePowerSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariatePuiseuxSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |coerce| ($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#2| $ |#1| |#2|) 18)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) 19)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) 16)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|keys| (((|List| |#1|) $) NIL)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|indices| (((|List| |#1|) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|GeneralSparseTable| |#1| |#2| |#3| |#4|) (|TableAggregate| |#1| |#2|) (|SetCategory|) (|SetCategory|) (|TableAggregate| |#1| |#2|) |#2|) (T |GeneralSparseTable|)) 
+NIL 
+(|TableAggregate| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) NIL)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) NIL)) (|variables| (((|List| |#3|) $) NIL)) (|trivialIdeal?| (((|Boolean|) $) NIL)) (|triangular?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|stronglyReduce| ((|#4| |#4| $) NIL)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) NIL)) (|sample| (($) NIL T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 26 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) NIL)) (|retract| (($ (|List| |#4|)) NIL)) (|rest| (((|Union| $ "failed") $) 39)) (|removeZero| ((|#4| |#4| $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|remove| (($ |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|reduceByQuasiMonic| ((|#4| |#4| $) NIL)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) NIL)) (|parts| (((|List| |#4|) $) 16 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#4|) $) 17 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 25 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 23 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 21)) (|mainVariables| (((|List| |#3|) $) NIL)) (|mainVariable?| (((|Boolean|) |#3| $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|last| (((|Union| |#4| "failed") $) 37)) (|initials| (((|List| |#4|) $) NIL)) (|initiallyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|initiallyReduce| ((|#4| |#4| $) NIL)) (|infRittWu?| (((|Boolean|) $ $) NIL)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|headReduce| ((|#4| |#4| $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Union| |#4| "failed") $) 35)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) NIL)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 46)) (|extend| (($ $ |#4|) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 15)) (|empty| (($) 13)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|count| (((|NonNegativeInteger|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 12)) (|convert| (((|InputForm|) $) NIL (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 20)) (|collectUpper| (($ $ |#3|) 42)) (|collectUnder| (($ $ |#3|) 43)) (|collectQuasiMonic| (($ $) NIL)) (|collect| (($ $ |#3|) NIL)) (|coerce| (((|OutputForm|) $) 31) (((|List| |#4|) $) 40)) (|coHeight| (((|NonNegativeInteger|) $) NIL (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) NIL)) (|algebraic?| (((|Boolean|) |#3| $) NIL)) (= (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|GeneralTriangularSet| |#1| |#2| |#3| |#4|) (|TriangularSetCategory| |#1| |#2| |#3| |#4|) (|IntegralDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|)) (T |GeneralTriangularSet|)) 
+NIL 
+(|TriangularSetCategory| |#1| |#2| |#3| |#4|) 
+((|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL)) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL)) (|guessPade| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL)) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL)) (|guessHolo| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) NIL)) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|guessAlg| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|guess| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|List| (|Symbol|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|))) NIL)) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|)))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL))) 
+(((|GuessAlgebraicNumber|) (CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|))) (T |GuessAlgebraicNumber|)) 
+((|guessADE| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessRat| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessPRec| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessRec| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|diffHP| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|shiftHP| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessPRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessPade| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessPade| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessHolo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessHolo| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessAlg| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessAlg| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessADE| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessHP| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessBinRat| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessExpRat| (*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessBinRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessExpRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guess| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guess| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guess| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) (|guess| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|))))) 
+(CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (IF (|has| (|AlgebraicNumber|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) 
+((F2EXPRR (((|Expression| (|Integer|)) |#1|) 11))) 
+(((|GuessFiniteFunctions| |#1|) (CATEGORY |package| (SIGNATURE F2EXPRR ((|Expression| (|Integer|)) |#1|))) (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (T |GuessFiniteFunctions|)) 
+((F2EXPRR (*1 *2 *3) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|GuessFiniteFunctions| *3)) (|ofCategory| *3 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|))))))) 
+(CATEGORY |package| (SIGNATURE F2EXPRR ((|Expression| (|Integer|)) |#1|))) 
+((|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL)) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL)) (|guessPade| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL)) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL)) (|guessHolo| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) NIL)) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|guessAlg| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|guess| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) NIL)) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL))) 
+(((|GuessFinite| |#1|) (CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (T |GuessFinite|)) 
+((|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessPRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessPade| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessPade| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessHolo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessHolo| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessAlg| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessAlg| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessADE| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessHP| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) (|guessBinRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guessExpRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) (|guess| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *7)))) (|guess| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *6)))) (|guess| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) (|guess| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4))))) 
+(CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#1|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| |#1|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) 
+((|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL)) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL)) (|guessPade| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL)) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL)) (|guessHolo| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) NIL)) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|guessAlg| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|guess| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|)))) NIL)) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (|has| (|Integer|) (|RetractableTo| (|Symbol|))))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL))) 
+(((|GuessInteger|) (CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (IF (|has| (|Integer|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (IF (|has| (|Integer|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|))) (T |GuessInteger|)) 
+((|guessADE| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|guessRat| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|guessPRec| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|guessRec| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|diffHP| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|shiftHP| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessPRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessPade| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessPade| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessHolo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessHolo| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessAlg| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessAlg| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessADE| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessHP| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|guessBinRat| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|guessExpRat| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) (|guessBinRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessExpRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guess| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guess| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guess| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) (|guess| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|))))) 
+(CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (IF (|has| (|Integer|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Symbol|))) (IF (|has| (|Integer|) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) 
+((|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) 367 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) 361)) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) 484 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 477) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 478)) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) 486 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 483) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 482)) (|guessPade| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 475) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 474)) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) 485 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 480) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 479)) (|guessHolo| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 471) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 472)) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) 463)) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) 193 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 191) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 190)) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) 219 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 208) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 207)) (|guessAlg| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 468) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 469)) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) 476 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 464) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 465)) (|guess| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) 509) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) 514) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) 513) (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) 512)) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) 336 (AND (|has| |#1| (|RetractableTo| (|Symbol|))) (|has| |#2| (|RetractableTo| (|Symbol|))))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) 326))) 
+(((|Guess| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) (|Field|) (|GcdDomain|) (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| |#4|) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $)))) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|Mapping| |#1| |#4|) (|Mapping| |#3| |#1|)) (T |Guess|)) 
+((|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessPRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessPade| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessPade| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessHolo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessHolo| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessAlg| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessAlg| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessADE| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessHP| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|ofType| *9 (|Mapping| *6 *4)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) (|guessBinRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessExpRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guess| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Field|)) (|ofType| *12 (|Mapping| *9 *7)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *11 (|Mapping| *7 *10)) (|isDomain| *2 (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *7 *8 *9 *10 *11 *12)) (|ofCategory| *8 (|GcdDomain|)) (|ofCategory| *9 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *10) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guess| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *11 (|Mapping| *8 *6)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *10 (|Mapping| *6 *9)) (|isDomain| *2 (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *6 *7 *8 *9 *10 *11)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *9) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guess| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) (|guess| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $)))))))) 
+(CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) 
+((|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL)) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL)) (|guessPade| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL)) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL)) (|guessHolo| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) NIL)) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|guessAlg| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|guess| (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|))))) NIL)) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL (AND (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))))) (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) NIL))) 
+(((|GuessPolynomial|) (CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (IF (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (IF (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|))) (T |GuessPolynomial|)) 
+((|guessADE| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessRat| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessPRec| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessRec| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|diffHP| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|shiftHP| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessPRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessPade| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessPade| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessHolo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessHolo| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessAlg| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessAlg| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessADE| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessHP| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessBinRat| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessExpRat| (*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessBinRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessExpRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guess| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guess| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guess| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) (|guess| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|))))) 
+(CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (IF (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |diffHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (IF (|has| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| (|Symbol|))) (IF (|has| (|Polynomial| (|Integer|)) (|RetractableTo| (|Symbol|))) (PROGN (SIGNATURE |shiftHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)))) |noBranch|) |noBranch|)) 
+((|shiftHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) NIL) ((HPSPEC (|List| (|GuessOption|))) NIL)) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL)) (|guessPade| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL)) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL)) (|guessHolo| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|)))) NIL)) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|guessAlg| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|guess| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) NIL) (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) NIL)) (|diffHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) NIL) ((HPSPEC (|List| (|GuessOption|))) NIL))) 
+(((|GuessUnivariatePolynomial| |#1|) (CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |diffHP| (HPSPEC (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| (HPSPEC (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)))) (|Symbol|)) (T |GuessUnivariatePolynomial|)) 
+((|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|shiftHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) (|diffHP| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) (|guessRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessPRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessPRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessRec| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessRec| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessPade| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessPade| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessHolo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessHolo| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessAlg| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessAlg| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessADE| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessADE| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessHP| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3))) (|guessBinRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessBinRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guessExpRat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guessExpRat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) (|guess| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|))))) (|ofType| *7 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *7)))) (|guess| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|))))) (|ofType| *6 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *6)))) (|guess| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) (|guess| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4))))) 
+(CATEGORY |package| (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)))) (SIGNATURE |guess| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessExpRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessBinRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessExpRat| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessBinRat| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessHP| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessADE| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessAlg| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessHolo| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPade| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessPRec| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (SIGNATURE |guessRat| ((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))))) (SIGNATURE |diffHP| (HPSPEC (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| (HPSPEC (|List| (|GuessOption|)))) (SIGNATURE |shiftHP| ((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |diffHP| ((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRec| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessPRec| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessRat| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|))) (SIGNATURE |guessADE| ((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|pi| (($) 18)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|convert| (((|Float|) $) 22) (((|DoubleFloat|) $) 25) (((|Fraction| (|SparseUnivariatePolynomial| (|Integer|))) $) 19) (((|InputForm|) $) 52)) (|coerce| (((|OutputForm|) $) 50) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (((|DoubleFloat|) $) 24) (((|Float|) $) 21)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 36 T CONST)) (|One| (($) 11 T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|Pi|) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|RealConstant|) (|CoercibleTo| (|DoubleFloat|)) (|CoercibleTo| (|Float|)) (|ConvertibleTo| (|Fraction| (|SparseUnivariatePolynomial| (|Integer|)))) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE |pi| ($))))) (T |Pi|)) 
+((|pi| (*1 *1) (|isDomain| *1 (|Pi|)))) 
+(|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|RealConstant|) (|CoercibleTo| (|DoubleFloat|)) (|CoercibleTo| (|Float|)) (|ConvertibleTo| (|Fraction| (|SparseUnivariatePolynomial| (|Integer|)))) (|ConvertibleTo| (|InputForm|)) (CATEGORY |domain| (SIGNATURE |pi| ($)))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#2| $ |#1| |#2|) 16)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) 20)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) 18)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|keys| (((|List| |#1|) $) 13)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|indices| (((|List| |#1|) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 19)) (|elt| ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 11 (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) 15 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|HashTable| |#1| |#2| |#3|) (|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) (|SetCategory|) (|SetCategory|) (|String|)) (T |HashTable|)) 
+NIL 
+(|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) 
+((|lfunc| (((|Integer|) (|Integer|) (|Integer|)) 7)) (|inHallBasis?| (((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 11)) (|generate| (((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) 22))) 
+(((|HallBasis|) (CATEGORY |package| (SIGNATURE |lfunc| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |inHallBasis?| ((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |generate| ((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|))))) (T |HallBasis|)) 
+((|generate| (*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Vector| (|List| (|Integer|)))) (|isDomain| *1 (|HallBasis|)))) (|inHallBasis?| (*1 *2 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|HallBasis|)))) (|lfunc| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HallBasis|))))) 
+(CATEGORY |package| (SIGNATURE |lfunc| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |inHallBasis?| ((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |generate| ((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|OrderedVariableList| |#1|)) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|OrderedVariableList| |#1|)) NIL) (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|OrderedVariableList| |#1|) $) NIL)) (|resultant| (($ $ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|reorder| (($ $ (|List| (|Integer|))) NIL)) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#2|) (|OrderedVariableList| |#1|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|OrderedVariableList| |#1|)) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|OrderedVariableList| |#1|)) NIL)) (|minimumDegree| (((|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|))) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|mainVariable| (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|OrderedVariableList| |#1|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#2| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|OrderedVariableList| |#1|) |#2|) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| |#2|)) NIL) (($ $ (|OrderedVariableList| |#1|) $) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| $)) NIL)) (|discriminant| (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|differentiate| (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#2| $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ (|OrderedVariableList| |#1|)) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Join| (|PolynomialCategory| |#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|OrderedVariableList| |#1|)) (CATEGORY |domain| (SIGNATURE |reorder| ($ $ (|List| (|Integer|)))))) (|List| (|Symbol|)) (|Ring|)) (T |HomogeneousDistributedMultivariatePolynomial|)) 
+((|reorder| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HomogeneousDistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|PolynomialCategory| |#2| (|HomogeneousDirectProduct| (|#| |#1|) (|NonNegativeInteger|)) (|OrderedVariableList| |#1|)) (CATEGORY |domain| (SIGNATURE |reorder| ($ $ (|List| (|Integer|)))))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#2| (|SetCategory|)))) (|zero?| (((|Boolean|) $) NIL (|has| |#2| (|CancellationAbelianMonoid|)))) (|unitVector| (($ (|PositiveInteger|)) NIL (|has| |#2| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) NIL (|has| |#2| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|CancellationAbelianMonoid|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#2| (|Finite|)))) (|sign| (((|Integer|) $) NIL (|has| |#2| (|OrderedRing|)))) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (((|Union| |#2| "failed") $) NIL (|has| |#2| (|SetCategory|)))) (|retract| (((|Integer|) $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) ((|#2| $) NIL (|has| |#2| (|SetCategory|)))) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|Ring|))) (((|Matrix| |#2|) (|Matrix| $)) NIL (|has| |#2| (|Ring|)))) (|recip| (((|Union| $ "failed") $) NIL (|has| |#2| (|Monoid|)))) (|random| (($) NIL (|has| |#2| (|Finite|)))) (|qsetelt!| ((|#2| $ (|Integer|) |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ (|Integer|)) 11)) (|positive?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedRing|)))) (|parts| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL (|has| |#2| (|Monoid|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (|members| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (|map!| (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#2| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#2| (|SetCategory|)))) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#2| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#2| (|SetCategory|)))) (|first| ((|#2| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#2| (|Finite|)))) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|)) NIL)) (|dot| ((|#2| $ $) NIL (|has| |#2| (|Ring|)))) (|directProduct| (($ (|Vector| |#2|)) NIL)) (|dimension| (((|CardinalNumber|)) NIL (|has| |#2| (|Field|)))) (|differentiate| (($ $) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#2| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|Vector| |#2|) $) NIL) (((|OutputForm|) $) NIL (|has| |#2| (|SetCategory|))) (($ (|Integer|)) NIL (OR (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (|has| |#2| (|Ring|)))) (($ (|Fraction| (|Integer|))) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (($ |#2|) NIL (|has| |#2| (|SetCategory|)))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) NIL (|has| |#2| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#2| (|Monoid|)))) (|Zero| (($) NIL (|has| |#2| (|CancellationAbelianMonoid|)) CONST)) (|One| (($) NIL (|has| |#2| (|Monoid|)) CONST)) (D (($ $) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#2| (|Ring|)))) (>= (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (= (((|Boolean|) $ $) NIL (|has| |#2| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (< (((|Boolean|) $ $) 15 (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $ $) NIL (|has| |#2| (|Ring|))) (($ $) NIL (|has| |#2| (|Ring|)))) (+ (($ $ $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (** (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#2| (|Monoid|)))) (* (($ (|Integer|) $) NIL (|has| |#2| (|Ring|))) (($ $ $) NIL (|has| |#2| (|Monoid|))) (($ $ |#2|) NIL (|has| |#2| (|Monoid|))) (($ |#2| $) NIL (|has| |#2| (|Monoid|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#2| (|CancellationAbelianMonoid|))) (($ (|PositiveInteger|) $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|HomogeneousDirectProduct| |#1| |#2|) (|DirectProductCategory| |#1| |#2|) (|NonNegativeInteger|) (|OrderedAbelianMonoidSup|)) (T |HomogeneousDirectProduct|)) 
+NIL 
+(|DirectProductCategory| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|merge!| (($ $ $) 32)) (|merge| (($ $ $) 31)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|max| ((|#1| $) 26)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 27)) (|insert!| (($ |#1| $) 10)) (|heap| (($ (|List| |#1|)) 12)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|extract!| ((|#1| $) 23)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 9)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 29)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 21 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Heap| |#1|) (|Join| (|PriorityQueueAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |heap| ($ (|List| |#1|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |copy| ($ $)) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |max| (|#1| $)) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |merge!| ($ $ $)) (SIGNATURE |sample| ($)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) (|OrderedSet|)) (T |Heap|)) 
+((|eq?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|empty| (*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|empty?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|less?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|more?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|size?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|sample| (*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|#| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) (|any?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) (|every?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) (|count| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *4)))) (|parts| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|members| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|count| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (|member?| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (|latex| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (|hash| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (~= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (|bag| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) (|extract!| (*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|inspect| (*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|max| (*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|merge| (*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|merge!| (*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|heap| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3))))) 
+(|Join| (|PriorityQueueAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |heap| ($ (|List| |#1|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |copy| ($ $)) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |max| (|#1| $)) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |merge!| ($ $ $)) (SIGNATURE |sample| ($)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reduce| (($ $) 69)) (|principal?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) 43)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (((|Union| |#4| "failed") $) 105)) (|divisor| (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (|Integer|)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (|coerce| (((|OutputForm|) $) 100)) (|Zero| (($) 33 T CONST)) (= (((|Boolean|) $ $) 107)) (- (($ $) 72) (($ $ $) NIL)) (+ (($ $ $) 70)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 73))) 
+(((|HyperellipticFiniteDivisor| |#1| |#2| |#3| |#4|) (|FiniteDivisorCategory| |#1| |#2| |#3| |#4|) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|)) (T |HyperellipticFiniteDivisor|)) 
+NIL 
+(|FiniteDivisorCategory| |#1| |#2| |#3| |#4|) 
+((|lintgcd| (((|Integer|) (|List| (|Integer|))) 28)) (|gcdprim| ((|#1| (|List| |#1|)) 56)) (|gcdcofactprim| (((|List| |#1|) (|List| |#1|)) 57)) (|gcdcofact| (((|List| |#1|) (|List| |#1|)) 59)) (|gcd| ((|#1| (|List| |#1|)) 58)) (|content| (((|List| (|Integer|)) (|List| |#1|)) 31))) 
+(((|HeuGcd| |#1|) (CATEGORY |package| (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcdprim| (|#1| (|List| |#1|))) (SIGNATURE |gcdcofact| ((|List| |#1|) (|List| |#1|))) (SIGNATURE |gcdcofactprim| ((|List| |#1|) (|List| |#1|))) (SIGNATURE |content| ((|List| (|Integer|)) (|List| |#1|))) (SIGNATURE |lintgcd| ((|Integer|) (|List| (|Integer|))))) (|UnivariatePolynomialCategory| (|Integer|))) (T |HeuGcd|)) 
+((|lintgcd| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HeuGcd| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) (|content| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HeuGcd| *4)))) (|gcdcofactprim| (*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3)))) (|gcdcofact| (*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3)))) (|gcdprim| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) (|gcd| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(CATEGORY |package| (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |gcdprim| (|#1| (|List| |#1|))) (SIGNATURE |gcdcofact| ((|List| |#1|) (|List| |#1|))) (SIGNATURE |gcdcofactprim| ((|List| |#1|) (|List| |#1|))) (SIGNATURE |content| ((|List| (|Integer|)) (|List| |#1|))) (SIGNATURE |lintgcd| ((|Integer|) (|List| (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|Integer|) $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|retract| (((|Integer|) $) NIL) (((|Symbol|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|Integer|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|Integer|) (|StepThrough|)) CONST)) (|hex| (($ (|Fraction| (|Integer|))) 8)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|))) (((|Fraction| (|Integer|)) $) NIL)) (|floor| (((|Integer|) $) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Integer|) (|Integer|)) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Equation| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Equation| (|Integer|)))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Symbol|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|)))) (($ $ (|Symbol|) (|Integer|)) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Eltable| (|Integer|) (|Integer|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|Integer|) $) NIL)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|Integer|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|Integer|) (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) 7) (($ (|Integer|)) NIL) (($ (|Symbol|)) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL) (((|RadixExpansion| 16) $) 9)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))) (|has| (|Integer|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (((|Integer|) $) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (/ (($ $ $) NIL) (($ (|Integer|) (|Integer|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL))) 
+(((|HexadecimalExpansion|) (|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ((|RadixExpansion| 16) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |hex| ($ (|Fraction| (|Integer|))))))) (T |HexadecimalExpansion|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 16)) (|isDomain| *1 (|HexadecimalExpansion|)))) (|fractionPart| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) (|hex| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|))))) 
+(|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ((|RadixExpansion| 16) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |hex| ($ (|Fraction| (|Integer|)))))) 
+((|members| (((|List| |#2|) $) 22)) (|member?| (((|Boolean|) |#2| $) 27)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 20)) (|eval| (($ $ (|List| (|Equation| |#2|))) 12) (($ $ (|Equation| |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (|List| |#2|) (|List| |#2|)) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 21) (((|NonNegativeInteger|) |#2| $) 25)) (|coerce| (((|OutputForm|) $) 36)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 19)) (= (((|Boolean|) $ $) 30)) (|#| (((|NonNegativeInteger|) $) 16))) 
+(((|HomogeneousAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#2| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#2|)))) (SIGNATURE |member?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |members| ((|List| |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|))) (|HomogeneousAggregate| |#2|) (|Type|)) (T |HomogeneousAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#2| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#2|)))) (SIGNATURE |member?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |members| ((|List| |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|HomogeneousAggregate| |#1|) (|Category|) (|Type|)) (T |HomogeneousAggregate|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|any?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|every?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|count| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|parts| (*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) (|members| (*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) (|count| (*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|member?| (*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|Aggregate|) (CATEGORY |domain| (IF (|has| |t#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|) (IF (|has| |t#1| (|SetCategory|)) (IF (|has| |t#1| (|Evalable| |t#1|)) (ATTRIBUTE (|Evalable| |t#1|)) |noBranch|) |noBranch|) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |parts| ((|List| |t#1|) $)) (SIGNATURE |members| ((|List| |t#1|) $)) (IF (|has| |t#1| (|SetCategory|)) (PROGN (SIGNATURE |count| ((|NonNegativeInteger|) |t#1| $)) (SIGNATURE |member?| ((|Boolean|) |t#1| $))) |noBranch|)) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exprex| (((|String|) (|OutputForm|)) 40)) (|display| (((|Void|) (|String|)) 29)) (|coerceS| (((|String|) (|OutputForm|)) 25)) (|coerceL| (((|String|) (|OutputForm|)) 26)) (|coerce| (((|OutputForm|) $) NIL) (((|String|) (|OutputForm|)) 24)) (= (((|Boolean|) $ $) NIL))) 
+(((|HTMLFormat|) (|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |coerce| ((|String|) (|OutputForm|))) (SIGNATURE |coerceS| ((|String|) (|OutputForm|))) (SIGNATURE |coerceL| ((|String|) (|OutputForm|))) (SIGNATURE |exprex| ((|String|) (|OutputForm|))) (SIGNATURE |display| ((|Void|) (|String|)))))) (T |HTMLFormat|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) (|coerceS| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) (|coerceL| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) (|exprex| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) (|display| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|HTMLFormat|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |coerce| ((|String|) (|OutputForm|))) (SIGNATURE |coerceS| ((|String|) (|OutputForm|))) (SIGNATURE |coerceL| ((|String|) (|OutputForm|))) (SIGNATURE |exprex| ((|String|) (|OutputForm|))) (SIGNATURE |display| ((|Void|) (|String|))))) 
+((|tanh| (($ $) 15)) (|sinh| (($ $) 24)) (|sech| (($ $) 12)) (|csch| (($ $) 10)) (|coth| (($ $) 17)) (|cosh| (($ $) 22))) 
+(((|HyperbolicFunctionCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |cosh| (|#1| |#1|)) (SIGNATURE |coth| (|#1| |#1|)) (SIGNATURE |csch| (|#1| |#1|)) (SIGNATURE |sech| (|#1| |#1|)) (SIGNATURE |sinh| (|#1| |#1|)) (SIGNATURE |tanh| (|#1| |#1|))) (|HyperbolicFunctionCategory|)) (T |HyperbolicFunctionCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |cosh| (|#1| |#1|)) (SIGNATURE |coth| (|#1| |#1|)) (SIGNATURE |csch| (|#1| |#1|)) (SIGNATURE |sech| (|#1| |#1|)) (SIGNATURE |sinh| (|#1| |#1|)) (SIGNATURE |tanh| (|#1| |#1|))) 
+((|tanh| (($ $) 11)) (|sinh| (($ $) 10)) (|sech| (($ $) 9)) (|csch| (($ $) 8)) (|coth| (($ $) 7)) (|cosh| (($ $) 6))) 
+(((|HyperbolicFunctionCategory|) (|Category|)) (T |HyperbolicFunctionCategory|)) 
+((|tanh| (*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) (|sinh| (*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) (|sech| (*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) (|csch| (*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) (|coth| (*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) (|cosh| (*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |cosh| ($ $)) (SIGNATURE |coth| ($ $)) (SIGNATURE |csch| ($ $)) (SIGNATURE |sech| ($ $)) (SIGNATURE |sinh| ($ $)) (SIGNATURE |tanh| ($ $)))) 
+((|factor| (((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)) 42))) 
+(((|InnerAlgFactor| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| |#1| |#2|)) (|UnivariatePolynomialCategory| |#3|)) (T |InnerAlgFactor|)) 
+((|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| *5 *6))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerAlgFactor| *5 *6 *7 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *7))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|Polynomial| $)) NIL)) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (($ (|SparseUnivariatePolynomial| $)) NIL) (($ (|Polynomial| $)) NIL)) (|zero?| (((|Boolean|) $) 36)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|trueEqual| (((|Boolean|) $ $) 62)) (|tower| (((|List| (|Kernel| $)) $) 46)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subst| (($ $ (|Equation| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sqrt| (($ $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|Polynomial| $)) NIL)) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL) (($ (|SparseUnivariatePolynomial| $)) NIL) (($ (|Polynomial| $)) NIL)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|retract| (((|Kernel| $) $) NIL) (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) 48)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Fraction| (|Integer|)))) (|:| |vec| (|Vector| (|Fraction| (|Integer|))))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Fraction| (|Integer|))) (|Matrix| $)) NIL)) (|reduce| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|paren| (($ $) NIL) (($ (|List| $)) NIL)) (|operators| (((|List| (|BasicOperator|)) $) NIL)) (|operator| (((|BasicOperator|) (|BasicOperator|)) NIL)) (|one?| (((|Boolean|) $) 39)) (|odd?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) 34)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|norm| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) 77) (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) 53) (($ $ (|Kernel| $)) 66) (($ $ (|List| (|Kernel| $))) 67)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) 64 (|has| $ (|Ring|)))) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) NIL)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ (|List| $)) NIL) (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|kernels| (((|List| (|Kernel| $)) $) NIL)) (|kernel| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|is?| (((|Boolean|) $ (|BasicOperator|)) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|inv| (($ $) NIL)) (|height| (((|NonNegativeInteger|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ (|List| $)) NIL) (($ $ $) NIL)) (|freeOf?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|even?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) NIL) (($ $ (|Symbol|) (|Mapping| $ $)) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) $ $) NIL) (($ (|BasicOperator|) $ $ $) NIL) (($ (|BasicOperator|) $ $ $ $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|distribute| (($ $) NIL) (($ $ $) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 33)) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) 17)) (|definingPolynomial| (($ $) NIL (|has| $ (|Ring|)))) (|convert| (((|Float|) $) 91) (((|DoubleFloat|) $) 99) (((|Complex| (|Float|)) $) 107)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Kernel| $)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL) (($ (|Integer|)) NIL) (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) 18)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|box| (($ $) NIL) (($ (|List| $)) NIL)) (|belong?| (((|Boolean|) (|BasicOperator|)) 83)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|Integer|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|Zero| (($) 9 T CONST)) (|One| (($) 19 T CONST)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 21)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (/ (($ $ $) 41)) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|Integer|)) 44) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (* (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ $ $) 24) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|InnerAlgebraicNumber|) (|Join| (|ExpressionSpace|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|LinearlyExplicitRingOver| (|Integer|)) (|RealConstant|) (|LinearlyExplicitRingOver| (|Fraction| (|Integer|))) (|CharacteristicZero|) (|ConvertibleTo| (|Complex| (|Float|))) (|DifferentialRing|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)))) (SIGNATURE |numer| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |trueEqual| ((|Boolean|) $ $)) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $))) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $)))) (SIGNATURE |norm| ($ $ (|Kernel| $))) (SIGNATURE |norm| ($ $ (|List| (|Kernel| $))))))) (T |InnerAlgebraicNumber|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|numer| (*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|denom| (*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|reduce| (*1 *1 *1) (|isDomain| *1 (|InnerAlgebraicNumber|))) (|trueEqual| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|norm| (*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|norm| (*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|norm| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) (|norm| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|))))) 
+(|Join| (|ExpressionSpace|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|LinearlyExplicitRingOver| (|Integer|)) (|RealConstant|) (|LinearlyExplicitRingOver| (|Fraction| (|Integer|))) (|CharacteristicZero|) (|ConvertibleTo| (|Complex| (|Float|))) (|DifferentialRing|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)))) (SIGNATURE |numer| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $)) (SIGNATURE |reduce| ($ $)) (SIGNATURE |trueEqual| ((|Boolean|) $ $)) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $))) (SIGNATURE |norm| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $)))) (SIGNATURE |norm| ($ $ (|Kernel| $))) (SIGNATURE |norm| ($ $ (|List| (|Kernel| $)))))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) 25 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 22 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 21)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 14)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 12 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) 23 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 16 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 17) (($ (|Mapping| |#1| |#1| |#1|) $ $) 19)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) 10 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 13)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) 24) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 9 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedOneDimensionalArray| |#1| |#2|) (|OneDimensionalArrayAggregate| |#1|) (|Type|) (|Integer|)) (T |IndexedOneDimensionalArray|)) 
+NIL 
+(|OneDimensionalArrayAggregate| |#1|) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|setRow!| (($ $ (|Integer|) (|IndexedOneDimensionalArray| |#1| |#3|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|IndexedOneDimensionalArray| |#1| |#2|)) NIL)) (|sample| (($) NIL T CONST)) (|row| (((|IndexedOneDimensionalArray| |#1| |#3|) $ (|Integer|)) NIL)) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) NIL)) (|parts| (((|List| |#1|) $) NIL)) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minRowIndex| (((|Integer|) $) NIL)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) NIL)) (|maxColIndex| (((|Integer|) $) NIL)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) NIL) ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|column| (((|IndexedOneDimensionalArray| |#1| |#2|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedTwoDimensionalArray| |#1| |#2| |#3|) (|TwoDimensionalArrayCategory| |#1| (|IndexedOneDimensionalArray| |#1| |#3|) (|IndexedOneDimensionalArray| |#1| |#2|)) (|Type|) (|Integer|) (|Integer|)) (T |IndexedTwoDimensionalArray|)) 
+NIL 
+(|TwoDimensionalArrayCategory| |#1| (|IndexedOneDimensionalArray| |#1| |#3|) (|IndexedOneDimensionalArray| |#1| |#2|)) 
+((|listConjugateBases| (((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) 27)) (|factorList| (((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 34)) (|chineseRemainder| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)) 83))) 
+(((|ChineseRemainderToolsForIntegralBases| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |factorList| ((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |listConjugateBases| ((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |chineseRemainder| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| |#2|)) (T |ChineseRemainderToolsForIntegralBases|)) 
+((|chineseRemainder| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7))))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7)))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *6 *7 *8)))) (|listConjugateBases| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6))))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *5 *6 *7)) (|isDomain| *3 (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)))) (|factorList| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *3 *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |factorList| ((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |listConjugateBases| ((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |chineseRemainder| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)))) 
+((|moduleSum| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) 60)) (|matrixGcd| ((|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|)) 25)) (|leastPower| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 30)) (|idealiserMatrix| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 42)) (|idealiser| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) 50) (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 47)) (|divideIfCan!| ((|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|)) 29)) (|diagonalProduct| ((|#1| (|Matrix| |#1|)) 18))) 
+(((|IntegralBasisTools| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |diagonalProduct| (|#1| (|Matrix| |#1|))) (SIGNATURE |matrixGcd| (|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|))) (SIGNATURE |divideIfCan!| (|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|))) (SIGNATURE |leastPower| ((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |idealiser| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |idealiser| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |idealiserMatrix| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |moduleSum| ((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))))) (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $)))) (|UnivariatePolynomialCategory| |#1|) (|FramedAlgebra| |#1| |#2|)) (T |IntegralBasisTools|)) 
+((|moduleSum| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|idealiserMatrix| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|idealiser| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|idealiser| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|leastPower| (*1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|divideIfCan!| (*1 *2 *3 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5)))) (|matrixGcd| (*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5)))) (|diagonalProduct| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|isDomain| *1 (|IntegralBasisTools| *2 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *2 *4))))) 
+(CATEGORY |package| (SIGNATURE |diagonalProduct| (|#1| (|Matrix| |#1|))) (SIGNATURE |matrixGcd| (|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|))) (SIGNATURE |divideIfCan!| (|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|))) (SIGNATURE |leastPower| ((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |idealiser| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |idealiser| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |idealiserMatrix| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |moduleSum| ((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (~ (($ $) NIL)) (|xor| (($ $ $) 35)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) NIL (|has| (|Boolean|) (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL)) (|sort!| (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Boolean|) (|OrderedSet|)))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) NIL (|has| (|Boolean|) (|OrderedSet|))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Boolean|) $ (|UniversalSegment| (|Integer|)) (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Boolean|) $ (|Integer|) (|Boolean|)) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|remove| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|reduce| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ (|Boolean|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ (|Boolean|) (|Boolean|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|qsetelt!| (((|Boolean|) $ (|Integer|) (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Boolean|) $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Boolean|) $ (|Integer|)) NIL (|has| (|Boolean|) (|SetCategory|))) (((|Integer|) (|Boolean|) $) NIL (|has| (|Boolean|) (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL)) (|parts| (((|List| (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|or| (($ $ $) 33)) (|not| (($ $) NIL)) (|nor| (($ $ $) NIL)) (|new| (($ (|NonNegativeInteger|) (|Boolean|)) 23)) (|nand| (($ $ $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 8 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL)) (|merge| (($ $ $) NIL (|has| (|Boolean|) (|OrderedSet|))) (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ $) NIL)) (|members| (((|List| (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL)) (|map!| (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Boolean|) (|Boolean|) (|Boolean|)) $ $) 30) (($ (|Mapping| (|Boolean|) (|Boolean|)) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|insert| (($ $ $ (|Integer|)) NIL) (($ (|Boolean|) $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Boolean|) "failed") (|Mapping| (|Boolean|) (|Boolean|)) $) NIL)) (|fill!| (($ $ (|Boolean|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Boolean|)) (|List| (|Boolean|))) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|Boolean|) (|Boolean|)) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|Equation| (|Boolean|))) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Boolean|)))) NIL (AND (|has| (|Boolean|) (|Evalable| (|Boolean|))) (|has| (|Boolean|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|))))) (|entries| (((|List| (|Boolean|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 24)) (|elt| (($ $ (|UniversalSegment| (|Integer|))) NIL) (((|Boolean|) $ (|Integer|)) 18) (((|Boolean|) $ (|Integer|) (|Boolean|)) NIL)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|count| (((|NonNegativeInteger|) (|Boolean|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Boolean|) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 25)) (|convert| (((|InputForm|) $) NIL (|has| (|Boolean|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Boolean|))) NIL)) (|concat| (($ (|List| $)) NIL) (($ $ $) NIL) (($ (|Boolean|) $) NIL) (($ $ (|Boolean|)) NIL)) (|coerce| (((|OutputForm|) $) 22)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Boolean|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|and| (($ $ $) 31)) (^ (($ $) NIL)) (|\\/| (($ $ $) NIL)) (|Or| (($ $ $) 39)) (|Not| (($ $) 37)) (|And| (($ $ $) 38)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 26)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 27)) (|/\\| (($ $ $) NIL)) (|#| (((|NonNegativeInteger|) $) 10 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedBits| |#1|) (|Join| (|BitAggregate|) (CATEGORY |domain| (SIGNATURE |Not| ($ $)) (SIGNATURE |Or| ($ $ $)) (SIGNATURE |And| ($ $ $)))) (|Integer|)) (T |IndexedBits|)) 
+((|Not| (*1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) (|Or| (*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) (|And| (*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|))))) 
+(|Join| (|BitAggregate|) (CATEGORY |domain| (SIGNATURE |Not| ($ $)) (SIGNATURE |Or| ($ $ $)) (SIGNATURE |And| ($ $ $)))) 
+((|mapUnivariateIfCan| (((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|)) 34)) (|mapUnivariate| (((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|) 30) ((|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|)) 21)) (|mapMatrixIfCan| (((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|))) 45)) (|mapBivariate| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|) 54))) 
+(((|IntegralBasisPolynomialTools| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |mapUnivariate| (|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |mapUnivariate| ((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|)) (SIGNATURE |mapUnivariateIfCan| ((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |mapMatrixIfCan| ((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|)))) (SIGNATURE |mapBivariate| ((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|))) (|Ring|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| |#2|) (|Ring|)) (T |IntegralBasisPolynomialTools|)) 
+((|mapBivariate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *4 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *6)))) (|mapMatrixIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *8)) (|isDomain| *4 (|Matrix| (|SparseUnivariatePolynomial| *8))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *7 *8)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)))) (|mapUnivariateIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2)))) (|mapUnivariate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *4 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)))) (|mapUnivariate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2))))) 
+(CATEGORY |package| (SIGNATURE |mapUnivariate| (|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |mapUnivariate| ((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|)) (SIGNATURE |mapUnivariateIfCan| ((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |mapMatrixIfCan| ((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|)))) (SIGNATURE |mapBivariate| ((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|))) 
+((~= (((|Boolean|) $ $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fullDisplay| (((|Void|) $) 18)) (|elt| (((|String|) $ (|Symbol|)) 22)) (|display| (((|Void|) $) 14)) (|coerce| (((|OutputForm|) $) 20) (($ (|String|)) 19)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 8)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 7))) 
+(((|IndexCard|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $)) (SIGNATURE |coerce| ($ (|String|)))))) (T |IndexCard|)) 
+((|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) (|display| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) (|fullDisplay| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $)) (SIGNATURE |coerce| ($ (|String|))))) 
+((|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (|commonDenominator| ((|#1| |#4|) 10)) (|clearDenominator| ((|#3| |#4|) 17))) 
+(((|InnerCommonDenominator| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| |#4|)) (SIGNATURE |clearDenominator| (|#3| |#4|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (|IntegralDomain|) (|QuotientFieldCategory| |#1|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#2|)) (T |InnerCommonDenominator|)) 
+((|splitDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *6) (|:| |den| *4))) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *6 *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) (|clearDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *2 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) (|commonDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|InnerCommonDenominator| *2 *4 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
+(CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| |#4|)) (SIGNATURE |clearDenominator| (|#3| |#4|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
+((~= (((|Boolean|) $ $) NIL)) (|symbNameV| (((|Symbol|) $) NIL)) (|subMultV| (((|NonNegativeInteger|) $) NIL)) (|setsymbName!| (((|Symbol|) $ (|Symbol|)) NIL)) (|setsubmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|setpoint!| (((|ProjectivePlane| |#1|) $ (|ProjectivePlane| |#1|)) NIL)) (|setmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|setlocalPoint!| (((|AffinePlane| |#1|) $ (|AffinePlane| |#1|)) NIL)) (|setlocalParam!| (((|List| (|NeitherSparseOrDensePowerSeries| |#1|)) $ (|List| (|NeitherSparseOrDensePowerSeries| |#1|))) NIL)) (|setexcpDiv!| (((|Divisor| (|Places| |#1|)) $ (|Divisor| (|Places| |#1|))) NIL)) (|setcurve!| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $ (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) NIL)) (|setchart!| ((|#3| $ |#3|) NIL)) (|pointV| (((|ProjectivePlane| |#1|) $) NIL)) (|multV| (((|NonNegativeInteger|) $) NIL)) (|localPointV| (((|AffinePlane| |#1|) $) NIL)) (|localParamV| (((|List| (|NeitherSparseOrDensePowerSeries| |#1|)) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fullOutput| (((|Boolean|) (|Boolean|)) NIL) (((|Boolean|)) NIL)) (|fullOut| (((|OutputForm|) $) NIL)) (|excpDivV| (((|Divisor| (|Places| |#1|)) $) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) NIL)) (|create| (($ (|ProjectivePlane| |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#3| (|NonNegativeInteger|) (|Divisor| (|Places| |#1|)) |#1| (|Symbol|)) NIL) (($ (|ProjectivePlane| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|)) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|chartV| ((|#3| $) NIL)) (|actualExtensionV| ((|#1| $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|InfClsPt| |#1| |#2| |#3|) (|Join| (|InfinitlyClosePointCategory| |#1| |#2| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DirectProduct| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectivePlane| |#1|) (|NeitherSparseOrDensePowerSeries| |#1|) (|Places| |#1|) (|Divisor| (|Places| |#1|)) |#3|) (CATEGORY |domain| (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) (|Field|) (|List| (|Symbol|)) (|BlowUpMethodCategory|)) (T |InfClsPt|)) 
+((|fullOut| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullOutput| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullOutput| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(|Join| (|InfinitlyClosePointCategory| |#1| |#2| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DirectProduct| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectivePlane| |#1|) (|NeitherSparseOrDensePowerSeries| |#1|) (|Places| |#1|) (|Divisor| (|Places| |#1|)) |#3|) (CATEGORY |domain| (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zeroDim?| (((|Boolean|) $ (|List| |#3|)) 101) (((|Boolean|) $) 102)) (|zero?| (((|Boolean|) $) 144)) (|saturate| (($ $ |#4|) 93) (($ $ |#4| (|List| |#3|)) 97)) (|relationsIdeal| (((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|)) 137 (|has| |#3| (|ConvertibleTo| (|Symbol|))))) (|quotient| (($ $ $) 87) (($ $ |#4|) 85)) (|one?| (((|Boolean|) $) 143)) (|leadingIdeal| (($ $) 105)) (|latex| (((|String|) $) NIL)) (|intersect| (($ $ $) 79) (($ (|List| $)) 81)) (|inRadical?| (((|Boolean|) |#4| $) 104)) (|in?| (((|Boolean|) $ $) 68)) (|ideal| (($ (|List| |#4|)) 86)) (|hash| (((|SingleInteger|) $) NIL)) (|groebnerIdeal| (($ (|List| |#4|)) 141)) (|groebner?| (((|Boolean|) $) 142)) (|groebner| (($ $) 70)) (|generators| (((|List| |#4|) $) 55)) (|generalPosition| (((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|)) NIL)) (|element?| (((|Boolean|) |#4| $) 73)) (|dimension| (((|Integer|) $ (|List| |#3|)) 106) (((|Integer|) $) 107)) (|coerce| (((|OutputForm|) $) 140) (($ (|List| |#4|)) 82)) (|backOldPos| (($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $))) NIL)) (= (((|Boolean|) $ $) 69)) (+ (($ $ $) 89)) (** (($ $ (|NonNegativeInteger|)) 92)) (* (($ $ $) 91))) 
+(((|PolynomialIdeals| |#1| |#2| |#3| |#4|) (|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE + ($ $ $)) (SIGNATURE |one?| ((|Boolean|) $)) (SIGNATURE |zero?| ((|Boolean|) $)) (SIGNATURE |element?| ((|Boolean|) |#4| $)) (SIGNATURE |in?| ((|Boolean|) $ $)) (SIGNATURE |inRadical?| ((|Boolean|) |#4| $)) (SIGNATURE |zeroDim?| ((|Boolean|) $ (|List| |#3|))) (SIGNATURE |zeroDim?| ((|Boolean|) $)) (SIGNATURE |intersect| ($ $ $)) (SIGNATURE |intersect| ($ (|List| $))) (SIGNATURE |quotient| ($ $ $)) (SIGNATURE |quotient| ($ $ |#4|)) (SIGNATURE |groebner| ($ $)) (SIGNATURE |generalPosition| ((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|))) (SIGNATURE |backOldPos| ($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)))) (SIGNATURE |dimension| ((|Integer|) $ (|List| |#3|))) (SIGNATURE |dimension| ((|Integer|) $)) (SIGNATURE |leadingIdeal| ($ $)) (SIGNATURE |ideal| ($ (|List| |#4|))) (SIGNATURE |groebnerIdeal| ($ (|List| |#4|))) (SIGNATURE |groebner?| ((|Boolean|) $)) (SIGNATURE |generators| ((|List| |#4|) $)) (SIGNATURE |coerce| ($ (|List| |#4|))) (SIGNATURE |saturate| ($ $ |#4|)) (SIGNATURE |saturate| ($ $ |#4| (|List| |#3|))) (IF (|has| |#3| (|ConvertibleTo| (|Symbol|))) (SIGNATURE |relationsIdeal| ((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|))) |noBranch|))) (|Field|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |PolynomialIdeals|)) 
+((* (*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (+ (*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|one?| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|zero?| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|element?| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)))) (|in?| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|inRadical?| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)))) (|zeroDim?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) (|zeroDim?| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|intersect| (*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|intersect| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|PolynomialIdeals| *3 *4 *5 *6))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|quotient| (*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|quotient| (*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) (|groebner| (*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|generalPosition| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *4)) (|:| |invmval| (|Matrix| *4)) (|:| |genIdeal| (|PolynomialIdeals| *4 *5 *6 *7)))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) (|backOldPos| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *3)) (|:| |invmval| (|Matrix| *3)) (|:| |genIdeal| (|PolynomialIdeals| *3 *4 *5 *6)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|dimension| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) (|dimension| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|leadingIdeal| (*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|ideal| (*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) (|groebnerIdeal| (*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) (|groebner?| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|generators| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) (|saturate| (*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) (|saturate| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)))) (|relationsIdeal| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *6 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|SuchThat| (|List| (|Polynomial| *4)) (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE + ($ $ $)) (SIGNATURE |one?| ((|Boolean|) $)) (SIGNATURE |zero?| ((|Boolean|) $)) (SIGNATURE |element?| ((|Boolean|) |#4| $)) (SIGNATURE |in?| ((|Boolean|) $ $)) (SIGNATURE |inRadical?| ((|Boolean|) |#4| $)) (SIGNATURE |zeroDim?| ((|Boolean|) $ (|List| |#3|))) (SIGNATURE |zeroDim?| ((|Boolean|) $)) (SIGNATURE |intersect| ($ $ $)) (SIGNATURE |intersect| ($ (|List| $))) (SIGNATURE |quotient| ($ $ $)) (SIGNATURE |quotient| ($ $ |#4|)) (SIGNATURE |groebner| ($ $)) (SIGNATURE |generalPosition| ((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|))) (SIGNATURE |backOldPos| ($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)))) (SIGNATURE |dimension| ((|Integer|) $ (|List| |#3|))) (SIGNATURE |dimension| ((|Integer|) $)) (SIGNATURE |leadingIdeal| ($ $)) (SIGNATURE |ideal| ($ (|List| |#4|))) (SIGNATURE |groebnerIdeal| ($ (|List| |#4|))) (SIGNATURE |groebner?| ((|Boolean|) $)) (SIGNATURE |generators| ((|List| |#4|) $)) (SIGNATURE |coerce| ($ (|List| |#4|))) (SIGNATURE |saturate| ($ $ |#4|)) (SIGNATURE |saturate| ($ $ |#4| (|List| |#3|))) (IF (|has| |#3| (|ConvertibleTo| (|Symbol|))) (SIGNATURE |relationsIdeal| ((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|))) |noBranch|))) 
+((|zeroDimPrime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) 144)) (|zeroDimPrimary?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) 145)) (|radical| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) 103)) (|prime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) NIL)) (|primaryDecomp| (((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) 147)) (|contract| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))) 159))) 
+(((|IdealDecompositionPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |zeroDimPrime?| ((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |zeroDimPrimary?| ((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |prime?| ((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |radical| ((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |primaryDecomp| ((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |contract| ((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))))) (|List| (|Symbol|)) (|NonNegativeInteger|)) (T |IdealDecompositionPackage|)) 
+((|contract| (*1 *2 *2 *3) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) (|primaryDecomp| (*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)) (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))))) (|radical| (*1 *2 *2) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *4 (|NonNegativeInteger|)) (|OrderedVariableList| *3) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *3 *4)))) (|prime?| (*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) (|zeroDimPrimary?| (*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) (|zeroDimPrime?| (*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |zeroDimPrime?| ((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |zeroDimPrimary?| ((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |prime?| ((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |radical| ((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |primaryDecomp| ((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))))) (SIGNATURE |contract| ((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|monomial| (($ |#1| |#2|) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingSupport| ((|#2| $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|Zero| (($) 12 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) 11) (($ $ $) 23)) (+ (($ $ $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 18))) 
+(((|IndexedDirectProductAbelianGroup| |#1| |#2|) (|Join| (|AbelianGroup|) (|IndexedDirectProductCategory| |#1| |#2|)) (|AbelianGroup|) (|OrderedSet|)) (T |IndexedDirectProductAbelianGroup|)) 
+NIL 
+(|Join| (|AbelianGroup|) (|IndexedDirectProductCategory| |#1| |#2|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 12)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) 26)) (|monomial| (($ |#1| |#2|) 23)) (|map| (($ (|Mapping| |#1| |#1|) $) 25)) (|leadingSupport| ((|#2| $) NIL)) (|leadingCoefficient| ((|#1| $) 27)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|Zero| (($) 10 T CONST)) (= (((|Boolean|) $ $) NIL)) (+ (($ $ $) 17)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) 22))) 
+(((|IndexedDirectProductAbelianMonoid| |#1| |#2|) (|Join| (|AbelianMonoid|) (|IndexedDirectProductCategory| |#1| |#2|)) (|AbelianMonoid|) (|OrderedSet|)) (T |IndexedDirectProductAbelianMonoid|)) 
+NIL 
+(|Join| (|AbelianMonoid|) (|IndexedDirectProductCategory| |#1| |#2|)) 
+((~= (((|Boolean|) $ $) 7)) (|reductum| (($ $) 12)) (|monomial| (($ |#1| |#2|) 15)) (|map| (($ (|Mapping| |#1| |#1|) $) 16)) (|leadingSupport| ((|#2| $) 13)) (|leadingCoefficient| ((|#1| $) 14)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|IndexedDirectProductCategory| |#1| |#2|) (|Category|) (|SetCategory|) (|OrderedSet|)) (T |IndexedDirectProductCategory|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|OrderedSet|)))) (|monomial| (*1 *1 *2 *3) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|SetCategory|)))) (|leadingSupport| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) (|reductum| (*1 *1 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1|) $)) (SIGNATURE |monomial| ($ |t#1| |t#2|)) (SIGNATURE |leadingCoefficient| (|t#1| $)) (SIGNATURE |leadingSupport| (|t#2| $)) (SIGNATURE |reductum| ($ $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|monomial| (($ |#1| |#2|) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingSupport| ((|#2| $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|Zero| (($) NIL T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 13)) (+ (($ $ $) NIL)) (* (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|IndexedDirectProductOrderedAbelianMonoid| |#1| |#2|) (|Join| (|OrderedAbelianMonoid|) (|IndexedDirectProductCategory| |#1| |#2|)) (|OrderedAbelianMonoid|) (|OrderedSet|)) (T |IndexedDirectProductOrderedAbelianMonoid|)) 
+NIL 
+(|Join| (|OrderedAbelianMonoid|) (|IndexedDirectProductCategory| |#1| |#2|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|sup| (($ $ $) 16)) (|subtractIfCan| (((|Union| $ "failed") $ $) 13)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|monomial| (($ |#1| |#2|) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingSupport| ((|#2| $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|Zero| (($) NIL T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (+ (($ $ $) NIL)) (* (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|IndexedDirectProductOrderedAbelianMonoidSup| |#1| |#2|) (|Join| (|OrderedAbelianMonoidSup|) (|IndexedDirectProductCategory| |#1| |#2|)) (|OrderedAbelianMonoidSup|) (|OrderedSet|)) (T |IndexedDirectProductOrderedAbelianMonoidSup|)) 
+NIL 
+(|Join| (|OrderedAbelianMonoidSup|) (|IndexedDirectProductCategory| |#1| |#2|)) 
+((~= (((|Boolean|) $ $) NIL)) (|reductum| (($ $) 24)) (|monomial| (($ |#1| |#2|) 21)) (|map| (($ (|Mapping| |#1| |#1|) $) 23)) (|leadingSupport| ((|#2| $) 26)) (|leadingCoefficient| ((|#1| $) 25)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 20)) (= (((|Boolean|) $ $) 13))) 
+(((|IndexedDirectProductObject| |#1| |#2|) (|IndexedDirectProductCategory| |#1| |#2|) (|SetCategory|) (|OrderedSet|)) (T |IndexedDirectProductObject|)) 
+NIL 
+(|IndexedDirectProductCategory| |#1| |#2|) 
+((|eval| (($ $ (|List| |#2|) (|List| |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
+(((|InnerEvalable&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |eval| (|#1| |#1| |#2| |#3|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#3|)))) (|InnerEvalable| |#2| |#3|) (|SetCategory|) (|Type|)) (T |InnerEvalable&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |eval| (|#1| |#1| |#2| |#3|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#2|) (|List| |#3|)))) 
+((|eval| (($ $ (|List| |#1|) (|List| |#2|)) 7) (($ $ |#1| |#2|) 6))) 
+(((|InnerEvalable| |#1| |#2|) (|Category|) (|SetCategory|) (|Type|)) (T |InnerEvalable|)) 
+((|eval| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|InnerEvalable| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)))) (|eval| (*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|InnerEvalable| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |eval| ($ $ |t#1| |t#2|)) (SIGNATURE |eval| ($ $ (|List| |t#1|) (|List| |t#2|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 16)) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) 18)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size| (((|NonNegativeInteger|) $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|nthFactor| ((|#1| $ (|Integer|)) 23)) (|nthCoef| ((|#2| $ (|Integer|)) 21)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) 46)) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) 43)) (|latex| (((|String|) $) NIL)) (|highCommonTerms| (($ $ $) 53 (|has| |#2| (|OrderedAbelianMonoid|)))) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 42) (($ |#1|) NIL)) (|coefficient| ((|#2| |#1| $) 49)) (|Zero| (($) 11 T CONST)) (= (((|Boolean|) $ $) 29)) (+ (($ $ $) 27) (($ |#1| $) 25)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) 36) (($ |#2| |#1|) 31))) 
+(((|InnerFreeAbelianMonoid| |#1| |#2| |#3|) (|FreeAbelianMonoidCategory| |#1| |#2|) (|SetCategory|) (|CancellationAbelianMonoid|) |#2|) (T |InnerFreeAbelianMonoid|)) 
+NIL 
+(|FreeAbelianMonoidCategory| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|shrinkable| (((|Boolean|) (|Boolean|)) 24)) (|setelt| ((|#1| $ (|Integer|) |#1|) 27 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 51)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates!| (($ $) 54 (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) NIL (|has| |#1| (|SetCategory|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43)) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|physicalLength!| (($ $ (|Integer|)) 13)) (|physicalLength| (((|NonNegativeInteger|) $) 11)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 22)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 20 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge!| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 34)) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) 19 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert!| (($ $ $ (|Integer|)) 50) (($ |#1| $ (|Integer|)) 36)) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|flexibleArray| (($ (|List| |#1|)) 28)) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) 18 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 39)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 14)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) 32) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) 49) (($ $ (|Integer|)) 44)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) 40 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 31)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat!| (($ $ $) 41) (($ $ |#1|) 38)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 15 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedFlexibleArray| |#1| |#2|) (|Join| (|OneDimensionalArrayAggregate| |#1|) (|ExtensibleLinearAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |flexibleArray| ($ (|List| |#1|))) (SIGNATURE |physicalLength| ((|NonNegativeInteger|) $)) (SIGNATURE |physicalLength!| ($ $ (|Integer|))) (SIGNATURE |shrinkable| ((|Boolean|) (|Boolean|))))) (|Type|) (|Integer|)) (T |IndexedFlexibleArray|)) 
+((|flexibleArray| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofType| *4 (|Integer|)))) (|physicalLength| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|)))) (|physicalLength!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 *2))) (|shrinkable| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(|Join| (|OneDimensionalArrayAggregate| |#1|) (|ExtensibleLinearAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |flexibleArray| ($ (|List| |#1|))) (SIGNATURE |physicalLength| ((|NonNegativeInteger|) $)) (SIGNATURE |physicalLength!| ($ $ (|Integer|))) (SIGNATURE |shrinkable| ((|Boolean|) (|Boolean|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| (((|InnerPrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|InnerPrimeField| |#1|) "failed") $) NIL)) (|retract| (((|InnerPrimeField| |#1|) $) NIL)) (|represents| (($ (|Vector| (|InnerPrimeField| |#1|))) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|InnerPrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (($ $) NIL (OR (|has| (|InnerPrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|InnerPrimeField| |#1|) (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|PositiveInteger|) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| (|InnerPrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|InnerPrimeField| |#1|) (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|norm| (((|InnerPrimeField| |#1|) $) NIL) (($ $ (|PositiveInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| (|InnerPrimeField| |#1|)) $) NIL) (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| (|InnerPrimeField| |#1|)) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|linearAssociatedLog| (((|SparseUnivariatePolynomial| (|InnerPrimeField| |#1|)) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (((|Union| (|SparseUnivariatePolynomial| (|InnerPrimeField| |#1|)) "failed") $ $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| (|InnerPrimeField| |#1|))) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL) (((|PositiveInteger|)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| (|InnerPrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|InnerPrimeField| |#1|) (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| (|InnerPrimeField| |#1|))) NIL)) (|createPrimitiveElement| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|createNormalElement| (($) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|coordinates| (((|Vector| (|InnerPrimeField| |#1|)) $) NIL) (((|Matrix| (|InnerPrimeField| |#1|)) (|Vector| $)) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|InnerPrimeField| |#1|)) NIL)) (|charthRoot| (($ $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (((|Union| $ "failed") $) NIL (OR (|has| (|InnerPrimeField| |#1|) (|CharacteristicNonZero|)) (|has| (|InnerPrimeField| |#1|) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL) (((|Vector| $) (|PositiveInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (D (($ $) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|InnerPrimeField| |#1|) (|Finite|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ (|InnerPrimeField| |#1|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|InnerPrimeField| |#1|)) NIL) (($ (|InnerPrimeField| |#1|) $) NIL))) 
+(((|InnerFiniteField| |#1| |#2|) (|FiniteAlgebraicExtensionField| (|InnerPrimeField| |#1|)) (|PositiveInteger|) (|PositiveInteger|)) (T |InnerFiniteField|)) 
+NIL 
+(|FiniteAlgebraicExtensionField| (|InnerPrimeField| |#1|)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) 33)) (|setRow!| (($ $ (|Integer|) |#4|) NIL)) (|setColumn!| (($ $ (|Integer|) |#5|) NIL)) (|sample| (($) NIL T CONST)) (|row| ((|#4| $ (|Integer|)) NIL)) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) 32)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) 30)) (|parts| (((|List| |#1|) $) NIL)) (|nrows| (((|NonNegativeInteger|) $) 26)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) 23)) (|ncols| (((|NonNegativeInteger|) $) 28)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minRowIndex| (((|Integer|) $) 24)) (|minColIndex| (((|Integer|) $) 25)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 27)) (|maxColIndex| (((|Integer|) $) 29)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) 36 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 14)) (|empty| (($) 15)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) 31) ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|column| ((|#5| $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|InnerIndexedTwoDimensionalArray| |#1| |#2| |#3| |#4| |#5|) (|TwoDimensionalArrayCategory| |#1| |#4| |#5|) (|Type|) (|Integer|) (|Integer|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|)) (T |InnerIndexedTwoDimensionalArray|)) 
+NIL 
+(|TwoDimensionalArrayCategory| |#1| |#4| |#5|) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) NIL)) (|third| ((|#1| $) NIL)) (|tail| (($ $) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) 57 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL)) (|sort!| (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|)))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 55 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 23 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) 21 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) 22 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 24 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| ((|#1| $) NIL)) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) 28 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 29)) (|rest| (($ $) 18) (($ $ (|NonNegativeInteger|)) 32)) (|removeDuplicates!| (($ $) 53 (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) NIL (|has| |#1| (|SetCategory|))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|possiblyInfinite?| (((|Boolean|) $) NIL)) (|position| (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL)) (|parts| (((|List| |#1|) $) 27 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 31 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge!| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 56)) (|merge| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 51 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|list| (($ |#1|) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) 50 (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|insert!| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|insert| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 13) (($ $ (|NonNegativeInteger|)) NIL)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|explicitlyFinite?| (((|Boolean|) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 12)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) 17)) (|empty| (($) 16)) (|elt| ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) ((|#1| $ (|Integer|)) NIL) ((|#1| $ (|Integer|) |#1|) NIL)) (|distance| (((|Integer|) $ $) NIL)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|cyclic?| (((|Boolean|) $) 33)) (|cycleTail| (($ $) NIL)) (|cycleSplit!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) NIL)) (|cycleEntry| (($ $) 35)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 34)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 26)) (|concat!| (($ $ $) 52) (($ $ |#1|) NIL)) (|concat| (($ $ $) NIL) (($ |#1| $) 10) (($ (|List| $)) NIL) (($ $ |#1|) NIL)) (|coerce| (((|OutputForm|) $) 45 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 47 (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 9 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedList| |#1| |#2|) (|ListAggregate| |#1|) (|Type|) (|Integer|)) (T |IndexedList|)) 
+NIL 
+(|ListAggregate| |#1|) 
+((|rowEchelon| ((|#4| |#4|) 26)) (|rank| (((|NonNegativeInteger|) |#4|) 31)) (|nullity| (((|NonNegativeInteger|) |#4|) 32)) (|nullSpace| (((|List| |#3|) |#4|) 37 (|has| |#3| (ATTRIBUTE |shallowlyMutable|)))) (|inverse| (((|Union| |#4| "failed") |#4|) 47)) (|generalizedInverse| ((|#4| |#4|) 40)) (|determinant| ((|#1| |#4|) 39))) 
+(((|InnerMatrixLinearAlgebraFunctions| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |rowEchelon| (|#4| |#4|)) (SIGNATURE |rank| ((|NonNegativeInteger|) |#4|)) (SIGNATURE |nullity| ((|NonNegativeInteger|) |#4|)) (IF (|has| |#3| (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |nullSpace| ((|List| |#3|) |#4|)) |noBranch|) (SIGNATURE |determinant| (|#1| |#4|)) (SIGNATURE |generalizedInverse| (|#4| |#4|)) (SIGNATURE |inverse| ((|Union| |#4| "failed") |#4|))) (|Field|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|)) (T |InnerMatrixLinearAlgebraFunctions|)) 
+((|inverse| (*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|generalizedInverse| (*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|determinant| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) (|nullSpace| (*1 *2 *3) (AND (|has| *6 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|nullity| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|rank| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|rowEchelon| (*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |rowEchelon| (|#4| |#4|)) (SIGNATURE |rank| ((|NonNegativeInteger|) |#4|)) (SIGNATURE |nullity| ((|NonNegativeInteger|) |#4|)) (IF (|has| |#3| (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |nullSpace| ((|List| |#3|) |#4|)) |noBranch|) (SIGNATURE |determinant| (|#1| |#4|)) (SIGNATURE |generalizedInverse| (|#4| |#4|)) (SIGNATURE |inverse| ((|Union| |#4| "failed") |#4|))) 
+((|rowEchelon| ((|#8| |#4|) 20)) (|nullSpace| (((|List| |#3|) |#4|) 29 (|has| |#7| (ATTRIBUTE |shallowlyMutable|)))) (|inverse| (((|Union| |#8| "failed") |#4|) 23))) 
+(((|InnerMatrixQuotientFieldFunctions| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (CATEGORY |package| (SIGNATURE |rowEchelon| (|#8| |#4|)) (SIGNATURE |inverse| ((|Union| |#8| "failed") |#4|)) (IF (|has| |#7| (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |nullSpace| ((|List| |#3|) |#4|)) |noBranch|)) (|IntegralDomain|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|) (|QuotientFieldCategory| |#1|) (|FiniteLinearAggregate| |#5|) (|FiniteLinearAggregate| |#5|) (|MatrixCategory| |#5| |#6| |#7|)) (T |InnerMatrixQuotientFieldFunctions|)) 
+((|nullSpace| (*1 *2 *3) (AND (|has| *9 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *10)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *10 (|MatrixCategory| *7 *8 *9)))) (|inverse| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) (|rowEchelon| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7))))) 
+(CATEGORY |package| (SIGNATURE |rowEchelon| (|#8| |#4|)) (SIGNATURE |inverse| ((|Union| |#8| "failed") |#4|)) (IF (|has| |#7| (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |nullSpace| ((|List| |#3|) |#4|)) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|IndexedVector| |#1| |#3|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) 12)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|IndexedVector| |#1| |#3|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|IndexedVector| |#1| |#2|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) 19 (|has| |#1| (|EuclideanDomain|)))) (|row| (((|IndexedVector| |#1| |#3|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) 22 (|has| |#1| (|IntegralDomain|)))) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) NIL)) (|pfaffian| ((|#1| $) NIL (|has| |#1| (|CommutativeRing|)))) (|parts| (((|List| |#1|) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|nullSpace| (((|List| (|IndexedVector| |#1| |#2|)) $) 27 (|has| |#1| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| ((|#1| $) 17 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 10)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 11)) (|maxColIndex| (((|Integer|) $) NIL)) (|matrix| (($ (|List| (|List| |#1|))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) NIL)) (|listOfLists| (((|List| (|List| |#1|)) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) 31 (|has| |#1| (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) NIL) ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| |#1|)) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| ((|#1| $) 15 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|IndexedVector| |#1| |#2|)) $) NIL (|has| |#1| (|EuclideanDomain|)))) (|column| (((|IndexedVector| |#1| |#2|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|))) (($ (|IndexedVector| |#1| |#2|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (|Integer|) $) NIL) (((|IndexedVector| |#1| |#2|) $ (|IndexedVector| |#1| |#2|)) NIL) (((|IndexedVector| |#1| |#3|) (|IndexedVector| |#1| |#3|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedMatrix| |#1| |#2| |#3|) (|MatrixCategory| |#1| (|IndexedVector| |#1| |#3|) (|IndexedVector| |#1| |#2|)) (|Ring|) (|Integer|) (|Integer|)) (T |IndexedMatrix|)) 
+NIL 
+(|MatrixCategory| |#1| (|IndexedVector| |#1| |#3|) (|IndexedVector| |#1| |#2|)) 
+((|xn| (((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|)) 74)) (|trace| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) 67)) (|setFieldInfo| (((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|) 82)) (|repSq| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|)) 36)) (|random| (((|Vector| |#1|) (|PositiveInteger|)) 69)) (|qPot| (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) 24)) (|pol| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) 75)) (|normalElement| (((|Vector| |#1|) (|PositiveInteger|)) 93)) (|normal?| (((|Boolean|) (|Vector| |#1|)) 78)) (|norm| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) 59)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) 87)) (|lookup| (((|PositiveInteger|) (|Vector| |#1|)) 56)) (|inv| (((|Vector| |#1|) (|Vector| |#1|)) 30)) (|index| (((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|)) 95)) (|expPot| (((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|)) 23)) (|dAndcExp| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|)) 37)) (|basis| (((|Vector| (|Vector| |#1|)) (|PositiveInteger|)) 92)) (/ (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) 79)) (** (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) 43)) (* (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) 25))) 
+(((|InnerNormalBasisFieldFunctions| |#1|) (CATEGORY |package| (SIGNATURE |setFieldInfo| ((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|)) (SIGNATURE |random| ((|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |index| ((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |pol| ((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|))) (SIGNATURE |xn| ((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|))) (SIGNATURE |dAndcExp| ((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|))) (SIGNATURE |repSq| ((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|))) (SIGNATURE |expPot| ((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|))) (SIGNATURE |qPot| ((|Vector| |#1|) (|Vector| |#1|) (|Integer|))) (SIGNATURE ** ((|Vector| |#1|) (|Vector| |#1|) (|Integer|))) (SIGNATURE * ((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE / ((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |norm| ((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |trace| ((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |inv| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |lookup| ((|PositiveInteger|) (|Vector| |#1|))) (SIGNATURE |normal?| ((|Boolean|) (|Vector| |#1|))) (SIGNATURE |basis| ((|Vector| (|Vector| |#1|)) (|PositiveInteger|))) (SIGNATURE |normalElement| ((|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)))) (|FiniteFieldCategory|)) (T |InnerNormalBasisFieldFunctions|)) 
+((|minimalPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|normalElement| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|basis| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| *4))) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|normal?| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|lookup| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|inv| (*1 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) (|trace| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|norm| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (/ (*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) (* (*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) (** (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|qPot| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|expPot| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|SingleInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|repSq| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|dAndcExp| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Vector| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|SingleInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *5)))) (|xn| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|pol| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) (|index| (*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|random| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) (|setFieldInfo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(CATEGORY |package| (SIGNATURE |setFieldInfo| ((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|)) (SIGNATURE |random| ((|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |index| ((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |pol| ((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|))) (SIGNATURE |xn| ((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|))) (SIGNATURE |dAndcExp| ((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|))) (SIGNATURE |repSq| ((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|))) (SIGNATURE |expPot| ((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|))) (SIGNATURE |qPot| ((|Vector| |#1|) (|Vector| |#1|) (|Integer|))) (SIGNATURE ** ((|Vector| |#1|) (|Vector| |#1|) (|Integer|))) (SIGNATURE * ((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE / ((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |norm| ((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |trace| ((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |inv| ((|Vector| |#1|) (|Vector| |#1|))) (SIGNATURE |lookup| ((|PositiveInteger|) (|Vector| |#1|))) (SIGNATURE |normal?| ((|Boolean|) (|Vector| |#1|))) (SIGNATURE |basis| ((|Vector| (|Vector| |#1|)) (|PositiveInteger|))) (SIGNATURE |normalElement| ((|Vector| |#1|) (|PositiveInteger|))) (SIGNATURE |minimalPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)))) 
+((|incrementBy| (((|Mapping| |#1| |#1|) |#1|) 11)) (|increment| (((|Mapping| |#1| |#1|)) 10))) 
+(((|IncrementingMaps| |#1|) (CATEGORY |package| (SIGNATURE |increment| ((|Mapping| |#1| |#1|))) (SIGNATURE |incrementBy| ((|Mapping| |#1| |#1|) |#1|))) (|Join| (|Monoid|) (|AbelianSemiGroup|))) (T |IncrementingMaps|)) 
+((|incrementBy| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|))))) (|increment| (*1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
+(CATEGORY |package| (SIGNATURE |increment| ((|Mapping| |#1| |#1|))) (SIGNATURE |incrementBy| ((|Mapping| |#1| |#1|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|sup| (($ $ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|monomial| (($ (|NonNegativeInteger|) |#1|) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|leadingSupport| ((|#1| $) NIL)) (|leadingCoefficient| (((|NonNegativeInteger|) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 20)) (|Zero| (($) NIL T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (+ (($ $ $) NIL)) (* (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|IndexedExponents| |#1|) (|Join| (|OrderedAbelianMonoidSup|) (|IndexedDirectProductCategory| (|NonNegativeInteger|) |#1|)) (|OrderedSet|)) (T |IndexedExponents|)) 
+NIL 
+(|Join| (|OrderedAbelianMonoidSup|) (|IndexedDirectProductCategory| (|NonNegativeInteger|) |#1|)) 
+((|solve1| (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) 83)) (|innerEigenvectors| (((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) 99)) (|charpol| (((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|)) 95))) 
+(((|InnerNumericEigenPackage| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |charpol| ((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|))) (SIGNATURE |solve1| ((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|)) (SIGNATURE |innerEigenvectors| ((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))))) (|Field|) (|Field|) (|Join| (|Field|) (|OrderedRing|))) (T |InnerNumericEigenPackage|)) 
+((|innerEigenvectors| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *5 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *6)) (|SparseUnivariatePolynomial| *6))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |outval| *7) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *7)))))) (|isDomain| *1 (|InnerNumericEigenPackage| *6 *7 *4)) (|ofCategory| *7 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|solve1| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericEigenPackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|charpol| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNumericEigenPackage| *4 *5 *6)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|Field|) (|OrderedRing|)))))) 
+(CATEGORY |package| (SIGNATURE |charpol| ((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|))) (SIGNATURE |solve1| ((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|)) (SIGNATURE |innerEigenvectors| ((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))))) 
+((~= (((|Boolean|) $ $) 7)) (|symbNameV| (((|Symbol|) $) 20)) (|subMultV| (((|NonNegativeInteger|) $) 22)) (|setsymbName!| (((|Symbol|) $ (|Symbol|)) 23)) (|setsubmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 28)) (|setpoint!| ((|#5| $ |#5|) 31)) (|setmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 27)) (|setlocalPoint!| (((|AffinePlane| |#1|) $ (|AffinePlane| |#1|)) 29)) (|setlocalParam!| (((|List| |#6|) $ (|List| |#6|)) 24)) (|setexcpDiv!| ((|#8| $ |#8|) 25)) (|setcurve!| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $ (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) 30)) (|setchart!| ((|#9| $ |#9|) 26)) (|pointV| ((|#5| $) 19)) (|multV| (((|NonNegativeInteger|) $) 16)) (|localPointV| (((|AffinePlane| |#1|) $) 17)) (|localParamV| (((|List| |#6|) $) 21)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|excpDivV| ((|#8| $) 14)) (|degree| (((|PositiveInteger|) $) 12)) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) 18)) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) 33) (($ |#5| |#3|) 32)) (|coerce| (((|OutputForm|) $) 11)) (|chartV| ((|#9| $) 15)) (|actualExtensionV| ((|#1| $) 13)) (= (((|Boolean|) $ $) 6))) 
+(((|InfinitlyClosePointCategory| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (|Category|) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |t#1| |t#4| (|OrderedVariableList| |t#2|)) (|DirectProductCategory| (|#| |t#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |t#1|) (|LocalPowerSeriesCategory| |t#1|) (|PlacesCategory| |t#1| |t#6|) (|DivisorCategory| |t#7|) (|BlowUpMethodCategory|)) (T |InfinitlyClosePointCategory|)) 
+((|create| (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *8)) (|isDomain| *4 (|AffinePlane| *8)) (|isDomain| *9 (|Symbol|)) (|ofCategory| *8 (|Field|)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *12 (|DirectProductCategory| (|#| *10) *5)) (|ofCategory| *13 (|LocalPowerSeriesCategory| *8)) (|ofCategory| *14 (|PlacesCategory| *8 *13)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *8 *10 *11 *12 *2 *13 *14 *7 *6)) (|ofCategory| *11 (|PolynomialCategory| *8 *12 (|OrderedVariableList| *10))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *8)) (|ofCategory| *7 (|DivisorCategory| *14)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|create| (*1 *1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *8 (|PlacesCategory| *4 *7)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) (|setpoint!| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) (|setcurve!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) (|setlocalPoint!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|AffinePlane| *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) (|setsubmult!| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|setmult!| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|setchart!| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|)))) (|setexcpDiv!| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *2 (|DivisorCategory| *9)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) (|setlocalParam!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| *8)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) (|setsymbName!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) (|subMultV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|localParamV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *8)))) (|symbNameV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Symbol|)))) (|pointV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)))) (|curveV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)))) (|localPointV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|AffinePlane| *3)))) (|multV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|chartV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|)))) (|excpDivV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)))) (|actualExtensionV| (*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *2 *3 *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *8 (|PlacesCategory| *2 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|SetCategoryWithDegree|) (CATEGORY |domain| (SIGNATURE |create| ($ |t#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |t#1|) (|AffinePlane| |t#1|) (|NonNegativeInteger|) |t#9| (|NonNegativeInteger|) |t#8| |t#1| (|Symbol|))) (SIGNATURE |create| ($ |t#5| |t#3|)) (SIGNATURE |setpoint!| (|t#5| $ |t#5|)) (SIGNATURE |setcurve!| ((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |t#1|) $ (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |t#1|))) (SIGNATURE |setlocalPoint!| ((|AffinePlane| |t#1|) $ (|AffinePlane| |t#1|))) (SIGNATURE |setsubmult!| ((|NonNegativeInteger|) $ (|NonNegativeInteger|))) (SIGNATURE |setmult!| ((|NonNegativeInteger|) $ (|NonNegativeInteger|))) (SIGNATURE |setchart!| (|t#9| $ |t#9|)) (SIGNATURE |setexcpDiv!| (|t#8| $ |t#8|)) (SIGNATURE |setlocalParam!| ((|List| |t#6|) $ (|List| |t#6|))) (SIGNATURE |setsymbName!| ((|Symbol|) $ (|Symbol|))) (SIGNATURE |subMultV| ((|NonNegativeInteger|) $)) (SIGNATURE |localParamV| ((|List| |t#6|) $)) (SIGNATURE |symbNameV| ((|Symbol|) $)) (SIGNATURE |pointV| (|t#5| $)) (SIGNATURE |curveV| ((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |t#1|) $)) (SIGNATURE |localPointV| ((|AffinePlane| |t#1|) $)) (SIGNATURE |multV| ((|NonNegativeInteger|) $)) (SIGNATURE |chartV| (|t#9| $)) (SIGNATURE |excpDivV| (|t#8| $)) (SIGNATURE |actualExtensionV| (|t#1| $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T) ((|SetCategoryWithDegree|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|symbNameV| (((|Symbol|) $) NIL)) (|subMultV| (((|NonNegativeInteger|) $) NIL)) (|setsymbName!| (((|Symbol|) $ (|Symbol|)) NIL)) (|setsubmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|setpoint!| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) $ (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)) NIL)) (|setmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|setlocalPoint!| (((|AffinePlane| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $ (|AffinePlane| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (|setlocalParam!| (((|List| (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) $ (|List| (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)))) NIL)) (|setexcpDiv!| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) $ (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (|setcurve!| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $ (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (|setchart!| ((|#3| $ |#3|) NIL)) (|pointV| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) $) NIL)) (|multV| (((|NonNegativeInteger|) $) NIL)) (|localPointV| (((|AffinePlane| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|localParamV| (((|List| (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fullOutput| (((|Boolean|) (|Boolean|)) NIL) (((|Boolean|)) NIL)) (|fullOut| (((|OutputForm|) $) NIL)) (|excpDivV| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|create| (($ (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|AffinePlane| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|) |#3| (|NonNegativeInteger|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Symbol|)) NIL) (($ (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|chartV| ((|#3| $) NIL)) (|actualExtensionV| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|) (|Join| (|InfinitlyClosePointCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|) |#2| (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DirectProduct| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) |#3|) (CATEGORY |domain| (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) (|FiniteFieldCategory|) (|List| (|Symbol|)) (|BlowUpMethodCategory|)) (T |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField|)) 
+((|fullOut| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullOutput| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullOutput| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(|Join| (|InfinitlyClosePointCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|) |#2| (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DirectProduct| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) |#3|) (CATEGORY |domain| (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|symbNameV| (((|Symbol|) $) 42)) (|subMultV| (((|NonNegativeInteger|) $) 48)) (|setsymbName!| (((|Symbol|) $ (|Symbol|)) 81)) (|setsubmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 71)) (|setpoint!| ((|#5| $ |#5|) 74)) (|setmult!| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 77)) (|setlocalPoint!| (((|AffinePlane| |#1|) $ (|AffinePlane| |#1|)) 76)) (|setlocalParam!| (((|List| |#6|) $ (|List| |#6|)) 79)) (|setexcpDiv!| ((|#8| $ |#8|) 80)) (|setcurve!| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $ (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) 75)) (|setchart!| ((|#9| $ |#9|) 78)) (|pointV| ((|#5| $) 40)) (|multV| (((|NonNegativeInteger|) $) 43)) (|localPointV| (((|AffinePlane| |#1|) $) 45)) (|localParamV| (((|List| |#6|) $) 73)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|fullOutput| (((|Boolean|) (|Boolean|)) 52) (((|Boolean|)) 53)) (|fullOut| (((|OutputForm|) $) 50)) (|excpDivV| ((|#8| $) 47)) (|degree| (((|PositiveInteger|) $) 58)) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) 44)) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) 59) (($ |#5| |#3|) 70)) (|coerce| (((|OutputForm|) $) 54)) (|chartV| ((|#9| $) 46)) (|actualExtensionV| ((|#1| $) 55)) (= (((|Boolean|) $ $) NIL))) 
+(((|InfinitlyClosePoint| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (|Join| (|InfinitlyClosePointCategory| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (CATEGORY |domain| (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|) (|DivisorCategory| |#7|) (|BlowUpMethodCategory|)) (T |InfinitlyClosePoint|)) 
+((|fullOut| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) (|fullOutput| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) (|fullOutput| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(|Join| (|InfinitlyClosePointCategory| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (CATEGORY |domain| (SIGNATURE |fullOut| ((|OutputForm|) $)) (SIGNATURE |fullOutput| ((|Boolean|) (|Boolean|))) (SIGNATURE |fullOutput| ((|Boolean|))))) 
+((|plusInfinity| (((|OrderedCompletion| (|Integer|))) 11)) (|minusInfinity| (((|OrderedCompletion| (|Integer|))) 13)) (|infinity| (((|OnePointCompletion| (|Integer|))) 8))) 
+(((|Infinity|) (CATEGORY |package| (SIGNATURE |infinity| ((|OnePointCompletion| (|Integer|)))) (SIGNATURE |plusInfinity| ((|OrderedCompletion| (|Integer|)))) (SIGNATURE |minusInfinity| ((|OrderedCompletion| (|Integer|)))))) (T |Infinity|)) 
+((|minusInfinity| (*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) (|plusInfinity| (*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) (|infinity| (*1 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|))))) 
+(CATEGORY |package| (SIGNATURE |infinity| ((|OnePointCompletion| (|Integer|)))) (SIGNATURE |plusInfinity| ((|OrderedCompletion| (|Integer|)))) (SIGNATURE |minusInfinity| ((|OrderedCompletion| (|Integer|))))) 
+((|packageCall| (((|InputForm|) (|Symbol|)) 15)) (|interpret| ((|#1| (|InputForm|)) 20))) 
+(((|InputFormFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |packageCall| ((|InputForm|) (|Symbol|))) (SIGNATURE |interpret| (|#1| (|InputForm|)))) (|Type|)) (T |InputFormFunctions1|)) 
+((|interpret| (*1 *2 *3) (AND (|isDomain| *3 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *2)) (|ofCategory| *2 (|Type|)))) (|packageCall| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |packageCall| ((|InputForm|) (|Symbol|))) (SIGNATURE |interpret| (|#1| (|InputForm|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|unparse| (((|String|) $) 46)) (|symbol?| (((|Boolean|) $) 43)) (|symbol| (((|Symbol|) $) 44)) (|string?| (((|Boolean|) $) 41)) (|string| (((|String|) $) 42)) (|parse| (($ (|String|)) 47)) (|pair?| (((|Boolean|) $) NIL)) (|null?| (((|Boolean|) $) NIL)) (|list?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|lambda| (($ $ (|List| (|Symbol|))) 20)) (|interpret| (((|Any|) $) 22)) (|integer?| (((|Boolean|) $) NIL)) (|integer| (((|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|function| (($ $ (|List| (|Symbol|)) (|Symbol|)) 59)) (|float?| (((|Boolean|) $) NIL)) (|float| (((|DoubleFloat|) $) NIL)) (|flatten| (($ $) 38)) (|expr| (((|OutputForm|) $) NIL)) (|eq| (((|Boolean|) $ $) NIL)) (|elt| (($ $ (|Integer|)) NIL) (($ $ (|List| (|Integer|))) NIL)) (|destruct| (((|List| $) $) 28)) (|declare| (((|Symbol|) (|List| $)) 48)) (|convert| (($ (|List| $)) 52) (($ (|String|)) NIL) (($ (|Symbol|)) 18) (($ (|Integer|)) 8) (($ (|DoubleFloat|)) 25) (($ (|OutputForm|)) NIL) (((|SExpression|) $) 11) (($ (|SExpression|)) 12)) (|compile| (((|Symbol|) (|Symbol|) (|List| $)) 51)) (|coerce| (((|OutputForm|) $) NIL)) (|cdr| (($ $) 50)) (|car| (($ $) 49)) (|binary| (($ $ (|List| $)) 56)) (|atom?| (((|Boolean|) $) 27)) (|Zero| (($) 9 T CONST)) (|One| (($) 10 T CONST)) (= (((|Boolean|) $ $) 60)) (/ (($ $ $) 65)) (+ (($ $ $) 61)) (** (($ $ (|NonNegativeInteger|)) 64) (($ $ (|Integer|)) 63)) (* (($ $ $) 62)) (|#| (((|Integer|) $) NIL))) 
+(((|InputForm|) (|Join| (|SExpressionCategory| (|String|) (|Symbol|) (|Integer|) (|DoubleFloat|) (|OutputForm|)) (|ConvertibleTo| (|SExpression|)) (CATEGORY |domain| (SIGNATURE |interpret| ((|Any|) $)) (SIGNATURE |convert| ($ (|SExpression|))) (SIGNATURE |binary| ($ $ (|List| $))) (SIGNATURE |function| ($ $ (|List| (|Symbol|)) (|Symbol|))) (SIGNATURE |lambda| ($ $ (|List| (|Symbol|)))) (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE 0 ($) |constant|) (SIGNATURE 1 ($) |constant|) (SIGNATURE |flatten| ($ $)) (SIGNATURE |unparse| ((|String|) $)) (SIGNATURE |parse| ($ (|String|))) (SIGNATURE |declare| ((|Symbol|) (|List| $))) (SIGNATURE |compile| ((|Symbol|) (|Symbol|) (|List| $)))))) (T |InputForm|)) 
+((|interpret| (*1 *2 *1) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|InputForm|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|InputForm|)))) (|binary| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|)))) (|function| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) (|lambda| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|InputForm|)))) (+ (*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) (* (*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) (/ (*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InputForm|)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InputForm|)))) (|Zero| (*1 *1) (|isDomain| *1 (|InputForm|))) (|One| (*1 *1) (|isDomain| *1 (|InputForm|))) (|flatten| (*1 *1 *1) (|isDomain| *1 (|InputForm|))) (|unparse| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|)))) (|parse| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|)))) (|declare| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) (|compile| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(|Join| (|SExpressionCategory| (|String|) (|Symbol|) (|Integer|) (|DoubleFloat|) (|OutputForm|)) (|ConvertibleTo| (|SExpression|)) (CATEGORY |domain| (SIGNATURE |interpret| ((|Any|) $)) (SIGNATURE |convert| ($ (|SExpression|))) (SIGNATURE |binary| ($ $ (|List| $))) (SIGNATURE |function| ($ $ (|List| (|Symbol|)) (|Symbol|))) (SIGNATURE |lambda| ($ $ (|List| (|Symbol|)))) (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE (|Zero|) ($) |constant|) (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |flatten| ($ $)) (SIGNATURE |unparse| ((|String|) $)) (SIGNATURE |parse| ($ (|String|))) (SIGNATURE |declare| ((|Symbol|) (|List| $))) (SIGNATURE |compile| ((|Symbol|) (|Symbol|) (|List| $))))) 
+((|oddInfiniteProduct| ((|#2| |#2|) 17)) (|infiniteProduct| ((|#2| |#2|) 13)) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) 20)) (|evenInfiniteProduct| ((|#2| |#2|) 15))) 
+(((|InfiniteProductCharacteristicZero| |#1| |#2|) (CATEGORY |package| (SIGNATURE |infiniteProduct| (|#2| |#2|)) (SIGNATURE |evenInfiniteProduct| (|#2| |#2|)) (SIGNATURE |oddInfiniteProduct| (|#2| |#2|)) (SIGNATURE |generalInfiniteProduct| (|#2| |#2| (|Integer|) (|Integer|)))) (|Join| (|IntegralDomain|) (|CharacteristicZero|)) (|UnivariateTaylorSeriesCategory| |#1|)) (T |InfiniteProductCharacteristicZero|)) 
+((|generalInfiniteProduct| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) (|oddInfiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|evenInfiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|infiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |infiniteProduct| (|#2| |#2|)) (SIGNATURE |evenInfiniteProduct| (|#2| |#2|)) (SIGNATURE |oddInfiniteProduct| (|#2| |#2|)) (SIGNATURE |generalInfiniteProduct| (|#2| |#2| (|Integer|) (|Integer|)))) 
+((|makeEq| (((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))) 32)) (|innerSolve1| (((|List| |#2|) (|Polynomial| |#1|) |#3|) 53) (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) 52)) (|innerSolve| (((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|) 87))) 
+(((|InnerNumericFloatSolvePackage| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |innerSolve1| ((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|)) (SIGNATURE |innerSolve1| ((|List| |#2|) (|Polynomial| |#1|) |#3|)) (SIGNATURE |innerSolve| ((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|)) (SIGNATURE |makeEq| ((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))))) (|GcdDomain|) (|Field|) (|Join| (|Field|) (|OrderedRing|))) (T |InnerNumericFloatSolvePackage|)) 
+((|makeEq| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *6)))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|Field|) (|OrderedRing|))))) (|innerSolve| (*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *6 *7 *5)) (|ofCategory| *7 (|Field|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) (|innerSolve1| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|innerSolve1| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(CATEGORY |package| (SIGNATURE |innerSolve1| ((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|)) (SIGNATURE |innerSolve1| ((|List| |#2|) (|Polynomial| |#1|) |#3|)) (SIGNATURE |innerSolve| ((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|)) (SIGNATURE |makeEq| ((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))))) 
+((|reduction| ((|#2| |#2| |#1|) 17)) (|modularGcdPrimitive| ((|#2| (|List| |#2|)) 26)) (|modularGcd| ((|#2| (|List| |#2|)) 45))) 
+(((|InnerModularGcd| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |modularGcdPrimitive| (|#2| (|List| |#2|))) (SIGNATURE |modularGcd| (|#2| (|List| |#2|))) (SIGNATURE |reduction| (|#2| |#2| |#1|))) (|EuclideanDomain|) (|UnivariatePolynomialCategory| |#1|) |#1| (|Mapping| |#1| |#1| (|NonNegativeInteger|))) (T |InnerModularGcd|)) 
+((|reduction| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofType| *4 *3) (|ofType| *5 (|Mapping| *3 *3 (|NonNegativeInteger|))) (|isDomain| *1 (|InnerModularGcd| *3 *2 *4 *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|modularGcd| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|))))) (|modularGcdPrimitive| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
+(CATEGORY |package| (SIGNATURE |modularGcdPrimitive| (|#2| (|List| |#2|))) (SIGNATURE |modularGcd| (|#2| (|List| |#2|))) (SIGNATURE |reduction| (|#2| |#2| |#1|))) 
+((|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) 79) (((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) 164))) 
+(((|InnerMultFact| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|)))) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|PolynomialCategory| |#3| |#2| |#1|)) (T |InnerMultFact|)) 
+((|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *7 *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *8)) (|isDomain| *3 (|SparseUnivariatePolynomial| *8)))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|)))) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))))) 
+((|oddInfiniteProduct| ((|#4| |#4|) 73)) (|infiniteProduct| ((|#4| |#4|) 69)) (|generalInfiniteProduct| ((|#4| |#4| (|Integer|) (|Integer|)) 75)) (|evenInfiniteProduct| ((|#4| |#4|) 71))) 
+(((|InfiniteProductFiniteField| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |infiniteProduct| (|#4| |#4|)) (SIGNATURE |evenInfiniteProduct| (|#4| |#4|)) (SIGNATURE |oddInfiniteProduct| (|#4| |#4|)) (SIGNATURE |generalInfiniteProduct| (|#4| |#4| (|Integer|) (|Integer|)))) (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|))) (|UnivariatePolynomialCategory| |#1|) (|MonogenicAlgebra| |#1| |#2|) (|UnivariateTaylorSeriesCategory| |#3|)) (T |InfiniteProductFiniteField|)) 
+((|generalInfiniteProduct| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)) (|isDomain| *1 (|InfiniteProductFiniteField| *4 *5 *6 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)))) (|oddInfiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) (|evenInfiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) (|infiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |infiniteProduct| (|#4| |#4|)) (SIGNATURE |evenInfiniteProduct| (|#4| |#4|)) (SIGNATURE |oddInfiniteProduct| (|#4| |#4|)) (SIGNATURE |generalInfiniteProduct| (|#4| |#4| (|Integer|) (|Integer|)))) 
+((|oddInfiniteProduct| ((|#2| |#2|) 27)) (|infiniteProduct| ((|#2| |#2|) 23)) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) 29)) (|evenInfiniteProduct| ((|#2| |#2|) 25))) 
+(((|InfiniteProductPrimeField| |#1| |#2|) (CATEGORY |package| (SIGNATURE |infiniteProduct| (|#2| |#2|)) (SIGNATURE |evenInfiniteProduct| (|#2| |#2|)) (SIGNATURE |oddInfiniteProduct| (|#2| |#2|)) (SIGNATURE |generalInfiniteProduct| (|#2| |#2| (|Integer|) (|Integer|)))) (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|))) (|UnivariateTaylorSeriesCategory| |#1|)) (T |InfiniteProductPrimeField|)) 
+((|generalInfiniteProduct| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|isDomain| *1 (|InfiniteProductPrimeField| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) (|oddInfiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|evenInfiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|infiniteProduct| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |infiniteProduct| (|#2| |#2|)) (SIGNATURE |evenInfiniteProduct| (|#2| |#2|)) (SIGNATURE |oddInfiniteProduct| (|#2| |#2|)) (SIGNATURE |generalInfiniteProduct| (|#2| |#2| (|Integer|) (|Integer|)))) 
+((|signAround| (((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)) 14) (((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) 13) (((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) 26))) 
+(((|InnerPolySign| |#1| |#2|) (CATEGORY |package| (SIGNATURE |signAround| ((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|))) (SIGNATURE |signAround| ((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|))) (SIGNATURE |signAround| ((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)))) (|Ring|) (|UnivariatePolynomialCategory| |#1|)) (T |InnerPolySign|)) 
+((|signAround| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|signAround| (*1 *2 *3 *4 *2 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|signAround| (*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Union| (|Integer|) "failed") *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |signAround| ((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|))) (SIGNATURE |signAround| ((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|))) (SIGNATURE |signAround| ((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)))) 
+((|symmetricRemainder| (($ $ $) 78)) (|squareFree| (((|Factored| $) $) 46)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 58)) (|retract| (((|Integer|) $) 36)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 73)) (|rational?| (((|Boolean|) $) 23)) (|rational| (((|Fraction| (|Integer|)) $) 71)) (|prime?| (((|Boolean|) $) 49)) (|powmod| (($ $ $ $) 85)) (|positive?| (((|Boolean|) $) 15)) (|permutation| (($ $ $) 56)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 68)) (|nextItem| (((|Union| $ "failed") $) 63)) (|mask| (($ $) 22)) (|invmod| (($ $ $) 83)) (|init| (($) 59)) (|factorial| (($ $) 52)) (|factor| (((|Factored| $) $) 44)) (|even?| (((|Boolean|) $) 13)) (|euclideanSize| (((|NonNegativeInteger|) $) 27)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 10)) (|copy| (($ $) 16)) (|convert| (((|Integer|) $) NIL) (((|InputForm|) $) 35) (((|Pattern| (|Integer|)) $) 39) (((|Float|) $) 30) (((|DoubleFloat|) $) 32)) (|characteristic| (((|NonNegativeInteger|)) 8)) (|bit?| (((|Boolean|) $ $) 19)) (|binomial| (($ $ $) 54))) 
+(((|IntegerNumberSystem&| |#1|) (CATEGORY |domain| (SIGNATURE |invmod| (|#1| |#1| |#1|)) (SIGNATURE |powmod| (|#1| |#1| |#1| |#1|)) (SIGNATURE |mask| (|#1| |#1|)) (SIGNATURE |copy| (|#1| |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |symmetricRemainder| (|#1| |#1| |#1|)) (SIGNATURE |bit?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |even?| ((|Boolean|) |#1|)) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |convert| ((|DoubleFloat|) |#1|)) (SIGNATURE |convert| ((|Float|) |#1|)) (SIGNATURE |permutation| (|#1| |#1| |#1|)) (SIGNATURE |factorial| (|#1| |#1|)) (SIGNATURE |binomial| (|#1| |#1| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |convert| ((|Integer|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |positive?| ((|Boolean|) |#1|)) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |prime?| ((|Boolean|) |#1|)) (SIGNATURE |characteristic| ((|NonNegativeInteger|)))) (|IntegerNumberSystem|)) (T |IntegerNumberSystem&|)) 
+((|characteristic| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberSystem&| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(CATEGORY |domain| (SIGNATURE |invmod| (|#1| |#1| |#1|)) (SIGNATURE |powmod| (|#1| |#1| |#1| |#1|)) (SIGNATURE |mask| (|#1| |#1|)) (SIGNATURE |copy| (|#1| |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |symmetricRemainder| (|#1| |#1| |#1|)) (SIGNATURE |bit?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |even?| ((|Boolean|) |#1|)) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |convert| ((|DoubleFloat|) |#1|)) (SIGNATURE |convert| ((|Float|) |#1|)) (SIGNATURE |permutation| (|#1| |#1| |#1|)) (SIGNATURE |factorial| (|#1| |#1|)) (SIGNATURE |binomial| (|#1| |#1| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |convert| ((|Integer|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |positive?| ((|Boolean|) |#1|)) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |prime?| ((|Boolean|) |#1|)) (SIGNATURE |characteristic| ((|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|symmetricRemainder| (($ $ $) 83)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|submod| (($ $ $ $) 71)) (|squareFreePart| (($ $) 50)) (|squareFree| (((|Factored| $) $) 51)) (|sizeLess?| (((|Boolean|) $ $) 123)) (|sign| (((|Integer|) $) 112)) (|shift| (($ $ $) 86)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 104)) (|retract| (((|Integer|) $) 103)) (|rem| (($ $ $) 127)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 102) (((|Matrix| (|Integer|)) (|Matrix| $)) 101)) (|recip| (((|Union| $ "failed") $) 33)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 80)) (|rational?| (((|Boolean|) $) 82)) (|rational| (((|Fraction| (|Integer|)) $) 81)) (|random| (($) 79) (($ $) 78)) (|quo| (($ $ $) 126)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 121)) (|prime?| (((|Boolean|) $) 52)) (|powmod| (($ $ $ $) 69)) (|positiveRemainder| (($ $ $) 84)) (|positive?| (((|Boolean|) $) 114)) (|permutation| (($ $ $) 95)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 98)) (|one?| (((|Boolean|) $) 30)) (|odd?| (((|Boolean|) $) 90)) (|nextItem| (((|Union| $ "failed") $) 92)) (|negative?| (((|Boolean|) $) 113)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 130)) (|mulmod| (($ $ $ $) 70)) (|min| (($ $ $) 115)) (|max| (($ $ $) 116)) (|mask| (($ $) 73)) (|length| (($ $) 87)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|invmod| (($ $ $) 68)) (|init| (($) 91 T CONST)) (|inc| (($ $) 75)) (|hash| (((|SingleInteger|) $) 10) (($ $) 77)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factorial| (($ $) 96)) (|factor| (((|Factored| $) $) 49)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 129) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 128)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 122)) (|even?| (((|Boolean|) $) 89)) (|euclideanSize| (((|NonNegativeInteger|) $) 124)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 125)) (|differentiate| (($ $ (|NonNegativeInteger|)) 109) (($ $) 107)) (|dec| (($ $) 74)) (|copy| (($ $) 76)) (|convert| (((|Integer|) $) 106) (((|InputForm|) $) 100) (((|Pattern| (|Integer|)) $) 99) (((|Float|) $) 94) (((|DoubleFloat|) $) 93)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Integer|)) 105)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|bit?| (((|Boolean|) $ $) 85)) (|binomial| (($ $ $) 97)) (|base| (($) 88)) (|associates?| (((|Boolean|) $ $) 38)) (|addmod| (($ $ $ $) 72)) (|abs| (($ $) 111)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|NonNegativeInteger|)) 110) (($ $) 108)) (>= (((|Boolean|) $ $) 118)) (> (((|Boolean|) $ $) 119)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 117)) (< (((|Boolean|) $ $) 120)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|IntegerNumberSystem|) (|Category|)) (T |IntegerNumberSystem|)) 
+((|odd?| (*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|even?| (*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|base| (*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|length| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|shift| (*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|bit?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|positiveRemainder| (*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|symmetricRemainder| (*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|rational?| (*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|rational| (*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|random| (*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|random| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|hash| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|copy| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|inc| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|dec| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|mask| (*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|addmod| (*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|submod| (*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|mulmod| (*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|powmod| (*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) (|invmod| (*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(|Join| (|UniqueFactorizationDomain|) (|EuclideanDomain|) (|OrderedIntegralDomain|) (|DifferentialRing|) (|ConvertibleTo| (|Integer|)) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|ConvertibleTo| (|InputForm|)) (|ConvertibleTo| (|Pattern| (|Integer|))) (|PatternMatchable| (|Integer|)) (|CombinatorialFunctionCategory|) (|RealConstant|) (|CharacteristicZero|) (|StepThrough|) (CATEGORY |domain| (SIGNATURE |odd?| ((|Boolean|) $)) (SIGNATURE |even?| ((|Boolean|) $)) (ATTRIBUTE |multiplicativeValuation|) (SIGNATURE |base| ($)) (SIGNATURE |length| ($ $)) (SIGNATURE |shift| ($ $ $)) (SIGNATURE |bit?| ((|Boolean|) $ $)) (SIGNATURE |positiveRemainder| ($ $ $)) (SIGNATURE |symmetricRemainder| ($ $ $)) (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $)) (SIGNATURE |random| ($)) (SIGNATURE |random| ($ $)) (SIGNATURE |hash| ($ $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |inc| ($ $)) (SIGNATURE |dec| ($ $)) (SIGNATURE |mask| ($ $)) (SIGNATURE |addmod| ($ $ $ $)) (SIGNATURE |submod| ($ $ $ $)) (SIGNATURE |mulmod| ($ $ $ $)) (SIGNATURE |powmod| ($ $ $ $)) (SIGNATURE |invmod| ($ $ $)) (ATTRIBUTE |canonicalUnitNormal|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CombinatorialFunctionCategory|) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| (|DoubleFloat|)) . T) ((|ConvertibleTo| (|Float|)) . T) ((|ConvertibleTo| (|InputForm|)) . T) ((|ConvertibleTo| (|Integer|)) . T) ((|ConvertibleTo| (|Pattern| (|Integer|))) . T) ((|DifferentialRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|LinearlyExplicitRingOver| (|Integer|)) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedIntegralDomain|) . T) ((|OrderedRing|) . T) ((|OrderedSet|) . T) ((|PatternMatchable| (|Integer|)) . T) ((|PrincipalIdealDomain|) . T) ((|RealConstant|) . T) ((|RetractableTo| (|Integer|)) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#2| $ |#1| |#2|) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) NIL)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|keys| (((|List| |#1|) $) NIL)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|indices| (((|List| |#1|) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|InnerTable| |#1| |#2| |#3|) (|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) (|SetCategory|) (|SetCategory|) (|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))) (T |InnerTable|)) 
+NIL 
+(|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) 
+((|algint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))) 49))) 
+(((|AlgebraicIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |algint| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))))) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| |#1|))) (T |AlgebraicIntegration|)) 
+((|algint| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Mapping| (|SparseUnivariatePolynomial| *3) (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegration| *6 *3))))) 
+(CATEGORY |package| (SIGNATURE |algint| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))))) 
+((|palgintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) 195)) (|palginfieldint| (((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)) 191)) (|algintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) 198))) 
+(((|AlgebraicIntegrate| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |algintegrate| ((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|))) (SIGNATURE |palgintegrate| ((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|))) (SIGNATURE |palginfieldint| ((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)))) (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| |#1|)) (|UnivariatePolynomialCategory| |#2|) (|UnivariatePolynomialCategory| (|Fraction| |#3|)) (|FunctionFieldCategory| |#2| |#3| |#4|)) (T |AlgebraicIntegrate|)) 
+((|palginfieldint| (*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *1 (|AlgebraicIntegrate| *4 *5 *6 *7 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *5 *6 *7)))) (|palgintegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8)))) (|algintegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |algintegrate| ((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|))) (SIGNATURE |palgintegrate| ((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|))) (SIGNATURE |palginfieldint| ((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)))) 
+((|bitTruth| (((|Boolean|) (|Integer|) (|Integer|)) 10)) (|bitLength| (((|Integer|) (|Integer|)) 7)) (|bitCoef| (((|Integer|) (|Integer|) (|Integer|)) 8))) 
+(((|IntegerBits|) (CATEGORY |package| (SIGNATURE |bitLength| ((|Integer|) (|Integer|))) (SIGNATURE |bitCoef| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |bitTruth| ((|Boolean|) (|Integer|) (|Integer|))))) (T |IntegerBits|)) 
+((|bitTruth| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerBits|)))) (|bitCoef| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|)))) (|bitLength| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
+(CATEGORY |package| (SIGNATURE |bitLength| ((|Integer|) (|Integer|))) (SIGNATURE |bitCoef| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |bitTruth| ((|Boolean|) (|Integer|) (|Integer|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|width| ((|#1| $) 60)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|tanh| (($ $) 90)) (|tan| (($ $) 73)) (|sup| ((|#1| $) 61)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sqrt| (($ $) 72)) (|sinh| (($ $) 89)) (|sin| (($ $) 74)) (|sech| (($ $) 88)) (|sec| (($ $) 75)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 68)) (|retract| (((|Integer|) $) 67)) (|recip| (((|Union| $ "failed") $) 33)) (|qinterval| (($ |#1| |#1|) 65)) (|positive?| (((|Boolean|) $) 59)) (|pi| (($) 100)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 71)) (|negative?| (((|Boolean|) $) 58)) (|min| (($ $ $) 106)) (|max| (($ $ $) 105)) (|log| (($ $) 97)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|interval| (($ |#1| |#1|) 66) (($ |#1|) 64) (($ (|Fraction| (|Integer|))) 63)) (|inf| ((|#1| $) 62)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|exp| (($ $) 98)) (|csch| (($ $) 87)) (|csc| (($ $) 76)) (|coth| (($ $) 86)) (|cot| (($ $) 77)) (|cosh| (($ $) 85)) (|cos| (($ $) 78)) (|contains?| (((|Boolean|) $ |#1|) 57)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Integer|)) 69)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|atanh| (($ $) 96)) (|atan| (($ $) 84)) (|associates?| (((|Boolean|) $ $) 38)) (|asinh| (($ $) 95)) (|asin| (($ $) 83)) (|asech| (($ $) 94)) (|asec| (($ $) 82)) (|acsch| (($ $) 93)) (|acsc| (($ $) 81)) (|acoth| (($ $) 92)) (|acot| (($ $) 80)) (|acosh| (($ $) 91)) (|acos| (($ $) 79)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 103)) (> (((|Boolean|) $ $) 102)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 104)) (< (((|Boolean|) $ $) 101)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ $) 99) (($ $ (|Fraction| (|Integer|))) 70)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|IntervalCategory| |#1|) (|Category|) (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (T |IntervalCategory|)) 
+((|interval| (*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|qinterval| (*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|interval| (*1 *1 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|interval| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|inf| (*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|sup| (*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|width| (*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) (|positive?| (*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) (|negative?| (*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) (|contains?| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|GcdDomain|) (|OrderedSet|) (|TranscendentalFunctionCategory|) (|RadicalCategory|) (|RetractableTo| (|Integer|)) (CATEGORY |domain| (ATTRIBUTE |approximate|) (SIGNATURE |interval| ($ |t#1| |t#1|)) (SIGNATURE |qinterval| ($ |t#1| |t#1|)) (SIGNATURE |interval| ($ |t#1|)) (SIGNATURE |interval| ($ (|Fraction| (|Integer|)))) (SIGNATURE |inf| (|t#1| $)) (SIGNATURE |sup| (|t#1| $)) (SIGNATURE |width| (|t#1| $)) (SIGNATURE |positive?| ((|Boolean|) $)) (SIGNATURE |negative?| ((|Boolean|) $)) (SIGNATURE |contains?| ((|Boolean|) $ |t#1|)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|ArcHyperbolicFunctionCategory|) . T) ((|ArcTrigonometricFunctionCategory|) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ElementaryFunctionCategory|) . T) ((|EntireRing|) . T) ((|GcdDomain|) . T) ((|HyperbolicFunctionCategory|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedSet|) . T) ((|RadicalCategory|) . T) ((|RetractableTo| (|Integer|)) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|TranscendentalFunctionCategory|) . T) ((|TrigonometricFunctionCategory|) . T)) 
+((|placesOfDegree| (((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)) 55)) (|intersectionDivisor| ((|#8| |#3| |#3| (|List| |#10|) (|List| |#5|)) 52))) 
+(((|IntersectionDivisorPackage| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (CATEGORY |package| (SIGNATURE |intersectionDivisor| (|#8| |#3| |#3| (|List| |#10|) (|List| |#5|))) (SIGNATURE |placesOfDegree| ((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|) (|DivisorCategory| |#7|) (|InfinitlyClosePointCategory| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (|DesingTreeCategory| |#9|) (|BlowUpMethodCategory|)) (T |IntersectionDivisorPackage|)) 
+((|placesOfDegree| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *6 *7 *4 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (|ofCategory| *14 (|DesingTreeCategory| *13)))) (|intersectionDivisor| (*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|List| *13)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *6 (|Field|)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *6 *7 *3 *8 *9 *10 *11 *2 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *2 (|DivisorCategory| *11)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
+(CATEGORY |package| (SIGNATURE |intersectionDivisor| (|#8| |#3| |#3| (|List| |#10|) (|List| |#5|))) (SIGNATURE |placesOfDegree| ((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)))) 
+((|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 9)) (|unitCanonical| (($ $) 11)) (|unit?| (((|Boolean|) $) 18)) (|recip| (((|Union| $ "failed") $) 16)) (|associates?| (((|Boolean|) $ $) 20))) 
+(((|IntegralDomain&| |#1|) (CATEGORY |domain| (SIGNATURE |unit?| ((|Boolean|) |#1|)) (SIGNATURE |associates?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |unitCanonical| (|#1| |#1|)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| |#1|) (|:| |canonical| |#1|) (|:| |associate| |#1|)) |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|))) (|IntegralDomain|)) (T |IntegralDomain&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |unit?| ((|Boolean|) |#1|)) (SIGNATURE |associates?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |unitCanonical| (|#1| |#1|)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| |#1|) (|:| |canonical| |#1|) (|:| |associate| |#1|)) |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|IntegralDomain|) (|Category|)) (T |IntegralDomain|)) 
+((|exquo| (*1 *1 *1 *1) (|partial| |ofCategory| *1 (|IntegralDomain|))) (|unitNormal| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |unit| *1) (|:| |canonical| *1) (|:| |associate| *1))) (|ofCategory| *1 (|IntegralDomain|)))) (|unitCanonical| (*1 *1 *1) (|ofCategory| *1 (|IntegralDomain|))) (|associates?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)))) (|unit?| (*1 *2 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|CommutativeRing|) (|Algebra| $) (|EntireRing|) (CATEGORY |domain| (SIGNATURE |exquo| ((|Union| $ "failed") $ $)) (SIGNATURE |unitNormal| ((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $)) (SIGNATURE |unitCanonical| ($ $)) (SIGNATURE |associates?| ((|Boolean|) $ $)) (SIGNATURE |unit?| ((|Boolean|) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|LeftModule| $) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|lflimitedint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|)) 35)) (|lfintegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) 58)) (|lfinfieldint| (((|Union| |#2| "failed") |#2| (|Symbol|)) 147)) (|lfextlimint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))) 149)) (|lfextendedint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|) 38))) 
+(((|ElementaryIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |lfextendedint| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|)) (SIGNATURE |lflimitedint| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|))) (SIGNATURE |lfinfieldint| ((|Union| |#2| "failed") |#2| (|Symbol|))) (SIGNATURE |lfintegrate| ((|IntegrationResult| |#2|) |#2| (|Symbol|))) (SIGNATURE |lfextlimint| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))))) (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |ElementaryIntegration|)) 
+((|lfextlimint| (*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|List| (|Kernel| *3))) (|isDomain| *5 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *7 *3)))) (|lfintegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|lfinfieldint| (*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|lflimitedint| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|ElementaryIntegration| *6 *3)))) (|lfextendedint| (*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(CATEGORY |package| (SIGNATURE |lfextendedint| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|)) (SIGNATURE |lflimitedint| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|))) (SIGNATURE |lfinfieldint| ((|Union| |#2| "failed") |#2| (|Symbol|))) (SIGNATURE |lfintegrate| ((|IntegrationResult| |#2|) |#2| (|Symbol|))) (SIGNATURE |lfextlimint| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))))) 
+((|groebner| (((|List| |#5|) (|List| |#5|)) 41))) 
+(((|InterfaceGroebnerPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |groebner| ((|List| |#5|) (|List| |#5|)))) (|Field|) (|List| (|Symbol|)) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#3| |#4|)) (T |InterfaceGroebnerPackage|)) 
+((|groebner| (*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|InterfaceGroebnerPackage| *3 *4 *5 *6 *7)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(CATEGORY |package| (SIGNATURE |groebner| ((|List| |#5|) (|List| |#5|)))) 
+((|squareFree| (((|Factored| |#1|) |#1|) 18)) (|factor| (((|Factored| |#1|) |#1|) 32)) (|PollardSmallFactor| (((|Union| |#1| "failed") |#1|) 43)) (|BasicMethod| (((|Factored| |#1|) |#1|) 49))) 
+(((|IntegerFactorizationPackage| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |BasicMethod| ((|Factored| |#1|) |#1|)) (SIGNATURE |PollardSmallFactor| ((|Union| |#1| "failed") |#1|))) (|IntegerNumberSystem|)) (T |IntegerFactorizationPackage|)) 
+((|PollardSmallFactor| (*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerFactorizationPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|BasicMethod| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) (|squareFree| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) (|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |BasicMethod| ((|Factored| |#1|) |#1|)) (SIGNATURE |PollardSmallFactor| ((|Union| |#1| "failed") |#1|))) 
+((|interpolateFormsForFact| (((|List| |#3|) |#8| (|List| |#3|)) 45)) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)) 44)) (|basisOfInterpolateFormsForFact| (((|List| (|Vector| |#1|)) |#8| (|List| |#3|)) 26)) (|basisOfInterpolateForms| (((|List| (|Vector| |#1|)) |#8| (|List| |#3|)) 27))) 
+(((|InterpolateFormsPackage| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (CATEGORY |package| (SIGNATURE |basisOfInterpolateForms| ((|List| (|Vector| |#1|)) |#8| (|List| |#3|))) (SIGNATURE |basisOfInterpolateFormsForFact| ((|List| (|Vector| |#1|)) |#8| (|List| |#3|))) (SIGNATURE |interpolateFormsForFact| ((|List| |#3|) |#8| (|List| |#3|))) (SIGNATURE |interpolateForms| ((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|) (|DivisorCategory| |#7|)) (T |InterpolateFormsPackage|)) 
+((|interpolateForms| (*1 *2 *3 *4 *5 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) *4)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|isDomain| *1 (|InterpolateFormsPackage| *6 *7 *5 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *3 (|DivisorCategory| *11)))) (|interpolateFormsForFact| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|isDomain| *1 (|InterpolateFormsPackage| *4 *5 *6 *7 *8 *9 *10 *3)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *3 (|DivisorCategory| *10)))) (|basisOfInterpolateFormsForFact| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11)))) (|basisOfInterpolateForms| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(CATEGORY |package| (SIGNATURE |basisOfInterpolateForms| ((|List| (|Vector| |#1|)) |#8| (|List| |#3|))) (SIGNATURE |basisOfInterpolateFormsForFact| ((|List| (|Vector| |#1|)) |#8| (|List| |#3|))) (SIGNATURE |interpolateFormsForFact| ((|List| |#3|) |#8| (|List| |#3|))) (SIGNATURE |interpolateForms| ((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)))) 
+((|showTheFTable| (($) 9)) (|showAttributes| (((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 29)) (|keys| (((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) 26)) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (|fTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (|entry| (((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 33)) (|entries| (((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (|clearTheFTable| (((|Void|)) 12))) 
+(((|IntegrationFunctionsTable|) (CATEGORY |domain| (SIGNATURE |showTheFTable| ($)) (SIGNATURE |clearTheFTable| ((|Void|))) (SIGNATURE |keys| ((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $)) (SIGNATURE |fTable| ($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (SIGNATURE |insert!| ($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (SIGNATURE |showAttributes| ((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |entries| ((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (SIGNATURE |entry| ((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) (T |IntegrationFunctionsTable|)) 
+((|entry| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|entries| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|showAttributes| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|insert!| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|fTable| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|keys| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|clearTheFTable| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntegrationFunctionsTable|)))) (|showTheFTable| (*1 *1) (|isDomain| *1 (|IntegrationFunctionsTable|)))) 
+(CATEGORY |domain| (SIGNATURE |showTheFTable| ($)) (SIGNATURE |clearTheFTable| ((|Void|))) (SIGNATURE |keys| ((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $)) (SIGNATURE |fTable| ($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (SIGNATURE |insert!| ($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (SIGNATURE |showAttributes| ((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |entries| ((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (SIGNATURE |entry| ((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) 
+((|univariate| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|)) 28)) (|palglimint0| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) 96) (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) 106)) (|palgint0| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) 78) (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) 50)) (|palgextint0| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) 85) (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|)) 105)) (|palgRDE0| (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) 101) (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|)) 107)) (|palgLODE0| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) 124 (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|))) (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) 123 (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|)))) (|multivariate| ((|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|) 48)) (|lift| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) 27))) 
+(((|GenusZeroIntegration| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |palgint0| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgint0| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |palgextint0| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgextint0| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |palglimint0| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palglimint0| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |palgRDE0| ((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgRDE0| ((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |multivariate| (|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|)) (SIGNATURE |lift| ((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|))) (IF (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|)) (PROGN (SIGNATURE |palgLODE0| ((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgLODE0| ((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))))) |noBranch|)) (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|FunctionSpace| |#1|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|)) (|SetCategory|)) (T |GenusZeroIntegration|)) 
+((|palgLODE0| (*1 *2 *3 *4 *5 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) (|palgLODE0| (*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) (|lift| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *6)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *7 (|SetCategory|)))) (|multivariate| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *2)))) (|isDomain| *4 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) (|univariate| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *7 (|SetCategory|)))) (|palgRDE0| (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|)))) (|palgRDE0| (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|)))) (|palglimint0| (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|)))) (|palglimint0| (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|)))) (|palgextint0| (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) (|palgextint0| (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) (|palgint0| (*1 *2 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) (|palgint0| (*1 *2 *3 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |palgint0| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgint0| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |palgextint0| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgextint0| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |palglimint0| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palglimint0| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |palgRDE0| ((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgRDE0| ((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|)))) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |multivariate| (|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|)) (SIGNATURE |lift| ((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|))) (IF (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|)) (PROGN (SIGNATURE |palgLODE0| ((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |palgLODE0| ((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))))) |noBranch|)) 
+((|sumOfKthPowerDivisors| (((|Integer|) (|Integer|) (|NonNegativeInteger|)) 65)) (|sumOfDivisors| (((|Integer|) (|Integer|)) 64)) (|numberOfDivisors| (((|Integer|) (|Integer|)) 63)) (|moebiusMu| (((|Integer|) (|Integer|)) 68)) (|legendre| (((|Integer|) (|Integer|) (|Integer|)) 48)) (|jacobi| (((|Integer|) (|Integer|) (|Integer|)) 45)) (|harmonic| (((|Fraction| (|Integer|)) (|Integer|)) 20)) (|fibonacci| (((|Integer|) (|Integer|)) 21)) (|eulerPhi| (((|Integer|) (|Integer|)) 57)) (|euler| (((|Integer|) (|Integer|)) 32)) (|divisors| (((|List| (|Integer|)) (|Integer|)) 62)) (|chineseRemainder| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 43)) (|bernoulli| (((|Fraction| (|Integer|)) (|Integer|)) 41))) 
+(((|IntegerNumberTheoryFunctions|) (CATEGORY |package| (SIGNATURE |bernoulli| ((|Fraction| (|Integer|)) (|Integer|))) (SIGNATURE |chineseRemainder| ((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |divisors| ((|List| (|Integer|)) (|Integer|))) (SIGNATURE |euler| ((|Integer|) (|Integer|))) (SIGNATURE |eulerPhi| ((|Integer|) (|Integer|))) (SIGNATURE |fibonacci| ((|Integer|) (|Integer|))) (SIGNATURE |harmonic| ((|Fraction| (|Integer|)) (|Integer|))) (SIGNATURE |jacobi| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |legendre| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |moebiusMu| ((|Integer|) (|Integer|))) (SIGNATURE |numberOfDivisors| ((|Integer|) (|Integer|))) (SIGNATURE |sumOfDivisors| ((|Integer|) (|Integer|))) (SIGNATURE |sumOfKthPowerDivisors| ((|Integer|) (|Integer|) (|NonNegativeInteger|))))) (T |IntegerNumberTheoryFunctions|)) 
+((|sumOfKthPowerDivisors| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|sumOfDivisors| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|numberOfDivisors| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|moebiusMu| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|legendre| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|jacobi| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|harmonic| (*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|fibonacci| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|eulerPhi| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|euler| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|divisors| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|chineseRemainder| (*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) (|bernoulli| (*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(CATEGORY |package| (SIGNATURE |bernoulli| ((|Fraction| (|Integer|)) (|Integer|))) (SIGNATURE |chineseRemainder| ((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |divisors| ((|List| (|Integer|)) (|Integer|))) (SIGNATURE |euler| ((|Integer|) (|Integer|))) (SIGNATURE |eulerPhi| ((|Integer|) (|Integer|))) (SIGNATURE |fibonacci| ((|Integer|) (|Integer|))) (SIGNATURE |harmonic| ((|Fraction| (|Integer|)) (|Integer|))) (SIGNATURE |jacobi| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |legendre| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |moebiusMu| ((|Integer|) (|Integer|))) (SIGNATURE |numberOfDivisors| ((|Integer|) (|Integer|))) (SIGNATURE |sumOfDivisors| ((|Integer|) (|Integer|))) (SIGNATURE |sumOfKthPowerDivisors| ((|Integer|) (|Integer|) (|NonNegativeInteger|)))) 
+((|HermiteIntegrate| (((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)) 52))) 
+(((|AlgebraicHermiteIntegration| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |HermiteIntegrate| ((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|)) (T |AlgebraicHermiteIntegration|)) 
+((|HermiteIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |logpart| *3))) (|isDomain| *1 (|AlgebraicHermiteIntegration| *5 *6 *7 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |HermiteIntegrate| ((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)))) 
+((|HermiteIntegrate| (((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) 18))) 
+(((|TranscendentalHermiteIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |HermiteIntegrate| ((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|)) (T |TranscendentalHermiteIntegration|)) 
+((|HermiteIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| (|Fraction| *6)) (|:| |logpart| (|Fraction| *6)) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalHermiteIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(CATEGORY |package| (SIGNATURE |HermiteIntegrate| ((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 25)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 86)) (|unitCanonical| (($ $) 87)) (|unit?| (((|Boolean|) $) NIL)) (|symmetricRemainder| (($ $ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|submod| (($ $ $ $) 42)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL)) (|shift| (($ $ $) 80)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL)) (|retract| (((|Integer|) $) NIL)) (|rem| (($ $ $) 79)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 60) (((|Matrix| (|Integer|)) (|Matrix| $)) 57)) (|recip| (((|Union| $ "failed") $) 83)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|rational?| (((|Boolean|) $) NIL)) (|rational| (((|Fraction| (|Integer|)) $) NIL)) (|random| (($) 62) (($ $) 63)) (|quo| (($ $ $) 78)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|powmod| (($ $ $ $) NIL)) (|positiveRemainder| (($ $ $) 54)) (|positive?| (((|Boolean|) $) NIL)) (|permutation| (($ $ $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL)) (|one?| (((|Boolean|) $) 26)) (|odd?| (((|Boolean|) $) 73)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|negative?| (((|Boolean|) $) 34)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|mulmod| (($ $ $ $) 43)) (|min| (($ $ $) 75)) (|max| (($ $ $) 74)) (|mask| (($ $) NIL)) (|length| (($ $) 40)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) 53)) (|invmod| (($ $ $) NIL)) (|init| (($) NIL T CONST)) (|inc| (($ $) 31)) (|hash| (((|SingleInteger|) $) NIL) (($ $) 33)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 117)) (|gcd| (($ $ $) 84) (($ (|List| $)) NIL)) (|factorial| (($ $) NIL)) (|factor| (((|Factored| $) $) 103)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) 82)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|even?| (((|Boolean|) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 77)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|dec| (($ $) 32)) (|copy| (($ $) 30)) (|convert| (((|Integer|) $) 39) (((|InputForm|) $) 51) (((|Pattern| (|Integer|)) $) NIL) (((|Float|) $) 46) (((|DoubleFloat|) $) 48) (((|String|) $) 52)) (|coerce| (((|OutputForm|) $) 37) (($ (|Integer|)) 38) (($ $) NIL) (($ (|Integer|)) 38)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|bit?| (((|Boolean|) $ $) NIL)) (|binomial| (($ $ $) NIL)) (|base| (($) 29)) (|associates?| (((|Boolean|) $ $) NIL)) (|addmod| (($ $ $ $) 41)) (|abs| (($ $) 61)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 27 T CONST)) (|One| (($) 28 T CONST)) (|OMwrite| (((|String|) $) 20) (((|String|) $ (|Boolean|)) 22) (((|Void|) (|OpenMathDevice|) $) 23) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 24)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 64)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 65)) (- (($ $) 66) (($ $ $) 68)) (+ (($ $ $) 67)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 72)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 70) (($ $ $) 69))) 
+(((|Integer|) (|Join| (|IntegerNumberSystem|) (|ConvertibleTo| (|String|)) (|OpenMath|) (CATEGORY |domain| (SIGNATURE |random| ($ $)) (ATTRIBUTE |canonical|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |noetherian|) (ATTRIBUTE |infinite|)))) (T |Integer|)) 
+((|random| (*1 *1 *1) (|isDomain| *1 (|Integer|)))) 
+(|Join| (|IntegerNumberSystem|) (|ConvertibleTo| (|String|)) (|OpenMath|) (CATEGORY |domain| (SIGNATURE |random| ($ $)) (ATTRIBUTE |canonical|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |noetherian|) (ATTRIBUTE |infinite|))) 
+((|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|)) 103) (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|)) 105)) (|integrate| (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)) 168) (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|)) 167) (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|)) 173) (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|)) 174) (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|)) 175) (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) 176) (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|)))) 163) (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|)) 162) (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|)) 158) (((|Result|) (|NumericalIntegrationProblem|)) 150) (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|)) 157))) 
+(((|AnnaNumericalIntegrationPackage|) (CATEGORY |package| (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|))) (SIGNATURE |integrate| ((|Result|) (|NumericalIntegrationProblem|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|))) (SIGNATURE |integrate| ((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|))) (SIGNATURE |integrate| ((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|))))) (T |AnnaNumericalIntegrationPackage|)) 
+((|integrate| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|measure| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|measure| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) (|integrate| (*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|))) (SIGNATURE |integrate| ((|Result|) (|NumericalIntegrationProblem|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|))) (SIGNATURE |integrate| ((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|))) (SIGNATURE |integrate| ((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|))) (SIGNATURE |integrate| ((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)))) 
+((|palglimint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|)) 179)) (|palgint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|)) 97)) (|palgextint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|) 175)) (|palgRDE| (((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|))) 184)) (|palgLODE| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|)) 192 (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|))))) 
+(((|PureAlgebraicIntegration| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |palgint| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|))) (SIGNATURE |palgextint| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|)) (SIGNATURE |palglimint| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|))) (SIGNATURE |palgRDE| ((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)))) (IF (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|)) (SIGNATURE |palgLODE| ((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|))) |noBranch|)) (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|FunctionSpace| |#1|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|)) (|SetCategory|)) (T |PureAlgebraicIntegration|)) 
+((|palgLODE| (*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Symbol|)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) (|palgRDE| (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) (|palglimint| (*1 *2 *3 *4 *4 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|PureAlgebraicIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) (|palgextint| (*1 *2 *3 *4 *4 *3) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|)))) (|palgint| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |palgint| ((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|))) (SIGNATURE |palgextint| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|)) (SIGNATURE |palglimint| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|))) (SIGNATURE |palgRDE| ((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)))) (IF (|has| |#3| (|LinearOrdinaryDifferentialOperatorCategory| |#2|)) (SIGNATURE |palgLODE| ((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|))) |noBranch|)) 
+((|splitConstant| (((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|)) 62)) (|pmintegrate| (((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) 159 (AND (|has| |#2| (|SpecialFunctionCategory|)) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|PatternMatchable| (|Integer|))))) (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) 133 (AND (|has| |#2| (|LiouvillianFunctionCategory|)) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|pmComplexintegrate| (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) 142 (AND (|has| |#2| (|LiouvillianFunctionCategory|)) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|PatternMatchable| (|Integer|))))))) 
+(((|PatternMatchIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |splitConstant| ((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|))) (IF (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (IF (|has| |#1| (|PatternMatchable| (|Integer|))) (PROGN (IF (|has| |#2| (|LiouvillianFunctionCategory|)) (PROGN (SIGNATURE |pmComplexintegrate| ((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) (SIGNATURE |pmintegrate| ((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)))) |noBranch|) (IF (|has| |#2| (|SpecialFunctionCategory|)) (SIGNATURE |pmintegrate| ((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |PatternMatchIntegration|)) 
+((|pmintegrate| (*1 *2 *2 *3 *4 *4) (|partial| AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SpecialFunctionCategory|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PatternMatchIntegration| *5 *2)))) (|pmintegrate| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|pmComplexintegrate| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|splitConstant| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |const| *3) (|:| |nconst| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(CATEGORY |package| (SIGNATURE |splitConstant| ((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|))) (IF (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (IF (|has| |#1| (|PatternMatchable| (|Integer|))) (PROGN (IF (|has| |#2| (|LiouvillianFunctionCategory|)) (PROGN (SIGNATURE |pmComplexintegrate| ((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) (SIGNATURE |pmintegrate| ((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)))) |noBranch|) (IF (|has| |#2| (|SpecialFunctionCategory|)) (SIGNATURE |pmintegrate| ((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
+((|limitedint| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))) 39)) (|integrate| (((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|)) 27)) (|infieldint| (((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|)) 16)) (|extendedint| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|)) 46))) 
+(((|RationalIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |integrate| ((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|))) (SIGNATURE |infieldint| ((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|))) (SIGNATURE |extendedint| ((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |limitedint| ((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|))) (|UnivariatePolynomialCategory| |#1|)) (T |RationalIntegration|)) 
+((|limitedint| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|List| (|Fraction| *6))) (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalIntegration| *5 *6)))) (|extendedint| (*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *5)) (|:| |coeff| (|Fraction| *5)))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) (|infieldint| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|RationalIntegration| *3 *4)))) (|integrate| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|IntegrationResult| (|Fraction| *5))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(CATEGORY |package| (SIGNATURE |integrate| ((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|))) (SIGNATURE |infieldint| ((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|))) (SIGNATURE |extendedint| ((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |limitedint| ((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))))) 
+((|integerIfCan| (((|Union| (|Integer|) "failed") |#1|) 14)) (|integer?| (((|Boolean|) |#1|) 13)) (|integer| (((|Integer|) |#1|) 9))) 
+(((|IntegerRetractions| |#1|) (CATEGORY |package| (SIGNATURE |integer| ((|Integer|) |#1|)) (SIGNATURE |integer?| ((|Boolean|) |#1|)) (SIGNATURE |integerIfCan| ((|Union| (|Integer|) "failed") |#1|))) (|RetractableTo| (|Integer|))) (T |IntegerRetractions|)) 
+((|integerIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2)))) (|integer?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Integer|))))) (|integer| (*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(CATEGORY |package| (SIGNATURE |integer| ((|Integer|) |#1|)) (SIGNATURE |integer?| ((|Boolean|) |#1|)) (SIGNATURE |integerIfCan| ((|Union| (|Integer|) "failed") |#1|))) 
+((|limitedIntegrate| (((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|)))) 43)) (|internalIntegrate| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 25)) (|infieldIntegrate| (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 20)) (|extendedIntegrate| (((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) 32))) 
+(((|RationalFunctionIntegration| |#1|) (CATEGORY |package| (SIGNATURE |internalIntegrate| ((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |infieldIntegrate| ((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |limitedIntegrate| ((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |extendedIntegrate| ((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))))) (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (T |RationalFunctionIntegration|)) 
+((|extendedIntegrate| (*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| *5))) (|:| |coeff| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) (|limitedIntegrate| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalFunctionIntegration| *6)))) (|infieldIntegrate| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|RationalFunctionIntegration| *4)))) (|internalIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(CATEGORY |package| (SIGNATURE |internalIntegrate| ((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |infieldIntegrate| ((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |limitedIntegrate| ((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |extendedIntegrate| ((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))))) 
+((~= (((|Boolean|) $ $) 59)) (|zero?| (((|Boolean|) $) 36)) (|width| ((|#1| $) 30)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) 63)) (|tanh| (($ $) 123)) (|tan| (($ $) 103)) (|sup| ((|#1| $) 28)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL)) (|sinh| (($ $) 125)) (|sin| (($ $) 99)) (|sech| (($ $) 127)) (|sec| (($ $) 107)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 78)) (|retract| (((|Integer|) $) 80)) (|recip| (((|Union| $ "failed") $) 62)) (|qinterval| (($ |#1| |#1|) 26)) (|positive?| (((|Boolean|) $) 33)) (|pi| (($) 89)) (|one?| (((|Boolean|) $) 43)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|negative?| (((|Boolean|) $) 34)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|log| (($ $) 91)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|interval| (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (|Fraction| (|Integer|))) 77)) (|inf| ((|#1| $) 27)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) 65) (($ (|List| $)) NIL)) (|exquo| (((|Union| $ "failed") $ $) 64)) (|exp| (($ $) 93)) (|csch| (($ $) 131)) (|csc| (($ $) 105)) (|coth| (($ $) 133)) (|cot| (($ $) 109)) (|cosh| (($ $) 129)) (|cos| (($ $) 101)) (|contains?| (((|Boolean|) $ |#1|) 31)) (|coerce| (((|OutputForm|) $) 85) (($ (|Integer|)) 67) (($ $) NIL) (($ (|Integer|)) 67)) (|characteristic| (((|NonNegativeInteger|)) 87)) (|atanh| (($ $) 145)) (|atan| (($ $) 115)) (|associates?| (((|Boolean|) $ $) NIL)) (|asinh| (($ $) 143)) (|asin| (($ $) 111)) (|asech| (($ $) 141)) (|asec| (($ $) 121)) (|acsch| (($ $) 139)) (|acsc| (($ $) 119)) (|acoth| (($ $) 137)) (|acot| (($ $) 117)) (|acosh| (($ $) 135)) (|acos| (($ $) 113)) (^ (($ $ (|PositiveInteger|)) 55) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 21 T CONST)) (|One| (($) 10 T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 37)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 35)) (- (($ $) 41) (($ $ $) 42)) (+ (($ $ $) 40)) (** (($ $ (|PositiveInteger|)) 54) (($ $ (|NonNegativeInteger|)) NIL) (($ $ $) 95) (($ $ (|Fraction| (|Integer|))) 147)) (* (($ (|PositiveInteger|) $) 51) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 50) (($ $ $) 48))) 
+(((|Interval| |#1|) (|IntervalCategory| |#1|) (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (T |Interval|)) 
+NIL 
+(|IntervalCategory| |#1|) 
+((|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))) 24))) 
+(((|IntegerSolveLinearPolynomialEquation|) (CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|)))))) (T |IntegerSolveLinearPolynomialEquation|)) 
+((|solveLinearPolynomialEquation| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|IntegerSolveLinearPolynomialEquation|))))) 
+(CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))))) 
+((|varselect| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|)) 18)) (|vark| (((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|)) 23)) (|union| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|))) 10)) (|removeConstantTerm| ((|#2| |#2| (|Symbol|)) 51 (|has| |#1| (|IntegralDomain|)))) (|mkPrim| ((|#2| |#2| (|Symbol|)) 76 (AND (|has| |#2| (|ElementaryFunctionCategory|)) (|has| |#1| (|GcdDomain|))))) (|ksec| (((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|)) 25)) (|kmax| (((|Kernel| |#2|) (|List| (|Kernel| |#2|))) 24)) (|intPatternMatch| (((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) 100 (AND (|has| |#2| (|ElementaryFunctionCategory|)) (|has| |#2| (|LiouvillianFunctionCategory|)) (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|PatternMatchable| (|Integer|))))))) 
+(((|IntegrationTools| |#1| |#2|) (CATEGORY |package| (SIGNATURE |varselect| ((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|))) (SIGNATURE |kmax| ((|Kernel| |#2|) (|List| (|Kernel| |#2|)))) (SIGNATURE |ksec| ((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|))) (SIGNATURE |union| ((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)))) (SIGNATURE |vark| ((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|))) (IF (|has| |#1| (|IntegralDomain|)) (SIGNATURE |removeConstantTerm| (|#2| |#2| (|Symbol|))) |noBranch|) (IF (|has| |#1| (|GcdDomain|)) (IF (|has| |#2| (|ElementaryFunctionCategory|)) (PROGN (SIGNATURE |mkPrim| (|#2| |#2| (|Symbol|))) (IF (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (IF (|has| |#1| (|PatternMatchable| (|Integer|))) (IF (|has| |#2| (|LiouvillianFunctionCategory|)) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (SIGNATURE |intPatternMatch| ((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (|OrderedSet|) (|FunctionSpace| |#1|)) (T |IntegrationTools|)) 
+((|intPatternMatch| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|Mapping| (|IntegrationResult| *3) *3 (|Symbol|))) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (|Symbol|))) (|ofCategory| *3 (|ElementaryFunctionCategory|)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|FunctionSpace| *7)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *7 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *7 (|PatternMatchable| (|Integer|))) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|IntegrationTools| *7 *3)))) (|mkPrim| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|ElementaryFunctionCategory|)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|removeConstantTerm| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|vark| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|Kernel| *6))) (|isDomain| *1 (|IntegrationTools| *5 *6)))) (|union| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Kernel| *4))) (|ofCategory| *4 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *3 *4)))) (|ksec| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Kernel| *6)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *5 *6)))) (|kmax| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *5))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Kernel| *5)) (|isDomain| *1 (|IntegrationTools| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) (|varselect| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *5))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |varselect| ((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|))) (SIGNATURE |kmax| ((|Kernel| |#2|) (|List| (|Kernel| |#2|)))) (SIGNATURE |ksec| ((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|))) (SIGNATURE |union| ((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)))) (SIGNATURE |vark| ((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|))) (IF (|has| |#1| (|IntegralDomain|)) (SIGNATURE |removeConstantTerm| (|#2| |#2| (|Symbol|))) |noBranch|) (IF (|has| |#1| (|GcdDomain|)) (IF (|has| |#2| (|ElementaryFunctionCategory|)) (PROGN (SIGNATURE |mkPrim| (|#2| |#2| (|Symbol|))) (IF (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (IF (|has| |#1| (|PatternMatchable| (|Integer|))) (IF (|has| |#2| (|LiouvillianFunctionCategory|)) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (SIGNATURE |intPatternMatch| ((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
+((|tanintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|)) 167)) (|primlimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|))) 143)) (|primlimintfrac| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|))) 140)) (|primintfldpoly| (((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (|primintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (|primextintfrac| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|)) 170)) (|primextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|)) 173)) (|monomialIntegrate| (((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) 81)) (|monomialIntPoly| (((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)) 88)) (|explimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|))) 147)) (|expintfldpoly| (((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) 133)) (|expintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) 157)) (|expextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|)) 178))) 
+(((|TranscendentalIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |primintegrate| ((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (SIGNATURE |expintegrate| ((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|))) (SIGNATURE |tanintegrate| ((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|))) (SIGNATURE |primextendedint| ((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|))) (SIGNATURE |expextendedint| ((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|))) (SIGNATURE |primlimitedint| ((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|)))) (SIGNATURE |explimitedint| ((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|)))) (SIGNATURE |primextintfrac| ((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|))) (SIGNATURE |primlimintfrac| ((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|)))) (SIGNATURE |primintfldpoly| ((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (SIGNATURE |expintfldpoly| ((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|))) (SIGNATURE |monomialIntegrate| ((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |monomialIntPoly| ((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|)) (T |TranscendentalIntegration|)) 
+((|monomialIntPoly| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |polypart| *3))) (|isDomain| *1 (|TranscendentalIntegration| *5 *3)))) (|monomialIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ir| (|IntegrationResult| (|Fraction| *6))) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) (|expintfldpoly| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Mapping| (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|))) (|Integer|) *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|TranscendentalIntegration| *4 *5)))) (|primintfldpoly| (*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|TranscendentalIntegration| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|primlimintfrac| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|List| (|Fraction| *7))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *3 (|Fraction| *7)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)))) (|primextintfrac| (*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *6)) (|:| |coeff| (|Fraction| *6)))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) (|explimitedint| (*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *7) (|:| |right| *7) (|:| |sol?| (|Boolean|))) (|Integer|) *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8)))) (|primlimitedint| (*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *7) (|:| |coeff| *7)) "failed") *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8)))) (|expextendedint| (*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7)))) (|primextendedint| (*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7)))) (|tanintegrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|List| *6) "failed") (|Integer|) *6 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7)))) (|expintegrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7)))) (|primintegrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(CATEGORY |package| (SIGNATURE |primintegrate| ((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (SIGNATURE |expintegrate| ((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|))) (SIGNATURE |tanintegrate| ((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|))) (SIGNATURE |primextendedint| ((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|))) (SIGNATURE |expextendedint| ((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|))) (SIGNATURE |primlimitedint| ((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|)))) (SIGNATURE |explimitedint| ((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|)))) (SIGNATURE |primextintfrac| ((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|))) (SIGNATURE |primlimintfrac| ((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|)))) (SIGNATURE |primintfldpoly| ((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (SIGNATURE |expintfldpoly| ((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|))) (SIGNATURE |monomialIntegrate| ((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |monomialIntPoly| ((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)))) 
+((|inverseLaplace| (((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)) 10))) 
+(((|InverseLaplaceTransform| |#1| |#2|) (CATEGORY |package| (SIGNATURE |inverseLaplace| ((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| |#1|))) (T |InverseLaplaceTransform|)) 
+((|inverseLaplace| (*1 *2 *2 *3 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|InverseLaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(CATEGORY |package| (SIGNATURE |inverseLaplace| ((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $ (|Integer|)) 65)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 71)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) 57)) (|quotientByP| (($ $) 33)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|order| (((|NonNegativeInteger|) $) 15)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|modulus| (((|Integer|)) 27)) (|moduloP| (((|Integer|) $) 31)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extend| (($ $ (|Integer|)) 21)) (|exquo| (((|Union| $ "failed") $ $) 58)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) 16)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 60)) (|digits| (((|Stream| (|Integer|)) $) 18)) (|complete| (($ $) 23)) (|coerce| (((|OutputForm|) $) 85) (($ (|Integer|)) 51) (($ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) 14)) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Integer|) $ (|Integer|)) 35)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 34 T CONST)) (|One| (($) 19 T CONST)) (= (((|Boolean|) $ $) 38)) (- (($ $) 50) (($ $ $) 36)) (+ (($ $ $) 49)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 53) (($ $ $) 54))) 
+(((|InnerPAdicInteger| |#1| |#2|) (|PAdicIntegerCategory| |#1|) (|Integer|) (|Boolean|)) (T |InnerPAdicInteger|)) 
+NIL 
+(|PAdicIntegerCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 18)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| (($ $ (|PositiveInteger|)) NIL (|has| $ (|Finite|))) (($ $) NIL)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 47)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| $ "failed") $) 75)) (|retract| (($ $) 74)) (|represents| (($ (|Vector| $)) 73)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 42)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) 30)) (|random| (($) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) 49)) (|primitive?| (((|Boolean|) $) NIL)) (|primeFrobenius| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) 35 (|has| $ (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| $ (|Finite|)))) (|norm| (($ $ (|PositiveInteger|)) NIL (|has| $ (|Finite|))) (($ $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| $ (|Finite|))) (((|SparseUnivariatePolynomial| $) $) 83)) (|lookup| (((|PositiveInteger|) $) 55)) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| $) $) NIL (|has| $ (|Finite|)))) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $ $) NIL (|has| $ (|Finite|))) (((|SparseUnivariatePolynomial| $) $) NIL (|has| $ (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| $)) NIL (|has| $ (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL T CONST)) (|index| (($ (|PositiveInteger|)) 48)) (|inGroundField?| (((|Boolean|) $) 67)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) 16 (|has| $ (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 40)) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|PositiveInteger|)) 66) (((|OnePointCompletion| (|PositiveInteger|))) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL) (((|NonNegativeInteger|) $) NIL)) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|degree| (((|PositiveInteger|) $) 65) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) 82)) (|createPrimitiveElement| (($) 54)) (|createNormalElement| (($) 36 (|has| $ (|Finite|)))) (|coordinates| (((|Matrix| $) (|Vector| $)) NIL) (((|Vector| $) $) 71)) (|convert| (((|Integer|) $) 26)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 28) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL) (($ $) 84)) (|characteristic| (((|NonNegativeInteger|)) 37)) (|basis| (((|Vector| $) (|PositiveInteger|)) 77) (((|Vector| $)) 76)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 19 T CONST)) (|One| (($) 15 T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| $ (|Finite|))) (($ $) NIL (|has| $ (|Finite|)))) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 24)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 61) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|InnerPrimeField| |#1|) (|Join| (|FiniteFieldCategory|) (|FiniteAlgebraicExtensionField| $) (|ConvertibleTo| (|Integer|))) (|PositiveInteger|)) (T |InnerPrimeField|)) 
+NIL 
+(|Join| (|FiniteFieldCategory|) (|FiniteAlgebraicExtensionField| $) (|ConvertibleTo| (|Integer|))) 
+((|iprint| (((|Void|) (|String|)) 10))) 
+(((|InternalPrintPackage|) (CATEGORY |package| (SIGNATURE |iprint| ((|Void|) (|String|))))) (T |InternalPrintPackage|)) 
+((|iprint| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InternalPrintPackage|))))) 
+(CATEGORY |package| (SIGNATURE |iprint| ((|Void|) (|String|)))) 
+((|split| (((|IntegrationResult| |#2|) (|IntegrationResult| |#2|)) 37)) (|expand| (((|List| |#2|) (|IntegrationResult| |#2|)) 39)) (|complexExpand| ((|#2| (|IntegrationResult| |#2|)) 46))) 
+(((|IntegrationResultToFunction| |#1| |#2|) (CATEGORY |package| (SIGNATURE |split| ((|IntegrationResult| |#2|) (|IntegrationResult| |#2|))) (SIGNATURE |expand| ((|List| |#2|) (|IntegrationResult| |#2|))) (SIGNATURE |complexExpand| (|#2| (|IntegrationResult| |#2|)))) (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedFunctionSpace| |#1|) (|TranscendentalFunctionCategory|))) (T |IntegrationResultToFunction|)) 
+((|complexExpand| (*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|IntegrationResultToFunction| *4 *2)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))))) (|expand| (*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|IntegrationResultToFunction| *4 *5)))) (|split| (*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| *4)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *3) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultToFunction| *3 *4))))) 
+(CATEGORY |package| (SIGNATURE |split| ((|IntegrationResult| |#2|) (|IntegrationResult| |#2|))) (SIGNATURE |expand| ((|List| |#2|) (|IntegrationResult| |#2|))) (SIGNATURE |complexExpand| (|#2| (|IntegrationResult| |#2|)))) 
+((|map| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed")) 11) (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|)) 26))) 
+(((|IntegrationResultFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|))) (SIGNATURE |map| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed"))) (SIGNATURE |map| ((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed"))) (SIGNATURE |map| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (|Field|) (|Field|)) (T |IntegrationResultFunctions2|)) 
+((|map| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |mainpart| *5) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *6) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *6) (|:| |logand| *6)))))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Union| *5 "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *2)))) (|map| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |ratpart| *5) (|:| |coeff| *5)) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| *6) (|:| |coeff| *6))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|IntegrationResult| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|IntegrationResult| *6)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|))) (SIGNATURE |map| ((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed"))) (SIGNATURE |map| ((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed"))) (SIGNATURE |map| ((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 68)) (|retract| ((|#1| $) NIL)) (|ratpart| ((|#1| $) 24)) (|notelem| (((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (|mkAnswer| (($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (|logpart| (((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $) 25)) (|latex| (((|String|) $) NIL)) (|integral| (($ |#1| |#1|) 32) (($ |#1| (|Symbol|)) 43 (|has| |#1| (|RetractableTo| (|Symbol|))))) (|hash| (((|SingleInteger|) $) NIL)) (|elem?| (((|Boolean|) $) 28)) (|differentiate| ((|#1| $ (|Mapping| |#1| |#1|)) 80) ((|#1| $ (|Symbol|)) 81 (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (|coerce| (((|OutputForm|) $) 95) (($ |#1|) 23)) (|Zero| (($) 16 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) 15) (($ $ $) NIL)) (+ (($ $ $) 77)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 14) (($ (|Fraction| (|Integer|)) $) 35) (($ $ (|Fraction| (|Integer|))) NIL))) 
+(((|IntegrationResult| |#1|) (|Join| (|Module| (|Fraction| (|Integer|))) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |mkAnswer| ($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (SIGNATURE |ratpart| (|#1| $)) (SIGNATURE |logpart| ((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $)) (SIGNATURE |notelem| ((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (SIGNATURE |elem?| ((|Boolean|) $)) (SIGNATURE |integral| ($ |#1| |#1|)) (SIGNATURE |differentiate| (|#1| $ (|Mapping| |#1| |#1|))) (IF (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (SIGNATURE |differentiate| (|#1| $ (|Symbol|))) |noBranch|) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (SIGNATURE |integral| ($ |#1| (|Symbol|))) |noBranch|))) (|Field|)) (T |IntegrationResult|)) 
+((|mkAnswer| (*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *2)) (|:| |logand| (|SparseUnivariatePolynomial| *2))))) (|isDomain| *4 (|List| (|Record| (|:| |integrand| *2) (|:| |intvar| *2)))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResult| *2)))) (|ratpart| (*1 *2 *1) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) (|logpart| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *3)) (|:| |logand| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|)))) (|notelem| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |integrand| *3) (|:| |intvar| *3)))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|)))) (|elem?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|)))) (|integral| (*1 *1 *2 *2) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) (|differentiate| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) (|differentiate| (*1 *2 *1 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|IntegrationResult| *2)) (|isDomain| *3 (|Symbol|)))) (|integral| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|RetractableTo| *3)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|Module| (|Fraction| (|Integer|))) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |mkAnswer| ($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (SIGNATURE |ratpart| (|#1| $)) (SIGNATURE |logpart| ((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $)) (SIGNATURE |notelem| ((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (SIGNATURE |elem?| ((|Boolean|) $)) (SIGNATURE |integral| ($ |#1| |#1|)) (SIGNATURE |differentiate| (|#1| $ (|Mapping| |#1| |#1|))) (IF (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (SIGNATURE |differentiate| (|#1| $ (|Symbol|))) |noBranch|) (IF (|has| |#1| (|RetractableTo| (|Symbol|))) (SIGNATURE |integral| ($ |#1| (|Symbol|))) |noBranch|))) 
+((|perfectSquare?| (((|Boolean|) |#1|) 16)) (|perfectSqrt| (((|Union| |#1| "failed") |#1|) 14)) (|perfectNthRoot| (((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|) 30) (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) 18)) (|perfectNthPower?| (((|Boolean|) |#1| (|NonNegativeInteger|)) 19)) (|approxSqrt| ((|#1| |#1|) 31)) (|approxNthRoot| ((|#1| |#1| (|NonNegativeInteger|)) 33))) 
+(((|IntegerRoots| |#1|) (CATEGORY |package| (SIGNATURE |perfectNthPower?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |perfectNthRoot| ((|Union| |#1| "failed") |#1| (|NonNegativeInteger|))) (SIGNATURE |perfectNthRoot| ((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|)) (SIGNATURE |approxNthRoot| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |perfectSquare?| ((|Boolean|) |#1|)) (SIGNATURE |perfectSqrt| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |approxSqrt| (|#1| |#1|))) (|IntegerNumberSystem|)) (T |IntegerRoots|)) 
+((|approxSqrt| (*1 *2 *2) (AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|perfectSqrt| (*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|perfectSquare?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) (|approxNthRoot| (*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|perfectNthRoot| (*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |base| *3) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) (|perfectNthRoot| (*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|perfectNthPower?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(CATEGORY |package| (SIGNATURE |perfectNthPower?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |perfectNthRoot| ((|Union| |#1| "failed") |#1| (|NonNegativeInteger|))) (SIGNATURE |perfectNthRoot| ((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|)) (SIGNATURE |approxNthRoot| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |perfectSquare?| ((|Boolean|) |#1|)) (SIGNATURE |perfectSqrt| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |approxSqrt| (|#1| |#1|))) 
+((|generateIrredPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) 26))) 
+(((|IrredPolyOverFiniteField| |#1|) (CATEGORY |package| (SIGNATURE |generateIrredPoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)))) (|FiniteFieldCategory|)) (T |IrredPolyOverFiniteField|)) 
+((|generateIrredPoly| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|IrredPolyOverFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(CATEGORY |package| (SIGNATURE |generateIrredPoly| ((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)))) 
+((|split| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) 26)) (|integrate| (((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 32 (|has| |#1| (|CharacteristicZero|)))) (|expand| (((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) 18)) (|complexIntegrate| (((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 30 (|has| |#1| (|CharacteristicZero|)))) (|complexExpand| (((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) 20))) 
+(((|IntegrationResultRFToFunction| |#1|) (CATEGORY |package| (SIGNATURE |split| ((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |expand| ((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |complexExpand| ((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|))))) (IF (|has| |#1| (|CharacteristicZero|)) (PROGN (SIGNATURE |integrate| ((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |complexIntegrate| ((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)))) |noBranch|)) (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (T |IntegrationResultRFToFunction|)) 
+((|complexIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) (|integrate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|Expression| *5) (|List| (|Expression| *5)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) (|complexExpand| (*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|IntegrationResultRFToFunction| *4)))) (|expand| (*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| (|Expression| *4))) (|isDomain| *1 (|IntegrationResultRFToFunction| *4)))) (|split| (*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *3))))) 
+(CATEGORY |package| (SIGNATURE |split| ((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |expand| ((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |complexExpand| ((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|))))) (IF (|has| |#1| (|CharacteristicZero|)) (PROGN (SIGNATURE |integrate| ((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |complexIntegrate| ((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)))) |noBranch|)) 
+((|irreducibleRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))) 45) (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) 46) (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|))) 41)) (|dimensionOfIrreducibleRepresentation| (((|NonNegativeInteger|) (|List| (|Integer|))) 39))) 
+(((|IrrRepSymNatPackage|) (CATEGORY |package| (SIGNATURE |dimensionOfIrreducibleRepresentation| ((|NonNegativeInteger|) (|List| (|Integer|)))) (SIGNATURE |irreducibleRepresentation| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|)))) (SIGNATURE |irreducibleRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |irreducibleRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|))))))) (T |IrrRepSymNatPackage|)) 
+((|irreducibleRepresentation| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|List| (|Permutation| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) (|irreducibleRepresentation| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) (|irreducibleRepresentation| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Permutation| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) (|dimensionOfIrreducibleRepresentation| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(CATEGORY |package| (SIGNATURE |dimensionOfIrreducibleRepresentation| ((|NonNegativeInteger|) (|List| (|Integer|)))) (SIGNATURE |irreducibleRepresentation| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|)))) (SIGNATURE |irreducibleRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |irreducibleRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))))) 
+((|rur| (((|List| |#5|) |#5| (|Boolean|)) 72)) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) 30))) 
+(((|InternalRationalUnivariateRepresentationPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |rur| ((|List| |#5|) |#5| (|Boolean|))) (SIGNATURE |checkRur| ((|Boolean|) |#5| (|List| |#5|)))) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |InternalRationalUnivariateRepresentationPackage|)) 
+((|checkRur| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3)))) (|rur| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |rur| ((|List| |#5|) |#5| (|Boolean|))) (SIGNATURE |checkRur| ((|Boolean|) |#5| (|List| |#5|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Character|) (|SetCategory|)))) (|upperCase!| (($ $) 34)) (|upperCase| (($ $) NIL)) (|trim| (($ $ (|Character|)) NIL) (($ $ (|CharacterClass|)) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|suffix?| (((|Boolean|) $ $) 51)) (|substring?| (((|Boolean|) $ $ (|Integer|)) 46)) (|split| (((|List| $) $ (|Character|)) 59) (((|List| $) $ (|CharacterClass|)) 60)) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) NIL) (((|Boolean|) $) NIL (|has| (|Character|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Character|) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) NIL) (($ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Character|) $ (|Integer|) (|Character|)) 45 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Character|) $ (|UniversalSegment| (|Integer|)) (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|rightTrim| (($ $ (|Character|)) 63) (($ $ (|CharacterClass|)) 64)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) 44)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|remove| (($ (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|) (|Character|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|)))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Character|) $ (|Integer|) (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Character|) $ (|Integer|)) NIL)) (|prefix?| (((|Boolean|) $ $) 70)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Character|)) $) NIL) (((|Integer|) (|Character|) $) NIL (|has| (|Character|) (|SetCategory|))) (((|Integer|) (|Character|) $ (|Integer|)) 48 (|has| (|Character|) (|SetCategory|))) (((|Integer|) $ $ (|Integer|)) 47) (((|Integer|) (|CharacterClass|) $ (|Integer|)) 50)) (|parts| (((|List| (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Character|)) 9)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 28 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $ $) NIL) (($ $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|members| (((|List| (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) 42 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|match?| (((|Boolean|) $ $ (|Character|)) 71)) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) 69)) (|map!| (($ (|Mapping| (|Character|) (|Character|)) $) 33 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Character|) (|Character|)) $) NIL) (($ (|Mapping| (|Character|) (|Character|) (|Character|)) $ $) NIL)) (|lowerCase!| (($ $) 37)) (|lowerCase| (($ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leftTrim| (($ $ (|Character|)) 61) (($ $ (|CharacterClass|)) 62)) (|latex| (((|String|) $) 38 (|has| (|Character|) (|SetCategory|)))) (|insert| (($ (|Character|) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) 23)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|Integer|) $) 68) (((|SingleInteger|) $) NIL (|has| (|Character|) (|SetCategory|)))) (|first| (((|Character|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Character|) "failed") (|Mapping| (|Boolean|) (|Character|)) $) NIL)) (|fill!| (($ $ (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Character|)))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Equation| (|Character|))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Character|) (|Character|)) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|List| (|Character|)) (|List| (|Character|))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|entries| (((|List| (|Character|)) $) NIL)) (|empty?| (((|Boolean|) $) 12)) (|empty| (($) 10)) (|elt| (((|Character|) $ (|Integer|) (|Character|)) NIL) (((|Character|) $ (|Integer|)) 52) (($ $ (|UniversalSegment| (|Integer|))) 21) (($ $ $) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) 65 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 17)) (|convert| (((|InputForm|) $) NIL (|has| (|Character|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Character|))) NIL)) (|concat| (($ $ (|Character|)) NIL) (($ (|Character|) $) NIL) (($ $ $) 16) (($ (|List| $)) 66)) (|coerce| (($ (|Character|)) NIL) (((|OutputForm|) $) 27 (|has| (|Character|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (= (((|Boolean|) $ $) 14 (|has| (|Character|) (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (< (((|Boolean|) $ $) 15 (|has| (|Character|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 13 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedString| |#1|) (|Join| (|StringAggregate|) (CATEGORY |domain| (SIGNATURE |hash| ((|Integer|) $)))) (|Integer|)) (T |IndexedString|)) 
+((|hash| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedString| *3)) (|ofType| *3 *2)))) 
+(|Join| (|StringAggregate|) (CATEGORY |domain| (SIGNATURE |hash| ((|Integer|) $)))) 
+((|sum| (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|) 23) (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|)) 32))) 
+(((|InnerPolySum| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |sum| ((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|))) (SIGNATURE |sum| ((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|IntegralDomain|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |InnerPolySum|)) 
+((|sum| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) (|sum| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Segment| *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *6 *4 *7 *3))))) 
+(CATEGORY |package| (SIGNATURE |sum| ((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|))) (SIGNATURE |sum| ((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 63)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Integer|)) 54) (($ $ (|Integer|) (|Integer|)) 55)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 60)) (|taylorQuoByVar| (($ $) 99)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) 214)) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 34)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|pole?| (((|Boolean|) $) NIL)) (|order| (((|Integer|) $) 58) (((|Integer|) $ (|Integer|)) 59)) (|one?| (((|Boolean|) $) NIL)) (|multiplyExponents| (($ $ (|PositiveInteger|)) 76)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 73)) (|monomial?| (((|Boolean|) $) 25)) (|monomial| (($ |#1| (|Integer|)) 22) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) 67)) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 11)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|integrate| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) 98)) (|iCompose| (($ $ $) 107)) (|hash| (((|SingleInteger|) $) NIL)) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 13)) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) 12)) (|extend| (($ $ (|Integer|)) 45)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))))) (|elt| ((|#1| $ (|Integer|)) 57) (($ $ $) NIL (|has| (|Integer|) (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $) 70 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (|degree| (((|Integer|) $) NIL)) (|complete| (($ $) 46)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 28) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) 27 (|has| |#1| (|CommutativeRing|)))) (|coefficient| ((|#1| $ (|Integer|)) 56)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 37)) (|center| ((|#1| $) NIL)) (|cTanh| (($ $) 179 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cTan| (($ $) 155 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cSinh| (($ $) 176 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cSin| (($ $) 152 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cSech| (($ $) 181 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cSec| (($ $) 158 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) 145 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cPower| (($ $ |#1|) 120 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cLog| (($ $) 149 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cExp| (($ $) 147 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cCsch| (($ $) 182 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cCsc| (($ $) 159 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cCoth| (($ $) 180 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cCot| (($ $) 157 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cCosh| (($ $) 177 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cCos| (($ $) 153 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAtanh| (($ $) 187 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAtan| (($ $) 167 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAsinh| (($ $) 184 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAsin| (($ $) 162 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAsech| (($ $) 191 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAsec| (($ $) 171 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAcsch| (($ $) 193 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAcsc| (($ $) 173 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAcoth| (($ $) 189 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAcot| (($ $) 169 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAcosh| (($ $) 186 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cAcos| (($ $) 165 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|approximate| ((|#1| $ (|Integer|)) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 29 T CONST)) (|One| (($) 38 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (= (((|Boolean|) $ $) 65)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) 84) (($ $ $) 64)) (+ (($ $ $) 81)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 102)) (* (($ (|PositiveInteger|) $) 89) (($ (|NonNegativeInteger|) $) 87) (($ (|Integer|) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|InnerSparseUnivariatePowerSeries| |#1|) (|Join| (|UnivariatePowerSeriesCategory| |#1| (|Integer|)) (CATEGORY |domain| (SIGNATURE |makeSeries| ($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) (SIGNATURE |getRef| ((|Reference| (|OrderedCompletion| (|Integer|))) $)) (SIGNATURE |getStream| ((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $)) (SIGNATURE |series| ($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |multiplyCoefficients| ($ (|Mapping| |#1| (|Integer|)) $)) (SIGNATURE |iExquo| ((|Union| $ "failed") $ $ (|Boolean|))) (SIGNATURE |taylorQuoByVar| ($ $)) (SIGNATURE |iCompose| ($ $ $)) (SIGNATURE |seriesToOutputForm| ((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|)))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $)) (SIGNATURE |cPower| ($ $ |#1|)) (SIGNATURE |cRationalPower| ($ $ (|Fraction| (|Integer|)))) (SIGNATURE |cExp| ($ $)) (SIGNATURE |cLog| ($ $)) (SIGNATURE |cSin| ($ $)) (SIGNATURE |cCos| ($ $)) (SIGNATURE |cTan| ($ $)) (SIGNATURE |cCot| ($ $)) (SIGNATURE |cSec| ($ $)) (SIGNATURE |cCsc| ($ $)) (SIGNATURE |cAsin| ($ $)) (SIGNATURE |cAcos| ($ $)) (SIGNATURE |cAtan| ($ $)) (SIGNATURE |cAcot| ($ $)) (SIGNATURE |cAsec| ($ $)) (SIGNATURE |cAcsc| ($ $)) (SIGNATURE |cSinh| ($ $)) (SIGNATURE |cCosh| ($ $)) (SIGNATURE |cTanh| ($ $)) (SIGNATURE |cCoth| ($ $)) (SIGNATURE |cSech| ($ $)) (SIGNATURE |cCsch| ($ $)) (SIGNATURE |cAsinh| ($ $)) (SIGNATURE |cAcosh| ($ $)) (SIGNATURE |cAtanh| ($ $)) (SIGNATURE |cAcoth| ($ $)) (SIGNATURE |cAsech| ($ $)) (SIGNATURE |cAcsch| ($ $))) |noBranch|))) (|Ring|)) (T |InnerSparseUnivariatePowerSeries|)) 
+((|monomial?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|makeSeries| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *4)))) (|getRef| (*1 *2 *1) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|getStream| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|series| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) (|multiplyCoefficients| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) (|iExquo| (*1 *1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|taylorQuoByVar| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|iCompose| (*1 *1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|seriesToOutputForm| (*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *6)))) (|isDomain| *4 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *6)))) (|integrate| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cPower| (*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cRationalPower| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Algebra| *2)) (|ofCategory| *3 (|Ring|)))) (|cExp| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cLog| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cSin| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cCos| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cTan| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cCot| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cSec| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cCsc| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAsin| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAcos| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAtan| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAcot| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAsec| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAcsc| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cSinh| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cCosh| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cTanh| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cCoth| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cSech| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cCsch| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAsinh| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAcosh| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAtanh| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAcoth| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAsech| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) (|cAcsch| (*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(|Join| (|UnivariatePowerSeriesCategory| |#1| (|Integer|)) (CATEGORY |domain| (SIGNATURE |makeSeries| ($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) (SIGNATURE |getRef| ((|Reference| (|OrderedCompletion| (|Integer|))) $)) (SIGNATURE |getStream| ((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $)) (SIGNATURE |series| ($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |multiplyCoefficients| ($ (|Mapping| |#1| (|Integer|)) $)) (SIGNATURE |iExquo| ((|Union| $ "failed") $ $ (|Boolean|))) (SIGNATURE |taylorQuoByVar| ($ $)) (SIGNATURE |iCompose| ($ $ $)) (SIGNATURE |seriesToOutputForm| ((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|)))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $)) (SIGNATURE |cPower| ($ $ |#1|)) (SIGNATURE |cRationalPower| ($ $ (|Fraction| (|Integer|)))) (SIGNATURE |cExp| ($ $)) (SIGNATURE |cLog| ($ $)) (SIGNATURE |cSin| ($ $)) (SIGNATURE |cCos| ($ $)) (SIGNATURE |cTan| ($ $)) (SIGNATURE |cCot| ($ $)) (SIGNATURE |cSec| ($ $)) (SIGNATURE |cCsc| ($ $)) (SIGNATURE |cAsin| ($ $)) (SIGNATURE |cAcos| ($ $)) (SIGNATURE |cAtan| ($ $)) (SIGNATURE |cAcot| ($ $)) (SIGNATURE |cAsec| ($ $)) (SIGNATURE |cAcsc| ($ $)) (SIGNATURE |cSinh| ($ $)) (SIGNATURE |cCosh| ($ $)) (SIGNATURE |cTanh| ($ $)) (SIGNATURE |cCoth| ($ $)) (SIGNATURE |cSech| ($ $)) (SIGNATURE |cCsch| ($ $)) (SIGNATURE |cAsinh| ($ $)) (SIGNATURE |cAcosh| ($ $)) (SIGNATURE |cAtanh| ($ $)) (SIGNATURE |cAcoth| ($ $)) (SIGNATURE |cAsech| ($ $)) (SIGNATURE |cAcsch| ($ $))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|series| (($ (|Stream| |#1|)) 9)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) 42)) (|pole?| (((|Boolean|) $) 52)) (|order| (((|NonNegativeInteger|) $) 55) (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 54)) (|one?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ $) 44 (|has| |#1| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|Stream| |#1|) $) 23)) (|characteristic| (((|NonNegativeInteger|)) 51)) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 10 T CONST)) (|One| (($) 14 T CONST)) (= (((|Boolean|) $ $) 22)) (- (($ $) 30) (($ $ $) 16)) (+ (($ $ $) 25)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 49)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (|Integer|)) 36))) 
+(((|InnerTaylorSeries| |#1|) (|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |coefficients| ((|Stream| |#1|) $)) (SIGNATURE |series| ($ (|Stream| |#1|))) (SIGNATURE |pole?| ((|Boolean|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $ (|NonNegativeInteger|))) (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE * ($ $ (|Integer|))) (IF (|has| |#1| (|IntegralDomain|)) (ATTRIBUTE (|IntegralDomain|)) |noBranch|))) (|Ring|)) (T |InnerTaylorSeries|)) 
+((|coefficients| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|series| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerTaylorSeries| *3)))) (|pole?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|order| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|order| (*1 *2 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) (* (*1 *1 *2 *1) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) (* (*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) (* (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |coefficients| ((|Stream| |#1|) $)) (SIGNATURE |series| ($ (|Stream| |#1|))) (SIGNATURE |pole?| ((|Boolean|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $ (|NonNegativeInteger|))) (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE * ($ $ (|Integer|))) (IF (|has| |#1| (|IntegralDomain|)) (ATTRIBUTE (|IntegralDomain|)) |noBranch|))) 
+((|map| (((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)) 15))) 
+(((|InfiniteTupleFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)))) (|Type|) (|Type|)) (T |InfiniteTupleFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|InfiniteTuple| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *6)) (|isDomain| *1 (|InfiniteTupleFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)))) 
+((|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)) 20) (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|)) 19) (((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|)) 18))) 
+(((|InfiniteTupleFunctions3| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |map| ((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|))) (SIGNATURE |map| ((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|))) (SIGNATURE |map| ((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)))) (|Type|) (|Type|) (|Type|)) (T |InfiniteTupleFunctions3|)) 
+((|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) (|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) (|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|))) (SIGNATURE |map| ((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|))) (SIGNATURE |map| ((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)))) 
+((|trigs2explogs| ((|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))) 55)) (|explogs2trigs| (((|Complex| |#2|) |#3|) 116)) (GF2FG ((|#3| (|Complex| |#2|)) 43)) (FG2F ((|#2| |#3|) 19)) (F2FG ((|#3| |#2|) 32))) 
+(((|InnerTrigonometricManipulations| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE GF2FG (|#3| (|Complex| |#2|))) (SIGNATURE FG2F (|#2| |#3|)) (SIGNATURE F2FG (|#3| |#2|)) (SIGNATURE |explogs2trigs| ((|Complex| |#2|) |#3|)) (SIGNATURE |trigs2explogs| (|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))))) (|Join| (|IntegralDomain|) (|OrderedSet|)) (|Join| (|FunctionSpace| |#1|) (|RadicalCategory|) (|TranscendentalFunctionCategory|)) (|Join| (|FunctionSpace| (|Complex| |#1|)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (T |InnerTrigonometricManipulations|)) 
+((|trigs2explogs| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *5)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *5 *6 *2)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|explogs2trigs| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|Complex| *5)) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *3)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (F2FG (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *3 *2)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (FG2F (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *2 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (GF2FG (*1 *2 *3) (AND (|isDomain| *3 (|Complex| *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *2))))) 
+(CATEGORY |package| (SIGNATURE GF2FG (|#3| (|Complex| |#2|))) (SIGNATURE FG2F (|#2| |#3|)) (SIGNATURE F2FG (|#3| |#2|)) (SIGNATURE |explogs2trigs| ((|Complex| |#2|) |#3|)) (SIGNATURE |trigs2explogs| (|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))))) 
+((|select| (($ (|Mapping| (|Boolean|) |#1|) $) 16)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) 9)) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) 12)) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) 14)) (|construct| (((|Stream| |#1|) $) 17)) (|coerce| (((|OutputForm|) $) NIL))) 
+(((|InfiniteTuple| |#1|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |filterWhile| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |filterUntil| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |select| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |generate| ($ (|Mapping| |#1| |#1|) |#1|)) (SIGNATURE |construct| ((|Stream| |#1|) $)))) (|Type|)) (T |InfiniteTuple|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) (|filterWhile| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) (|filterUntil| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) (|select| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) (|generate| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) (|construct| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InfiniteTuple| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |filterWhile| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |filterUntil| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |select| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |generate| ($ (|Mapping| |#1| |#1|) |#1|)) (SIGNATURE |construct| ((|Stream| |#1|) $)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) NIL (|has| |#1| (|AbelianMonoid|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| |#1|) $ $) NIL (|has| |#1| (|Ring|)))) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|magnitude| ((|#1| $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|Ring|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| ((|#1| $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|Ring|))))) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|dot| ((|#1| $ $) NIL (|has| |#1| (|Ring|)))) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|cross| (($ $ $) NIL (|has| |#1| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (- (($ $) NIL (|has| |#1| (|AbelianGroup|))) (($ $ $) NIL (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) NIL (|has| |#1| (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) NIL (|has| |#1| (|AbelianGroup|))) (($ |#1| $) NIL (|has| |#1| (|Monoid|))) (($ $ |#1|) NIL (|has| |#1| (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedVector| |#1| |#2|) (|VectorCategory| |#1|) (|Type|) (|Integer|)) (T |IndexedVector|)) 
+NIL 
+(|VectorCategory| |#1|) 
+((|swap!| (((|Void|) $ |#2| |#2|) 36)) (|minIndex| ((|#2| $) 23)) (|maxIndex| ((|#2| $) 21)) (|map!| (($ (|Mapping| |#3| |#3|) $) 32)) (|map| (($ (|Mapping| |#3| |#3|) $) 30)) (|first| ((|#3| $) 26)) (|fill!| (($ $ |#3|) 33)) (|entry?| (((|Boolean|) |#3| $) 17)) (|entries| (((|List| |#3|) $) 15)) (|elt| ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
+(((|IndexedAggregate&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |swap!| ((|Void|) |#1| |#2| |#2|)) (SIGNATURE |fill!| (|#1| |#1| |#3|)) (SIGNATURE |first| (|#3| |#1|)) (SIGNATURE |minIndex| (|#2| |#1|)) (SIGNATURE |maxIndex| (|#2| |#1|)) (SIGNATURE |entry?| ((|Boolean|) |#3| |#1|)) (SIGNATURE |entries| ((|List| |#3|) |#1|)) (SIGNATURE |elt| (|#3| |#1| |#2|)) (SIGNATURE |elt| (|#3| |#1| |#2| |#3|)) (SIGNATURE |map!| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#3| |#3|) |#1|))) (|IndexedAggregate| |#2| |#3|) (|SetCategory|) (|Type|)) (T |IndexedAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |swap!| ((|Void|) |#1| |#2| |#2|)) (SIGNATURE |fill!| (|#1| |#1| |#3|)) (SIGNATURE |first| (|#3| |#1|)) (SIGNATURE |minIndex| (|#2| |#1|)) (SIGNATURE |maxIndex| (|#2| |#1|)) (SIGNATURE |entry?| ((|Boolean|) |#3| |#1|)) (SIGNATURE |entries| ((|List| |#3|) |#1|)) (SIGNATURE |elt| (|#3| |#1| |#2|)) (SIGNATURE |elt| (|#3| |#1| |#2| |#3|)) (SIGNATURE |map!| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#3| |#3|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#2| (|SetCategory|)))) (|swap!| (((|Void|) $ |#1| |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#2| $ |#1| |#2|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|qsetelt!| ((|#2| $ |#1| |#2|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) 48)) (|parts| (((|List| |#2|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| ((|#1| $) 40 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#2|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) 27 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| ((|#1| $) 41 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#2| |#2|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#2| (|SetCategory|)))) (|indices| (((|List| |#1|) $) 43)) (|index?| (((|Boolean|) |#1| $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#2| (|SetCategory|)))) (|first| ((|#2| $) 39 (|has| |#1| (|OrderedSet|)))) (|fill!| (($ $ |#2|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) 26 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) 25 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) 24 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) 23 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#2| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) 28 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#2| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#2| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|IndexedAggregate| |#1| |#2|) (|Category|) (|SetCategory|) (|Type|)) (T |IndexedAggregate|)) 
+((|entries| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *4)))) (|index?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|indices| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *3)))) (|entry?| (*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|IndexedAggregate| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|maxIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) (|minIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) (|first| (*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Type|)))) (|fill!| (*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) (|swap!| (*1 *2 *1 *3 *3) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Void|))))) 
+(|Join| (|HomogeneousAggregate| |t#2|) (|EltableAggregate| |t#1| |t#2|) (CATEGORY |domain| (SIGNATURE |entries| ((|List| |t#2|) $)) (SIGNATURE |index?| ((|Boolean|) |t#1| $)) (SIGNATURE |indices| ((|List| |t#1|) $)) (IF (|has| |t#2| (|SetCategory|)) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (SIGNATURE |entry?| ((|Boolean|) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (PROGN (SIGNATURE |maxIndex| (|t#1| $)) (SIGNATURE |minIndex| (|t#1| $)) (SIGNATURE |first| (|t#2| $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |fill!| ($ $ |t#2|)) (SIGNATURE |swap!| ((|Void|) $ |t#1| |t#1|))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#2| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#2| (|SetCategory|)) ((|Eltable| |#1| |#2|) . T) ((|EltableAggregate| |#1| |#2|) . T) ((|Evalable| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|HomogeneousAggregate| |#2|) . T) ((|InnerEvalable| |#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|SetCategory|) |has| |#2| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unit| (((|Union| $ "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Vector| (|Matrix| |#1|)) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|someBasis| (((|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|sample| (($) NIL T CONST)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightUnit| (((|Union| $ "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightTraceMatrix| (((|Matrix| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightTrace| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightRegularRepresentation| (((|Matrix| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) $ (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightRecip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) NIL (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|Field|))))) (|rightPower| (($ $ (|PositiveInteger|)) NIL)) (|rightNorm| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightDiscriminant| ((|#1|) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) ((|#1| (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightAlternative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|represents| (($ (|Vector| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (($ (|Vector| |#1|) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|recip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rank| (((|PositiveInteger|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|powerAssociative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|plenaryPower| (($ $ (|PositiveInteger|)) NIL)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|lieAlgebra?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|lieAdmissible?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftUnit| (((|Union| $ "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftTraceMatrix| (((|Matrix| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftTrace| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftRegularRepresentation| (((|Matrix| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) $ (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftRecip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) NIL (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|Field|))))) (|leftPower| (($ $ (|PositiveInteger|)) NIL)) (|leftNorm| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftDiscriminant| ((|#1|) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) ((|#1| (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftAlternative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|latex| (((|String|) $) NIL)) (|jordanAlgebra?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|jordanAdmissible?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|jacobiIdentity?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|hash| (((|SingleInteger|) $) NIL)) (|flexible?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|elt| ((|#1| $ (|Integer|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Vector| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|))) (((|Vector| |#1|) $ (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|convert| (($ (|Vector| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Vector| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|List| (|Polynomial| |#1|)) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|commutator| (($ $ $) NIL)) (|commutative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|coerce| (((|OutputForm|) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (|basis| (((|Vector| $)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|associatorDependence| (((|List| (|Vector| |#1|))) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|associator| (($ $ $ $) NIL)) (|associative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|apply| (($ (|Matrix| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|antiCommutator| (($ $ $) NIL)) (|antiCommutative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|antiAssociative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|alternative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|Zero| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) 24)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
+(((|AssociatedJordanAlgebra| |#1| |#2|) (|Join| (|NonAssociativeAlgebra| |#1|) (|CoercibleTo| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#2|)) (IF (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FramedNonAssociativeAlgebra| |#1|)) |noBranch|) (IF (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FiniteRankNonAssociativeAlgebra| |#1|)) |noBranch|))) (|CommutativeRing|) (|NonAssociativeAlgebra| |#1|)) (T |AssociatedJordanAlgebra|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedJordanAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3))))) 
+(|Join| (|NonAssociativeAlgebra| |#1|) (|CoercibleTo| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#2|)) (IF (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FramedNonAssociativeAlgebra| |#1|)) |noBranch|) (IF (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FiniteRankNonAssociativeAlgebra| |#1|)) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|write!| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) 33)) (|table| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL) (($) NIL)) (|swap!| (((|Void|) $ (|String|) (|String|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|String|) |#1|) 43)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#1| "failed") (|String|) $) 46)) (|sample| (($) NIL T CONST)) (|reopen!| (($ $ (|String|)) 25)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|))))) (|remove!| (((|Union| |#1| "failed") (|String|) $) 47) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|))))) (|reduce| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|))))) (|read!| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) 32)) (|qsetelt!| ((|#1| $ (|String|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|String|)) NIL)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|pack!| (($ $) 48)) (|open| (($ (|FileName|)) 23) (($ (|FileName|) (|String|)) 22)) (|name| (((|FileName|) $) 34)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|String|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (((|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|))))) (|maxIndex| (((|String|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|keys| (((|List| (|String|)) $) 39)) (|key?| (((|Boolean|) (|String|) $) NIL)) (|iomode| (((|String|) $) 35)) (|inspect| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL)) (|indices| (((|List| (|String|)) $) NIL)) (|index?| (((|Boolean|) (|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|flush| (((|Void|) $) NIL)) (|first| ((|#1| $) NIL (|has| (|String|) (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 37)) (|elt| ((|#1| $ (|String|) |#1|) NIL) ((|#1| $ (|String|)) 42)) (|dictionary| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL) (($) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (((|NonNegativeInteger|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL)) (|coerce| (((|OutputForm|) $) 21)) (|close!| (($ $) 26)) (|bag| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 20)) (|#| (((|NonNegativeInteger|) $) 41 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|KeyedAccessFile| |#1|) (|Join| (|FileCategory| (|FileName|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) (|TableAggregate| (|String|) |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |pack!| ($ $)))) (|SetCategory|)) (T |KeyedAccessFile|)) 
+((|pack!| (*1 *1 *1) (AND (|isDomain| *1 (|KeyedAccessFile| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|FileCategory| (|FileName|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) (|TableAggregate| (|String|) |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |pack!| ($ $)))) 
+((|member?| (((|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) $) 15)) (|keys| (((|List| |#2|) $) 19)) (|key?| (((|Boolean|) |#2| $) 12))) 
+(((|KeyedDictionary&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |keys| ((|List| |#2|) |#1|)) (SIGNATURE |key?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |member?| ((|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|))) (|KeyedDictionary| |#2| |#3|) (|SetCategory|) (|SetCategory|)) (T |KeyedDictionary&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |keys| ((|List| |#2|) |#1|)) (SIGNATURE |key?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |member?| ((|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) 57)) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 55 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) 58)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 54 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 53 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 27 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|keys| (((|List| |#1|) $) 59)) (|key?| (((|Boolean|) |#1| $) 60)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 36)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 48)) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 26 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 25 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 24 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 23 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|dictionary| (($) 46) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 28 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 47)) (|coerce| (((|OutputForm|) $) 20 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|KeyedDictionary| |#1| |#2|) (|Category|) (|SetCategory|) (|SetCategory|)) (T |KeyedDictionary|)) 
+((|key?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|keys| (*1 *2 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) (|remove!| (*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|search| (*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|Dictionary| (|Record| (|:| |key| |t#1|) (|:| |entry| |t#2|))) (CATEGORY |domain| (SIGNATURE |key?| ((|Boolean|) |t#1| $)) (SIGNATURE |keys| ((|List| |t#1|) $)) (SIGNATURE |remove!| ((|Union| |t#2| "failed") |t#1| $)) (SIGNATURE |search| ((|Union| |t#2| "failed") |t#1| $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|BasicType|) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) ((|Collection| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|ConvertibleTo| (|InputForm|)) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))) ((|Dictionary| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|DictionaryOperations| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|HomogeneousAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|InnerEvalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|SetCategory|) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) ((|Type|) . T)) 
+((|constantKernel| (((|Kernel| |#2|) |#1|) 15)) (|constantIfCan| (((|Union| |#1| "failed") (|Kernel| |#2|)) 19))) 
+(((|KernelFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |constantKernel| ((|Kernel| |#2|) |#1|)) (SIGNATURE |constantIfCan| ((|Union| |#1| "failed") (|Kernel| |#2|)))) (|OrderedSet|) (|OrderedSet|)) (T |KernelFunctions2|)) 
+((|constantIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|KernelFunctions2| *2 *4)))) (|constantKernel| (*1 *2 *3) (AND (|isDomain| *2 (|Kernel| *4)) (|isDomain| *1 (|KernelFunctions2| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(CATEGORY |package| (SIGNATURE |constantKernel| ((|Kernel| |#2|) |#1|)) (SIGNATURE |constantIfCan| ((|Union| |#1| "failed") (|Kernel| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|symbolIfCan| (((|Union| (|Symbol|) "failed") $) 36)) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) 26)) (|position| (((|NonNegativeInteger|) $) 25)) (|operator| (((|BasicOperator|) $) 12)) (|name| (((|Symbol|) $) 20)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|kernel| (($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|)) 30) (($ (|Symbol|)) 31)) (|is?| (((|Boolean|) $ (|BasicOperator|)) 18) (((|Boolean|) $ (|Symbol|)) 16)) (|height| (((|NonNegativeInteger|) $) 22)) (|hash| (((|SingleInteger|) $) NIL)) (|convert| (((|Pattern| (|Integer|)) $) 69 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) 75 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) 62 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|coerce| (((|OutputForm|) $) 51)) (|argument| (((|List| |#1|) $) 24)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 39)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 40))) 
+(((|Kernel| |#1|) (|Join| (|CachableSet|) (|Patternable| |#1|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)) (SIGNATURE |operator| ((|BasicOperator|) $)) (SIGNATURE |argument| ((|List| |#1|) $)) (SIGNATURE |height| ((|NonNegativeInteger|) $)) (SIGNATURE |kernel| ($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |kernel| ($ (|Symbol|))) (SIGNATURE |symbolIfCan| ((|Union| (|Symbol|) "failed") $)) (SIGNATURE |is?| ((|Boolean|) $ (|BasicOperator|))) (SIGNATURE |is?| ((|Boolean|) $ (|Symbol|))) (IF (|has| |#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|))) (|OrderedSet|)) (T |Kernel|)) 
+((|name| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|operator| (*1 *2 *1) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|argument| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|height| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|kernel| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|Kernel| *5)))) (|kernel| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|symbolIfCan| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|is?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|is?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(|Join| (|CachableSet|) (|Patternable| |#1|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)) (SIGNATURE |operator| ((|BasicOperator|) $)) (SIGNATURE |argument| ((|List| |#1|) $)) (SIGNATURE |height| ((|NonNegativeInteger|) $)) (SIGNATURE |kernel| ($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |kernel| ($ (|Symbol|))) (SIGNATURE |symbolIfCan| ((|Union| (|Symbol|) "failed") $)) (SIGNATURE |is?| ((|Boolean|) $ (|BasicOperator|))) (SIGNATURE |is?| ((|Boolean|) $ (|Symbol|))) (IF (|has| |#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|))) 
+((|coerce| ((|#1| $) 6))) 
+(((|CoercibleTo| |#1|) (|Category|) (|Type|)) (T |CoercibleTo|)) 
+((|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|CoercibleTo| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |coerce| (|t#1| $)))) 
+((|convert| ((|#1| $) 6))) 
+(((|ConvertibleTo| |#1|) (|Category|) (|Type|)) (T |ConvertibleTo|)) 
+((|convert| (*1 *2 *1) (AND (|ofCategory| *1 (|ConvertibleTo| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |convert| (|t#1| $)))) 
+((|kovacic| (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)) 13) (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) 14))) 
+(((|Kovacic| |#1| |#2|) (CATEGORY |package| (SIGNATURE |kovacic| ((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |kovacic| ((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)))) (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|)) (T |Kovacic|)) 
+((|kovacic| (*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *6))) (|isDomain| *1 (|Kovacic| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) (|kovacic| (*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *5))) (|isDomain| *1 (|Kovacic| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(CATEGORY |package| (SIGNATURE |kovacic| ((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |kovacic| ((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)))) 
+((|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) 10))) 
+(((|LeftAlgebra&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|LeftAlgebra| |#2|) (|Ring|)) (T |LeftAlgebra&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 35)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
+(((|LeftAlgebra| |#1|) (|Category|) (|Ring|)) (T |LeftAlgebra|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|LeftAlgebra| *2)) (|ofCategory| *2 (|Ring|))))) 
+(|Join| (|Ring|) (|LeftModule| |t#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |t#1|)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| |#1| (|OrderedRing|)))) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|one?| (((|Boolean|) $) NIL)) (|numer| ((|#1| $) 13)) (|negative?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedRing|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedRing|)))) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|denom| ((|#3| $) 15)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) NIL)) (|characteristic| (((|NonNegativeInteger|)) 20)) (|abs| (($ $) NIL (|has| |#1| (|OrderedRing|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) 12 T CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (/ (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((|LocalAlgebra| |#1| |#2| |#3|) (|Join| (|Algebra| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (SIGNATURE / ($ $ |#3|)) (SIGNATURE / ($ |#1| |#3|)) (SIGNATURE |numer| (|#1| $)) (SIGNATURE |denom| (|#3| $)))) (|Algebra| |#2|) (|CommutativeRing|) (|SubsetCategory| (|Monoid|) |#2|)) (T |LocalAlgebra|)) 
+((/ (*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) (/ (*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *2 *4 *3)) (|ofCategory| *2 (|Algebra| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) (|numer| (*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Algebra| *3)) (|isDomain| *1 (|LocalAlgebra| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) (|denom| (*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4))))) 
+(|Join| (|Algebra| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (SIGNATURE / ($ $ |#3|)) (SIGNATURE / ($ |#1| |#3|)) (SIGNATURE |numer| (|#1| $)) (SIGNATURE |denom| (|#3| $)))) 
+((|laplace| ((|#2| |#2| (|Symbol|) (|Symbol|)) 18))) 
+(((|LaplaceTransform| |#1| |#2|) (CATEGORY |package| (SIGNATURE |laplace| (|#2| |#2| (|Symbol|) (|Symbol|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| |#1|))) (T |LaplaceTransform|)) 
+((|laplace| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|LaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(CATEGORY |package| (SIGNATURE |laplace| (|#2| |#2| (|Symbol|) (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 52)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|trailingCoefficient| ((|#1| $) 49)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|separate| (((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)) 95 (|has| |#1| (|Field|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 83) (((|Union| |#2| "failed") $) 80)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL) ((|#2| $) NIL)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) 24)) (|recip| (((|Union| $ "failed") $) 74)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|order| (((|Integer|) $) 19)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) 36)) (|monomial| (($ |#1| (|Integer|)) 21)) (|leadingCoefficient| ((|#1| $) 51)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) 85 (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) 78)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) 97 (|has| |#1| (|Field|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 96 (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) 65) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $) NIL (|has| |#2| (|DifferentialRing|)))) (|degree| (((|Integer|) $) 34)) (|convert| (((|Fraction| |#2|) $) 42)) (|coerce| (((|OutputForm|) $) 61) (($ (|Integer|)) 32) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) 31) (($ |#2|) 22)) (|coefficient| ((|#1| $ (|Integer|)) 62)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 29)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 9 T CONST)) (|One| (($) 12 T CONST)) (D (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $) NIL (|has| |#2| (|DifferentialRing|)))) (= (((|Boolean|) $ $) 17)) (- (($ $) 46) (($ $ $) NIL)) (+ (($ $ $) 75)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 26) (($ $ $) 44))) 
+(((|LaurentPolynomial| |#1| |#2|) (|Join| (|DifferentialExtension| |#2|) (|IntegralDomain|) (|ConvertibleTo| (|Fraction| |#2|)) (|FullyRetractableTo| |#1|) (|RetractableTo| |#2|) (CATEGORY |domain| (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |degree| ((|Integer|) $)) (SIGNATURE |order| ((|Integer|) $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |leadingCoefficient| (|#1| $)) (SIGNATURE |trailingCoefficient| (|#1| $)) (SIGNATURE |coefficient| (|#1| $ (|Integer|))) (SIGNATURE |monomial| ($ |#1| (|Integer|))) (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (ATTRIBUTE (|EuclideanDomain|)) (SIGNATURE |separate| ((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)))) |noBranch|))) (|IntegralDomain|) (|UnivariatePolynomialCategory| |#1|)) (T |LaurentPolynomial|)) 
+((|monomial?| (*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|order| (*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|reductum| (*1 *1 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|trailingCoefficient| (*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) (|monomial| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) (|separate| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |polyPart| (|LaurentPolynomial| *4 *5)) (|:| |fracPart| (|Fraction| *5)))) (|isDomain| *1 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(|Join| (|DifferentialExtension| |#2|) (|IntegralDomain|) (|ConvertibleTo| (|Fraction| |#2|)) (|FullyRetractableTo| |#1|) (|RetractableTo| |#2|) (CATEGORY |domain| (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |degree| ((|Integer|) $)) (SIGNATURE |order| ((|Integer|) $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |leadingCoefficient| (|#1| $)) (SIGNATURE |trailingCoefficient| (|#1| $)) (SIGNATURE |coefficient| (|#1| $ (|Integer|))) (SIGNATURE |monomial| ($ |#1| (|Integer|))) (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (ATTRIBUTE (|EuclideanDomain|)) (SIGNATURE |separate| ((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)))) |noBranch|))) 
+((|zeroSetSplit| (((|List| |#6|) (|List| |#4|) (|Boolean|)) 46)) (|normalizeIfCan| ((|#6| |#6|) 39))) 
+(((|LazardSetSolvingPackage| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |package| (SIGNATURE |normalizeIfCan| (|#6| |#6|)) (SIGNATURE |zeroSetSplit| ((|List| |#6|) (|List| |#4|) (|Boolean|)))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |LazardSetSolvingPackage|)) 
+((|zeroSetSplit| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|LazardSetSolvingPackage| *5 *6 *7 *8 *9 *10)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *10 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) (|normalizeIfCan| (*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|LazardSetSolvingPackage| *3 *4 *5 *6 *7 *2)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *2 (|SquareFreeRegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |normalizeIfCan| (|#6| |#6|)) (SIGNATURE |zeroSetSplit| ((|List| |#6|) (|List| |#4|) (|Boolean|)))) 
+((|polCase| (((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|)) 22)) (|distFact| (((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)) 51))) 
+(((|LeadingCoefDetermination| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |polCase| ((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|))) (SIGNATURE |distFact| ((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|EuclideanDomain|) (|PolynomialCategory| |#3| |#2| |#1|)) (T |LeadingCoefDetermination|)) 
+((|distFact| (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| AND (|isDomain| *5 (|Record| (|:| |contp| *3) (|:| |factors| (|List| (|Record| (|:| |irr| *10) (|:| |pow| (|Integer|))))))) (|isDomain| *6 (|List| *3)) (|isDomain| *7 (|List| *8)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *3 *9 *8)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |polfac| (|List| *10)) (|:| |correct| *3) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|LeadingCoefDetermination| *8 *9 *3 *10)) (|isDomain| *4 (|List| (|SparseUnivariatePolynomial| *3))))) (|polCase| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LeadingCoefDetermination| *6 *7 *3 *8)) (|ofCategory| *8 (|PolynomialCategory| *3 *7 *6))))) 
+(CATEGORY |package| (SIGNATURE |polCase| ((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|))) (SIGNATURE |distFact| ((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|varList| (((|List| |#1|) $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|mirror| (($ $) 67)) (|log| (((|LiePolynomial| |#1| |#2|) $) 52)) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) 36)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 70)) (|identification| (((|List| (|Equation| |#2|)) $ $) 33)) (|hash| (((|SingleInteger|) $) NIL)) (|exp| (($ (|LiePolynomial| |#1| |#2|)) 48)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) 58) (((|XDistributedPolynomial| |#1| |#2|) $) NIL) (((|XPBWPolynomial| |#1| |#2|) $) 66)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 53 T CONST)) (|LyndonCoordinates| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) 31)) (|LyndonBasis| (((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|)) 65)) (= (((|Boolean|) $ $) 54)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ $ $) 44))) 
+(((|LieExponentials| |#1| |#2| |#3|) (|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |exp| ($ (|LiePolynomial| |#1| |#2|))) (SIGNATURE |log| ((|LiePolynomial| |#1| |#2|) $)) (SIGNATURE |listOfTerms| ((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $)) (SIGNATURE |coerce| ((|XDistributedPolynomial| |#1| |#2|) $)) (SIGNATURE |coerce| ((|XPBWPolynomial| |#1| |#2|) $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |varList| ((|List| |#1|) $)) (SIGNATURE |LyndonBasis| ((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|))) (SIGNATURE |LyndonCoordinates| ((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $)) (SIGNATURE |identification| ((|List| (|Equation| |#2|)) $ $)))) (|OrderedSet|) (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|)))) (|PositiveInteger|)) (T |LieExponentials|)) 
+((|exp| (*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofType| *5 (|PositiveInteger|)))) (|log| (*1 *2 *1) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) (|listOfTerms| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|XPBWPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) (|mirror| (*1 *1 *1) (AND (|isDomain| *1 (|LieExponentials| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *4 (|PositiveInteger|)))) (|varList| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) (|LyndonBasis| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LiePolynomial| *4 *5))) (|isDomain| *1 (|LieExponentials| *4 *5 *6)) (|ofCategory| *5 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *6 (|PositiveInteger|)))) (|LyndonCoordinates| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|LyndonWord| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) (|identification| (*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|Equation| *4))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |exp| ($ (|LiePolynomial| |#1| |#2|))) (SIGNATURE |log| ((|LiePolynomial| |#1| |#2|) $)) (SIGNATURE |listOfTerms| ((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $)) (SIGNATURE |coerce| ((|XDistributedPolynomial| |#1| |#2|) $)) (SIGNATURE |coerce| ((|XPBWPolynomial| |#1| |#2|) $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |varList| ((|List| |#1|) $)) (SIGNATURE |LyndonBasis| ((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|))) (SIGNATURE |LyndonCoordinates| ((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $)) (SIGNATURE |identification| ((|List| (|Equation| |#2|)) $ $)))) 
+((|zeroSetSplit| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) 70) (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) 56)) (|zeroDimensional?| (((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) 22)) (|squareFreeLexTriangular| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) 69)) (|lexTriangular| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) 55)) (|groebner| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) 26)) (|fglmIfCan| (((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) 25))) 
+(((|LexTriangularPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |zeroDimensional?| ((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) (SIGNATURE |fglmIfCan| ((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) (SIGNATURE |groebner| ((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) (SIGNATURE |lexTriangular| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|))) (SIGNATURE |squareFreeLexTriangular| ((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)))) (|GcdDomain|) (|List| (|Symbol|))) (T |LexTriangularPackage|)) 
+((|zeroSetSplit| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) (|zeroSetSplit| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) (|squareFreeLexTriangular| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) (|lexTriangular| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) (|groebner| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4)))) (|fglmIfCan| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4)))) (|zeroDimensional?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5)))) (|ofCategory| *4 (|GcdDomain|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LexTriangularPackage| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |zeroDimensional?| ((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) (SIGNATURE |fglmIfCan| ((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) (SIGNATURE |groebner| ((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) (SIGNATURE |lexTriangular| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|))) (SIGNATURE |squareFreeLexTriangular| ((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)))) 
+((|tanh| (($ $) 38)) (|tan| (($ $) 21)) (|sinh| (($ $) 37)) (|sin| (($ $) 22)) (|sech| (($ $) 36)) (|sec| (($ $) 23)) (|pi| (($) 48)) (|log| (($ $) 45)) (|li| (($ $) 17)) (|integral| (($ $ (|SegmentBinding| $)) 7) (($ $ (|Symbol|)) 6)) (|fresnelS| (($ $) 14)) (|fresnelC| (($ $) 13)) (|exp| (($ $) 46)) (|erf| (($ $) 15)) (|dilog| (($ $) 16)) (|csch| (($ $) 35)) (|csc| (($ $) 24)) (|coth| (($ $) 34)) (|cot| (($ $) 25)) (|cosh| (($ $) 33)) (|cos| (($ $) 26)) (|atanh| (($ $) 44)) (|atan| (($ $) 32)) (|asinh| (($ $) 43)) (|asin| (($ $) 31)) (|asech| (($ $) 42)) (|asec| (($ $) 30)) (|acsch| (($ $) 41)) (|acsc| (($ $) 29)) (|acoth| (($ $) 40)) (|acot| (($ $) 28)) (|acosh| (($ $) 39)) (|acos| (($ $) 27)) (|Si| (($ $) 19)) (|Ei| (($ $) 20)) (|Ci| (($ $) 18)) (** (($ $ $) 47))) 
+(((|LiouvillianFunctionCategory|) (|Category|)) (T |LiouvillianFunctionCategory|)) 
+((|Ei| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|Si| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|Ci| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|li| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|dilog| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|erf| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|fresnelS| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) (|fresnelC| (*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|)))) 
+(|Join| (|PrimitiveFunctionCategory|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |Ei| ($ $)) (SIGNATURE |Si| ($ $)) (SIGNATURE |Ci| ($ $)) (SIGNATURE |li| ($ $)) (SIGNATURE |dilog| ($ $)) (SIGNATURE |erf| ($ $)) (SIGNATURE |fresnelS| ($ $)) (SIGNATURE |fresnelC| ($ $)))) 
+(((|ArcHyperbolicFunctionCategory|) . T) ((|ArcTrigonometricFunctionCategory|) . T) ((|ElementaryFunctionCategory|) . T) ((|HyperbolicFunctionCategory|) . T) ((|PrimitiveFunctionCategory|) . T) ((|TranscendentalFunctionCategory|) . T) ((|TrigonometricFunctionCategory|) . T)) 
+((|operator| (((|BasicOperator|) (|BasicOperator|)) 87)) (|li| ((|#2| |#2|) 32)) (|integral| ((|#2| |#2| (|SegmentBinding| |#2|)) 83) ((|#2| |#2| (|Symbol|)) 56)) (|fresnelS| ((|#2| |#2|) 34)) (|fresnelC| ((|#2| |#2|) 35)) (|erf| ((|#2| |#2|) 31)) (|dilog| ((|#2| |#2|) 33)) (|belong?| (((|Boolean|) (|BasicOperator|)) 38)) (|Si| ((|#2| |#2|) 28)) (|Ei| ((|#2| |#2|) 30)) (|Ci| ((|#2| |#2|) 29))) 
+(((|LiouvillianFunction| |#1| |#2|) (CATEGORY |package| (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |Ei| (|#2| |#2|)) (SIGNATURE |Si| (|#2| |#2|)) (SIGNATURE |Ci| (|#2| |#2|)) (SIGNATURE |li| (|#2| |#2|)) (SIGNATURE |erf| (|#2| |#2|)) (SIGNATURE |dilog| (|#2| |#2|)) (SIGNATURE |fresnelS| (|#2| |#2|)) (SIGNATURE |fresnelC| (|#2| |#2|)) (SIGNATURE |integral| (|#2| |#2| (|Symbol|))) (SIGNATURE |integral| (|#2| |#2| (|SegmentBinding| |#2|)))) (|Join| (|OrderedSet|) (|IntegralDomain|)) (|Join| (|FunctionSpace| |#1|) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (T |LiouvillianFunction|)) 
+((|integral| (*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)))) (|integral| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|fresnelC| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|fresnelS| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|dilog| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|erf| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|li| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|Ci| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|Si| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|Ei| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|operator| (*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) (|belong?| (*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LiouvillianFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |belong?| ((|Boolean|) (|BasicOperator|))) (SIGNATURE |operator| ((|BasicOperator|) (|BasicOperator|))) (SIGNATURE |Ei| (|#2| |#2|)) (SIGNATURE |Si| (|#2| |#2|)) (SIGNATURE |Ci| (|#2| |#2|)) (SIGNATURE |li| (|#2| |#2|)) (SIGNATURE |erf| (|#2| |#2|)) (SIGNATURE |dilog| (|#2| |#2|)) (SIGNATURE |fresnelS| (|#2| |#2|)) (SIGNATURE |fresnelC| (|#2| |#2|)) (SIGNATURE |integral| (|#2| |#2| (|Symbol|))) (SIGNATURE |integral| (|#2| |#2| (|SegmentBinding| |#2|)))) 
+((|transform| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) 52)) (|totolex| (((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) 67)) (|minPol| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) 69) (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) 68)) (|linGenPos| (((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) 105)) (|intcompBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) 82)) (|groebgen| (((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) 116)) (|coord| (((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) 57)) (|computeBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) 39)) (|choosemon| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) 49)) (|anticoord| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) 89))) 
+(((|LinGroebnerPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |linGenPos| ((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |groebgen| ((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |totolex| ((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |minPol| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|))) (SIGNATURE |minPol| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|))) (SIGNATURE |computeBasis| ((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |coord| ((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |anticoord| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |intcompBasis| ((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |choosemon| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |transform| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)))) (|List| (|Symbol|)) (|GcdDomain|)) (T |LinGroebnerPackage|)) 
+((|transform| (*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)))) (|choosemon| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)))) (|intcompBasis| (*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|OrderedVariableList| *4)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)))) (|anticoord| (*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)))) (|coord| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)))) (|computeBasis| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *3 *4))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *3 *4)))) (|minPol| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) (|minPol| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) (|totolex| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)))) (|groebgen| (*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |glval| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))))) (|linGenPos| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |gvlist| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |linGenPos| ((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |groebgen| ((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |totolex| ((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |minPol| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|))) (SIGNATURE |minPol| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|))) (SIGNATURE |computeBasis| ((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |coord| ((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |anticoord| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |intcompBasis| ((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |choosemon| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)))) (SIGNATURE |transform| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) NIL)) (|swap!| (((|Void|) $ (|String|) (|String|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Any|) $ (|String|) (|Any|)) 16) (((|Any|) $ (|Symbol|) (|Any|)) 17)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| (|Any|) "failed") (|String|) $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| (|Any|) "failed") (|String|) $) NIL)) (|remove| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $ (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $ (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Any|) $ (|String|) (|Any|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Any|) $ (|String|)) NIL)) (|parts| (((|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|pack!| (($ $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|String|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|Boolean|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|))))) (|maxIndex| (((|String|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| (|Any|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL) (($ (|Mapping| (|Any|) (|Any|)) $) NIL) (($ (|Mapping| (|Any|) (|Any|) (|Any|)) $ $) NIL)) (|library| (($ (|FileName|)) 9)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|keys| (((|List| (|String|)) $) NIL)) (|key?| (((|Boolean|) (|String|) $) NIL)) (|inspect| (((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL)) (|insert!| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL)) (|indices| (((|List| (|String|)) $) NIL)) (|index?| (((|Boolean|) (|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|first| (((|Any|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL)) (|fill!| (($ $ (|Any|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|List| (|Any|)) (|List| (|Any|))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|Any|) (|Any|)) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|Equation| (|Any|))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Any|)))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|))))) (|entries| (((|List| (|Any|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| (((|Any|) $ (|String|)) 14) (((|Any|) $ (|String|) (|Any|)) NIL) (((|Any|) $ (|Symbol|)) 15)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|NonNegativeInteger|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|close!| (($ $) NIL)) (|bag| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Library|) (|Join| (|TableAggregate| (|String|) (|Any|)) (CATEGORY |domain| (SIGNATURE |library| ($ (|FileName|))) (SIGNATURE |pack!| ($ $)) (SIGNATURE |elt| ((|Any|) $ (|Symbol|))) (SIGNATURE |setelt| ((|Any|) $ (|Symbol|) (|Any|))) (SIGNATURE |close!| ($ $))))) (T |Library|)) 
+((|library| (*1 *1 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|Library|)))) (|pack!| (*1 *1 *1) (|isDomain| *1 (|Library|))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Library|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|Library|)))) (|close!| (*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(|Join| (|TableAggregate| (|String|) (|Any|)) (CATEGORY |domain| (SIGNATURE |library| ($ (|FileName|))) (SIGNATURE |pack!| ($ $)) (SIGNATURE |elt| ((|Any|) $ (|Symbol|))) (SIGNATURE |setelt| ((|Any|) $ (|Symbol|) (|Any|))) (SIGNATURE |close!| ($ $)))) 
+((/ (($ $ |#2|) 10))) 
+(((|LieAlgebra&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE / (|#1| |#1| |#2|))) (|LieAlgebra| |#2|) (|CommutativeRing|)) (T |LieAlgebra&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE / (|#1| |#1| |#2|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|construct| (($ $ $) 26)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 25 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((|LieAlgebra| |#1|) (|Category|) (|CommutativeRing|)) (T |LieAlgebra|)) 
+((|construct| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (/ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|Module| |t#1|) (CATEGORY |domain| (SIGNATURE |construct| ($ $ $)) (ATTRIBUTE |NullSquare|) (ATTRIBUTE |JacobiIdentity|) (IF (|has| |t#1| (|Field|)) (SIGNATURE / ($ $ |t#1|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|Module| |#1|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unit| (((|Union| $ "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Vector| (|Matrix| |#1|)) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|someBasis| (((|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|sample| (($) NIL T CONST)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightUnit| (((|Union| $ "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightTraceMatrix| (((|Matrix| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightTrace| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightRegularRepresentation| (((|Matrix| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) $ (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightRecip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) NIL (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|Field|))))) (|rightPower| (($ $ (|PositiveInteger|)) NIL)) (|rightNorm| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rightDiscriminant| ((|#1|) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) ((|#1| (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|rightAlternative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|represents| (($ (|Vector| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (($ (|Vector| |#1|) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|recip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|rank| (((|PositiveInteger|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|powerAssociative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|plenaryPower| (($ $ (|PositiveInteger|)) NIL)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|lieAlgebra?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|lieAdmissible?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftUnit| (((|Union| $ "failed")) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftTraceMatrix| (((|Matrix| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftTrace| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftRegularRepresentation| (((|Matrix| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) $ (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftRecip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) NIL (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|Field|))))) (|leftPower| (($ $ (|PositiveInteger|)) NIL)) (|leftNorm| ((|#1| $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|leftDiscriminant| ((|#1|) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) ((|#1| (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|leftAlternative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|latex| (((|String|) $) NIL)) (|jordanAlgebra?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|jordanAdmissible?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|jacobiIdentity?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|hash| (((|SingleInteger|) $) NIL)) (|flexible?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|elt| ((|#1| $ (|Integer|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Vector| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|))) (((|Vector| |#1|) $ (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|convert| (($ (|Vector| |#1|)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|Vector| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|))) (((|List| (|Polynomial| |#1|)) (|Vector| $)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|commutator| (($ $ $) NIL)) (|commutative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|coerce| (((|OutputForm|) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (|basis| (((|Vector| $)) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|associatorDependence| (((|List| (|Vector| |#1|))) NIL (OR (AND (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|))) (AND (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (|has| |#1| (|IntegralDomain|)))))) (|associator| (($ $ $ $) NIL)) (|associative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|apply| (($ (|Matrix| |#1|) $) NIL (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)))) (|antiCommutator| (($ $ $) NIL)) (|antiCommutative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|antiAssociative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|alternative?| (((|Boolean|)) NIL (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)))) (|Zero| (($) 15 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) 17)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|AssociatedLieAlgebra| |#1| |#2|) (|Join| (|NonAssociativeAlgebra| |#1|) (|CoercibleTo| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#2|)) (IF (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FramedNonAssociativeAlgebra| |#1|)) |noBranch|) (IF (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FiniteRankNonAssociativeAlgebra| |#1|)) |noBranch|))) (|CommutativeRing|) (|NonAssociativeAlgebra| |#1|)) (T |AssociatedLieAlgebra|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedLieAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3))))) 
+(|Join| (|NonAssociativeAlgebra| |#1|) (|CoercibleTo| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#2|)) (IF (|has| |#2| (|FramedNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FramedNonAssociativeAlgebra| |#1|)) |noBranch|) (IF (|has| |#2| (|FiniteRankNonAssociativeAlgebra| |#1|)) (ATTRIBUTE (|FiniteRankNonAssociativeAlgebra| |#1|)) |noBranch|))) 
+((|limit| (((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)) 78) (((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|))) 100)) (|complexLimit| (((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|))) 105))) 
+(((|PowerSeriesLimitPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |limit| ((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|)))) (SIGNATURE |complexLimit| ((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|)))) (SIGNATURE |limit| ((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)))) (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |PowerSeriesLimitPackage|)) 
+((|limit| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *6 *3)))) (|complexLimit| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Equation| (|OnePointCompletion| *3))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) (|limit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3))))) 
+(CATEGORY |package| (SIGNATURE |limit| ((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|)))) (SIGNATURE |complexLimit| ((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|)))) (SIGNATURE |limit| ((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)))) 
+((|limit| (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)) 79) (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) 18) (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|)))) 34)) (|complexLimit| (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) 21) (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|)))) 42))) 
+(((|RationalFunctionLimitPackage| |#1|) (CATEGORY |package| (SIGNATURE |limit| ((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|))))) (SIGNATURE |limit| ((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |complexLimit| ((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|))))) (SIGNATURE |complexLimit| ((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |limit| ((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)))) (|GcdDomain|)) (T |RationalFunctionLimitPackage|)) 
+((|limit| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *6)))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *6)))) (|complexLimit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) (|complexLimit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OnePointCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) (|limit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) (|limit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(CATEGORY |package| (SIGNATURE |limit| ((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|))))) (SIGNATURE |limit| ((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |complexLimit| ((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|))))) (SIGNATURE |complexLimit| ((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |limit| ((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)))) 
+((|solveLinear| (((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|) 57 (|not| (|has| |#1| (|Field|)))) (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|) 42 (|has| |#1| (|Field|)))) (|linearlyDependent?| (((|Boolean|) (|Vector| |#2|)) 30)) (|linearDependence| (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|)) 33))) 
+(((|LinearDependence| |#1| |#2|) (CATEGORY |package| (SIGNATURE |linearlyDependent?| ((|Boolean|) (|Vector| |#2|))) (SIGNATURE |linearDependence| ((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|))) (IF (|has| |#1| (|Field|)) (SIGNATURE |solveLinear| ((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|)) (SIGNATURE |solveLinear| ((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|)))) (|IntegralDomain|) (|LinearlyExplicitRingOver| |#1|)) (T |LinearDependence|)) 
+((|solveLinear| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|not| (|ofCategory| *5 (|Field|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Fraction| *5))) (|isDomain| *1 (|LinearDependence| *5 *4)))) (|solveLinear| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|LinearDependence| *5 *4)))) (|linearDependence| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|LinearDependence| *4 *5)))) (|linearlyDependent?| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |linearlyDependent?| ((|Boolean|) (|Vector| |#2|))) (SIGNATURE |linearDependence| ((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|))) (IF (|has| |#1| (|Field|)) (SIGNATURE |solveLinear| ((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|)) (SIGNATURE |solveLinear| ((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reducedSystem| (((|Matrix| |#1|) (|Matrix| $)) 35) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 34)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|LinearlyExplicitRingOver| |#1|) (|Category|) (|Ring|)) (T |LinearlyExplicitRingOver|)) 
+((|reducedSystem| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4)))) (|reducedSystem| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *1)) (|isDomain| *4 (|Vector| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| *5))))))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |reducedSystem| ((|Matrix| |t#1|) (|Matrix| $))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |t#1|)) (|:| |vec| (|Vector| |t#1|))) (|Matrix| $) (|Vector| $))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|match| ((|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)) 18) (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|)) 19) ((|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|) 16) (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|) 17) ((|#2| (|List| |#1|) (|List| |#2|) |#1|) 10) (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|)) 12))) 
+(((|ListToMap| |#1| |#2|) (CATEGORY |package| (SIGNATURE |match| ((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|))) (SIGNATURE |match| (|#2| (|List| |#1|) (|List| |#2|) |#1|)) (SIGNATURE |match| ((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|)) (SIGNATURE |match| (|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|)) (SIGNATURE |match| ((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|))) (SIGNATURE |match| (|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)))) (|SetCategory|) (|Type|)) (T |ListToMap|)) 
+((|match| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|isDomain| *6 (|Mapping| *2 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) (|match| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *6)))) (|match| (*1 *2 *3 *4 *5 *2) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) (|match| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Mapping| *5 *6)) (|isDomain| *1 (|ListToMap| *6 *5)))) (|match| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) (|match| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|ListToMap| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |match| ((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|))) (SIGNATURE |match| (|#2| (|List| |#1|) (|List| |#2|) |#1|)) (SIGNATURE |match| ((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|)) (SIGNATURE |match| (|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|)) (SIGNATURE |match| ((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|))) (SIGNATURE |match| (|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)))) 
+((|scan| (((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) 16)) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) 18)) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)) 13))) 
+(((|ListFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |scan| ((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|)) (SIGNATURE |map| ((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)))) (|Type|) (|Type|)) (T |ListFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|ListFunctions2| *5 *6)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListFunctions2| *5 *2)))) (|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ListFunctions2| *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |scan| ((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|)) (SIGNATURE |map| ((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)))) 
+((|map| (((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)) 13))) 
+(((|ListFunctions3| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |map| ((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)))) (|Type|) (|Type|) (|Type|)) (T |ListFunctions3|)) 
+((|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ListFunctions3| *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) NIL)) (|third| ((|#1| $) NIL)) (|tail| (($ $) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL)) (|sort!| (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|)))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setUnion| (($ $ $) 31 (|has| |#1| (|SetCategory|)))) (|setIntersection| (($ $ $) 33 (|has| |#1| (|SetCategory|)))) (|setDifference| (($ $ $) 36 (|has| |#1| (|SetCategory|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| ((|#1| $) NIL)) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|rest| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|removeDuplicates!| (($ $) NIL (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) 30 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) NIL (|has| |#1| (|SetCategory|))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL)) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|possiblyInfinite?| (((|Boolean|) $) NIL)) (|position| (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|null| (((|Boolean|) $) 9)) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|nil| (($) 7)) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge!| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL)) (|merge| (($ $ $) NIL (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 32 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|list| (($ |#1|) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|insert!| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|insert| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|explicitlyFinite?| (((|Boolean|) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) ((|#1| $ (|Integer|)) 35) ((|#1| $ (|Integer|) |#1|) NIL)) (|distance| (((|Integer|) $ $) NIL)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|cycleTail| (($ $) NIL)) (|cycleSplit!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) NIL)) (|cycleEntry| (($ $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) 44 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|cons| (($ |#1| $) 10)) (|concat!| (($ $ $) NIL) (($ $ |#1|) NIL)) (|concat| (($ $ $) 29) (($ |#1| $) NIL) (($ (|List| $)) NIL) (($ $ |#1|) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|append| (($ $ $) 11)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|OMwrite| (((|String|) $) 25 (|has| |#1| (|OpenMath|))) (((|String|) $ (|Boolean|)) 26 (|has| |#1| (|OpenMath|))) (((|Void|) (|OpenMathDevice|) $) 27 (|has| |#1| (|OpenMath|))) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 28 (|has| |#1| (|OpenMath|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|List| |#1|) (|Join| (|ListAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |nil| ($)) (SIGNATURE |null| ((|Boolean|) $)) (SIGNATURE |cons| ($ |#1| $)) (SIGNATURE |append| ($ $ $)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |setUnion| ($ $ $)) (SIGNATURE |setIntersection| ($ $ $)) (SIGNATURE |setDifference| ($ $ $))) |noBranch|) (IF (|has| |#1| (|OpenMath|)) (ATTRIBUTE (|OpenMath|)) |noBranch|))) (|Type|)) (T |List|)) 
+((|nil| (*1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) (|null| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|List| *3)) (|ofCategory| *3 (|Type|)))) (|cons| (*1 *1 *2 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) (|append| (*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) (|setUnion| (*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) (|setIntersection| (*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) (|setDifference| (*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|ListAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |nil| ($)) (SIGNATURE |null| ((|Boolean|) $)) (SIGNATURE |cons| ($ |#1| $)) (SIGNATURE |append| ($ $ $)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |setUnion| ($ $ $)) (SIGNATURE |setIntersection| ($ $ $)) (SIGNATURE |setDifference| ($ $ $))) |noBranch|) (IF (|has| |#1| (|OpenMath|)) (ATTRIBUTE (|OpenMath|)) |noBranch|))) 
+((|finiteSeries2Vector| (((|List| |#1|) |#2| (|Integer|)) 21)) (|finiteSeries2LinSysWOVectorise| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) 30)) (|finiteSeries2LinSys| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) 28))) 
+(((|LinearSystemFromPowerSeriesPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |finiteSeries2LinSysWOVectorise| ((|Matrix| |#1|) (|List| |#2|) (|Integer|))) (SIGNATURE |finiteSeries2LinSys| ((|Matrix| |#1|) (|List| |#2|) (|Integer|))) (SIGNATURE |finiteSeries2Vector| ((|List| |#1|) |#2| (|Integer|)))) (|Field|) (|LocalPowerSeriesCategory| |#1|)) (T |LinearSystemFromPowerSeriesPackage|)) 
+((|finiteSeries2Vector| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *3)) (|ofCategory| *3 (|LocalPowerSeriesCategory| *5)))) (|finiteSeries2LinSys| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6)))) (|finiteSeries2LinSysWOVectorise| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |finiteSeries2LinSysWOVectorise| ((|Matrix| |#1|) (|List| |#2|) (|Integer|))) (SIGNATURE |finiteSeries2LinSys| ((|Matrix| |#1|) (|List| |#2|) (|Integer|))) (SIGNATURE |finiteSeries2Vector| ((|List| |#1|) |#2| (|Integer|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|substitute| (($ |#1| |#1| $) 43)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 56 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|removeDuplicates!| (($ $) 45)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 53 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 9 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 39 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 37)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 46)) (|insert!| (($ |#1| $) 26) (($ |#1| $ (|NonNegativeInteger|)) 42)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|extract!| ((|#1| $) 48)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 21)) (|empty| (($) 25)) (|duplicates?| (((|Boolean|) $) 49)) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) 60)) (|dictionary| (($) 23) (($ (|List| |#1|)) 18)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 57 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 19)) (|convert| (((|InputForm|) $) 34 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|coerce| (((|OutputForm|) $) 14 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 22)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 62 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 16 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ListMultiDictionary| |#1|) (|Join| (|MultiDictionary| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |duplicates?| ((|Boolean|) $)) (SIGNATURE |substitute| ($ |#1| |#1| $)))) (|SetCategory|)) (T |ListMultiDictionary|)) 
+((|duplicates?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)))) (|substitute| (*1 *1 *2 *2 *1) (AND (|isDomain| *1 (|ListMultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|MultiDictionary| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |duplicates?| ((|Boolean|) $)) (SIGNATURE |substitute| ($ |#1| |#1| $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#1| $) 22))) 
+(((|LeftModule| |#1|) (|Category|) (|Rng|)) (T |LeftModule|)) 
+((* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|LeftModule| *2)) (|ofCategory| *2 (|Rng|))))) 
+(|Join| (|AbelianGroup|) (CATEGORY |domain| (SIGNATURE * ($ |t#1| $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|) $) 15)) (|rightMult| (($ $ |#1|) 55)) (|reverse!| (($ $) 32)) (|reverse| (($ $) 31)) (|retractIfCan| (((|Union| |#1| "failed") $) 47)) (|retract| ((|#1| $) NIL)) (|plus| (($ |#1| |#2| $) 60) (($ $ $) 61)) (|outputForm| (((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|)) 45)) (|nthFactor| ((|#1| $ (|Integer|)) 30)) (|nthExpon| ((|#2| $ (|Integer|)) 29)) (|mapGen| (($ (|Mapping| |#1| |#1|) $) 34)) (|mapExpon| (($ (|Mapping| |#2| |#2|) $) 38)) (|makeUnit| (($) 10)) (|makeTerm| (($ |#1| |#2|) 22)) (|makeMulti| (($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|)))) 23)) (|listOfMonoms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) 13)) (|leftMult| (($ |#1| $) 56)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|commutativeEquality| (((|Boolean|) $ $) 58)) (|coerce| (((|OutputForm|) $) 19) (($ |#1|) 16)) (= (((|Boolean|) $ $) 25))) 
+(((|ListMonoidOps| |#1| |#2| |#3|) (|Join| (|SetCategory|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |outputForm| ((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|))) (SIGNATURE |listOfMonoms| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $)) (SIGNATURE |makeTerm| ($ |#1| |#2|)) (SIGNATURE |makeMulti| ($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))))) (SIGNATURE |nthExpon| (|#2| $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |reverse| ($ $)) (SIGNATURE |reverse!| ($ $)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |makeUnit| ($)) (SIGNATURE |rightMult| ($ $ |#1|)) (SIGNATURE |leftMult| ($ |#1| $)) (SIGNATURE |plus| ($ |#1| |#2| $)) (SIGNATURE |plus| ($ $ $)) (SIGNATURE |commutativeEquality| ((|Boolean|) $ $)) (SIGNATURE |mapExpon| ($ (|Mapping| |#2| |#2|) $)) (SIGNATURE |mapGen| ($ (|Mapping| |#1| |#1|) $)))) (|SetCategory|) (|AbelianMonoid|) |#2|) (T |ListMonoidOps|)) 
+((|outputForm| (*1 *2 *1 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ListMonoidOps| *5 *6 *7)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|AbelianMonoid|)) (|ofType| *7 *6))) (|listOfMonoms| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) (|makeTerm| (*1 *1 *2 *3) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|makeMulti| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)))) (|nthExpon| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ListMonoidOps| *4 *2 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 *2))) (|nthFactor| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *2 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) (|reverse| (*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|reverse!| (*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|size| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) (|makeUnit| (*1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|rightMult| (*1 *1 *1 *2) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|leftMult| (*1 *1 *2 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|plus| (*1 *1 *2 *3 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|plus| (*1 *1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) (|commutativeEquality| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) (|mapExpon| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)))) (|mapGen| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(|Join| (|SetCategory|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |outputForm| ((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|))) (SIGNATURE |listOfMonoms| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $)) (SIGNATURE |makeTerm| ($ |#1| |#2|)) (SIGNATURE |makeMulti| ($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))))) (SIGNATURE |nthExpon| (|#2| $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |reverse| ($ $)) (SIGNATURE |reverse!| ($ $)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |makeUnit| ($)) (SIGNATURE |rightMult| ($ $ |#1|)) (SIGNATURE |leftMult| ($ |#1| $)) (SIGNATURE |plus| ($ |#1| |#2| $)) (SIGNATURE |plus| ($ $ $)) (SIGNATURE |commutativeEquality| ((|Boolean|) $ $)) (SIGNATURE |mapExpon| ($ (|Mapping| |#2| |#2|) $)) (SIGNATURE |mapGen| ($ (|Mapping| |#1| |#1|) $)))) 
+((|maxIndex| (((|Integer|) $) 23)) (|insert| (($ |#2| $ (|Integer|)) 21) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) 12)) (|index?| (((|Boolean|) (|Integer|) $) 14)) (|concat| (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (|List| $)) NIL))) 
+(((|LinearAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |maxIndex| ((|Integer|) |#1|)) (SIGNATURE |indices| ((|List| (|Integer|)) |#1|)) (SIGNATURE |index?| ((|Boolean|) (|Integer|) |#1|))) (|LinearAggregate| |#2|) (|Type|)) (T |LinearAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |maxIndex| ((|Integer|) |#1|)) (SIGNATURE |indices| ((|List| (|Integer|)) |#1|)) (SIGNATURE |index?| ((|Boolean|) (|Integer|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) |#1|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 73 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 72 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 71 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 48)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 59)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 66)) (|fill!| (($ $ |#1|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) |#1|) 47) ((|#1| $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 65)) (|concat| (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|LinearAggregate| |#1|) (|Category|) (|Type|)) (T |LinearAggregate|)) 
+((|new| (*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|concat| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|map| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|delete| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|delete| (*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|insert| (*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|insert| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|UniversalSegment| (|Integer|))) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|IndexedAggregate| (|Integer|) |t#1|) (|Collection| |t#1|) (CATEGORY |domain| (SIGNATURE |new| ($ (|NonNegativeInteger|) |t#1|)) (SIGNATURE |concat| ($ $ |t#1|)) (SIGNATURE |concat| ($ |t#1| $)) (SIGNATURE |concat| ($ $ $)) (SIGNATURE |concat| ($ (|List| $))) (SIGNATURE |map| ($ (|Mapping| |t#1| |t#1| |t#1|) $ $)) (SIGNATURE |elt| ($ $ (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| ($ $ (|Integer|))) (SIGNATURE |delete| ($ $ (|UniversalSegment| (|Integer|)))) (SIGNATURE |insert| ($ |t#1| $ (|Integer|))) (SIGNATURE |insert| ($ $ $ (|Integer|))) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |setelt| (|t#1| $ (|UniversalSegment| (|Integer|)) |t#1|)) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 117)) (|variable| (((|Symbol|) $) 122)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|truncate| (($ $ (|Integer|) (|Integer|)) 128) (($ $ (|Integer|)) 127)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 120)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|shift| (($ $ (|Integer|)) 88)) (|series| (($ (|Integer|) |#1| $) 89)) (|sbt| (($ $ $) 94)) (|sample| (($) 16 T CONST)) (|removeZeroes| (($ (|Integer|) $) 91) (($ $) 90)) (|removeFirstZeroes| (($ $) 95)) (|rem| (($ $ $) 54)) (|reductum| (($ $) 110)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|printInfo| (((|Boolean|) (|Boolean|)) 85) (((|Boolean|)) 84)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|posExpnPart| (($ $) 97)) (|pole?| (((|Boolean|) $) 118)) (|orderIfNegative| (((|Union| (|Integer|) "failed") $) 96)) (|order| (((|Integer|) $ (|Integer|)) 126) (((|Integer|) $) 125) (((|Integer|) $) 101)) (|one?| (((|Boolean|) $) 30)) (|multiplyExponents| (($ $ (|PositiveInteger|)) 124)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|monomial?| (((|Boolean|) $) 108)) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) 92)) (|monomial| (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) 116) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) 115) (($ |#1| (|Integer|)) 109)) (|map| (($ (|Mapping| |#1| |#1|) $) 107)) (|leadingMonomial| (($ $) 105)) (|leadingCoefficient| ((|#1| $) 104)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|findCoef| ((|#1| $ (|Integer|)) 100)) (|filterUpTo| (($ $ (|Integer|)) 87)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|extend| (($ $ (|Integer|)) 130)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|eval| (((|Stream| |#1|) $ |#1|) 131 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))))) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|elt| (($ $ $) 144 (|has| (|Integer|) (|SemiGroup|))) ((|#1| $ (|Integer|)) 121)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|differentiate| (($ $) 143 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|NonNegativeInteger|)) 141 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|Symbol|)) 139 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|))) 138 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 137 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 136 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (|delay| (($ (|Mapping| $)) 93)) (|degree| (((|Integer|) $) 106)) (|complete| (($ $) 119)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ |#1|) 114 (|has| |#1| (|CommutativeRing|))) (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 99) (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 98)) (|coefficient| ((|#1| $ (|Integer|)) 111)) (|coefOfFirstNonZeroTerm| ((|#1| $) 86)) (|charthRoot| (((|Union| $ "failed") $) 113 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 123)) (|associates?| (((|Boolean|) $ $) 38)) (|approximate| ((|#1| $ (|Integer|)) 129 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $) 142 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|NonNegativeInteger|)) 140 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|Symbol|)) 135 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|))) 134 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 133 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 132 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64) (($ $ |#1|) 112 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ |#1| $) 103) (($ $ |#1|) 102))) 
+(((|LocalPowerSeriesCategory| |#1|) (|Category|) (|Field|)) (T |LocalPowerSeriesCategory|)) 
+((|order| (*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) (|findCoef| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))))) (|posExpnPart| (*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) (|orderIfNegative| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) (|removeFirstZeroes| (*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) (|sbt| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) (|delay| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *1)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) (|monomial2series| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)))) (|removeZeroes| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) (|removeZeroes| (*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) (|series| (*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) (|shift| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) (|filterUpTo| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) (|coefOfFirstNonZeroTerm| (*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) (|printInfo| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) (|printInfo| (*1 *2) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|Field|) (|UnivariatePowerSeriesCategory| |t#1| (|Integer|)) (CATEGORY |domain| (SIGNATURE |order| ((|Integer|) $)) (SIGNATURE |findCoef| (|t#1| $ (|Integer|))) (SIGNATURE |coerce| ($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |t#1|))))) (SIGNATURE |coerce| ((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |t#1|))) $)) (SIGNATURE |posExpnPart| ($ $)) (SIGNATURE |orderIfNegative| ((|Union| (|Integer|) "failed") $)) (SIGNATURE |removeFirstZeroes| ($ $)) (SIGNATURE |sbt| ($ $ $)) (SIGNATURE |delay| ($ (|Mapping| $))) (SIGNATURE |monomial2series| ($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|))) (SIGNATURE |removeZeroes| ($ (|Integer|) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |series| ($ (|Integer|) |t#1| $)) (SIGNATURE |shift| ($ $ (|Integer|))) (SIGNATURE |filterUpTo| ($ $ (|Integer|))) (SIGNATURE |coefOfFirstNonZeroTerm| (|t#1| $)) (SIGNATURE |printInfo| ((|Boolean|) (|Boolean|))) (SIGNATURE |printInfo| ((|Boolean|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|Integer|)) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DifferentialRing|) |has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) ((|DivisionRing|) . T) ((|Eltable| $ $) |has| (|Integer|) (|SemiGroup|)) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) . T) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PowerSeriesCategory| |#1| (|Integer|) (|SingletonAsOrderedSet|)) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| |#1|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T) ((|UnivariatePowerSeriesCategory| |#1| (|Integer|)) . T)) 
+((|solve| (((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)) 159) (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|)) 43))) 
+(((|ElementaryFunctionLODESolver| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|))) (SIGNATURE |solve| ((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)))) (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|)) (|Join| (|AlgebraicallyClosedFunctionSpace| |#1|) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)) (|LinearOrdinaryDifferentialOperatorCategory| |#2|)) (T |ElementaryFunctionLODESolver|)) 
+((|solve| (*1 *2 *3 *2 *4 *2 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) (|solve| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|))) (SIGNATURE |solve| ((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|symmetricSquare| (($ $) NIL (|has| |#1| (|Field|)))) (|symmetricProduct| (($ $ $) NIL (|has| |#1| (|Field|)))) (|symmetricPower| (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|rightRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) NIL)) (|leftRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|elt| ((|#1| $ |#1|) NIL)) (|directSum| (($ $ $) NIL (|has| |#1| (|Field|)))) (|degree| (((|NonNegativeInteger|) $) NIL)) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) NIL)) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|apply| ((|#1| $ |#1| |#1|) NIL)) (|adjoint| (($ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($) NIL)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|LinearOrdinaryDifferentialOperator1| |#1|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|) (|DifferentialRing|)) (T |LinearOrdinaryDifferentialOperator1|)) 
+NIL 
+(|LinearOrdinaryDifferentialOperatorCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|symmetricSquare| (($ $) NIL (|has| |#1| (|Field|)))) (|symmetricProduct| (($ $ $) NIL (|has| |#1| (|Field|)))) (|symmetricPower| (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|rightRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) NIL)) (|leftRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|elt| ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (|directSum| (($ $ $) NIL (|has| |#1| (|Field|)))) (|degree| (((|NonNegativeInteger|) $) NIL)) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) NIL)) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|apply| ((|#1| $ |#1| |#1|) NIL)) (|adjoint| (($ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($) NIL)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|LinearOrdinaryDifferentialOperator2| |#1| |#2|) (|Join| (|LinearOrdinaryDifferentialOperatorCategory| |#1|) (|Eltable| |#2| |#2|)) (|DifferentialRing|) (|Join| (|LeftModule| |#1|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $))))) (T |LinearOrdinaryDifferentialOperator2|)) 
+NIL 
+(|Join| (|LinearOrdinaryDifferentialOperatorCategory| |#1|) (|Eltable| |#2| |#2|)) 
+((|symmetricSquare| (($ $) 26)) (|adjoint| (($ $) 24)) (D (($) 12))) 
+(((|LinearOrdinaryDifferentialOperatorCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |symmetricSquare| (|#1| |#1|)) (SIGNATURE |adjoint| (|#1| |#1|)) (SIGNATURE D (|#1|))) (|LinearOrdinaryDifferentialOperatorCategory| |#2|) (|Ring|)) (T |LinearOrdinaryDifferentialOperatorCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |symmetricSquare| (|#1| |#1|)) (SIGNATURE |adjoint| (|#1| |#1|)) (SIGNATURE D (|#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|symmetricSquare| (($ $) 79 (|has| |#1| (|Field|)))) (|symmetricProduct| (($ $ $) 81 (|has| |#1| (|Field|)))) (|symmetricPower| (($ $ (|NonNegativeInteger|)) 80 (|has| |#1| (|Field|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|rightRemainder| (($ $ $) 44 (|has| |#1| (|Field|)))) (|rightQuotient| (($ $ $) 45 (|has| |#1| (|Field|)))) (|rightLcm| (($ $ $) 47 (|has| |#1| (|Field|)))) (|rightGcd| (($ $ $) 42 (|has| |#1| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 41 (|has| |#1| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) 43 (|has| |#1| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 46 (|has| |#1| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 73 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 71 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 68)) (|retract| (((|Integer|) $) 74 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 72 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 67)) (|reductum| (($ $) 63)) (|recip| (((|Union| $ "failed") $) 33)) (|primitivePart| (($ $) 54 (|has| |#1| (|GcdDomain|)))) (|one?| (((|Boolean|) $) 30)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 61)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56 (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 57 (|has| |#1| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) 65)) (|leftRemainder| (($ $ $) 51 (|has| |#1| (|Field|)))) (|leftQuotient| (($ $ $) 52 (|has| |#1| (|Field|)))) (|leftLcm| (($ $ $) 40 (|has| |#1| (|Field|)))) (|leftGcd| (($ $ $) 49 (|has| |#1| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 48 (|has| |#1| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) 50 (|has| |#1| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 53 (|has| |#1| (|Field|)))) (|leadingCoefficient| ((|#1| $) 64)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ |#1|) 58 (|has| |#1| (|IntegralDomain|)))) (|elt| ((|#1| $ |#1|) 84)) (|directSum| (($ $ $) 78 (|has| |#1| (|Field|)))) (|degree| (((|NonNegativeInteger|) $) 66)) (|content| ((|#1| $) 55 (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 70 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) 69)) (|coefficients| (((|List| |#1|) $) 60)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 62)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|apply| ((|#1| $ |#1| |#1|) 59)) (|adjoint| (($ $) 82)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($) 83)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((|LinearOrdinaryDifferentialOperatorCategory| |#1|) (|Category|) (|Ring|)) (T |LinearOrdinaryDifferentialOperatorCategory|)) 
+((D (*1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|adjoint| (*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|symmetricProduct| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|symmetricPower| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|Field|)))) (|symmetricSquare| (*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|directSum| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|UnivariateSkewPolynomialCategory| |t#1|) (|Eltable| |t#1| |t#1|) (CATEGORY |domain| (SIGNATURE D ($)) (SIGNATURE |adjoint| ($ $)) (IF (|has| |t#1| (|Field|)) (PROGN (SIGNATURE |symmetricProduct| ($ $ $)) (SIGNATURE |symmetricPower| ($ $ (|NonNegativeInteger|))) (SIGNATURE |symmetricSquare| ($ $)) (SIGNATURE |directSum| ($ $ $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Eltable| |#1| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Monoid|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UnivariateSkewPolynomialCategory| |#1|) . T)) 
+((|factor1| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) 72 (|has| |#1| (|AlgebraicallyClosedField|)))) (|factor| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) 71 (|has| |#1| (|AlgebraicallyClosedField|))) (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) 15))) 
+(((|LinearOrdinaryDifferentialOperatorFactorizer| |#1| |#2|) (CATEGORY |package| (SIGNATURE |factor| ((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (IF (|has| |#1| (|AlgebraicallyClosedField|)) (PROGN (SIGNATURE |factor| ((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)))) (SIGNATURE |factor1| ((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))))) |noBranch|)) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|)) (T |LinearOrdinaryDifferentialOperatorFactorizer|)) 
+((|factor1| (*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (IF (|has| |#1| (|AlgebraicallyClosedField|)) (PROGN (SIGNATURE |factor| ((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)))) (SIGNATURE |factor1| ((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|symmetricSquare| (($ $) NIL (|has| |#1| (|Field|)))) (|symmetricProduct| (($ $ $) 28 (|has| |#1| (|Field|)))) (|symmetricPower| (($ $ (|NonNegativeInteger|)) 31 (|has| |#1| (|Field|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|rightRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) NIL)) (|leftRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|elt| ((|#1| $ |#1|) 24)) (|directSum| (($ $ $) 33 (|has| |#1| (|Field|)))) (|degree| (((|NonNegativeInteger|) $) NIL)) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) 20) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) NIL)) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|apply| ((|#1| $ |#1| |#1|) 23)) (|adjoint| (($ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 21 T CONST)) (|One| (($) 8 T CONST)) (D (($) NIL)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|LinearOrdinaryDifferentialOperator| |#1| |#2|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|) (|Ring|) (|Mapping| |#1| |#1|)) (T |LinearOrdinaryDifferentialOperator|)) 
+NIL 
+(|LinearOrdinaryDifferentialOperatorCategory| |#1|) 
+((|symmetricProduct| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) 61)) (|symmetricPower| ((|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|)) 42)) (|directSum| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) 63))) 
+(((|LinearOrdinaryDifferentialOperatorsOps| |#1| |#2|) (CATEGORY |package| (SIGNATURE |symmetricProduct| (|#2| |#2| |#2| (|Mapping| |#1| |#1|))) (SIGNATURE |symmetricPower| (|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|))) (SIGNATURE |directSum| (|#2| |#2| |#2| (|Mapping| |#1| |#1|)))) (|Field|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|)) (T |LinearOrdinaryDifferentialOperatorsOps|)) 
+((|directSum| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) (|symmetricPower| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *5 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) (|symmetricProduct| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |symmetricProduct| (|#2| |#2| |#2| (|Mapping| |#1| |#1|))) (SIGNATURE |symmetricPower| (|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|))) (SIGNATURE |directSum| (|#2| |#2| |#2| (|Mapping| |#1| |#1|)))) 
+((|\\/| (($ $ $) 9))) 
+(((|Logic&| |#1|) (CATEGORY |domain| (SIGNATURE |\\/| (|#1| |#1| |#1|))) (|Logic|)) (T |Logic&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |\\/| (|#1| |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (~ (($ $) 10)) (|\\/| (($ $ $) 8)) (= (((|Boolean|) $ $) 6)) (|/\\| (($ $ $) 9))) 
+(((|Logic|) (|Category|)) (T |Logic|)) 
+((~ (*1 *1 *1) (|ofCategory| *1 (|Logic|))) (|/\\| (*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) (|\\/| (*1 *1 *1 *1) (|ofCategory| *1 (|Logic|)))) 
+(|Join| (|BasicType|) (CATEGORY |domain| (SIGNATURE ~ ($ $)) (SIGNATURE |/\\| ($ $ $)) (SIGNATURE |\\/| ($ $ $)))) 
+(((|BasicType|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|numer| ((|#1| $) 21)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedAbelianGroup|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedAbelianGroup|)))) (|latex| (((|String|) $) 46)) (|hash| (((|SingleInteger|) $) NIL)) (|denom| ((|#3| $) 22)) (|coerce| (((|OutputForm|) $) 42)) (|Zero| (($) 10 T CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedAbelianGroup|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedAbelianGroup|)))) (= (((|Boolean|) $ $) 20)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedAbelianGroup|)))) (< (((|Boolean|) $ $) 24 (|has| |#1| (|OrderedAbelianGroup|)))) (/ (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (- (($ $) 17) (($ $ $) NIL)) (+ (($ $ $) 27)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
+(((|Localize| |#1| |#2| |#3|) (|Join| (|Module| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|OrderedAbelianGroup|)) (ATTRIBUTE (|OrderedAbelianGroup|)) |noBranch|) (SIGNATURE / ($ $ |#3|)) (SIGNATURE / ($ |#1| |#3|)) (SIGNATURE |numer| (|#1| $)) (SIGNATURE |denom| (|#3| $)))) (|Module| |#2|) (|CommutativeRing|) (|SubsetCategory| (|Monoid|) |#2|)) (T |Localize|)) 
+((/ (*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) (/ (*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *2 *4 *3)) (|ofCategory| *2 (|Module| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) (|numer| (*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Module| *3)) (|isDomain| *1 (|Localize| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) (|denom| (*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4))))) 
+(|Join| (|Module| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|OrderedAbelianGroup|)) (ATTRIBUTE (|OrderedAbelianGroup|)) |noBranch|) (SIGNATURE / ($ $ |#3|)) (SIGNATURE / ($ |#1| |#3|)) (SIGNATURE |numer| (|#1| $)) (SIGNATURE |denom| (|#3| $)))) 
+((|rowEchWoZeroLinesWOVectorise| (((|Matrix| |#1|) (|Matrix| |#1|)) 27)) (|rowEchWoZeroLines| (((|Matrix| |#1|) (|Matrix| |#1|)) 26)) (|reduceRowOnList| (((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))) 44)) (|reduceRow| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) 29)) (|reduceLineOverLine| (((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|) 43)) (|quotVecSpaceBasis| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|))) 34))) 
+(((|LinesOpPack| |#1|) (CATEGORY |package| (SIGNATURE |rowEchWoZeroLinesWOVectorise| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |rowEchWoZeroLines| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |reduceRow| ((|List| (|List| |#1|)) (|List| (|List| |#1|)))) (SIGNATURE |quotVecSpaceBasis| ((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|)))) (SIGNATURE |reduceLineOverLine| ((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|)) (SIGNATURE |reduceRowOnList| ((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))))) (|Field|)) (T |LinesOpPack|)) 
+((|reduceRowOnList| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinesOpPack| *4)))) (|reduceLineOverLine| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3)))) (|quotVecSpaceBasis| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3)))) (|reduceRow| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3)))) (|rowEchWoZeroLines| (*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3)))) (|rowEchWoZeroLinesWOVectorise| (*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(CATEGORY |package| (SIGNATURE |rowEchWoZeroLinesWOVectorise| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |rowEchWoZeroLines| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |reduceRow| ((|List| (|List| |#1|)) (|List| (|List| |#1|)))) (SIGNATURE |quotVecSpaceBasis| ((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|)))) (SIGNATURE |reduceLineOverLine| ((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|)) (SIGNATURE |reduceRowOnList| ((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 35)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|LeftOreRing|) (|Category|)) (T |LeftOreRing|)) 
+((|lcmCoef| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (|ofCategory| *1 (|LeftOreRing|))))) 
+(|Join| (|EntireRing|) (CATEGORY |domain| (SIGNATURE |lcmCoef| ((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|EntireRing|) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|printInfo| (((|Boolean|)) 46) (((|Boolean|) (|Boolean|)) 47)) (|pointToPlace| ((|#7| |#5| |#3|) 44)) (|pointDominateBy| ((|#5| |#7|) 29)) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) 99)) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) 35))) 
+(((|LocalParametrizationOfSimplePointPackage| |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (CATEGORY |package| (SIGNATURE |printInfo| ((|Boolean|) (|Boolean|))) (SIGNATURE |printInfo| ((|Boolean|))) (SIGNATURE |pointToPlace| (|#7| |#5| |#3|)) (SIGNATURE |localParamOfSimplePt| ((|List| |#6|) |#5| |#3| (|Integer|))) (SIGNATURE |pointDominateBy| (|#5| |#7|)) (SIGNATURE |localize| ((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|)) (T |LocalParametrizationOfSimplePointPackage|)) 
+((|localize| (*1 *2 *3 *4 *3 *5) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|Record| (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (|List| (|Integer|))))) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *3 *8 *4 *9 *10)) (|isDomain| *5 (|Integer|)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9)))) (|pointDominateBy| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *4 *5 *6 *7 *2 *8 *3)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *3 (|PlacesCategory| *4 *8)))) (|localParamOfSimplePt| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *4 *8 *3 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9)))) (|pointToPlace| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|PlacesCategory| *5 *8)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *5 *6 *4 *7 *3 *8 *2)) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)))) (|printInfo| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) (|printInfo| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8))))) 
+(CATEGORY |package| (SIGNATURE |printInfo| ((|Boolean|) (|Boolean|))) (SIGNATURE |printInfo| ((|Boolean|))) (SIGNATURE |pointToPlace| (|#7| |#5| |#3|)) (SIGNATURE |localParamOfSimplePt| ((|List| |#6|) |#5| |#3| (|Integer|))) (SIGNATURE |pointDominateBy| (|#5| |#7|)) (SIGNATURE |localize| ((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)))) 
+((|solveLinearPolynomialEquationByFractions| (((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) 33))) 
+(((|LinearPolynomialEquationByFractions| |#1|) (CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquationByFractions| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)))) (|PolynomialFactorizationExplicit|)) (T |LinearPolynomialEquationByFractions|)) 
+((|solveLinearPolynomialEquationByFractions| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *4))) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|LinearPolynomialEquationByFractions| *4))))) 
+(CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquationByFractions| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|varList| (((|List| |#1|) $) 82)) (|trunc| (($ $ (|NonNegativeInteger|)) 90)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) 48)) (|retractIfCan| (((|Union| (|LyndonWord| |#1|) "failed") $) NIL)) (|retract| (((|LyndonWord| |#1|) $) NIL)) (|reductum| (($ $) 89)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ (|LyndonWord| |#1|) |#2|) 68)) (|mirror| (($ $) 86)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) 47)) (|listOfTerms| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) NIL)) (|leadingTerm| (((|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|)) $) NIL)) (|leadingMonomial| (((|LyndonWord| |#1|) $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|eval| (($ $ |#1| $) 30) (($ $ (|List| |#1|) (|List| $)) 32)) (|degree| (((|NonNegativeInteger|) $) 88)) (|construct| (($ $ $) 20) (($ (|LyndonWord| |#1|) (|LyndonWord| |#1|)) 77) (($ (|LyndonWord| |#1|) $) 75) (($ $ (|LyndonWord| |#1|)) 76)) (|coerce| (((|OutputForm|) $) NIL) (($ |#1|) 74) (((|XDistributedPolynomial| |#1| |#2|) $) 58) (((|XRecursivePolynomial| |#1| |#2|) $) 41) (($ (|LyndonWord| |#1|)) 25)) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|LyndonWord| |#1|)) NIL)) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) 43)) (|Zero| (($) 23 T CONST)) (|LiePolyIfCan| (((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|)) 60)) (|LiePoly| (($ (|LyndonWord| |#1|)) 14)) (= (((|Boolean|) $ $) 44)) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) 66) (($ $ $) NIL)) (+ (($ $ $) 29)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (|LyndonWord| |#1|)) NIL))) 
+(((|LiePolynomial| |#1| |#2|) (|Join| (|FreeLieAlgebra| |#1| |#2|) (|FreeModuleCat| |#2| (|LyndonWord| |#1|)) (CATEGORY |domain| (SIGNATURE |LiePolyIfCan| ((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|))) (SIGNATURE |construct| ($ (|LyndonWord| |#1|) (|LyndonWord| |#1|))) (SIGNATURE |construct| ($ (|LyndonWord| |#1|) $)) (SIGNATURE |construct| ($ $ (|LyndonWord| |#1|))))) (|OrderedSet|) (|CommutativeRing|)) (T |LiePolynomial|)) 
+((|LiePolyIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LiePolynomial| *3 *4)))) (|construct| (*1 *1 *2 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) (|construct| (*1 *1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) (|construct| (*1 *1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(|Join| (|FreeLieAlgebra| |#1| |#2|) (|FreeModuleCat| |#2| (|LyndonWord| |#1|)) (CATEGORY |domain| (SIGNATURE |LiePolyIfCan| ((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|))) (SIGNATURE |construct| ($ (|LyndonWord| |#1|) (|LyndonWord| |#1|))) (SIGNATURE |construct| ($ (|LyndonWord| |#1|) $)) (SIGNATURE |construct| ($ $ (|LyndonWord| |#1|))))) 
+((|sorted?| (((|Boolean|) $) NIL) (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) 49)) (|sort!| (($ $) NIL) (($ (|Mapping| (|Boolean|) |#2| |#2|) $) 11)) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) 27)) (|reverse!| (($ $) 55)) (|removeDuplicates!| (($ $) 62)) (|remove!| (($ |#2| $) NIL) (($ (|Mapping| (|Boolean|) |#2|) $) 36)) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $) 21) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) 52)) (|position| (((|Integer|) |#2| $ (|Integer|)) 60) (((|Integer|) |#2| $) NIL) (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) 46)) (|new| (($ (|NonNegativeInteger|) |#2|) 53)) (|merge!| (($ $ $) NIL) (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) 29)) (|merge| (($ $ $) NIL) (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) 24)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) 54)) (|list| (($ |#2|) 14)) (|insert!| (($ $ $ (|Integer|)) 35) (($ |#2| $ (|Integer|)) 33)) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) 45)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) 43) (($ $ (|Integer|)) 37)) (|copyInto!| (($ $ $ (|Integer|)) 59)) (|copy| (($ $) 57)) (< (((|Boolean|) $ $) 64))) 
+(((|ListAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |list| (|#1| |#2|)) (SIGNATURE |delete!| (|#1| |#1| (|Integer|))) (SIGNATURE |delete!| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |insert!| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |insert!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |merge!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |select!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove!| (|#1| |#2| |#1|)) (SIGNATURE |removeDuplicates!| (|#1| |#1|)) (SIGNATURE |merge!| (|#1| |#1| |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |copyInto!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |reverse!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |new| (|#1| (|NonNegativeInteger|) |#2|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) (|ListAggregate| |#2|) (|Type|)) (T |ListAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |list| (|#1| |#2|)) (SIGNATURE |delete!| (|#1| |#1| (|Integer|))) (SIGNATURE |delete!| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |insert!| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |insert!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |merge!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |select!| (|#1| (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |remove!| (|#1| |#2| |#1|)) (SIGNATURE |removeDuplicates!| (|#1| |#1|)) (SIGNATURE |merge!| (|#1| |#1| |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |copyInto!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |reverse!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |new| (|#1| (|NonNegativeInteger|) |#2|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|third| ((|#1| $) 62)) (|tail| (($ $) 64)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 94 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) $) 136 (|has| |#1| (|OrderedSet|))) (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) 130)) (|sort!| (($ $) 140 (AND (|has| |#1| (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 139 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sort| (($ $) 135 (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 129)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) 55 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) 54 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 114 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 123)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 99 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| ((|#1| $) 63)) (|sample| (($) 7 T CONST)) (|reverse!| (($ $) 138 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 128)) (|rest| (($ $) 70) (($ $ (|NonNegativeInteger|)) 68)) (|removeDuplicates!| (($ $) 125 (|has| |#1| (|SetCategory|)))) (|removeDuplicates| (($ $) 96 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 124 (|has| |#1| (|SetCategory|))) (($ (|Mapping| (|Boolean|) |#1|) $) 119)) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) 100 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $) 97 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) 102 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 98 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 84)) (|possiblyInfinite?| (((|Boolean|) $) 80)) (|position| (((|Integer|) |#1| $ (|Integer|)) 133 (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $) 132 (|has| |#1| (|SetCategory|))) (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) 131)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 105)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 92 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 141 (|has| |#1| (|OrderedSet|)))) (|merge!| (($ $ $) 126 (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 122)) (|merge| (($ $ $) 134 (|has| |#1| (|OrderedSet|))) (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 127)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 91 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 142 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 108)) (|list| (($ |#1|) 116)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) 67) (($ $ (|NonNegativeInteger|)) 65)) (|insert!| (($ $ $ (|Integer|)) 121) (($ |#1| $ (|Integer|)) 120)) (|insert| (($ $ $ (|Integer|)) 113) (($ |#1| $ (|Integer|)) 112)) (|indices| (((|List| (|Integer|)) $) 89)) (|index?| (((|Boolean|) (|Integer|) $) 88)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 73) (($ $ (|NonNegativeInteger|)) 71)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 103)) (|fill!| (($ $ |#1|) 93 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|explicitlyFinite?| (((|Boolean|) $) 81)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 90 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 87)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (|UniversalSegment| (|Integer|))) 109) ((|#1| $ (|Integer|)) 86) ((|#1| $ (|Integer|) |#1|) 85)) (|distance| (((|Integer|) $ $) 41)) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) 118) (($ $ (|Integer|)) 117)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) 111) (($ $ (|Integer|)) 110)) (|cyclic?| (((|Boolean|) $) 43)) (|cycleTail| (($ $) 59)) (|cycleSplit!| (($ $) 56 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) 60)) (|cycleEntry| (($ $) 61)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 137 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 95 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 104)) (|concat!| (($ $ $) 58) (($ $ |#1|) 57)) (|concat| (($ $ $) 75) (($ |#1| $) 74) (($ (|List| $)) 107) (($ $ |#1|) 106)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 144 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 145 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) 143 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 146 (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ListAggregate| |#1|) (|Category|) (|Type|)) (T |ListAggregate|)) 
+((|list| (*1 *1 *2) (AND (|ofCategory| *1 (|ListAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|StreamAggregate| |t#1|) (|FiniteLinearAggregate| |t#1|) (|ExtensibleLinearAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |list| ($ |t#1|)))) 
+(((|Aggregate|) . T) ((|BasicType|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|ExtensibleLinearAggregate| |#1|) . T) ((|FiniteLinearAggregate| |#1|) . T) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|StreamAggregate| |#1|) . T) ((|Type|) . T) ((|UnaryRecursiveAggregate| |#1|) . T)) 
+((|solve| (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|))) 21) (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|))) 20) (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|)) 16) (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) 13)) (|rank| (((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)) 29)) (|particularSolution| (((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|)) 23)) (|hasSolution?| (((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|)) 26))) 
+(((|LinearSystemMatrixPackage1| |#1|) (CATEGORY |package| (SIGNATURE |solve| ((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |solve| ((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|))) (SIGNATURE |solve| ((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|)))) (SIGNATURE |solve| ((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|)))) (SIGNATURE |particularSolution| ((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |hasSolution?| ((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |rank| ((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)))) (|Field|)) (T |LinearSystemMatrixPackage1|)) 
+((|rank| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) (|hasSolution?| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) (|particularSolution| (*1 *2 *3 *2) (|partial| AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *4)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |solve| ((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|))) (SIGNATURE |solve| ((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|)))) (SIGNATURE |solve| ((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|)))) (SIGNATURE |particularSolution| ((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |hasSolution?| ((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |rank| ((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)))) 
+((|solve| (((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|)) 47) (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) 45)) (|rank| (((|NonNegativeInteger|) |#4| |#3|) 17)) (|particularSolution| (((|Union| |#3| "failed") |#4| |#3|) 20)) (|hasSolution?| (((|Boolean|) |#4| |#3|) 13))) 
+(((|LinearSystemMatrixPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |solve| ((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|)) (SIGNATURE |solve| ((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|))) (SIGNATURE |particularSolution| ((|Union| |#3| "failed") |#4| |#3|)) (SIGNATURE |hasSolution?| ((|Boolean|) |#4| |#3|)) (SIGNATURE |rank| ((|NonNegativeInteger|) |#4| |#3|))) (|Field|) (|Join| (|FiniteLinearAggregate| |#1|) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))) (|Join| (|FiniteLinearAggregate| |#1|) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))) (|MatrixCategory| |#1| |#2| |#3|)) (T |LinearSystemMatrixPackage|)) 
+((|rank| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) (|hasSolution?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) (|particularSolution| (*1 *2 *3 *2) (|partial| AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *4 *5 *2 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *2)))) (|solve| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *7 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| *7 "failed")) (|:| |basis| (|List| *7))))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *7 *3)) (|isDomain| *4 (|List| *7)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|solve| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|)) (SIGNATURE |solve| ((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|))) (SIGNATURE |particularSolution| ((|Union| |#3| "failed") |#4| |#3|)) (SIGNATURE |hasSolution?| ((|Boolean|) |#4| |#3|)) (SIGNATURE |rank| ((|NonNegativeInteger|) |#4| |#3|))) 
+((|linSolve| (((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)) 44))) 
+(((|LinearSystemPolynomialPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |linSolve| ((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)))) (|IntegralDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |LinearSystemPolynomialPackage|)) 
+((|linSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| *8)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| *8)))))) (|isDomain| *1 (|LinearSystemPolynomialPackage| *5 *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |linSolve| ((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unit| (((|Union| $ "failed")) NIL (|has| |#2| (|IntegralDomain|)))) (|trace| ((|#2| $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|structuralConstants| (((|Vector| (|Matrix| |#2|))) NIL) (((|Vector| (|Matrix| |#2|)) (|Vector| $)) NIL)) (|square?| (((|Boolean|) $) NIL)) (|someBasis| (((|Vector| $)) 37)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|scalarMatrix| (($ |#2|) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| |#2| (|EuclideanDomain|)))) (|row| (((|DirectProduct| |#1| |#2|) $ (|Integer|)) NIL)) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (|has| |#2| (|IntegralDomain|)))) (|rightUnit| (((|Union| $ "failed")) NIL (|has| |#2| (|IntegralDomain|)))) (|rightTraceMatrix| (((|Matrix| |#2|)) NIL) (((|Matrix| |#2|) (|Vector| $)) NIL)) (|rightTrace| ((|#2| $) NIL)) (|rightRegularRepresentation| (((|Matrix| |#2|) $) NIL) (((|Matrix| |#2|) $ (|Vector| $)) NIL)) (|rightRecip| (((|Union| $ "failed") $) NIL (|has| |#2| (|IntegralDomain|)))) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) NIL (|has| |#2| (|Field|)))) (|rightPower| (($ $ (|PositiveInteger|)) NIL)) (|rightNorm| ((|#2| $) NIL)) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|rightDiscriminant| ((|#2|) NIL) ((|#2| (|Vector| $)) NIL)) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|rightAlternative?| (((|Boolean|)) NIL)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#2| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#2| $) NIL)) (|represents| (($ (|Vector| |#2|)) NIL) (($ (|Vector| |#2|) (|Vector| $)) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| |#2| (|IntegralDomain|))) (((|PositiveInteger|)) 38)) (|qelt| ((|#2| $ (|Integer|) (|Integer|)) NIL)) (|powerAssociative?| (((|Boolean|)) NIL)) (|plenaryPower| (($ $ (|PositiveInteger|)) NIL)) (|parts| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|nullSpace| (((|List| (|DirectProduct| |#1| |#2|)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|noncommutativeJordanAlgebra?| (((|Boolean|)) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| ((|#2| $) NIL (|has| |#2| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) NIL)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) NIL)) (|maxColIndex| (((|Integer|) $) NIL)) (|matrix| (($ (|List| (|List| |#2|))) NIL)) (|map!| (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL)) (|listOfLists| (((|List| (|List| |#2|)) $) NIL)) (|lieAlgebra?| (((|Boolean|)) NIL)) (|lieAdmissible?| (((|Boolean|)) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) NIL (|has| |#2| (|IntegralDomain|)))) (|leftUnit| (((|Union| $ "failed")) NIL (|has| |#2| (|IntegralDomain|)))) (|leftTraceMatrix| (((|Matrix| |#2|)) NIL) (((|Matrix| |#2|) (|Vector| $)) NIL)) (|leftTrace| ((|#2| $) NIL)) (|leftRegularRepresentation| (((|Matrix| |#2|) $) NIL) (((|Matrix| |#2|) $ (|Vector| $)) NIL)) (|leftRecip| (((|Union| $ "failed") $) NIL (|has| |#2| (|IntegralDomain|)))) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) NIL (|has| |#2| (|Field|)))) (|leftPower| (($ $ (|PositiveInteger|)) NIL)) (|leftNorm| ((|#2| $) NIL)) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|leftDiscriminant| ((|#2|) NIL) ((|#2| (|Vector| $)) NIL)) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|leftAlternative?| (((|Boolean|)) NIL)) (|latex| (((|String|) $) NIL)) (|jordanAlgebra?| (((|Boolean|)) NIL)) (|jordanAdmissible?| (((|Boolean|)) NIL)) (|jacobiIdentity?| (((|Boolean|)) NIL)) (|inverse| (((|Union| $ "failed") $) NIL (|has| |#2| (|Field|)))) (|hash| (((|SingleInteger|) $) NIL)) (|flexible?| (((|Boolean|)) NIL)) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ (|Integer|) (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|) (|Integer|)) 22) ((|#2| $ (|Integer|)) NIL)) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $) NIL (|has| |#2| (|DifferentialRing|)))) (|diagonalProduct| ((|#2| $) NIL)) (|diagonalMatrix| (($ (|List| |#2|)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|diagonal| (((|DirectProduct| |#1| |#2|) $) NIL)) (|determinant| ((|#2| $) NIL (|has| |#2| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) NIL) (((|Vector| |#2|) $) NIL) (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#2|) $ (|Vector| $)) 25)) (|convert| (($ (|Vector| |#2|)) NIL) (((|Vector| |#2|) $) NIL)) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|))) NIL) (((|List| (|Polynomial| |#2|)) (|Vector| $)) NIL)) (|commutator| (($ $ $) NIL)) (|commutative?| (((|Boolean|)) NIL)) (|column| (((|DirectProduct| |#1| |#2|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#2|) NIL) (((|Matrix| |#2|) $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) 36)) (|associatorDependence| (((|List| (|Vector| |#2|))) NIL (|has| |#2| (|IntegralDomain|)))) (|associator| (($ $ $ $) NIL)) (|associative?| (((|Boolean|)) NIL)) (|apply| (($ (|Matrix| |#2|) $) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (|antiCommutator| (($ $ $) NIL)) (|antiCommutative?| (((|Boolean|)) NIL)) (|antiAssociative?| (((|Boolean|)) NIL)) (|alternative?| (((|Boolean|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $) NIL (|has| |#2| (|DifferentialRing|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#2| (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((|DirectProduct| |#1| |#2|) $ (|DirectProduct| |#1| |#2|)) NIL) (((|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|LieSquareMatrix| |#1| |#2|) (|Join| (|SquareMatrixCategory| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) (|CoercibleTo| (|Matrix| |#2|)) (|FramedNonAssociativeAlgebra| |#2|)) (|PositiveInteger|) (|CommutativeRing|)) (T |LieSquareMatrix|)) 
+NIL 
+(|Join| (|SquareMatrixCategory| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) (|CoercibleTo| (|Matrix| |#2|)) (|FramedNonAssociativeAlgebra| |#2|)) 
+((~= (((|Boolean|) $ $) NIL)) (|varList| (((|List| |#1|) $) NIL)) (|right| (($ $) 50)) (|retractable?| (((|Boolean|) $) NIL)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|lyndonIfCan| (((|Union| $ "failed") (|OrderedFreeMonoid| |#1|)) 22)) (|lyndon?| (((|Boolean|) (|OrderedFreeMonoid| |#1|)) 14)) (|lyndon| (($ (|OrderedFreeMonoid| |#1|)) 23)) (|lexico| (((|Boolean|) $ $) 28)) (|length| (((|PositiveInteger|) $) 35)) (|left| (($ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|factor| (((|List| $) (|OrderedFreeMonoid| |#1|)) 16)) (|coerce| (((|OutputForm|) $) 41) (($ |#1|) 32) (((|OrderedFreeMonoid| |#1|) $) 37) (((|Magma| |#1|) $) 42)) (|LyndonWordsList1| (((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|)) 55)) (|LyndonWordsList| (((|List| $) (|List| |#1|) (|PositiveInteger|)) 57)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 51)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 36))) 
+(((|LyndonWord| |#1|) (|Join| (|OrderedSet|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |left| ($ $)) (SIGNATURE |right| ($ $)) (SIGNATURE |length| ((|PositiveInteger|) $)) (SIGNATURE |lexico| ((|Boolean|) $ $)) (SIGNATURE |coerce| ((|OrderedFreeMonoid| |#1|) $)) (SIGNATURE |coerce| ((|Magma| |#1|) $)) (SIGNATURE |factor| ((|List| $) (|OrderedFreeMonoid| |#1|))) (SIGNATURE |lyndon?| ((|Boolean|) (|OrderedFreeMonoid| |#1|))) (SIGNATURE |lyndon| ($ (|OrderedFreeMonoid| |#1|))) (SIGNATURE |lyndonIfCan| ((|Union| $ "failed") (|OrderedFreeMonoid| |#1|))) (SIGNATURE |varList| ((|List| |#1|) $)) (SIGNATURE |LyndonWordsList1| ((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|))) (SIGNATURE |LyndonWordsList| ((|List| $) (|List| |#1|) (|PositiveInteger|))))) (|OrderedSet|)) (T |LyndonWord|)) 
+((|retractable?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|left| (*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|right| (*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|lexico| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Magma| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|factor| (*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *4))) (|isDomain| *1 (|LyndonWord| *4)))) (|lyndon?| (*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *4)))) (|lyndon| (*1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3)))) (|lyndonIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3)))) (|varList| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|LyndonWordsList1| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|OneDimensionalArray| (|List| (|LyndonWord| *5)))) (|isDomain| *1 (|LyndonWord| *5)))) (|LyndonWordsList| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *5))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(|Join| (|OrderedSet|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |left| ($ $)) (SIGNATURE |right| ($ $)) (SIGNATURE |length| ((|PositiveInteger|) $)) (SIGNATURE |lexico| ((|Boolean|) $ $)) (SIGNATURE |coerce| ((|OrderedFreeMonoid| |#1|) $)) (SIGNATURE |coerce| ((|Magma| |#1|) $)) (SIGNATURE |factor| ((|List| $) (|OrderedFreeMonoid| |#1|))) (SIGNATURE |lyndon?| ((|Boolean|) (|OrderedFreeMonoid| |#1|))) (SIGNATURE |lyndon| ($ (|OrderedFreeMonoid| |#1|))) (SIGNATURE |lyndonIfCan| ((|Union| $ "failed") (|OrderedFreeMonoid| |#1|))) (SIGNATURE |varList| ((|List| |#1|) $)) (SIGNATURE |LyndonWordsList1| ((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|))) (SIGNATURE |LyndonWordsList| ((|List| $) (|List| |#1|) (|PositiveInteger|))))) 
+((|value| ((|#2| $) 76)) (|tail| (($ $) 96)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 26)) (|rest| (($ $) 85) (($ $ (|NonNegativeInteger|)) 88)) (|possiblyInfinite?| (((|Boolean|) $) 97)) (|nodes| (((|List| $) $) 72)) (|node?| (((|Boolean|) $ $) 71)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 24)) (|minIndex| (((|Integer|) $) 46)) (|maxIndex| (((|Integer|) $) 45)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 22)) (|leaf?| (((|Boolean|) $) 74)) (|last| ((|#2| $) 89) (($ $ (|NonNegativeInteger|)) 92)) (|insert| (($ $ $ (|Integer|)) 62) (($ |#2| $ (|Integer|)) 61)) (|indices| (((|List| (|Integer|)) $) 44)) (|index?| (((|Boolean|) (|Integer|) $) 42)) (|first| ((|#2| $) NIL) (($ $ (|NonNegativeInteger|)) 84)) (|extend| (($ $ (|Integer|)) 99)) (|explicitlyFinite?| (((|Boolean|) $) 98)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 32)) (|entries| (((|List| |#2|) $) 33)) (|elt| ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (|UniversalSegment| (|Integer|))) 58) ((|#2| $ (|Integer|)) 40) ((|#2| $ (|Integer|) |#2|) 41)) (|distance| (((|Integer|) $ $) 70)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) 57) (($ $ (|Integer|)) 51)) (|cyclic?| (((|Boolean|) $) 66)) (|cycleTail| (($ $) 81)) (|cycleLength| (((|NonNegativeInteger|) $) 80)) (|cycleEntry| (($ $) 79)) (|construct| (($ (|List| |#2|)) 37)) (|complete| (($ $) 100)) (|children| (((|List| $) $) 69)) (|child?| (((|Boolean|) $ $) 68)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 31)) (= (((|Boolean|) $ $) 18)) (|#| (((|NonNegativeInteger|) $) 29))) 
+(((|LazyStreamAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |complete| (|#1| |#1|)) (SIGNATURE |extend| (|#1| |#1| (|Integer|))) (SIGNATURE |possiblyInfinite?| ((|Boolean|) |#1|)) (SIGNATURE |explicitlyFinite?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |entries| ((|List| |#2|) |#1|)) (SIGNATURE |index?| ((|Boolean|) (|Integer|) |#1|)) (SIGNATURE |indices| ((|List| (|Integer|)) |#1|)) (SIGNATURE |maxIndex| ((|Integer|) |#1|)) (SIGNATURE |minIndex| ((|Integer|) |#1|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |cycleTail| (|#1| |#1|)) (SIGNATURE |cycleLength| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |cycleEntry| (|#1| |#1|)) (SIGNATURE |tail| (|#1| |#1|)) (SIGNATURE |last| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "last")) (SIGNATURE |last| (|#2| |#1|)) (SIGNATURE |rest| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#1| |#1| "rest")) (SIGNATURE |rest| (|#1| |#1|)) (SIGNATURE |first| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "first")) (SIGNATURE |first| (|#2| |#1|)) (SIGNATURE |node?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |child?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |distance| ((|Integer|) |#1| |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |value| (|#2| |#1|)) (SIGNATURE |leaf?| ((|Boolean|) |#1|)) (SIGNATURE |nodes| ((|List| |#1|) |#1|)) (SIGNATURE |children| ((|List| |#1|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|)))) (|LazyStreamAggregate| |#2|) (|Type|)) (T |LazyStreamAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |complete| (|#1| |#1|)) (SIGNATURE |extend| (|#1| |#1| (|Integer|))) (SIGNATURE |possiblyInfinite?| ((|Boolean|) |#1|)) (SIGNATURE |explicitlyFinite?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |entries| ((|List| |#2|) |#1|)) (SIGNATURE |index?| ((|Boolean|) (|Integer|) |#1|)) (SIGNATURE |indices| ((|List| (|Integer|)) |#1|)) (SIGNATURE |maxIndex| ((|Integer|) |#1|)) (SIGNATURE |minIndex| ((|Integer|) |#1|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |cycleTail| (|#1| |#1|)) (SIGNATURE |cycleLength| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |cycleEntry| (|#1| |#1|)) (SIGNATURE |tail| (|#1| |#1|)) (SIGNATURE |last| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "last")) (SIGNATURE |last| (|#2| |#1|)) (SIGNATURE |rest| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#1| |#1| "rest")) (SIGNATURE |rest| (|#1| |#1|)) (SIGNATURE |first| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "first")) (SIGNATURE |first| (|#2| |#1|)) (SIGNATURE |node?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |child?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |distance| ((|Integer|) |#1| |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |value| (|#2| |#1|)) (SIGNATURE |leaf?| ((|Boolean|) |#1|)) (SIGNATURE |nodes| ((|List| |#1|) |#1|)) (SIGNATURE |children| ((|List| |#1|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|third| ((|#1| $) 62)) (|tail| (($ $) 64)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 94 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) 55 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) 54 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 114 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 99)) (|second| ((|#1| $) 63)) (|sample| (($) 7 T CONST)) (|rst| (($ $) 118)) (|rest| (($ $) 70) (($ $ (|NonNegativeInteger|)) 68)) (|removeDuplicates| (($ $) 96 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 97 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 100)) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) 102 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 98 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 84)) (|possiblyInfinite?| (((|Boolean|) $) 80)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) 117)) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 105)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 92 (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 91 (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 108)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|lazyEvaluate| (($ $) 120)) (|lazy?| (((|Boolean|) $) 121)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) 67) (($ $ (|NonNegativeInteger|)) 65)) (|insert| (($ $ $ (|Integer|)) 113) (($ |#1| $ (|Integer|)) 112)) (|indices| (((|List| (|Integer|)) $) 89)) (|index?| (((|Boolean|) (|Integer|) $) 88)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|frst| ((|#1| $) 119)) (|first| ((|#1| $) 73) (($ $ (|NonNegativeInteger|)) 71)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 103)) (|fill!| (($ $ |#1|) 93 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extend| (($ $ (|Integer|)) 116)) (|explicitlyFinite?| (((|Boolean|) $) 81)) (|explicitlyEmpty?| (((|Boolean|) $) 122)) (|explicitEntries?| (((|Boolean|) $) 123)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 90 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 87)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (|UniversalSegment| (|Integer|))) 109) ((|#1| $ (|Integer|)) 86) ((|#1| $ (|Integer|) |#1|) 85)) (|distance| (((|Integer|) $ $) 41)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) 111) (($ $ (|Integer|)) 110)) (|cyclic?| (((|Boolean|) $) 43)) (|cycleTail| (($ $) 59)) (|cycleSplit!| (($ $) 56 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) 60)) (|cycleEntry| (($ $) 61)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 95 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 104)) (|concat!| (($ $ $) 58 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ |#1|) 57 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|concat| (($ $ $) 75) (($ |#1| $) 74) (($ (|List| $)) 107) (($ $ |#1|) 106)) (|complete| (($ $) 115)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|LazyStreamAggregate| |#1|) (|Category|) (|Type|)) (T |LazyStreamAggregate|)) 
+((|remove| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|select| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|explicitEntries?| (*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|explicitlyEmpty?| (*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|lazy?| (*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|lazyEvaluate| (*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|frst| (*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|rst| (*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|numberOfComputedEntries| (*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|extend| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|complete| (*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|StreamAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |remove| ($ (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |select| ($ (|Mapping| (|Boolean|) |t#1|) $)) (SIGNATURE |explicitEntries?| ((|Boolean|) $)) (SIGNATURE |explicitlyEmpty?| ((|Boolean|) $)) (SIGNATURE |lazy?| ((|Boolean|) $)) (SIGNATURE |lazyEvaluate| ($ $)) (SIGNATURE |frst| (|t#1| $)) (SIGNATURE |rst| ($ $)) (SIGNATURE |numberOfComputedEntries| ((|NonNegativeInteger|) $)) (SIGNATURE |extend| ($ $ (|Integer|))) (SIGNATURE |complete| ($ $)))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|StreamAggregate| |#1|) . T) ((|Type|) . T) ((|UnaryRecursiveAggregate| |#1|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zeroMatrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 32 (|has| |#1| (|Ring|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt!| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) 27)) (|sample| (($) NIL T CONST)) (|plus| (($ $ $) 36 (|has| |#1| (|Ring|)))) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|matrixDimensions| (((|Vector| (|NonNegativeInteger|)) $) 8)) (|matrixConcat3D| (($ (|Symbol|) $ $) 22)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|identityMatrix| (($ (|NonNegativeInteger|)) 34 (|has| |#1| (|Ring|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 25)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|construct| (($ (|List| (|List| (|List| |#1|)))) 43)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|))) (($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|)))) 15) (((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $) 12)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|ThreeDimensionalMatrix| |#1|) (|Join| (|HomogeneousAggregate| |#1|) (CATEGORY |domain| (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |zeroMatrix| ($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |identityMatrix| ($ (|NonNegativeInteger|))) (SIGNATURE |plus| ($ $ $))) |noBranch|) (SIGNATURE |construct| ($ (|List| (|List| (|List| |#1|))))) (SIGNATURE |elt| (|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |setelt!| (|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|)) (SIGNATURE |coerce| ($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))))) (SIGNATURE |coerce| ((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $)) (SIGNATURE |matrixConcat3D| ($ (|Symbol|) $ $)) (SIGNATURE |matrixDimensions| ((|Vector| (|NonNegativeInteger|)) $)))) (|SetCategory|)) (T |ThreeDimensionalMatrix|)) 
+((|zeroMatrix| (*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) (|identityMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) (|plus| (*1 *1 *1 *1) (AND (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) (|construct| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) (|elt| (*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) (|setelt!| (*1 *2 *1 *3 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|)))) (|matrixConcat3D| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|)))) (|matrixDimensions| (*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|NonNegativeInteger|))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|HomogeneousAggregate| |#1|) (CATEGORY |domain| (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |zeroMatrix| ($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |identityMatrix| ($ (|NonNegativeInteger|))) (SIGNATURE |plus| ($ $ $))) |noBranch|) (SIGNATURE |construct| ($ (|List| (|List| (|List| |#1|))))) (SIGNATURE |elt| (|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |setelt!| (|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|)) (SIGNATURE |coerce| ($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))))) (SIGNATURE |coerce| ((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $)) (SIGNATURE |matrixConcat3D| ($ (|Symbol|) $ $)) (SIGNATURE |matrixDimensions| ((|Vector| (|NonNegativeInteger|)) $)))) 
+((|zero?| (((|Boolean|) |#1|) 5)) (|repack1| (((|Void|) |#1| (|U32Vector|) (|Integer|) |#2|) 8)) (|pseudoRem| ((|#1| |#1| |#1| |#2|) 1)) (|packModulus| (((|Union| |#2| "failed") (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Integer|)) 3)) (|packExps| ((|SortedExponentVector| (|Integer|) (|Integer|) |#2|) 7)) (|degree| (((|Integer|) |#1|) 6)) (|canonicalIfCan| (((|Union| |#1| "failed") |#1| |#2|) 2)) (|MPtoMPT| ((|#1| (|Polynomial| (|Integer|)) (|Symbol|) (|List| (|Symbol|)) |#2|) 4))) 
+(((|ModularAlgebraicGcdOperations| |#1| |#2|) (|Category|) (|Type|) (|Type|)) (T |ModularAlgebraicGcdOperations|)) 
+((|repack1| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|U32Vector|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *6)) (|ofCategory| *3 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Void|)))) (|packExps| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *5 *4)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 |SortedExponentVector|))) (|degree| (*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) (|zero?| (*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|MPtoMPT| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *5 (|List| (|Symbol|))) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *6)) (|ofCategory| *6 (|Type|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Type|)))) (|packModulus| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *6 *2)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)))) (|canonicalIfCan| (*1 *2 *2 *3) (|partial| AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|)))) (|pseudoRem| (*1 *2 *2 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (CATEGORY |package| (SIGNATURE |pseudoRem| (|t#1| |t#1| |t#1| |t#2|)) (SIGNATURE |canonicalIfCan| ((|Union| |t#1| "failed") |t#1| |t#2|)) (SIGNATURE |packModulus| ((|Union| |t#2| "failed") (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Integer|))) (SIGNATURE |MPtoMPT| (|t#1| (|Polynomial| (|Integer|)) (|Symbol|) (|List| (|Symbol|)) |t#2|)) (SIGNATURE |zero?| ((|Boolean|) |t#1|)) (SIGNATURE |degree| ((|Integer|) |t#1|)) (SIGNATURE |packExps| (|SortedExponentVector| (|Integer|) (|Integer|) |t#2|)) (SIGNATURE |repack1| ((|Void|) |t#1| (|U32Vector|) (|Integer|) |t#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|varList| (((|List| |#1|) $) 14)) (|right| (($ $) 18)) (|retractable?| (((|Boolean|) $) 19)) (|retractIfCan| (((|Union| |#1| "failed") $) 22)) (|retract| ((|#1| $) 20)) (|rest| (($ $) 36)) (|mirror| (($ $) 24)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|lexico| (((|Boolean|) $ $) 41)) (|length| (((|PositiveInteger|) $) 38)) (|left| (($ $) 17)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| ((|#1| $) 35)) (|coerce| (((|OutputForm|) $) 31) (($ |#1|) 23) (((|OrderedFreeMonoid| |#1|) $) 27)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 12)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 40)) (* (($ $ $) 34))) 
+(((|Magma| |#1|) (|Join| (|OrderedSet|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE |coerce| ((|OrderedFreeMonoid| |#1|) $)) (SIGNATURE |first| (|#1| $)) (SIGNATURE |left| ($ $)) (SIGNATURE |length| ((|PositiveInteger|) $)) (SIGNATURE |lexico| ((|Boolean|) $ $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |rest| ($ $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |right| ($ $)) (SIGNATURE |varList| ((|List| |#1|) $)))) (|OrderedSet|)) (T |Magma|)) 
+((* (*1 *1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|first| (*1 *2 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|left| (*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|lexico| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|mirror| (*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|rest| (*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|retractable?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|right| (*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|varList| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(|Join| (|OrderedSet|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE |coerce| ((|OrderedFreeMonoid| |#1|) $)) (SIGNATURE |first| (|#1| $)) (SIGNATURE |left| ($ $)) (SIGNATURE |length| ((|PositiveInteger|) $)) (SIGNATURE |lexico| ((|Boolean|) $ $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |rest| ($ $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |right| ($ $)) (SIGNATURE |varList| ((|List| |#1|) $)))) 
+((|vertSplit| (((|List| |#4|) |#4| (|List| (|PositiveInteger|))) 72) (((|List| |#4|) |#4| (|PositiveInteger|)) 62)) (|vertConcat| ((|#4| (|List| |#4|)) 59)) (|subMatrix| ((|#4| |#4| (|Segment| (|PositiveInteger|)) (|Segment| (|PositiveInteger|))) 57) ((|#4| |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) 54)) (|rows| ((|#4| |#4| (|Segment| (|PositiveInteger|))) 31) ((|#4| |#4| (|List| (|PositiveInteger|))) 30)) (|horizSplit| (((|List| |#4|) |#4| (|List| (|PositiveInteger|))) 74) (((|List| |#4|) |#4| (|PositiveInteger|)) 73)) (|horizConcat| ((|#4| (|List| |#4|)) 58)) (|element| ((|#4| |#4| (|PositiveInteger|) (|PositiveInteger|)) 20)) (|diagonalMatrix| ((|#4| |#4|) 45) ((|#4| |#4| (|Integer|)) 44)) (|columns| ((|#4| |#4| (|Segment| (|PositiveInteger|))) 37) ((|#4| |#4| (|List| (|PositiveInteger|))) 36)) (|blockSplit| (((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) 78) (((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|List| (|PositiveInteger|))) 77) (((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|PositiveInteger|)) 76) (((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|PositiveInteger|)) 75)) (|blockConcat| ((|#4| (|List| (|List| |#4|))) 53)) (|bandMatrix| ((|#4| |#4| (|Segment| (|Integer|))) 51) ((|#4| |#4| (|List| (|Integer|))) 48)) (|aRow| ((|#4| |#4| (|PositiveInteger|)) 24)) (|aColumn| ((|#4| |#4| (|PositiveInteger|)) 34))) 
+(((|MatrixManipulation| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |element| (|#4| |#4| (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |aRow| (|#4| |#4| (|PositiveInteger|))) (SIGNATURE |rows| (|#4| |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |rows| (|#4| |#4| (|Segment| (|PositiveInteger|)))) (SIGNATURE |aColumn| (|#4| |#4| (|PositiveInteger|))) (SIGNATURE |columns| (|#4| |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |columns| (|#4| |#4| (|Segment| (|PositiveInteger|)))) (SIGNATURE |subMatrix| (|#4| |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|)))) (SIGNATURE |subMatrix| (|#4| |#4| (|Segment| (|PositiveInteger|)) (|Segment| (|PositiveInteger|)))) (SIGNATURE |diagonalMatrix| (|#4| |#4| (|Integer|))) (SIGNATURE |diagonalMatrix| (|#4| |#4|)) (SIGNATURE |bandMatrix| (|#4| |#4| (|List| (|Integer|)))) (SIGNATURE |bandMatrix| (|#4| |#4| (|Segment| (|Integer|)))) (SIGNATURE |horizConcat| (|#4| (|List| |#4|))) (SIGNATURE |vertConcat| (|#4| (|List| |#4|))) (SIGNATURE |blockConcat| (|#4| (|List| (|List| |#4|)))) (SIGNATURE |vertSplit| ((|List| |#4|) |#4| (|PositiveInteger|))) (SIGNATURE |vertSplit| ((|List| |#4|) |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |horizSplit| ((|List| |#4|) |#4| (|PositiveInteger|))) (SIGNATURE |horizSplit| ((|List| |#4|) |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|PositiveInteger|))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|List| (|PositiveInteger|)))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))))) (|Field|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|)) (T |MatrixManipulation|)) 
+((|blockSplit| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|blockSplit| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|List| (|PositiveInteger|))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) (|blockSplit| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) (|blockSplit| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|horizSplit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|horizSplit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|vertSplit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|vertSplit| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) (|blockConcat| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *2))) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) (|vertConcat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) (|horizConcat| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) (|bandMatrix| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|bandMatrix| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|diagonalMatrix| (*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixManipulation| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|diagonalMatrix| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|subMatrix| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|subMatrix| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|columns| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|columns| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|aColumn| (*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|rows| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|rows| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|aRow| (*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|element| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |element| (|#4| |#4| (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |aRow| (|#4| |#4| (|PositiveInteger|))) (SIGNATURE |rows| (|#4| |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |rows| (|#4| |#4| (|Segment| (|PositiveInteger|)))) (SIGNATURE |aColumn| (|#4| |#4| (|PositiveInteger|))) (SIGNATURE |columns| (|#4| |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |columns| (|#4| |#4| (|Segment| (|PositiveInteger|)))) (SIGNATURE |subMatrix| (|#4| |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|)))) (SIGNATURE |subMatrix| (|#4| |#4| (|Segment| (|PositiveInteger|)) (|Segment| (|PositiveInteger|)))) (SIGNATURE |diagonalMatrix| (|#4| |#4| (|Integer|))) (SIGNATURE |diagonalMatrix| (|#4| |#4|)) (SIGNATURE |bandMatrix| (|#4| |#4| (|List| (|Integer|)))) (SIGNATURE |bandMatrix| (|#4| |#4| (|Segment| (|Integer|)))) (SIGNATURE |horizConcat| (|#4| (|List| |#4|))) (SIGNATURE |vertConcat| (|#4| (|List| |#4|))) (SIGNATURE |blockConcat| (|#4| (|List| (|List| |#4|)))) (SIGNATURE |vertSplit| ((|List| |#4|) |#4| (|PositiveInteger|))) (SIGNATURE |vertSplit| ((|List| |#4|) |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |horizSplit| ((|List| |#4|) |#4| (|PositiveInteger|))) (SIGNATURE |horizSplit| ((|List| |#4|) |#4| (|List| (|PositiveInteger|)))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|PositiveInteger|))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|List| (|PositiveInteger|)))) (SIGNATURE |blockSplit| ((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))))) 
+((|recur| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|) 11)) (|iter| ((|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|) 9))) 
+(((|MappingPackageInternalHacks1| |#1|) (CATEGORY |package| (SIGNATURE |iter| (|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|)) (SIGNATURE |recur| (|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|))) (|SetCategory|)) (T |MappingPackageInternalHacks1|)) 
+((|recur| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2)))) (|iter| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2))))) 
+(CATEGORY |package| (SIGNATURE |iter| (|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|)) (SIGNATURE |recur| (|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|))) 
+((|arg2| ((|#2| |#1| |#2|) 9)) (|arg1| ((|#1| |#1| |#2|) 8))) 
+(((|MappingPackageInternalHacks2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |arg1| (|#1| |#1| |#2|)) (SIGNATURE |arg2| (|#2| |#1| |#2|))) (|SetCategory|) (|SetCategory|)) (T |MappingPackageInternalHacks2|)) 
+((|arg2| (*1 *2 *3 *2) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|arg1| (*1 *2 *2 *3) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |arg1| (|#1| |#1| |#2|)) (SIGNATURE |arg2| (|#2| |#1| |#2|))) 
+((|comp| ((|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|) 11))) 
+(((|MappingPackageInternalHacks3| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |comp| (|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|))) (|SetCategory|) (|SetCategory|) (|SetCategory|)) (T |MappingPackageInternalHacks3|)) 
+((|comp| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks3| *5 *6 *2))))) 
+(CATEGORY |package| (SIGNATURE |comp| (|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|))) 
+((|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) 23)) (|nullary| (((|Mapping| |#1|) |#1|) 8)) (|id| ((|#1| |#1|) 16)) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) 15) ((|#1| (|Mapping| |#1| |#1|)) 11)) (|coerce| (((|Mapping| |#1|) |#1|) 9)) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 20))) 
+(((|MappingPackage1| |#1|) (CATEGORY |package| (SIGNATURE |nullary| ((|Mapping| |#1|) |#1|)) (SIGNATURE |coerce| ((|Mapping| |#1|) |#1|)) (SIGNATURE |fixedPoint| (|#1| (|Mapping| |#1| |#1|))) (SIGNATURE |fixedPoint| ((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|))) (SIGNATURE |id| (|#1| |#1|)) (SIGNATURE ** ((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|))) (SIGNATURE |recur| ((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)))) (|SetCategory|)) (T |MappingPackage1|)) 
+((|recur| (*1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 (|NonNegativeInteger|) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *3)))) (** (*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *4)))) (|id| (*1 *2 *2) (AND (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) (|fixedPoint| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| *5) (|List| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|MappingPackage1| *5)) (|ofCategory| *5 (|SetCategory|)))) (|fixedPoint| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) (|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|)))) (|nullary| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |nullary| ((|Mapping| |#1|) |#1|)) (SIGNATURE |coerce| ((|Mapping| |#1|) |#1|)) (SIGNATURE |fixedPoint| (|#1| (|Mapping| |#1| |#1|))) (SIGNATURE |fixedPoint| ((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|))) (SIGNATURE |id| (|#1| |#1|)) (SIGNATURE ** ((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|))) (SIGNATURE |recur| ((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)))) 
+((|diag| (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)) 16)) (|curry| (((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|) 13)) (|constant| (((|Mapping| |#2| |#1|) (|Mapping| |#2|)) 14)) (|const| (((|Mapping| |#2| |#1|) |#2|) 11))) 
+(((|MappingPackage2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |const| ((|Mapping| |#2| |#1|) |#2|)) (SIGNATURE |curry| ((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|)) (SIGNATURE |constant| ((|Mapping| |#2| |#1|) (|Mapping| |#2|))) (SIGNATURE |diag| ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)))) (|SetCategory|) (|SetCategory|)) (T |MappingPackage2|)) 
+((|diag| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5)))) (|constant| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5)) (|ofCategory| *4 (|SetCategory|)))) (|curry| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5)) (|isDomain| *1 (|MappingPackage2| *4 *5)))) (|const| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *4)) (|isDomain| *1 (|MappingPackage2| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |const| ((|Mapping| |#2| |#1|) |#2|)) (SIGNATURE |curry| ((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|)) (SIGNATURE |constant| ((|Mapping| |#2| |#1|) (|Mapping| |#2|))) (SIGNATURE |diag| ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)))) 
+((|twist| (((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|)) 17)) (|curryRight| (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|) 11)) (|curryLeft| (((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|) 13)) (|constantRight| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|)) 14)) (|constantLeft| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|)) 15)) (* (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)) 21))) 
+(((|MappingPackage3| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |curryRight| ((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|)) (SIGNATURE |curryLeft| ((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|)) (SIGNATURE |constantRight| ((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|))) (SIGNATURE |constantLeft| ((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|))) (SIGNATURE |twist| ((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|))) (SIGNATURE * ((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)))) (|SetCategory|) (|SetCategory|) (|SetCategory|)) (T |MappingPackage3|)) 
+((* (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Mapping| *7 *5)) (|isDomain| *1 (|MappingPackage3| *5 *6 *7)))) (|twist| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5 *4)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)))) (|constantLeft| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *4 (|SetCategory|)))) (|constantRight| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *5 (|SetCategory|)))) (|curryLeft| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)))) (|curryRight| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5 *4)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *5 *4 *6))))) 
+(CATEGORY |package| (SIGNATURE |curryRight| ((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|)) (SIGNATURE |curryLeft| ((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|)) (SIGNATURE |constantRight| ((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|))) (SIGNATURE |constantLeft| ((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|))) (SIGNATURE |twist| ((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|))) (SIGNATURE * ((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)))) 
+((/ (((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)) 18)) (- (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) 12)) (+ (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) 10)) (* (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) 14))) 
+(((|MappingPackage4| |#1| |#2|) (CATEGORY |package| (SIGNATURE + ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|))) (SIGNATURE - ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|))) (SIGNATURE * ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|))) (SIGNATURE / ((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)))) (|SetCategory|) (|Ring|)) (T |MappingPackage4|)) 
+((/ (*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| (|Expression| (|Integer|)) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage4| *3 *4)) (|ofCategory| *4 (|Ring|)))) (* (*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) (- (*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) (+ (*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4))))) 
+(CATEGORY |package| (SIGNATURE + ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|))) (SIGNATURE - ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|))) (SIGNATURE * ((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|))) (SIGNATURE / ((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)))) 
+((|reduce| ((|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|) 39)) (|map| (((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|) 37) ((|#8| (|Mapping| |#5| |#1|) |#4|) 31))) 
+(((|MatrixCategoryFunctions2| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (CATEGORY |package| (SIGNATURE |map| (|#8| (|Mapping| |#5| |#1|) |#4|)) (SIGNATURE |map| ((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|)) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|))) (|Ring|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|) (|Ring|) (|FiniteLinearAggregate| |#5|) (|FiniteLinearAggregate| |#5|) (|MatrixCategory| |#5| |#6| |#7|)) (T |MatrixCategoryFunctions2|)) 
+((|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *8 (|FiniteLinearAggregate| *2)) (|ofCategory| *9 (|FiniteLinearAggregate| *2)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *2 *8 *9 *10)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *10 (|MatrixCategory| *2 *8 *9)))) (|map| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *8 "failed") *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#8| (|Mapping| |#5| |#1|) |#4|)) (SIGNATURE |map| ((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|)) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|))) 
+((|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) 31)) (|vertConcat| (($ $ $) 56)) (|transpose| (($ |#3|) 52) (($ $) 53)) (|symmetric?| (((|Boolean|) $) 26)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) 58)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) 59)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 63)) (|squareTop| (($ $) 54)) (|square?| (((|Boolean|) $) 14)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) 64)) (|setelt| ((|#2| $ (|Integer|) (|Integer|) |#2|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) 62)) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) 38)) (|pfaffian| ((|#2| $) 107)) (|matrix| (($ (|List| (|List| |#2|))) 34) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|))) 36)) (|listOfLists| (((|List| (|List| |#2|)) $) 57)) (|horizConcat| (($ $ $) 55)) (|exquo| (((|Union| $ "failed") $ |#2|) 110)) (|elt| ((|#2| $ (|Integer|) (|Integer|)) NIL) ((|#2| $ (|Integer|) (|Integer|) |#2|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) 61)) (|diagonalMatrix| (($ (|List| |#2|)) 40) (($ (|List| $)) 42)) (|diagonal?| (((|Boolean|) $) 23)) (|columnSpace| (((|List| |#4|) $) 93)) (|coerce| (((|OutputForm|) $) NIL) (($ |#4|) 47)) (|antisymmetric?| (((|Boolean|) $) 28)) (/ (($ $ |#2|) 112)) (- (($ $ $) 68) (($ $) 71)) (+ (($ $ $) 66)) (** (($ $ (|NonNegativeInteger|)) 80) (($ $ (|Integer|)) 115)) (* (($ $ $) 77) (($ |#2| $) 73) (($ $ |#2|) 74) (($ (|Integer|) $) 76) ((|#4| $ |#4|) 84) ((|#3| |#3| $) 88))) 
+(((|MatrixCategory&| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE |pfaffian| (|#2| |#1|)) (SIGNATURE |columnSpace| ((|List| |#4|) |#1|)) (SIGNATURE / (|#1| |#1| |#2|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE * (|#3| |#3| |#1|)) (SIGNATURE * (|#4| |#1| |#4|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |setsubMatrix!| (|#1| |#1| (|Integer|) (|Integer|) |#1|)) (SIGNATURE |subMatrix| (|#1| |#1| (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |swapColumns!| (|#1| |#1| (|Integer|) (|Integer|))) (SIGNATURE |swapRows!| (|#1| |#1| (|Integer|) (|Integer|))) (SIGNATURE |setelt| (|#1| |#1| (|List| (|Integer|)) (|List| (|Integer|)) |#1|)) (SIGNATURE |elt| (|#1| |#1| (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |listOfLists| ((|List| (|List| |#2|)) |#1|)) (SIGNATURE |vertConcat| (|#1| |#1| |#1|)) (SIGNATURE |horizConcat| (|#1| |#1| |#1|)) (SIGNATURE |squareTop| (|#1| |#1|)) (SIGNATURE |transpose| (|#1| |#1|)) (SIGNATURE |transpose| (|#1| |#3|)) (SIGNATURE |coerce| (|#1| |#4|)) (SIGNATURE |diagonalMatrix| (|#1| (|List| |#1|))) (SIGNATURE |diagonalMatrix| (|#1| (|List| |#2|))) (SIGNATURE |scalarMatrix| (|#1| (|NonNegativeInteger|) |#2|)) (SIGNATURE |matrix| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|)))) (SIGNATURE |matrix| (|#1| (|List| (|List| |#2|)))) (SIGNATURE |zero| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |antisymmetric?| ((|Boolean|) |#1|)) (SIGNATURE |symmetric?| ((|Boolean|) |#1|)) (SIGNATURE |diagonal?| ((|Boolean|) |#1|)) (SIGNATURE |square?| ((|Boolean|) |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|MatrixCategory| |#2| |#3| |#4|) (|Ring|) (|FiniteLinearAggregate| |#2|) (|FiniteLinearAggregate| |#2|)) (T |MatrixCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE |pfaffian| (|#2| |#1|)) (SIGNATURE |columnSpace| ((|List| |#4|) |#1|)) (SIGNATURE / (|#1| |#1| |#2|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE * (|#3| |#3| |#1|)) (SIGNATURE * (|#4| |#1| |#4|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |setsubMatrix!| (|#1| |#1| (|Integer|) (|Integer|) |#1|)) (SIGNATURE |subMatrix| (|#1| |#1| (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |swapColumns!| (|#1| |#1| (|Integer|) (|Integer|))) (SIGNATURE |swapRows!| (|#1| |#1| (|Integer|) (|Integer|))) (SIGNATURE |setelt| (|#1| |#1| (|List| (|Integer|)) (|List| (|Integer|)) |#1|)) (SIGNATURE |elt| (|#1| |#1| (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |listOfLists| ((|List| (|List| |#2|)) |#1|)) (SIGNATURE |vertConcat| (|#1| |#1| |#1|)) (SIGNATURE |horizConcat| (|#1| |#1| |#1|)) (SIGNATURE |squareTop| (|#1| |#1|)) (SIGNATURE |transpose| (|#1| |#1|)) (SIGNATURE |transpose| (|#1| |#3|)) (SIGNATURE |coerce| (|#1| |#4|)) (SIGNATURE |diagonalMatrix| (|#1| (|List| |#1|))) (SIGNATURE |diagonalMatrix| (|#1| (|List| |#2|))) (SIGNATURE |scalarMatrix| (|#1| (|NonNegativeInteger|) |#2|)) (SIGNATURE |matrix| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|)))) (SIGNATURE |matrix| (|#1| (|List| (|List| |#2|)))) (SIGNATURE |zero| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |antisymmetric?| ((|Boolean|) |#1|)) (SIGNATURE |symmetric?| ((|Boolean|) |#1|)) (SIGNATURE |diagonal?| ((|Boolean|) |#1|)) (SIGNATURE |square?| ((|Boolean|) |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) 95)) (|vertConcat| (($ $ $) 84)) (|transpose| (($ |#2|) 88) (($ $) 87)) (|symmetric?| (((|Boolean|) $) 97)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) 80)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) 79)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 78)) (|squareTop| (($ $) 86)) (|square?| (((|Boolean|) $) 99)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) 77)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) 41) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) 81)) (|setRow!| (($ $ (|Integer|) |#2|) 39)) (|setColumn!| (($ $ (|Integer|) |#3|) 38)) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) 92)) (|sample| (($) 7 T CONST)) (|rowEchelon| (($ $) 64 (|has| |#1| (|EuclideanDomain|)))) (|row| ((|#2| $ (|Integer|)) 43)) (|rank| (((|NonNegativeInteger|) $) 62 (|has| |#1| (|IntegralDomain|)))) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) 40)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) 45)) (|pfaffian| ((|#1| $) 57 (|has| |#1| (|CommutativeRing|)))) (|parts| (((|List| |#1|) $) 30)) (|nullity| (((|NonNegativeInteger|) $) 61 (|has| |#1| (|IntegralDomain|)))) (|nullSpace| (((|List| |#3|) $) 60 (|has| |#1| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 48)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) 54)) (|ncols| (((|NonNegativeInteger|) $) 47)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minordet| ((|#1| $) 58 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 52)) (|minColIndex| (((|Integer|) $) 50)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxRowIndex| (((|Integer|) $) 51)) (|maxColIndex| (((|Integer|) $) 49)) (|matrix| (($ (|List| (|List| |#1|))) 94) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) 93)) (|map!| (($ (|Mapping| |#1| |#1|) $) 34)) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 37) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) 36)) (|listOfLists| (((|List| (|List| |#1|)) $) 83)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) 56 (|has| |#1| (|Field|)))) (|horizConcat| (($ $ $) 85)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) 53)) (|exquo| (((|Union| $ "failed") $ |#1|) 66 (|has| |#1| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) 46) ((|#1| $ (|Integer|) (|Integer|) |#1|) 44) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) 82)) (|diagonalMatrix| (($ (|List| |#1|)) 91) (($ (|List| $)) 90)) (|diagonal?| (((|Boolean|) $) 98)) (|determinant| ((|#1| $) 59 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|columnSpace| (((|List| |#3|) $) 63 (|has| |#1| (|EuclideanDomain|)))) (|column| ((|#3| $ (|Integer|)) 42)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|))) (($ |#3|) 89)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) 96)) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (/ (($ $ |#1|) 65 (|has| |#1| (|Field|)))) (- (($ $ $) 75) (($ $) 74)) (+ (($ $ $) 76)) (** (($ $ (|NonNegativeInteger|)) 67) (($ $ (|Integer|)) 55 (|has| |#1| (|Field|)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (|Integer|) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|MatrixCategory| |#1| |#2| |#3|) (|Category|) (|Ring|) (|FiniteLinearAggregate| |t#1|) (|FiniteLinearAggregate| |t#1|)) (T |MatrixCategory|)) 
+((|square?| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) (|diagonal?| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) (|symmetric?| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) (|antisymmetric?| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) (|zero| (*1 *1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|matrix| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|matrix| (*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Mapping| *4 (|Integer|) (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) (|scalarMatrix| (*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|diagonalMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|diagonalMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) (|transpose| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) (|transpose| (*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (|squareTop| (*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (|horizConcat| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (|vertConcat| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (|listOfLists| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| (|List| *3))))) (|elt| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|setelt| (*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|swapRows!| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|swapColumns!| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|subMatrix| (*1 *1 *1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|setsubMatrix!| (*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (+ (*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (- (*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (- (*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (* (*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (* (*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) (* (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (* (*1 *2 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) (* (*1 *2 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) (|exquo| (*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (/ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) (|rowEchelon| (*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|columnSpace| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|List| *5)))) (|rank| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|nullity| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|nullSpace| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *5)))) (|determinant| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) (|minordet| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) (|pfaffian| (*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|)))) (|inverse| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Field|))))) 
+(|Join| (|TwoDimensionalArrayCategory| |t#1| |t#2| |t#3|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |square?| ((|Boolean|) $)) (SIGNATURE |diagonal?| ((|Boolean|) $)) (SIGNATURE |symmetric?| ((|Boolean|) $)) (SIGNATURE |antisymmetric?| ((|Boolean|) $)) (SIGNATURE |zero| ($ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |matrix| ($ (|List| (|List| |t#1|)))) (SIGNATURE |matrix| ($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |t#1| (|Integer|) (|Integer|)))) (SIGNATURE |scalarMatrix| ($ (|NonNegativeInteger|) |t#1|)) (SIGNATURE |diagonalMatrix| ($ (|List| |t#1|))) (SIGNATURE |diagonalMatrix| ($ (|List| $))) (SIGNATURE |coerce| ($ |t#3|)) (SIGNATURE |transpose| ($ |t#2|)) (SIGNATURE |transpose| ($ $)) (SIGNATURE |squareTop| ($ $)) (SIGNATURE |horizConcat| ($ $ $)) (SIGNATURE |vertConcat| ($ $ $)) (SIGNATURE |listOfLists| ((|List| (|List| |t#1|)) $)) (SIGNATURE |elt| ($ $ (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |setelt| ($ $ (|List| (|Integer|)) (|List| (|Integer|)) $)) (SIGNATURE |swapRows!| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |swapColumns!| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |subMatrix| ($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |setsubMatrix!| ($ $ (|Integer|) (|Integer|) $)) (SIGNATURE + ($ $ $)) (SIGNATURE - ($ $ $)) (SIGNATURE - ($ $)) (SIGNATURE * ($ $ $)) (SIGNATURE * ($ |t#1| $)) (SIGNATURE * ($ $ |t#1|)) (SIGNATURE * ($ (|Integer|) $)) (SIGNATURE * (|t#3| $ |t#3|)) (SIGNATURE * (|t#2| |t#2| $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (IF (|has| |t#1| (|IntegralDomain|)) (SIGNATURE |exquo| ((|Union| $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (|Field|)) (SIGNATURE / ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (|EuclideanDomain|)) (PROGN (SIGNATURE |rowEchelon| ($ $)) (SIGNATURE |columnSpace| ((|List| |t#3|) $))) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (SIGNATURE |rank| ((|NonNegativeInteger|) $)) (SIGNATURE |nullity| ((|NonNegativeInteger|) $)) (SIGNATURE |nullSpace| ((|List| |t#3|) $))) |noBranch|) (IF (|has| |t#1| (ATTRIBUTE (|commutative| "*"))) (PROGN (SIGNATURE |determinant| (|t#1| $)) (SIGNATURE |minordet| (|t#1| $))) |noBranch|) (IF (|has| |t#1| (|CommutativeRing|)) (SIGNATURE |pfaffian| (|t#1| $)) |noBranch|) (IF (|has| |t#1| (|Field|)) (PROGN (SIGNATURE |inverse| ((|Union| $ "failed") $)) (SIGNATURE ** ($ $ (|Integer|)))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|TwoDimensionalArrayCategory| |#1| |#2| |#3|) . T) ((|Type|) . T)) 
+((|rowEchelon| ((|#4| |#4|) 67 (|has| |#1| (|EuclideanDomain|)))) (|rank| (((|NonNegativeInteger|) |#4|) 69 (|has| |#1| (|IntegralDomain|)))) (|nullity| (((|NonNegativeInteger|) |#4|) 71 (|has| |#1| (|IntegralDomain|)))) (|nullSpace| (((|List| |#3|) |#4|) 78 (|has| |#1| (|IntegralDomain|)))) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) 95 (|has| |#1| (|EuclideanDomain|)))) (|minordet| ((|#1| |#4|) 33)) (|invertIfCan| (((|Union| |#4| "failed") |#4|) 61 (|has| |#1| (|IntegralDomain|)))) (|inverse| (((|Union| |#4| "failed") |#4|) 75 (|has| |#1| (|Field|)))) (|fractionFreeGauss!| ((|#4| |#4|) 54 (|has| |#1| (|IntegralDomain|)))) (|elRow2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) 41)) (|elRow1!| ((|#4| |#4| (|Integer|) (|Integer|)) 36)) (|elColumn2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) 46)) (|determinant| ((|#1| |#4|) 73)) (|adjoint| (((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (|IntegralDomain|))))) 
+(((|MatrixLinearAlgebraFunctions| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |determinant| (|#1| |#4|)) (SIGNATURE |minordet| (|#1| |#4|)) (SIGNATURE |elRow1!| (|#4| |#4| (|Integer|) (|Integer|))) (SIGNATURE |elRow2!| (|#4| |#4| |#1| (|Integer|) (|Integer|))) (SIGNATURE |elColumn2!| (|#4| |#4| |#1| (|Integer|) (|Integer|))) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |rank| ((|NonNegativeInteger|) |#4|)) (SIGNATURE |nullity| ((|NonNegativeInteger|) |#4|)) (SIGNATURE |nullSpace| ((|List| |#3|) |#4|)) (SIGNATURE |fractionFreeGauss!| (|#4| |#4|)) (SIGNATURE |invertIfCan| ((|Union| |#4| "failed") |#4|)) (SIGNATURE |adjoint| ((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (|EuclideanDomain|)) (PROGN (SIGNATURE |rowEchelon| (|#4| |#4|)) (SIGNATURE |normalizedDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (|Field|)) (SIGNATURE |inverse| ((|Union| |#4| "failed") |#4|)) |noBranch|)) (|CommutativeRing|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|)) (T |MatrixLinearAlgebraFunctions|)) 
+((|inverse| (*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|normalizedDivide| (*1 *2 *3 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *6)) (|ofCategory| *6 (|MatrixCategory| *3 *4 *5)))) (|rowEchelon| (*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|adjoint| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |adjMat| *3) (|:| |detMat| *4))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|invertIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|fractionFreeGauss!| (*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|nullSpace| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|nullity| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|rank| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|elColumn2!| (*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6)))) (|elRow2!| (*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6)))) (|elRow1!| (*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) (|minordet| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) (|determinant| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |determinant| (|#1| |#4|)) (SIGNATURE |minordet| (|#1| |#4|)) (SIGNATURE |elRow1!| (|#4| |#4| (|Integer|) (|Integer|))) (SIGNATURE |elRow2!| (|#4| |#4| |#1| (|Integer|) (|Integer|))) (SIGNATURE |elColumn2!| (|#4| |#4| |#1| (|Integer|) (|Integer|))) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |rank| ((|NonNegativeInteger|) |#4|)) (SIGNATURE |nullity| ((|NonNegativeInteger|) |#4|)) (SIGNATURE |nullSpace| ((|List| |#3|) |#4|)) (SIGNATURE |fractionFreeGauss!| (|#4| |#4|)) (SIGNATURE |invertIfCan| ((|Union| |#4| "failed") |#4|)) (SIGNATURE |adjoint| ((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (|EuclideanDomain|)) (PROGN (SIGNATURE |rowEchelon| (|#4| |#4|)) (SIGNATURE |normalizedDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (|Field|)) (SIGNATURE |inverse| ((|Union| |#4| "failed") |#4|)) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) 45)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|Vector| |#1|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) 12)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|Vector| |#1|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|Vector| |#1|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) 22)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) 30 (|has| |#1| (|EuclideanDomain|)))) (|row| (((|Vector| |#1|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) 32 (|has| |#1| (|IntegralDomain|)))) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) 50)) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) NIL)) (|pfaffian| ((|#1| $) NIL (|has| |#1| (|CommutativeRing|)))) (|parts| (((|List| |#1|) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) 34 (|has| |#1| (|IntegralDomain|)))) (|nullSpace| (((|List| (|Vector| |#1|)) $) 37 (|has| |#1| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 20)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) NIL)) (|ncols| (((|NonNegativeInteger|) $) 21)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| ((|#1| $) 28 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 9)) (|minColIndex| (((|Integer|) $) 10)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 11)) (|maxColIndex| (((|Integer|) $) 46)) (|matrix| (($ (|List| (|List| |#1|))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) NIL)) (|listOfLists| (((|List| (|List| |#1|)) $) 58)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) 41 (|has| |#1| (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|fill!| (($ $ |#1|) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) (|Integer|)) NIL) ((|#1| $ (|Integer|) (|Integer|) |#1|) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| |#1|)) NIL) (($ (|List| $)) NIL) (($ (|Vector| |#1|)) 51)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| ((|#1| $) 26 (|has| |#1| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) 62 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|columnSpace| (((|List| (|Vector| |#1|)) $) NIL (|has| |#1| (|EuclideanDomain|)))) (|column| (((|Vector| |#1|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|))) (($ (|Vector| |#1|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) 23) (($ $ (|Integer|)) 44 (|has| |#1| (|Field|)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (|Integer|) $) NIL) (((|Vector| |#1|) $ (|Vector| |#1|)) NIL) (((|Vector| |#1|) (|Vector| |#1|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Matrix| |#1|) (|Join| (|MatrixCategory| |#1| (|Vector| |#1|) (|Vector| |#1|)) (CATEGORY |domain| (SIGNATURE |diagonalMatrix| ($ (|Vector| |#1|))) (IF (|has| |#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |#1| (|Field|)) (SIGNATURE |inverse| ((|Union| $ "failed") $)) |noBranch|))) (|Ring|)) (T |Matrix|)) 
+((|inverse| (*1 *1 *1) (|partial| AND (|isDomain| *1 (|Matrix| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)))) (|diagonalMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Matrix| *3))))) 
+(|Join| (|MatrixCategory| |#1| (|Vector| |#1|) (|Vector| |#1|)) (CATEGORY |domain| (SIGNATURE |diagonalMatrix| ($ (|Vector| |#1|))) (IF (|has| |#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |#1| (|Field|)) (SIGNATURE |inverse| ((|Union| $ "failed") $)) |noBranch|))) 
+((|times!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 25)) (|rightScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) 21)) (|power!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) 26)) (|plus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 14)) (|minus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 18) (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 16)) (|leftScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|)) 20)) (|copy!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 12)) (** (((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) 30))) 
+(((|StorageEfficientMatrixOperations| |#1|) (CATEGORY |package| (SIGNATURE |copy!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |plus!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |minus!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |minus!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |leftScalarTimes!| ((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|))) (SIGNATURE |rightScalarTimes!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |times!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |power!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|))) (SIGNATURE ** ((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)))) (|Ring|)) (T |StorageEfficientMatrixOperations|)) 
+((** (*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4)))) (|power!| (*1 *2 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4)))) (|times!| (*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) (|rightScalarTimes!| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) (|leftScalarTimes!| (*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) (|minus!| (*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) (|minus!| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) (|plus!| (*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) (|copy!| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(CATEGORY |package| (SIGNATURE |copy!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |plus!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |minus!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |minus!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |leftScalarTimes!| ((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|))) (SIGNATURE |rightScalarTimes!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |times!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |power!| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|))) (SIGNATURE ** ((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)))) 
+((|laplacian| ((|#2| |#2| |#4|) 25)) (|jacobian| (((|Matrix| |#2|) |#3| |#4|) 31)) (|hessian| (((|Matrix| |#2|) |#2| |#4|) 30)) (|gradient| (((|Vector| |#2|) |#2| |#4|) 16)) (|divergence| ((|#2| |#3| |#4|) 24)) (|bandedJacobian| (((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)) 38)) (|bandedHessian| (((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|)) 37))) 
+(((|MultiVariableCalculusFunctions| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |gradient| ((|Vector| |#2|) |#2| |#4|)) (SIGNATURE |divergence| (|#2| |#3| |#4|)) (SIGNATURE |laplacian| (|#2| |#2| |#4|)) (SIGNATURE |hessian| ((|Matrix| |#2|) |#2| |#4|)) (SIGNATURE |bandedHessian| ((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|))) (SIGNATURE |jacobian| ((|Matrix| |#2|) |#3| |#4|)) (SIGNATURE |bandedJacobian| ((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)))) (|SetCategory|) (|PartialDifferentialRing| |#1|) (|FiniteLinearAggregate| |#2|) (|Join| (|FiniteLinearAggregate| |#1|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))) (T |MultiVariableCalculusFunctions|)) 
+((|bandedJacobian| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *7)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *7 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *7)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))))) (|jacobian| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *6 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *6)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))))) (|bandedHessian| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *3 *7 *4)) (|ofCategory| *7 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))))) (|hessian| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))))) (|laplacian| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *4)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *4 *2 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))))) (|divergence| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *5)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|)))))) (|gradient| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(CATEGORY |package| (SIGNATURE |gradient| ((|Vector| |#2|) |#2| |#4|)) (SIGNATURE |divergence| (|#2| |#3| |#4|)) (SIGNATURE |laplacian| (|#2| |#2| |#4|)) (SIGNATURE |hessian| ((|Matrix| |#2|) |#2| |#4|)) (SIGNATURE |bandedHessian| ((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|))) (SIGNATURE |jacobian| ((|Matrix| |#2|) |#3| |#4|)) (SIGNATURE |bandedJacobian| ((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)))) 
+((|splitDenominator| (((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)) 18)) (|commonDenominator| ((|#1| (|Matrix| |#2|)) 9)) (|clearDenominator| (((|Matrix| |#1|) (|Matrix| |#2|)) 16))) 
+(((|MatrixCommonDenominator| |#1| |#2|) (CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| (|Matrix| |#2|))) (SIGNATURE |clearDenominator| ((|Matrix| |#1|) (|Matrix| |#2|))) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)))) (|IntegralDomain|) (|QuotientFieldCategory| |#1|)) (T |MatrixCommonDenominator|)) 
+((|splitDenominator| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *4)) (|:| |den| *4))) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) (|clearDenominator| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) (|commonDenominator| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|MatrixCommonDenominator| *2 *4))))) 
+(CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| (|Matrix| |#2|))) (SIGNATURE |clearDenominator| ((|Matrix| |#1|) (|Matrix| |#2|))) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|traceMatrix| (((|Matrix| (|MachineFloat|))) NIL) (((|Matrix| (|MachineFloat|)) (|Vector| $)) NIL)) (|trace| (((|MachineFloat|) $) NIL)) (|tanh| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|tan| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))))) (|squareFreePart| (($ $) NIL (OR (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))) (|has| (|MachineFloat|) (|Field|))))) (|squareFree| (((|Factored| $) $) NIL (OR (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))) (|has| (|MachineFloat|) (|Field|))))) (|sqrt| (($ $) NIL (AND (|has| (|MachineFloat|) (|RadicalCategory|)) (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|size| (((|NonNegativeInteger|)) NIL (|has| (|MachineFloat|) (|Finite|)))) (|sinh| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|sin| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|sech| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|sec| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|MachineFloat|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|MachineFloat|) (|RetractableTo| (|Fraction| (|Integer|)))))) (|retract| (((|Integer|) $) NIL) (((|MachineFloat|) $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| (|MachineFloat|) (|RetractableTo| (|Fraction| (|Integer|)))))) (|represents| (($ (|Vector| (|MachineFloat|))) NIL) (($ (|Vector| (|MachineFloat|)) (|Vector| $)) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|rem| (($ $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|regularRepresentation| (((|Matrix| (|MachineFloat|)) $) NIL) (((|Matrix| (|MachineFloat|)) $ (|Vector| $)) NIL)) (|reducedSystem| (((|Matrix| (|MachineFloat|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|MachineFloat|))) (|:| |vec| (|Vector| (|MachineFloat|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|MachineFloat|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|MachineFloat|) (|LinearlyExplicitRingOver| (|Integer|))))) (|reduce| (((|Union| $ "failed") (|Fraction| (|SparseUnivariatePolynomial| (|MachineFloat|)))) NIL (|has| (|MachineFloat|) (|Field|))) (($ (|SparseUnivariatePolynomial| (|MachineFloat|))) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|real| (((|MachineFloat|) $) 29)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|MachineFloat|) (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) NIL (|has| (|MachineFloat|) (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) NIL (|has| (|MachineFloat|) (|IntegerNumberSystem|)))) (|rank| (((|PositiveInteger|)) NIL)) (|random| (($) NIL (|has| (|MachineFloat|) (|Finite|)))) (|quo| (($ $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|primitiveElement| (($) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) NIL (OR (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))) (|has| (|MachineFloat|) (|Field|))))) (|polarCoordinates| (((|Record| (|:| |r| (|MachineFloat|)) (|:| |phi| (|MachineFloat|))) $) NIL (AND (|has| (|MachineFloat|) (|RealNumberSystem|)) (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|))))) (|pi| (($) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|MachineFloat|) (|PatternMatchable| (|Float|)))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|MachineFloat|) (|PatternMatchable| (|Integer|))))) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|))) (((|PositiveInteger|) $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (AND (|has| (|MachineFloat|) (|RadicalCategory|)) (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|))))) (|norm| (((|MachineFloat|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|minimalPolynomial| (((|SparseUnivariatePolynomial| (|MachineFloat|)) $) NIL (|has| (|MachineFloat|) (|Field|)))) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| (|MachineFloat|) (|MachineFloat|)) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|MachineFloat|) (|Finite|)))) (|log| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|lift| (((|SparseUnivariatePolynomial| (|MachineFloat|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| (|MachineFloat|) (|EuclideanDomain|))) (($ $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| (|MachineFloat|) (|Field|)))) (|init| (($) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|MachineFloat|) (|Finite|)))) (|imaginary| (($) NIL)) (|imag| (((|MachineFloat|) $) 31)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| (|MachineFloat|) (|EuclideanDomain|))) (($ $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))))) (|factor| (((|Factored| $) $) NIL (OR (AND (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))) (|has| (|MachineFloat|) (|Field|))))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|exquo| (((|Union| $ "failed") $ $) NIL) (((|Union| $ "failed") $ (|MachineFloat|)) NIL (|has| (|MachineFloat|) (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|exp| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|eval| (($ $ (|Symbol|) (|MachineFloat|)) NIL (|has| (|MachineFloat|) (|InnerEvalable| (|Symbol|) (|MachineFloat|)))) (($ $ (|List| (|Symbol|)) (|List| (|MachineFloat|))) NIL (|has| (|MachineFloat|) (|InnerEvalable| (|Symbol|) (|MachineFloat|)))) (($ $ (|List| (|Equation| (|MachineFloat|)))) NIL (|has| (|MachineFloat|) (|Evalable| (|MachineFloat|)))) (($ $ (|Equation| (|MachineFloat|))) NIL (|has| (|MachineFloat|) (|Evalable| (|MachineFloat|)))) (($ $ (|MachineFloat|) (|MachineFloat|)) NIL (|has| (|MachineFloat|) (|Evalable| (|MachineFloat|)))) (($ $ (|List| (|MachineFloat|)) (|List| (|MachineFloat|))) NIL (|has| (|MachineFloat|) (|Evalable| (|MachineFloat|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|enumerate| (((|List| $)) NIL (|has| (|MachineFloat|) (|Finite|)))) (|elt| (($ $ (|MachineFloat|)) NIL (|has| (|MachineFloat|) (|Eltable| (|MachineFloat|) (|MachineFloat|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| (|MachineFloat|) (|EuclideanDomain|)))) (|discriminant| (((|MachineFloat|)) NIL) (((|MachineFloat|) (|Vector| $)) NIL)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|))) (((|NonNegativeInteger|) $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|differentiate| (($ $ (|Mapping| (|MachineFloat|) (|MachineFloat|))) NIL) (($ $ (|Mapping| (|MachineFloat|) (|MachineFloat|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|MachineFloat|) (|DifferentialRing|))) (($ $) NIL (|has| (|MachineFloat|) (|DifferentialRing|)))) (|derivationCoordinates| (((|Matrix| (|MachineFloat|)) (|Vector| $) (|Mapping| (|MachineFloat|) (|MachineFloat|))) NIL (|has| (|MachineFloat|) (|Field|)))) (|definingPolynomial| (((|SparseUnivariatePolynomial| (|MachineFloat|))) NIL)) (|csch| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|csc| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|createPrimitiveElement| (($) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|)))) (|coth| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|cot| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|cosh| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|cos| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|coordinates| (((|Matrix| (|MachineFloat|)) (|Vector| $)) NIL) (((|Vector| (|MachineFloat|)) $) NIL) (((|Matrix| (|MachineFloat|)) (|Vector| $) (|Vector| $)) NIL) (((|Vector| (|MachineFloat|)) $ (|Vector| $)) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|MachineFloat|) (|ConvertibleTo| (|InputForm|)))) (((|Complex| (|DoubleFloat|)) $) NIL (|has| (|MachineFloat|) (|RealConstant|))) (((|Complex| (|Float|)) $) NIL (|has| (|MachineFloat|) (|RealConstant|))) (((|Pattern| (|Float|)) $) NIL (|has| (|MachineFloat|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Pattern| (|Integer|)) $) NIL (|has| (|MachineFloat|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (($ (|SparseUnivariatePolynomial| (|MachineFloat|))) NIL) (((|SparseUnivariatePolynomial| (|MachineFloat|)) $) NIL) (($ (|Vector| (|MachineFloat|))) NIL) (((|Vector| (|MachineFloat|)) $) NIL)) (|conjugate| (($ $) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))) (|has| (|MachineFloat|) (|FiniteFieldCategory|))))) (|complex| (($ (|MachineFloat|) (|MachineFloat|)) 12)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Integer|)) NIL) (($ (|MachineFloat|)) NIL) (($ (|Complex| (|Float|))) 13) (($ (|Complex| (|Integer|))) 19) (($ (|Complex| (|MachineFloat|))) 28) (($ (|Complex| (|MachineInteger|))) 25) (((|Complex| (|Float|)) $) 33) (($ (|Fraction| (|Integer|))) NIL (OR (|has| (|MachineFloat|) (|Field|)) (|has| (|MachineFloat|) (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (($ $) NIL (|has| (|MachineFloat|) (|FiniteFieldCategory|))) (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|MachineFloat|) (|EuclideanDomain|)) (|has| (|MachineFloat|) (|PolynomialFactorizationExplicit|))) (|has| (|MachineFloat|) (|CharacteristicNonZero|))))) (|characteristicPolynomial| (((|SparseUnivariatePolynomial| (|MachineFloat|)) $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $)) NIL)) (|atanh| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|atan| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|asinh| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|asin| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|asech| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|asec| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|argument| (((|MachineFloat|) $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|acsch| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|acsc| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|acoth| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|acot| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|acosh| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|acos| (($ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (|abs| (($ $) NIL (|has| (|MachineFloat|) (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|MachineFloat|) (|Field|)))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|Mapping| (|MachineFloat|) (|MachineFloat|))) NIL) (($ $ (|Mapping| (|MachineFloat|) (|MachineFloat|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| (|MachineFloat|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|MachineFloat|) (|DifferentialRing|))) (($ $) NIL (|has| (|MachineFloat|) (|DifferentialRing|)))) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL (|has| (|MachineFloat|) (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ $) NIL (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|))) (($ $ (|Fraction| (|Integer|))) NIL (AND (|has| (|MachineFloat|) (|RadicalCategory|)) (|has| (|MachineFloat|) (|TranscendentalFunctionCategory|)))) (($ $ (|Integer|)) NIL (|has| (|MachineFloat|) (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ (|MachineFloat|) $) NIL) (($ $ (|MachineFloat|)) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| (|MachineFloat|) (|Field|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| (|MachineFloat|) (|Field|))))) 
+(((|MachineComplex|) (|Join| (|FortranMachineTypeCategory|) (|ComplexCategory| (|MachineFloat|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Complex| (|Float|)))) (SIGNATURE |coerce| ($ (|Complex| (|Integer|)))) (SIGNATURE |coerce| ($ (|Complex| (|MachineFloat|)))) (SIGNATURE |coerce| ($ (|Complex| (|MachineInteger|)))) (SIGNATURE |coerce| ((|Complex| (|Float|)) $))))) (T |MachineComplex|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Integer|))) (|isDomain| *1 (|MachineComplex|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineFloat|))) (|isDomain| *1 (|MachineComplex|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineInteger|))) (|isDomain| *1 (|MachineComplex|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|))))) 
+(|Join| (|FortranMachineTypeCategory|) (|ComplexCategory| (|MachineFloat|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Complex| (|Float|)))) (SIGNATURE |coerce| ($ (|Complex| (|Integer|)))) (SIGNATURE |coerce| ($ (|Complex| (|MachineFloat|)))) (SIGNATURE |coerce| ($ (|Complex| (|MachineInteger|)))) (SIGNATURE |coerce| ((|Complex| (|Float|)) $)))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates!| (($ $) 58)) (|removeDuplicates| (($ $) 55 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) 54 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 53 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37) (($ |#1| $ (|NonNegativeInteger|)) 59)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 48)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) 57)) (|dictionary| (($) 46) (($ (|List| |#1|)) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 47)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|MultiDictionary| |#1|) (|Category|) (|SetCategory|)) (T |MultiDictionary|)) 
+((|insert!| (*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|)))) (|removeDuplicates!| (*1 *1 *1) (AND (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|)))) (|duplicates| (*1 *2 *1) (AND (|ofCategory| *1 (|MultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |entry| *3) (|:| |count| (|NonNegativeInteger|)))))))) 
+(|Join| (|DictionaryOperations| |t#1|) (CATEGORY |domain| (SIGNATURE |insert!| ($ |t#1| $ (|NonNegativeInteger|))) (SIGNATURE |removeDuplicates!| ($ $)) (SIGNATURE |duplicates| ((|List| (|Record| (|:| |entry| |t#1|) (|:| |count| (|NonNegativeInteger|)))) $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|DictionaryOperations| |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|separateFactors| (((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|)) 46)) (|linears| ((|#1| |#1| (|Integer|)) 45)) (|gcd| ((|#1| |#1| |#1| (|Integer|)) 35)) (|factor| (((|List| |#1|) |#1| (|Integer|)) 38)) (|exptMod| ((|#1| |#1| (|Integer|) |#1| (|Integer|)) 32)) (|ddFact| (((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|)) 44))) 
+(((|ModularDistinctDegreeFactorizer| |#1|) (CATEGORY |package| (SIGNATURE |gcd| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |linears| (|#1| |#1| (|Integer|))) (SIGNATURE |factor| ((|List| |#1|) |#1| (|Integer|))) (SIGNATURE |ddFact| ((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|))) (SIGNATURE |separateFactors| ((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|))) (SIGNATURE |exptMod| (|#1| |#1| (|Integer|) |#1| (|Integer|)))) (|UnivariatePolynomialCategory| (|Integer|))) (T |ModularDistinctDegreeFactorizer|)) 
+((|exptMod| (*1 *2 *2 *3 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|separateFactors| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *5) (|:| |degree| (|Integer|))))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *5)))) (|ddFact| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |degree| *4)))) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|factor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|linears| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|gcd| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |gcd| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |linears| (|#1| |#1| (|Integer|))) (SIGNATURE |factor| ((|List| |#1|) |#1| (|Integer|))) (SIGNATURE |ddFact| ((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|))) (SIGNATURE |separateFactors| ((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|))) (SIGNATURE |exptMod| (|#1| |#1| (|Integer|) |#1| (|Integer|)))) 
+((|ptFunc| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) 17)) (|meshPar2Var| (((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) 38) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) 40) (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) 42)) (|meshPar1Var| (((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) NIL)) (|meshFun2Var| (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) 43))) 
+(((|MeshCreationRoutinesForThreeDimensions|) (CATEGORY |package| (SIGNATURE |meshPar2Var| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshPar2Var| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshPar2Var| ((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshFun2Var| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshPar1Var| ((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |ptFunc| ((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))))) (T |MeshCreationRoutinesForThreeDimensions|)) 
+((|ptFunc| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) (|meshPar1Var| (*1 *2 *3 *3 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) (|meshFun2Var| (*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) (|meshPar2Var| (*1 *2 *2 *3 *4 *4 *5) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) (|meshPar2Var| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) (|meshPar2Var| (*1 *2 *3 *3 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(CATEGORY |package| (SIGNATURE |meshPar2Var| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshPar2Var| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshPar2Var| ((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshFun2Var| ((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |meshPar1Var| ((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |ptFunc| ((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))))) 
+((|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) 73) (((|Factored| |#4|) |#4|) 215))) 
+(((|MultFiniteFactorize| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|)) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|FiniteFieldCategory|) (|PolynomialCategory| |#3| |#2| |#1|)) (T |MultFiniteFactorize|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|)) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 84)) (|wholePart| (((|Integer|) $) 30)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|truncate| (($ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sqrt| (($ $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL)) (|sample| (($) NIL T CONST)) (|round| (($ $) NIL)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 73) (((|Union| (|Fraction| (|Integer|)) "failed") $) 26) (((|Union| (|Float|) "failed") $) 70)) (|retract| (((|Integer|) $) 75) (((|Fraction| (|Integer|)) $) 67) (((|Float|) $) 68)) (|rem| (($ $ $) 96)) (|recip| (((|Union| $ "failed") $) 87)) (|quo| (($ $ $) 95)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|precision| (((|PositiveInteger|)) 77) (((|PositiveInteger|) (|PositiveInteger|)) 76)) (|positive?| (((|Boolean|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL)) (|order| (((|Integer|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|norm| (($ $) NIL)) (|negative?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimumExponent| (((|Integer|) (|Integer|)) 81) (((|Integer|)) 82)) (|min| (($ $ $) NIL) (($) NIL (AND (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|))) (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|)))))) (|maximumExponent| (((|Integer|) (|Integer|)) 79) (((|Integer|)) 80)) (|max| (($ $ $) NIL) (($) NIL (AND (|not| (|has| $ (ATTRIBUTE |arbitraryExponent|))) (|not| (|has| $ (ATTRIBUTE |arbitraryPrecision|)))))) (|mantissa| (((|Integer|) $) 16)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 91)) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL)) (|floor| (($ $) NIL)) (|float| (($ (|Integer|) (|Integer|)) NIL) (($ (|Integer|) (|Integer|) (|PositiveInteger|)) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) 92)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|exponent| (((|Integer|) $) 22)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 94)) (|digits| (((|PositiveInteger|)) NIL) (((|PositiveInteger|) (|PositiveInteger|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|convert| (((|Float|) $) NIL) (((|DoubleFloat|) $) NIL) (((|Pattern| (|Float|)) $) NIL)) (|coerce| (((|OutputForm|) $) 52) (($ (|Integer|)) 63) (($ $) NIL) (($ (|Fraction| (|Integer|))) 66) (($ (|Integer|)) 63) (($ (|Fraction| (|Integer|))) 66) (($ (|Float|)) 60) (((|Float|) $) 50) (($ (|MachineInteger|)) 55)) (|characteristic| (((|NonNegativeInteger|)) 103)) (|changeBase| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) 44)) (|ceiling| (($ $) NIL)) (|bits| (((|PositiveInteger|)) NIL) (((|PositiveInteger|) (|PositiveInteger|)) NIL (|has| $ (ATTRIBUTE |arbitraryPrecision|)))) (|base| (((|PositiveInteger|)) 35) (((|PositiveInteger|) (|PositiveInteger|)) 78)) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 32 T CONST)) (|One| (($) 17 T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 83)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 101)) (/ (($ $ $) 65)) (- (($ $) 99) (($ $ $) 100)) (+ (($ $ $) 98)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL) (($ $ (|Fraction| (|Integer|))) 90)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 97) (($ $ $) 88) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|MachineFloat|) (|Join| (|FloatingPointSystem|) (|FortranMachineTypeCategory|) (|Field|) (|RetractableTo| (|Float|)) (|RetractableTo| (|Fraction| (|Integer|))) (|CharacteristicZero|) (CATEGORY |domain| (SIGNATURE |precision| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |precision| ((|PositiveInteger|))) (SIGNATURE |base| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |base| ((|PositiveInteger|))) (SIGNATURE |maximumExponent| ((|Integer|) (|Integer|))) (SIGNATURE |maximumExponent| ((|Integer|))) (SIGNATURE |minimumExponent| ((|Integer|) (|Integer|))) (SIGNATURE |minimumExponent| ((|Integer|))) (SIGNATURE |coerce| ((|Float|) $)) (SIGNATURE |coerce| ($ (|MachineInteger|))) (SIGNATURE |mantissa| ((|Integer|) $)) (SIGNATURE |exponent| ((|Integer|) $)) (SIGNATURE |changeBase| ($ (|Integer|) (|Integer|) (|PositiveInteger|)))))) (T |MachineFloat|)) 
+((|base| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) (|exponent| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) (|mantissa| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) (|precision| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) (|precision| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) (|base| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) (|maximumExponent| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) (|maximumExponent| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) (|minimumExponent| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) (|minimumExponent| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|MachineFloat|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|MachineInteger|)) (|isDomain| *1 (|MachineFloat|)))) (|changeBase| (*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|))))) 
+(|Join| (|FloatingPointSystem|) (|FortranMachineTypeCategory|) (|Field|) (|RetractableTo| (|Float|)) (|RetractableTo| (|Fraction| (|Integer|))) (|CharacteristicZero|) (CATEGORY |domain| (SIGNATURE |precision| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |precision| ((|PositiveInteger|))) (SIGNATURE |base| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |base| ((|PositiveInteger|))) (SIGNATURE |maximumExponent| ((|Integer|) (|Integer|))) (SIGNATURE |maximumExponent| ((|Integer|))) (SIGNATURE |minimumExponent| ((|Integer|) (|Integer|))) (SIGNATURE |minimumExponent| ((|Integer|))) (SIGNATURE |coerce| ((|Float|) $)) (SIGNATURE |coerce| ($ (|MachineInteger|))) (SIGNATURE |mantissa| ((|Integer|) $)) (SIGNATURE |exponent| ((|Integer|) $)) (SIGNATURE |changeBase| ($ (|Integer|) (|Integer|) (|PositiveInteger|))))) 
+((|rowEchelonLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|) 66)) (|rowEchelon| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) 49)) (|rowEchLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) 67)) (|rowEch| (((|Matrix| |#1|) (|Matrix| |#1|)) 50)) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) 65))) 
+(((|ModularHermitianRowReduction| |#1|) (CATEGORY |package| (SIGNATURE |rowEch| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |rowEchelon| ((|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |rowEchLocal| ((|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |rowEchelonLocal| ((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|)) (SIGNATURE |normalizedDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|))) (|EuclideanDomain|)) (T |ModularHermitianRowReduction|)) 
+((|normalizedDivide| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|ModularHermitianRowReduction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|rowEchelonLocal| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) (|rowEchLocal| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) (|rowEchelon| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) (|rowEch| (*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(CATEGORY |package| (SIGNATURE |rowEch| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |rowEchelon| ((|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |rowEchLocal| ((|Matrix| |#1|) (|Matrix| |#1|) |#1|)) (SIGNATURE |rowEchelonLocal| ((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|)) (SIGNATURE |normalizedDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|symmetricRemainder| (($ $ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|submod| (($ $ $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL)) (|shift| (($ $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 27)) (|retract| (((|Integer|) $) 25)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|rational?| (((|Boolean|) $) NIL)) (|rational| (((|Fraction| (|Integer|)) $) NIL)) (|random| (($ $) NIL) (($) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|powmod| (($ $ $ $) NIL)) (|positiveRemainder| (($ $ $) NIL)) (|positive?| (((|Boolean|) $) NIL)) (|permutation| (($ $ $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|odd?| (((|Boolean|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|negative?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|mulmod| (($ $ $ $) NIL)) (|min| (($ $ $) NIL)) (|maxint| (((|PositiveInteger|) (|PositiveInteger|)) 10) (((|PositiveInteger|)) 9)) (|max| (($ $ $) NIL)) (|mask| (($ $) NIL)) (|length| (($ $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ (|List| $)) NIL) (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|invmod| (($ $ $) NIL)) (|init| (($) NIL T CONST)) (|inc| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL) (($ $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ (|List| $)) NIL) (($ $ $) NIL)) (|factorial| (($ $) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|even?| (((|Boolean|) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|dec| (($ $) NIL)) (|copy| (($ $) NIL)) (|convert| (((|DoubleFloat|) $) NIL) (((|Float|) $) NIL) (((|Pattern| (|Integer|)) $) NIL) (((|InputForm|) $) NIL) (((|Integer|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 24) (($ $) NIL) (($ (|Integer|)) 24) (((|Expression| $) (|Expression| (|Integer|))) 18)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|bit?| (((|Boolean|) $ $) NIL)) (|binomial| (($ $ $) NIL)) (|base| (($) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|addmod| (($ $ $ $) NIL)) (|abs| (($ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL))) 
+(((|MachineInteger|) (|Join| (|FortranMachineTypeCategory|) (|IntegerNumberSystem|) (CATEGORY |domain| (SIGNATURE |maxint| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |maxint| ((|PositiveInteger|))) (SIGNATURE |coerce| ((|Expression| $) (|Expression| (|Integer|))))))) (T |MachineInteger|)) 
+((|maxint| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) (|maxint| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) (|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|MachineInteger|))))) 
+(|Join| (|FortranMachineTypeCategory|) (|IntegerNumberSystem|) (CATEGORY |domain| (SIGNATURE |maxint| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |maxint| ((|PositiveInteger|))) (SIGNATURE |coerce| ((|Expression| $) (|Expression| (|Integer|)))))) 
+((|compiledFunction| (((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)) 19)) (|binaryFunction| (((|Mapping| |#4| |#2| |#3|) (|Symbol|)) 12))) 
+(((|MakeBinaryCompiledFunction| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |binaryFunction| ((|Mapping| |#4| |#2| |#3|) (|Symbol|))) (SIGNATURE |compiledFunction| ((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)))) (|ConvertibleTo| (|InputForm|)) (|Type|) (|Type|) (|Type|)) (T |MakeBinaryCompiledFunction|)) 
+((|compiledFunction| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *3 *5 *6 *7)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)))) (|binaryFunction| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *4 *5 *6 *7)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |binaryFunction| ((|Mapping| |#4| |#2| |#3|) (|Symbol|))) (SIGNATURE |compiledFunction| ((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) 14)) (|position| (((|NonNegativeInteger|) $) 12)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 25)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 24))) 
+(((|MakeCachableSet| |#1|) (|Join| (|CachableSet|) (|CoercibleTo| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#1|)))) (|SetCategory|)) (T |MakeCachableSet|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *1 (|MakeCachableSet| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|CachableSet|) (|CoercibleTo| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#1|)))) 
+((|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) 33) (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) 38))) 
+(((|MakeFloatCompiledFunction| |#1|) (CATEGORY |package| (SIGNATURE |makeFloatFunction| ((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|))) (SIGNATURE |makeFloatFunction| ((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)))) (|ConvertibleTo| (|InputForm|))) (T |MakeFloatCompiledFunction|)) 
+((|makeFloatFunction| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|makeFloatFunction| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(CATEGORY |package| (SIGNATURE |makeFloatFunction| ((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|))) (SIGNATURE |makeFloatFunction| ((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)))) 
+((|function| (((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))) 9) (((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|)) 12) (((|Symbol|) |#1| (|Symbol|) (|Symbol|)) 11) (((|Symbol|) |#1| (|Symbol|)) 10))) 
+(((|MakeFunction| |#1|) (CATEGORY |package| (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|))) (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|) (|Symbol|))) (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|))) (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))))) (|ConvertibleTo| (|InputForm|))) (T |MakeFunction|)) 
+((|function| (*1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|function| (*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|function| (*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|function| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(CATEGORY |package| (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|))) (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|) (|Symbol|))) (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|))) (SIGNATURE |function| ((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))))) 
+((|makeRecord| (((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
+(((|MakeRecord| |#1| |#2|) (CATEGORY |package| (SIGNATURE |makeRecord| ((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (|Type|) (|Type|)) (T |MakeRecord|)) 
+((|makeRecord| (*1 *2 *3 *4) (AND (|isDomain| *2 (|Record| (|:| |part1| *3) (|:| |part2| *4))) (|isDomain| *1 (|MakeRecord| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |makeRecord| ((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
+((|unaryFunction| (((|Mapping| |#3| |#2|) (|Symbol|)) 11)) (|compiledFunction| (((|Mapping| |#3| |#2|) |#1| (|Symbol|)) 21))) 
+(((|MakeUnaryCompiledFunction| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |unaryFunction| ((|Mapping| |#3| |#2|) (|Symbol|))) (SIGNATURE |compiledFunction| ((|Mapping| |#3| |#2|) |#1| (|Symbol|)))) (|ConvertibleTo| (|InputForm|)) (|Type|) (|Type|)) (T |MakeUnaryCompiledFunction|)) 
+((|compiledFunction| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *3 *5 *6)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)))) (|unaryFunction| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *4 *5 *6)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |unaryFunction| ((|Mapping| |#3| |#2|) (|Symbol|))) (SIGNATURE |compiledFunction| ((|Mapping| |#3| |#2|) |#1| (|Symbol|)))) 
+((|lifting1| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) 58)) (|lifting| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|) 71)) (|corrPoly| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) 32))) 
+(((|MultivariateLifting| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |corrPoly| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|)) (SIGNATURE |lifting| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|)) (SIGNATURE |lifting1| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|EuclideanDomain|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |MultivariateLifting|)) 
+((|lifting1| (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *13))) (|isDomain| *3 (|SparseUnivariatePolynomial| *13)) (|isDomain| *4 (|List| *12)) (|isDomain| *5 (|List| *10)) (|isDomain| *6 (|List| *13)) (|isDomain| *7 (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *13))))) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|isDomain| *9 (|Vector| (|List| (|SparseUnivariatePolynomial| *10)))) (|ofCategory| *12 (|OrderedSet|)) (|ofCategory| *10 (|EuclideanDomain|)) (|ofCategory| *13 (|PolynomialCategory| *10 *11 *12)) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *11 *12 *10 *13)))) (|lifting| (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| AND (|isDomain| *4 (|List| *11)) (|isDomain| *5 (|List| (|SparseUnivariatePolynomial| *9))) (|isDomain| *6 (|List| *9)) (|isDomain| *7 (|List| *12)) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|ofCategory| *11 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *12 (|PolynomialCategory| *9 *10 *11)) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *12))) (|isDomain| *1 (|MultivariateLifting| *10 *11 *9 *12)) (|isDomain| *3 (|SparseUnivariatePolynomial| *12)))) (|corrPoly| (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *11))) (|isDomain| *3 (|SparseUnivariatePolynomial| *11)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|List| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|isDomain| *7 (|Vector| (|List| (|SparseUnivariatePolynomial| *8)))) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *11 (|PolynomialCategory| *8 *9 *10)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *9 *10 *8 *11))))) 
+(CATEGORY |package| (SIGNATURE |corrPoly| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|)) (SIGNATURE |lifting| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|)) (SIGNATURE |lifting1| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reductum| (($ $) 40)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 38)) (|minimumDegree| (((|NonNegativeInteger|) $) 42)) (|leadingCoefficient| ((|#1| $) 41)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|degree| (((|NonNegativeInteger|) $) 43)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 37 (|has| |#1| (|CommutativeRing|)))) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 39)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
+(((|MonogenicLinearOperator| |#1|) (|Category|) (|Ring|)) (T |MonogenicLinearOperator|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|minimumDegree| (*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) (|reductum| (*1 *1 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) (|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) (|monomial| (*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|))))) 
+(|Join| (|Ring|) (|BiModule| |t#1| |t#1|) (CATEGORY |domain| (IF (|has| |t#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |t#1|)) |noBranch|) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) $)) (SIGNATURE |leadingCoefficient| (|t#1| $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| (|t#1| $ (|NonNegativeInteger|))) (SIGNATURE |monomial| ($ |t#1| (|NonNegativeInteger|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Monoid|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|map| ((|#6| (|Mapping| |#4| |#1|) |#3|) 23))) 
+(((|MultipleMap| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |package| (SIGNATURE |map| (|#6| (|Mapping| |#4| |#1|) |#3|))) (|IntegralDomain|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|IntegralDomain|) (|UnivariatePolynomialCategory| |#4|) (|UnivariatePolynomialCategory| (|Fraction| |#5|))) (T |MultipleMap|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *8))) (|isDomain| *1 (|MultipleMap| *5 *6 *4 *7 *8 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#6| (|Mapping| |#4| |#1|) |#3|))) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exprex| (((|String|) (|OutputForm|)) 31)) (|display| (((|Void|) (|String|)) 28)) (|coerceS| (((|String|) (|OutputForm|)) 24)) (|coerceL| (((|String|) (|OutputForm|)) 25)) (|coerce| (((|OutputForm|) $) NIL) (((|String|) (|OutputForm|)) 23)) (= (((|Boolean|) $ $) NIL))) 
+(((|MathMLFormat|) (|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |coerce| ((|String|) (|OutputForm|))) (SIGNATURE |coerceS| ((|String|) (|OutputForm|))) (SIGNATURE |coerceL| ((|String|) (|OutputForm|))) (SIGNATURE |exprex| ((|String|) (|OutputForm|))) (SIGNATURE |display| ((|Void|) (|String|)))))) (T |MathMLFormat|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) (|coerceS| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) (|coerceL| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) (|exprex| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) (|display| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |coerce| ((|String|) (|OutputForm|))) (SIGNATURE |coerceS| ((|String|) (|OutputForm|))) (SIGNATURE |coerceL| ((|String|) (|OutputForm|))) (SIGNATURE |exprex| ((|String|) (|OutputForm|))) (SIGNATURE |display| ((|Void|) (|String|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL)) (|reduce| (($ |#1| |#2|) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|modulus| ((|#2| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|exQuo| (((|Union| $ "failed") $ $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) ((|#1| $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|ModularField| |#1| |#2| |#3| |#4| |#5|) (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |modulus| (|#2| $)) (SIGNATURE |coerce| (|#1| $)) (SIGNATURE |reduce| ($ |#1| |#2|)) (SIGNATURE |exQuo| ((|Union| $ "failed") $ $)))) (|CommutativeRing|) (|AbelianMonoid|) (|Mapping| |#1| |#1| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2|) (|Mapping| (|Union| |#1| "failed") |#1| |#1| |#2|)) (T |ModularField|)) 
+((|modulus| (*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularField| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|reduce| (*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|exQuo| (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
+(|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |modulus| (|#2| $)) (SIGNATURE |coerce| (|#1| $)) (SIGNATURE |reduce| ($ |#1| |#2|)) (SIGNATURE |exQuo| ((|Union| $ "failed") $ $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 30)) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|unvectorise| (($ (|Vector| |#1|)) NIL)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantGcd| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|size| (((|NonNegativeInteger|)) 46 (|has| |#1| (|Finite|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) NIL)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) NIL)) (|setPoly| ((|#2| |#2|) 43)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) NIL)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $ $) NIL (|has| |#1| (|CommutativeRing|)))) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) 33)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|reduce| (($ |#2|) 41)) (|recip| (((|Union| $ "failed") $) 84)) (|random| (($) 50 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|pseudoRemainder| (($ $ $) NIL)) (|pseudoQuotient| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pow| (((|PrimitiveArray| $)) 78)) (|pomopo!| (($ $ |#1| (|NonNegativeInteger|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|SingletonAsOrderedSet|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) NIL)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 76) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) NIL) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|modulus| ((|#2|) 44)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|lift| ((|#2| $) 40)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) 28)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (|has| |#1| (|StepThrough|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|frobenius| (($ $) 77 (|has| |#1| (|FiniteFieldCategory|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 83 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#1|) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#1|)) NIL) (($ $ (|SingletonAsOrderedSet|) $) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|elt| ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|))) ((|#1| (|Fraction| $) |#1|) NIL (|has| |#1| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 85 (|has| |#1| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL) (($ $ (|Mapping| |#1| |#1|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) 31) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|computePowers| (((|PrimitiveArray| $)) 35)) (|composite| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) 60) (($ (|Integer|)) NIL) (($ |#1|) 57) (($ (|SingletonAsOrderedSet|)) NIL) (($ |#2|) 67) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 62) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 20 T CONST)) (|Vectorise| (((|Vector| |#1|) $) 74)) (|UnVectorise| (($ (|Vector| |#1|)) 49)) (|One| (($) 8 T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (|An| (((|Vector| |#1|) $) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 68)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) 71) (($ $ $) NIL)) (+ (($ $ $) 32)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 79)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 56) (($ $ $) 73) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
+(((|ModMonic| |#1| |#2|) (|Join| (|UnivariatePolynomialCategory| |#1|) (CATEGORY |domain| (SIGNATURE |setPoly| (|#2| |#2|)) (SIGNATURE |modulus| (|#2|)) (SIGNATURE |reduce| ($ |#2|)) (SIGNATURE |lift| (|#2| $)) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |Vectorise| ((|Vector| |#1|) $)) (SIGNATURE |UnVectorise| ($ (|Vector| |#1|))) (SIGNATURE |An| ((|Vector| |#1|) $)) (SIGNATURE |pow| ((|PrimitiveArray| $))) (SIGNATURE |computePowers| ((|PrimitiveArray| $))) (IF (|has| |#1| (|FiniteFieldCategory|)) (SIGNATURE |frobenius| ($ $)) |noBranch|) (IF (|has| |#1| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|))) (|Ring|) (|UnivariatePolynomialCategory| |#1|)) (T |ModMonic|)) 
+((|setPoly| (*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|modulus| (*1 *2) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) (|reduce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|lift| (*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|Vectorise| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|UnVectorise| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|An| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|pow| (*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|computePowers| (*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|frobenius| (*1 *1 *1) (AND (|ofCategory| *2 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModMonic| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(|Join| (|UnivariatePolynomialCategory| |#1|) (CATEGORY |domain| (SIGNATURE |setPoly| (|#2| |#2|)) (SIGNATURE |modulus| (|#2|)) (SIGNATURE |reduce| ($ |#2|)) (SIGNATURE |lift| (|#2| $)) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |Vectorise| ((|Vector| |#1|) $)) (SIGNATURE |UnVectorise| ($ (|Vector| |#1|))) (SIGNATURE |An| ((|Vector| |#1|) $)) (SIGNATURE |pow| ((|PrimitiveArray| $))) (SIGNATURE |computePowers| ((|PrimitiveArray| $))) (IF (|has| |#1| (|FiniteFieldCategory|)) (SIGNATURE |frobenius| ($ $)) |noBranch|) (IF (|has| |#1| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|index| ((|#1| $) 13)) (|hash| (((|SingleInteger|) $) NIL)) (|exponent| ((|#2| $) 12)) (|construct| (($ |#1| |#2|) 16)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|))) 15) (((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $) 14)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 11))) 
+(((|ModuleMonomial| |#1| |#2| |#3|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |exponent| (|#2| $)) (SIGNATURE |index| (|#1| $)) (SIGNATURE |coerce| ($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)))) (SIGNATURE |coerce| ((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $)) (SIGNATURE |construct| ($ |#1| |#2|)))) (|OrderedSet|) (|SetCategory|) (|Mapping| (|Boolean|) (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)))) (T |ModuleMonomial|)) 
+((|exponent| (*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *2 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *2)) (|Record| (|:| |index| *3) (|:| |exponent| *2)))))) (|index| (*1 *2 *1) (AND (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3)))))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) (|construct| (*1 *1 *2 *3) (AND (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3))))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |exponent| (|#2| $)) (SIGNATURE |index| (|#1| $)) (SIGNATURE |coerce| ($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)))) (SIGNATURE |coerce| ((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $)) (SIGNATURE |construct| ($ |#1| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 59)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 89) (((|Union| (|BasicOperator|) "failed") $) 95)) (|retract| ((|#1| $) NIL) (((|BasicOperator|) $) 39)) (|recip| (((|Union| $ "failed") $) 90)) (|opeval| ((|#2| (|BasicOperator|) |#2|) 82)) (|one?| (((|Boolean|) $) NIL)) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) 13)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|evaluateInverse| (($ $ (|Mapping| |#2| |#2|)) 58)) (|evaluate| (($ $ (|Mapping| |#2| |#2|)) 44)) (|elt| ((|#2| $ |#2|) 32)) (|conjug| ((|#1| |#1|) 100 (|has| |#1| (|CommutativeRing|)))) (|coerce| (((|OutputForm|) $) 66) (($ (|Integer|)) 17) (($ |#1|) 16) (($ (|BasicOperator|)) 23)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 36)) (|adjoint| (($ $) 99 (|has| |#1| (|CommutativeRing|))) (($ $ $) 103 (|has| |#1| (|CommutativeRing|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 20 T CONST)) (|One| (($) 9 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) 48) (($ $ $) NIL)) (+ (($ $ $) 73)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ (|BasicOperator|) (|Integer|)) NIL) (($ $ (|Integer|)) 57)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) 97 (|has| |#1| (|CommutativeRing|))))) 
+(((|ModuleOperator| |#1| |#2|) (|Join| (|Ring|) (|RetractableTo| |#1|) (|RetractableTo| (|BasicOperator|)) (|Eltable| |#2| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (ATTRIBUTE (|Algebra| |#1|)) (SIGNATURE |adjoint| ($ $)) (SIGNATURE |adjoint| ($ $ $)) (SIGNATURE |conjug| (|#1| |#1|))) |noBranch|) (SIGNATURE |evaluate| ($ $ (|Mapping| |#2| |#2|))) (SIGNATURE |evaluateInverse| ($ $ (|Mapping| |#2| |#2|))) (SIGNATURE ** ($ (|BasicOperator|) (|Integer|))) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE |opeval| (|#2| (|BasicOperator|) |#2|)) (SIGNATURE |makeop| ($ |#1| (|FreeGroup| (|BasicOperator|)))))) (|Ring|) (|LeftModule| |#1|)) (T |ModuleOperator|)) 
+((|adjoint| (*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) (|adjoint| (*1 *1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) (|conjug| (*1 *2 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) (|evaluate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) (|evaluateInverse| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) (** (*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *5)) (|ofCategory| *5 (|LeftModule| *4)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)) (|ofCategory| *4 (|LeftModule| *3)))) (|opeval| (*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *2)) (|ofCategory| *2 (|LeftModule| *4)))) (|makeop| (*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *4)) (|ofCategory| *4 (|LeftModule| *2))))) 
+(|Join| (|Ring|) (|RetractableTo| |#1|) (|RetractableTo| (|BasicOperator|)) (|Eltable| |#2| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (ATTRIBUTE (|Algebra| |#1|)) (SIGNATURE |adjoint| ($ $)) (SIGNATURE |adjoint| ($ $ $)) (SIGNATURE |conjug| (|#1| |#1|))) |noBranch|) (SIGNATURE |evaluate| ($ $ (|Mapping| |#2| |#2|))) (SIGNATURE |evaluateInverse| ($ $ (|Mapping| |#2| |#2|))) (SIGNATURE ** ($ (|BasicOperator|) (|Integer|))) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE |opeval| (|#2| (|BasicOperator|) |#2|)) (SIGNATURE |makeop| ($ |#1| (|FreeGroup| (|BasicOperator|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 33)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reduce| (($ |#1| |#2|) 25)) (|recip| (((|Union| $ "failed") $) 47)) (|one?| (((|Boolean|) $) 35)) (|modulus| ((|#2| $) 12)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 48)) (|hash| (((|SingleInteger|) $) NIL)) (|exQuo| (((|Union| $ "failed") $ $) 46)) (|coerce| (((|OutputForm|) $) 24) (($ (|Integer|)) 19) ((|#1| $) 13)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 16 T CONST)) (|One| (($) 30 T CONST)) (= (((|Boolean|) $ $) 38)) (- (($ $) 43) (($ $ $) 37)) (+ (($ $ $) 40)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 21) (($ $ $) 20))) 
+(((|ModularRing| |#1| |#2| |#3| |#4| |#5|) (|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |modulus| (|#2| $)) (SIGNATURE |coerce| (|#1| $)) (SIGNATURE |reduce| ($ |#1| |#2|)) (SIGNATURE |exQuo| ((|Union| $ "failed") $ $)) (SIGNATURE |recip| ((|Union| $ "failed") $)) (SIGNATURE |inv| ($ $)))) (|CommutativeRing|) (|AbelianMonoid|) (|Mapping| |#1| |#1| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2|) (|Mapping| (|Union| |#1| "failed") |#1| |#1| |#2|)) (T |ModularRing|)) 
+((|recip| (*1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|modulus| (*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularRing| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|reduce| (*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|exQuo| (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) (|inv| (*1 *1 *1) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |modulus| (|#2| $)) (SIGNATURE |coerce| (|#1| $)) (SIGNATURE |reduce| ($ |#1| |#2|)) (SIGNATURE |exQuo| ((|Union| $ "failed") $ $)) (SIGNATURE |recip| ((|Union| $ "failed") $)) (SIGNATURE |inv| ($ $)))) 
+((* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
+(((|Module&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|Module| |#2|) (|CommutativeRing|)) (T |Module&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((|Module| |#1|) (|Category|) (|CommutativeRing|)) (T |Module|)) 
+NIL 
+(|Join| (|BiModule| |t#1| |t#1|)) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|shift| (($ |#1|) 17) (($ $ |#1|) 20)) (|scale| (($ |#1|) 18) (($ $ |#1|) 21)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL) (($) 19) (($ $) 22)) (|one?| (((|Boolean|) $) NIL)) (|moebius| (($ |#1| |#1| |#1| |#1|) 8)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 16)) (|hash| (((|SingleInteger|) $) NIL)) (|eval| ((|#1| $ |#1|) 24) (((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|)) 32)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) 39)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 9 T CONST)) (= (((|Boolean|) $ $) 44)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ $ $) 14))) 
+(((|MoebiusTransform| |#1|) (|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |moebius| ($ |#1| |#1| |#1| |#1|)) (SIGNATURE |shift| ($ |#1|)) (SIGNATURE |scale| ($ |#1|)) (SIGNATURE |recip| ($)) (SIGNATURE |shift| ($ $ |#1|)) (SIGNATURE |scale| ($ $ |#1|)) (SIGNATURE |recip| ($ $)) (SIGNATURE |eval| (|#1| $ |#1|)) (SIGNATURE |eval| ((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|))))) (|Field|)) (T |MoebiusTransform|)) 
+((|moebius| (*1 *1 *2 *2 *2 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|shift| (*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|scale| (*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|recip| (*1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|shift| (*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|scale| (*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|recip| (*1 *1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|eval| (*1 *2 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) (|eval| (*1 *2 *1 *2) (AND (|isDomain| *2 (|OnePointCompletion| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|MoebiusTransform| *3))))) 
+(|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |moebius| ($ |#1| |#1| |#1| |#1|)) (SIGNATURE |shift| ($ |#1|)) (SIGNATURE |scale| ($ |#1|)) (SIGNATURE |recip| ($)) (SIGNATURE |shift| ($ $ |#1|)) (SIGNATURE |scale| ($ $ |#1|)) (SIGNATURE |recip| ($ $)) (SIGNATURE |eval| (|#1| $ |#1|)) (SIGNATURE |eval| ((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|))))) 
+((|rightPower| (($ $ (|PositiveInteger|)) 12)) (|leftPower| (($ $ (|PositiveInteger|)) 13)) (** (($ $ (|PositiveInteger|)) 10))) 
+(((|Monad&| |#1|) (CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |leftPower| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |rightPower| (|#1| |#1| (|PositiveInteger|)))) (|Monad|)) (T |Monad&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |leftPower| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |rightPower| (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|rightPower| (($ $ (|PositiveInteger|)) 14)) (|leftPower| (($ $ (|PositiveInteger|)) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6)) (** (($ $ (|PositiveInteger|)) 12)) (* (($ $ $) 15))) 
+(((|Monad|) (|Category|)) (T |Monad|)) 
+((* (*1 *1 *1 *1) (|ofCategory| *1 (|Monad|))) (|rightPower| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) (|leftPower| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) (** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE |rightPower| ($ $ (|PositiveInteger|))) (SIGNATURE |leftPower| ($ $ (|PositiveInteger|))) (SIGNATURE ** ($ $ (|PositiveInteger|))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|rightPower| (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 17)) (|one?| (((|Boolean|) $) 10)) (|leftPower| (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 18)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 15))) 
+(((|MonadWithUnit&| |#1|) (CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |leftPower| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |rightPower| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |one?| ((|Boolean|) |#1|)) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |leftPower| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |rightPower| (|#1| |#1| (|PositiveInteger|)))) (|MonadWithUnit|)) (T |MonadWithUnit&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |leftPower| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |rightPower| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |one?| ((|Boolean|) |#1|)) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |leftPower| (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |rightPower| (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|rightRecip| (((|Union| $ "failed") $) 16)) (|rightPower| (($ $ (|PositiveInteger|)) 14) (($ $ (|NonNegativeInteger|)) 21)) (|recip| (((|Union| $ "failed") $) 18)) (|one?| (((|Boolean|) $) 22)) (|leftRecip| (((|Union| $ "failed") $) 17)) (|leftPower| (($ $ (|PositiveInteger|)) 13) (($ $ (|NonNegativeInteger|)) 20)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|One| (($) 23 T CONST)) (= (((|Boolean|) $ $) 6)) (** (($ $ (|PositiveInteger|)) 12) (($ $ (|NonNegativeInteger|)) 19)) (* (($ $ $) 15))) 
+(((|MonadWithUnit|) (|Category|)) (T |MonadWithUnit|)) 
+((|One| (*1 *1) (|ofCategory| *1 (|MonadWithUnit|))) (|one?| (*1 *2 *1) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|Boolean|)))) (|rightPower| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|leftPower| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) (** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|recip| (*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) (|leftRecip| (*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) (|rightRecip| (*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
+(|Join| (|Monad|) (CATEGORY |domain| (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |one?| ((|Boolean|) $)) (SIGNATURE |rightPower| ($ $ (|NonNegativeInteger|))) (SIGNATURE |leftPower| ($ $ (|NonNegativeInteger|))) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE |recip| ((|Union| $ "failed") $)) (SIGNATURE |leftRecip| ((|Union| $ "failed") $)) (SIGNATURE |rightRecip| ((|Union| $ "failed") $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Monad|) . T) ((|SetCategory|) . T)) 
+((|size| (((|NonNegativeInteger|)) 35)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#2| "failed") $) 25)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) ((|#2| $) 22)) (|reduce| (($ |#3|) NIL) (((|Union| $ "failed") (|Fraction| |#3|)) 45)) (|recip| (((|Union| $ "failed") $) 65)) (|random| (($) 39)) (|norm| ((|#2| $) 20)) (|generator| (($) 17)) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) 53) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|derivationCoordinates| (((|Matrix| |#2|) (|Vector| $) (|Mapping| |#2| |#2|)) 60)) (|convert| (((|Vector| |#2|) $) NIL) (($ (|Vector| |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (|characteristicPolynomial| ((|#3| $) 32)) (|basis| (((|Vector| $)) 29))) 
+(((|MonogenicAlgebra&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |random| (|#1|)) (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |derivationCoordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Mapping| |#2| |#2|))) (SIGNATURE |reduce| ((|Union| |#1| "failed") (|Fraction| |#3|))) (SIGNATURE |convert| (|#1| |#3|)) (SIGNATURE |reduce| (|#1| |#3|)) (SIGNATURE |generator| (|#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |convert| (|#3| |#1|)) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |basis| ((|Vector| |#1|))) (SIGNATURE |characteristicPolynomial| (|#3| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|))) (|MonogenicAlgebra| |#2| |#3|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |#2|)) (T |MonogenicAlgebra&|)) 
+((|size| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonogenicAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *5))))) 
+(CATEGORY |domain| (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |random| (|#1|)) (SIGNATURE |size| ((|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |derivationCoordinates| ((|Matrix| |#2|) (|Vector| |#1|) (|Mapping| |#2| |#2|))) (SIGNATURE |reduce| ((|Union| |#1| "failed") (|Fraction| |#3|))) (SIGNATURE |convert| (|#1| |#3|)) (SIGNATURE |reduce| (|#1| |#3|)) (SIGNATURE |generator| (|#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |convert| (|#3| |#1|)) (SIGNATURE |convert| (|#1| (|Vector| |#2|))) (SIGNATURE |convert| ((|Vector| |#2|) |#1|)) (SIGNATURE |basis| ((|Vector| |#1|))) (SIGNATURE |characteristicPolynomial| (|#3| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 89 (|has| |#1| (|Field|)))) (|unitCanonical| (($ $) 90 (|has| |#1| (|Field|)))) (|unit?| (((|Boolean|) $) 92 (|has| |#1| (|Field|)))) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) 44) (((|Matrix| |#1|)) 55)) (|trace| ((|#1| $) 50)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 144 (|has| |#1| (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 110 (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) 111 (|has| |#1| (|Field|)))) (|sizeLess?| (((|Boolean|) $ $) 101 (|has| |#1| (|Field|)))) (|size| (((|NonNegativeInteger|)) 82 (|has| |#1| (|Finite|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 166 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 164 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 163)) (|retract| (((|Integer|) $) 167 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 165 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 162)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) 46) (($ (|Vector| |#1|)) 58)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 150 (|has| |#1| (|FiniteFieldCategory|)))) (|rem| (($ $ $) 105 (|has| |#1| (|Field|)))) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) 51) (((|Matrix| |#1|) $) 53)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 161 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 160 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 159) (((|Matrix| |#1|) (|Matrix| $)) 158)) (|reduce| (($ |#2|) 155) (((|Union| $ "failed") (|Fraction| |#2|)) 152 (|has| |#1| (|Field|)))) (|recip| (((|Union| $ "failed") $) 33)) (|rank| (((|PositiveInteger|)) 52)) (|random| (($) 85 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) 104 (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 99 (|has| |#1| (|Field|)))) (|primitiveElement| (($) 146 (|has| |#1| (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) 147 (|has| |#1| (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 138 (|has| |#1| (|FiniteFieldCategory|))) (($ $) 137 (|has| |#1| (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) 112 (|has| |#1| (|Field|)))) (|order| (((|PositiveInteger|) $) 149 (|has| |#1| (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) 135 (|has| |#1| (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) 30)) (|norm| ((|#1| $) 49)) (|nextItem| (((|Union| $ "failed") $) 139 (|has| |#1| (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 108 (|has| |#1| (|Field|)))) (|minimalPolynomial| ((|#2| $) 42 (|has| |#1| (|Field|)))) (|lookup| (((|PositiveInteger|) $) 84 (|has| |#1| (|Finite|)))) (|lift| ((|#2| $) 153)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 93 (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) 97 (|has| |#1| (|Field|))) (($ $ $) 96 (|has| |#1| (|Field|)))) (|latex| (((|String|) $) 9)) (|inv| (($ $) 113 (|has| |#1| (|Field|)))) (|init| (($) 140 (|has| |#1| (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) 83 (|has| |#1| (|Finite|)))) (|hash| (((|SingleInteger|) $) 10)) (|generator| (($) 157)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 98 (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) 95 (|has| |#1| (|Field|))) (($ $ $) 94 (|has| |#1| (|Field|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 143 (|has| |#1| (|FiniteFieldCategory|)))) (|factor| (((|Factored| $) $) 109 (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 107 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 106 (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) 88 (|has| |#1| (|Field|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 100 (|has| |#1| (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) 102 (|has| |#1| (|Field|)))) (|enumerate| (((|List| $)) 86 (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 103 (|has| |#1| (|Field|)))) (|discriminant| ((|#1| (|Vector| $)) 45) ((|#1|) 54)) (|discreteLog| (((|NonNegativeInteger|) $) 148 (|has| |#1| (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) 136 (|has| |#1| (|FiniteFieldCategory|)))) (|differentiate| (($ $) 134 (OR (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|NonNegativeInteger|)) 132 (OR (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|Symbol|)) 130 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|))) 129 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 128 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 127 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 120 (|has| |#1| (|Field|))) (($ $ (|Mapping| |#1| |#1|)) 119 (|has| |#1| (|Field|)))) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) 151 (|has| |#1| (|Field|)))) (|definingPolynomial| ((|#2|) 156)) (|createPrimitiveElement| (($) 145 (|has| |#1| (|FiniteFieldCategory|)))) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 48) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) 47) (((|Vector| |#1|) $) 60) (((|Matrix| |#1|) (|Vector| $)) 59)) (|convert| (((|Vector| |#1|) $) 57) (($ (|Vector| |#1|)) 56) ((|#2| $) 168) (($ |#2|) 154)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 142 (|has| |#1| (|FiniteFieldCategory|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36) (($ $) 87 (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|))) 81 (OR (|has| |#1| (|Field|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (($ $) 141 (|has| |#1| (|FiniteFieldCategory|))) (((|Union| $ "failed") $) 41 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#2| $) 43)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|basis| (((|Vector| $)) 61)) (|associates?| (((|Boolean|) $ $) 91 (|has| |#1| (|Field|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 114 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $) 133 (OR (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|NonNegativeInteger|)) 131 (OR (|and| (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|Symbol|)) 126 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|))) 125 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 124 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 123 (|and| (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 122 (|has| |#1| (|Field|))) (($ $ (|Mapping| |#1| |#1|)) 121 (|has| |#1| (|Field|)))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 118 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 115 (|has| |#1| (|Field|)))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (|Fraction| (|Integer|)) $) 117 (|has| |#1| (|Field|))) (($ $ (|Fraction| (|Integer|))) 116 (|has| |#1| (|Field|))))) 
+(((|MonogenicAlgebra| |#1| |#2|) (|Category|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |t#1|)) (T |MonogenicAlgebra|)) 
+((|generator| (*1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|definingPolynomial| (*1 *2) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|reduce| (*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|lift| (*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|reduce| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *4)))) (|derivationCoordinates| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| *1)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *1 (|MonogenicAlgebra| *5 *6)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *5))))) 
+(|Join| (|FramedAlgebra| |t#1| |t#2|) (|CommutativeRing|) (|ConvertibleTo| |t#2|) (|FullyRetractableTo| |t#1|) (|FullyLinearlyExplicitRingOver| |t#1|) (CATEGORY |domain| (SIGNATURE |generator| ($)) (SIGNATURE |definingPolynomial| (|t#2|)) (SIGNATURE |reduce| ($ |t#2|)) (SIGNATURE |convert| ($ |t#2|)) (SIGNATURE |lift| (|t#2| $)) (IF (|has| |t#1| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) (IF (|has| |t#1| (|Field|)) (PROGN (ATTRIBUTE (|Field|)) (ATTRIBUTE (|DifferentialExtension| |t#1|)) (SIGNATURE |reduce| ((|Union| $ "failed") (|Fraction| |t#2|))) (SIGNATURE |derivationCoordinates| ((|Matrix| |t#1|) (|Vector| $) (|Mapping| |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (|FiniteFieldCategory|)) (ATTRIBUTE (|FiniteFieldCategory|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|Algebra| |#1|) . T) ((|Algebra| $) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|CharacteristicNonZero|))) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| |#2|) . T) ((|DifferentialExtension| |#1|) |has| |#1| (|Field|)) ((|DifferentialRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (AND (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|)))) ((|DivisionRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|EntireRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|EuclideanDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|Field|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|FieldOfPrimeCharacteristic|) |has| |#1| (|FiniteFieldCategory|)) ((|Finite|) OR (|has| |#1| (|Finite|)) (|has| |#1| (|FiniteFieldCategory|))) ((|FiniteFieldCategory|) |has| |#1| (|FiniteFieldCategory|)) ((|FiniteRankAlgebra| |#1| |#2|) . T) ((|FramedAlgebra| |#1| |#2|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|IntegralDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|Module| |#1|) . T) ((|Module| $) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PrincipalIdealDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|))) ((|RightModule| |#1|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) |has| |#1| (|FiniteFieldCategory|)) ((|UniqueFactorizationDomain|) OR (|has| |#1| (|FiniteFieldCategory|)) (|has| |#1| (|Field|)))) 
+((|sample| (($) 14)) (|recip| (((|Union| $ "failed") $) 16)) (|one?| (((|Boolean|) $) 13)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 9)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 20))) 
+(((|Monoid&| |#1|) (CATEGORY |domain| (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE ^ (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |one?| ((|Boolean|) |#1|)) (SIGNATURE |sample| (|#1|)) (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) (|Monoid|)) (T |Monoid&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |recip| ((|Union| |#1| "failed") |#1|)) (SIGNATURE ^ (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |one?| ((|Boolean|) |#1|)) (SIGNATURE |sample| (|#1|)) (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|sample| (($) 19 T CONST)) (|recip| (((|Union| $ "failed") $) 15)) (|one?| (((|Boolean|) $) 18)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|PositiveInteger|)) 12) (($ $ (|NonNegativeInteger|)) 16)) (|One| (($) 20 T CONST)) (= (((|Boolean|) $ $) 6)) (** (($ $ (|PositiveInteger|)) 13) (($ $ (|NonNegativeInteger|)) 17)) (* (($ $ $) 14))) 
+(((|Monoid|) (|Category|)) (T |Monoid|)) 
+((|One| (*1 *1) (|ofCategory| *1 (|Monoid|))) (|sample| (*1 *1) (|ofCategory| *1 (|Monoid|))) (|one?| (*1 *2 *1) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|Boolean|)))) (** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) (^ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|recip| (*1 *1 *1) (|partial| |ofCategory| *1 (|Monoid|)))) 
+(|Join| (|SemiGroup|) (CATEGORY |domain| (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |sample| ($) |constant|) (SIGNATURE |one?| ((|Boolean|) $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE ^ ($ $ (|NonNegativeInteger|))) (SIGNATURE |recip| ((|Union| $ "failed") $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|splitSquarefree| (((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|)) 38)) (|split| (((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|)) 12)) (|normalDenom| ((|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|)) 13)) (|decompose| (((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) 47))) 
+(((|MonomialExtensionTools| |#1| |#2|) (CATEGORY |package| (SIGNATURE |split| ((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|))) (SIGNATURE |splitSquarefree| ((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|))) (SIGNATURE |normalDenom| (|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |decompose| ((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|)) (T |MonomialExtensionTools|)) 
+((|decompose| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |poly| *6) (|:| |normal| (|Fraction| *6)) (|:| |special| (|Fraction| *6)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) (|normalDenom| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *2)) (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|MonomialExtensionTools| *5 *2)) (|ofCategory| *5 (|Field|)))) (|splitSquarefree| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| (|Factored| *3)) (|:| |special| (|Factored| *3)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3)))) (|split| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| *3) (|:| |special| *3))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3))))) 
+(CATEGORY |package| (SIGNATURE |split| ((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|))) (SIGNATURE |splitSquarefree| ((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|))) (SIGNATURE |normalDenom| (|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |decompose| ((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)))) 
+((|reshape| ((|#7| (|List| |#5|) |#6|) NIL)) (|map| ((|#7| (|Mapping| |#5| |#4|) |#6|) 26))) 
+(((|MPolyCatFunctions2| |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (CATEGORY |package| (SIGNATURE |map| (|#7| (|Mapping| |#5| |#4|) |#6|)) (SIGNATURE |reshape| (|#7| (|List| |#5|) |#6|))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|OrderedAbelianMonoidSup|) (|Ring|) (|Ring|) (|PolynomialCategory| |#4| |#2| |#1|) (|PolynomialCategory| |#5| |#3| |#1|)) (T |MPolyCatFunctions2|)) 
+((|reshape| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *9)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *8)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#7| (|Mapping| |#5| |#4|) |#6|)) (SIGNATURE |reshape| (|#7| (|List| |#5|) |#6|))) 
+((|map| ((|#7| (|Mapping| |#2| |#1|) |#6|) 28))) 
+(((|MPolyCatFunctions3| |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (CATEGORY |package| (SIGNATURE |map| (|#7| (|Mapping| |#2| |#1|) |#6|))) (|OrderedSet|) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|OrderedAbelianMonoidSup|) (|Ring|) (|PolynomialCategory| |#5| |#3| |#1|) (|PolynomialCategory| |#5| |#4| |#2|)) (T |MPolyCatFunctions3|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *8 *6)) (|isDomain| *1 (|MPolyCatFunctions3| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *9 *7 *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#7| (|Mapping| |#2| |#1|) |#6|))) 
+((|factor| (((|Factored| |#4|) |#4|) 39))) 
+(((|MPolyCatPolyFactorizer| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|))) (|OrderedAbelianMonoidSup|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|))))) (|EuclideanDomain|) (|PolynomialCategory| (|Polynomial| |#3|) |#1| |#2|)) (T |MPolyCatPolyFactorizer|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatPolyFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Polynomial| *6) *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|OrderedVariableList| |#1|)) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|OrderedVariableList| |#1|)) NIL) (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|OrderedVariableList| |#1|) $) NIL)) (|resultant| (($ $ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#2| (|IndexedExponents| (|OrderedVariableList| |#1|)) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|OrderedVariableList| |#1|) (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#2|) (|OrderedVariableList| |#1|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|OrderedVariableList| |#1|)) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|IndexedExponents| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|OrderedVariableList| |#1|)) NIL)) (|minimumDegree| (((|IndexedExponents| (|OrderedVariableList| |#1|)) $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| (|OrderedVariableList| |#1|)) (|IndexedExponents| (|OrderedVariableList| |#1|))) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|mainVariable| (((|Union| (|OrderedVariableList| |#1|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|OrderedVariableList| |#1|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#2| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|OrderedVariableList| |#1|) |#2|) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| |#2|)) NIL) (($ $ (|OrderedVariableList| |#1|) $) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| $)) NIL)) (|discriminant| (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|CommutativeRing|)))) (|differentiate| (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|IndexedExponents| (|OrderedVariableList| |#1|)) $) NIL) (((|NonNegativeInteger|) $ (|OrderedVariableList| |#1|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderedVariableList| |#1|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|OrderedVariableList| |#1|) (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#2| $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|OrderedVariableList| |#1|)) NIL (|has| |#2| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ (|OrderedVariableList| |#1|)) NIL) (($ $) NIL (|has| |#2| (|IntegralDomain|))) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|IndexedExponents| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|OrderedVariableList| |#1|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|))) NIL) (($ $ (|OrderedVariableList| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderedVariableList| |#1|)) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((|MultivariatePolynomial| |#1| |#2|) (|PolynomialCategory| |#2| (|IndexedExponents| (|OrderedVariableList| |#1|)) (|OrderedVariableList| |#1|)) (|List| (|Symbol|)) (|Ring|)) (T |MultivariatePolynomial|)) 
+NIL 
+(|PolynomialCategory| |#2| (|IndexedExponents| (|OrderedVariableList| |#1|)) (|OrderedVariableList| |#1|)) 
+((|totalfract| (((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|) 13)) (|pushup| ((|#4| |#4| |#2|) 30)) (|pushuconst| ((|#4| (|Fraction| (|Polynomial| |#3|)) |#2|) 63)) (|pushucoef| ((|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|) 76)) (|pushdterm| ((|#4| (|SparseUnivariatePolynomial| |#4|) |#2|) 49)) (|pushdown| ((|#4| |#4| |#2|) 52)) (|factor| (((|Factored| |#4|) |#4|) 38))) 
+(((|MPolyCatRationalFunctionFactorizer| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |totalfract| ((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|)) (SIGNATURE |pushdown| (|#4| |#4| |#2|)) (SIGNATURE |pushdterm| (|#4| (|SparseUnivariatePolynomial| |#4|) |#2|)) (SIGNATURE |pushup| (|#4| |#4| |#2|)) (SIGNATURE |pushucoef| (|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|)) (SIGNATURE |pushuconst| (|#4| (|Fraction| (|Polynomial| |#3|)) |#2|)) (SIGNATURE |factor| ((|Factored| |#4|) |#4|))) (|OrderedAbelianMonoidSup|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))) (|IntegralDomain|) (|PolynomialCategory| (|Fraction| (|Polynomial| |#3|)) |#1| |#2|)) (T |MPolyCatRationalFunctionFactorizer|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5)))) (|pushuconst| (*1 *2 *3 *4) (AND (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))))) (|pushucoef| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *6))) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))))) (|pushup| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) (|pushdterm| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)))) (|pushdown| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) (|totalfract| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |sup| (|Polynomial| *6)) (|:| |inf| (|Polynomial| *6)))) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |totalfract| ((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|)) (SIGNATURE |pushdown| (|#4| |#4| |#2|)) (SIGNATURE |pushdterm| (|#4| (|SparseUnivariatePolynomial| |#4|) |#2|)) (SIGNATURE |pushup| (|#4| |#4| |#2|)) (SIGNATURE |pushucoef| (|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|)) (SIGNATURE |pushuconst| (|#4| (|Fraction| (|Polynomial| |#3|)) |#2|)) (SIGNATURE |factor| ((|Factored| |#4|) |#4|))) 
+((|factor| (((|Factored| |#4|) |#4|) 51))) 
+(((|MRationalFactorize| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|PolynomialCategory| (|Fraction| |#3|) |#1| |#2|)) (T |MRationalFactorize|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MRationalFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| *6) *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|))) 
+((|map| (((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)) 18))) 
+(((|MonoidRingFunctions2| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |map| ((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)))) (|Ring|) (|Ring|) (|Monoid|)) (T |MonoidRingFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|MonoidRing| *5 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Monoid|)) (|isDomain| *2 (|MonoidRing| *6 *7)) (|isDomain| *1 (|MonoidRingFunctions2| *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 26)) (|terms| (((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $) 27)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size| (((|NonNegativeInteger|)) 20 (AND (|has| |#2| (|Finite|)) (|has| |#1| (|Finite|))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 55) (((|Union| |#1| "failed") $) 58)) (|retract| ((|#2| $) NIL) ((|#1| $) NIL)) (|reductum| (($ $) 75 (|has| |#2| (|OrderedSet|)))) (|recip| (((|Union| $ "failed") $) 62)) (|random| (($) 33 (AND (|has| |#2| (|Finite|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 53)) (|monomials| (((|List| $) $) 37)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| |#2|) 16)) (|map| (($ (|Mapping| |#1| |#1|) $) 52)) (|lookup| (((|PositiveInteger|) $) 30 (AND (|has| |#2| (|Finite|)) (|has| |#1| (|Finite|))))) (|leadingMonomial| ((|#2| $) 74 (|has| |#2| (|OrderedSet|)))) (|leadingCoefficient| ((|#1| $) 73 (|has| |#2| (|OrderedSet|)))) (|latex| (((|String|) $) NIL)) (|index| (($ (|PositiveInteger|)) 25 (AND (|has| |#2| (|Finite|)) (|has| |#1| (|Finite|))))) (|hash| (((|SingleInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (AND (|has| |#2| (|Finite|)) (|has| |#1| (|Finite|))))) (|coerce| (((|OutputForm|) $) 72) (($ (|Integer|)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|)))) 11)) (|coefficients| (((|List| |#1|) $) 39)) (|coefficient| ((|#1| $ |#2|) 83)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 12 T CONST)) (|One| (($) 31 T CONST)) (= (((|Boolean|) $ $) 76)) (- (($ $) 46) (($ $ $) NIL)) (+ (($ $ $) 24)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) NIL (|has| |#1| (|CommutativeRing|))))) 
+(((|MonoidRing| |#1| |#2|) (|Join| (|Ring|) (|RetractableTo| |#2|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |monomial| ($ |#1| |#2|)) (SIGNATURE |coefficient| (|#1| $ |#2|)) (SIGNATURE |coerce| ($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))))) (SIGNATURE |terms| ((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |coefficients| ((|List| |#1|) $)) (SIGNATURE |monomials| ((|List| $) $)) (SIGNATURE |numberOfMonomials| ((|NonNegativeInteger|) $)) (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (IF (|has| |#1| (|Finite|)) (IF (|has| |#2| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) |noBranch|) (IF (|has| |#2| (|OrderedSet|)) (PROGN (SIGNATURE |leadingMonomial| (|#2| $)) (SIGNATURE |leadingCoefficient| (|#1| $)) (SIGNATURE |reductum| ($ $))) |noBranch|))) (|Ring|) (|Monoid|)) (T |MonoidRing|)) 
+((|monomial| (*1 *1 *2 *3) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) (|coefficient| (*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|Monoid|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)) (|isDomain| *1 (|MonoidRing| *3 *4)))) (|terms| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *4 (|Monoid|)))) (|monomial?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) (|coefficients| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) (|monomials| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|MonoidRing| *3 *4))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) (|numberOfMonomials| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) (|leadingMonomial| (*1 *2 *1) (AND (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|MonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Monoid|)))) (|reductum| (*1 *1 *1) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|))))) 
+(|Join| (|Ring|) (|RetractableTo| |#2|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |monomial| ($ |#1| |#2|)) (SIGNATURE |coefficient| (|#1| $ |#2|)) (SIGNATURE |coerce| ($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))))) (SIGNATURE |terms| ((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |coefficients| ((|List| |#1|) $)) (SIGNATURE |monomials| ((|List| $) $)) (SIGNATURE |numberOfMonomials| ((|NonNegativeInteger|) $)) (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (IF (|has| |#1| (|Finite|)) (IF (|has| |#2| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) |noBranch|) (IF (|has| |#2| (|OrderedSet|)) (PROGN (SIGNATURE |leadingMonomial| (|#2| $)) (SIGNATURE |leadingCoefficient| (|#1| $)) (SIGNATURE |reductum| ($ $))) |noBranch|))) 
+((~= (((|Boolean|) $ $) 18)) (|union| (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (|symmetricDifference| (($ $ $) 68)) (|subset?| (((|Boolean|) $ $) 69)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|set| (($ (|List| |#1|)) 64) (($) 63)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates!| (($ $) 58)) (|removeDuplicates| (($ $) 55 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) 54 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 53 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22)) (|intersect| (($ $ $) 65)) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37) (($ |#1| $ (|NonNegativeInteger|)) 59)) (|hash| (((|SingleInteger|) $) 21)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 48)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) 57)) (|difference| (($ $ |#1|) 67) (($ $ $) 66)) (|dictionary| (($) 46) (($ (|List| |#1|)) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 47)) (|coerce| (((|OutputForm|) $) 20)) (|brace| (($ (|List| |#1|)) 62) (($) 61)) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19)) (< (((|Boolean|) $ $) 60)) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|MultisetAggregate| |#1|) (|Category|) (|SetCategory|)) (T |MultisetAggregate|)) 
+NIL 
+(|Join| (|MultiDictionary| |t#1|) (|SetAggregate| |t#1|)) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|DictionaryOperations| |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|MultiDictionary| |#1|) . T) ((|SetAggregate| |#1|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|union| (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (|symmetricDifference| (($ $ $) 80)) (|subset?| (((|Boolean|) $ $) 83)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|set| (($ (|List| |#1|)) 24) (($) 15)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 71 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|removeDuplicates!| (($ $) 72)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $ (|Integer|)) 62) (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) 65)) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $ (|Integer|)) 67) (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) 68)) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|multiset| (($) 13) (($ |#1|) 26) (($ (|List| |#1|)) 21)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) 38)) (|member?| (((|Boolean|) |#1| $) 57 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 75 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 76)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|intersect| (($ $ $) 78)) (|inspect| ((|#1| $) 54)) (|insert!| (($ |#1| $) 55) (($ |#1| $ (|NonNegativeInteger|)) 73)) (|hash| (((|SingleInteger|) $) NIL)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|extract!| ((|#1| $) 53)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 49)) (|empty| (($) 12)) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) 47)) (|difference| (($ $ |#1|) NIL) (($ $ $) 79)) (|dictionary| (($) 14) (($ (|List| |#1|)) 23)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 60 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 66)) (|convert| (((|InputForm|) $) 36 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 20)) (|coerce| (((|OutputForm|) $) 44)) (|brace| (($ (|List| |#1|)) 25) (($) 16)) (|bag| (($ (|List| |#1|)) 22)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 81)) (< (((|Boolean|) $ $) 82)) (|#| (((|NonNegativeInteger|) $) 59 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Multiset| |#1|) (|Join| (|MultisetAggregate| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |multiset| ($)) (SIGNATURE |multiset| ($ |#1|)) (SIGNATURE |multiset| ($ (|List| |#1|))) (SIGNATURE |members| ((|List| |#1|) $)) (SIGNATURE |remove| ($ |#1| $ (|Integer|))) (SIGNATURE |remove| ($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|))) (SIGNATURE |remove!| ($ |#1| $ (|Integer|))) (SIGNATURE |remove!| ($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|))))) (|SetCategory|)) (T |Multiset|)) 
+((|multiset| (*1 *1) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) (|multiset| (*1 *1 *2) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) (|multiset| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Multiset| *3)))) (|members| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Multiset| *3)) (|ofCategory| *3 (|SetCategory|)))) (|remove| (*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) (|remove| (*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) (|remove!| (*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) (|remove!| (*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4))))) 
+(|Join| (|MultisetAggregate| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |multiset| ($)) (SIGNATURE |multiset| ($ |#1|)) (SIGNATURE |multiset| ($ (|List| |#1|))) (SIGNATURE |members| ((|List| |#1|) $)) (SIGNATURE |remove| ($ |#1| $ (|Integer|))) (SIGNATURE |remove| ($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|))) (SIGNATURE |remove!| ($ |#1| $ (|Integer|))) (SIGNATURE |remove!| ($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|))))) 
+((|systemCommand| (((|Void|) (|String|)) 8))) 
+(((|MoreSystemCommands|) (CATEGORY |package| (SIGNATURE |systemCommand| ((|Void|) (|String|))))) (T |MoreSystemCommands|)) 
+((|systemCommand| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MoreSystemCommands|))))) 
+(CATEGORY |package| (SIGNATURE |systemCommand| ((|Void|) (|String|)))) 
+((|mergeDifference| (((|List| |#1|) (|List| |#1|) (|List| |#1|)) 10))) 
+(((|MergeThing| |#1|) (CATEGORY |package| (SIGNATURE |mergeDifference| ((|List| |#1|) (|List| |#1|) (|List| |#1|)))) (|OrderedSet|)) (T |MergeThing|)) 
+((|mergeDifference| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|MergeThing| *3))))) 
+(CATEGORY |package| (SIGNATURE |mergeDifference| ((|List| |#1|) (|List| |#1|) (|List| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| |#2|) $) 134)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 127 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 126 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 124 (|has| |#1| (|IntegralDomain|)))) (|tanh| (($ $) 83 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 66 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sqrt| (($ $) 65 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) 82 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 67 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sech| (($ $) 81 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 68 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) 16 T CONST)) (|reductum| (($ $) 118)) (|recip| (((|Union| $ "failed") $) 33)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) 96) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 95)) (|pole?| (((|Boolean|) $) 135)) (|pi| (($) 93 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ |#2|) 98) (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) 97)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 64 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|monomial?| (((|Boolean|) $) 116)) (|monomial| (($ $ (|List| |#2|) (|List| (|IndexedExponents| |#2|))) 133) (($ $ |#2| (|IndexedExponents| |#2|)) 132) (($ |#1| (|IndexedExponents| |#2|)) 117) (($ $ |#2| (|NonNegativeInteger|)) 100) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 99)) (|map| (($ (|Mapping| |#1| |#1|) $) 115)) (|log| (($ $) 90 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) 113)) (|leadingCoefficient| ((|#1| $) 112)) (|latex| (((|String|) $) 9)) (|integrate| (($ $ |#2|) 94 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) 10)) (|extend| (($ $ (|NonNegativeInteger|)) 101)) (|exquo| (((|Union| $ "failed") $ $) 128 (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) 91 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (($ $ |#2| $) 109) (($ $ (|List| |#2|) (|List| $)) 108) (($ $ (|List| (|Equation| $))) 107) (($ $ (|Equation| $)) 106) (($ $ $ $) 105) (($ $ (|List| $) (|List| $)) 104)) (|differentiate| (($ $ |#2|) 41) (($ $ (|List| |#2|)) 40) (($ $ |#2| (|NonNegativeInteger|)) 39) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 38)) (|degree| (((|IndexedExponents| |#2|) $) 114)) (|csch| (($ $) 80 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 69 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 79 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 70 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 78 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 71 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 136)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 131 (|has| |#1| (|CommutativeRing|))) (($ $) 129 (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Integer|))) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coefficient| ((|#1| $ (|IndexedExponents| |#2|)) 119) (($ $ |#2| (|NonNegativeInteger|)) 103) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 102)) (|charthRoot| (((|Union| $ "failed") $) 130 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|atanh| (($ $) 89 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 77 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) 125 (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 88 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 76 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 87 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 75 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsch| (($ $) 86 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 74 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 85 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 73 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 84 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 72 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ |#2|) 37) (($ $ (|List| |#2|)) 36) (($ $ |#2| (|NonNegativeInteger|)) 35) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 34)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 120 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ $) 92 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 63 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
+(((|MultivariateTaylorSeriesCategory| |#1| |#2|) (|Category|) (|Ring|) (|OrderedSet|)) (T |MultivariateTaylorSeriesCategory|)) 
+((|coefficient| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) (|coefficient| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) (|extend| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)))) (|monomial| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) (|monomial| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) (|order| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|order| (*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)))) (|polynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) (|polynomial| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) (|integrate| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))))) 
+(|Join| (|PartialDifferentialRing| |t#2|) (|PowerSeriesCategory| |t#1| (|IndexedExponents| |t#2|) |t#2|) (|InnerEvalable| |t#2| $) (|Evalable| $) (CATEGORY |domain| (SIGNATURE |coefficient| ($ $ |t#2| (|NonNegativeInteger|))) (SIGNATURE |coefficient| ($ $ (|List| |t#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |extend| ($ $ (|NonNegativeInteger|))) (SIGNATURE |monomial| ($ $ |t#2| (|NonNegativeInteger|))) (SIGNATURE |monomial| ($ $ (|List| |t#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |order| ((|NonNegativeInteger|) $ |t#2|)) (SIGNATURE |order| ((|NonNegativeInteger|) $ |t#2| (|NonNegativeInteger|))) (SIGNATURE |polynomial| ((|Polynomial| |t#1|) $ (|NonNegativeInteger|))) (SIGNATURE |polynomial| ((|Polynomial| |t#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $ |t#2|)) (ATTRIBUTE (|RadicalCategory|)) (ATTRIBUTE (|TranscendentalFunctionCategory|))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|IndexedExponents| |#2|)) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|ElementaryFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|Evalable| $) . T) ((|HyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|InnerEvalable| |#2| $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) . T) ((|PartialDifferentialRing| |#2|) . T) ((|PowerSeriesCategory| |#1| (|IndexedExponents| |#2|) |#2|) . T) ((|RadicalCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|TranscendentalFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|TrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|))))) 
+((|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) 28) (((|Factored| |#4|) |#4|) 24))) 
+(((|MultivariateFactorize| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|)) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|PolynomialCategory| |#3| |#2| |#1|)) (T |MultivariateFactorize|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#4|) |#4|)) (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)))) 
+((|univcase| (((|Factored| |#4|) |#4| |#2|) 116)) (|squareFreePrim| (((|Factored| |#4|) |#4|) NIL)) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) 107) (((|Factored| |#4|) |#4|) 38)) (|nsqfree| (((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) 65)) (|normDeriv2| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) 133)) (|myDegree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|)) 58)) (|lift| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|)) 62)) (|intChoose| (((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) 22)) (|consnewpol| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) 54)) (|compdegd| (((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) 130)) (|coefChoose| ((|#4| (|Integer|) (|Factored| |#4|)) 55)) (|check| (((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) NIL))) 
+(((|MultivariateSquareFree| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |squareFree| ((|Factored| |#4|) |#4|)) (SIGNATURE |squareFree| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |squareFreePrim| ((|Factored| |#4|) |#4|)) (SIGNATURE |compdegd| ((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))))) (SIGNATURE |univcase| ((|Factored| |#4|) |#4| |#2|)) (SIGNATURE |consnewpol| ((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|))) (SIGNATURE |nsqfree| ((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|)))) (SIGNATURE |intChoose| ((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|)))) (SIGNATURE |coefChoose| (|#4| (|Integer|) (|Factored| |#4|))) (SIGNATURE |check| ((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))))) (SIGNATURE |lift| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|))) (SIGNATURE |myDegree| ((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|))) (SIGNATURE |normDeriv2| ((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|EuclideanDomain|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |MultivariateSquareFree|)) 
+((|normDeriv2| (*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *3 (|Integer|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) (|myDegree| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *5 (|NonNegativeInteger|)))) (|lift| (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| AND (|isDomain| *4 (|SparseUnivariatePolynomial| *11)) (|isDomain| *6 (|List| *10)) (|isDomain| *7 (|List| (|NonNegativeInteger|))) (|isDomain| *8 (|List| *11)) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *11 (|EuclideanDomain|)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|PolynomialCategory| *11 *9 *10)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|MultivariateSquareFree| *9 *10 *11 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) (|check| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) (|coefChoose| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *1 (|MultivariateSquareFree| *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|EuclideanDomain|)))) (|intChoose| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |upol| (|SparseUnivariatePolynomial| *8)) (|:| |Lval| (|List| *8)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *8)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| *8))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)))) (|nsqfree| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |unitPart| *9) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *9)) (|:| |exponent| (|Integer|))))))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)))) (|consnewpol| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *9)) (|:| |polval| (|SparseUnivariatePolynomial| *8)))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) (|univcase| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) (|compdegd| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) (|squareFreePrim| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5)))) (|squareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) (|squareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |squareFree| ((|Factored| |#4|) |#4|)) (SIGNATURE |squareFree| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |squareFreePrim| ((|Factored| |#4|) |#4|)) (SIGNATURE |compdegd| ((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))))) (SIGNATURE |univcase| ((|Factored| |#4|) |#4| |#2|)) (SIGNATURE |consnewpol| ((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|))) (SIGNATURE |nsqfree| ((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|)))) (SIGNATURE |intChoose| ((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|)))) (SIGNATURE |coefChoose| (|#4| (|Integer|) (|Factored| |#4|))) (SIGNATURE |check| ((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))))) (SIGNATURE |lift| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|))) (SIGNATURE |myDegree| ((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|))) (SIGNATURE |normDeriv2| ((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|Symbol|)) $) NIL)) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) NIL (|has| |#2| (|IntegralDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|tower| (((|List| (|Kernel| $)) $) NIL)) (|summation| (($ $ (|SegmentBinding| $)) NIL) (($ $ (|Symbol|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subst| (($ $ (|Equation| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL)) (|squareFreePart| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|IntegralDomain|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Kernel| $) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL) (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Polynomial| |#2|)) "failed") $) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| (|Polynomial| |#2|) "failed") $) NIL (|has| |#2| (|Ring|))) (((|Union| (|MyUnivariatePolynomial| |#1| |#2|) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (OR (AND (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|RetractableTo| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))))) (|retract| (((|Kernel| $) $) NIL) (((|Symbol|) $) NIL) ((|#2| $) NIL) (((|Fraction| (|Polynomial| |#2|)) $) 20 (|has| |#2| (|IntegralDomain|))) (((|Polynomial| |#2|) $) 26 (|has| |#2| (|Ring|))) (((|MyUnivariatePolynomial| |#1| |#2|) $) 27) (((|Integer|) $) NIL) (((|Fraction| (|MyUnivariatePolynomial| |#1| |#2|)) $) 25) (((|Fraction| (|Integer|)) $) NIL (OR (AND (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|RetractableTo| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))))) (|rem| (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|Ring|))) (((|Matrix| |#2|) (|Matrix| $)) NIL (|has| |#2| (|Ring|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|))))) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|product| (($ $ (|SegmentBinding| $)) NIL) (($ $ (|Symbol|)) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#2| (|IntegralDomain|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|permutation| (($ $ $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| |#2| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| |#2| (|PatternMatchable| (|Float|))))) (|paren| (($ $) NIL) (($ (|List| $)) NIL)) (|operators| (((|List| (|BasicOperator|)) $) NIL)) (|operator| (((|BasicOperator|) (|BasicOperator|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|odd?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|numerator| (($ $) NIL)) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) NIL (|has| |#2| (|Ring|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|IntegralDomain|)))) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) NIL (|has| $ (|Ring|)))) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|map| (($ (|Mapping| $ $) (|Kernel| $)) NIL)) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|IntegralDomain|))) (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|latex| (((|String|) $) NIL)) (|kernels| (((|List| (|Kernel| $)) $) NIL)) (|kernel| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL (|has| |#2| (|SemiGroup|)))) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) NIL (|has| |#2| (|Ring|)))) (|isPlus| (((|Union| (|List| $) "failed") $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) NIL (|has| |#2| (|SemiGroup|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) NIL (|has| |#2| (|Ring|))) (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) NIL (|has| |#2| (|Ring|)))) (|is?| (((|Boolean|) $ (|BasicOperator|)) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|inv| (($ $) NIL (OR (|has| |#2| (|Group|)) (|has| |#2| (|IntegralDomain|))))) (|height| (((|NonNegativeInteger|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#2| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|IntegralDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|IntegralDomain|))) (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|freeOf?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|Symbol|)) NIL)) (|factorials| (($ $ (|Symbol|)) NIL) (($ $) NIL)) (|factorial| (($ $) NIL)) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|IntegralDomain|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (|IntegralDomain|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|IntegralDomain|)))) (|even?| (((|Boolean|) $) NIL (|has| $ (|RetractableTo| (|Integer|))))) (|eval| (($ $ (|Kernel| $) $) NIL) (($ $ (|List| (|Kernel| $)) (|List| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|Symbol|) (|Mapping| $ (|List| $))) NIL) (($ $ (|Symbol|) (|Mapping| $ $)) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) NIL) (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) NIL) (($ $ (|BasicOperator|) (|Mapping| $ $)) NIL) (($ $ (|Symbol|)) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (($ $) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (($ $ (|BasicOperator|) $ (|Symbol|)) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) NIL (|has| |#2| (|Ring|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) NIL (|has| |#2| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) NIL (|has| |#2| (|Ring|))) (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) NIL (|has| |#2| (|Ring|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|elt| (($ (|BasicOperator|) $) NIL) (($ (|BasicOperator|) $ $) NIL) (($ (|BasicOperator|) $ $ $) NIL) (($ (|BasicOperator|) $ $ $ $) NIL) (($ (|BasicOperator|) (|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|distribute| (($ $) NIL) (($ $ $) NIL)) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|definingPolynomial| (($ $) NIL (|has| $ (|Ring|)))) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) (($ (|Factored| $)) NIL (|has| |#2| (|IntegralDomain|))) (((|InputForm|) $) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $ $) NIL (|has| |#2| (|Group|)))) (|commutator| (($ $ $) NIL (|has| |#2| (|Group|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Kernel| $)) NIL) (($ (|Symbol|)) NIL) (($ |#2|) NIL) (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) NIL (|has| |#2| (|Ring|))) (($ (|Fraction| |#2|)) NIL (|has| |#2| (|IntegralDomain|))) (($ (|Polynomial| (|Fraction| |#2|))) NIL (|has| |#2| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) NIL (|has| |#2| (|IntegralDomain|))) (($ (|Fraction| (|Polynomial| |#2|))) NIL (|has| |#2| (|IntegralDomain|))) (($ (|Polynomial| |#2|)) NIL (|has| |#2| (|Ring|))) (($ $) NIL) (($ (|Integer|)) NIL) (($ (|MyUnivariatePolynomial| |#1| |#2|)) NIL) (($ (|Fraction| (|MyUnivariatePolynomial| |#1| |#2|))) 35) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|IntegralDomain|)) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#2| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|box| (($ $) NIL) (($ (|List| $)) NIL)) (|binomial| (($ $ $) NIL)) (|belong?| (((|Boolean|) (|BasicOperator|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|applyQuote| (($ (|Symbol|) $) NIL) (($ (|Symbol|) $ $) NIL) (($ (|Symbol|) $ $ $) NIL) (($ (|Symbol|) $ $ $ $) NIL) (($ (|Symbol|) (|List| $)) NIL)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL) (($ $ (|Integer|)) NIL (OR (|has| |#2| (|Group|)) (|has| |#2| (|IntegralDomain|))))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) NIL (|has| |#2| (|IntegralDomain|))) (($ $ $) NIL)) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL) (($ $ $) NIL) (($ $ (|Integer|)) NIL (OR (|has| |#2| (|Group|)) (|has| |#2| (|IntegralDomain|))))) (* (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|IntegralDomain|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|IntegralDomain|))) (($ |#2| $) NIL (|has| |#2| (|CommutativeRing|))) (($ $ |#2|) NIL (|has| |#2| (|CommutativeRing|))) (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL))) 
+(((|MyExpression| |#1| |#2|) (|Join| (|FunctionSpace| |#2|) (|IntegralDomain|) (|RetractableTo| (|MyUnivariatePolynomial| |#1| |#2|)) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $)) (SIGNATURE |coerce| ($ (|Fraction| (|MyUnivariatePolynomial| |#1| |#2|)))) (SIGNATURE |retract| ((|Fraction| (|MyUnivariatePolynomial| |#1| |#2|)) $)))) (|Symbol|) (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))) (T |MyExpression|)) 
+((|ground?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) (* (*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) (/ (*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) (** (*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) (|numerator| (*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) (|denominator| (*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|MyExpression| *3 *4)))) (|retract| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|)))))) 
+(|Join| (|FunctionSpace| |#2|) (|IntegralDomain|) (|RetractableTo| (|MyUnivariatePolynomial| |#1| |#2|)) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $)) (SIGNATURE |coerce| ($ (|Fraction| (|MyUnivariatePolynomial| |#1| |#2|)))) (SIGNATURE |retract| ((|Fraction| (|MyUnivariatePolynomial| |#1| |#2|)) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|unvectorise| (($ (|Vector| |#2|)) NIL)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) NIL) (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantGcd| (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#2| (|Field|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) NIL)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) NIL)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) 22) (((|Symbol|) $) 23)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|CommutativeRing|))) ((|#2| $ $) NIL (|has| |#2| (|CommutativeRing|)))) (|rem| (($ $ $) NIL (|has| |#2| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#2| (|Field|)))) (|pseudoRemainder| (($ $ $) NIL)) (|pseudoQuotient| (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#2| (|Field|)))) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#2| (|NonNegativeInteger|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#2| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#2|) (|SingletonAsOrderedSet|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) NIL)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|Field|)))) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|NonNegativeInteger|)) 17) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) NIL) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (|has| |#2| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#2| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) NIL)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#2| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|Field|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#2|) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#2|)) NIL) (($ $ (|SingletonAsOrderedSet|) $) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#2| (|Field|)))) (|elt| ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) NIL (|has| |#2| (|IntegralDomain|))) ((|#2| (|Fraction| $) |#2|) NIL (|has| |#2| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) NIL (|has| |#2| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|CommutativeRing|))) ((|#2| $) NIL (|has| |#2| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#2| $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|composite| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) NIL (|has| |#2| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) 13) (($ (|Integer|)) NIL) (($ |#2|) 26) (($ (|SingletonAsOrderedSet|)) NIL) (($ (|Variable| |#1|)) 20) (($ (|Polynomial| |#2|)) 34) (($ (|Symbol|)) 18) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) 14 T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((|MyUnivariatePolynomial| |#1| |#2|) (|Join| (|UnivariatePolynomialCategory| |#2|) (CATEGORY |domain| (ATTRIBUTE (|RetractableTo| (|Symbol|))) (SIGNATURE |coerce| ($ (|Variable| |#1|))) (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#2| $)) (IF (|has| |#2| (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |#2|) |#2| (|Symbol|)))) (SIGNATURE |coerce| ($ |#2|)) |noBranch|) (SIGNATURE |coerce| ($ (|Polynomial| |#2|))))) (|Symbol|) (|Ring|)) (T |MyUnivariatePolynomial|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *1 (|MyUnivariatePolynomial| *3 *2)) (|ofType| *3 (|Symbol|)) (|ofCategory| *2 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) (|fmecg| (*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MyUnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofType| *3 (|Symbol|))))) 
+(|Join| (|UnivariatePolynomialCategory| |#2|) (CATEGORY |domain| (ATTRIBUTE (|RetractableTo| (|Symbol|))) (SIGNATURE |coerce| ($ (|Variable| |#1|))) (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#2| $)) (IF (|has| |#2| (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |#2|) |#2| (|Symbol|)))) (SIGNATURE |coerce| ($ |#2|)) |noBranch|) (SIGNATURE |coerce| ($ (|Polynomial| |#2|))))) 
+((|plenaryPower| (($ $ (|PositiveInteger|)) 12))) 
+(((|NonAssociativeAlgebra&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |plenaryPower| (|#1| |#1| (|PositiveInteger|)))) (|NonAssociativeAlgebra| |#2|) (|CommutativeRing|)) (T |NonAssociativeAlgebra&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |plenaryPower| (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|rightPower| (($ $ (|PositiveInteger|)) 27)) (|plenaryPower| (($ $ (|PositiveInteger|)) 32)) (|leftPower| (($ $ (|PositiveInteger|)) 28)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|commutator| (($ $ $) 24)) (|coerce| (((|OutputForm|) $) 11)) (|associator| (($ $ $ $) 25)) (|antiCommutator| (($ $ $) 23)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 29)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((|NonAssociativeAlgebra| |#1|) (|Category|) (|CommutativeRing|)) (T |NonAssociativeAlgebra|)) 
+((|plenaryPower| (*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|NonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(|Join| (|NonAssociativeRng|) (|Module| |t#1|) (CATEGORY |domain| (SIGNATURE |plenaryPower| ($ $ (|PositiveInteger|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|Module| |#1|) . T) ((|Monad|) . T) ((|NonAssociativeRng|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((|c02agf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) 24)) (|c02aff| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) 23))) 
+(((|NagPolynomialRootsPackage|) (CATEGORY |package| (SIGNATURE |c02aff| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|))) (SIGNATURE |c02agf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|))))) (T |NagPolynomialRootsPackage|)) 
+((|c02agf| (*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|)))) (|c02aff| (*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |c02aff| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|))) (SIGNATURE |c02agf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)))) 
+((|c05pbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) 43)) (|c05nbf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) 39)) (|c05adf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) 32))) 
+(((|NagRootFindingPackage|) (CATEGORY |package| (SIGNATURE |c05adf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |c05nbf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN))))) (SIGNATURE |c05pbf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN))))))) (T |NagRootFindingPackage|)) 
+((|c05pbf| (*1 *2 *3 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|)))) (|c05nbf| (*1 *2 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|)))) (|c05adf| (*1 *2 *3 *3 *3 *3 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(CATEGORY |package| (SIGNATURE |c05adf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |c05nbf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN))))) (SIGNATURE |c05pbf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))))) 
+((|c06gsf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 33)) (|c06gqf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 32)) (|c06gcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 31)) (|c06gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 30)) (|c06fuf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 29)) (|c06frf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 28)) (|c06fqf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 27)) (|c06fpf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 26)) (|c06ekf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 23)) (|c06ecf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 22)) (|c06ebf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 21)) (|c06eaf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 20))) 
+(((|NagSeriesSummationPackage|) (CATEGORY |package| (SIGNATURE |c06eaf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06ebf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06ecf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06ekf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06fpf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06fqf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06frf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06fuf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gqf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gsf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))))) (T |NagSeriesSummationPackage|)) 
+((|c06gsf| (*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06gqf| (*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06gcf| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06gbf| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06fuf| (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06frf| (*1 *2 *3 *3 *4 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06fqf| (*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06fpf| (*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06ekf| (*1 *2 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06ecf| (*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06ebf| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|)))) (|c06eaf| (*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |c06eaf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06ebf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06ecf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06ekf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06fpf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06fqf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06frf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06fuf| ((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gqf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |c06gsf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)))) 
+((|d01gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) 52)) (|d01gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|)) 51)) (|d01fcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) 50)) (|d01bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 46)) (|d01asf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) 45)) (|d01aqf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) 44)) (|d01apf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) 43)) (|d01anf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) 42)) (|d01amf| (((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) 38)) (|d01alf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) 37)) (|d01akf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) 33)) (|d01ajf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) 32))) 
+(((|NagIntegrationPackage|) (CATEGORY |package| (SIGNATURE |d01ajf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01akf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01alf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01amf| ((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01anf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01apf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01aqf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01asf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01bbf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |d01fcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN))))) (SIGNATURE |d01gaf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|))) (SIGNATURE |d01gbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN))))))) (T |NagIntegrationPackage|)) 
+((|d01gbf| (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01gaf| (*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01fcf| (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01bbf| (*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01asf| (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01aqf| (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01apf| (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01anf| (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01amf| (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01alf| (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01akf| (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|)))) (|d01ajf| (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |d01ajf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01akf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01alf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01amf| ((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F))))) (SIGNATURE |d01anf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01apf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01aqf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01asf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G))))) (SIGNATURE |d01bbf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |d01fcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN))))) (SIGNATURE |d01gaf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|))) (SIGNATURE |d01gbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))))) 
+((|d02raf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) 76)) (|d02kef| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|)) 69) (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) 68)) (|d02gbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) 57)) (|d02gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) 50)) (|d02ejf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) 49)) (|d02cjf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) 45)) (|d02bhf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) 42)) (|d02bbf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) 38))) 
+(((|NagOrdinaryDifferentialEquationsPackage|) (CATEGORY |package| (SIGNATURE |d02bbf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT))))) (SIGNATURE |d02bhf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))))) (SIGNATURE |d02cjf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT))))) (SIGNATURE |d02ejf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT))))) (SIGNATURE |d02gaf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))))) (SIGNATURE |d02gbf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG))))) (SIGNATURE |d02kef| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))))) (SIGNATURE |d02kef| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|))) (SIGNATURE |d02raf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP))))))) (T |NagOrdinaryDifferentialEquationsPackage|)) 
+((|d02raf| (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02kef| (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *8 (|FileName|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02kef| (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02gbf| (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02gaf| (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02ejf| (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV)))) (|isDomain| *10 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02cjf| (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02bhf| (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) (|d02bbf| (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |d02bbf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT))))) (SIGNATURE |d02bhf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))))) (SIGNATURE |d02cjf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT))))) (SIGNATURE |d02ejf| ((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT))))) (SIGNATURE |d02gaf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))))) (SIGNATURE |d02gbf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG))))) (SIGNATURE |d02kef| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))))) (SIGNATURE |d02kef| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|))) (SIGNATURE |d02raf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))))) 
+((|d03faf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)) 45)) (|d03eef| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) 41)) (|d03edf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 23))) 
+(((|NagPartialDifferentialEquationsPackage|) (CATEGORY |package| (SIGNATURE |d03edf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |d03eef| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY))))) (SIGNATURE |d03faf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|))))) (T |NagPartialDifferentialEquationsPackage|)) 
+((|d03faf| (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|ThreeDimensionalMatrix| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|)))) (|d03eef| (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|)))) (|d03edf| (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |d03edf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |d03eef| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY))))) (SIGNATURE |d03faf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)))) 
+((|e01sff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 35)) (|e01sef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 34)) (|e01sbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 33)) (|e01saf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 29)) (|e01daf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 28)) (|e01bhf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 27)) (|e01bgf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 23)) (|e01bff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 22)) (|e01bef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 21)) (|e01baf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) 20))) 
+(((|NagInterpolationPackage|) (CATEGORY |package| (SIGNATURE |e01baf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e01bef| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01bff| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01bgf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01bhf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e01daf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01saf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01sbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e01sef| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e01sff| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))))) (T |NagInterpolationPackage|)) 
+((|e01sff| (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01sef| (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01sbf| (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01saf| (*1 *2 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01daf| (*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01bhf| (*1 *2 *3 *4 *4 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01bgf| (*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01bff| (*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01bef| (*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|)))) (|e01baf| (*1 *2 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |e01baf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e01bef| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01bff| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01bgf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01bhf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e01daf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01saf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e01sbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e01sef| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e01sff| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)))) 
+((|e02zaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) 45)) (|e02gaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 44)) (|e02dff| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) 43)) (|e02def| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 42)) (|e02ddf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 41)) (|e02dcf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) 40)) (|e02daf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 39)) (|e02bef| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|))) 38)) (|e02bdf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 35)) (|e02bcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|)) 34)) (|e02bbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) 33)) (|e02baf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 32)) (|e02akf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|)) 31)) (|e02ajf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|)) 30)) (|e02ahf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 29)) (|e02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) 28)) (|e02aef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) 24)) (|e02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 20))) 
+(((|NagFittingPackage|) (CATEGORY |package| (SIGNATURE |e02adf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02aef| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e02agf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02ahf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02ajf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02akf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e02baf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02bbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e02bcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|))) (SIGNATURE |e02bdf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02bef| ((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)))) (SIGNATURE |e02daf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02dcf| ((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |e02ddf| ((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02def| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02dff| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02gaf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02zaf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))))) (T |NagFittingPackage|)) 
+((|e02zaf| (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02gaf| (*1 *2 *3 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02dff| (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02def| (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02ddf| (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02dcf| (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02daf| (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02bef| (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02bdf| (*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02bcf| (*1 *2 *3 *4 *4 *5 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02bbf| (*1 *2 *3 *4 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02baf| (*1 *2 *3 *3 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02akf| (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02ajf| (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02ahf| (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02agf| (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02aef| (*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|)))) (|e02adf| (*1 *2 *3 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(CATEGORY |package| (SIGNATURE |e02adf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02aef| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e02agf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02ahf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02ajf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02akf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e02baf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02bbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|))) (SIGNATURE |e02bcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|))) (SIGNATURE |e02bdf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02bef| ((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)))) (SIGNATURE |e02daf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02dcf| ((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |e02ddf| ((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02def| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02dff| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |e02gaf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e02zaf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)))) 
+((|e04ycf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 63)) (|e04ucf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) 62)) (|e04naf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) 58)) (|e04mbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 51)) (|e04jaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) 50)) (|e04gcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) 46)) (|e04fdf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) 42)) (|e04dgf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) 38))) 
+(((|NagOptimisationPackage|) (CATEGORY |package| (SIGNATURE |e04dgf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN))))) (SIGNATURE |e04fdf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1))))) (SIGNATURE |e04gcf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2))))) (SIGNATURE |e04jaf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1))))) (SIGNATURE |e04mbf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e04naf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS))))) (SIGNATURE |e04ucf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN))))) (SIGNATURE |e04ycf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))))) (T |NagOptimisationPackage|)) 
+((|e04ycf| (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04ucf| (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04naf| (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Boolean|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04mbf| (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04jaf| (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04gcf| (*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04fdf| (*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|)))) (|e04dgf| (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |e04dgf| ((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN))))) (SIGNATURE |e04fdf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1))))) (SIGNATURE |e04gcf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2))))) (SIGNATURE |e04jaf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1))))) (SIGNATURE |e04mbf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |e04naf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS))))) (SIGNATURE |e04ucf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN))))) (SIGNATURE |e04ycf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)))) 
+((|f01ref| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) 46)) (|f01rdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) 45)) (|f01rcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) 44)) (|f01qef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 40)) (|f01qdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 39)) (|f01qcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 36)) (|f01mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|)) 35)) (|f01maf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 34)) (|f01bsf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 33)) (|f01brf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|)) 32))) 
+(((|NagMatrixOperationsPackage|) (CATEGORY |package| (SIGNATURE |f01brf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |f01bsf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01maf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |f01mcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |f01qcf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01qdf| ((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01qef| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01rcf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |f01rdf| ((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |f01ref| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))))) (T |NagMatrixOperationsPackage|)) 
+((|f01ref| (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01rdf| (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01rcf| (*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01qef| (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01qdf| (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01qcf| (*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01mcf| (*1 *2 *3 *4 *3 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01maf| (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (AND (|isDomain| *4 (|List| (|Boolean|))) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *7 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01bsf| (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (AND (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *3 (|Integer|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|)))) (|f01brf| (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (AND (|isDomain| *6 (|List| (|Boolean|))) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *8 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |f01brf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |f01bsf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01maf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |f01mcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |f01qcf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01qdf| ((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01qef| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f01rcf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |f01rdf| ((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |f01ref| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)))) 
+((|f02xef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) 64)) (|f02wef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 60)) (|f02fjf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|)) 56) (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) 55)) (|f02bjf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 37)) (|f02bbf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 33)) (|f02axf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 29)) (|f02awf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 28)) (|f02akf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 27)) (|f02ajf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 26)) (|f02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 25)) (|f02aff| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 24)) (|f02aef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 23)) (|f02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 22)) (|f02abf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 21)) (|f02aaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 20))) 
+(((|NagEigenPackage|) (CATEGORY |package| (SIGNATURE |f02aaf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02abf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f02adf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02aef| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02aff| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02agf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02ajf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02akf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02awf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02axf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f02bbf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02bjf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02fjf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))))) (SIGNATURE |f02fjf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|))) (SIGNATURE |f02wef| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02xef| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))))) (T |NagEigenPackage|)) 
+((|f02xef| (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02wef| (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02fjf| (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *8 (|FileName|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02fjf| (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02bjf| (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02bbf| (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02axf| (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02awf| (*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02akf| (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02ajf| (*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02agf| (*1 *2 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02aff| (*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02aef| (*1 *2 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02adf| (*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02abf| (*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) (|f02aaf| (*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(CATEGORY |package| (SIGNATURE |f02aaf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02abf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f02adf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02aef| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02aff| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02agf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02ajf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02akf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02awf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02axf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f02bbf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02bjf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02fjf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))))) (SIGNATURE |f02fjf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|))) (SIGNATURE |f02wef| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f02xef| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)))) 
+((|f04qaf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) 60)) (|f04mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 56)) (|f04mbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) 55)) (|f04maf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) 36)) (|f04jgf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 35)) (|f04faf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) 31)) (|f04axf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|))) 30)) (|f04atf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) 26)) (|f04asf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 25)) (|f04arf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) 24)) (|f04adf| (((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) 20))) 
+(((|NagLinearEquationSolvingPackage|) (CATEGORY |package| (SIGNATURE |f04adf| ((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |f04arf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04asf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04atf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f04axf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f04faf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04jgf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04maf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |f04mbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE))))) (SIGNATURE |f04mcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f04qaf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD))))))) (T |NagLinearEquationSolvingPackage|)) 
+((|f04qaf| (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04mcf| (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04mbf| (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04maf| (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04jgf| (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04faf| (*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04axf| (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04atf| (*1 *2 *3 *4 *3 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04asf| (*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04arf| (*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|)))) (|f04adf| (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(CATEGORY |package| (SIGNATURE |f04adf| ((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |f04arf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04asf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04atf| ((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f04axf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f04faf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04jgf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |f04maf| ((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|))) (SIGNATURE |f04mbf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE))))) (SIGNATURE |f04mcf| ((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |f04qaf| ((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))))) 
+((|f07fef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) 28)) (|f07fdf| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) 27)) (|f07aef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|))) 26)) (|f07adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) 20))) 
+(((|NagLapack|) (CATEGORY |package| (SIGNATURE |f07adf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f07aef| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f07fdf| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f07fef| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)))))) (T |NagLapack|)) 
+((|f07fef| (*1 *2 *3 *4 *4 *5 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|)))) (|f07fdf| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|)))) (|f07aef| (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|)))) (|f07adf| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(CATEGORY |package| (SIGNATURE |f07adf| ((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f07aef| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f07fdf| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |f07fef| ((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))))) 
+((|s21bdf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 62)) (|s21bcf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 61)) (|s21bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 60)) (|s21baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 59)) (|s20adf| (((|Result|) (|DoubleFloat|) (|Integer|)) 58)) (|s20acf| (((|Result|) (|DoubleFloat|) (|Integer|)) 57)) (|s19adf| (((|Result|) (|DoubleFloat|) (|Integer|)) 56)) (|s19acf| (((|Result|) (|DoubleFloat|) (|Integer|)) 55)) (|s19abf| (((|Result|) (|DoubleFloat|) (|Integer|)) 54)) (|s19aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) 53)) (|s18def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) 52)) (|s18dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) 51)) (|s18aff| (((|Result|) (|DoubleFloat|) (|Integer|)) 50)) (|s18aef| (((|Result|) (|DoubleFloat|) (|Integer|)) 49)) (|s18adf| (((|Result|) (|DoubleFloat|) (|Integer|)) 48)) (|s18acf| (((|Result|) (|DoubleFloat|) (|Integer|)) 47)) (|s17dlf| (((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) 46)) (|s17dhf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) 45)) (|s17dgf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) 44)) (|s17def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) 43)) (|s17dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) 42)) (|s17akf| (((|Result|) (|DoubleFloat|) (|Integer|)) 39)) (|s17ajf| (((|Result|) (|DoubleFloat|) (|Integer|)) 38)) (|s17ahf| (((|Result|) (|DoubleFloat|) (|Integer|)) 37)) (|s17agf| (((|Result|) (|DoubleFloat|) (|Integer|)) 36)) (|s17aff| (((|Result|) (|DoubleFloat|) (|Integer|)) 35)) (|s17aef| (((|Result|) (|DoubleFloat|) (|Integer|)) 34)) (|s17adf| (((|Result|) (|DoubleFloat|) (|Integer|)) 33)) (|s17acf| (((|Result|) (|DoubleFloat|) (|Integer|)) 32)) (|s15aef| (((|Result|) (|DoubleFloat|) (|Integer|)) 31)) (|s15adf| (((|Result|) (|DoubleFloat|) (|Integer|)) 30)) (|s14baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) 29)) (|s14abf| (((|Result|) (|DoubleFloat|) (|Integer|)) 28)) (|s14aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) 27)) (|s13adf| (((|Result|) (|DoubleFloat|) (|Integer|)) 26)) (|s13acf| (((|Result|) (|DoubleFloat|) (|Integer|)) 25)) (|s13aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) 24)) (|s01eaf| (((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|)) 20))) 
+(((|NagSpecialFunctionsPackage|) (CATEGORY |package| (SIGNATURE |s01eaf| ((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |s13aaf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s13acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s13adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s14aaf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s14abf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s14baf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s15adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s15aef| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17aef| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17aff| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17agf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17ahf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17ajf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17akf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17dcf| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s17def| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s17dgf| ((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|))) (SIGNATURE |s17dhf| ((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|))) (SIGNATURE |s17dlf| ((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s18acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18aef| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18aff| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18dcf| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s18def| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s19aaf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s19abf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s19acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s19adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s20acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s20adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21baf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21bbf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21bcf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21bdf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))))) (T |NagSpecialFunctionsPackage|)) 
+((|s21bdf| (*1 *2 *3 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s21bcf| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s21bbf| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s21baf| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s20adf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s20acf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s19adf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s19acf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s19abf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s19aaf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s18def| (*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s18dcf| (*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s18aff| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s18aef| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s18adf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s18acf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17dlf| (*1 *2 *3 *4 *5 *3 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Complex| (|DoubleFloat|))) (|isDomain| *6 (|String|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17dhf| (*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17dgf| (*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17def| (*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17dcf| (*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17akf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17ajf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17ahf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17agf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17aff| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17aef| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17adf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s17acf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s15aef| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s15adf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s14baf| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s14abf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s14aaf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s13adf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s13acf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s13aaf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|)))) (|s01eaf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |s01eaf| ((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|))) (SIGNATURE |s13aaf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s13acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s13adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s14aaf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s14abf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s14baf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s15adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s15aef| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17aef| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17aff| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17agf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17ahf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17ajf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17akf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s17dcf| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s17def| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s17dgf| ((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|))) (SIGNATURE |s17dhf| ((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|))) (SIGNATURE |s17dlf| ((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s18acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18aef| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18aff| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s18dcf| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s18def| ((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|))) (SIGNATURE |s19aaf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s19abf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s19acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s19adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s20acf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s20adf| ((|Result|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21baf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21bbf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21bcf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|))) (SIGNATURE |s21bdf| ((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)))) 
+((|restorePrecision| (((|Void|)) 18)) (|fortranLinkerArgs| (((|String|)) 22)) (|fortranCompilerName| (((|String|)) 21)) (|dimensionsOf| (((|SExpression|) (|Symbol|) (|Matrix| (|Integer|))) 35) (((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|))) 31)) (|checkPrecision| (((|Boolean|)) 16)) (|aspFilename| (((|String|) (|String|)) 25))) 
+(((|NAGLinkSupportPackage|) (CATEGORY |package| (SIGNATURE |fortranCompilerName| ((|String|))) (SIGNATURE |fortranLinkerArgs| ((|String|))) (SIGNATURE |aspFilename| ((|String|) (|String|))) (SIGNATURE |dimensionsOf| ((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |dimensionsOf| ((|SExpression|) (|Symbol|) (|Matrix| (|Integer|)))) (SIGNATURE |checkPrecision| ((|Boolean|))) (SIGNATURE |restorePrecision| ((|Void|))))) (T |NAGLinkSupportPackage|)) 
+((|restorePrecision| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) (|checkPrecision| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) (|dimensionsOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) (|dimensionsOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) (|aspFilename| (*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) (|fortranLinkerArgs| (*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) (|fortranCompilerName| (*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(CATEGORY |package| (SIGNATURE |fortranCompilerName| ((|String|))) (SIGNATURE |fortranLinkerArgs| ((|String|))) (SIGNATURE |aspFilename| ((|String|) (|String|))) (SIGNATURE |dimensionsOf| ((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|)))) (SIGNATURE |dimensionsOf| ((|SExpression|) (|Symbol|) (|Matrix| (|Integer|)))) (SIGNATURE |checkPrecision| ((|Boolean|))) (SIGNATURE |restorePrecision| ((|Void|)))) 
+((|commutator| (($ $ $) 10)) (|associator| (($ $ $ $) 9)) (|antiCommutator| (($ $ $) 12))) 
+(((|NonAssociativeRng&| |#1|) (CATEGORY |domain| (SIGNATURE |antiCommutator| (|#1| |#1| |#1|)) (SIGNATURE |commutator| (|#1| |#1| |#1|)) (SIGNATURE |associator| (|#1| |#1| |#1| |#1|))) (|NonAssociativeRng|)) (T |NonAssociativeRng&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |antiCommutator| (|#1| |#1| |#1|)) (SIGNATURE |commutator| (|#1| |#1| |#1|)) (SIGNATURE |associator| (|#1| |#1| |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|rightPower| (($ $ (|PositiveInteger|)) 27)) (|leftPower| (($ $ (|PositiveInteger|)) 28)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|commutator| (($ $ $) 24)) (|coerce| (((|OutputForm|) $) 11)) (|associator| (($ $ $ $) 25)) (|antiCommutator| (($ $ $) 23)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 29)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 26))) 
+(((|NonAssociativeRng|) (|Category|)) (T |NonAssociativeRng|)) 
+((|associator| (*1 *1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|))) (|commutator| (*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|))) (|antiCommutator| (*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(|Join| (|AbelianGroup|) (|Monad|) (CATEGORY |domain| (SIGNATURE |associator| ($ $ $ $)) (SIGNATURE |commutator| ($ $ $)) (SIGNATURE |antiCommutator| ($ $ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Monad|) . T) ((|SetCategory|) . T)) 
+((|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 10))) 
+(((|NonAssociativeRing&| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|NonAssociativeRing|)) (T |NonAssociativeRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|rightRecip| (((|Union| $ "failed") $) 39)) (|rightPower| (($ $ (|PositiveInteger|)) 27) (($ $ (|NonNegativeInteger|)) 34)) (|recip| (((|Union| $ "failed") $) 37)) (|one?| (((|Boolean|) $) 33)) (|leftRecip| (((|Union| $ "failed") $) 38)) (|leftPower| (($ $ (|PositiveInteger|)) 28) (($ $ (|NonNegativeInteger|)) 35)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|commutator| (($ $ $) 24)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 30)) (|characteristic| (((|NonNegativeInteger|)) 31)) (|associator| (($ $ $ $) 25)) (|antiCommutator| (($ $ $) 23)) (|Zero| (($) 17 T CONST)) (|One| (($) 32 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 29) (($ $ (|NonNegativeInteger|)) 36)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 26))) 
+(((|NonAssociativeRing|) (|Category|)) (T |NonAssociativeRing|)) 
+((|characteristic| (*1 *2) (AND (|ofCategory| *1 (|NonAssociativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|NonAssociativeRing|))))) 
+(|Join| (|NonAssociativeRng|) (|MonadWithUnit|) (CATEGORY |domain| (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Integer|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Monad|) . T) ((|MonadWithUnit|) . T) ((|NonAssociativeRng|) . T) ((|SetCategory|) . T)) 
+((|complexEigenvectors| (((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) 27)) (|complexEigenvalues| (((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) 19)) (|characteristicPolynomial| (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|)) 16) (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|))))) 15))) 
+(((|NumericComplexEigenPackage| |#1|) (CATEGORY |package| (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))))) (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|))) (SIGNATURE |complexEigenvalues| ((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|)) (SIGNATURE |complexEigenvectors| ((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|))) (|Join| (|Field|) (|OrderedRing|))) (T |NumericComplexEigenPackage|)) 
+((|complexEigenvectors| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |outval| (|Complex| *4)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| *4))))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|complexEigenvalues| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|characteristicPolynomial| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) (|characteristicPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(CATEGORY |package| (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))))) (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|))) (SIGNATURE |complexEigenvalues| ((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|)) (SIGNATURE |complexEigenvectors| ((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|))) 
+((|continuedFraction| (((|ContinuedFraction| (|Integer|)) |#1|) 25))) 
+(((|NumericContinuedFraction| |#1|) (CATEGORY |package| (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Integer|)) |#1|))) (|FloatingPointSystem|)) (T |NumericContinuedFraction|)) 
+((|continuedFraction| (*1 *2 *3) (AND (|isDomain| *2 (|ContinuedFraction| (|Integer|))) (|isDomain| *1 (|NumericContinuedFraction| *3)) (|ofCategory| *3 (|FloatingPointSystem|))))) 
+(CATEGORY |package| (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Integer|)) |#1|))) 
+((|leftRemainder| ((|#1| |#1| |#1|) 24)) (|leftQuotient| ((|#1| |#1| |#1|) 23)) (|leftLcm| ((|#1| |#1| |#1|) 31)) (|leftGcd| ((|#1| |#1| |#1|) 27)) (|leftExactQuotient| (((|Union| |#1| "failed") |#1| |#1|) 26)) (|leftDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) 22))) 
+(((|NonCommutativeOperatorDivision| |#1| |#2|) (CATEGORY |package| (SIGNATURE |leftDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |leftQuotient| (|#1| |#1| |#1|)) (SIGNATURE |leftRemainder| (|#1| |#1| |#1|)) (SIGNATURE |leftExactQuotient| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |leftGcd| (|#1| |#1| |#1|)) (SIGNATURE |leftLcm| (|#1| |#1| |#1|))) (|MonogenicLinearOperator| |#2|) (|Field|)) (T |NonCommutativeOperatorDivision|)) 
+((|leftLcm| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) (|leftGcd| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) (|leftExactQuotient| (*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) (|leftRemainder| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) (|leftQuotient| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) (|leftDivide| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|NonCommutativeOperatorDivision| *3 *4)) (|ofCategory| *3 (|MonogenicLinearOperator| *4))))) 
+(CATEGORY |package| (SIGNATURE |leftDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |leftQuotient| (|#1| |#1| |#1|)) (SIGNATURE |leftRemainder| (|#1| |#1| |#1|)) (SIGNATURE |leftExactQuotient| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |leftGcd| (|#1| |#1| |#1|)) (SIGNATURE |leftLcm| (|#1| |#1| |#1|))) 
+((|newton| (((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)) 25))) 
+(((|NewtonInterpolation| |#1|) (CATEGORY |package| (SIGNATURE |newton| ((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)))) (|IntegralDomain|)) (T |NewtonInterpolation|)) 
+((|newton| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|NewtonInterpolation| *4))))) 
+(CATEGORY |package| (SIGNATURE |newton| ((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)))) 
+((|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)) 58)) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) 56)) (|discriminant| (((|Integer|)) 68))) 
+(((|NumberFieldIntegralBasis| |#1| |#2|) (CATEGORY |package| (SIGNATURE |discriminant| ((|Integer|))) (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)))) (|UnivariatePolynomialCategory| (|Integer|)) (|FramedAlgebra| (|Integer|) |#1|)) (T |NumberFieldIntegralBasis|)) 
+((|localIntegralBasis| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|NumberFieldIntegralBasis| *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) (|integralBasis| (*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| (|Integer|) *3)))) (|discriminant| (*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| *2 *3))))) 
+(CATEGORY |package| (SIGNATURE |discriminant| ((|Integer|))) (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|retract| (((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $) 15)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 14) (($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 8) (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 10) (($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) 12)) (= (((|Boolean|) $ $) NIL))) 
+(((|NumericalIntegrationProblem|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |coerce| ($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |coerce| ($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $))))) (T |NumericalIntegrationProblem|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalIntegrationProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) (|retract| (*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |coerce| ($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |coerce| ($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $)))) 
+((|solveInField| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) 14) (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) 13)) (|solve| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) 16) (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) 15))) 
+(((|NonLinearSolvePackage| |#1|) (CATEGORY |package| (SIGNATURE |solveInField| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |solveInField| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))))) (|IntegralDomain|)) (T |NonLinearSolvePackage|)) 
+((|solve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) (|solveInField| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) (|solveInField| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5))))) 
+(CATEGORY |package| (SIGNATURE |solveInField| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |solveInField| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|sup| (($ $ $) 6)) (|subtractIfCan| (((|Union| $ "failed") $ $) 9)) (|shift| (($ $ (|Integer|)) 7)) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($ $) NIL)) (|quo| (($ $ $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcd| (($ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (* (($ (|NonNegativeInteger|) $) NIL) (($ (|PositiveInteger|) $) NIL) (($ $ $) NIL))) 
+(((|NonNegativeInteger|) (|Join| (|OrderedAbelianMonoidSup|) (|Monoid|) (CATEGORY |domain| (SIGNATURE |quo| ($ $ $)) (SIGNATURE |rem| ($ $ $)) (SIGNATURE |gcd| ($ $ $)) (SIGNATURE |divide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |exquo| ((|Union| $ "failed") $ $)) (SIGNATURE |shift| ($ $ (|Integer|))) (SIGNATURE |random| ($ $)) (ATTRIBUTE (|commutative| "*"))))) (T |NonNegativeInteger|)) 
+((|quo| (*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) (|rem| (*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) (|gcd| (*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) (|divide| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| (|NonNegativeInteger|)) (|:| |remainder| (|NonNegativeInteger|)))) (|isDomain| *1 (|NonNegativeInteger|)))) (|exquo| (*1 *1 *1 *1) (|partial| |isDomain| *1 (|NonNegativeInteger|))) (|shift| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NonNegativeInteger|)))) (|random| (*1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|)))) 
+(|Join| (|OrderedAbelianMonoidSup|) (|Monoid|) (CATEGORY |domain| (SIGNATURE |quo| ($ $ $)) (SIGNATURE |rem| ($ $ $)) (SIGNATURE |gcd| ($ $ $)) (SIGNATURE |divide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |exquo| ((|Union| $ "failed") $ $)) (SIGNATURE |shift| ($ $ (|Integer|))) (SIGNATURE |random| ($ $)) (ATTRIBUTE (|commutative| "*")))) 
+((|solve| (((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)) 35))) 
+(((|NonLinearFirstOrderODESolver| |#1| |#2|) (CATEGORY |package| (SIGNATURE |solve| ((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)))) (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|)) (|Join| (|AlgebraicallyClosedFunctionSpace| |#1|) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (T |NonLinearFirstOrderODESolver|)) 
+((|solve| (*1 *2 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|NonLinearFirstOrderODESolver| *5 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)))) 
+((|coerce| (((|None|) |#1|) 8))) 
+(((|NoneFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|None|) |#1|))) (|Type|)) (T |NoneFunctions1|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|NoneFunctions1| *3)) (|ofCategory| *3 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|None|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 7)) (= (((|Boolean|) $ $) 9))) 
+(((|None|) (|SetCategory|)) (T |None|)) 
+NIL 
+(|SetCategory|) 
+((|norm| ((|#2| |#4|) 35))) 
+(((|NormInMonogenicAlgebra| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |norm| (|#2| |#4|))) (|GcdDomain|) (|UnivariatePolynomialCategory| |#1|) (|MonogenicAlgebra| |#1| |#2|) (|UnivariatePolynomialCategory| |#3|)) (T |NormInMonogenicAlgebra|)) 
+((|norm| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|MonogenicAlgebra| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormInMonogenicAlgebra| *4 *2 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |norm| (|#2| |#4|))) 
+((|recip| (((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (|outputArgs| (((|Void|) (|String|) (|String|) |#4| |#5|) 33)) (|normalizedAssociate| ((|#4| |#4| |#5|) 72)) (|normalize| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) 76)) (|normInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) 15))) 
+(((|NormalizationPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |recip| ((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (SIGNATURE |normalizedAssociate| (|#4| |#4| |#5|)) (SIGNATURE |normalize| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |outputArgs| ((|Void|) (|String|) (|String|) |#4| |#5|)) (SIGNATURE |normInvertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |NormalizationPackage|)) 
+((|normInvertible?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|outputArgs| (*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *4 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NormalizationPackage| *6 *7 *8 *4 *5)) (|ofCategory| *5 (|RegularTriangularSetCategory| *6 *7 *8 *4)))) (|normalize| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|normalizedAssociate| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|NormalizationPackage| *4 *5 *6 *2 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *2)))) (|recip| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *3))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(CATEGORY |package| (SIGNATURE |recip| ((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (SIGNATURE |normalizedAssociate| (|#4| |#4| |#5|)) (SIGNATURE |normalize| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |outputArgs| ((|Void|) (|String|) (|String|) |#4| |#5|)) (SIGNATURE |normInvertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|))) 
+((|retractIfCan| (((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|) 43)) (|normFactors| (((|List| |#4|) |#4|) 15)) (|Frobenius| ((|#4| |#4|) 11))) 
+(((|NormRetractPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |normFactors| ((|List| |#4|) |#4|)) (SIGNATURE |retractIfCan| ((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|)) (SIGNATURE |Frobenius| (|#4| |#4|))) (|FiniteFieldCategory|) (|FiniteAlgebraicExtensionField| |#1|) (|UnivariatePolynomialCategory| |#2|) (|UnivariatePolynomialCategory| |#3|) (|PositiveInteger|)) (T |NormRetractPackage|)) 
+((|Frobenius| (*1 *2 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormRetractPackage| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|ofType| *6 (|PositiveInteger|)))) (|retractIfCan| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|)))) (|normFactors| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|))))) 
+(CATEGORY |package| (SIGNATURE |normFactors| ((|List| |#4|) |#4|)) (SIGNATURE |retractIfCan| ((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|)) (SIGNATURE |Frobenius| (|#4| |#4|))) 
+((~= (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|retract| (($ (|UnivariateFormalPowerSeries| |#1|)) 21)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 26)) (|hash| (((|SingleInteger|) $) NIL)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 18 T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ $ $) 24))) 
+(((|NottinghamGroup| |#1|) (|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |retract| ($ (|UnivariateFormalPowerSeries| |#1|))))) (|FiniteFieldCategory|)) (T |NottinghamGroup|)) 
+((|retract| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|NottinghamGroup| *3))))) 
+(|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |retract| ($ (|UnivariateFormalPowerSeries| |#1|))))) 
+((|npcoef| (((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|)) 51)) (|listexp| (((|List| (|NonNegativeInteger|)) |#1|) 12))) 
+(((|NPCoef| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |npcoef| ((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|))) (SIGNATURE |listexp| ((|List| (|NonNegativeInteger|)) |#1|))) (|UnivariatePolynomialCategory| |#4|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|EuclideanDomain|) (|PolynomialCategory| |#4| |#2| |#3|)) (T |NPCoef|)) 
+((|listexp| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|NPCoef| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) (|npcoef| (*1 *2 *3 *4 *5) (AND (|ofCategory| *6 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *9 *7 *8)) (|isDomain| *2 (|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| *10))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *10))))) (|:| |nfacts| (|List| *6)) (|:| |nlead| (|List| *10)))) (|isDomain| *1 (|NPCoef| *6 *7 *8 *9 *10)) (|isDomain| *3 (|SparseUnivariatePolynomial| *10)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *10))))) 
+(CATEGORY |package| (SIGNATURE |npcoef| ((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|))) (SIGNATURE |listexp| ((|List| (|NonNegativeInteger|)) |#1|))) 
+((|slope| (((|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal"))) (|List| |#2|)) 18) (((|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (|newtonPolygon| (((|List| (|List| |#2|)) |#2| (|Integer|) (|Integer|) (|Union| "left" "center" "right" "vertical" "horizontal")) 32)) (|negAndPosEdge| (((|List| (|List| |#2|)) |#2| (|List| (|List| |#2|))) 24)) (|multiplicity| (((|NonNegativeInteger|) (|List| (|List| |#2|))) 27))) 
+(((|NewtonPolygon| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |newtonPolygon| ((|List| (|List| |#2|)) |#2| (|Integer|) (|Integer|) (|Union| "left" "center" "right" "vertical" "horizontal"))) (SIGNATURE |multiplicity| ((|NonNegativeInteger|) (|List| (|List| |#2|)))) (SIGNATURE |negAndPosEdge| ((|List| (|List| |#2|)) |#2| (|List| (|List| |#2|)))) (SIGNATURE |slope| ((|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (SIGNATURE |slope| ((|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal"))) (|List| |#2|)))) (|Ring|) (|FiniteAbelianMonoidRing| |#1| |#3|) (|DirectProductCategory| |#4| (|NonNegativeInteger|)) (|NonNegativeInteger|)) (T |NewtonPolygon|)) 
+((|slope| (*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7)))) (|slope| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) (|negAndPosEdge| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)))) (|multiplicity| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7)))) (|newtonPolygon| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|NewtonPolygon| *6 *3 *7 *8)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |newtonPolygon| ((|List| (|List| |#2|)) |#2| (|Integer|) (|Integer|) (|Union| "left" "center" "right" "vertical" "horizontal"))) (SIGNATURE |multiplicity| ((|NonNegativeInteger|) (|List| (|List| |#2|)))) (SIGNATURE |negAndPosEdge| ((|List| (|List| |#2|)) |#2| (|List| (|List| |#2|)))) (SIGNATURE |slope| ((|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (SIGNATURE |slope| ((|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal"))) (|List| |#2|)))) 
+((|realEigenvectors| (((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|) 27)) (|realEigenvalues| (((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|) 19)) (|characteristicPolynomial| (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|)) 16) (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|)))) 15))) 
+(((|NumericRealEigenPackage| |#1|) (CATEGORY |package| (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))))) (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|))) (SIGNATURE |realEigenvalues| ((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|)) (SIGNATURE |realEigenvectors| ((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|))) (|Join| (|Field|) (|OrderedRing|))) (T |NumericRealEigenPackage|)) 
+((|realEigenvectors| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |outval| *4) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *4)))))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|realEigenvalues| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) (|characteristicPolynomial| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) (|characteristicPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(CATEGORY |package| (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))))) (SIGNATURE |characteristicPolynomial| ((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|))) (SIGNATURE |realEigenvalues| ((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|)) (SIGNATURE |realEigenvectors| ((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 10)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) NIL)) (|value| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|truncate| (($ $ (|Integer|) (|Integer|)) NIL) (($ $ (|Integer|)) NIL)) (|third| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|tail| (($ $) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|split!| (($ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|shift| (($ $ (|Integer|)) 36)) (|setvalue!| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|UniversalSegment| (|Integer|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ "last" (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ "first" (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ "value" (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|series| (($ (|Integer|) |#1| $) 41)) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|second| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL)) (|sbt| (($ $ $) 51)) (|sample| (($) NIL T CONST)) (|rst| (($ $) 21)) (|rest| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 14)) (|removeZeroes| (($ (|Integer|) $) 78) (($ $) 31)) (|removeFirstZeroes| (($ $) 35)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|))))) (|remove| (($ (|Mapping| (|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL) (($ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|))))) (|rem| (($ $ $) NIL)) (|reductum| (($ $) NIL)) (|reduce| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Mapping| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Mapping| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Mapping| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|recip| (((|Union| $ "failed") $) 38)) (|quo| (($ $ $) NIL)) (|qsetelt!| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|)) NIL)) (|printInfo| (((|Boolean|) (|Boolean|)) 30) (((|Boolean|)) 29)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|possiblyInfinite?| (((|Boolean|) $) NIL)) (|posExpnPart| (($ $) 22)) (|pole?| (((|Boolean|) $) NIL)) (|parts| (((|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|orderIfNegative| (((|Union| (|Integer|) "failed") $) 16)) (|order| (((|Integer|) $ (|Integer|)) NIL) (((|Integer|) $) 19) (((|Integer|) $) 19)) (|one?| (((|Boolean|) $) NIL)) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) NIL)) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL)) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) 85)) (|monomial| (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) NIL) (($ |#1| (|Integer|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $ $) NIL) (($ (|Mapping| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|lazyEvaluate| (($ $) NIL)) (|lazy?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|last| (($ $ (|NonNegativeInteger|)) NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL)) (|inv| (($ $) 39)) (|insert| (($ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|frst| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) 12)) (|first| (($ $ (|NonNegativeInteger|)) NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL)) (|findTerm| (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|)) 24)) (|findCoef| ((|#1| $ (|Integer|)) 25)) (|find| (((|Union| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|filterUpTo| (($ $ (|Integer|)) 89)) (|fill!| (($ $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extend| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|explicitlyFinite?| (((|Boolean|) $) NIL)) (|explicitlyEmpty?| (((|Boolean|) $) NIL)) (|explicitEntries?| (((|Boolean|) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|))))) (($ $ (|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) NIL (AND (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Evalable| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (($ $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (AND (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Evalable| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) NIL (AND (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Evalable| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))))) NIL (AND (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|Evalable| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|))))) (|entries| (((|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|empty?| (((|Boolean|) $) 23)) (|empty| (($) 94)) (|elt| (($ $ $) NIL (|has| (|Integer|) (|SemiGroup|))) ((|#1| $ (|Integer|)) NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ "first") NIL) (((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ "value") NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|distance| (((|Integer|) $ $) NIL)) (|differentiate| (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delay| (($ (|Mapping| $)) 34)) (|degree| (((|Integer|) $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|cycleTail| (($ $) NIL)) (|cycleSplit!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) NIL)) (|cycleEntry| (($ $) NIL)) (|count| (((|NonNegativeInteger|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 95)) (|concat!| (($ $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|concat| (($ $ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) NIL) (($ (|List| $)) NIL) (($ (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 65) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 27) (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 26)) (|coefficient| ((|#1| $ (|Integer|)) NIL)) (|coefOfFirstNonZeroTerm| ((|#1| $) 86)) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) (|SetCategory|)))) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| ((|#1| $ (|Integer|)) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 17 T CONST)) (|One| (($) 74 T CONST)) (D (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) 47) (($ $ $) 43)) (+ (($ $ $) 53)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 79) (($ $ (|Integer|)) 52)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 42) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|NeitherSparseOrDensePowerSeries| |#1|) (|Join| (|LocalPowerSeriesCategory| |#1|) (|LazyStreamAggregate| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (CATEGORY |domain| (SIGNATURE |findTerm| ((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|))))) (|Field|)) (T |NeitherSparseOrDensePowerSeries|)) 
+((|findTerm| (*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |k| (|Integer|)) (|:| |c| *4))) (|isDomain| *1 (|NeitherSparseOrDensePowerSeries| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *3 (|Integer|))))) 
+(|Join| (|LocalPowerSeriesCategory| |#1|) (|LazyStreamAggregate| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (CATEGORY |domain| (SIGNATURE |findTerm| ((|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)) $ (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 34)) (|variables| (((|List| |#2|) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ |#2|) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| |#2|)) NIL)) (|tail| (($ $) 28)) (|supRittWu?| (((|Boolean|) $ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantGcd| (($ $ $) 92 (|has| |#1| (|IntegralDomain|)))) (|subResultantChain| (((|List| $) $ $) 105 (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#2| "failed") $) NIL) (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) NIL (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|))))) (((|Union| $ "failed") (|Polynomial| (|Integer|))) NIL (OR (AND (|has| |#1| (|Algebra| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|)))))) (((|Union| $ "failed") (|Polynomial| |#1|)) NIL (OR (AND (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|not| (|has| |#1| (|Algebra| (|Integer|))))) (AND (|has| |#1| (|Algebra| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|not| (|has| |#1| (|IntegerNumberSystem|)))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|QuotientFieldCategory| (|Integer|))))))) (((|Union| (|SparseMultivariatePolynomial| |#1| |#2|) "failed") $) 18)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#2| $) NIL) (($ (|Polynomial| (|Fraction| (|Integer|)))) NIL (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|))))) (($ (|Polynomial| (|Integer|))) NIL (OR (AND (|has| |#1| (|Algebra| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|)))))) (($ (|Polynomial| |#1|)) NIL (OR (AND (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|not| (|has| |#1| (|Algebra| (|Integer|))))) (AND (|has| |#1| (|Algebra| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|not| (|has| |#1| (|IntegerNumberSystem|)))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|QuotientFieldCategory| (|Integer|))))))) (((|SparseMultivariatePolynomial| |#1| |#2|) $) NIL)) (|resultant| (($ $ $ |#2|) NIL (|has| |#1| (|CommutativeRing|))) (($ $ $) 103 (|has| |#1| (|IntegralDomain|)))) (|reductum| (($ $) NIL) (($ $ |#2|) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|reduced?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|List| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quasiMonic?| (((|Boolean|) $) NIL)) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 69)) (|primitivePart!| (($ $) 118 (|has| |#1| (|GcdDomain|)))) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ |#2|) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|primPartElseUnitCanonical!| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|primPartElseUnitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|prem| (($ $ $) 64) (($ $ $ |#2|) NIL)) (|pquo| (($ $ $) 67) (($ $ $ |#2|) NIL)) (|pomopo!| (($ $ |#1| (|IndexedExponents| |#2|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|normalized?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|List| $)) NIL)) (|nextsubResultant2| (($ $ $ $ $) 89 (|has| |#1| (|IntegralDomain|)))) (|mvar| ((|#2| $) 19)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) |#2|) NIL) (($ (|SparseUnivariatePolynomial| $) |#2|) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|IndexedExponents| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) 36) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|monicModulo| (($ $ $) 60)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#2|) NIL)) (|monic?| (((|Boolean|) $) NIL)) (|minimumDegree| (((|IndexedExponents| |#2|) $) NIL) (((|NonNegativeInteger|) $ |#2|) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| |#2|)) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mdeg| (((|NonNegativeInteger|) $) 20)) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| |#2|) (|IndexedExponents| |#2|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|mainVariable| (((|Union| |#2| "failed") $) NIL)) (|mainSquareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|mainPrimitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|mainMonomials| (((|List| $) $) NIL)) (|mainMonomial| (($ $) 37)) (|mainContent| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|mainCoefficients| (((|List| $) $) 41)) (|leastMonomial| (($ $) 39)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL) (($ $ |#2|) 45)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) 81)) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) 66) (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#2|) NIL)) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) NIL) (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#2|) NIL)) (|lazyPrem| (($ $ $) 71) (($ $ $ |#2|) NIL)) (|lazyPquo| (($ $ $) 74) (($ $ $ |#2|) NIL)) (|latex| (((|String|) $) NIL)) (|lastSubResultant| (($ $ $) 107 (|has| |#1| (|IntegralDomain|)))) (|iteratedInitials| (((|List| $) $) 30)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|initiallyReduced?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|List| $)) NIL)) (|initiallyReduce| (($ $ $) NIL)) (|init| (($ $) 21)) (|infRittWu?| (((|Boolean|) $ $) NIL)) (|headReduced?| (((|Boolean|) $ $) NIL) (((|Boolean|) $ (|List| $)) NIL)) (|headReduce| (($ $ $) NIL)) (|head| (($ $) 23)) (|hash| (((|SingleInteger|) $) NIL)) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (|IntegralDomain|)))) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (|IntegralDomain|)))) (|ground?| (((|Boolean|) $) 52)) (|ground| ((|#1| $) 55)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| ((|#1| |#1| $) 115 (|has| |#1| (|GcdDomain|))) (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (|IntegralDomain|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 83 (|has| |#1| (|IntegralDomain|)))) (|exactQuotient!| (($ $ |#1|) 111 (|has| |#1| (|IntegralDomain|))) (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exactQuotient| (($ $ |#1|) 110 (|has| |#1| (|IntegralDomain|))) (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (|List| |#2|) (|List| |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (|List| |#2|) (|List| $)) NIL)) (|discriminant| (($ $ |#2|) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ |#2|) NIL) (($ $ (|List| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|IndexedExponents| |#2|) $) NIL) (((|NonNegativeInteger|) $ |#2|) 43) (((|List| (|NonNegativeInteger|)) $ (|List| |#2|)) NIL)) (|deepestTail| (($ $) NIL)) (|deepestInitial| (($ $) 33)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|))))) (($ (|Polynomial| (|Fraction| (|Integer|)))) NIL (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|))))) (($ (|Polynomial| (|Integer|))) NIL (OR (AND (|has| |#1| (|Algebra| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Symbol|)))))) (($ (|Polynomial| |#1|)) NIL (|has| |#2| (|ConvertibleTo| (|Symbol|)))) (((|String|) $) NIL (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#2| (|ConvertibleTo| (|Symbol|))))) (((|Polynomial| |#1|) $) NIL (|has| |#2| (|ConvertibleTo| (|Symbol|))))) (|content| ((|#1| $) 114 (|has| |#1| (|GcdDomain|))) (($ $ |#2|) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((|Polynomial| |#1|) $) NIL (|has| |#2| (|ConvertibleTo| (|Symbol|)))) (((|SparseMultivariatePolynomial| |#1| |#2|) $) 15) (($ (|SparseMultivariatePolynomial| |#1| |#2|)) 16) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|IndexedExponents| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) 44) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 13 T CONST)) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) NIL)) (|One| (($) 35 T CONST)) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) 87 (|has| |#1| (|IntegralDomain|)))) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) 86 (|has| |#1| (|IntegralDomain|)))) (D (($ $ |#2|) NIL) (($ $ (|List| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 54)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) 63)) (+ (($ $ $) 73)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 61)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 59) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
+(((|NewSparseMultivariatePolynomial| |#1| |#2|) (|Join| (|RecursivePolynomialCategory| |#1| (|IndexedExponents| |#2|) |#2|) (|CoercibleTo| (|SparseMultivariatePolynomial| |#1| |#2|)) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| |#2|))) (|Ring|) (|OrderedSet|)) (T |NewSparseMultivariatePolynomial|)) 
+NIL 
+(|Join| (|RecursivePolynomialCategory| |#1| (|IndexedExponents| |#2|) |#2|) (|CoercibleTo| (|SparseMultivariatePolynomial| |#1| |#2|)) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| |#2|))) 
+((|map| (((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)) 13))) 
+(((|NewSparseUnivariatePolynomialFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)))) (|Ring|) (|Ring|)) (T |NewSparseUnivariatePolynomialFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|NewSparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|NewSparseUnivariatePolynomial| *6)) (|isDomain| *1 (|NewSparseUnivariatePolynomialFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 12)) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|unvectorise| (($ (|Vector| |#1|)) NIL)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantsChain| (((|List| $) $ $) 39 (|has| |#1| (|IntegralDomain|)))) (|subResultantGcd| (($ $ $) 35 (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) NIL)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) NIL)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL) (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $) 10)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $ $) 43 (|has| |#1| (|CommutativeRing|)))) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|pseudoRemainder| (($ $ $) NIL)) (|pseudoQuotient| (($ $ $) 71 (|has| |#1| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) 70 (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|NonNegativeInteger|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|SingletonAsOrderedSet|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) NIL)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicModulo| (($ $ $) 20)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) NIL) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) 26)) (|lazyPseudoRemainder| (($ $ $) 29)) (|lazyPseudoQuotient| (($ $ $) 32)) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) 31)) (|latex| (((|String|) $) NIL)) (|lastSubResultant| (($ $ $) 41 (|has| |#1| (|IntegralDomain|)))) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (|has| |#1| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (|IntegralDomain|)))) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (|IntegralDomain|)))) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (|IntegralDomain|)))) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (|IntegralDomain|)))) (|ground?| (((|Boolean|) $) 13)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) 19)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (|IntegralDomain|)))) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (|IntegralDomain|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#1|) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#1|)) NIL) (($ $ (|SingletonAsOrderedSet|) $) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|))) ((|#1| (|Fraction| $) |#1|) NIL (|has| |#1| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL) (($ $ (|Mapping| |#1| |#1|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|composite| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|SingletonAsOrderedSet|)) NIL) (((|SparseUnivariatePolynomial| |#1|) $) 7) (($ (|SparseUnivariatePolynomial| |#1|)) 8) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 21 T CONST)) (|One| (($) 24 T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) 28) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
+(((|NewSparseUnivariatePolynomial| |#1|) (|Join| (|UnivariatePolynomialCategory| |#1|) (|CoercibleTo| (|SparseUnivariatePolynomial| |#1|)) (|RetractableTo| (|SparseUnivariatePolynomial| |#1|)) (CATEGORY |domain| (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#1| $)) (SIGNATURE |monicModulo| ($ $ $)) (SIGNATURE |lazyResidueClass| ((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $)) (SIGNATURE |lazyPseudoRemainder| ($ $ $)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |lazyPseudoQuotient| ($ $ $)) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |subResultantsChain| ((|List| $) $ $)) (SIGNATURE |lastSubResultant| ($ $ $)) (SIGNATURE |extendedSubResultantGcd| ((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (SIGNATURE |halfExtendedSubResultantGcd1| ((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $)) (SIGNATURE |halfExtendedSubResultantGcd2| ((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $)) (SIGNATURE |extendedResultant| ((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (SIGNATURE |halfExtendedResultant1| ((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $)) (SIGNATURE |halfExtendedResultant2| ((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (|Ring|)) (T |NewSparseUnivariatePolynomial|)) 
+((|fmecg| (*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) (|monicModulo| (*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) (|lazyResidueClass| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |polnum| (|NewSparseUnivariatePolynomial| *3)) (|:| |polden| *3) (|:| |power| (|NonNegativeInteger|)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) (|lazyPseudoRemainder| (*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) (|lazyPseudoDivide| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| (|NewSparseUnivariatePolynomial| *3)) (|:| |remainder| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) (|lazyPseudoQuotient| (*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) (|subResultantsChain| (*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|NewSparseUnivariatePolynomial| *3))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) (|lastSubResultant| (*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|Ring|)))) (|extendedSubResultantGcd| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) (|halfExtendedSubResultantGcd1| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) (|halfExtendedSubResultantGcd2| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) (|extendedResultant| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) (|halfExtendedResultant1| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) (|halfExtendedResultant2| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|UnivariatePolynomialCategory| |#1|) (|CoercibleTo| (|SparseUnivariatePolynomial| |#1|)) (|RetractableTo| (|SparseUnivariatePolynomial| |#1|)) (CATEGORY |domain| (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#1| $)) (SIGNATURE |monicModulo| ($ $ $)) (SIGNATURE |lazyResidueClass| ((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $)) (SIGNATURE |lazyPseudoRemainder| ($ $ $)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |lazyPseudoQuotient| ($ $ $)) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |subResultantsChain| ((|List| $) $ $)) (SIGNATURE |lastSubResultant| ($ $ $)) (SIGNATURE |extendedSubResultantGcd| ((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (SIGNATURE |halfExtendedSubResultantGcd1| ((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $)) (SIGNATURE |halfExtendedSubResultantGcd2| ((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $)) (SIGNATURE |extendedResultant| ((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (SIGNATURE |halfExtendedResultant1| ((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $)) (SIGNATURE |halfExtendedResultant2| ((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
+((|eulerE| ((|#1| (|NonNegativeInteger|) |#1|) 32 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cyclotomic| ((|#1| (|NonNegativeInteger|) |#1|) 22)) (|bernoulliB| ((|#1| (|NonNegativeInteger|) |#1|) 34 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|NumberTheoreticPolynomialFunctions| |#1|) (CATEGORY |package| (SIGNATURE |cyclotomic| (|#1| (|NonNegativeInteger|) |#1|)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |bernoulliB| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |eulerE| (|#1| (|NonNegativeInteger|) |#1|))) |noBranch|)) (|CommutativeRing|)) (T |NumberTheoreticPolynomialFunctions|)) 
+((|eulerE| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|)))) (|bernoulliB| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|)))) (|cyclotomic| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(CATEGORY |package| (SIGNATURE |cyclotomic| (|#1| (|NonNegativeInteger|) |#1|)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |bernoulliB| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |eulerE| (|#1| (|NonNegativeInteger|) |#1|))) |noBranch|)) 
+((~= (((|Boolean|) $ $) 7)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) 78)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 79) (((|List| $) (|List| |#4|) (|Boolean|)) 104)) (|variables| (((|List| |#3|) $) 32)) (|trivialIdeal?| (((|Boolean|) $) 25)) (|triangular?| (((|Boolean|) $) 16 (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) 94) (((|Boolean|) $) 90)) (|stronglyReduce| ((|#4| |#4| $) 85)) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) 119)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 43)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 72)) (|sample| (($) 44 T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 21 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) 23 (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) 22 (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 86)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 17 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) 18 (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 35)) (|retract| (($ (|List| |#4|)) 34)) (|rest| (((|Union| $ "failed") $) 75)) (|removeZero| ((|#4| |#4| $) 82)) (|removeDuplicates| (($ $) 67 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#4| $) 66 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#4|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) 95)) (|reduceByQuasiMonic| ((|#4| |#4| $) 80)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) 65 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 87)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) 98)) (|purelyTranscendental?| (((|Boolean|) |#4| $) 129)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) 126)) (|purelyAlgebraic?| (((|Boolean|) |#4| $) 130) (((|Boolean|) $) 127)) (|parts| (((|List| |#4|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) 97) (((|Boolean|) $) 96)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 42)) (|members| (((|List| |#4|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 54 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 47 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 46)) (|mainVariables| (((|List| |#3|) $) 31)) (|mainVariable?| (((|Boolean|) |#3| $) 30)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 41)) (|latex| (((|String|) $) 9)) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) 121)) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) 120)) (|last| (((|Union| |#4| "failed") $) 76)) (|invertibleSet| (((|List| $) |#4| $) 122)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) 125)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) 124) (((|Boolean|) |#4| $) 123)) (|intersect| (((|List| $) |#4| $) 118) (((|List| $) (|List| |#4|) $) 117) (((|List| $) (|List| |#4|) (|List| $)) 116) (((|List| $) |#4| (|List| $)) 115)) (|internalAugment| (($ |#4| $) 110) (($ (|List| |#4|) $) 109)) (|initials| (((|List| |#4|) $) 100)) (|initiallyReduced?| (((|Boolean|) |#4| $) 92) (((|Boolean|) $) 88)) (|initiallyReduce| ((|#4| |#4| $) 83)) (|infRittWu?| (((|Boolean|) $ $) 103)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) 93) (((|Boolean|) $) 89)) (|headReduce| ((|#4| |#4| $) 84)) (|hash| (((|SingleInteger|) $) 10)) (|first| (((|Union| |#4| "failed") $) 77)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) 60)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 71)) (|extend| (($ $ |#4|) 70) (((|List| $) |#4| $) 108) (((|List| $) |#4| (|List| $)) 107) (((|List| $) (|List| |#4|) $) 106) (((|List| $) (|List| |#4|) (|List| $)) 105)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) 58 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) 57 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) 56 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) 55 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 37)) (|empty?| (((|Boolean|) $) 40)) (|empty| (($) 39)) (|degree| (((|NonNegativeInteger|) $) 99)) (|count| (((|NonNegativeInteger|) |#4| $) 53 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 38)) (|convert| (((|InputForm|) $) 68 (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 59)) (|collectUpper| (($ $ |#3|) 27)) (|collectUnder| (($ $ |#3|) 29)) (|collectQuasiMonic| (($ $) 81)) (|collect| (($ $ |#3|) 28)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#4|) $) 36)) (|coHeight| (((|NonNegativeInteger|) $) 69 (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 102) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 101)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) 91)) (|augment| (((|List| $) |#4| $) 114) (((|List| $) |#4| (|List| $)) 113) (((|List| $) (|List| |#4|) $) 112) (((|List| $) (|List| |#4|) (|List| $)) 111)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) 74)) (|algebraicCoefficients?| (((|Boolean|) |#4| $) 128)) (|algebraic?| (((|Boolean|) |#3| $) 73)) (= (((|Boolean|) $ $) 6)) (|#| (((|NonNegativeInteger|) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|NormalizedTriangularSetCategory| |#1| |#2| |#3| |#4|) (|Category|) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |t#1| |t#2| |t#3|)) (T |NormalizedTriangularSetCategory|)) 
+NIL 
+(|Join| (|RegularTriangularSetCategory| |t#1| |t#2| |t#3| |t#4|)) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|List| |#4|)) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#4|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|HomogeneousAggregate| |#4|) . T) ((|InnerEvalable| |#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|PolynomialSetCategory| |#1| |#2| |#3| |#4|) . T) ((|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|SetCategory|) . T) ((|TriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|Type|) . T)) 
+((|numericIfCan| (((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|)) 60 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Union| (|Float|) "failed") (|Expression| |#1|)) 52 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) 39 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|))) 35 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) 30 (|has| |#1| (|Ring|))) (((|Union| (|Float|) "failed") (|Polynomial| |#1|)) 24 (|has| |#1| (|Ring|)))) (|numeric| (((|Float|) (|Expression| |#1|) (|PositiveInteger|)) 92 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Float|) (|Expression| |#1|)) 87 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) 84 (|has| |#1| (|IntegralDomain|))) (((|Float|) (|Fraction| (|Polynomial| |#1|))) 81 (|has| |#1| (|IntegralDomain|))) (((|Float|) (|Polynomial| |#1|) (|PositiveInteger|)) 80 (|has| |#1| (|Ring|))) (((|Float|) (|Polynomial| |#1|)) 77 (|has| |#1| (|Ring|))) (((|Float|) |#1| (|PositiveInteger|)) 73) (((|Float|) |#1|) 22)) (|complexNumericIfCan| (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) 68 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|))) 58 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|)) 61 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|)) 59 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) 44 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|)))) 43 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) 38 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|))) 37 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) 28 (|has| |#1| (|Ring|))) (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|)) 26 (|has| |#1| (|Ring|))) (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) 17 (|has| |#1| (|CommutativeRing|))) (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|))) 14 (|has| |#1| (|CommutativeRing|)))) (|complexNumeric| (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) 95 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|))) 94 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|)) 93 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Complex| (|Float|)) (|Expression| |#1|)) 91 (AND (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|OrderedSet|)))) (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) 86 (|has| |#1| (|IntegralDomain|))) (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|)))) 85 (|has| |#1| (|IntegralDomain|))) (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) 83 (|has| |#1| (|IntegralDomain|))) (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|))) 82 (|has| |#1| (|IntegralDomain|))) (((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)) 79 (|has| |#1| (|Ring|))) (((|Complex| (|Float|)) (|Polynomial| |#1|)) 78 (|has| |#1| (|Ring|))) (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) 75 (|has| |#1| (|CommutativeRing|))) (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|))) 74 (|has| |#1| (|CommutativeRing|))) (((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|)) 16 (|has| |#1| (|CommutativeRing|))) (((|Complex| (|Float|)) (|Complex| |#1|)) 12 (|has| |#1| (|CommutativeRing|))) (((|Complex| (|Float|)) |#1| (|PositiveInteger|)) 27) (((|Complex| (|Float|)) |#1|) 25))) 
+(((|Numeric| |#1|) (CATEGORY |package| (SIGNATURE |numeric| ((|Float|) |#1|)) (SIGNATURE |numeric| ((|Float|) |#1| (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) |#1|)) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) |#1| (|PositiveInteger|))) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Complex| |#1|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |numeric| ((|Float|) (|Polynomial| |#1|))) (SIGNATURE |numeric| ((|Float|) (|Polynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| |#1|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |numeric| ((|Float|) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |numeric| ((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |numeric| ((|Float|) (|Expression| |#1|))) (SIGNATURE |numeric| ((|Float|) (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| |#1|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Polynomial| |#1|))) (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Expression| |#1|))) (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|)) |noBranch|)) (|ConvertibleTo| (|Float|))) (T |Numeric|)) 
+((|complexNumericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|numericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) (|numericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) (|complexNumericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|numericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) (|numericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) (|complexNumericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|numericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) (|numericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) (|complexNumericIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumericIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|numeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) (|numeric| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|numeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) (|numeric| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|numeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) (|numeric| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *3 (|Complex| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) (|complexNumeric| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) (|complexNumeric| (*1 *2 *3) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) (|numeric| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) (|numeric| (*1 *2 *3) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2))))) 
+(CATEGORY |package| (SIGNATURE |numeric| ((|Float|) |#1|)) (SIGNATURE |numeric| ((|Float|) |#1| (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) |#1|)) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) |#1| (|PositiveInteger|))) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Complex| |#1|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |numeric| ((|Float|) (|Polynomial| |#1|))) (SIGNATURE |numeric| ((|Float|) (|Polynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| |#1|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |numeric| ((|Float|) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |numeric| ((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |numeric| ((|Float|) (|Expression| |#1|))) (SIGNATURE |numeric| ((|Float|) (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| |#1|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)))) (SIGNATURE |complexNumeric| ((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Polynomial| |#1|))) (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)))) |noBranch|) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Expression| |#1|))) (SIGNATURE |numericIfCan| ((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)))) (SIGNATURE |complexNumericIfCan| ((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)))) |noBranch|)) |noBranch|)) 
+((|ScanRoman| (((|PositiveInteger|) (|String|)) 63)) (|ScanFloatIgnoreSpacesIfCan| (((|Union| (|Float|) "failed") (|String|)) 32)) (|ScanFloatIgnoreSpaces| (((|Float|) (|String|)) 30)) (|ScanArabic| (((|PositiveInteger|) (|String|)) 53)) (|FormatRoman| (((|String|) (|PositiveInteger|)) 54)) (|FormatArabic| (((|String|) (|PositiveInteger|)) 52))) 
+(((|NumberFormats|) (CATEGORY |package| (SIGNATURE |FormatArabic| ((|String|) (|PositiveInteger|))) (SIGNATURE |ScanArabic| ((|PositiveInteger|) (|String|))) (SIGNATURE |FormatRoman| ((|String|) (|PositiveInteger|))) (SIGNATURE |ScanRoman| ((|PositiveInteger|) (|String|))) (SIGNATURE |ScanFloatIgnoreSpaces| ((|Float|) (|String|))) (SIGNATURE |ScanFloatIgnoreSpacesIfCan| ((|Union| (|Float|) "failed") (|String|))))) (T |NumberFormats|)) 
+((|ScanFloatIgnoreSpacesIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|)))) (|ScanFloatIgnoreSpaces| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|)))) (|ScanRoman| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|)))) (|FormatRoman| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|)))) (|ScanArabic| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|)))) (|FormatArabic| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(CATEGORY |package| (SIGNATURE |FormatArabic| ((|String|) (|PositiveInteger|))) (SIGNATURE |ScanArabic| ((|PositiveInteger|) (|String|))) (SIGNATURE |FormatRoman| ((|String|) (|PositiveInteger|))) (SIGNATURE |ScanRoman| ((|PositiveInteger|) (|String|))) (SIGNATURE |ScanFloatIgnoreSpaces| ((|Float|) (|String|))) (SIGNATURE |ScanFloatIgnoreSpacesIfCan| ((|Union| (|Float|) "failed") (|String|)))) 
+((~= (((|Boolean|) $ $) 7)) (|numericalIntegration| (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 14) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) 12)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 15) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|NumericalIntegrationCategory|) (|Category|)) (T |NumericalIntegrationCategory|)) 
+((|measure| (*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) (|numericalIntegration| (*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|measure| (*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) (|numericalIntegration| (*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |numericalIntegration| ((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |numericalIntegration| ((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|rk4qc| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) 44) (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) 43)) (|rk4f| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) 50)) (|rk4a| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) 41)) (|rk4| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) 52) (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) 51))) 
+(((|NumericalOrdinaryDifferentialEquations|) (CATEGORY |package| (SIGNATURE |rk4| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))) (SIGNATURE |rk4| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)))) (SIGNATURE |rk4a| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))) (SIGNATURE |rk4qc| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))) (SIGNATURE |rk4qc| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)))) (SIGNATURE |rk4f| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))))) (T |NumericalOrdinaryDifferentialEquations|)) 
+((|rk4f| (*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) (|rk4qc| (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) (|rk4qc| (*1 *2 *3 *4 *5 *6 *5 *3 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) (|rk4a| (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) (|rk4| (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) (|rk4| (*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(CATEGORY |package| (SIGNATURE |rk4| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))) (SIGNATURE |rk4| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)))) (SIGNATURE |rk4a| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))) (SIGNATURE |rk4qc| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)))) (SIGNATURE |rk4qc| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)))) (SIGNATURE |rk4f| ((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))))) 
+((|trapezoidalo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) 53)) (|trapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) 30)) (|simpsono| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) 52)) (|simpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) 28)) (|rombergo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) 51)) (|romberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) 18)) (|atrapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) 31)) (|asimpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) 29)) (|aromberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) 27))) 
+(((|NumericalQuadrature|) (CATEGORY |package| (SIGNATURE |aromberg| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |asimpson| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |atrapezoidal| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |romberg| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |simpson| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |trapezoidal| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |rombergo| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |simpsono| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |trapezoidalo| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))))) (T |NumericalQuadrature|)) 
+((|trapezoidalo| (*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|simpsono| (*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|rombergo| (*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|trapezoidal| (*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|simpson| (*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|romberg| (*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|atrapezoidal| (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|asimpson| (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|)))) (|aromberg| (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(CATEGORY |package| (SIGNATURE |aromberg| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |asimpson| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |atrapezoidal| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |romberg| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |simpson| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |trapezoidal| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |rombergo| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |simpsono| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|))) (SIGNATURE |trapezoidalo| ((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)))) 
+((|tube| (((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)) 45))) 
+(((|NumericTubePlot| |#1|) (CATEGORY |package| (SIGNATURE |tube| ((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)))) (|PlottableSpaceCurveCategory|)) (T |NumericTubePlot|)) 
+((|tube| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|TubePlot| *3)) (|isDomain| *1 (|NumericTubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(CATEGORY |package| (SIGNATURE |tube| ((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 23)) (|subtractIfCan| (((|Union| $ "failed") $ $) 25)) (|sample| (($) 22 T CONST)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 21 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (- (($ $ $) 27) (($ $) 26)) (+ (($ $ $) 19)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) 20) (($ (|Integer|) $) 28))) 
+(((|OrderedAbelianGroup|) (|Category|)) (T |OrderedAbelianGroup|)) 
+NIL 
+(|Join| (|OrderedCancellationAbelianMonoid|) (|AbelianGroup|)) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 23)) (|sample| (($) 22 T CONST)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 21 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (+ (($ $ $) 19)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) 20))) 
+(((|OrderedAbelianMonoid|) (|Category|)) (T |OrderedAbelianMonoid|)) 
+NIL 
+(|Join| (|OrderedAbelianSemiGroup|) (|AbelianMonoid|)) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 23)) (|sup| (($ $ $) 26)) (|subtractIfCan| (((|Union| $ "failed") $ $) 25)) (|sample| (($) 22 T CONST)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 21 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (+ (($ $ $) 19)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) 20))) 
+(((|OrderedAbelianMonoidSup|) (|Category|)) (T |OrderedAbelianMonoidSup|)) 
+((|sup| (*1 *1 *1 *1) (|ofCategory| *1 (|OrderedAbelianMonoidSup|)))) 
+(|Join| (|OrderedCancellationAbelianMonoid|) (CATEGORY |domain| (SIGNATURE |sup| ($ $ $)))) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 23)) (|sample| (($) 22 T CONST)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 21 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (+ (($ $ $) 19)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) 20))) 
+(((|OrderedAbelianSemiGroup|) (|Category|)) (T |OrderedAbelianSemiGroup|)) 
+NIL 
+(|Join| (|OrderedSet|) (|AbelianMonoid|)) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 23)) (|subtractIfCan| (((|Union| $ "failed") $ $) 25)) (|sample| (($) 22 T CONST)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 21 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (+ (($ $ $) 19)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) 20))) 
+(((|OrderedCancellationAbelianMonoid|) (|Category|)) (T |OrderedCancellationAbelianMonoid|)) 
+NIL 
+(|Join| (|OrderedAbelianMonoid|) (|CancellationAbelianMonoid|)) 
+(((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((|zero?| (((|Boolean|) $) 41)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#2| "failed") $) 44)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) ((|#2| $) 42)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 78)) (|rational?| (((|Boolean|) $) 72)) (|rational| (((|Fraction| (|Integer|)) $) 76)) (|norm| ((|#2| $) 26)) (|map| (($ (|Mapping| |#2| |#2|) $) 23)) (|inv| (($ $) 61)) (|convert| (((|InputForm|) $) 67)) (|conjugate| (($ $) 21)) (|coerce| (((|OutputForm|) $) 56) (($ (|Integer|)) 39) (($ |#2|) 37) (($ (|Fraction| (|Integer|))) NIL)) (|characteristic| (((|NonNegativeInteger|)) 10)) (|abs| ((|#2| $) 71)) (= (((|Boolean|) $ $) 29)) (< (((|Boolean|) $ $) 69)) (- (($ $) 31) (($ $ $) NIL)) (+ (($ $ $) 30)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
+(((|OctonionCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |abs| (|#2| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |conjugate| (|#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|OctonionCategory| |#2|) (|CommutativeRing|)) (T |OctonionCategory&|)) 
+((|characteristic| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OctonionCategory&| *3 *4)) (|ofCategory| *3 (|OctonionCategory| *4))))) 
+(CATEGORY |domain| (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |abs| (|#2| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |conjugate| (|#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|size| (((|NonNegativeInteger|)) 51 (|has| |#1| (|Finite|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 93 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 91 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 89)) (|retract| (((|Integer|) $) 94 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 92 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 88)) (|recip| (((|Union| $ "failed") $) 33)) (|real| ((|#1| $) 78)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 65 (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) 67 (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) 66 (|has| |#1| (|IntegerNumberSystem|)))) (|random| (($) 54 (|has| |#1| (|Finite|)))) (|one?| (((|Boolean|) $) 30)) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 69)) (|norm| ((|#1| $) 70)) (|min| (($ $ $) 61 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 60 (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 80)) (|lookup| (((|PositiveInteger|) $) 53 (|has| |#1| (|Finite|)))) (|latex| (((|String|) $) 9)) (|inv| (($ $) 64 (|has| |#1| (|Field|)))) (|index| (($ (|PositiveInteger|)) 52 (|has| |#1| (|Finite|)))) (|imagk| ((|#1| $) 75)) (|imagj| ((|#1| $) 76)) (|imagi| ((|#1| $) 77)) (|imagK| ((|#1| $) 71)) (|imagJ| ((|#1| $) 72)) (|imagI| ((|#1| $) 73)) (|imagE| ((|#1| $) 74)) (|hash| (((|SingleInteger|) $) 10)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) 86 (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) 85 (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) 84 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) 83 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 82 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) 81 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|enumerate| (((|List| $)) 55 (|has| |#1| (|Finite|)))) (|elt| (($ $ |#1|) 87 (|has| |#1| (|Eltable| |#1| |#1|)))) (|convert| (((|InputForm|) $) 62 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $) 79)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36) (($ (|Fraction| (|Integer|))) 90 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (|charthRoot| (((|Union| $ "failed") $) 63 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|abs| ((|#1| $) 68 (|has| |#1| (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 58 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 57 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 59 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 56 (|has| |#1| (|OrderedSet|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((|OctonionCategory| |#1|) (|Category|) (|CommutativeRing|)) (T |OctonionCategory|)) 
+((|conjugate| (*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|real| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagi| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagj| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagk| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagE| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagI| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagJ| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagK| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|norm| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|octon| (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|abs| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) (|rational?| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|rational| (*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|inv| (*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|Algebra| |t#1|) (|FullyRetractableTo| |t#1|) (|FullyEvalableOver| |t#1|) (CATEGORY |domain| (SIGNATURE |conjugate| ($ $)) (SIGNATURE |real| (|t#1| $)) (SIGNATURE |imagi| (|t#1| $)) (SIGNATURE |imagj| (|t#1| $)) (SIGNATURE |imagk| (|t#1| $)) (SIGNATURE |imagE| (|t#1| $)) (SIGNATURE |imagI| (|t#1| $)) (SIGNATURE |imagJ| (|t#1| $)) (SIGNATURE |imagK| (|t#1| $)) (SIGNATURE |norm| (|t#1| $)) (SIGNATURE |octon| ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |t#1| (|RealNumberSystem|)) (SIGNATURE |abs| (|t#1| $)) |noBranch|) (IF (|has| |t#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|) (IF (|has| |t#1| (|Field|)) (SIGNATURE |inv| ($ $)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| |#1| $) |has| |#1| (|Eltable| |#1| |#1|)) ((|Evalable| |#1|) |has| |#1| (|Evalable| |#1|)) ((|Finite|) |has| |#1| (|Finite|)) ((|FullyEvalableOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|InnerEvalable| (|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|InnerEvalable| |#1| |#1|) |has| |#1| (|Evalable| |#1|)) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) . T) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) 20))) 
+(((|OctonionCategoryFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#3| (|Mapping| |#4| |#2|) |#1|))) (|OctonionCategory| |#2|) (|CommutativeRing|) (|OctonionCategory| |#4|) (|CommutativeRing|)) (T |OctonionCategoryFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|OctonionCategory| *6)) (|isDomain| *1 (|OctonionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|OctonionCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#3| (|Mapping| |#4| |#2|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Quaternion| |#1|) "failed") $) 35) (((|Union| (|Integer|) "failed") $) NIL (OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Integer|))) (|has| |#1| (|RetractableTo| (|Integer|))))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|retract| ((|#1| $) NIL) (((|Quaternion| |#1|) $) 33) (((|Integer|) $) NIL (OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Integer|))) (|has| |#1| (|RetractableTo| (|Integer|))))) (((|Fraction| (|Integer|)) $) NIL (OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|recip| (((|Union| $ "failed") $) NIL)) (|real| ((|#1| $) 16)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|random| (($) NIL (|has| |#1| (|Finite|)))) (|one?| (((|Boolean|) $) NIL)) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (|Quaternion| |#1|) (|Quaternion| |#1|)) 29)) (|norm| ((|#1| $) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|imagk| ((|#1| $) 22)) (|imagj| ((|#1| $) 20)) (|imagi| ((|#1| $) 18)) (|imagK| ((|#1| $) 26)) (|imagJ| ((|#1| $) 25)) (|imagI| ((|#1| $) 24)) (|imagE| ((|#1| $) 23)) (|hash| (((|SingleInteger|) $) NIL)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|elt| (($ $ |#1|) NIL (|has| |#1| (|Eltable| |#1| |#1|)))) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|Quaternion| |#1|)) 30) (($ (|Fraction| (|Integer|))) NIL (OR (|has| (|Quaternion| |#1|) (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|abs| ((|#1| $) NIL (|has| |#1| (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 8 T CONST)) (|One| (($) 12 T CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|Octonion| |#1|) (|Join| (|OctonionCategory| |#1|) (|FullyRetractableTo| (|Quaternion| |#1|)) (CATEGORY |domain| (SIGNATURE |octon| ($ (|Quaternion| |#1|) (|Quaternion| |#1|))))) (|CommutativeRing|)) (T |Octonion|)) 
+((|octon| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Quaternion| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|Octonion| *3))))) 
+(|Join| (|OctonionCategory| |#1|) (|FullyRetractableTo| (|Quaternion| |#1|)) (CATEGORY |domain| (SIGNATURE |octon| ($ (|Quaternion| |#1|) (|Quaternion| |#1|))))) 
+((~= (((|Boolean|) $ $) 7)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 12)) (= (((|Boolean|) $ $) 6))) 
+(((|OrdinaryDifferentialEquationsSolverCategory|) (|Category|)) (T |OrdinaryDifferentialEquationsSolverCategory|)) 
+((|measure| (*1 *2 *3 *4) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) (|ODESolve| (*1 *2 *3) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |ODESolve| ((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|constDsolve| (((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)) 19))) 
+(((|ConstantLODE| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |constDsolve| ((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)))) (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|)) (|Join| (|AlgebraicallyClosedFunctionSpace| |#1|) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)) (|LinearOrdinaryDifferentialOperatorCategory| |#2|)) (T |ConstantLODE|)) 
+((|constDsolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ConstantLODE| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |constDsolve| ((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)))) 
+((|solve| (((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) 26) (((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) 27) (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|)) 16) (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|)) 17) (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|)) 22) (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|)) 24) (((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|)) 36) (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|)) 34))) 
+(((|ElementaryFunctionODESolver| |#1| |#2|) (CATEGORY |package| (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|))) (SIGNATURE |solve| ((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |solve| ((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)))) (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|)) (|Join| (|AlgebraicallyClosedFunctionSpace| |#1|) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (T |ElementaryFunctionODESolver|)) 
+((|solve| (*1 *2 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Equation| *2)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)))) (|solve| (*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Equation| *2)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))))) (|solve| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *3) (|:| |basis| (|List| *3))) *3 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) (|solve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *7) (|:| |basis| (|List| *7))) *7 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) (|solve| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) (|solve| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) (|solve| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Vector| *6))) (|isDomain| *1 (|ElementaryFunctionODESolver| *5 *6)))) (|solve| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)) (|isDomain| *4 (|Vector| *7))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|))) (SIGNATURE |solve| ((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|))) (SIGNATURE |solve| ((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)))) 
+((|showTheIFTable| (($) 9)) (|showIntensityFunctions| (((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 26)) (|keys| (((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) 23)) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) 20)) (|iFTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) 18)) (|clearTheIFTable| (((|Void|)) 12))) 
+(((|ODEIntensityFunctionsTable|) (CATEGORY |domain| (SIGNATURE |showTheIFTable| ($)) (SIGNATURE |clearTheIFTable| ((|Void|))) (SIGNATURE |keys| ((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $)) (SIGNATURE |iFTable| ($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))))) (SIGNATURE |insert!| ($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (SIGNATURE |showIntensityFunctions| ((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) (T |ODEIntensityFunctionsTable|)) 
+((|showIntensityFunctions| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) (|insert!| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) (|iFTable| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) (|keys| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) (|clearTheIFTable| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) (|showTheIFTable| (*1 *1) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) 
+(CATEGORY |domain| (SIGNATURE |showTheIFTable| ($)) (SIGNATURE |clearTheIFTable| ((|Void|))) (SIGNATURE |keys| ((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $)) (SIGNATURE |iFTable| ($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))))) (SIGNATURE |insert!| ($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (SIGNATURE |showIntensityFunctions| ((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) 
+((|int| ((|#2| |#2| (|Symbol|)) 15)) (|expint| ((|#2| |#2| (|Symbol|)) 47)) (|diff| (((|Mapping| |#2| |#2|) (|Symbol|)) 11))) 
+(((|ODEIntegration| |#1| |#2|) (CATEGORY |package| (SIGNATURE |int| (|#2| |#2| (|Symbol|))) (SIGNATURE |expint| (|#2| |#2| (|Symbol|))) (SIGNATURE |diff| ((|Mapping| |#2| |#2|) (|Symbol|)))) (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|)) (|Join| (|AlgebraicallyClosedFunctionSpace| |#1|) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (T |ODEIntegration|)) 
+((|diff| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Mapping| *5 *5)) (|isDomain| *1 (|ODEIntegration| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) (|expint| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) (|int| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |int| (|#2| |#2| (|Symbol|))) (SIGNATURE |expint| (|#2| |#2| (|Symbol|))) (SIGNATURE |diff| ((|Mapping| |#2| |#2|) (|Symbol|)))) 
+((|solve| (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|)) 114) (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|)) 115) (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|)) 117) (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|)) 118) (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|)) 119) (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|))) 120) (((|Result|) (|NumericalODEProblem|) (|RoutinesTable|)) 105) (((|Result|) (|NumericalODEProblem|)) 106)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)) 71) (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|)) 73))) 
+(((|AnnaOrdinaryDifferentialEquationPackage|) (CATEGORY |package| (SIGNATURE |solve| ((|Result|) (|NumericalODEProblem|))) (SIGNATURE |solve| ((|Result|) (|NumericalODEProblem|) (|RoutinesTable|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|))))) (T |AnnaOrdinaryDifferentialEquationPackage|)) 
+((|measure| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|measure| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4 *4 *5 *6 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4 *4 *5 *6 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4 *4 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) (|solve| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Result|) (|NumericalODEProblem|))) (SIGNATURE |solve| ((|Result|) (|NumericalODEProblem|) (|RoutinesTable|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|))) (SIGNATURE |solve| ((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)))) 
+((|algDsolve| (((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|) 32))) 
+(((|PureAlgebraicLODE| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |algDsolve| ((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|)) (T |PureAlgebraicLODE|)) 
+((|algDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| *4)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicLODE| *5 *6 *7 *4))))) 
+(CATEGORY |package| (SIGNATURE |algDsolve| ((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|))) 
+((|splitDenominator| (((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))) 51)) (|indicialEquations| (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|) 59) (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|) 58) (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|) 20) (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|) 21)) (|indicialEquation| ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (|denomLODE| ((|#2| |#3| (|List| (|Fraction| |#2|))) 93) (((|Union| |#2| "failed") |#3| (|Fraction| |#2|)) 90))) 
+(((|PrimitiveRatDE| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |denomLODE| ((|Union| |#2| "failed") |#3| (|Fraction| |#2|))) (SIGNATURE |denomLODE| (|#2| |#3| (|List| (|Fraction| |#2|)))) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|)) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|)) (SIGNATURE |indicialEquation| (|#2| |#3| |#1|)) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|)) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|)) (SIGNATURE |indicialEquation| (|#2| |#4| |#1|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|) (|LinearOrdinaryDifferentialOperatorCategory| |#2|) (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| |#2|))) (T |PrimitiveRatDE|)) 
+((|splitDenominator| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |eq| *7) (|:| |rh| (|List| (|Fraction| *6))))) (|isDomain| *1 (|PrimitiveRatDE| *5 *6 *7 *3)) (|isDomain| *4 (|List| (|Fraction| *6))) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) (|indicialEquation| (*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *5 *3)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) (|indicialEquations| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) (|indicialEquations| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) (|indicialEquation| (*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) (|indicialEquations| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) (|indicialEquations| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) (|denomLODE| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) (|denomLODE| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Fraction| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |denomLODE| ((|Union| |#2| "failed") |#3| (|Fraction| |#2|))) (SIGNATURE |denomLODE| (|#2| |#3| (|List| (|Fraction| |#2|)))) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|)) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|)) (SIGNATURE |indicialEquation| (|#2| |#3| |#1|)) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|)) (SIGNATURE |indicialEquations| ((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|)) (SIGNATURE |indicialEquation| (|#2| |#4| |#1|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|retract| (((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $) 9)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 11) (($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) 8)) (= (((|Boolean|) $ $) NIL))) 
+(((|NumericalODEProblem|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $))))) (T |NumericalODEProblem|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalODEProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) (|retract| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $)))) 
+((|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) 118)) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) 45)) (|leadingCoefficientRicDE| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|) 95)) (|denomRicDE| ((|#2| |#3|) 37)) (|constantCoefficientRicDE| (((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) 82)) (|changeVar| ((|#3| |#3| (|Fraction| |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
+(((|PrimitiveRatRicDE| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |denomRicDE| (|#2| |#3|)) (SIGNATURE |leadingCoefficientRicDE| ((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|)) (SIGNATURE |constantCoefficientRicDE| ((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |polyRicDE| ((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |singRicDE| ((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |changeVar| (|#3| |#3| |#2|)) (SIGNATURE |changeVar| (|#3| |#3| (|Fraction| |#2|)))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|) (|LinearOrdinaryDifferentialOperatorCategory| |#2|) (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| |#2|))) (T |PrimitiveRatRicDE|)) 
+((|changeVar| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *2 *6)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *3)))) (|changeVar| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *3 *2 *5)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *3))))) (|singRicDE| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| (|List| *7) *7 (|SparseUnivariatePolynomial| *7))) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *7)) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *6 *7 *3 *8)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *7)) (|ofCategory| *8 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *7))))) (|polyRicDE| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) (|constantCoefficientRicDE| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |constant| *5) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) (|leadingCoefficientRicDE| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| *5)))) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) (|denomRicDE| (*1 *2 *3) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(CATEGORY |package| (SIGNATURE |denomRicDE| (|#2| |#3|)) (SIGNATURE |leadingCoefficientRicDE| ((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|)) (SIGNATURE |constantCoefficientRicDE| ((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |polyRicDE| ((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |singRicDE| ((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |changeVar| (|#3| |#3| |#2|)) (SIGNATURE |changeVar| (|#3| |#3| (|Fraction| |#2|)))) 
+((|ratDsolve| (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) 117) (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|)) 116) (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) 111) (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|)) 109)) (|indicialEquationAtInfinity| ((|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) 77) ((|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) 81))) 
+(((|RationalLODE| |#1| |#2|) (CATEGORY |package| (SIGNATURE |ratDsolve| ((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|))) (SIGNATURE |ratDsolve| ((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|)))) (SIGNATURE |ratDsolve| ((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|))) (SIGNATURE |ratDsolve| ((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|)))) (SIGNATURE |indicialEquationAtInfinity| (|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)))) (SIGNATURE |indicialEquationAtInfinity| (|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|)) (T |RationalLODE|)) 
+((|indicialEquationAtInfinity| (*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *2 (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))))) (|indicialEquationAtInfinity| (*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))))) (|ratDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) (|ratDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) (|ratDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) (|ratDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |ratDsolve| ((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|))) (SIGNATURE |ratDsolve| ((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|)))) (SIGNATURE |ratDsolve| ((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|))) (SIGNATURE |ratDsolve| ((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|)))) (SIGNATURE |indicialEquationAtInfinity| (|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)))) (SIGNATURE |indicialEquationAtInfinity| (|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) 
+((|reduceLODE| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|) 47))) 
+(((|ReduceLODE| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |reduceLODE| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|))) (|Field|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|) (|UnivariatePolynomialCategory| |#1|) (|MonogenicAlgebra| |#1| |#3|) (|LinearOrdinaryDifferentialOperatorCategory| |#4|)) (T |ReduceLODE|)) 
+((|reduceLODE| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *4 (|MonogenicAlgebra| *5 *7)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|ReduceLODE| *5 *6 *7 *4 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |reduceLODE| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|))) 
+((|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) 43)) (|ricDsolve| (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) 133 (|has| |#1| (|AlgebraicallyClosedField|))) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) 134 (|has| |#1| (|AlgebraicallyClosedField|))) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) 135 (|has| |#1| (|AlgebraicallyClosedField|))) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) 136 (|has| |#1| (|AlgebraicallyClosedField|))) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) 36) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) 37) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) 34) (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) 35)) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) 80))) 
+(((|RationalRicDE| |#1| |#2|) (CATEGORY |package| (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |singRicDE| ((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |polyRicDE| ((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (IF (|has| |#1| (|AlgebraicallyClosedField|)) (PROGN (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)))) |noBranch|)) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))) (|UnivariatePolynomialCategory| |#1|)) (T |RationalRicDE|)) 
+((|ricDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) (|ricDsolve| (*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *5 (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) (|ricDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) (|ricDsolve| (*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) (|polyRicDE| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))))) (|singRicDE| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *6)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))))) (|ricDsolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *7 (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) (|ricDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) (|ricDsolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) (|ricDsolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |singRicDE| ((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |polyRicDE| ((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|))) (IF (|has| |#1| (|AlgebraicallyClosedField|)) (PROGN (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)))) (SIGNATURE |ricDsolve| ((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)))) |noBranch|)) 
+((|triangulate| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|)) 86) (((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|)) 14)) (|solveInField| (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)) 92)) (|solve| (((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|)) 45))) 
+(((|SystemODESolver| |#1| |#2|) (CATEGORY |package| (SIGNATURE |triangulate| ((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |triangulate| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|))) (SIGNATURE |solveInField| ((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)))) (|Field|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|)) (T |SystemODESolver|)) 
+((|solveInField| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |particular| (|Union| *6 "failed")) (|:| |basis| (|List| *6))) *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *6) "failed")) (|:| |basis| (|List| (|Vector| *6))))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *4 (|Vector| *6)))) (|solve| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |particular| *6) (|:| |basis| (|List| *6))) "failed") *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *6)) (|:| |basis| (|Matrix| *6)))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *6)))) (|triangulate| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *5)))) (|triangulate| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| A (|Matrix| *5)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5)) (|:| |eq| *6) (|:| |rh| *5)))))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |triangulate| ((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |triangulate| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|))) (SIGNATURE |solve| ((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|))) (SIGNATURE |solveInField| ((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)))) 
+((|wronskianMatrix| (((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|)) 13) (((|Matrix| |#1|) (|List| |#1|)) 14)) (|variationOfParameters| (((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|)) 34)) (|particularSolution| (((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)) 42))) 
+(((|ODETools| |#1| |#2|) (CATEGORY |package| (SIGNATURE |wronskianMatrix| ((|Matrix| |#1|) (|List| |#1|))) (SIGNATURE |wronskianMatrix| ((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |variationOfParameters| ((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|))) (SIGNATURE |particularSolution| ((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)))) (|Field|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|)) (T |ODETools|)) 
+((|particularSolution| (*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *4 (|List| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|ODETools| *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) (|variationOfParameters| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|ODETools| *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) (|wronskianMatrix| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|ODETools| *5 *6)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) (|wronskianMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|ODETools| *4 *5)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |wronskianMatrix| ((|Matrix| |#1|) (|List| |#1|))) (SIGNATURE |wronskianMatrix| ((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|))) (SIGNATURE |variationOfParameters| ((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|))) (SIGNATURE |particularSolution| ((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#2| (|SetCategory|)))) (|zero?| (((|Boolean|) $) NIL (|has| |#2| (|CancellationAbelianMonoid|)))) (|unitVector| (($ (|PositiveInteger|)) NIL (|has| |#2| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) NIL (|has| |#2| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|CancellationAbelianMonoid|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#2| (|Finite|)))) (|sign| (((|Integer|) $) NIL (|has| |#2| (|OrderedRing|)))) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (((|Union| |#2| "failed") $) NIL (|has| |#2| (|SetCategory|)))) (|retract| (((|Integer|) $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) ((|#2| $) NIL (|has| |#2| (|SetCategory|)))) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#2| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|Ring|))) (((|Matrix| |#2|) (|Matrix| $)) NIL (|has| |#2| (|Ring|)))) (|recip| (((|Union| $ "failed") $) NIL (|has| |#2| (|Monoid|)))) (|random| (($) NIL (|has| |#2| (|Finite|)))) (|qsetelt!| ((|#2| $ (|Integer|) |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ (|Integer|)) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedRing|)))) (|parts| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL (|has| |#2| (|Monoid|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (|members| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (|map!| (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#2| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#2| (|SetCategory|)))) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#2| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#2| (|SetCategory|)))) (|first| ((|#2| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#2| (|Finite|)))) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|)) NIL)) (|dot| ((|#2| $ $) NIL (|has| |#2| (|Ring|)))) (|directProduct| (($ (|Vector| |#2|)) NIL)) (|dimension| (((|CardinalNumber|)) NIL (|has| |#2| (|Field|)))) (|differentiate| (($ $) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#2| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|Vector| |#2|) $) NIL) (((|OutputForm|) $) NIL (|has| |#2| (|SetCategory|))) (($ (|Integer|)) NIL (OR (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#2| (|SetCategory|))) (|has| |#2| (|Ring|)))) (($ (|Fraction| (|Integer|))) NIL (AND (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#2| (|SetCategory|)))) (($ |#2|) NIL (|has| |#2| (|SetCategory|)))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) NIL (|has| |#2| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#2| (|Monoid|)))) (|Zero| (($) NIL (|has| |#2| (|CancellationAbelianMonoid|)) CONST)) (|One| (($) NIL (|has| |#2| (|Monoid|)) CONST)) (D (($ $) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|DifferentialRing|)) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#2| (|Ring|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#2| (|Ring|))) (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#2| (|Ring|)))) (>= (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (= (((|Boolean|) $ $) NIL (|has| |#2| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (< (((|Boolean|) $ $) 11 (OR (|has| |#2| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedRing|))))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $ $) NIL (|has| |#2| (|Ring|))) (($ $) NIL (|has| |#2| (|Ring|)))) (+ (($ $ $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (** (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#2| (|Monoid|)))) (* (($ (|Integer|) $) NIL (|has| |#2| (|Ring|))) (($ $ $) NIL (|has| |#2| (|Monoid|))) (($ $ |#2|) NIL (|has| |#2| (|Monoid|))) (($ |#2| $) NIL (|has| |#2| (|Monoid|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#2| (|CancellationAbelianMonoid|))) (($ (|PositiveInteger|) $) NIL (|has| |#2| (|AbelianSemiGroup|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|OrderedDirectProduct| |#1| |#2| |#3|) (|DirectProductCategory| |#1| |#2|) (|NonNegativeInteger|) (|OrderedAbelianMonoidSup|) (|Mapping| (|Boolean|) (|Vector| |#2|) (|Vector| |#2|))) (T |OrderedDirectProduct|)) 
+NIL 
+(|DirectProductCategory| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|weights| (((|List| (|NonNegativeInteger|)) $) NIL) (((|List| (|NonNegativeInteger|)) $ (|Symbol|)) NIL)) (|weight| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|Symbol|)) NIL)) (|variables| (((|List| (|OrderlyDifferentialVariable| (|Symbol|))) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|separant| (($ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|OrderlyDifferentialVariable| (|Symbol|)) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL) (((|Union| (|SparseMultivariatePolynomial| |#1| (|Symbol|)) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|OrderlyDifferentialVariable| (|Symbol|)) $) NIL) (((|Symbol|) $) NIL) (((|SparseMultivariatePolynomial| |#1| (|Symbol|)) $) NIL)) (|resultant| (($ $ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|))) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|OrderlyDifferentialVariable| (|Symbol|)) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|OrderlyDifferentialVariable| (|Symbol|)) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ (|Symbol|)) NIL) (((|NonNegativeInteger|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (($ (|SparseUnivariatePolynomial| $) (|OrderlyDifferentialVariable| (|Symbol|))) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|OrderlyDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL)) (|minimumDegree| (((|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|))) $) NIL) (((|NonNegativeInteger|) $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|))) (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) (|Symbol|)) NIL) (((|Mapping| $ (|NonNegativeInteger|)) $) NIL (|has| |#1| (|DifferentialRing|)))) (|mainVariable| (((|Union| (|OrderlyDifferentialVariable| (|Symbol|)) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|leader| (((|OrderlyDifferentialVariable| (|Symbol|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isobaric?| (((|Boolean|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|OrderlyDifferentialVariable| (|Symbol|))) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|initial| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|OrderlyDifferentialVariable| (|Symbol|)) |#1|) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|))) (|List| |#1|)) NIL) (($ $ (|OrderlyDifferentialVariable| (|Symbol|)) $) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|))) (|List| $)) NIL) (($ $ (|Symbol|) $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|List| (|Symbol|)) (|List| $)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL (|has| |#1| (|DifferentialRing|)))) (|discriminant| (($ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|OrderlyDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (|differentialVariables| (((|List| (|Symbol|)) $) NIL)) (|degree| (((|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|))) $) NIL) (((|NonNegativeInteger|) $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL) (((|NonNegativeInteger|) $ (|Symbol|)) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|OrderlyDifferentialVariable| (|Symbol|)) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|OrderlyDifferentialVariable| (|Symbol|)) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|OrderlyDifferentialVariable| (|Symbol|)) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (($ (|Symbol|)) NIL) (($ (|SparseMultivariatePolynomial| |#1| (|Symbol|))) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|OrderlyDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|OrderlyDifferentialVariable| (|Symbol|))) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|OrderlyDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|OrderlyDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|OrderlyDifferentialPolynomial| |#1|) (|Join| (|DifferentialPolynomialCategory| |#1| (|Symbol|) (|OrderlyDifferentialVariable| (|Symbol|)) (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| (|Symbol|)))) (|Ring|)) (T |OrderlyDifferentialPolynomial|)) 
+NIL 
+(|Join| (|DifferentialPolynomialCategory| |#1| (|Symbol|) (|OrderlyDifferentialVariable| (|Symbol|)) (|IndexedExponents| (|OrderlyDifferentialVariable| (|Symbol|)))) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|Field|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|Field|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|Field|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#2| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|Field|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#2| (|Field|)))) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL (|has| |#2| (|Field|)))) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#2| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#2| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|Field|)))) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|Field|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|Field|))) (($ $ $) NIL (|has| |#2| (|Field|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 20 (|has| |#2| (|Field|)))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|Field|))) (($ $ $) NIL (|has| |#2| (|Field|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#2| (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|Field|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#2| (|Field|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|Field|)))) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) 13)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Field|))) (($ $) NIL (|has| |#2| (|Field|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|Field|)))) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#2| (|Field|)))) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) 15 (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL) (($ $ (|Integer|)) 18 (|has| |#2| (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Field|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Field|))))) 
+(((|OrdinaryDifferentialRing| |#1| |#2| |#3|) (|Join| (|BiModule| $ $) (|DifferentialRing|) (CATEGORY |domain| (IF (|has| |#2| (|Field|)) (ATTRIBUTE (|Field|)) |noBranch|) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |coerce| (|#2| $)))) (|SetCategory|) (|PartialDifferentialRing| |#1|) |#1|) (T |OrdinaryDifferentialRing|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *2 (|PartialDifferentialRing| *3)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3)))) 
+(|Join| (|BiModule| $ $) (|DifferentialRing|) (CATEGORY |domain| (IF (|has| |#2| (|Field|)) (ATTRIBUTE (|Field|)) |noBranch|) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |coerce| (|#2| $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|weight| (((|NonNegativeInteger|) $) NIL)) (|variable| ((|#1| $) 10)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|order| (((|NonNegativeInteger|) $) 11)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) 9)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|differentiate| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ |#1|) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL))) 
+(((|OrderlyDifferentialVariable| |#1|) (|DifferentialVariableCategory| |#1|) (|OrderedSet|)) (T |OrderlyDifferentialVariable|)) 
+NIL 
+(|DifferentialVariableCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|varList| (((|List| |#1|) $) 34)) (|size| (((|NonNegativeInteger|) $) NIL)) (|sample| (($) NIL T CONST)) (|rquo| (((|Union| $ "failed") $ $) 21) (((|Union| $ "failed") $ |#1|) 19)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|rest| (($ $) 36)) (|recip| (((|Union| $ "failed") $) NIL)) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthFactor| ((|#1| $ (|Integer|)) NIL)) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) NIL)) (|mirror| (($ $) 40)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|lquo| (((|Union| $ "failed") $ $) 20) (((|Union| $ "failed") $ |#1|) 16)) (|lexico| (((|Boolean|) $ $) 38)) (|length| (((|NonNegativeInteger|) $) 30)) (|latex| (((|String|) $) NIL)) (|hcrf| (($ $ $) NIL)) (|hclf| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| ((|#1| $) 35)) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) NIL)) (|divide| (((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $) 24)) (|coerce| (((|OutputForm|) $) NIL) (($ |#1|) NIL)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|One| (($) 14 T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 39)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL) (($ |#1| (|NonNegativeInteger|)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|OrderedFreeMonoid| |#1|) (|Join| (|OrderedMonoid|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE ** ($ |#1| (|NonNegativeInteger|))) (SIGNATURE |first| (|#1| $)) (SIGNATURE |rest| ($ $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |lexico| ((|Boolean|) $ $)) (SIGNATURE |hclf| ($ $ $)) (SIGNATURE |hcrf| ($ $ $)) (SIGNATURE |lquo| ((|Union| $ "failed") $ $)) (SIGNATURE |rquo| ((|Union| $ "failed") $ $)) (SIGNATURE |lquo| ((|Union| $ "failed") $ |#1|)) (SIGNATURE |rquo| ((|Union| $ "failed") $ |#1|)) (SIGNATURE |divide| ((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $)) (SIGNATURE |overlap| ((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |nthExpon| ((|NonNegativeInteger|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |factors| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |varList| ((|List| |#1|) $)))) (|OrderedSet|)) (T |OrderedFreeMonoid|)) 
+((* (*1 *1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (* (*1 *1 *1 *2) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (** (*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|first| (*1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|rest| (*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|mirror| (*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|lexico| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|hclf| (*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|hcrf| (*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|lquo| (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|rquo| (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|lquo| (*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|rquo| (*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|divide| (*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|Union| (|OrderedFreeMonoid| *3) "failed")) (|:| |rm| (|Union| (|OrderedFreeMonoid| *3) "failed")))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|overlap| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|OrderedFreeMonoid| *3)) (|:| |mm| (|OrderedFreeMonoid| *3)) (|:| |rm| (|OrderedFreeMonoid| *3)))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|size| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|nthExpon| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|nthFactor| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|factors| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|varList| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(|Join| (|OrderedMonoid|) (|RetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE * ($ |#1| $)) (SIGNATURE * ($ $ |#1|)) (SIGNATURE ** ($ |#1| (|NonNegativeInteger|))) (SIGNATURE |first| (|#1| $)) (SIGNATURE |rest| ($ $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |lexico| ((|Boolean|) $ $)) (SIGNATURE |hclf| ($ $ $)) (SIGNATURE |hcrf| ($ $ $)) (SIGNATURE |lquo| ((|Union| $ "failed") $ $)) (SIGNATURE |rquo| ((|Union| $ "failed") $ $)) (SIGNATURE |lquo| ((|Union| $ "failed") $ |#1|)) (SIGNATURE |rquo| ((|Union| $ "failed") $ |#1|)) (SIGNATURE |divide| ((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $)) (SIGNATURE |overlap| ((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (SIGNATURE |size| ((|NonNegativeInteger|) $)) (SIGNATURE |nthExpon| ((|NonNegativeInteger|) $ (|Integer|))) (SIGNATURE |nthFactor| (|#1| $ (|Integer|))) (SIGNATURE |factors| ((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |varList| ((|List| |#1|) $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sign| (((|Integer|) $) 52)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|positive?| (((|Boolean|) $) 50)) (|one?| (((|Boolean|) $) 30)) (|negative?| (((|Boolean|) $) 51)) (|min| (($ $ $) 49)) (|max| (($ $ $) 48)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (|abs| (($ $) 53)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 46)) (> (((|Boolean|) $ $) 45)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 47)) (< (((|Boolean|) $ $) 44)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|OrderedIntegralDomain|) (|Category|)) (T |OrderedIntegralDomain|)) 
+NIL 
+(|Join| (|IntegralDomain|) (|OrderedRing|)) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedRing|) . T) ((|OrderedSet|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|OMmakeConn| (($ (|SingleInteger|)) 7)) (|OMconnectTCP| (((|Boolean|) $ (|String|) (|SingleInteger|)) 15)) (|OMconnOutDevice| (((|OpenMathDevice|) $) 12)) (|OMconnInDevice| (((|OpenMathDevice|) $) 11)) (|OMcloseConn| (((|Void|) $) 9)) (|OMbindTCP| (((|Boolean|) $ (|SingleInteger|)) 16))) 
+(((|OpenMathConnection|) (CATEGORY |domain| (SIGNATURE |OMmakeConn| ($ (|SingleInteger|))) (SIGNATURE |OMcloseConn| ((|Void|) $)) (SIGNATURE |OMconnInDevice| ((|OpenMathDevice|) $)) (SIGNATURE |OMconnOutDevice| ((|OpenMathDevice|) $)) (SIGNATURE |OMconnectTCP| ((|Boolean|) $ (|String|) (|SingleInteger|))) (SIGNATURE |OMbindTCP| ((|Boolean|) $ (|SingleInteger|))))) (T |OpenMathConnection|)) 
+((|OMbindTCP| (*1 *2 *1 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|)))) (|OMconnectTCP| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|)))) (|OMconnOutDevice| (*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|)))) (|OMconnInDevice| (*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|)))) (|OMcloseConn| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathConnection|)))) (|OMmakeConn| (*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(CATEGORY |domain| (SIGNATURE |OMmakeConn| ($ (|SingleInteger|))) (SIGNATURE |OMcloseConn| ((|Void|) $)) (SIGNATURE |OMconnInDevice| ((|OpenMathDevice|) $)) (SIGNATURE |OMconnOutDevice| ((|OpenMathDevice|) $)) (SIGNATURE |OMconnectTCP| ((|Boolean|) $ (|String|) (|SingleInteger|))) (SIGNATURE |OMbindTCP| ((|Boolean|) $ (|SingleInteger|)))) 
+((|OMsetEncoding| (((|Void|) $ (|OpenMathEncoding|)) 12)) (|OMputVariable| (((|Void|) $ (|Symbol|)) 32)) (|OMputSymbol| (((|Void|) $ (|String|) (|String|)) 34)) (|OMputString| (((|Void|) $ (|String|)) 33)) (|OMputObject| (((|Void|) $) 19)) (|OMputInteger| (((|Void|) $ (|Integer|)) 28)) (|OMputFloat| (((|Void|) $ (|DoubleFloat|)) 30)) (|OMputError| (((|Void|) $) 18)) (|OMputEndObject| (((|Void|) $) 26)) (|OMputEndError| (((|Void|) $) 25)) (|OMputEndBind| (((|Void|) $) 23)) (|OMputEndBVar| (((|Void|) $) 24)) (|OMputEndAttr| (((|Void|) $) 22)) (|OMputEndAtp| (((|Void|) $) 21)) (|OMputEndApp| (((|Void|) $) 20)) (|OMputBind| (((|Void|) $) 16)) (|OMputBVar| (((|Void|) $) 17)) (|OMputAttr| (((|Void|) $) 15)) (|OMputAtp| (((|Void|) $) 14)) (|OMputApp| (((|Void|) $) 13)) (|OMopenString| (($ (|String|) (|OpenMathEncoding|)) 9)) (|OMopenFile| (($ (|String|) (|String|) (|OpenMathEncoding|)) 8)) (|OMgetVariable| (((|Symbol|) $) 51)) (|OMgetType| (((|Symbol|) $) 55)) (|OMgetSymbol| (((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $) 54)) (|OMgetString| (((|String|) $) 52)) (|OMgetObject| (((|Void|) $) 41)) (|OMgetInteger| (((|Integer|) $) 49)) (|OMgetFloat| (((|DoubleFloat|) $) 50)) (|OMgetError| (((|Void|) $) 40)) (|OMgetEndObject| (((|Void|) $) 48)) (|OMgetEndError| (((|Void|) $) 47)) (|OMgetEndBind| (((|Void|) $) 45)) (|OMgetEndBVar| (((|Void|) $) 46)) (|OMgetEndAttr| (((|Void|) $) 44)) (|OMgetEndAtp| (((|Void|) $) 43)) (|OMgetEndApp| (((|Void|) $) 42)) (|OMgetBind| (((|Void|) $) 38)) (|OMgetBVar| (((|Void|) $) 39)) (|OMgetAttr| (((|Void|) $) 37)) (|OMgetAtp| (((|Void|) $) 36)) (|OMgetApp| (((|Void|) $) 35)) (|OMclose| (((|Void|) $) 11))) 
+(((|OpenMathDevice|) (CATEGORY |domain| (SIGNATURE |OMopenFile| ($ (|String|) (|String|) (|OpenMathEncoding|))) (SIGNATURE |OMopenString| ($ (|String|) (|OpenMathEncoding|))) (SIGNATURE |OMclose| ((|Void|) $)) (SIGNATURE |OMsetEncoding| ((|Void|) $ (|OpenMathEncoding|))) (SIGNATURE |OMputApp| ((|Void|) $)) (SIGNATURE |OMputAtp| ((|Void|) $)) (SIGNATURE |OMputAttr| ((|Void|) $)) (SIGNATURE |OMputBind| ((|Void|) $)) (SIGNATURE |OMputBVar| ((|Void|) $)) (SIGNATURE |OMputError| ((|Void|) $)) (SIGNATURE |OMputObject| ((|Void|) $)) (SIGNATURE |OMputEndApp| ((|Void|) $)) (SIGNATURE |OMputEndAtp| ((|Void|) $)) (SIGNATURE |OMputEndAttr| ((|Void|) $)) (SIGNATURE |OMputEndBind| ((|Void|) $)) (SIGNATURE |OMputEndBVar| ((|Void|) $)) (SIGNATURE |OMputEndError| ((|Void|) $)) (SIGNATURE |OMputEndObject| ((|Void|) $)) (SIGNATURE |OMputInteger| ((|Void|) $ (|Integer|))) (SIGNATURE |OMputFloat| ((|Void|) $ (|DoubleFloat|))) (SIGNATURE |OMputVariable| ((|Void|) $ (|Symbol|))) (SIGNATURE |OMputString| ((|Void|) $ (|String|))) (SIGNATURE |OMputSymbol| ((|Void|) $ (|String|) (|String|))) (SIGNATURE |OMgetApp| ((|Void|) $)) (SIGNATURE |OMgetAtp| ((|Void|) $)) (SIGNATURE |OMgetAttr| ((|Void|) $)) (SIGNATURE |OMgetBind| ((|Void|) $)) (SIGNATURE |OMgetBVar| ((|Void|) $)) (SIGNATURE |OMgetError| ((|Void|) $)) (SIGNATURE |OMgetObject| ((|Void|) $)) (SIGNATURE |OMgetEndApp| ((|Void|) $)) (SIGNATURE |OMgetEndAtp| ((|Void|) $)) (SIGNATURE |OMgetEndAttr| ((|Void|) $)) (SIGNATURE |OMgetEndBind| ((|Void|) $)) (SIGNATURE |OMgetEndBVar| ((|Void|) $)) (SIGNATURE |OMgetEndError| ((|Void|) $)) (SIGNATURE |OMgetEndObject| ((|Void|) $)) (SIGNATURE |OMgetInteger| ((|Integer|) $)) (SIGNATURE |OMgetFloat| ((|DoubleFloat|) $)) (SIGNATURE |OMgetVariable| ((|Symbol|) $)) (SIGNATURE |OMgetString| ((|String|) $)) (SIGNATURE |OMgetSymbol| ((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $)) (SIGNATURE |OMgetType| ((|Symbol|) $)))) (T |OpenMathDevice|)) 
+((|OMgetType| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetSymbol| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |cd| (|String|)) (|:| |name| (|String|)))) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetString| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetVariable| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetFloat| (*1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetInteger| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndObject| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndError| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndBVar| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndBind| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndAttr| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndAtp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetEndApp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetObject| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetError| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetBVar| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetBind| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetAttr| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetAtp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMgetApp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputSymbol| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputString| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputVariable| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputFloat| (*1 *2 *1 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputInteger| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndObject| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndError| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndBVar| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndBind| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndAttr| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndAtp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputEndApp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputObject| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputError| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputBVar| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputBind| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputAttr| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputAtp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMputApp| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMsetEncoding| (*1 *2 *1 *3) (AND (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMclose| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMopenString| (*1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|)))) (|OMopenFile| (*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(CATEGORY |domain| (SIGNATURE |OMopenFile| ($ (|String|) (|String|) (|OpenMathEncoding|))) (SIGNATURE |OMopenString| ($ (|String|) (|OpenMathEncoding|))) (SIGNATURE |OMclose| ((|Void|) $)) (SIGNATURE |OMsetEncoding| ((|Void|) $ (|OpenMathEncoding|))) (SIGNATURE |OMputApp| ((|Void|) $)) (SIGNATURE |OMputAtp| ((|Void|) $)) (SIGNATURE |OMputAttr| ((|Void|) $)) (SIGNATURE |OMputBind| ((|Void|) $)) (SIGNATURE |OMputBVar| ((|Void|) $)) (SIGNATURE |OMputError| ((|Void|) $)) (SIGNATURE |OMputObject| ((|Void|) $)) (SIGNATURE |OMputEndApp| ((|Void|) $)) (SIGNATURE |OMputEndAtp| ((|Void|) $)) (SIGNATURE |OMputEndAttr| ((|Void|) $)) (SIGNATURE |OMputEndBind| ((|Void|) $)) (SIGNATURE |OMputEndBVar| ((|Void|) $)) (SIGNATURE |OMputEndError| ((|Void|) $)) (SIGNATURE |OMputEndObject| ((|Void|) $)) (SIGNATURE |OMputInteger| ((|Void|) $ (|Integer|))) (SIGNATURE |OMputFloat| ((|Void|) $ (|DoubleFloat|))) (SIGNATURE |OMputVariable| ((|Void|) $ (|Symbol|))) (SIGNATURE |OMputString| ((|Void|) $ (|String|))) (SIGNATURE |OMputSymbol| ((|Void|) $ (|String|) (|String|))) (SIGNATURE |OMgetApp| ((|Void|) $)) (SIGNATURE |OMgetAtp| ((|Void|) $)) (SIGNATURE |OMgetAttr| ((|Void|) $)) (SIGNATURE |OMgetBind| ((|Void|) $)) (SIGNATURE |OMgetBVar| ((|Void|) $)) (SIGNATURE |OMgetError| ((|Void|) $)) (SIGNATURE |OMgetObject| ((|Void|) $)) (SIGNATURE |OMgetEndApp| ((|Void|) $)) (SIGNATURE |OMgetEndAtp| ((|Void|) $)) (SIGNATURE |OMgetEndAttr| ((|Void|) $)) (SIGNATURE |OMgetEndBind| ((|Void|) $)) (SIGNATURE |OMgetEndBVar| ((|Void|) $)) (SIGNATURE |OMgetEndError| ((|Void|) $)) (SIGNATURE |OMgetEndObject| ((|Void|) $)) (SIGNATURE |OMgetInteger| ((|Integer|) $)) (SIGNATURE |OMgetFloat| ((|DoubleFloat|) $)) (SIGNATURE |OMgetVariable| ((|Symbol|) $)) (SIGNATURE |OMgetString| ((|String|) $)) (SIGNATURE |OMgetSymbol| ((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $)) (SIGNATURE |OMgetType| ((|Symbol|) $))) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 12)) (|OMencodingXML| (($) 15)) (|OMencodingUnknown| (($) 13)) (|OMencodingSGML| (($) 16)) (|OMencodingBinary| (($) 14)) (= (((|Boolean|) $ $) 8))) 
+(((|OpenMathEncoding|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |OMencodingUnknown| ($)) (SIGNATURE |OMencodingXML| ($)) (SIGNATURE |OMencodingSGML| ($)) (SIGNATURE |OMencodingBinary| ($))))) (T |OpenMathEncoding|)) 
+((|OMencodingUnknown| (*1 *1) (|isDomain| *1 (|OpenMathEncoding|))) (|OMencodingXML| (*1 *1) (|isDomain| *1 (|OpenMathEncoding|))) (|OMencodingSGML| (*1 *1) (|isDomain| *1 (|OpenMathEncoding|))) (|OMencodingBinary| (*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |OMencodingUnknown| ($)) (SIGNATURE |OMencodingXML| ($)) (SIGNATURE |OMencodingSGML| ($)) (SIGNATURE |OMencodingBinary| ($)))) 
+((~= (((|Boolean|) $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 21) (($ (|Symbol|)) 17)) (|OMUnknownSymbol?| (((|Boolean|) $) 10)) (|OMUnknownCD?| (((|Boolean|) $) 9)) (|OMReadError?| (((|Boolean|) $) 11)) (|OMParseError?| (((|Boolean|) $) 8)) (= (((|Boolean|) $ $) 19))) 
+(((|OpenMathErrorKind|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE |OMParseError?| ((|Boolean|) $)) (SIGNATURE |OMUnknownCD?| ((|Boolean|) $)) (SIGNATURE |OMUnknownSymbol?| ((|Boolean|) $)) (SIGNATURE |OMReadError?| ((|Boolean|) $))))) (T |OpenMathErrorKind|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathErrorKind|)))) (|OMParseError?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|)))) (|OMUnknownCD?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|)))) (|OMUnknownSymbol?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|)))) (|OMReadError?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE |OMParseError?| ((|Boolean|) $)) (SIGNATURE |OMUnknownCD?| ((|Boolean|) $)) (SIGNATURE |OMUnknownSymbol?| ((|Boolean|) $)) (SIGNATURE |OMReadError?| ((|Boolean|) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|omError| (($ (|OpenMathErrorKind|) (|List| (|Symbol|))) 24)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|errorKind| (((|OpenMathErrorKind|) $) 25)) (|errorInfo| (((|List| (|Symbol|)) $) 26)) (|coerce| (((|OutputForm|) $) 23)) (= (((|Boolean|) $ $) NIL))) 
+(((|OpenMathError|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |errorKind| ((|OpenMathErrorKind|) $)) (SIGNATURE |errorInfo| ((|List| (|Symbol|)) $)) (SIGNATURE |omError| ($ (|OpenMathErrorKind|) (|List| (|Symbol|))))))) (T |OpenMathError|)) 
+((|errorKind| (*1 *2 *1) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *1 (|OpenMathError|)))) (|errorInfo| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|)))) (|omError| (*1 *1 *2 *3) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |errorKind| ((|OpenMathErrorKind|) $)) (SIGNATURE |errorInfo| ((|List| (|Symbol|)) $)) (SIGNATURE |omError| ($ (|OpenMathErrorKind|) (|List| (|Symbol|)))))) 
+((|OMwrite| (((|Void|) (|OpenMathDevice|) (|Expression| |#1|) (|Boolean|)) 22) (((|Void|) (|OpenMathDevice|) (|Expression| |#1|)) 76) (((|String|) (|Expression| |#1|) (|Boolean|)) 75) (((|String|) (|Expression| |#1|)) 74))) 
+(((|ExpressionToOpenMath| |#1|) (CATEGORY |package| (SIGNATURE |OMwrite| ((|String|) (|Expression| |#1|))) (SIGNATURE |OMwrite| ((|String|) (|Expression| |#1|) (|Boolean|))) (SIGNATURE |OMwrite| ((|Void|) (|OpenMathDevice|) (|Expression| |#1|))) (SIGNATURE |OMwrite| ((|Void|) (|OpenMathDevice|) (|Expression| |#1|) (|Boolean|)))) (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (T |ExpressionToOpenMath|)) 
+((|OMwrite| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *6)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *6)))) (|OMwrite| (*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) (|OMwrite| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) (|OMwrite| (*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *4))))) 
+(CATEGORY |package| (SIGNATURE |OMwrite| ((|String|) (|Expression| |#1|))) (SIGNATURE |OMwrite| ((|String|) (|Expression| |#1|) (|Boolean|))) (SIGNATURE |OMwrite| ((|Void|) (|OpenMathDevice|) (|Expression| |#1|))) (SIGNATURE |OMwrite| ((|Void|) (|OpenMathDevice|) (|Expression| |#1|) (|Boolean|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|po| ((|#1| $) 10)) (|op| (($ |#1|) 9)) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|NonNegativeInteger|)) NIL)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $) NIL (|has| |#1| (|DifferentialRing|)))) (|degree| (((|NonNegativeInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 17) (($ (|Integer|)) NIL) (($ |#2|) NIL (|has| |#2| (|CommutativeRing|)))) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $) NIL (|has| |#1| (|DifferentialRing|)))) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((|OppositeMonogenicLinearOperator| |#1| |#2|) (|Join| (|MonogenicLinearOperator| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|DifferentialRing|)) (ATTRIBUTE (|DifferentialRing|)) |noBranch|) (SIGNATURE |op| ($ |#1|)) (SIGNATURE |po| (|#1| $)))) (|MonogenicLinearOperator| |#2|) (|Ring|)) (T |OppositeMonogenicLinearOperator|)) 
+((|op| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) (|po| (*1 *2 *1) (AND (|ofCategory| *2 (|MonogenicLinearOperator| *3)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|MonogenicLinearOperator| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|DifferentialRing|)) (ATTRIBUTE (|DifferentialRing|)) |noBranch|) (SIGNATURE |op| ($ |#1|)) (SIGNATURE |po| (|#1| $)))) 
+((|OMwrite| (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 9) (((|Void|) (|OpenMathDevice|) $) 8) (((|String|) $ (|Boolean|)) 7) (((|String|) $) 6))) 
+(((|OpenMath|) (|Category|)) (T |OpenMath|)) 
+((|OMwrite| (*1 *2 *3 *1 *4) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Void|)))) (|OMwrite| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Void|)))) (|OMwrite| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)))) (|OMwrite| (*1 *2 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *2 (|String|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |OMwrite| ((|String|) $)) (SIGNATURE |OMwrite| ((|String|) $ (|Boolean|))) (SIGNATURE |OMwrite| ((|Void|) (|OpenMathDevice|) $)) (SIGNATURE |OMwrite| ((|Void|) (|OpenMathDevice|) $ (|Boolean|))))) 
+((|OMunhandledSymbol| (((|Exit|) (|String|) (|String|)) 12)) (|OMsupportsSymbol?| (((|Boolean|) (|String|) (|String|)) 33)) (|OMsupportsCD?| (((|Boolean|) (|String|)) 32)) (|OMreadStr| (((|Any|) (|String|)) 25)) (|OMreadFile| (((|Any|) (|String|)) 23)) (|OMread| (((|Any|) (|OpenMathDevice|)) 17)) (|OMlistSymbols| (((|List| (|String|)) (|String|)) 28)) (|OMlistCDs| (((|List| (|String|))) 27))) 
+(((|OpenMathPackage|) (CATEGORY |package| (SIGNATURE |OMread| ((|Any|) (|OpenMathDevice|))) (SIGNATURE |OMreadFile| ((|Any|) (|String|))) (SIGNATURE |OMreadStr| ((|Any|) (|String|))) (SIGNATURE |OMlistCDs| ((|List| (|String|)))) (SIGNATURE |OMlistSymbols| ((|List| (|String|)) (|String|))) (SIGNATURE |OMsupportsCD?| ((|Boolean|) (|String|))) (SIGNATURE |OMsupportsSymbol?| ((|Boolean|) (|String|) (|String|))) (SIGNATURE |OMunhandledSymbol| ((|Exit|) (|String|) (|String|))))) (T |OpenMathPackage|)) 
+((|OMunhandledSymbol| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|OpenMathPackage|)))) (|OMsupportsSymbol?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|)))) (|OMsupportsCD?| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|)))) (|OMlistSymbols| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)) (|isDomain| *3 (|String|)))) (|OMlistCDs| (*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)))) (|OMreadStr| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|)))) (|OMreadFile| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|)))) (|OMread| (*1 *2 *3) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(CATEGORY |package| (SIGNATURE |OMread| ((|Any|) (|OpenMathDevice|))) (SIGNATURE |OMreadFile| ((|Any|) (|String|))) (SIGNATURE |OMreadStr| ((|Any|) (|String|))) (SIGNATURE |OMlistCDs| ((|List| (|String|)))) (SIGNATURE |OMlistSymbols| ((|List| (|String|)) (|String|))) (SIGNATURE |OMsupportsCD?| ((|Boolean|) (|String|))) (SIGNATURE |OMsupportsSymbol?| ((|Boolean|) (|String|) (|String|))) (SIGNATURE |OMunhandledSymbol| ((|Exit|) (|String|) (|String|)))) 
+((~= (((|Boolean|) $ $) 18)) (|union| (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (|symmetricDifference| (($ $ $) 68)) (|subset?| (((|Boolean|) $ $) 69)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|set| (($ (|List| |#1|)) 64) (($) 63)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|removeDuplicates!| (($ $) 58)) (|removeDuplicates| (($ $) 55 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ |#1| $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) 54 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 53 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|min| ((|#1| $) 74)) (|merge!| (($ $ $) 77)) (|merge| (($ $ $) 76)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|max| ((|#1| $) 75)) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22)) (|intersect| (($ $ $) 65)) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37) (($ |#1| $ (|NonNegativeInteger|)) 59)) (|hash| (((|SingleInteger|) $) 21)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 48)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) 57)) (|difference| (($ $ |#1|) 67) (($ $ $) 66)) (|dictionary| (($) 46) (($ (|List| |#1|)) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 47)) (|coerce| (((|OutputForm|) $) 20)) (|brace| (($ (|List| |#1|)) 62) (($) 61)) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19)) (< (((|Boolean|) $ $) 60)) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|OrderedMultisetAggregate| |#1|) (|Category|) (|OrderedSet|)) (T |OrderedMultisetAggregate|)) 
+((|min| (*1 *2 *1) (AND (|ofCategory| *1 (|OrderedMultisetAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|MultisetAggregate| |t#1|) (|PriorityQueueAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |min| (|t#1| $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|DictionaryOperations| |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|MultiDictionary| |#1|) . T) ((|MultisetAggregate| |#1|) . T) ((|PriorityQueueAggregate| |#1|) . T) ((|SetAggregate| |#1|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((|OMserve| (((|Void|) (|SingleInteger|) (|SingleInteger|)) 47)) (|OMsend| (((|Void|) (|OpenMathConnection|) (|Any|)) 44)) (|OMreceive| (((|Any|) (|OpenMathConnection|)) 16))) 
+(((|OpenMathServerPackage|) (CATEGORY |package| (SIGNATURE |OMreceive| ((|Any|) (|OpenMathConnection|))) (SIGNATURE |OMsend| ((|Void|) (|OpenMathConnection|) (|Any|))) (SIGNATURE |OMserve| ((|Void|) (|SingleInteger|) (|SingleInteger|))))) (T |OpenMathServerPackage|)) 
+((|OMserve| (*1 *2 *3 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|)))) (|OMsend| (*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *4 (|Any|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|)))) (|OMreceive| (*1 *2 *3) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(CATEGORY |package| (SIGNATURE |OMreceive| ((|Any|) (|OpenMathConnection|))) (SIGNATURE |OMsend| ((|Void|) (|OpenMathConnection|) (|Any|))) (SIGNATURE |OMserve| ((|Void|) (|SingleInteger|) (|SingleInteger|)))) 
+((|map| (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)) 12) (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|)) 13))) 
+(((|OnePointCompletionFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|))) (SIGNATURE |map| ((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)))) (|SetCategory|) (|SetCategory|)) (T |OnePointCompletionFunctions2|)) 
+((|map| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|))) (SIGNATURE |map| ((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL (|has| |#1| (|AbelianGroup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|AbelianGroup|)))) (|sign| (((|Integer|) $) NIL (|has| |#1| (|OrderedRing|)))) (|sample| (($) NIL (|has| |#1| (|AbelianGroup|)) CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 15)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 9)) (|recip| (((|Union| $ "failed") $) 40 (|has| |#1| (|OrderedRing|)))) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 48 (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) 43 (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) 45 (|has| |#1| (|IntegerNumberSystem|)))) (|positive?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|one?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedRing|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedRing|)))) (|latex| (((|String|) $) NIL)) (|infinity| (($) 13)) (|infinite?| (((|Boolean|) $) 12)) (|hash| (((|SingleInteger|) $) NIL)) (|finite?| (((|Boolean|) $) 11)) (|coerce| (((|OutputForm|) $) 18) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) 8) (($ (|Integer|)) NIL (OR (|has| |#1| (|OrderedRing|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|characteristic| (((|NonNegativeInteger|)) 34 (|has| |#1| (|OrderedRing|)))) (|abs| (($ $) NIL (|has| |#1| (|OrderedRing|)))) (^ (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|OrderedRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|OrderedRing|)))) (|Zero| (($) 22 (|has| |#1| (|AbelianGroup|)) CONST)) (|One| (($) 31 (|has| |#1| (|OrderedRing|)) CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (= (((|Boolean|) $ $) 20)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (< (((|Boolean|) $ $) 42 (|has| |#1| (|OrderedRing|)))) (- (($ $ $) NIL (|has| |#1| (|AbelianGroup|))) (($ $) 27 (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) 29 (|has| |#1| (|AbelianGroup|)))) (** (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|OrderedRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|OrderedRing|)))) (* (($ $ $) 37 (|has| |#1| (|OrderedRing|))) (($ (|Integer|) $) 25 (|has| |#1| (|AbelianGroup|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#1| (|AbelianGroup|))) (($ (|PositiveInteger|) $) NIL (|has| |#1| (|AbelianGroup|))))) 
+(((|OnePointCompletion| |#1|) (|Join| (|SetCategory|) (|FullyRetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |infinity| ($)) (SIGNATURE |finite?| ((|Boolean|) $)) (SIGNATURE |infinite?| ((|Boolean|) $)) (IF (|has| |#1| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|))) (|SetCategory|)) (T |OnePointCompletion|)) 
+((|infinity| (*1 *1) (AND (|isDomain| *1 (|OnePointCompletion| *2)) (|ofCategory| *2 (|SetCategory|)))) (|finite?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) (|infinite?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) (|rational?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) (|rational| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (|FullyRetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |infinity| ($)) (SIGNATURE |finite?| ((|Boolean|) $)) (SIGNATURE |infinite?| ((|Boolean|) $)) (IF (|has| |#1| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|BasicOperator|) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|BasicOperator|) $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|opeval| ((|#1| (|BasicOperator|) |#1|) NIL)) (|one?| (((|Boolean|) $) NIL)) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|evaluateInverse| (($ $ (|Mapping| |#1| |#1|)) NIL)) (|evaluate| (($ $ (|Mapping| |#1| |#1|)) NIL)) (|elt| ((|#1| $ |#1|) NIL)) (|conjug| ((|#1| |#1|) NIL (|has| |#1| (|CommutativeRing|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|BasicOperator|)) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|adjoint| (($ $) NIL (|has| |#1| (|CommutativeRing|))) (($ $ $) NIL (|has| |#1| (|CommutativeRing|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ (|BasicOperator|) (|Integer|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) NIL (|has| |#1| (|CommutativeRing|))))) 
+(((|Operator| |#1|) (|Join| (|Ring|) (|RetractableTo| |#1|) (|RetractableTo| (|BasicOperator|)) (|Eltable| |#1| |#1|) (CATEGORY |domain| (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (ATTRIBUTE (|Algebra| |#1|)) (SIGNATURE |adjoint| ($ $)) (SIGNATURE |adjoint| ($ $ $)) (SIGNATURE |conjug| (|#1| |#1|))) |noBranch|) (SIGNATURE |evaluate| ($ $ (|Mapping| |#1| |#1|))) (SIGNATURE |evaluateInverse| ($ $ (|Mapping| |#1| |#1|))) (SIGNATURE ** ($ (|BasicOperator|) (|Integer|))) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE |opeval| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |makeop| ($ |#1| (|FreeGroup| (|BasicOperator|)))))) (|Ring|)) (T |Operator|)) 
+((|adjoint| (*1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) (|adjoint| (*1 *1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) (|conjug| (*1 *2 *2) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) (|evaluate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3)))) (|evaluateInverse| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3)))) (** (*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Operator| *4)) (|ofCategory| *4 (|Ring|)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Operator| *3)) (|ofCategory| *3 (|Ring|)))) (|opeval| (*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|)))) (|makeop| (*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
+(|Join| (|Ring|) (|RetractableTo| |#1|) (|RetractableTo| (|BasicOperator|)) (|Eltable| |#1| |#1|) (CATEGORY |domain| (IF (|has| |#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |#1| (|CommutativeRing|)) (PROGN (ATTRIBUTE (|Algebra| |#1|)) (SIGNATURE |adjoint| ($ $)) (SIGNATURE |adjoint| ($ $ $)) (SIGNATURE |conjug| (|#1| |#1|))) |noBranch|) (SIGNATURE |evaluate| ($ $ (|Mapping| |#1| |#1|))) (SIGNATURE |evaluateInverse| ($ $ (|Mapping| |#1| |#1|))) (SIGNATURE ** ($ (|BasicOperator|) (|Integer|))) (SIGNATURE ** ($ $ (|Integer|))) (SIGNATURE |opeval| (|#1| (|BasicOperator|) |#1|)) (SIGNATURE |makeop| ($ |#1| (|FreeGroup| (|BasicOperator|)))))) 
+((|getDatabase| (((|Database| (|IndexCard|)) (|String|)) 8))) 
+(((|OperationsQuery|) (CATEGORY |package| (SIGNATURE |getDatabase| ((|Database| (|IndexCard|)) (|String|))))) (T |OperationsQuery|)) 
+((|getDatabase| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Database| (|IndexCard|))) (|isDomain| *1 (|OperationsQuery|))))) 
+(CATEGORY |package| (SIGNATURE |getDatabase| ((|Database| (|IndexCard|)) (|String|)))) 
+((~= (((|Boolean|) $ $) 7)) (|numericalOptimization| (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 13) (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 12)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 15) (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 14)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|NumericalOptimizationCategory|) (|Category|)) (T |NumericalOptimizationCategory|)) 
+((|measure| (*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) (|measure| (*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) (|numericalOptimization| (*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Result|)))) (|numericalOptimization| (*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Result|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |numericalOptimization| ((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |numericalOptimization| ((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|optimize| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) 143) (((|Result|) (|Expression| (|Float|)) (|List| (|Float|))) 141) (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) 140) (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) 139) (((|Result|) (|NumericalOptimizationProblem|)) 112) (((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|)) 111)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|)) 76) (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|)) 78)) (|goodnessOfFit| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) 144) (((|Result|) (|NumericalOptimizationProblem|)) 128))) 
+(((|AnnaNumericalOptimizationPackage|) (CATEGORY |package| (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|))) (SIGNATURE |optimize| ((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|))) (SIGNATURE |optimize| ((|Result|) (|NumericalOptimizationProblem|))) (SIGNATURE |goodnessOfFit| ((|Result|) (|NumericalOptimizationProblem|))) (SIGNATURE |optimize| ((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|))))) (SIGNATURE |optimize| ((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|))))) (SIGNATURE |optimize| ((|Result|) (|Expression| (|Float|)) (|List| (|Float|)))) (SIGNATURE |optimize| ((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|)))) (SIGNATURE |goodnessOfFit| ((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|)))))) (T |AnnaNumericalOptimizationPackage|)) 
+((|goodnessOfFit| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|optimize| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|optimize| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|optimize| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|optimize| (*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *6 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|goodnessOfFit| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|optimize| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|optimize| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|measure| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) (|measure| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|))) (SIGNATURE |optimize| ((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|))) (SIGNATURE |optimize| ((|Result|) (|NumericalOptimizationProblem|))) (SIGNATURE |goodnessOfFit| ((|Result|) (|NumericalOptimizationProblem|))) (SIGNATURE |optimize| ((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|))))) (SIGNATURE |optimize| ((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|))))) (SIGNATURE |optimize| ((|Result|) (|Expression| (|Float|)) (|List| (|Float|)))) (SIGNATURE |optimize| ((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|)))) (SIGNATURE |goodnessOfFit| ((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|retract| (((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $) 15)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 14) (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) 8) (($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) 10) (($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) 12)) (= (((|Boolean|) $ $) NIL))) 
+(((|NumericalOptimizationProblem|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))))) (SIGNATURE |coerce| ($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |coerce| ($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $))))) (T |NumericalOptimizationProblem|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalOptimizationProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) (|retract| (*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))))) (SIGNATURE |coerce| ($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) (SIGNATURE |coerce| ($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $)))) 
+((|map| (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) 13) (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|)) 14))) 
+(((|OrderedCompletionFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|))) (SIGNATURE |map| ((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)))) (|SetCategory|) (|SetCategory|)) (T |OrderedCompletionFunctions2|)) 
+((|map| (*1 *2 *3 *4 *2 *2) (AND (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|))) (SIGNATURE |map| ((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL (|has| |#1| (|AbelianGroup|)))) (|whatInfinity| (((|SingleInteger|) $) 24)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|AbelianGroup|)))) (|sign| (((|Integer|) $) NIL (|has| |#1| (|OrderedRing|)))) (|sample| (($) NIL (|has| |#1| (|AbelianGroup|)) CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 16)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 9)) (|recip| (((|Union| $ "failed") $) 47 (|has| |#1| (|OrderedRing|)))) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 54 (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) 49 (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) 52 (|has| |#1| (|IntegerNumberSystem|)))) (|positive?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|plusInfinity| (($) 13)) (|one?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#1| (|OrderedRing|)))) (|minusInfinity| (($) 14)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedRing|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedRing|)))) (|latex| (((|String|) $) NIL)) (|infinite?| (((|Boolean|) $) 12)) (|hash| (((|SingleInteger|) $) NIL)) (|finite?| (((|Boolean|) $) 11)) (|coerce| (((|OutputForm|) $) 22) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) 8) (($ (|Integer|)) NIL (OR (|has| |#1| (|OrderedRing|)) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|characteristic| (((|NonNegativeInteger|)) 41 (|has| |#1| (|OrderedRing|)))) (|abs| (($ $) NIL (|has| |#1| (|OrderedRing|)))) (^ (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|OrderedRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|OrderedRing|)))) (|Zero| (($) 29 (|has| |#1| (|AbelianGroup|)) CONST)) (|One| (($) 38 (|has| |#1| (|OrderedRing|)) CONST)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (= (((|Boolean|) $ $) 27)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedRing|)))) (< (((|Boolean|) $ $) 48 (|has| |#1| (|OrderedRing|)))) (- (($ $ $) NIL (|has| |#1| (|AbelianGroup|))) (($ $) 34 (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) 36 (|has| |#1| (|AbelianGroup|)))) (** (($ $ (|PositiveInteger|)) NIL (|has| |#1| (|OrderedRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|OrderedRing|)))) (* (($ $ $) 44 (|has| |#1| (|OrderedRing|))) (($ (|Integer|) $) 32 (|has| |#1| (|AbelianGroup|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#1| (|AbelianGroup|))) (($ (|PositiveInteger|) $) NIL (|has| |#1| (|AbelianGroup|))))) 
+(((|OrderedCompletion| |#1|) (|Join| (|SetCategory|) (|FullyRetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |plusInfinity| ($)) (SIGNATURE |minusInfinity| ($)) (SIGNATURE |finite?| ((|Boolean|) $)) (SIGNATURE |infinite?| ((|Boolean|) $)) (SIGNATURE |whatInfinity| ((|SingleInteger|) $)) (IF (|has| |#1| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|))) (|SetCategory|)) (T |OrderedCompletion|)) 
+((|plusInfinity| (*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|)))) (|minusInfinity| (*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|)))) (|finite?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) (|infinite?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) (|whatInfinity| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) (|rational?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) (|rational| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (|FullyRetractableTo| |#1|) (CATEGORY |domain| (SIGNATURE |plusInfinity| ($)) (SIGNATURE |minusInfinity| ($)) (SIGNATURE |finite?| ((|Boolean|) $)) (SIGNATURE |infinite?| ((|Boolean|) $)) (SIGNATURE |whatInfinity| ((|SingleInteger|) $)) (IF (|has| |#1| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|OrderedRing|)) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|))) 
+((~= (((|Boolean|) $ $) 7)) (|size| (((|NonNegativeInteger|)) 19)) (|random| (($) 22)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|lookup| (((|PositiveInteger|) $) 21)) (|latex| (((|String|) $) 9)) (|index| (($ (|PositiveInteger|)) 20)) (|hash| (((|SingleInteger|) $) 10)) (|enumerate| (((|List| $)) 23)) (|coerce| (((|OutputForm|) $) 11)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17))) 
+(((|OrderedFinite|) (|Category|)) (T |OrderedFinite|)) 
+NIL 
+(|Join| (|OrderedSet|) (|Finite|)) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Finite|) . T) ((|OrderedSet|) . T) ((|SetCategory|) . T)) 
+((|totalLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) 17)) (|reverseLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) 18)) (|pureLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) 14))) 
+(((|OrderingFunctions| |#1| |#2|) (CATEGORY |package| (SIGNATURE |pureLex| ((|Boolean|) (|Vector| |#2|) (|Vector| |#2|))) (SIGNATURE |totalLex| ((|Boolean|) (|Vector| |#2|) (|Vector| |#2|))) (SIGNATURE |reverseLex| ((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)))) (|NonNegativeInteger|) (|OrderedAbelianMonoid|)) (T |OrderingFunctions|)) 
+((|reverseLex| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)))) (|totalLex| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)))) (|pureLex| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(CATEGORY |package| (SIGNATURE |pureLex| ((|Boolean|) (|Vector| |#2|) (|Vector| |#2|))) (SIGNATURE |totalLex| ((|Boolean|) (|Vector| |#2|) (|Vector| |#2|))) (SIGNATURE |reverseLex| ((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)))) 
+((~= (((|Boolean|) $ $) 7)) (|sample| (($) 23 T CONST)) (|recip| (((|Union| $ "failed") $) 27)) (|one?| (((|Boolean|) $) 24)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|NonNegativeInteger|)) 26) (($ $ (|PositiveInteger|)) 21)) (|One| (($) 22 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (** (($ $ (|NonNegativeInteger|)) 25) (($ $ (|PositiveInteger|)) 20)) (* (($ $ $) 19))) 
+(((|OrderedMonoid|) (|Category|)) (T |OrderedMonoid|)) 
+NIL 
+(|Join| (|OrderedSet|) (|Monoid|)) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Monoid|) . T) ((|OrderedSet|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|sign| (((|Integer|) $) 17)) (|positive?| (((|Boolean|) $) 10)) (|negative?| (((|Boolean|) $) 11)) (|abs| (($ $) 19))) 
+(((|OrderedRing&| |#1|) (CATEGORY |domain| (SIGNATURE |abs| (|#1| |#1|)) (SIGNATURE |sign| ((|Integer|) |#1|)) (SIGNATURE |negative?| ((|Boolean|) |#1|)) (SIGNATURE |positive?| ((|Boolean|) |#1|))) (|OrderedRing|)) (T |OrderedRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |abs| (|#1| |#1|)) (SIGNATURE |sign| ((|Integer|) |#1|)) (SIGNATURE |negative?| ((|Boolean|) |#1|)) (SIGNATURE |positive?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 23)) (|subtractIfCan| (((|Union| $ "failed") $ $) 25)) (|sign| (((|Integer|) $) 32)) (|sample| (($) 22 T CONST)) (|recip| (((|Union| $ "failed") $) 38)) (|positive?| (((|Boolean|) $) 34)) (|one?| (((|Boolean|) $) 41)) (|negative?| (((|Boolean|) $) 33)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 44)) (|characteristic| (((|NonNegativeInteger|)) 43)) (|abs| (($ $) 31)) (^ (($ $ (|NonNegativeInteger|)) 39) (($ $ (|PositiveInteger|)) 35)) (|Zero| (($) 21 T CONST)) (|One| (($) 42 T CONST)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17)) (- (($ $ $) 27) (($ $) 26)) (+ (($ $ $) 19)) (** (($ $ (|NonNegativeInteger|)) 40) (($ $ (|PositiveInteger|)) 36)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) 20) (($ (|Integer|) $) 28) (($ $ $) 37))) 
+(((|OrderedRing|) (|Category|)) (T |OrderedRing|)) 
+((|positive?| (*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) (|negative?| (*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) (|sign| (*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Integer|)))) (|abs| (*1 *1 *1) (|ofCategory| *1 (|OrderedRing|)))) 
+(|Join| (|OrderedAbelianGroup|) (|Ring|) (|Monoid|) (CATEGORY |domain| (SIGNATURE |positive?| ((|Boolean|) $)) (SIGNATURE |negative?| ((|Boolean|) $)) (SIGNATURE |sign| ((|Integer|) $)) (SIGNATURE |abs| ($ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedSet|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|min| (($ $ $) 10)) (|max| (($ $ $) 9)) (>= (((|Boolean|) $ $) 12)) (> (((|Boolean|) $ $) 11)) (<= (((|Boolean|) $ $) 13))) 
+(((|OrderedSet&| |#1|) (CATEGORY |domain| (SIGNATURE |min| (|#1| |#1| |#1|)) (SIGNATURE |max| (|#1| |#1| |#1|)) (SIGNATURE <= ((|Boolean|) |#1| |#1|)) (SIGNATURE >= ((|Boolean|) |#1| |#1|)) (SIGNATURE > ((|Boolean|) |#1| |#1|))) (|OrderedSet|)) (T |OrderedSet&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |min| (|#1| |#1| |#1|)) (SIGNATURE |max| (|#1| |#1| |#1|)) (SIGNATURE <= ((|Boolean|) |#1| |#1|)) (SIGNATURE >= ((|Boolean|) |#1| |#1|)) (SIGNATURE > ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|min| (($ $ $) 12)) (|max| (($ $ $) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (>= (((|Boolean|) $ $) 15)) (> (((|Boolean|) $ $) 16)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 14)) (< (((|Boolean|) $ $) 17))) 
+(((|OrderedSet|) (|Category|)) (T |OrderedSet|)) 
+((< (*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (> (*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (>= (*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (<= (*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|max| (*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) (|min| (*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE < ((|Boolean|) $ $)) (SIGNATURE > ((|Boolean|) $ $)) (SIGNATURE >= ((|Boolean|) $ $)) (SIGNATURE <= ((|Boolean|) $ $)) (SIGNATURE |max| ($ $ $)) (SIGNATURE |min| ($ $ $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|rightRemainder| (($ $ $) 45)) (|rightQuotient| (($ $ $) 44)) (|rightLcm| (($ $ $) 42)) (|rightGcd| (($ $ $) 51)) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 46)) (|rightExactQuotient| (((|Union| $ "failed") $ $) 49)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#2| "failed") $) 25)) (|primitivePart| (($ $) 35)) (|leftRemainder| (($ $ $) 39)) (|leftQuotient| (($ $ $) 38)) (|leftLcm| (($ $ $) 47)) (|leftGcd| (($ $ $) 53)) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 41)) (|leftExactQuotient| (((|Union| $ "failed") $ $) 48)) (|exquo| (((|Union| $ "failed") $ |#2|) 28)) (|content| ((|#2| $) 32)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#2|) 12)) (|coefficients| (((|List| |#2|) $) 18)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
+(((|UnivariateSkewPolynomialCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |leftLcm| (|#1| |#1| |#1|)) (SIGNATURE |rightExtendedGcd| ((|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| |generator| |#1|)) |#1| |#1|)) (SIGNATURE |rightGcd| (|#1| |#1| |#1|)) (SIGNATURE |rightExactQuotient| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |rightRemainder| (|#1| |#1| |#1|)) (SIGNATURE |rightQuotient| (|#1| |#1| |#1|)) (SIGNATURE |rightLcm| (|#1| |#1| |#1|)) (SIGNATURE |leftExtendedGcd| ((|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| |generator| |#1|)) |#1| |#1|)) (SIGNATURE |leftGcd| (|#1| |#1| |#1|)) (SIGNATURE |leftExactQuotient| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |leftRemainder| (|#1| |#1| |#1|)) (SIGNATURE |leftQuotient| (|#1| |#1| |#1|)) (SIGNATURE |primitivePart| (|#1| |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE |coefficients| ((|List| |#2|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|UnivariateSkewPolynomialCategory| |#2|) (|Ring|)) (T |UnivariateSkewPolynomialCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |leftLcm| (|#1| |#1| |#1|)) (SIGNATURE |rightExtendedGcd| ((|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| |generator| |#1|)) |#1| |#1|)) (SIGNATURE |rightGcd| (|#1| |#1| |#1|)) (SIGNATURE |rightExactQuotient| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |rightRemainder| (|#1| |#1| |#1|)) (SIGNATURE |rightQuotient| (|#1| |#1| |#1|)) (SIGNATURE |rightLcm| (|#1| |#1| |#1|)) (SIGNATURE |leftExtendedGcd| ((|Record| (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| |generator| |#1|)) |#1| |#1|)) (SIGNATURE |leftGcd| (|#1| |#1| |#1|)) (SIGNATURE |leftExactQuotient| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |leftRemainder| (|#1| |#1| |#1|)) (SIGNATURE |leftQuotient| (|#1| |#1| |#1|)) (SIGNATURE |primitivePart| (|#1| |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |exquo| ((|Union| |#1| "failed") |#1| |#2|)) (SIGNATURE |coefficients| ((|List| |#2|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|rightRemainder| (($ $ $) 44 (|has| |#1| (|Field|)))) (|rightQuotient| (($ $ $) 45 (|has| |#1| (|Field|)))) (|rightLcm| (($ $ $) 47 (|has| |#1| (|Field|)))) (|rightGcd| (($ $ $) 42 (|has| |#1| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 41 (|has| |#1| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) 43 (|has| |#1| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 46 (|has| |#1| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 73 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 71 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 68)) (|retract| (((|Integer|) $) 74 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 72 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 67)) (|reductum| (($ $) 63)) (|recip| (((|Union| $ "failed") $) 33)) (|primitivePart| (($ $) 54 (|has| |#1| (|GcdDomain|)))) (|one?| (((|Boolean|) $) 30)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 61)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56 (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 57 (|has| |#1| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) 65)) (|leftRemainder| (($ $ $) 51 (|has| |#1| (|Field|)))) (|leftQuotient| (($ $ $) 52 (|has| |#1| (|Field|)))) (|leftLcm| (($ $ $) 40 (|has| |#1| (|Field|)))) (|leftGcd| (($ $ $) 49 (|has| |#1| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 48 (|has| |#1| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) 50 (|has| |#1| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 53 (|has| |#1| (|Field|)))) (|leadingCoefficient| ((|#1| $) 64)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ |#1|) 58 (|has| |#1| (|IntegralDomain|)))) (|degree| (((|NonNegativeInteger|) $) 66)) (|content| ((|#1| $) 55 (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 70 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) 69)) (|coefficients| (((|List| |#1|) $) 60)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 62)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|apply| ((|#1| $ |#1| |#1|) 59)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((|UnivariateSkewPolynomialCategory| |#1|) (|Category|) (|Ring|)) (T |UnivariateSkewPolynomialCategory|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|minimumDegree| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|reductum| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|monomial| (*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|coefficients| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *3)))) (|apply| (*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|exquo| (*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) (|monicLeftDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) (|monicRightDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) (|content| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) (|primitivePart| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) (|leftDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) (|leftQuotient| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|leftRemainder| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|leftExactQuotient| (*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|leftGcd| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|leftExtendedGcd| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) (|rightLcm| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|rightDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) (|rightQuotient| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|rightRemainder| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|rightExactQuotient| (*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|rightGcd| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|rightExtendedGcd| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) (|leftLcm| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|Ring|) (|BiModule| |t#1| |t#1|) (|FullyRetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) $)) (SIGNATURE |leadingCoefficient| (|t#1| $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coefficient| (|t#1| $ (|NonNegativeInteger|))) (SIGNATURE |monomial| ($ |t#1| (|NonNegativeInteger|))) (SIGNATURE |coefficients| ((|List| |t#1|) $)) (SIGNATURE |apply| (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |t#1|)) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (SIGNATURE |exquo| ((|Union| $ "failed") $ |t#1|)) (SIGNATURE |monicLeftDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |monicRightDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $))) |noBranch|) (IF (|has| |t#1| (|GcdDomain|)) (PROGN (SIGNATURE |content| (|t#1| $)) (SIGNATURE |primitivePart| ($ $))) |noBranch|) (IF (|has| |t#1| (|Field|)) (PROGN (SIGNATURE |leftDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |leftQuotient| ($ $ $)) (SIGNATURE |leftRemainder| ($ $ $)) (SIGNATURE |leftExactQuotient| ((|Union| $ "failed") $ $)) (SIGNATURE |leftGcd| ($ $ $)) (SIGNATURE |leftExtendedGcd| ((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $)) (SIGNATURE |rightLcm| ($ $ $)) (SIGNATURE |rightDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |rightQuotient| ($ $ $)) (SIGNATURE |rightRemainder| ($ $ $)) (SIGNATURE |rightExactQuotient| ((|Union| $ "failed") $ $)) (SIGNATURE |rightGcd| ($ $ $)) (SIGNATURE |rightExtendedGcd| ((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $)) (SIGNATURE |leftLcm| ($ $ $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|FullyRetractableTo| |#1|) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Monoid|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|times| ((|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) 20)) (|rightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) 43 (|has| |#1| (|Field|)))) (|monicRightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) 40 (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) 39 (|has| |#1| (|IntegralDomain|)))) (|leftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) 42 (|has| |#1| (|Field|)))) (|apply| ((|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) 31))) 
+(((|UnivariateSkewPolynomialCategoryOps| |#1| |#2|) (CATEGORY |package| (SIGNATURE |times| (|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |apply| (|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |monicLeftDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|))) (SIGNATURE |monicRightDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |leftDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|))) (SIGNATURE |rightDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)))) |noBranch|)) (|Ring|) (|UnivariateSkewPolynomialCategory| |#1|)) (T |UnivariateSkewPolynomialCategoryOps|)) 
+((|rightDivide| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) (|leftDivide| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) (|monicRightDivide| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) (|monicLeftDivide| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) (|apply| (*1 *2 *3 *2 *2 *4 *5) (AND (|isDomain| *4 (|Automorphism| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *2)))) (|times| (*1 *2 *2 *2 *3 *4) (AND (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *2)) (|ofCategory| *2 (|UnivariateSkewPolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |times| (|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |apply| (|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (IF (|has| |#1| (|IntegralDomain|)) (PROGN (SIGNATURE |monicLeftDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|))) (SIGNATURE |monicRightDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |leftDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|))) (SIGNATURE |rightDivide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|rightRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 25 (|has| |#1| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 21 (|has| |#1| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 19 (|has| |#1| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) NIL)) (|leftRemainder| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftQuotient| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftLcm| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftGcd| (($ $ $) NIL (|has| |#1| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 23 (|has| |#1| (|Field|)))) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|degree| (((|NonNegativeInteger|) $) NIL)) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#1|) NIL)) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|apply| ((|#1| $ |#1| |#1|) 15)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((|SparseUnivariateSkewPolynomial| |#1| |#2| |#3|) (|Join| (|UnivariateSkewPolynomialCategory| |#1|) (CATEGORY |domain| (SIGNATURE |outputForm| ((|OutputForm|) $ (|OutputForm|))))) (|Ring|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) (T |SparseUnivariateSkewPolynomial|)) 
+((|outputForm| (*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariateSkewPolynomial| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Automorphism| *3)) (|ofType| *5 (|Mapping| *3 *3))))) 
+(|Join| (|UnivariateSkewPolynomialCategory| |#1|) (CATEGORY |domain| (SIGNATURE |outputForm| ((|OutputForm|) $ (|OutputForm|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|rightRemainder| (($ $ $) NIL (|has| |#2| (|Field|)))) (|rightQuotient| (($ $ $) NIL (|has| |#2| (|Field|)))) (|rightLcm| (($ $ $) NIL (|has| |#2| (|Field|)))) (|rightGcd| (($ $ $) NIL (|has| |#2| (|Field|)))) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#2| (|Field|)))) (|rightExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|Field|)))) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|Field|)))) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#2| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#2| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|NonNegativeInteger|)) 16)) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|minimumDegree| (((|NonNegativeInteger|) $) NIL)) (|leftRemainder| (($ $ $) NIL (|has| |#2| (|Field|)))) (|leftQuotient| (($ $ $) NIL (|has| |#2| (|Field|)))) (|leftLcm| (($ $ $) NIL (|has| |#2| (|Field|)))) (|leftGcd| (($ $ $) NIL (|has| |#2| (|Field|)))) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#2| (|Field|)))) (|leftExactQuotient| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|Field|)))) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|Field|)))) (|leadingCoefficient| ((|#2| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|)))) (|degree| (((|NonNegativeInteger|) $) NIL)) (|content| ((|#2| $) NIL (|has| |#2| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) 23) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#2|) NIL) (($ (|Variable| |#1|)) 18)) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|apply| ((|#2| $ |#2| |#2|) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) 13 T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((|UnivariateSkewPolynomial| |#1| |#2| |#3| |#4|) (|Join| (|UnivariateSkewPolynomialCategory| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#1|))))) (|Symbol|) (|Ring|) (|Automorphism| |#2|) (|Mapping| |#2| |#2|)) (T |UnivariateSkewPolynomial|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariateSkewPolynomial| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Automorphism| *4)) (|ofType| *6 (|Mapping| *4 *4))))) 
+(|Join| (|UnivariateSkewPolynomialCategory| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#1|))))) 
+((|legendreP| ((|#1| (|NonNegativeInteger|) |#1|) 35 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|laguerreL| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) 27) ((|#1| (|NonNegativeInteger|) |#1|) 20)) (|hermiteH| ((|#1| (|NonNegativeInteger|) |#1|) 31)) (|chebyshevU| ((|#1| (|NonNegativeInteger|) |#1|) 29)) (|chebyshevT| ((|#1| (|NonNegativeInteger|) |#1|) 28))) 
+(((|OrthogonalPolynomialFunctions| |#1|) (CATEGORY |package| (SIGNATURE |chebyshevT| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |chebyshevU| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |hermiteH| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |laguerreL| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |laguerreL| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |legendreP| (|#1| (|NonNegativeInteger|) |#1|)) |noBranch|)) (|CommutativeRing|)) (T |OrthogonalPolynomialFunctions|)) 
+((|legendreP| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|)))) (|laguerreL| (*1 *2 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|laguerreL| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|hermiteH| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|chebyshevU| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|chebyshevT| (*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(CATEGORY |package| (SIGNATURE |chebyshevT| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |chebyshevU| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |hermiteH| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |laguerreL| (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |laguerreL| (|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |legendreP| (|#1| (|NonNegativeInteger|) |#1|)) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|value| (((|Integer|) $) 12)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 18) (($ (|Integer|)) 11)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 8)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 9))) 
+(((|OrdSetInts|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Integer|))) (SIGNATURE |value| ((|Integer|) $))))) (T |OrdSetInts|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) (|value| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Integer|))) (SIGNATURE |value| ((|Integer|) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zag| (($ $ $) 115)) (|width| (((|Integer|) $) 30) (((|Integer|)) 35)) (|vspace| (($ (|Integer|)) 44)) (|vconcat| (($ $ $) 45) (($ (|List| $)) 76)) (|supersub| (($ $ (|List| $)) 74)) (|superHeight| (((|Integer|) $) 33)) (|super| (($ $ $) 63)) (|sum| (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (|subHeight| (((|Integer|) $) 32)) (|sub| (($ $ $) 62)) (|string| (($ $) 105)) (|slash| (($ $ $) 119)) (|semicolonSeparate| (($ (|List| $)) 52)) (|scripts| (($ $ (|List| $)) 69)) (|rspace| (($ (|Integer|) (|Integer|)) 46)) (|root| (($ $) 116) (($ $ $) 117)) (|right| (($ $ (|Integer|)) 40) (($ $) 43)) (|rem| (($ $ $) 89)) (|rarrow| (($ $ $) 122)) (|quote| (($ $) 106)) (|quo| (($ $ $) 90)) (|prod| (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (|print| (((|Void|) $) 8)) (|prime| (($ $) 109) (($ $ (|NonNegativeInteger|)) 112)) (|presuper| (($ $ $) 65)) (|presub| (($ $ $) 64)) (|prefix| (($ $ (|List| $)) 100)) (|postfix| (($ $ $) 104)) (|pile| (($ (|List| $)) 50)) (|paren| (($ $) 60) (($ (|List| $)) 61)) (|overlabel| (($ $ $) 113)) (|overbar| (($ $) 107)) (|over| (($ $ $) 118)) (|outputForm| (($ (|Integer|)) 20) (($ (|Symbol|)) 22) (($ (|String|)) 29) (($ (|DoubleFloat|)) 24)) (|or| (($ $ $) 93)) (|not| (($ $) 94)) (|messagePrint| (((|Void|) (|String|)) 14)) (|message| (($ (|String|)) 13)) (|matrix| (($ (|List| (|List| $))) 48)) (|left| (($ $ (|Integer|)) 39) (($ $) 42)) (|latex| (((|String|) $) NIL)) (|label| (($ $ $) 121)) (|int| (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (|infix?| (((|Boolean|) $) 98)) (|infix| (($ $ (|List| $)) 102) (($ $ $ $) 103)) (|hspace| (($ (|Integer|)) 36)) (|height| (((|Integer|) $) 31) (((|Integer|)) 34)) (|hconcat| (($ $ $) 37) (($ (|List| $)) 75)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (($ $ $) 91)) (|empty| (($) 12)) (|elt| (($ $ (|List| $)) 99)) (|dot| (($ $) 108) (($ $ (|NonNegativeInteger|)) 111)) (|div| (($ $ $) 88)) (|differentiate| (($ $ (|NonNegativeInteger|)) 127)) (|commaSeparate| (($ (|List| $)) 51)) (|coerce| (((|OutputForm|) $) 18)) (|center| (($ $ (|Integer|)) 38) (($ $) 41)) (|bracket| (($ $) 58) (($ (|List| $)) 59)) (|brace| (($ $) 56) (($ (|List| $)) 57)) (|box| (($ $) 114)) (|blankSeparate| (($ (|List| $)) 55)) (|binomial| (($ $ $) 97)) (|assign| (($ $ $) 120)) (|and| (($ $ $) 92)) (^= (($ $ $) 77)) (SEGMENT (($ $ $) 95) (($ $) 96)) (>= (($ $ $) 81)) (> (($ $ $) 79)) (= (((|Boolean|) $ $) 15) (($ $ $) 16)) (<= (($ $ $) 80)) (< (($ $ $) 78)) (/ (($ $ $) 86)) (- (($ $ $) 83) (($ $) 84)) (+ (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
+(((|OutputForm|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |print| ((|Void|) $)) (SIGNATURE |message| ($ (|String|))) (SIGNATURE |messagePrint| ((|Void|) (|String|))) (SIGNATURE |outputForm| ($ (|Integer|))) (SIGNATURE |outputForm| ($ (|Symbol|))) (SIGNATURE |outputForm| ($ (|String|))) (SIGNATURE |outputForm| ($ (|DoubleFloat|))) (SIGNATURE |empty| ($)) (SIGNATURE |width| ((|Integer|) $)) (SIGNATURE |height| ((|Integer|) $)) (SIGNATURE |width| ((|Integer|))) (SIGNATURE |height| ((|Integer|))) (SIGNATURE |subHeight| ((|Integer|) $)) (SIGNATURE |superHeight| ((|Integer|) $)) (SIGNATURE |hspace| ($ (|Integer|))) (SIGNATURE |vspace| ($ (|Integer|))) (SIGNATURE |rspace| ($ (|Integer|) (|Integer|))) (SIGNATURE |left| ($ $ (|Integer|))) (SIGNATURE |right| ($ $ (|Integer|))) (SIGNATURE |center| ($ $ (|Integer|))) (SIGNATURE |left| ($ $)) (SIGNATURE |right| ($ $)) (SIGNATURE |center| ($ $)) (SIGNATURE |hconcat| ($ $ $)) (SIGNATURE |vconcat| ($ $ $)) (SIGNATURE |hconcat| ($ (|List| $))) (SIGNATURE |vconcat| ($ (|List| $))) (SIGNATURE |prefix| ($ $ (|List| $))) (SIGNATURE |infix| ($ $ (|List| $))) (SIGNATURE |infix| ($ $ $ $)) (SIGNATURE |postfix| ($ $ $)) (SIGNATURE |infix?| ((|Boolean|) $)) (SIGNATURE |elt| ($ $ (|List| $))) (SIGNATURE |string| ($ $)) (SIGNATURE |label| ($ $ $)) (SIGNATURE |box| ($ $)) (SIGNATURE |matrix| ($ (|List| (|List| $)))) (SIGNATURE |zag| ($ $ $)) (SIGNATURE |root| ($ $)) (SIGNATURE |root| ($ $ $)) (SIGNATURE |over| ($ $ $)) (SIGNATURE |slash| ($ $ $)) (SIGNATURE |assign| ($ $ $)) (SIGNATURE |rarrow| ($ $ $)) (SIGNATURE |differentiate| ($ $ (|NonNegativeInteger|))) (SIGNATURE |binomial| ($ $ $)) (SIGNATURE |sub| ($ $ $)) (SIGNATURE |super| ($ $ $)) (SIGNATURE |presub| ($ $ $)) (SIGNATURE |presuper| ($ $ $)) (SIGNATURE |scripts| ($ $ (|List| $))) (SIGNATURE |supersub| ($ $ (|List| $))) (SIGNATURE |quote| ($ $)) (SIGNATURE |dot| ($ $)) (SIGNATURE |dot| ($ $ (|NonNegativeInteger|))) (SIGNATURE |prime| ($ $)) (SIGNATURE |prime| ($ $ (|NonNegativeInteger|))) (SIGNATURE |overbar| ($ $)) (SIGNATURE |overlabel| ($ $ $)) (SIGNATURE |sum| ($ $)) (SIGNATURE |sum| ($ $ $)) (SIGNATURE |sum| ($ $ $ $)) (SIGNATURE |prod| ($ $)) (SIGNATURE |prod| ($ $ $)) (SIGNATURE |prod| ($ $ $ $)) (SIGNATURE |int| ($ $)) (SIGNATURE |int| ($ $ $)) (SIGNATURE |int| ($ $ $ $)) (SIGNATURE |brace| ($ $)) (SIGNATURE |brace| ($ (|List| $))) (SIGNATURE |bracket| ($ $)) (SIGNATURE |bracket| ($ (|List| $))) (SIGNATURE |paren| ($ $)) (SIGNATURE |paren| ($ (|List| $))) (SIGNATURE |pile| ($ (|List| $))) (SIGNATURE |commaSeparate| ($ (|List| $))) (SIGNATURE |semicolonSeparate| ($ (|List| $))) (SIGNATURE |blankSeparate| ($ (|List| $))) (SIGNATURE = ($ $ $)) (SIGNATURE ^= ($ $ $)) (SIGNATURE < ($ $ $)) (SIGNATURE > ($ $ $)) (SIGNATURE <= ($ $ $)) (SIGNATURE >= ($ $ $)) (SIGNATURE + ($ $ $)) (SIGNATURE - ($ $ $)) (SIGNATURE - ($ $)) (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |div| ($ $ $)) (SIGNATURE |rem| ($ $ $)) (SIGNATURE |quo| ($ $ $)) (SIGNATURE |exquo| ($ $ $)) (SIGNATURE |and| ($ $ $)) (SIGNATURE |or| ($ $ $)) (SIGNATURE |not| ($ $)) (SIGNATURE SEGMENT ($ $ $)) (SIGNATURE SEGMENT ($ $))))) (T |OutputForm|)) 
+((|print| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|)))) (|message| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|)))) (|messagePrint| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|)))) (|outputForm| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|outputForm| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OutputForm|)))) (|outputForm| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|)))) (|outputForm| (*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OutputForm|)))) (|empty| (*1 *1) (|isDomain| *1 (|OutputForm|))) (|width| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|height| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|width| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|height| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|subHeight| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|superHeight| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|hspace| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|vspace| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|rspace| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|left| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|right| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|center| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) (|left| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|right| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|center| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|hconcat| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|vconcat| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|hconcat| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|vconcat| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|prefix| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|infix| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|infix| (*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|postfix| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|infix?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OutputForm|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|string| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|label| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|box| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|matrix| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|OutputForm|)))) (|zag| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|root| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|root| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|over| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|slash| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|assign| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|rarrow| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) (|binomial| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|sub| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|super| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|presub| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|presuper| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|scripts| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|supersub| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|quote| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|dot| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|dot| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) (|prime| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|prime| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) (|overbar| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|overlabel| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|sum| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|sum| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|sum| (*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|prod| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|prod| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|prod| (*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|int| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|int| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|int| (*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|brace| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|brace| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|bracket| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|bracket| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|paren| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|paren| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|pile| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|commaSeparate| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|semicolonSeparate| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (|blankSeparate| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) (= (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (^= (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (< (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (> (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (<= (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (>= (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (+ (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (- (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (- (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (* (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (/ (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (** (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|div| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|rem| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|quo| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|exquo| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|and| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|or| (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (|not| (*1 *1 *1) (|isDomain| *1 (|OutputForm|))) (SEGMENT (*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) (SEGMENT (*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |print| ((|Void|) $)) (SIGNATURE |message| ($ (|String|))) (SIGNATURE |messagePrint| ((|Void|) (|String|))) (SIGNATURE |outputForm| ($ (|Integer|))) (SIGNATURE |outputForm| ($ (|Symbol|))) (SIGNATURE |outputForm| ($ (|String|))) (SIGNATURE |outputForm| ($ (|DoubleFloat|))) (SIGNATURE |empty| ($)) (SIGNATURE |width| ((|Integer|) $)) (SIGNATURE |height| ((|Integer|) $)) (SIGNATURE |width| ((|Integer|))) (SIGNATURE |height| ((|Integer|))) (SIGNATURE |subHeight| ((|Integer|) $)) (SIGNATURE |superHeight| ((|Integer|) $)) (SIGNATURE |hspace| ($ (|Integer|))) (SIGNATURE |vspace| ($ (|Integer|))) (SIGNATURE |rspace| ($ (|Integer|) (|Integer|))) (SIGNATURE |left| ($ $ (|Integer|))) (SIGNATURE |right| ($ $ (|Integer|))) (SIGNATURE |center| ($ $ (|Integer|))) (SIGNATURE |left| ($ $)) (SIGNATURE |right| ($ $)) (SIGNATURE |center| ($ $)) (SIGNATURE |hconcat| ($ $ $)) (SIGNATURE |vconcat| ($ $ $)) (SIGNATURE |hconcat| ($ (|List| $))) (SIGNATURE |vconcat| ($ (|List| $))) (SIGNATURE |prefix| ($ $ (|List| $))) (SIGNATURE |infix| ($ $ (|List| $))) (SIGNATURE |infix| ($ $ $ $)) (SIGNATURE |postfix| ($ $ $)) (SIGNATURE |infix?| ((|Boolean|) $)) (SIGNATURE |elt| ($ $ (|List| $))) (SIGNATURE |string| ($ $)) (SIGNATURE |label| ($ $ $)) (SIGNATURE |box| ($ $)) (SIGNATURE |matrix| ($ (|List| (|List| $)))) (SIGNATURE |zag| ($ $ $)) (SIGNATURE |root| ($ $)) (SIGNATURE |root| ($ $ $)) (SIGNATURE |over| ($ $ $)) (SIGNATURE |slash| ($ $ $)) (SIGNATURE |assign| ($ $ $)) (SIGNATURE |rarrow| ($ $ $)) (SIGNATURE |differentiate| ($ $ (|NonNegativeInteger|))) (SIGNATURE |binomial| ($ $ $)) (SIGNATURE |sub| ($ $ $)) (SIGNATURE |super| ($ $ $)) (SIGNATURE |presub| ($ $ $)) (SIGNATURE |presuper| ($ $ $)) (SIGNATURE |scripts| ($ $ (|List| $))) (SIGNATURE |supersub| ($ $ (|List| $))) (SIGNATURE |quote| ($ $)) (SIGNATURE |dot| ($ $)) (SIGNATURE |dot| ($ $ (|NonNegativeInteger|))) (SIGNATURE |prime| ($ $)) (SIGNATURE |prime| ($ $ (|NonNegativeInteger|))) (SIGNATURE |overbar| ($ $)) (SIGNATURE |overlabel| ($ $ $)) (SIGNATURE |sum| ($ $)) (SIGNATURE |sum| ($ $ $)) (SIGNATURE |sum| ($ $ $ $)) (SIGNATURE |prod| ($ $)) (SIGNATURE |prod| ($ $ $)) (SIGNATURE |prod| ($ $ $ $)) (SIGNATURE |int| ($ $)) (SIGNATURE |int| ($ $ $)) (SIGNATURE |int| ($ $ $ $)) (SIGNATURE |brace| ($ $)) (SIGNATURE |brace| ($ (|List| $))) (SIGNATURE |bracket| ($ $)) (SIGNATURE |bracket| ($ (|List| $))) (SIGNATURE |paren| ($ $)) (SIGNATURE |paren| ($ (|List| $))) (SIGNATURE |pile| ($ (|List| $))) (SIGNATURE |commaSeparate| ($ (|List| $))) (SIGNATURE |semicolonSeparate| ($ (|List| $))) (SIGNATURE |blankSeparate| ($ (|List| $))) (SIGNATURE = ($ $ $)) (SIGNATURE ^= ($ $ $)) (SIGNATURE < ($ $ $)) (SIGNATURE > ($ $ $)) (SIGNATURE <= ($ $ $)) (SIGNATURE >= ($ $ $)) (SIGNATURE + ($ $ $)) (SIGNATURE - ($ $ $)) (SIGNATURE - ($ $)) (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |div| ($ $ $)) (SIGNATURE |rem| ($ $ $)) (SIGNATURE |quo| ($ $ $)) (SIGNATURE |exquo| ($ $ $)) (SIGNATURE |and| ($ $ $)) (SIGNATURE |or| ($ $ $)) (SIGNATURE |not| ($ $)) (SIGNATURE SEGMENT ($ $ $)) (SIGNATURE SEGMENT ($ $)))) 
+((|outputList| (((|Void|) (|List| (|Any|))) 24)) (|output| (((|Void|) (|String|) (|OutputForm|)) 14) (((|Void|) (|OutputForm|)) 9) (((|Void|) (|String|)) 11))) 
+(((|OutputPackage|) (CATEGORY |package| (SIGNATURE |output| ((|Void|) (|String|))) (SIGNATURE |output| ((|Void|) (|OutputForm|))) (SIGNATURE |output| ((|Void|) (|String|) (|OutputForm|))) (SIGNATURE |outputList| ((|Void|) (|List| (|Any|)))))) (T |OutputPackage|)) 
+((|outputList| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Any|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) (|output| (*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) (|output| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) (|output| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|))))) 
+(CATEGORY |package| (SIGNATURE |output| ((|Void|) (|String|))) (SIGNATURE |output| ((|Void|) (|OutputForm|))) (SIGNATURE |output| ((|Void|) (|String|) (|OutputForm|))) (SIGNATURE |outputList| ((|Void|) (|List| (|Any|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|variable| (((|Union| $ "failed") (|Symbol|)) 32)) (|size| (((|NonNegativeInteger|)) 30)) (|random| (($) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|lookup| (((|PositiveInteger|) $) 28)) (|latex| (((|String|) $) 38)) (|index| (($ (|PositiveInteger|)) 27)) (|hash| (((|SingleInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL)) (|convert| (((|Symbol|) $) 13) (((|InputForm|) $) 19) (((|Pattern| (|Float|)) $) 25) (((|Pattern| (|Integer|)) $) 22)) (|coerce| (((|OutputForm|) $) 16)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 35)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 34))) 
+(((|OrderedVariableList| |#1|) (|Join| (|OrderedFinite|) (|ConvertibleTo| (|Symbol|)) (|ConvertibleTo| (|InputForm|)) (|ConvertibleTo| (|Pattern| (|Float|))) (|ConvertibleTo| (|Pattern| (|Integer|))) (CATEGORY |domain| (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|))))) (|List| (|Symbol|))) (T |OrderedVariableList|)) 
+((|variable| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OrderedVariableList| *3)) (|ofType| *3 (|List| *2))))) 
+(|Join| (|OrderedFinite|) (|ConvertibleTo| (|Symbol|)) (|ConvertibleTo| (|InputForm|)) (|ConvertibleTo| (|Pattern| (|Float|))) (|ConvertibleTo| (|Pattern| (|Integer|))) (CATEGORY |domain| (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (((|Polynomial| |#1|) $) NIL) (($ (|Polynomial| |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) NIL (|has| |#1| (|CommutativeRing|))))) 
+(((|OrdinaryWeightedPolynomials| |#1| |#2| |#3| |#4|) (|Join| (|Ring|) (CATEGORY |domain| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (SIGNATURE |coerce| ((|Polynomial| |#1|) $)) (SIGNATURE |coerce| ($ (|Polynomial| |#1|))) (IF (|has| |#1| (|Field|)) (SIGNATURE / ((|Union| $ "failed") $ $)) |noBranch|) (SIGNATURE |changeWeightLevel| ((|Void|) (|NonNegativeInteger|))))) (|Ring|) (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) (T |OrdinaryWeightedPolynomials|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Polynomial| *3)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) (/ (*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrdinaryWeightedPolynomials| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)))) (|changeWeightLevel| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *4 *5 *6 *7)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| *3)) (|ofType| *7 *3)))) 
+(|Join| (|Ring|) (CATEGORY |domain| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (SIGNATURE |coerce| ((|Polynomial| |#1|) $)) (SIGNATURE |coerce| ($ (|Polynomial| |#1|))) (IF (|has| |#1| (|Field|)) (SIGNATURE / ((|Union| $ "failed") $ $)) |noBranch|) (SIGNATURE |changeWeightLevel| ((|Void|) (|NonNegativeInteger|))))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|vectorise| (((|Vector| $) $ $) 80)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|transcendent?| (((|Boolean|) $) 113)) (|transcendenceDegree| (((|NonNegativeInteger|)) 117)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|setTower!| (((|Void|) $) 76)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 124) (((|Union| (|Fraction| (|Integer|)) "failed") $) 121) (((|Union| (|Fraction| (|Integer|)) "failed") $) 106) (((|Union| (|PseudoAlgebraicClosureOfRationalNumber|) "failed") $) 138) (((|Union| (|PseudoAlgebraicClosureOfRationalNumber|) "failed") $) 132)) (|retract| (((|Integer|) $) 123) (((|Fraction| (|Integer|)) $) 120) (((|Fraction| (|Integer|)) $) 107) (((|PseudoAlgebraicClosureOfRationalNumber|) $) 137) (((|PseudoAlgebraicClosureOfRationalNumber|) $) 133)) (|rem| (($ $ $) 54)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) 86)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 104 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)))) (($ $) 103 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|prime?| (((|Boolean|) $) 71)) (|previousTower| (($ $) 81)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 101 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|one?| (((|Boolean|) $) 30)) (|newElement| (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 78) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 77)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|maxTower| (($ (|List| $)) 83)) (|lift| (((|SparseUnivariatePolynomial| $) $) 88) (((|SparseUnivariatePolynomial| $) $ $) 87)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|inGroundField?| (((|Boolean|) $) 114)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 84)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fullOutput| (((|OutputForm|) $) 75)) (|factor| (((|Factored| $) $) 74)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) 116)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|extDegree| (((|PositiveInteger|) $) 82)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 85)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 102 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|dimension| (((|CardinalNumber|)) 108)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) 115)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) 90) (((|SparseUnivariatePolynomial| $) $) 89)) (|conjugate| (($ $) 79)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ (|Integer|)) 125) (($ (|Fraction| (|Integer|))) 122) (($ (|Fraction| (|Integer|))) 105) (($ (|PseudoAlgebraicClosureOfRationalNumber|)) 139) (($ (|PseudoAlgebraicClosureOfRationalNumber|)) 131)) (|charthRoot| (((|Union| $ "failed") $) 100 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (|algebraic?| (((|Boolean|) $) 112)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) 119 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|Finite|)))) (($ $) 118 (OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64) (($ $ (|Fraction| (|Integer|))) 109) (($ $ (|PseudoAlgebraicClosureOfRationalNumber|)) 134)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ (|Fraction| (|Integer|)) $) 111) (($ $ (|Fraction| (|Integer|))) 110) (($ (|PseudoAlgebraicClosureOfRationalNumber|) $) 136) (($ $ (|PseudoAlgebraicClosureOfRationalNumber|)) 135))) 
+(((|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) (|Category|)) (T |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) 
+NIL 
+(|Join| (|PseudoAlgebraicClosureOfRationalNumberCategory|) (|RetractableTo| (|PseudoAlgebraicClosureOfRationalNumber|)) (|ExtensionField| (|PseudoAlgebraicClosureOfRationalNumber|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| (|PseudoAlgebraicClosureOfRationalNumber|) (|PseudoAlgebraicClosureOfRationalNumber|)) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|))) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|ExtensionField| (|Fraction| (|Integer|))) . T) ((|ExtensionField| (|PseudoAlgebraicClosureOfRationalNumber|)) . T) ((|Field|) . T) ((|FieldOfPrimeCharacteristic|) OR (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|))) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| (|PseudoAlgebraicClosureOfRationalNumber|)) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| (|PseudoAlgebraicClosureOfRationalNumber|)) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|PseudoAlgebraicClosureOfPerfectFieldCategory|) . T) ((|PseudoAlgebraicClosureOfRationalNumberCategory|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) . T) ((|RetractableTo| (|Integer|)) . T) ((|RetractableTo| (|PseudoAlgebraicClosureOfRationalNumber|)) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| (|PseudoAlgebraicClosureOfRationalNumber|)) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T) ((|VectorSpace| (|Fraction| (|Integer|))) . T) ((|VectorSpace| (|PseudoAlgebraicClosureOfRationalNumber|)) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 47)) (|vectorise| (((|Vector| $) $ $) 69)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|setTower!| (((|Void|) $) 78)) (|sample| (($) NIL T CONST)) (|retractToGrn| (((|PseudoAlgebraicClosureOfRationalNumber|) $) 17)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 75) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|PseudoAlgebraicClosureOfRationalNumber|) "failed") $) 72) (((|Union| (|PseudoAlgebraicClosureOfRationalNumber|) "failed") $) 72)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) (((|Fraction| (|Integer|)) $) NIL) (((|PseudoAlgebraicClosureOfRationalNumber|) $) 111) (((|PseudoAlgebraicClosureOfRationalNumber|) $) 111)) (|rem| (($ $ $) NIL)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) 59)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)))) (($ $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|previousTower| (($ $) 63)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|))))) (|one?| (((|Boolean|) $) 117)) (|newElement| (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 41) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 94)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|maxTower| (($ (|List| $)) 61)) (|lift| (((|SparseUnivariatePolynomial| $) $) 55) (((|SparseUnivariatePolynomial| $) $ $) 56)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 101)) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 62)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fullOutput| (((|OutputForm|) $) 124)) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extDegree| (((|PositiveInteger|) $) 37)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 96)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) 79) (((|SparseUnivariatePolynomial| $) $) 64)) (|conjugate| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 123) (($ (|Integer|)) 44) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|Integer|)) 44) (($ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|PseudoAlgebraicClosureOfRationalNumber|)) 118) (($ (|PseudoAlgebraicClosureOfRationalNumber|)) 118)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|CharacteristicNonZero|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 126)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 48 T CONST)) (|One| (($) 38 T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|)))) (($ $) NIL (OR (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|PseudoAlgebraicClosureOfRationalNumber|) (|Finite|))))) (= (((|Boolean|) $ $) 114)) (/ (($ $ $) 102) (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|PseudoAlgebraicClosureOfRationalNumber|)) NIL)) (- (($ $) 35) (($ $ $) 105)) (+ (($ $ $) 81)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 53) (($ $ $) 31) (($ $ (|Fraction| (|Integer|))) 109) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) 109) (($ (|PseudoAlgebraicClosureOfRationalNumber|) $) 103) (($ $ (|PseudoAlgebraicClosureOfRationalNumber|)) 104))) 
+(((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |#1|) (|Join| (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) (CATEGORY |domain| (SIGNATURE |fullOutput| ((|OutputForm|) $)) (SIGNATURE |retractToGrn| ((|PseudoAlgebraicClosureOfRationalNumber|) $)))) (|PseudoAlgebraicClosureOfRationalNumber|)) (T |PseudoAlgebraicClosureOfAlgExtOfRationalNumber|)) 
+((|fullOutput| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 (|PseudoAlgebraicClosureOfRationalNumber|)))) (|retractToGrn| (*1 *2 *1) (AND (|isDomain| *2 (|PseudoAlgebraicClosureOfRationalNumber|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 *2)))) 
+(|Join| (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) (CATEGORY |domain| (SIGNATURE |fullOutput| ((|OutputForm|) $)) (SIGNATURE |retractToGrn| ((|PseudoAlgebraicClosureOfRationalNumber|) $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|vectorise| (((|Vector| $) $ $) 116)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) 90)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|size| (((|NonNegativeInteger|)) 100)) (|setTower!| (((|Void|) $) 120)) (|sample| (($) 16 T CONST)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 84)) (|rem| (($ $ $) 54)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) 110)) (|recip| (((|Union| $ "failed") $) 33)) (|random| (($) 103)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primitiveElement| (($) 88)) (|primitive?| (((|Boolean|) $) 87)) (|primeFrobenius| (($ $) 77) (($ $ (|NonNegativeInteger|)) 76)) (|prime?| (((|Boolean|) $) 71)) (|previousTower| (($ $) 115)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 79) (((|PositiveInteger|) $) 85)) (|one?| (((|Boolean|) $) 30)) (|nextItem| (((|Union| $ "failed") $) 99)) (|newElement| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 119) (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 118)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|maxTower| (($ (|List| $)) 113)) (|lookup| (((|PositiveInteger|) $) 102)) (|lift| (((|SparseUnivariatePolynomial| $) $ $) 109) (((|SparseUnivariatePolynomial| $) $) 108)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|init| (($) 98 T CONST)) (|index| (($ (|PositiveInteger|)) 101)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 112)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fullOutput| (((|OutputForm|) $) 121)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) 91)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|extDegree| (((|PositiveInteger|) $) 114)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|enumerate| (((|List| $)) 104)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 111)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 78) (((|NonNegativeInteger|) $) 86)) (|differentiate| (($ $ (|NonNegativeInteger|)) 96) (($ $) 94)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $) $) 107) (((|SparseUnivariatePolynomial| $)) 106)) (|createPrimitiveElement| (($) 89)) (|conjugate| (($ $) 117)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 92)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65)) (|charthRoot| (((|Union| $ "failed") $) 80) (($ $) 93)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|NonNegativeInteger|)) 97) (($ $) 95)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|PseudoAlgebraicClosureOfFiniteFieldCategory|) (|Category|)) (T |PseudoAlgebraicClosureOfFiniteFieldCategory|)) 
+NIL 
+(|Join| (|FiniteFieldCategory|) (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DifferentialRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|FieldOfPrimeCharacteristic|) . T) ((|Finite|) . T) ((|FiniteFieldCategory|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|PseudoAlgebraicClosureOfPerfectFieldCategory|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 29)) (|vectorise| (((|Vector| $) $ $) 48)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 39)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) 52)) (|setTower!| (((|Void|) $) 56)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 126)) (|retract| ((|#1| $) 85)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) 139)) (|rem| (($ $ $) NIL)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) 82)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL)) (|primitive?| (((|Boolean|) $) NIL)) (|primeFrobenius| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|previousTower| (($ $) 41)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|one?| (((|Boolean|) $) 123)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|newElement| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 79) (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 99)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|maxTower| (($ (|List| $)) 104)) (|lookup| (((|PositiveInteger|) $) 134)) (|lift| (((|SparseUnivariatePolynomial| $) $ $) NIL) (((|SparseUnivariatePolynomial| $) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 27)) (|init| (($) NIL T CONST)) (|index| (($ (|PositiveInteger|)) 136)) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 40)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fullOutput| (((|OutputForm|) $) 132)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extDegree| (((|PositiveInteger|) $) 14)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 81)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL) (((|NonNegativeInteger|) $) NIL)) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) 17)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $) $) 20) (((|SparseUnivariatePolynomial| $)) NIL)) (|createPrimitiveElement| (($) NIL)) (|conjugate| (($ $) 90)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL)) (|coerce| (((|OutputForm|) $) 131) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 124)) (|charthRoot| (((|Union| $ "failed") $) NIL) (($ $) 89)) (|characteristic| (((|NonNegativeInteger|)) 140)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 30 T CONST)) (|One| (($) 21 T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|))) (($ $) NIL (|has| |#1| (|Finite|)))) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (= (((|Boolean|) $ $) 120)) (/ (($ $ $) 96) (($ $ |#1|) NIL)) (- (($ $) 97) (($ $ $) 107)) (+ (($ $ $) 63)) (** (($ $ (|PositiveInteger|)) 33) (($ $ (|NonNegativeInteger|)) 34) (($ $ (|Integer|)) 37)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 111) (($ $ $) 65) (($ $ (|Fraction| (|Integer|))) 112) (($ (|Fraction| (|Integer|)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
+(((|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Join| (|PseudoAlgebraicClosureOfFiniteFieldCategory|) (|ExtensionField| |#1|) (CATEGORY |domain| (SIGNATURE |fullOutput| ((|OutputForm|) $)))) (|FiniteFieldCategory|)) (T |PseudoAlgebraicClosureOfFiniteField|)) 
+((|fullOutput| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfFiniteField| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(|Join| (|PseudoAlgebraicClosureOfFiniteFieldCategory|) (|ExtensionField| |#1|) (CATEGORY |domain| (SIGNATURE |fullOutput| ((|OutputForm|) $)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|vectorise| (((|Vector| $) $ $) 80)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|setTower!| (((|Void|) $) 76)) (|sample| (($) 16 T CONST)) (|rem| (($ $ $) 54)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) 86)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|previousTower| (($ $) 81)) (|one?| (((|Boolean|) $) 30)) (|newElement| (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 78) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 77)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|maxTower| (($ (|List| $)) 83)) (|lift| (((|SparseUnivariatePolynomial| $) $) 88) (((|SparseUnivariatePolynomial| $) $ $) 87)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 84)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fullOutput| (((|OutputForm|) $) 75)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|extDegree| (((|PositiveInteger|) $) 82)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 85)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) 90) (((|SparseUnivariatePolynomial| $) $) 89)) (|conjugate| (($ $) 79)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|PseudoAlgebraicClosureOfPerfectFieldCategory|) (|Category|)) (T |PseudoAlgebraicClosureOfPerfectFieldCategory|)) 
+((|definingPolynomial| (*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|definingPolynomial| (*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|lift| (*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|lift| (*1 *2 *1 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|reduce| (*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|distinguishedRootsOf| (*1 *2 *3 *1) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|List| *1)))) (|ground?| (*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Boolean|)))) (|maxTower| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|extDegree| (*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) (|previousTower| (*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) (|vectorise| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|conjugate| (*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) (|newElement| (*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|newElement| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) (|setTower!| (*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Void|)))) (|fullOutput| (*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|OutputForm|))))) 
+(|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |definingPolynomial| ((|SparseUnivariatePolynomial| $))) (SIGNATURE |definingPolynomial| ((|SparseUnivariatePolynomial| $) $)) (SIGNATURE |lift| ((|SparseUnivariatePolynomial| $) $)) (SIGNATURE |lift| ((|SparseUnivariatePolynomial| $) $ $)) (SIGNATURE |reduce| ($ (|SparseUnivariatePolynomial| $))) (SIGNATURE |distinguishedRootsOf| ((|List| $) (|SparseUnivariatePolynomial| $) $)) (SIGNATURE |ground?| ((|Boolean|) $)) (SIGNATURE |maxTower| ($ (|List| $))) (SIGNATURE |extDegree| ((|PositiveInteger|) $)) (SIGNATURE |previousTower| ($ $)) (SIGNATURE |vectorise| ((|Vector| $) $ $)) (SIGNATURE |conjugate| ($ $)) (SIGNATURE |newElement| ($ (|SparseUnivariatePolynomial| $) $ (|Symbol|))) (SIGNATURE |newElement| ($ (|SparseUnivariatePolynomial| $) (|Symbol|))) (SIGNATURE |setTower!| ((|Void|) $)) (SIGNATURE |fullOutput| ((|OutputForm|) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|vectorise| (((|Vector| $) $ $) 80)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|transcendent?| (((|Boolean|) $) 113)) (|transcendenceDegree| (((|NonNegativeInteger|)) 117)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|setTower!| (((|Void|) $) 76)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 124) (((|Union| (|Fraction| (|Integer|)) "failed") $) 121) (((|Union| (|Fraction| (|Integer|)) "failed") $) 106)) (|retract| (((|Integer|) $) 123) (((|Fraction| (|Integer|)) $) 120) (((|Fraction| (|Integer|)) $) 107)) (|rem| (($ $ $) 54)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) 86)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 104 (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)))) (($ $) 103 (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|prime?| (((|Boolean|) $) 71)) (|previousTower| (($ $) 81)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 101 (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|one?| (((|Boolean|) $) 30)) (|newElement| (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 78) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 77)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|maxTower| (($ (|List| $)) 83)) (|lift| (((|SparseUnivariatePolynomial| $) $) 88) (((|SparseUnivariatePolynomial| $) $ $) 87)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|inGroundField?| (((|Boolean|) $) 114)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 84)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fullOutput| (((|OutputForm|) $) 75)) (|factor| (((|Factored| $) $) 74)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) 116)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|extDegree| (((|PositiveInteger|) $) 82)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 85)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 102 (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|dimension| (((|CardinalNumber|)) 108)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) 115)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) 90) (((|SparseUnivariatePolynomial| $) $) 89)) (|conjugate| (($ $) 79)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ (|Integer|)) 125) (($ (|Fraction| (|Integer|))) 122) (($ (|Fraction| (|Integer|))) 105)) (|charthRoot| (((|Union| $ "failed") $) 100 (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (|algebraic?| (((|Boolean|) $) 112)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) 119 (|has| (|Fraction| (|Integer|)) (|Finite|))) (($ $) 118 (|has| (|Fraction| (|Integer|)) (|Finite|)))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64) (($ $ (|Fraction| (|Integer|))) 109)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ (|Fraction| (|Integer|)) $) 111) (($ $ (|Fraction| (|Integer|))) 110))) 
+(((|PseudoAlgebraicClosureOfRationalNumberCategory|) (|Category|)) (T |PseudoAlgebraicClosureOfRationalNumberCategory|)) 
+NIL 
+(|Join| (|PseudoAlgebraicClosureOfPerfectFieldCategory|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|ExtensionField| (|Fraction| (|Integer|)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|))) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|ExtensionField| (|Fraction| (|Integer|))) . T) ((|Field|) . T) ((|FieldOfPrimeCharacteristic|) OR (|has| (|Fraction| (|Integer|)) (|Finite|)) (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|))) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|PseudoAlgebraicClosureOfPerfectFieldCategory|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) . T) ((|RetractableTo| (|Integer|)) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T) ((|VectorSpace| (|Fraction| (|Integer|))) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 16)) (|vectorise| (((|Vector| $) $ $) 47)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|setTower!| (((|Void|) $) 51)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 104) (((|Union| (|Fraction| (|Integer|)) "failed") $) 106) (((|Union| (|Fraction| (|Integer|)) "failed") $) 106)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) 94) (((|Fraction| (|Integer|)) $) 94)) (|rem| (($ $ $) NIL)) (|reduce| (($ (|SparseUnivariatePolynomial| $)) 34)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|)))) (($ $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|prime?| (((|Boolean|) $) NIL)) (|previousTower| (($ $) 40)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|one?| (((|Boolean|) $) 100)) (|newElement| (($ (|SparseUnivariatePolynomial| $) $ (|Symbol|)) 79) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) 70) (($ (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|PositiveInteger|) $ (|Symbol|)) 80)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|maxTower| (($ (|List| $)) 38)) (|lift| (((|SparseUnivariatePolynomial| $) $) 29) (((|SparseUnivariatePolynomial| $) $ $) 31)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 86)) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 39)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fullOutput| (((|OutputForm|) $) 112)) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extDegree| (((|PositiveInteger|) $) 30)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) 72)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|dimension| (((|CardinalNumber|)) NIL)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) 52) (((|SparseUnivariatePolynomial| $) $) 41)) (|conjugate| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 111) (($ (|Integer|)) 14) (($ $) NIL) (($ (|Fraction| (|Integer|))) 101) (($ (|Integer|)) 14) (($ (|Fraction| (|Integer|))) 101) (($ (|Fraction| (|Integer|))) 101)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (|has| (|Fraction| (|Integer|)) (|CharacteristicNonZero|)) (|has| (|Fraction| (|Integer|)) (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 114)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 17 T CONST)) (|One| (($) 73 T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| (|Fraction| (|Integer|)) (|Finite|))) (($ $) NIL (|has| (|Fraction| (|Integer|)) (|Finite|)))) (= (((|Boolean|) $ $) 97)) (/ (($ $ $) 78) (($ $ (|Fraction| (|Integer|))) NIL)) (- (($ $) 19) (($ $ $) 89)) (+ (($ $ $) 54)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 18) (($ $ $) 57) (($ $ (|Fraction| (|Integer|))) 88) (($ (|Fraction| (|Integer|)) $) 87) (($ (|Fraction| (|Integer|)) $) 87) (($ $ (|Fraction| (|Integer|))) 88))) 
+(((|PseudoAlgebraicClosureOfRationalNumber|) (|Join| (|PseudoAlgebraicClosureOfRationalNumberCategory|) (CATEGORY |domain| (SIGNATURE |fullOutput| ((|OutputForm|) $)) (SIGNATURE |newElement| ($ (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|PositiveInteger|) $ (|Symbol|)))))) (T |PseudoAlgebraicClosureOfRationalNumber|)) 
+((|fullOutput| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|)))) (|newElement| (*1 *1 *2 *2 *3 *1 *4) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|PseudoAlgebraicClosureOfRationalNumber|))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(|Join| (|PseudoAlgebraicClosureOfRationalNumberCategory|) (CATEGORY |domain| (SIGNATURE |fullOutput| ((|OutputForm|) $)) (SIGNATURE |newElement| ($ (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|PositiveInteger|) $ (|Symbol|))))) 
+((|padecf| (((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) 31)) (|pade| (((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) 24))) 
+(((|PadeApproximants| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |pade| ((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|)) (SIGNATURE |padecf| ((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|))) (|Field|) (|UnivariateTaylorSeriesCategory| |#1|) (|UnivariatePolynomialCategory| |#1|)) (T |PadeApproximants|)) 
+((|padecf| (*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|ContinuedFraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)))) (|pade| (*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |pade| ((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|)) (SIGNATURE |padecf| ((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|))) 
+((|pade| (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) 28) (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) 26))) 
+(((|PadeApproximantPackage| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |pade| ((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (SIGNATURE |pade| ((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)))) (|Field|) (|Symbol|) |#1|) (T |PadeApproximantPackage|)) 
+((|pade| (*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7)))) (|pade| (*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |pade| ((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (SIGNATURE |pade| ((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sqrt| (($ $ (|Integer|)) 61)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 60)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quotientByP| (($ $) 63)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|order| (((|NonNegativeInteger|) $) 68)) (|one?| (((|Boolean|) $) 30)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|modulus| (((|Integer|)) 65)) (|moduloP| (((|Integer|) $) 64)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|extend| (($ $ (|Integer|)) 67)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|digits| (((|Stream| (|Integer|)) $) 69)) (|complete| (($ $) 66)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (|approximate| (((|Integer|) $ (|Integer|)) 62)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|PAdicIntegerCategory| |#1|) (|Category|) (|Integer|)) (T |PAdicIntegerCategory|)) 
+((|digits| (*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Stream| (|Integer|))))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) (|extend| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) (|complete| (*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) (|modulus| (*1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) (|moduloP| (*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) (|quotientByP| (*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) (|approximate| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) (|sqrt| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) (|root| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PAdicIntegerCategory| *4))))) 
+(|Join| (|EuclideanDomain|) (|CharacteristicZero|) (CATEGORY |domain| (SIGNATURE |digits| ((|Stream| (|Integer|)) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |extend| ($ $ (|Integer|))) (SIGNATURE |complete| ($ $)) (SIGNATURE |modulus| ((|Integer|))) (SIGNATURE |moduloP| ((|Integer|) $)) (SIGNATURE |quotientByP| ($ $)) (SIGNATURE |approximate| ((|Integer|) $ (|Integer|))) (SIGNATURE |sqrt| ($ $ (|Integer|))) (SIGNATURE |root| ($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $ (|Integer|)) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) NIL)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quotientByP| (($ $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|order| (((|NonNegativeInteger|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|modulus| (((|Integer|)) NIL)) (|moduloP| (((|Integer|) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|extend| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|digits| (((|Stream| (|Integer|)) $) NIL)) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Integer|) $ (|Integer|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL))) 
+(((|PAdicInteger| |#1|) (|PAdicIntegerCategory| |#1|) (|Integer|)) (T |PAdicInteger|)) 
+NIL 
+(|PAdicIntegerCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|PAdicInteger| |#1|) $) NIL (|has| (|PAdicInteger| |#1|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|PAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|PAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|PAdicInteger| |#1|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Integer|))))) (|retract| (((|PAdicInteger| |#1|) $) NIL) (((|Symbol|) $) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Integer|))))) (|removeZeroes| (($ $) NIL) (($ (|Integer|) $) NIL)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|PAdicInteger| |#1|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|PAdicInteger| |#1|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|PAdicInteger| |#1|))) (|:| |vec| (|Vector| (|PAdicInteger| |#1|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|PAdicInteger| |#1|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|PAdicInteger| |#1|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|PAdicInteger| |#1|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|PAdicInteger| |#1|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|PAdicInteger| |#1|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|PAdicInteger| |#1|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|PAdicInteger| |#1|) (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|PAdicInteger| |#1|) (|EuclideanDomain|)))) (|floor| (((|PAdicInteger| |#1|) $) NIL (|has| (|PAdicInteger| |#1|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|PAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|PAdicInteger| |#1|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|PAdicInteger| |#1|)) (|List| (|PAdicInteger| |#1|))) NIL (|has| (|PAdicInteger| |#1|) (|Evalable| (|PAdicInteger| |#1|)))) (($ $ (|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) NIL (|has| (|PAdicInteger| |#1|) (|Evalable| (|PAdicInteger| |#1|)))) (($ $ (|Equation| (|PAdicInteger| |#1|))) NIL (|has| (|PAdicInteger| |#1|) (|Evalable| (|PAdicInteger| |#1|)))) (($ $ (|List| (|Equation| (|PAdicInteger| |#1|)))) NIL (|has| (|PAdicInteger| |#1|) (|Evalable| (|PAdicInteger| |#1|)))) (($ $ (|List| (|Symbol|)) (|List| (|PAdicInteger| |#1|))) NIL (|has| (|PAdicInteger| |#1|) (|InnerEvalable| (|Symbol|) (|PAdicInteger| |#1|)))) (($ $ (|Symbol|) (|PAdicInteger| |#1|)) NIL (|has| (|PAdicInteger| |#1|) (|InnerEvalable| (|Symbol|) (|PAdicInteger| |#1|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|PAdicInteger| |#1|)) NIL (|has| (|PAdicInteger| |#1|) (|Eltable| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| (|PAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|PAdicInteger| |#1|) $) NIL)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|PAdicInteger| |#1|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|PAdicInteger| |#1|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|PAdicInteger| |#1|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|PAdicInteger| |#1|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|PAdicInteger| |#1|) (|RealConstant|)))) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|PAdicInteger| |#1|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|PAdicInteger| |#1|)) NIL) (($ (|Symbol|)) NIL (|has| (|PAdicInteger| |#1|) (|RetractableTo| (|Symbol|))))) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|PAdicInteger| |#1|) (|PolynomialFactorizationExplicit|))) (|has| (|PAdicInteger| |#1|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| (((|PAdicInteger| |#1|) $) NIL (|has| (|PAdicInteger| |#1|) (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) NIL)) (|abs| (($ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $) NIL (|has| (|PAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|PAdicInteger| |#1|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|PAdicInteger| |#1|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|PAdicInteger| |#1|) (|PAdicInteger| |#1|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|PAdicInteger| |#1|) (|OrderedSet|)))) (/ (($ $ $) NIL) (($ (|PAdicInteger| |#1|) (|PAdicInteger| |#1|)) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|PAdicInteger| |#1|) $) NIL) (($ $ (|PAdicInteger| |#1|)) NIL))) 
+(((|PAdicRational| |#1|) (|Join| (|QuotientFieldCategory| (|PAdicInteger| |#1|)) (CATEGORY |domain| (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ (|Integer|))) (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Fraction| (|Integer|))) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)))) (|Integer|)) (T |PAdicRational|)) 
+((|approximate| (*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) (|continuedFraction| (*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 (|Integer|)))) (|removeZeroes| (*1 *1 *1) (AND (|isDomain| *1 (|PAdicRational| *2)) (|ofType| *2 (|Integer|)))) (|removeZeroes| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 *2)))) 
+(|Join| (|QuotientFieldCategory| (|PAdicInteger| |#1|)) (CATEGORY |domain| (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ (|Integer|))) (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Fraction| (|Integer|))) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| ((|#2| $) NIL (|has| |#2| (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| |#2| (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|))))) (|retract| ((|#2| $) NIL) (((|Symbol|) $) NIL (|has| |#2| (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|))))) (|removeZeroes| (($ $) 31) (($ (|Integer|) $) 32)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) 53)) (|random| (($) NIL (|has| |#2| (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| |#2| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| |#2| (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| ((|#2| $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#2| (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#2| (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 49)) (|init| (($) NIL (|has| |#2| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| |#2| (|EuclideanDomain|)))) (|floor| ((|#2| $) NIL (|has| |#2| (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| |#2|) (|List| |#2|)) NIL (|has| |#2| (|Evalable| |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (|Evalable| |#2|))) (($ $ (|Equation| |#2|)) NIL (|has| |#2| (|Evalable| |#2|))) (($ $ (|List| (|Equation| |#2|))) NIL (|has| |#2| (|Evalable| |#2|))) (($ $ (|List| (|Symbol|)) (|List| |#2|)) NIL (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|))) (($ $ (|Symbol|) |#2|) NIL (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ |#2|) NIL (|has| |#2| (|Eltable| |#2| |#2|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) NIL (|has| |#2| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) NIL)) (|denominator| (($ $) NIL)) (|denom| ((|#2| $) NIL)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| |#2| (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| |#2| (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| |#2| (|RealConstant|)))) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) 68)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 85) (($ (|Integer|)) 19) (($ $) NIL) (($ (|Fraction| (|Integer|))) 24) (($ |#2|) 18) (($ (|Symbol|)) NIL (|has| |#2| (|RetractableTo| (|Symbol|))))) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|ceiling| ((|#2| $) NIL (|has| |#2| (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) 60)) (|abs| (($ $) NIL (|has| |#2| (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 14 T CONST)) (|One| (($) 16 T CONST)) (D (($ $) NIL (|has| |#2| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) 35)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ $) 23) (($ |#2| |#2|) 54)) (- (($ $) 39) (($ $ $) 41)) (+ (($ $ $) 37)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) 50)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 42) (($ $ $) 44) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
+(((|PAdicRationalConstructor| |#1| |#2|) (|Join| (|QuotientFieldCategory| |#2|) (CATEGORY |domain| (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ (|Integer|))) (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Fraction| (|Integer|))) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)))) (|Integer|) (|PAdicIntegerCategory| |#1|)) (T |PAdicRationalConstructor|)) 
+((|approximate| (*1 *2 *1 *3) (AND (|ofType| *4 *3) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRationalConstructor| *4 *5)) (|isDomain| *3 (|Integer|)) (|ofCategory| *5 (|PAdicIntegerCategory| *4)))) (|continuedFraction| (*1 *2 *1) (AND (|ofType| *3 (|Integer|)) (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3)))) (|removeZeroes| (*1 *1 *1) (AND (|ofType| *2 (|Integer|)) (|isDomain| *1 (|PAdicRationalConstructor| *2 *3)) (|ofCategory| *3 (|PAdicIntegerCategory| *2)))) (|removeZeroes| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofType| *3 *2) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3))))) 
+(|Join| (|QuotientFieldCategory| |#2|) (CATEGORY |domain| (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ (|Integer|))) (SIGNATURE |continuedFraction| ((|ContinuedFraction| (|Fraction| (|Integer|))) $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)))) 
+((|translateToOrigin| (((|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)) NIL)) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) 107)) (|singularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 116)) (|setSingularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 27)) (|setCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|)) 35)) (|rationalPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 60)) (|rationalPlaces| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 58)) (|projectivePoint| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) 17)) (|pointDominateBy| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 21)) (|placesOfDegree| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|)) 45 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)))) (|placesAbove| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 24)) (|parametrize| (((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 119)) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) 47 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)))) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) 49 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)))) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) 43 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)))) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 62) (((|List| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) NIL)) (|intersectionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) 135)) (|interpolateFormsForFact| (((|List| (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) 125)) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) 123)) (|homogenize| (((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Integer|)) 13)) (|goppaCode| (((|Matrix| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 67) (((|Matrix| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 69)) (|genusNeg| (((|Integer|)) 105)) (|genus| (((|NonNegativeInteger|)) 103)) (|fullInfClsPt| (((|Void|)) 144)) (|fullDesTree| (((|Void|)) 140)) (|findOrderOfDivisor| (((|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |upTo| (|Integer|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|Integer|) (|Integer|)) 32)) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 132) (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 127) (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 96)) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 133) ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 63) ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) 98)) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) 112)) (|desingTree| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) 110)) (|classNumber| (((|Integer|)) 56 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)))) (|adjunctionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) 114)) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) 41 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|))) (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) 38 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)))) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) 54 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|))) (((|SparseUnivariatePolynomial| (|Integer|))) 52 (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|))))) 
+(((|PackageForAlgebraicFunctionFieldOverFiniteField| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |homogenize| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Integer|))) (SIGNATURE |fullDesTree| ((|Void|))) (SIGNATURE |fullInfClsPt| ((|Void|))) (SIGNATURE |setCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |translateToOrigin| ((|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |pointDominateBy| ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |placesAbove| ((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |projectivePoint| ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |setSingularPoints| ((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |rationalPlaces| ((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |theCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |genusNeg| ((|Integer|))) (SIGNATURE |desingTreeWoFullParam| ((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|))))) (SIGNATURE |desingTree| ((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|))))) (SIGNATURE |rationalPoints| ((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |singularPoints| ((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |parametrize| ((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |lBasis| ((|List| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |lBasis| ((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |findOrderOfDivisor| ((|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |upTo| (|Integer|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|Integer|) (|Integer|))) (SIGNATURE |interpolateFormsForFact| ((|List| (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|DistributedMultivariatePolynomial| |#2| |#1|)))) (SIGNATURE |interpolateForms| ((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |eval| (|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |intersectionDivisor| ((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |adjunctionDivisor| ((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (IF (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)) (PROGN (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |classNumber| ((|Integer|))) (SIGNATURE |placesOfDegree| ((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|))) (SIGNATURE |numberOfPlacesOfDegree| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberRatPlacesExtDeg| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberPlacesDegExtDeg| ((|Integer|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)))) |noBranch|)) (|FiniteFieldCategory|) (|List| (|Symbol|)) (|BlowUpMethodCategory|)) (T |PackageForAlgebraicFunctionFieldOverFiniteField|)) 
+((|ZetaFunction| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|ZetaFunction| (*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|numberPlacesDegExtDeg| (*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|numberRatPlacesExtDeg| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|numberOfPlacesOfDegree| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|placesOfDegree| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|classNumber| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|LPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|LPolynomial| (*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|adjunctionDivisor| (*1 *2) (AND (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|intersectionDivisor| (*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|evalIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|evalIfCan| (*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|evalIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|eval| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|eval| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|eval| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|interpolateForms| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|interpolateFormsForFact| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|findOrderOfDivisor| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|lBasis| (*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|lBasis| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|parametrize| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|singularPoints| (*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|rationalPoints| (*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|desingTree| (*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|desingTreeWoFullParam| (*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|genusNeg| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|genus| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|theCurve| (*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|rationalPlaces| (*1 *2) (AND (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|setSingularPoints| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|projectivePoint| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|PseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|placesAbove| (*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|pointDominateBy| (*1 *2 *3) (AND (|isDomain| *3 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|goppaCode| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|goppaCode| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|translateToOrigin| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|setCurve| (*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullInfClsPt| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullDesTree| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|homogenize| (*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(CATEGORY |package| (SIGNATURE |homogenize| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Integer|))) (SIGNATURE |fullDesTree| ((|Void|))) (SIGNATURE |fullInfClsPt| ((|Void|))) (SIGNATURE |setCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |translateToOrigin| ((|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |pointDominateBy| ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |placesAbove| ((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |projectivePoint| ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |setSingularPoints| ((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |rationalPlaces| ((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |theCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |genusNeg| ((|Integer|))) (SIGNATURE |desingTreeWoFullParam| ((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|))))) (SIGNATURE |desingTree| ((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|))))) (SIGNATURE |rationalPoints| ((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |singularPoints| ((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |parametrize| ((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |lBasis| ((|List| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |lBasis| ((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (SIGNATURE |findOrderOfDivisor| ((|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |upTo| (|Integer|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|Integer|) (|Integer|))) (SIGNATURE |interpolateFormsForFact| ((|List| (|DistributedMultivariatePolynomial| |#2| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|List| (|DistributedMultivariatePolynomial| |#2| |#1|)))) (SIGNATURE |interpolateForms| ((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |eval| (|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) (SIGNATURE |intersectionDivisor| ((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |adjunctionDivisor| ((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)))) (IF (|has| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|Finite|)) (PROGN (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |classNumber| ((|Integer|))) (SIGNATURE |placesOfDegree| ((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|))) (SIGNATURE |numberOfPlacesOfDegree| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberRatPlacesExtDeg| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberPlacesDegExtDeg| ((|Integer|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)))) |noBranch|)) 
+((|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) 83)) (|singularPoints| (((|List| (|ProjectivePlane| |#1|))) 92)) (|setSingularPoints| (((|List| (|ProjectivePlane| |#1|)) (|List| (|ProjectivePlane| |#1|))) 24)) (|setCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|)) 75)) (|rationalPoints| (((|List| (|ProjectivePlane| |#1|))) 65)) (|rationalPlaces| (((|List| (|Places| |#1|))) 63)) (|projectivePoint| (((|ProjectivePlane| |#1|) (|List| |#1|)) 27)) (|pointDominateBy| (((|ProjectivePlane| |#1|) (|Places| |#1|)) 18)) (|placesOfDegree| (((|List| (|Places| |#1|)) (|PositiveInteger|)) 50 (|has| |#1| (|Finite|)))) (|placesAbove| (((|List| (|Places| |#1|)) (|ProjectivePlane| |#1|)) 21)) (|parametrize| (((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) 95)) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) 52 (|has| |#1| (|Finite|)))) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) 54 (|has| |#1| (|Finite|)))) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) 48 (|has| |#1| (|Finite|)))) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|))) 33) (((|List| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) NIL)) (|intersectionDivisor| (((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) 107)) (|interpolateFormsForFact| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) 31)) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) 97)) (|homogenize| (((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Integer|)) 13)) (|goppaCode| (((|Matrix| |#1|) (|Divisor| (|Places| |#1|)) (|List| (|Places| |#1|))) 38) (((|Matrix| |#1|) (|Divisor| (|Places| |#1|)) (|Divisor| (|Places| |#1|))) 40)) (|genusNeg| (((|Integer|)) 81)) (|genus| (((|NonNegativeInteger|)) 79)) (|fullInfClsPt| (((|Void|)) 116)) (|fullDesTree| (((|Void|)) 112)) (|findOrderOfDivisor| (((|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |upTo| (|Integer|))) (|Divisor| (|Places| |#1|)) (|Integer|) (|Integer|)) NIL)) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) 105) (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) 104) (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) 73)) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) 102) ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) 34) ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) 70)) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) 88)) (|desingTree| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) 86)) (|classNumber| (((|Integer|)) 61 (|has| |#1| (|Finite|)))) (|adjunctionDivisor| (((|Divisor| (|Places| |#1|))) 90)) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) 46 (|has| |#1| (|Finite|))) (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) 43 (|has| |#1| (|Finite|)))) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) 59 (|has| |#1| (|Finite|))) (((|SparseUnivariatePolynomial| (|Integer|))) 57 (|has| |#1| (|Finite|))))) 
+(((|PackageForAlgebraicFunctionField| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |homogenize| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Integer|))) (SIGNATURE |interpolateFormsForFact| ((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|List| (|DistributedMultivariatePolynomial| |#2| |#1|)))) (SIGNATURE |fullDesTree| ((|Void|))) (SIGNATURE |fullInfClsPt| ((|Void|))) (SIGNATURE |setCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |projectivePoint| ((|ProjectivePlane| |#1|) (|List| |#1|))) (SIGNATURE |pointDominateBy| ((|ProjectivePlane| |#1|) (|Places| |#1|))) (SIGNATURE |placesAbove| ((|List| (|Places| |#1|)) (|ProjectivePlane| |#1|))) (SIGNATURE |setSingularPoints| ((|List| (|ProjectivePlane| |#1|)) (|List| (|ProjectivePlane| |#1|)))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|Places| |#1|)) (|Divisor| (|Places| |#1|)))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|Places| |#1|)) (|List| (|Places| |#1|)))) (SIGNATURE |rationalPlaces| ((|List| (|Places| |#1|)))) (SIGNATURE |theCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |genusNeg| ((|Integer|))) (SIGNATURE |desingTreeWoFullParam| ((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|))))) (SIGNATURE |desingTree| ((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|))))) (SIGNATURE |rationalPoints| ((|List| (|ProjectivePlane| |#1|)))) (SIGNATURE |singularPoints| ((|List| (|ProjectivePlane| |#1|)))) (SIGNATURE |parametrize| ((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |lBasis| ((|List| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |lBasis| ((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|)))) (SIGNATURE |findOrderOfDivisor| ((|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |upTo| (|Integer|))) (|Divisor| (|Places| |#1|)) (|Integer|) (|Integer|))) (SIGNATURE |interpolateForms| ((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |eval| (|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|))) (SIGNATURE |intersectionDivisor| ((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |adjunctionDivisor| ((|Divisor| (|Places| |#1|)))) (IF (|has| |#1| (|Finite|)) (PROGN (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |classNumber| ((|Integer|))) (SIGNATURE |placesOfDegree| ((|List| (|Places| |#1|)) (|PositiveInteger|))) (SIGNATURE |numberOfPlacesOfDegree| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberRatPlacesExtDeg| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberPlacesDegExtDeg| ((|Integer|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)))) |noBranch|)) (|Field|) (|List| (|Symbol|)) (|BlowUpMethodCategory|)) (T |PackageForAlgebraicFunctionField|)) 
+((|ZetaFunction| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|ZetaFunction| (*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|numberPlacesDegExtDeg| (*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|numberRatPlacesExtDeg| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|numberOfPlacesOfDegree| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|placesOfDegree| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|classNumber| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|LPolynomial| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|LPolynomial| (*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|adjunctionDivisor| (*1 *2) (AND (|isDomain| *2 (|Divisor| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|intersectionDivisor| (*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|evalIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|evalIfCan| (*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|evalIfCan| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|eval| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|eval| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|eval| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|interpolateForms| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|findOrderOfDivisor| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|lBasis| (*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|lBasis| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|parametrize| (*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|Places| *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|singularPoints| (*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|rationalPoints| (*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|desingTree| (*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|desingTreeWoFullParam| (*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|genusNeg| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|genus| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|theCurve| (*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|rationalPlaces| (*1 *2) (AND (|isDomain| *2 (|List| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|goppaCode| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|List| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) (|goppaCode| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|setSingularPoints| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|placesAbove| (*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlane| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|pointDominateBy| (*1 *2 *3) (AND (|isDomain| *3 (|Places| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|projectivePoint| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|setCurve| (*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullInfClsPt| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|fullDesTree| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) (|interpolateFormsForFact| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) (|homogenize| (*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(CATEGORY |package| (SIGNATURE |homogenize| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Integer|))) (SIGNATURE |interpolateFormsForFact| ((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|List| (|DistributedMultivariatePolynomial| |#2| |#1|)))) (SIGNATURE |fullDesTree| ((|Void|))) (SIGNATURE |fullInfClsPt| ((|Void|))) (SIGNATURE |setCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |projectivePoint| ((|ProjectivePlane| |#1|) (|List| |#1|))) (SIGNATURE |pointDominateBy| ((|ProjectivePlane| |#1|) (|Places| |#1|))) (SIGNATURE |placesAbove| ((|List| (|Places| |#1|)) (|ProjectivePlane| |#1|))) (SIGNATURE |setSingularPoints| ((|List| (|ProjectivePlane| |#1|)) (|List| (|ProjectivePlane| |#1|)))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|Places| |#1|)) (|Divisor| (|Places| |#1|)))) (SIGNATURE |goppaCode| ((|Matrix| |#1|) (|Divisor| (|Places| |#1|)) (|List| (|Places| |#1|)))) (SIGNATURE |rationalPlaces| ((|List| (|Places| |#1|)))) (SIGNATURE |theCurve| ((|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |genus| ((|NonNegativeInteger|))) (SIGNATURE |genusNeg| ((|Integer|))) (SIGNATURE |desingTreeWoFullParam| ((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|))))) (SIGNATURE |desingTree| ((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|))))) (SIGNATURE |rationalPoints| ((|List| (|ProjectivePlane| |#1|)))) (SIGNATURE |singularPoints| ((|List| (|ProjectivePlane| |#1|)))) (SIGNATURE |parametrize| ((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |lBasis| ((|List| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |lBasis| ((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|)))) (SIGNATURE |findOrderOfDivisor| ((|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|:| |upTo| (|Integer|))) (|Divisor| (|Places| |#1|)) (|Integer|) (|Integer|))) (SIGNATURE |interpolateForms| ((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |eval| (|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |eval| (|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|))) (SIGNATURE |evalIfCan| ((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|))) (SIGNATURE |intersectionDivisor| ((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|))) (SIGNATURE |adjunctionDivisor| ((|Divisor| (|Places| |#1|)))) (IF (|has| |#1| (|Finite|)) (PROGN (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |LPolynomial| ((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |classNumber| ((|Integer|))) (SIGNATURE |placesOfDegree| ((|List| (|Places| |#1|)) (|PositiveInteger|))) (SIGNATURE |numberOfPlacesOfDegree| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberRatPlacesExtDeg| ((|Integer|) (|PositiveInteger|))) (SIGNATURE |numberPlacesDegExtDeg| ((|Integer|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|))) (SIGNATURE |ZetaFunction| ((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|shade| (((|Integer|) $) 15)) (|pastel| (($ (|Color|)) 11)) (|light| (($ (|Color|)) 12)) (|latex| (((|String|) $) NIL)) (|hue| (((|Color|) $) 13)) (|hash| (((|SingleInteger|) $) NIL)) (|dim| (($ (|Color|)) 9)) (|dark| (($ (|Color|)) 8)) (|coerce| (((|OutputForm|) $) 23) (($ (|Color|)) 16)) (|bright| (($ (|Color|)) 10)) (= (((|Boolean|) $ $) NIL))) 
+(((|Palette|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |dark| ($ (|Color|))) (SIGNATURE |dim| ($ (|Color|))) (SIGNATURE |bright| ($ (|Color|))) (SIGNATURE |pastel| ($ (|Color|))) (SIGNATURE |light| ($ (|Color|))) (SIGNATURE |hue| ((|Color|) $)) (SIGNATURE |shade| ((|Integer|) $)) (SIGNATURE |coerce| ($ (|Color|)))))) (T |Palette|)) 
+((|dark| (*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) (|dim| (*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) (|bright| (*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) (|pastel| (*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) (|light| (*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) (|hue| (*1 *2 *1) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) (|shade| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Palette|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |dark| ($ (|Color|))) (SIGNATURE |dim| ($ (|Color|))) (SIGNATURE |bright| ($ (|Color|))) (SIGNATURE |pastel| ($ (|Color|))) (SIGNATURE |light| ($ (|Color|))) (SIGNATURE |hue| ((|Color|) $)) (SIGNATURE |shade| ((|Integer|) $)) (SIGNATURE |coerce| ($ (|Color|))))) 
+((|coerce| (((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) 21) (((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|))) 16))) 
+(((|PolynomialAN2Expression|) (CATEGORY |package| (SIGNATURE |coerce| ((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|)))) (SIGNATURE |coerce| ((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|))))))) (T |PolynomialAN2Expression|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) (|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|AlgebraicNumber|))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|)))) (SIGNATURE |coerce| ((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))))) 
+((|parametrize| ((|#6| |#3| |#7| (|Integer|)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (|List| |#6|)) 28))) 
+(((|ParametrizationPackage| |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (CATEGORY |package| (SIGNATURE |parametrize| (|#6| |#3| (|List| |#6|))) (SIGNATURE |parametrize| (|#6| |#3| |#7|)) (SIGNATURE |parametrize| (|#6| |#3| |#3| |#7|)) (SIGNATURE |parametrize| (|#6| |#3| |#7| (|Integer|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|) (|LocalPowerSeriesCategory| |#1|) (|PlacesCategory| |#1| |#6|)) (T |ParametrizationPackage|)) 
+((|parametrize| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *6)) (|isDomain| *1 (|ParametrizationPackage| *6 *7 *3 *8 *9 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *4 (|PlacesCategory| *6 *2)))) (|parametrize| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) (|parametrize| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) (|parametrize| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *9)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *2))))) 
+(CATEGORY |package| (SIGNATURE |parametrize| (|#6| |#3| (|List| |#6|))) (SIGNATURE |parametrize| (|#6| |#3| |#7|)) (SIGNATURE |parametrize| (|#6| |#3| |#3| |#7|)) (SIGNATURE |parametrize| (|#6| |#3| |#7| (|Integer|)))) 
+((|map| (((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)) 14))) 
+(((|ParametricPlaneCurveFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)))) (|Type|) (|Type|)) (T |ParametricPlaneCurveFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricPlaneCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricPlaneCurve| *6)) (|isDomain| *1 (|ParametricPlaneCurveFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)))) 
+((|curve| (($ |#1| |#1|) 8)) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) 10))) 
+(((|ParametricPlaneCurve| |#1|) (CATEGORY |domain| (SIGNATURE |curve| ($ |#1| |#1|)) (SIGNATURE |coordinate| (|#1| $ (|NonNegativeInteger|)))) (|Type|)) (T |ParametricPlaneCurve|)) 
+((|coordinate| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) (|curve| (*1 *1 *2 *2) (AND (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|))))) 
+(CATEGORY |domain| (SIGNATURE |curve| ($ |#1| |#1|)) (SIGNATURE |coordinate| (|#1| $ (|NonNegativeInteger|)))) 
+((|map| (((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)) 14))) 
+(((|ParametricSpaceCurveFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)))) (|Type|) (|Type|)) (T |ParametricSpaceCurveFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSpaceCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSpaceCurve| *6)) (|isDomain| *1 (|ParametricSpaceCurveFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)))) 
+((|curve| (($ |#1| |#1| |#1|) 8)) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) 10))) 
+(((|ParametricSpaceCurve| |#1|) (CATEGORY |domain| (SIGNATURE |curve| ($ |#1| |#1| |#1|)) (SIGNATURE |coordinate| (|#1| $ (|NonNegativeInteger|)))) (|Type|)) (T |ParametricSpaceCurve|)) 
+((|coordinate| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) (|curve| (*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|))))) 
+(CATEGORY |domain| (SIGNATURE |curve| ($ |#1| |#1| |#1|)) (SIGNATURE |coordinate| (|#1| $ (|NonNegativeInteger|)))) 
+((|map| (((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)) 14))) 
+(((|ParametricSurfaceFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)))) (|Type|) (|Type|)) (T |ParametricSurfaceFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSurface| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSurface| *6)) (|isDomain| *1 (|ParametricSurfaceFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)))) 
+((|surface| (($ |#1| |#1| |#1|) 8)) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) 10))) 
+(((|ParametricSurface| |#1|) (CATEGORY |domain| (SIGNATURE |surface| ($ |#1| |#1| |#1|)) (SIGNATURE |coordinate| (|#1| $ (|NonNegativeInteger|)))) (|Type|)) (T |ParametricSurface|)) 
+((|coordinate| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|)))) (|surface| (*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
+(CATEGORY |domain| (SIGNATURE |surface| ($ |#1| |#1| |#1|)) (SIGNATURE |coordinate| (|#1| $ (|NonNegativeInteger|)))) 
+((|shufflein| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|)))) 30)) (|shuffle| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) 26)) (|sequences| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|))) 39) (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) 38)) (|permutations| (((|Stream| (|List| (|Integer|))) (|Integer|)) 40)) (|partitions| (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|)) 22) (((|Stream| (|List| (|Integer|))) (|Integer|)) 16) (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|)) 12)) (|conjugates| (((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|)))) 24)) (|conjugate| (((|List| (|Integer|)) (|List| (|Integer|))) 23))) 
+(((|PartitionsAndPermutations|) (CATEGORY |package| (SIGNATURE |partitions| ((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |partitions| ((|Stream| (|List| (|Integer|))) (|Integer|))) (SIGNATURE |partitions| ((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|))) (SIGNATURE |conjugate| ((|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |conjugates| ((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|))))) (SIGNATURE |shuffle| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |shufflein| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|))))) (SIGNATURE |sequences| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |sequences| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |permutations| ((|Stream| (|List| (|Integer|))) (|Integer|))))) (T |PartitionsAndPermutations|)) 
+((|permutations| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) (|sequences| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) (|sequences| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) (|shufflein| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) (|shuffle| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) (|conjugates| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)))) (|conjugate| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) (|partitions| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) (|partitions| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) (|partitions| (*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
+(CATEGORY |package| (SIGNATURE |partitions| ((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |partitions| ((|Stream| (|List| (|Integer|))) (|Integer|))) (SIGNATURE |partitions| ((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|))) (SIGNATURE |conjugate| ((|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |conjugates| ((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|))))) (SIGNATURE |shuffle| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |shufflein| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|))))) (SIGNATURE |sequences| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |sequences| ((|Stream| (|List| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |permutations| ((|Stream| (|List| (|Integer|))) (|Integer|)))) 
+((|convert| (((|Pattern| (|Float|)) $) 9 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|Pattern| (|Integer|)) $) 8 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))))) 
+(((|Patternable| |#1|) (|Category|) (|Type|)) (T |Patternable|)) 
+NIL 
+(|Join| (CATEGORY |package| (IF (|has| |t#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (ATTRIBUTE (|ConvertibleTo| (|Pattern| (|Integer|)))) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (ATTRIBUTE (|ConvertibleTo| (|Pattern| (|Float|)))) |noBranch|))) 
+(((|ConvertibleTo| (|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) ((|ConvertibleTo| (|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|new| (($) 14)) (|makeResult| (($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|)) 27)) (|lists| (((|PatternMatchResult| |#1| |#3|) $) 16)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|failed?| (((|Boolean|) $) 22)) (|failed| (($) 19)) (|coerce| (((|OutputForm|) $) 30)) (|atoms| (((|PatternMatchResult| |#1| |#2|) $) 15)) (= (((|Boolean|) $ $) 25))) 
+(((|PatternMatchListResult| |#1| |#2| |#3|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |failed?| ((|Boolean|) $)) (SIGNATURE |failed| ($)) (SIGNATURE |new| ($)) (SIGNATURE |makeResult| ($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|))) (SIGNATURE |atoms| ((|PatternMatchResult| |#1| |#2|) $)) (SIGNATURE |lists| ((|PatternMatchResult| |#1| |#3|) $)))) (|SetCategory|) (|SetCategory|) (|ListAggregate| |#2|)) (T |PatternMatchListResult|)) 
+((|failed?| (*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) (|failed| (*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) (|new| (*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) (|makeResult| (*1 *1 *2 *3) (AND (|isDomain| *2 (|PatternMatchResult| *4 *5)) (|isDomain| *3 (|PatternMatchResult| *4 *6)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|ListAggregate| *5)) (|isDomain| *1 (|PatternMatchListResult| *4 *5 *6)))) (|atoms| (*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *4)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) (|lists| (*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *5)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |failed?| ((|Boolean|) $)) (SIGNATURE |failed| ($)) (SIGNATURE |new| ($)) (SIGNATURE |makeResult| ($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|))) (SIGNATURE |atoms| ((|PatternMatchResult| |#1| |#2|) $)) (SIGNATURE |lists| ((|PatternMatchResult| |#1| |#3|) $)))) 
+((~= (((|Boolean|) $ $) 7)) (|patternMatch| (((|PatternMatchResult| |#1| $) $ (|Pattern| |#1|) (|PatternMatchResult| |#1| $)) 12)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|PatternMatchable| |#1|) (|Category|) (|SetCategory|)) (T |PatternMatchable|)) 
+((|patternMatch| (*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|PatternMatchResult| *4 *1)) (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *1 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |patternMatch| ((|PatternMatchResult| |t#1| $) $ (|Pattern| |t#1|) (|PatternMatchResult| |t#1| $))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|is?| (((|Boolean|) (|List| |#2|) |#3|) 22) (((|Boolean|) |#2| |#3|) 17)) (|Is| (((|PatternMatchResult| |#1| |#2|) |#2| |#3|) 42 (AND (|not| (|has| |#2| (|RetractableTo| (|Symbol|)))) (|not| (|has| |#2| (|Ring|))))) (((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|) 41 (AND (|has| |#2| (|Ring|)) (|not| (|has| |#2| (|RetractableTo| (|Symbol|)))))) (((|List| (|Equation| |#2|)) |#2| |#3|) 34 (|has| |#2| (|RetractableTo| (|Symbol|)))) (((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|) 20))) 
+(((|PatternMatch| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |is?| ((|Boolean|) |#2| |#3|)) (SIGNATURE |is?| ((|Boolean|) (|List| |#2|) |#3|)) (SIGNATURE |Is| ((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|)) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (SIGNATURE |Is| ((|List| (|Equation| |#2|)) |#2| |#3|)) (IF (|has| |#2| (|Ring|)) (SIGNATURE |Is| ((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|)) (SIGNATURE |Is| ((|PatternMatchResult| |#1| |#2|) |#2| |#3|))))) (|SetCategory|) (|PatternMatchable| |#1|) (|ConvertibleTo| (|Pattern| |#1|))) (T |PatternMatch|)) 
+((|Is| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|not| (|ofCategory| *3 (|Ring|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) (|Is| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *3)))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|Ring|)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) (|Is| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|RetractableTo| (|Symbol|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) (|Is| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|isDomain| *2 (|PatternMatchListResult| *5 *6 (|List| *6))) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|isDomain| *3 (|List| *6)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) (|is?| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) (|is?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(CATEGORY |package| (SIGNATURE |is?| ((|Boolean|) |#2| |#3|)) (SIGNATURE |is?| ((|Boolean|) (|List| |#2|) |#3|)) (SIGNATURE |Is| ((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|)) (IF (|has| |#2| (|RetractableTo| (|Symbol|))) (SIGNATURE |Is| ((|List| (|Equation| |#2|)) |#2| |#3|)) (IF (|has| |#2| (|Ring|)) (SIGNATURE |Is| ((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|)) (SIGNATURE |Is| ((|PatternMatchResult| |#1| |#2|) |#2| |#3|))))) 
+((|map| (((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)) 21))) 
+(((|PatternMatchResultFunctions2| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |map| ((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)))) (|SetCategory|) (|SetCategory|) (|SetCategory|)) (T |PatternMatchResultFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|PatternMatchResult| *5 *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *7)) (|isDomain| *1 (|PatternMatchResultFunctions2| *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|union| (($ $ $) 37)) (|satisfy?| (((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|)) 34)) (|new| (($) 11)) (|latex| (((|String|) $) NIL)) (|insertMatch| (($ (|Pattern| |#1|) |#2| $) 20)) (|hash| (((|SingleInteger|) $) NIL)) (|getMatch| (((|Union| |#2| "failed") (|Pattern| |#1|) $) 48)) (|failed?| (((|Boolean|) $) 14)) (|failed| (($) 12)) (|destruct| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $) 25)) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|)))) 23)) (|coerce| (((|OutputForm|) $) 42)) (|addMatchRestricted| (($ (|Pattern| |#1|) |#2| $ |#2|) 46)) (|addMatch| (($ (|Pattern| |#1|) |#2| $) 45)) (= (((|Boolean|) $ $) 39))) 
+(((|PatternMatchResult| |#1| |#2|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |failed?| ((|Boolean|) $)) (SIGNATURE |failed| ($)) (SIGNATURE |new| ($)) (SIGNATURE |union| ($ $ $)) (SIGNATURE |getMatch| ((|Union| |#2| "failed") (|Pattern| |#1|) $)) (SIGNATURE |addMatch| ($ (|Pattern| |#1|) |#2| $)) (SIGNATURE |insertMatch| ($ (|Pattern| |#1|) |#2| $)) (SIGNATURE |addMatchRestricted| ($ (|Pattern| |#1|) |#2| $ |#2|)) (SIGNATURE |destruct| ((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $)) (SIGNATURE |construct| ($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))))) (SIGNATURE |satisfy?| ((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|))))) (|SetCategory|) (|SetCategory|)) (T |PatternMatchResult|)) 
+((|failed?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|failed| (*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|new| (*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|union| (*1 *1 *1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|getMatch| (*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *2)))) (|addMatch| (*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|)))) (|insertMatch| (*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|)))) (|addMatchRestricted| (*1 *1 *2 *3 *1 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|)))) (|destruct| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|construct| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)))) (|satisfy?| (*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *4 *5)) (|ofCategory| *5 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |failed?| ((|Boolean|) $)) (SIGNATURE |failed| ($)) (SIGNATURE |new| ($)) (SIGNATURE |union| ($ $ $)) (SIGNATURE |getMatch| ((|Union| |#2| "failed") (|Pattern| |#1|) $)) (SIGNATURE |addMatch| ($ (|Pattern| |#1|) |#2| $)) (SIGNATURE |insertMatch| ($ (|Pattern| |#1|) |#2| $)) (SIGNATURE |addMatchRestricted| ($ (|Pattern| |#1|) |#2| $ |#2|)) (SIGNATURE |destruct| ((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $)) (SIGNATURE |construct| ($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))))) (SIGNATURE |satisfy?| ((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|))))) 
+((|suchThat| (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|))) 30) (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|))) 42) (((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|)) 33)) (|satisfy?| (((|Boolean|) (|List| |#2|) (|Pattern| |#1|)) 39) (((|Boolean|) |#2| (|Pattern| |#1|)) 35)) (|predicate| (((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|)) 14)) (|badValues| (((|List| |#2|) (|Pattern| |#1|)) 23)) (|addBadValue| (((|Pattern| |#1|) (|Pattern| |#1|) |#2|) 19))) 
+(((|PatternFunctions1| |#1| |#2|) (CATEGORY |package| (SIGNATURE |suchThat| ((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|))) (SIGNATURE |suchThat| ((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|)))) (SIGNATURE |suchThat| ((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|)))) (SIGNATURE |predicate| ((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|))) (SIGNATURE |satisfy?| ((|Boolean|) |#2| (|Pattern| |#1|))) (SIGNATURE |satisfy?| ((|Boolean|) (|List| |#2|) (|Pattern| |#1|))) (SIGNATURE |addBadValue| ((|Pattern| |#1|) (|Pattern| |#1|) |#2|)) (SIGNATURE |badValues| ((|List| |#2|) (|Pattern| |#1|)))) (|SetCategory|) (|Type|)) (T |PatternFunctions1|)) 
+((|badValues| (*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|)))) (|addBadValue| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternFunctions1| *4 *3)) (|ofCategory| *3 (|Type|)))) (|satisfy?| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *6)))) (|satisfy?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *3)) (|ofCategory| *3 (|Type|)))) (|predicate| (*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|)))) (|suchThat| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Pattern| *5)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *5 *6)))) (|suchThat| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) (|suchThat| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |suchThat| ((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|))) (SIGNATURE |suchThat| ((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|)))) (SIGNATURE |suchThat| ((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|)))) (SIGNATURE |predicate| ((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|))) (SIGNATURE |satisfy?| ((|Boolean|) |#2| (|Pattern| |#1|))) (SIGNATURE |satisfy?| ((|Boolean|) (|List| |#2|) (|Pattern| |#1|))) (SIGNATURE |addBadValue| ((|Pattern| |#1|) (|Pattern| |#1|) |#2|)) (SIGNATURE |badValues| ((|List| |#2|) (|Pattern| |#1|)))) 
+((|map| (((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)) 17))) 
+(((|PatternFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)))) (|SetCategory|) (|SetCategory|)) (T |PatternFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Pattern| *6)) (|isDomain| *1 (|PatternFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|withPredicates| (($ $ (|List| (|Any|))) 62)) (|variables| (((|List| $) $) 116)) (|topPredicate| (((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $) 22)) (|symbol?| (((|Boolean|) $) 29)) (|setTopPredicate| (($ $ (|List| (|Symbol|)) (|Any|)) 24)) (|setPredicates| (($ $ (|List| (|Any|))) 61)) (|retractIfCan| (((|Union| |#1| "failed") $) 59) (((|Union| (|Symbol|) "failed") $) 138)) (|retract| ((|#1| $) 55) (((|Symbol|) $) NIL)) (|resetBadValues| (($ $) 106)) (|quoted?| (((|Boolean|) $) 45)) (|predicates| (((|List| (|Any|)) $) 43)) (|patternVariable| (($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|)) 63)) (|optpair| (((|Union| (|List| $) "failed") (|List| $)) 70)) (|optional?| (((|Boolean|) $) 48)) (|multiple?| (((|Boolean|) $) 47)) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) 34)) (|isQuotient| (((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $) 81)) (|isPlus| (((|Union| (|List| $) "failed") $) 31)) (|isOp| (((|Union| (|List| $) "failed") $ (|BasicOperator|)) 105) (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $) 93)) (|isList| (((|Union| (|List| $) "failed") $) 35)) (|isExpt| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) 38)) (|inR?| (((|Boolean|) $) 28)) (|hash| (((|SingleInteger|) $) NIL)) (|hasTopPredicate?| (((|Boolean|) $) 20)) (|hasPredicate?| (((|Boolean|) $) 44)) (|getBadValues| (((|List| (|Any|)) $) 109)) (|generic?| (((|Boolean|) $) 46)) (|elt| (($ (|BasicOperator|) (|List| $)) 90)) (|depth| (((|NonNegativeInteger|) $) 27)) (|copy| (($ $) 60)) (|convert| (($ (|List| $)) 57)) (|constant?| (((|Boolean|) $) 25)) (|coerce| (((|OutputForm|) $) 50) (($ |#1|) 18) (($ (|Symbol|)) 64)) (|addBadValue| (($ $ (|Any|)) 108)) (|Zero| (($) 89 T CONST)) (|One| (($) 71 T CONST)) (= (((|Boolean|) $ $) 77)) (/ (($ $ $) 98)) (+ (($ $ $) 102)) (** (($ $ (|NonNegativeInteger|)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
+(((|Pattern| |#1|) (|Join| (|SetCategory|) (|RetractableTo| |#1|) (|RetractableTo| (|Symbol|)) (CATEGORY |domain| (SIGNATURE 0 ($) |constant|) (SIGNATURE 1 ($) |constant|) (SIGNATURE |isPlus| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isTimes| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isOp| ((|Union| (|List| $) "failed") $ (|BasicOperator|))) (SIGNATURE |isOp| ((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $)) (SIGNATURE |isQuotient| ((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $)) (SIGNATURE |isList| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $)) (SIGNATURE |elt| ($ (|BasicOperator|) (|List| $))) (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE ** ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |convert| ($ (|List| $))) (SIGNATURE |copy| ($ $)) (SIGNATURE |inR?| ((|Boolean|) $)) (SIGNATURE |quoted?| ((|Boolean|) $)) (SIGNATURE |symbol?| ((|Boolean|) $)) (SIGNATURE |constant?| ((|Boolean|) $)) (SIGNATURE |generic?| ((|Boolean|) $)) (SIGNATURE |multiple?| ((|Boolean|) $)) (SIGNATURE |optional?| ((|Boolean|) $)) (SIGNATURE |hasPredicate?| ((|Boolean|) $)) (SIGNATURE |predicates| ((|List| (|Any|)) $)) (SIGNATURE |setPredicates| ($ $ (|List| (|Any|)))) (SIGNATURE |withPredicates| ($ $ (|List| (|Any|)))) (SIGNATURE |patternVariable| ($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |setTopPredicate| ($ $ (|List| (|Symbol|)) (|Any|))) (SIGNATURE |topPredicate| ((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $)) (SIGNATURE |hasTopPredicate?| ((|Boolean|) $)) (SIGNATURE |resetBadValues| ($ $)) (SIGNATURE |addBadValue| ($ $ (|Any|))) (SIGNATURE |getBadValues| ((|List| (|Any|)) $)) (SIGNATURE |variables| ((|List| $) $)) (SIGNATURE |optpair| ((|Union| (|List| $) "failed") (|List| $))))) (|SetCategory|)) (T |Pattern|)) 
+((|Zero| (*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (|One| (*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (|isPlus| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|isTimes| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|isOp| (*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) (|isOp| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| (|Pattern| *3))))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|isExpt| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|isQuotient| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |num| (|Pattern| *3)) (|:| |den| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|isList| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|isPower| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|elt| (*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) (+ (*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (* (*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (** (*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (/ (*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (|depth| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (|inR?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|quoted?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|symbol?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|constant?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|generic?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|multiple?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|optional?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|hasPredicate?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|predicates| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|setPredicates| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|withPredicates| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|patternVariable| (*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) (|setTopPredicate| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Any|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) (|topPredicate| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|hasTopPredicate?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|resetBadValues| (*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) (|addBadValue| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|getBadValues| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|variables| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) (|optpair| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (|RetractableTo| |#1|) (|RetractableTo| (|Symbol|)) (CATEGORY |domain| (SIGNATURE (|Zero|) ($) |constant|) (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |isPlus| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isTimes| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isOp| ((|Union| (|List| $) "failed") $ (|BasicOperator|))) (SIGNATURE |isOp| ((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $)) (SIGNATURE |isQuotient| ((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $)) (SIGNATURE |isList| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $)) (SIGNATURE |elt| ($ (|BasicOperator|) (|List| $))) (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|))) (SIGNATURE ** ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |convert| ($ (|List| $))) (SIGNATURE |copy| ($ $)) (SIGNATURE |inR?| ((|Boolean|) $)) (SIGNATURE |quoted?| ((|Boolean|) $)) (SIGNATURE |symbol?| ((|Boolean|) $)) (SIGNATURE |constant?| ((|Boolean|) $)) (SIGNATURE |generic?| ((|Boolean|) $)) (SIGNATURE |multiple?| ((|Boolean|) $)) (SIGNATURE |optional?| ((|Boolean|) $)) (SIGNATURE |hasPredicate?| ((|Boolean|) $)) (SIGNATURE |predicates| ((|List| (|Any|)) $)) (SIGNATURE |setPredicates| ($ $ (|List| (|Any|)))) (SIGNATURE |withPredicates| ($ $ (|List| (|Any|)))) (SIGNATURE |patternVariable| ($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |setTopPredicate| ($ $ (|List| (|Symbol|)) (|Any|))) (SIGNATURE |topPredicate| ((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $)) (SIGNATURE |hasTopPredicate?| ((|Boolean|) $)) (SIGNATURE |resetBadValues| ($ $)) (SIGNATURE |addBadValue| ($ $ (|Any|))) (SIGNATURE |getBadValues| ((|List| (|Any|)) $)) (SIGNATURE |variables| ((|List| $) $)) (SIGNATURE |optpair| ((|Union| (|List| $) "failed") (|List| $))))) 
+((~= (((|Boolean|) $ $) NIL)) (|varList| (((|List| |#1|) $) 16)) (|retractable?| (((|Boolean|) $) 38)) (|retractIfCan| (((|Union| (|LyndonWord| |#1|) "failed") $) 41)) (|retract| (((|LyndonWord| |#1|) $) 39)) (|rest| (($ $) 18)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|listOfTerms| (((|List| (|LyndonWord| |#1|)) $) 23)) (|length| (((|NonNegativeInteger|) $) 45)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|LyndonWord| |#1|) $) 17)) (|coerce| (((|OutputForm|) $) 37) (($ (|LyndonWord| |#1|)) 21) (((|OrderedFreeMonoid| |#1|) $) 27) (($ |#1|) 20)) (|One| (($) 8 T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 11)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 48))) 
+(((|PoincareBirkhoffWittLyndonBasis| |#1|) (|Join| (|OrderedSet|) (|RetractableTo| (|LyndonWord| |#1|)) (CATEGORY |domain| (SIGNATURE 1 ($) |constant|) (SIGNATURE |coerce| ((|OrderedFreeMonoid| |#1|) $)) (SIGNATURE |coerce| ($ |#1|)) (SIGNATURE |first| ((|LyndonWord| |#1|) $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |listOfTerms| ((|List| (|LyndonWord| |#1|)) $)) (SIGNATURE |rest| ($ $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |varList| ((|List| |#1|) $)))) (|OrderedSet|)) (T |PoincareBirkhoffWittLyndonBasis|)) 
+((|One| (*1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|first| (*1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|listOfTerms| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|LyndonWord| *3))) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|rest| (*1 *1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|retractable?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) (|varList| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(|Join| (|OrderedSet|) (|RetractableTo| (|LyndonWord| |#1|)) (CATEGORY |domain| (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |coerce| ((|OrderedFreeMonoid| |#1|) $)) (SIGNATURE |coerce| ($ |#1|)) (SIGNATURE |first| ((|LyndonWord| |#1|) $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |listOfTerms| ((|List| (|LyndonWord| |#1|)) $)) (SIGNATURE |rest| ($ $)) (SIGNATURE |retractable?| ((|Boolean|) $)) (SIGNATURE |varList| ((|List| |#1|) $)))) 
+((|compose| ((|#1| |#1| |#1|) 19))) 
+(((|PolynomialComposition| |#1| |#2|) (CATEGORY |package| (SIGNATURE |compose| (|#1| |#1| |#1|))) (|UnivariatePolynomialCategory| |#2|) (|Ring|)) (T |PolynomialComposition|)) 
+((|compose| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|PolynomialComposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |compose| (|#1| |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 13)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 12)) (= (((|Boolean|) $ $) 6))) 
+(((|PartialDifferentialEquationsSolverCategory|) (|Category|)) (T |PartialDifferentialEquationsSolverCategory|)) 
+((|measure| (*1 *2 *3 *4) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) (|PDESolve| (*1 *2 *3) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(|Join| (|SetCategory|) (CATEGORY |package| (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))))) (SIGNATURE |PDESolve| ((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|rightFactorCandidate| ((|#1| |#1| (|NonNegativeInteger|)) 23)) (|leftFactor| (((|Union| |#1| "failed") |#1| |#1|) 22)) (|decompose| (((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) 26) (((|List| |#1|) |#1|) 28))) 
+(((|PolynomialDecomposition| |#1| |#2|) (CATEGORY |package| (SIGNATURE |decompose| ((|List| |#1|) |#1|)) (SIGNATURE |decompose| ((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |leftFactor| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |rightFactorCandidate| (|#1| |#1| (|NonNegativeInteger|)))) (|UnivariatePolynomialCategory| |#2|) (|Field|)) (T |PolynomialDecomposition|)) 
+((|rightFactorCandidate| (*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *4)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|leftFactor| (*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|decompose| (*1 *2 *3 *4 *4) (|partial| AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|PolynomialDecomposition| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|decompose| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialDecomposition| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |decompose| ((|List| |#1|) |#1|)) (SIGNATURE |decompose| ((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |leftFactor| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |rightFactorCandidate| (|#1| |#1| (|NonNegativeInteger|)))) 
+((|solve| (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|)) 92) (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|)) 87) (((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|)) 76) (((|Result|) (|NumericalPDEProblem|)) 77)) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)) 50) (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|)) 52))) 
+(((|AnnaPartialDifferentialEquationPackage|) (CATEGORY |package| (SIGNATURE |solve| ((|Result|) (|NumericalPDEProblem|))) (SIGNATURE |solve| ((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|))) (SIGNATURE |solve| ((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|))) (SIGNATURE |solve| ((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|))))) (T |AnnaPartialDifferentialEquationPackage|)) 
+((|measure| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) (|measure| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *8 (|DoubleFloat|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) (|solve| (*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|Result|) (|NumericalPDEProblem|))) (SIGNATURE |solve| ((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|))) (SIGNATURE |solve| ((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|))) (SIGNATURE |solve| ((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|))) (SIGNATURE |measure| ((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|retract| (((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $) 10)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 12) (($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) 9)) (= (((|Boolean|) $ $) NIL))) 
+(((|NumericalPDEProblem|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $))))) (T |NumericalPDEProblem|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalPDEProblem|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) (|retract| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))))) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE |retract| ((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $)))) 
+((|differentiate| (($ $ |#2|) NIL) (($ $ (|List| |#2|)) 10) (($ $ |#2| (|NonNegativeInteger|)) 12) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 15)) (D (($ $ |#2|) 16) (($ $ (|List| |#2|)) 18) (($ $ |#2| (|NonNegativeInteger|)) 19) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 21))) 
+(((|PartialDifferentialRing&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE D (|#1| |#1| (|List| |#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE D (|#1| |#1| |#2| (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|List| |#2|))) (SIGNATURE D (|#1| |#1| |#2|)) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| |#2| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| |#2|))) (|PartialDifferentialRing| |#2|) (|SetCategory|)) (T |PartialDifferentialRing&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE D (|#1| |#1| (|List| |#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE D (|#1| |#1| |#2| (|NonNegativeInteger|))) (SIGNATURE D (|#1| |#1| (|List| |#2|))) (SIGNATURE D (|#1| |#1| |#2|)) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#2|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| |#2| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| |#2|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|differentiate| (($ $ |#1|) 41) (($ $ (|List| |#1|)) 40) (($ $ |#1| (|NonNegativeInteger|)) 39) (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) 38)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ |#1|) 37) (($ $ (|List| |#1|)) 36) (($ $ |#1| (|NonNegativeInteger|)) 35) (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) 34)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|PartialDifferentialRing| |#1|) (|Category|) (|SetCategory|)) (T |PartialDifferentialRing|)) 
+((|differentiate| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) (|differentiate| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) (|differentiate| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) (D (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) (D (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) (D (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) (D (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(|Join| (|Ring|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $ |t#1|)) (SIGNATURE |differentiate| ($ $ (|List| |t#1|))) (SIGNATURE |differentiate| ($ $ |t#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| ($ $ (|List| |t#1|) (|List| (|NonNegativeInteger|)))) (SIGNATURE D ($ $ |t#1|)) (SIGNATURE D ($ $ (|List| |t#1|))) (SIGNATURE D ($ $ |t#1| (|NonNegativeInteger|))) (SIGNATURE D ($ $ (|List| |t#1|) (|List| (|NonNegativeInteger|)))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setright!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setleft!| (($ $ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "left" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "right" $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|right| (($ $) 25)) (|ptree| (($ |#1|) 12) (($ $ $) 17)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|left| (($ $) 23)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) 20)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 29 (|has| |#1| (|SetCategory|))) (((|Tree| |#1|) $) 9)) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 21 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|PendantTree| |#1|) (|Join| (|BinaryRecursiveAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |ptree| ($ |#1|)) (SIGNATURE |ptree| ($ $ $)) (SIGNATURE |coerce| ((|Tree| |#1|) $)))) (|SetCategory|)) (T |PendantTree|)) 
+((|ptree| (*1 *1 *2) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|ptree| (*1 *1 *1 *1) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Tree| *3)) (|isDomain| *1 (|PendantTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|BinaryRecursiveAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |ptree| ($ |#1|)) (SIGNATURE |ptree| ($ $ $)) (SIGNATURE |coerce| ((|Tree| |#1|) $)))) 
+((|permanent| ((|#2| (|SquareMatrix| |#1| |#2|)) 39))) 
+(((|Permanent| |#1| |#2|) (CATEGORY |package| (SIGNATURE |permanent| (|#2| (|SquareMatrix| |#1| |#2|)))) (|PositiveInteger|) (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (T |Permanent|)) 
+((|permanent| (*1 *2 *3) (AND (|isDomain| *3 (|SquareMatrix| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (|isDomain| *1 (|Permanent| *4 *2))))) 
+(CATEGORY |package| (SIGNATURE |permanent| (|#2| (|SquareMatrix| |#1| |#2|)))) 
+((~= (((|Boolean|) $ $) 7)) (|sample| (($) 19 T CONST)) (|recip| (((|Union| $ "failed") $) 15)) (|orbit| (((|Set| |#1|) $ |#1|) 34)) (|one?| (((|Boolean|) $) 18)) (|min| (($ $ $) 32 (OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|Finite|))))) (|max| (($ $ $) 31 (OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|Finite|))))) (|latex| (((|String|) $) 9)) (|inv| (($ $) 26)) (|hash| (((|SingleInteger|) $) 10)) (|eval| ((|#1| $ |#1|) 36)) (|elt| ((|#1| $ |#1|) 35)) (|cycles| (($ (|List| (|List| |#1|))) 37)) (|cycle| (($ (|List| |#1|)) 38)) (|conjugate| (($ $ $) 22)) (|commutator| (($ $ $) 21)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|PositiveInteger|)) 12) (($ $ (|NonNegativeInteger|)) 16) (($ $ (|Integer|)) 23)) (|One| (($) 20 T CONST)) (>= (((|Boolean|) $ $) 29 (OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|Finite|))))) (> (((|Boolean|) $ $) 28 (OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|Finite|))))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 30 (OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|Finite|))))) (< (((|Boolean|) $ $) 33)) (/ (($ $ $) 25)) (** (($ $ (|PositiveInteger|)) 13) (($ $ (|NonNegativeInteger|)) 17) (($ $ (|Integer|)) 24)) (* (($ $ $) 14))) 
+(((|PermutationCategory| |#1|) (|Category|) (|SetCategory|)) (T |PermutationCategory|)) 
+((|cycle| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3)))) (|cycles| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3)))) (|eval| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|elt| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) (|orbit| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Set| *3)))) (< (*1 *2 *1 *1) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|Group|) (CATEGORY |domain| (SIGNATURE |cycle| ($ (|List| |t#1|))) (SIGNATURE |cycles| ($ (|List| (|List| |t#1|)))) (SIGNATURE |eval| (|t#1| $ |t#1|)) (SIGNATURE |elt| (|t#1| $ |t#1|)) (SIGNATURE |orbit| ((|Set| |t#1|) $ |t#1|)) (SIGNATURE < ((|Boolean|) $ $)) (IF (|has| |t#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) (IF (|has| |t#1| (|Finite|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Group|) . T) ((|Monoid|) . T) ((|OrderedSet|) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|Finite|))) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) 106)) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) 128)) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) 129)) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) 96)) (|random| (((|Permutation| |#1|) $ (|Integer|)) 101) (((|Permutation| |#1|) $) 102)) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) 108)) (|order| (((|NonNegativeInteger|) $) 103)) (|orbits| (((|Set| (|Set| |#1|)) $) 126)) (|orbit| (((|Set| |#1|) $ |#1|) 119) (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) 137) (((|Set| (|List| |#1|)) $ (|List| |#1|)) 140)) (|movedPoints| (((|Set| |#1|) $) 99)) (|member?| (((|Boolean|) (|Permutation| |#1|) $) 90)) (|latex| (((|String|) $) NIL)) (|initializeGroupForWordProblem| (((|Void|) $) 93) (((|Void|) $ (|Integer|) (|Integer|)) 141)) (|hash| (((|SingleInteger|) $) NIL)) (|generators| (((|List| (|Permutation| |#1|)) $) 94)) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) 97)) (|degree| (((|NonNegativeInteger|) $) 104)) (|coerce| (((|OutputForm|) $) 117) (((|List| (|Permutation| |#1|)) $) 22) (($ (|List| (|Permutation| |#1|))) 107)) (|base| (((|List| |#1|) $) 105)) (= (((|Boolean|) $ $) 134)) (<= (((|Boolean|) $ $) 132)) (< (((|Boolean|) $ $) 131))) 
+(((|PermutationGroup| |#1|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ((|List| (|Permutation| |#1|)) $)) (SIGNATURE |generators| ((|List| (|Permutation| |#1|)) $)) (SIGNATURE |elt| ((|Permutation| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |random| ((|Permutation| |#1|) $ (|Integer|))) (SIGNATURE |random| ((|Permutation| |#1|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |base| ((|List| |#1|) $)) (SIGNATURE |strongGenerators| ((|List| (|Permutation| |#1|)) $)) (SIGNATURE |wordsForStrongGenerators| ((|List| (|List| (|NonNegativeInteger|))) $)) (SIGNATURE |coerce| ($ (|List| (|Permutation| |#1|)))) (SIGNATURE |permutationGroup| ($ (|List| (|Permutation| |#1|)))) (SIGNATURE |orbit| ((|Set| |#1|) $ |#1|)) (SIGNATURE |orbits| ((|Set| (|Set| |#1|)) $)) (SIGNATURE |orbit| ((|Set| (|Set| |#1|)) $ (|Set| |#1|))) (SIGNATURE |orbit| ((|Set| (|List| |#1|)) $ (|List| |#1|))) (SIGNATURE |member?| ((|Boolean|) (|Permutation| |#1|) $)) (SIGNATURE |wordInStrongGenerators| ((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $)) (SIGNATURE |wordInGenerators| ((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $)) (SIGNATURE |movedPoints| ((|Set| |#1|) $)) (SIGNATURE < ((|Boolean|) $ $)) (SIGNATURE <= ((|Boolean|) $ $)) (SIGNATURE |initializeGroupForWordProblem| ((|Void|) $)) (SIGNATURE |initializeGroupForWordProblem| ((|Void|) $ (|Integer|) (|Integer|))))) (|SetCategory|)) (T |PermutationGroup|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|generators| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) (|random| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) (|random| (*1 *2 *1) (AND (|isDomain| *2 (|Permutation| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|order| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|degree| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|base| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|strongGenerators| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|wordsForStrongGenerators| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3)))) (|permutationGroup| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3)))) (|orbit| (*1 *2 *1 *3) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|orbits| (*1 *2 *1) (AND (|isDomain| *2 (|Set| (|Set| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|orbit| (*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|Set| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|Set| *4)))) (|orbit| (*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|List| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|List| *4)))) (|member?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *4)))) (|wordInStrongGenerators| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4)))) (|wordInGenerators| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4)))) (|movedPoints| (*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (< (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (<= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|initializeGroupForWordProblem| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) (|initializeGroupForWordProblem| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ((|List| (|Permutation| |#1|)) $)) (SIGNATURE |generators| ((|List| (|Permutation| |#1|)) $)) (SIGNATURE |elt| ((|Permutation| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |random| ((|Permutation| |#1|) $ (|Integer|))) (SIGNATURE |random| ((|Permutation| |#1|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |base| ((|List| |#1|) $)) (SIGNATURE |strongGenerators| ((|List| (|Permutation| |#1|)) $)) (SIGNATURE |wordsForStrongGenerators| ((|List| (|List| (|NonNegativeInteger|))) $)) (SIGNATURE |coerce| ($ (|List| (|Permutation| |#1|)))) (SIGNATURE |permutationGroup| ($ (|List| (|Permutation| |#1|)))) (SIGNATURE |orbit| ((|Set| |#1|) $ |#1|)) (SIGNATURE |orbits| ((|Set| (|Set| |#1|)) $)) (SIGNATURE |orbit| ((|Set| (|Set| |#1|)) $ (|Set| |#1|))) (SIGNATURE |orbit| ((|Set| (|List| |#1|)) $ (|List| |#1|))) (SIGNATURE |member?| ((|Boolean|) (|Permutation| |#1|) $)) (SIGNATURE |wordInStrongGenerators| ((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $)) (SIGNATURE |wordInGenerators| ((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $)) (SIGNATURE |movedPoints| ((|Set| |#1|) $)) (SIGNATURE < ((|Boolean|) $ $)) (SIGNATURE <= ((|Boolean|) $ $)) (SIGNATURE |initializeGroupForWordProblem| ((|Void|) $)) (SIGNATURE |initializeGroupForWordProblem| ((|Void|) $ (|Integer|) (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|sort| (((|List| $) (|List| $)) 76)) (|sign| (((|Integer|) $) 59)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|order| (((|NonNegativeInteger|) $) 57)) (|orbit| (((|Set| |#1|) $ |#1|) 48)) (|one?| (((|Boolean|) $) NIL)) (|odd?| (((|Boolean|) $) 62)) (|numberOfCycles| (((|NonNegativeInteger|) $) 60)) (|movedPoints| (((|Set| |#1|) $) 41)) (|min| (($ $ $) NIL (OR (|has| |#1| (|Finite|)) (|has| |#1| (|OrderedSet|))))) (|max| (($ $ $) NIL (OR (|has| |#1| (|Finite|)) (|has| |#1| (|OrderedSet|))))) (|listRepresentation| (((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $) 35)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 92)) (|hash| (((|SingleInteger|) $) NIL)) (|fixedPoints| (((|Set| |#1|) $) 98 (|has| |#1| (|Finite|)))) (|even?| (((|Boolean|) $) 58)) (|eval| ((|#1| $ |#1|) 46)) (|elt| ((|#1| $ |#1|) 93)) (|degree| (((|NonNegativeInteger|) $) 43)) (|cycles| (($ (|List| (|List| |#1|))) 84)) (|cyclePartition| (((|Partition|) $) 52)) (|cycle| (($ (|List| |#1|)) 21)) (|conjugate| (($ $ $) NIL)) (|commutator| (($ $ $) NIL)) (|coercePreimagesImages| (($ (|List| (|List| |#1|))) 38)) (|coerceListOfPairs| (($ (|List| (|List| |#1|))) 87)) (|coerceImages| (($ (|List| |#1|)) 95)) (|coerce| (((|OutputForm|) $) 83) (($ (|List| (|List| |#1|))) 65) (($ (|List| |#1|)) 66)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|One| (($) 16 T CONST)) (>= (((|Boolean|) $ $) NIL (OR (|has| |#1| (|Finite|)) (|has| |#1| (|OrderedSet|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#1| (|Finite|)) (|has| |#1| (|OrderedSet|))))) (= (((|Boolean|) $ $) 44)) (<= (((|Boolean|) $ $) NIL (OR (|has| |#1| (|Finite|)) (|has| |#1| (|OrderedSet|))))) (< (((|Boolean|) $ $) 64)) (/ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ $ $) 22))) 
+(((|Permutation| |#1|) (|Join| (|PermutationCategory| |#1|) (CATEGORY |domain| (SIGNATURE |listRepresentation| ((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $)) (SIGNATURE |coercePreimagesImages| ($ (|List| (|List| |#1|)))) (SIGNATURE |coerce| ($ (|List| (|List| |#1|)))) (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |coerceListOfPairs| ($ (|List| (|List| |#1|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |movedPoints| ((|Set| |#1|) $)) (SIGNATURE |cyclePartition| ((|Partition|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |numberOfCycles| ((|NonNegativeInteger|) $)) (SIGNATURE |sign| ((|Integer|) $)) (SIGNATURE |even?| ((|Boolean|) $)) (SIGNATURE |odd?| ((|Boolean|) $)) (SIGNATURE |sort| ((|List| $) (|List| $))) (IF (|has| |#1| (|Finite|)) (SIGNATURE |fixedPoints| ((|Set| |#1|) $)) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (SIGNATURE |coerceImages| ($ (|List| |#1|))) (IF (|has| |#1| (|Finite|)) (SIGNATURE |coerceImages| ($ (|List| |#1|))) |noBranch|)))) (|SetCategory|)) (T |Permutation|)) 
+((|listRepresentation| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |preimage| (|List| *3)) (|:| |image| (|List| *3)))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|coercePreimagesImages| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) (|coerceListOfPairs| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) (|degree| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|movedPoints| (*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|cyclePartition| (*1 *2 *1) (AND (|isDomain| *2 (|Partition|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|order| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|numberOfCycles| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|sign| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|even?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|odd?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|sort| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) (|fixedPoints| (*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|SetCategory|)))) (|coerceImages| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(|Join| (|PermutationCategory| |#1|) (CATEGORY |domain| (SIGNATURE |listRepresentation| ((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $)) (SIGNATURE |coercePreimagesImages| ($ (|List| (|List| |#1|)))) (SIGNATURE |coerce| ($ (|List| (|List| |#1|)))) (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |coerceListOfPairs| ($ (|List| (|List| |#1|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |movedPoints| ((|Set| |#1|) $)) (SIGNATURE |cyclePartition| ((|Partition|) $)) (SIGNATURE |order| ((|NonNegativeInteger|) $)) (SIGNATURE |numberOfCycles| ((|NonNegativeInteger|) $)) (SIGNATURE |sign| ((|Integer|) $)) (SIGNATURE |even?| ((|Boolean|) $)) (SIGNATURE |odd?| ((|Boolean|) $)) (SIGNATURE |sort| ((|List| $) (|List| $))) (IF (|has| |#1| (|Finite|)) (SIGNATURE |fixedPoints| ((|Set| |#1|) $)) |noBranch|) (IF (|has| |#1| (|IntegerNumberSystem|)) (SIGNATURE |coerceImages| ($ (|List| |#1|))) (IF (|has| |#1| (|Finite|)) (SIGNATURE |coerceImages| ($ (|List| |#1|))) |noBranch|)))) 
+((|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) 127)) (|randomR| ((|#1|) 75)) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) 136)) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)) 67)) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) 146)) (|bivariateSLPEBR| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|) 91))) 
+(((|PolynomialFactorizationByRecursion| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquationByRecursion| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |factorByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |factorSquareFreeByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |randomR| (|#1|)) (SIGNATURE |bivariateSLPEBR| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|)) (SIGNATURE |factorSFBRlcUnit| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)))) (|PolynomialFactorizationExplicit|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|)) (T |PolynomialFactorizationByRecursion|)) 
+((|factorSFBRlcUnit| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *7 *8)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) (|bivariateSLPEBR| (*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *6 *4)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *4 *7)))) (|randomR| (*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) (|factorSquareFreeByRecursion| (*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) (|factorByRecursion| (*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) (|solveLinearPolynomialEquationByRecursion| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquationByRecursion| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |factorByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |factorSquareFreeByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |randomR| (|#1|)) (SIGNATURE |bivariateSLPEBR| ((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|)) (SIGNATURE |factorSFBRlcUnit| ((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)))) 
+((|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) 36)) (|randomR| ((|#1|) 53)) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) 101)) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) 88)) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) 112))) 
+(((|PolynomialFactorizationByRecursionUnivariate| |#1| |#2|) (CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquationByRecursion| ((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |factorByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |factorSquareFreeByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |randomR| (|#1|)) (SIGNATURE |factorSFBRlcUnit| ((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)))) (|PolynomialFactorizationExplicit|) (|UnivariatePolynomialCategory| |#1|)) (T |PolynomialFactorizationByRecursionUnivariate|)) 
+((|factorSFBRlcUnit| (*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) (|randomR| (*1 *2) (AND (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|factorSquareFreeByRecursion| (*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) (|factorByRecursion| (*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) (|solveLinearPolynomialEquationByRecursion| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |solveLinearPolynomialEquationByRecursion| ((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |factorByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |factorSquareFreeByRecursion| ((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |randomR| (|#1|)) (SIGNATURE |factorSFBRlcUnit| ((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)))) 
+((|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 39)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 18)) (|charthRoot| (((|Union| $ "failed") $) 33))) 
+(((|PolynomialFactorizationExplicit&| |#1|) (CATEGORY |domain| (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)))) (|PolynomialFactorizationExplicit|)) (T |PolynomialFactorizationExplicit&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 58)) (|squareFreePart| (($ $) 50)) (|squareFree| (((|Factored| $) $) 51)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 55)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|prime?| (((|Boolean|) $) 52)) (|one?| (((|Boolean|) $) 30)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 56)) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 57)) (|factor| (((|Factored| $) $) 49)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 54 (|has| $ (|CharacteristicNonZero|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|charthRoot| (((|Union| $ "failed") $) 53 (|has| $ (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|PolynomialFactorizationExplicit|) (|Category|)) (T |PolynomialFactorizationExplicit|)) 
+((|gcdPolynomial| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)))) (|squareFreePolynomial| (*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)))) (|factorPolynomial| (*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)))) (|factorSquareFreePolynomial| (*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)))) (|solveLinearPolynomialEquation| (*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)))) (|conditionP| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Vector| *1)))) (|charthRoot| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(|Join| (|UniqueFactorizationDomain|) (CATEGORY |domain| (SIGNATURE |squareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $))) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $))) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $))) (IF (|has| $ (|CharacteristicNonZero|)) (PROGN (SIGNATURE |conditionP| ((|Union| (|Vector| $) "failed") (|Matrix| $))) (SIGNATURE |charthRoot| ((|Union| $ "failed") $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|transcendent?| (((|Boolean|) $) NIL)) (|transcendenceDegree| (((|NonNegativeInteger|)) NIL)) (|trace| (($ $ (|PositiveInteger|)) NIL (|has| $ (|Finite|))) (($ $) NIL)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| $ "failed") $) NIL)) (|retract| (($ $) NIL)) (|represents| (($ (|Vector| $)) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|primitiveElement| (($) NIL)) (|primitive?| (((|Boolean|) $) NIL)) (|primeFrobenius| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) NIL) (((|PositiveInteger|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|normalElement| (($) NIL (|has| $ (|Finite|)))) (|normal?| (((|Boolean|) $) NIL (|has| $ (|Finite|)))) (|norm| (($ $ (|PositiveInteger|)) NIL (|has| $ (|Finite|))) (($ $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) NIL (|has| $ (|Finite|))) (((|SparseUnivariatePolynomial| $) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL)) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| $) $) NIL (|has| $ (|Finite|)))) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $ $) NIL (|has| $ (|Finite|))) (((|SparseUnivariatePolynomial| $) $) NIL (|has| $ (|Finite|)))) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| $)) NIL (|has| $ (|Finite|)))) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL T CONST)) (|index| (($ (|PositiveInteger|)) NIL)) (|inGroundField?| (((|Boolean|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) NIL (|has| $ (|Finite|)))) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extensionDegree| (((|PositiveInteger|)) NIL) (((|OnePointCompletion| (|PositiveInteger|))) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL) (((|NonNegativeInteger|) $) NIL)) (|dimension| (((|CardinalNumber|)) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|degree| (((|PositiveInteger|) $) NIL) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL)) (|definingPolynomial| (((|SparseUnivariatePolynomial| $)) NIL)) (|createPrimitiveElement| (($) NIL)) (|createNormalElement| (($) NIL (|has| $ (|Finite|)))) (|coordinates| (((|Matrix| $) (|Vector| $)) NIL) (((|Vector| $) $) NIL)) (|convert| (((|Integer|) $) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL) (($ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|basis| (((|Vector| $) (|PositiveInteger|)) NIL) (((|Vector| $)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|algebraic?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (|Frobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| $ (|Finite|))) (($ $) NIL (|has| $ (|Finite|)))) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|PrimeField| |#1|) (|Join| (|FiniteFieldCategory|) (|FiniteAlgebraicExtensionField| $) (|ConvertibleTo| (|Integer|))) (|PositiveInteger|)) (T |PrimeField|)) 
+NIL 
+(|Join| (|FiniteFieldCategory|) (|FiniteAlgebraicExtensionField| $) (|ConvertibleTo| (|Integer|))) 
+((|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) 76)) (|torsion?| (((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|)) 16)) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) 14))) 
+(((|PointsOfFiniteOrder| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |order| ((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|))) (SIGNATURE |torsion?| ((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|))) (SIGNATURE |torsionIfCan| ((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)))) (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|))) (|FunctionSpace| |#1|) (|UnivariatePolynomialCategory| |#2|) (|UnivariatePolynomialCategory| (|Fraction| |#3|)) (|FunctionFieldCategory| |#2| |#3| |#4|)) (T |PointsOfFiniteOrder|)) 
+((|torsionIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *8))) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) (|torsion?| (*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) (|order| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |order| ((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|))) (SIGNATURE |torsion?| ((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|))) (SIGNATURE |torsionIfCan| ((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)))) 
+((|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) 56)) (|torsion?| (((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) 13)) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) 11))) 
+(((|PointsOfFiniteOrderRational| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |order| ((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|))) (SIGNATURE |torsion?| ((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|))) (SIGNATURE |torsionIfCan| ((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)))) (|UnivariatePolynomialCategory| (|Fraction| (|Integer|))) (|UnivariatePolynomialCategory| (|Fraction| |#1|)) (|FunctionFieldCategory| (|Fraction| (|Integer|)) |#1| |#2|)) (T |PointsOfFiniteOrderRational|)) 
+((|torsionIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *6))) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) (|torsion?| (*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) (|order| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |order| ((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|))) (SIGNATURE |torsion?| ((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|))) (SIGNATURE |torsionIfCan| ((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)))) 
+((|univariate| (((|SparseUnivariatePolynomial| |#1|) |#2|) 36)) (|translate| ((|#2| |#2| (|List| |#1|)) 59) ((|#2| |#2| (|List| |#1|) (|Integer|)) 61)) (|totalDegree| (((|NonNegativeInteger|) |#2|) 70)) (|subsInVar| ((|#2| |#2| |#2| (|Integer|)) 51)) (|subs2ndVar| ((|#2| |#2| |#2|) 49)) (|subs1stVar| ((|#2| |#2| |#2|) 48)) (|replaceVarByZero| ((|#2| |#2| (|Integer|)) 64)) (|replaceVarByOne| ((|#2| |#2| (|Integer|)) 60)) (|monomials| (((|List| |#2|) |#2|) 15)) (|minimalForm| ((|#2| |#2|) 82)) (|mapExponents| ((|#2| (|Mapping| |#3| |#3|) |#2|) 40)) (|listVariable| (((|List| |#2|)) 26)) (|listAllMonoExp| (((|List| |#3|) (|Integer|)) 92)) (|listAllMono| (((|List| |#2|) (|NonNegativeInteger|)) 93)) (|homogenize| ((|#2| |#2| (|Integer|)) 71)) (|firstExponent| ((|#3| |#2|) NIL)) (|degreeOfMinimalForm| (((|NonNegativeInteger|) |#2|) 83)) (|degree| (((|NonNegativeInteger|) |#2| (|Integer|)) 67)) (|degOneCoef| ((|#1| |#2| (|PositiveInteger|)) 80)) (|constant| ((|#1| |#2|) 81))) 
+(((|PackageForPoly| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |mapExponents| (|#2| (|Mapping| |#3| |#3|) |#2|)) (SIGNATURE |degree| ((|NonNegativeInteger|) |#2| (|Integer|))) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |#1|) |#2|)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |subs1stVar| (|#2| |#2| |#2|)) (SIGNATURE |subs2ndVar| (|#2| |#2| |#2|)) (SIGNATURE |subsInVar| (|#2| |#2| |#2| (|Integer|))) (SIGNATURE |minimalForm| (|#2| |#2|)) (SIGNATURE |firstExponent| (|#3| |#2|)) (SIGNATURE |replaceVarByZero| (|#2| |#2| (|Integer|))) (SIGNATURE |replaceVarByOne| (|#2| |#2| (|Integer|))) (SIGNATURE |translate| (|#2| |#2| (|List| |#1|) (|Integer|))) (SIGNATURE |translate| (|#2| |#2| (|List| |#1|))) (SIGNATURE |degOneCoef| (|#1| |#2| (|PositiveInteger|))) (SIGNATURE |constant| (|#1| |#2|)) (SIGNATURE |homogenize| (|#2| |#2| (|Integer|))) (SIGNATURE |listAllMonoExp| ((|List| |#3|) (|Integer|))) (SIGNATURE |listAllMono| ((|List| |#2|) (|NonNegativeInteger|))) (SIGNATURE |degreeOfMinimalForm| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |listVariable| ((|List| |#2|))) (SIGNATURE |monomials| ((|List| |#2|) |#2|))) (|Ring|) (|FiniteAbelianMonoidRing| |#1| |#3|) (|DirectProductCategory| |#4| (|NonNegativeInteger|)) (|NonNegativeInteger|)) (T |PackageForPoly|)) 
+((|monomials| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) (|listVariable| (*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PackageForPoly| *3 *4 *5 *6)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *3 *5)))) (|degreeOfMinimalForm| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) (|listAllMono| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *3)) (|ofType| *7 *3) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)))) (|listAllMonoExp| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)))) (|homogenize| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) (|constant| (*1 *2 *3) (AND (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *4 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *4)))) (|degOneCoef| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)))) (|translate| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) (|translate| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *2 *6 *7)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)))) (|replaceVarByOne| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) (|replaceVarByZero| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) (|firstExponent| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|isDomain| *1 (|PackageForPoly| *4 *3 *2 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *2)) (|ofType| *5 (|NonNegativeInteger|)))) (|minimalForm| (*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) (|subsInVar| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) (|subs2ndVar| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) (|subs1stVar| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) (|totalDegree| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) (|univariate| (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) (|degree| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *3 *6 *7)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)))) (|mapExponents| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |mapExponents| (|#2| (|Mapping| |#3| |#3|) |#2|)) (SIGNATURE |degree| ((|NonNegativeInteger|) |#2| (|Integer|))) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |#1|) |#2|)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |subs1stVar| (|#2| |#2| |#2|)) (SIGNATURE |subs2ndVar| (|#2| |#2| |#2|)) (SIGNATURE |subsInVar| (|#2| |#2| |#2| (|Integer|))) (SIGNATURE |minimalForm| (|#2| |#2|)) (SIGNATURE |firstExponent| (|#3| |#2|)) (SIGNATURE |replaceVarByZero| (|#2| |#2| (|Integer|))) (SIGNATURE |replaceVarByOne| (|#2| |#2| (|Integer|))) (SIGNATURE |translate| (|#2| |#2| (|List| |#1|) (|Integer|))) (SIGNATURE |translate| (|#2| |#2| (|List| |#1|))) (SIGNATURE |degOneCoef| (|#1| |#2| (|PositiveInteger|))) (SIGNATURE |constant| (|#1| |#2|)) (SIGNATURE |homogenize| (|#2| |#2| (|Integer|))) (SIGNATURE |listAllMonoExp| ((|List| |#3|) (|Integer|))) (SIGNATURE |listAllMono| ((|List| |#2|) (|NonNegativeInteger|))) (SIGNATURE |degreeOfMinimalForm| ((|NonNegativeInteger|) |#2|)) (SIGNATURE |listVariable| ((|List| |#2|))) (SIGNATURE |monomials| ((|List| |#2|) |#2|))) 
+((|polyred| ((|#2| |#2|) 25)) (|mix| (((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) 15)) (|getGoodPrime| (((|PositiveInteger|) (|Integer|)) 35)) (|doubleDisc| (((|Integer|) |#2|) 42)) (|badNum| (((|Integer|) |#2|) 21) (((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|) 20))) 
+(((|PointsOfFiniteOrderTools| |#1| |#2|) (CATEGORY |package| (SIGNATURE |getGoodPrime| ((|PositiveInteger|) (|Integer|))) (SIGNATURE |badNum| ((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|)) (SIGNATURE |badNum| ((|Integer|) |#2|)) (SIGNATURE |mix| ((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))))) (SIGNATURE |doubleDisc| ((|Integer|) |#2|)) (SIGNATURE |polyred| (|#2| |#2|))) (|UnivariatePolynomialCategory| (|Fraction| (|Integer|))) (|UnivariatePolynomialCategory| (|Fraction| |#1|))) (T |PointsOfFiniteOrderTools|)) 
+((|polyred| (*1 *2 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *3))))) (|doubleDisc| (*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|mix| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|badNum| (*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4))))) (|badNum| (*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) (|getGoodPrime| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(CATEGORY |package| (SIGNATURE |getGoodPrime| ((|PositiveInteger|) (|Integer|))) (SIGNATURE |badNum| ((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|)) (SIGNATURE |badNum| ((|Integer|) |#2|)) (SIGNATURE |mix| ((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))))) (SIGNATURE |doubleDisc| ((|Integer|) |#2|)) (SIGNATURE |polyred| (|#2| |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| ((|#1| $) 80)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|rem| (($ $ $) NIL)) (|recip| (((|Union| $ "failed") $) 74)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|partialFraction| (($ |#1| (|Factored| |#1|)) 72)) (|padicallyExpand| (((|SparseUnivariatePolynomial| |#1|) |#1| |#1|) 40)) (|padicFraction| (($ $) 48)) (|one?| (((|Boolean|) $) NIL)) (|numberOfFractionalTerms| (((|Integer|) $) 77)) (|nthFractionalTerm| (($ $ (|Integer|)) 79)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|firstNumer| ((|#1| $) 76)) (|firstDenom| (((|Factored| |#1|) $) 75)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) 73)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|compactFraction| (($ $) 38)) (|coerce| (((|OutputForm|) $) 98) (($ (|Integer|)) 53) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 30) (((|Fraction| |#1|) $) 58) (($ (|Fraction| (|Factored| |#1|))) 66)) (|characteristic| (((|NonNegativeInteger|)) 51)) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 23 T CONST)) (|One| (($) 11 T CONST)) (= (((|Boolean|) $ $) 67)) (/ (($ $ $) NIL)) (- (($ $) 87) (($ $ $) NIL)) (+ (($ $ $) 37)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 89) (($ $ $) 36) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
+(((|PartialFraction| |#1|) (|Join| (|Field|) (|Algebra| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| |#1|) $)) (SIGNATURE |coerce| ($ (|Fraction| (|Factored| |#1|)))) (SIGNATURE |compactFraction| ($ $)) (SIGNATURE |firstDenom| ((|Factored| |#1|) $)) (SIGNATURE |firstNumer| (|#1| $)) (SIGNATURE |nthFractionalTerm| ($ $ (|Integer|))) (SIGNATURE |numberOfFractionalTerms| ((|Integer|) $)) (SIGNATURE |padicallyExpand| ((|SparseUnivariatePolynomial| |#1|) |#1| |#1|)) (SIGNATURE |padicFraction| ($ $)) (SIGNATURE |partialFraction| ($ |#1| (|Factored| |#1|))) (SIGNATURE |wholePart| (|#1| $)))) (|EuclideanDomain|)) (T |PartialFraction|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Factored| *3))) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *3)))) (|compactFraction| (*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|firstDenom| (*1 *2 *1) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|firstNumer| (*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|nthFractionalTerm| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|numberOfFractionalTerms| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|padicallyExpand| (*1 *2 *3 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) (|padicFraction| (*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) (|partialFraction| (*1 *1 *2 *3) (AND (|isDomain| *3 (|Factored| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *2)))) (|wholePart| (*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(|Join| (|Field|) (|Algebra| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| |#1|) $)) (SIGNATURE |coerce| ($ (|Fraction| (|Factored| |#1|)))) (SIGNATURE |compactFraction| ($ $)) (SIGNATURE |firstDenom| ((|Factored| |#1|) $)) (SIGNATURE |firstNumer| (|#1| $)) (SIGNATURE |nthFractionalTerm| ($ $ (|Integer|))) (SIGNATURE |numberOfFractionalTerms| ((|Integer|) $)) (SIGNATURE |padicallyExpand| ((|SparseUnivariatePolynomial| |#1|) |#1| |#1|)) (SIGNATURE |padicFraction| ($ $)) (SIGNATURE |partialFraction| ($ |#1| (|Factored| |#1|))) (SIGNATURE |wholePart| (|#1| $)))) 
+((|partialFraction| (((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)) 16) (((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 17))) 
+(((|PartialFractionPackage| |#1|) (CATEGORY |package| (SIGNATURE |partialFraction| ((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |partialFraction| ((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)))) (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (T |PartialFractionPackage|)) 
+((|partialFraction| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Factored| (|Polynomial| *6))) (|isDomain| *5 (|Symbol|)) (|isDomain| *3 (|Polynomial| *6)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *6)))) (|partialFraction| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *5))))) 
+(CATEGORY |package| (SIGNATURE |partialFraction| ((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |partialFraction| ((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)))) 
+((|gcdPrimitive| ((|#4| (|List| |#4|)) 119) (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) 65) ((|#4| |#4| |#4|) 118)) (|gcd| (((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|))) 112) (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) 48) ((|#4| (|List| |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
+(((|PolynomialGcdPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |gcd| (|#4| |#4| |#4|)) (SIGNATURE |gcd| (|#4| (|List| |#4|))) (SIGNATURE |gcd| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |gcd| ((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|)))) (SIGNATURE |gcdPrimitive| (|#4| |#4| |#4|)) (SIGNATURE |gcdPrimitive| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |gcdPrimitive| (|#4| (|List| |#4|)))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|EuclideanDomain|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |PolynomialGcdPackage|)) 
+((|gcdPrimitive| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) (|gcdPrimitive| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) (|gcdPrimitive| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) (|gcd| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *7))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) (|gcd| (*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) (|gcd| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) (|gcd| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4))))) 
+(CATEGORY |package| (SIGNATURE |gcd| (|#4| |#4| |#4|)) (SIGNATURE |gcd| (|#4| (|List| |#4|))) (SIGNATURE |gcd| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |gcd| ((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|)))) (SIGNATURE |gcdPrimitive| (|#4| |#4| |#4|)) (SIGNATURE |gcdPrimitive| ((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|))) (SIGNATURE |gcdPrimitive| (|#4| (|List| |#4|)))) 
+((|youngGroup| (((|PermutationGroup| (|Integer|)) (|Partition|)) 22) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 19)) (|symmetricGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 46) (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) 47)) (|rubiksGroup| (((|PermutationGroup| (|Integer|))) 23)) (|mathieu24| (((|PermutationGroup| (|Integer|))) 36) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 35)) (|mathieu23| (((|PermutationGroup| (|Integer|))) 34) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 33)) (|mathieu22| (((|PermutationGroup| (|Integer|))) 32) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 31)) (|mathieu12| (((|PermutationGroup| (|Integer|))) 30) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 29)) (|mathieu11| (((|PermutationGroup| (|Integer|))) 28) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 27)) (|janko2| (((|PermutationGroup| (|Integer|))) 38) (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 37)) (|dihedralGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 50) (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) 51)) (|cyclicGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 48) (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) 49)) (|alternatingGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) 43) (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) 45)) (|abelianGroup| (((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|))) 40))) 
+(((|PermutationGroupExamples|) (CATEGORY |package| (SIGNATURE |symmetricGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |symmetricGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |alternatingGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |alternatingGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |abelianGroup| ((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|)))) (SIGNATURE |cyclicGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |cyclicGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |dihedralGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |dihedralGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu11| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu11| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu12| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu12| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu22| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu22| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu23| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu23| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu24| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu24| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |janko2| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |janko2| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |rubiksGroup| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |youngGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |youngGroup| ((|PermutationGroup| (|Integer|)) (|Partition|))))) (T |PermutationGroupExamples|)) 
+((|youngGroup| (*1 *2 *3) (AND (|isDomain| *3 (|Partition|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|youngGroup| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|rubiksGroup| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|janko2| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|janko2| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu24| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu24| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu23| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu23| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu22| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu22| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu12| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu12| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu11| (*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|mathieu11| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|dihedralGroup| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|dihedralGroup| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|cyclicGroup| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|cyclicGroup| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|abelianGroup| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|alternatingGroup| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|alternatingGroup| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|symmetricGroup| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) (|symmetricGroup| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(CATEGORY |package| (SIGNATURE |symmetricGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |symmetricGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |alternatingGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |alternatingGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |abelianGroup| ((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|)))) (SIGNATURE |cyclicGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |cyclicGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |dihedralGroup| ((|PermutationGroup| (|Integer|)) (|PositiveInteger|))) (SIGNATURE |dihedralGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu11| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu11| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu12| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu12| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu22| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu22| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu23| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu23| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |mathieu24| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |mathieu24| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |janko2| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |janko2| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |rubiksGroup| ((|PermutationGroup| (|Integer|)))) (SIGNATURE |youngGroup| ((|PermutationGroup| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |youngGroup| ((|PermutationGroup| (|Integer|)) (|Partition|)))) 
+((|totalGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) 10)) (|lexGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) 9))) 
+(((|PolyGroebner| |#1|) (CATEGORY |package| (SIGNATURE |lexGroebner| ((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |totalGroebner| ((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))))) (|GcdDomain|)) (T |PolyGroebner|)) 
+((|totalGroebner| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4)))) (|lexGroebner| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(CATEGORY |package| (SIGNATURE |lexGroebner| ((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |totalGroebner| ((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))))) 
+((|coerce| (((|Expression| |#1|) (|Pi|)) 15))) 
+(((|PiCoercions| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|Expression| |#1|) (|Pi|)))) (|Join| (|OrderedSet|) (|IntegralDomain|))) (T |PiCoercions|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|Pi|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|PiCoercions| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|Expression| |#1|) (|Pi|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|one?| (((|Boolean|) $) 30)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|PrincipalIdealDomain|) (|Category|)) (T |PrincipalIdealDomain|)) 
+((|principalIdeal| (*1 *2 *3) (AND (|ofCategory| *1 (|PrincipalIdealDomain|)) (|isDomain| *2 (|Record| (|:| |coef| (|List| *1)) (|:| |generator| *1))) (|isDomain| *3 (|List| *1)))) (|expressIdealMember| (*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PrincipalIdealDomain|))))) 
+(|Join| (|GcdDomain|) (CATEGORY |domain| (SIGNATURE |principalIdeal| ((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $))) (SIGNATURE |expressIdealMember| ((|Union| (|List| $) "failed") (|List| $) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|gcd| (($ $ $) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|One| (($) NIL T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ $ $) NIL))) 
+(((|PositiveInteger|) (|Join| (|AbelianSemiGroup|) (|OrderedSet|) (|Monoid|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)) (ATTRIBUTE (|commutative| "*"))))) (T |PositiveInteger|)) 
+((|gcd| (*1 *1 *1 *1) (|isDomain| *1 (|PositiveInteger|)))) 
+(|Join| (|AbelianSemiGroup|) (|OrderedSet|) (|Monoid|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)) (ATTRIBUTE (|commutative| "*")))) 
+((|LagrangeInterpolation| ((|#2| (|List| |#1|) (|List| |#1|)) 22))) 
+(((|PolynomialInterpolationAlgorithms| |#1| |#2|) (CATEGORY |package| (SIGNATURE |LagrangeInterpolation| (|#2| (|List| |#1|) (|List| |#1|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|)) (T |PolynomialInterpolationAlgorithms|)) 
+((|LagrangeInterpolation| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PolynomialInterpolationAlgorithms| *4 *2))))) 
+(CATEGORY |package| (SIGNATURE |LagrangeInterpolation| (|#2| (|List| |#1|) (|List| |#1|)))) 
+((|interpolate| (((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)) 17) (((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|)) 13))) 
+(((|PolynomialInterpolation| |#1| |#2|) (CATEGORY |package| (SIGNATURE |interpolate| ((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|))) (SIGNATURE |interpolate| ((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)))) (|Symbol|) (|Field|)) (T |PolynomialInterpolation|)) 
+((|interpolate| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)) (|ofType| *4 (|Symbol|)))) (|interpolate| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *5)) (|isDomain| *3 (|List| *5)) (|ofType| *4 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |interpolate| ((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|))) (SIGNATURE |interpolate| ((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)))) 
+((~= (((|Boolean|) $ $) 7)) (|setParam!| (((|Void|) $ (|List| |#2|)) 19)) (|setFoundPlacesToEmpty| (((|List| $)) 14)) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) 18)) (|reduce| (((|Divisor| $) (|List| $)) 23)) (|localParam| (((|List| |#2|) $) 20)) (|leaf?| (((|Boolean|) $) 17)) (|latex| (((|String|) $) 9)) (|itsALeaf!| (((|Void|) $) 16)) (|hash| (((|SingleInteger|) $) 10)) (|foundPlaces| (((|List| $)) 15)) (|elt| ((|#1| $ (|Integer|)) 13)) (|degree| (((|PositiveInteger|) $) 12)) (|create| (($ (|List| |#1|)) 22) (($ (|Symbol|)) 21)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6)) (- (((|Divisor| $) $ $) 28) (((|Divisor| $) (|Divisor| $) $) 27) (((|Divisor| $) $ (|Divisor| $)) 26) (((|Divisor| $) $) 25)) (+ (((|Divisor| $) $ $) 31) (((|Divisor| $) (|Divisor| $) $) 30) (((|Divisor| $) $ (|Divisor| $)) 29)) (* (((|Divisor| $) (|Integer|) $) 24))) 
+(((|PlacesCategory| |#1| |#2|) (|Category|) (|Field|) (|LocalPowerSeriesCategory| |t#1|)) (T |PlacesCategory|)) 
+((+ (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) (+ (*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) (+ (*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) (- (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) (- (*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) (- (*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) (- (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) (* (*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)))) (|reduce| (*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)))) (|create| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) (|create| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) (|localParam| (*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *4)))) (|setParam!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|)))) (|setDegree!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|)))) (|leaf?| (*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)))) (|itsALeaf!| (*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Void|)))) (|foundPlaces| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) (|setFoundPlacesToEmpty| (*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PlacesCategory| *2 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(|Join| (|SetCategoryWithDegree|) (CATEGORY |domain| (SIGNATURE + ((|Divisor| $) $ $)) (SIGNATURE + ((|Divisor| $) (|Divisor| $) $)) (SIGNATURE + ((|Divisor| $) $ (|Divisor| $))) (SIGNATURE - ((|Divisor| $) $ $)) (SIGNATURE - ((|Divisor| $) (|Divisor| $) $)) (SIGNATURE - ((|Divisor| $) $ (|Divisor| $))) (SIGNATURE - ((|Divisor| $) $)) (SIGNATURE * ((|Divisor| $) (|Integer|) $)) (SIGNATURE |reduce| ((|Divisor| $) (|List| $))) (SIGNATURE |create| ($ (|List| |t#1|))) (SIGNATURE |create| ($ (|Symbol|))) (SIGNATURE |localParam| ((|List| |t#2|) $)) (SIGNATURE |setParam!| ((|Void|) $ (|List| |t#2|))) (SIGNATURE |setDegree!| ((|Void|) $ (|PositiveInteger|))) (SIGNATURE |leaf?| ((|Boolean|) $)) (SIGNATURE |itsALeaf!| ((|Void|) $)) (SIGNATURE |foundPlaces| ((|List| $))) (SIGNATURE |setFoundPlacesToEmpty| ((|List| $))) (SIGNATURE |elt| (|t#1| $ (|Integer|))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T) ((|SetCategoryWithDegree|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|setParam!| (((|Void|) $ (|List| (|NeitherSparseOrDensePowerSeries| |#1|))) NIL)) (|setFoundPlacesToEmpty| (((|List| $)) NIL)) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) NIL)) (|reduce| (((|Divisor| $) (|List| $)) NIL)) (|localParam| (((|List| (|NeitherSparseOrDensePowerSeries| |#1|)) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|itsALeaf!| (((|Void|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|foundPlaces| (((|List| $)) NIL)) (|elt| ((|#1| $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|create| (($ (|List| |#1|)) NIL) (($ (|Symbol|)) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL)) (- (((|Divisor| $) $ $) NIL) (((|Divisor| $) (|Divisor| $) $) NIL) (((|Divisor| $) $ (|Divisor| $)) NIL) (((|Divisor| $) $) NIL)) (+ (((|Divisor| $) $ $) NIL) (((|Divisor| $) (|Divisor| $) $) NIL) (((|Divisor| $) $ (|Divisor| $)) NIL)) (* (((|Divisor| $) (|Integer|) $) NIL))) 
+(((|Places| |#1|) (|PlacesCategory| |#1| (|NeitherSparseOrDensePowerSeries| |#1|)) (|Field|)) (T |Places|)) 
+NIL 
+(|PlacesCategory| |#1| (|NeitherSparseOrDensePowerSeries| |#1|)) 
+((~= (((|Boolean|) $ $) NIL)) (|setParam!| (((|Void|) $ (|List| (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)))) NIL)) (|setFoundPlacesToEmpty| (((|List| $)) NIL)) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) NIL)) (|reduce| (((|Divisor| $) (|List| $)) NIL)) (|localParam| (((|List| (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|itsALeaf!| (((|Void|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|foundPlaces| (((|List| $)) NIL)) (|elt| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|create| (($ (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL) (($ (|Symbol|)) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (= (((|Boolean|) $ $) NIL)) (- (((|Divisor| $) $ $) NIL) (((|Divisor| $) (|Divisor| $) $) NIL) (((|Divisor| $) $ (|Divisor| $)) NIL) (((|Divisor| $) $) NIL)) (+ (((|Divisor| $) $ $) NIL) (((|Divisor| $) (|Divisor| $) $) NIL) (((|Divisor| $) $ (|Divisor| $)) NIL)) (* (((|Divisor| $) (|Integer|) $) NIL))) 
+(((|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) (|FiniteFieldCategory|)) (T |PlacesOverPseudoAlgebraicClosureOfFiniteField|)) 
+NIL 
+(|PlacesCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|) (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|setParam!| (((|Void|) $ (|List| |#2|)) 73)) (|setFoundPlacesToEmpty| (((|List| $)) 62)) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) 71)) (|reduce| (((|Divisor| $) (|List| $)) 27)) (|localParam| (((|List| |#2|) $) 74)) (|leaf?| (((|Boolean|) $) 54)) (|latex| (((|String|) $) NIL)) (|itsALeaf!| (((|Void|) $) 57)) (|hash| (((|SingleInteger|) $) NIL)) (|foundPlaces| (((|List| $)) 59)) (|elt| ((|#1| $ (|Integer|)) 53)) (|degree| (((|PositiveInteger|) $) 42)) (|create| (($ (|List| |#1|)) 69) (($ (|Symbol|)) 70)) (|coerce| (((|OutputForm|) $) 45)) (= (((|Boolean|) $ $) 50)) (- (((|Divisor| $) $ $) 18) (((|Divisor| $) (|Divisor| $) $) 30) (((|Divisor| $) $ (|Divisor| $)) 31) (((|Divisor| $) $) 33)) (+ (((|Divisor| $) $ $) 16) (((|Divisor| $) (|Divisor| $) $) 28) (((|Divisor| $) $ (|Divisor| $)) 29)) (* (((|Divisor| $) (|Integer|) $) 21))) 
+(((|Plcs| |#1| |#2|) (|PlacesCategory| |#1| |#2|) (|Field|) (|LocalPowerSeriesCategory| |#1|)) (T |Plcs|)) 
+NIL 
+(|PlacesCategory| |#1| |#2|) 
+((|wrregime| (((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) 137)) (|sqfree| ((|#4| |#4|) 153)) (|se2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) 116)) (|regime| (((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) 73)) (|redpps| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|)) 57)) (|redmat| (((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|)) 53)) (|rdregime| (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) 149)) (|psolve| (((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|)) 130) (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|)) 129) (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|)) 128) (((|Integer|) (|Matrix| |#4|) (|String|)) 125) (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|)) 124) (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|)) 123) (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|)) 122) (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|)) 121) (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|)) 120) (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|)) 118) (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|))) 117) (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|)) 114)) (|pr2dmp| ((|#4| (|Polynomial| |#1|)) 66)) (|overset?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) 150)) (|nextSublist| (((|List| (|List| (|Integer|))) (|Integer|) (|Integer|)) 127)) (|minset| (((|List| (|List| |#4|)) (|List| (|List| |#4|))) 85)) (|minrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) 83)) (|maxrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) 82)) (|inconsistent?| (((|Boolean|) (|List| (|Polynomial| |#1|))) 17) (((|Boolean|) (|List| |#4|)) 13)) (|hasoln| (((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|)) 69)) (|factorset| (((|List| |#4|) |#4|) 47)) (|dmp2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|)) 112) (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|)) 54) (((|Fraction| (|Polynomial| |#1|)) |#4|) 109)) (|bsolve| (((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|)) 89)) (|ParCondList| (((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|)) 81)) (|ParCond| (((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|)) 98)) (|B1solve| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) 46))) 
+(((|ParametricLinearEquations| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|))) (SIGNATURE |wrregime| ((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|))) (SIGNATURE |rdregime| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|))) (SIGNATURE |bsolve| ((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|))) (SIGNATURE |dmp2rfi| ((|Fraction| (|Polynomial| |#1|)) |#4|)) (SIGNATURE |dmp2rfi| ((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|))) (SIGNATURE |dmp2rfi| ((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|))) (SIGNATURE |se2rfi| ((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |pr2dmp| (|#4| (|Polynomial| |#1|))) (SIGNATURE |hasoln| ((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|))) (SIGNATURE |ParCondList| ((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|))) (SIGNATURE |redpps| ((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|))) (SIGNATURE |B1solve| ((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (SIGNATURE |factorset| ((|List| |#4|) |#4|)) (SIGNATURE |maxrank| ((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))))) (SIGNATURE |minrank| ((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))))) (SIGNATURE |minset| ((|List| (|List| |#4|)) (|List| (|List| |#4|)))) (SIGNATURE |nextSublist| ((|List| (|List| (|Integer|))) (|Integer|) (|Integer|))) (SIGNATURE |overset?| ((|Boolean|) (|List| |#4|) (|List| (|List| |#4|)))) (SIGNATURE |ParCond| ((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|))) (SIGNATURE |redmat| ((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|))) (SIGNATURE |regime| ((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |sqfree| (|#4| |#4|)) (SIGNATURE |inconsistent?| ((|Boolean|) (|List| |#4|))) (SIGNATURE |inconsistent?| ((|Boolean|) (|List| (|Polynomial| |#1|))))) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|))) (|OrderedAbelianMonoidSup|) (|PolynomialCategory| |#1| |#3| |#2|)) (T |ParametricLinearEquations|)) 
+((|inconsistent?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)))) (|inconsistent?| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|sqfree| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)))) (|regime| (*1 *2 *3 *4 *5 *6 *7 *7 *8) (AND (|isDomain| *3 (|Record| (|:| |det| *12) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|isDomain| *4 (|Matrix| *12)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *9)))) (|isDomain| *6 (|List| (|List| *12))) (|isDomain| *7 (|NonNegativeInteger|)) (|isDomain| *8 (|Integer|)) (|ofCategory| *9 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *12 (|PolynomialCategory| *9 *11 *10)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |eqzro| (|List| *12)) (|:| |neqzro| (|List| *12)) (|:| |wcond| (|List| (|Polynomial| *9))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *9)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *9))))))))) (|isDomain| *1 (|ParametricLinearEquations| *9 *10 *11 *12)))) (|redmat| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *7)) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|ParCond| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) (|overset?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) (|nextSublist| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)))) (|minset| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *6))) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *6)))) (|minrank| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|maxrank| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|factorset| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)))) (|B1solve| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| *4)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| *4)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)))) (|redpps| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|ParCondList| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *8))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)))) (|hasoln| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *2 (|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| *7)) (|:| |n0| (|List| *7)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|pr2dmp| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)))) (|se2rfi| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)))) (|dmp2rfi| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|dmp2rfi| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|dmp2rfi| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)))) (|bsolve| (*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Matrix| *11)) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *8)))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *8 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *11 (|PolynomialCategory| *8 *10 *9)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| *11)) (|:| |neqzro| (|List| *11)) (|:| |wcond| (|List| (|Polynomial| *8))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *8)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *8)))))))))) (|:| |rgsz| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *8 *9 *10 *11)) (|isDomain| *7 (|Integer|)))) (|rdregime| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)))) (|wrregime| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *4 (|String|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) (|psolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) (|psolve| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) (|psolve| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) (|psolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|String|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) (|psolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) (|psolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| *9)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) (|psolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) (|psolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) (|psolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)) (|isDomain| *4 (|List| *9)))) (|psolve| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) (|psolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) (|psolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(CATEGORY |package| (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|))) (SIGNATURE |psolve| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|))) (SIGNATURE |psolve| ((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|))) (SIGNATURE |wrregime| ((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|))) (SIGNATURE |rdregime| ((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|))) (SIGNATURE |bsolve| ((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|))) (SIGNATURE |dmp2rfi| ((|Fraction| (|Polynomial| |#1|)) |#4|)) (SIGNATURE |dmp2rfi| ((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|))) (SIGNATURE |dmp2rfi| ((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|))) (SIGNATURE |se2rfi| ((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |pr2dmp| (|#4| (|Polynomial| |#1|))) (SIGNATURE |hasoln| ((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|))) (SIGNATURE |ParCondList| ((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|))) (SIGNATURE |redpps| ((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|))) (SIGNATURE |B1solve| ((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (SIGNATURE |factorset| ((|List| |#4|) |#4|)) (SIGNATURE |maxrank| ((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))))) (SIGNATURE |minrank| ((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))))) (SIGNATURE |minset| ((|List| (|List| |#4|)) (|List| (|List| |#4|)))) (SIGNATURE |nextSublist| ((|List| (|List| (|Integer|))) (|Integer|) (|Integer|))) (SIGNATURE |overset?| ((|Boolean|) (|List| |#4|) (|List| (|List| |#4|)))) (SIGNATURE |ParCond| ((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|))) (SIGNATURE |redmat| ((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|))) (SIGNATURE |regime| ((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |sqfree| (|#4| |#4|)) (SIGNATURE |inconsistent?| ((|Boolean|) (|List| |#4|))) (SIGNATURE |inconsistent?| ((|Boolean|) (|List| (|Polynomial| |#1|))))) 
+((|plotPolar| (((|Plot|) |#1| (|Symbol|)) 16) (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) 20)) (|plot| (((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) 18) (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) 14))) 
+(((|PlotFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |plot| ((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ((|Plot|) |#1| (|Symbol|)))) (|ConvertibleTo| (|InputForm|))) (T |PlotFunctions1|)) 
+((|plotPolar| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|plotPolar| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|plot| (*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) (|plot| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(CATEGORY |package| (SIGNATURE |plot| ((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ((|Plot|) |#1| (|Symbol|)))) 
+((|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 68)) (|zRange| (((|Segment| (|DoubleFloat|)) $) 40)) (|yRange| (((|Segment| (|DoubleFloat|)) $) 39)) (|xRange| (((|Segment| (|DoubleFloat|)) $) 38)) (|tValues| (((|List| (|List| (|DoubleFloat|))) $) 43)) (|tRange| (((|Segment| (|DoubleFloat|)) $) 41)) (|setScreenResolution3D| (((|Integer|) (|Integer|)) 32)) (|setMinPoints3D| (((|Integer|) (|Integer|)) 28)) (|setMaxPoints3D| (((|Integer|) (|Integer|)) 30)) (|setAdaptive3D| (((|Boolean|) (|Boolean|)) 35)) (|screenResolution3D| (((|Integer|)) 31)) (|refine| (($ $ (|Segment| (|DoubleFloat|))) 71) (($ $) 72)) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 76) (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 77)) (|plot| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 79) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 80) (($ $ (|Segment| (|DoubleFloat|))) 74)) (|numFunEvals3D| (((|Integer|)) 36)) (|minPoints3D| (((|Integer|)) 27)) (|maxPoints3D| (((|Integer|)) 29)) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 92)) (|debug3D| (((|Boolean|) (|Boolean|)) 37)) (|coerce| (((|OutputForm|) $) 91)) (|adaptive3D?| (((|Boolean|)) 34))) 
+(((|Plot3D|) (|Join| (|PlottableSpaceCurveCategory|) (CATEGORY |domain| (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |zoom| ($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $)) (SIGNATURE |tRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |tValues| ((|List| (|List| (|DoubleFloat|))) $)) (SIGNATURE |minPoints3D| ((|Integer|))) (SIGNATURE |setMinPoints3D| ((|Integer|) (|Integer|))) (SIGNATURE |maxPoints3D| ((|Integer|))) (SIGNATURE |setMaxPoints3D| ((|Integer|) (|Integer|))) (SIGNATURE |screenResolution3D| ((|Integer|))) (SIGNATURE |setScreenResolution3D| ((|Integer|) (|Integer|))) (SIGNATURE |adaptive3D?| ((|Boolean|))) (SIGNATURE |setAdaptive3D| ((|Boolean|) (|Boolean|))) (SIGNATURE |numFunEvals3D| ((|Integer|))) (SIGNATURE |debug3D| ((|Boolean|) (|Boolean|)))))) (T |Plot3D|)) 
+((|pointPlot| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|pointPlot| (*1 *1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|plot| (*1 *1 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|plot| (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|plot| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|zoom| (*1 *1 *1 *2 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|refine| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|refine| (*1 *1 *1) (|isDomain| *1 (|Plot3D|))) (|tRange| (*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) (|tValues| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|Plot3D|)))) (|minPoints3D| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|setMinPoints3D| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|maxPoints3D| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|setMaxPoints3D| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|screenResolution3D| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|setScreenResolution3D| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|adaptive3D?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|)))) (|setAdaptive3D| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|)))) (|numFunEvals3D| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|)))) (|debug3D| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(|Join| (|PlottableSpaceCurveCategory|) (CATEGORY |domain| (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |zoom| ($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $)) (SIGNATURE |tRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |tValues| ((|List| (|List| (|DoubleFloat|))) $)) (SIGNATURE |minPoints3D| ((|Integer|))) (SIGNATURE |setMinPoints3D| ((|Integer|) (|Integer|))) (SIGNATURE |maxPoints3D| ((|Integer|))) (SIGNATURE |setMaxPoints3D| ((|Integer|) (|Integer|))) (SIGNATURE |screenResolution3D| ((|Integer|))) (SIGNATURE |setScreenResolution3D| ((|Integer|) (|Integer|))) (SIGNATURE |adaptive3D?| ((|Boolean|))) (SIGNATURE |setAdaptive3D| ((|Boolean|) (|Boolean|))) (SIGNATURE |numFunEvals3D| ((|Integer|))) (SIGNATURE |debug3D| ((|Boolean|) (|Boolean|))))) 
+((|zoom| (($ $ (|Segment| (|DoubleFloat|))) 69) (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 70)) (|yRange| (((|Segment| (|DoubleFloat|)) $) 43)) (|xRange| (((|Segment| (|DoubleFloat|)) $) 42)) (|tRange| (((|Segment| (|DoubleFloat|)) $) 44)) (|setScreenResolution| (((|Integer|) (|Integer|)) 36)) (|setMinPoints| (((|Integer|) (|Integer|)) 32)) (|setMaxPoints| (((|Integer|) (|Integer|)) 34)) (|setAdaptive| (((|Boolean|) (|Boolean|)) 38)) (|screenResolution| (((|Integer|)) 35)) (|refine| (($ $ (|Segment| (|DoubleFloat|))) 73) (($ $) 74)) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 83) (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 84)) (|plotPolar| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 91) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) 94)) (|plot| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 78) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 79) (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|))) 86) (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 87) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 80) (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) 81) (($ $ (|Segment| (|DoubleFloat|))) 75)) (|parametric?| (((|Boolean|) $) 39)) (|numFunEvals| (((|Integer|)) 40)) (|minPoints| (((|Integer|)) 31)) (|maxPoints| (((|Integer|)) 33)) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 22)) (|debug| (((|Boolean|) (|Boolean|)) 41)) (|coerce| (((|OutputForm|) $) 105)) (|adaptive?| (((|Boolean|)) 37))) 
+(((|Plot|) (|Join| (|PlottablePlaneCurveCategory|) (CATEGORY |domain| (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |plot| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |parametric?| ((|Boolean|) $)) (SIGNATURE |zoom| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |zoom| ($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $)) (SIGNATURE |tRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |minPoints| ((|Integer|))) (SIGNATURE |setMinPoints| ((|Integer|) (|Integer|))) (SIGNATURE |maxPoints| ((|Integer|))) (SIGNATURE |setMaxPoints| ((|Integer|) (|Integer|))) (SIGNATURE |screenResolution| ((|Integer|))) (SIGNATURE |setScreenResolution| ((|Integer|) (|Integer|))) (SIGNATURE |adaptive?| ((|Boolean|))) (SIGNATURE |setAdaptive| ((|Boolean|) (|Boolean|))) (SIGNATURE |numFunEvals| ((|Integer|))) (SIGNATURE |debug| ((|Boolean|) (|Boolean|)))))) (T |Plot|)) 
+((|plot| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plot| (*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plot| (*1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plot| (*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plot| (*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plot| (*1 *1 *2 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|pointPlot| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|pointPlot| (*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plotPolar| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plotPolar| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|plot| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|parametric?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|)))) (|zoom| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|zoom| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|refine| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|refine| (*1 *1 *1) (|isDomain| *1 (|Plot|))) (|tRange| (*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) (|minPoints| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|setMinPoints| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|maxPoints| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|setMaxPoints| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|screenResolution| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|setScreenResolution| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|adaptive?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|)))) (|setAdaptive| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|)))) (|numFunEvals| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|)))) (|debug| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(|Join| (|PlottablePlaneCurveCategory|) (CATEGORY |domain| (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plot| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |pointPlot| ($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |plotPolar| ($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (SIGNATURE |plot| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |parametric?| ((|Boolean|) $)) (SIGNATURE |zoom| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |zoom| ($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $ (|Segment| (|DoubleFloat|)))) (SIGNATURE |refine| ($ $)) (SIGNATURE |tRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |minPoints| ((|Integer|))) (SIGNATURE |setMinPoints| ((|Integer|) (|Integer|))) (SIGNATURE |maxPoints| ((|Integer|))) (SIGNATURE |setMaxPoints| ((|Integer|) (|Integer|))) (SIGNATURE |screenResolution| ((|Integer|))) (SIGNATURE |setScreenResolution| ((|Integer|) (|Integer|))) (SIGNATURE |adaptive?| ((|Boolean|))) (SIGNATURE |setAdaptive| ((|Boolean|) (|Boolean|))) (SIGNATURE |numFunEvals| ((|Integer|))) (SIGNATURE |debug| ((|Boolean|) (|Boolean|))))) 
+((|calcRanges| (((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|))))) 23))) 
+(((|PlotTools|) (CATEGORY |package| (SIGNATURE |calcRanges| ((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|)))))))) (T |PlotTools|)) 
+((|calcRanges| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Segment| (|DoubleFloat|)))) (|isDomain| *1 (|PlotTools|))))) 
+(CATEGORY |package| (SIGNATURE |calcRanges| ((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|))))))) 
+((|translateToOrigin| ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (|Integer|)) 20)) (|pointInIdeal?| (((|Boolean|) (|List| |#2|) |#5|) 23)) (|multiplicity| (((|NonNegativeInteger|) |#2| |#5| (|Integer|)) 42) (((|NonNegativeInteger|) |#2| |#5|) 41)) (|minimalForm| ((|#2| |#2| |#5| (|Integer|)) 45) ((|#2| |#2| |#5|) 44)) (|eval| ((|#1| |#2| |#5|) 21))) 
+(((|PolynomialPackageForCurve| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |pointInIdeal?| ((|Boolean|) (|List| |#2|) |#5|)) (SIGNATURE |eval| (|#1| |#2| |#5|)) (SIGNATURE |translateToOrigin| (|#2| |#2| |#5| (|Integer|))) (SIGNATURE |translateToOrigin| (|#2| |#2| |#5|)) (SIGNATURE |minimalForm| (|#2| |#2| |#5|)) (SIGNATURE |minimalForm| (|#2| |#2| |#5| (|Integer|))) (SIGNATURE |multiplicity| ((|NonNegativeInteger|) |#2| |#5|)) (SIGNATURE |multiplicity| ((|NonNegativeInteger|) |#2| |#5| (|Integer|)))) (|Field|) (|FiniteAbelianMonoidRing| |#1| |#3|) (|DirectProductCategory| |#4| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|ProjectiveSpaceCategory| |#1|)) (T |PolynomialPackageForCurve|)) 
+((|multiplicity| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|DirectProductCategory| *8 *2)) (|ofType| *8 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *6 *3 *7 *8 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)))) (|multiplicity| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *3 *6 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5)))) (|minimalForm| (*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) (|minimalForm| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) (|translateToOrigin| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) (|translateToOrigin| (*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) (|eval| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PolynomialPackageForCurve| *2 *3 *5 *6 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *2)))) (|pointInIdeal?| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *6 *7 *8 *4)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |pointInIdeal?| ((|Boolean|) (|List| |#2|) |#5|)) (SIGNATURE |eval| (|#1| |#2| |#5|)) (SIGNATURE |translateToOrigin| (|#2| |#2| |#5| (|Integer|))) (SIGNATURE |translateToOrigin| (|#2| |#2| |#5|)) (SIGNATURE |minimalForm| (|#2| |#2| |#5|)) (SIGNATURE |minimalForm| (|#2| |#2| |#5| (|Integer|))) (SIGNATURE |multiplicity| ((|NonNegativeInteger|) |#2| |#5|)) (SIGNATURE |multiplicity| ((|NonNegativeInteger|) |#2| |#5| (|Integer|)))) 
+((|optional| ((|#2| |#2|) 25)) (|multiple| ((|#2| |#2|) 26)) (|constant| ((|#2| |#2|) 24)) (|assert| ((|#2| |#2| (|String|)) 23))) 
+(((|FunctionSpaceAssertions| |#1| |#2|) (CATEGORY |package| (SIGNATURE |assert| (|#2| |#2| (|String|))) (SIGNATURE |constant| (|#2| |#2|)) (SIGNATURE |optional| (|#2| |#2|)) (SIGNATURE |multiple| (|#2| |#2|))) (|OrderedSet|) (|FunctionSpace| |#1|)) (T |FunctionSpaceAssertions|)) 
+((|multiple| (*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|optional| (*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|constant| (*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) (|assert| (*1 *2 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(CATEGORY |package| (SIGNATURE |assert| (|#2| |#2| (|String|))) (SIGNATURE |constant| (|#2| |#2|)) (SIGNATURE |optional| (|#2| |#2|)) (SIGNATURE |multiple| (|#2| |#2|))) 
+((|optional| (((|Expression| (|Integer|)) (|Symbol|)) 15)) (|multiple| (((|Expression| (|Integer|)) (|Symbol|)) 13)) (|constant| (((|Expression| (|Integer|)) (|Symbol|)) 11)) (|assert| (((|Expression| (|Integer|)) (|Symbol|) (|String|)) 18))) 
+(((|PatternMatchAssertions|) (CATEGORY |package| (SIGNATURE |assert| ((|Expression| (|Integer|)) (|Symbol|) (|String|))) (SIGNATURE |constant| ((|Expression| (|Integer|)) (|Symbol|))) (SIGNATURE |optional| ((|Expression| (|Integer|)) (|Symbol|))) (SIGNATURE |multiple| ((|Expression| (|Integer|)) (|Symbol|))))) (T |PatternMatchAssertions|)) 
+((|multiple| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) (|optional| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) (|constant| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) (|assert| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(CATEGORY |package| (SIGNATURE |assert| ((|Expression| (|Integer|)) (|Symbol|) (|String|))) (SIGNATURE |constant| ((|Expression| (|Integer|)) (|Symbol|))) (SIGNATURE |optional| ((|Expression| (|Integer|)) (|Symbol|))) (SIGNATURE |multiple| ((|Expression| (|Integer|)) (|Symbol|)))) 
+((|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) 24)) (|fixPredicate| (((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|)) 12))) 
+(((|PatternMatchPushDown| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |fixPredicate| ((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) (|SetCategory|) (|PatternMatchable| |#1|) (|Join| (|SetCategory|) (|RetractableTo| |#2|))) (T |PatternMatchPushDown|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *3))) (|ofCategory| *3 (|PatternMatchable| *5)) (|isDomain| *1 (|PatternMatchPushDown| *5 *3 *6)))) (|fixPredicate| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *5))) (|ofCategory| *5 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternMatchPushDown| *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |fixPredicate| ((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) 
+((|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) 29))) 
+(((|PatternMatchFunctionSpace| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) (|SetCategory|) (|Join| (|IntegralDomain|) (|OrderedSet|) (|PatternMatchable| |#1|)) (|Join| (|FunctionSpace| |#2|) (|ConvertibleTo| (|Pattern| |#1|)) (|PatternMatchable| |#1|) (|RetractableTo| (|Kernel| $)))) (T |PatternMatchFunctionSpace|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|ConvertibleTo| *4) (|PatternMatchable| *5) (|RetractableTo| (|Kernel| $)))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchFunctionSpace| *5 *6 *3))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) 
+((|patternMatch| (((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)) 12))) 
+(((|PatternMatchIntegerNumberSystem| |#1|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)))) (|IntegerNumberSystem|)) (T |PatternMatchIntegerNumberSystem|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| (|Integer|) *3)) (|isDomain| *4 (|Pattern| (|Integer|))) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *1 (|PatternMatchIntegerNumberSystem| *3))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)))) 
+((|patternMatch| (((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)) 52))) 
+(((|PatternMatchKernel| |#1| |#2|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)))) (|SetCategory|) (|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|ConvertibleTo| (|Pattern| |#1|)) (|PatternMatchable| |#1|))) (T |PatternMatchKernel|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *3 (|Kernel| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|ConvertibleTo| *4) (|PatternMatchable| *5))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchKernel| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)))) 
+((|patternMatch| (((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)) 14))) 
+(((|PatternMatchListAggregate| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)))) (|SetCategory|) (|PatternMatchable| |#1|) (|ListAggregate| |#2|)) (T |PatternMatchListAggregate|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchListResult| *5 *6 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *3 (|ListAggregate| *6)) (|isDomain| *1 (|PatternMatchListAggregate| *5 *6 *3))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)))) 
+((|patternMatch| (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)) 17 (|has| |#3| (|PatternMatchable| |#1|))) (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) 16))) 
+(((|PatternMatchPolynomialCategory| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)))) (IF (|has| |#3| (|PatternMatchable| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) |noBranch|)) (|SetCategory|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| |#1|)) (|Join| (|PolynomialCategory| |#4| |#2| |#3|) (|ConvertibleTo| (|Pattern| |#1|)))) (T |PatternMatchPolynomialCategory|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *8 *6 *7) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *7 (|PatternMatchable| *5)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *5 *6 *7 *8 *3)))) (|patternMatch| (*1 *2 *3 *4 *2 *5) (AND (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *3) *8 (|Pattern| *6) (|PatternMatchResult| *6 *3))) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|PatternMatchResult| *6 *3)) (|isDomain| *4 (|Pattern| *6)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *9 *7 *8) (|ConvertibleTo| *4))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *6))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *6 *7 *8 *9 *3))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)))) (IF (|has| |#3| (|PatternMatchable| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) |noBranch|)) 
+((|suchThat| ((|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))) 11) ((|#2| |#2| (|Mapping| (|Boolean|) |#3|)) 12))) 
+(((|FunctionSpaceAttachPredicates| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |suchThat| (|#2| |#2| (|Mapping| (|Boolean|) |#3|))) (SIGNATURE |suchThat| (|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))))) (|OrderedSet|) (|FunctionSpace| |#1|) (|Type|)) (T |FunctionSpaceAttachPredicates|)) 
+((|suchThat| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) (|suchThat| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(CATEGORY |package| (SIGNATURE |suchThat| (|#2| |#2| (|Mapping| (|Boolean|) |#3|))) (SIGNATURE |suchThat| (|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))))) 
+((|suchThat| (((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))) 16) (((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|)) 13))) 
+(((|AttachPredicates| |#1|) (CATEGORY |package| (SIGNATURE |suchThat| ((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |suchThat| ((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))))) (|Type|)) (T |AttachPredicates|)) 
+((|suchThat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) (|suchThat| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5))))) 
+(CATEGORY |package| (SIGNATURE |suchThat| ((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |suchThat| ((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))))) 
+((|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) 25))) 
+(((|PatternMatchQuotientFieldCategory| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) (|SetCategory|) (|Join| (|IntegralDomain|) (|PatternMatchable| |#1|) (|ConvertibleTo| (|Pattern| |#1|))) (|QuotientFieldCategory| |#2|)) (T |PatternMatchQuotientFieldCategory|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|QuotientFieldCategory| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|PatternMatchable| *5) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchQuotientFieldCategory| *5 *6 *3))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) 
+((|patternMatch| (((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))) 17))) 
+(((|PatternMatchSymbol| |#1|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))))) (|SetCategory|)) (T |PatternMatchSymbol|)) 
+((|patternMatch| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *1 (|PatternMatchSymbol| *5))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))))) 
+((|patternMatchTimes| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) 33)) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) 32))) 
+(((|PatternMatchTools| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) (SIGNATURE |patternMatchTimes| ((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))))) (|SetCategory|) (|Join| (|Ring|) (|OrderedSet|)) (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| |#1|)) (|RetractableTo| |#2|))) (T |PatternMatchTools|)) 
+((|patternMatchTimes| (*1 *2 *3 *4 *2 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Pattern| *6))) (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *8) *8 (|Pattern| *6) (|PatternMatchResult| *6 *8))) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *8 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *6)) (|RetractableTo| *7))) (|isDomain| *2 (|PatternMatchResult| *6 *8)) (|ofCategory| *7 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *6 *7 *8)))) (|patternMatch| (*1 *2 *3 *4 *5 *2 *6) (AND (|isDomain| *4 (|List| (|Pattern| *7))) (|isDomain| *5 (|Mapping| *9 (|List| *9))) (|isDomain| *6 (|Mapping| (|PatternMatchResult| *7 *9) *9 (|Pattern| *7) (|PatternMatchResult| *7 *9))) (|ofCategory| *7 (|SetCategory|)) (|ofCategory| *9 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *7)) (|RetractableTo| *8))) (|isDomain| *2 (|PatternMatchResult| *7 *9)) (|isDomain| *3 (|List| *9)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *7 *8 *9))))) 
+(CATEGORY |package| (SIGNATURE |patternMatch| ((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)))) (SIGNATURE |patternMatchTimes| ((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))))) 
+((|legendre| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) 61)) (|laguerre| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 64)) (|hermite| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 58)) (|fixedDivisor| (((|Integer|) (|SparseUnivariatePolynomial| (|Integer|))) 53)) (|euler| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) 47)) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 36)) (|chebyshevU| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 66)) (|chebyshevT| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 65)) (|bernoulli| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) 49))) 
+(((|PolynomialNumberTheoryFunctions|) (CATEGORY |package| (SIGNATURE |bernoulli| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |chebyshevT| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |chebyshevU| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |cyclotomic| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |euler| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |fixedDivisor| ((|Integer|) (|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |hermite| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |laguerre| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |legendre| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|))))) (T |PolynomialNumberTheoryFunctions|)) 
+((|legendre| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|laguerre| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|hermite| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|fixedDivisor| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)))) (|euler| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|cyclotomic| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|chebyshevU| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|chebyshevT| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) (|bernoulli| (*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(CATEGORY |package| (SIGNATURE |bernoulli| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |chebyshevT| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |chebyshevU| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |cyclotomic| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |euler| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|))) (SIGNATURE |fixedDivisor| ((|Integer|) (|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |hermite| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |laguerre| ((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |legendre| ((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) NIL (|has| |#1| (|AbelianMonoid|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) 11 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|point| (($ (|List| |#1|)) 13)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| |#1|) $ $) NIL (|has| |#1| (|Ring|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 8)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 10 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|magnitude| ((|#1| $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|Ring|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| ((|#1| $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|Ring|))))) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extend| (($ $ (|List| |#1|)) 24)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) 18) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|dot| ((|#1| $ $) NIL (|has| |#1| (|Ring|)))) (|dimension| (((|PositiveInteger|) $) 16)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|cross| (($ $ $) 22)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ (|List| |#1|)) 17)) (|construct| (($ (|List| |#1|)) NIL)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (- (($ $) NIL (|has| |#1| (|AbelianGroup|))) (($ $ $) NIL (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) NIL (|has| |#1| (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) NIL (|has| |#1| (|AbelianGroup|))) (($ |#1| $) NIL (|has| |#1| (|Monoid|))) (($ $ |#1|) NIL (|has| |#1| (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) 14 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Point| |#1|) (|PointCategory| |#1|) (|Ring|)) (T |Point|)) 
+NIL 
+(|PointCategory| |#1|) 
+((|pToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) 17)) (|pToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) 29)) (|hdmpToP| (((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) 22)) (|hdmpToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) 53)) (|dmpToP| (((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) 26)) (|dmpToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) 44))) 
+(((|PolToPol| |#1| |#2|) (CATEGORY |package| (SIGNATURE |dmpToHdmp| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |hdmpToDmp| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |pToHdmp| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|))) (SIGNATURE |hdmpToP| ((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |dmpToP| ((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |pToDmp| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)))) (|List| (|Symbol|)) (|Ring|)) (T |PolToPol|)) 
+((|pToDmp| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|))))) (|dmpToP| (*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5)))) (|hdmpToP| (*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5)))) (|pToHdmp| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|))))) (|hdmpToDmp| (*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)))) (|dmpToHdmp| (*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |dmpToHdmp| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |hdmpToDmp| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |pToHdmp| ((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|))) (SIGNATURE |hdmpToP| ((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |dmpToP| ((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|))) (SIGNATURE |pToDmp| ((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)))) 
+((|sylvesterSequence| (((|List| |#2|) |#2| |#2|) 10)) (|sturmVariationsOf| (((|NonNegativeInteger|) (|List| |#1|)) 37 (|has| |#1| (|OrderedRing|)))) (|sturmSequence| (((|List| |#2|) |#2|) 11)) (|lazyVariations| (((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)) 36 (|has| |#1| (|OrderedRing|)))) (|boundOfCauchy| ((|#1| |#2|) 32 (|has| |#1| (|OrderedRing|))))) 
+(((|RealPolynomialUtilitiesPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |sylvesterSequence| ((|List| |#2|) |#2| |#2|)) (SIGNATURE |sturmSequence| ((|List| |#2|) |#2|)) (IF (|has| |#1| (|OrderedRing|)) (PROGN (SIGNATURE |boundOfCauchy| (|#1| |#2|)) (SIGNATURE |sturmVariationsOf| ((|NonNegativeInteger|) (|List| |#1|))) (SIGNATURE |lazyVariations| ((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)))) |noBranch|)) (|Field|) (|UnivariatePolynomialCategory| |#1|)) (T |RealPolynomialUtilitiesPackage|)) 
+((|lazyVariations| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)))) (|sturmVariationsOf| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) (|boundOfCauchy| (*1 *2 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|OrderedRing|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|sturmSequence| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|sylvesterSequence| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |sylvesterSequence| ((|List| |#2|) |#2| |#2|)) (SIGNATURE |sturmSequence| ((|List| |#2|) |#2|)) (IF (|has| |#1| (|OrderedRing|)) (PROGN (SIGNATURE |boundOfCauchy| (|#1| |#2|)) (SIGNATURE |sturmVariationsOf| ((|NonNegativeInteger|) (|List| |#1|))) (SIGNATURE |lazyVariations| ((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)))) |noBranch|)) 
+((|map| (((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)) 18))) 
+(((|PolynomialFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)))) (|Ring|) (|Ring|)) (T |PolynomialFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Polynomial| *6)) (|isDomain| *1 (|PolynomialFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)))) 
+((|univariate| (((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)) 18))) 
+(((|PolynomialToUnivariatePolynomial| |#1| |#2|) (CATEGORY |package| (SIGNATURE |univariate| ((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)))) (|Symbol|) (|Ring|)) (T |PolynomialToUnivariatePolynomial|)) 
+((|univariate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Variable| *5)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *5 (|Polynomial| *6))) (|isDomain| *1 (|PolynomialToUnivariatePolynomial| *5 *6)) (|isDomain| *3 (|Polynomial| *6))))) 
+(CATEGORY |package| (SIGNATURE |univariate| ((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)))) 
+((|totalDegree| (((|NonNegativeInteger|) $) 69) (((|NonNegativeInteger|) $ (|List| |#4|)) 72)) (|squareFreePart| (($ $) 169)) (|squareFree| (((|Factored| $) $) 161)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 112)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| |#4| "failed") $) 58)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL) (((|Integer|) $) NIL) ((|#4| $) 57)) (|resultant| (($ $ $ |#4|) 74)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) 102) (((|Matrix| |#2|) (|Matrix| $)) 95)) (|primitivePart| (($ $) 177) (($ $ |#4|) 180)) (|primitiveMonomials| (((|List| $) $) 61)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 195) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 189)) (|monomials| (((|List| $) $) 27)) (|monomial| (($ |#2| |#3|) NIL) (($ $ |#4| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) 55)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) 158)) (|isTimes| (((|Union| (|List| $) "failed") $) 41)) (|isPlus| (((|Union| (|List| $) "failed") $) 30)) (|isExpt| (((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) 45)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 105)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 118)) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 116)) (|factor| (((|Factored| $) $) 136)) (|eval| (($ $ (|List| (|Equation| $))) 20) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (|List| |#4|) (|List| |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (|List| |#4|) (|List| $)) NIL)) (|discriminant| (($ $ |#4|) 76)) (|convert| (((|Pattern| (|Float|)) $) 209) (((|Pattern| (|Integer|)) $) 202) (((|InputForm|) $) 217)) (|content| ((|#2| $) NIL) (($ $ |#4|) 171)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 150)) (|coefficient| ((|#2| $ |#3|) NIL) (($ $ |#4| (|NonNegativeInteger|)) 50) (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) 53)) (|charthRoot| (((|Union| $ "failed") $) 152)) (< (((|Boolean|) $ $) 183))) 
+(((|PolynomialCategory&| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFreePart| (|#1| |#1|)) (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |conditionP| ((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|))) (SIGNATURE |primitivePart| (|#1| |#1| |#4|)) (SIGNATURE |content| (|#1| |#1| |#4|)) (SIGNATURE |discriminant| (|#1| |#1| |#4|)) (SIGNATURE |resultant| (|#1| |#1| |#1| |#4|)) (SIGNATURE |primitiveMonomials| ((|List| |#1|) |#1|)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1| (|List| |#4|))) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") |#1|)) (SIGNATURE |isTimes| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |isPlus| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |monomial| (|#1| |#1| (|List| |#4|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |monomial| (|#1| |#1| |#4| (|NonNegativeInteger|))) (SIGNATURE |monicDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1| |#4|)) (SIGNATURE |monomials| ((|List| |#1|) |#1|)) (SIGNATURE |coefficient| (|#1| |#1| (|List| |#4|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |coefficient| (|#1| |#1| |#4| (|NonNegativeInteger|))) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |retract| (|#4| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#4| "failed") |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |monomial| (|#1| |#2| |#3|)) (SIGNATURE |coefficient| (|#2| |#1| |#3|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |primitivePart| (|#1| |#1|))) (|PolynomialCategory| |#2| |#3| |#4|) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|)) (T |PolynomialCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFreePart| (|#1| |#1|)) (SIGNATURE |charthRoot| ((|Union| |#1| "failed") |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |conditionP| ((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|))) (SIGNATURE |primitivePart| (|#1| |#1| |#4|)) (SIGNATURE |content| (|#1| |#1| |#4|)) (SIGNATURE |discriminant| (|#1| |#1| |#4|)) (SIGNATURE |resultant| (|#1| |#1| |#1| |#4|)) (SIGNATURE |primitiveMonomials| ((|List| |#1|) |#1|)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1| (|List| |#4|))) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") |#1|)) (SIGNATURE |isTimes| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |isPlus| ((|Union| (|List| |#1|) "failed") |#1|)) (SIGNATURE |monomial| (|#1| |#1| (|List| |#4|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |monomial| (|#1| |#1| |#4| (|NonNegativeInteger|))) (SIGNATURE |monicDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1| |#4|)) (SIGNATURE |monomials| ((|List| |#1|) |#1|)) (SIGNATURE |coefficient| (|#1| |#1| (|List| |#4|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |coefficient| (|#1| |#1| |#4| (|NonNegativeInteger|))) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |retract| (|#4| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#4| "failed") |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#4|) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| |#4| |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |monomial| (|#1| |#2| |#3|)) (SIGNATURE |coefficient| (|#2| |#1| |#3|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |primitivePart| (|#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| |#3|) $) 109)) (|univariate| (((|SparseUnivariatePolynomial| $) $ |#3|) 124) (((|SparseUnivariatePolynomial| |#1|) $) 123)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 85 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 86 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 88 (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) 111) (((|NonNegativeInteger|) $ (|List| |#3|)) 110)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 99 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) 97 (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) 96 (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 102 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 163) (((|Union| (|Fraction| (|Integer|)) "failed") $) 161 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) 159 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#3| "failed") $) 135)) (|retract| ((|#1| $) 164) (((|Fraction| (|Integer|)) $) 160 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) 158 (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#3| $) 134)) (|resultant| (($ $ $ |#3|) 107 (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) 153)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 133 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 132 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 131) (((|Matrix| |#1|) (|Matrix| $)) 130)) (|recip| (((|Union| $ "failed") $) 33)) (|primitivePart| (($ $) 175 (|has| |#1| (|GcdDomain|))) (($ $ |#3|) 104 (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) 108)) (|prime?| (((|Boolean|) $) 95 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| |#2| $) 171)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 82 (AND (|has| |#3| (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 81 (AND (|has| |#3| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) 30)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 168)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) |#3|) 116) (($ (|SparseUnivariatePolynomial| $) |#3|) 115)) (|monomials| (((|List| $) $) 125)) (|monomial?| (((|Boolean|) $) 151)) (|monomial| (($ |#1| |#2|) 152) (($ $ |#3| (|NonNegativeInteger|)) 118) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 117)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) 119)) (|minimumDegree| ((|#2| $) 169) (((|NonNegativeInteger|) $ |#3|) 121) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) 120)) (|min| (($ $ $) 77 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 76 (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) 170)) (|map| (($ (|Mapping| |#1| |#1|) $) 150)) (|mainVariable| (((|Union| |#3| "failed") $) 122)) (|leadingMonomial| (($ $) 148)) (|leadingCoefficient| ((|#1| $) 147)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 89 (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) 93 (|has| |#1| (|GcdDomain|))) (($ $ $) 92 (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) 9)) (|isTimes| (((|Union| (|List| $) "failed") $) 113)) (|isPlus| (((|Union| (|List| $) "failed") $) 114)) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) 112)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 165)) (|ground| ((|#1| $) 166)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 94 (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) 91 (|has| |#1| (|GcdDomain|))) (($ $ $) 90 (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 101 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 100 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) 98 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 173 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 84 (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) 144) (($ $ (|Equation| $)) 143) (($ $ $ $) 142) (($ $ (|List| $) (|List| $)) 141) (($ $ |#3| |#1|) 140) (($ $ (|List| |#3|) (|List| |#1|)) 139) (($ $ |#3| $) 138) (($ $ (|List| |#3|) (|List| $)) 137)) (|discriminant| (($ $ |#3|) 106 (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ |#3|) 41) (($ $ (|List| |#3|)) 40) (($ $ |#3| (|NonNegativeInteger|)) 39) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 38)) (|degree| ((|#2| $) 149) (((|NonNegativeInteger|) $ |#3|) 129) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) 128)) (|convert| (((|Pattern| (|Float|)) $) 80 (AND (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) 79 (AND (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) 78 (AND (|has| |#3| (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) 174 (|has| |#1| (|GcdDomain|))) (($ $ |#3|) 105 (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 103 (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 162) (($ |#3|) 136) (($ $) 83 (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Integer|))) 70 (OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| |#1|) $) 167)) (|coefficient| ((|#1| $ |#2|) 154) (($ $ |#3| (|NonNegativeInteger|)) 127) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 126)) (|charthRoot| (((|Union| $ "failed") $) 71 (OR (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 172 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 87 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ |#3|) 37) (($ $ (|List| |#3|)) 36) (($ $ |#3| (|NonNegativeInteger|)) 35) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 34)) (>= (((|Boolean|) $ $) 74 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 73 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 72 (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) 155 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 157 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) 156 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 146) (($ $ |#1|) 145))) 
+(((|PolynomialCategory| |#1| |#2| |#3|) (|Category|) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|)) (T |PolynomialCategory|)) 
+((|primitivePart| (*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) (|degree| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|degree| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) (|coefficient| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|coefficient| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) (|monomials| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) (|univariate| (*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) (|univariate| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|mainVariable| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|minimumDegree| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|minimumDegree| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) (|monicDivide| (*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) (|monomial| (*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|monomial| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) (|multivariate| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) (|multivariate| (*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) (|isPlus| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) (|isTimes| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) (|isExpt| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|NonNegativeInteger|)))))) (|totalDegree| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|totalDegree| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|variables| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) (|primitiveMonomials| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) (|resultant| (*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) (|discriminant| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) (|content| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) (|primitivePart| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) (|squareFreePart| (*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) (|squareFree| (*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
+(|Join| (|PartialDifferentialRing| |t#3|) (|FiniteAbelianMonoidRing| |t#1| |t#2|) (|Evalable| $) (|InnerEvalable| |t#3| |t#1|) (|InnerEvalable| |t#3| $) (|RetractableTo| |t#3|) (|FullyLinearlyExplicitRingOver| |t#1|) (CATEGORY |domain| (SIGNATURE |degree| ((|NonNegativeInteger|) $ |t#3|)) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) $ (|List| |t#3|))) (SIGNATURE |coefficient| ($ $ |t#3| (|NonNegativeInteger|))) (SIGNATURE |coefficient| ($ $ (|List| |t#3|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |monomials| ((|List| $) $)) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| $) $ |t#3|)) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |mainVariable| ((|Union| |t#3| "failed") $)) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) $ |t#3|)) (SIGNATURE |minimumDegree| ((|List| (|NonNegativeInteger|)) $ (|List| |t#3|))) (SIGNATURE |monicDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |t#3|)) (SIGNATURE |monomial| ($ $ |t#3| (|NonNegativeInteger|))) (SIGNATURE |monomial| ($ $ (|List| |t#3|) (|List| (|NonNegativeInteger|)))) (SIGNATURE |multivariate| ($ (|SparseUnivariatePolynomial| |t#1|) |t#3|)) (SIGNATURE |multivariate| ($ (|SparseUnivariatePolynomial| $) |t#3|)) (SIGNATURE |isPlus| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isTimes| ((|Union| (|List| $) "failed") $)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| |t#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) $)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) $ (|List| |t#3|))) (SIGNATURE |variables| ((|List| |t#3|) $)) (SIGNATURE |primitiveMonomials| ((|List| $) $)) (IF (|has| |t#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (IF (|has| |t#3| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (IF (|has| |t#3| (|ConvertibleTo| (|Pattern| (|Integer|)))) (ATTRIBUTE (|ConvertibleTo| (|Pattern| (|Integer|)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (IF (|has| |t#3| (|ConvertibleTo| (|Pattern| (|Float|)))) (ATTRIBUTE (|ConvertibleTo| (|Pattern| (|Float|)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|PatternMatchable| (|Integer|))) (IF (|has| |t#3| (|PatternMatchable| (|Integer|))) (ATTRIBUTE (|PatternMatchable| (|Integer|))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|PatternMatchable| (|Float|))) (IF (|has| |t#3| (|PatternMatchable| (|Float|))) (ATTRIBUTE (|PatternMatchable| (|Float|))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|CommutativeRing|)) (PROGN (SIGNATURE |resultant| ($ $ $ |t#3|)) (SIGNATURE |discriminant| ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (|GcdDomain|)) (PROGN (ATTRIBUTE (|GcdDomain|)) (SIGNATURE |content| ($ $ |t#3|)) (SIGNATURE |primitivePart| ($ $)) (SIGNATURE |primitivePart| ($ $ |t#3|)) (SIGNATURE |squareFree| ((|Factored| $) $)) (SIGNATURE |squareFreePart| ($ $))) |noBranch|) (IF (|has| |t#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|) (IF (|has| |t#1| (|PolynomialFactorizationExplicit|)) (ATTRIBUTE (|PolynomialFactorizationExplicit|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| |#2|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|ConvertibleTo| (|InputForm|)) AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#3| (|ConvertibleTo| (|InputForm|)))) ((|ConvertibleTo| (|Pattern| (|Float|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|))))) ((|ConvertibleTo| (|Pattern| (|Integer|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|))))) ((|EntireRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|Evalable| $) . T) ((|FiniteAbelianMonoidRing| |#1| |#2|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|))) ((|InnerEvalable| |#3| |#1|) . T) ((|InnerEvalable| |#3| $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|))) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|PartialDifferentialRing| |#3|) . T) ((|PatternMatchable| (|Float|)) AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#3| (|PatternMatchable| (|Float|)))) ((|PatternMatchable| (|Integer|)) AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#3| (|PatternMatchable| (|Integer|)))) ((|PolynomialFactorizationExplicit|) |has| |#1| (|PolynomialFactorizationExplicit|)) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RetractableTo| |#3|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) |has| |#1| (|PolynomialFactorizationExplicit|))) 
+((|variables| (((|List| |#2|) |#5|) 36)) (|univariate| (((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|)) 23) (((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|) 16)) (|multivariate| ((|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|) 30)) (|mainVariable| (((|Union| |#2| "failed") |#5|) 61)) (|isTimes| (((|Union| (|List| |#5|) "failed") |#5|) 55)) (|isPower| (((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|) 45)) (|isPlus| (((|Union| (|List| |#5|) "failed") |#5|) 57)) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|) 48))) 
+(((|PolynomialCategoryQuotientFunctions| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |variables| ((|List| |#2|) |#5|)) (SIGNATURE |mainVariable| ((|Union| |#2| "failed") |#5|)) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|)) (SIGNATURE |multivariate| (|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|)) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|))) (SIGNATURE |isPlus| ((|Union| (|List| |#5|) "failed") |#5|)) (SIGNATURE |isTimes| ((|Union| (|List| |#5|) "failed") |#5|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|)) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|Ring|) (|PolynomialCategory| |#3| |#1| |#2|) (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |#4|)) (SIGNATURE |numer| (|#4| $)) (SIGNATURE |denom| (|#4| $))))) (T |PolynomialCategoryQuotientFunctions|)) 
+((|isPower| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) (|isExpt| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) (|isTimes| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) (|isPlus| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) (|univariate| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)))) (|multivariate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *2)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)))) (|univariate| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) (|mainVariable| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|PolynomialCategory| *5 *4 *2)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *2 *5 *6 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *6)) (SIGNATURE |numer| (*6 $)) (SIGNATURE |denom| (*6 $))))))) (|variables| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(CATEGORY |package| (SIGNATURE |variables| ((|List| |#2|) |#5|)) (SIGNATURE |mainVariable| ((|Union| |#2| "failed") |#5|)) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|)) (SIGNATURE |multivariate| (|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|)) (SIGNATURE |univariate| ((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|))) (SIGNATURE |isPlus| ((|Union| (|List| |#5|) "failed") |#5|)) (SIGNATURE |isTimes| ((|Union| (|List| |#5|) "failed") |#5|)) (SIGNATURE |isExpt| ((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|)) (SIGNATURE |isPower| ((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|))) 
+((|map| ((|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|) 23))) 
+(((|PolynomialCategoryLifting| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |map| (|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|Ring|) (|PolynomialCategory| |#3| |#1| |#2|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|)))))) (T |PolynomialCategoryLifting|)) 
+((|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *7)) (|isDomain| *4 (|Mapping| *2 *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|)))))) (|isDomain| *1 (|PolynomialCategoryLifting| *6 *7 *8 *5 *2)) (|ofCategory| *5 (|PolynomialCategory| *8 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|Symbol|)) $) 15)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|Symbol|)) 21) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|Symbol|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 8) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Symbol|) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Symbol|) $) NIL)) (|resultant| (($ $ $ (|Symbol|)) NIL (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|IndexedExponents| (|Symbol|)) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|Symbol|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|Symbol|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|Symbol|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|IndexedExponents| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|Symbol|)) NIL)) (|minimumDegree| (((|IndexedExponents| (|Symbol|)) $) NIL) (((|NonNegativeInteger|) $ (|Symbol|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|Symbol|))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| (|Symbol|)) (|IndexedExponents| (|Symbol|))) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|mainVariable| (((|Union| (|Symbol|) "failed") $) 19)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|Symbol|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $ (|Symbol|)) 29 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|Symbol|) |#1|) NIL) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL) (($ $ (|Symbol|) $) NIL) (($ $ (|List| (|Symbol|)) (|List| $)) NIL)) (|discriminant| (($ $ (|Symbol|)) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|IndexedExponents| (|Symbol|)) $) NIL) (((|NonNegativeInteger|) $ (|Symbol|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|Symbol|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|Symbol|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|Symbol|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|Symbol|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 25) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|Symbol|)) 27) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|IndexedExponents| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|Polynomial| |#1|) (|Join| (|PolynomialCategory| |#1| (|IndexedExponents| (|Symbol|)) (|Symbol|)) (CATEGORY |domain| (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|))) (|Ring|)) (T |Polynomial|)) 
+((|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Polynomial| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|PolynomialCategory| |#1| (|IndexedExponents| (|Symbol|)) (|Symbol|)) (CATEGORY |domain| (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|))) 
+((|rroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|)) 37)) (|qroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|)) 33)) (|nthr| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)) 52)) (|froot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|)) 62 (|has| |#3| (|GcdDomain|))))) 
+(((|PolynomialRoots| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |rroot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|))) (SIGNATURE |qroot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|))) (IF (|has| |#3| (|GcdDomain|)) (SIGNATURE |froot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|))) |noBranch|) (SIGNATURE |nthr| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|IntegralDomain|) (|PolynomialCategory| |#3| |#1| |#2|) (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (|#4| $)) (SIGNATURE |denom| (|#4| $)) (SIGNATURE |coerce| ($ |#4|))))) (T |PolynomialRoots|)) 
+((|nthr| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| (|List| *3)))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *3 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*3 $)) (SIGNATURE |denom| (*3 $)) (SIGNATURE |coerce| ($ *3))))))) (|froot| (*1 *2 *3 *4) (AND (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *3))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *3)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8))))))) (|qroot| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *9) (|:| |radicand| *9))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *9)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *9 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8))))))) (|rroot| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *8) (|:| |radicand| *8))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *3 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)) (SIGNATURE |coerce| ($ *7)))))))) 
+(CATEGORY |package| (SIGNATURE |rroot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|))) (SIGNATURE |qroot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|))) (IF (|has| |#3| (|GcdDomain|)) (SIGNATURE |froot| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|))) |noBranch|) (SIGNATURE |nthr| ((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)))) 
+((|vectorcombination| (((|Void|) (|U32Vector|) (|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 33)) (|vectoraddmul| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 27)) (|truncatedmultiplication| (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) 45)) (|truncatedmuladd| (((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) 44)) (|tomodpa| (((|U32Vector|) (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) 26)) (|resultant| (((|Integer|) (|U32Vector|) (|U32Vector|) (|Integer|)) 54)) (|remainder!| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|)) 36)) (|pow| (((|U32Vector|) (|U32Vector|) (|PositiveInteger|) (|NonNegativeInteger|) (|Integer|)) 48)) (|mulbyscalar| (((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) 31)) (|mulbybinomial| (((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) 28) (((|Void|) (|U32Vector|) (|Integer|) (|Integer|)) 30)) (|mul| (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) 41)) (|lcm| (((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|)) 42)) (|gcd| (((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|)) 40) (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) 38)) (|extendedgcd| (((|List| (|U32Vector|)) (|U32Vector|) (|U32Vector|) (|Integer|)) 53)) (|evalat| (((|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) 15)) (|divide!| (((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) 35)) (|differentiate| (((|U32Vector|) (|U32Vector|) (|NonNegativeInteger|) (|Integer|)) 51) (((|U32Vector|) (|U32Vector|) (|Integer|)) 50)) (|degree| (((|Integer|) (|U32Vector|)) 32)) (|copyslice| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) 12)) (|copyfirst| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|)) 11))) 
+(((|U32VectorPolynomialOperations|) (CATEGORY |package| (SIGNATURE |copyfirst| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |copyslice| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |evalat| ((|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |vectoraddmul| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |mulbybinomial| ((|Void|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |mulbybinomial| ((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |mulbyscalar| ((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |mul| ((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |truncatedmultiplication| ((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |truncatedmuladd| ((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |pow| ((|U32Vector|) (|U32Vector|) (|PositiveInteger|) (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |differentiate| ((|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |differentiate| ((|U32Vector|) (|U32Vector|) (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |divide!| ((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |remainder!| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |vectorcombination| ((|Void|) (|U32Vector|) (|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |tomodpa| ((|U32Vector|) (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |gcd| ((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |gcd| ((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |lcm| ((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |degree| ((|Integer|) (|U32Vector|))) (SIGNATURE |extendedgcd| ((|List| (|U32Vector|)) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |resultant| ((|Integer|) (|U32Vector|) (|U32Vector|) (|Integer|))))) (T |U32VectorPolynomialOperations|)) 
+((|resultant| (*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|extendedgcd| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|U32Vector|))) (|isDomain| *1 (|U32VectorPolynomialOperations|)) (|isDomain| *3 (|U32Vector|)))) (|degree| (*1 *2 *3) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|lcm| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|gcd| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|gcd| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|tomodpa| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|vectorcombination| (*1 *2 *3 *4 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|remainder!| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|divide!| (*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|differentiate| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|differentiate| (*1 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|pow| (*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|truncatedmuladd| (*1 *2 *3 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|truncatedmultiplication| (*1 *2 *2 *2 *3 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|mul| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|mulbyscalar| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|mulbybinomial| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|mulbybinomial| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|vectoraddmul| (*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|evalat| (*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|copyslice| (*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) (|copyfirst| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(CATEGORY |package| (SIGNATURE |copyfirst| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |copyslice| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |evalat| ((|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |vectoraddmul| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |mulbybinomial| ((|Void|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |mulbybinomial| ((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |mulbyscalar| ((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |mul| ((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |truncatedmultiplication| ((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |truncatedmuladd| ((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|))) (SIGNATURE |pow| ((|U32Vector|) (|U32Vector|) (|PositiveInteger|) (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |differentiate| ((|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |differentiate| ((|U32Vector|) (|U32Vector|) (|NonNegativeInteger|) (|Integer|))) (SIGNATURE |divide!| ((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |remainder!| ((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |vectorcombination| ((|Void|) (|U32Vector|) (|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |tomodpa| ((|U32Vector|) (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|))) (SIGNATURE |gcd| ((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |gcd| ((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |lcm| ((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |degree| ((|Integer|) (|U32Vector|))) (SIGNATURE |extendedgcd| ((|List| (|U32Vector|)) (|U32Vector|) (|U32Vector|) (|Integer|))) (SIGNATURE |resultant| ((|Integer|) (|U32Vector|) (|U32Vector|) (|Integer|)))) 
+((|yRange| (((|Segment| (|DoubleFloat|)) $) 7)) (|xRange| (((|Segment| (|DoubleFloat|)) $) 8)) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 9)) (|coerce| (((|OutputForm|) $) 6))) 
+(((|PlottablePlaneCurveCategory|) (|Category|)) (T |PlottablePlaneCurveCategory|)) 
+((|listBranches| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) (|xRange| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) (|yRange| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |listBranches| ((|List| (|List| (|Point| (|DoubleFloat|)))) $)) (SIGNATURE |xRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |yRange| ((|Segment| (|DoubleFloat|)) $)))) 
+(((|CoercibleTo| (|OutputForm|)) . T)) 
+((|firstUncouplingMatrix| (((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)) 14))) 
+(((|PrecomputedAssociatedEquations| |#1| |#2|) (CATEGORY |package| (SIGNATURE |firstUncouplingMatrix| ((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)))) (|IntegralDomain|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|)) (T |PrecomputedAssociatedEquations|)) 
+((|firstUncouplingMatrix| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PrecomputedAssociatedEquations| *5 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |firstUncouplingMatrix| ((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)))) 
+((|scan| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) 16)) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) 18)) (|map| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)) 13))) 
+(((|PrimitiveArrayFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |scan| ((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|)) (SIGNATURE |map| ((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)))) (|Type|) (|Type|)) (T |PrimitiveArrayFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *6)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *6)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *2)))) (|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|PrimitiveArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *5)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |scan| ((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|)) (SIGNATURE |map| ((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) 17 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 16 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 14)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 13)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 10 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) 12 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 11)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) 15) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) NIL)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 8 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|PrimitiveArray| |#1|) (|OneDimensionalArrayAggregate| |#1|) (|Type|)) (T |PrimitiveArray|)) 
+NIL 
+(|OneDimensionalArrayAggregate| |#1|) 
+((|integral| (($ $ (|SegmentBinding| $)) 7) (($ $ (|Symbol|)) 6))) 
+(((|PrimitiveFunctionCategory|) (|Category|)) (T |PrimitiveFunctionCategory|)) 
+((|integral| (*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|PrimitiveFunctionCategory|)))) (|integral| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PrimitiveFunctionCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |integral| ($ $ (|Symbol|))) (SIGNATURE |integral| ($ $ (|SegmentBinding| $))))) 
+((|primitiveElement| (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)) 23) (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) 24) (((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|)) 41))) 
+(((|PrimitiveElement| |#1|) (CATEGORY |package| (SIGNATURE |primitiveElement| ((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|))) (SIGNATURE |primitiveElement| ((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |primitiveElement| ((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)))) (|Join| (|Field|) (|CharacteristicZero|))) (T |PrimitiveElement|)) 
+((|primitiveElement| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *6))) (|:| |prim| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|PrimitiveElement| *6)))) (|primitiveElement| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) (|primitiveElement| (*1 *2 *3 *4 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5))))) 
+(CATEGORY |package| (SIGNATURE |primitiveElement| ((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|))) (SIGNATURE |primitiveElement| ((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)))) (SIGNATURE |primitiveElement| ((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)))) 
+((|primes| (((|List| |#1|) |#1| |#1|) 42)) (|prime?| (((|Boolean|) |#1|) 39)) (|prevPrime| ((|#1| |#1|) 64)) (|nextPrime| ((|#1| |#1|) 63))) 
+(((|IntegerPrimesPackage| |#1|) (CATEGORY |package| (SIGNATURE |prime?| ((|Boolean|) |#1|)) (SIGNATURE |nextPrime| (|#1| |#1|)) (SIGNATURE |prevPrime| (|#1| |#1|)) (SIGNATURE |primes| ((|List| |#1|) |#1| |#1|))) (|IntegerNumberSystem|)) (T |IntegerPrimesPackage|)) 
+((|primes| (*1 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) (|prevPrime| (*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|nextPrime| (*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|prime?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(CATEGORY |package| (SIGNATURE |prime?| ((|Boolean|) |#1|)) (SIGNATURE |nextPrime| (|#1| |#1|)) (SIGNATURE |prevPrime| (|#1| |#1|)) (SIGNATURE |primes| ((|List| |#1|) |#1| |#1|))) 
+((|print| (((|Void|) (|OutputForm|)) 9))) 
+(((|PrintPackage|) (CATEGORY |package| (SIGNATURE |print| ((|Void|) (|OutputForm|))))) (T |PrintPackage|)) 
+((|print| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PrintPackage|))))) 
+(CATEGORY |package| (SIGNATURE |print| ((|Void|) (|OutputForm|)))) 
+((|singularPointsWithRestriction| (((|List| |#5|) |#3| (|List| |#3|)) 70)) (|singularPoints| (((|List| |#5|) |#3|) 45)) (|rationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) 58)) (|algebraicSet| (((|List| |#5|) (|List| |#3|)) 48))) 
+(((|ProjectiveAlgebraicSetPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |singularPointsWithRestriction| ((|List| |#5|) |#3| (|List| |#3|))) (SIGNATURE |singularPoints| ((|List| |#5|) |#3|)) (SIGNATURE |algebraicSet| ((|List| |#5|) (|List| |#3|))) (SIGNATURE |rationalPoints| ((|List| |#5|) |#3| (|PositiveInteger|)))) (|Field|) (|List| (|Symbol|)) (|PolynomialCategory| |#1| |#4| (|OrderedVariableList| |#2|)) (|DirectProductCategory| (|#| |#2|) (|NonNegativeInteger|)) (|ProjectiveSpaceCategory| |#1|)) (T |ProjectiveAlgebraicSetPackage|)) 
+((|rationalPoints| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) (|algebraicSet| (*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) (|singularPoints| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) (|singularPointsWithRestriction| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |singularPointsWithRestriction| ((|List| |#5|) |#3| (|List| |#3|))) (SIGNATURE |singularPoints| ((|List| |#5|) |#3|)) (SIGNATURE |algebraicSet| ((|List| |#5|) (|List| |#3|))) (SIGNATURE |rationalPoints| ((|List| |#5|) |#3| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 62 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 63 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 28)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reductum| (($ $) 24)) (|recip| (((|Union| $ "failed") $) 35)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|pomopo!| (($ $ |#1| |#2| $) 47)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 16)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| |#2|) NIL)) (|minimumDegree| ((|#2| $) 19)) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingMonomial| (($ $) 23)) (|leadingCoefficient| ((|#1| $) 21)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 40)) (|ground| ((|#1| $) NIL)) (|fmecg| (($ $ |#2| |#1| $) 71 (AND (|has| |#2| (|CancellationAbelianMonoid|)) (|has| |#1| (|IntegralDomain|))))) (|exquo| (((|Union| $ "failed") $ $) 73 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ |#1|) 69 (|has| |#1| (|IntegralDomain|)))) (|degree| ((|#2| $) 17)) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 39) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) 34) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ |#2|) 31)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 15)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 58 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 68 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 54) (($ $ (|NonNegativeInteger|)) 55)) (|Zero| (($) 22 T CONST)) (|One| (($) 12 T CONST)) (= (((|Boolean|) $ $) 67)) (/ (($ $ |#1|) 74 (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) 53) (($ $ (|NonNegativeInteger|)) 51)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|PolynomialRing| |#1| |#2|) (|Join| (|FiniteAbelianMonoidRing| |#1| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|IntegralDomain|)) (IF (|has| |#2| (|CancellationAbelianMonoid|)) (SIGNATURE |fmecg| ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|))) (|Ring|) (|OrderedAbelianMonoid|)) (T |PolynomialRing|)) 
+((|fmecg| (*1 *1 *1 *2 *3 *1) (AND (|isDomain| *1 (|PolynomialRing| *3 *2)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(|Join| (|FiniteAbelianMonoidRing| |#1| |#2|) (CATEGORY |domain| (IF (|has| |#1| (|IntegralDomain|)) (IF (|has| |#2| (|CancellationAbelianMonoid|)) (SIGNATURE |fmecg| ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))))) (|sup| (($ $ $) 63 (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 50 (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))))) (|size| (((|NonNegativeInteger|)) 34 (AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))))) (|selectsecond| ((|#2| $) 21)) (|selectfirst| ((|#1| $) 20)) (|sample| (($) NIL (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))) CONST)) (|recip| (((|Union| $ "failed") $) NIL (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))))) (|random| (($) NIL (AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))))) (|one?| (((|Boolean|) $) NIL (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))))) (|min| (($ $ $) NIL (OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))))) (|max| (($ $ $) NIL (OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))))) (|makeprod| (($ |#1| |#2|) 19)) (|lookup| (((|PositiveInteger|) $) NIL (AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 37 (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))))) (|index| (($ (|PositiveInteger|)) NIL (AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))))) (|hash| (((|SingleInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL (AND (|has| |#1| (|Finite|)) (|has| |#2| (|Finite|))))) (|conjugate| (($ $ $) NIL (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))))) (|commutator| (($ $ $) NIL (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))))) (|coerce| (((|OutputForm|) $) 14)) (^ (($ $ (|Integer|)) NIL (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|)))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|))))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))))) (|Zero| (($) 40 (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))) CONST)) (|One| (($) 24 (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))) CONST)) (>= (((|Boolean|) $ $) NIL (OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))))) (> (((|Boolean|) $ $) NIL (OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))))) (= (((|Boolean|) $ $) 18)) (<= (((|Boolean|) $ $) NIL (OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))))) (< (((|Boolean|) $ $) 66 (OR (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))) (AND (|has| |#1| (|OrderedSet|)) (|has| |#2| (|OrderedSet|)))))) (/ (($ $ $) NIL (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))))) (- (($ $ $) 56 (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|)))) (($ $) 53 (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))))) (+ (($ $ $) 43 (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|)))))) (** (($ $ (|Integer|)) NIL (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|)))) (($ $ (|NonNegativeInteger|)) 31 (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|))))) (($ $ (|PositiveInteger|)) NIL (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|)))))) (* (($ (|Integer|) $) 60 (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|)))) (($ (|NonNegativeInteger|) $) 46 (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (($ (|PositiveInteger|) $) NIL (OR (AND (|has| |#1| (|AbelianGroup|)) (|has| |#2| (|AbelianGroup|))) (AND (|has| |#1| (|AbelianMonoid|)) (|has| |#2| (|AbelianMonoid|))) (AND (|has| |#1| (|CancellationAbelianMonoid|)) (|has| |#2| (|CancellationAbelianMonoid|))) (AND (|has| |#1| (|OrderedAbelianMonoidSup|)) (|has| |#2| (|OrderedAbelianMonoidSup|))))) (($ $ $) 27 (OR (AND (|has| |#1| (|Group|)) (|has| |#2| (|Group|))) (AND (|has| |#1| (|Monoid|)) (|has| |#2| (|Monoid|))))))) 
+(((|Product| |#1| |#2|) (|Join| (|SetCategory|) (CATEGORY |domain| (IF (|has| |#1| (|Finite|)) (IF (|has| |#2| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|Monoid|)) (IF (|has| |#2| (|Monoid|)) (ATTRIBUTE (|Monoid|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|AbelianMonoid|)) (IF (|has| |#2| (|AbelianMonoid|)) (ATTRIBUTE (|AbelianMonoid|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|CancellationAbelianMonoid|)) (IF (|has| |#2| (|CancellationAbelianMonoid|)) (ATTRIBUTE (|CancellationAbelianMonoid|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|Group|)) (IF (|has| |#2| (|Group|)) (ATTRIBUTE (|Group|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|AbelianGroup|)) (IF (|has| |#2| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|OrderedAbelianMonoidSup|)) (IF (|has| |#2| (|OrderedAbelianMonoidSup|)) (ATTRIBUTE (|OrderedAbelianMonoidSup|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|OrderedSet|)) (IF (|has| |#2| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) |noBranch|) (SIGNATURE |makeprod| ($ |#1| |#2|)) (SIGNATURE |selectfirst| (|#1| $)) (SIGNATURE |selectsecond| (|#2| $)))) (|SetCategory|) (|SetCategory|)) (T |Product|)) 
+((|makeprod| (*1 *1 *2 *3) (AND (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|selectfirst| (*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *3 (|SetCategory|)))) (|selectsecond| (*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (IF (|has| |#1| (|Finite|)) (IF (|has| |#2| (|Finite|)) (ATTRIBUTE (|Finite|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|Monoid|)) (IF (|has| |#2| (|Monoid|)) (ATTRIBUTE (|Monoid|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|AbelianMonoid|)) (IF (|has| |#2| (|AbelianMonoid|)) (ATTRIBUTE (|AbelianMonoid|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|CancellationAbelianMonoid|)) (IF (|has| |#2| (|CancellationAbelianMonoid|)) (ATTRIBUTE (|CancellationAbelianMonoid|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|Group|)) (IF (|has| |#2| (|Group|)) (ATTRIBUTE (|Group|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|AbelianGroup|)) (IF (|has| |#2| (|AbelianGroup|)) (ATTRIBUTE (|AbelianGroup|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|OrderedAbelianMonoidSup|)) (IF (|has| |#2| (|OrderedAbelianMonoidSup|)) (ATTRIBUTE (|OrderedAbelianMonoidSup|)) |noBranch|) |noBranch|) (IF (|has| |#1| (|OrderedSet|)) (IF (|has| |#2| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) |noBranch|) (SIGNATURE |makeprod| ($ |#1| |#2|)) (SIGNATURE |selectfirst| (|#1| $)) (SIGNATURE |selectsecond| (|#2| $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) NIL)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) NIL) (((|List| $) (|List| $)) NIL)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL) (((|Boolean|) $) NIL)) (|projectivePoint| (($ (|List| |#1|)) NIL)) (|pointValue| (((|List| |#1|) $) NIL)) (|orbit| (((|List| $) $) NIL) (((|List| $) $ (|NonNegativeInteger|)) NIL)) (|list| (((|List| |#1|) $) NIL)) (|latex| (((|String|) $) NIL)) (|lastNonNull| (((|Integer|) $) NIL)) (|lastNonNul| (((|Integer|) $) NIL)) (|homogenize| (($ $ (|Integer|)) NIL) (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#1| $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|definingField| ((|#1| $) NIL)) (|conjugate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (((|List| |#1|) $) NIL) (($ (|List| |#1|)) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|ProjectivePlane| |#1|) (|ProjectiveSpaceCategory| |#1|) (|Field|)) (T |ProjectivePlane|)) 
+NIL 
+(|ProjectiveSpaceCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL)) (|setelt| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $ (|Integer|) (|PseudoAlgebraicClosureOfFiniteField| |#1|)) NIL)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) NIL) (((|List| $) (|List| $)) NIL)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL) (((|Boolean|) $) NIL)) (|projectivePoint| (($ (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (|pointValue| (((|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|orbit| (((|List| $) $) NIL) (((|List| $) $ (|NonNegativeInteger|)) NIL)) (|list| (((|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL)) (|latex| (((|String|) $) NIL)) (|lastNonNull| (((|Integer|) $) NIL)) (|lastNonNul| (((|Integer|) $) NIL)) (|homogenize| (($ $ (|Integer|)) NIL) (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $ (|Integer|)) NIL)) (|degree| (((|PositiveInteger|) $) NIL)) (|definingField| (((|PseudoAlgebraicClosureOfFiniteField| |#1|) $) NIL)) (|conjugate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (((|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) $) NIL) (($ (|List| (|PseudoAlgebraicClosureOfFiniteField| |#1|))) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|ProjectiveSpaceCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|FiniteFieldCategory|)) (T |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField|)) 
+NIL 
+(|ProjectiveSpaceCategory| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) 
+((~= (((|Boolean|) $ $) NIL)) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) 41) (((|List| $) (|List| $)) 42)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) 38) (((|Boolean|) $) 40)) (|projectivePoint| (($ (|List| |#2|)) 25)) (|pointValue| (((|List| |#2|) $) 27)) (|orbit| (((|List| $) $) 50) (((|List| $) $ (|NonNegativeInteger|)) 47)) (|list| (((|List| |#2|) $) 26)) (|latex| (((|String|) $) NIL)) (|lastNonNull| (((|Integer|) $) 59)) (|lastNonNul| (((|Integer|) $) 62)) (|homogenize| (($ $ (|Integer|)) 36) (($ $) 52)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#2| $ (|Integer|)) 32)) (|degree| (((|PositiveInteger|) $) 16)) (|definingField| ((|#2| $) 22)) (|conjugate| (($ $ (|NonNegativeInteger|)) 30) (($ $) 49)) (|coerce| (((|OutputForm|) $) 19) (((|List| |#2|) $) 24) (($ (|List| |#2|)) 58)) (= (((|Boolean|) $ $) 37))) 
+(((|ProjectiveSpace| |#1| |#2|) (|ProjectiveSpaceCategory| |#2|) (|NonNegativeInteger|) (|Field|)) (T |ProjectiveSpace|)) 
+NIL 
+(|ProjectiveSpaceCategory| |#2|) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|merge!| (($ $ $) 40)) (|merge| (($ $ $) 41)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|max| ((|#1| $) 42)) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|PriorityQueueAggregate| |#1|) (|Category|) (|OrderedSet|)) (T |PriorityQueueAggregate|)) 
+((|max| (*1 *2 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|merge| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) (|merge!| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(|Join| (|BagAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |max| (|t#1| $)) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |merge!| ($ $ $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|subResultantGcdEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) 84)) (|subResultantGcd| ((|#2| |#2| |#2|) 82)) (|semiSubResultantGcdEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) 86)) (|semiSubResultantGcdEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) 88)) (|semiResultantReduitEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) 106 (|has| |#1| (|GcdDomain|)))) (|semiResultantEuclideannaif| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) 45)) (|semiResultantEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) 63)) (|semiResultantEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) 65)) (|semiLastSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (|semiIndiceSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) 70)) (|semiDiscriminantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) 96)) (|semiDegreeSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) 73)) (|schema| (((|List| (|NonNegativeInteger|)) |#2| |#2|) 81)) (|resultantnaif| ((|#1| |#2| |#2|) 41)) (|resultantReduitEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) 104 (|has| |#1| (|GcdDomain|)))) (|resultantReduit| ((|#1| |#2| |#2|) 102 (|has| |#1| (|GcdDomain|)))) (|resultantEuclideannaif| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) 43)) (|resultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) 62)) (|resultant| ((|#1| |#2| |#2|) 60)) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) 35)) (|nextsousResultant2| ((|#2| |#2| |#2| |#2| |#1|) 52)) (|lastSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (|lastSubResultant| ((|#2| |#2| |#2|) 74)) (|indiceSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) 68)) (|indiceSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) 66)) (|gcd| ((|#2| |#2| |#2|) 110 (|has| |#1| (|GcdDomain|)))) (|exquo| (((|Vector| |#2|) (|Vector| |#2|) |#1|) 21)) (|divide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) 38)) (|discriminantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) 94)) (|discriminant| ((|#1| |#2|) 91)) (|degreeSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) 72)) (|degreeSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) 71)) (|chainSubResultants| (((|List| |#2|) |#2| |#2|) 79)) (|Lazard2| ((|#2| |#2| |#1| |#1| (|NonNegativeInteger|)) 49)) (|Lazard| ((|#1| |#1| |#1| (|NonNegativeInteger|)) 48)) (* (((|Vector| |#2|) |#1| (|Vector| |#2|)) 16))) 
+(((|PseudoRemainderSequence| |#1| |#2|) (CATEGORY |package| (SIGNATURE |resultant| (|#1| |#2| |#2|)) (SIGNATURE |resultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantEuclidean2| ((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantEuclidean1| ((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |indiceSubResultant| (|#2| |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |indiceSubResultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |semiIndiceSubResultantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |degreeSubResultant| (|#2| |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |degreeSubResultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |semiDegreeSubResultantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |lastSubResultant| (|#2| |#2| |#2|)) (SIGNATURE |lastSubResultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (SIGNATURE |semiLastSubResultantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (SIGNATURE |subResultantGcd| (|#2| |#2| |#2|)) (SIGNATURE |subResultantGcdEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|)) (SIGNATURE |semiSubResultantGcdEuclidean2| ((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|)) (SIGNATURE |semiSubResultantGcdEuclidean1| ((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|)) (SIGNATURE |discriminant| (|#1| |#2|)) (SIGNATURE |discriminantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|)) (SIGNATURE |semiDiscriminantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|)) (SIGNATURE |chainSubResultants| ((|List| |#2|) |#2| |#2|)) (SIGNATURE |schema| ((|List| (|NonNegativeInteger|)) |#2| |#2|)) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |resultantReduit| (|#1| |#2| |#2|)) (SIGNATURE |resultantReduitEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantReduitEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|)) (SIGNATURE |gcd| (|#2| |#2| |#2|))) |noBranch|) (SIGNATURE * ((|Vector| |#2|) |#1| (|Vector| |#2|))) (SIGNATURE |exquo| ((|Vector| |#2|) (|Vector| |#2|) |#1|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|)) (SIGNATURE |Lazard| (|#1| |#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |Lazard2| (|#2| |#2| |#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |nextsousResultant2| (|#2| |#2| |#2| |#2| |#1|)) (SIGNATURE |resultantnaif| (|#1| |#2| |#2|)) (SIGNATURE |resultantEuclideannaif| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantEuclideannaif| ((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|))) (|IntegralDomain|) (|UnivariatePolynomialCategory| |#1|)) (T |PseudoRemainderSequence|)) 
+((|semiResultantEuclideannaif| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|resultantEuclideannaif| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|resultantnaif| (*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|nextsousResultant2| (*1 *2 *2 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|Lazard2| (*1 *2 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|Lazard| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) (|divide| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|pseudoDivide| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef| *4) (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|exquo| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) (* (*1 *2 *3 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) (|gcd| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|semiResultantReduitEuclidean| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|resultantReduitEuclidean| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|resultantReduit| (*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|schema| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|chainSubResultants| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|semiDiscriminantEuclidean| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|discriminantEuclidean| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|discriminant| (*1 *2 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|semiSubResultantGcdEuclidean1| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|semiSubResultantGcdEuclidean2| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|subResultantGcdEuclidean| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|subResultantGcd| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|semiLastSubResultantEuclidean| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|lastSubResultantEuclidean| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|lastSubResultant| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|semiDegreeSubResultantEuclidean| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|degreeSubResultantEuclidean| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|degreeSubResultant| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|semiIndiceSubResultantEuclidean| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|indiceSubResultantEuclidean| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|indiceSubResultant| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|semiResultantEuclidean1| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|semiResultantEuclidean2| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|resultantEuclidean| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|resultant| (*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(CATEGORY |package| (SIGNATURE |resultant| (|#1| |#2| |#2|)) (SIGNATURE |resultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantEuclidean2| ((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantEuclidean1| ((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |indiceSubResultant| (|#2| |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |indiceSubResultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |semiIndiceSubResultantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |degreeSubResultant| (|#2| |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |degreeSubResultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |semiDegreeSubResultantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|))) (SIGNATURE |lastSubResultant| (|#2| |#2| |#2|)) (SIGNATURE |lastSubResultantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (SIGNATURE |semiLastSubResultantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (SIGNATURE |subResultantGcd| (|#2| |#2| |#2|)) (SIGNATURE |subResultantGcdEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|)) (SIGNATURE |semiSubResultantGcdEuclidean2| ((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|)) (SIGNATURE |semiSubResultantGcdEuclidean1| ((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|)) (SIGNATURE |discriminant| (|#1| |#2|)) (SIGNATURE |discriminantEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|)) (SIGNATURE |semiDiscriminantEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|)) (SIGNATURE |chainSubResultants| ((|List| |#2|) |#2| |#2|)) (SIGNATURE |schema| ((|List| (|NonNegativeInteger|)) |#2| |#2|)) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |resultantReduit| (|#1| |#2| |#2|)) (SIGNATURE |resultantReduitEuclidean| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantReduitEuclidean| ((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|)) (SIGNATURE |gcd| (|#2| |#2| |#2|))) |noBranch|) (SIGNATURE * ((|Vector| |#2|) |#1| (|Vector| |#2|))) (SIGNATURE |exquo| ((|Vector| |#2|) (|Vector| |#2|) |#1|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|)) (SIGNATURE |Lazard| (|#1| |#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |Lazard2| (|#2| |#2| |#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |nextsousResultant2| (|#2| |#2| |#2| |#2| |#1|)) (SIGNATURE |resultantnaif| (|#1| |#2| |#2|)) (SIGNATURE |resultantEuclideannaif| ((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|)) (SIGNATURE |semiResultantEuclideannaif| ((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|))) 
+((~= (((|Boolean|) $ $) 7)) (|setelt| ((|#1| $ (|Integer|) |#1|) 14)) (|removeConjugate| (((|List| $) (|List| $) (|NonNegativeInteger|)) 22) (((|List| $) (|List| $)) 21)) (|rational?| (((|Boolean|) $ (|NonNegativeInteger|)) 20) (((|Boolean|) $) 19)) (|projectivePoint| (($ (|List| |#1|)) 30)) (|pointValue| (((|List| |#1|) $) 13)) (|orbit| (((|List| $) $) 26) (((|List| $) $ (|NonNegativeInteger|)) 25)) (|list| (((|List| |#1|) $) 16)) (|latex| (((|String|) $) 9)) (|lastNonNull| (((|Integer|) $) 17)) (|lastNonNul| (((|Integer|) $) 32)) (|homogenize| (($ $ (|Integer|)) 31) (($ $) 18)) (|hash| (((|SingleInteger|) $) 10)) (|elt| ((|#1| $ (|Integer|)) 15)) (|degree| (((|PositiveInteger|) $) 12)) (|definingField| ((|#1| $) 29)) (|conjugate| (($ $ (|NonNegativeInteger|)) 24) (($ $) 23)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#1|) $) 28) (($ (|List| |#1|)) 27)) (= (((|Boolean|) $ $) 6))) 
+(((|ProjectiveSpaceCategory| |#1|) (|Category|) (|Field|)) (T |ProjectiveSpaceCategory|)) 
+((|lastNonNul| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) (|homogenize| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) (|projectivePoint| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) (|definingField| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) (|orbit| (*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) (|orbit| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)))) (|conjugate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) (|conjugate| (*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|removeConjugate| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) (|removeConjugate| (*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) (|rational?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|rational?| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|homogenize| (*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|lastNonNull| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) (|list| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) (|pointValue| (*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
+(|Join| (|SetCategoryWithDegree|) (CATEGORY |domain| (SIGNATURE |lastNonNul| ((|Integer|) $)) (SIGNATURE |homogenize| ($ $ (|Integer|))) (SIGNATURE |projectivePoint| ($ (|List| |t#1|))) (SIGNATURE |definingField| (|t#1| $)) (SIGNATURE |coerce| ((|List| |t#1|) $)) (SIGNATURE |coerce| ($ (|List| |t#1|))) (SIGNATURE |orbit| ((|List| $) $)) (SIGNATURE |orbit| ((|List| $) $ (|NonNegativeInteger|))) (SIGNATURE |conjugate| ($ $ (|NonNegativeInteger|))) (SIGNATURE |conjugate| ($ $)) (SIGNATURE |removeConjugate| ((|List| $) (|List| $) (|NonNegativeInteger|))) (SIGNATURE |removeConjugate| ((|List| $) (|List| $))) (SIGNATURE |rational?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |homogenize| ($ $)) (SIGNATURE |lastNonNull| ((|Integer|) $)) (SIGNATURE |list| ((|List| |t#1|) $)) (SIGNATURE |elt| (|t#1| $ (|Integer|))) (SIGNATURE |setelt| (|t#1| $ (|Integer|) |t#1|)) (SIGNATURE |pointValue| ((|List| |t#1|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T) ((|SetCategoryWithDegree|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) 26)) (|sample| (($) NIL T CONST)) (|powers| (((|List| (|List| (|Integer|))) (|List| (|Integer|))) 28)) (|pdct| (((|Integer|) $) 44)) (|partition| (($ (|List| (|Integer|))) 17)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|convert| (((|List| (|Integer|)) $) 11)) (|conjugate| (($ $) 31)) (|coerce| (((|OutputForm|) $) 42) (((|List| (|Integer|)) $) 9)) (|Zero| (($) 7 T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 19)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 18)) (+ (($ $ $) 20)) (* (($ (|NonNegativeInteger|) $) 24) (($ (|PositiveInteger|) $) NIL))) 
+(((|Partition|) (|Join| (|OrderedCancellationAbelianMonoid|) (|ConvertibleTo| (|List| (|Integer|))) (CATEGORY |domain| (SIGNATURE |partition| ($ (|List| (|Integer|)))) (SIGNATURE |powers| ((|List| (|List| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |pdct| ((|Integer|) $)) (SIGNATURE |conjugate| ($ $)) (SIGNATURE |coerce| ((|List| (|Integer|)) $))))) (T |Partition|)) 
+((|partition| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|)))) (|powers| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|Partition|)) (|isDomain| *3 (|List| (|Integer|))))) (|pdct| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Partition|)))) (|conjugate| (*1 *1 *1) (|isDomain| *1 (|Partition|))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|))))) 
+(|Join| (|OrderedCancellationAbelianMonoid|) (|ConvertibleTo| (|List| (|Integer|))) (CATEGORY |domain| (SIGNATURE |partition| ($ (|List| (|Integer|)))) (SIGNATURE |powers| ((|List| (|List| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |pdct| ((|Integer|) $)) (SIGNATURE |conjugate| ($ $)) (SIGNATURE |coerce| ((|List| (|Integer|)) $)))) 
+((/ (($ $ |#2|) 30)) (- (($ $) 22) (($ $ $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (|Fraction| (|Integer|)) $) 26) (($ $ (|Fraction| (|Integer|))) 28))) 
+(((|PowerSeriesCategory&| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE / (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) (|PowerSeriesCategory| |#2| |#3| |#4|) (|Ring|) (|OrderedAbelianMonoid|) (|OrderedSet|)) (T |PowerSeriesCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE / (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| |#3|) $) 70)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|pole?| (((|Boolean|) $) 69)) (|one?| (((|Boolean|) $) 30)) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (|List| |#3|) (|List| |#2|)) 71)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|degree| ((|#2| $) 63)) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|))) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|)))) (|coefficient| ((|#1| $ |#2|) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|PowerSeriesCategory| |#1| |#2| |#3|) (|Category|) (|Ring|) (|OrderedAbelianMonoid|) (|OrderedSet|)) (T |PowerSeriesCategory|)) 
+((|leadingCoefficient| (*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) (|leadingMonomial| (*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|monomial| (*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|PowerSeriesCategory| *4 *3 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|OrderedSet|)))) (|monomial| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PowerSeriesCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *6 (|OrderedSet|)))) (|variables| (*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) (|pole?| (*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|complete| (*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(|Join| (|AbelianMonoidRing| |t#1| |t#2|) (CATEGORY |domain| (SIGNATURE |monomial| ($ $ |t#3| |t#2|)) (SIGNATURE |monomial| ($ $ (|List| |t#3|) (|List| |t#2|))) (SIGNATURE |leadingMonomial| ($ $)) (SIGNATURE |leadingCoefficient| (|t#1| $)) (SIGNATURE |degree| (|t#2| $)) (SIGNATURE |variables| ((|List| |t#3|) $)) (SIGNATURE |pole?| ((|Boolean|) $)) (SIGNATURE |complete| ($ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| |#2|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|zRange| (((|Segment| (|DoubleFloat|)) $) 7)) (|yRange| (((|Segment| (|DoubleFloat|)) $) 8)) (|xRange| (((|Segment| (|DoubleFloat|)) $) 9)) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 10)) (|coerce| (((|OutputForm|) $) 6))) 
+(((|PlottableSpaceCurveCategory|) (|Category|)) (T |PlottableSpaceCurveCategory|)) 
+((|listBranches| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) (|xRange| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) (|yRange| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) (|zRange| (*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |listBranches| ((|List| (|List| (|Point| (|DoubleFloat|)))) $)) (SIGNATURE |xRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |yRange| ((|Segment| (|DoubleFloat|)) $)) (SIGNATURE |zRange| ((|Segment| (|DoubleFloat|)) $)))) 
+(((|CoercibleTo| (|OutputForm|)) . T)) 
+((|variables| (((|List| |#4|) $) 23)) (|trivialIdeal?| (((|Boolean|) $) 47)) (|triangular?| (((|Boolean|) $) 46)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#4|) 35)) (|roughUnitIdeal?| (((|Boolean|) $) 48)) (|roughSubIdeal?| (((|Boolean|) $ $) 54)) (|roughEqualIdeals?| (((|Boolean|) $ $) 57)) (|roughBase?| (((|Boolean|) $) 52)) (|rewriteIdealWithRemainder| (((|List| |#5|) (|List| |#5|) $) 89)) (|rewriteIdealWithHeadRemainder| (((|List| |#5|) (|List| |#5|) $) 86)) (|remainder| (((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (|mainVariables| (((|List| |#4|) $) 27)) (|mainVariable?| (((|Boolean|) |#4| $) 29)) (|headRemainder| (((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (|collectUpper| (($ $ |#4|) 32)) (|collectUnder| (($ $ |#4|) 31)) (|collect| (($ $ |#4|) 33)) (= (((|Boolean|) $ $) 39))) 
+(((|PolynomialSetCategory&| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |domain| (SIGNATURE |triangular?| ((|Boolean|) |#1|)) (SIGNATURE |rewriteIdealWithRemainder| ((|List| |#5|) (|List| |#5|) |#1|)) (SIGNATURE |rewriteIdealWithHeadRemainder| ((|List| |#5|) (|List| |#5|) |#1|)) (SIGNATURE |remainder| ((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (SIGNATURE |headRemainder| ((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (SIGNATURE |roughUnitIdeal?| ((|Boolean|) |#1|)) (SIGNATURE |roughEqualIdeals?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |roughSubIdeal?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |roughBase?| ((|Boolean|) |#1|)) (SIGNATURE |trivialIdeal?| ((|Boolean|) |#1|)) (SIGNATURE |sort| ((|Record| (|:| |under| |#1|) (|:| |floor| |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (SIGNATURE |collectUpper| (|#1| |#1| |#4|)) (SIGNATURE |collect| (|#1| |#1| |#4|)) (SIGNATURE |collectUnder| (|#1| |#1| |#4|)) (SIGNATURE |mainVariable?| ((|Boolean|) |#4| |#1|)) (SIGNATURE |mainVariables| ((|List| |#4|) |#1|)) (SIGNATURE |variables| ((|List| |#4|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|PolynomialSetCategory| |#2| |#3| |#4| |#5|) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#2| |#3| |#4|)) (T |PolynomialSetCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |triangular?| ((|Boolean|) |#1|)) (SIGNATURE |rewriteIdealWithRemainder| ((|List| |#5|) (|List| |#5|) |#1|)) (SIGNATURE |rewriteIdealWithHeadRemainder| ((|List| |#5|) (|List| |#5|) |#1|)) (SIGNATURE |remainder| ((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (SIGNATURE |headRemainder| ((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (SIGNATURE |roughUnitIdeal?| ((|Boolean|) |#1|)) (SIGNATURE |roughEqualIdeals?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |roughSubIdeal?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |roughBase?| ((|Boolean|) |#1|)) (SIGNATURE |trivialIdeal?| ((|Boolean|) |#1|)) (SIGNATURE |sort| ((|Record| (|:| |under| |#1|) (|:| |floor| |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (SIGNATURE |collectUpper| (|#1| |#1| |#4|)) (SIGNATURE |collect| (|#1| |#1| |#4|)) (SIGNATURE |collectUnder| (|#1| |#1| |#4|)) (SIGNATURE |mainVariable?| ((|Boolean|) |#4| |#1|)) (SIGNATURE |mainVariables| ((|List| |#4|) |#1|)) (SIGNATURE |variables| ((|List| |#4|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|variables| (((|List| |#3|) $) 32)) (|trivialIdeal?| (((|Boolean|) $) 25)) (|triangular?| (((|Boolean|) $) 16 (|has| |#1| (|IntegralDomain|)))) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 43)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 44 T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 21 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) 23 (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) 22 (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 17 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) 18 (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 35)) (|retract| (($ (|List| |#4|)) 34)) (|removeDuplicates| (($ $) 67 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#4| $) 66 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#4|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (|IntegralDomain|)))) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) 65 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#4|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 42)) (|members| (((|List| |#4|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 54 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 47 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 46)) (|mainVariables| (((|List| |#3|) $) 31)) (|mainVariable?| (((|Boolean|) |#3| $) 30)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 41)) (|latex| (((|String|) $) 9)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (|IntegralDomain|)))) (|hash| (((|SingleInteger|) $) 10)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) 60)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) 58 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) 57 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) 56 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) 55 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 37)) (|empty?| (((|Boolean|) $) 40)) (|empty| (($) 39)) (|count| (((|NonNegativeInteger|) |#4| $) 53 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 38)) (|convert| (((|InputForm|) $) 68 (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 59)) (|collectUpper| (($ $ |#3|) 27)) (|collectUnder| (($ $ |#3|) 29)) (|collect| (($ $ |#3|) 28)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#4|) $) 36)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 6)) (|#| (((|NonNegativeInteger|) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|PolynomialSetCategory| |#1| |#2| |#3| |#4|) (|Category|) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |t#1| |t#2| |t#3|)) (T |PolynomialSetCategory|)) 
+((|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) (|mvar| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|OrderedSet|)))) (|variables| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) (|mainVariables| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) (|mainVariable?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) (|collectUnder| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)))) (|collect| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)))) (|collectUpper| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)))) (|sort| (*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Record| (|:| |under| *1) (|:| |floor| *1) (|:| |upper| *1))) (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)))) (|trivialIdeal?| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|roughBase?| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)))) (|roughSubIdeal?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)))) (|roughEqualIdeals?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)))) (|roughUnitIdeal?| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)))) (|headRemainder| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))))) (|remainder| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (|rewriteIdealWithHeadRemainder| (*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)))) (|rewriteIdealWithRemainder| (*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)))) (|triangular?| (*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|SetCategory|) (|Collection| |t#4|) (|CoercibleTo| (|List| |t#4|)) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|List| |t#4|))) (SIGNATURE |retract| ($ (|List| |t#4|))) (SIGNATURE |mvar| (|t#3| $)) (SIGNATURE |variables| ((|List| |t#3|) $)) (SIGNATURE |mainVariables| ((|List| |t#3|) $)) (SIGNATURE |mainVariable?| ((|Boolean|) |t#3| $)) (SIGNATURE |collectUnder| ($ $ |t#3|)) (SIGNATURE |collect| ($ $ |t#3|)) (SIGNATURE |collectUpper| ($ $ |t#3|)) (SIGNATURE |sort| ((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |t#3|)) (SIGNATURE |trivialIdeal?| ((|Boolean|) $)) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (SIGNATURE |roughBase?| ((|Boolean|) $)) (SIGNATURE |roughSubIdeal?| ((|Boolean|) $ $)) (SIGNATURE |roughEqualIdeals?| ((|Boolean|) $ $)) (SIGNATURE |roughUnitIdeal?| ((|Boolean|) $)) (SIGNATURE |headRemainder| ((|Record| (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (SIGNATURE |remainder| ((|Record| (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (SIGNATURE |rewriteIdealWithHeadRemainder| ((|List| |t#4|) (|List| |t#4|) $)) (SIGNATURE |rewriteIdealWithRemainder| ((|List| |t#4|) (|List| |t#4|) $)) (SIGNATURE |triangular?| ((|Boolean|) $))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|List| |#4|)) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#4|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|HomogeneousAggregate| |#4|) . T) ((|InnerEvalable| |#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|SetCategory|) . T) ((|Type|) . T)) 
+((|unprotectedRemoveRedundantFactors| (((|List| |#4|) |#4| |#4|) 114)) (|univariatePolynomialsGcds| (((|List| |#4|) (|List| |#4|) (|Boolean|)) 103 (|has| |#1| (|GcdDomain|))) (((|List| |#4|) (|List| |#4|)) 104 (|has| |#1| (|GcdDomain|)))) (|univariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) 34)) (|univariate?| (((|Boolean|) |#4|) 33)) (|squareFreeFactors| (((|List| |#4|) |#4|) 100 (|has| |#1| (|GcdDomain|)))) (|selectPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|)) 19)) (|selectOrPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) 21)) (|selectAndPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) 22)) (|roughBasicSet| (((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|)) 72)) (|rewriteSetByReducingWithParticularGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) 84)) (|rewriteIdealWithQuasiMonicGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) 107)) (|removeSquaresIfCan| (((|List| |#4|) (|List| |#4|)) 106)) (|removeRoughlyRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|)) 47) (((|List| |#4|) (|List| |#4|) (|List| |#4|)) 49)) (|removeRoughlyRedundantFactorsInPol| ((|#4| |#4| (|List| |#4|)) 48)) (|removeRoughlyRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) 110 (|has| |#1| (|GcdDomain|)))) (|removeRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) 113 (|has| |#1| (|GcdDomain|)))) (|removeRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) 112 (|has| |#1| (|GcdDomain|)))) (|removeRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|))) 86) (((|List| |#4|) (|List| |#4|) (|List| |#4|)) 88) (((|List| |#4|) (|List| |#4|) |#4|) 117) (((|List| |#4|) |#4| |#4|) 115) (((|List| |#4|) (|List| |#4|)) 87)) (|removeIrreducibleRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) 97 (AND (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|EuclideanDomain|))))) (|quasiMonicPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) 40)) (|probablyZeroDim?| (((|Boolean|) (|List| |#4|)) 61)) (|possiblyNewVariety?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) 52)) (|linearPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) 28)) (|linear?| (((|Boolean|) |#4|) 27)) (|lazyIrreducibleFactors| (((|List| |#4|) (|List| |#4|)) 96 (AND (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|EuclideanDomain|))))) (|irreducibleFactors| (((|List| |#4|) (|List| |#4|)) 95 (AND (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|EuclideanDomain|))))) (|interReduce| (((|List| |#4|) (|List| |#4|)) 65)) (|crushedSet| (((|List| |#4|) (|List| |#4|)) 78)) (|certainlySubVariety?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 50)) (|bivariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) 38)) (|bivariate?| (((|Boolean|) |#4|) 35))) 
+(((|PolynomialSetUtilitiesPackage| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) |#4| |#4|)) (SIGNATURE |removeSquaresIfCan| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |unprotectedRemoveRedundantFactors| ((|List| |#4|) |#4| |#4|)) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|) |#4|)) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|)))) (SIGNATURE |certainlySubVariety?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |possiblyNewVariety?| ((|Boolean|) (|List| |#4|) (|List| (|List| |#4|)))) (SIGNATURE |probablyZeroDim?| ((|Boolean|) (|List| |#4|))) (SIGNATURE |selectPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|))) (SIGNATURE |selectOrPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|))) (SIGNATURE |selectAndPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|))) (SIGNATURE |quasiMonicPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |univariate?| ((|Boolean|) |#4|)) (SIGNATURE |univariatePolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |linear?| ((|Boolean|) |#4|)) (SIGNATURE |linearPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |bivariate?| ((|Boolean|) |#4|)) (SIGNATURE |bivariatePolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |removeRoughlyRedundantFactorsInPols| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRoughlyRedundantFactorsInPols| ((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|))) (SIGNATURE |removeRoughlyRedundantFactorsInPol| (|#4| |#4| (|List| |#4|))) (SIGNATURE |interReduce| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |roughBasicSet| ((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|))) (SIGNATURE |crushedSet| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |rewriteSetByReducingWithParticularGenerators| ((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |rewriteIdealWithQuasiMonicGenerators| ((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |squareFreeFactors| ((|List| |#4|) |#4|)) (SIGNATURE |univariatePolynomialsGcds| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |univariatePolynomialsGcds| ((|List| |#4|) (|List| |#4|) (|Boolean|))) (SIGNATURE |removeRoughlyRedundantFactorsInContents| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactorsInContents| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactorsInPols| ((|List| |#4|) (|List| |#4|) (|List| |#4|)))) |noBranch|) (IF (|has| |#1| (|EuclideanDomain|)) (IF (|has| |#1| (|CharacteristicZero|)) (PROGN (SIGNATURE |irreducibleFactors| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |lazyIrreducibleFactors| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |removeIrreducibleRedundantFactors| ((|List| |#4|) (|List| |#4|) (|List| |#4|)))) |noBranch|) |noBranch|)) (|IntegralDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|)) (T |PolynomialSetUtilitiesPackage|)) 
+((|removeIrreducibleRedundantFactors| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|lazyIrreducibleFactors| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|irreducibleFactors| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|removeRedundantFactorsInPols| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|removeRedundantFactorsInContents| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|removeRoughlyRedundantFactorsInContents| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|univariatePolynomialsGcds| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)))) (|univariatePolynomialsGcds| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|squareFreeFactors| (*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|rewriteIdealWithQuasiMonicGenerators| (*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)))) (|rewriteSetByReducingWithParticularGenerators| (*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|Mapping| (|Boolean|) *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *6 *7 *8 *9)))) (|crushedSet| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|roughBasicSet| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |bas| (|GeneralTriangularSet| *4 *5 *6 *7)) (|:| |top| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|interReduce| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|removeRoughlyRedundantFactorsInPol| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *2)))) (|removeRoughlyRedundantFactorsInPols| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)))) (|removeRoughlyRedundantFactorsInPols| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|bivariatePolynomials| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|bivariate?| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|linearPolynomials| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|linear?| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|univariatePolynomials| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|univariate?| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|quasiMonicPolynomials| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) (|selectAndPolynomials| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) (|selectOrPolynomials| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) (|selectPolynomials| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) (|probablyZeroDim?| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)))) (|possiblyNewVariety?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)))) (|certainlySubVariety?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)))) (|removeRedundantFactors| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *7) (|List| *7))) (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)))) (|removeRedundantFactors| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|removeRedundantFactors| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)))) (|unprotectedRemoveRedundantFactors| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|removeSquaresIfCan| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) (|removeRedundantFactors| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|removeRedundantFactors| (*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) |#4| |#4|)) (SIGNATURE |removeSquaresIfCan| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |unprotectedRemoveRedundantFactors| ((|List| |#4|) |#4| |#4|)) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|) |#4|)) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactors| ((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|)))) (SIGNATURE |certainlySubVariety?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |possiblyNewVariety?| ((|Boolean|) (|List| |#4|) (|List| (|List| |#4|)))) (SIGNATURE |probablyZeroDim?| ((|Boolean|) (|List| |#4|))) (SIGNATURE |selectPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|))) (SIGNATURE |selectOrPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|))) (SIGNATURE |selectAndPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|))) (SIGNATURE |quasiMonicPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |univariate?| ((|Boolean|) |#4|)) (SIGNATURE |univariatePolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |linear?| ((|Boolean|) |#4|)) (SIGNATURE |linearPolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |bivariate?| ((|Boolean|) |#4|)) (SIGNATURE |bivariatePolynomials| ((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|))) (SIGNATURE |removeRoughlyRedundantFactorsInPols| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRoughlyRedundantFactorsInPols| ((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|))) (SIGNATURE |removeRoughlyRedundantFactorsInPol| (|#4| |#4| (|List| |#4|))) (SIGNATURE |interReduce| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |roughBasicSet| ((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|))) (SIGNATURE |crushedSet| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |rewriteSetByReducingWithParticularGenerators| ((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |rewriteIdealWithQuasiMonicGenerators| ((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |squareFreeFactors| ((|List| |#4|) |#4|)) (SIGNATURE |univariatePolynomialsGcds| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |univariatePolynomialsGcds| ((|List| |#4|) (|List| |#4|) (|Boolean|))) (SIGNATURE |removeRoughlyRedundantFactorsInContents| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactorsInContents| ((|List| |#4|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |removeRedundantFactorsInPols| ((|List| |#4|) (|List| |#4|) (|List| |#4|)))) |noBranch|) (IF (|has| |#1| (|EuclideanDomain|)) (IF (|has| |#1| (|CharacteristicZero|)) (PROGN (SIGNATURE |irreducibleFactors| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |lazyIrreducibleFactors| ((|List| |#4|) (|List| |#4|))) (SIGNATURE |removeIrreducibleRedundantFactors| ((|List| |#4|) (|List| |#4|) (|List| |#4|)))) |noBranch|) |noBranch|)) 
+((|normalForm| (((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) 19)) (|companionBlocks| (((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) 35)) (|changeBase| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) 16))) 
+(((|PseudoLinearNormalForm| |#1|) (CATEGORY |package| (SIGNATURE |normalForm| ((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |changeBase| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |companionBlocks| ((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)))) (|Field|)) (T |PseudoLinearNormalForm|)) 
+((|companionBlocks| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5))))) (|isDomain| *1 (|PseudoLinearNormalForm| *5)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)))) (|changeBase| (*1 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PseudoLinearNormalForm| *5)))) (|normalForm| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Automorphism| *6)) (|isDomain| *5 (|Mapping| *6 *6)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| R (|Matrix| *6)) (|:| A (|Matrix| *6)) (|:| |Ainv| (|Matrix| *6)))) (|isDomain| *1 (|PseudoLinearNormalForm| *6)) (|isDomain| *3 (|Matrix| *6))))) 
+(CATEGORY |package| (SIGNATURE |normalForm| ((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |changeBase| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|))) (SIGNATURE |companionBlocks| ((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)))) 
+((|squareFree| (((|Factored| |#4|) |#4|) 47))) 
+(((|PolynomialSquareFree| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |squareFree| ((|Factored| |#4|) |#4|))) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|GcdDomain|) (|PolynomialCategory| |#3| |#2| |#1|)) (T |PolynomialSquareFree|)) 
+((|squareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PolynomialSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(CATEGORY |package| (SIGNATURE |squareFree| ((|Factored| |#4|) |#4|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) 105 (|has| |#1| (|AbelianMonoid|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) 91) (((|Boolean|) $) 85 (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 81 (AND (|has| |#1| (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) |#1|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|reverse!| (($ $) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 93)) (|removeDuplicates| (($ $) 73 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 72 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 71 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 48)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) 90) (((|Integer|) |#1| $) 89 (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) 88 (|has| |#1| (|SetCategory|)))) (|point| (($ (|List| |#1|)) 110)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| |#1|) $ $) 98 (|has| |#1| (|Ring|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 80 (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 79 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 59)) (|magnitude| ((|#1| $) 95 (AND (|has| |#1| (|Ring|)) (|has| |#1| (|RadicalCategory|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|length| ((|#1| $) 96 (AND (|has| |#1| (|Ring|)) (|has| |#1| (|RadicalCategory|))))) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 66)) (|fill!| (($ $ |#1|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extend| (($ $ (|List| |#1|)) 107)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) |#1|) 47) ((|#1| $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58)) (|dot| ((|#1| $ $) 99 (|has| |#1| (|Ring|)))) (|dimension| (((|PositiveInteger|) $) 109)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|cross| (($ $ $) 97)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 84 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (($ (|List| |#1|)) 108)) (|construct| (($ (|List| |#1|)) 65)) (|concat| (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 77 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 76 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) 78 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (- (($ $) 104 (|has| |#1| (|AbelianGroup|))) (($ $ $) 103 (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) 106 (|has| |#1| (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) 102 (|has| |#1| (|AbelianGroup|))) (($ |#1| $) 101 (|has| |#1| (|Monoid|))) (($ $ |#1|) 100 (|has| |#1| (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|PointCategory| |#1|) (|Category|) (|Ring|)) (T |PointCategory|)) 
+((|point| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) (|dimension| (*1 *2 *1) (AND (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PositiveInteger|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) (|cross| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|PointCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|extend| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|VectorCategory| |t#1|) (CATEGORY |domain| (SIGNATURE |point| ($ (|List| |t#1|))) (SIGNATURE |dimension| ((|PositiveInteger|) $)) (SIGNATURE |convert| ($ (|List| |t#1|))) (SIGNATURE |cross| ($ $ $)) (SIGNATURE |extend| ($ $ (|List| |t#1|))))) 
+(((|Aggregate|) . T) ((|BasicType|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|FiniteLinearAggregate| |#1|) . T) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|OneDimensionalArrayAggregate| |#1|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|SetCategory|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Type|) . T) ((|VectorCategory| |#1|) . T)) 
+((|map| (((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)) 17))) 
+(((|PointFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)))) (|Ring|) (|Ring|)) (T |PointFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Point| *6)) (|isDomain| *1 (|PointFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)))) 
+((|zCoord| ((|#1| (|Point| |#1|)) 13)) (|yCoord| ((|#1| (|Point| |#1|)) 12)) (|xCoord| ((|#1| (|Point| |#1|)) 11)) (|thetaCoord| ((|#1| (|Point| |#1|)) 15)) (|shade| ((|#1| (|Point| |#1|)) 21)) (|rCoord| ((|#1| (|Point| |#1|)) 14)) (|phiCoord| ((|#1| (|Point| |#1|)) 16)) (|hue| ((|#1| (|Point| |#1|)) 20)) (|color| ((|#1| (|Point| |#1|)) 19))) 
+(((|PointPackage| |#1|) (CATEGORY |package| (SIGNATURE |xCoord| (|#1| (|Point| |#1|))) (SIGNATURE |yCoord| (|#1| (|Point| |#1|))) (SIGNATURE |zCoord| (|#1| (|Point| |#1|))) (SIGNATURE |rCoord| (|#1| (|Point| |#1|))) (SIGNATURE |thetaCoord| (|#1| (|Point| |#1|))) (SIGNATURE |phiCoord| (|#1| (|Point| |#1|))) (SIGNATURE |color| (|#1| (|Point| |#1|))) (SIGNATURE |hue| (|#1| (|Point| |#1|))) (SIGNATURE |shade| (|#1| (|Point| |#1|)))) (|Ring|)) (T |PointPackage|)) 
+((|shade| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|hue| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|color| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|phiCoord| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|thetaCoord| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|rCoord| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|zCoord| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|yCoord| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|)))) (|xCoord| (*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(CATEGORY |package| (SIGNATURE |xCoord| (|#1| (|Point| |#1|))) (SIGNATURE |yCoord| (|#1| (|Point| |#1|))) (SIGNATURE |zCoord| (|#1| (|Point| |#1|))) (SIGNATURE |rCoord| (|#1| (|Point| |#1|))) (SIGNATURE |thetaCoord| (|#1| (|Point| |#1|))) (SIGNATURE |phiCoord| (|#1| (|Point| |#1|))) (SIGNATURE |color| (|#1| (|Point| |#1|))) (SIGNATURE |hue| (|#1| (|Point| |#1|))) (SIGNATURE |shade| (|#1| (|Point| |#1|)))) 
+((|tanhIfCan| (((|Union| |#1| "failed") |#1|) 18)) (|tanIfCan| (((|Union| |#1| "failed") |#1|) 6)) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) 16)) (|sinIfCan| (((|Union| |#1| "failed") |#1|) 4)) (|sechIfCan| (((|Union| |#1| "failed") |#1|) 20)) (|secIfCan| (((|Union| |#1| "failed") |#1|) 8)) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) 1)) (|logIfCan| (((|Union| |#1| "failed") |#1|) 3)) (|expIfCan| (((|Union| |#1| "failed") |#1|) 2)) (|cschIfCan| (((|Union| |#1| "failed") |#1|) 21)) (|cscIfCan| (((|Union| |#1| "failed") |#1|) 9)) (|cothIfCan| (((|Union| |#1| "failed") |#1|) 19)) (|cotIfCan| (((|Union| |#1| "failed") |#1|) 7)) (|coshIfCan| (((|Union| |#1| "failed") |#1|) 17)) (|cosIfCan| (((|Union| |#1| "failed") |#1|) 5)) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) 24)) (|atanIfCan| (((|Union| |#1| "failed") |#1|) 12)) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) 22)) (|asinIfCan| (((|Union| |#1| "failed") |#1|) 10)) (|asechIfCan| (((|Union| |#1| "failed") |#1|) 26)) (|asecIfCan| (((|Union| |#1| "failed") |#1|) 14)) (|acschIfCan| (((|Union| |#1| "failed") |#1|) 27)) (|acscIfCan| (((|Union| |#1| "failed") |#1|) 15)) (|acothIfCan| (((|Union| |#1| "failed") |#1|) 25)) (|acotIfCan| (((|Union| |#1| "failed") |#1|) 13)) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) 23)) (|acosIfCan| (((|Union| |#1| "failed") |#1|) 11))) 
+(((|PartialTranscendentalFunctions| |#1|) (|Category|) (|TranscendentalFunctionCategory|)) (T |PartialTranscendentalFunctions|)) 
+((|acschIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|asechIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|acothIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|atanhIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|acoshIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|asinhIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|cschIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|sechIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|cothIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|tanhIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|coshIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|sinhIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|acscIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|asecIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|acotIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|atanIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|acosIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|asinIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|cscIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|secIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|cotIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|tanIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|cosIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|sinIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|logIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|expIfCan| (*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) (|nthRootIfCan| (*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(|Join| (CATEGORY |package| (SIGNATURE |nthRootIfCan| ((|Union| |t#1| "failed") |t#1| (|NonNegativeInteger|))) (SIGNATURE |expIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |logIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |sinIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |cosIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |tanIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |cotIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |secIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |cscIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |asinIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |acosIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |atanIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |acotIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |asecIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |acscIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |sinhIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |coshIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |tanhIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |cothIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |sechIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |cschIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |asinhIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |acoshIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |atanhIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |acothIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |asechIfCan| ((|Union| |t#1| "failed") |t#1|)) (SIGNATURE |acschIfCan| ((|Union| |t#1| "failed") |t#1|)))) 
+((|pushup| ((|#4| |#4| (|List| |#3|)) 55) ((|#4| |#4| |#3|) 54)) (|pushdown| ((|#4| |#4| (|List| |#3|)) 23) ((|#4| |#4| |#3|) 19)) (|map| ((|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|) 30))) 
+(((|PushVariables| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |pushdown| (|#4| |#4| |#3|)) (SIGNATURE |pushdown| (|#4| |#4| (|List| |#3|))) (SIGNATURE |pushup| (|#4| |#4| |#3|)) (SIGNATURE |pushup| (|#4| |#4| (|List| |#3|))) (SIGNATURE |map| (|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|))) (|Ring|) (|OrderedAbelianMonoidSup|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|))))) (|PolynomialCategory| (|Polynomial| |#1|) |#2| |#3|)) (T |PushVariables|)) 
+((|map| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *2 (|Polynomial| *4))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)))) (|pushup| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)))) (|pushup| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) (|pushdown| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)))) (|pushdown| (*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3))))) 
+(CATEGORY |package| (SIGNATURE |pushdown| (|#4| |#4| |#3|)) (SIGNATURE |pushdown| (|#4| |#4| (|List| |#3|))) (SIGNATURE |pushup| (|#4| |#4| |#3|)) (SIGNATURE |pushup| (|#4| |#4| (|List| |#3|))) (SIGNATURE |map| (|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|))) 
+((|reducedDiscriminant| ((|#2| |#3|) 34)) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) 71)) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) 86))) 
+(((|PAdicWildFunctionFieldIntegralBasis| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|)) (SIGNATURE |reducedDiscriminant| (|#2| |#3|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| |#2|) (|MonogenicAlgebra| |#2| |#3|)) (T |PAdicWildFunctionFieldIntegralBasis|)) 
+((|reducedDiscriminant| (*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *2 *3 *5)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|MonogenicAlgebra| *2 *3)))) (|localIntegralBasis| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *3 *5)))) (|integralBasis| (*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|)) (SIGNATURE |reducedDiscriminant| (|#2| |#3|))) 
+((|radicalSimplify| (((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) 64))) 
+(((|QuasiAlgebraicSet2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |radicalSimplify| ((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))))) (|List| (|Symbol|)) (|NonNegativeInteger|)) (T |QuasiAlgebraicSet2|)) 
+((|radicalSimplify| (*1 *2 *2) (AND (|isDomain| *2 (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| *3) (|DirectProduct| *4 (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|QuasiAlgebraicSet2| *3 *4))))) 
+(CATEGORY |package| (SIGNATURE |radicalSimplify| ((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))))) 
+((~= (((|Boolean|) $ $) NIL)) (|status| (((|Union| (|Boolean|) "failed") $) 67)) (|simplify| (($ $) 35 (AND (|has| |#1| (|CharacteristicZero|)) (|has| |#1| (|EuclideanDomain|))))) (|setStatus| (($ $ (|Union| (|Boolean|) "failed")) 68)) (|quasiAlgebraicSet| (($ (|List| |#4|) |#4|) 24)) (|latex| (((|String|) $) NIL)) (|idealSimplify| (($ $) 65)) (|hash| (((|SingleInteger|) $) NIL)) (|empty?| (((|Boolean|) $) 66)) (|empty| (($) 29)) (|definingInequation| ((|#4| $) 70)) (|definingEquations| (((|List| |#4|) $) 69)) (|coerce| (((|OutputForm|) $) 64)) (= (((|Boolean|) $ $) NIL))) 
+(((|QuasiAlgebraicSet| |#1| |#2| |#3| |#4|) (|Join| (|SetCategory|) (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |empty| ($)) (SIGNATURE |quasiAlgebraicSet| ($ (|List| |#4|) |#4|)) (SIGNATURE |status| ((|Union| (|Boolean|) "failed") $)) (SIGNATURE |setStatus| ($ $ (|Union| (|Boolean|) "failed"))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |definingEquations| ((|List| |#4|) $)) (SIGNATURE |definingInequation| (|#4| $)) (SIGNATURE |idealSimplify| ($ $)) (IF (|has| |#1| (|EuclideanDomain|)) (IF (|has| |#1| (|CharacteristicZero|)) (SIGNATURE |simplify| ($ $)) |noBranch|) |noBranch|))) (|GcdDomain|) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|PolynomialCategory| |#1| |#3| |#2|)) (T |QuasiAlgebraicSet|)) 
+((|empty| (*1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) (|quasiAlgebraicSet| (*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *4 *5 *6 *3)))) (|status| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) (|setStatus| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Union| (|Boolean|) "failed")) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) (|empty?| (*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) (|definingEquations| (*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) (|definingInequation| (*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)))) (|idealSimplify| (*1 *1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) (|simplify| (*1 *1 *1) (AND (|ofCategory| *2 (|CharacteristicZero|)) (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3))))) 
+(|Join| (|SetCategory|) (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |empty| ($)) (SIGNATURE |quasiAlgebraicSet| ($ (|List| |#4|) |#4|)) (SIGNATURE |status| ((|Union| (|Boolean|) "failed") $)) (SIGNATURE |setStatus| ($ $ (|Union| (|Boolean|) "failed"))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |definingEquations| ((|List| |#4|) $)) (SIGNATURE |definingInequation| (|#4| $)) (SIGNATURE |idealSimplify| ($ $)) (IF (|has| |#1| (|EuclideanDomain|)) (IF (|has| |#1| (|CharacteristicZero|)) (SIGNATURE |simplify| ($ $)) |noBranch|) |noBranch|))) 
+((|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) 37)) (|subTriSet?| (((|Boolean|) |#5| |#5|) 51)) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) 73) (((|Boolean|) |#5| |#5|) 60)) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 57)) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) 62)) (|stopTable!| (((|Void|)) 33)) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) 29)) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) 80)) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) 78)) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) 100)) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) 46)) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) 70)) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 56)) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 58)) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 59)) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 96)) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) 42))) 
+(((|QuasiComponentPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |startTable!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTable!| ((|Void|))) (SIGNATURE |supDimElseRittWu?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |algebraicSort| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |moreAlgebraic?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subTriSet?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalInfRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |infRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubQuasiComponent?| ((|Union| (|Boolean|) "failed") |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| (|List| |#5|))) (SIGNATURE |removeSuperfluousQuasiComponents| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |subCase?| ((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |removeSuperfluousCases| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (SIGNATURE |prepareDecompose| ((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |branchIfCan| ((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |QuasiComponentPackage|)) 
+((|branchIfCan| (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) (|prepareDecompose| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9)))) (|removeSuperfluousCases| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) (|subCase?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)))) (|removeSuperfluousQuasiComponents| (*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) (|subQuasiComponent?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *5 *6 *7 *8 *3)))) (|subQuasiComponent?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|internalSubQuasiComponent?| (*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|infRittWu?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|internalInfRittWu?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|internalSubPolSet?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|subPolSet?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|subTriSet?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|moreAlgebraic?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|algebraicSort| (*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) (|supDimElseRittWu?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|stopTable!| (*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) (|startTable!| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |startTable!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTable!| ((|Void|))) (SIGNATURE |supDimElseRittWu?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |algebraicSort| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |moreAlgebraic?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subTriSet?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalInfRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |infRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubQuasiComponent?| ((|Union| (|Boolean|) "failed") |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| (|List| |#5|))) (SIGNATURE |removeSuperfluousQuasiComponents| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |subCase?| ((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |removeSuperfluousCases| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (SIGNATURE |prepareDecompose| ((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |branchIfCan| ((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)))) 
+((|variable| (((|Symbol|) $) 15)) (|value| (((|String|) $) 16)) (|equation| (($ (|Symbol|) (|String|)) 14)) (|coerce| (((|OutputForm|) $) 13))) 
+(((|QueryEquation|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |equation| ($ (|Symbol|) (|String|))) (SIGNATURE |variable| ((|Symbol|) $)) (SIGNATURE |value| ((|String|) $))))) (T |QueryEquation|)) 
+((|equation| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|QueryEquation|)))) (|variable| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|QueryEquation|)))) (|value| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|QueryEquation|))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |equation| ($ (|Symbol|) (|String|))) (SIGNATURE |variable| ((|Symbol|) $)) (SIGNATURE |value| ((|String|) $)))) 
+((|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) 14))) 
+(((|QuotientFieldCategoryFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#2| |#1|) |#3|))) (|IntegralDomain|) (|IntegralDomain|) (|QuotientFieldCategory| |#1|) (|QuotientFieldCategory| |#2|)) (T |QuotientFieldCategoryFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|QuotientFieldCategory| *6)) (|isDomain| *1 (|QuotientFieldCategoryFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|QuotientFieldCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#2| |#1|) |#3|))) 
+((|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) 65) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) 95)) (|retract| ((|#2| $) NIL) (((|Symbol|) $) 60) (((|Fraction| (|Integer|)) $) NIL) (((|Integer|) $) 92)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) 112) (((|Matrix| |#2|) (|Matrix| $)) 28)) (|random| (($) 98)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 74) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 83)) (|numerator| (($ $) 10)) (|nextItem| (((|Union| $ "failed") $) 20)) (|map| (($ (|Mapping| |#2| |#2|) $) 22)) (|init| (($) 16)) (|fractionPart| (($ $) 54)) (|differentiate| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) 36)) (|denominator| (($ $) 12)) (|convert| (((|Pattern| (|Integer|)) $) 69) (((|Pattern| (|Float|)) $) 78) (((|InputForm|) $) 40) (((|Float|) $) 44) (((|DoubleFloat|) $) 47)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) 90) (($ |#2|) NIL) (($ (|Symbol|)) 57)) (|characteristic| (((|NonNegativeInteger|)) 31)) (< (((|Boolean|) $ $) 50))) 
+(((|QuotientFieldCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |convert| ((|DoubleFloat|) |#1|)) (SIGNATURE |convert| ((|Float|) |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |retract| ((|Symbol|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Symbol|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Symbol|))) (SIGNATURE |random| (|#1|)) (SIGNATURE |fractionPart| (|#1| |#1|)) (SIGNATURE |denominator| (|#1| |#1|)) (SIGNATURE |numerator| (|#1| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|QuotientFieldCategory| |#2|) (|IntegralDomain|)) (T |QuotientFieldCategory&|)) 
+((|characteristic| (*1 *2) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuotientFieldCategory&| *3 *4)) (|ofCategory| *3 (|QuotientFieldCategory| *4))))) 
+(CATEGORY |domain| (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |convert| ((|DoubleFloat|) |#1|)) (SIGNATURE |convert| ((|Float|) |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |retract| ((|Symbol|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Symbol|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|Symbol|))) (SIGNATURE |random| (|#1|)) (SIGNATURE |fractionPart| (|#1| |#1|)) (SIGNATURE |denominator| (|#1| |#1|)) (SIGNATURE |numerator| (|#1| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|))) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |reducedSystem| ((|Matrix| |#2|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|wholePart| ((|#1| $) 137 (|has| |#1| (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 128 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 131 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sign| (((|Integer|) $) 118 (|has| |#1| (|OrderedIntegralDomain|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 176) (((|Union| (|Symbol|) "failed") $) 126 (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 110 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) 108 (|has| |#1| (|RetractableTo| (|Integer|))))) (|retract| ((|#1| $) 175) (((|Symbol|) $) 125 (|has| |#1| (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) 109 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Integer|) $) 107 (|has| |#1| (|RetractableTo| (|Integer|))))) (|rem| (($ $ $) 54)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 150 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 149 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 148) (((|Matrix| |#1|) (|Matrix| $)) 147)) (|recip| (((|Union| $ "failed") $) 33)) (|random| (($) 135 (|has| |#1| (|IntegerNumberSystem|)))) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|positive?| (((|Boolean|) $) 120 (|has| |#1| (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 144 (|has| |#1| (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 143 (|has| |#1| (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) 30)) (|numerator| (($ $) 139)) (|numer| ((|#1| $) 141)) (|nextItem| (((|Union| $ "failed") $) 106 (|has| |#1| (|StepThrough|)))) (|negative?| (((|Boolean|) $) 119 (|has| |#1| (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|min| (($ $ $) 116 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 115 (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 167)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|init| (($) 105 (|has| |#1| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fractionPart| (($ $) 136 (|has| |#1| (|EuclideanDomain|)))) (|floor| ((|#1| $) 133 (|has| |#1| (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 130 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 129 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) 173 (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) 172 (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) 171 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) 170 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 169 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) 168 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|elt| (($ $ |#1|) 174 (|has| |#1| (|Eltable| |#1| |#1|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|differentiate| (($ $) 166 (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) 164 (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) 162 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 161 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 160 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 159 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 152) (($ $ (|Mapping| |#1| |#1|)) 151)) (|denominator| (($ $) 138)) (|denom| ((|#1| $) 140)) (|convert| (((|Pattern| (|Integer|)) $) 146 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) 145 (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) 123 (|has| |#1| (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) 122 (|has| |#1| (|RealConstant|))) (((|DoubleFloat|) $) 121 (|has| |#1| (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 132 (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ |#1|) 179) (($ (|Symbol|)) 127 (|has| |#1| (|RetractableTo| (|Symbol|))))) (|charthRoot| (((|Union| $ "failed") $) 124 (OR (|has| |#1| (|CharacteristicNonZero|)) (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|)))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|ceiling| ((|#1| $) 134 (|has| |#1| (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) 38)) (|abs| (($ $) 117 (|has| |#1| (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $) 165 (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) 163 (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) 158 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 157 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 156 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 155 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 154) (($ $ (|Mapping| |#1| |#1|)) 153)) (>= (((|Boolean|) $ $) 113 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 112 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 114 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 111 (|has| |#1| (|OrderedSet|)))) (/ (($ $ $) 64) (($ |#1| |#1|) 142)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ |#1| $) 178) (($ $ |#1|) 177))) 
+(((|QuotientFieldCategory| |#1|) (|Category|) (|IntegralDomain|)) (T |QuotientFieldCategory|)) 
+((/ (*1 *1 *2 *2) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|numer| (*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|denom| (*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|numerator| (*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|denominator| (*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) (|wholePart| (*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) (|fractionPart| (*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) (|random| (*1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|ofCategory| *2 (|IntegralDomain|)))) (|ceiling| (*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) (|floor| (*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(|Join| (|Field|) (|Algebra| |t#1|) (|RetractableTo| |t#1|) (|FullyEvalableOver| |t#1|) (|DifferentialExtension| |t#1|) (|FullyLinearlyExplicitRingOver| |t#1|) (|Patternable| |t#1|) (|FullyPatternMatchable| |t#1|) (CATEGORY |domain| (SIGNATURE / ($ |t#1| |t#1|)) (SIGNATURE |numer| (|t#1| $)) (SIGNATURE |denom| (|t#1| $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (IF (|has| |t#1| (|StepThrough|)) (ATTRIBUTE (|StepThrough|)) |noBranch|) (IF (|has| |t#1| (|RetractableTo| (|Integer|))) (PROGN (ATTRIBUTE (|RetractableTo| (|Integer|))) (ATTRIBUTE (|RetractableTo| (|Fraction| (|Integer|))))) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) (IF (|has| |t#1| (|OrderedIntegralDomain|)) (ATTRIBUTE (|OrderedIntegralDomain|)) |noBranch|) (IF (|has| |t#1| (|RealConstant|)) (ATTRIBUTE (|RealConstant|)) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |t#1| (|RetractableTo| (|Symbol|))) (ATTRIBUTE (|RetractableTo| (|Symbol|))) |noBranch|) (IF (|has| |t#1| (|EuclideanDomain|)) (PROGN (SIGNATURE |wholePart| (|t#1| $)) (SIGNATURE |fractionPart| ($ $))) |noBranch|) (IF (|has| |t#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |random| ($)) (SIGNATURE |ceiling| (|t#1| $)) (SIGNATURE |floor| (|t#1| $))) |noBranch|) (IF (|has| |t#1| (|PolynomialFactorizationExplicit|)) (ATTRIBUTE (|PolynomialFactorizationExplicit|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| |#1|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| (|DoubleFloat|)) |has| |#1| (|RealConstant|)) ((|ConvertibleTo| (|Float|)) |has| |#1| (|RealConstant|)) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|ConvertibleTo| (|Pattern| (|Float|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) ((|ConvertibleTo| (|Pattern| (|Integer|))) |has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) ((|DifferentialExtension| |#1|) . T) ((|DifferentialRing|) |has| |#1| (|DifferentialRing|)) ((|DivisionRing|) . T) ((|Eltable| |#1| $) |has| |#1| (|Eltable| |#1| |#1|)) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Evalable| |#1|) |has| |#1| (|Evalable| |#1|)) ((|Field|) . T) ((|FullyEvalableOver| |#1|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyPatternMatchable| |#1|) . T) ((|GcdDomain|) . T) ((|InnerEvalable| (|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|InnerEvalable| |#1| |#1|) |has| |#1| (|Evalable| |#1|)) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| |#1|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) |has| |#1| (|OrderedIntegralDomain|)) ((|OrderedAbelianMonoid|) |has| |#1| (|OrderedIntegralDomain|)) ((|OrderedAbelianSemiGroup|) |has| |#1| (|OrderedIntegralDomain|)) ((|OrderedCancellationAbelianMonoid|) |has| |#1| (|OrderedIntegralDomain|)) ((|OrderedIntegralDomain|) |has| |#1| (|OrderedIntegralDomain|)) ((|OrderedRing|) |has| |#1| (|OrderedIntegralDomain|)) ((|OrderedSet|) OR (|has| |#1| (|OrderedSet|)) (|has| |#1| (|OrderedIntegralDomain|))) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|PatternMatchable| (|Float|)) |has| |#1| (|PatternMatchable| (|Float|))) ((|PatternMatchable| (|Integer|)) |has| |#1| (|PatternMatchable| (|Integer|))) ((|Patternable| |#1|) . T) ((|PolynomialFactorizationExplicit|) |has| |#1| (|PolynomialFactorizationExplicit|)) ((|PrincipalIdealDomain|) . T) ((|RealConstant|) |has| |#1| (|RealConstant|)) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| (|Symbol|)) |has| |#1| (|RetractableTo| (|Symbol|))) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| |#1|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) |has| |#1| (|StepThrough|)) ((|Type|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|quadraticForm| (($ (|SquareMatrix| |#1| |#2|)) 11)) (|matrix| (((|SquareMatrix| |#1| |#2|) $) 12)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#2| $ (|DirectProduct| |#1| |#2|)) 16)) (|coerce| (((|OutputForm|) $) NIL)) (|Zero| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL))) 
+(((|QuadraticForm| |#1| |#2|) (|Join| (|AbelianGroup|) (CATEGORY |domain| (SIGNATURE |quadraticForm| ($ (|SquareMatrix| |#1| |#2|))) (SIGNATURE |matrix| ((|SquareMatrix| |#1| |#2|) $)) (SIGNATURE |elt| (|#2| $ (|DirectProduct| |#1| |#2|))))) (|PositiveInteger|) (|Field|)) (T |QuadraticForm|)) 
+((|quadraticForm| (*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|QuadraticForm| *3 *4)))) (|matrix| (*1 *2 *1) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|isDomain| *1 (|QuadraticForm| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 (|DirectProduct| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|QuadraticForm| *4 *2))))) 
+(|Join| (|AbelianGroup|) (CATEGORY |domain| (SIGNATURE |quadraticForm| ($ (|SquareMatrix| |#1| |#2|))) (SIGNATURE |matrix| ((|SquareMatrix| |#1| |#2|) $)) (SIGNATURE |elt| (|#2| $ (|DirectProduct| |#1| |#2|))))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|rotate!| (($ $) 43)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|length| (((|NonNegativeInteger|) $) 42)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|front| ((|#1| $) 41)) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|enqueue!| ((|#1| |#1| $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|dequeue!| ((|#1| $) 44)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|back| ((|#1| $) 40)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|QueueAggregate| |#1|) (|Category|) (|Type|)) (T |QueueAggregate|)) 
+((|enqueue!| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|dequeue!| (*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|rotate!| (*1 *1 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|length| (*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|front| (*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|back| (*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|BagAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |enqueue!| (|t#1| |t#1| $)) (SIGNATURE |dequeue!| (|t#1| $)) (SIGNATURE |rotate!| ($ $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |front| (|t#1| $)) (SIGNATURE |back| (|t#1| $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|zero?| (((|Boolean|) $) 42)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#2| "failed") $) 45)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) ((|#2| $) 43)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 78)) (|rational?| (((|Boolean|) $) 72)) (|rational| (((|Fraction| (|Integer|)) $) 76)) (|one?| (((|Boolean|) $) 41)) (|norm| ((|#2| $) 22)) (|map| (($ (|Mapping| |#2| |#2|) $) 19)) (|inv| (($ $) 61)) (|differentiate| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) 34)) (|convert| (((|InputForm|) $) 67)) (|conjugate| (($ $) 17)) (|coerce| (((|OutputForm|) $) 56) (($ (|Integer|)) 38) (($ |#2|) 36) (($ (|Fraction| (|Integer|))) NIL)) (|characteristic| (((|NonNegativeInteger|)) 10)) (|abs| ((|#2| $) 71)) (= (((|Boolean|) $ $) 25)) (< (((|Boolean|) $ $) 69)) (- (($ $) 29) (($ $ $) 28)) (+ (($ $ $) 26)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL))) 
+(((|QuaternionCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |abs| (|#2| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |conjugate| (|#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |one?| ((|Boolean|) |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|QuaternionCategory| |#2|) (|CommutativeRing|)) (T |QuaternionCategory&|)) 
+((|characteristic| (*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuaternionCategory&| *3 *4)) (|ofCategory| *3 (|QuaternionCategory| *4))))) 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)) (SIGNATURE * (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |inv| (|#1| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |abs| (|#2| |#1|)) (SIGNATURE |norm| (|#2| |#1|)) (SIGNATURE |conjugate| (|#1| |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |one?| ((|Boolean|) |#1|)) (SIGNATURE * (|#1| |#1| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE * (|#1| (|PositiveInteger|) |#1|)) (SIGNATURE + (|#1| |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 117 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 115 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) 114)) (|retract| (((|Integer|) $) 118 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 116 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) 113)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 88 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 87 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 86) (((|Matrix| |#1|) (|Matrix| $)) 85)) (|recip| (((|Union| $ "failed") $) 33)) (|real| ((|#1| $) 78)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) 74 (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) 76 (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) 75 (|has| |#1| (|IntegerNumberSystem|)))) (|quatern| (($ |#1| |#1| |#1| |#1|) 79)) (|one?| (((|Boolean|) $) 30)) (|norm| ((|#1| $) 80)) (|min| (($ $ $) 66 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 65 (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 89)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 71 (|has| |#1| (|Field|)))) (|imagK| ((|#1| $) 81)) (|imagJ| ((|#1| $) 82)) (|imagI| ((|#1| $) 83)) (|hash| (((|SingleInteger|) $) 10)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) 95 (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) 93 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) 92 (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) 91 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) 90 (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|elt| (($ $ |#1|) 96 (|has| |#1| (|Eltable| |#1| |#1|)))) (|differentiate| (($ $) 112 (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) 110 (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) 108 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 107 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 106 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 105 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 98) (($ $ (|Mapping| |#1| |#1|)) 97)) (|convert| (((|InputForm|) $) 72 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $) 84)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 36) (($ (|Fraction| (|Integer|))) 60 (OR (|has| |#1| (|Field|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (((|Union| $ "failed") $) 73 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|abs| ((|#1| $) 77 (|has| |#1| (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 70 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $) 111 (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) 109 (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) 104 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 103 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 102 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 101 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 100) (($ $ (|Mapping| |#1| |#1|)) 99)) (>= (((|Boolean|) $ $) 63 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 62 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 64 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 61 (|has| |#1| (|OrderedSet|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 69 (|has| |#1| (|Field|)))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (|Fraction| (|Integer|))) 68 (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|)) $) 67 (|has| |#1| (|Field|))))) 
+(((|QuaternionCategory| |#1|) (|Category|) (|CommutativeRing|)) (T |QuaternionCategory|)) 
+((|conjugate| (*1 *1 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagI| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagJ| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|imagK| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|norm| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|quatern| (*1 *1 *2 *2 *2 *2) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|real| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) (|abs| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) (|rational?| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) (|rational| (*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|rationalIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
+(|Join| (|Algebra| |t#1|) (|FullyRetractableTo| |t#1|) (|DifferentialExtension| |t#1|) (|FullyEvalableOver| |t#1|) (|FullyLinearlyExplicitRingOver| |t#1|) (CATEGORY |domain| (SIGNATURE |conjugate| ($ $)) (SIGNATURE |imagI| (|t#1| $)) (SIGNATURE |imagJ| (|t#1| $)) (SIGNATURE |imagK| (|t#1| $)) (SIGNATURE |norm| (|t#1| $)) (SIGNATURE |quatern| ($ |t#1| |t#1| |t#1| |t#1|)) (SIGNATURE |real| (|t#1| $)) (IF (|has| |t#1| (|EntireRing|)) (ATTRIBUTE (|EntireRing|)) |noBranch|) (IF (|has| |t#1| (|OrderedSet|)) (ATTRIBUTE (|OrderedSet|)) |noBranch|) (IF (|has| |t#1| (|Field|)) (ATTRIBUTE (|DivisionRing|)) |noBranch|) (IF (|has| |t#1| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|CharacteristicNonZero|)) |noBranch|) (IF (|has| |t#1| (|RealNumberSystem|)) (SIGNATURE |abs| (|t#1| $)) |noBranch|) (IF (|has| |t#1| (|IntegerNumberSystem|)) (PROGN (SIGNATURE |rational?| ((|Boolean|) $)) (SIGNATURE |rational| ((|Fraction| (|Integer|)) $)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Field|)) ((|Algebra| |#1|) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Field|)) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|Field|)) (|has| |#1| (|EntireRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|DifferentialExtension| |#1|) . T) ((|DifferentialRing|) |has| |#1| (|DifferentialRing|)) ((|DivisionRing|) |has| |#1| (|Field|)) ((|Eltable| |#1| $) |has| |#1| (|Eltable| |#1| |#1|)) ((|EntireRing|) OR (|has| |#1| (|Field|)) (|has| |#1| (|EntireRing|))) ((|Evalable| |#1|) |has| |#1| (|Evalable| |#1|)) ((|FullyEvalableOver| |#1|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|InnerEvalable| (|Symbol|) |#1|) |has| |#1| (|InnerEvalable| (|Symbol|) |#1|)) ((|InnerEvalable| |#1| |#1|) |has| |#1| (|Evalable| |#1|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Field|)) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Field|)) ((|Module| |#1|) . T) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Field|)) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|Field|)) (|has| |#1| (|EntireRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) 16))) 
+(((|QuaternionCategoryFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#3| (|Mapping| |#4| |#2|) |#1|))) (|QuaternionCategory| |#2|) (|CommutativeRing|) (|QuaternionCategory| |#4|) (|CommutativeRing|)) (T |QuaternionCategoryFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|QuaternionCategory| *6)) (|isDomain| *1 (|QuaternionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|QuaternionCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#3| (|Mapping| |#4| |#2|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|real| ((|#1| $) 12)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rational?| (((|Boolean|) $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|rational| (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|IntegerNumberSystem|)))) (|quatern| (($ |#1| |#1| |#1| |#1|) 16)) (|one?| (((|Boolean|) $) NIL)) (|norm| ((|#1| $) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|imagK| ((|#1| $) 15)) (|imagJ| ((|#1| $) 14)) (|imagI| ((|#1| $) 13)) (|hash| (((|SingleInteger|) $) NIL)) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|Equation| |#1|)) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Equation| |#1|))) NIL (|has| |#1| (|Evalable| |#1|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|InnerEvalable| (|Symbol|) |#1|)))) (|elt| (($ $ |#1|) NIL (|has| |#1| (|Eltable| |#1| |#1|)))) (|differentiate| (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|conjugate| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Field|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|abs| ((|#1| $) NIL (|has| |#1| (|RealNumberSystem|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 8 T CONST)) (|One| (($) 10 T CONST)) (D (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Field|))))) 
+(((|Quaternion| |#1|) (|QuaternionCategory| |#1|) (|CommutativeRing|)) (T |Quaternion|)) 
+NIL 
+(|QuaternionCategory| |#1|) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|rotate!| (($ $) 20)) (|queue| (($ (|List| |#1|)) 29)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| (((|NonNegativeInteger|) $) 22)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 24)) (|insert!| (($ |#1| $) 15)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|front| ((|#1| $) 23)) (|extract!| ((|#1| $) 19)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enqueue!| ((|#1| |#1| $) 14)) (|empty?| (((|Boolean|) $) 17)) (|empty| (($) NIL)) (|dequeue!| ((|#1| $) 18)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) NIL)) (|back| ((|#1| $) 26)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Queue| |#1|) (|Join| (|QueueAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |queue| ($ (|List| |#1|))) (SIGNATURE |dequeue!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |enqueue!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |front| (|#1| $)) (SIGNATURE |back| (|#1| $)) (SIGNATURE |rotate!| ($ $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) (|SetCategory|)) (T |Queue|)) 
+((|eq?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty| (*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|less?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) (|more?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) (|size?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) (|sample| (*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|#| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) (|any?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) (|every?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) (|count| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *4)))) (|parts| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|members| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|count| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|member?| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|latex| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|hash| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (~= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|bag| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) (|extract!| (*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|inspect| (*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|enqueue!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|dequeue!| (*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|rotate!| (*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) (|front| (*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|back| (*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) (|queue| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3))))) 
+(|Join| (|QueueAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |queue| ($ (|List| |#1|))) (SIGNATURE |dequeue!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |enqueue!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |front| (|#1| $)) (SIGNATURE |back| (|#1| $)) (SIGNATURE |rotate!| ($ $)) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) 
+((|sqrt| (($ $) 12)) (|nthRoot| (($ $ (|Integer|)) 13))) 
+(((|RadicalCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |sqrt| (|#1| |#1|)) (SIGNATURE |nthRoot| (|#1| |#1| (|Integer|)))) (|RadicalCategory|)) (T |RadicalCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |sqrt| (|#1| |#1|)) (SIGNATURE |nthRoot| (|#1| |#1| (|Integer|)))) 
+((|sqrt| (($ $) 6)) (|nthRoot| (($ $ (|Integer|)) 7)) (** (($ $ (|Fraction| (|Integer|))) 8))) 
+(((|RadicalCategory|) (|Category|)) (T |RadicalCategory|)) 
+((** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|nthRoot| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Integer|)))) (|sqrt| (*1 *1 *1) (|ofCategory| *1 (|RadicalCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |sqrt| ($ $)) (SIGNATURE |nthRoot| ($ $ (|Integer|))) (SIGNATURE ** ($ $ (|Fraction| (|Integer|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|unitCanonical| (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|unit?| (((|Boolean|) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|traceMatrix| (((|Matrix| (|Fraction| |#2|)) (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|))) NIL)) (|trace| (((|Fraction| |#2|) $) NIL)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|size| (((|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|singularAtInfinity?| (((|Boolean|)) NIL)) (|singular?| (((|Boolean|) |#1|) 147) (((|Boolean|) |#2|) 152)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Fraction| |#2|) "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| |#2|) $) NIL)) (|represents| (($ (|Vector| (|Fraction| |#2|)) (|Vector| $)) NIL) (($ (|Vector| (|Fraction| |#2|))) 70) (($ (|Vector| |#2|) |#2|) NIL)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|rem| (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|regularRepresentation| (((|Matrix| (|Fraction| |#2|)) $ (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|)) $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|Fraction| |#2|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Fraction| |#2|))) (|:| |vec| (|Vector| (|Fraction| |#2|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|)) (|Matrix| $)) NIL)) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) NIL)) (|reduce| (($ |#3|) 65) (((|Union| $ "failed") (|Fraction| |#3|)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalPoints| (((|List| (|List| |#1|))) NIL (|has| |#1| (|Finite|)))) (|rationalPoint?| (((|Boolean|) |#1| |#1|) NIL)) (|rank| (((|PositiveInteger|)) NIL)) (|random| (($) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|ramifiedAtInfinity?| (((|Boolean|)) NIL)) (|ramified?| (((|Boolean|) |#1|) 56) (((|Boolean|) |#2|) 149)) (|quo| (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|primitivePart| (($ $) NIL)) (|primitiveElement| (($) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (($ $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|order| (((|PositiveInteger|) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfComponents| (((|NonNegativeInteger|)) NIL)) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) NIL)) (|norm| (((|Fraction| |#2|) $) NIL)) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) NIL (|has| |#1| (|Field|)))) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|minimalPolynomial| ((|#3| $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|lookup| (((|PositiveInteger|) $) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|lift| ((|#3| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|latex| (((|String|) $) NIL)) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) 52)) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) 51)) (|inv| (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|integralRepresents| (($ (|Vector| |#2|) |#2|) 71)) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) 50)) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) 49)) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) 86)) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) 77)) (|integralBasisAtInfinity| (((|Vector| $)) 46)) (|integralBasis| (((|Vector| $)) 45)) (|integralAtInfinity?| (((|Boolean|) $) NIL)) (|integral?| (((|Boolean|) $) NIL) (((|Boolean|) $ |#1|) NIL) (((|Boolean|) $ |#2|) NIL)) (|init| (($) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|hyperelliptic| (((|Union| |#2| "failed")) 63)) (|hash| (((|SingleInteger|) $) NIL)) (|genus| (((|NonNegativeInteger|)) NIL)) (|generator| (($) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|factor| (((|Factored| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (|Fraction| |#2|) (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|enumerate| (((|List| $)) NIL (|has| (|Fraction| |#2|) (|Finite|)))) (|elt| ((|#1| $ |#1| |#1|) NIL)) (|elliptic| (((|Union| |#2| "failed")) 62)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|discriminant| (((|Fraction| |#2|) (|Vector| $)) NIL) (((|Fraction| |#2|)) 42)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|differentiate| (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|)) (|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (($ $) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))))) (|derivationCoordinates| (((|Matrix| (|Fraction| |#2|)) (|Vector| $) (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|definingPolynomial| ((|#3|) 53)) (|createPrimitiveElement| (($) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|coordinates| (((|Vector| (|Fraction| |#2|)) $ (|Vector| $)) NIL) (((|Matrix| (|Fraction| |#2|)) (|Vector| $) (|Vector| $)) NIL) (((|Vector| (|Fraction| |#2|)) $) 72) (((|Matrix| (|Fraction| |#2|)) (|Vector| $)) NIL)) (|convert| (((|Vector| (|Fraction| |#2|)) $) NIL) (($ (|Vector| (|Fraction| |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (|complementaryBasis| (((|Vector| $) (|Vector| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| |#2|)) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|charthRoot| (($ $) NIL (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))) (((|Union| $ "failed") $) NIL (|has| (|Fraction| |#2|) (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#3| $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|branchPointAtInfinity?| (((|Boolean|)) 60)) (|branchPoint?| (((|Boolean|) |#1|) 153) (((|Boolean|) |#2|) 154)) (|basis| (((|Vector| $)) 124)) (|associates?| (((|Boolean|) $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) NIL)) (|absolutelyIrreducible?| (((|Boolean|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (|Zero| (($) 94 T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|)) (|NonNegativeInteger|)) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Mapping| (|Fraction| |#2|) (|Fraction| |#2|))) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| (|Fraction| |#2|) (|Field|)) (|has| (|Fraction| |#2|) (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|)))) (($ $) NIL (OR (AND (|has| (|Fraction| |#2|) (|DifferentialRing|)) (|has| (|Fraction| |#2|) (|Field|))) (|has| (|Fraction| |#2|) (|FiniteFieldCategory|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ $) NIL (|has| (|Fraction| |#2|) (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Fraction| |#2|) (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| |#2|)) NIL) (($ (|Fraction| |#2|) $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| (|Fraction| |#2|) (|Field|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| (|Fraction| |#2|) (|Field|))))) 
+(((|RadicalFunctionField| |#1| |#2| |#3| |#4| |#5|) (|FunctionFieldCategory| |#1| |#2| |#3|) (|UniqueFactorizationDomain|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) (T |RadicalFunctionField|)) 
+NIL 
+(|FunctionFieldCategory| |#1| |#2| |#3|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholeRagits| (((|List| (|Integer|)) $) 54)) (|wholeRadix| (($ (|List| (|Integer|))) 62)) (|wholePart| (((|Integer|) $) 40 (|has| (|Integer|) (|EuclideanDomain|)))) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 49) (((|Union| (|Symbol|) "failed") $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 47 (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Union| (|Integer|) "failed") $) 49 (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|retract| (((|Integer|) $) NIL) (((|Symbol|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|)))) (((|Integer|) $) NIL (|has| (|Integer|) (|RetractableTo| (|Integer|))))) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| (|Integer|) (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|random| (($) NIL (|has| (|Integer|) (|IntegerNumberSystem|)))) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|prefixRagits| (((|List| (|Integer|)) $) 60)) (|positive?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Integer|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (|has| (|Integer|) (|PatternMatchable| (|Float|))))) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL)) (|numer| (((|Integer|) $) 37)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|StepThrough|)))) (|negative?| (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL)) (|init| (($) NIL (|has| (|Integer|) (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|fractionPart| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|))) (((|Fraction| (|Integer|)) $) 42)) (|fractRagits| (((|Stream| (|Integer|)) $) 59)) (|fractRadix| (($ (|List| (|Integer|)) (|List| (|Integer|))) 63)) (|floor| (((|Integer|) $) 53 (|has| (|Integer|) (|IntegerNumberSystem|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| (|Integer|) (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|eval| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Integer|) (|Integer|)) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|Equation| (|Integer|))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Equation| (|Integer|)))) NIL (|has| (|Integer|) (|Evalable| (|Integer|)))) (($ $ (|List| (|Symbol|)) (|List| (|Integer|))) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|)))) (($ $ (|Symbol|) (|Integer|)) NIL (|has| (|Integer|) (|InnerEvalable| (|Symbol|) (|Integer|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|elt| (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Eltable| (|Integer|) (|Integer|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $) 11 (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (|denominator| (($ $) NIL)) (|denom| (((|Integer|) $) 39)) (|cycleRagits| (((|List| (|Integer|)) $) 61)) (|convert| (((|Pattern| (|Integer|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Integer|))))) (((|Pattern| (|Float|)) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|Pattern| (|Float|))))) (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|)))) (((|Float|) $) NIL (|has| (|Integer|) (|RealConstant|))) (((|DoubleFloat|) $) NIL (|has| (|Integer|) (|RealConstant|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 77) (($ (|Integer|)) 43) (($ $) NIL) (($ (|Fraction| (|Integer|))) 19) (($ (|Integer|)) 43) (($ (|Symbol|)) NIL (|has| (|Integer|) (|RetractableTo| (|Symbol|)))) (((|Fraction| (|Integer|)) $) 17)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|Integer|) (|PolynomialFactorizationExplicit|))) (|has| (|Integer|) (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 9)) (|ceiling| (((|Integer|) $) 51 (|has| (|Integer|) (|IntegerNumberSystem|)))) (|associates?| (((|Boolean|) $ $) NIL)) (|abs| (($ $) NIL (|has| (|Integer|) (|OrderedIntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 10 T CONST)) (|One| (($) 12 T CONST)) (D (($ $) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| (|Integer|) (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| (|Integer|) (|Integer|)) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| (|Integer|) (|Integer|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) 14)) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) 33 (|has| (|Integer|) (|OrderedSet|)))) (/ (($ $ $) 29) (($ (|Integer|) (|Integer|)) 31)) (- (($ $) 15) (($ $ $) 22)) (+ (($ $ $) 20)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 25) (($ $ $) 27) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ (|Integer|) $) 25) (($ $ (|Integer|)) NIL))) 
+(((|RadixExpansion| |#1|) (|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |wholeRagits| ((|List| (|Integer|)) $)) (SIGNATURE |fractRagits| ((|Stream| (|Integer|)) $)) (SIGNATURE |prefixRagits| ((|List| (|Integer|)) $)) (SIGNATURE |cycleRagits| ((|List| (|Integer|)) $)) (SIGNATURE |wholeRadix| ($ (|List| (|Integer|)))) (SIGNATURE |fractRadix| ($ (|List| (|Integer|)) (|List| (|Integer|)))))) (|Integer|)) (T |RadixExpansion|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|fractionPart| (*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|wholeRagits| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|fractRagits| (*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|prefixRagits| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|cycleRagits| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|wholeRadix| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) (|fractRadix| (*1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(|Join| (|QuotientFieldCategory| (|Integer|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Fraction| (|Integer|)) $)) (SIGNATURE |fractionPart| ((|Fraction| (|Integer|)) $)) (SIGNATURE |wholeRagits| ((|List| (|Integer|)) $)) (SIGNATURE |fractRagits| ((|Stream| (|Integer|)) $)) (SIGNATURE |prefixRagits| ((|List| (|Integer|)) $)) (SIGNATURE |cycleRagits| ((|List| (|Integer|)) $)) (SIGNATURE |wholeRadix| ($ (|List| (|Integer|)))) (SIGNATURE |fractRadix| ($ (|List| (|Integer|)) (|List| (|Integer|)))))) 
+((|radix| (((|Any|) (|Fraction| (|Integer|)) (|Integer|)) 9))) 
+(((|RadixUtilities|) (CATEGORY |package| (SIGNATURE |radix| ((|Any|) (|Fraction| (|Integer|)) (|Integer|))))) (T |RadixUtilities|)) 
+((|radix| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|RadixUtilities|))))) 
+(CATEGORY |package| (SIGNATURE |radix| ((|Any|) (|Fraction| (|Integer|)) (|Integer|)))) 
+((|size| (((|Integer|)) 13)) (|seed| (((|Integer|)) 16)) (|reseed| (((|Void|) (|Integer|)) 15)) (|randnum| (((|Integer|) (|Integer|)) 17) (((|Integer|)) 12))) 
+(((|RandomNumberSource|) (CATEGORY |package| (SIGNATURE |randnum| ((|Integer|))) (SIGNATURE |size| ((|Integer|))) (SIGNATURE |randnum| ((|Integer|) (|Integer|))) (SIGNATURE |reseed| ((|Void|) (|Integer|))) (SIGNATURE |seed| ((|Integer|))))) (T |RandomNumberSource|)) 
+((|seed| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) (|reseed| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RandomNumberSource|)))) (|randnum| (*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) (|size| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) (|randnum| (*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(CATEGORY |package| (SIGNATURE |randnum| ((|Integer|))) (SIGNATURE |size| ((|Integer|))) (SIGNATURE |randnum| ((|Integer|) (|Integer|))) (SIGNATURE |reseed| ((|Void|) (|Integer|))) (SIGNATURE |seed| ((|Integer|)))) 
+((|factorSquareFree| (((|Factored| |#1|) |#1|) 40)) (|factor| (((|Factored| |#1|) |#1|) 39))) 
+(((|RationalFactorize| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1|))) (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (T |RationalFactorize|)) 
+((|factorSquareFree| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) (|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|))))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1|))) 
+((|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") |#1|) 14)) (|rational?| (((|Boolean|) |#1|) 13)) (|rational| (((|Fraction| (|Integer|)) |#1|) 9))) 
+(((|RationalRetractions| |#1|) (CATEGORY |package| (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|))) (|RetractableTo| (|Fraction| (|Integer|)))) (T |RationalRetractions|)) 
+((|rationalIfCan| (*1 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2)))) (|rational?| (*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Fraction| (|Integer|)))))) (|rational| (*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(CATEGORY |package| (SIGNATURE |rational| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |rational?| ((|Boolean|) |#1|)) (SIGNATURE |rationalIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|))) 
+((|setelt| ((|#2| $ "value" |#2|) 12)) (|elt| ((|#2| $ "value") 10)) (|child?| (((|Boolean|) $ $) 18))) 
+(((|RecursiveAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |child?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| "value"))) (|RecursiveAggregate| |#2|) (|Type|)) (T |RecursiveAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |child?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| "value"))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) 7 T CONST)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44)) (|distance| (((|Integer|) $ $) 41)) (|cyclic?| (((|Boolean|) $) 43)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RecursiveAggregate| |#1|) (|Category|) (|Type|)) (T |RecursiveAggregate|)) 
+((|children| (*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) (|nodes| (*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) (|leaf?| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|value| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 "value") (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|cyclic?| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|leaves| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) (|distance| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|)))) (|child?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|node?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|setchildren!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *3 "value") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setvalue!| (*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|HomogeneousAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |children| ((|List| $) $)) (SIGNATURE |nodes| ((|List| $) $)) (SIGNATURE |leaf?| ((|Boolean|) $)) (SIGNATURE |value| (|t#1| $)) (SIGNATURE |elt| (|t#1| $ "value")) (SIGNATURE |cyclic?| ((|Boolean|) $)) (SIGNATURE |leaves| ((|List| |t#1|) $)) (SIGNATURE |distance| ((|Integer|) $ $)) (IF (|has| |t#1| (|SetCategory|)) (PROGN (SIGNATURE |child?| ((|Boolean|) $ $)) (SIGNATURE |node?| ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |setchildren!| ($ $ (|List| $))) (SIGNATURE |setelt| (|t#1| $ "value" |t#1|)) (SIGNATURE |setvalue!| (|t#1| $ |t#1|))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|sqrt| (($ $) 9) (($ $ (|NonNegativeInteger|)) 43) (($ (|Fraction| (|Integer|))) 12) (($ (|Integer|)) 15)) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) 23) (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) 28)) (|nthRoot| (($ $ (|Integer|)) 49)) (|characteristic| (((|NonNegativeInteger|)) 16)) (|allRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $)) NIL) (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) 54) (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) 59) (((|List| $) (|Polynomial| $)) 63) (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) 67) (((|List| $) (|Polynomial| (|Integer|))) 71)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL) (($ $ (|Fraction| (|Integer|))) 47))) 
+(((|RealClosedField&| |#1|) (CATEGORY |domain| (SIGNATURE |sqrt| (|#1| (|Integer|))) (SIGNATURE |sqrt| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |sqrt| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|Polynomial| (|Integer|)))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootOf| ((|Union| |#1| "failed") (|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |rootOf| ((|Union| |#1| "failed") (|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|OutputForm|))) (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |nthRoot| (|#1| |#1| (|Integer|))) (SIGNATURE |sqrt| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) (|RealClosedField|)) (T |RealClosedField&|)) 
+((|characteristic| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealClosedField&| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
+(CATEGORY |domain| (SIGNATURE |sqrt| (|#1| (|Integer|))) (SIGNATURE |sqrt| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |sqrt| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|Polynomial| (|Integer|)))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|Polynomial| |#1|))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |allRootsOf| ((|List| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |rootOf| ((|Union| |#1| "failed") (|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|))) (SIGNATURE |rootOf| ((|Union| |#1| "failed") (|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|OutputForm|))) (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |nthRoot| (|#1| |#1| (|Integer|))) (SIGNATURE |sqrt| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 89)) (|unitCanonical| (($ $) 90)) (|unit?| (((|Boolean|) $) 92)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 110)) (|squareFree| (((|Factored| $) $) 111)) (|sqrt| (($ $) 73) (($ $ (|NonNegativeInteger|)) 59) (($ (|Fraction| (|Integer|))) 58) (($ (|Integer|)) 57)) (|sizeLess?| (((|Boolean|) $ $) 101)) (|sign| (((|Integer|) $) 128)) (|sample| (($) 16 T CONST)) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) 67) (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) 66)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 85 (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 83 (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 81)) (|retract| (((|Integer|) $) 86 (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 84 (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| (|Integer|)) $) 80)) (|rename!| (($ $ (|OutputForm|)) 56)) (|rename| (($ $ (|OutputForm|)) 55)) (|rem| (($ $ $) 105)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 104)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 99)) (|prime?| (((|Boolean|) $) 112)) (|positive?| (((|Boolean|) $) 126)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 72)) (|negative?| (((|Boolean|) $) 127)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 108)) (|min| (($ $ $) 125)) (|max| (($ $ $) 124)) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) 68)) (|mainForm| (((|Union| (|OutputForm|) "failed") $) 70)) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) 69)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 93)) (|lcm| (($ (|List| $)) 97) (($ $ $) 96)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 113)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 98)) (|gcd| (($ (|List| $)) 95) (($ $ $) 94)) (|factor| (((|Factored| $) $) 109)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 107) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 106)) (|exquo| (((|Union| $ "failed") $ $) 88)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 100)) (|euclideanSize| (((|NonNegativeInteger|) $) 102)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 103)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 118) (($ $) 87) (($ (|Fraction| (|Integer|))) 82) (($ (|Integer|)) 79) (($ (|Fraction| (|Integer|))) 76)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 91)) (|approximate| (((|Fraction| (|Integer|)) $ $) 54)) (|allRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $)) 65) (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) 64) (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) 63) (((|List| $) (|Polynomial| $)) 62) (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) 61) (((|List| $) (|Polynomial| (|Integer|))) 60)) (|abs| (($ $) 129)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 114)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 122)) (> (((|Boolean|) $ $) 121)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 123)) (< (((|Boolean|) $ $) 120)) (/ (($ $ $) 119)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 115) (($ $ (|Fraction| (|Integer|))) 71)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ (|Fraction| (|Integer|)) $) 117) (($ $ (|Fraction| (|Integer|))) 116) (($ (|Integer|) $) 78) (($ $ (|Integer|)) 77) (($ (|Fraction| (|Integer|)) $) 75) (($ $ (|Fraction| (|Integer|))) 74))) 
+(((|RealClosedField|) (|Category|)) (T |RealClosedField|)) 
+((|sqrt| (*1 *1 *1) (|ofCategory| *1 (|RealClosedField|))) (|mainForm| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|)))) (|mainDefiningPolynomial| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)))) (|mainValue| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)))) (|rootOf| (*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|OutputForm|)) (|ofCategory| *1 (|RealClosedField|)))) (|rootOf| (*1 *1 *2 *3) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|RealClosedField|)))) (|allRootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) (|allRootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) (|allRootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) (|allRootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) (|allRootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) (|allRootsOf| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) (|sqrt| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|sqrt| (*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|RealClosedField|)))) (|sqrt| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|RealClosedField|)))) (|rename!| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|)))) (|rename| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|)))) (|approximate| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
+(|Join| (|CharacteristicZero|) (|OrderedRing|) (|CommutativeRing|) (|Field|) (|FullyRetractableTo| (|Fraction| (|Integer|))) (|Algebra| (|Integer|)) (|Algebra| (|Fraction| (|Integer|))) (|RadicalCategory|) (CATEGORY |domain| (SIGNATURE |mainForm| ((|Union| (|OutputForm|) "failed") $)) (SIGNATURE |mainDefiningPolynomial| ((|Union| (|SparseUnivariatePolynomial| $) "failed") $)) (SIGNATURE |mainValue| ((|Union| (|SparseUnivariatePolynomial| $) "failed") $)) (SIGNATURE |rootOf| ((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|))) (SIGNATURE |rootOf| ((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|))) (SIGNATURE |allRootsOf| ((|List| $) (|SparseUnivariatePolynomial| $))) (SIGNATURE |allRootsOf| ((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (SIGNATURE |allRootsOf| ((|List| $) (|SparseUnivariatePolynomial| (|Integer|)))) (SIGNATURE |allRootsOf| ((|List| $) (|Polynomial| $))) (SIGNATURE |allRootsOf| ((|List| $) (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |allRootsOf| ((|List| $) (|Polynomial| (|Integer|)))) (SIGNATURE |sqrt| ($ $ (|NonNegativeInteger|))) (SIGNATURE |sqrt| ($ $)) (SIGNATURE |sqrt| ($ (|Fraction| (|Integer|)))) (SIGNATURE |sqrt| ($ (|Integer|))) (SIGNATURE |rename!| ($ $ (|OutputForm|))) (SIGNATURE |rename| ($ $ (|OutputForm|))) (SIGNATURE |approximate| ((|Fraction| (|Integer|)) $ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| (|Integer|)) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| (|Integer|) (|Integer|)) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|FullyRetractableTo| (|Fraction| (|Integer|))) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| (|Integer|)) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| (|Integer|)) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedRing|) . T) ((|OrderedSet|) . T) ((|PrincipalIdealDomain|) . T) ((|RadicalCategory|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) . T) ((|RetractableTo| (|Integer|)) |has| (|Fraction| (|Integer|)) (|RetractableTo| (|Integer|))) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| (|Integer|)) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((|rischDE| (((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
+(((|ElementaryRischDE| |#1| |#2|) (CATEGORY |package| (SIGNATURE |rischDE| ((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| |#1|))) (T |ElementaryRischDE|)) 
+((|rischDE| (*1 *2 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|)))) (|isDomain| *1 (|ElementaryRischDE| *8 *4))))) 
+(CATEGORY |package| (SIGNATURE |rischDE| ((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((|rischDEsys| (((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
+(((|ElementaryRischDESystem| |#1| |#2|) (CATEGORY |package| (SIGNATURE |rischDEsys| ((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| |#1|))) (T |ElementaryRischDESystem|)) 
+((|rischDEsys| (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|ElementaryRischDESystem| *8 *4))))) 
+(CATEGORY |package| (SIGNATURE |rischDEsys| ((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((|polyRDE| (((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)) 30)) (|monomRDE| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) 56)) (|baseRDE| (((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|)) 61))) 
+(((|TranscendentalRischDE| |#1| |#2|) (CATEGORY |package| (SIGNATURE |monomRDE| ((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |baseRDE| ((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |polyRDE| ((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|))) (|UnivariatePolynomialCategory| |#1|)) (T |TranscendentalRischDE|)) 
+((|polyRDE| (*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| *4))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Union| (|:| |ans| (|Record| (|:| |ans| *3) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (|isDomain| *1 (|TranscendentalRischDE| *6 *3)))) (|baseRDE| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ans| (|Fraction| *5)) (|:| |nosol| (|Boolean|)))) (|isDomain| *1 (|TranscendentalRischDE| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) (|monomRDE| (*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |c| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDE| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(CATEGORY |package| (SIGNATURE |monomRDE| ((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |baseRDE| ((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|))) (SIGNATURE |polyRDE| ((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)))) 
+((|monomRDEsys| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) 22)) (|baseRDEsys| (((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) 32))) 
+(((|TranscendentalRischDESystem| |#1| |#2|) (CATEGORY |package| (SIGNATURE |monomRDEsys| ((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |baseRDEsys| ((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)))) (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|))) (|UnivariatePolynomialCategory| |#1|)) (T |TranscendentalRischDESystem|)) 
+((|baseRDEsys| (*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|TranscendentalRischDESystem| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) (|monomRDEsys| (*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |h| *6) (|:| |c1| (|Fraction| *6)) (|:| |c2| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDESystem| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(CATEGORY |package| (SIGNATURE |monomRDEsys| ((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|))) (SIGNATURE |baseRDEsys| ((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)))) 
+((|weighted| (((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|))))) 37)) (|uniform| (((|Mapping| |#1|) (|Set| |#1|)) 45)) (|rdHack1| (((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)) 34))) 
+(((|RandomDistributions| |#1|) (CATEGORY |package| (SIGNATURE |uniform| ((|Mapping| |#1|) (|Set| |#1|))) (SIGNATURE |weighted| ((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|)))))) (SIGNATURE |rdHack1| ((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)))) (|SetCategory|)) (T |RandomDistributions|)) 
+((|rdHack1| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| *6)) (|isDomain| *4 (|Vector| (|Integer|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6)) (|isDomain| *1 (|RandomDistributions| *6)))) (|weighted| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |value| *4) (|:| |weight| (|Integer|))))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4)))) (|uniform| (*1 *2 *3) (AND (|isDomain| *3 (|Set| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4))))) 
+(CATEGORY |package| (SIGNATURE |uniform| ((|Mapping| |#1|) (|Set| |#1|))) (SIGNATURE |weighted| ((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|)))))) (SIGNATURE |rdHack1| ((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)))) 
+((|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)) 23))) 
+(((|ReducedDivisor| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |order| ((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)))) (|Field|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| (|Fraction| |#2|)) (|FunctionFieldCategory| |#1| |#2| |#3|) (|Join| (|Finite|) (|Field|))) (T |ReducedDivisor|)) 
+((|order| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|FiniteDivisor| *6 *7 *4 *8)) (|isDomain| *5 (|Mapping| *9 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|ofCategory| *8 (|FunctionFieldCategory| *6 *7 *4)) (|ofCategory| *9 (|Join| (|Finite|) (|Field|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ReducedDivisor| *6 *7 *4 *8 *9))))) 
+(CATEGORY |package| (SIGNATURE |order| ((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)))) 
+((|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) 31) (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) 28)) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) 33) (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) 29) (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) 32) (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) 27)) (|midpoints| (((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) 19)) (|midpoint| (((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) 16))) 
+(((|RealZeroPackage| |#1|) (CATEGORY |package| (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|)) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|)))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |midpoint| ((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |midpoints| ((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))))) (|UnivariatePolynomialCategory| (|Integer|))) (T |RealZeroPackage|)) 
+((|midpoints| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|Fraction| (|Integer|)))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))))) (|midpoint| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))))) (|refine| (*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|refine| (*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|realZeros| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) (|realZeros| (*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Fraction| (|Integer|))))) (|realZeros| (*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) (|realZeros| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(CATEGORY |package| (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|)) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|)))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |midpoint| ((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |midpoints| ((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))))) 
+((|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) 35) (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) 32)) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) 30) (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) 26) (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) 28) (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) 24))) 
+(((|RealZeroPackageQ| |#1|) (CATEGORY |package| (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|)) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|)))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (T |RealZeroPackageQ|)) 
+((|refine| (*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) (|refine| (*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|realZeros| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) (|realZeros| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *4) (|:| |right| *4)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|realZeros| (*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) (|realZeros| (*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|))))))) 
+(CATEGORY |package| (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|)) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|)))) (SIGNATURE |realZeros| ((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|)))) (SIGNATURE |refine| ((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) 
+((|convert| (((|DoubleFloat|) $) 6) (((|Float|) $) 8))) 
+(((|RealConstant|) (|Category|)) (T |RealConstant|)) 
+NIL 
+(|Join| (|ConvertibleTo| (|DoubleFloat|)) (|ConvertibleTo| (|Float|))) 
+(((|ConvertibleTo| (|DoubleFloat|)) . T) ((|ConvertibleTo| (|Float|)) . T)) 
+((|solve| (((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|)) 27) (((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|)) 26)) (|realSolve| (((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)) 36))) 
+(((|RealSolvePackage|) (CATEGORY |package| (SIGNATURE |solve| ((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|))) (SIGNATURE |solve| ((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|))) (SIGNATURE |realSolve| ((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|))))) (T |RealSolvePackage|)) 
+((|realSolve| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Float|)))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *5 (|Float|)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|))) (SIGNATURE |solve| ((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|))) (SIGNATURE |realSolve| ((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 70)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sqrt| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ (|Integer|)) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) 65)) (|sample| (($) NIL T CONST)) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) NIL) (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) 49)) (|retractIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#1| "failed") $) 108) (((|Union| (|Integer|) "failed") $) NIL (OR (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Integer|))) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|retract| (((|Fraction| (|Integer|)) $) 14 (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Fraction| (|Integer|)) $) 14) ((|#1| $) 109) (((|Integer|) $) NIL (OR (|has| (|Fraction| (|Integer|)) (|RetractableTo| (|Integer|))) (|has| |#1| (|RetractableTo| (|Integer|)))))) (|rename!| (($ $ (|OutputForm|)) 40)) (|rename| (($ $ (|OutputForm|)) 41)) (|rem| (($ $ $) NIL)) (|relativeApprox| (((|Fraction| (|Integer|)) $ $) 18)) (|recip| (((|Union| $ "failed") $) 83)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|positive?| (((|Boolean|) $) 60)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL)) (|negative?| (((|Boolean|) $) 63)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) 78)) (|mainForm| (((|Union| (|OutputForm|) "failed") $) 77)) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) 75)) (|mainCharacterization| (((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $) 73)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ (|List| $)) NIL) (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 84)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ (|List| $)) NIL) (($ $ $) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|coerce| (((|OutputForm|) $) 82) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ $) 57) (($ (|Fraction| (|Integer|))) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#1|) 111)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|approximate| (((|Fraction| (|Integer|)) $ $) 24)) (|allRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $)) 55) (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) NIL) (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) NIL) (((|List| $) (|Polynomial| $)) NIL) (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) NIL) (((|List| $) (|Polynomial| (|Integer|))) NIL)) (|algebraicOf| (($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|)) 39)) (|abs| (($ $) 19)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL)) (|Zero| (($) 28 T CONST)) (|One| (($) 34 T CONST)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 71)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 21)) (/ (($ $ $) 32)) (- (($ $) 33) (($ $ $) 69)) (+ (($ $ $) 104)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL) (($ $ (|Fraction| (|Integer|))) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 92) (($ $ $) 97) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ (|Integer|) $) 92) (($ $ (|Integer|)) NIL) (($ (|Fraction| (|Integer|)) $) NIL) (($ $ (|Fraction| (|Integer|))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
+(((|RealClosure| |#1|) (|Join| (|RealClosedField|) (|FullyRetractableTo| |#1|) (|Algebra| |#1|) (CATEGORY |domain| (SIGNATURE |algebraicOf| ($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|))) (SIGNATURE |mainCharacterization| ((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $)) (SIGNATURE |relativeApprox| ((|Fraction| (|Integer|)) $ $)))) (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))) (T |RealClosure|)) 
+((|algebraicOf| (*1 *1 *2 *3) (AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *4) (|SparseUnivariatePolynomial| (|RealClosure| *4)))) (|isDomain| *3 (|OutputForm|)) (|isDomain| *1 (|RealClosure| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) (|mainCharacterization| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *3) (|SparseUnivariatePolynomial| (|RealClosure| *3)))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) (|relativeApprox| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
+(|Join| (|RealClosedField|) (|FullyRetractableTo| |#1|) (|Algebra| |#1|) (CATEGORY |domain| (SIGNATURE |algebraicOf| ($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|))) (SIGNATURE |mainCharacterization| ((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $)) (SIGNATURE |relativeApprox| ((|Fraction| (|Integer|)) $ $)))) 
+((|shiftInfoRec| (((|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| |#2|))) (|BasicOperator|) (|Symbol|) |#2|) 59 (|has| |#1| (|Ring|)))) (|numberOfValuesNeeded| (((|Integer|) (|Integer|) (|BasicOperator|) (|Symbol|) |#2|) 76)) (|getShiftRec| (((|Union| (|Integer|) "failed") (|BasicOperator|) (|Kernel| |#2|) (|Symbol|)) 56 (|has| |#1| (|Ring|)))) (|getOp| (((|BasicOperator|) |#2|) 103)) (|getEq| ((|#2| |#2|) 102)) (|evalRec| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) 72)) (|evalADE| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) 100))) 
+(((|RecurrenceOperator| |#1| |#2|) (CATEGORY |package| (SIGNATURE |evalRec| (|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|))) (SIGNATURE |evalADE| (|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|))) (SIGNATURE |getEq| (|#2| |#2|)) (SIGNATURE |getOp| ((|BasicOperator|) |#2|)) (SIGNATURE |numberOfValuesNeeded| ((|Integer|) (|Integer|) (|BasicOperator|) (|Symbol|) |#2|)) (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |getShiftRec| ((|Union| (|Integer|) "failed") (|BasicOperator|) (|Kernel| |#2|) (|Symbol|))) (SIGNATURE |shiftInfoRec| ((|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| |#2|))) (|BasicOperator|) (|Symbol|) |#2|))) |noBranch|)) (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|))) (|Join| (|FunctionSpace| |#1|) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|))) (T |RecurrenceOperator|)) 
+((|shiftInfoRec| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| *5)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))))) (|getShiftRec| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Kernel| *7)) (|ofCategory| *7 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *5) (|PartialDifferentialRing| *5) (|CombinatorialOpsCategory|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RecurrenceOperator| *6 *7)))) (|numberOfValuesNeeded| (*1 *2 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Integer|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))))) (|getOp| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|RecurrenceOperator| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|))))) (|getEq| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|))))) (|evalADE| (*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2)))) (|evalRec| (*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(CATEGORY |package| (SIGNATURE |evalRec| (|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|))) (SIGNATURE |evalADE| (|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|))) (SIGNATURE |getEq| (|#2| |#2|)) (SIGNATURE |getOp| ((|BasicOperator|) |#2|)) (SIGNATURE |numberOfValuesNeeded| ((|Integer|) (|Integer|) (|BasicOperator|) (|Symbol|) |#2|)) (IF (|has| |#1| (|Ring|)) (PROGN (SIGNATURE |getShiftRec| ((|Union| (|Integer|) "failed") (|BasicOperator|) (|Kernel| |#2|) (|Symbol|))) (SIGNATURE |shiftInfoRec| ((|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| |#2|))) (|BasicOperator|) (|Symbol|) |#2|))) |noBranch|)) 
+((|ReduceOrder| (((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
+(((|ReductionOfOrder| |#1| |#2|) (CATEGORY |package| (SIGNATURE |ReduceOrder| (|#2| |#2| |#1|)) (SIGNATURE |ReduceOrder| ((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)))) (|Field|) (|LinearOrdinaryDifferentialOperatorCategory| |#1|)) (T |ReductionOfOrder|)) 
+((|ReduceOrder| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |eq| *3) (|:| |op| (|List| *5)))) (|isDomain| *1 (|ReductionOfOrder| *5 *3)) (|isDomain| *4 (|List| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) (|ReduceOrder| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|ReductionOfOrder| *3 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |ReduceOrder| (|#2| |#2| |#1|)) (SIGNATURE |ReduceOrder| ((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|setref| ((|#1| $ |#1|) 14)) (|setelt| ((|#1| $ |#1|) 12)) (|ref| (($ |#1|) 10)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|elt| ((|#1| $) 11)) (|deref| ((|#1| $) 13)) (|coerce| (((|OutputForm|) $) 21 (|has| |#1| (|SetCategory|)))) (= (((|Boolean|) $ $) 9))) 
+(((|Reference| |#1|) (|Join| (|Type|) (CATEGORY |domain| (SIGNATURE |ref| ($ |#1|)) (SIGNATURE |elt| (|#1| $)) (SIGNATURE |setelt| (|#1| $ |#1|)) (SIGNATURE |deref| (|#1| $)) (SIGNATURE |setref| (|#1| $ |#1|)) (SIGNATURE = ((|Boolean|) $ $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|))) (|Type|)) (T |Reference|)) 
+((|ref| (*1 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) (|setelt| (*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) (|deref| (*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) (|setref| (*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Reference| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|Type|) (CATEGORY |domain| (SIGNATURE |ref| ($ |#1|)) (SIGNATURE |elt| (|#1| $)) (SIGNATURE |setelt| (|#1| $ |#1|)) (SIGNATURE |deref| (|#1| $)) (SIGNATURE |setref| (|#1| $ |#1|)) (SIGNATURE = ((|Boolean|) $ $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) NIL)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 104) (((|List| $) (|List| |#4|) (|Boolean|)) 105) (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) 103) (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 106)) (|variables| (((|List| |#3|) $) NIL)) (|trivialIdeal?| (((|Boolean|) $) NIL)) (|triangular?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|stronglyReduce| ((|#4| |#4| $) NIL)) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) 98)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 53)) (|sample| (($) NIL T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 26 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) NIL)) (|retract| (($ (|List| |#4|)) NIL)) (|rest| (((|Union| $ "failed") $) 39)) (|removeZero| ((|#4| |#4| $) 56)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|remove| (($ |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|reduceByQuasiMonic| ((|#4| |#4| $) NIL)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) NIL)) (|purelyTranscendental?| (((|Boolean|) |#4| $) NIL)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) NIL)) (|purelyAlgebraic?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) 118)) (|parts| (((|List| |#4|) $) 16 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#4|) $) 17 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 25 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 23 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 21)) (|mainVariables| (((|List| |#3|) $) NIL)) (|mainVariable?| (((|Boolean|) |#3| $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) NIL)) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) 96)) (|last| (((|Union| |#4| "failed") $) 37)) (|invertibleSet| (((|List| $) |#4| $) 79)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) NIL)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) 89) (((|Boolean|) |#4| $) 51)) (|intersect| (((|List| $) |#4| $) 101) (((|List| $) (|List| |#4|) $) NIL) (((|List| $) (|List| |#4|) (|List| $)) 102) (((|List| $) |#4| (|List| $)) NIL)) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) 113)) (|internalAugment| (($ |#4| $) 69) (($ (|List| |#4|) $) 70) (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 66)) (|initials| (((|List| |#4|) $) NIL)) (|initiallyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|initiallyReduce| ((|#4| |#4| $) NIL)) (|infRittWu?| (((|Boolean|) $ $) NIL)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|headReduce| ((|#4| |#4| $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Union| |#4| "failed") $) 35)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) NIL)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 47)) (|extend| (($ $ |#4|) NIL) (((|List| $) |#4| $) 81) (((|List| $) |#4| (|List| $)) NIL) (((|List| $) (|List| |#4|) $) NIL) (((|List| $) (|List| |#4|) (|List| $)) 76)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 15)) (|empty| (($) 13)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|count| (((|NonNegativeInteger|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 12)) (|convert| (((|InputForm|) $) NIL (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 20)) (|collectUpper| (($ $ |#3|) 42)) (|collectUnder| (($ $ |#3|) 43)) (|collectQuasiMonic| (($ $) NIL)) (|collect| (($ $ |#3|) NIL)) (|coerce| (((|OutputForm|) $) 31) (((|List| |#4|) $) 40)) (|coHeight| (((|NonNegativeInteger|) $) NIL (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) NIL)) (|augment| (((|List| $) |#4| $) 78) (((|List| $) |#4| (|List| $)) NIL) (((|List| $) (|List| |#4|) $) NIL) (((|List| $) (|List| |#4|) (|List| $)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) NIL)) (|algebraicCoefficients?| (((|Boolean|) |#4| $) NIL)) (|algebraic?| (((|Boolean|) |#3| $) 52)) (= (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RegularTriangularSet| |#1| |#2| |#3| |#4|) (|Join| (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |internalAugment| ((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |internalZeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |preprocess| ((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|))))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|)) (T |RegularTriangularSet|)) 
+((|internalAugment| (*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) (|zeroSetSplit| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) (|zeroSetSplit| (*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) (|internalZeroSetSplit| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) (|preprocess| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|RegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(|Join| (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |internalAugment| ((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |internalZeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |preprocess| ((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|))))) 
+((|tensorProduct| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) 56) (((|Matrix| |#1|) (|Matrix| |#1|)) 55) (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) 54) (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) 51)) (|symmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) 50) (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) 49)) (|permutationRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))) 66) (((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|)) 65) (((|Matrix| (|Integer|)) (|List| (|Integer|))) 62) (((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|)) 61)) (|createGenericMatrix| (((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|)) 79)) (|antisymmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) 36 (|has| |#1| (ATTRIBUTE (|commutative| "*")))) (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) 34 (|has| |#1| (ATTRIBUTE (|commutative| "*")))))) 
+(((|RepresentationPackage1| |#1|) (CATEGORY |package| (IF (|has| |#1| (ATTRIBUTE (|commutative| "*"))) (SIGNATURE |antisymmetricTensors| ((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|))) |noBranch|) (IF (|has| |#1| (ATTRIBUTE (|commutative| "*"))) (SIGNATURE |antisymmetricTensors| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|))) |noBranch|) (SIGNATURE |createGenericMatrix| ((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |symmetricTensors| ((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|))) (SIGNATURE |symmetricTensors| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|))) (SIGNATURE |tensorProduct| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |tensorProduct| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |tensorProduct| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |tensorProduct| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |permutationRepresentation| ((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|))) (SIGNATURE |permutationRepresentation| ((|Matrix| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |permutationRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|))) (SIGNATURE |permutationRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))))) (|Ring|)) (T |RepresentationPackage1|)) 
+((|permutationRepresentation| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) (|permutationRepresentation| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Permutation| (|Integer|)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) (|permutationRepresentation| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) (|permutationRepresentation| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Permutation| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) (|tensorProduct| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) (|tensorProduct| (*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) (|tensorProduct| (*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) (|tensorProduct| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) (|symmetricTensors| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) (|symmetricTensors| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) (|createGenericMatrix| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|Polynomial| *4))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) (|antisymmetricTensors| (*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) (|antisymmetricTensors| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(CATEGORY |package| (IF (|has| |#1| (ATTRIBUTE (|commutative| "*"))) (SIGNATURE |antisymmetricTensors| ((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|))) |noBranch|) (IF (|has| |#1| (ATTRIBUTE (|commutative| "*"))) (SIGNATURE |antisymmetricTensors| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|))) |noBranch|) (SIGNATURE |createGenericMatrix| ((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|))) (SIGNATURE |symmetricTensors| ((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|))) (SIGNATURE |symmetricTensors| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|))) (SIGNATURE |tensorProduct| ((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |tensorProduct| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |tensorProduct| ((|Matrix| |#1|) (|Matrix| |#1|))) (SIGNATURE |tensorProduct| ((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |permutationRepresentation| ((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|))) (SIGNATURE |permutationRepresentation| ((|Matrix| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |permutationRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|))) (SIGNATURE |permutationRepresentation| ((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))))) 
+((|standardBasisOfCyclicSubmodule| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) 48 (|has| |#1| (|EuclideanDomain|)))) (|split| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))) 71 (|has| |#1| (|Field|))) (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) 69 (|has| |#1| (|Field|)))) (|scanOneDimSubspaces| (((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)) 73 (AND (|has| |#1| (|Field|)) (|has| |#1| (|Finite|))))) (|meatAxe| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) 78 (AND (|has| |#1| (|Field|)) (|has| |#1| (|Finite|)))) (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|)) 76 (AND (|has| |#1| (|Field|)) (|has| |#1| (|Finite|)))) (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|))) 75 (AND (|has| |#1| (|Field|)) (|has| |#1| (|Finite|)))) (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|)) 74 (AND (|has| |#1| (|Field|)) (|has| |#1| (|Finite|))))) (|isAbsolutelyIrreducible?| (((|Boolean|) (|List| (|Matrix| |#1|))) 67 (|has| |#1| (|Field|))) (((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|)) 66 (|has| |#1| (|Field|)))) (|cyclicSubmodule| (((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) 46 (|has| |#1| (|EuclideanDomain|)))) (|createRandomElement| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|)) 32)) (|completeEchelonBasis| (((|Matrix| |#1|) (|Vector| (|Vector| |#1|))) 29)) (|areEquivalent?| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|)) 62 (|has| |#1| (|Field|))) (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) 61 (|has| |#1| (|Field|))) (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|)) 60 (|has| |#1| (|Field|))))) 
+(((|RepresentationPackage2| |#1|) (CATEGORY |package| (SIGNATURE |completeEchelonBasis| ((|Matrix| |#1|) (|Vector| (|Vector| |#1|)))) (SIGNATURE |createRandomElement| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|))) (IF (|has| |#1| (|EuclideanDomain|)) (PROGN (SIGNATURE |cyclicSubmodule| ((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|))) (SIGNATURE |standardBasisOfCyclicSubmodule| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |areEquivalent?| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|))) (SIGNATURE |areEquivalent?| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |areEquivalent?| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|))) (SIGNATURE |isAbsolutelyIrreducible?| ((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|))) (SIGNATURE |isAbsolutelyIrreducible?| ((|Boolean|) (|List| (|Matrix| |#1|)))) (SIGNATURE |split| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|))) (SIGNATURE |split| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))))) |noBranch|) (IF (|has| |#1| (|Finite|)) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|))) (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)))) (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|))) (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|))) (SIGNATURE |scanOneDimSubspaces| ((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)))) |noBranch|) |noBranch|)) (|Ring|)) (T |RepresentationPackage2|)) 
+((|scanOneDimSubspaces| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Vector| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)))) (|meatAxe| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) (|meatAxe| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) (|meatAxe| (*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *4)))) (|isDomain| *1 (|RepresentationPackage2| *4)) (|isDomain| *3 (|List| (|Matrix| *4))))) (|meatAxe| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Finite|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *6)))) (|isDomain| *1 (|RepresentationPackage2| *6)) (|isDomain| *3 (|List| (|Matrix| *6))))) (|split| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| (|Vector| *5))) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) (|split| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) (|isAbsolutelyIrreducible?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *4)))) (|isAbsolutelyIrreducible?| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *5)))) (|areEquivalent?| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)))) (|areEquivalent?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)))) (|areEquivalent?| (*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Matrix| *6))) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|RepresentationPackage2| *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Ring|)))) (|standardBasisOfCyclicSubmodule| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)))) (|cyclicSubmodule| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Vector| (|Vector| *5))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *4 (|Vector| *5)))) (|createRandomElement| (*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage2| *4)))) (|completeEchelonBasis| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Vector| *4))) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(CATEGORY |package| (SIGNATURE |completeEchelonBasis| ((|Matrix| |#1|) (|Vector| (|Vector| |#1|)))) (SIGNATURE |createRandomElement| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|))) (IF (|has| |#1| (|EuclideanDomain|)) (PROGN (SIGNATURE |cyclicSubmodule| ((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|))) (SIGNATURE |standardBasisOfCyclicSubmodule| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |areEquivalent?| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|))) (SIGNATURE |areEquivalent?| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |areEquivalent?| ((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|))) (SIGNATURE |isAbsolutelyIrreducible?| ((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|))) (SIGNATURE |isAbsolutelyIrreducible?| ((|Boolean|) (|List| (|Matrix| |#1|)))) (SIGNATURE |split| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|))) (SIGNATURE |split| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))))) |noBranch|) (IF (|has| |#1| (|Finite|)) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|))) (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)))) (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|))) (SIGNATURE |meatAxe| ((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|))) (SIGNATURE |scanOneDimSubspaces| ((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)))) |noBranch|) |noBranch|)) 
+((|double| ((|#1| (|PositiveInteger|) |#1|) 9))) 
+(((|RepeatedDoubling| |#1|) (CATEGORY |package| (SIGNATURE |double| (|#1| (|PositiveInteger|) |#1|))) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $))))) (T |RepeatedDoubling|)) 
+((|double| (*1 *2 *3 *2) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedDoubling| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)))))))) 
+(CATEGORY |package| (SIGNATURE |double| (|#1| (|PositiveInteger|) |#1|))) 
+((|radicalEigenvectors| (((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 58)) (|radicalEigenvector| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 48)) (|radicalEigenvalues| (((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 41)) (|orthonormalBasis| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 67)) (|normalise| (((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|)))) 33)) (|gramschmidt| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|))))) 61)) (|eigenMatrix| (((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) 65))) 
+(((|RadicalEigenPackage|) (CATEGORY |package| (SIGNATURE |radicalEigenvectors| ((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |radicalEigenvector| ((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |radicalEigenvalues| ((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |eigenMatrix| ((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |normalise| ((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|))))) (SIGNATURE |gramschmidt| ((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|)))))) (SIGNATURE |orthonormalBasis| ((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))))) (T |RadicalEigenPackage|)) 
+((|orthonormalBasis| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)))) (|gramschmidt| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)))) (|normalise| (*1 *2 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|)))) (|eigenMatrix| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|)))) (|radicalEigenvalues| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|)))) (|radicalEigenvector| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)) (|isDomain| *3 (|Expression| (|Integer|))))) (|radicalEigenvectors| (*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|)))))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(CATEGORY |package| (SIGNATURE |radicalEigenvectors| ((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |radicalEigenvector| ((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |radicalEigenvalues| ((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |eigenMatrix| ((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|)))))) (SIGNATURE |normalise| ((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|))))) (SIGNATURE |gramschmidt| ((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|)))))) (SIGNATURE |orthonormalBasis| ((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))))) 
+((|expt| ((|#1| |#1| (|PositiveInteger|)) 9))) 
+(((|RepeatedSquaring| |#1|) (CATEGORY |package| (SIGNATURE |expt| (|#1| |#1| (|PositiveInteger|)))) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $))))) (T |RepeatedSquaring|)) 
+((|expt| (*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedSquaring| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)))))))) 
+(CATEGORY |package| (SIGNATURE |expt| (|#1| |#1| (|PositiveInteger|)))) 
+((|coerce| ((|#1| (|Exit|)) 11) (((|Void|) |#1|) 9))) 
+(((|ResolveLatticeCompletion| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|Void|) |#1|)) (SIGNATURE |coerce| (|#1| (|Exit|)))) (|Type|)) (T |ResolveLatticeCompletion|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|Exit|)) (|isDomain| *1 (|ResolveLatticeCompletion| *2)) (|ofCategory| *2 (|Type|)))) (|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ResolveLatticeCompletion| *3)) (|ofCategory| *3 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|Void|) |#1|)) (SIGNATURE |coerce| (|#1| (|Exit|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|reduce| (($ |#4|) 25)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|lift| ((|#4| $) 27)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 46) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (|characteristic| (((|NonNegativeInteger|)) 43)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 21 T CONST)) (|One| (($) 23 T CONST)) (= (((|Boolean|) $ $) 40)) (- (($ $) 31) (($ $ $) NIL)) (+ (($ $ $) 29)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
+(((|ResidueRing| |#1| |#2| |#3| |#4| |#5|) (|Join| (|CommutativeRing|) (|Algebra| |#1|) (CATEGORY |domain| (SIGNATURE |reduce| ($ |#4|)) (SIGNATURE |coerce| ($ |#4|)) (SIGNATURE |lift| (|#4| $)))) (|Field|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|PolynomialCategory| |#1| |#2| |#3|) (|List| |#4|)) (T |ResidueRing|)) 
+((|reduce| (*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) (|lift| (*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofType| *6 (|List| *2))))) 
+(|Join| (|CommutativeRing|) (|Algebra| |#1|) (CATEGORY |domain| (SIGNATURE |reduce| ($ |#4|)) (SIGNATURE |coerce| ($ |#4|)) (SIGNATURE |lift| (|#4| $)))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|swap!| (((|Void|) $ (|Symbol|) (|Symbol|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|showScalarValues| (((|Boolean|) (|Boolean|)) 39)) (|showArrayValues| (((|Boolean|) (|Boolean|)) 38)) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| (|Any|) "failed") (|Symbol|) $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| (|Any|) "failed") (|Symbol|) $) NIL)) (|remove| (($ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Any|) $ (|Symbol|) (|Any|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Any|) $ (|Symbol|)) NIL)) (|parts| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Symbol|) $) NIL (|has| (|Symbol|) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|Boolean|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|))))) (|maxIndex| (((|Symbol|) $) NIL (|has| (|Symbol|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| (|Any|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL) (($ (|Mapping| (|Any|) (|Any|)) $) NIL) (($ (|Mapping| (|Any|) (|Any|) (|Any|)) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|keys| (((|List| (|Symbol|)) $) 34)) (|key?| (((|Boolean|) (|Symbol|) $) NIL)) (|inspect| (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL)) (|insert!| (($ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL)) (|indices| (((|List| (|Symbol|)) $) NIL)) (|index?| (((|Boolean|) (|Symbol|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|first| (((|Any|) $) NIL (|has| (|Symbol|) (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL)) (|fill!| (($ $ (|Any|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|List| (|Any|)) (|List| (|Any|))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|Any|) (|Any|)) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|Equation| (|Any|))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Any|)))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|))))) (|entries| (((|List| (|Any|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| (((|Any|) $ (|Symbol|)) 35) (((|Any|) $ (|Symbol|) (|Any|)) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|NonNegativeInteger|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|coerce| (((|OutputForm|) $) 37 (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Result|) (|Join| (|TableAggregate| (|Symbol|) (|Any|)) (CATEGORY |package| (SIGNATURE |showScalarValues| ((|Boolean|) (|Boolean|))) (SIGNATURE |showArrayValues| ((|Boolean|) (|Boolean|))) (ATTRIBUTE |finiteAggregate|)))) (T |Result|)) 
+((|showScalarValues| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|)))) (|showArrayValues| (*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(|Join| (|TableAggregate| (|Symbol|) (|Any|)) (CATEGORY |package| (SIGNATURE |showScalarValues| ((|Boolean|) (|Boolean|))) (SIGNATURE |showArrayValues| ((|Boolean|) (|Boolean|))) (ATTRIBUTE |finiteAggregate|))) 
+((|retract| ((|#2| $) 10))) 
+(((|RetractableTo&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |retract| (|#2| |#1|))) (|RetractableTo| |#2|) (|Type|)) (T |RetractableTo&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |retract| (|#2| |#1|))) 
+((|retractIfCan| (((|Union| |#1| "failed") $) 7)) (|retract| ((|#1| $) 8)) (|coerce| (($ |#1|) 6))) 
+(((|RetractableTo| |#1|) (|Category|) (|Type|)) (T |RetractableTo|)) 
+((|retract| (*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) (|retractIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |coerce| ($ |t#1|)) (SIGNATURE |retractIfCan| ((|Union| |t#1| "failed") $)) (SIGNATURE |retract| (|t#1| $)))) 
+((|solveRetract| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))) 35))) 
+(((|RetractSolvePackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |solveRetract| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))))) (|IntegralDomain|) (|Join| (|IntegralDomain|) (|RetractableTo| |#1|))) (T |RetractSolvePackage|)) 
+((|solveRetract| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *6)))))) (|isDomain| *1 (|RetractSolvePackage| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |solveRetract| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))))) 
+((|uniform01| (((|Float|)) 15)) (|uniform| (((|Mapping| (|Float|)) (|Float|) (|Float|)) 20)) (|t| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) 42)) (|normal01| (((|Float|)) 33)) (|normal| (((|Mapping| (|Float|)) (|Float|) (|Float|)) 34)) (|exponential1| (((|Float|)) 26)) (|exponential| (((|Mapping| (|Float|)) (|Float|)) 27)) (|chiSquare1| (((|Float|) (|NonNegativeInteger|)) 37)) (|chiSquare| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) 38)) (F (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) 41)) (|Beta| (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) 39))) 
+(((|RandomFloatDistributions|) (CATEGORY |package| (SIGNATURE |uniform01| ((|Float|))) (SIGNATURE |normal01| ((|Float|))) (SIGNATURE |exponential1| ((|Float|))) (SIGNATURE |chiSquare1| ((|Float|) (|NonNegativeInteger|))) (SIGNATURE |uniform| ((|Mapping| (|Float|)) (|Float|) (|Float|))) (SIGNATURE |normal| ((|Mapping| (|Float|)) (|Float|) (|Float|))) (SIGNATURE |exponential| ((|Mapping| (|Float|)) (|Float|))) (SIGNATURE |chiSquare| ((|Mapping| (|Float|)) (|NonNegativeInteger|))) (SIGNATURE |Beta| ((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE F ((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |t| ((|Mapping| (|Float|)) (|NonNegativeInteger|))))) (T |RandomFloatDistributions|)) 
+((|t| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) (F (*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) (|Beta| (*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) (|chiSquare| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) (|exponential| (*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) (|normal| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) (|uniform| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) (|chiSquare1| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|)))) (|exponential1| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|)))) (|normal01| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|)))) (|uniform01| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(CATEGORY |package| (SIGNATURE |uniform01| ((|Float|))) (SIGNATURE |normal01| ((|Float|))) (SIGNATURE |exponential1| ((|Float|))) (SIGNATURE |chiSquare1| ((|Float|) (|NonNegativeInteger|))) (SIGNATURE |uniform| ((|Mapping| (|Float|)) (|Float|) (|Float|))) (SIGNATURE |normal| ((|Mapping| (|Float|)) (|Float|) (|Float|))) (SIGNATURE |exponential| ((|Mapping| (|Float|)) (|Float|))) (SIGNATURE |chiSquare| ((|Mapping| (|Float|)) (|NonNegativeInteger|))) (SIGNATURE |Beta| ((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE F ((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |t| ((|Mapping| (|Float|)) (|NonNegativeInteger|)))) 
+((|factor| (((|Factored| |#1|) |#1|) 31))) 
+(((|RationalFunctionFactor| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|))) (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (T |RationalFunctionFactor|)) 
+((|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFunctionFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|)))))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|))) 
+((|factorFraction| (((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))) 14))) 
+(((|RationalFunctionFactorizer| |#1|) (CATEGORY |package| (SIGNATURE |factorFraction| ((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))))) (|EuclideanDomain|)) (T |RationalFunctionFactorizer|)) 
+((|factorFraction| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Fraction| (|Factored| (|Polynomial| *4)))) (|isDomain| *1 (|RationalFunctionFactorizer| *4))))) 
+(CATEGORY |package| (SIGNATURE |factorFraction| ((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))))) 
+((|variables| (((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|))) 15)) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 22)) (|multivariate| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|)) 24)) (|mainVariable| (((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|))) 18)) (|eval| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) 29) (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) 31) (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|)))) 26) (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) 27)) (|coerce| (((|Fraction| (|Polynomial| |#1|)) |#1|) 11))) 
+(((|RationalFunction| |#1|) (CATEGORY |package| (SIGNATURE |variables| ((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |mainVariable| ((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |multivariate| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |coerce| ((|Fraction| (|Polynomial| |#1|)) |#1|))) (|IntegralDomain|)) (T |RationalFunction|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|RationalFunction| *3)) (|ofCategory| *3 (|IntegralDomain|)))) (|eval| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) (|eval| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) (|eval| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *5)))) (|eval| (*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) (|multivariate| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunction| *5)) (|ofCategory| *5 (|IntegralDomain|)))) (|univariate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunction| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) (|mainVariable| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RationalFunction| *4)))) (|variables| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RationalFunction| *4))))) 
+(CATEGORY |package| (SIGNATURE |variables| ((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |mainVariable| ((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |univariate| ((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |multivariate| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |eval| ((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |coerce| ((|Fraction| (|Polynomial| |#1|)) |#1|))) 
+((|setFoundZeroes| (((|List| |#1|) (|List| |#1|)) 45)) (|foundZeroes| (((|List| |#1|)) 9)) (|distinguishedRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|) 19)) (|distinguishedCommonRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|) 37))) 
+(((|RootsFindingPackage| |#1|) (CATEGORY |package| (SIGNATURE |distinguishedRootsOf| ((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|)) (SIGNATURE |distinguishedCommonRootsOf| ((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|)) (SIGNATURE |foundZeroes| ((|List| |#1|))) (SIGNATURE |setFoundZeroes| ((|List| |#1|) (|List| |#1|)))) (|Field|)) (T |RootsFindingPackage|)) 
+((|setFoundZeroes| (*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|RootsFindingPackage| *3)))) (|foundZeroes| (*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RootsFindingPackage| *3)) (|ofCategory| *3 (|Field|)))) (|distinguishedCommonRootsOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4)))) (|distinguishedRootsOf| (*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(CATEGORY |package| (SIGNATURE |distinguishedRootsOf| ((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|)) (SIGNATURE |distinguishedCommonRootsOf| ((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|)) (SIGNATURE |foundZeroes| ((|List| |#1|))) (SIGNATURE |setFoundZeroes| ((|List| |#1|) (|List| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|zeroSetSplit| (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|)) NIL)) (|variables| (((|List| (|OrderedVariableList| |#2|)) $) NIL)) (|trivialIdeal?| (((|Boolean|) $) NIL)) (|triangular?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|Boolean|) $) NIL)) (|stronglyReduce| (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|squareFreePart| (((|List| (|Record| (|:| |val| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|:| |tower| $))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ (|OrderedVariableList| |#2|)) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select| (($ (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) "failed") $ (|OrderedVariableList| |#2|)) NIL)) (|sample| (($) NIL T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $ (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|rewriteIdealWithRemainder| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|retract| (($ (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|rest| (((|Union| $ "failed") $) NIL)) (|removeZero| (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|))))) (|remove| (($ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|:| |den| |#1|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $ (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|reduceByQuasiMonic| (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|reduce| (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|)))) (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $ (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|quasiComponent| (((|Record| (|:| |close| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|:| |open| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) $) NIL)) (|purelyTranscendental?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|purelyAlgebraic?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|Boolean|) $) NIL)) (|parts| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|Boolean|) $) NIL)) (|mvar| (((|OrderedVariableList| |#2|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|))))) (|map!| (($ (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL)) (|mainVariables| (((|List| (|OrderedVariableList| |#2|)) $) NIL)) (|mainVariable?| (((|Boolean|) (|OrderedVariableList| |#2|) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|lastSubResultantElseSplit| (((|Union| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|List| $)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|lastSubResultant| (((|List| (|Record| (|:| |val| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|:| |tower| $))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|last| (((|Union| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) "failed") $) NIL)) (|invertibleSet| (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|intersect| (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| $)) NIL) (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|List| $)) NIL)) (|internalAugment| (($ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (($ (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL)) (|initials| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL)) (|initiallyReduced?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|Boolean|) $) NIL)) (|initiallyReduce| (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|infRittWu?| (((|Boolean|) $ $) NIL)) (|headRemainder| (((|Record| (|:| |num| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|:| |den| |#1|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|Boolean|) $) NIL)) (|headReduce| (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Union| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) "failed") $) NIL)) (|find| (((|Union| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) "failed") (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL)) (|extendIfCan| (((|Union| $ "failed") $ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) NIL)) (|extend| (($ $ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) NIL) (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|List| $)) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| $)) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL (AND (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Evalable| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|)))) (($ $ (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) NIL (AND (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Evalable| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL (AND (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Evalable| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Equation| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) NIL (AND (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|Evalable| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|count| (((|NonNegativeInteger|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|collectUpper| (($ $ (|OrderedVariableList| |#2|)) NIL)) (|collectUnder| (($ $ (|OrderedVariableList| |#2|)) NIL)) (|collectQuasiMonic| (($ $) NIL)) (|collect| (($ $ (|OrderedVariableList| |#2|)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL)) (|coHeight| (((|NonNegativeInteger|) $) NIL (|has| (|OrderedVariableList| |#2|) (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) NIL)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))))) NIL)) (|augment| (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL) (((|List| $) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|List| $)) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL) (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| $)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| (|OrderedVariableList| |#2|)) $) NIL)) (|algebraicCoefficients?| (((|Boolean|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) $) NIL)) (|algebraic?| (((|Boolean|) (|OrderedVariableList| |#2|) $) NIL)) (= (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RegularChain| |#1| |#2|) (|Join| (|RegularTriangularSetCategory| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (CATEGORY |domain| (SIGNATURE |zeroSetSplit| ((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|))))) (|GcdDomain|) (|List| (|Symbol|))) (T |RegularChain|)) 
+((|zeroSetSplit| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|RegularChain| *5 *6))))) 
+(|Join| (|RegularTriangularSetCategory| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (CATEGORY |domain| (SIGNATURE |zeroSetSplit| ((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|))))) 
+((|uniform| (((|Mapping| (|Integer|)) (|Segment| (|Integer|))) 33)) (|ridHack1| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) 30)) (|poisson| (((|Mapping| (|Integer|)) |RationalNumber|) NIL)) (|geometric| (((|Mapping| (|Integer|)) |RationalNumber|) NIL)) (|binomial| (((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|) NIL))) 
+(((|RandomIntegerDistributions|) (CATEGORY |package| (SIGNATURE |uniform| ((|Mapping| (|Integer|)) (|Segment| (|Integer|)))) (SIGNATURE |binomial| ((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|)) (SIGNATURE |poisson| ((|Mapping| (|Integer|)) |RationalNumber|)) (SIGNATURE |geometric| ((|Mapping| (|Integer|)) |RationalNumber|)) (SIGNATURE |ridHack1| ((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|))))) (T |RandomIntegerDistributions|)) 
+((|ridHack1| (*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomIntegerDistributions|)))) (|geometric| (*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)))) (|poisson| (*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)))) (|binomial| (*1 *2 *3 *4) (AND (|isDomain| *4 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)) (|isDomain| *3 (|Integer|)))) (|uniform| (*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(CATEGORY |package| (SIGNATURE |uniform| ((|Mapping| (|Integer|)) (|Segment| (|Integer|)))) (SIGNATURE |binomial| ((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|)) (SIGNATURE |poisson| ((|Mapping| (|Integer|)) |RationalNumber|)) (SIGNATURE |geometric| ((|Mapping| (|Integer|)) |RationalNumber|)) (SIGNATURE |ridHack1| ((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)))) 
+((|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 10))) 
+(((|Ring&| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|Ring|)) (T |Ring&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|Ring|) (|Category|)) (T |Ring|)) 
+((|characteristic| (*1 *2) (AND (|ofCategory| *1 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|Ring|))))) 
+(|Join| (|Rng|) (|Monoid|) (|LeftModule| $) (CATEGORY |domain| (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Integer|))) (ATTRIBUTE |unitsKnown|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| $) . T) ((|Monoid|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|interpolate| (((|Fraction| (|Polynomial| |#2|)) (|List| |#2|) (|List| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) 45))) 
+(((|RationalInterpolation| |#1| |#2|) (CATEGORY |package| (SIGNATURE |interpolate| ((|Fraction| (|Polynomial| |#2|)) (|List| |#2|) (|List| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)))) (|Symbol|) (|Field|)) (T |RationalInterpolation|)) 
+((|interpolate| (*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Fraction| (|Polynomial| *6))) (|isDomain| *1 (|RationalInterpolation| *5 *6)) (|ofType| *5 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |interpolate| ((|Fraction| (|Polynomial| |#2|)) (|List| |#2|) (|List| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)))) 
+((|symmetric?| (((|Boolean|) $) 27)) (|square?| (((|Boolean|) $) 16)) (|nrows| (((|NonNegativeInteger|) $) 13)) (|ncols| (((|NonNegativeInteger|) $) 14)) (|diagonal?| (((|Boolean|) $) 25)) (|antisymmetric?| (((|Boolean|) $) 29))) 
+(((|RectangularMatrixCategory&| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |domain| (SIGNATURE |ncols| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |nrows| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |antisymmetric?| ((|Boolean|) |#1|)) (SIGNATURE |symmetric?| ((|Boolean|) |#1|)) (SIGNATURE |diagonal?| ((|Boolean|) |#1|)) (SIGNATURE |square?| ((|Boolean|) |#1|))) (|RectangularMatrixCategory| |#2| |#3| |#4| |#5| |#6|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Ring|) (|DirectProductCategory| |#3| |#4|) (|DirectProductCategory| |#2| |#4|)) (T |RectangularMatrixCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |ncols| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |nrows| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |antisymmetric?| ((|Boolean|) |#1|)) (SIGNATURE |symmetric?| ((|Boolean|) |#1|)) (SIGNATURE |diagonal?| ((|Boolean|) |#1|)) (SIGNATURE |square?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|symmetric?| (((|Boolean|) $) 48)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|square?| (((|Boolean|) $) 50)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 58)) (|sample| (($) 16 T CONST)) (|rowEchelon| (($ $) 31 (|has| |#3| (|EuclideanDomain|)))) (|row| ((|#4| $ (|Integer|)) 36)) (|rank| (((|NonNegativeInteger|) $) 30 (|has| |#3| (|IntegralDomain|)))) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) 38)) (|parts| (((|List| |#3|) $) 65 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nullity| (((|NonNegativeInteger|) $) 29 (|has| |#3| (|IntegralDomain|)))) (|nullSpace| (((|List| |#5|) $) 28 (|has| |#3| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 42)) (|ncols| (((|NonNegativeInteger|) $) 41)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 57)) (|minRowIndex| (((|Integer|) $) 46)) (|minColIndex| (((|Integer|) $) 44)) (|members| (((|List| |#3|) $) 66 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#3| $) 68 (AND (|has| |#3| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxRowIndex| (((|Integer|) $) 45)) (|maxColIndex| (((|Integer|) $) 43)) (|matrix| (($ (|List| (|List| |#3|))) 51)) (|map!| (($ (|Mapping| |#3| |#3|) $) 61 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#3| |#3|) $) 60) (($ (|Mapping| |#3| |#3| |#3|) $ $) 34)) (|listOfLists| (((|List| (|List| |#3|)) $) 40)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 56)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ |#3|) 33 (|has| |#3| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#3|) (|List| |#3|)) 72 (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ |#3| |#3|) 71 (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|Equation| |#3|)) 70 (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|List| (|Equation| |#3|))) 69 (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 52)) (|empty?| (((|Boolean|) $) 55)) (|empty| (($) 54)) (|elt| ((|#3| $ (|Integer|) (|Integer|)) 39) ((|#3| $ (|Integer|) (|Integer|) |#3|) 37)) (|diagonal?| (((|Boolean|) $) 49)) (|count| (((|NonNegativeInteger|) |#3| $) 67 (AND (|has| |#3| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 53)) (|column| ((|#5| $ (|Integer|)) 35)) (|coerce| (((|OutputForm|) $) 11)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) 62 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) 47)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#3|) 32 (|has| |#3| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (|#| (((|NonNegativeInteger|) $) 59 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RectangularMatrixCategory| |#1| |#2| |#3| |#4| |#5|) (|Category|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Ring|) (|DirectProductCategory| |t#2| |t#3|) (|DirectProductCategory| |t#1| |t#3|)) (T |RectangularMatrixCategory|)) 
+((|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) (|matrix| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *5))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) (|square?| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|)))) (|diagonal?| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|)))) (|symmetric?| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|)))) (|antisymmetric?| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|)))) (|minRowIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|)))) (|maxRowIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|)))) (|minColIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|)))) (|maxColIndex| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|)))) (|nrows| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) (|ncols| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) (|listOfLists| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|List| (|List| *5))))) (|elt| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) (|qelt| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) (|elt| (*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)))) (|row| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *2 *7)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *4 *6)) (|ofCategory| *2 (|DirectProductCategory| *5 *6)))) (|column| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *7 *2)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *5 *6)) (|ofCategory| *2 (|DirectProductCategory| *4 *6)))) (|map| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *5 *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) (|exquo| (*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|IntegralDomain|)))) (/ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Field|)))) (|rowEchelon| (*1 *1 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *2 *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *2 *4)) (|ofCategory| *4 (|EuclideanDomain|)))) (|rank| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|nullity| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|nullSpace| (*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| *7))))) 
+(|Join| (|BiModule| |t#3| |t#3|) (|HomogeneousAggregate| |t#3|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (IF (|has| |t#3| (|CommutativeRing|)) (ATTRIBUTE (|Module| |t#3|)) |noBranch|) (SIGNATURE |matrix| ($ (|List| (|List| |t#3|)))) (SIGNATURE |square?| ((|Boolean|) $)) (SIGNATURE |diagonal?| ((|Boolean|) $)) (SIGNATURE |symmetric?| ((|Boolean|) $)) (SIGNATURE |antisymmetric?| ((|Boolean|) $)) (SIGNATURE |minRowIndex| ((|Integer|) $)) (SIGNATURE |maxRowIndex| ((|Integer|) $)) (SIGNATURE |minColIndex| ((|Integer|) $)) (SIGNATURE |maxColIndex| ((|Integer|) $)) (SIGNATURE |nrows| ((|NonNegativeInteger|) $)) (SIGNATURE |ncols| ((|NonNegativeInteger|) $)) (SIGNATURE |listOfLists| ((|List| (|List| |t#3|)) $)) (SIGNATURE |elt| (|t#3| $ (|Integer|) (|Integer|))) (SIGNATURE |qelt| (|t#3| $ (|Integer|) (|Integer|))) (SIGNATURE |elt| (|t#3| $ (|Integer|) (|Integer|) |t#3|)) (SIGNATURE |row| (|t#4| $ (|Integer|))) (SIGNATURE |column| (|t#5| $ (|Integer|))) (SIGNATURE |map| ($ (|Mapping| |t#3| |t#3|) $)) (SIGNATURE |map| ($ (|Mapping| |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (|IntegralDomain|)) (SIGNATURE |exquo| ((|Union| $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (|Field|)) (SIGNATURE / ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (|EuclideanDomain|)) (SIGNATURE |rowEchelon| ($ $)) |noBranch|) (IF (|has| |t#3| (|IntegralDomain|)) (PROGN (SIGNATURE |rank| ((|NonNegativeInteger|) $)) (SIGNATURE |nullity| ((|NonNegativeInteger|) $)) (SIGNATURE |nullSpace| ((|List| |t#5|) $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Aggregate|) . T) ((|BasicType|) . T) ((|BiModule| |#3| |#3|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Evalable| |#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|))) ((|HomogeneousAggregate| |#3|) . T) ((|InnerEvalable| |#3| |#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|))) ((|LeftModule| |#3|) . T) ((|Module| |#3|) |has| |#3| (|CommutativeRing|)) ((|RightModule| |#3|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) 40 (|has| |#3| (|EuclideanDomain|)))) (|row| (((|DirectProduct| |#2| |#3|) $ (|Integer|)) 29)) (|rectangularMatrix| (($ (|Matrix| |#3|)) 38)) (|rank| (((|NonNegativeInteger|) $) 42 (|has| |#3| (|IntegralDomain|)))) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) NIL)) (|parts| (((|List| |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nullity| (((|NonNegativeInteger|) $) 44 (|has| |#3| (|IntegralDomain|)))) (|nullSpace| (((|List| (|DirectProduct| |#1| |#3|)) $) 48 (|has| |#3| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minRowIndex| (((|Integer|) $) NIL)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) NIL)) (|maxColIndex| (((|Integer|) $) NIL)) (|matrix| (($ (|List| (|List| |#3|))) 24)) (|map!| (($ (|Mapping| |#3| |#3|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#3| |#3|) $) NIL) (($ (|Mapping| |#3| |#3| |#3|) $ $) NIL)) (|listOfLists| (((|List| (|List| |#3|)) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#3|) NIL (|has| |#3| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#3|) (|List| |#3|)) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ |#3| |#3|) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|Equation| |#3|)) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|List| (|Equation| |#3|))) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#3| $ (|Integer|) (|Integer|)) NIL) ((|#3| $ (|Integer|) (|Integer|) |#3|) NIL)) (|dimension| (((|CardinalNumber|)) 51 (|has| |#3| (|Field|)))) (|diagonal?| (((|Boolean|) $) NIL)) (|count| (((|NonNegativeInteger|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) 60 (|has| |#3| (|ConvertibleTo| (|InputForm|))))) (|column| (((|DirectProduct| |#1| |#3|) $ (|Integer|)) 33)) (|coerce| (((|OutputForm|) $) 16) (((|Matrix| |#3|) $) 35)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (|Zero| (($) 13 T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#3|) NIL (|has| |#3| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RectangularMatrix| |#1| |#2| |#3|) (|Join| (|RectangularMatrixCategory| |#1| |#2| |#3| (|DirectProduct| |#2| |#3|) (|DirectProduct| |#1| |#3|)) (|CoercibleTo| (|Matrix| |#3|)) (CATEGORY |domain| (IF (|has| |#3| (|Field|)) (ATTRIBUTE (|VectorSpace| |#3|)) |noBranch|) (IF (|has| |#3| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (SIGNATURE |rectangularMatrix| ($ (|Matrix| |#3|))) (SIGNATURE |coerce| ((|Matrix| |#3|) $)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Ring|)) (T |RectangularMatrix|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)))) (|rectangularMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(|Join| (|RectangularMatrixCategory| |#1| |#2| |#3| (|DirectProduct| |#2| |#3|) (|DirectProduct| |#1| |#3|)) (|CoercibleTo| (|Matrix| |#3|)) (CATEGORY |domain| (IF (|has| |#3| (|Field|)) (ATTRIBUTE (|VectorSpace| |#3|)) |noBranch|) (IF (|has| |#3| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|) (SIGNATURE |rectangularMatrix| ($ (|Matrix| |#3|))) (SIGNATURE |coerce| ((|Matrix| |#3|) $)))) 
+((|reduce| ((|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|) 34)) (|map| ((|#10| (|Mapping| |#7| |#3|) |#6|) 32))) 
+(((|RectangularMatrixCategoryFunctions2| |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (CATEGORY |package| (SIGNATURE |map| (|#10| (|Mapping| |#7| |#3|) |#6|)) (SIGNATURE |reduce| (|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Ring|) (|DirectProductCategory| |#2| |#3|) (|DirectProductCategory| |#1| |#3|) (|RectangularMatrixCategory| |#1| |#2| |#3| |#4| |#5|) (|Ring|) (|DirectProductCategory| |#2| |#7|) (|DirectProductCategory| |#1| |#7|) (|RectangularMatrixCategory| |#1| |#2| |#7| |#8| |#9|)) (T |RectangularMatrixCategoryFunctions2|)) 
+((|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *7 *2)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *10 (|DirectProductCategory| *6 *2)) (|ofCategory| *11 (|DirectProductCategory| *5 *2)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *12 (|RectangularMatrixCategory| *5 *6 *2 *10 *11)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *10 *7)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *10 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *2 (|RectangularMatrixCategory| *5 *6 *10 *11 *12)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *11 (|DirectProductCategory| *6 *10)) (|ofCategory| *12 (|DirectProductCategory| *5 *10))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#10| (|Mapping| |#7| |#3|) |#6|)) (SIGNATURE |reduce| (|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ |#1|) 22))) 
+(((|RightModule| |#1|) (|Category|) (|Rng|)) (T |RightModule|)) 
+((* (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RightModule| *2)) (|ofCategory| *2 (|Rng|))))) 
+(|Join| (|AbelianGroup|) (CATEGORY |domain| (SIGNATURE * ($ $ |t#1|)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|PositiveInteger|)) 25)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|Rng|) (|Category|)) (T |Rng|)) 
+NIL 
+(|Join| (|AbelianGroup|) (|SemiGroup|)) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|truncate| (($ $) 16)) (|round| (($ $) 22)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 49)) (|norm| (($ $) 24)) (|fractionPart| (($ $) 11)) (|floor| (($ $) 38)) (|convert| (((|Float|) $) NIL) (((|DoubleFloat|) $) NIL) (((|Pattern| (|Float|)) $) 33)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) 28) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) 28)) (|characteristic| (((|NonNegativeInteger|)) 8)) (|ceiling| (($ $) 39))) 
+(((|RealNumberSystem&| |#1|) (CATEGORY |domain| (SIGNATURE |round| (|#1| |#1|)) (SIGNATURE |truncate| (|#1| |#1|)) (SIGNATURE |fractionPart| (|#1| |#1|)) (SIGNATURE |floor| (|#1| |#1|)) (SIGNATURE |ceiling| (|#1| |#1|)) (SIGNATURE |norm| (|#1| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |convert| ((|DoubleFloat|) |#1|)) (SIGNATURE |convert| ((|Float|) |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|RealNumberSystem|)) (T |RealNumberSystem&|)) 
+((|characteristic| (*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealNumberSystem&| *3)) (|ofCategory| *3 (|RealNumberSystem|))))) 
+(CATEGORY |domain| (SIGNATURE |round| (|#1| |#1|)) (SIGNATURE |truncate| (|#1| |#1|)) (SIGNATURE |fractionPart| (|#1| |#1|)) (SIGNATURE |floor| (|#1| |#1|)) (SIGNATURE |ceiling| (|#1| |#1|)) (SIGNATURE |norm| (|#1| |#1|)) (SIGNATURE |patternMatch| ((|PatternMatchResult| (|Float|) |#1|) |#1| (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) |#1|))) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |convert| ((|DoubleFloat|) |#1|)) (SIGNATURE |convert| ((|Float|) |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |characteristic| ((|NonNegativeInteger|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|wholePart| (((|Integer|) $) 87)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|truncate| (($ $) 85)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sqrt| (($ $) 95)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sign| (((|Integer|) $) 112)) (|sample| (($) 16 T CONST)) (|round| (($ $) 84)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 100) (((|Union| (|Fraction| (|Integer|)) "failed") $) 97)) (|retract| (((|Integer|) $) 99) (((|Fraction| (|Integer|)) $) 96)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|prime?| (((|Boolean|) $) 71)) (|positive?| (((|Boolean|) $) 110)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 91)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 94)) (|norm| (($ $) 90)) (|negative?| (((|Boolean|) $) 111)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|min| (($ $ $) 109)) (|max| (($ $ $) 108)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|fractionPart| (($ $) 86)) (|floor| (($ $) 88)) (|factor| (((|Factored| $) $) 74)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|convert| (((|Float|) $) 103) (((|DoubleFloat|) $) 102) (((|Pattern| (|Float|)) $) 92)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ (|Integer|)) 101) (($ (|Fraction| (|Integer|))) 98)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|ceiling| (($ $) 89)) (|associates?| (((|Boolean|) $ $) 38)) (|abs| (($ $) 113)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (>= (((|Boolean|) $ $) 106)) (> (((|Boolean|) $ $) 105)) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 107)) (< (((|Boolean|) $ $) 104)) (/ (($ $ $) 64)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68) (($ $ (|Fraction| (|Integer|))) 93)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66))) 
+(((|RealNumberSystem|) (|Category|)) (T |RealNumberSystem|)) 
+((|abs| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) (|norm| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) (|ceiling| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) (|floor| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) (|wholePart| (*1 *2 *1) (AND (|ofCategory| *1 (|RealNumberSystem|)) (|isDomain| *2 (|Integer|)))) (|fractionPart| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) (|truncate| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) (|round| (*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(|Join| (|Field|) (|OrderedRing|) (|RealConstant|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))) (|RadicalCategory|) (|ConvertibleTo| (|Pattern| (|Float|))) (|PatternMatchable| (|Float|)) (|CharacteristicZero|) (CATEGORY |domain| (SIGNATURE |norm| ($ $)) (SIGNATURE |ceiling| ($ $)) (SIGNATURE |floor| ($ $)) (SIGNATURE |wholePart| ((|Integer|) $)) (SIGNATURE |fractionPart| ($ $)) (SIGNATURE |truncate| ($ $)) (SIGNATURE |round| ($ $)) (SIGNATURE |abs| ($ $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicZero|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|ConvertibleTo| (|DoubleFloat|)) . T) ((|ConvertibleTo| (|Float|)) . T) ((|ConvertibleTo| (|Pattern| (|Float|))) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|OrderedAbelianGroup|) . T) ((|OrderedAbelianMonoid|) . T) ((|OrderedAbelianSemiGroup|) . T) ((|OrderedCancellationAbelianMonoid|) . T) ((|OrderedRing|) . T) ((|OrderedSet|) . T) ((|PatternMatchable| (|Float|)) . T) ((|PrincipalIdealDomain|) . T) ((|RadicalCategory|) . T) ((|RealConstant|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) . T) ((|RetractableTo| (|Integer|)) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) |#2| $) 23)) (|size| ((|#1| $) 10)) (|sign| (((|Integer|) |#2| $) 88)) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) 58)) (|right| ((|#1| $) 28)) (|relativeApprox| ((|#1| |#2| $ |#1|) 37)) (|refine| (($ $) 25)) (|recip| (((|Union| |#2| "failed") |#2| $) 87)) (|positive?| (((|Boolean|) |#2| $) NIL)) (|negative?| (((|Boolean|) |#2| $) NIL)) (|mightHaveRoots| (((|Boolean|) |#2| $) 24)) (|middle| ((|#1| $) 89)) (|left| ((|#1| $) 27)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|definingPolynomial| ((|#2| $) 79)) (|coerce| (((|OutputForm|) $) 71)) (|approximate| ((|#1| |#2| $ |#1|) 38)) (|allRootsOf| (((|List| $) |#2|) 60)) (= (((|Boolean|) $ $) 74))) 
+(((|RightOpenIntervalRootCharacterization| |#1| |#2|) (|Join| (|RealRootCharacterizationCategory| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |left| (|#1| $)) (SIGNATURE |right| (|#1| $)) (SIGNATURE |size| (|#1| $)) (SIGNATURE |middle| (|#1| $)) (SIGNATURE |refine| ($ $)) (SIGNATURE |mightHaveRoots| ((|Boolean|) |#2| $)) (SIGNATURE |relativeApprox| (|#1| |#2| $ |#1|)))) (|Join| (|OrderedRing|) (|Field|)) (|UnivariatePolynomialCategory| |#1|)) (T |RightOpenIntervalRootCharacterization|)) 
+((|relativeApprox| (*1 *2 *3 *1 *2) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|left| (*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|right| (*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|size| (*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|middle| (*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|refine| (*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|mightHaveRoots| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(|Join| (|RealRootCharacterizationCategory| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |left| (|#1| $)) (SIGNATURE |right| (|#1| $)) (SIGNATURE |size| (|#1| $)) (SIGNATURE |middle| (|#1| $)) (SIGNATURE |refine| ($ $)) (SIGNATURE |mightHaveRoots| ((|Boolean|) |#2| $)) (SIGNATURE |relativeApprox| (|#1| |#2| $ |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|symmetricRemainder| (($ $ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|submod| (($ $ $ $) NIL)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL)) (|shift| (($ $ $) NIL)) (|sample| (($) NIL T CONST)) (|roman| (($ (|Symbol|)) 10) (($ (|Integer|)) 7)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL)) (|retract| (((|Integer|) $) NIL)) (|rem| (($ $ $) NIL)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|rational?| (((|Boolean|) $) NIL)) (|rational| (((|Fraction| (|Integer|)) $) NIL)) (|random| (($) NIL) (($ $) NIL)) (|quo| (($ $ $) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|powmod| (($ $ $ $) NIL)) (|positiveRemainder| (($ $ $) NIL)) (|positive?| (((|Boolean|) $) NIL)) (|permutation| (($ $ $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|odd?| (((|Boolean|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|negative?| (((|Boolean|) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|mulmod| (($ $ $ $) NIL)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|mask| (($ $) NIL)) (|length| (($ $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|invmod| (($ $ $) NIL)) (|init| (($) NIL T CONST)) (|inc| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL) (($ $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) NIL) (($ (|List| $)) NIL)) (|factorial| (($ $) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|even?| (((|Boolean|) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|dec| (($ $) NIL)) (|copy| (($ $) NIL)) (|convert| (((|Integer|) $) 16) (((|InputForm|) $) NIL) (((|Pattern| (|Integer|)) $) NIL) (((|Float|) $) NIL) (((|DoubleFloat|) $) NIL) (($ (|Symbol|)) 9)) (|coerce| (((|OutputForm|) $) 20) (($ (|Integer|)) 6) (($ $) NIL) (($ (|Integer|)) 6)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|bit?| (((|Boolean|) $ $) NIL)) (|binomial| (($ $ $) NIL)) (|base| (($) NIL)) (|associates?| (((|Boolean|) $ $) NIL)) (|addmod| (($ $ $ $) NIL)) (|abs| (($ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) NIL)) (- (($ $) 19) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL))) 
+(((|RomanNumeral|) (|Join| (|IntegerNumberSystem|) (CATEGORY |domain| (ATTRIBUTE |canonical|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |noetherian|) (SIGNATURE |convert| ($ (|Symbol|))) (SIGNATURE |roman| ($ (|Symbol|))) (SIGNATURE |roman| ($ (|Integer|)))))) (T |RomanNumeral|)) 
+((|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|)))) (|roman| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|)))) (|roman| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RomanNumeral|))))) 
+(|Join| (|IntegerNumberSystem|) (CATEGORY |domain| (ATTRIBUTE |canonical|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |noetherian|) (SIGNATURE |convert| ($ (|Symbol|))) (SIGNATURE |roman| ($ (|Symbol|))) (SIGNATURE |roman| ($ (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|swap!| (((|Void|) $ (|Symbol|) (|Symbol|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|showTheRoutinesTable| (($) 9)) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) NIL)) (|selectSumOfSquaresRoutines| (($ $) 23)) (|selectPDERoutines| (($ $) 21)) (|selectOptimizationRoutines| (($ $) 20)) (|selectODEIVPRoutines| (($ $) 22)) (|selectNonFiniteRoutines| (($ $) 25)) (|selectMultiDimensionalRoutines| (($ $) 26)) (|selectIntegrationRoutines| (($ $) 19)) (|selectFiniteRoutines| (($ $) 24)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) 18 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| (|Any|) "failed") (|Symbol|) $) 34)) (|sample| (($) NIL T CONST)) (|routines| (($) 7)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) 46 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| (|Any|) "failed") (|Symbol|) $) NIL)) (|remove| (($ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|recoverAfterFail| (((|Union| (|String|) "failed") $ (|String|) (|Integer|)) 59)) (|qsetelt!| (((|Any|) $ (|Symbol|) (|Any|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Any|) $ (|Symbol|)) NIL)) (|parts| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Symbol|) $) NIL (|has| (|Symbol|) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) 28 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|Boolean|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|))))) (|maxIndex| (((|Symbol|) $) NIL (|has| (|Symbol|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| (|Any|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL) (($ (|Mapping| (|Any|) (|Any|)) $) NIL) (($ (|Mapping| (|Any|) (|Any|) (|Any|)) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|keys| (((|List| (|Symbol|)) $) NIL)) (|key?| (((|Boolean|) (|Symbol|) $) NIL)) (|inspect| (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL)) (|insert!| (($ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) 37)) (|indices| (((|List| (|Symbol|)) $) NIL)) (|index?| (((|Boolean|) (|Symbol|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|getMeasure| (((|Float|) $ (|Symbol|)) 45)) (|getExplanations| (((|List| (|String|)) $ (|String|)) 60)) (|first| (((|Any|) $) NIL (|has| (|Symbol|) (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL)) (|fill!| (($ $ (|Any|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL (AND (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|Evalable| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (($ $ (|List| (|Any|)) (|List| (|Any|))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|Any|) (|Any|)) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|Equation| (|Any|))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|)))) (($ $ (|List| (|Equation| (|Any|)))) NIL (AND (|has| (|Any|) (|Evalable| (|Any|))) (|has| (|Any|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|))))) (|entries| (((|List| (|Any|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| (((|Any|) $ (|Symbol|)) NIL) (((|Any|) $ (|Symbol|) (|Any|)) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|deleteRoutine!| (($ $ (|Symbol|)) 47)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|)))) (((|NonNegativeInteger|) (|Any|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Any|) (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) 30)) (|concat| (($ $ $) 31)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|changeThreshhold| (($ $ (|Symbol|) (|Float|)) 43)) (|changeMeasure| (($ $ (|Symbol|) (|Float|)) 44)) (|bag| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|)))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) (|Any|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Any|) (|SetCategory|)) (|has| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|Any|))) (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RoutinesTable|) (|Join| (|TableAggregate| (|Symbol|) (|Any|)) (CATEGORY |domain| (SIGNATURE |concat| ($ $ $)) (SIGNATURE |routines| ($)) (SIGNATURE |selectIntegrationRoutines| ($ $)) (SIGNATURE |selectOptimizationRoutines| ($ $)) (SIGNATURE |selectPDERoutines| ($ $)) (SIGNATURE |selectODEIVPRoutines| ($ $)) (SIGNATURE |selectFiniteRoutines| ($ $)) (SIGNATURE |selectSumOfSquaresRoutines| ($ $)) (SIGNATURE |selectNonFiniteRoutines| ($ $)) (SIGNATURE |selectMultiDimensionalRoutines| ($ $)) (SIGNATURE |changeThreshhold| ($ $ (|Symbol|) (|Float|))) (SIGNATURE |changeMeasure| ($ $ (|Symbol|) (|Float|))) (SIGNATURE |getMeasure| ((|Float|) $ (|Symbol|))) (SIGNATURE |getExplanations| ((|List| (|String|)) $ (|String|))) (SIGNATURE |deleteRoutine!| ($ $ (|Symbol|))) (SIGNATURE |showTheRoutinesTable| ($)) (SIGNATURE |recoverAfterFail| ((|Union| (|String|) "failed") $ (|String|) (|Integer|))) (ATTRIBUTE |finiteAggregate|)))) (T |RoutinesTable|)) 
+((|concat| (*1 *1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|routines| (*1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectIntegrationRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectOptimizationRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectPDERoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectODEIVPRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectFiniteRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectSumOfSquaresRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectNonFiniteRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|selectMultiDimensionalRoutines| (*1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) (|changeThreshhold| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|)))) (|changeMeasure| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|)))) (|getMeasure| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RoutinesTable|)))) (|getExplanations| (*1 *2 *1 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|RoutinesTable|)) (|isDomain| *3 (|String|)))) (|deleteRoutine!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RoutinesTable|)))) (|showTheRoutinesTable| (*1 *1) (|isDomain| *1 (|RoutinesTable|))) (|recoverAfterFail| (*1 *2 *1 *2 *3) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(|Join| (|TableAggregate| (|Symbol|) (|Any|)) (CATEGORY |domain| (SIGNATURE |concat| ($ $ $)) (SIGNATURE |routines| ($)) (SIGNATURE |selectIntegrationRoutines| ($ $)) (SIGNATURE |selectOptimizationRoutines| ($ $)) (SIGNATURE |selectPDERoutines| ($ $)) (SIGNATURE |selectODEIVPRoutines| ($ $)) (SIGNATURE |selectFiniteRoutines| ($ $)) (SIGNATURE |selectSumOfSquaresRoutines| ($ $)) (SIGNATURE |selectNonFiniteRoutines| ($ $)) (SIGNATURE |selectMultiDimensionalRoutines| ($ $)) (SIGNATURE |changeThreshhold| ($ $ (|Symbol|) (|Float|))) (SIGNATURE |changeMeasure| ($ $ (|Symbol|) (|Float|))) (SIGNATURE |getMeasure| ((|Float|) $ (|Symbol|))) (SIGNATURE |getExplanations| ((|List| (|String|)) $ (|String|))) (SIGNATURE |deleteRoutine!| ($ $ (|Symbol|))) (SIGNATURE |showTheRoutinesTable| ($)) (SIGNATURE |recoverAfterFail| ((|Union| (|String|) "failed") $ (|String|) (|Integer|))) (ATTRIBUTE |finiteAggregate|))) 
+((|tail| (($ $) 45)) (|supRittWu?| (((|Boolean|) $ $) 74)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| |#4| "failed") $) NIL) (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) 226) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 225) (((|Union| $ "failed") (|Polynomial| |#2|)) 228)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL) (((|Integer|) $) NIL) ((|#4| $) NIL) (($ (|Polynomial| (|Fraction| (|Integer|)))) 214) (($ (|Polynomial| (|Integer|))) 210) (($ (|Polynomial| |#2|)) 230)) (|reductum| (($ $) NIL) (($ $ |#4|) 43)) (|reduced?| (((|Boolean|) $ $) 111) (((|Boolean|) $ (|List| $)) 112)) (|quasiMonic?| (((|Boolean|) $) 56)) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 106)) (|primitivePart!| (($ $) 137)) (|primPartElseUnitCanonical!| (($ $) 133)) (|primPartElseUnitCanonical| (($ $) 132)) (|prem| (($ $ $) 79) (($ $ $ |#4|) 84)) (|pquo| (($ $ $) 82) (($ $ $ |#4|) 86)) (|normalized?| (((|Boolean|) $ $) 120) (((|Boolean|) $ (|List| $)) 121)) (|mvar| ((|#4| $) 33)) (|monicModulo| (($ $ $) 109)) (|monic?| (((|Boolean|) $) 55)) (|mdeg| (((|NonNegativeInteger|) $) 35)) (|mainSquareFreePart| (($ $) 151)) (|mainPrimitivePart| (($ $) 148)) (|mainMonomials| (((|List| $) $) 68)) (|mainMonomial| (($ $) 57)) (|mainContent| (($ $) 144)) (|mainCoefficients| (((|List| $) $) 65)) (|leastMonomial| (($ $) 59)) (|leadingCoefficient| ((|#2| $) NIL) (($ $ |#4|) 38)) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) 110)) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) 107) (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) 108)) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) 103) (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) 104)) (|lazyPrem| (($ $ $) 89) (($ $ $ |#4|) 94)) (|lazyPquo| (($ $ $) 90) (($ $ $ |#4|) 95)) (|iteratedInitials| (((|List| $) $) 51)) (|initiallyReduced?| (((|Boolean|) $ $) 117) (((|Boolean|) $ (|List| $)) 118)) (|initiallyReduce| (($ $ $) 102)) (|init| (($ $) 37)) (|infRittWu?| (((|Boolean|) $ $) 72)) (|headReduced?| (((|Boolean|) $ $) 113) (((|Boolean|) $ (|List| $)) 115)) (|headReduce| (($ $ $) 100)) (|head| (($ $) 40)) (|gcd| ((|#2| |#2| $) 141) (($ (|List| $)) NIL) (($ $ $) NIL)) (|exactQuotient!| (($ $ |#2|) NIL) (($ $ $) 130)) (|exactQuotient| (($ $ |#2|) 125) (($ $ $) 128)) (|deepestTail| (($ $) 48)) (|deepestInitial| (($ $) 52)) (|convert| (((|Pattern| (|Float|)) $) NIL) (((|Pattern| (|Integer|)) $) NIL) (((|InputForm|) $) NIL) (($ (|Polynomial| (|Fraction| (|Integer|)))) 216) (($ (|Polynomial| (|Integer|))) 212) (($ (|Polynomial| |#2|)) 227) (((|String|) $) 249) (((|Polynomial| |#2|) $) 161)) (|coerce| (((|OutputForm|) $) 30) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((|Polynomial| |#2|) $) 162) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL)) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) 71))) 
+(((|RecursivePolynomialCategory&| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| ((|Polynomial| |#2|) |#1|)) (SIGNATURE |convert| ((|Polynomial| |#2|) |#1|)) (SIGNATURE |convert| ((|String|) |#1|)) (SIGNATURE |mainSquareFreePart| (|#1| |#1|)) (SIGNATURE |mainPrimitivePart| (|#1| |#1|)) (SIGNATURE |mainContent| (|#1| |#1|)) (SIGNATURE |primitivePart!| (|#1| |#1|)) (SIGNATURE |gcd| (|#2| |#2| |#1|)) (SIGNATURE |exactQuotient!| (|#1| |#1| |#1|)) (SIGNATURE |exactQuotient| (|#1| |#1| |#1|)) (SIGNATURE |exactQuotient!| (|#1| |#1| |#2|)) (SIGNATURE |exactQuotient| (|#1| |#1| |#2|)) (SIGNATURE |primPartElseUnitCanonical!| (|#1| |#1|)) (SIGNATURE |primPartElseUnitCanonical| (|#1| |#1|)) (SIGNATURE |convert| (|#1| (|Polynomial| |#2|))) (SIGNATURE |retract| (|#1| (|Polynomial| |#2|))) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Polynomial| |#2|))) (SIGNATURE |convert| (|#1| (|Polynomial| (|Integer|)))) (SIGNATURE |retract| (|#1| (|Polynomial| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Polynomial| (|Integer|)))) (SIGNATURE |convert| (|#1| (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |retract| (|#1| (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |initiallyReduce| (|#1| |#1| |#1|)) (SIGNATURE |headReduce| (|#1| |#1| |#1|)) (SIGNATURE |lazyResidueClass| ((|Record| (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) |#1| |#1|)) (SIGNATURE |monicModulo| (|#1| |#1| |#1|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1| |#4|)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |lazyPremWithDefault| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| |#1|)) |#1| |#1| |#4|)) (SIGNATURE |lazyPremWithDefault| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |lazyPquo| (|#1| |#1| |#1| |#4|)) (SIGNATURE |lazyPrem| (|#1| |#1| |#1| |#4|)) (SIGNATURE |lazyPquo| (|#1| |#1| |#1|)) (SIGNATURE |lazyPrem| (|#1| |#1| |#1|)) (SIGNATURE |pquo| (|#1| |#1| |#1| |#4|)) (SIGNATURE |prem| (|#1| |#1| |#1| |#4|)) (SIGNATURE |pquo| (|#1| |#1| |#1|)) (SIGNATURE |prem| (|#1| |#1| |#1|)) (SIGNATURE |normalized?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |normalized?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |headReduced?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |headReduced?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |reduced?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |reduced?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |supRittWu?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |infRittWu?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |RittWuCompare| ((|Union| (|Boolean|) "failed") |#1| |#1|)) (SIGNATURE |mainMonomials| ((|List| |#1|) |#1|)) (SIGNATURE |mainCoefficients| ((|List| |#1|) |#1|)) (SIGNATURE |leastMonomial| (|#1| |#1|)) (SIGNATURE |mainMonomial| (|#1| |#1|)) (SIGNATURE |quasiMonic?| ((|Boolean|) |#1|)) (SIGNATURE |monic?| ((|Boolean|) |#1|)) (SIGNATURE |reductum| (|#1| |#1| |#4|)) (SIGNATURE |leadingCoefficient| (|#1| |#1| |#4|)) (SIGNATURE |deepestInitial| (|#1| |#1|)) (SIGNATURE |iteratedInitials| ((|List| |#1|) |#1|)) (SIGNATURE |deepestTail| (|#1| |#1|)) (SIGNATURE |tail| (|#1| |#1|)) (SIGNATURE |head| (|#1| |#1|)) (SIGNATURE |init| (|#1| |#1|)) (SIGNATURE |mdeg| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |mvar| (|#4| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |retract| (|#4| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#4| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#4|)) (SIGNATURE |leadingCoefficient| (|#2| |#1|)) (SIGNATURE |reductum| (|#1| |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|RecursivePolynomialCategory| |#2| |#3| |#4|) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|)) (T |RecursivePolynomialCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |gcd| (|#1| |#1| |#1|)) (SIGNATURE |gcd| (|#1| (|List| |#1|))) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| ((|Polynomial| |#2|) |#1|)) (SIGNATURE |convert| ((|Polynomial| |#2|) |#1|)) (SIGNATURE |convert| ((|String|) |#1|)) (SIGNATURE |mainSquareFreePart| (|#1| |#1|)) (SIGNATURE |mainPrimitivePart| (|#1| |#1|)) (SIGNATURE |mainContent| (|#1| |#1|)) (SIGNATURE |primitivePart!| (|#1| |#1|)) (SIGNATURE |gcd| (|#2| |#2| |#1|)) (SIGNATURE |exactQuotient!| (|#1| |#1| |#1|)) (SIGNATURE |exactQuotient| (|#1| |#1| |#1|)) (SIGNATURE |exactQuotient!| (|#1| |#1| |#2|)) (SIGNATURE |exactQuotient| (|#1| |#1| |#2|)) (SIGNATURE |primPartElseUnitCanonical!| (|#1| |#1|)) (SIGNATURE |primPartElseUnitCanonical| (|#1| |#1|)) (SIGNATURE |convert| (|#1| (|Polynomial| |#2|))) (SIGNATURE |retract| (|#1| (|Polynomial| |#2|))) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Polynomial| |#2|))) (SIGNATURE |convert| (|#1| (|Polynomial| (|Integer|)))) (SIGNATURE |retract| (|#1| (|Polynomial| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Polynomial| (|Integer|)))) (SIGNATURE |convert| (|#1| (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |retract| (|#1| (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |initiallyReduce| (|#1| |#1| |#1|)) (SIGNATURE |headReduce| (|#1| |#1| |#1|)) (SIGNATURE |lazyResidueClass| ((|Record| (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) |#1| |#1|)) (SIGNATURE |monicModulo| (|#1| |#1| |#1|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1| |#4|)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |lazyPremWithDefault| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| |#1|)) |#1| |#1| |#4|)) (SIGNATURE |lazyPremWithDefault| ((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |lazyPquo| (|#1| |#1| |#1| |#4|)) (SIGNATURE |lazyPrem| (|#1| |#1| |#1| |#4|)) (SIGNATURE |lazyPquo| (|#1| |#1| |#1|)) (SIGNATURE |lazyPrem| (|#1| |#1| |#1|)) (SIGNATURE |pquo| (|#1| |#1| |#1| |#4|)) (SIGNATURE |prem| (|#1| |#1| |#1| |#4|)) (SIGNATURE |pquo| (|#1| |#1| |#1|)) (SIGNATURE |prem| (|#1| |#1| |#1|)) (SIGNATURE |normalized?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |normalized?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |headReduced?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |headReduced?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |reduced?| ((|Boolean|) |#1| (|List| |#1|))) (SIGNATURE |reduced?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |supRittWu?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |infRittWu?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |RittWuCompare| ((|Union| (|Boolean|) "failed") |#1| |#1|)) (SIGNATURE |mainMonomials| ((|List| |#1|) |#1|)) (SIGNATURE |mainCoefficients| ((|List| |#1|) |#1|)) (SIGNATURE |leastMonomial| (|#1| |#1|)) (SIGNATURE |mainMonomial| (|#1| |#1|)) (SIGNATURE |quasiMonic?| ((|Boolean|) |#1|)) (SIGNATURE |monic?| ((|Boolean|) |#1|)) (SIGNATURE |reductum| (|#1| |#1| |#4|)) (SIGNATURE |leadingCoefficient| (|#1| |#1| |#4|)) (SIGNATURE |deepestInitial| (|#1| |#1|)) (SIGNATURE |iteratedInitials| ((|List| |#1|) |#1|)) (SIGNATURE |deepestTail| (|#1| |#1|)) (SIGNATURE |tail| (|#1| |#1|)) (SIGNATURE |head| (|#1| |#1|)) (SIGNATURE |init| (|#1| |#1|)) (SIGNATURE |mdeg| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |mvar| (|#4| |#1|)) (SIGNATURE |convert| ((|InputForm|) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Integer|)) |#1|)) (SIGNATURE |convert| ((|Pattern| (|Float|)) |#1|)) (SIGNATURE |retract| (|#4| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#4| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#4|)) (SIGNATURE |leadingCoefficient| (|#2| |#1|)) (SIGNATURE |reductum| (|#1| |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| |#3|) $) 109)) (|univariate| (((|SparseUnivariatePolynomial| $) $ |#3|) 124) (((|SparseUnivariatePolynomial| |#1|) $) 123)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 85 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 86 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 88 (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) 111) (((|NonNegativeInteger|) $ (|List| |#3|)) 110)) (|tail| (($ $) 251)) (|supRittWu?| (((|Boolean|) $ $) 237)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|subResultantGcd| (($ $ $) 196 (|has| |#1| (|IntegralDomain|)))) (|subResultantChain| (((|List| $) $ $) 191 (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 99 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) 97 (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) 96 (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 102 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 163) (((|Union| (|Fraction| (|Integer|)) "failed") $) 161 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) 159 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#3| "failed") $) 135) (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) 211 (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|))))) (((|Union| $ "failed") (|Polynomial| (|Integer|))) 208 (OR (AND (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|has| |#1| (|Algebra| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))))) (((|Union| $ "failed") (|Polynomial| |#1|)) 205 (OR (AND (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|not| (|has| |#1| (|Algebra| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|not| (|has| |#1| (|IntegerNumberSystem|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|has| |#1| (|Algebra| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|not| (|has| |#1| (|QuotientFieldCategory| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|))))))) (|retract| ((|#1| $) 164) (((|Fraction| (|Integer|)) $) 160 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) 158 (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#3| $) 134) (($ (|Polynomial| (|Fraction| (|Integer|)))) 210 (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|))))) (($ (|Polynomial| (|Integer|))) 207 (OR (AND (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|has| |#1| (|Algebra| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))))) (($ (|Polynomial| |#1|)) 204 (OR (AND (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|not| (|has| |#1| (|Algebra| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|not| (|has| |#1| (|IntegerNumberSystem|))) (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|has| |#1| (|Algebra| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|not| (|has| |#1| (|QuotientFieldCategory| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|))))))) (|resultant| (($ $ $ |#3|) 107 (|has| |#1| (|CommutativeRing|))) (($ $ $) 192 (|has| |#1| (|IntegralDomain|)))) (|reductum| (($ $) 153) (($ $ |#3|) 246)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 133 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 132 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 131) (((|Matrix| |#1|) (|Matrix| $)) 130)) (|reduced?| (((|Boolean|) $ $) 236) (((|Boolean|) $ (|List| $)) 235)) (|recip| (((|Union| $ "failed") $) 33)) (|quasiMonic?| (((|Boolean|) $) 244)) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 216)) (|primitivePart!| (($ $) 185 (|has| |#1| (|GcdDomain|)))) (|primitivePart| (($ $) 175 (|has| |#1| (|GcdDomain|))) (($ $ |#3|) 104 (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) 108)) (|prime?| (((|Boolean|) $) 95 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|primPartElseUnitCanonical!| (($ $) 201 (|has| |#1| (|IntegralDomain|)))) (|primPartElseUnitCanonical| (($ $) 202 (|has| |#1| (|IntegralDomain|)))) (|prem| (($ $ $) 228) (($ $ $ |#3|) 226)) (|pquo| (($ $ $) 227) (($ $ $ |#3|) 225)) (|pomopo!| (($ $ |#1| |#2| $) 171)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 82 (AND (|has| |#3| (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 81 (AND (|has| |#3| (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) 30)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 168)) (|normalized?| (((|Boolean|) $ $) 230) (((|Boolean|) $ (|List| $)) 229)) (|nextsubResultant2| (($ $ $ $ $) 187 (|has| |#1| (|IntegralDomain|)))) (|mvar| ((|#3| $) 255)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) |#3|) 116) (($ (|SparseUnivariatePolynomial| $) |#3|) 115)) (|monomials| (((|List| $) $) 125)) (|monomial?| (((|Boolean|) $) 151)) (|monomial| (($ |#1| |#2|) 152) (($ $ |#3| (|NonNegativeInteger|)) 118) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 117)) (|monicModulo| (($ $ $) 215)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) 119)) (|monic?| (((|Boolean|) $) 245)) (|minimumDegree| ((|#2| $) 169) (((|NonNegativeInteger|) $ |#3|) 121) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) 120)) (|min| (($ $ $) 77 (|has| |#1| (|OrderedSet|)))) (|mdeg| (((|NonNegativeInteger|) $) 254)) (|max| (($ $ $) 76 (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) 170)) (|map| (($ (|Mapping| |#1| |#1|) $) 150)) (|mainVariable| (((|Union| |#3| "failed") $) 122)) (|mainSquareFreePart| (($ $) 182 (|has| |#1| (|GcdDomain|)))) (|mainPrimitivePart| (($ $) 183 (|has| |#1| (|GcdDomain|)))) (|mainMonomials| (((|List| $) $) 240)) (|mainMonomial| (($ $) 243)) (|mainContent| (($ $) 184 (|has| |#1| (|GcdDomain|)))) (|mainCoefficients| (((|List| $) $) 241)) (|leastMonomial| (($ $) 242)) (|leadingMonomial| (($ $) 148)) (|leadingCoefficient| ((|#1| $) 147) (($ $ |#3|) 247)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 89 (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) 93 (|has| |#1| (|GcdDomain|))) (($ $ $) 92 (|has| |#1| (|GcdDomain|)))) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) 214)) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) 218) (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) 217)) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) 220) (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) 219)) (|lazyPrem| (($ $ $) 224) (($ $ $ |#3|) 222)) (|lazyPquo| (($ $ $) 223) (($ $ $ |#3|) 221)) (|latex| (((|String|) $) 9)) (|lastSubResultant| (($ $ $) 190 (|has| |#1| (|IntegralDomain|)))) (|iteratedInitials| (((|List| $) $) 249)) (|isTimes| (((|Union| (|List| $) "failed") $) 113)) (|isPlus| (((|Union| (|List| $) "failed") $) 114)) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) 112)) (|initiallyReduced?| (((|Boolean|) $ $) 232) (((|Boolean|) $ (|List| $)) 231)) (|initiallyReduce| (($ $ $) 212)) (|init| (($ $) 253)) (|infRittWu?| (((|Boolean|) $ $) 238)) (|headReduced?| (((|Boolean|) $ $) 234) (((|Boolean|) $ (|List| $)) 233)) (|headReduce| (($ $ $) 213)) (|head| (($ $) 252)) (|hash| (((|SingleInteger|) $) 10)) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) 193 (|has| |#1| (|IntegralDomain|)))) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) 194 (|has| |#1| (|IntegralDomain|)))) (|ground?| (((|Boolean|) $) 165)) (|ground| ((|#1| $) 166)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 94 (|has| |#1| (|GcdDomain|)))) (|gcd| ((|#1| |#1| $) 186 (|has| |#1| (|GcdDomain|))) (($ (|List| $)) 91 (|has| |#1| (|GcdDomain|))) (($ $ $) 90 (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 101 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 100 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) 98 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 195 (|has| |#1| (|IntegralDomain|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 173 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 84 (|has| |#1| (|IntegralDomain|)))) (|exactQuotient!| (($ $ |#1|) 199 (|has| |#1| (|IntegralDomain|))) (($ $ $) 197 (|has| |#1| (|IntegralDomain|)))) (|exactQuotient| (($ $ |#1|) 200 (|has| |#1| (|IntegralDomain|))) (($ $ $) 198 (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) 144) (($ $ (|Equation| $)) 143) (($ $ $ $) 142) (($ $ (|List| $) (|List| $)) 141) (($ $ |#3| |#1|) 140) (($ $ (|List| |#3|) (|List| |#1|)) 139) (($ $ |#3| $) 138) (($ $ (|List| |#3|) (|List| $)) 137)) (|discriminant| (($ $ |#3|) 106 (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ |#3|) 41) (($ $ (|List| |#3|)) 40) (($ $ |#3| (|NonNegativeInteger|)) 39) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 38)) (|degree| ((|#2| $) 149) (((|NonNegativeInteger|) $ |#3|) 129) (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) 128)) (|deepestTail| (($ $) 250)) (|deepestInitial| (($ $) 248)) (|convert| (((|Pattern| (|Float|)) $) 80 (AND (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) 79 (AND (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) 78 (AND (|has| |#3| (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (($ (|Polynomial| (|Fraction| (|Integer|)))) 209 (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|))))) (($ (|Polynomial| (|Integer|))) 206 (OR (AND (|not| (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (|has| |#1| (|Algebra| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (AND (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))))) (($ (|Polynomial| |#1|)) 203 (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (((|String|) $) 181 (AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|))))) (((|Polynomial| |#1|) $) 180 (|has| |#3| (|ConvertibleTo| (|Symbol|))))) (|content| ((|#1| $) 174 (|has| |#1| (|GcdDomain|))) (($ $ |#3|) 105 (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 103 (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 162) (($ |#3|) 136) (((|Polynomial| |#1|) $) 179 (|has| |#3| (|ConvertibleTo| (|Symbol|)))) (($ (|Fraction| (|Integer|))) 70 (OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (($ $) 83 (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) 167)) (|coefficient| ((|#1| $ |#2|) 154) (($ $ |#3| (|NonNegativeInteger|)) 127) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 126)) (|charthRoot| (((|Union| $ "failed") $) 71 (OR (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 172 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 87 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) 239)) (|One| (($) 29 T CONST)) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) 188 (|has| |#1| (|IntegralDomain|)))) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) 189 (|has| |#1| (|IntegralDomain|)))) (D (($ $ |#3|) 37) (($ $ (|List| |#3|)) 36) (($ $ |#3| (|NonNegativeInteger|)) 35) (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) 34)) (>= (((|Boolean|) $ $) 74 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 73 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 72 (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) 155 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 157 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) 156 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 146) (($ $ |#1|) 145))) 
+(((|RecursivePolynomialCategory| |#1| |#2| |#3|) (|Category|) (|Ring|) (|OrderedAbelianMonoidSup|) (|OrderedSet|)) (T |RecursivePolynomialCategory|)) 
+((|mvar| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|mdeg| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|init| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|head| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|tail| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|deepestTail| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|iteratedInitials| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|deepestInitial| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|leadingCoefficient| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|reductum| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|monic?| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|quasiMonic?| (*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|mainMonomial| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|leastMonomial| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|mainCoefficients| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|mainMonomials| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|RittWuCompare| (*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|infRittWu?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|supRittWu?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|reduced?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|reduced?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|headReduced?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|headReduced?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|initiallyReduced?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|initiallyReduced?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|normalized?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|normalized?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) (|prem| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|pquo| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|prem| (*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|pquo| (*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|lazyPrem| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|lazyPquo| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|lazyPrem| (*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|lazyPquo| (*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) (|lazyPremWithDefault| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|lazyPremWithDefault| (*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) (|lazyPseudoDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|lazyPseudoDivide| (*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) (|pseudoDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|monicModulo| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|lazyResidueClass| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |polnum| *1) (|:| |polden| *1) (|:| |power| (|NonNegativeInteger|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|headReduce| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|initiallyReduce| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) (|retractIfCan| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) (|retract| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) (|retractIfCan| (*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) (|retract| (*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) (|convert| (*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) (|retractIfCan| (*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) (|retract| (*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) (|primPartElseUnitCanonical| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|primPartElseUnitCanonical!| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|exactQuotient| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|exactQuotient!| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|exactQuotient| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|exactQuotient!| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|subResultantGcd| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|extendedSubResultantGcd| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|halfExtendedSubResultantGcd1| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|halfExtendedSubResultantGcd2| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|resultant| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|subResultantChain| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) (|lastSubResultant| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|LazardQuotient| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)))) (|LazardQuotient2| (*1 *1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)))) (|nextsubResultant2| (*1 *1 *1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) (|gcd| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) (|primitivePart!| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) (|mainContent| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) (|mainPrimitivePart| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) (|mainSquareFreePart| (*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(|Join| (|PolynomialCategory| |t#1| |t#2| |t#3|) (CATEGORY |domain| (SIGNATURE |mvar| (|t#3| $)) (SIGNATURE |mdeg| ((|NonNegativeInteger|) $)) (SIGNATURE |init| ($ $)) (SIGNATURE |head| ($ $)) (SIGNATURE |tail| ($ $)) (SIGNATURE |deepestTail| ($ $)) (SIGNATURE |iteratedInitials| ((|List| $) $)) (SIGNATURE |deepestInitial| ($ $)) (SIGNATURE |leadingCoefficient| ($ $ |t#3|)) (SIGNATURE |reductum| ($ $ |t#3|)) (SIGNATURE |monic?| ((|Boolean|) $)) (SIGNATURE |quasiMonic?| ((|Boolean|) $)) (SIGNATURE |mainMonomial| ($ $)) (SIGNATURE |leastMonomial| ($ $)) (SIGNATURE |mainCoefficients| ((|List| $) $)) (SIGNATURE |mainMonomials| ((|List| $) $)) (SIGNATURE |RittWuCompare| ((|Union| (|Boolean|) "failed") $ $)) (SIGNATURE |infRittWu?| ((|Boolean|) $ $)) (SIGNATURE |supRittWu?| ((|Boolean|) $ $)) (SIGNATURE |reduced?| ((|Boolean|) $ $)) (SIGNATURE |reduced?| ((|Boolean|) $ (|List| $))) (SIGNATURE |headReduced?| ((|Boolean|) $ $)) (SIGNATURE |headReduced?| ((|Boolean|) $ (|List| $))) (SIGNATURE |initiallyReduced?| ((|Boolean|) $ $)) (SIGNATURE |initiallyReduced?| ((|Boolean|) $ (|List| $))) (SIGNATURE |normalized?| ((|Boolean|) $ $)) (SIGNATURE |normalized?| ((|Boolean|) $ (|List| $))) (SIGNATURE |prem| ($ $ $)) (SIGNATURE |pquo| ($ $ $)) (SIGNATURE |prem| ($ $ $ |t#3|)) (SIGNATURE |pquo| ($ $ $ |t#3|)) (SIGNATURE |lazyPrem| ($ $ $)) (SIGNATURE |lazyPquo| ($ $ $)) (SIGNATURE |lazyPrem| ($ $ $ |t#3|)) (SIGNATURE |lazyPquo| ($ $ $ |t#3|)) (SIGNATURE |lazyPremWithDefault| ((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $)) (SIGNATURE |lazyPremWithDefault| ((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |t#3|)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |lazyPseudoDivide| ((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |t#3|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |monicModulo| ($ $ $)) (SIGNATURE |lazyResidueClass| ((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $)) (SIGNATURE |headReduce| ($ $ $)) (SIGNATURE |initiallyReduce| ($ $ $)) (IF (|has| |t#3| (|ConvertibleTo| (|Symbol|))) (PROGN (ATTRIBUTE (|CoercibleTo| (|Polynomial| |t#1|))) (ATTRIBUTE (|ConvertibleTo| (|Polynomial| |t#1|))) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |retract| ($ (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |convert| ($ (|Polynomial| (|Fraction| (|Integer|))))) (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Integer|)))) (SIGNATURE |retract| ($ (|Polynomial| (|Integer|)))) (SIGNATURE |convert| ($ (|Polynomial| (|Integer|)))) (IF (|has| |t#1| (|QuotientFieldCategory| (|Integer|))) |noBranch| (PROGN (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| |t#1|))) (SIGNATURE |retract| ($ (|Polynomial| |t#1|)))))) |noBranch|) (IF (|has| |t#1| (|Algebra| (|Integer|))) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) |noBranch| (PROGN (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| (|Integer|)))) (SIGNATURE |retract| ($ (|Polynomial| (|Integer|)))) (SIGNATURE |convert| ($ (|Polynomial| (|Integer|)))) (IF (|has| |t#1| (|IntegerNumberSystem|)) |noBranch| (PROGN (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| |t#1|))) (SIGNATURE |retract| ($ (|Polynomial| |t#1|))))))) |noBranch|) (IF (|has| |t#1| (|Algebra| (|Integer|))) |noBranch| (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) |noBranch| (PROGN (SIGNATURE |retractIfCan| ((|Union| $ "failed") (|Polynomial| |t#1|))) (SIGNATURE |retract| ($ (|Polynomial| |t#1|)))))) (SIGNATURE |convert| ($ (|Polynomial| |t#1|))) (IF (|has| |t#1| (|RetractableTo| (|Integer|))) (ATTRIBUTE (|ConvertibleTo| (|String|))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (SIGNATURE |primPartElseUnitCanonical| ($ $)) (SIGNATURE |primPartElseUnitCanonical!| ($ $)) (SIGNATURE |exactQuotient| ($ $ |t#1|)) (SIGNATURE |exactQuotient!| ($ $ |t#1|)) (SIGNATURE |exactQuotient| ($ $ $)) (SIGNATURE |exactQuotient!| ($ $ $)) (SIGNATURE |subResultantGcd| ($ $ $)) (SIGNATURE |extendedSubResultantGcd| ((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (SIGNATURE |halfExtendedSubResultantGcd1| ((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $)) (SIGNATURE |halfExtendedSubResultantGcd2| ((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $)) (SIGNATURE |resultant| ($ $ $)) (SIGNATURE |subResultantChain| ((|List| $) $ $)) (SIGNATURE |lastSubResultant| ($ $ $)) (SIGNATURE |LazardQuotient| ($ $ $ (|NonNegativeInteger|))) (SIGNATURE |LazardQuotient2| ($ $ $ $ (|NonNegativeInteger|))) (SIGNATURE |nextsubResultant2| ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (|GcdDomain|)) (PROGN (SIGNATURE |gcd| (|t#1| |t#1| $)) (SIGNATURE |primitivePart!| ($ $)) (SIGNATURE |mainContent| ($ $)) (SIGNATURE |mainPrimitivePart| ($ $)) (SIGNATURE |mainSquareFreePart| ($ $))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| |#2|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CoercibleTo| (|Polynomial| |#1|)) |has| |#3| (|ConvertibleTo| (|Symbol|))) ((|CommutativeRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|ConvertibleTo| (|InputForm|)) AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#3| (|ConvertibleTo| (|InputForm|)))) ((|ConvertibleTo| (|Pattern| (|Float|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Float|))))) ((|ConvertibleTo| (|Pattern| (|Integer|))) AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#3| (|ConvertibleTo| (|Pattern| (|Integer|))))) ((|ConvertibleTo| (|Polynomial| |#1|)) |has| |#3| (|ConvertibleTo| (|Symbol|))) ((|ConvertibleTo| (|String|)) AND (|has| |#1| (|RetractableTo| (|Integer|))) (|has| |#3| (|ConvertibleTo| (|Symbol|)))) ((|EntireRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|Evalable| $) . T) ((|FiniteAbelianMonoidRing| |#1| |#2|) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|))) ((|InnerEvalable| |#3| |#1|) . T) ((|InnerEvalable| |#3| $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|))) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|))) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|PartialDifferentialRing| |#3|) . T) ((|PatternMatchable| (|Float|)) AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#3| (|PatternMatchable| (|Float|)))) ((|PatternMatchable| (|Integer|)) AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#3| (|PatternMatchable| (|Integer|)))) ((|PolynomialCategory| |#1| |#2| |#3|) . T) ((|PolynomialFactorizationExplicit|) |has| |#1| (|PolynomialFactorizationExplicit|)) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#1|) . T) ((|RetractableTo| |#3|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) |has| |#1| (|PolynomialFactorizationExplicit|))) 
+((|zero?| (((|Boolean|) |#3| $) 13)) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) 23)) (|recip| (((|Union| |#3| "failed") |#3| $) 37)) (|positive?| (((|Boolean|) |#3| $) 16)) (|negative?| (((|Boolean|) |#3| $) 14))) 
+(((|RealRootCharacterizationCategory&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |rootOf| ((|Union| |#1| "failed") |#3| (|PositiveInteger|))) (SIGNATURE |recip| ((|Union| |#3| "failed") |#3| |#1|)) (SIGNATURE |positive?| ((|Boolean|) |#3| |#1|)) (SIGNATURE |negative?| ((|Boolean|) |#3| |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#3| |#1|))) (|RealRootCharacterizationCategory| |#2| |#3|) (|Join| (|OrderedRing|) (|Field|)) (|UnivariatePolynomialCategory| |#2|)) (T |RealRootCharacterizationCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |rootOf| ((|Union| |#1| "failed") |#3| (|PositiveInteger|))) (SIGNATURE |recip| ((|Union| |#3| "failed") |#3| |#1|)) (SIGNATURE |positive?| ((|Boolean|) |#3| |#1|)) (SIGNATURE |negative?| ((|Boolean|) |#3| |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#3| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) |#2| $) 20)) (|sign| (((|Integer|) |#2| $) 21)) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) 14)) (|relativeApprox| ((|#1| |#2| $ |#1|) 12)) (|recip| (((|Union| |#2| "failed") |#2| $) 17)) (|positive?| (((|Boolean|) |#2| $) 18)) (|negative?| (((|Boolean|) |#2| $) 19)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|definingPolynomial| ((|#2| $) 16)) (|coerce| (((|OutputForm|) $) 11)) (|approximate| ((|#1| |#2| $ |#1|) 13)) (|allRootsOf| (((|List| $) |#2|) 15)) (= (((|Boolean|) $ $) 6))) 
+(((|RealRootCharacterizationCategory| |#1| |#2|) (|Category|) (|Join| (|OrderedRing|) (|Field|)) (|UnivariatePolynomialCategory| |t#1|)) (T |RealRootCharacterizationCategory|)) 
+((|sign| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Integer|)))) (|zero?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|)))) (|negative?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|)))) (|positive?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|)))) (|recip| (*1 *2 *2 *1) (|partial| AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|definingPolynomial| (*1 *2 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|allRootsOf| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)))) (|rootOf| (*1 *1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|approximate| (*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|relativeApprox| (*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |sign| ((|Integer|) |t#2| $)) (SIGNATURE |zero?| ((|Boolean|) |t#2| $)) (SIGNATURE |negative?| ((|Boolean|) |t#2| $)) (SIGNATURE |positive?| ((|Boolean|) |t#2| $)) (SIGNATURE |recip| ((|Union| |t#2| "failed") |t#2| $)) (SIGNATURE |definingPolynomial| (|t#2| $)) (SIGNATURE |allRootsOf| ((|List| $) |t#2|)) (SIGNATURE |rootOf| ((|Union| $ "failed") |t#2| (|PositiveInteger|))) (SIGNATURE |approximate| (|t#1| |t#2| $ |t#1|)) (SIGNATURE |relativeApprox| (|t#1| |t#2| $ |t#1|)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|upDateBranches| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| |#4|) (|List| |#5|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (|NonNegativeInteger|)) 95)) (|transcendentalDecompose| (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|) 56) (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|)) 55)) (|printInfo| (((|Void|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|NonNegativeInteger|)) 87)) (|numberOfVariables| (((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|)) 27)) (|internalDecompose| (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|) 58) (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|)) 57) (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|) (|Boolean|)) 59)) (|decompose| (((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 78) (((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) 79)) (|convert| (((|String|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) 82)) (|algebraicDecompose| (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|Boolean|)) 54)) (|KrullNumber| (((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|)) 19))) 
+(((|RegularSetDecompositionPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |KrullNumber| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |numberOfVariables| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |algebraicDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|Boolean|))) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|) (|Boolean|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |upDateBranches| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| |#4|) (|List| |#5|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (|NonNegativeInteger|))) (SIGNATURE |convert| ((|String|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |printInfo| ((|Void|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|NonNegativeInteger|)))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |RegularSetDecompositionPackage|)) 
+((|printInfo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) (|upDateBranches| (*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|RegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) (|decompose| (*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|decompose| (*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|internalDecompose| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|internalDecompose| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) (|internalDecompose| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *7 *8 *9 *3)))) (|transcendentalDecompose| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|transcendentalDecompose| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) (|algebraicDecompose| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) (|numberOfVariables| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|KrullNumber| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(CATEGORY |package| (SIGNATURE |KrullNumber| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |numberOfVariables| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |algebraicDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|Boolean|))) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|) (|Boolean|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |upDateBranches| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| |#4|) (|List| |#5|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (|NonNegativeInteger|))) (SIGNATURE |convert| ((|String|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |printInfo| ((|Void|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|NonNegativeInteger|)))) 
+((|purelyTranscendental?| (((|Boolean|) |#5| $) 20)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#5| $) 23)) (|purelyAlgebraic?| (((|Boolean|) |#5| $) 16) (((|Boolean|) $) 44)) (|intersect| (((|List| $) |#5| $) NIL) (((|List| $) (|List| |#5|) $) 76) (((|List| $) (|List| |#5|) (|List| $)) 74) (((|List| $) |#5| (|List| $)) 77)) (|extend| (($ $ |#5|) NIL) (((|List| $) |#5| $) NIL) (((|List| $) |#5| (|List| $)) 59) (((|List| $) (|List| |#5|) $) 61) (((|List| $) (|List| |#5|) (|List| $)) 63)) (|augment| (((|List| $) |#5| $) NIL) (((|List| $) |#5| (|List| $)) 53) (((|List| $) (|List| |#5|) $) 55) (((|List| $) (|List| |#5|) (|List| $)) 57)) (|algebraicCoefficients?| (((|Boolean|) |#5| $) 26))) 
+(((|RegularTriangularSetCategory&| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |domain| (SIGNATURE |extend| ((|List| |#1|) (|List| |#5|) (|List| |#1|))) (SIGNATURE |extend| ((|List| |#1|) (|List| |#5|) |#1|)) (SIGNATURE |extend| ((|List| |#1|) |#5| (|List| |#1|))) (SIGNATURE |extend| ((|List| |#1|) |#5| |#1|)) (SIGNATURE |augment| ((|List| |#1|) (|List| |#5|) (|List| |#1|))) (SIGNATURE |augment| ((|List| |#1|) (|List| |#5|) |#1|)) (SIGNATURE |augment| ((|List| |#1|) |#5| (|List| |#1|))) (SIGNATURE |augment| ((|List| |#1|) |#5| |#1|)) (SIGNATURE |intersect| ((|List| |#1|) |#5| (|List| |#1|))) (SIGNATURE |intersect| ((|List| |#1|) (|List| |#5|) (|List| |#1|))) (SIGNATURE |intersect| ((|List| |#1|) (|List| |#5|) |#1|)) (SIGNATURE |intersect| ((|List| |#1|) |#5| |#1|)) (SIGNATURE |purelyAlgebraicLeadingMonomial?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |purelyAlgebraic?| ((|Boolean|) |#1|)) (SIGNATURE |algebraicCoefficients?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |purelyTranscendental?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |purelyAlgebraic?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |extend| (|#1| |#1| |#5|))) (|RegularTriangularSetCategory| |#2| |#3| |#4| |#5|) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#2| |#3| |#4|)) (T |RegularTriangularSetCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |extend| ((|List| |#1|) (|List| |#5|) (|List| |#1|))) (SIGNATURE |extend| ((|List| |#1|) (|List| |#5|) |#1|)) (SIGNATURE |extend| ((|List| |#1|) |#5| (|List| |#1|))) (SIGNATURE |extend| ((|List| |#1|) |#5| |#1|)) (SIGNATURE |augment| ((|List| |#1|) (|List| |#5|) (|List| |#1|))) (SIGNATURE |augment| ((|List| |#1|) (|List| |#5|) |#1|)) (SIGNATURE |augment| ((|List| |#1|) |#5| (|List| |#1|))) (SIGNATURE |augment| ((|List| |#1|) |#5| |#1|)) (SIGNATURE |intersect| ((|List| |#1|) |#5| (|List| |#1|))) (SIGNATURE |intersect| ((|List| |#1|) (|List| |#5|) (|List| |#1|))) (SIGNATURE |intersect| ((|List| |#1|) (|List| |#5|) |#1|)) (SIGNATURE |intersect| ((|List| |#1|) |#5| |#1|)) (SIGNATURE |purelyAlgebraicLeadingMonomial?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |purelyAlgebraic?| ((|Boolean|) |#1|)) (SIGNATURE |algebraicCoefficients?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |purelyTranscendental?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |purelyAlgebraic?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |extend| (|#1| |#1| |#5|))) 
+((~= (((|Boolean|) $ $) 7)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) 78)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 79) (((|List| $) (|List| |#4|) (|Boolean|)) 104)) (|variables| (((|List| |#3|) $) 32)) (|trivialIdeal?| (((|Boolean|) $) 25)) (|triangular?| (((|Boolean|) $) 16 (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) 94) (((|Boolean|) $) 90)) (|stronglyReduce| ((|#4| |#4| $) 85)) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) 119)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 43)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 72)) (|sample| (($) 44 T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 21 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) 23 (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) 22 (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 86)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 17 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) 18 (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 35)) (|retract| (($ (|List| |#4|)) 34)) (|rest| (((|Union| $ "failed") $) 75)) (|removeZero| ((|#4| |#4| $) 82)) (|removeDuplicates| (($ $) 67 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#4| $) 66 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#4|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) 95)) (|reduceByQuasiMonic| ((|#4| |#4| $) 80)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) 65 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 87)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) 98)) (|purelyTranscendental?| (((|Boolean|) |#4| $) 129)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) 126)) (|purelyAlgebraic?| (((|Boolean|) |#4| $) 130) (((|Boolean|) $) 127)) (|parts| (((|List| |#4|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) 97) (((|Boolean|) $) 96)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 42)) (|members| (((|List| |#4|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 54 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 47 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 46)) (|mainVariables| (((|List| |#3|) $) 31)) (|mainVariable?| (((|Boolean|) |#3| $) 30)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 41)) (|latex| (((|String|) $) 9)) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) 121)) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) 120)) (|last| (((|Union| |#4| "failed") $) 76)) (|invertibleSet| (((|List| $) |#4| $) 122)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) 125)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) 124) (((|Boolean|) |#4| $) 123)) (|intersect| (((|List| $) |#4| $) 118) (((|List| $) (|List| |#4|) $) 117) (((|List| $) (|List| |#4|) (|List| $)) 116) (((|List| $) |#4| (|List| $)) 115)) (|internalAugment| (($ |#4| $) 110) (($ (|List| |#4|) $) 109)) (|initials| (((|List| |#4|) $) 100)) (|initiallyReduced?| (((|Boolean|) |#4| $) 92) (((|Boolean|) $) 88)) (|initiallyReduce| ((|#4| |#4| $) 83)) (|infRittWu?| (((|Boolean|) $ $) 103)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) 93) (((|Boolean|) $) 89)) (|headReduce| ((|#4| |#4| $) 84)) (|hash| (((|SingleInteger|) $) 10)) (|first| (((|Union| |#4| "failed") $) 77)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) 60)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 71)) (|extend| (($ $ |#4|) 70) (((|List| $) |#4| $) 108) (((|List| $) |#4| (|List| $)) 107) (((|List| $) (|List| |#4|) $) 106) (((|List| $) (|List| |#4|) (|List| $)) 105)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) 58 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) 57 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) 56 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) 55 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 37)) (|empty?| (((|Boolean|) $) 40)) (|empty| (($) 39)) (|degree| (((|NonNegativeInteger|) $) 99)) (|count| (((|NonNegativeInteger|) |#4| $) 53 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 38)) (|convert| (((|InputForm|) $) 68 (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 59)) (|collectUpper| (($ $ |#3|) 27)) (|collectUnder| (($ $ |#3|) 29)) (|collectQuasiMonic| (($ $) 81)) (|collect| (($ $ |#3|) 28)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#4|) $) 36)) (|coHeight| (((|NonNegativeInteger|) $) 69 (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 102) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 101)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) 91)) (|augment| (((|List| $) |#4| $) 114) (((|List| $) |#4| (|List| $)) 113) (((|List| $) (|List| |#4|) $) 112) (((|List| $) (|List| |#4|) (|List| $)) 111)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) 74)) (|algebraicCoefficients?| (((|Boolean|) |#4| $) 128)) (|algebraic?| (((|Boolean|) |#3| $) 73)) (= (((|Boolean|) $ $) 6)) (|#| (((|NonNegativeInteger|) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (|Category|) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |t#1| |t#2| |t#3|)) (T |RegularTriangularSetCategory|)) 
+((|purelyAlgebraic?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|purelyTranscendental?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|algebraicCoefficients?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|purelyAlgebraic?| (*1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|purelyAlgebraicLeadingMonomial?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|invertibleElseSplit?| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| (|Boolean|) (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|invertible?| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|invertible?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|invertibleSet| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|lastSubResultantElseSplit| (*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| *3 (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|lastSubResultant| (*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|squareFreePart| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|intersect| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|intersect| (*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|intersect| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) (|intersect| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|augment| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|augment| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|augment| (*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|augment| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) (|internalAugment| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|internalAugment| (*1 *1 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)))) (|extend| (*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) (|extend| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) (|extend| (*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|extend| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) (|zeroSetSplit| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *5 *6 *7 *8))))) 
+(|Join| (|TriangularSetCategory| |t#1| |t#2| |t#3| |t#4|) (CATEGORY |domain| (SIGNATURE |purelyAlgebraic?| ((|Boolean|) |t#4| $)) (SIGNATURE |purelyTranscendental?| ((|Boolean|) |t#4| $)) (SIGNATURE |algebraicCoefficients?| ((|Boolean|) |t#4| $)) (SIGNATURE |purelyAlgebraic?| ((|Boolean|) $)) (SIGNATURE |purelyAlgebraicLeadingMonomial?| ((|Boolean|) |t#4| $)) (SIGNATURE |invertibleElseSplit?| ((|Union| (|Boolean|) (|List| $)) |t#4| $)) (SIGNATURE |invertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |t#4| $)) (SIGNATURE |invertible?| ((|Boolean|) |t#4| $)) (SIGNATURE |invertibleSet| ((|List| $) |t#4| $)) (SIGNATURE |lastSubResultantElseSplit| ((|Union| |t#4| (|List| $)) |t#4| |t#4| $)) (SIGNATURE |lastSubResultant| ((|List| (|Record| (|:| |val| |t#4|) (|:| |tower| $))) |t#4| |t#4| $)) (SIGNATURE |squareFreePart| ((|List| (|Record| (|:| |val| |t#4|) (|:| |tower| $))) |t#4| $)) (SIGNATURE |intersect| ((|List| $) |t#4| $)) (SIGNATURE |intersect| ((|List| $) (|List| |t#4|) $)) (SIGNATURE |intersect| ((|List| $) (|List| |t#4|) (|List| $))) (SIGNATURE |intersect| ((|List| $) |t#4| (|List| $))) (SIGNATURE |augment| ((|List| $) |t#4| $)) (SIGNATURE |augment| ((|List| $) |t#4| (|List| $))) (SIGNATURE |augment| ((|List| $) (|List| |t#4|) $)) (SIGNATURE |augment| ((|List| $) (|List| |t#4|) (|List| $))) (SIGNATURE |internalAugment| ($ |t#4| $)) (SIGNATURE |internalAugment| ($ (|List| |t#4|) $)) (SIGNATURE |extend| ((|List| $) |t#4| $)) (SIGNATURE |extend| ((|List| $) |t#4| (|List| $))) (SIGNATURE |extend| ((|List| $) (|List| |t#4|) $)) (SIGNATURE |extend| ((|List| $) (|List| |t#4|) (|List| $))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |t#4|) (|Boolean|))))) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|List| |#4|)) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#4|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|HomogeneousAggregate| |#4|) . T) ((|InnerEvalable| |#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|PolynomialSetCategory| |#1| |#2| |#3| |#4|) . T) ((|SetCategory|) . T) ((|TriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|Type|) . T)) 
+((|toseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) 81)) (|toseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) 112)) (|toseInvertibleSet| (((|List| |#5|) |#4| |#5|) 70)) (|toseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) 44) (((|Boolean|) |#4| |#5|) 52)) (|stopTableInvSet!| (((|Void|)) 35)) (|stopTableGcd!| (((|Void|)) 25)) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) 31)) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) 20)) (|prepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) 95)) (|internalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) 106) (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) 49)) (|integralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) 101))) 
+(((|RegularTriangularSetGcdPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |startTableGcd!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableGcd!| ((|Void|))) (SIGNATURE |startTableInvSet!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableInvSet!| ((|Void|))) (SIGNATURE |prepareSubResAlgo| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |internalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|))) (SIGNATURE |internalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|))) (SIGNATURE |integralLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |toseLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |toseInvertible?| ((|Boolean|) |#4| |#5|)) (SIGNATURE |toseInvertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |toseInvertibleSet| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |toseSquareFreePart| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |RegularTriangularSetGcdPackage|)) 
+((|toseSquareFreePart| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|toseInvertibleSet| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|toseInvertible?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|toseInvertible?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|toseLastSubResultant| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|integralLastSubResultant| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|internalLastSubResultant| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *4 *8 *9)))) (|internalLastSubResultant| (*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) (|prepareSubResAlgo| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stopTableInvSet!| (*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) (|startTableInvSet!| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|stopTableGcd!| (*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) (|startTableGcd!| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |startTableGcd!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableGcd!| ((|Void|))) (SIGNATURE |startTableInvSet!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableInvSet!| ((|Void|))) (SIGNATURE |prepareSubResAlgo| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |internalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|))) (SIGNATURE |internalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|))) (SIGNATURE |integralLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |toseLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |toseInvertible?| ((|Boolean|) |#4| |#5|)) (SIGNATURE |toseInvertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |toseInvertibleSet| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |toseSquareFreePart| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|))) 
+((~= (((|Boolean|) $ $) NIL)) (|name| (((|Symbol|) $) 8)) (|latex| (((|String|) $) 16)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 13))) 
+(((|RuleCalled| |#1|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)))) (|Symbol|)) (T |RuleCalled|)) 
+((|name| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RuleCalled| *3)) (|ofType| *3 *2)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |name| ((|Symbol|) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) 29)) (|rule| (($ |#3| |#3|) 21) (($ |#3| |#3| (|List| (|Symbol|))) 19)) (|rhs| ((|#3| $) 13)) (|retractIfCan| (((|Union| (|Equation| |#3|) "failed") $) 56)) (|retract| (((|Equation| |#3|) $) NIL)) (|quotedOperators| (((|List| (|Symbol|)) $) 15)) (|pattern| (((|Pattern| |#1|) $) 11)) (|lhs| ((|#3| $) 12)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#3| $ |#3|) 25) ((|#3| $ |#3| (|PositiveInteger|)) 36)) (|coerce| (((|OutputForm|) $) 84) (($ (|Equation| |#3|)) 20)) (= (((|Boolean|) $ $) 33))) 
+(((|RewriteRule| |#1| |#2| |#3|) (|Join| (|SetCategory|) (|Eltable| |#3| |#3|) (|RetractableTo| (|Equation| |#3|)) (CATEGORY |domain| (SIGNATURE |rule| ($ |#3| |#3|)) (SIGNATURE |rule| ($ |#3| |#3| (|List| (|Symbol|)))) (SIGNATURE |suchThat| ($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|)))) (SIGNATURE |pattern| ((|Pattern| |#1|) $)) (SIGNATURE |lhs| (|#3| $)) (SIGNATURE |rhs| (|#3| $)) (SIGNATURE |elt| (|#3| $ |#3| (|PositiveInteger|))) (SIGNATURE |quotedOperators| ((|List| (|Symbol|)) $)))) (|SetCategory|) (|Join| (|Ring|) (|PatternMatchable| |#1|) (|OrderedSet|) (|ConvertibleTo| (|Pattern| |#1|))) (|Join| (|FunctionSpace| |#2|) (|PatternMatchable| |#1|) (|ConvertibleTo| (|Pattern| |#1|)))) (T |RewriteRule|)) 
+((|rule| (*1 *1 *2 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))))) (|rule| (*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) (|suchThat| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *6)))) (|pattern| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| *2))) (|isDomain| *2 (|Pattern| *3)) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| *2))))) (|lhs| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) (|rhs| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) (|elt| (*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) (|quotedOperators| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(|Join| (|SetCategory|) (|Eltable| |#3| |#3|) (|RetractableTo| (|Equation| |#3|)) (CATEGORY |domain| (SIGNATURE |rule| ($ |#3| |#3|)) (SIGNATURE |rule| ($ |#3| |#3| (|List| (|Symbol|)))) (SIGNATURE |suchThat| ($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|)))) (SIGNATURE |pattern| ((|Pattern| |#1|) $)) (SIGNATURE |lhs| (|#3| $)) (SIGNATURE |rhs| (|#3| $)) (SIGNATURE |elt| (|#3| $ |#3| (|PositiveInteger|))) (SIGNATURE |quotedOperators| ((|List| (|Symbol|)) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|ruleset| (($ (|List| (|RewriteRule| |#1| |#2| |#3|))) 12)) (|rules| (((|List| (|RewriteRule| |#1| |#2| |#3|)) $) 19)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| ((|#3| $ |#3|) 22) ((|#3| $ |#3| (|PositiveInteger|)) 25)) (|coerce| (((|OutputForm|) $) 15)) (= (((|Boolean|) $ $) 18))) 
+(((|Ruleset| |#1| |#2| |#3|) (|Join| (|SetCategory|) (|Eltable| |#3| |#3|) (CATEGORY |domain| (SIGNATURE |ruleset| ($ (|List| (|RewriteRule| |#1| |#2| |#3|)))) (SIGNATURE |rules| ((|List| (|RewriteRule| |#1| |#2| |#3|)) $)) (SIGNATURE |elt| (|#3| $ |#3| (|PositiveInteger|))))) (|SetCategory|) (|Join| (|Ring|) (|PatternMatchable| |#1|) (|OrderedSet|) (|ConvertibleTo| (|Pattern| |#1|))) (|Join| (|FunctionSpace| |#2|) (|PatternMatchable| |#1|) (|ConvertibleTo| (|Pattern| |#1|)))) (T |Ruleset|)) 
+((|ruleset| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|Ruleset| *3 *4 *5)))) (|rules| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|isDomain| *1 (|Ruleset| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))))) (|elt| (*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|Ruleset| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4))))))) 
+(|Join| (|SetCategory|) (|Eltable| |#3| |#3|) (CATEGORY |domain| (SIGNATURE |ruleset| ($ (|List| (|RewriteRule| |#1| |#2| |#3|)))) (SIGNATURE |rules| ((|List| (|RewriteRule| |#1| |#2| |#3|)) $)) (SIGNATURE |elt| (|#3| $ |#3| (|PositiveInteger|))))) 
+((|rur| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) 73) (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) 75) (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) 74))) 
+(((|RationalUnivariateRepresentationPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |rur| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |rur| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |rur| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)))) (|Join| (|EuclideanDomain|) (|CharacteristicZero|)) (|List| (|Symbol|))) (T |RationalUnivariateRepresentationPackage|)) 
+((|rur| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))))) (|rur| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *4 *5)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))))) (|rur| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(CATEGORY |package| (SIGNATURE |rur| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |rur| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |rur| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)))) 
+((|factor| (((|Factored| |#3|) |#3|) 16))) 
+(((|SimpleAlgebraicExtensionAlgFactor| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#3|) |#3|))) (|UnivariatePolynomialCategory| (|Fraction| (|Integer|))) (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) |#1|)) (|UnivariatePolynomialCategory| |#2|)) (T |SimpleAlgebraicExtensionAlgFactor|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SimpleAlgebraicExtensionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#3|) |#3|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 125)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|Field|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|Field|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) NIL) (((|Matrix| |#1|)) 115)) (|trace| ((|#1| $) 119)) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|size| (((|NonNegativeInteger|)) 40 (|has| |#1| (|Finite|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|represents| (($ (|Vector| |#1|) (|Vector| $)) NIL) (($ (|Vector| |#1|)) 43)) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) NIL) (((|Matrix| |#1|) $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 106) (((|Matrix| |#1|) (|Matrix| $)) 100)) (|reduce| (($ |#2|) 61) (((|Union| $ "failed") (|Fraction| |#2|)) NIL (|has| |#1| (|Field|)))) (|recip| (((|Union| $ "failed") $) NIL)) (|rank| (((|PositiveInteger|)) 77)) (|random| (($) 44 (|has| |#1| (|Finite|)))) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|primitiveElement| (($) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|primitive?| (((|Boolean|) $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|FiniteFieldCategory|))) (($ $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|order| (((|PositiveInteger|) $) NIL (|has| |#1| (|FiniteFieldCategory|))) (((|OnePointCompletion| (|PositiveInteger|)) $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|one?| (((|Boolean|) $) NIL)) (|norm| ((|#1| $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|minimalPolynomial| ((|#2| $) 84 (|has| |#1| (|Field|)))) (|lookup| (((|PositiveInteger|) $) 129 (|has| |#1| (|Finite|)))) (|lift| ((|#2| $) 58)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|init| (($) NIL (|has| |#1| (|FiniteFieldCategory|)) CONST)) (|index| (($ (|PositiveInteger|)) 124 (|has| |#1| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL)) (|generator| (($) 121)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|discriminant| ((|#1| (|Vector| $)) NIL) ((|#1|) 109)) (|discreteLog| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|FiniteFieldCategory|))) (((|Union| (|NonNegativeInteger|) "failed") $ $) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|differentiate| (($ $) NIL (OR (AND (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| |#1| |#1|)) NIL (|has| |#1| (|Field|)))) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) NIL (|has| |#1| (|Field|)))) (|definingPolynomial| ((|#2|) 73)) (|createPrimitiveElement| (($) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|coordinates| (((|Vector| |#1|) $ (|Vector| $)) 89) (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) NIL) (((|Vector| |#1|) $) 71) (((|Matrix| |#1|) (|Vector| $)) 85)) (|convert| (((|Vector| |#1|) $) NIL) (($ (|Vector| |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (|has| |#1| (|FiniteFieldCategory|)))) (|coerce| (((|OutputForm|) $) 57) (($ (|Integer|)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Field|)) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|charthRoot| (($ $) NIL (|has| |#1| (|FiniteFieldCategory|))) (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristicPolynomial| ((|#2| $) 82)) (|characteristic| (((|NonNegativeInteger|)) 75)) (|basis| (((|Vector| $)) 81)) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 30 T CONST)) (|One| (($) 19 T CONST)) (D (($ $) NIL (OR (AND (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#1| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (|FiniteFieldCategory|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (|Field|)) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| |#1| |#1|)) NIL (|has| |#1| (|Field|)))) (= (((|Boolean|) $ $) 63)) (/ (($ $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) 67) (($ $ $) NIL)) (+ (($ $ $) 65)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Field|))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Field|))))) 
+(((|SimpleAlgebraicExtension| |#1| |#2| |#3|) (|MonogenicAlgebra| |#1| |#2|) (|CommutativeRing|) (|UnivariatePolynomialCategory| |#1|) |#2|) (T |SimpleAlgebraicExtension|)) 
+NIL 
+(|MonogenicAlgebra| |#1| |#2|) 
+((|factor| (((|Factored| |#3|) |#3|) 16))) 
+(((|SAERationalFunctionAlgFactor| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#3|) |#3|))) (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|)))) (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) |#1|)) (|UnivariatePolynomialCategory| |#2|)) (T |SAERationalFunctionAlgFactor|)) 
+((|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SAERationalFunctionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#3|) |#3|))) 
+((~= (((|Boolean|) $ $) NIL)) (|min| (($ $ $) 14)) (|max| (($ $ $) 15)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|create| (($) 6)) (|convert| (((|Symbol|) $) 18)) (|coerce| (((|OutputForm|) $) 12)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 13)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 8))) 
+(((|SingletonAsOrderedSet|) (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |create| ($)) (SIGNATURE |convert| ((|Symbol|) $))))) (T |SingletonAsOrderedSet|)) 
+((|create| (*1 *1) (|isDomain| *1 (|SingletonAsOrderedSet|))) (|convert| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SingletonAsOrderedSet|))))) 
+(|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |create| ($)) (SIGNATURE |convert| ((|Symbol|) $)))) 
+((|enterInCache| ((|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)) 21) ((|#1| |#1| (|Mapping| (|Boolean|) |#1|)) 18)) (|clearCache| (((|Void|)) 15)) (|cache| (((|List| |#1|)) 9))) 
+(((|SortedCache| |#1|) (CATEGORY |package| (SIGNATURE |clearCache| ((|Void|))) (SIGNATURE |cache| ((|List| |#1|))) (SIGNATURE |enterInCache| (|#1| |#1| (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |enterInCache| (|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)))) (|CachableSet|)) (T |SortedCache|)) 
+((|enterInCache| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Integer|) *2 *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2)))) (|enterInCache| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2)))) (|cache| (*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|)))) (|clearCache| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
+(CATEGORY |package| (SIGNATURE |clearCache| ((|Void|))) (SIGNATURE |cache| ((|List| |#1|))) (SIGNATURE |enterInCache| (|#1| |#1| (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |enterInCache| (|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)))) 
+((|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) 41) (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|))) 60) (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) 76)) (|coordinates| (((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))) 35))) 
+(((|StructuralConstantsPackage| |#1|) (CATEGORY |package| (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|)))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |coordinates| ((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))))) (|Field|)) (T |StructuralConstantsPackage|)) 
+((|coordinates| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Matrix| *5))) (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|StructuralConstantsPackage| *5)))) (|structuralConstants| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|StructuralConstantsPackage| *4)))) (|structuralConstants| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *5)))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Polynomial| *5))))) (|structuralConstants| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
+(CATEGORY |package| (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|)))) (SIGNATURE |structuralConstants| ((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)))) (SIGNATURE |coordinates| ((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|uncorrelated?| (((|Boolean|) $ $) 89) (((|Boolean|) (|List| $) (|List| $)) 94) (((|Boolean|) (|List| (|List| $))) 97)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|statusIto| (((|OutputForm|)) 88)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|BasicStochasticDifferential|) "failed") $) NIL)) (|retract| (((|BasicStochasticDifferential|) $) 68)) (|listSD| (((|List| (|BasicStochasticDifferential|)) $) 70)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|freeOf?| (((|Boolean|) $ (|BasicStochasticDifferential|)) 64)) (|equation| (((|Union| (|Equation| $) "failed") $ |#1|) 75) (((|Union| (|Equation| $) "failed") |#1| $) 76)) (|drift| (($ $) 62)) (|copyQuadVar| (((|Table| $ $)) 79)) (|copyDrift| (((|Table| $ $)) 78)) (|coerce| (((|OutputForm|) $) 47) (($ (|BasicStochasticDifferential|)) 35)) (|coefficient| (((|Expression| |#1|) $ (|BasicStochasticDifferential|)) 66)) (|alterQuadVar!| (((|Union| $ "failed") (|BasicStochasticDifferential|) (|BasicStochasticDifferential|) $) 39)) (|alterDrift!| (((|Union| $ "failed") (|BasicStochasticDifferential|) $) 40)) (^ (($ $ (|PositiveInteger|)) 61)) (|Zero| (($) 21 T CONST)) (= (((|Boolean|) $ $) 33)) (/ (($ $ (|Expression| |#1|)) 11)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 56)) (** (($ $ (|PositiveInteger|)) 60)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 32) (($ $ (|Expression| |#1|)) NIL) (($ (|Expression| |#1|) $) 10))) 
+(((|StochasticDifferential| |#1|) (|Join| (|Rng|) (|Module| (|Expression| |#1|)) (CATEGORY |domain| (ATTRIBUTE (|RetractableTo| (|BasicStochasticDifferential|))) (SIGNATURE |alterQuadVar!| ((|Union| $ "failed") (|BasicStochasticDifferential|) (|BasicStochasticDifferential|) $)) (SIGNATURE |alterDrift!| ((|Union| $ "failed") (|BasicStochasticDifferential|) $)) (SIGNATURE |drift| ($ $)) (SIGNATURE |freeOf?| ((|Boolean|) $ (|BasicStochasticDifferential|))) (SIGNATURE |coefficient| ((|Expression| |#1|) $ (|BasicStochasticDifferential|))) (SIGNATURE |listSD| ((|List| (|BasicStochasticDifferential|)) $)) (SIGNATURE |equation| ((|Union| (|Equation| $) "failed") $ |#1|)) (SIGNATURE |equation| ((|Union| (|Equation| $) "failed") |#1| $)) (SIGNATURE |copyDrift| ((|Table| $ $))) (SIGNATURE |copyQuadVar| ((|Table| $ $))) (SIGNATURE / ($ $ (|Expression| |#1|))) (SIGNATURE ** ($ $ (|PositiveInteger|))) (SIGNATURE ^ ($ $ (|PositiveInteger|))) (SIGNATURE |statusIto| ((|OutputForm|))) (SIGNATURE |uncorrelated?| ((|Boolean|) $ $)) (SIGNATURE |uncorrelated?| ((|Boolean|) (|List| $) (|List| $))) (SIGNATURE |uncorrelated?| ((|Boolean|) (|List| (|List| $)))))) (|Join| (|OrderedSet|) (|IntegralDomain|))) (T |StochasticDifferential|)) 
+((^ (*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|alterQuadVar!| (*1 *1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|alterDrift!| (*1 *1 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|drift| (*1 *1 *1) (AND (|isDomain| *1 (|StochasticDifferential| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|freeOf?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|listSD| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|equation| (*1 *2 *1 *3) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|equation| (*1 *2 *3 *1) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|copyDrift| (*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|copyQuadVar| (*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (/ (*1 *1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|StochasticDifferential| *3)))) (|statusIto| (*1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|uncorrelated?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|uncorrelated?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|StochasticDifferential| *4))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) (|uncorrelated?| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|StochasticDifferential| *4)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(|Join| (|Rng|) (|Module| (|Expression| |#1|)) (CATEGORY |domain| (ATTRIBUTE (|RetractableTo| (|BasicStochasticDifferential|))) (SIGNATURE |alterQuadVar!| ((|Union| $ "failed") (|BasicStochasticDifferential|) (|BasicStochasticDifferential|) $)) (SIGNATURE |alterDrift!| ((|Union| $ "failed") (|BasicStochasticDifferential|) $)) (SIGNATURE |drift| ($ $)) (SIGNATURE |freeOf?| ((|Boolean|) $ (|BasicStochasticDifferential|))) (SIGNATURE |coefficient| ((|Expression| |#1|) $ (|BasicStochasticDifferential|))) (SIGNATURE |listSD| ((|List| (|BasicStochasticDifferential|)) $)) (SIGNATURE |equation| ((|Union| (|Equation| $) "failed") $ |#1|)) (SIGNATURE |equation| ((|Union| (|Equation| $) "failed") |#1| $)) (SIGNATURE |copyDrift| ((|Table| $ $))) (SIGNATURE |copyQuadVar| ((|Table| $ $))) (SIGNATURE / ($ $ (|Expression| |#1|))) (SIGNATURE ** ($ $ (|PositiveInteger|))) (SIGNATURE ^ ($ $ (|PositiveInteger|))) (SIGNATURE |statusIto| ((|OutputForm|))) (SIGNATURE |uncorrelated?| ((|Boolean|) $ $)) (SIGNATURE |uncorrelated?| ((|Boolean|) (|List| $) (|List| $))) (SIGNATURE |uncorrelated?| ((|Boolean|) (|List| (|List| $)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|weights| (((|List| (|NonNegativeInteger|)) $) NIL) (((|List| (|NonNegativeInteger|)) $ (|Symbol|)) NIL)) (|weight| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|Symbol|)) NIL)) (|variables| (((|List| (|SequentialDifferentialVariable| (|Symbol|))) $) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SequentialDifferentialVariable| (|Symbol|))) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SequentialDifferentialVariable| (|Symbol|)))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|separant| (($ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|SequentialDifferentialVariable| (|Symbol|)) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL) (((|Union| (|SparseMultivariatePolynomial| |#1| (|Symbol|)) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|SequentialDifferentialVariable| (|Symbol|)) $) NIL) (((|Symbol|) $) NIL) (((|SparseMultivariatePolynomial| |#1| (|Symbol|)) $) NIL)) (|resultant| (($ $ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|))) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SequentialDifferentialVariable| (|Symbol|)) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SequentialDifferentialVariable| (|Symbol|)) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ (|Symbol|)) NIL) (((|NonNegativeInteger|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|SequentialDifferentialVariable| (|Symbol|))) NIL) (($ (|SparseUnivariatePolynomial| $) (|SequentialDifferentialVariable| (|Symbol|))) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|SequentialDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL)) (|minimumDegree| (((|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|))) $) NIL) (((|NonNegativeInteger|) $ (|SequentialDifferentialVariable| (|Symbol|))) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SequentialDifferentialVariable| (|Symbol|)))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|))) (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) (|Symbol|)) NIL) (((|Mapping| $ (|NonNegativeInteger|)) $) NIL (|has| |#1| (|DifferentialRing|)))) (|mainVariable| (((|Union| (|SequentialDifferentialVariable| (|Symbol|)) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|leader| (((|SequentialDifferentialVariable| (|Symbol|)) $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isobaric?| (((|Boolean|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SequentialDifferentialVariable| (|Symbol|))) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|initial| (($ $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SequentialDifferentialVariable| (|Symbol|)) |#1|) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|))) (|List| |#1|)) NIL) (($ $ (|SequentialDifferentialVariable| (|Symbol|)) $) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|))) (|List| $)) NIL) (($ $ (|Symbol|) $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|List| (|Symbol|)) (|List| $)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|List| (|Symbol|)) (|List| |#1|)) NIL (|has| |#1| (|DifferentialRing|)))) (|discriminant| (($ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|SequentialDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (|differentialVariables| (((|List| (|Symbol|)) $) NIL)) (|degree| (((|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|))) $) NIL) (((|NonNegativeInteger|) $ (|SequentialDifferentialVariable| (|Symbol|))) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SequentialDifferentialVariable| (|Symbol|)))) NIL) (((|NonNegativeInteger|) $ (|Symbol|)) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SequentialDifferentialVariable| (|Symbol|)) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SequentialDifferentialVariable| (|Symbol|)) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SequentialDifferentialVariable| (|Symbol|)) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|SequentialDifferentialVariable| (|Symbol|))) NIL) (($ (|Symbol|)) NIL) (($ (|SparseMultivariatePolynomial| |#1| (|Symbol|))) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|SequentialDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|SequentialDifferentialVariable| (|Symbol|))) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|)))) NIL) (($ $ (|SequentialDifferentialVariable| (|Symbol|)) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SequentialDifferentialVariable| (|Symbol|))) (|List| (|NonNegativeInteger|))) NIL) (($ $) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|DifferentialRing|))) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|SequentialDifferentialPolynomial| |#1|) (|Join| (|DifferentialPolynomialCategory| |#1| (|Symbol|) (|SequentialDifferentialVariable| (|Symbol|)) (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| (|Symbol|)))) (|Ring|)) (T |SequentialDifferentialPolynomial|)) 
+NIL 
+(|Join| (|DifferentialPolynomialCategory| |#1| (|Symbol|) (|SequentialDifferentialVariable| (|Symbol|)) (|IndexedExponents| (|SequentialDifferentialVariable| (|Symbol|)))) (|RetractableTo| (|SparseMultivariatePolynomial| |#1| (|Symbol|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|weight| (((|NonNegativeInteger|) $) NIL)) (|variable| ((|#1| $) 10)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL)) (|retract| ((|#1| $) NIL)) (|order| (((|NonNegativeInteger|) $) 11)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) 9)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|differentiate| (($ $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ |#1|) NIL)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 15))) 
+(((|SequentialDifferentialVariable| |#1|) (|DifferentialVariableCategory| |#1|) (|OrderedSet|)) (T |SequentialDifferentialVariable|)) 
+NIL 
+(|DifferentialVariableCategory| |#1|) 
+((|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) 23 (|has| |#1| (|OrderedRing|))) (((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) 14))) 
+(((|SegmentFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|))) (IF (|has| |#1| (|OrderedRing|)) (SIGNATURE |map| ((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|))) |noBranch|)) (|Type|) (|Type|)) (T |SegmentFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Segment| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|))) (IF (|has| |#1| (|OrderedRing|)) (SIGNATURE |map| ((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|))) |noBranch|)) 
+((|map| (((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)) 19))) 
+(((|SegmentBindingFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)))) (|Type|) (|Type|)) (T |SegmentBindingFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SegmentBinding| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|SegmentBinding| *6)) (|isDomain| *1 (|SegmentBindingFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|variable| (((|Symbol|) $) 11)) (|segment| (((|Segment| |#1|) $) 12)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|equation| (($ (|Symbol|) (|Segment| |#1|)) 10)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (= (((|Boolean|) $ $) 15 (|has| |#1| (|SetCategory|))))) 
+(((|SegmentBinding| |#1|) (|Join| (|Type|) (CATEGORY |domain| (SIGNATURE |equation| ($ (|Symbol|) (|Segment| |#1|))) (SIGNATURE |variable| ((|Symbol|) $)) (SIGNATURE |segment| ((|Segment| |#1|) $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|))) (|Type|)) (T |SegmentBinding|)) 
+((|equation| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Segment| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SegmentBinding| *4)))) (|variable| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) (|segment| (*1 *2 *1) (AND (|isDomain| *2 (|Segment| *3)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|Type|) (CATEGORY |domain| (SIGNATURE |equation| ($ (|Symbol|) (|Segment| |#1|))) (SIGNATURE |variable| ((|Symbol|) $)) (SIGNATURE |segment| ((|Segment| |#1|) $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|))) 
+((|segment| (($ |#1| |#1|) 7)) (|low| ((|#1| $) 10)) (|lo| ((|#1| $) 12)) (|incr| (((|Integer|) $) 8)) (|high| ((|#1| $) 9)) (|hi| ((|#1| $) 11)) (|convert| (($ |#1|) 6)) (SEGMENT (($ |#1| |#1|) 14)) (BY (($ $ (|Integer|)) 13))) 
+(((|SegmentCategory| |#1|) (|Category|) (|Type|)) (T |SegmentCategory|)) 
+((SEGMENT (*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) (BY (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)))) (|lo| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) (|hi| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) (|low| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) (|high| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) (|incr| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|)))) (|segment| (*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(|Join| (|Type|) (CATEGORY |domain| (SIGNATURE SEGMENT ($ |t#1| |t#1|)) (SIGNATURE BY ($ $ (|Integer|))) (SIGNATURE |lo| (|t#1| $)) (SIGNATURE |hi| (|t#1| $)) (SIGNATURE |low| (|t#1| $)) (SIGNATURE |high| (|t#1| $)) (SIGNATURE |incr| ((|Integer|) $)) (SIGNATURE |segment| ($ |t#1| |t#1|)) (SIGNATURE |convert| ($ |t#1|)))) 
+(((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|segment| (($ |#1| |#1|) 15)) (|map| (((|List| |#1|) (|Mapping| |#1| |#1|) $) 37 (|has| |#1| (|OrderedRing|)))) (|low| ((|#1| $) 10)) (|lo| ((|#1| $) 9)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|incr| (((|Integer|) $) 14)) (|high| ((|#1| $) 12)) (|hi| ((|#1| $) 11)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|expand| (((|List| |#1|) $) 35 (|has| |#1| (|OrderedRing|))) (((|List| |#1|) (|List| $)) 34 (|has| |#1| (|OrderedRing|)))) (|convert| (($ |#1|) 26)) (|coerce| (((|OutputForm|) $) 25 (|has| |#1| (|SetCategory|)))) (SEGMENT (($ |#1| |#1|) 8)) (BY (($ $ (|Integer|)) 16)) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|))))) 
+(((|Segment| |#1|) (|Join| (|SegmentCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|SegmentExpansionCategory| |#1| (|List| |#1|))) |noBranch|))) (|Type|)) (T |Segment|)) 
+NIL 
+(|Join| (|SegmentCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|SegmentExpansionCategory| |#1| (|List| |#1|))) |noBranch|))) 
+((|segment| (($ |#1| |#1|) 7)) (|map| ((|#2| (|Mapping| |#1| |#1|) $) 15)) (|low| ((|#1| $) 10)) (|lo| ((|#1| $) 12)) (|incr| (((|Integer|) $) 8)) (|high| ((|#1| $) 9)) (|hi| ((|#1| $) 11)) (|expand| ((|#2| (|List| $)) 17) ((|#2| $) 16)) (|convert| (($ |#1|) 6)) (SEGMENT (($ |#1| |#1|) 14)) (BY (($ $ (|Integer|)) 13))) 
+(((|SegmentExpansionCategory| |#1| |#2|) (|Category|) (|OrderedRing|) (|StreamAggregate| |t#1|)) (T |SegmentExpansionCategory|)) 
+((|expand| (*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) (|expand| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentExpansionCategory| *3 *2)) (|ofCategory| *3 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *3)))) (|map| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4))))) 
+(|Join| (|SegmentCategory| |t#1|) (CATEGORY |domain| (SIGNATURE |expand| (|t#2| (|List| $))) (SIGNATURE |expand| (|t#2| $)) (SIGNATURE |map| (|t#2| (|Mapping| |t#1| |t#1|) $)))) 
+(((|SegmentCategory| |#1|) . T) ((|Type|) . T)) 
+((|union| (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (|symmetricDifference| (($ $ $) 10)) (|difference| (($ $ $) NIL) (($ $ |#2|) 15))) 
+(((|SetAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |union| (|#1| |#2| |#1|)) (SIGNATURE |union| (|#1| |#1| |#2|)) (SIGNATURE |union| (|#1| |#1| |#1|)) (SIGNATURE |symmetricDifference| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#2|)) (SIGNATURE |difference| (|#1| |#1| |#1|))) (|SetAggregate| |#2|) (|SetCategory|)) (T |SetAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |union| (|#1| |#2| |#1|)) (SIGNATURE |union| (|#1| |#1| |#2|)) (SIGNATURE |union| (|#1| |#1| |#1|)) (SIGNATURE |symmetricDifference| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#2|)) (SIGNATURE |difference| (|#1| |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|union| (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (|symmetricDifference| (($ $ $) 19)) (|subset?| (((|Boolean|) $ $) 18)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 34)) (|set| (($) 24) (($ (|List| |#1|)) 23)) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 55 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 35 T CONST)) (|removeDuplicates| (($ $) 58 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 57 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 54 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 56 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|parts| (((|List| |#1|) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 33)) (|members| (((|List| |#1|) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 45 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 37)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 32)) (|latex| (((|String|) $) 9)) (|intersect| (($ $ $) 22)) (|hash| (((|SingleInteger|) $) 10)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 51)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 40 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#1|) (|List| |#1|)) 49 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 48 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 47 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| (|Equation| |#1|))) 46 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 28)) (|empty?| (((|Boolean|) $) 31)) (|empty| (($) 30)) (|difference| (($ $ $) 21) (($ $ |#1|) 20)) (|count| (((|NonNegativeInteger|) |#1| $) 44 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 41 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 29)) (|convert| (((|InputForm|) $) 59 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 50)) (|coerce| (((|OutputForm|) $) 11)) (|brace| (($) 26) (($ (|List| |#1|)) 25)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 39 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 6)) (< (((|Boolean|) $ $) 27)) (|#| (((|NonNegativeInteger|) $) 36 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SetAggregate| |#1|) (|Category|) (|SetCategory|)) (T |SetAggregate|)) 
+((< (*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|brace| (*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|brace| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) (|set| (*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|set| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) (|intersect| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|difference| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|difference| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|symmetricDifference| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|subset?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|union| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|union| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) (|union| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (|Collection| |t#1|) (CATEGORY |domain| (ATTRIBUTE |partiallyOrderedSet|) (SIGNATURE < ((|Boolean|) $ $)) (SIGNATURE |brace| ($)) (SIGNATURE |brace| ($ (|List| |t#1|))) (SIGNATURE |set| ($)) (SIGNATURE |set| ($ (|List| |t#1|))) (SIGNATURE |intersect| ($ $ $)) (SIGNATURE |difference| ($ $ $)) (SIGNATURE |difference| ($ $ |t#1|)) (SIGNATURE |symmetricDifference| ($ $ $)) (SIGNATURE |subset?| ((|Boolean|) $ $)) (SIGNATURE |union| ($ $ $)) (SIGNATURE |union| ($ $ |t#1|)) (SIGNATURE |union| ($ |t#1| $)))) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) . T) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) 7)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|degree| (((|PositiveInteger|) $) 12)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|SetCategoryWithDegree|) (|Category|)) (T |SetCategoryWithDegree|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|SetCategoryWithDegree|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |degree| ((|PositiveInteger|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|latex| (((|String|) $) 10)) (|hash| (((|SingleInteger|) $) 8))) 
+(((|SetCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |latex| ((|String|) |#1|)) (SIGNATURE |hash| ((|SingleInteger|) |#1|))) (|SetCategory|)) (T |SetCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |latex| ((|String|) |#1|)) (SIGNATURE |hash| ((|SingleInteger|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|SetCategory|) (|Category|)) (T |SetCategory|)) 
+((|hash| (*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|SingleInteger|)))) (|latex| (*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|String|))))) 
+(|Join| (|BasicType|) (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |latex| ((|String|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|size| (((|NonNegativeInteger|)) 30)) (|setOfMinN| (($ (|List| (|PositiveInteger|))) 52)) (|replaceKthElement| (((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|)) 57)) (|random| (($) 32)) (|member?| (((|Boolean|) (|PositiveInteger|) $) 35)) (|lookup| (((|PositiveInteger|) $) 50)) (|latex| (((|String|) $) NIL)) (|index| (($ (|PositiveInteger|)) 31)) (|incrementKthElement| (((|Union| $ "failed") $ (|PositiveInteger|)) 55)) (|hash| (((|SingleInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL) (((|Vector| $)) 40)) (|elements| (((|List| (|PositiveInteger|)) $) 23)) (|delta| (((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|)) 56)) (|coerce| (((|OutputForm|) $) 29)) (= (((|Boolean|) $ $) 21))) 
+(((|SetOfMIntegersInOneToN| |#1| |#2|) (|Join| (|Finite|) (CATEGORY |domain| (SIGNATURE |incrementKthElement| ((|Union| $ "failed") $ (|PositiveInteger|))) (SIGNATURE |replaceKthElement| ((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |elements| ((|List| (|PositiveInteger|)) $)) (SIGNATURE |setOfMinN| ($ (|List| (|PositiveInteger|)))) (SIGNATURE |enumerate| ((|Vector| $))) (SIGNATURE |member?| ((|Boolean|) (|PositiveInteger|) $)) (SIGNATURE |delta| ((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|))))) (|PositiveInteger|) (|PositiveInteger|)) (T |SetOfMIntegersInOneToN|)) 
+((|incrementKthElement| (*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2))) (|replaceKthElement| (*1 *1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2))) (|elements| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) (|setOfMinN| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) (|enumerate| (*1 *2) (AND (|isDomain| *2 (|Vector| (|SetOfMIntegersInOneToN| *3 *4))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) (|member?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) (|delta| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3)))) 
+(|Join| (|Finite|) (CATEGORY |domain| (SIGNATURE |incrementKthElement| ((|Union| $ "failed") $ (|PositiveInteger|))) (SIGNATURE |replaceKthElement| ((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |elements| ((|List| (|PositiveInteger|)) $)) (SIGNATURE |setOfMinN| ($ (|List| (|PositiveInteger|)))) (SIGNATURE |enumerate| ((|Vector| $))) (SIGNATURE |member?| ((|Boolean|) (|PositiveInteger|) $)) (SIGNATURE |delta| ((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|universe| (($) NIL (|has| |#1| (|Finite|)))) (|union| (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (|symmetricDifference| (($ $ $) 71)) (|subset?| (((|Boolean|) $ $) 72)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#1| (|Finite|)))) (|set| (($ (|List| |#1|)) NIL) (($) 13)) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove!| (($ |#1| $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 43 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 39 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|random| (($) NIL (|has| |#1| (|Finite|)))) (|parts| (((|List| |#1|) $) 19 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|min| ((|#1| $) 57 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 66 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|max| ((|#1| $) 55 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 33 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 34)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#1| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|intersect| (($ $ $) 69)) (|inspect| ((|#1| $) 25)) (|insert!| (($ |#1| $) 65)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#1| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 31)) (|extract!| ((|#1| $) 27)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#1| (|Finite|)))) (|empty?| (((|Boolean|) $) 21)) (|empty| (($) 11)) (|difference| (($ $ |#1|) NIL) (($ $ $) 70)) (|dictionary| (($) NIL) (($ (|List| |#1|)) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 16)) (|convert| (((|InputForm|) $) 52 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 61)) (|complement| (($ $) NIL (|has| |#1| (|Finite|)))) (|coerce| (((|OutputForm|) $) NIL)) (|cardinality| (((|NonNegativeInteger|) $) NIL)) (|brace| (($ (|List| |#1|)) NIL) (($) 12)) (|bag| (($ (|List| |#1|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 54)) (< (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) 10 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Set| |#1|) (|FiniteSetAggregate| |#1|) (|SetCategory|)) (T |Set|)) 
+NIL 
+(|FiniteSetAggregate| |#1|) 
+((~= (((|Boolean|) $ $) 7)) (|symbol?| (((|Boolean|) $) 31)) (|symbol| ((|#2| $) 26)) (|string?| (((|Boolean|) $) 32)) (|string| ((|#1| $) 27)) (|pair?| (((|Boolean|) $) 34)) (|null?| (((|Boolean|) $) 36)) (|list?| (((|Boolean|) $) 33)) (|latex| (((|String|) $) 9)) (|integer?| (((|Boolean|) $) 30)) (|integer| ((|#3| $) 25)) (|hash| (((|SingleInteger|) $) 10)) (|float?| (((|Boolean|) $) 29)) (|float| ((|#4| $) 24)) (|expr| ((|#5| $) 23)) (|eq| (((|Boolean|) $ $) 37)) (|elt| (($ $ (|Integer|)) 13) (($ $ (|List| (|Integer|))) 12)) (|destruct| (((|List| $) $) 28)) (|convert| (($ (|List| $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (|coerce| (((|OutputForm|) $) 11)) (|cdr| (($ $) 15)) (|car| (($ $) 16)) (|atom?| (((|Boolean|) $) 35)) (= (((|Boolean|) $ $) 6)) (|#| (((|Integer|) $) 14))) 
+(((|SExpressionCategory| |#1| |#2| |#3| |#4| |#5|) (|Category|) (|SetCategory|) (|SetCategory|) (|SetCategory|) (|SetCategory|) (|SetCategory|)) (T |SExpressionCategory|)) 
+((|eq| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|null?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|atom?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|pair?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|list?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|string?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|symbol?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|integer?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|float?| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) (|destruct| (*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)))) (|string| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|symbol| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|integer| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|float| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|expr| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) (|convert| (*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|car| (*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) (|cdr| (*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) (|#| (*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |eq| ((|Boolean|) $ $)) (SIGNATURE |null?| ((|Boolean|) $)) (SIGNATURE |atom?| ((|Boolean|) $)) (SIGNATURE |pair?| ((|Boolean|) $)) (SIGNATURE |list?| ((|Boolean|) $)) (SIGNATURE |string?| ((|Boolean|) $)) (SIGNATURE |symbol?| ((|Boolean|) $)) (SIGNATURE |integer?| ((|Boolean|) $)) (SIGNATURE |float?| ((|Boolean|) $)) (SIGNATURE |destruct| ((|List| $) $)) (SIGNATURE |string| (|t#1| $)) (SIGNATURE |symbol| (|t#2| $)) (SIGNATURE |integer| (|t#3| $)) (SIGNATURE |float| (|t#4| $)) (SIGNATURE |expr| (|t#5| $)) (SIGNATURE |convert| ($ (|List| $))) (SIGNATURE |convert| ($ |t#1|)) (SIGNATURE |convert| ($ |t#2|)) (SIGNATURE |convert| ($ |t#3|)) (SIGNATURE |convert| ($ |t#4|)) (SIGNATURE |convert| ($ |t#5|)) (SIGNATURE |car| ($ $)) (SIGNATURE |cdr| ($ $)) (SIGNATURE |#| ((|Integer|) $)) (SIGNATURE |elt| ($ $ (|Integer|))) (SIGNATURE |elt| ($ $ (|List| (|Integer|)))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|symbol?| (((|Boolean|) $) NIL)) (|symbol| (((|Symbol|) $) NIL)) (|string?| (((|Boolean|) $) NIL)) (|string| (((|String|) $) NIL)) (|pair?| (((|Boolean|) $) NIL)) (|null?| (((|Boolean|) $) NIL)) (|list?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|integer?| (((|Boolean|) $) NIL)) (|integer| (((|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|float?| (((|Boolean|) $) NIL)) (|float| (((|DoubleFloat|) $) NIL)) (|expr| (((|OutputForm|) $) NIL)) (|eq| (((|Boolean|) $ $) NIL)) (|elt| (($ $ (|Integer|)) NIL) (($ $ (|List| (|Integer|))) NIL)) (|destruct| (((|List| $) $) NIL)) (|convert| (($ (|List| $)) NIL) (($ (|String|)) NIL) (($ (|Symbol|)) NIL) (($ (|Integer|)) NIL) (($ (|DoubleFloat|)) NIL) (($ (|OutputForm|)) NIL)) (|coerce| (((|OutputForm|) $) NIL)) (|cdr| (($ $) NIL)) (|car| (($ $) NIL)) (|atom?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL)) (|#| (((|Integer|) $) NIL))) 
+(((|SExpression|) (|SExpressionCategory| (|String|) (|Symbol|) (|Integer|) (|DoubleFloat|) (|OutputForm|))) (T |SExpression|)) 
+NIL 
+(|SExpressionCategory| (|String|) (|Symbol|) (|Integer|) (|DoubleFloat|) (|OutputForm|)) 
+((~= (((|Boolean|) $ $) NIL)) (|symbol?| (((|Boolean|) $) 37)) (|symbol| ((|#2| $) 41)) (|string?| (((|Boolean|) $) 36)) (|string| ((|#1| $) 40)) (|pair?| (((|Boolean|) $) 34)) (|null?| (((|Boolean|) $) 14)) (|list?| (((|Boolean|) $) 35)) (|latex| (((|String|) $) NIL)) (|integer?| (((|Boolean|) $) 38)) (|integer| ((|#3| $) 43)) (|hash| (((|SingleInteger|) $) NIL)) (|float?| (((|Boolean|) $) 39)) (|float| ((|#4| $) 42)) (|expr| ((|#5| $) 44)) (|eq| (((|Boolean|) $ $) 33)) (|elt| (($ $ (|Integer|)) 55) (($ $ (|List| (|Integer|))) 57)) (|destruct| (((|List| $) $) 21)) (|convert| (($ (|List| $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (|coerce| (((|OutputForm|) $) 22)) (|cdr| (($ $) 20)) (|car| (($ $) 51)) (|atom?| (((|Boolean|) $) 18)) (= (((|Boolean|) $ $) 32)) (|#| (((|Integer|) $) 53))) 
+(((|SExpressionOf| |#1| |#2| |#3| |#4| |#5|) (|SExpressionCategory| |#1| |#2| |#3| |#4| |#5|) (|SetCategory|) (|SetCategory|) (|SetCategory|) (|SetCategory|) (|SetCategory|)) (T |SExpressionOf|)) 
+NIL 
+(|SExpressionCategory| |#1| |#2| |#3| |#4| |#5|) 
+((|outputAsFortran| (((|Void|) $) 23)) (|fortran| (($ (|Symbol|) (|FortranScalarType|) |#2|) 11)) (|coerce| (((|OutputForm|) $) 16))) 
+(((|SimpleFortranProgram| |#1| |#2|) (|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |fortran| ($ (|Symbol|) (|FortranScalarType|) |#2|)))) (|OrderedSet|) (|FunctionSpace| |#1|)) (T |SimpleFortranProgram|)) 
+((|fortran| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|FortranScalarType|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SimpleFortranProgram| *5 *4)) (|ofCategory| *4 (|FunctionSpace| *5))))) 
+(|Join| (|FortranProgramCategory|) (CATEGORY |domain| (SIGNATURE |fortran| ($ (|Symbol|) (|FortranScalarType|) |#2|)))) 
+((|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) 37)) (|subTriSet?| (((|Boolean|) |#5| |#5|) 51)) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) 74) (((|Boolean|) |#5| |#5|) 60)) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 57)) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) 62)) (|stopTable!| (((|Void|)) 33)) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) 29)) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) 81)) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) 79)) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) 101)) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) 46)) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) 70)) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 56)) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 58)) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) 59)) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 97)) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) 42))) 
+(((|SquareFreeQuasiComponentPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |startTable!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTable!| ((|Void|))) (SIGNATURE |supDimElseRittWu?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |algebraicSort| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |moreAlgebraic?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subTriSet?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalInfRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |infRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubQuasiComponent?| ((|Union| (|Boolean|) "failed") |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| (|List| |#5|))) (SIGNATURE |removeSuperfluousQuasiComponents| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |subCase?| ((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |removeSuperfluousCases| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (SIGNATURE |prepareDecompose| ((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |branchIfCan| ((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |SquareFreeQuasiComponentPackage|)) 
+((|branchIfCan| (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) (|prepareDecompose| (*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9)))) (|removeSuperfluousCases| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)))) (|subCase?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)))) (|removeSuperfluousQuasiComponents| (*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)))) (|subQuasiComponent?| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *5 *6 *7 *8 *3)))) (|subQuasiComponent?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|internalSubQuasiComponent?| (*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|infRittWu?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|internalInfRittWu?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|internalSubPolSet?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|subPolSet?| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|subTriSet?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|moreAlgebraic?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|algebraicSort| (*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)))) (|supDimElseRittWu?| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|stopTable!| (*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) (|startTable!| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |startTable!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTable!| ((|Void|))) (SIGNATURE |supDimElseRittWu?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |algebraicSort| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |moreAlgebraic?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subTriSet?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubPolSet?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalInfRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |infRittWu?| ((|Boolean|) (|List| |#4|) (|List| |#4|))) (SIGNATURE |internalSubQuasiComponent?| ((|Union| (|Boolean|) "failed") |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| |#5|)) (SIGNATURE |subQuasiComponent?| ((|Boolean|) |#5| (|List| |#5|))) (SIGNATURE |removeSuperfluousQuasiComponents| ((|List| |#5|) (|List| |#5|))) (SIGNATURE |subCase?| ((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |removeSuperfluousCases| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (SIGNATURE |prepareDecompose| ((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |branchIfCan| ((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)))) 
+((|stoseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) 94)) (|stosePrepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) 70)) (|stoseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) 88)) (|stoseInvertibleSetsqfreg| (((|List| |#5|) |#4| |#5|) 109)) (|stoseInvertibleSetreg| (((|List| |#5|) |#4| |#5|) 116)) (|stoseInvertibleSet| (((|List| |#5|) |#4| |#5|) 117)) (|stoseInvertible?sqfreg| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) 95)) (|stoseInvertible?reg| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) 115)) (|stoseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) 44) (((|Boolean|) |#4| |#5|) 52)) (|stoseInternalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) 82) (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) 49)) (|stoseIntegralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) 77)) (|stopTableInvSet!| (((|Void|)) 35)) (|stopTableGcd!| (((|Void|)) 25)) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) 31)) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) 20))) 
+(((|SquareFreeRegularTriangularSetGcdPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |startTableGcd!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableGcd!| ((|Void|))) (SIGNATURE |startTableInvSet!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableInvSet!| ((|Void|))) (SIGNATURE |stosePrepareSubResAlgo| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |stoseInternalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|))) (SIGNATURE |stoseInternalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|))) (SIGNATURE |stoseIntegralLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |stoseLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |stoseInvertible?| ((|Boolean|) |#4| |#5|)) (SIGNATURE |stoseInvertible?sqfreg| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |stoseInvertibleSetsqfreg| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |stoseInvertible?reg| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |stoseInvertibleSetreg| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |stoseInvertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |stoseInvertibleSet| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |stoseSquareFreePart| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |SquareFreeRegularTriangularSetGcdPackage|)) 
+((|stoseSquareFreePart| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertibleSet| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertible?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertibleSetreg| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertible?reg| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertibleSetsqfreg| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertible?sqfreg| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInvertible?| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseLastSubResultant| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseIntegralLastSubResultant| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stoseInternalLastSubResultant| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *4 *8 *9)))) (|stoseInternalLastSubResultant| (*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) (|stosePrepareSubResAlgo| (*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) (|stopTableInvSet!| (*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) (|startTableInvSet!| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) (|stopTableGcd!| (*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) (|startTableGcd!| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(CATEGORY |package| (SIGNATURE |startTableGcd!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableGcd!| ((|Void|))) (SIGNATURE |startTableInvSet!| ((|Void|) (|String|) (|String|) (|String|))) (SIGNATURE |stopTableInvSet!| ((|Void|))) (SIGNATURE |stosePrepareSubResAlgo| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |stoseInternalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|))) (SIGNATURE |stoseInternalLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|))) (SIGNATURE |stoseIntegralLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |stoseLastSubResultant| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|)) (SIGNATURE |stoseInvertible?| ((|Boolean|) |#4| |#5|)) (SIGNATURE |stoseInvertible?sqfreg| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |stoseInvertibleSetsqfreg| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |stoseInvertible?reg| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |stoseInvertibleSetreg| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |stoseInvertible?| ((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|)) (SIGNATURE |stoseInvertibleSet| ((|List| |#5|) |#4| |#5|)) (SIGNATURE |stoseSquareFreePart| ((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|))) 
+((~= (((|Boolean|) $ $) 7)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) 78)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 79) (((|List| $) (|List| |#4|) (|Boolean|)) 104)) (|variables| (((|List| |#3|) $) 32)) (|trivialIdeal?| (((|Boolean|) $) 25)) (|triangular?| (((|Boolean|) $) 16 (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) 94) (((|Boolean|) $) 90)) (|stronglyReduce| ((|#4| |#4| $) 85)) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) 119)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 43)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 72)) (|sample| (($) 44 T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 21 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) 23 (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) 22 (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 86)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 17 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) 18 (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 35)) (|retract| (($ (|List| |#4|)) 34)) (|rest| (((|Union| $ "failed") $) 75)) (|removeZero| ((|#4| |#4| $) 82)) (|removeDuplicates| (($ $) 67 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#4| $) 66 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#4|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) 95)) (|reduceByQuasiMonic| ((|#4| |#4| $) 80)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) 65 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 87)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) 98)) (|purelyTranscendental?| (((|Boolean|) |#4| $) 129)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) 126)) (|purelyAlgebraic?| (((|Boolean|) |#4| $) 130) (((|Boolean|) $) 127)) (|parts| (((|List| |#4|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) 97) (((|Boolean|) $) 96)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 42)) (|members| (((|List| |#4|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 54 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 47 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 46)) (|mainVariables| (((|List| |#3|) $) 31)) (|mainVariable?| (((|Boolean|) |#3| $) 30)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 41)) (|latex| (((|String|) $) 9)) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) 121)) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) 120)) (|last| (((|Union| |#4| "failed") $) 76)) (|invertibleSet| (((|List| $) |#4| $) 122)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) 125)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) 124) (((|Boolean|) |#4| $) 123)) (|intersect| (((|List| $) |#4| $) 118) (((|List| $) (|List| |#4|) $) 117) (((|List| $) (|List| |#4|) (|List| $)) 116) (((|List| $) |#4| (|List| $)) 115)) (|internalAugment| (($ |#4| $) 110) (($ (|List| |#4|) $) 109)) (|initials| (((|List| |#4|) $) 100)) (|initiallyReduced?| (((|Boolean|) |#4| $) 92) (((|Boolean|) $) 88)) (|initiallyReduce| ((|#4| |#4| $) 83)) (|infRittWu?| (((|Boolean|) $ $) 103)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) 93) (((|Boolean|) $) 89)) (|headReduce| ((|#4| |#4| $) 84)) (|hash| (((|SingleInteger|) $) 10)) (|first| (((|Union| |#4| "failed") $) 77)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) 60)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 71)) (|extend| (($ $ |#4|) 70) (((|List| $) |#4| $) 108) (((|List| $) |#4| (|List| $)) 107) (((|List| $) (|List| |#4|) $) 106) (((|List| $) (|List| |#4|) (|List| $)) 105)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) 58 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) 57 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) 56 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) 55 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 37)) (|empty?| (((|Boolean|) $) 40)) (|empty| (($) 39)) (|degree| (((|NonNegativeInteger|) $) 99)) (|count| (((|NonNegativeInteger|) |#4| $) 53 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 38)) (|convert| (((|InputForm|) $) 68 (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 59)) (|collectUpper| (($ $ |#3|) 27)) (|collectUnder| (($ $ |#3|) 29)) (|collectQuasiMonic| (($ $) 81)) (|collect| (($ $ |#3|) 28)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#4|) $) 36)) (|coHeight| (((|NonNegativeInteger|) $) 69 (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 102) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 101)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) 91)) (|augment| (((|List| $) |#4| $) 114) (((|List| $) |#4| (|List| $)) 113) (((|List| $) (|List| |#4|) $) 112) (((|List| $) (|List| |#4|) (|List| $)) 111)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) 74)) (|algebraicCoefficients?| (((|Boolean|) |#4| $) 128)) (|algebraic?| (((|Boolean|) |#3| $) 73)) (= (((|Boolean|) $ $) 6)) (|#| (((|NonNegativeInteger|) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (|Category|) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |t#1| |t#2| |t#3|)) (T |SquareFreeRegularTriangularSetCategory|)) 
+NIL 
+(|Join| (|RegularTriangularSetCategory| |t#1| |t#2| |t#3| |t#4|)) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|List| |#4|)) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#4|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|HomogeneousAggregate| |#4|) . T) ((|InnerEvalable| |#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|PolynomialSetCategory| |#1| |#2| |#3| |#4|) . T) ((|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|SetCategory|) . T) ((|TriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|Type|) . T)) 
+((|unrankImproperPartitions1| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) 20)) (|unrankImproperPartitions0| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) 12)) (|subSet| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) 16)) (|numberOfImproperPartitions| (((|Integer|) (|Integer|) (|Integer|)) 9)) (|nextPartition| (((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) 44) (((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) 39)) (|nextLatticePermutation| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|)) 26)) (|nextColeman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) 43)) (|makeYoungTableau| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) 31)) (|listYoungTableaus| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) 33)) (|inverseColeman| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) 46)) (|coleman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) 54))) 
+(((|SymmetricGroupCombinatoricFunctions|) (CATEGORY |package| (SIGNATURE |coleman| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |inverseColeman| ((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|)))) (SIGNATURE |listYoungTableaus| ((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |makeYoungTableau| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |nextColeman| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|)))) (SIGNATURE |nextLatticePermutation| ((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|))) (SIGNATURE |nextPartition| ((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|))) (SIGNATURE |nextPartition| ((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|))) (SIGNATURE |numberOfImproperPartitions| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |subSet| ((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |unrankImproperPartitions0| ((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |unrankImproperPartitions1| ((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))))) (T |SymmetricGroupCombinatoricFunctions|)) 
+((|unrankImproperPartitions1| (*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|)))) (|unrankImproperPartitions0| (*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|)))) (|subSet| (*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|)))) (|numberOfImproperPartitions| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|nextPartition| (*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|nextPartition| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|nextLatticePermutation| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|nextColeman| (*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|makeYoungTableau| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|listYoungTableaus| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|inverseColeman| (*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) (|coleman| (*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(CATEGORY |package| (SIGNATURE |coleman| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |inverseColeman| ((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|)))) (SIGNATURE |listYoungTableaus| ((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)))) (SIGNATURE |makeYoungTableau| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)))) (SIGNATURE |nextColeman| ((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|)))) (SIGNATURE |nextLatticePermutation| ((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|))) (SIGNATURE |nextPartition| ((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|))) (SIGNATURE |nextPartition| ((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|))) (SIGNATURE |numberOfImproperPartitions| ((|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |subSet| ((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |unrankImproperPartitions0| ((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|))) (SIGNATURE |unrankImproperPartitions1| ((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)))) 
+((^ (($ $ (|PositiveInteger|)) 12)) (** (($ $ (|PositiveInteger|)) 10))) 
+(((|SemiGroup&| |#1|) (CATEGORY |domain| (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) (|SemiGroup|)) (T |SemiGroup&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ^ (|#1| |#1| (|PositiveInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (^ (($ $ (|PositiveInteger|)) 12)) (= (((|Boolean|) $ $) 6)) (** (($ $ (|PositiveInteger|)) 13)) (* (($ $ $) 14))) 
+(((|SemiGroup|) (|Category|)) (T |SemiGroup|)) 
+((* (*1 *1 *1 *1) (|ofCategory| *1 (|SemiGroup|))) (** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) (^ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|PositiveInteger|))) (SIGNATURE ^ ($ $ (|PositiveInteger|))))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#3| (|SetCategory|)))) (|zero?| (((|Boolean|) $) NIL (|has| |#3| (|CancellationAbelianMonoid|)))) (|unitVector| (($ (|PositiveInteger|)) NIL (|has| |#3| (|Ring|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sup| (($ $ $) NIL (|has| |#3| (|OrderedAbelianMonoidSup|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL (|has| |#3| (|CancellationAbelianMonoid|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|size| (((|NonNegativeInteger|)) NIL (|has| |#3| (|Finite|)))) (|sign| (((|Integer|) $) NIL (|has| |#3| (|OrderedRing|)))) (|setelt| ((|#3| $ (|Integer|) |#3|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|)))) (((|Union| |#3| "failed") $) NIL (|has| |#3| (|SetCategory|)))) (|retract| (((|Integer|) $) NIL (AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|)))) ((|#3| $) NIL (|has| |#3| (|SetCategory|)))) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#3| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#3| (|Ring|)))) (((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#3| (|Ring|))) (((|Matrix| |#3|) (|Matrix| $)) NIL (|has| |#3| (|Ring|)))) (|recip| (((|Union| $ "failed") $) NIL (|has| |#3| (|Monoid|)))) (|random| (($) NIL (|has| |#3| (|Finite|)))) (|qsetelt!| ((|#3| $ (|Integer|) |#3|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#3| $ (|Integer|)) 12)) (|positive?| (((|Boolean|) $) NIL (|has| |#3| (|OrderedRing|)))) (|parts| (((|List| |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL (|has| |#3| (|Monoid|)))) (|negative?| (((|Boolean|) $) NIL (|has| |#3| (|OrderedRing|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (|members| (((|List| |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (|map!| (($ (|Mapping| |#3| |#3|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#3| |#3|) $) NIL)) (|lookup| (((|PositiveInteger|) $) NIL (|has| |#3| (|Finite|)))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#3| (|SetCategory|)))) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|index| (($ (|PositiveInteger|)) NIL (|has| |#3| (|Finite|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#3| (|SetCategory|)))) (|first| ((|#3| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|fill!| (($ $ |#3|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#3|))) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|Equation| |#3|)) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ |#3| |#3|) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) (($ $ (|List| |#3|) (|List| |#3|)) NIL (AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|enumerate| (((|List| $)) NIL (|has| |#3| (|Finite|)))) (|entry?| (((|Boolean|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|entries| (((|List| |#3|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#3| $ (|Integer|) |#3|) NIL) ((|#3| $ (|Integer|)) NIL)) (|dot| ((|#3| $ $) NIL (|has| |#3| (|Ring|)))) (|directProduct| (($ (|Vector| |#3|)) NIL)) (|dimension| (((|CardinalNumber|)) NIL (|has| |#3| (|Field|)))) (|differentiate| (($ $) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Mapping| |#3| |#3|) (|NonNegativeInteger|)) NIL (|has| |#3| (|Ring|))) (($ $ (|Mapping| |#3| |#3|)) NIL (|has| |#3| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#3| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#3| (|SetCategory|))))) (|copy| (($ $) NIL)) (|coerce| (((|Vector| |#3|) $) NIL) (((|OutputForm|) $) NIL (|has| |#3| (|SetCategory|))) (($ (|Integer|)) NIL (OR (AND (|has| |#3| (|RetractableTo| (|Integer|))) (|has| |#3| (|SetCategory|))) (|has| |#3| (|Ring|)))) (($ (|Fraction| (|Integer|))) NIL (AND (|has| |#3| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#3| (|SetCategory|)))) (($ |#3|) NIL (|has| |#3| (|SetCategory|)))) (|characteristic| (((|NonNegativeInteger|)) NIL (|has| |#3| (|Ring|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|abs| (($ $) NIL (|has| |#3| (|OrderedRing|)))) (^ (($ $ (|NonNegativeInteger|)) NIL (|has| |#3| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#3| (|Monoid|)))) (|Zero| (($) NIL (|has| |#3| (|CancellationAbelianMonoid|)) CONST)) (|One| (($) NIL (|has| |#3| (|Monoid|)) CONST)) (D (($ $) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|)))) (($ $ (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|DifferentialRing|)) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#3| (|PartialDifferentialRing| (|Symbol|))) (|has| |#3| (|Ring|)))) (($ $ (|Mapping| |#3| |#3|) (|NonNegativeInteger|)) NIL (|has| |#3| (|Ring|))) (($ $ (|Mapping| |#3| |#3|)) NIL (|has| |#3| (|Ring|)))) (>= (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (> (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (= (((|Boolean|) $ $) NIL (|has| |#3| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (< (((|Boolean|) $ $) 17 (OR (|has| |#3| (|OrderedAbelianMonoidSup|)) (|has| |#3| (|OrderedRing|))))) (/ (($ $ |#3|) NIL (|has| |#3| (|Field|)))) (- (($ $ $) NIL (|has| |#3| (|Ring|))) (($ $) NIL (|has| |#3| (|Ring|)))) (+ (($ $ $) NIL (|has| |#3| (|AbelianSemiGroup|)))) (** (($ $ (|NonNegativeInteger|)) NIL (|has| |#3| (|Monoid|))) (($ $ (|PositiveInteger|)) NIL (|has| |#3| (|Monoid|)))) (* (($ (|Integer|) $) NIL (|has| |#3| (|Ring|))) (($ $ $) NIL (|has| |#3| (|Monoid|))) (($ $ |#3|) NIL (|has| |#3| (|Monoid|))) (($ |#3| $) NIL (|has| |#3| (|Monoid|))) (($ (|NonNegativeInteger|) $) NIL (|has| |#3| (|CancellationAbelianMonoid|))) (($ (|PositiveInteger|) $) NIL (|has| |#3| (|AbelianSemiGroup|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SplitHomogeneousDirectProduct| |#1| |#2| |#3|) (|DirectProductCategory| |#1| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|OrderedAbelianMonoidSup|)) (T |SplitHomogeneousDirectProduct|)) 
+NIL 
+(|DirectProductCategory| |#1| |#3|) 
+((|subresultantSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) 36)) (|countRealRootsMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) 67 (|has| |#1| (|GcdDomain|)))) (|countRealRoots| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) 53)) (|SturmHabichtSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) 44)) (|SturmHabichtMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) 55 (|has| |#1| (|GcdDomain|)))) (|SturmHabichtCoefficients| (((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) 47)) (|SturmHabicht| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) 52))) 
+(((|SturmHabichtPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |subresultantSequence| ((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |SturmHabichtSequence| ((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |SturmHabichtCoefficients| ((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |SturmHabicht| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |countRealRoots| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|))) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |SturmHabichtMultiple| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |countRealRootsMultiple| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|)))) |noBranch|)) (|OrderedIntegralDomain|) (|Symbol|)) (T |SturmHabichtPackage|)) 
+((|countRealRootsMultiple| (*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)))) (|SturmHabichtMultiple| (*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)))) (|countRealRoots| (*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)))) (|SturmHabicht| (*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)))) (|SturmHabichtCoefficients| (*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)))) (|SturmHabichtSequence| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4)))) (|subresultantSequence| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(CATEGORY |package| (SIGNATURE |subresultantSequence| ((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |SturmHabichtSequence| ((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |SturmHabichtCoefficients| ((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |SturmHabicht| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |countRealRoots| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|))) (IF (|has| |#1| (|GcdDomain|)) (PROGN (SIGNATURE |SturmHabichtMultiple| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |countRealRootsMultiple| ((|Integer|) (|UnivariatePolynomial| |#2| |#1|)))) |noBranch|)) 
+((|sign| (((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)) 16) (((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|)) 14) (((|Union| (|Integer|) "failed") |#2|) 51))) 
+(((|ElementaryFunctionSign| |#1| |#2|) (CATEGORY |package| (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#2|)) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|))) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|)) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |ElementaryFunctionSign|)) 
+((|sign| (*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))))) (|sign| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)))) (|sign| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(CATEGORY |package| (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#2|)) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|))) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)))) 
+((|sign| (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)) 34) (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) 29) (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|))) 12))) 
+(((|RationalFunctionSign| |#1|) (CATEGORY |package| (SIGNATURE |sign| ((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)))) (|GcdDomain|)) (T |RationalFunctionSign|)) 
+((|sign| (*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) (|sign| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) (|sign| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *4))))) 
+(CATEGORY |package| (SIGNATURE |sign| ((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |sign| ((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)))) 
+((|simplify| (((|Expression| (|Integer|)) (|AlgebraicNumber|)) 11))) 
+(((|SimplifyAlgebraicNumberConvertPackage|) (CATEGORY |package| (SIGNATURE |simplify| ((|Expression| (|Integer|)) (|AlgebraicNumber|))))) (T |SimplifyAlgebraicNumberConvertPackage|)) 
+((|simplify| (*1 *2 *3) (AND (|isDomain| *3 (|AlgebraicNumber|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|SimplifyAlgebraicNumberConvertPackage|))))) 
+(CATEGORY |package| (SIGNATURE |simplify| ((|Expression| (|Integer|)) (|AlgebraicNumber|)))) 
+((~= (((|Boolean|) $ $) NIL)) (~ (($ $) 41)) (|zero?| (((|Boolean|) $) 65)) (|xor| (($ $ $) 48)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 84)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|symmetricRemainder| (($ $ $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|submod| (($ $ $ $) 74)) (|squareFreePart| (($ $) NIL)) (|squareFree| (((|Factored| $) $) NIL)) (|sizeLess?| (((|Boolean|) $ $) NIL)) (|sign| (((|Integer|) $) NIL)) (|shift| (($ $ $) 71)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL)) (|retract| (((|Integer|) $) NIL)) (|rem| (($ $ $) 59)) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 78) (((|Matrix| (|Integer|)) (|Matrix| $)) 28)) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL)) (|rational?| (((|Boolean|) $) NIL)) (|rational| (((|Fraction| (|Integer|)) $) NIL)) (|random| (($) 81) (($ $) 82)) (|quo| (($ $ $) 58)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL)) (|prime?| (((|Boolean|) $) NIL)) (|powmod| (($ $ $ $) NIL)) (|positiveRemainder| (($ $ $) 79)) (|positive?| (((|Boolean|) $) NIL)) (|permutation| (($ $ $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL)) (|one?| (((|Boolean|) $) 66)) (|odd?| (((|Boolean|) $) 64)) (|not| (($ $) 42)) (|nextItem| (((|Union| $ "failed") $) NIL)) (|negative?| (((|Boolean|) $) 75)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|mulmod| (($ $ $ $) 72)) (|min| (($ $ $) 68) (($) 39)) (|max| (($ $ $) 67) (($) 38)) (|mask| (($ $) NIL)) (|length| (($ $) 70)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL)) (|lcm| (($ $ $) NIL) (($ (|List| $)) NIL)) (|latex| (((|String|) $) NIL)) (|invmod| (($ $ $) NIL)) (|init| (($) NIL T CONST)) (|inc| (($ $) 50)) (|hash| (((|SingleInteger|) $) NIL) (($ $) 69)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL)) (|gcd| (($ $ $) 62) (($ (|List| $)) NIL)) (|factorial| (($ $) NIL)) (|factor| (((|Factored| $) $) NIL)) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL)) (|even?| (((|Boolean|) $) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 61)) (|differentiate| (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|dec| (($ $) 51)) (|copy| (($ $) NIL)) (|convert| (((|Integer|) $) 32) (((|InputForm|) $) NIL) (((|Pattern| (|Integer|)) $) NIL) (((|Float|) $) NIL) (((|DoubleFloat|) $) NIL)) (|coerce| (((|OutputForm|) $) 31) (($ (|Integer|)) 80) (($ $) NIL) (($ (|Integer|)) 80)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|bit?| (((|Boolean|) $ $) NIL)) (|binomial| (($ $ $) NIL)) (|base| (($) 37)) (|associates?| (((|Boolean|) $ $) NIL)) (|addmod| (($ $ $ $) 73)) (|abs| (($ $) 63)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|\\/| (($ $ $) 44)) (|Zero| (($) 35 T CONST)) (|Or| (($ $ $) 47)) (|One| (($) 36 T CONST)) (|OMwrite| (((|String|) $) 21) (((|String|) $ (|Boolean|)) 23) (((|Void|) (|OpenMathDevice|) $) 24) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 25)) (|Not| (($ $) 45)) (D (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|And| (($ $ $) 46)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 40)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 49)) (|/\\| (($ $ $) 43)) (- (($ $) 52) (($ $ $) 54)) (+ (($ $ $) 53)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 57)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 34) (($ $ $) 55))) 
+(((|SingleInteger|) (|Join| (|IntegerNumberSystem|) (|Logic|) (|OpenMath|) (CATEGORY |domain| (ATTRIBUTE |canonical|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |noetherian|) (SIGNATURE |max| ($)) (SIGNATURE |min| ($)) (SIGNATURE |not| ($ $)) (SIGNATURE ~ ($ $)) (SIGNATURE |/\\| ($ $ $)) (SIGNATURE |\\/| ($ $ $)) (SIGNATURE |xor| ($ $ $)) (SIGNATURE |Not| ($ $)) (SIGNATURE |And| ($ $ $)) (SIGNATURE |Or| ($ $ $))))) (T |SingleInteger|)) 
+((|\\/| (*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (|/\\| (*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (~ (*1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (|max| (*1 *1) (|isDomain| *1 (|SingleInteger|))) (|min| (*1 *1) (|isDomain| *1 (|SingleInteger|))) (|not| (*1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (|xor| (*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (|Not| (*1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (|And| (*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|))) (|Or| (*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(|Join| (|IntegerNumberSystem|) (|Logic|) (|OpenMath|) (CATEGORY |domain| (ATTRIBUTE |canonical|) (ATTRIBUTE |canonicalsClosed|) (ATTRIBUTE |noetherian|) (SIGNATURE |max| ($)) (SIGNATURE |min| ($)) (SIGNATURE |not| ($ $)) (SIGNATURE ~ ($ $)) (SIGNATURE |/\\| ($ $ $)) (SIGNATURE |\\/| ($ $ $)) (SIGNATURE |xor| ($ $ $)) (SIGNATURE |Not| ($ $)) (SIGNATURE |And| ($ $ $)) (SIGNATURE |Or| ($ $ $)))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|top| ((|#1| $) 41)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|sample| (($) 7 T CONST)) (|push!| ((|#1| |#1| $) 43)) (|pop!| ((|#1| $) 42)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 36)) (|insert!| (($ |#1| $) 37)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|extract!| ((|#1| $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|depth| (((|NonNegativeInteger|) $) 40)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|StackAggregate| |#1|) (|Category|) (|Type|)) (T |StackAggregate|)) 
+((|push!| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|pop!| (*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|top| (*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|depth| (*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(|Join| (|BagAggregate| |t#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (SIGNATURE |push!| (|t#1| |t#1| $)) (SIGNATURE |pop!| (|t#1| $)) (SIGNATURE |top| (|t#1| $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| |#1|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|trace| ((|#3| $) 76)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| |#3| "failed") $) 40)) (|retract| (((|Integer|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) ((|#3| $) 37)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL) (((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| $) (|Vector| $)) 73) (((|Matrix| |#3|) (|Matrix| $)) 65)) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) 19) (($ $ (|Mapping| |#3| |#3|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL)) (|diagonalProduct| ((|#3| $) 78)) (|diagonal| ((|#4| $) 32)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ |#3|) 16)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 15) (($ $ (|Integer|)) 82))) 
+(((|SquareMatrixCategory&| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE |diagonalProduct| (|#3| |#1|)) (SIGNATURE |trace| (|#3| |#1|)) (SIGNATURE |diagonal| (|#4| |#1|)) (SIGNATURE |reducedSystem| ((|Matrix| |#3|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |retract| (|#3| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#3|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|SquareMatrixCategory| |#2| |#3| |#4| |#5|) (|NonNegativeInteger|) (|Ring|) (|DirectProductCategory| |#2| |#3|) (|DirectProductCategory| |#2| |#3|)) (T |SquareMatrixCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|Integer|))) (SIGNATURE |diagonalProduct| (|#3| |#1|)) (SIGNATURE |trace| (|#3| |#1|)) (SIGNATURE |diagonal| (|#4| |#1|)) (SIGNATURE |reducedSystem| ((|Matrix| |#3|) (|Matrix| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| |#3|)) (|:| |vec| (|Vector| |#3|))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| |#1|) (|Vector| |#1|))) (SIGNATURE |reducedSystem| ((|Matrix| (|Integer|)) (|Matrix| |#1|))) (SIGNATURE |retract| (|#3| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#3|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#3| |#3|))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|trace| ((|#2| $) 69)) (|symmetric?| (((|Boolean|) $) 109)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|square?| (((|Boolean|) $) 107)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 99)) (|scalarMatrix| (($ |#2|) 72)) (|sample| (($) 16 T CONST)) (|rowEchelon| (($ $) 126 (|has| |#2| (|EuclideanDomain|)))) (|row| ((|#3| $ (|Integer|)) 121)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) 83 (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 81 (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#2| "failed") $) 78)) (|retract| (((|Integer|) $) 84 (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) 82 (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#2| $) 77)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 76 (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 75 (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) 74) (((|Matrix| |#2|) (|Matrix| $)) 73)) (|recip| (((|Union| $ "failed") $) 33)) (|rank| (((|NonNegativeInteger|) $) 127 (|has| |#2| (|IntegralDomain|)))) (|qelt| ((|#2| $ (|Integer|) (|Integer|)) 119)) (|parts| (((|List| |#2|) $) 92 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) 30)) (|nullity| (((|NonNegativeInteger|) $) 128 (|has| |#2| (|IntegralDomain|)))) (|nullSpace| (((|List| |#4|) $) 129 (|has| |#2| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 115)) (|ncols| (((|NonNegativeInteger|) $) 116)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 100)) (|minordet| ((|#2| $) 64 (|has| |#2| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 111)) (|minColIndex| (((|Integer|) $) 113)) (|members| (((|List| |#2|) $) 91 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) 89 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxRowIndex| (((|Integer|) $) 112)) (|maxColIndex| (((|Integer|) $) 114)) (|matrix| (($ (|List| (|List| |#2|))) 106)) (|map!| (($ (|Mapping| |#2| |#2|) $) 96 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) 123) (($ (|Mapping| |#2| |#2|) $) 97)) (|listOfLists| (((|List| (|List| |#2|)) $) 117)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 101)) (|latex| (((|String|) $) 9)) (|inverse| (((|Union| $ "failed") $) 63 (|has| |#2| (|Field|)))) (|hash| (((|SingleInteger|) $) 10)) (|exquo| (((|Union| $ "failed") $ |#2|) 124 (|has| |#2| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 94 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) 88 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) 87 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) 86 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) 85 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 105)) (|empty?| (((|Boolean|) $) 102)) (|empty| (($) 103)) (|elt| ((|#2| $ (|Integer|) (|Integer|) |#2|) 120) ((|#2| $ (|Integer|) (|Integer|)) 118)) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) 51) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 50) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 43 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 42 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 41 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 40 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) 38 (|has| |#2| (|DifferentialRing|))) (($ $) 36 (|has| |#2| (|DifferentialRing|)))) (|diagonalProduct| ((|#2| $) 68)) (|diagonalMatrix| (($ (|List| |#2|)) 71)) (|diagonal?| (((|Boolean|) $) 108)) (|diagonal| ((|#3| $) 70)) (|determinant| ((|#2| $) 65 (|has| |#2| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 93 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) 90 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 104)) (|column| ((|#4| $ (|Integer|)) 122)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 80 (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#2|) 79)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 95 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) 110)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|Mapping| |#2| |#2|)) 49) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 48) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 47 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 46 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 45 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) 44 (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) 39 (|has| |#2| (|DifferentialRing|))) (($ $) 37 (|has| |#2| (|DifferentialRing|)))) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#2|) 125 (|has| |#2| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 62 (|has| |#2| (|Field|)))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (|#| (((|NonNegativeInteger|) $) 98 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SquareMatrixCategory| |#1| |#2| |#3| |#4|) (|Category|) (|NonNegativeInteger|) (|Ring|) (|DirectProductCategory| |t#1| |t#2|) (|DirectProductCategory| |t#1| |t#2|)) (T |SquareMatrixCategory|)) 
+((|scalarMatrix| (*1 *1 *2) (AND (|ofCategory| *2 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)))) (|diagonalMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4)))) (|diagonal| (*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) (|trace| (*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|)))) (|diagonalProduct| (*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|)))) (* (*1 *2 *1 *2) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) (* (*1 *2 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)))) (|determinant| (*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) (|minordet| (*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) (|inverse| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|SquareMatrixCategory| *2 *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *2 *3)) (|ofCategory| *5 (|DirectProductCategory| *2 *3)) (|ofCategory| *3 (|Field|)))) (** (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Field|))))) 
+(|Join| (|DifferentialExtension| |t#2|) (|BiModule| |t#2| |t#2|) (|RectangularMatrixCategory| |t#1| |t#1| |t#2| |t#3| |t#4|) (|FullyRetractableTo| |t#2|) (|FullyLinearlyExplicitRingOver| |t#2|) (CATEGORY |domain| (IF (|has| |t#2| (|CommutativeRing|)) (ATTRIBUTE (|Module| |t#2|)) |noBranch|) (SIGNATURE |scalarMatrix| ($ |t#2|)) (SIGNATURE |diagonalMatrix| ($ (|List| |t#2|))) (SIGNATURE |diagonal| (|t#3| $)) (SIGNATURE |trace| (|t#2| $)) (SIGNATURE |diagonalProduct| (|t#2| $)) (SIGNATURE * (|t#4| $ |t#4|)) (SIGNATURE * (|t#3| |t#3| $)) (IF (|has| |t#2| (ATTRIBUTE (|commutative| "*"))) (PROGN (ATTRIBUTE (|Algebra| |t#2|)) (SIGNATURE |determinant| (|t#2| $)) (SIGNATURE |minordet| (|t#2| $))) |noBranch|) (IF (|has| |t#2| (|Field|)) (PROGN (SIGNATURE |inverse| ((|Union| $ "failed") $)) (SIGNATURE ** ($ $ (|Integer|)))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Aggregate|) . T) ((|Algebra| |#2|) |has| |#2| (ATTRIBUTE (|commutative| "*"))) ((|BasicType|) . T) ((|BiModule| |#2| |#2|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|DifferentialExtension| |#2|) . T) ((|DifferentialRing|) |has| |#2| (|DifferentialRing|)) ((|Evalable| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|FullyLinearlyExplicitRingOver| |#2|) . T) ((|FullyRetractableTo| |#2|) . T) ((|HomogeneousAggregate| |#2|) . T) ((|InnerEvalable| |#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|LeftModule| |#2|) . T) ((|LeftModule| $) . T) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#2|) . T) ((|Module| |#2|) OR (|has| |#2| (|CommutativeRing|)) (|has| |#2| (ATTRIBUTE (|commutative| "*")))) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) |has| |#2| (|PartialDifferentialRing| (|Symbol|))) ((|RectangularMatrixCategory| |#1| |#1| |#2| |#3| |#4|) . T) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#2| (|RetractableTo| (|Integer|))) ((|RetractableTo| |#2|) . T) ((|RightModule| |#2|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((|smith| ((|#4| |#4|) 67)) (|hermite| ((|#4| |#4|) 62)) (|diophantineSystem| (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) 75)) (|completeSmith| (((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (|completeHermite| (((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
+(((|SmithNormalForm| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |hermite| (|#4| |#4|)) (SIGNATURE |completeHermite| ((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (SIGNATURE |smith| (|#4| |#4|)) (SIGNATURE |completeSmith| ((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (SIGNATURE |diophantineSystem| ((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|))) (|EuclideanDomain|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|)) (T |SmithNormalForm|)) 
+((|diophantineSystem| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|SmithNormalForm| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) (|completeSmith| (*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|smith| (*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|completeHermite| (*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Hermite| *3) (|:| |eqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) (|hermite| (*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |hermite| (|#4| |#4|)) (SIGNATURE |completeHermite| ((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (SIGNATURE |smith| (|#4| |#4|)) (SIGNATURE |completeSmith| ((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (SIGNATURE |diophantineSystem| ((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 17)) (|variables| (((|List| |#2|) $) 160)) (|univariate| (((|SparseUnivariatePolynomial| $) $ |#2|) 54) (((|SparseUnivariatePolynomial| |#1|) $) 43)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 110 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 112 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 114 (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| |#2|)) 193)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 157) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| |#2| "failed") $) NIL)) (|retract| ((|#1| $) 155) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) ((|#2| $) NIL)) (|resultant| (($ $ $ |#2|) NIL (|has| |#1| (|CommutativeRing|)))) (|reductum| (($ $) 197)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) 82)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ |#2|) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|IndexedExponents| |#2|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| |#1| (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| |#1| (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|one?| (((|Boolean|) $) 19)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 26)) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) |#2|) 48) (($ (|SparseUnivariatePolynomial| $) |#2|) 64)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) 31)) (|monomial| (($ |#1| (|IndexedExponents| |#2|)) 71) (($ $ |#2| (|NonNegativeInteger|)) 52) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#2|) NIL)) (|minimumDegree| (((|IndexedExponents| |#2|) $) 187) (((|NonNegativeInteger|) $ |#2|) 188) (((|List| (|NonNegativeInteger|)) $ (|List| |#2|)) 189)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|IndexedExponents| |#2|) (|IndexedExponents| |#2|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) 122)) (|mainVariable| (((|Union| |#2| "failed") $) 162)) (|leadingMonomial| (($ $) 196)) (|leadingCoefficient| ((|#1| $) 37)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 32)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 140 (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) 145 (|has| |#1| (|GcdDomain|))) (($ $ $) 132 (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 120 (|has| |#1| (|IntegralDomain|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (|List| |#2|) (|List| |#1|)) 178) (($ $ |#2| $) 164) (($ $ (|List| |#2|) (|List| $)) 177)) (|discriminant| (($ $ |#2|) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ |#2|) 195) (($ $ (|List| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|IndexedExponents| |#2|) $) 183) (((|NonNegativeInteger|) $ |#2|) 179) (((|List| (|NonNegativeInteger|)) $ (|List| |#2|)) 181)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| |#1| (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) 128 (|has| |#1| (|GcdDomain|))) (($ $ |#2|) 131 (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|coerce| (((|OutputForm|) $) 151) (($ (|Integer|)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| |#1|) $) 154)) (|coefficient| ((|#1| $ (|IndexedExponents| |#2|)) 73) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 79)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 117 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 102) (($ $ (|NonNegativeInteger|)) 104)) (|Zero| (($) 12 T CONST)) (|One| (($) 14 T CONST)) (D (($ $ |#2|) NIL) (($ $ (|List| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 97)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) 126 (|has| |#1| (|Field|)))) (- (($ $) 85) (($ $ $) 95)) (+ (($ $ $) 49)) (** (($ $ (|PositiveInteger|)) 103) (($ $ (|NonNegativeInteger|)) 100)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 88) (($ $ $) 65) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
+(((|SparseMultivariatePolynomial| |#1| |#2|) (|PolynomialCategory| |#1| (|IndexedExponents| |#2|) |#2|) (|Ring|) (|OrderedSet|)) (T |SparseMultivariatePolynomial|)) 
+NIL 
+(|PolynomialCategory| |#1| (|IndexedExponents| |#2|) |#2|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| |#2|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|tanh| (($ $) 154 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) 150 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 126 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sech| (($ $) 158 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) NIL) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ |#2|) NIL) (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ $ (|List| |#2|) (|List| (|IndexedExponents| |#2|))) NIL) (($ $ |#2| (|IndexedExponents| |#2|)) NIL) (($ |#1| (|IndexedExponents| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) 71) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) 124 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|integrate| (($ $ |#2|) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ |#2| |#1|) 177 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|fintegrate| (($ (|Mapping| $) |#2| |#1|) 176 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|extend| (($ $ (|NonNegativeInteger|)) 15)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (($ $ |#2| $) 109) (($ $ (|List| |#2|) (|List| $)) 102) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL)) (|differentiate| (($ $ |#2|) 111) (($ $ (|List| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|IndexedExponents| |#2|) $) NIL)) (|csubst| (((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|))) 92)) (|csch| (($ $) 160 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 156 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 152 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 17)) (|coerce| (((|OutputForm|) $) 192) (($ (|Integer|)) NIL) (($ |#1|) 59 (|has| |#1| (|CommutativeRing|))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2|) 78) (($ |#3|) 76)) (|coefficient| ((|#1| $ (|IndexedExponents| |#2|)) 57) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) 50) ((|#3| $ (|NonNegativeInteger|)) 42)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|atanh| (($ $) 166 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 142 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 162 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 138 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 170 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 146 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsch| (($ $) 172 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 148 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 168 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 144 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 164 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 140 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 18 T CONST)) (|One| (($) 10 T CONST)) (D (($ $ |#2|) NIL) (($ $ (|List| |#2|)) NIL) (($ $ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) NIL)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) 194 (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 74)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 83) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 114 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 73) (($ $ (|Fraction| (|Integer|))) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
+(((|SparseMultivariateTaylorSeries| |#1| |#2| |#3|) (|Join| (|MultivariateTaylorSeriesCategory| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coefficient| (|#3| $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |coerce| ($ |#3|)) (SIGNATURE * ($ |#3| $)) (SIGNATURE |csubst| ((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|)))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $ |#2| |#1|)) (SIGNATURE |fintegrate| ($ (|Mapping| $) |#2| |#1|))) |noBranch|))) (|Ring|) (|OrderedSet|) (|PolynomialCategory| |#1| (|IndexedExponents| |#2|) |#2|)) (T |SparseMultivariateTaylorSeries|)) 
+((|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|PolynomialCategory| *4 (|IndexedExponents| *5) *5)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) (|csubst| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Stream| *7))) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *5 (|IndexedExponents| *6) *6)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Mapping| (|Stream| *7) *7)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *5 *6 *7)))) (|integrate| (*1 *1 *1 *2 *3) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) (|fintegrate| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|SparseMultivariateTaylorSeries| *4 *3 *5))) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *3 *5)) (|ofCategory| *5 (|PolynomialCategory| *4 (|IndexedExponents| *3) *3))))) 
+(|Join| (|MultivariateTaylorSeriesCategory| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coefficient| (|#3| $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |coerce| ($ |#3|)) (SIGNATURE * ($ |#3| $)) (SIGNATURE |csubst| ((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|)))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $ |#2| |#1|)) (SIGNATURE |fintegrate| ($ (|Mapping| $) |#2| |#1|))) |noBranch|))) 
+((~= (((|Boolean|) $ $) 7)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) 78)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 79) (((|List| $) (|List| |#4|) (|Boolean|)) 104)) (|variables| (((|List| |#3|) $) 32)) (|trivialIdeal?| (((|Boolean|) $) 25)) (|triangular?| (((|Boolean|) $) 16 (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) 94) (((|Boolean|) $) 90)) (|stronglyReduce| ((|#4| |#4| $) 85)) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) 119)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 43)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 72)) (|sample| (($) 44 T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 21 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) 23 (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) 22 (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 86)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 17 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) 18 (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 35)) (|retract| (($ (|List| |#4|)) 34)) (|rest| (((|Union| $ "failed") $) 75)) (|removeZero| ((|#4| |#4| $) 82)) (|removeDuplicates| (($ $) 67 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#4| $) 66 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#4|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) 95)) (|reduceByQuasiMonic| ((|#4| |#4| $) 80)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) 65 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 87)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) 98)) (|purelyTranscendental?| (((|Boolean|) |#4| $) 129)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) 126)) (|purelyAlgebraic?| (((|Boolean|) |#4| $) 130) (((|Boolean|) $) 127)) (|parts| (((|List| |#4|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) 97) (((|Boolean|) $) 96)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 42)) (|members| (((|List| |#4|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 54 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 47 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 46)) (|mainVariables| (((|List| |#3|) $) 31)) (|mainVariable?| (((|Boolean|) |#3| $) 30)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 41)) (|latex| (((|String|) $) 9)) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) 121)) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) 120)) (|last| (((|Union| |#4| "failed") $) 76)) (|invertibleSet| (((|List| $) |#4| $) 122)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) 125)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) 124) (((|Boolean|) |#4| $) 123)) (|intersect| (((|List| $) |#4| $) 118) (((|List| $) (|List| |#4|) $) 117) (((|List| $) (|List| |#4|) (|List| $)) 116) (((|List| $) |#4| (|List| $)) 115)) (|internalAugment| (($ |#4| $) 110) (($ (|List| |#4|) $) 109)) (|initials| (((|List| |#4|) $) 100)) (|initiallyReduced?| (((|Boolean|) |#4| $) 92) (((|Boolean|) $) 88)) (|initiallyReduce| ((|#4| |#4| $) 83)) (|infRittWu?| (((|Boolean|) $ $) 103)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) 93) (((|Boolean|) $) 89)) (|headReduce| ((|#4| |#4| $) 84)) (|hash| (((|SingleInteger|) $) 10)) (|first| (((|Union| |#4| "failed") $) 77)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) 60)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 71)) (|extend| (($ $ |#4|) 70) (((|List| $) |#4| $) 108) (((|List| $) |#4| (|List| $)) 107) (((|List| $) (|List| |#4|) $) 106) (((|List| $) (|List| |#4|) (|List| $)) 105)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) 58 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) 57 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) 56 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) 55 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 37)) (|empty?| (((|Boolean|) $) 40)) (|empty| (($) 39)) (|degree| (((|NonNegativeInteger|) $) 99)) (|count| (((|NonNegativeInteger|) |#4| $) 53 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 38)) (|convert| (((|InputForm|) $) 68 (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 59)) (|collectUpper| (($ $ |#3|) 27)) (|collectUnder| (($ $ |#3|) 29)) (|collectQuasiMonic| (($ $) 81)) (|collect| (($ $ |#3|) 28)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#4|) $) 36)) (|coHeight| (((|NonNegativeInteger|) $) 69 (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 102) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 101)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) 91)) (|augment| (((|List| $) |#4| $) 114) (((|List| $) |#4| (|List| $)) 113) (((|List| $) (|List| |#4|) $) 112) (((|List| $) (|List| |#4|) (|List| $)) 111)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) 74)) (|algebraicCoefficients?| (((|Boolean|) |#4| $) 128)) (|algebraic?| (((|Boolean|) |#3| $) 73)) (= (((|Boolean|) $ $) 6)) (|#| (((|NonNegativeInteger|) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SquareFreeNormalizedTriangularSetCategory| |#1| |#2| |#3| |#4|) (|Category|) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |t#1| |t#2| |t#3|)) (T |SquareFreeNormalizedTriangularSetCategory|)) 
+NIL 
+(|Join| (|SquareFreeRegularTriangularSetCategory| |t#1| |t#2| |t#3| |t#4|) (|NormalizedTriangularSetCategory| |t#1| |t#2| |t#3| |t#4|)) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|List| |#4|)) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#4|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|HomogeneousAggregate| |#4|) . T) ((|InnerEvalable| |#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|NormalizedTriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|PolynomialSetCategory| |#1| |#2| |#3| |#4|) . T) ((|RegularTriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|SetCategory|) . T) ((|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|TriangularSetCategory| |#1| |#2| |#3| |#4|) . T) ((|Type|) . T)) 
+((|solve| (((|List| |#2|) |#1|) 12)) (|quartic| (((|List| |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((|List| |#2|) |#1|) 47)) (|quadratic| (((|List| |#2|) |#2| |#2| |#2|) 35) (((|List| |#2|) |#1|) 45)) (|particularSolution| ((|#2| |#1|) 42)) (|mapSolve| (((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|)) 16)) (|linear| (((|List| |#2|) |#2| |#2|) 34) (((|List| |#2|) |#1|) 44)) (|cubic| (((|List| |#2|) |#2| |#2| |#2| |#2|) 36) (((|List| |#2|) |#1|) 46)) (|aQuartic| ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (|aQuadratic| ((|#2| |#2| |#2| |#2|) 39)) (|aLinear| ((|#2| |#2| |#2|) 38)) (|aCubic| ((|#2| |#2| |#2| |#2| |#2|) 40))) 
+(((|PolynomialSolveByFormulas| |#1| |#2|) (CATEGORY |package| (SIGNATURE |solve| ((|List| |#2|) |#1|)) (SIGNATURE |particularSolution| (|#2| |#1|)) (SIGNATURE |mapSolve| ((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |linear| ((|List| |#2|) |#1|)) (SIGNATURE |quadratic| ((|List| |#2|) |#1|)) (SIGNATURE |cubic| ((|List| |#2|) |#1|)) (SIGNATURE |quartic| ((|List| |#2|) |#1|)) (SIGNATURE |linear| ((|List| |#2|) |#2| |#2|)) (SIGNATURE |quadratic| ((|List| |#2|) |#2| |#2| |#2|)) (SIGNATURE |cubic| ((|List| |#2|) |#2| |#2| |#2| |#2|)) (SIGNATURE |quartic| ((|List| |#2|) |#2| |#2| |#2| |#2| |#2|)) (SIGNATURE |aLinear| (|#2| |#2| |#2|)) (SIGNATURE |aQuadratic| (|#2| |#2| |#2| |#2|)) (SIGNATURE |aCubic| (|#2| |#2| |#2| |#2| |#2|)) (SIGNATURE |aQuartic| (|#2| |#2| |#2| |#2| |#2| |#2|))) (|UnivariatePolynomialCategory| |#2|) (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (T |PolynomialSolveByFormulas|)) 
+((|aQuartic| (*1 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|aCubic| (*1 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|aQuadratic| (*1 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|aLinear| (*1 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|quartic| (*1 *2 *3 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|cubic| (*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|quadratic| (*1 *2 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|linear| (*1 *2 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) (|quartic| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|cubic| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|quadratic| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|linear| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|mapSolve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|Record| (|:| |solns| (|List| *5)) (|:| |maps| (|List| (|Record| (|:| |arg| *5) (|:| |res| *5)))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|particularSolution| (*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) (|solve| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|List| |#2|) |#1|)) (SIGNATURE |particularSolution| (|#2| |#1|)) (SIGNATURE |mapSolve| ((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |linear| ((|List| |#2|) |#1|)) (SIGNATURE |quadratic| ((|List| |#2|) |#1|)) (SIGNATURE |cubic| ((|List| |#2|) |#1|)) (SIGNATURE |quartic| ((|List| |#2|) |#1|)) (SIGNATURE |linear| ((|List| |#2|) |#2| |#2|)) (SIGNATURE |quadratic| ((|List| |#2|) |#2| |#2| |#2|)) (SIGNATURE |cubic| ((|List| |#2|) |#2| |#2| |#2| |#2|)) (SIGNATURE |quartic| ((|List| |#2|) |#2| |#2| |#2| |#2| |#2|)) (SIGNATURE |aLinear| (|#2| |#2| |#2|)) (SIGNATURE |aQuadratic| (|#2| |#2| |#2| |#2|)) (SIGNATURE |aCubic| (|#2| |#2| |#2| |#2| |#2|)) (SIGNATURE |aQuartic| (|#2| |#2| |#2| |#2| |#2| |#2|))) 
+((|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) 94) (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) 93) (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) 91) (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) 89) (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) 75) (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) 76) (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) 70) (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 59)) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) 87) (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 43)) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 97) (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) 96))) 
+(((|RadicalSolvePackage| |#1|) (CATEGORY |package| (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |radicalRoots| ((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |radicalRoots| ((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |contractSolve| ((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |contractSolve| ((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)))) (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (T |RadicalSolvePackage|)) 
+((|contractSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|contractSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|radicalRoots| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|radicalRoots| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Expression| *5))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|radicalSolve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) (|radicalSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|radicalSolve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) (|radicalSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|radicalSolve| (*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) (|radicalSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) (|radicalSolve| (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) (|radicalSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
+(CATEGORY |package| (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |radicalSolve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)))) (SIGNATURE |radicalSolve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |radicalRoots| ((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |radicalRoots| ((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |contractSolve| ((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |contractSolve| ((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)))) 
+((|unvectorise| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)) 27)) (|decomposeFunc| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|)))) 39))) 
+(((|TransSolvePackageService| |#1|) (CATEGORY |package| (SIGNATURE |decomposeFunc| ((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))))) (SIGNATURE |unvectorise| ((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)))) (|Join| (|IntegralDomain|) (|OrderedSet|))) (T |TransSolvePackageService|)) 
+((|unvectorise| (*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *5)))) (|isDomain| *3 (|Vector| (|Expression| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *5)))) (|decomposeFunc| (*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *3)))) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *3))))) 
+(CATEGORY |package| (SIGNATURE |decomposeFunc| ((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))))) (SIGNATURE |unvectorise| ((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)))) 
+((|solve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))) 216) (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|)) 20) (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|)) 26) (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|))) 25) (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|)) 21))) 
+(((|TransSolvePackage| |#1|) (CATEGORY |package| (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|))) (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)))) (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|))) (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))))) (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (T |TransSolvePackage|)) 
+((|solve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Expression| *5)))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Expression| *5)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Expression| *5))))) (|solve| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Expression| *4))))) (|solve| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Expression| *4))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|))) (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)))) (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|))) (SIGNATURE |solve| ((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))))) 
+((|insertionSort!| ((|#2| |#2|) 20 (|has| |#1| (|OrderedSet|))) ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) 16)) (|bubbleSort!| ((|#2| |#2|) 19 (|has| |#1| (|OrderedSet|))) ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) 15))) 
+(((|SortPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |bubbleSort!| (|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|))) (SIGNATURE |insertionSort!| (|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |bubbleSort!| (|#2| |#2|)) (SIGNATURE |insertionSort!| (|#2| |#2|))) |noBranch|)) (|Type|) (|Join| (|IndexedAggregate| (|Integer|) |#1|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))) (T |SortPackage|)) 
+((|insertionSort!| (*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) (|bubbleSort!| (*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) (|insertionSort!| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) (|bubbleSort!| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(CATEGORY |package| (SIGNATURE |bubbleSort!| (|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|))) (SIGNATURE |insertionSort!| (|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |bubbleSort!| (|#2| |#2|)) (SIGNATURE |insertionSort!| (|#2| |#2|))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|subspace| (((|SubSpace| 3 |#1|) $) 105)) (|polygon?| (((|Boolean|) $) 72)) (|polygon| (($ $ (|List| (|Point| |#1|))) 20) (($ $ (|List| (|List| |#1|))) 75) (($ (|List| (|Point| |#1|))) 74) (((|List| (|Point| |#1|)) $) 73)) (|point?| (((|Boolean|) $) 41)) (|point| (($ $ (|Point| |#1|)) 46) (($ $ (|List| |#1|)) 51) (($ $ (|NonNegativeInteger|)) 53) (($ (|Point| |#1|)) 47) (((|Point| |#1|) $) 45)) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) 103)) (|numberOfComposites| (((|NonNegativeInteger|) $) 26)) (|numberOfComponents| (((|NonNegativeInteger|) $) 25)) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) 39)) (|mesh?| (((|Boolean|) $) 82)) (|mesh| (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) 89) (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) 91) (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) 85) (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) 93) (($ (|List| (|List| (|Point| |#1|)))) 86) (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) 87) (((|List| (|List| (|Point| |#1|))) $) 84)) (|merge| (($ (|List| $)) 28) (($ $ $) 29)) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) 101)) (|lp| (((|List| (|Point| |#1|)) $) 96)) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) 100)) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) NIL)) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) 98)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) 37)) (|curve?| (((|Boolean|) $) 54)) (|curve| (($ $ (|List| (|Point| |#1|))) 56) (($ $ (|List| (|List| |#1|))) 62) (($ (|List| (|Point| |#1|))) 57) (((|List| (|Point| |#1|)) $) 55)) (|create3Space| (($) 23) (($ (|SubSpace| 3 |#1|)) 24)) (|copy| (($ $) 35)) (|composites| (((|List| $) $) 34)) (|composite| (($ (|List| $)) 31)) (|components| (((|List| $) $) 33)) (|coerce| (((|OutputForm|) $) 109)) (|closedCurve?| (((|Boolean|) $) 64)) (|closedCurve| (($ $ (|List| (|Point| |#1|))) 66) (($ $ (|List| (|List| |#1|))) 69) (($ (|List| (|Point| |#1|))) 67) (((|List| (|Point| |#1|)) $) 65)) (|check| (($ $) 104)) (= (((|Boolean|) $ $) NIL))) 
+(((|ThreeSpace| |#1|) (|ThreeSpaceCategory| |#1|) (|Ring|)) (T |ThreeSpace|)) 
+NIL 
+(|ThreeSpaceCategory| |#1|) 
+((~= (((|Boolean|) $ $) 7)) (|subspace| (((|SubSpace| 3 |#1|) $) 12)) (|polygon?| (((|Boolean|) $) 28)) (|polygon| (($ $ (|List| (|Point| |#1|))) 32) (($ $ (|List| (|List| |#1|))) 31) (($ (|List| (|Point| |#1|))) 30) (((|List| (|Point| |#1|)) $) 29)) (|point?| (((|Boolean|) $) 43)) (|point| (($ $ (|Point| |#1|)) 48) (($ $ (|List| |#1|)) 47) (($ $ (|NonNegativeInteger|)) 46) (($ (|Point| |#1|)) 45) (((|Point| |#1|) $) 44)) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) 14)) (|numberOfComposites| (((|NonNegativeInteger|) $) 57)) (|numberOfComponents| (((|NonNegativeInteger|) $) 58)) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) 49)) (|mesh?| (((|Boolean|) $) 20)) (|mesh| (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) 27) (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) 26) (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) 25) (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) 24) (($ (|List| (|List| (|Point| |#1|)))) 23) (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) 22) (((|List| (|List| (|Point| |#1|))) $) 21)) (|merge| (($ (|List| $)) 56) (($ $ $) 55)) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) 15)) (|lp| (((|List| (|Point| |#1|)) $) 19)) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) 16)) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) 17)) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) 18)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) 50)) (|curve?| (((|Boolean|) $) 38)) (|curve| (($ $ (|List| (|Point| |#1|))) 42) (($ $ (|List| (|List| |#1|))) 41) (($ (|List| (|Point| |#1|))) 40) (((|List| (|Point| |#1|)) $) 39)) (|create3Space| (($) 60) (($ (|SubSpace| 3 |#1|)) 59)) (|copy| (($ $) 51)) (|composites| (((|List| $) $) 52)) (|composite| (($ (|List| $)) 54)) (|components| (((|List| $) $) 53)) (|coerce| (((|OutputForm|) $) 11)) (|closedCurve?| (((|Boolean|) $) 33)) (|closedCurve| (($ $ (|List| (|Point| |#1|))) 37) (($ $ (|List| (|List| |#1|))) 36) (($ (|List| (|Point| |#1|))) 35) (((|List| (|Point| |#1|)) $) 34)) (|check| (($ $) 13)) (= (((|Boolean|) $ $) 6))) 
+(((|ThreeSpaceCategory| |#1|) (|Category|) (|Ring|)) (T |ThreeSpaceCategory|)) 
+((|coerce| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|OutputForm|)))) (|create3Space| (*1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|create3Space| (*1 *1 *2) (AND (|isDomain| *2 (|SubSpace| 3 *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|numberOfComponents| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|numberOfComposites| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|merge| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|merge| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|composite| (*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|components| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|composites| (*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|copy| (*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|enterPointData| (*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Point| *4))) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|modifyPointData| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *4)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) (|point| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|point| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|point| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|point| (*1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|point| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Point| *3)))) (|point?| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|curve| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|curve| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|curve| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|curve| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) (|curve?| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|closedCurve| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|closedCurve| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|closedCurve| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|closedCurve| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) (|closedCurve?| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|polygon| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|polygon| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|polygon| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|polygon| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) (|polygon?| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|mesh| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) (|mesh| (*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) (|mesh| (*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) (|mesh| (*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) (|mesh| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) (|mesh| (*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)))) (|mesh| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Point| *3)))))) (|mesh?| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|lp| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) (|lllip| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|NonNegativeInteger|))))))) (|lllp| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|Point| *3))))))) (|llprop| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|SubSpaceComponentProperty|)))))) (|lprop| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|SubSpaceComponentProperty|))))) (|objects| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|)))))) (|check| (*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|subspace| (*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SubSpace| 3 *3))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |create3Space| ($)) (SIGNATURE |create3Space| ($ (|SubSpace| 3 |t#1|))) (SIGNATURE |numberOfComponents| ((|NonNegativeInteger|) $)) (SIGNATURE |numberOfComposites| ((|NonNegativeInteger|) $)) (SIGNATURE |merge| ($ (|List| $))) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |composite| ($ (|List| $))) (SIGNATURE |components| ((|List| $) $)) (SIGNATURE |composites| ((|List| $) $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |enterPointData| ((|NonNegativeInteger|) $ (|List| (|Point| |t#1|)))) (SIGNATURE |modifyPointData| ($ $ (|NonNegativeInteger|) (|Point| |t#1|))) (SIGNATURE |point| ($ $ (|Point| |t#1|))) (SIGNATURE |point| ($ $ (|List| |t#1|))) (SIGNATURE |point| ($ $ (|NonNegativeInteger|))) (SIGNATURE |point| ($ (|Point| |t#1|))) (SIGNATURE |point| ((|Point| |t#1|) $)) (SIGNATURE |point?| ((|Boolean|) $)) (SIGNATURE |curve| ($ $ (|List| (|Point| |t#1|)))) (SIGNATURE |curve| ($ $ (|List| (|List| |t#1|)))) (SIGNATURE |curve| ($ (|List| (|Point| |t#1|)))) (SIGNATURE |curve| ((|List| (|Point| |t#1|)) $)) (SIGNATURE |curve?| ((|Boolean|) $)) (SIGNATURE |closedCurve| ($ $ (|List| (|Point| |t#1|)))) (SIGNATURE |closedCurve| ($ $ (|List| (|List| |t#1|)))) (SIGNATURE |closedCurve| ($ (|List| (|Point| |t#1|)))) (SIGNATURE |closedCurve| ((|List| (|Point| |t#1|)) $)) (SIGNATURE |closedCurve?| ((|Boolean|) $)) (SIGNATURE |polygon| ($ $ (|List| (|Point| |t#1|)))) (SIGNATURE |polygon| ($ $ (|List| (|List| |t#1|)))) (SIGNATURE |polygon| ($ (|List| (|Point| |t#1|)))) (SIGNATURE |polygon| ((|List| (|Point| |t#1|)) $)) (SIGNATURE |polygon?| ((|Boolean|) $)) (SIGNATURE |mesh| ($ $ (|List| (|List| (|Point| |t#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|))) (SIGNATURE |mesh| ($ $ (|List| (|List| (|List| |t#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|))) (SIGNATURE |mesh| ($ $ (|List| (|List| (|Point| |t#1|))) (|Boolean|) (|Boolean|))) (SIGNATURE |mesh| ($ $ (|List| (|List| (|List| |t#1|))) (|Boolean|) (|Boolean|))) (SIGNATURE |mesh| ($ (|List| (|List| (|Point| |t#1|))))) (SIGNATURE |mesh| ($ (|List| (|List| (|Point| |t#1|))) (|Boolean|) (|Boolean|))) (SIGNATURE |mesh| ((|List| (|List| (|Point| |t#1|))) $)) (SIGNATURE |mesh?| ((|Boolean|) $)) (SIGNATURE |lp| ((|List| (|Point| |t#1|)) $)) (SIGNATURE |lllip| ((|List| (|List| (|List| (|NonNegativeInteger|)))) $)) (SIGNATURE |lllp| ((|List| (|List| (|List| (|Point| |t#1|)))) $)) (SIGNATURE |llprop| ((|List| (|List| (|SubSpaceComponentProperty|))) $)) (SIGNATURE |lprop| ((|List| (|SubSpaceComponentProperty|)) $)) (SIGNATURE |objects| ((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $)) (SIGNATURE |check| ($ $)) (SIGNATURE |subspace| ((|SubSpace| 3 |t#1|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|outputAsTex| (((|Void|) (|List| (|OutputForm|))) 23) (((|Void|) (|OutputForm|)) 22)) (|outputAsScript| (((|Void|) (|List| (|OutputForm|))) 21) (((|Void|) (|OutputForm|)) 20)) (|outputAsFortran| (((|Void|) (|List| (|OutputForm|))) 19) (((|Void|) (|OutputForm|)) 11) (((|Void|) (|String|) (|OutputForm|)) 17))) 
+(((|SpecialOutputPackage|) (CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|) (|String|) (|OutputForm|))) (SIGNATURE |outputAsFortran| ((|Void|) (|OutputForm|))) (SIGNATURE |outputAsScript| ((|Void|) (|OutputForm|))) (SIGNATURE |outputAsTex| ((|Void|) (|OutputForm|))) (SIGNATURE |outputAsFortran| ((|Void|) (|List| (|OutputForm|)))) (SIGNATURE |outputAsScript| ((|Void|) (|List| (|OutputForm|)))) (SIGNATURE |outputAsTex| ((|Void|) (|List| (|OutputForm|)))))) (T |SpecialOutputPackage|)) 
+((|outputAsTex| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) (|outputAsScript| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) (|outputAsFortran| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) (|outputAsTex| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) (|outputAsScript| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) (|outputAsFortran| (*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) (|outputAsFortran| (*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(CATEGORY |package| (SIGNATURE |outputAsFortran| ((|Void|) (|String|) (|OutputForm|))) (SIGNATURE |outputAsFortran| ((|Void|) (|OutputForm|))) (SIGNATURE |outputAsScript| ((|Void|) (|OutputForm|))) (SIGNATURE |outputAsTex| ((|Void|) (|OutputForm|))) (SIGNATURE |outputAsFortran| ((|Void|) (|List| (|OutputForm|)))) (SIGNATURE |outputAsScript| ((|Void|) (|List| (|OutputForm|)))) (SIGNATURE |outputAsTex| ((|Void|) (|List| (|OutputForm|))))) 
+((|polygamma| (($ $ $) 10)) (|digamma| (($ $) 9)) (|besselY| (($ $ $) 13)) (|besselK| (($ $ $) 15)) (|besselJ| (($ $ $) 12)) (|besselI| (($ $ $) 14)) (|airyBi| (($ $) 17)) (|airyAi| (($ $) 16)) (|abs| (($ $) 6)) (|Gamma| (($ $ $) 11) (($ $) 7)) (|Beta| (($ $ $) 8))) 
+(((|SpecialFunctionCategory|) (|Category|)) (T |SpecialFunctionCategory|)) 
+((|airyBi| (*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|airyAi| (*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|besselK| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|besselI| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|besselY| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|besselJ| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|Gamma| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|polygamma| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|digamma| (*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|Beta| (*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|Gamma| (*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) (|abs| (*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |abs| ($ $)) (SIGNATURE |Gamma| ($ $)) (SIGNATURE |Beta| ($ $ $)) (SIGNATURE |digamma| ($ $)) (SIGNATURE |polygamma| ($ $ $)) (SIGNATURE |Gamma| ($ $ $)) (SIGNATURE |besselJ| ($ $ $)) (SIGNATURE |besselY| ($ $ $)) (SIGNATURE |besselI| ($ $ $)) (SIGNATURE |besselK| ($ $ $)) (SIGNATURE |airyAi| ($ $)) (SIGNATURE |airyBi| ($ $)))) 
+((~= (((|Boolean|) $ $) 41)) (|value| ((|#1| $) 15)) (|subNode?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|)) 36)) (|status| (((|Boolean|) $) 17)) (|setValue!| (($ $ |#1|) 28)) (|setStatus!| (($ $ (|Boolean|)) 30)) (|setEmpty!| (($ $) 31)) (|setCondition!| (($ $ |#2|) 29)) (|latex| (((|String|) $) NIL)) (|infLex?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|)) 35)) (|hash| (((|SingleInteger|) $) NIL)) (|empty?| (((|Boolean|) $) 14)) (|empty| (($) 10)) (|copy| (($ $) 27)) (|construct| (($ |#1| |#2| (|Boolean|)) 18) (($ |#1| |#2|) 19) (($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) 21) (((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) 24) (((|List| $) |#1| (|List| |#2|)) 26)) (|condition| ((|#2| $) 16)) (|coerce| (((|OutputForm|) $) 50)) (= (((|Boolean|) $ $) 39))) 
+(((|SplittingNode| |#1| |#2|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |empty| ($)) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |value| (|#1| $)) (SIGNATURE |condition| (|#2| $)) (SIGNATURE |status| ((|Boolean|) $)) (SIGNATURE |construct| ($ |#1| |#2| (|Boolean|))) (SIGNATURE |construct| ($ |#1| |#2|)) (SIGNATURE |construct| ($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) (SIGNATURE |construct| ((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))))) (SIGNATURE |construct| ((|List| $) |#1| (|List| |#2|))) (SIGNATURE |copy| ($ $)) (SIGNATURE |setValue!| ($ $ |#1|)) (SIGNATURE |setCondition!| ($ $ |#2|)) (SIGNATURE |setStatus!| ($ $ (|Boolean|))) (SIGNATURE |setEmpty!| ($ $)) (SIGNATURE |infLex?| ((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|))) (SIGNATURE |subNode?| ((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|))))) (|Join| (|SetCategory|) (|Aggregate|)) (|Join| (|SetCategory|) (|Aggregate|))) (T |SplittingNode|)) 
+((|empty| (*1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|empty?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) (|value| (*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|condition| (*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|status| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) (|construct| (*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|construct| (*1 *1 *2 *3) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|construct| (*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |tower| *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *4)))) (|construct| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| *4) (|:| |tower| *5)))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *1 (|SplittingNode| *4 *5)))) (|construct| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *3 *5))) (|isDomain| *1 (|SplittingNode| *3 *5)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|setValue!| (*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|setCondition!| (*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))))) (|setStatus!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) (|setEmpty!| (*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|infLex?| (*1 *2 *1 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *5 *6)))) (|subNode?| (*1 *2 *1 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |empty| ($)) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |value| (|#1| $)) (SIGNATURE |condition| (|#2| $)) (SIGNATURE |status| ((|Boolean|) $)) (SIGNATURE |construct| ($ |#1| |#2| (|Boolean|))) (SIGNATURE |construct| ($ |#1| |#2|)) (SIGNATURE |construct| ($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) (SIGNATURE |construct| ((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))))) (SIGNATURE |construct| ((|List| $) |#1| (|List| |#2|))) (SIGNATURE |copy| ($ $)) (SIGNATURE |setValue!| ($ $ |#1|)) (SIGNATURE |setCondition!| ($ $ |#2|)) (SIGNATURE |setStatus!| ($ $ (|Boolean|))) (SIGNATURE |setEmpty!| ($ $)) (SIGNATURE |infLex?| ((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|))) (SIGNATURE |subNode?| ((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|value| (((|SplittingNode| |#1| |#2|) $) 25)) (|updateStatus!| (($ $) 75)) (|subNodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|)) 84)) (|splitNodeOf!| (($ $ $ (|List| (|SplittingNode| |#1| |#2|))) 89) (($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|)) 90)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setvalue!| (((|SplittingNode| |#1| |#2|) $ (|SplittingNode| |#1| |#2|)) 42 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| (((|SplittingNode| |#1| |#2|) $ "value" (|SplittingNode| |#1| |#2|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 40 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|result| (((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $) 79)) (|remove!| (($ (|SplittingNode| |#1| |#2|) $) 38)) (|remove| (($ (|SplittingNode| |#1| |#2|) $) 30)) (|parts| (((|List| (|SplittingNode| |#1| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 50)) (|nodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) 81)) (|node?| (((|Boolean|) $ $) NIL (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| (|SplittingNode| |#1| |#2|)) $) 54 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|))))) (|map!| (($ (|Mapping| (|SplittingNode| |#1| |#2|) (|SplittingNode| |#1| |#2|)) $) 46 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|SplittingNode| |#1| |#2|) (|SplittingNode| |#1| |#2|)) $) 45)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| (|SplittingNode| |#1| |#2|)) $) 52)) (|leaf?| (((|Boolean|) $) 41)) (|latex| (((|String|) $) NIL (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|extractSplittingLeaf| (((|Union| $ "failed") $) 74)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|SplittingNode| |#1| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|SplittingNode| |#1| |#2|)))) NIL (AND (|has| (|SplittingNode| |#1| |#2|) (|Evalable| (|SplittingNode| |#1| |#2|))) (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (($ $ (|Equation| (|SplittingNode| |#1| |#2|))) NIL (AND (|has| (|SplittingNode| |#1| |#2|) (|Evalable| (|SplittingNode| |#1| |#2|))) (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (($ $ (|SplittingNode| |#1| |#2|) (|SplittingNode| |#1| |#2|)) NIL (AND (|has| (|SplittingNode| |#1| |#2|) (|Evalable| (|SplittingNode| |#1| |#2|))) (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (($ $ (|List| (|SplittingNode| |#1| |#2|)) (|List| (|SplittingNode| |#1| |#2|))) NIL (AND (|has| (|SplittingNode| |#1| |#2|) (|Evalable| (|SplittingNode| |#1| |#2|))) (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 49)) (|empty?| (((|Boolean|) $) 22)) (|empty| (($) 24)) (|elt| (((|SplittingNode| |#1| |#2|) $ "value") NIL)) (|distance| (((|Integer|) $ $) NIL)) (|cyclic?| (((|Boolean|) $) 43)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|SplittingNode| |#1| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|SplittingNode| |#1| |#2|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|))))) (|copy| (($ $) 48)) (|construct| (($ (|SplittingNode| |#1| |#2|)) 9) (($ |#1| |#2| (|List| $)) 12) (($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|))) 14) (($ |#1| |#2| |#1| (|List| |#2|)) 17)) (|conditions| (((|List| |#2|) $) 80)) (|coerce| (((|OutputForm|) $) 72 (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|children| (((|List| $) $) 28)) (|child?| (((|Boolean|) $ $) NIL (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|SplittingNode| |#1| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 63 (|has| (|SplittingNode| |#1| |#2|) (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 57 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SplittingTree| |#1| |#2|) (|Join| (|RecursiveAggregate| (|SplittingNode| |#1| |#2|)) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |extractSplittingLeaf| ((|Union| $ "failed") $)) (SIGNATURE |updateStatus!| ($ $)) (SIGNATURE |construct| ($ (|SplittingNode| |#1| |#2|))) (SIGNATURE |construct| ($ |#1| |#2| (|List| $))) (SIGNATURE |construct| ($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|)))) (SIGNATURE |construct| ($ |#1| |#2| |#1| (|List| |#2|))) (SIGNATURE |conditions| ((|List| |#2|) $)) (SIGNATURE |result| ((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $)) (SIGNATURE |nodeOf?| ((|Boolean|) (|SplittingNode| |#1| |#2|) $)) (SIGNATURE |subNodeOf?| ((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|))) (SIGNATURE |remove| ($ (|SplittingNode| |#1| |#2|) $)) (SIGNATURE |remove!| ($ (|SplittingNode| |#1| |#2|) $)) (SIGNATURE |splitNodeOf!| ($ $ $ (|List| (|SplittingNode| |#1| |#2|)))) (SIGNATURE |splitNodeOf!| ($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|))))) (|Join| (|SetCategory|) (|Aggregate|)) (|Join| (|SetCategory|) (|Aggregate|))) (T |SplittingTree|)) 
+((|extractSplittingLeaf| (*1 *1 *1) (|partial| AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|updateStatus!| (*1 *1 *1) (AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|construct| (*1 *1 *2) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) (|construct| (*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingTree| *2 *3))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) (|construct| (*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingNode| *2 *3))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)))) (|construct| (*1 *1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))))) (|conditions| (*1 *2 *1) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) (|result| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) (|nodeOf?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *4 *5)))) (|subNodeOf?| (*1 *2 *3 *1 *4) (AND (|isDomain| *3 (|SplittingNode| *5 *6)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *5 *6)))) (|remove| (*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) (|remove!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) (|splitNodeOf!| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|SplittingNode| *3 *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) (|splitNodeOf!| (*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *4 *5))))) 
+(|Join| (|RecursiveAggregate| (|SplittingNode| |#1| |#2|)) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |extractSplittingLeaf| ((|Union| $ "failed") $)) (SIGNATURE |updateStatus!| ($ $)) (SIGNATURE |construct| ($ (|SplittingNode| |#1| |#2|))) (SIGNATURE |construct| ($ |#1| |#2| (|List| $))) (SIGNATURE |construct| ($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|)))) (SIGNATURE |construct| ($ |#1| |#2| |#1| (|List| |#2|))) (SIGNATURE |conditions| ((|List| |#2|) $)) (SIGNATURE |result| ((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $)) (SIGNATURE |nodeOf?| ((|Boolean|) (|SplittingNode| |#1| |#2|) $)) (SIGNATURE |subNodeOf?| ((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|))) (SIGNATURE |remove| ($ (|SplittingNode| |#1| |#2|) $)) (SIGNATURE |remove!| ($ (|SplittingNode| |#1| |#2|) $)) (SIGNATURE |splitNodeOf!| ($ $ $ (|List| (|SplittingNode| |#1| |#2|)))) (SIGNATURE |splitNodeOf!| ($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|transpose| (($ $) NIL)) (|trace| ((|#2| $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareMatrix| (($ (|Matrix| |#2|)) 45)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|scalarMatrix| (($ |#2|) 9)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) 58 (|has| |#2| (|EuclideanDomain|)))) (|row| (((|DirectProduct| |#1| |#2|) $ (|Integer|)) 31)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#2| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#2| $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) 72)) (|rank| (((|NonNegativeInteger|) $) 60 (|has| |#2| (|IntegralDomain|)))) (|qelt| ((|#2| $ (|Integer|) (|Integer|)) NIL)) (|parts| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|one?| (((|Boolean|) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) 62 (|has| |#2| (|IntegralDomain|)))) (|nullSpace| (((|List| (|DirectProduct| |#1| |#2|)) $) 66 (|has| |#2| (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) NIL)) (|ncols| (((|NonNegativeInteger|) $) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| ((|#2| $) 56 (|has| |#2| (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) NIL)) (|minColIndex| (((|Integer|) $) NIL)) (|members| (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) NIL)) (|maxColIndex| (((|Integer|) $) NIL)) (|matrix| (($ (|List| (|List| |#2|))) 26)) (|map!| (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL)) (|listOfLists| (((|List| (|List| |#2|)) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|inverse| (((|Union| $ "failed") $) 69 (|has| |#2| (|Field|)))) (|hash| (((|SingleInteger|) $) NIL)) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ (|Integer|) (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|) (|Integer|)) NIL)) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $) NIL (|has| |#2| (|DifferentialRing|)))) (|diagonalProduct| ((|#2| $) NIL)) (|diagonalMatrix| (($ (|List| |#2|)) 40)) (|diagonal?| (((|Boolean|) $) NIL)) (|diagonal| (((|DirectProduct| |#1| |#2|) $) NIL)) (|determinant| ((|#2| $) 54 (|has| |#2| (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) 81 (|has| |#2| (|ConvertibleTo| (|InputForm|))))) (|column| (((|DirectProduct| |#1| |#2|) $ (|Integer|)) 33)) (|coerce| (((|OutputForm|) $) 36) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (($ |#2|) NIL) (((|Matrix| |#2|) $) 42)) (|characteristic| (((|NonNegativeInteger|)) 17)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 11 T CONST)) (|One| (($) 14 T CONST)) (D (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|DifferentialRing|))) (($ $) NIL (|has| |#2| (|DifferentialRing|)))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 52) (($ $ (|Integer|)) 71 (|has| |#2| (|Field|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((|DirectProduct| |#1| |#2|) $ (|DirectProduct| |#1| |#2|)) 48) (((|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|) $) 50)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SquareMatrix| |#1| |#2|) (|Join| (|SquareMatrixCategory| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) (|CoercibleTo| (|Matrix| |#2|)) (CATEGORY |domain| (SIGNATURE |transpose| ($ $)) (SIGNATURE |squareMatrix| ($ (|Matrix| |#2|))) (SIGNATURE |coerce| ((|Matrix| |#2|) $)) (IF (|has| |#2| (ATTRIBUTE (|commutative| "*"))) (ATTRIBUTE |central|) |noBranch|) (IF (|has| |#2| (ATTRIBUTE (|commutative| "*"))) (IF (|has| |#2| (ATTRIBUTE |unitsKnown|)) (ATTRIBUTE |unitsKnown|) |noBranch|) |noBranch|) (IF (|has| |#2| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|))) (|NonNegativeInteger|) (|Ring|)) (T |SquareMatrix|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)))) (|transpose| (*1 *1 *1) (AND (|isDomain| *1 (|SquareMatrix| *2 *3)) (|ofType| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)))) (|squareMatrix| (*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|))))) 
+(|Join| (|SquareMatrixCategory| |#1| |#2| (|DirectProduct| |#1| |#2|) (|DirectProduct| |#1| |#2|)) (|CoercibleTo| (|Matrix| |#2|)) (CATEGORY |domain| (SIGNATURE |transpose| ($ $)) (SIGNATURE |squareMatrix| ($ (|Matrix| |#2|))) (SIGNATURE |coerce| ((|Matrix| |#2|) $)) (IF (|has| |#2| (ATTRIBUTE (|commutative| "*"))) (ATTRIBUTE |central|) |noBranch|) (IF (|has| |#2| (ATTRIBUTE (|commutative| "*"))) (IF (|has| |#2| (ATTRIBUTE |unitsKnown|)) (ATTRIBUTE |unitsKnown|) |noBranch|) |noBranch|) (IF (|has| |#2| (|ConvertibleTo| (|InputForm|))) (ATTRIBUTE (|ConvertibleTo| (|InputForm|))) |noBranch|))) 
+((|upperCase| (($ $) 19)) (|trim| (($ $ (|Character|)) 10) (($ $ (|CharacterClass|)) 14)) (|prefix?| (((|Boolean|) $ $) 24)) (|lowerCase| (($ $) 17)) (|elt| (((|Character|) $ (|Integer|) (|Character|)) NIL) (((|Character|) $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ $) 29)) (|coerce| (($ (|Character|)) 27) (((|OutputForm|) $) NIL))) 
+(((|StringAggregate&| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |elt| (|#1| |#1| |#1|)) (SIGNATURE |trim| (|#1| |#1| (|CharacterClass|))) (SIGNATURE |trim| (|#1| |#1| (|Character|))) (SIGNATURE |coerce| (|#1| (|Character|))) (SIGNATURE |prefix?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |upperCase| (|#1| |#1|)) (SIGNATURE |lowerCase| (|#1| |#1|)) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |elt| ((|Character|) |#1| (|Integer|))) (SIGNATURE |elt| ((|Character|) |#1| (|Integer|) (|Character|)))) (|StringAggregate|)) (T |StringAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |elt| (|#1| |#1| |#1|)) (SIGNATURE |trim| (|#1| |#1| (|CharacterClass|))) (SIGNATURE |trim| (|#1| |#1| (|Character|))) (SIGNATURE |coerce| (|#1| (|Character|))) (SIGNATURE |prefix?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |upperCase| (|#1| |#1|)) (SIGNATURE |lowerCase| (|#1| |#1|)) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |elt| ((|Character|) |#1| (|Integer|))) (SIGNATURE |elt| ((|Character|) |#1| (|Integer|) (|Character|)))) 
+((~= (((|Boolean|) $ $) 18 (|has| (|Character|) (|SetCategory|)))) (|upperCase!| (($ $) 113)) (|upperCase| (($ $) 114)) (|trim| (($ $ (|Character|)) 101) (($ $ (|CharacterClass|)) 100)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|suffix?| (((|Boolean|) $ $) 111)) (|substring?| (((|Boolean|) $ $ (|Integer|)) 110)) (|split| (((|List| $) $ (|Character|)) 103) (((|List| $) $ (|CharacterClass|)) 102)) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) 91) (((|Boolean|) $) 85 (|has| (|Character|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 81 (AND (|has| (|Character|) (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) 92) (($ $) 86 (|has| (|Character|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| (((|Character|) $ (|Integer|) (|Character|)) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Character|) $ (|UniversalSegment| (|Integer|)) (|Character|)) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Character|)) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|rightTrim| (($ $ (|Character|)) 97) (($ $ (|CharacterClass|)) 96)) (|reverse!| (($ $) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 93)) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) 107)) (|removeDuplicates| (($ $) 73 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ (|Character|) $) 72 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) (|Character|)) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|) (|Character|)) 71 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|)) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Character|) $ (|Integer|) (|Character|)) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Character|) $ (|Integer|)) 48)) (|prefix?| (((|Boolean|) $ $) 112)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Character|)) $) 90) (((|Integer|) (|Character|) $) 89 (|has| (|Character|) (|SetCategory|))) (((|Integer|) (|Character|) $ (|Integer|)) 88 (|has| (|Character|) (|SetCategory|))) (((|Integer|) $ $ (|Integer|)) 106) (((|Integer|) (|CharacterClass|) $ (|Integer|)) 105)) (|parts| (((|List| (|Character|)) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Character|)) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 80 (|has| (|Character|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $ $) 94) (($ $ $) 87 (|has| (|Character|) (|OrderedSet|)))) (|members| (((|List| (|Character|)) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Character|) $) 27 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 79 (|has| (|Character|) (|OrderedSet|)))) (|match?| (((|Boolean|) $ $ (|Character|)) 108)) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) 109)) (|map!| (($ (|Mapping| (|Character|) (|Character|)) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Character|) (|Character|)) $) 35) (($ (|Mapping| (|Character|) (|Character|) (|Character|)) $ $) 59)) (|lowerCase!| (($ $) 115)) (|lowerCase| (($ $) 116)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leftTrim| (($ $ (|Character|)) 99) (($ $ (|CharacterClass|)) 98)) (|latex| (((|String|) $) 22 (|has| (|Character|) (|SetCategory|)))) (|insert| (($ (|Character|) $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| (|Character|) (|SetCategory|)))) (|first| (((|Character|) $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Character|) "failed") (|Mapping| (|Boolean|) (|Character|)) $) 66)) (|fill!| (($ $ (|Character|)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Character|)))) 26 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Equation| (|Character|))) 25 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Character|) (|Character|)) 24 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|List| (|Character|)) (|List| (|Character|))) 23 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) (|Character|) $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|entries| (((|List| (|Character|)) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| (((|Character|) $ (|Integer|) (|Character|)) 47) (((|Character|) $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58) (($ $ $) 95)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Character|)) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Character|) $) 28 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 84 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| (|Character|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Character|))) 65)) (|concat| (($ $ (|Character|)) 63) (($ (|Character|) $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (($ (|Character|)) 104) (((|OutputForm|) $) 20 (|has| (|Character|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 77 (|has| (|Character|) (|OrderedSet|)))) (> (((|Boolean|) $ $) 76 (|has| (|Character|) (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (|has| (|Character|) (|SetCategory|)))) (<= (((|Boolean|) $ $) 78 (|has| (|Character|) (|OrderedSet|)))) (< (((|Boolean|) $ $) 75 (|has| (|Character|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|StringAggregate|) (|Category|)) (T |StringAggregate|)) 
+((|lowerCase| (*1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) (|lowerCase!| (*1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) (|upperCase| (*1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) (|upperCase!| (*1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) (|prefix?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|)))) (|suffix?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|)))) (|substring?| (*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)))) (|match| (*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|match?| (*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|Boolean|)))) (|replace| (*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|UniversalSegment| (|Integer|))))) (|position| (*1 *2 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|)))) (|position| (*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|CharacterClass|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Character|)) (|ofCategory| *1 (|StringAggregate|)))) (|split| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Character|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) (|split| (*1 *2 *1 *3) (AND (|isDomain| *3 (|CharacterClass|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) (|trim| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|)))) (|trim| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) (|leftTrim| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|)))) (|leftTrim| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) (|rightTrim| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|)))) (|rightTrim| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) (|elt| (*1 *1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(|Join| (|OneDimensionalArrayAggregate| (|Character|)) (CATEGORY |domain| (SIGNATURE |lowerCase| ($ $)) (SIGNATURE |lowerCase!| ($ $)) (SIGNATURE |upperCase| ($ $)) (SIGNATURE |upperCase!| ($ $)) (SIGNATURE |prefix?| ((|Boolean|) $ $)) (SIGNATURE |suffix?| ((|Boolean|) $ $)) (SIGNATURE |substring?| ((|Boolean|) $ $ (|Integer|))) (SIGNATURE |match| ((|NonNegativeInteger|) $ $ (|Character|))) (SIGNATURE |match?| ((|Boolean|) $ $ (|Character|))) (SIGNATURE |replace| ($ $ (|UniversalSegment| (|Integer|)) $)) (SIGNATURE |position| ((|Integer|) $ $ (|Integer|))) (SIGNATURE |position| ((|Integer|) (|CharacterClass|) $ (|Integer|))) (SIGNATURE |coerce| ($ (|Character|))) (SIGNATURE |split| ((|List| $) $ (|Character|))) (SIGNATURE |split| ((|List| $) $ (|CharacterClass|))) (SIGNATURE |trim| ($ $ (|Character|))) (SIGNATURE |trim| ($ $ (|CharacterClass|))) (SIGNATURE |leftTrim| ($ $ (|Character|))) (SIGNATURE |leftTrim| ($ $ (|CharacterClass|))) (SIGNATURE |rightTrim| ($ $ (|Character|))) (SIGNATURE |rightTrim| ($ $ (|CharacterClass|))) (SIGNATURE |elt| ($ $ $)))) 
+(((|Aggregate|) . T) ((|BasicType|) OR (|has| (|Character|) (|SetCategory|)) (|has| (|Character|) (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| (|Character|) (|SetCategory|)) (|has| (|Character|) (|OrderedSet|))) ((|Collection| (|Character|)) . T) ((|ConvertibleTo| (|InputForm|)) |has| (|Character|) (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) (|Character|)) . T) ((|EltableAggregate| (|Integer|) (|Character|)) . T) ((|Evalable| (|Character|)) AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))) ((|FiniteLinearAggregate| (|Character|)) . T) ((|HomogeneousAggregate| (|Character|)) . T) ((|IndexedAggregate| (|Integer|) (|Character|)) . T) ((|InnerEvalable| (|Character|) (|Character|)) AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))) ((|LinearAggregate| (|Character|)) . T) ((|OneDimensionalArrayAggregate| (|Character|)) . T) ((|OrderedSet|) |has| (|Character|) (|OrderedSet|)) ((|SetCategory|) OR (|has| (|Character|) (|SetCategory|)) (|has| (|Character|) (|OrderedSet|))) ((|Type|) . T)) 
+((|upDateBranches| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| |#4|) (|List| |#5|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (|NonNegativeInteger|)) 93)) (|transcendentalDecompose| (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|) 54) (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|)) 53)) (|printInfo| (((|Void|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|NonNegativeInteger|)) 85)) (|numberOfVariables| (((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|)) 27)) (|internalDecompose| (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|) 56) (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|)) 55) (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|) (|Boolean|)) 57)) (|decompose| (((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 76) (((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) 77)) (|convert| (((|String|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) 80)) (|algebraicDecompose| (((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|) 52)) (|KrullNumber| (((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|)) 19))) 
+(((|SquareFreeRegularSetDecompositionPackage| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |package| (SIGNATURE |KrullNumber| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |numberOfVariables| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |algebraicDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|) (|Boolean|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |upDateBranches| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| |#4|) (|List| |#5|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (|NonNegativeInteger|))) (SIGNATURE |convert| ((|String|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |printInfo| ((|Void|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|NonNegativeInteger|)))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|) (|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|)) (T |SquareFreeRegularSetDecompositionPackage|)) 
+((|printInfo| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|SquareFreeRegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) (|upDateBranches| (*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) (|decompose| (*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|decompose| (*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|internalDecompose| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3)))) (|internalDecompose| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) (|internalDecompose| (*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *3)))) (|transcendentalDecompose| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3)))) (|transcendentalDecompose| (*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) (|algebraicDecompose| (*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3)))) (|numberOfVariables| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) (|KrullNumber| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(CATEGORY |package| (SIGNATURE |KrullNumber| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |numberOfVariables| ((|NonNegativeInteger|) (|List| |#4|) (|List| |#5|))) (SIGNATURE |algebraicDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |transcendentalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|) (|Boolean|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5| (|NonNegativeInteger|))) (SIGNATURE |internalDecompose| ((|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) |#4| |#5|)) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|))) (SIGNATURE |decompose| ((|List| |#5|) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |upDateBranches| ((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| |#4|) (|List| |#5|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|Record| (|:| |done| (|List| |#5|)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))))) (|NonNegativeInteger|))) (SIGNATURE |convert| ((|String|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) (SIGNATURE |printInfo| ((|Void|) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) NIL)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 109) (((|List| $) (|List| |#4|) (|Boolean|)) 110) (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) 108) (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 111)) (|variables| (((|List| |#3|) $) NIL)) (|trivialIdeal?| (((|Boolean|) $) NIL)) (|triangular?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|stronglyReduce| ((|#4| |#4| $) NIL)) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) 83)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 61)) (|sample| (($) NIL T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 26 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) NIL)) (|retract| (($ (|List| |#4|)) NIL)) (|rest| (((|Union| $ "failed") $) 39)) (|removeZero| ((|#4| |#4| $) 64)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|remove| (($ |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|reduceByQuasiMonic| ((|#4| |#4| $) NIL)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) NIL)) (|purelyTranscendental?| (((|Boolean|) |#4| $) NIL)) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) NIL)) (|purelyAlgebraic?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) 123)) (|parts| (((|List| |#4|) $) 16 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#4|) $) 17 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 25 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 23 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 21)) (|mainVariables| (((|List| |#3|) $) NIL)) (|mainVariable?| (((|Boolean|) |#3| $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) NIL)) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) 102)) (|last| (((|Union| |#4| "failed") $) 37)) (|invertibleSet| (((|List| $) |#4| $) 87)) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) NIL)) (|invertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) 97) (((|Boolean|) |#4| $) 52)) (|intersect| (((|List| $) |#4| $) 106) (((|List| $) (|List| |#4|) $) NIL) (((|List| $) (|List| |#4|) (|List| $)) 107) (((|List| $) |#4| (|List| $)) NIL)) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) 118)) (|internalAugment| (($ |#4| $) 74) (($ (|List| |#4|) $) 75) (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) 73)) (|initials| (((|List| |#4|) $) NIL)) (|initiallyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|initiallyReduce| ((|#4| |#4| $) NIL)) (|infRittWu?| (((|Boolean|) $ $) NIL)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|headReduce| ((|#4| |#4| $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Union| |#4| "failed") $) 35)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) NIL)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 47)) (|extend| (($ $ |#4|) NIL) (((|List| $) |#4| $) 89) (((|List| $) |#4| (|List| $)) NIL) (((|List| $) (|List| |#4|) $) NIL) (((|List| $) (|List| |#4|) (|List| $)) 85)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 15)) (|empty| (($) 13)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|count| (((|NonNegativeInteger|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 12)) (|convert| (((|InputForm|) $) NIL (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 20)) (|collectUpper| (($ $ |#3|) 42)) (|collectUnder| (($ $ |#3|) 43)) (|collectQuasiMonic| (($ $) NIL)) (|collect| (($ $ |#3|) NIL)) (|coerce| (((|OutputForm|) $) 31) (((|List| |#4|) $) 40)) (|coHeight| (((|NonNegativeInteger|) $) NIL (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) NIL)) (|augment| (((|List| $) |#4| $) 53) (((|List| $) |#4| (|List| $)) NIL) (((|List| $) (|List| |#4|) $) NIL) (((|List| $) (|List| |#4|) (|List| $)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) NIL)) (|algebraicCoefficients?| (((|Boolean|) |#4| $) NIL)) (|algebraic?| (((|Boolean|) |#3| $) 60)) (= (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SquareFreeRegularTriangularSet| |#1| |#2| |#3| |#4|) (|Join| (|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |internalAugment| ((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |internalZeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |preprocess| ((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|))))) (|GcdDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|)) (T |SquareFreeRegularTriangularSet|)) 
+((|internalAugment| (*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) (|zeroSetSplit| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) (|zeroSetSplit| (*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) (|internalZeroSetSplit| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) (|preprocess| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(|Join| (|SquareFreeRegularTriangularSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |internalAugment| ((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|))) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |internalZeroSetSplit| ((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |preprocess| ((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|top| ((|#1| $) 28)) (|stack| (($ (|List| |#1|)) 33)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|sample| (($) NIL T CONST)) (|push!| ((|#1| |#1| $) 30)) (|pop!| ((|#1| $) 26)) (|parts| (((|List| |#1|) $) 34 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 39 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 37)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|inspect| ((|#1| $) 29)) (|insert!| (($ |#1| $) 31)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|extract!| ((|#1| $) 27)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 24)) (|empty| (($) 32)) (|depth| (((|NonNegativeInteger|) $) 22)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 20)) (|coerce| (((|OutputForm|) $) 17 (|has| |#1| (|SetCategory|)))) (|bag| (($ (|List| |#1|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 12 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 23 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Stack| |#1|) (|Join| (|StackAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |stack| ($ (|List| |#1|))) (SIGNATURE |pop!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |push!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |top| (|#1| $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) (|SetCategory|)) (T |Stack|)) 
+((|eq?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty| (*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|empty?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|less?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) (|more?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) (|size?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) (|sample| (*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|#| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) (|map!| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) (|any?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)))) (|every?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)))) (|count| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *4)))) (|parts| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|members| (*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|count| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|member?| (*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|latex| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|hash| (*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (~= (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|bag| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) (|extract!| (*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|insert!| (*1 *1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|inspect| (*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|push!| (*1 *2 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|pop!| (*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|top| (*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) (|depth| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) (|stack| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(|Join| (|StackAggregate| |#1|) (CATEGORY |domain| (SIGNATURE |stack| ($ (|List| |#1|))) (SIGNATURE |pop!| (|#1| $)) (SIGNATURE |extract!| (|#1| $)) (SIGNATURE |push!| (|#1| |#1| $)) (SIGNATURE |insert!| ($ |#1| $)) (SIGNATURE |inspect| (|#1| $)) (SIGNATURE |top| (|#1| $)) (SIGNATURE |depth| ((|NonNegativeInteger|) $)) (SIGNATURE |less?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |size?| ((|Boolean|) $ (|NonNegativeInteger|))) (SIGNATURE |bag| ($ (|List| |#1|))) (SIGNATURE |empty?| ((|Boolean|) $)) (SIGNATURE |empty| ($)) (SIGNATURE |sample| ($)) (SIGNATURE |copy| ($ $)) (SIGNATURE |eq?| ((|Boolean|) $ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (SIGNATURE |map!| ($ (|Mapping| |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |latex| ((|String|) $)) (SIGNATURE |hash| ((|SingleInteger|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)) (SIGNATURE = ((|Boolean|) $ $)) (SIGNATURE ~= ((|Boolean|) $ $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (PROGN (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |parts| ((|List| |#1|) $)) (SIGNATURE |members| ((|List| |#1|) $))) |noBranch|) (IF (|has| $ (ATTRIBUTE |finiteAggregate|)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |member?| ((|Boolean|) |#1| $)) (SIGNATURE |count| ((|NonNegativeInteger|) |#1| $))) |noBranch|) |noBranch|))) 
+((|setelt| ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) 43) ((|#2| $ (|Integer|) |#2|) 40)) (|possiblyInfinite?| (((|Boolean|) $) 11)) (|map!| (($ (|Mapping| |#2| |#2|) $) 38)) (|first| ((|#2| $) NIL) (($ $ (|NonNegativeInteger|)) 16)) (|fill!| (($ $ |#2|) 39)) (|explicitlyFinite?| (((|Boolean|) $) 10)) (|elt| ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (|UniversalSegment| (|Integer|))) 30) ((|#2| $ (|Integer|)) 22) ((|#2| $ (|Integer|) |#2|) NIL)) (|concat!| (($ $ $) 46) (($ $ |#2|) NIL)) (|concat| (($ $ $) 32) (($ |#2| $) NIL) (($ (|List| $)) 35) (($ $ |#2|) NIL))) 
+(((|StreamAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |possiblyInfinite?| ((|Boolean|) |#1|)) (SIGNATURE |explicitlyFinite?| ((|Boolean|) |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |fill!| (|#1| |#1| |#2|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |setelt| (|#2| |#1| (|UniversalSegment| (|Integer|)) |#2|)) (SIGNATURE |setelt| (|#2| |#1| "last" |#2|)) (SIGNATURE |setelt| (|#1| |#1| "rest" |#1|)) (SIGNATURE |setelt| (|#2| |#1| "first" |#2|)) (SIGNATURE |concat!| (|#1| |#1| |#2|)) (SIGNATURE |concat!| (|#1| |#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| "last")) (SIGNATURE |elt| (|#1| |#1| "rest")) (SIGNATURE |first| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "first")) (SIGNATURE |first| (|#2| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|))) (|StreamAggregate| |#2|) (|Type|)) (T |StreamAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |possiblyInfinite?| ((|Boolean|) |#1|)) (SIGNATURE |explicitlyFinite?| ((|Boolean|) |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |fill!| (|#1| |#1| |#2|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |setelt| (|#2| |#1| (|UniversalSegment| (|Integer|)) |#2|)) (SIGNATURE |setelt| (|#2| |#1| "last" |#2|)) (SIGNATURE |setelt| (|#1| |#1| "rest" |#1|)) (SIGNATURE |setelt| (|#2| |#1| "first" |#2|)) (SIGNATURE |concat!| (|#1| |#1| |#2|)) (SIGNATURE |concat!| (|#1| |#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| "last")) (SIGNATURE |elt| (|#1| |#1| "rest")) (SIGNATURE |first| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "first")) (SIGNATURE |first| (|#2| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|third| ((|#1| $) 62)) (|tail| (($ $) 64)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 94 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) 55 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) 54 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 114 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 99 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|second| ((|#1| $) 63)) (|sample| (($) 7 T CONST)) (|rest| (($ $) 70) (($ $ (|NonNegativeInteger|)) 68)) (|removeDuplicates| (($ $) 96 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) 100 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ |#1| $) 97 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) 102 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 98 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 84)) (|possiblyInfinite?| (((|Boolean|) $) 80)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 105)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 92 (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 91 (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 108)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) 67) (($ $ (|NonNegativeInteger|)) 65)) (|insert| (($ $ $ (|Integer|)) 113) (($ |#1| $ (|Integer|)) 112)) (|indices| (((|List| (|Integer|)) $) 89)) (|index?| (((|Boolean|) (|Integer|) $) 88)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 73) (($ $ (|NonNegativeInteger|)) 71)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 103)) (|fill!| (($ $ |#1|) 93 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|explicitlyFinite?| (((|Boolean|) $) 81)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 90 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 87)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (|UniversalSegment| (|Integer|))) 109) ((|#1| $ (|Integer|)) 86) ((|#1| $ (|Integer|) |#1|) 85)) (|distance| (((|Integer|) $ $) 41)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) 111) (($ $ (|Integer|)) 110)) (|cyclic?| (((|Boolean|) $) 43)) (|cycleTail| (($ $) 59)) (|cycleSplit!| (($ $) 56 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) 60)) (|cycleEntry| (($ $) 61)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 95 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 104)) (|concat!| (($ $ $) 58 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ |#1|) 57 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|concat| (($ $ $) 75) (($ |#1| $) 74) (($ (|List| $)) 107) (($ $ |#1|) 106)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|StreamAggregate| |#1|) (|Category|) (|Type|)) (T |StreamAggregate|)) 
+((|explicitlyFinite?| (*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) (|possiblyInfinite?| (*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(|Join| (|UnaryRecursiveAggregate| |t#1|) (|LinearAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |explicitlyFinite?| ((|Boolean|) $)) (SIGNATURE |possiblyInfinite?| ((|Boolean|) $)))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T) ((|UnaryRecursiveAggregate| |#1|) . T)) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#2| $ |#1| |#2|) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) NIL)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|keys| (((|List| |#1|) $) NIL)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|indices| (((|List| |#1|) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|SparseTable| |#1| |#2| |#3|) (|TableAggregate| |#1| |#2|) (|SetCategory|) (|SetCategory|) |#2|) (T |SparseTable|)) 
+NIL 
+(|TableAggregate| |#1| |#2|) 
+((~= (((|Boolean|) $ $) 7)) (|nextItem| (((|Union| $ "failed") $) 12)) (|latex| (((|String|) $) 9)) (|init| (($) 13 T CONST)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11)) (= (((|Boolean|) $ $) 6))) 
+(((|StepThrough|) (|Category|)) (T |StepThrough|)) 
+((|init| (*1 *1) (|ofCategory| *1 (|StepThrough|))) (|nextItem| (*1 *1 *1) (|partial| |ofCategory| *1 (|StepThrough|)))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |init| ($) |constant|) (SIGNATURE |nextItem| ((|Union| $ "failed") $)))) 
+(((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|SetCategory|) . T)) 
+((|oddInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) 17)) (|infiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) 13)) (|generalInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) 20)) (|evenInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) 15))) 
+(((|StreamInfiniteProduct| |#1|) (CATEGORY |package| (SIGNATURE |infiniteProduct| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |evenInfiniteProduct| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |oddInfiniteProduct| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |generalInfiniteProduct| ((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)))) (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (T |StreamInfiniteProduct|)) 
+((|generalInfiniteProduct| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *4)))) (|oddInfiniteProduct| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3)))) (|evenInfiniteProduct| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3)))) (|infiniteProduct| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(CATEGORY |package| (SIGNATURE |infiniteProduct| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |evenInfiniteProduct| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |oddInfiniteProduct| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |generalInfiniteProduct| ((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)))) 
+((|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) 16))) 
+(((|StreamTensor| |#1|) (CATEGORY |package| (SIGNATURE |tensorMap| ((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)))) (|Type|)) (T |StreamTensor|)) 
+((|tensorMap| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| (|List| *4) *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|StreamTensor| *4))))) 
+(CATEGORY |package| (SIGNATURE |tensorMap| ((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)))) 
+((|concat| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) 15))) 
+(((|StreamFunctions1| |#1|) (CATEGORY |package| (SIGNATURE |concat| ((|Stream| |#1|) (|Stream| (|Stream| |#1|))))) (|Type|)) (T |StreamFunctions1|)) 
+((|concat| (*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE |concat| ((|Stream| |#1|) (|Stream| (|Stream| |#1|))))) 
+((|scan| (((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) 25)) (|reduce| ((|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) 26)) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|)) 16))) 
+(((|StreamFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|))) (SIGNATURE |scan| ((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|))) (SIGNATURE |reduce| (|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)))) (|Type|) (|Type|)) (T |StreamFunctions2|)) 
+((|reduce| (*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|StreamFunctions2| *5 *2)))) (|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *3 *6 *3)) (|isDomain| *5 (|Stream| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamFunctions2| *6 *3)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|StreamFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|))) (SIGNATURE |scan| ((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|))) (SIGNATURE |reduce| (|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)))) 
+((|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)) 21))) 
+(((|StreamFunctions3| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |map| ((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)))) (|Type|) (|Type|) (|Type|)) (T |StreamFunctions3|)) 
+((|map| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|StreamFunctions3| *6 *7 *8))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) NIL)) (|third| ((|#1| $) NIL)) (|tail| (($ $) 48)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 73 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|split!| (($ $ (|Integer|)) 107 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|showAllElements| (((|OutputForm|) $) 37 (|has| |#1| (|SetCategory|)))) (|showAll?| (((|Boolean|)) 38 (|has| |#1| (|SetCategory|)))) (|setvalue!| ((|#1| $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 95 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ (|Integer|) $) 117)) (|setlast!| ((|#1| $ |#1|) 104 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) 99 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) 101 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 103 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) 106 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 86 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|Integer|) |#1|) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 55)) (|second| ((|#1| $) NIL)) (|sample| (($) NIL T CONST)) (|rst| (($ $) 14)) (|rest| (($ $) 28) (($ $ (|NonNegativeInteger|)) 85)) (|repeating?| (((|Boolean|) (|List| |#1|) $) 112 (|has| |#1| (|SetCategory|)))) (|repeating| (($ (|List| |#1|)) 109)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 54)) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|possiblyInfinite?| (((|Boolean|) $) NIL)) (|parts| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|output| (((|Void|) (|Integer|) $) 116 (|has| |#1| (|SetCategory|)))) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) 114)) (|nodes| (((|List| $) $) NIL)) (|node?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 70 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 60) (($ (|Mapping| |#1| |#1| |#1|) $ $) 64)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leaves| (((|List| |#1|) $) NIL)) (|leaf?| (((|Boolean|) $) NIL)) (|lazyEvaluate| (($ $) 87)) (|lazy?| (((|Boolean|) $) 13)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|insert| (($ $ $ (|Integer|)) NIL) (($ |#1| $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) 71)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|generate| (($ (|Mapping| |#1|)) 119) (($ (|Mapping| |#1| |#1|) |#1|) 120)) (|frst| ((|#1| $) 10)) (|first| ((|#1| $) 27) (($ $ (|NonNegativeInteger|)) 46)) (|findCycle| (((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $) 24)) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) 121)) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) 122)) (|fill!| (($ $ |#1|) 65 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extend| (($ $ (|Integer|)) 31)) (|explicitlyFinite?| (((|Boolean|) $) 69)) (|explicitlyEmpty?| (((|Boolean|) $) 12)) (|explicitEntries?| (((|Boolean|) $) 113)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 20)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) 15)) (|empty| (($) 40)) (|elt| ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) ((|#1| $ (|Integer|)) 51) ((|#1| $ (|Integer|) |#1|) NIL)) (|distance| (((|Integer|) $ $) 45)) (|delete| (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ (|Integer|)) NIL)) (|delay| (($ (|Mapping| $)) 44)) (|cyclic?| (((|Boolean|) $) 66)) (|cycleTail| (($ $) 67)) (|cycleSplit!| (($ $) 96 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) NIL)) (|cycleEntry| (($ $) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 41)) (|convert| (((|InputForm|) $) NIL (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 50)) (|cons| (($ |#1| $) 94)) (|concat!| (($ $ $) 97 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ |#1|) 98 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|concat| (($ $ $) 75) (($ |#1| $) 42) (($ (|List| $)) 80) (($ $ |#1|) 74)) (|complete| (($ $) 47)) (|coerce| (((|OutputForm|) $) 39 (|has| |#1| (|SetCategory|))) (($ (|List| |#1|)) 108)) (|children| (((|List| $) $) NIL)) (|child?| (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 111 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Stream| |#1|) (|Join| (|LazyStreamAggregate| |#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |repeating| ($ (|List| |#1|))) (IF (|has| |#1| (|SetCategory|)) (SIGNATURE |repeating?| ((|Boolean|) (|List| |#1|) $)) |noBranch|) (SIGNATURE |findCycle| ((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $)) (SIGNATURE |delay| ($ (|Mapping| $))) (SIGNATURE |cons| ($ |#1| $)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |output| ((|Void|) (|Integer|) $)) (SIGNATURE |showAllElements| ((|OutputForm|) $)) (SIGNATURE |showAll?| ((|Boolean|)))) |noBranch|) (SIGNATURE |setrest!| ($ $ (|Integer|) $)) (SIGNATURE |generate| ($ (|Mapping| |#1|))) (SIGNATURE |generate| ($ (|Mapping| |#1| |#1|) |#1|)) (SIGNATURE |filterWhile| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |filterUntil| ($ (|Mapping| (|Boolean|) |#1|) $)))) (|Type|)) (T |Stream|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) (|repeating| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) (|repeating?| (*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *4)))) (|findCycle| (*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|)))) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *3 (|NonNegativeInteger|)))) (|delay| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Stream| *3))) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) (|cons| (*1 *1 *2 *1) (AND (|isDomain| *1 (|Stream| *2)) (|ofCategory| *2 (|Type|)))) (|output| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)))) (|showAllElements| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) (|showAll?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) (|setrest!| (*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) (|generate| (*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) (|generate| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) (|filterWhile| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) (|filterUntil| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(|Join| (|LazyStreamAggregate| |#1|) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |coerce| ($ (|List| |#1|))) (SIGNATURE |repeating| ($ (|List| |#1|))) (IF (|has| |#1| (|SetCategory|)) (SIGNATURE |repeating?| ((|Boolean|) (|List| |#1|) $)) |noBranch|) (SIGNATURE |findCycle| ((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $)) (SIGNATURE |delay| ($ (|Mapping| $))) (SIGNATURE |cons| ($ |#1| $)) (IF (|has| |#1| (|SetCategory|)) (PROGN (SIGNATURE |output| ((|Void|) (|Integer|) $)) (SIGNATURE |showAllElements| ((|OutputForm|) $)) (SIGNATURE |showAll?| ((|Boolean|)))) |noBranch|) (SIGNATURE |setrest!| ($ $ (|Integer|) $)) (SIGNATURE |generate| ($ (|Mapping| |#1|))) (SIGNATURE |generate| ($ (|Mapping| |#1| |#1|) |#1|)) (SIGNATURE |filterWhile| ($ (|Mapping| (|Boolean|) |#1|) $)) (SIGNATURE |filterUntil| ($ (|Mapping| (|Boolean|) |#1|) $)))) 
+((~= (((|Boolean|) $ $) 18)) (|upperCase!| (($ $) 113)) (|upperCase| (($ $) 114)) (|trim| (($ $ (|Character|)) 101) (($ $ (|CharacterClass|)) 100)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|suffix?| (((|Boolean|) $ $) 111)) (|substring?| (((|Boolean|) $ $ (|Integer|)) 110)) (|string| (($ (|Integer|)) 118)) (|split| (((|List| $) $ (|Character|)) 103) (((|List| $) $ (|CharacterClass|)) 102)) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) 91) (((|Boolean|) $) 85 (|has| (|Character|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 81 (AND (|has| (|Character|) (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) 92) (($ $) 86 (|has| (|Character|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| (((|Character|) $ (|Integer|) (|Character|)) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Character|) $ (|UniversalSegment| (|Integer|)) (|Character|)) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Character|)) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|rightTrim| (($ $ (|Character|)) 97) (($ $ (|CharacterClass|)) 96)) (|reverse!| (($ $) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 93)) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) 107)) (|removeDuplicates| (($ $) 73 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ (|Character|) $) 72 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) (|Character|)) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|) (|Character|)) 71 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|)) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Character|) $ (|Integer|) (|Character|)) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Character|) $ (|Integer|)) 48)) (|prefix?| (((|Boolean|) $ $) 112)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Character|)) $) 90) (((|Integer|) (|Character|) $) 89 (|has| (|Character|) (|SetCategory|))) (((|Integer|) (|Character|) $ (|Integer|)) 88 (|has| (|Character|) (|SetCategory|))) (((|Integer|) $ $ (|Integer|)) 106) (((|Integer|) (|CharacterClass|) $ (|Integer|)) 105)) (|parts| (((|List| (|Character|)) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Character|)) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 80 (|has| (|Character|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $ $) 94) (($ $ $) 87 (|has| (|Character|) (|OrderedSet|)))) (|members| (((|List| (|Character|)) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Character|) $) 27 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 79 (|has| (|Character|) (|OrderedSet|)))) (|match?| (((|Boolean|) $ $ (|Character|)) 108)) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) 109)) (|map!| (($ (|Mapping| (|Character|) (|Character|)) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Character|) (|Character|)) $) 35) (($ (|Mapping| (|Character|) (|Character|) (|Character|)) $ $) 59)) (|lowerCase!| (($ $) 115)) (|lowerCase| (($ $) 116)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leftTrim| (($ $ (|Character|)) 99) (($ $ (|CharacterClass|)) 98)) (|latex| (((|String|) $) 22)) (|insert| (($ (|Character|) $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21)) (|first| (((|Character|) $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Character|) "failed") (|Mapping| (|Boolean|) (|Character|)) $) 66)) (|fill!| (($ $ (|Character|)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Character|)))) 26 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Equation| (|Character|))) 25 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Character|) (|Character|)) 24 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|List| (|Character|)) (|List| (|Character|))) 23 (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) (|Character|) $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|entries| (((|List| (|Character|)) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| (((|Character|) $ (|Integer|) (|Character|)) 47) (((|Character|) $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58) (($ $ $) 95)) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Character|)) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Character|) $) 28 (AND (|has| (|Character|) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 84 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| (|Character|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Character|))) 65)) (|concat| (($ $ (|Character|)) 63) (($ (|Character|) $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (($ (|Character|)) 104) (((|OutputForm|) $) 20)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|OMwrite| (((|String|) $) 122) (((|String|) $ (|Boolean|)) 121) (((|Void|) (|OpenMathDevice|) $) 120) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 119)) (>= (((|Boolean|) $ $) 77 (|has| (|Character|) (|OrderedSet|)))) (> (((|Boolean|) $ $) 76 (|has| (|Character|) (|OrderedSet|)))) (= (((|Boolean|) $ $) 19)) (<= (((|Boolean|) $ $) 78 (|has| (|Character|) (|OrderedSet|)))) (< (((|Boolean|) $ $) 75 (|has| (|Character|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|StringCategory|) (|Category|)) (T |StringCategory|)) 
+((|string| (*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|StringCategory|))))) 
+(|Join| (|StringAggregate|) (|SetCategory|) (|OpenMath|) (CATEGORY |domain| (SIGNATURE |string| ($ (|Integer|))))) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| (|Character|)) . T) ((|ConvertibleTo| (|InputForm|)) |has| (|Character|) (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) (|Character|)) . T) ((|EltableAggregate| (|Integer|) (|Character|)) . T) ((|Evalable| (|Character|)) AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))) ((|FiniteLinearAggregate| (|Character|)) . T) ((|HomogeneousAggregate| (|Character|)) . T) ((|IndexedAggregate| (|Integer|) (|Character|)) . T) ((|InnerEvalable| (|Character|) (|Character|)) AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))) ((|LinearAggregate| (|Character|)) . T) ((|OneDimensionalArrayAggregate| (|Character|)) . T) ((|OpenMath|) . T) ((|OrderedSet|) |has| (|Character|) (|OrderedSet|)) ((|SetCategory|) . T) ((|StringAggregate|) . T) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|upperCase!| (($ $) NIL)) (|upperCase| (($ $) NIL)) (|trim| (($ $ (|Character|)) NIL) (($ $ (|CharacterClass|)) NIL)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|suffix?| (((|Boolean|) $ $) NIL)) (|substring?| (((|Boolean|) $ $ (|Integer|)) NIL)) (|string| (($ (|Integer|)) 7)) (|split| (((|List| $) $ (|Character|)) NIL) (((|List| $) $ (|CharacterClass|)) NIL)) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) NIL) (((|Boolean|) $) NIL (|has| (|Character|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Character|) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $) NIL) (($ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Character|) $ (|Integer|) (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Character|) $ (|UniversalSegment| (|Integer|)) (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|rightTrim| (($ $ (|Character|)) NIL) (($ $ (|CharacterClass|)) NIL)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|remove| (($ (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|) (|Character|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|)))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $ (|Character|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Character|) (|Mapping| (|Character|) (|Character|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Character|) $ (|Integer|) (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Character|) $ (|Integer|)) NIL)) (|prefix?| (((|Boolean|) $ $) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Character|)) $) NIL) (((|Integer|) (|Character|) $) NIL (|has| (|Character|) (|SetCategory|))) (((|Integer|) (|Character|) $ (|Integer|)) NIL (|has| (|Character|) (|SetCategory|))) (((|Integer|) $ $ (|Integer|)) NIL) (((|Integer|) (|CharacterClass|) $ (|Integer|)) NIL)) (|parts| (((|List| (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Character|)) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Character|) (|Character|)) $ $) NIL) (($ $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|members| (((|List| (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|match?| (((|Boolean|) $ $ (|Character|)) NIL)) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) NIL)) (|map!| (($ (|Mapping| (|Character|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Character|) (|Character|)) $) NIL) (($ (|Mapping| (|Character|) (|Character|) (|Character|)) $ $) NIL)) (|lowerCase!| (($ $) NIL)) (|lowerCase| (($ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|leftTrim| (($ $ (|Character|)) NIL) (($ $ (|CharacterClass|)) NIL)) (|latex| (((|String|) $) NIL)) (|insert| (($ (|Character|) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Character|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Character|) "failed") (|Mapping| (|Boolean|) (|Character|)) $) NIL)) (|fill!| (($ $ (|Character|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Character|)))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Equation| (|Character|))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|Character|) (|Character|)) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|)))) (($ $ (|List| (|Character|)) (|List| (|Character|))) NIL (AND (|has| (|Character|) (|Evalable| (|Character|))) (|has| (|Character|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|entries| (((|List| (|Character|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| (((|Character|) $ (|Integer|) (|Character|)) NIL) (((|Character|) $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL) (($ $ $) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Character|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Character|) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Character|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Character|))) NIL)) (|concat| (($ $ (|Character|)) NIL) (($ (|Character|) $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (($ (|Character|)) NIL) (((|OutputForm|) $) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Character|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|OMwrite| (((|String|) $) 18) (((|String|) $ (|Boolean|)) 20) (((|Void|) (|OpenMathDevice|) $) 21) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 22)) (>= (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Character|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|String|) (|StringCategory|)) (T |String|)) 
+NIL 
+(|StringCategory|) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)) (|has| |#1| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL)) (|swap!| (((|Void|) $ (|String|) (|String|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|String|) |#1|) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#1| "failed") (|String|) $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#1| "failed") (|String|) $) NIL)) (|remove| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|String|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|String|)) NIL)) (|parts| (((|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|String|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|String|) $) NIL (|has| (|String|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL) (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)) (|has| |#1| (|SetCategory|))))) (|keys| (((|List| (|String|)) $) NIL)) (|key?| (((|Boolean|) (|String|) $) NIL)) (|inspect| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL)) (|indices| (((|List| (|String|)) $) NIL)) (|index?| (((|Boolean|) (|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)) (|has| |#1| (|SetCategory|))))) (|first| ((|#1| $) NIL (|has| (|String|) (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL (AND (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|Evalable| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|String|)) NIL) ((|#1| $ (|String|) |#1|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)) (|has| |#1| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| (|String|)) (|:| |entry| |#1|)) (|SetCategory|)) (|has| |#1| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|StringTable| |#1|) (|Join| (|TableAggregate| (|String|) |#1|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) (|SetCategory|)) (T |StringTable|)) 
+NIL 
+(|Join| (|TableAggregate| (|String|) |#1|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) 
+((|revert| (((|Stream| |#1|) (|Stream| |#1|)) 77)) (|recip| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|)) 37)) (|powern| (((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|power| (((|Stream| |#1|) |#1| (|Stream| |#1|)) 121 (|has| |#1| (|Field|)))) (|oddlambert| (((|Stream| |#1|) (|Stream| |#1|)) 90)) (|oddintegers| (((|Stream| (|Integer|)) (|Integer|)) 57)) (|nlde| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) 108 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) 95)) (|monom| (((|Stream| |#1|) |#1| (|Integer|)) 45)) (|mapmult| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 60)) (|mapdiv| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 119 (|has| |#1| (|Field|)))) (|lazyIntegrate| (((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|))) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|lazyGintegrate| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|))) 120 (|has| |#1| (|Field|)))) (|lambert| (((|Stream| |#1|) (|Stream| |#1|)) 89)) (|lagrange| (((|Stream| |#1|) (|Stream| |#1|)) 76)) (|invmultisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) 96)) (|integrate| (((|Stream| |#1|) |#1| (|Stream| |#1|)) 105 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|integers| (((|Stream| (|Integer|)) (|Integer|)) 56)) (|int| (((|Stream| |#1|) |#1|) 59)) (|generalLambert| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) 92)) (|gderiv| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|)) 66)) (|exquo| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|)) 35)) (|evenlambert| (((|Stream| |#1|) (|Stream| |#1|)) 91)) (|eval| (((|Stream| |#1|) (|Stream| |#1|) |#1|) 71)) (|deriv| (((|Stream| |#1|) (|Stream| |#1|)) 62)) (|compose| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 72)) (|coerce| (((|Stream| |#1|) |#1|) 67)) (|addiag| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) 82)) (/ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 36)) (- (((|Stream| |#1|) (|Stream| |#1|)) 21) (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 23)) (+ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 17)) (* (((|Stream| |#1|) (|Stream| |#1|) |#1|) 29) (((|Stream| |#1|) |#1| (|Stream| |#1|)) 26) (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 27))) 
+(((|StreamTaylorSeriesOperations| |#1|) (CATEGORY |package| (SIGNATURE + ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE - ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE - ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE * ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE * ((|Stream| |#1|) |#1| (|Stream| |#1|))) (SIGNATURE * ((|Stream| |#1|) (|Stream| |#1|) |#1|)) (SIGNATURE |exquo| ((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE / ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |recip| ((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|))) (SIGNATURE |monom| ((|Stream| |#1|) |#1| (|Integer|))) (SIGNATURE |integers| ((|Stream| (|Integer|)) (|Integer|))) (SIGNATURE |oddintegers| ((|Stream| (|Integer|)) (|Integer|))) (SIGNATURE |int| ((|Stream| |#1|) |#1|)) (SIGNATURE |mapmult| ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |deriv| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |gderiv| ((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|))) (SIGNATURE |coerce| ((|Stream| |#1|) |#1|)) (SIGNATURE |eval| ((|Stream| |#1|) (|Stream| |#1|) |#1|)) (SIGNATURE |compose| ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |lagrange| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |revert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |addiag| ((|Stream| |#1|) (|Stream| (|Stream| |#1|)))) (SIGNATURE |lambert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |oddlambert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |evenlambert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |generalLambert| ((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|))) (SIGNATURE |multisect| ((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|))) (SIGNATURE |invmultisect| ((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ((|Stream| |#1|) |#1| (|Stream| |#1|))) (SIGNATURE |lazyIntegrate| ((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|)))) (SIGNATURE |nlde| ((|Stream| |#1|) (|Stream| (|Stream| |#1|)))) (SIGNATURE |powern| ((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |mapdiv| ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |lazyGintegrate| ((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|)))) (SIGNATURE |power| ((|Stream| |#1|) |#1| (|Stream| |#1|)))) |noBranch|)) (|Ring|)) (T |StreamTaylorSeriesOperations|)) 
+((|power| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|lazyGintegrate| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|isDomain| *5 (|Mapping| (|Stream| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) (|mapdiv| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|powern| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) (|nlde| (*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)))) (|lazyIntegrate| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Stream| *3))) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) (|integrate| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|invmultisect| (*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) (|multisect| (*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) (|generalLambert| (*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) (|evenlambert| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|oddlambert| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|lambert| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|addiag| (*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)))) (|revert| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|lagrange| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|compose| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|eval| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) (|gderiv| (*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) (|deriv| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|mapmult| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|int| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) (|oddintegers| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|)))) (|integers| (*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|)))) (|monom| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) (|recip| (*1 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (/ (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (|exquo| (*1 *2 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (* (*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (* (*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (* (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (- (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (- (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) (+ (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(CATEGORY |package| (SIGNATURE + ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE - ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE - ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE * ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE * ((|Stream| |#1|) |#1| (|Stream| |#1|))) (SIGNATURE * ((|Stream| |#1|) (|Stream| |#1|) |#1|)) (SIGNATURE |exquo| ((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE / ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |recip| ((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|))) (SIGNATURE |monom| ((|Stream| |#1|) |#1| (|Integer|))) (SIGNATURE |integers| ((|Stream| (|Integer|)) (|Integer|))) (SIGNATURE |oddintegers| ((|Stream| (|Integer|)) (|Integer|))) (SIGNATURE |int| ((|Stream| |#1|) |#1|)) (SIGNATURE |mapmult| ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |deriv| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |gderiv| ((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|))) (SIGNATURE |coerce| ((|Stream| |#1|) |#1|)) (SIGNATURE |eval| ((|Stream| |#1|) (|Stream| |#1|) |#1|)) (SIGNATURE |compose| ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |lagrange| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |revert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |addiag| ((|Stream| |#1|) (|Stream| (|Stream| |#1|)))) (SIGNATURE |lambert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |oddlambert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |evenlambert| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |generalLambert| ((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|))) (SIGNATURE |multisect| ((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|))) (SIGNATURE |invmultisect| ((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ((|Stream| |#1|) |#1| (|Stream| |#1|))) (SIGNATURE |lazyIntegrate| ((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|)))) (SIGNATURE |nlde| ((|Stream| |#1|) (|Stream| (|Stream| |#1|)))) (SIGNATURE |powern| ((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)))) |noBranch|) (IF (|has| |#1| (|Field|)) (PROGN (SIGNATURE |mapdiv| ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |lazyGintegrate| ((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|)))) (SIGNATURE |power| ((|Stream| |#1|) |#1| (|Stream| |#1|)))) |noBranch|)) 
+((|tanh| (((|Stream| |#1|) (|Stream| |#1|)) 57)) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) 39)) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) 53)) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) 35)) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) 60)) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) 42)) (|log| (((|Stream| |#1|) (|Stream| |#1|)) 31)) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) 27)) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) 61)) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) 43)) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) 58)) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) 40)) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) 55)) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) 37)) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) 65)) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) 47)) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) 63)) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) 45)) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) 68)) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) 50)) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) 69)) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) 51)) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) 67)) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) 49)) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) 66)) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) 48)) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 33))) 
+(((|StreamTranscendentalFunctionsNonCommutative| |#1|) (CATEGORY |package| (SIGNATURE |exp| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |log| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE ** ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |coth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csch| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acoth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsch| ((|Stream| |#1|) (|Stream| |#1|)))) (|Algebra| (|Fraction| (|Integer|)))) (T |StreamTranscendentalFunctionsNonCommutative|)) 
+((|acsch| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|asech| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|acoth| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|atanh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|acosh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|asinh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|csch| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|sech| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|coth| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|tanh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|cosh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|sinh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|acsc| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|asec| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|acot| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|atan| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|acos| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|asin| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|csc| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|sec| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|cot| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|tan| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|cos| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|sin| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (** (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|log| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) (|exp| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3))))) 
+(CATEGORY |package| (SIGNATURE |exp| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |log| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE ** ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |coth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csch| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acoth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsch| ((|Stream| |#1|) (|Stream| |#1|)))) 
+((|tanh| (((|Stream| |#1|) (|Stream| |#1|)) 100)) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) 64)) (|sinhcosh| (((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|)) 96)) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) 97)) (|sincos| (((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|)) 53)) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) 54)) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) 102)) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) 71)) (|log| (((|Stream| |#1|) (|Stream| |#1|)) 39)) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) 36)) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) 103)) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) 72)) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) 101)) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) 67)) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) 98)) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) 55)) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) 111)) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) 86)) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) 105)) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) 82)) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) 115)) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) 90)) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) 117)) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) 92)) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) 113)) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) 88)) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) 107)) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) 84)) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) 40))) 
+(((|StreamTranscendentalFunctions| |#1|) (CATEGORY |package| (SIGNATURE |exp| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |log| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE ** ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sincos| ((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|))) (SIGNATURE |sin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sinhcosh| ((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|))) (SIGNATURE |sinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |coth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csch| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acoth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsch| ((|Stream| |#1|) (|Stream| |#1|)))) (|Algebra| (|Fraction| (|Integer|)))) (T |StreamTranscendentalFunctions|)) 
+((|acsch| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|asech| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|acoth| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|atanh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|acosh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|asinh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|csch| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|sech| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|coth| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|tanh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|cosh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|sinh| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|sinhcosh| (*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sinh| (|Stream| *4)) (|:| |cosh| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4)))) (|acsc| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|asec| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|acot| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|atan| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|acos| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|asin| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|csc| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|sec| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|cot| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|tan| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|cos| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|sin| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|sincos| (*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sin| (|Stream| *4)) (|:| |cos| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4)))) (** (*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|log| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) (|exp| (*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(CATEGORY |package| (SIGNATURE |exp| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |log| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE ** ((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sincos| ((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|))) (SIGNATURE |sin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asin| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acos| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atan| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acot| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asec| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsc| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sinhcosh| ((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|))) (SIGNATURE |sinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |cosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |tanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |coth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |sech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |csch| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asinh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acosh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |atanh| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acoth| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |asech| ((|Stream| |#1|) (|Stream| |#1|))) (SIGNATURE |acsch| ((|Stream| |#1|) (|Stream| |#1|)))) 
+((|subresultantVector| (((|PrimitiveArray| |#2|) |#2| |#2|) 35)) (|primitivePart| ((|#2| |#2| |#1|) 19 (|has| |#1| (|EuclideanDomain|))))) 
+(((|SubResultantPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |subresultantVector| ((|PrimitiveArray| |#2|) |#2| |#2|)) (IF (|has| |#1| (|EuclideanDomain|)) (SIGNATURE |primitivePart| (|#2| |#2| |#1|)) |noBranch|)) (|IntegralDomain|) (|UnivariatePolynomialCategory| |#1|)) (T |SubResultantPackage|)) 
+((|primitivePart| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|SubResultantPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|subresultantVector| (*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|PrimitiveArray| *3)) (|isDomain| *1 (|SubResultantPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |subresultantVector| ((|PrimitiveArray| |#2|) |#2| |#2|)) (IF (|has| |#1| (|EuclideanDomain|)) (SIGNATURE |primitivePart| (|#2| |#2| |#1|)) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL)) (|traverse| (($ $ (|List| (|NonNegativeInteger|))) 66)) (|subspace| (($) 25)) (|shallowCopy| (($ $) 41)) (|separate| (((|List| $) $) 50)) (|root?| (((|Boolean|) $) 16)) (|pointData| (((|List| (|Point| |#2|)) $) 73)) (|parent| (($ $) 67)) (|numberOfChildren| (((|NonNegativeInteger|) $) 36)) (|new| (($) 24)) (|modifyPoint| (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) 59) (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) 60) (($ $ (|NonNegativeInteger|) (|Point| |#2|)) 62)) (|merge| (($ $ $) 47) (($ (|List| $)) 49)) (|level| (((|NonNegativeInteger|) $) 74)) (|leaf?| (((|Boolean|) $) 15)) (|latex| (((|String|) $) NIL)) (|internal?| (((|Boolean|) $) 17)) (|hash| (((|SingleInteger|) $) NIL)) (|extractProperty| (((|SubSpaceComponentProperty|) $) 72)) (|extractPoint| (((|Point| |#2|) $) 68)) (|extractIndex| (((|NonNegativeInteger|) $) 69)) (|extractClosed| (((|Boolean|) $) 71)) (|defineProperty| (($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|)) 65)) (|deepCopy| (($ $) 42)) (|coerce| (((|OutputForm|) $) 84)) (|closeComponent| (($ $ (|List| (|NonNegativeInteger|)) (|Boolean|)) 64)) (|children| (((|List| $) $) 11)) (|child| (($ $ (|NonNegativeInteger|)) 35)) (|birth| (($ $) 31)) (|addPointLast| (($ $ $ (|Point| |#2|) (|NonNegativeInteger|)) 55)) (|addPoint2| (($ $ (|Point| |#2|)) 54)) (|addPoint| (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) 53) (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) 57) (((|NonNegativeInteger|) $ (|Point| |#2|)) 58)) (= (((|Boolean|) $ $) 78))) 
+(((|SubSpace| |#1| |#2|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |leaf?| ((|Boolean|) $)) (SIGNATURE |root?| ((|Boolean|) $)) (SIGNATURE |internal?| ((|Boolean|) $)) (SIGNATURE |new| ($)) (SIGNATURE |subspace| ($)) (SIGNATURE |birth| ($ $)) (SIGNATURE |child| ($ $ (|NonNegativeInteger|))) (SIGNATURE |children| ((|List| $) $)) (SIGNATURE |numberOfChildren| ((|NonNegativeInteger|) $)) (SIGNATURE |shallowCopy| ($ $)) (SIGNATURE |deepCopy| ($ $)) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |merge| ($ (|List| $))) (SIGNATURE |separate| ((|List| $) $)) (SIGNATURE |addPoint| ($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|))) (SIGNATURE |addPoint2| ($ $ (|Point| |#2|))) (SIGNATURE |addPointLast| ($ $ $ (|Point| |#2|) (|NonNegativeInteger|))) (SIGNATURE |modifyPoint| ($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|))) (SIGNATURE |addPoint| ($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |modifyPoint| ($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |addPoint| ((|NonNegativeInteger|) $ (|Point| |#2|))) (SIGNATURE |modifyPoint| ($ $ (|NonNegativeInteger|) (|Point| |#2|))) (SIGNATURE |closeComponent| ($ $ (|List| (|NonNegativeInteger|)) (|Boolean|))) (SIGNATURE |defineProperty| ($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|))) (SIGNATURE |traverse| ($ $ (|List| (|NonNegativeInteger|)))) (SIGNATURE |extractPoint| ((|Point| |#2|) $)) (SIGNATURE |extractIndex| ((|NonNegativeInteger|) $)) (SIGNATURE |extractClosed| ((|Boolean|) $)) (SIGNATURE |extractProperty| ((|SubSpaceComponentProperty|) $)) (SIGNATURE |level| ((|NonNegativeInteger|) $)) (SIGNATURE |parent| ($ $)) (SIGNATURE |pointData| ((|List| (|Point| |#2|)) $)))) (|PositiveInteger|) (|Ring|)) (T |SubSpace|)) 
+((|leaf?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|root?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|internal?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|new| (*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|subspace| (*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|birth| (*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|child| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|children| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|numberOfChildren| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|shallowCopy| (*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|deepCopy| (*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|merge| (*1 *1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|merge| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|separate| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|addPoint| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) (|addPoint2| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)))) (|addPointLast| (*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Point| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) (|modifyPoint| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) (|addPoint| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) (|modifyPoint| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) (|addPoint| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) (|modifyPoint| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) (|closeComponent| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) (|defineProperty| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) (|traverse| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|extractPoint| (*1 *2 *1) (AND (|isDomain| *2 (|Point| *4)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|extractIndex| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|extractClosed| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|extractProperty| (*1 *2 *1) (AND (|isDomain| *2 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|level| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) (|parent| (*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) (|pointData| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |leaf?| ((|Boolean|) $)) (SIGNATURE |root?| ((|Boolean|) $)) (SIGNATURE |internal?| ((|Boolean|) $)) (SIGNATURE |new| ($)) (SIGNATURE |subspace| ($)) (SIGNATURE |birth| ($ $)) (SIGNATURE |child| ($ $ (|NonNegativeInteger|))) (SIGNATURE |children| ((|List| $) $)) (SIGNATURE |numberOfChildren| ((|NonNegativeInteger|) $)) (SIGNATURE |shallowCopy| ($ $)) (SIGNATURE |deepCopy| ($ $)) (SIGNATURE |merge| ($ $ $)) (SIGNATURE |merge| ($ (|List| $))) (SIGNATURE |separate| ((|List| $) $)) (SIGNATURE |addPoint| ($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|))) (SIGNATURE |addPoint2| ($ $ (|Point| |#2|))) (SIGNATURE |addPointLast| ($ $ $ (|Point| |#2|) (|NonNegativeInteger|))) (SIGNATURE |modifyPoint| ($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|))) (SIGNATURE |addPoint| ($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |modifyPoint| ($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|))) (SIGNATURE |addPoint| ((|NonNegativeInteger|) $ (|Point| |#2|))) (SIGNATURE |modifyPoint| ($ $ (|NonNegativeInteger|) (|Point| |#2|))) (SIGNATURE |closeComponent| ($ $ (|List| (|NonNegativeInteger|)) (|Boolean|))) (SIGNATURE |defineProperty| ($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|))) (SIGNATURE |traverse| ($ $ (|List| (|NonNegativeInteger|)))) (SIGNATURE |extractPoint| ((|Point| |#2|) $)) (SIGNATURE |extractIndex| ((|NonNegativeInteger|) $)) (SIGNATURE |extractClosed| ((|Boolean|) $)) (SIGNATURE |extractProperty| ((|SubSpaceComponentProperty|) $)) (SIGNATURE |level| ((|NonNegativeInteger|) $)) (SIGNATURE |parent| ($ $)) (SIGNATURE |pointData| ((|List| (|Point| |#2|)) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|rhs| ((|#2| $) 11)) (|lhs| ((|#1| $) 10)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|construct| (($ |#1| |#2|) 9)) (|coerce| (((|OutputForm|) $) 16)) (= (((|Boolean|) $ $) NIL))) 
+(((|SuchThat| |#1| |#2|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |construct| ($ |#1| |#2|)) (SIGNATURE |lhs| (|#1| $)) (SIGNATURE |rhs| (|#2| $)))) (|SetCategory|) (|SetCategory|)) (T |SuchThat|)) 
+((|construct| (*1 *1 *2 *3) (AND (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|lhs| (*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *3 (|SetCategory|)))) (|rhs| (*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |construct| ($ |#1| |#2|)) (SIGNATURE |lhs| (|#1| $)) (SIGNATURE |rhs| (|#2| $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 11)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|unitCanonical| (($ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|unit?| (((|Boolean|) $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|truncate| (($ $ (|Integer|)) NIL) (($ $ (|Integer|) (|Integer|)) 66)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|taylorRep| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) 36)) (|taylorIfCan| (((|Union| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) "failed") $) 29)) (|taylor| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) 30)) (|tanh| (($ $) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 83 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) 103 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 79 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sign| (((|Integer|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) NIL)) (|sech| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 87 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) "failed") $) 31) (((|Union| (|Symbol|) "failed") $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Union| (|Integer|) "failed") $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|))))) (|retract| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) 131) (((|Symbol|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Integer|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|))))) (|removeZeroes| (($ $) 34) (($ (|Integer|) $) 35)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (|Matrix| $)) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|:| |vec| (|Vector| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|))))) (|recip| (((|Union| $ "failed") $) 48)) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) 65 (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) 67 (|has| |#1| (|IntegralDomain|)))) (|random| (($) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|positive?| (((|Boolean|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|pole?| (((|Boolean|) $) 25)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|Field|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PatternMatchable| (|Float|))) (|has| |#1| (|Field|))))) (|order| (((|Integer|) $) NIL) (((|Integer|) $ (|Integer|)) 24)) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL (|has| |#1| (|Field|)))) (|numer| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) 38 (|has| |#1| (|Field|)))) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|nextItem| (((|Union| $ "failed") $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|StepThrough|)) (|has| |#1| (|Field|))))) (|negative?| (((|Boolean|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Integer|)) 18) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) NIL)) (|min| (($ $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (|max| (($ $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) $) NIL (|has| |#1| (|Field|)))) (|log| (($ $) 72 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|laurent| (($ (|Integer|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) 33)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|integrate| (($ $) 70 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 71 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|StepThrough|)) (|has| |#1| (|Field|))) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|fractionPart| (($ $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|floor| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Integer|)) 145)) (|exquo| (((|Union| $ "failed") $ $) 49 (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) 73 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|))))) (($ $ (|Symbol|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|InnerEvalable| (|Symbol|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|)) (|List| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|InnerEvalable| (|Symbol|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Equation| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)))) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|Equation| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (|List| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Integer|)) NIL) (($ $ $) 54 (|has| (|Integer|) (|SemiGroup|))) (($ $ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Eltable| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|Mapping| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|Variable| |#2|)) 51) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) 50 (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|List| (|Symbol|))) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))))) (|denominator| (($ $) NIL (|has| |#1| (|Field|)))) (|denom| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) 41 (|has| |#1| (|Field|)))) (|degree| (((|Integer|) $) 37)) (|csch| (($ $) 113 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 89 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 109 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 85 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 105 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 81 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|convert| (((|InputForm|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|Field|)))) (((|Float|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RealConstant|)) (|has| |#1| (|Field|)))) (((|DoubleFloat|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RealConstant|)) (|has| |#1| (|Field|)))) (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|Field|)))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|Field|))))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 149) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) 27) (($ (|Variable| |#2|)) 23) (($ (|Symbol|)) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|)))) (($ (|Fraction| (|Integer|))) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) (|coefficient| ((|#1| $ (|Integer|)) 68)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|CharacteristicNonZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 12)) (|ceiling| (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|atanh| (($ $) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 95 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|asinh| (($ $) 115 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 91 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 99 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Integer|)) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 125 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 101 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 97 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 93 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|abs| (($ $) NIL (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 20 T CONST)) (|One| (($) 16 T CONST)) (D (($ $ (|Mapping| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|List| (|Symbol|))) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))))) (>= (((|Boolean|) $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (> (((|Boolean|) $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (< (((|Boolean|) $ $) NIL (OR (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) 44 (|has| |#1| (|Field|))) (($ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) 45 (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 21)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 53) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|))) (($ $ $) 74 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) 43 (|has| |#1| (|Field|))) (($ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) 42 (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|SparseUnivariateLaurentSeries| |#1| |#2| |#3|) (|Join| (|UnivariateLaurentSeriesConstructorCategory| |#1| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |SparseUnivariateLaurentSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariateLaurentSeriesConstructorCategory| |#1| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((|sum| ((|#2| |#2| (|SegmentBinding| |#2|)) 26) ((|#2| |#2| (|Symbol|)) 28))) 
+(((|FunctionSpaceSum| |#1| |#2|) (CATEGORY |package| (SIGNATURE |sum| (|#2| |#2| (|Symbol|))) (SIGNATURE |sum| (|#2| |#2| (|SegmentBinding| |#2|)))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|FunctionSpace| |#1|) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (T |FunctionSpaceSum|)) 
+((|sum| (*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)))) (|sum| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |sum| (|#2| |#2| (|Symbol|))) (SIGNATURE |sum| (|#2| |#2| (|SegmentBinding| |#2|)))) 
+((|sum| (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))) 30) (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|))) 44) (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 32) (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|)) 36))) 
+(((|RationalFunctionSum| |#1|) (CATEGORY |package| (SIGNATURE |sum| ((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|))) (SIGNATURE |sum| ((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |sum| ((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|)))) (SIGNATURE |sum| ((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))))) (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (T |RationalFunctionSum|)) 
+((|sum| (*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)))) (|sum| (*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Polynomial| *5))) (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|RationalFunctionSum| *5)))) (|sum| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| (|Fraction| (|Polynomial| *5)) (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) (|sum| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Polynomial| *5))))) 
+(CATEGORY |package| (SIGNATURE |sum| ((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|))) (SIGNATURE |sum| ((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |sum| ((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|)))) (SIGNATURE |sum| ((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))))) 
+((|map| (((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)) 13))) 
+(((|SparseUnivariatePolynomialFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)))) (|Ring|) (|Ring|)) (T |SparseUnivariatePolynomialFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|SparseUnivariatePolynomialFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|unvectorise| (($ (|Vector| |#1|)) NIL)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) NIL) (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|tan| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantGcd| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sin| (($ $) 22 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) NIL)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) NIL)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|sech| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sec| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) NIL)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $ $) NIL (|has| |#1| (|CommutativeRing|)))) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|pseudoRemainder| (($ $ $) NIL)) (|pseudoQuotient| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|NonNegativeInteger|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|SingletonAsOrderedSet|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) NIL)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) NIL) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|log| (($ $) 18 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (|has| |#1| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 8)) (|ground| ((|#1| $) 9)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) 20 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#1|) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#1|)) NIL) (($ $ (|SingletonAsOrderedSet|) $) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|))) ((|#1| (|Fraction| $) |#1|) NIL (|has| |#1| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $) NIL (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL) (($ $ (|Mapping| |#1| |#1|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|csch| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|csc| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|coth| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cot| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cosh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|cos| (($ $) 26 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|composite| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) 13) (($ (|Integer|)) NIL) (($ |#1|) 11) (($ (|SingletonAsOrderedSet|)) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|atanh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|atan| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asin| (($ $) 24 (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asech| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|asec| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acsch| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acsc| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acoth| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acot| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acosh| (($ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (|acos| (($ $) 28 (|has| |#1| (|TranscendentalFunctionCategory|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ $) NIL (|has| |#1| (|TranscendentalFunctionCategory|)))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|SparseUnivariatePolynomialExpressions| |#1|) (|Join| (|UnivariatePolynomialCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|TranscendentalFunctionCategory|)) (ATTRIBUTE (|TranscendentalFunctionCategory|)) |noBranch|))) (|Ring|)) (T |SparseUnivariatePolynomialExpressions|)) 
+NIL 
+(|Join| (|UnivariatePolynomialCategory| |#1|) (CATEGORY |package| (IF (|has| |#1| (|TranscendentalFunctionCategory|)) (ATTRIBUTE (|TranscendentalFunctionCategory|)) |noBranch|))) 
+((|squareFree| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) 50)) (|factor| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) 51))) 
+(((|SupFractionFactorizer| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|)))) (SIGNATURE |squareFree| ((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))))) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|GcdDomain|) (|PolynomialCategory| |#3| |#1| |#2|)) (T |SupFractionFactorizer|)) 
+((|squareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) (|factor| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7)))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|)))) (SIGNATURE |squareFree| ((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 30)) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|unvectorise| (($ (|Vector| |#1|)) NIL)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) 59) (((|SparseUnivariatePolynomial| |#1|) $) 48)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 132 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantGcd| (($ $ $) 126 (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 72 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 92 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) 42)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) 43)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|retract| ((|#1| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) NIL)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $ $) 128 (|has| |#1| (|CommutativeRing|)))) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) 57)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#1|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|pseudoRemainder| (($ $ $) 104)) (|pseudoQuotient| (($ $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|primitivePart| (($ $) 133 (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|NonNegativeInteger|) $) 46)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) 117)) (|order| (((|NonNegativeInteger|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) 32)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#1| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|SingletonAsOrderedSet|)) 50) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) 66)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) 34)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 64) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) NIL) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 121)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) NIL)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) 53)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) NIL (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) 41)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (|has| |#1| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) 33)) (|ground| ((|#1| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 80 (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|GcdDomain|))) (($ $ $) 135 (|has| |#1| (|GcdDomain|)))) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) 99)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 78 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 77 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) 85 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 131 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 100 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#1|) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#1|)) NIL) (($ $ (|SingletonAsOrderedSet|) $) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ |#1|) 119) (($ $ $) 120) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|))) ((|#1| (|Fraction| $) |#1|) NIL (|has| |#1| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) NIL (|has| |#1| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) 37)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 137 (|has| |#1| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|CommutativeRing|))) ((|#1| $) 124 (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL) (($ $ (|Mapping| |#1| |#1|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) 55) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) 130 (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|composite| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) NIL (|has| |#1| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) 118) (($ (|Integer|)) NIL) (($ |#1|) 54) (($ (|SingletonAsOrderedSet|)) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 28 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 15) (($ $ (|NonNegativeInteger|)) 16)) (|Zero| (($) 17 T CONST)) (|One| (($) 18 T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#1| |#1|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 97)) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) 138 (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 67)) (** (($ $ (|PositiveInteger|)) 14) (($ $ (|NonNegativeInteger|)) 12)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 27) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
+(((|SparseUnivariatePolynomial| |#1|) (|Join| (|UnivariatePolynomialCategory| |#1|) (CATEGORY |domain| (SIGNATURE |outputForm| ((|OutputForm|) $ (|OutputForm|))) (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#1| $)))) (|Ring|)) (T |SparseUnivariatePolynomial|)) 
+((|outputForm| (*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) (|fmecg| (*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|UnivariatePolynomialCategory| |#1|) (CATEGORY |domain| (SIGNATURE |outputForm| ((|OutputForm|) $ (|OutputForm|))) (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#1| $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 11)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|) "failed") $) 32) (((|Union| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) "failed") $) 35)) (|retract| (((|SparseUnivariateLaurentSeries| |#1| |#2| |#3|) $) NIL) (((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalPower| (((|Fraction| (|Integer|)) $) 55)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|puiseux| (($ (|Fraction| (|Integer|)) (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|)) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) NIL) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL) (($ $ (|Fraction| (|Integer|))) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) 19) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|laurentRep| (((|SparseUnivariateLaurentSeries| |#1| |#2| |#3|) $) 40)) (|laurentIfCan| (((|Union| (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|) "failed") $) NIL)) (|laurent| (((|SparseUnivariateLaurentSeries| |#1| |#2| |#3|) $) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|integrate| (($ $) 38 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 39 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) NIL) (($ $ $) NIL (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 36 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $ (|Variable| |#2|)) 37)) (|degree| (((|Fraction| (|Integer|)) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 58) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|)) 29) (($ (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) 30) (($ (|Variable| |#2|)) 25) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 12)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 21 T CONST)) (|One| (($) 16 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 23)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|SparseUnivariatePuiseuxSeries| |#1| |#2| |#3|) (|Join| (|UnivariatePuiseuxSeriesConstructorCategory| |#1| (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|)) (|RetractableTo| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |SparseUnivariatePuiseuxSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariatePuiseuxSeriesConstructorCategory| |#1| (|SparseUnivariateLaurentSeries| |#1| |#2| |#3|)) (|RetractableTo| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 124)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 115)) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) 62)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|NonNegativeInteger|)) 78) (($ $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 75)) (|terms| (((|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|))) $) 101)) (|tanh| (($ $) 168 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 144 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) 164 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 140 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) 114) (($ (|Stream| |#1|)) 109)) (|sech| (($ $) 172 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 148 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) 23)) (|quoByVar| (($ $) 26)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) 74) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 76)) (|pole?| (((|Boolean|) $) 119)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $) 121) (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 123)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 13) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|integrate| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 129 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|extend| (($ $ (|NonNegativeInteger|)) 15)) (|exquo| (((|Union| $ "failed") $ $) 24 (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))))) (|elt| ((|#1| $ (|NonNegativeInteger|)) 118) (($ $ $) 127 (|has| (|NonNegativeInteger|) (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) 27 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $ (|Variable| |#2|)) 29)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|csch| (($ $) 174 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 150 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 170 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 146 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 166 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 142 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 200) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) 125 (|has| |#1| (|CommutativeRing|))) (($ (|UnivariatePolynomial| |#2| |#1|)) 50) (($ (|Variable| |#2|)) 32)) (|coefficients| (((|Stream| |#1|) $) 97)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 117)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 53)) (|atanh| (($ $) 180 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 156 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 176 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 152 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 184 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 160 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 186 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 162 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 182 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 158 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 178 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 154 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 17 T CONST)) (|One| (($) 19 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) 193)) (+ (($ $ $) 31)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ |#1|) 197 (|has| |#1| (|Field|))) (($ $ $) 133 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|SparseUnivariateTaylorSeries| |#1| |#2| |#3|) (|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |SparseUnivariateTaylorSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)))) (|univariatePolynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((|coerce| (((|OutputForm|) $) 22) (($ (|Symbol|)) 24)) (OR (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 35)) (NOT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 28) (($ $) 29)) (LT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 30)) (LE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 32)) (GT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 31)) (GE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 33)) (EQ (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 36)) (AND (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) 34))) 
+(((|Switch|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE LT ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE GT ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE LE ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE GE ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE OR ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE EQ ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE AND ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE NOT ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE NOT ($ $))))) (T |Switch|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Switch|)))) (LT (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (GT (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (LE (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (GE (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (OR (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (EQ (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (AND (*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (NOT (*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|)))) (NOT (*1 *1 *1) (|isDomain| *1 (|Switch|)))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE LT ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE GT ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE LE ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE GE ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE OR ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE EQ ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE AND ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE NOT ($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)))) (SIGNATURE NOT ($ $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|superscript| (($ $ (|List| (|OutputForm|))) 58)) (|subscript| (($ $ (|List| (|OutputForm|))) 56)) (|string| (((|String|) $) 82)) (|scripts| (((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $) 85)) (|scripted?| (((|Boolean|) $) 21)) (|script| (($ $ (|List| (|List| (|OutputForm|)))) 54) (($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) 80)) (|sample| (($) 122 T CONST)) (|resetNew| (((|Void|)) 103)) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 65) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 71)) (|new| (($) 92) (($ $) 98)) (|name| (($ $) 81)) (|min| (($ $ $) NIL)) (|max| (($ $ $) NIL)) (|list| (((|List| $) $) 104)) (|latex| (((|String|) $) 87)) (|hash| (((|SingleInteger|) $) NIL)) (|elt| (($ $ (|List| (|OutputForm|))) 57)) (|convert| (((|InputForm|) $) 45) (((|Symbol|) $) 46) (((|Pattern| (|Integer|)) $) 75) (((|Pattern| (|Float|)) $) 73)) (|coerce| (((|OutputForm|) $) 52) (($ (|String|)) 47)) (|argscript| (($ $ (|List| (|OutputForm|))) 59)) (|OMwrite| (((|String|) $) 33) (((|String|) $ (|Boolean|)) 34) (((|Void|) (|OpenMathDevice|) $) 35) (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) 36)) (>= (((|Boolean|) $ $) NIL)) (> (((|Boolean|) $ $) NIL)) (= (((|Boolean|) $ $) 48)) (<= (((|Boolean|) $ $) NIL)) (< (((|Boolean|) $ $) 49))) 
+(((|Symbol|) (|Join| (|OrderedSet|) (|ConvertibleTo| (|InputForm|)) (|OpenMath|) (|ConvertibleTo| (|Symbol|)) (|ConvertibleTo| (|Pattern| (|Integer|))) (|ConvertibleTo| (|Pattern| (|Float|))) (|PatternMatchable| (|Integer|)) (|PatternMatchable| (|Float|)) (CATEGORY |domain| (SIGNATURE |new| ($)) (SIGNATURE |new| ($ $)) (SIGNATURE |resetNew| ((|Void|))) (SIGNATURE |coerce| ($ (|String|))) (SIGNATURE |name| ($ $)) (SIGNATURE |scripted?| ((|Boolean|) $)) (SIGNATURE |scripts| ((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $)) (SIGNATURE |script| ($ $ (|List| (|List| (|OutputForm|))))) (SIGNATURE |script| ($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))))) (SIGNATURE |subscript| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |superscript| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |argscript| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |elt| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |string| ((|String|) $)) (SIGNATURE |list| ((|List| $) $)) (SIGNATURE |sample| ($) |constant|)))) (T |Symbol|)) 
+((|new| (*1 *1) (|isDomain| *1 (|Symbol|))) (|new| (*1 *1 *1) (|isDomain| *1 (|Symbol|))) (|resetNew| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Symbol|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|)))) (|name| (*1 *1 *1) (|isDomain| *1 (|Symbol|))) (|scripted?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Symbol|)))) (|scripts| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|)))) (|script| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|Symbol|)))) (|script| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|)))) (|subscript| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) (|superscript| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) (|argscript| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) (|string| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|)))) (|list| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Symbol|)))) (|sample| (*1 *1) (|isDomain| *1 (|Symbol|)))) 
+(|Join| (|OrderedSet|) (|ConvertibleTo| (|InputForm|)) (|OpenMath|) (|ConvertibleTo| (|Symbol|)) (|ConvertibleTo| (|Pattern| (|Integer|))) (|ConvertibleTo| (|Pattern| (|Float|))) (|PatternMatchable| (|Integer|)) (|PatternMatchable| (|Float|)) (CATEGORY |domain| (SIGNATURE |new| ($)) (SIGNATURE |new| ($ $)) (SIGNATURE |resetNew| ((|Void|))) (SIGNATURE |coerce| ($ (|String|))) (SIGNATURE |name| ($ $)) (SIGNATURE |scripted?| ((|Boolean|) $)) (SIGNATURE |scripts| ((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $)) (SIGNATURE |script| ($ $ (|List| (|List| (|OutputForm|))))) (SIGNATURE |script| ($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))))) (SIGNATURE |subscript| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |superscript| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |argscript| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |elt| ($ $ (|List| (|OutputForm|)))) (SIGNATURE |string| ((|String|) $)) (SIGNATURE |list| ((|List| $) $)) (SIGNATURE |sample| ($) |constant|))) 
+((|symFunc| (((|Vector| |#1|) |#1| (|PositiveInteger|)) 16) (((|Vector| |#1|) (|List| |#1|)) 20))) 
+(((|SymmetricFunctions| |#1|) (CATEGORY |package| (SIGNATURE |symFunc| ((|Vector| |#1|) (|List| |#1|))) (SIGNATURE |symFunc| ((|Vector| |#1|) |#1| (|PositiveInteger|)))) (|Ring|)) (T |SymmetricFunctions|)) 
+((|symFunc| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|SymmetricFunctions| *3)) (|ofCategory| *3 (|Ring|)))) (|symFunc| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|SymmetricFunctions| *4))))) 
+(CATEGORY |package| (SIGNATURE |symFunc| ((|Vector| |#1|) (|List| |#1|))) (SIGNATURE |symFunc| ((|Vector| |#1|) |#1| (|PositiveInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| |#1| "failed") $) NIL)) (|retract| (((|Integer|) $) NIL (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) ((|#1| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|primitivePart| (($ $) NIL (|has| |#1| (|GcdDomain|)))) (|pomopo!| (($ $ |#1| (|Partition|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Partition|)) NIL)) (|minimumDegree| (((|Partition|) $) NIL)) (|mapExponents| (($ (|Mapping| (|Partition|) (|Partition|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#1| $) NIL)) (|fmecg| (($ $ (|Partition|) |#1| $) NIL (AND (|has| (|Partition|) (|CancellationAbelianMonoid|)) (|has| |#1| (|IntegralDomain|))))) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ |#1|) NIL (|has| |#1| (|IntegralDomain|)))) (|degree| (((|Partition|) $) NIL)) (|content| ((|#1| $) NIL (|has| |#1| (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|Partition|)) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 9 T CONST)) (|One| (($) 14 T CONST)) (= (((|Boolean|) $ $) 16)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 19)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|SymmetricPolynomial| |#1|) (|Join| (|FiniteAbelianMonoidRing| |#1| (|Partition|)) (CATEGORY |domain| (IF (|has| |#1| (|IntegralDomain|)) (IF (|has| (|Partition|) (|CancellationAbelianMonoid|)) (SIGNATURE |fmecg| ($ $ (|Partition|) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|))) (|Ring|)) (T |SymmetricPolynomial|)) 
+((|fmecg| (*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Partition|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|isDomain| *1 (|SymmetricPolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|FiniteAbelianMonoidRing| |#1| (|Partition|)) (CATEGORY |domain| (IF (|has| |#1| (|IntegralDomain|)) (IF (|has| (|Partition|) (|CancellationAbelianMonoid|)) (SIGNATURE |fmecg| ($ $ (|Partition|) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|))) 
+((|symbolTableOf| (((|SymbolTable|) (|Symbol|) $) 24)) (|showTheSymbolTable| (($) 28)) (|returnTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $) 21)) (|returnType!| (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) 40) (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) 41) (((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) 42)) (|printTypes| (((|Void|) (|Symbol|)) 57)) (|printHeader| (((|Void|) (|Symbol|) $) 54) (((|Void|) (|Symbol|)) 55) (((|Void|)) 56)) (|newSubProgram| (((|Void|) (|Symbol|)) 36)) (|endSubProgram| (((|Symbol|)) 35)) (|empty| (($) 33)) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $) 44) (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $) 48) (((|FortranType|) (|Symbol|) (|FortranType|)) 45) (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|)) 49)) (|currentSubProgram| (((|Symbol|)) 34)) (|coerce| (((|OutputForm|) $) 27)) (|clearTheSymbolTable| (((|Void|)) 29) (((|Void|) (|Symbol|)) 32)) (|argumentListOf| (((|List| (|Symbol|)) (|Symbol|) $) 23)) (|argumentList!| (((|Void|) (|Symbol|) (|List| (|Symbol|)) $) 37) (((|Void|) (|Symbol|) (|List| (|Symbol|))) 38) (((|Void|) (|List| (|Symbol|))) 39))) 
+(((|TheSymbolTable|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |showTheSymbolTable| ($)) (SIGNATURE |clearTheSymbolTable| ((|Void|))) (SIGNATURE |clearTheSymbolTable| ((|Void|) (|Symbol|))) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $)) (SIGNATURE |declare!| ((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $)) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|))) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|))) (SIGNATURE |newSubProgram| ((|Void|) (|Symbol|))) (SIGNATURE |currentSubProgram| ((|Symbol|))) (SIGNATURE |endSubProgram| ((|Symbol|))) (SIGNATURE |argumentList!| ((|Void|) (|Symbol|) (|List| (|Symbol|)) $)) (SIGNATURE |argumentList!| ((|Void|) (|Symbol|) (|List| (|Symbol|)))) (SIGNATURE |argumentList!| ((|Void|) (|List| (|Symbol|)))) (SIGNATURE |returnType!| ((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $)) (SIGNATURE |returnType!| ((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")))) (SIGNATURE |returnType!| ((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")))) (SIGNATURE |printHeader| ((|Void|) (|Symbol|) $)) (SIGNATURE |printHeader| ((|Void|) (|Symbol|))) (SIGNATURE |printHeader| ((|Void|))) (SIGNATURE |printTypes| ((|Void|) (|Symbol|))) (SIGNATURE |empty| ($)) (SIGNATURE |returnTypeOf| ((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $)) (SIGNATURE |argumentListOf| ((|List| (|Symbol|)) (|Symbol|) $)) (SIGNATURE |symbolTableOf| ((|SymbolTable|) (|Symbol|) $))))) (T |TheSymbolTable|)) 
+((|showTheSymbolTable| (*1 *1) (|isDomain| *1 (|TheSymbolTable|))) (|clearTheSymbolTable| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|clearTheSymbolTable| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|declare!| (*1 *2 *3 *2 *3 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) (|declare!| (*1 *2 *3 *2 *4 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) (|declare!| (*1 *2 *3 *2) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) (|declare!| (*1 *2 *3 *2 *3) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) (|newSubProgram| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|currentSubProgram| (*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) (|endSubProgram| (*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) (|argumentList!| (*1 *2 *3 *4 *1) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|argumentList!| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|argumentList!| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|returnType!| (*1 *2 *3 *4 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|returnType!| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|returnType!| (*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|printHeader| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|printHeader| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|printHeader| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|printTypes| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) (|empty| (*1 *1) (|isDomain| *1 (|TheSymbolTable|))) (|returnTypeOf| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|TheSymbolTable|)))) (|argumentListOf| (*1 *2 *3 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)))) (|symbolTableOf| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SymbolTable|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |showTheSymbolTable| ($)) (SIGNATURE |clearTheSymbolTable| ((|Void|))) (SIGNATURE |clearTheSymbolTable| ((|Void|) (|Symbol|))) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $)) (SIGNATURE |declare!| ((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $)) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|))) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|))) (SIGNATURE |newSubProgram| ((|Void|) (|Symbol|))) (SIGNATURE |currentSubProgram| ((|Symbol|))) (SIGNATURE |endSubProgram| ((|Symbol|))) (SIGNATURE |argumentList!| ((|Void|) (|Symbol|) (|List| (|Symbol|)) $)) (SIGNATURE |argumentList!| ((|Void|) (|Symbol|) (|List| (|Symbol|)))) (SIGNATURE |argumentList!| ((|Void|) (|List| (|Symbol|)))) (SIGNATURE |returnType!| ((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $)) (SIGNATURE |returnType!| ((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")))) (SIGNATURE |returnType!| ((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")))) (SIGNATURE |printHeader| ((|Void|) (|Symbol|) $)) (SIGNATURE |printHeader| ((|Void|) (|Symbol|))) (SIGNATURE |printHeader| ((|Void|))) (SIGNATURE |printTypes| ((|Void|) (|Symbol|))) (SIGNATURE |empty| ($)) (SIGNATURE |returnTypeOf| ((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $)) (SIGNATURE |argumentListOf| ((|List| (|Symbol|)) (|Symbol|) $)) (SIGNATURE |symbolTableOf| ((|SymbolTable|) (|Symbol|) $)))) 
+((|typeLists| (((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $) 57)) (|typeList| (((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $) 40)) (|symbolTable| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) 15)) (|printTypes| (((|Void|) $) 65)) (|parametersOf| (((|List| (|Symbol|)) $) 20)) (|newTypeLists| (((|SExpression|) $) 53)) (|fortranTypeOf| (((|FortranType|) (|Symbol|) $) 27)) (|externalList| (((|List| (|Symbol|)) $) 30)) (|empty| (($) 17)) (|declare!| (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $) 25) (((|FortranType|) (|Symbol|) (|FortranType|) $) 24)) (|coerce| (((|OutputForm|) $) 9) (((|Table| (|Symbol|) (|FortranType|)) $) 11))) 
+(((|SymbolTable|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Table| (|Symbol|) (|FortranType|)) $)) (SIGNATURE |empty| ($)) (SIGNATURE |declare!| ((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $)) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|) $)) (SIGNATURE |fortranTypeOf| ((|FortranType|) (|Symbol|) $)) (SIGNATURE |parametersOf| ((|List| (|Symbol|)) $)) (SIGNATURE |typeList| ((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $)) (SIGNATURE |externalList| ((|List| (|Symbol|)) $)) (SIGNATURE |typeLists| ((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $)) (SIGNATURE |newTypeLists| ((|SExpression|) $)) (SIGNATURE |printTypes| ((|Void|) $)) (SIGNATURE |symbolTable| ($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))))))) (T |SymbolTable|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Table| (|Symbol|) (|FortranType|))) (|isDomain| *1 (|SymbolTable|)))) (|empty| (*1 *1) (|isDomain| *1 (|SymbolTable|))) (|declare!| (*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|)))) (|declare!| (*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|SymbolTable|)))) (|fortranTypeOf| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|FortranType|)) (|isDomain| *1 (|SymbolTable|)))) (|parametersOf| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|)))) (|typeList| (*1 *2 *3 *1) (AND (|isDomain| *3 (|FortranScalarType|)) (|isDomain| *2 (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) (|isDomain| *1 (|SymbolTable|)))) (|externalList| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|)))) (|typeLists| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))))) (|isDomain| *1 (|SymbolTable|)))) (|newTypeLists| (*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|SymbolTable|)))) (|printTypes| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SymbolTable|)))) (|symbolTable| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) (|isDomain| *1 (|SymbolTable|))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Table| (|Symbol|) (|FortranType|)) $)) (SIGNATURE |empty| ($)) (SIGNATURE |declare!| ((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $)) (SIGNATURE |declare!| ((|FortranType|) (|Symbol|) (|FortranType|) $)) (SIGNATURE |fortranTypeOf| ((|FortranType|) (|Symbol|) $)) (SIGNATURE |parametersOf| ((|List| (|Symbol|)) $)) (SIGNATURE |typeList| ((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $)) (SIGNATURE |externalList| ((|List| (|Symbol|)) $)) (SIGNATURE |typeLists| ((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $)) (SIGNATURE |newTypeLists| ((|SExpression|) $)) (SIGNATURE |printTypes| ((|Void|) $)) (SIGNATURE |symbolTable| ($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|)))))))) 
+((|triangularSystems| (((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) 55)) (|solve| (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) 66) (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|))) 62) (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) 67) (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) 61) (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) 91) (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|)))) 90) (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) 92) (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) 89))) 
+(((|SystemSolvePackage| |#1|) (CATEGORY |package| (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |triangularSystems| ((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))))) (|IntegralDomain|)) (T |SystemSolvePackage|)) 
+((|triangularSystems| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Polynomial| *5)))) (|isDomain| *1 (|SystemSolvePackage| *5)))) (|solve| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))))) (|solve| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Fraction| (|Polynomial| *4))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) (|solve| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))))) (|solve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))))) (|solve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5))))) 
+(CATEGORY |package| (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |solve| ((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)))) (SIGNATURE |solve| ((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))))) (SIGNATURE |triangularSystems| ((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))))) 
+((|untab| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) 38)) (|tab1| (((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|))) 24)) (|tab| (((|Tableau| (|List| |#1|)) (|List| |#1|)) 34)) (|slex| (((|List| (|List| |#1|)) (|List| |#1|)) 30)) (|mr| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))) 37)) (|maxrow| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|)))) 36)) (|lex| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) 28)) (|inverse| (((|List| |#1|) (|List| |#1|)) 31)) (|bumptab1| (((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|)))) 18)) (|bumptab| (((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|)))) 15)) (|bumprow| (((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|))) 13)) (|bat1| (((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) 39)) (|bat| (((|List| (|List| |#1|)) (|Tableau| (|List| |#1|))) 41))) 
+(((|TableauxBumpers| |#1|) (CATEGORY |package| (SIGNATURE |bumprow| ((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|)))) (SIGNATURE |bumptab| ((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|))))) (SIGNATURE |bumptab1| ((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|))))) (SIGNATURE |untab| ((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))))) (SIGNATURE |bat1| ((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))))) (SIGNATURE |bat| ((|List| (|List| |#1|)) (|Tableau| (|List| |#1|)))) (SIGNATURE |tab1| ((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)))) (SIGNATURE |tab| ((|Tableau| (|List| |#1|)) (|List| |#1|))) (SIGNATURE |lex| ((|List| (|List| |#1|)) (|List| (|List| |#1|)))) (SIGNATURE |slex| ((|List| (|List| |#1|)) (|List| |#1|))) (SIGNATURE |inverse| ((|List| |#1|) (|List| |#1|))) (SIGNATURE |maxrow| ((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))))) (SIGNATURE |mr| ((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))))) (|OrderedSet|)) (T |TableauxBumpers|)) 
+((|mr| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |f1| (|List| *4)) (|:| |f2| (|List| (|List| (|List| *4)))) (|:| |f3| (|List| (|List| *4))) (|:| |f4| (|List| (|List| (|List| *4)))))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| (|List| *4)))))) (|maxrow| (*1 *2 *3 *4 *5 *4 *4 *4) (AND (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *3 (|List| *6)) (|isDomain| *5 (|List| *3)) (|isDomain| *2 (|Record| (|:| |f1| *3) (|:| |f2| (|List| *5)) (|:| |f3| *5) (|:| |f4| (|List| *5)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *4 (|List| *5)))) (|inverse| (*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3)))) (|slex| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4)))) (|lex| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3)))) (|tab| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Tableau| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4)))) (|tab1| (*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| *4))))) (|bat| (*1 *2 *3) (AND (|isDomain| *3 (|Tableau| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)))) (|bat1| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|ofCategory| *4 (|OrderedSet|)))) (|untab| (*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4)))) (|bumptab1| (*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4)))) (|bumptab| (*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *5)))) (|bumprow| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *4 (|List| *6)) (|isDomain| *2 (|Record| (|:| |fs| (|Boolean|)) (|:| |sd| *4) (|:| |td| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *5 (|List| *4))))) 
+(CATEGORY |package| (SIGNATURE |bumprow| ((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|)))) (SIGNATURE |bumptab| ((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|))))) (SIGNATURE |bumptab1| ((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|))))) (SIGNATURE |untab| ((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))))) (SIGNATURE |bat1| ((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))))) (SIGNATURE |bat| ((|List| (|List| |#1|)) (|Tableau| (|List| |#1|)))) (SIGNATURE |tab1| ((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)))) (SIGNATURE |tab| ((|Tableau| (|List| |#1|)) (|List| |#1|))) (SIGNATURE |lex| ((|List| (|List| |#1|)) (|List| (|List| |#1|)))) (SIGNATURE |slex| ((|List| (|List| |#1|)) (|List| |#1|))) (SIGNATURE |inverse| ((|List| |#1|) (|List| |#1|))) (SIGNATURE |maxrow| ((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))))) (SIGNATURE |mr| ((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))))) 
+((|tableau| (($ (|List| (|List| |#1|))) 9)) (|listOfLists| (((|List| (|List| |#1|)) $) 10)) (|coerce| (((|OutputForm|) $) 25))) 
+(((|Tableau| |#1|) (CATEGORY |domain| (SIGNATURE |tableau| ($ (|List| (|List| |#1|)))) (SIGNATURE |listOfLists| ((|List| (|List| |#1|)) $)) (SIGNATURE |coerce| ((|OutputForm|) $))) (|SetCategory|)) (T |Tableau|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|)))) (|listOfLists| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|)))) (|tableau| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tableau| *3))))) 
+(CATEGORY |domain| (SIGNATURE |tableau| ($ (|List| (|List| |#1|)))) (SIGNATURE |listOfLists| ((|List| (|List| |#1|)) $)) (SIGNATURE |coerce| ((|OutputForm|) $))) 
+((~= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|table| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|swap!| (((|Void|) $ |#1| |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#2| $ |#1| |#2|) NIL)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) NIL)) (|sample| (($) NIL T CONST)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) NIL)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|maxIndex| ((|#1| $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL) (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|keys| (((|List| |#1|) $) NIL)) (|key?| (((|Boolean|) |#1| $) NIL)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|indices| (((|List| |#1|) $) NIL)) (|index?| (((|Boolean|) |#1| $) NIL)) (|hash| (((|SingleInteger|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|first| ((|#2| $) NIL (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL)) (|fill!| (($ $ |#2|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (|dictionary| (($) NIL) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (((|NonNegativeInteger|) |#2| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|coerce| (((|OutputForm|) $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) NIL (OR (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| |#2| (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Table| |#1| |#2|) (|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) (|SetCategory|) (|SetCategory|)) (T |Table|)) 
+NIL 
+(|Join| (|TableAggregate| |#1| |#2|) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))) 
+((|tanSum| ((|#1| (|List| |#1|)) 32)) (|tanNa| ((|#1| |#1| (|Integer|)) 18)) (|tanAn| (((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|)) 15))) 
+(((|TangentExpansions| |#1|) (CATEGORY |package| (SIGNATURE |tanSum| (|#1| (|List| |#1|))) (SIGNATURE |tanAn| ((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|))) (SIGNATURE |tanNa| (|#1| |#1| (|Integer|)))) (|Field|)) (T |TangentExpansions|)) 
+((|tanNa| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|)))) (|tanAn| (*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|TangentExpansions| *3)) (|ofCategory| *3 (|Field|)))) (|tanSum| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
+(CATEGORY |package| (SIGNATURE |tanSum| (|#1| (|List| |#1|))) (SIGNATURE |tanAn| ((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|))) (SIGNATURE |tanNa| (|#1| |#1| (|Integer|)))) 
+((|table| (($) 10) (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) 14)) (|remove!| (($ (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) $) 60) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) NIL) (((|Union| |#3| "failed") |#2| $) NIL)) (|parts| (((|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) 39) (((|List| |#3|) $) 41)) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) 52) (($ (|Mapping| |#3| |#3|) $) 33)) (|map| (($ (|Mapping| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) 50) (($ (|Mapping| |#3| |#3|) $) NIL) (($ (|Mapping| |#3| |#3| |#3|) $ $) 38)) (|inspect| (((|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) $) 53)) (|insert!| (($ (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) $) 16)) (|indices| (((|List| |#2|) $) 19)) (|index?| (((|Boolean|) |#2| $) 58)) (|find| (((|Union| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) 57)) (|extract!| (((|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) $) 62)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) NIL) (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) 65)) (|entries| (((|List| |#3|) $) 43)) (|elt| ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) NIL) (((|NonNegativeInteger|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) $) NIL) (((|NonNegativeInteger|) |#3| $) NIL) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) $) 66)) (|coerce| (((|OutputForm|) $) 27)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) $) NIL) (((|Boolean|) (|Mapping| (|Boolean|) |#3|) $) 64)) (= (((|Boolean|) $ $) 48))) 
+(((|TableAggregate&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#3| |#3| |#3|) |#1| |#1|)) (SIGNATURE |table| (|#1| (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))))) (SIGNATURE |table| (|#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#3|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#3|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) |#1|)) (SIGNATURE |parts| ((|List| |#3|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#3| |#1|)) (SIGNATURE |elt| (|#3| |#1| |#2| |#3|)) (SIGNATURE |elt| (|#3| |#1| |#2|)) (SIGNATURE |entries| ((|List| |#3|) |#1|)) (SIGNATURE |index?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |indices| ((|List| |#2|) |#1|)) (SIGNATURE |remove!| ((|Union| |#3| "failed") |#2| |#1|)) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |remove!| (|#1| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |find| ((|Union| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |inspect| ((|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |insert!| (|#1| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |extract!| ((|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |parts| ((|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|))) (|TableAggregate| |#2| |#3|) (|SetCategory|) (|SetCategory|)) (T |TableAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#3| |#3| |#3|) |#1| |#1|)) (SIGNATURE |table| (|#1| (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))))) (SIGNATURE |table| (|#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#3| |#3|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#3|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#3|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#3|) |#1|)) (SIGNATURE |parts| ((|List| |#3|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#3| |#1|)) (SIGNATURE |elt| (|#3| |#1| |#2| |#3|)) (SIGNATURE |elt| (|#3| |#1| |#2|)) (SIGNATURE |entries| ((|List| |#3|) |#1|)) (SIGNATURE |index?| ((|Boolean|) |#2| |#1|)) (SIGNATURE |indices| ((|List| |#2|) |#1|)) (SIGNATURE |remove!| ((|Union| |#3| "failed") |#2| |#1|)) (SIGNATURE |remove!| (|#1| (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |remove!| (|#1| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |find| ((|Union| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |inspect| ((|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |insert!| (|#1| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |extract!| ((|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) |#1|)) (SIGNATURE |parts| ((|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)) (|Record| (|:| |key| |#2|) (|:| |entry| |#3|))) |#1|))) 
+((~= (((|Boolean|) $ $) 18 (OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|table| (($) 66) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 65)) (|swap!| (((|Void|) $ |#1| |#1|) 93 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#2| $ |#1| |#2|) 67)) (|select!| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 42 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|select| (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|search| (((|Union| |#2| "failed") |#1| $) 57)) (|sample| (($) 7 T CONST)) (|removeDuplicates| (($ $) 55 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 44 (|has| $ (ATTRIBUTE |finiteAggregate|))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 43 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#2| "failed") |#1| $) 58)) (|remove| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 54 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 53 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 50 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#2| $ |#1| |#2|) 81 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#2| $ |#1|) 82)) (|parts| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) 73 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| ((|#1| $) 90 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|List| |#2|) $) 74 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 27 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|Boolean|) |#2| $) 76 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| ((|#1| $) 89 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ (|Mapping| |#2| |#2|) $) 69 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 35) (($ (|Mapping| |#2| |#2|) $) 68) (($ (|Mapping| |#2| |#2| |#2|) $ $) 64)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|latex| (((|String|) $) 22 (OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|keys| (((|List| |#1|) $) 59)) (|key?| (((|Boolean|) |#1| $) 60)) (|inspect| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 36)) (|insert!| (($ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 37)) (|indices| (((|List| |#1|) $) 87)) (|index?| (((|Boolean|) |#1| $) 86)) (|hash| (((|SingleInteger|) $) 21 (OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|first| ((|#2| $) 91 (|has| |#1| (|OrderedSet|)))) (|find| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 48)) (|fill!| (($ $ |#2|) 92 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|extract!| (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 38)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 71 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 26 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Equation| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 25 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) 24 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 23 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)))) (($ $ (|List| |#2|) (|List| |#2|)) 80 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ |#2| |#2|) 79 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|Equation| |#2|)) 78 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|)))) (($ $ (|List| (|Equation| |#2|))) 77 (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#2| $) 88 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#2| (|SetCategory|))))) (|entries| (((|List| |#2|) $) 85)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (|dictionary| (($) 46) (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 45)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) $) 28 (AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) |#2| $) 75 (AND (|has| |#2| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 72 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 56 (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 47)) (|coerce| (((|OutputForm|) $) 20 (OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|bag| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) 39)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|TableAggregate| |#1| |#2|) (|Category|) (|SetCategory|) (|SetCategory|)) (T |TableAggregate|)) 
+((|setelt| (*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|TableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) (|table| (*1 *1) (AND (|ofCategory| *1 (|TableAggregate| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) (|table| (*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| *3) (|:| |entry| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *1 (|TableAggregate| *3 *4)))) (|map| (*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *4 *4 *4)) (|ofCategory| *1 (|TableAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(|Join| (|KeyedDictionary| |t#1| |t#2|) (|IndexedAggregate| |t#1| |t#2|) (CATEGORY |domain| (SIGNATURE |setelt| (|t#2| $ |t#1| |t#2|)) (SIGNATURE |table| ($)) (SIGNATURE |table| ($ (|List| (|Record| (|:| |key| |t#1|) (|:| |entry| |t#2|))))) (SIGNATURE |map| ($ (|Mapping| |t#2| |t#2| |t#2|) $ $)))) 
+(((|Aggregate|) . T) ((|BagAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|BasicType|) OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|Collection| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|ConvertibleTo| (|InputForm|)) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|ConvertibleTo| (|InputForm|))) ((|Dictionary| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|DictionaryOperations| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|Eltable| |#1| |#2|) . T) ((|EltableAggregate| |#1| |#2|) . T) ((|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|Evalable| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|HomogeneousAggregate| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) . T) ((|HomogeneousAggregate| |#2|) . T) ((|IndexedAggregate| |#1| |#2|) . T) ((|InnerEvalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) AND (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|InnerEvalable| |#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) ((|KeyedDictionary| |#1| |#2|) . T) ((|SetCategory|) OR (|has| |#2| (|SetCategory|)) (|has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|SetCategory|))) ((|Type|) . T)) 
+((|usingTable?| (((|Boolean|)) 24)) (|startStats!| (((|Void|) (|String|)) 26)) (|printingInfo?| (((|Boolean|)) 36)) (|printStats!| (((|Void|)) 34)) (|printInfo!| (((|Void|) (|String|) (|String|)) 25)) (|makingStats?| (((|Boolean|)) 37)) (|insert!| (((|Void|) |#1| |#2|) 44)) (|initTable!| (((|Void|)) 20)) (|extractIfCan| (((|Union| |#2| "failed") |#1|) 42)) (|clearTable!| (((|Void|)) 35))) 
+(((|TabulatedComputationPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |initTable!| ((|Void|))) (SIGNATURE |printInfo!| ((|Void|) (|String|) (|String|))) (SIGNATURE |startStats!| ((|Void|) (|String|))) (SIGNATURE |printStats!| ((|Void|))) (SIGNATURE |clearTable!| ((|Void|))) (SIGNATURE |usingTable?| ((|Boolean|))) (SIGNATURE |printingInfo?| ((|Boolean|))) (SIGNATURE |makingStats?| ((|Boolean|))) (SIGNATURE |extractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |insert!| ((|Void|) |#1| |#2|))) (|SetCategory|) (|SetCategory|)) (T |TabulatedComputationPackage|)) 
+((|insert!| (*1 *2 *3 *4) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|extractIfCan| (*1 *2 *3) (|partial| AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *2)) (|ofCategory| *3 (|SetCategory|)))) (|makingStats?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|printingInfo?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|usingTable?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|clearTable!| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|printStats!| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) (|startStats!| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)))) (|printInfo!| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)))) (|initTable!| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |initTable!| ((|Void|))) (SIGNATURE |printInfo!| ((|Void|) (|String|) (|String|))) (SIGNATURE |startStats!| ((|Void|) (|String|))) (SIGNATURE |printStats!| ((|Void|))) (SIGNATURE |clearTable!| ((|Void|))) (SIGNATURE |usingTable?| ((|Boolean|))) (SIGNATURE |printingInfo?| ((|Boolean|))) (SIGNATURE |makingStats?| ((|Boolean|))) (SIGNATURE |extractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |insert!| ((|Void|) |#1| |#2|))) 
+((|stripCommentsAndBlanks| (((|String|) (|String|)) 18)) (|interpretString| (((|Any|) (|String|)) 21))) 
+(((|TemplateUtilities|) (CATEGORY |package| (SIGNATURE |interpretString| ((|Any|) (|String|))) (SIGNATURE |stripCommentsAndBlanks| ((|String|) (|String|))))) (T |TemplateUtilities|)) 
+((|stripCommentsAndBlanks| (*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TemplateUtilities|)))) (|interpretString| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(CATEGORY |package| (SIGNATURE |interpretString| ((|Any|) (|String|))) (SIGNATURE |stripCommentsAndBlanks| ((|String|) (|String|)))) 
+((|coerce| (((|TexFormat|) |#1|) 11))) 
+(((|TexFormat1| |#1|) (CATEGORY |package| (SIGNATURE |coerce| ((|TexFormat|) |#1|))) (|SetCategory|)) (T |TexFormat1|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *2 (|TexFormat|)) (|isDomain| *1 (|TexFormat1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(CATEGORY |package| (SIGNATURE |coerce| ((|TexFormat|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|tex| (((|List| (|String|)) $) 33)) (|setTex!| (((|List| (|String|)) $ (|List| (|String|))) 36)) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) 35)) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) 37)) (|prologue| (((|List| (|String|)) $) 32)) (|new| (($) 22)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|epilogue| (((|List| (|String|)) $) 34)) (|display| (((|Void|) $ (|Integer|)) 29) (((|Void|) $) 30)) (|convert| (($ (|OutputForm|) (|Integer|)) 26) (($ (|OutputForm|) (|Integer|) (|OutputForm|)) NIL)) (|coerce| (((|OutputForm|) $) 39) (($ (|OutputForm|)) 24)) (= (((|Boolean|) $ $) NIL))) 
+(((|TexFormat|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|OutputForm|))) (SIGNATURE |convert| ($ (|OutputForm|) (|Integer|))) (SIGNATURE |convert| ($ (|OutputForm|) (|Integer|) (|OutputForm|))) (SIGNATURE |display| ((|Void|) $ (|Integer|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |epilogue| ((|List| (|String|)) $)) (SIGNATURE |tex| ((|List| (|String|)) $)) (SIGNATURE |new| ($)) (SIGNATURE |prologue| ((|List| (|String|)) $)) (SIGNATURE |setEpilogue!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setTex!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setPrologue!| ((|List| (|String|)) $ (|List| (|String|))))))) (T |TexFormat|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TexFormat|)))) (|convert| (*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) (|convert| (*1 *1 *2 *3 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) (|display| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) (|display| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) (|epilogue| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|)))) (|tex| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|)))) (|new| (*1 *1) (|isDomain| *1 (|TexFormat|))) (|prologue| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|)))) (|setEpilogue!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|)))) (|setTex!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|)))) (|setPrologue!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|OutputForm|))) (SIGNATURE |convert| ($ (|OutputForm|) (|Integer|))) (SIGNATURE |convert| ($ (|OutputForm|) (|Integer|) (|OutputForm|))) (SIGNATURE |display| ((|Void|) $ (|Integer|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |epilogue| ((|List| (|String|)) $)) (SIGNATURE |tex| ((|List| (|String|)) $)) (SIGNATURE |new| ($)) (SIGNATURE |prologue| ((|List| (|String|)) $)) (SIGNATURE |setEpilogue!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setTex!| ((|List| (|String|)) $ (|List| (|String|)))) (SIGNATURE |setPrologue!| ((|List| (|String|)) $ (|List| (|String|)))))) 
+((~= (((|Boolean|) $ $) NIL)) (|writeLine!| (((|String|) $ (|String|)) 15) (((|String|) $) 14)) (|write!| (((|String|) $ (|String|)) 13)) (|reopen!| (($ $ (|String|)) NIL)) (|readLineIfCan!| (((|Union| (|String|) "failed") $) 11)) (|readLine!| (((|String|) $) 8)) (|readIfCan!| (((|Union| (|String|) "failed") $) 12)) (|read!| (((|String|) $) 9)) (|open| (($ (|FileName|)) NIL) (($ (|FileName|) (|String|)) NIL)) (|name| (((|FileName|) $) NIL)) (|latex| (((|String|) $) NIL)) (|iomode| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|flush| (((|Void|) $) NIL)) (|endOfFile?| (((|Boolean|) $) 17)) (|coerce| (((|OutputForm|) $) NIL)) (|close!| (($ $) NIL)) (= (((|Boolean|) $ $) NIL))) 
+(((|TextFile|) (|Join| (|FileCategory| (|FileName|) (|String|)) (CATEGORY |domain| (SIGNATURE |writeLine!| ((|String|) $ (|String|))) (SIGNATURE |writeLine!| ((|String|) $)) (SIGNATURE |readLine!| ((|String|) $)) (SIGNATURE |readLineIfCan!| ((|Union| (|String|) "failed") $)) (SIGNATURE |readIfCan!| ((|Union| (|String|) "failed") $)) (SIGNATURE |endOfFile?| ((|Boolean|) $))))) (T |TextFile|)) 
+((|writeLine!| (*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) (|writeLine!| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) (|readLine!| (*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) (|readLineIfCan!| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) (|readIfCan!| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) (|endOfFile?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TextFile|))))) 
+(|Join| (|FileCategory| (|FileName|) (|String|)) (CATEGORY |domain| (SIGNATURE |writeLine!| ((|String|) $ (|String|))) (SIGNATURE |writeLine!| ((|String|) $)) (SIGNATURE |readLine!| ((|String|) $)) (SIGNATURE |readLineIfCan!| ((|Union| (|String|) "failed") $)) (SIGNATURE |readIfCan!| ((|Union| (|String|) "failed") $)) (SIGNATURE |endOfFile?| ((|Boolean|) $)))) 
+((|sign| (((|Union| (|Integer|) "failed") |#1|) 19)) (|nonQsign| (((|Union| (|Integer|) "failed") |#1|) 13)) (|direction| (((|Integer|) (|String|)) 28))) 
+(((|ToolsForSign| |#1|) (CATEGORY |package| (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |nonQsign| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |direction| ((|Integer|) (|String|)))) (|Ring|)) (T |ToolsForSign|)) 
+((|direction| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *4)) (|ofCategory| *4 (|Ring|)))) (|nonQsign| (*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|)))) (|sign| (*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(CATEGORY |package| (SIGNATURE |sign| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |nonQsign| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |direction| ((|Integer|) (|String|)))) 
+((|createThreeSpace| (((|ThreeSpace| (|DoubleFloat|))) 8))) 
+(((|TopLevelThreeSpace|) (CATEGORY |package| (SIGNATURE |createThreeSpace| ((|ThreeSpace| (|DoubleFloat|)))))) (T |TopLevelThreeSpace|)) 
+((|createThreeSpace| (*1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelThreeSpace|))))) 
+(CATEGORY |package| (SIGNATURE |createThreeSpace| ((|ThreeSpace| (|DoubleFloat|))))) 
+((|pi| (($) 11)) (|atanh| (($ $) 35)) (|asinh| (($ $) 33)) (|asin| (($ $) 25)) (|asech| (($ $) 17)) (|acsch| (($ $) 15)) (|acoth| (($ $) 19)) (|acot| (($ $) 30)) (|acosh| (($ $) 34)) (|acos| (($ $) 29))) 
+(((|TranscendentalFunctionCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |pi| (|#1|)) (SIGNATURE |atanh| (|#1| |#1|)) (SIGNATURE |asinh| (|#1| |#1|)) (SIGNATURE |asech| (|#1| |#1|)) (SIGNATURE |acsch| (|#1| |#1|)) (SIGNATURE |acoth| (|#1| |#1|)) (SIGNATURE |acosh| (|#1| |#1|)) (SIGNATURE |asin| (|#1| |#1|)) (SIGNATURE |acot| (|#1| |#1|)) (SIGNATURE |acos| (|#1| |#1|))) (|TranscendentalFunctionCategory|)) (T |TranscendentalFunctionCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |pi| (|#1|)) (SIGNATURE |atanh| (|#1| |#1|)) (SIGNATURE |asinh| (|#1| |#1|)) (SIGNATURE |asech| (|#1| |#1|)) (SIGNATURE |acsch| (|#1| |#1|)) (SIGNATURE |acoth| (|#1| |#1|)) (SIGNATURE |acosh| (|#1| |#1|)) (SIGNATURE |asin| (|#1| |#1|)) (SIGNATURE |acot| (|#1| |#1|)) (SIGNATURE |acos| (|#1| |#1|))) 
+((|tanh| (($ $) 26)) (|tan| (($ $) 11)) (|sinh| (($ $) 27)) (|sin| (($ $) 10)) (|sech| (($ $) 28)) (|sec| (($ $) 9)) (|pi| (($) 16)) (|log| (($ $) 19)) (|exp| (($ $) 18)) (|csch| (($ $) 29)) (|csc| (($ $) 8)) (|coth| (($ $) 30)) (|cot| (($ $) 7)) (|cosh| (($ $) 31)) (|cos| (($ $) 6)) (|atanh| (($ $) 20)) (|atan| (($ $) 32)) (|asinh| (($ $) 21)) (|asin| (($ $) 33)) (|asech| (($ $) 22)) (|asec| (($ $) 34)) (|acsch| (($ $) 23)) (|acsc| (($ $) 35)) (|acoth| (($ $) 24)) (|acot| (($ $) 36)) (|acosh| (($ $) 25)) (|acos| (($ $) 37)) (** (($ $ $) 17))) 
+(((|TranscendentalFunctionCategory|) (|Category|)) (T |TranscendentalFunctionCategory|)) 
+((|pi| (*1 *1) (|ofCategory| *1 (|TranscendentalFunctionCategory|)))) 
+(|Join| (|TrigonometricFunctionCategory|) (|ArcTrigonometricFunctionCategory|) (|HyperbolicFunctionCategory|) (|ArcHyperbolicFunctionCategory|) (|ElementaryFunctionCategory|) (CATEGORY |domain| (SIGNATURE |pi| ($)))) 
+(((|ArcHyperbolicFunctionCategory|) . T) ((|ArcTrigonometricFunctionCategory|) . T) ((|ElementaryFunctionCategory|) . T) ((|HyperbolicFunctionCategory|) . T) ((|TrigonometricFunctionCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 17)) (|tree| (($ |#1| (|List| $)) 23) (($ (|List| |#1|)) 27) (($ |#1|) 25)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 46)) (|setvalue!| ((|#1| $ |#1|) 14 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 13 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sample| (($) NIL T CONST)) (|parts| (((|List| |#1|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 41)) (|node?| (((|Boolean|) $ $) 32 (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 39)) (|members| (((|List| |#1|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 49 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 24 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 22)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 38)) (|leaves| (((|List| |#1|) $) 36)) (|leaf?| (((|Boolean|) $) 35)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 73)) (|empty?| (((|Boolean|) $) 9)) (|empty| (($) 10)) (|elt| ((|#1| $ "value") NIL)) (|distance| (((|Integer|) $ $) 31)) (|cyclicParents| (((|List| $) $) 57)) (|cyclicEqual?| (((|Boolean|) $ $) 75)) (|cyclicEntries| (((|List| $) $) 70)) (|cyclicCopy| (($ $) 71)) (|cyclic?| (((|Boolean|) $) 54)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 20 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 16 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copy| (($ $) 56)) (|coerce| (((|OutputForm|) $) 59 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 12)) (|child?| (((|Boolean|) $ $) 29 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 47 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 28 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 37 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Tree| |#1|) (|Join| (|RecursiveAggregate| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |tree| ($ |#1| (|List| $))) (SIGNATURE |tree| ($ (|List| |#1|))) (SIGNATURE |tree| ($ |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) $)) (SIGNATURE |cyclicCopy| ($ $)) (SIGNATURE |cyclicEntries| ((|List| $) $)) (SIGNATURE |cyclicEqual?| ((|Boolean|) $ $)) (SIGNATURE |cyclicParents| ((|List| $) $)))) (|SetCategory|)) (T |Tree|)) 
+((|cyclic?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|tree| (*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Tree| *2))) (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|tree| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tree| *3)))) (|tree| (*1 *1 *2) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|cyclicCopy| (*1 *1 *1) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) (|cyclicEntries| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|cyclicEqual?| (*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|)))) (|cyclicParents| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(|Join| (|RecursiveAggregate| |#1|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |tree| ($ |#1| (|List| $))) (SIGNATURE |tree| ($ (|List| |#1|))) (SIGNATURE |tree| ($ |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) $)) (SIGNATURE |cyclicCopy| ($ $)) (SIGNATURE |cyclicEntries| ((|List| $) $)) (SIGNATURE |cyclicEqual?| ((|Boolean|) $ $)) (SIGNATURE |cyclicParents| ((|List| $) $)))) 
+((|tan| (($ $) 15)) (|sec| (($ $) 12)) (|csc| (($ $) 10)) (|cot| (($ $) 17))) 
+(((|TrigonometricFunctionCategory&| |#1|) (CATEGORY |domain| (SIGNATURE |cot| (|#1| |#1|)) (SIGNATURE |csc| (|#1| |#1|)) (SIGNATURE |sec| (|#1| |#1|)) (SIGNATURE |tan| (|#1| |#1|))) (|TrigonometricFunctionCategory|)) (T |TrigonometricFunctionCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |cot| (|#1| |#1|)) (SIGNATURE |csc| (|#1| |#1|)) (SIGNATURE |sec| (|#1| |#1|)) (SIGNATURE |tan| (|#1| |#1|))) 
+((|tan| (($ $) 11)) (|sin| (($ $) 10)) (|sec| (($ $) 9)) (|csc| (($ $) 8)) (|cot| (($ $) 7)) (|cos| (($ $) 6))) 
+(((|TrigonometricFunctionCategory|) (|Category|)) (T |TrigonometricFunctionCategory|)) 
+((|tan| (*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|))) (|sin| (*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|))) (|sec| (*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|))) (|csc| (*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|))) (|cot| (*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|))) (|cos| (*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(|Join| (CATEGORY |domain| (SIGNATURE |cos| ($ $)) (SIGNATURE |cot| ($ $)) (SIGNATURE |csc| ($ $)) (SIGNATURE |sec| ($ $)) (SIGNATURE |sin| ($ $)) (SIGNATURE |tan| ($ $)))) 
+((|trigs| ((|#2| |#2|) 85)) (|real?| (((|Boolean|) |#2|) 25)) (|real| ((|#2| |#2|) 29)) (|imag| ((|#2| |#2|) 31)) (|complexNormalize| ((|#2| |#2| (|Symbol|)) 79) ((|#2| |#2|) 80)) (|complexForm| (((|Complex| |#2|) |#2|) 27)) (|complexElementary| ((|#2| |#2| (|Symbol|)) 81) ((|#2| |#2|) 82))) 
+(((|TrigonometricManipulations| |#1| |#2|) (CATEGORY |package| (SIGNATURE |complexNormalize| (|#2| |#2|)) (SIGNATURE |complexNormalize| (|#2| |#2| (|Symbol|))) (SIGNATURE |complexElementary| (|#2| |#2|)) (SIGNATURE |complexElementary| (|#2| |#2| (|Symbol|))) (SIGNATURE |trigs| (|#2| |#2|)) (SIGNATURE |real| (|#2| |#2|)) (SIGNATURE |imag| (|#2| |#2|)) (SIGNATURE |real?| ((|Boolean|) |#2|)) (SIGNATURE |complexForm| ((|Complex| |#2|) |#2|))) (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|))) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|))) (T |TrigonometricManipulations|)) 
+((|complexForm| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Complex| *3)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|real?| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|imag| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) (|real| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) (|trigs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) (|complexElementary| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|complexElementary| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) (|complexNormalize| (*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) (|complexNormalize| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(CATEGORY |package| (SIGNATURE |complexNormalize| (|#2| |#2|)) (SIGNATURE |complexNormalize| (|#2| |#2| (|Symbol|))) (SIGNATURE |complexElementary| (|#2| |#2|)) (SIGNATURE |complexElementary| (|#2| |#2| (|Symbol|))) (SIGNATURE |trigs| (|#2| |#2|)) (SIGNATURE |real| (|#2| |#2|)) (SIGNATURE |imag| (|#2| |#2|)) (SIGNATURE |real?| ((|Boolean|) |#2|)) (SIGNATURE |complexForm| ((|Complex| |#2|) |#2|))) 
+((|UpTriBddDenomInv| ((|#4| |#4| |#1|) 27)) (|LowTriBddDenomInv| ((|#4| |#4| |#1|) 28))) 
+(((|TriangularMatrixOperations| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |UpTriBddDenomInv| (|#4| |#4| |#1|)) (SIGNATURE |LowTriBddDenomInv| (|#4| |#4| |#1|))) (|IntegralDomain|) (|FiniteLinearAggregate| |#1|) (|FiniteLinearAggregate| |#1|) (|MatrixCategory| |#1| |#2| |#3|)) (T |TriangularMatrixOperations|)) 
+((|LowTriBddDenomInv| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) (|UpTriBddDenomInv| (*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |UpTriBddDenomInv| (|#4| |#4| |#1|)) (SIGNATURE |LowTriBddDenomInv| (|#4| |#4| |#1|))) 
+((|tanh2trigh| ((|#2| |#2|) 144)) (|tanh2coth| ((|#2| |#2|) 142)) (|tan2trig| ((|#2| |#2|) 134)) (|tan2cot| ((|#2| |#2|) 131)) (|sinh2csch| ((|#2| |#2|) 139)) (|sin2csc| ((|#2| |#2|) 127)) (|simplifyLog| ((|#2| |#2|) 59)) (|simplifyExp| ((|#2| |#2|) 109)) (|simplify| ((|#2| |#2|) 89)) (|sech2cosh| ((|#2| |#2|) 141)) (|sec2cos| ((|#2| |#2|) 129)) (|removeSinhSq| ((|#2| |#2|) 149)) (|removeSinSq| ((|#2| |#2|) 147)) (|removeCoshSq| ((|#2| |#2|) 148)) (|removeCosSq| ((|#2| |#2|) 146)) (|htrigs| ((|#2| |#2|) 158)) (|expandTrigProducts| ((|#2| |#2|) 48 (AND (|has| |#2| (|ConvertibleTo| (|Pattern| |#1|))) (|has| |#2| (|PatternMatchable| |#1|)) (|has| |#1| (|ConvertibleTo| (|Pattern| |#1|))) (|has| |#1| (|PatternMatchable| |#1|))))) (|expandPower| ((|#2| |#2|) 90)) (|expandLog| ((|#2| |#2|) 150)) (|expand| ((|#2| |#2|) 151)) (|csch2sinh| ((|#2| |#2|) 140)) (|csc2sin| ((|#2| |#2|) 128)) (|coth2trigh| ((|#2| |#2|) 145)) (|coth2tanh| ((|#2| |#2|) 143)) (|cot2trig| ((|#2| |#2|) 135)) (|cot2tan| ((|#2| |#2|) 133)) (|cosh2sech| ((|#2| |#2|) 137)) (|cos2sec| ((|#2| |#2|) 125))) 
+(((|TranscendentalManipulations| |#1| |#2|) (CATEGORY |package| (SIGNATURE |expand| (|#2| |#2|)) (SIGNATURE |simplify| (|#2| |#2|)) (SIGNATURE |htrigs| (|#2| |#2|)) (SIGNATURE |simplifyExp| (|#2| |#2|)) (SIGNATURE |simplifyLog| (|#2| |#2|)) (SIGNATURE |expandPower| (|#2| |#2|)) (SIGNATURE |expandLog| (|#2| |#2|)) (SIGNATURE |cos2sec| (|#2| |#2|)) (SIGNATURE |cosh2sech| (|#2| |#2|)) (SIGNATURE |cot2trig| (|#2| |#2|)) (SIGNATURE |coth2trigh| (|#2| |#2|)) (SIGNATURE |csc2sin| (|#2| |#2|)) (SIGNATURE |csch2sinh| (|#2| |#2|)) (SIGNATURE |sec2cos| (|#2| |#2|)) (SIGNATURE |sech2cosh| (|#2| |#2|)) (SIGNATURE |sin2csc| (|#2| |#2|)) (SIGNATURE |sinh2csch| (|#2| |#2|)) (SIGNATURE |tan2trig| (|#2| |#2|)) (SIGNATURE |tanh2trigh| (|#2| |#2|)) (SIGNATURE |tan2cot| (|#2| |#2|)) (SIGNATURE |tanh2coth| (|#2| |#2|)) (SIGNATURE |cot2tan| (|#2| |#2|)) (SIGNATURE |coth2tanh| (|#2| |#2|)) (SIGNATURE |removeCosSq| (|#2| |#2|)) (SIGNATURE |removeSinSq| (|#2| |#2|)) (SIGNATURE |removeCoshSq| (|#2| |#2|)) (SIGNATURE |removeSinhSq| (|#2| |#2|)) (IF (|has| |#1| (|PatternMatchable| |#1|)) (IF (|has| |#1| (|ConvertibleTo| (|Pattern| |#1|))) (IF (|has| |#2| (|ConvertibleTo| (|Pattern| |#1|))) (IF (|has| |#2| (|PatternMatchable| |#1|)) (SIGNATURE |expandTrigProducts| (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (|Join| (|OrderedSet|) (|GcdDomain|)) (|Join| (|FunctionSpace| |#1|) (|TranscendentalFunctionCategory|))) (T |TranscendentalManipulations|)) 
+((|expandTrigProducts| (*1 *2 *2) (AND (|ofCategory| *3 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *3 (|PatternMatchable| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *2 (|PatternMatchable| *3)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|removeSinhSq| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|removeCoshSq| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|removeSinSq| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|removeCosSq| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|coth2tanh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|cot2tan| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|tanh2coth| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|tan2cot| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|tanh2trigh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|tan2trig| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|sinh2csch| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|sin2csc| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|sech2cosh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|sec2cos| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|csch2sinh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|csc2sin| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|coth2trigh| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|cot2trig| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|cosh2sech| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|cos2sec| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|expandLog| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|expandPower| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|simplifyLog| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|simplifyExp| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|htrigs| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|simplify| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) (|expand| (*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(CATEGORY |package| (SIGNATURE |expand| (|#2| |#2|)) (SIGNATURE |simplify| (|#2| |#2|)) (SIGNATURE |htrigs| (|#2| |#2|)) (SIGNATURE |simplifyExp| (|#2| |#2|)) (SIGNATURE |simplifyLog| (|#2| |#2|)) (SIGNATURE |expandPower| (|#2| |#2|)) (SIGNATURE |expandLog| (|#2| |#2|)) (SIGNATURE |cos2sec| (|#2| |#2|)) (SIGNATURE |cosh2sech| (|#2| |#2|)) (SIGNATURE |cot2trig| (|#2| |#2|)) (SIGNATURE |coth2trigh| (|#2| |#2|)) (SIGNATURE |csc2sin| (|#2| |#2|)) (SIGNATURE |csch2sinh| (|#2| |#2|)) (SIGNATURE |sec2cos| (|#2| |#2|)) (SIGNATURE |sech2cosh| (|#2| |#2|)) (SIGNATURE |sin2csc| (|#2| |#2|)) (SIGNATURE |sinh2csch| (|#2| |#2|)) (SIGNATURE |tan2trig| (|#2| |#2|)) (SIGNATURE |tanh2trigh| (|#2| |#2|)) (SIGNATURE |tan2cot| (|#2| |#2|)) (SIGNATURE |tanh2coth| (|#2| |#2|)) (SIGNATURE |cot2tan| (|#2| |#2|)) (SIGNATURE |coth2tanh| (|#2| |#2|)) (SIGNATURE |removeCosSq| (|#2| |#2|)) (SIGNATURE |removeSinSq| (|#2| |#2|)) (SIGNATURE |removeCoshSq| (|#2| |#2|)) (SIGNATURE |removeSinhSq| (|#2| |#2|)) (IF (|has| |#1| (|PatternMatchable| |#1|)) (IF (|has| |#1| (|ConvertibleTo| (|Pattern| |#1|))) (IF (|has| |#2| (|ConvertibleTo| (|Pattern| |#1|))) (IF (|has| |#2| (|PatternMatchable| |#1|)) (SIGNATURE |expandTrigProducts| (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((|stronglyReduced?| (((|Boolean|) |#5| $) 59) (((|Boolean|) $) 101)) (|stronglyReduce| ((|#5| |#5| $) 74)) (|select| (($ (|Mapping| (|Boolean|) |#5|) $) NIL) (((|Union| |#5| "failed") $ |#4|) 118)) (|rewriteSetWithReduction| (((|List| |#5|) (|List| |#5|) $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) 72)) (|retractIfCan| (((|Union| $ "failed") (|List| |#5|)) 125)) (|rest| (((|Union| $ "failed") $) 111)) (|removeZero| ((|#5| |#5| $) 93)) (|reduced?| (((|Boolean|) |#5| $ (|Mapping| (|Boolean|) |#5| |#5|)) 30)) (|reduceByQuasiMonic| ((|#5| |#5| $) 97)) (|reduce| ((|#5| (|Mapping| |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (|Mapping| |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (|Mapping| |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) 68)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) $) 54)) (|normalized?| (((|Boolean|) |#5| $) 57) (((|Boolean|) $) 102)) (|mvar| ((|#4| $) 107)) (|last| (((|Union| |#5| "failed") $) 109)) (|initials| (((|List| |#5|) $) 48)) (|initiallyReduced?| (((|Boolean|) |#5| $) 66) (((|Boolean|) $) 106)) (|initiallyReduce| ((|#5| |#5| $) 80)) (|infRittWu?| (((|Boolean|) $ $) 26)) (|headReduced?| (((|Boolean|) |#5| $) 62) (((|Boolean|) $) 104)) (|headReduce| ((|#5| |#5| $) 77)) (|first| (((|Union| |#5| "failed") $) 108)) (|extend| (($ $ |#5|) 126)) (|degree| (((|NonNegativeInteger|) $) 51)) (|construct| (($ (|List| |#5|)) 123)) (|collectUpper| (($ $ |#4|) 121)) (|collectUnder| (($ $ |#4|) 120)) (|collectQuasiMonic| (($ $) 119)) (|coerce| (((|OutputForm|) $) NIL) (((|List| |#5|) $) 112)) (|coHeight| (((|NonNegativeInteger|) $) 129)) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) 42) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) 44)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#5| (|List| |#5|))) 99)) (|algebraicVariables| (((|List| |#4|) $) 114)) (|algebraic?| (((|Boolean|) |#4| $) 117)) (= (((|Boolean|) $ $) 19))) 
+(((|TriangularSetCategory&| |#1| |#2| |#3| |#4| |#5|) (CATEGORY |domain| (SIGNATURE |coHeight| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |extend| (|#1| |#1| |#5|)) (SIGNATURE |select| ((|Union| |#5| "failed") |#1| |#4|)) (SIGNATURE |algebraic?| ((|Boolean|) |#4| |#1|)) (SIGNATURE |algebraicVariables| ((|List| |#4|) |#1|)) (SIGNATURE |rest| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |last| ((|Union| |#5| "failed") |#1|)) (SIGNATURE |first| ((|Union| |#5| "failed") |#1|)) (SIGNATURE |reduceByQuasiMonic| (|#5| |#5| |#1|)) (SIGNATURE |collectQuasiMonic| (|#1| |#1|)) (SIGNATURE |removeZero| (|#5| |#5| |#1|)) (SIGNATURE |initiallyReduce| (|#5| |#5| |#1|)) (SIGNATURE |headReduce| (|#5| |#5| |#1|)) (SIGNATURE |stronglyReduce| (|#5| |#5| |#1|)) (SIGNATURE |rewriteSetWithReduction| ((|List| |#5|) (|List| |#5|) |#1| (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |reduce| (|#5| |#5| |#1| (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#1|)) (SIGNATURE |headReduced?| ((|Boolean|) |#1|)) (SIGNATURE |stronglyReduced?| ((|Boolean|) |#1|)) (SIGNATURE |autoReduced?| ((|Boolean|) |#1| (|Mapping| (|Boolean|) |#5| (|List| |#5|)))) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |headReduced?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |stronglyReduced?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |reduced?| ((|Boolean|) |#5| |#1| (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |normalized?| ((|Boolean|) |#1|)) (SIGNATURE |normalized?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |quasiComponent| ((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) |#1|)) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |initials| ((|List| |#5|) |#1|)) (SIGNATURE |basicSet| ((|Union| (|Record| (|:| |bas| |#1|) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |basicSet| ((|Union| (|Record| (|:| |bas| |#1|) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |infRittWu?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |collectUpper| (|#1| |#1| |#4|)) (SIGNATURE |collectUnder| (|#1| |#1| |#4|)) (SIGNATURE |mvar| (|#4| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|List| |#5|))) (SIGNATURE |coerce| ((|List| |#5|) |#1|)) (SIGNATURE |construct| (|#1| (|List| |#5|))) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#5| |#5|) |#1|)) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#5| |#5|) |#1| |#5|)) (SIGNATURE |select| (|#1| (|Mapping| (|Boolean|) |#5|) |#1|)) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#5| |#5|) |#1| |#5| |#5|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) (|TriangularSetCategory| |#2| |#3| |#4| |#5|) (|IntegralDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#2| |#3| |#4|)) (T |TriangularSetCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coHeight| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |extend| (|#1| |#1| |#5|)) (SIGNATURE |select| ((|Union| |#5| "failed") |#1| |#4|)) (SIGNATURE |algebraic?| ((|Boolean|) |#4| |#1|)) (SIGNATURE |algebraicVariables| ((|List| |#4|) |#1|)) (SIGNATURE |rest| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |last| ((|Union| |#5| "failed") |#1|)) (SIGNATURE |first| ((|Union| |#5| "failed") |#1|)) (SIGNATURE |reduceByQuasiMonic| (|#5| |#5| |#1|)) (SIGNATURE |collectQuasiMonic| (|#1| |#1|)) (SIGNATURE |removeZero| (|#5| |#5| |#1|)) (SIGNATURE |initiallyReduce| (|#5| |#5| |#1|)) (SIGNATURE |headReduce| (|#5| |#5| |#1|)) (SIGNATURE |stronglyReduce| (|#5| |#5| |#1|)) (SIGNATURE |rewriteSetWithReduction| ((|List| |#5|) (|List| |#5|) |#1| (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |reduce| (|#5| |#5| |#1| (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#1|)) (SIGNATURE |headReduced?| ((|Boolean|) |#1|)) (SIGNATURE |stronglyReduced?| ((|Boolean|) |#1|)) (SIGNATURE |autoReduced?| ((|Boolean|) |#1| (|Mapping| (|Boolean|) |#5| (|List| |#5|)))) (SIGNATURE |initiallyReduced?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |headReduced?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |stronglyReduced?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |reduced?| ((|Boolean|) |#5| |#1| (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |normalized?| ((|Boolean|) |#1|)) (SIGNATURE |normalized?| ((|Boolean|) |#5| |#1|)) (SIGNATURE |quasiComponent| ((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) |#1|)) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |initials| ((|List| |#5|) |#1|)) (SIGNATURE |basicSet| ((|Union| (|Record| (|:| |bas| |#1|) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |basicSet| ((|Union| (|Record| (|:| |bas| |#1|) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|))) (SIGNATURE |infRittWu?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |collectUpper| (|#1| |#1| |#4|)) (SIGNATURE |collectUnder| (|#1| |#1| |#4|)) (SIGNATURE |mvar| (|#4| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#1| "failed") (|List| |#5|))) (SIGNATURE |coerce| ((|List| |#5|) |#1|)) (SIGNATURE |construct| (|#1| (|List| |#5|))) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#5| |#5|) |#1|)) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#5| |#5|) |#1| |#5|)) (SIGNATURE |select| (|#1| (|Mapping| (|Boolean|) |#5|) |#1|)) (SIGNATURE |reduce| (|#5| (|Mapping| |#5| |#5| |#5|) |#1| |#5| |#5|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) 78)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 79)) (|variables| (((|List| |#3|) $) 32)) (|trivialIdeal?| (((|Boolean|) $) 25)) (|triangular?| (((|Boolean|) $) 16 (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) 94) (((|Boolean|) $) 90)) (|stronglyReduce| ((|#4| |#4| $) 85)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) 26)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 43)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) 64 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) 72)) (|sample| (($) 44 T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) 21 (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) 23 (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) 22 (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 86)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 17 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) 18 (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) 35)) (|retract| (($ (|List| |#4|)) 34)) (|rest| (((|Union| $ "failed") $) 75)) (|removeZero| ((|#4| |#4| $) 82)) (|removeDuplicates| (($ $) 67 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#4| $) 66 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#4|) $) 63 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) 95)) (|reduceByQuasiMonic| ((|#4| |#4| $) 80)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) 65 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) 61 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 87)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) 98)) (|parts| (((|List| |#4|) $) 51 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) 97) (((|Boolean|) $) 96)) (|mvar| ((|#3| $) 33)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 42)) (|members| (((|List| |#4|) $) 52 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) 54 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#4| |#4|) $) 47 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) 46)) (|mainVariables| (((|List| |#3|) $) 31)) (|mainVariable?| (((|Boolean|) |#3| $) 30)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 41)) (|latex| (((|String|) $) 9)) (|last| (((|Union| |#4| "failed") $) 76)) (|initials| (((|List| |#4|) $) 100)) (|initiallyReduced?| (((|Boolean|) |#4| $) 92) (((|Boolean|) $) 88)) (|initiallyReduce| ((|#4| |#4| $) 83)) (|infRittWu?| (((|Boolean|) $ $) 103)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) 93) (((|Boolean|) $) 89)) (|headReduce| ((|#4| |#4| $) 84)) (|hash| (((|SingleInteger|) $) 10)) (|first| (((|Union| |#4| "failed") $) 77)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) 60)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) 71)) (|extend| (($ $ |#4|) 70)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 49 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) 58 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) 57 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) 56 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) 55 (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 37)) (|empty?| (((|Boolean|) $) 40)) (|empty| (($) 39)) (|degree| (((|NonNegativeInteger|) $) 99)) (|count| (((|NonNegativeInteger|) |#4| $) 53 (AND (|has| |#4| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) 50 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) 38)) (|convert| (((|InputForm|) $) 68 (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) 59)) (|collectUpper| (($ $ |#3|) 27)) (|collectUnder| (($ $ |#3|) 29)) (|collectQuasiMonic| (($ $) 81)) (|collect| (($ $ |#3|) 28)) (|coerce| (((|OutputForm|) $) 11) (((|List| |#4|) $) 36)) (|coHeight| (((|NonNegativeInteger|) $) 69 (|has| |#3| (|Finite|)))) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 102) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 101)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) 91)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) 48 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) 74)) (|algebraic?| (((|Boolean|) |#3| $) 73)) (= (((|Boolean|) $ $) 6)) (|#| (((|NonNegativeInteger|) $) 45 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|TriangularSetCategory| |#1| |#2| |#3| |#4|) (|Category|) (|IntegralDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |t#1| |t#2| |t#3|)) (T |TriangularSetCategory|)) 
+((|infRittWu?| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|basicSet| (*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *8)))) (|isDomain| *3 (|List| *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)))) (|basicSet| (*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *9)) (|isDomain| *5 (|Mapping| (|Boolean|) *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *9)))) (|isDomain| *3 (|List| *9)) (|ofCategory| *1 (|TriangularSetCategory| *6 *7 *8 *9)))) (|initials| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *6)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) (|quasiComponent| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |close| (|List| *6)) (|:| |open| (|List| *6)))))) (|normalized?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|normalized?| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|reduced?| (*1 *2 *3 *1 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *3)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)))) (|stronglyReduced?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|headReduced?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|initiallyReduced?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|autoReduced?| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *7 (|List| *7))) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) (|stronglyReduced?| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|headReduced?| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|initiallyReduced?| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) (|reduce| (*1 *2 *2 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *2)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *5 *6 *7)))) (|rewriteSetWithReduction| (*1 *2 *2 *1 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| *8 *8 *8)) (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)))) (|stronglyReduce| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|headReduce| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|initiallyReduce| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|removeZero| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|collectQuasiMonic| (*1 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) (|reduceByQuasiMonic| (*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|zeroSetSplit| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)))) (|zeroSetSplitIntoTriangularSystems| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |close| *1) (|:| |open| (|List| *7))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)))) (|first| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|last| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|rest| (*1 *1 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) (|algebraicVariables| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) (|algebraic?| (*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) (|select| (*1 *2 *1 *3) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *2)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *3)))) (|extendIfCan| (*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|extend| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) (|coHeight| (*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(|Join| (|PolynomialSetCategory| |t#1| |t#2| |t#3| |t#4|) (CATEGORY |domain| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|) (SIGNATURE |infRittWu?| ((|Boolean|) $ $)) (SIGNATURE |basicSet| ((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |t#4|))) "failed") (|List| |t#4|) (|Mapping| (|Boolean|) |t#4| |t#4|))) (SIGNATURE |basicSet| ((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |t#4|))) "failed") (|List| |t#4|) (|Mapping| (|Boolean|) |t#4|) (|Mapping| (|Boolean|) |t#4| |t#4|))) (SIGNATURE |initials| ((|List| |t#4|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |quasiComponent| ((|Record| (|:| |close| (|List| |t#4|)) (|:| |open| (|List| |t#4|))) $)) (SIGNATURE |normalized?| ((|Boolean|) |t#4| $)) (SIGNATURE |normalized?| ((|Boolean|) $)) (SIGNATURE |reduced?| ((|Boolean|) |t#4| $ (|Mapping| (|Boolean|) |t#4| |t#4|))) (SIGNATURE |stronglyReduced?| ((|Boolean|) |t#4| $)) (SIGNATURE |headReduced?| ((|Boolean|) |t#4| $)) (SIGNATURE |initiallyReduced?| ((|Boolean|) |t#4| $)) (SIGNATURE |autoReduced?| ((|Boolean|) $ (|Mapping| (|Boolean|) |t#4| (|List| |t#4|)))) (SIGNATURE |stronglyReduced?| ((|Boolean|) $)) (SIGNATURE |headReduced?| ((|Boolean|) $)) (SIGNATURE |initiallyReduced?| ((|Boolean|) $)) (SIGNATURE |reduce| (|t#4| |t#4| $ (|Mapping| |t#4| |t#4| |t#4|) (|Mapping| (|Boolean|) |t#4| |t#4|))) (SIGNATURE |rewriteSetWithReduction| ((|List| |t#4|) (|List| |t#4|) $ (|Mapping| |t#4| |t#4| |t#4|) (|Mapping| (|Boolean|) |t#4| |t#4|))) (SIGNATURE |stronglyReduce| (|t#4| |t#4| $)) (SIGNATURE |headReduce| (|t#4| |t#4| $)) (SIGNATURE |initiallyReduce| (|t#4| |t#4| $)) (SIGNATURE |removeZero| (|t#4| |t#4| $)) (SIGNATURE |collectQuasiMonic| ($ $)) (SIGNATURE |reduceByQuasiMonic| (|t#4| |t#4| $)) (SIGNATURE |zeroSetSplit| ((|List| $) (|List| |t#4|))) (SIGNATURE |zeroSetSplitIntoTriangularSystems| ((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |t#4|)))) (|List| |t#4|))) (SIGNATURE |first| ((|Union| |t#4| "failed") $)) (SIGNATURE |last| ((|Union| |t#4| "failed") $)) (SIGNATURE |rest| ((|Union| $ "failed") $)) (SIGNATURE |algebraicVariables| ((|List| |t#3|) $)) (SIGNATURE |algebraic?| ((|Boolean|) |t#3| $)) (SIGNATURE |select| ((|Union| |t#4| "failed") $ |t#3|)) (SIGNATURE |extendIfCan| ((|Union| $ "failed") $ |t#4|)) (SIGNATURE |extend| ($ $ |t#4|)) (IF (|has| |t#3| (|Finite|)) (SIGNATURE |coHeight| ((|NonNegativeInteger|) $)) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) . T) ((|CoercibleTo| (|List| |#4|)) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|Collection| |#4|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#4| (|ConvertibleTo| (|InputForm|))) ((|Evalable| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|HomogeneousAggregate| |#4|) . T) ((|InnerEvalable| |#4| |#4|) AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))) ((|PolynomialSetCategory| |#1| |#2| |#3| |#4|) . T) ((|SetCategory|) . T) ((|Type|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|Symbol|)) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) 16) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ (|Symbol|)) NIL) (((|NonNegativeInteger|) $ (|Symbol|) (|NonNegativeInteger|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ $ (|List| (|Symbol|)) (|List| (|IndexedExponents| (|Symbol|)))) NIL) (($ $ (|Symbol|) (|IndexedExponents| (|Symbol|))) NIL) (($ |#1| (|IndexedExponents| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|integrate| (($ $ (|Symbol|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|) |#1|) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|fintegrate| (($ (|Mapping| $) (|Symbol|) |#1|) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|extend| (($ $ (|NonNegativeInteger|)) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (($ $ (|Symbol|) $) NIL) (($ $ (|List| (|Symbol|)) (|List| $)) NIL) (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL)) (|differentiate| (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (|degree| (((|IndexedExponents| (|Symbol|)) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Symbol|)) NIL) (($ (|Polynomial| |#1|)) NIL)) (|coefficient| ((|#1| $ (|IndexedExponents| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((|TaylorSeries| |#1|) (|Join| (|MultivariateTaylorSeriesCategory| |#1| (|Symbol|)) (CATEGORY |domain| (SIGNATURE |coefficient| ((|Polynomial| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE |coerce| ($ (|Polynomial| |#1|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $ (|Symbol|) |#1|)) (SIGNATURE |fintegrate| ($ (|Mapping| $) (|Symbol|) |#1|))) |noBranch|))) (|Ring|)) (T |TaylorSeries|)) 
+((|coefficient| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|TaylorSeries| *3)))) (|integrate| (*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) (|fintegrate| (*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|TaylorSeries| *4))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|MultivariateTaylorSeriesCategory| |#1| (|Symbol|)) (CATEGORY |domain| (SIGNATURE |coefficient| ((|Polynomial| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Symbol|))) (SIGNATURE |coerce| ($ (|Polynomial| |#1|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $ (|Symbol|) |#1|)) (SIGNATURE |fintegrate| ($ (|Mapping| $) (|Symbol|) |#1|))) |noBranch|))) 
+((|tube| (($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)) 15)) (|setClosed| (((|Boolean|) $ (|Boolean|)) 14)) (|open?| (((|Boolean|) $) 13)) (|listLoops| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) 10)) (|getCurve| ((|#1| $) 8)) (|closed?| (((|Boolean|) $) 12))) 
+(((|TubePlot| |#1|) (CATEGORY |domain| (SIGNATURE |getCurve| (|#1| $)) (SIGNATURE |listLoops| ((|List| (|List| (|Point| (|DoubleFloat|)))) $)) (SIGNATURE |closed?| ((|Boolean|) $)) (SIGNATURE |open?| ((|Boolean|) $)) (SIGNATURE |setClosed| ((|Boolean|) $ (|Boolean|))) (SIGNATURE |tube| ($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)))) (|PlottableSpaceCurveCategory|)) (T |TubePlot|)) 
+((|tube| (*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|)))) (|setClosed| (*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) (|open?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) (|closed?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) (|listLoops| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) (|getCurve| (*1 *2 *1) (AND (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(CATEGORY |domain| (SIGNATURE |getCurve| (|#1| $)) (SIGNATURE |listLoops| ((|List| (|List| (|Point| (|DoubleFloat|)))) $)) (SIGNATURE |closed?| ((|Boolean|) $)) (SIGNATURE |open?| ((|Boolean|) $)) (SIGNATURE |setClosed| ((|Boolean|) $ (|Boolean|))) (SIGNATURE |tube| ($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)))) 
+((|unitVector| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) 25)) (|point| (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) 10)) (|loopPoints| (((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))) 35)) (|dot| (((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) 21)) (|cross| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) 22)) (|cosSinInfo| (((|List| (|List| (|DoubleFloat|))) (|Integer|)) 31)) (- (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) 20)) (+ (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) 19)) (* (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|))) 18))) 
+(((|TubePlotTools|) (CATEGORY |package| (SIGNATURE |point| ((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE * ((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|)))) (SIGNATURE + ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE - ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |dot| ((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |cross| ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |unitVector| ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |cosSinInfo| ((|List| (|List| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |loopPoints| ((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|))))))) (T |TubePlotTools|)) 
+((|loopPoints| (*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|Point| *4)))) (|cosSinInfo| (*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|TubePlotTools|)))) (|unitVector| (*1 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) (|cross| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) (|dot| (*1 *2 *3 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) (- (*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) (+ (*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) (* (*1 *2 *3 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) (|point| (*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(CATEGORY |package| (SIGNATURE |point| ((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (SIGNATURE * ((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|)))) (SIGNATURE + ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE - ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |dot| ((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |cross| ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |unitVector| ((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (SIGNATURE |cosSinInfo| ((|List| (|List| (|DoubleFloat|))) (|Integer|))) (SIGNATURE |loopPoints| ((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|select| ((|#1| $ (|NonNegativeInteger|)) 13)) (|length| (((|NonNegativeInteger|) $) 12)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|coerce| (((|PrimitiveArray| |#1|) $) 10) (($ (|PrimitiveArray| |#1|)) 9) (((|OutputForm|) $) 23 (|has| |#1| (|SetCategory|)))) (= (((|Boolean|) $ $) 16 (|has| |#1| (|SetCategory|))))) 
+(((|Tuple| |#1|) (|Join| (|CoercibleTo| (|PrimitiveArray| |#1|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|PrimitiveArray| |#1|))) (SIGNATURE |select| (|#1| $ (|NonNegativeInteger|))) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|))) (|Type|)) (T |Tuple|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Tuple| *3)))) (|select| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *2)) (|ofCategory| *2 (|Type|)))) (|length| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|CoercibleTo| (|PrimitiveArray| |#1|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|PrimitiveArray| |#1|))) (SIGNATURE |select| (|#1| $ (|NonNegativeInteger|))) (SIGNATURE |length| ((|NonNegativeInteger|) $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|))) 
+((|twoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)) 79)) (|generalTwoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) 73)) (|generalSqFr| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) 58))) 
+(((|TwoFactorize| |#1|) (CATEGORY |package| (SIGNATURE |generalTwoFactor| ((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |generalSqFr| ((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |twoFactor| ((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)))) (|FiniteFieldCategory|)) (T |TwoFactorize|)) 
+((|twoFactor| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|TwoFactorize| *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5))))) (|generalSqFr| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|generalTwoFactor| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(CATEGORY |package| (SIGNATURE |generalTwoFactor| ((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |generalSqFr| ((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)))) (SIGNATURE |twoFactor| ((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)))) 
+NIL 
+(((|Type|) (|Category|)) (T |Type|)) 
+NIL 
+(|Join| (CATEGORY |package| (ATTRIBUTE |nil|))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|U16Vector|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) NIL)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) 17) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|U16Vector|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|U16Vector|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) (|Integer|)) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|row| (((|U16Vector|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|qsetelt!| (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) 16)) (|qnew| (($ (|Integer|) (|Integer|)) 19)) (|qelt| (((|Integer|) $ (|Integer|) (|Integer|)) 14)) (|pfaffian| (((|Integer|) $) NIL (|has| (|Integer|) (|CommutativeRing|)))) (|parts| (((|List| (|Integer|)) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|nullSpace| (((|List| (|U16Vector|)) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 10)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) 20)) (|ncols| (((|NonNegativeInteger|) $) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| (((|Integer|) $) NIL (|has| (|Integer|) (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 7)) (|minColIndex| (((|Integer|) $) 8)) (|members| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 12)) (|maxColIndex| (((|Integer|) $) 13)) (|matrix| (($ (|List| (|List| (|Integer|)))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| (|Integer|) (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $ (|Integer|)) NIL)) (|listOfLists| (((|List| (|List| (|Integer|))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|fill!| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ (|Integer|)) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Integer|)))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Equation| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Integer|) (|Integer|)) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 18)) (|elt| (((|Integer|) $ (|Integer|) (|Integer|)) 15) (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| (|Integer|))) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| (((|Integer|) $) NIL (|has| (|Integer|) (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|U16Vector|)) $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|column| (((|U16Vector|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Integer|) (|SetCategory|))) (($ (|U16Vector|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (/ (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Field|)))) (* (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL) (($ (|Integer|) $) NIL) (((|U16Vector|) $ (|U16Vector|)) NIL) (((|U16Vector|) (|U16Vector|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|U16Matrix|) (|Join| (|MatrixCategory| (|Integer|) (|U16Vector|) (|U16Vector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|)))))) (T |U16Matrix|)) 
+((|qnew| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U16Matrix|))))) 
+(|Join| (|MatrixCategory| (|Integer|) (|U16Vector|) (|U16Vector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL) (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Integer|) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL) (($ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Integer|) $ (|Integer|) (|Integer|)) 15 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Integer|) $ (|UniversalSegment| (|Integer|)) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|remove| (($ (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ (|Integer|) (|Integer|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|)))) (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Integer|) $ (|Integer|) (|Integer|)) 14 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Integer|) $ (|Integer|)) 12)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL) (((|Integer|) (|Integer|) $) NIL (|has| (|Integer|) (|SetCategory|))) (((|Integer|) (|Integer|) $ (|Integer|)) NIL (|has| (|Integer|) (|SetCategory|)))) (|parts| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Integer|)) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 9 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $ $) NIL) (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|insert| (($ (|Integer|) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|first| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Integer|) "failed") (|Mapping| (|Boolean|) (|Integer|)) $) NIL)) (|fill!| (($ $ (|Integer|)) 16 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Integer|)))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Equation| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Integer|) (|Integer|)) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|entries| (((|List| (|Integer|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 10)) (|elt| (((|Integer|) $ (|Integer|) (|Integer|)) NIL) (((|Integer|) $ (|Integer|)) 13) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Integer|))) NIL)) (|concat| (($ $ (|Integer|)) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 7 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|U16Vector|) (|OneDimensionalArrayAggregate| (|Integer|))) (T |U16Vector|)) 
+NIL 
+(|OneDimensionalArrayAggregate| (|Integer|)) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|U32Vector|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) NIL)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) 17) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|U32Vector|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|U32Vector|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) (|Integer|)) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|row| (((|U32Vector|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|qsetelt!| (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) 16)) (|qnew| (($ (|Integer|) (|Integer|)) 19)) (|qelt| (((|Integer|) $ (|Integer|) (|Integer|)) 14)) (|pfaffian| (((|Integer|) $) NIL (|has| (|Integer|) (|CommutativeRing|)))) (|parts| (((|List| (|Integer|)) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|nullSpace| (((|List| (|U32Vector|)) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 10)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) 20)) (|ncols| (((|NonNegativeInteger|) $) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| (((|Integer|) $) NIL (|has| (|Integer|) (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 7)) (|minColIndex| (((|Integer|) $) 8)) (|members| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 12)) (|maxColIndex| (((|Integer|) $) 13)) (|matrix| (($ (|List| (|List| (|Integer|)))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| (|Integer|) (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $ (|Integer|)) NIL)) (|listOfLists| (((|List| (|List| (|Integer|))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|fill!| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ (|Integer|)) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Integer|)))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Equation| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Integer|) (|Integer|)) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 18)) (|elt| (((|Integer|) $ (|Integer|) (|Integer|)) 15) (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| (|Integer|))) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| (((|Integer|) $) NIL (|has| (|Integer|) (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|U32Vector|)) $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|column| (((|U32Vector|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Integer|) (|SetCategory|))) (($ (|U32Vector|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (/ (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Field|)))) (* (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL) (($ (|Integer|) $) NIL) (((|U32Vector|) $ (|U32Vector|)) NIL) (((|U32Vector|) (|U32Vector|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|U32Matrix|) (|Join| (|MatrixCategory| (|Integer|) (|U32Vector|) (|U32Vector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|)))))) (T |U32Matrix|)) 
+((|qnew| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32Matrix|))))) 
+(|Join| (|MatrixCategory| (|Integer|) (|U32Vector|) (|U32Vector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL) (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Integer|) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL) (($ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Integer|) $ (|Integer|) (|Integer|)) 15 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Integer|) $ (|UniversalSegment| (|Integer|)) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|remove| (($ (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ (|Integer|) (|Integer|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|)))) (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Integer|) $ (|Integer|) (|Integer|)) 14 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Integer|) $ (|Integer|)) 12)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL) (((|Integer|) (|Integer|) $) NIL (|has| (|Integer|) (|SetCategory|))) (((|Integer|) (|Integer|) $ (|Integer|)) NIL (|has| (|Integer|) (|SetCategory|)))) (|parts| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Integer|)) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 9 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $ $) NIL) (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|insert| (($ (|Integer|) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|first| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Integer|) "failed") (|Mapping| (|Boolean|) (|Integer|)) $) NIL)) (|fill!| (($ $ (|Integer|)) 16 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Integer|)))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Equation| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Integer|) (|Integer|)) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|entries| (((|List| (|Integer|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 10)) (|elt| (((|Integer|) $ (|Integer|) (|Integer|)) NIL) (((|Integer|) $ (|Integer|)) 13) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Integer|))) NIL)) (|concat| (($ $ (|Integer|)) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 7 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|U32Vector|) (|OneDimensionalArrayAggregate| (|Integer|))) (T |U32Vector|)) 
+NIL 
+(|OneDimensionalArrayAggregate| (|Integer|)) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|vertConcat| (($ $ $) NIL)) (|transpose| (($ (|U8Vector|)) NIL) (($ $) NIL)) (|symmetric?| (((|Boolean|) $) NIL)) (|swapRows!| (($ $ (|Integer|) (|Integer|)) NIL)) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) NIL)) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) NIL)) (|squareTop| (($ $) NIL)) (|square?| (((|Boolean|) $) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) NIL)) (|setelt| (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) 17) (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) NIL)) (|setRow!| (($ $ (|Integer|) (|U8Vector|)) NIL)) (|setColumn!| (($ $ (|Integer|) (|U8Vector|)) NIL)) (|scalarMatrix| (($ (|NonNegativeInteger|) (|Integer|)) NIL)) (|sample| (($) NIL T CONST)) (|rowEchelon| (($ $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|row| (((|U8Vector|) $ (|Integer|)) NIL)) (|rank| (((|NonNegativeInteger|) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|qsetelt!| (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) 16)) (|qnew| (($ (|Integer|) (|Integer|)) 19)) (|qelt| (((|Integer|) $ (|Integer|) (|Integer|)) 14)) (|pfaffian| (((|Integer|) $) NIL (|has| (|Integer|) (|CommutativeRing|)))) (|parts| (((|List| (|Integer|)) $) NIL)) (|nullity| (((|NonNegativeInteger|) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|nullSpace| (((|List| (|U8Vector|)) $) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|nrows| (((|NonNegativeInteger|) $) 10)) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) 20)) (|ncols| (((|NonNegativeInteger|) $) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minordet| (((|Integer|) $) NIL (|has| (|Integer|) (ATTRIBUTE (|commutative| "*"))))) (|minRowIndex| (((|Integer|) $) 7)) (|minColIndex| (((|Integer|) $) 8)) (|members| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|maxRowIndex| (((|Integer|) $) 12)) (|maxColIndex| (((|Integer|) $) 13)) (|matrix| (($ (|List| (|List| (|Integer|)))) NIL) (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| (|Integer|) (|Integer|) (|Integer|))) NIL)) (|map!| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL)) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $ (|Integer|)) NIL)) (|listOfLists| (((|List| (|List| (|Integer|))) $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|inverse| (((|Union| $ "failed") $) NIL (|has| (|Integer|) (|Field|)))) (|horizConcat| (($ $ $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|fill!| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ (|Integer|)) NIL (|has| (|Integer|) (|IntegralDomain|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Integer|)))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Equation| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Integer|) (|Integer|)) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 18)) (|elt| (((|Integer|) $ (|Integer|) (|Integer|)) 15) (((|Integer|) $ (|Integer|) (|Integer|) (|Integer|)) NIL) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL)) (|diagonalMatrix| (($ (|List| (|Integer|))) NIL) (($ (|List| $)) NIL)) (|diagonal?| (((|Boolean|) $) NIL)) (|determinant| (((|Integer|) $) NIL (|has| (|Integer|) (ATTRIBUTE (|commutative| "*"))))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|copy| (($ $) NIL)) (|columnSpace| (((|List| (|U8Vector|)) $) NIL (|has| (|Integer|) (|EuclideanDomain|)))) (|column| (((|U8Vector|) $ (|Integer|)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Integer|) (|SetCategory|))) (($ (|U8Vector|)) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|antisymmetric?| (((|Boolean|) $) NIL)) (= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (/ (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Field|)))) (- (($ $ $) NIL) (($ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| (|Integer|) (|Field|)))) (* (($ $ $) NIL) (($ (|Integer|) $) NIL) (($ $ (|Integer|)) NIL) (($ (|Integer|) $) NIL) (((|U8Vector|) $ (|U8Vector|)) NIL) (((|U8Vector|) (|U8Vector|) $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|U8Matrix|) (|Join| (|MatrixCategory| (|Integer|) (|U8Vector|) (|U8Vector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|)))))) (T |U8Matrix|)) 
+((|qnew| (*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U8Matrix|))))) 
+(|Join| (|MatrixCategory| (|Integer|) (|U8Vector|) (|U8Vector|)) (CATEGORY |domain| (SIGNATURE |qnew| ($ (|Integer|) (|Integer|))))) 
+((~= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL) (((|Boolean|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| (|Integer|) (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $) NIL) (($ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| (((|Integer|) $ (|Integer|) (|Integer|)) 15 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (((|Integer|) $ (|UniversalSegment| (|Integer|)) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|remove| (($ (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|)))) (($ (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ (|Integer|) (|Integer|)) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|)))) (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Integer|) (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| (((|Integer|) $ (|Integer|) (|Integer|)) 14 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| (((|Integer|) $ (|Integer|)) 12)) (|position| (((|Integer|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL) (((|Integer|) (|Integer|) $) NIL (|has| (|Integer|) (|SetCategory|))) (((|Integer|) (|Integer|) $ (|Integer|)) NIL (|has| (|Integer|) (|SetCategory|)))) (|parts| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|new| (($ (|NonNegativeInteger|) (|Integer|)) 11)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) 9 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) (|Integer|) (|Integer|)) $ $) NIL) (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|members| (((|List| (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|map!| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| (|Integer|) (|Integer|)) $) NIL) (($ (|Mapping| (|Integer|) (|Integer|) (|Integer|)) $ $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|insert| (($ (|Integer|) $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|first| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| (|Integer|) "failed") (|Mapping| (|Boolean|) (|Integer|)) $) NIL)) (|fill!| (($ $ (|Integer|)) 16 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| (|Integer|)))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Equation| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|Integer|) (|Integer|)) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|)))) (($ $ (|List| (|Integer|)) (|List| (|Integer|))) NIL (AND (|has| (|Integer|) (|Evalable| (|Integer|))) (|has| (|Integer|) (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|entries| (((|List| (|Integer|)) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) 10)) (|elt| (((|Integer|) $ (|Integer|) (|Integer|)) NIL) (((|Integer|) $ (|Integer|)) 13) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) (|Integer|) $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| (|Integer|) (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| (|Integer|) (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| (|Integer|))) NIL)) (|concat| (($ $ (|Integer|)) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| (|Integer|) (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) (|Integer|)) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|#| (((|NonNegativeInteger|) $) 7 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|U8Vector|) (|OneDimensionalArrayAggregate| (|Integer|))) (T |U8Vector|)) 
+NIL 
+(|OneDimensionalArrayAggregate| (|Integer|)) 
+((|userOrdered?| (((|Boolean|)) 14)) (|setOrder| (((|Void|) (|List| |#1|) (|List| |#1|)) 18) (((|Void|) (|List| |#1|)) 19)) (|more?| (((|Boolean|) |#1| |#1|) 30 (|has| |#1| (|OrderedSet|)))) (|less?| (((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|)) 26) (((|Union| (|Boolean|) "failed") |#1| |#1|) 24)) (|largest| ((|#1| (|List| |#1|)) 31 (|has| |#1| (|OrderedSet|))) ((|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|)) 27)) (|getOrder| (((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|)))) 16))) 
+(((|UserDefinedPartialOrdering| |#1|) (CATEGORY |package| (SIGNATURE |setOrder| ((|Void|) (|List| |#1|))) (SIGNATURE |setOrder| ((|Void|) (|List| |#1|) (|List| |#1|))) (SIGNATURE |getOrder| ((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|))))) (SIGNATURE |less?| ((|Union| (|Boolean|) "failed") |#1| |#1|)) (SIGNATURE |less?| ((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|))) (SIGNATURE |largest| (|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|))) (SIGNATURE |userOrdered?| ((|Boolean|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |largest| (|#1| (|List| |#1|))) (SIGNATURE |more?| ((|Boolean|) |#1| |#1|))) |noBranch|)) (|SetCategory|)) (T |UserDefinedPartialOrdering|)) 
+((|more?| (*1 *2 *3 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)))) (|largest| (*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)))) (|userOrdered?| (*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) (|largest| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)) (|ofCategory| *2 (|SetCategory|)))) (|less?| (*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)))) (|less?| (*1 *2 *3 *3) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) (|getOrder| (*1 *2) (AND (|isDomain| *2 (|Record| (|:| |low| (|List| *3)) (|:| |high| (|List| *3)))) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) (|setOrder| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4)))) (|setOrder| (*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4))))) 
+(CATEGORY |package| (SIGNATURE |setOrder| ((|Void|) (|List| |#1|))) (SIGNATURE |setOrder| ((|Void|) (|List| |#1|) (|List| |#1|))) (SIGNATURE |getOrder| ((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|))))) (SIGNATURE |less?| ((|Union| (|Boolean|) "failed") |#1| |#1|)) (SIGNATURE |less?| ((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|))) (SIGNATURE |largest| (|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|))) (SIGNATURE |userOrdered?| ((|Boolean|))) (IF (|has| |#1| (|OrderedSet|)) (PROGN (SIGNATURE |largest| (|#1| (|List| |#1|))) (SIGNATURE |more?| ((|Boolean|) |#1| |#1|))) |noBranch|)) 
+((|setVariableOrder| (((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|))) 12) (((|Void|) (|List| (|Symbol|))) 10)) (|resetVariableOrder| (((|Void|)) 13)) (|getVariableOrder| (((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) 17))) 
+(((|UserDefinedVariableOrdering|) (CATEGORY |package| (SIGNATURE |setVariableOrder| ((|Void|) (|List| (|Symbol|)))) (SIGNATURE |setVariableOrder| ((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|)))) (SIGNATURE |getVariableOrder| ((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|)))))) (SIGNATURE |resetVariableOrder| ((|Void|))))) (T |UserDefinedVariableOrdering|)) 
+((|resetVariableOrder| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) (|getVariableOrder| (*1 *2) (AND (|isDomain| *2 (|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) (|setVariableOrder| (*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) (|setVariableOrder| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(CATEGORY |package| (SIGNATURE |setVariableOrder| ((|Void|) (|List| (|Symbol|)))) (SIGNATURE |setVariableOrder| ((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|)))) (SIGNATURE |getVariableOrder| ((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|)))))) (SIGNATURE |resetVariableOrder| ((|Void|)))) 
+((|squareFreePart| (($ $) 16)) (|prime?| (((|Boolean|) $) 23))) 
+(((|UniqueFactorizationDomain&| |#1|) (CATEGORY |domain| (SIGNATURE |squareFreePart| (|#1| |#1|)) (SIGNATURE |prime?| ((|Boolean|) |#1|))) (|UniqueFactorizationDomain|)) (T |UniqueFactorizationDomain&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |squareFreePart| (|#1| |#1|)) (SIGNATURE |prime?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 50)) (|squareFree| (((|Factored| $) $) 51)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|prime?| (((|Boolean|) $) 52)) (|one?| (((|Boolean|) $) 30)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factor| (((|Factored| $) $) 49)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42)) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23))) 
+(((|UniqueFactorizationDomain|) (|Category|)) (T |UniqueFactorizationDomain|)) 
+((|prime?| (*1 *2 *1) (AND (|ofCategory| *1 (|UniqueFactorizationDomain|)) (|isDomain| *2 (|Boolean|)))) (|squareFree| (*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) (|squareFreePart| (*1 *1 *1) (|ofCategory| *1 (|UniqueFactorizationDomain|))) (|factor| (*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|))))) 
+(|Join| (|GcdDomain|) (CATEGORY |domain| (SIGNATURE |prime?| ((|Boolean|) $)) (SIGNATURE |squareFree| ((|Factored| $) $)) (SIGNATURE |squareFreePart| ($ $)) (SIGNATURE |factor| ((|Factored| $) $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|EntireRing|) . T) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|hadamard| (((|UnivariateFormalPowerSeries| |#1|) (|UnivariateFormalPowerSeries| |#1|) (|UnivariateFormalPowerSeries| |#1|)) 15))) 
+(((|UnivariateFormalPowerSeriesFunctions| |#1|) (CATEGORY |package| (SIGNATURE |hadamard| ((|UnivariateFormalPowerSeries| |#1|) (|UnivariateFormalPowerSeries| |#1|) (|UnivariateFormalPowerSeries| |#1|)))) (|Ring|)) (T |UnivariateFormalPowerSeriesFunctions|)) 
+((|hadamard| (*1 *2 *2 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeriesFunctions| *3))))) 
+(CATEGORY |package| (SIGNATURE |hadamard| ((|UnivariateFormalPowerSeries| |#1|) (|UnivariateFormalPowerSeries| |#1|) (|UnivariateFormalPowerSeries| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) NIL)) (|univariatePolynomial| (((|UnivariatePolynomial| (QUOTE |x|) |#1|) $ (|NonNegativeInteger|)) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|))) $) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) NIL) (($ (|Stream| |#1|)) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|revert| (($ $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quoByVar| (($ $) NIL)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) NIL) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) NIL)) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|oddlambert| (($ $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multisect| (($ (|Integer|) (|Integer|) $) NIL)) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|lambert| (($ $) NIL)) (|lagrange| (($ $) NIL)) (|invmultisect| (($ (|Integer|) (|Integer|) $) NIL)) (|integrate| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| (QUOTE |x|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|generalLambert| (($ $ (|Integer|) (|Integer|)) NIL)) (|extend| (($ $ (|NonNegativeInteger|)) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|evenlambert| (($ $) NIL)) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))))) (|elt| ((|#1| $ (|NonNegativeInteger|)) NIL) (($ $ $) NIL (|has| (|NonNegativeInteger|) (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $ (|Variable| (QUOTE |x|))) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|UnivariatePolynomial| (QUOTE |x|) |#1|)) NIL) (($ (|Variable| (QUOTE |x|))) NIL)) (|coefficients| (((|Stream| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) NIL)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) NIL T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateFormalPowerSeries| |#1|) (|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| (QUOTE |x|) |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| (QUOTE |x|) |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| (QUOTE |x|)))) (SIGNATURE |differentiate| ($ $ (|Variable| (QUOTE |x|)))) (SIGNATURE |lagrange| ($ $)) (SIGNATURE |lambert| ($ $)) (SIGNATURE |oddlambert| ($ $)) (SIGNATURE |evenlambert| ($ $)) (SIGNATURE |generalLambert| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |revert| ($ $)) (SIGNATURE |multisect| ($ (|Integer|) (|Integer|) $)) (SIGNATURE |invmultisect| ($ (|Integer|) (|Integer|) $)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| (QUOTE |x|)))) |noBranch|))) (|Ring|)) (T |UnivariateFormalPowerSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)))) (|univariatePolynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *4)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *4)) (|ofCategory| *4 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|lagrange| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|lambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|oddlambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|evenlambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|generalLambert| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|revert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) (|multisect| (*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|invmultisect| (*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| (QUOTE |x|) |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| (QUOTE |x|) |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| (QUOTE |x|)))) (SIGNATURE |differentiate| ($ $ (|Variable| (QUOTE |x|)))) (SIGNATURE |lagrange| ($ $)) (SIGNATURE |lambert| ($ $)) (SIGNATURE |oddlambert| ($ $)) (SIGNATURE |evenlambert| ($ $)) (SIGNATURE |generalLambert| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |revert| ($ $)) (SIGNATURE |multisect| ($ (|Integer|) (|Integer|) $)) (SIGNATURE |invmultisect| ($ (|Integer|) (|Integer|) $)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| (QUOTE |x|)))) |noBranch|))) 
+((|map| (((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)) 23))) 
+(((|UnivariateLaurentSeriesFunctions2| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |package| (SIGNATURE |map| ((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)))) (|Ring|) (|Ring|) (|Symbol|) (|Symbol|) |#1| |#2|) (T |UnivariateLaurentSeriesFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariateLaurentSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariateLaurentSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariateLaurentSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 70)) (|variable| (((|Symbol|) $) 98)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Integer|)) 93) (($ $ (|Integer|) (|Integer|)) 92)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 100)) (|tanh| (($ $) 127 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 110 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 155 (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) 156 (|has| |#1| (|Field|)))) (|sqrt| (($ $) 109 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) 146 (|has| |#1| (|Field|)))) (|sinh| (($ $) 126 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 167)) (|sech| (($ $) 125 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 112 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) 16 T CONST)) (|rem| (($ $ $) 150 (|has| |#1| (|Field|)))) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) 165 (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) 164 (|has| |#1| (|IntegralDomain|)))) (|quo| (($ $ $) 149 (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 144 (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) 157 (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) 69)) (|pi| (($) 137 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Integer|) $) 95) (((|Integer|) $ (|Integer|)) 94)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 108 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 96)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 166)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 153 (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| (|Integer|)) 60) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) 72) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) 71)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|log| (($ $) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 138 (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) 142 (|has| |#1| (|Field|))) (($ $ $) 141 (|has| |#1| (|Field|)))) (|latex| (((|String|) $) 9)) (|inv| (($ $) 158 (|has| |#1| (|Field|)))) (|integrate| (($ $) 163 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 162 (OR (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))))) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 143 (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) 140 (|has| |#1| (|Field|))) (($ $ $) 139 (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) 154 (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 151 (|has| |#1| (|Field|)))) (|extend| (($ $ (|Integer|)) 90)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 145 (|has| |#1| (|Field|)))) (|exp| (($ $) 135 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 89 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))))) (|euclideanSize| (((|NonNegativeInteger|) $) 147 (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Integer|)) 99) (($ $ $) 76 (|has| (|Integer|) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 148 (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 83 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|))) 82 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|Symbol|)) 81 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|NonNegativeInteger|)) 79 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $) 77 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (|degree| (((|Integer|) $) 63)) (|csch| (($ $) 124 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 113 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 114 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 115 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|))) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Integer|)) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 97)) (|atanh| (($ $) 133 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 120 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 131 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Integer|)) 91 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 118 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 129 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 116 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 159 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 87 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|))) 86 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|Symbol|)) 85 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|NonNegativeInteger|)) 80 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) (($ $) 78 (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|))) (($ $ $) 161 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 160 (|has| |#1| (|Field|))) (($ $ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateLaurentSeriesCategory| |#1|) (|Category|) (|Ring|)) (T |UnivariateLaurentSeriesCategory|)) 
+((|series| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)))) (|multiplyCoefficients| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|rationalFunction| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) (|rationalFunction| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) (|integrate| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) (|integrate| (*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))))))) 
+(|Join| (|UnivariatePowerSeriesCategory| |t#1| (|Integer|)) (CATEGORY |domain| (SIGNATURE |series| ($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |t#1|))))) (SIGNATURE |multiplyCoefficients| ($ (|Mapping| |t#1| (|Integer|)) $)) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (SIGNATURE |rationalFunction| ((|Fraction| (|Polynomial| |t#1|)) $ (|Integer|))) (SIGNATURE |rationalFunction| ((|Fraction| (|Polynomial| |t#1|)) $ (|Integer|) (|Integer|)))) |noBranch|) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $)) (IF (|has| |t#1| (SIGNATURE |integrate| (|t#1| |t#1| (|Symbol|)))) (IF (|has| |t#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |t#1|))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|TranscendentalFunctionCategory|)) (IF (|has| |t#1| (|PrimitiveFunctionCategory|)) (IF (|has| |t#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|) |noBranch|) |noBranch|) (ATTRIBUTE (|RadicalCategory|)) (ATTRIBUTE (|TranscendentalFunctionCategory|))) |noBranch|) (IF (|has| |t#1| (|Field|)) (ATTRIBUTE (|Field|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|Integer|)) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|DifferentialRing|) |has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) ((|DivisionRing|) |has| |#1| (|Field|)) ((|ElementaryFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Eltable| $ $) |has| (|Integer|) (|SemiGroup|)) ((|EntireRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|EuclideanDomain|) |has| |#1| (|Field|)) ((|Field|) |has| |#1| (|Field|)) ((|GcdDomain|) |has| |#1| (|Field|)) ((|HyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|IntegralDomain|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) |has| |#1| (|Field|)) ((|Module| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PowerSeriesCategory| |#1| (|Integer|) (|SingletonAsOrderedSet|)) . T) ((|PrincipalIdealDomain|) |has| |#1| (|Field|)) ((|RadicalCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|TranscendentalFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|TrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|UniqueFactorizationDomain|) |has| |#1| (|Field|)) ((|UnivariatePowerSeriesCategory| |#1| (|Integer|)) . T)) 
+((|zero?| (((|Boolean|) $) 12)) (|retractIfCan| (((|Union| |#3| "failed") $) 17) (((|Union| (|Symbol|) "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL)) (|retract| ((|#3| $) 14) (((|Symbol|) $) NIL) (((|Fraction| (|Integer|)) $) NIL) (((|Integer|) $) NIL))) 
+(((|UnivariateLaurentSeriesConstructorCategory&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Symbol|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Symbol|) "failed") |#1|)) (SIGNATURE |retract| (|#3| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|))) (|UnivariateLaurentSeriesConstructorCategory| |#2| |#3|) (|Ring|) (|UnivariateTaylorSeriesCategory| |#2|)) (T |UnivariateLaurentSeriesConstructorCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |retract| ((|Symbol|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Symbol|) "failed") |#1|)) (SIGNATURE |retract| (|#3| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|wholePart| ((|#2| $) 220 (|and| (|has| |#2| (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 70)) (|variable| (((|Symbol|) $) 98)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Integer|)) 93) (($ $ (|Integer|) (|Integer|)) 92)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 100)) (|taylorRep| ((|#2| $) 256)) (|taylorIfCan| (((|Union| |#2| "failed") $) 252)) (|taylor| ((|#2| $) 253)) (|tanh| (($ $) 127 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 110 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 229 (|and| (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|squareFreePart| (($ $) 155 (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) 156 (|has| |#1| (|Field|)))) (|sqrt| (($ $) 109 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 226 (|and| (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|sizeLess?| (((|Boolean|) $ $) 146 (|has| |#1| (|Field|)))) (|sinh| (($ $) 126 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sign| (((|Integer|) $) 238 (|and| (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 167)) (|sech| (($ $) 125 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 112 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 259) (((|Union| (|Integer|) "failed") $) 248 (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) 246 (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Union| (|Symbol|) "failed") $) 231 (|and| (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|))))) (|retract| ((|#2| $) 258) (((|Integer|) $) 249 (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Fraction| (|Integer|)) $) 247 (|and| (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Symbol|) $) 232 (|and| (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|))))) (|removeZeroes| (($ $) 255) (($ (|Integer|) $) 254)) (|rem| (($ $ $) 150 (|has| |#1| (|Field|)))) (|reductum| (($ $) 59)) (|reducedSystem| (((|Matrix| |#2|) (|Matrix| $)) 210 (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) 209 (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 208 (|and| (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) 207 (|and| (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|))))) (|recip| (((|Union| $ "failed") $) 33)) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) 165 (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) 164 (|has| |#1| (|IntegralDomain|)))) (|random| (($) 222 (|and| (|has| |#2| (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|quo| (($ $ $) 149 (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 144 (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) 157 (|has| |#1| (|Field|)))) (|positive?| (((|Boolean|) $) 236 (|and| (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|pole?| (((|Boolean|) $) 69)) (|pi| (($) 137 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 214 (|and| (|has| |#2| (|PatternMatchable| (|Float|))) (|has| |#1| (|Field|)))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 213 (|and| (|has| |#2| (|PatternMatchable| (|Integer|))) (|has| |#1| (|Field|))))) (|order| (((|Integer|) $) 95) (((|Integer|) $ (|Integer|)) 94)) (|one?| (((|Boolean|) $) 30)) (|numerator| (($ $) 218 (|has| |#1| (|Field|)))) (|numer| ((|#2| $) 216 (|has| |#1| (|Field|)))) (|nthRoot| (($ $ (|Integer|)) 108 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|nextItem| (((|Union| $ "failed") $) 250 (|and| (|has| |#2| (|StepThrough|)) (|has| |#1| (|Field|))))) (|negative?| (((|Boolean|) $) 237 (|and| (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 96)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 166)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 153 (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| (|Integer|)) 60) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) 72) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) 71)) (|min| (($ $ $) 240 (|and| (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (|max| (($ $ $) 241 (|and| (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (|map| (($ (|Mapping| |#1| |#1|) $) 62) (($ (|Mapping| |#2| |#2|) $) 202 (|has| |#1| (|Field|)))) (|log| (($ $) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 138 (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) 142 (|has| |#1| (|Field|))) (($ $ $) 141 (|has| |#1| (|Field|)))) (|laurent| (($ (|Integer|) |#2|) 257)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 158 (|has| |#1| (|Field|)))) (|integrate| (($ $) 163 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 162 (OR (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))))) (|init| (($) 251 (|and| (|has| |#2| (|StepThrough|)) (|has| |#1| (|Field|))) CONST)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 143 (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) 140 (|has| |#1| (|Field|))) (($ $ $) 139 (|has| |#1| (|Field|)))) (|fractionPart| (($ $) 221 (|and| (|has| |#2| (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|floor| ((|#2| $) 224 (|and| (|has| |#2| (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 227 (|and| (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 228 (|and| (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factor| (((|Factored| $) $) 154 (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 151 (|has| |#1| (|Field|)))) (|extend| (($ $ (|Integer|)) 90)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 145 (|has| |#1| (|Field|)))) (|exp| (($ $) 135 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 89 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|))))) (($ $ (|Symbol|) |#2|) 201 (|and| (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|)) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|)) (|List| |#2|)) 200 (|and| (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|)) (|has| |#1| (|Field|)))) (($ $ (|List| (|Equation| |#2|))) 199 (|and| (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|)))) (($ $ (|Equation| |#2|)) 198 (|and| (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|)))) (($ $ |#2| |#2|) 197 (|and| (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|)))) (($ $ (|List| |#2|) (|List| |#2|)) 196 (|and| (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|))))) (|euclideanSize| (((|NonNegativeInteger|) $) 147 (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Integer|)) 99) (($ $ $) 76 (|has| (|Integer|) (|SemiGroup|))) (($ $ |#2|) 195 (|and| (|has| |#2| (|Eltable| |#2| |#2|)) (|has| |#1| (|Field|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 148 (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) 206 (|has| |#1| (|Field|))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 205 (|has| |#1| (|Field|))) (($ $ (|NonNegativeInteger|)) 79 (OR (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) 77 (OR (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 83 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (($ $ (|List| (|Symbol|))) 82 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (($ $ (|Symbol|)) 81 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))))) (|denominator| (($ $) 219 (|has| |#1| (|Field|)))) (|denom| ((|#2| $) 217 (|has| |#1| (|Field|)))) (|degree| (((|Integer|) $) 63)) (|csch| (($ $) 124 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 113 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 114 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 115 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|convert| (((|DoubleFloat|) $) 235 (|and| (|has| |#2| (|RealConstant|)) (|has| |#1| (|Field|)))) (((|Float|) $) 234 (|and| (|has| |#2| (|RealConstant|)) (|has| |#1| (|Field|)))) (((|InputForm|) $) 233 (|and| (|has| |#2| (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|Field|)))) (((|Pattern| (|Float|)) $) 212 (|and| (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|Field|)))) (((|Pattern| (|Integer|)) $) 211 (|and| (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|Field|))))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 225 (|and| (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|Field|))))) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|))) (($ |#2|) 260) (($ (|Symbol|)) 230 (|and| (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Integer|)) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (OR (|and| (OR (|has| |#2| (|CharacteristicNonZero|)) (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 97)) (|ceiling| ((|#2| $) 223 (|and| (|has| |#2| (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|atanh| (($ $) 133 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 120 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 131 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Integer|)) 91 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 118 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 129 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 116 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|abs| (($ $) 239 (|and| (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 159 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|Mapping| |#2| |#2|)) 204 (|has| |#1| (|Field|))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) 203 (|has| |#1| (|Field|))) (($ $ (|NonNegativeInteger|)) 80 (OR (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) 78 (OR (|and| (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 87 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (($ $ (|List| (|Symbol|))) 86 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))))) (($ $ (|Symbol|)) 85 (OR (|and| (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))))) (>= (((|Boolean|) $ $) 243 (|and| (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (> (((|Boolean|) $ $) 244 (|and| (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 242 (|and| (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (< (((|Boolean|) $ $) 245 (|and| (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|))) (($ $ $) 161 (|has| |#1| (|Field|))) (($ |#2| |#2|) 215 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 160 (|has| |#1| (|Field|))) (($ $ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 194 (|has| |#1| (|Field|))) (($ |#2| $) 193 (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateLaurentSeriesConstructorCategory| |#1| |#2|) (|Category|) (|Ring|) (|UnivariateTaylorSeriesCategory| |t#1|)) (T |UnivariateLaurentSeriesConstructorCategory|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *2 (|Integer|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|laurent| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *4)))) (|taylorRep| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|removeZeroes| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *2)))) (|removeZeroes| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)))) (|taylor| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|taylorIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(|Join| (|UnivariateLaurentSeriesCategory| |t#1|) (|RetractableTo| |t#2|) (CATEGORY |domain| (SIGNATURE |laurent| ($ (|Integer|) |t#2|)) (SIGNATURE |degree| ((|Integer|) $)) (SIGNATURE |taylorRep| (|t#2| $)) (SIGNATURE |removeZeroes| ($ $)) (SIGNATURE |removeZeroes| ($ (|Integer|) $)) (SIGNATURE |coerce| ($ |t#2|)) (SIGNATURE |taylor| (|t#2| $)) (SIGNATURE |taylorIfCan| ((|Union| |t#2| "failed") $)) (IF (|has| |t#1| (|Field|)) (ATTRIBUTE (|QuotientFieldCategory| |t#2|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|Integer|)) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| |#2|) |has| |#1| (|Field|)) ((|Algebra| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| |#2| |#2|) |has| |#1| (|Field|)) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (AND (|has| |#1| (|Field|)) (|has| |#2| (|CharacteristicNonZero|))) (|has| |#1| (|CharacteristicNonZero|))) ((|CharacteristicZero|) OR (AND (|has| |#1| (|Field|)) (|has| |#2| (|CharacteristicZero|))) (|has| |#1| (|CharacteristicZero|))) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|ConvertibleTo| (|DoubleFloat|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RealConstant|))) ((|ConvertibleTo| (|Float|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RealConstant|))) ((|ConvertibleTo| (|InputForm|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|ConvertibleTo| (|InputForm|)))) ((|ConvertibleTo| (|Pattern| (|Float|))) AND (|has| |#1| (|Field|)) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|))))) ((|ConvertibleTo| (|Pattern| (|Integer|))) AND (|has| |#1| (|Field|)) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|))))) ((|DifferentialExtension| |#2|) |has| |#1| (|Field|)) ((|DifferentialRing|) OR (AND (|has| |#1| (|Field|)) (|has| |#2| (|DifferentialRing|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|)))) ((|DivisionRing|) |has| |#1| (|Field|)) ((|ElementaryFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Eltable| |#2| $) AND (|has| |#1| (|Field|)) (|has| |#2| (|Eltable| |#2| |#2|))) ((|Eltable| $ $) |has| (|Integer|) (|SemiGroup|)) ((|EntireRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|EuclideanDomain|) |has| |#1| (|Field|)) ((|Evalable| |#2|) AND (|has| |#1| (|Field|)) (|has| |#2| (|Evalable| |#2|))) ((|Field|) |has| |#1| (|Field|)) ((|FullyEvalableOver| |#2|) |has| |#1| (|Field|)) ((|FullyLinearlyExplicitRingOver| |#2|) |has| |#1| (|Field|)) ((|FullyPatternMatchable| |#2|) |has| |#1| (|Field|)) ((|GcdDomain|) |has| |#1| (|Field|)) ((|HyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|InnerEvalable| (|Symbol|) |#2|) AND (|has| |#1| (|Field|)) (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|))) ((|InnerEvalable| |#2| |#2|) AND (|has| |#1| (|Field|)) (|has| |#2| (|Evalable| |#2|))) ((|IntegralDomain|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|LeftModule| |#1|) . T) ((|LeftModule| |#2|) |has| |#1| (|Field|)) ((|LeftModule| $) . T) ((|LeftOreRing|) |has| |#1| (|Field|)) ((|LinearlyExplicitRingOver| (|Integer|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) ((|LinearlyExplicitRingOver| |#2|) |has| |#1| (|Field|)) ((|Module| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| |#2|) |has| |#1| (|Field|)) ((|Module| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|Monoid|) . T) ((|OrderedAbelianGroup|) AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) ((|OrderedAbelianMonoid|) AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) ((|OrderedAbelianSemiGroup|) AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) ((|OrderedCancellationAbelianMonoid|) AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) ((|OrderedIntegralDomain|) AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) ((|OrderedRing|) AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|))) ((|OrderedSet|) OR (AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedSet|))) (AND (|has| |#1| (|Field|)) (|has| |#2| (|OrderedIntegralDomain|)))) ((|PartialDifferentialRing| (|Symbol|)) OR (AND (|has| |#1| (|Field|)) (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) ((|PatternMatchable| (|Float|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|PatternMatchable| (|Float|)))) ((|PatternMatchable| (|Integer|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|PatternMatchable| (|Integer|)))) ((|Patternable| |#2|) |has| |#1| (|Field|)) ((|PolynomialFactorizationExplicit|) AND (|has| |#1| (|Field|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) ((|PowerSeriesCategory| |#1| (|Integer|) (|SingletonAsOrderedSet|)) . T) ((|PrincipalIdealDomain|) |has| |#1| (|Field|)) ((|QuotientFieldCategory| |#2|) |has| |#1| (|Field|)) ((|RadicalCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RealConstant|) AND (|has| |#1| (|Field|)) (|has| |#2| (|RealConstant|))) ((|RetractableTo| (|Fraction| (|Integer|))) AND (|has| |#1| (|Field|)) (|has| |#2| (|RetractableTo| (|Integer|)))) ((|RetractableTo| (|Integer|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RetractableTo| (|Integer|)))) ((|RetractableTo| (|Symbol|)) AND (|has| |#1| (|Field|)) (|has| |#2| (|RetractableTo| (|Symbol|)))) ((|RetractableTo| |#2|) . T) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|RightModule| |#1|) . T) ((|RightModule| |#2|) |has| |#1| (|Field|)) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) AND (|has| |#1| (|Field|)) (|has| |#2| (|StepThrough|))) ((|TranscendentalFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|TrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Type|) |has| |#1| (|Field|)) ((|UniqueFactorizationDomain|) |has| |#1| (|Field|)) ((|UnivariateLaurentSeriesCategory| |#1|) . T) ((|UnivariatePowerSeriesCategory| |#1| (|Integer|)) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 70)) (|wholePart| ((|#2| $) NIL (AND (|has| |#2| (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 88)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Integer|)) 97) (($ $ (|Integer|) (|Integer|)) 99)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) 47)) (|taylorRep| ((|#2| $) 11)) (|taylorIfCan| (((|Union| |#2| "failed") $) 30)) (|taylor| ((|#2| $) 31)) (|tanh| (($ $) 192 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 168 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) 188 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 164 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sign| (((|Integer|) $) NIL (AND (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) 57)) (|sech| (($ $) 196 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 172 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 144) (((|Union| (|Integer|) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Union| (|Symbol|) "failed") $) NIL (AND (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|))))) (|retract| ((|#2| $) 143) (((|Integer|) $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| |#2| (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Symbol|) $) NIL (AND (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|))))) (|removeZeroes| (($ $) 61) (($ (|Integer|) $) 24)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| |#2|) (|Matrix| $)) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|))))) (|recip| (((|Union| $ "failed") $) 77)) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) 112 (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) 114 (|has| |#1| (|IntegralDomain|)))) (|random| (($) NIL (AND (|has| |#2| (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|positive?| (((|Boolean|) $) NIL (AND (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|pole?| (((|Boolean|) $) 64)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| |#2| (|PatternMatchable| (|Float|))) (|has| |#1| (|Field|)))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| |#2| (|PatternMatchable| (|Integer|))) (|has| |#1| (|Field|))))) (|order| (((|Integer|) $) 93) (((|Integer|) $ (|Integer|)) 95)) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL (|has| |#1| (|Field|)))) (|numer| ((|#2| $) 151 (|has| |#1| (|Field|)))) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|nextItem| (((|Union| $ "failed") $) NIL (AND (|has| |#2| (|StepThrough|)) (|has| |#1| (|Field|))))) (|negative?| (((|Boolean|) $) NIL (AND (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 136)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 132)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Integer|)) 19) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) NIL)) (|min| (($ $ $) NIL (AND (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (|max| (($ $ $) NIL (AND (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (|map| (($ (|Mapping| |#1| |#1|) $) 129) (($ (|Mapping| |#2| |#2|) $) NIL (|has| |#1| (|Field|)))) (|log| (($ $) 162 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|laurent| (($ (|Integer|) |#2|) 10)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 145 (|has| |#1| (|Field|)))) (|integrate| (($ $) 214 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 219 (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)))))) (|init| (($) NIL (AND (|has| |#2| (|StepThrough|)) (|has| |#1| (|Field|))) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|fractionPart| (($ $) NIL (AND (|has| |#2| (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|floor| ((|#2| $) NIL (AND (|has| |#2| (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Integer|)) 126)) (|exquo| (((|Union| $ "failed") $ $) 116 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) 160 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 85 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|))))) (($ $ (|Symbol|) |#2|) NIL (AND (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|)) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|)) (|List| |#2|)) NIL (AND (|has| |#2| (|InnerEvalable| (|Symbol|) |#2|)) (|has| |#1| (|Field|)))) (($ $ (|List| (|Equation| |#2|))) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|)))) (($ $ (|Equation| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|)))) (($ $ |#2| |#2|) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|)))) (($ $ (|List| |#2|) (|List| |#2|)) NIL (AND (|has| |#2| (|Evalable| |#2|)) (|has| |#1| (|Field|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Integer|)) 91) (($ $ $) 79 (|has| (|Integer|) (|SemiGroup|))) (($ $ |#2|) NIL (AND (|has| |#2| (|Eltable| |#2| |#2|)) (|has| |#1| (|Field|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) 137 (OR (AND (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|List| (|Symbol|))) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|)) 140 (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))))) (|denominator| (($ $) NIL (|has| |#1| (|Field|)))) (|denom| ((|#2| $) 152 (|has| |#1| (|Field|)))) (|degree| (((|Integer|) $) 12)) (|csch| (($ $) 198 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 174 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 194 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 170 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 190 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 166 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|convert| (((|DoubleFloat|) $) NIL (AND (|has| |#2| (|RealConstant|)) (|has| |#1| (|Field|)))) (((|Float|) $) NIL (AND (|has| |#2| (|RealConstant|)) (|has| |#1| (|Field|)))) (((|InputForm|) $) NIL (AND (|has| |#2| (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|Field|)))) (((|Pattern| (|Float|)) $) NIL (AND (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|Field|)))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|Field|))))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|complete| (($ $) 124)) (|coerce| (((|OutputForm|) $) 242) (($ (|Integer|)) 23) (($ |#1|) 21 (|has| |#1| (|CommutativeRing|))) (($ |#2|) 20) (($ (|Symbol|)) NIL (AND (|has| |#2| (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (($ (|Fraction| (|Integer|))) 155 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Integer|)) 74)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (AND (|has| |#2| (|CharacteristicNonZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 142)) (|center| ((|#1| $) 90)) (|ceiling| ((|#2| $) NIL (AND (|has| |#2| (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|atanh| (($ $) 204 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 180 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 200 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 176 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 208 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 184 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Integer|)) 122 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 210 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 186 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 206 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 182 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 202 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 178 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|abs| (($ $) NIL (AND (|has| |#2| (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 13 T CONST)) (|One| (($) 17 T CONST)) (D (($ $ (|Mapping| |#2| |#2|)) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) NIL (OR (AND (|has| |#2| (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|List| (|Symbol|))) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#2| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))))) (>= (((|Boolean|) $ $) NIL (AND (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (> (((|Boolean|) $ $) NIL (AND (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (= (((|Boolean|) $ $) 63)) (<= (((|Boolean|) $ $) NIL (AND (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (< (((|Boolean|) $ $) NIL (AND (|has| |#2| (|OrderedSet|)) (|has| |#1| (|Field|))))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) 149 (|has| |#1| (|Field|))) (($ |#2| |#2|) 150 (|has| |#1| (|Field|)))) (- (($ $) 213) (($ $ $) 68)) (+ (($ $ $) 66)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 73) (($ $ (|Integer|)) 146 (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 158 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (|Field|))) (($ |#2| $) 147 (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateLaurentSeriesConstructor| |#1| |#2|) (|UnivariateLaurentSeriesConstructorCategory| |#1| |#2|) (|Ring|) (|UnivariateTaylorSeriesCategory| |#1|)) (T |UnivariateLaurentSeriesConstructor|)) 
+NIL 
+(|UnivariateLaurentSeriesConstructorCategory| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|wholePart| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 10)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|unitCanonical| (($ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|unit?| (((|Boolean|) $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|truncate| (($ $ (|Integer|)) NIL) (($ $ (|Integer|) (|Integer|)) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) NIL)) (|taylorRep| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL)) (|taylorIfCan| (((|Union| (|UnivariateTaylorSeries| |#1| |#2| |#3|) "failed") $) NIL)) (|taylor| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sign| (((|Integer|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|UnivariateTaylorSeries| |#1| |#2| |#3|) "failed") $) NIL) (((|Union| (|Symbol|) "failed") $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Union| (|Integer|) "failed") $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|))))) (|retract| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL) (((|Symbol|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (((|Fraction| (|Integer|)) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|)))) (((|Integer|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|))))) (|removeZeroes| (($ $) NIL) (($ (|Integer|) $) NIL)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (|Matrix| $)) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|:| |vec| (|Vector| (|UnivariateTaylorSeries| |#1| |#2| |#3|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|)))) (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|LinearlyExplicitRingOver| (|Integer|))) (|has| |#1| (|Field|))))) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) NIL (|has| |#1| (|IntegralDomain|))) (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) NIL (|has| |#1| (|IntegralDomain|)))) (|random| (($) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|positive?| (((|Boolean|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|patternMatch| (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|Field|)))) (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PatternMatchable| (|Float|))) (|has| |#1| (|Field|))))) (|order| (((|Integer|) $) NIL) (((|Integer|) $ (|Integer|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|numerator| (($ $) NIL (|has| |#1| (|Field|)))) (|numer| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (|has| |#1| (|Field|)))) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|nextItem| (((|Union| $ "failed") $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|StepThrough|)) (|has| |#1| (|Field|))))) (|negative?| (((|Boolean|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Integer|)) 17) (($ $ (|SingletonAsOrderedSet|) (|Integer|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Integer|))) NIL)) (|min| (($ $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (|max| (($ $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) $) NIL (|has| |#1| (|Field|)))) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|laurent| (($ (|Integer|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|integrate| (($ $) 25 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 26 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|StepThrough|)) (|has| |#1| (|Field|))) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|fractionPart| (($ $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|EuclideanDomain|)) (|has| |#1| (|Field|))))) (|floor| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Integer|)) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|))))) (($ $ (|Symbol|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|InnerEvalable| (|Symbol|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Symbol|)) (|List| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|InnerEvalable| (|Symbol|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|Equation| (|UnivariateTaylorSeries| |#1| |#2| |#3|)))) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|Equation| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|)))) (($ $ (|List| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (|List| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Evalable| (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Integer|)) NIL) (($ $ $) NIL (|has| (|Integer|) (|SemiGroup|))) (($ $ (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Eltable| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) (|has| |#1| (|Field|))))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|Mapping| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|Variable| |#2|)) 24) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) 23 (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|List| (|Symbol|))) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))))) (|denominator| (($ $) NIL (|has| |#1| (|Field|)))) (|denom| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (|has| |#1| (|Field|)))) (|degree| (((|Integer|) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|convert| (((|InputForm|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|Field|)))) (((|Float|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RealConstant|)) (|has| |#1| (|Field|)))) (((|DoubleFloat|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RealConstant|)) (|has| |#1| (|Field|)))) (((|Pattern| (|Float|)) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|Field|)))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|Field|))))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL) (($ (|Variable| |#2|)) 22) (($ (|Symbol|)) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Symbol|))) (|has| |#1| (|Field|)))) (($ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|)))) (($ (|Fraction| (|Integer|))) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|RetractableTo| (|Integer|))) (|has| |#1| (|Field|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) (|coefficient| ((|#1| $ (|Integer|)) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|CharacteristicNonZero|)) (|has| |#1| (|Field|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 11)) (|ceiling| (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|IntegerNumberSystem|)) (|has| |#1| (|Field|))))) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PolynomialFactorizationExplicit|)) (|has| |#1| (|Field|))) (|has| |#1| (|IntegralDomain|))))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Integer|)) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Integer|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|abs| (($ $) NIL (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 19 T CONST)) (|One| (($) 15 T CONST)) (D (($ $ (|Mapping| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|))) NIL (|has| |#1| (|Field|))) (($ $ (|Mapping| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (|NonNegativeInteger|)) NIL (|has| |#1| (|Field|))) (($ $ (|NonNegativeInteger|)) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|DifferentialRing|)) (|has| |#1| (|Field|))) (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|List| (|Symbol|))) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (|Field|))) (AND (|has| |#1| (SIGNATURE * (|#1| (|Integer|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))))) (>= (((|Boolean|) $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (> (((|Boolean|) $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (< (((|Boolean|) $ $) NIL (OR (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedIntegralDomain|)) (|has| |#1| (|Field|))) (AND (|has| (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|OrderedSet|)) (|has| |#1| (|Field|)))))) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|))) (($ (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 20)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (|UnivariateTaylorSeries| |#1| |#2| |#3|)) NIL (|has| |#1| (|Field|))) (($ (|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL (|has| |#1| (|Field|))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateLaurentSeries| |#1| |#2| |#3|) (|Join| (|UnivariateLaurentSeriesConstructorCategory| |#1| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |UnivariateLaurentSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariateLaurentSeriesConstructorCategory| |#1| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) 10)) (|factorSquareFree| (((|Factored| |#1|) |#1|) 21)) (|factor| (((|Factored| |#1|) |#1|) 20))) 
+(((|UnivariateFactorize| |#1|) (CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |henselFact| ((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)))) (|UnivariatePolynomialCategory| (|Integer|))) (T |UnivariateFactorize|)) 
+((|henselFact| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factorSquareFree| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) (|factor| (*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(CATEGORY |package| (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |factorSquareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |henselFact| ((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)))) 
+((|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) 23 (|has| |#1| (|OrderedRing|))) (((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) 17))) 
+(((|UniversalSegmentFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |map| ((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|))) (IF (|has| |#1| (|OrderedRing|)) (SIGNATURE |map| ((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|))) |noBranch|)) (|Type|) (|Type|)) (T |UniversalSegmentFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|UniversalSegment| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|))) (IF (|has| |#1| (|OrderedRing|)) (SIGNATURE |map| ((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|))) |noBranch|)) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|segment| (($ |#1| |#1|) 9) (($ |#1|) 8)) (|map| (((|Stream| |#1|) (|Mapping| |#1| |#1|) $) 41 (|has| |#1| (|OrderedRing|)))) (|low| ((|#1| $) 14)) (|lo| ((|#1| $) 10)) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|incr| (((|Integer|) $) 18)) (|high| ((|#1| $) 17)) (|hi| ((|#1| $) 11)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|hasHi| (((|Boolean|) $) 16)) (|expand| (((|Stream| |#1|) $) 38 (|has| |#1| (|OrderedRing|))) (((|Stream| |#1|) (|List| $)) 37 (|has| |#1| (|OrderedRing|)))) (|convert| (($ |#1|) 25)) (|coerce| (($ (|Segment| |#1|)) 24) (((|OutputForm|) $) 34 (|has| |#1| (|SetCategory|)))) (SEGMENT (($ |#1| |#1|) 20) (($ |#1|) 19)) (BY (($ $ (|Integer|)) 13)) (= (((|Boolean|) $ $) 27 (|has| |#1| (|SetCategory|))))) 
+(((|UniversalSegment| |#1|) (|Join| (|SegmentCategory| |#1|) (CATEGORY |domain| (SIGNATURE SEGMENT ($ |#1|)) (SIGNATURE |segment| ($ |#1|)) (SIGNATURE |coerce| ($ (|Segment| |#1|))) (SIGNATURE |hasHi| ((|Boolean|) $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|SegmentExpansionCategory| |#1| (|Stream| |#1|))) |noBranch|))) (|Type|)) (T |UniversalSegment|)) 
+((SEGMENT (*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|)))) (|segment| (*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Segment| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|UniversalSegment| *3)))) (|hasHi| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UniversalSegment| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|SegmentCategory| |#1|) (CATEGORY |domain| (SIGNATURE SEGMENT ($ |#1|)) (SIGNATURE |segment| ($ |#1|)) (SIGNATURE |coerce| ($ (|Segment| |#1|))) (SIGNATURE |hasHi| ((|Boolean|) $)) (IF (|has| |#1| (|SetCategory|)) (ATTRIBUTE (|SetCategory|)) |noBranch|) (IF (|has| |#1| (|OrderedRing|)) (ATTRIBUTE (|SegmentExpansionCategory| |#1| (|Stream| |#1|))) |noBranch|))) 
+((|map| (((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)) 15))) 
+(((|UnivariatePolynomialFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| ((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)))) (|Symbol|) (|Ring|) (|Symbol|) (|Ring|)) (T |UnivariatePolynomialFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *6)) (|isDomain| *4 (|UnivariatePolynomial| *5 *6)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *7 *8)) (|isDomain| *1 (|UnivariatePolynomialFunctions2| *5 *6 *7 *8)) (|ofType| *7 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)))) 
+((|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (|commonDenominator| ((|#1| |#3|) 13)) (|clearDenominator| ((|#3| |#3|) 19))) 
+(((|UnivariatePolynomialCommonDenominator| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| |#3|)) (SIGNATURE |clearDenominator| (|#3| |#3|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (|IntegralDomain|) (|QuotientFieldCategory| |#1|) (|UnivariatePolynomialCategory| |#2|)) (T |UnivariatePolynomialCommonDenominator|)) 
+((|splitDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) (|clearDenominator| (*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|commonDenominator| (*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |commonDenominator| (|#1| |#3|)) (SIGNATURE |clearDenominator| (|#3| |#3|)) (SIGNATURE |splitDenominator| ((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((|rightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|) 29)) (|monicRightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|)) 30)) (|monicDecomposeIfCan| (((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|) 42)) (|monicCompleteDecompose| (((|List| |#2|) |#2|) 44)) (|leftFactorIfCan| (((|Union| |#2| "failed") |#2| |#2|) 39))) 
+(((|UnivariatePolynomialDecompositionPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |monicRightFactorIfCan| ((|Union| |#2| "failed") |#2| (|NonNegativeInteger|))) (SIGNATURE |rightFactorIfCan| ((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|)) (SIGNATURE |leftFactorIfCan| ((|Union| |#2| "failed") |#2| |#2|)) (SIGNATURE |monicDecomposeIfCan| ((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|)) (SIGNATURE |monicCompleteDecompose| ((|List| |#2|) |#2|))) (|Join| (|IntegralDomain|) (|CharacteristicZero|)) (|UnivariatePolynomialCategory| |#1|)) (T |UnivariatePolynomialDecompositionPackage|)) 
+((|monicCompleteDecompose| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|monicDecomposeIfCan| (*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) (|leftFactorIfCan| (*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|rightFactorIfCan| (*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|monicRightFactorIfCan| (*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |monicRightFactorIfCan| ((|Union| |#2| "failed") |#2| (|NonNegativeInteger|))) (SIGNATURE |rightFactorIfCan| ((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|)) (SIGNATURE |leftFactorIfCan| ((|Union| |#2| "failed") |#2| |#2|)) (SIGNATURE |monicDecomposeIfCan| ((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|)) (SIGNATURE |monicCompleteDecompose| ((|List| |#2|) |#2|))) 
+((|divideIfCan| (((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|) 31))) 
+(((|UnivariatePolynomialDivisionPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |divideIfCan| ((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|))) (|IntegralDomain|) (|UnivariatePolynomialCategory| |#1|)) (T |UnivariatePolynomialDivisionPackage|)) 
+((|divideIfCan| (*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariatePolynomialDivisionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(CATEGORY |package| (SIGNATURE |divideIfCan| ((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|))) 
+((|noKaratsuba| ((|#2| |#2| |#2|) 19)) (|karatsubaOnce| ((|#2| |#2| |#2|) 30)) (|karatsuba| ((|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)) 36))) 
+(((|UnivariatePolynomialMultiplicationPackage| |#1| |#2|) (CATEGORY |package| (SIGNATURE |noKaratsuba| (|#2| |#2| |#2|)) (SIGNATURE |karatsubaOnce| (|#2| |#2| |#2|)) (SIGNATURE |karatsuba| (|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)))) (|Ring|) (|UnivariatePolynomialCategory| |#1|)) (T |UnivariatePolynomialMultiplicationPackage|)) 
+((|karatsuba| (*1 *2 *2 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) (|karatsubaOnce| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) (|noKaratsuba| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE |noKaratsuba| (|#2| |#2| |#2|)) (SIGNATURE |karatsubaOnce| (|#2| |#2| |#2|)) (SIGNATURE |karatsuba| (|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|unvectorise| (($ (|Vector| |#2|)) NIL)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) NIL)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) NIL) (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#2| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#2| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|subResultantGcd| (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) NIL (|has| |#2| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#2| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#2| (|Field|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) NIL)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) NIL)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|retract| ((|#2| $) NIL) (((|Fraction| (|Integer|)) $) NIL (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) NIL (|has| |#2| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) NIL)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|CommutativeRing|))) ((|#2| $ $) NIL (|has| |#2| (|CommutativeRing|)))) (|rem| (($ $ $) NIL (|has| |#2| (|Field|)))) (|reductum| (($ $) NIL)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) NIL (|has| |#2| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#2|))) (|Matrix| $) (|Vector| $)) NIL) (((|Matrix| |#2|) (|Matrix| $)) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quo| (($ $ $) NIL (|has| |#2| (|Field|)))) (|pseudoRemainder| (($ $ $) NIL)) (|pseudoQuotient| (($ $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#2| (|Field|)))) (|primitivePart| (($ $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) NIL)) (|prime?| (((|Boolean|) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#2| (|NonNegativeInteger|) $) NIL)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#2| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) NIL (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#2| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) NIL (|has| |#2| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#2|) (|SingletonAsOrderedSet|)) NIL) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) NIL)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|Field|)))) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#2| (|NonNegativeInteger|)) 17) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) NIL) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|min| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#2| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) NIL)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#2| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#2| (|GcdDomain|)))) (|lcm| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|latex| (((|String|) $) NIL)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) NIL)) (|isTimes| (((|Union| (|List| $) "failed") $) NIL)) (|isPlus| (((|Union| (|List| $) "failed") $) NIL)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) NIL)) (|integrate| (($ $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) NIL (|has| |#2| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| ((|#2| $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|GcdDomain|)))) (|gcd| (($ (|List| $)) NIL (|has| |#2| (|GcdDomain|))) (($ $ $) NIL (|has| |#2| (|GcdDomain|)))) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) NIL)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) NIL (|has| |#2| (|PolynomialFactorizationExplicit|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#2| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#2|) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#2| (|Field|)))) (|eval| (($ $ (|List| (|Equation| $))) NIL) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#2|) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#2|)) NIL) (($ $ (|SingletonAsOrderedSet|) $) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) NIL)) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#2| (|Field|)))) (|elt| ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) NIL (|has| |#2| (|IntegralDomain|))) ((|#2| (|Fraction| $) |#2|) NIL (|has| |#2| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) NIL (|has| |#2| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) NIL)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#2| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|CommutativeRing|))) ((|#2| $) NIL (|has| |#2| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) NIL) (($ $ (|Mapping| |#2| |#2|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) NIL) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) NIL)) (|convert| (((|Pattern| (|Float|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#2| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) NIL (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#2| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#2| $) NIL (|has| |#2| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) NIL (|has| |#2| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) NIL (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))))) (|composite| (((|Union| $ "failed") $ $) NIL (|has| |#2| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) NIL (|has| |#2| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) 13) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ (|SingletonAsOrderedSet|)) NIL) (($ (|Variable| |#1|)) 19) (($ (|Fraction| (|Integer|))) NIL (OR (|has| |#2| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#2| (|RetractableTo| (|Fraction| (|Integer|)))))) (($ $) NIL (|has| |#2| (|IntegralDomain|)))) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (OR (AND (|has| $ (|CharacteristicNonZero|)) (|has| |#2| (|PolynomialFactorizationExplicit|))) (|has| |#2| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#2| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|One| (($) 14 T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) NIL) (($ $ (|Symbol|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (|has| |#2| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) NIL)) (>= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL)) (<= (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#2| (|OrderedSet|)))) (/ (($ $ |#2|) NIL (|has| |#2| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#2| (|Algebra| (|Fraction| (|Integer|))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((|UnivariatePolynomial| |#1| |#2|) (|Join| (|UnivariatePolynomialCategory| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#1|))) (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#2| $)))) (|Symbol|) (|Ring|)) (T |UnivariatePolynomial|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) (|fmecg| (*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|UnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|UnivariatePolynomialCategory| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#1|))) (SIGNATURE |fmecg| ($ $ (|NonNegativeInteger|) |#2| $)))) 
+((|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) 22))) 
+(((|UnivariatePolynomialCategoryFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|))) (|Ring|) (|UnivariatePolynomialCategory| |#1|) (|Ring|) (|UnivariatePolynomialCategory| |#3|)) (T |UnivariatePolynomialCategoryFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *6)) (|isDomain| *1 (|UnivariatePolynomialCategoryFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#3| |#1|) |#2|))) 
+((|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) 113)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 15)) (|unvectorise| (($ (|Vector| |#2|)) 115)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) 66)) (|totalDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) 18)) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 185)) (|squareFreePart| (($ $) 175)) (|squareFree| (((|Factored| $) $) 173)) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 81)) (|shiftRight| (($ $ (|NonNegativeInteger|)) 70)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) 72)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) 131)) (|retractIfCan| (((|Union| |#2| "failed") $) 118) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL) (((|Union| (|Integer|) "failed") $) NIL) (((|Union| (|SingletonAsOrderedSet|) "failed") $) NIL)) (|retract| ((|#2| $) 116) (((|Fraction| (|Integer|)) $) NIL) (((|Integer|) $) NIL) (((|SingletonAsOrderedSet|) $) NIL)) (|pseudoQuotient| (($ $ $) 152)) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) 154)) (|order| (((|NonNegativeInteger|) $ $) 170)) (|nextItem| (((|Union| $ "failed") $) 124)) (|monomial| (($ |#2| (|NonNegativeInteger|)) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) 46) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|minimumDegree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) 41) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) 42)) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) 58)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) 39)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) 69)) (|integrate| (($ $) 196)) (|init| (($) 120)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 182)) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 87)) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 85)) (|factor| (((|Factored| $) $) 105)) (|eval| (($ $ (|List| (|Equation| $))) 38) (($ $ (|Equation| $)) NIL) (($ $ $ $) NIL) (($ $ (|List| $) (|List| $)) NIL) (($ $ (|SingletonAsOrderedSet|) |#2|) 31) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#2|)) 28) (($ $ (|SingletonAsOrderedSet|) $) 25) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) 23)) (|euclideanSize| (((|NonNegativeInteger|) $) 188)) (|elt| ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) 148) ((|#2| (|Fraction| $) |#2|) 187) (((|Fraction| $) $ (|Fraction| $)) 169)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 191)) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) 141) (($ $ (|List| (|SingletonAsOrderedSet|))) NIL) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $) 139) (($ $ (|Symbol|)) NIL) (($ $ (|List| (|Symbol|))) NIL) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL) (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) NIL) (($ $ (|Mapping| |#2| |#2|)) 138) (($ $ (|Mapping| |#2| |#2|) $) 135)) (|degree| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) 16) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) 20)) (|content| ((|#2| $) NIL) (($ $ (|SingletonAsOrderedSet|)) 126)) (|composite| (((|Union| $ "failed") $ $) 162) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) 158)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#2|) NIL) (($ (|SingletonAsOrderedSet|)) 50) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL))) 
+(((|UnivariatePolynomialCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFreePart| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |elt| ((|Fraction| |#1|) |#1| (|Fraction| |#1|))) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |integrate| (|#1| |#1|)) (SIGNATURE |elt| (|#2| (|Fraction| |#1|) |#2|)) (SIGNATURE |separate| ((|Record| (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |coef| |#2|) (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |pseudoQuotient| (|#1| |#1| |#1|)) (SIGNATURE |composite| ((|Union| (|Fraction| |#1|) "failed") (|Fraction| |#1|) |#1|)) (SIGNATURE |composite| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |order| ((|NonNegativeInteger|) |#1| |#1|)) (SIGNATURE |elt| ((|Fraction| |#1|) (|Fraction| |#1|) (|Fraction| |#1|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |shiftLeft| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |shiftRight| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |karatsubaDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| (|NonNegativeInteger|))) (SIGNATURE |unmakeSUP| (|#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |makeSUP| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |unvectorise| (|#1| (|Vector| |#2|))) (SIGNATURE |vectorise| ((|Vector| |#2|) |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#1| |#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| |#2|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |content| (|#1| |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |variables| ((|List| (|SingletonAsOrderedSet|)) |#1|)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |monomial| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |monomial| (|#1| |#1| (|SingletonAsOrderedSet|) (|NonNegativeInteger|))) (SIGNATURE |minimumDegree| ((|List| (|NonNegativeInteger|)) |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |mainVariable| ((|Union| (|SingletonAsOrderedSet|) "failed") |#1|)) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |retract| ((|SingletonAsOrderedSet|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|SingletonAsOrderedSet|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|SingletonAsOrderedSet|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|SingletonAsOrderedSet|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|SingletonAsOrderedSet|) |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |monomial| (|#1| |#2| (|NonNegativeInteger|))) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|SingletonAsOrderedSet|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |differentiate| (|#1| |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|UnivariatePolynomialCategory| |#2|) (|Ring|)) (T |UnivariatePolynomialCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |gcdPolynomial| ((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |squareFree| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFreePart| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |init| (|#1|)) (SIGNATURE |nextItem| ((|Union| |#1| "failed") |#1|)) (SIGNATURE |elt| ((|Fraction| |#1|) |#1| (|Fraction| |#1|))) (SIGNATURE |euclideanSize| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |divide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |integrate| (|#1| |#1|)) (SIGNATURE |elt| (|#2| (|Fraction| |#1|) |#2|)) (SIGNATURE |separate| ((|Record| (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |coef| |#2|) (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|)) (SIGNATURE |pseudoQuotient| (|#1| |#1| |#1|)) (SIGNATURE |composite| ((|Union| (|Fraction| |#1|) "failed") (|Fraction| |#1|) |#1|)) (SIGNATURE |composite| ((|Union| |#1| "failed") |#1| |#1|)) (SIGNATURE |order| ((|NonNegativeInteger|) |#1| |#1|)) (SIGNATURE |elt| ((|Fraction| |#1|) (|Fraction| |#1|) (|Fraction| |#1|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |shiftLeft| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |shiftRight| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |karatsubaDivide| ((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| (|NonNegativeInteger|))) (SIGNATURE |unmakeSUP| (|#1| (|SparseUnivariatePolynomial| |#2|))) (SIGNATURE |makeSUP| ((|SparseUnivariatePolynomial| |#2|) |#1|)) (SIGNATURE |unvectorise| (|#1| (|Vector| |#2|))) (SIGNATURE |vectorise| ((|Vector| |#2|) |#1| (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|))) (SIGNATURE |differentiate| (|#1| |#1| (|Mapping| |#2| |#2|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|Symbol|)))) (SIGNATURE |differentiate| (|#1| |#1| (|Symbol|))) (SIGNATURE |differentiate| (|#1| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#1| |#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| |#2|)) (SIGNATURE |factor| ((|Factored| |#1|) |#1|)) (SIGNATURE |squareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorPolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |factorSquareFreePolynomial| ((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |solveLinearPolynomialEquation| ((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |content| (|#1| |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |variables| ((|List| (|SingletonAsOrderedSet|)) |#1|)) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |totalDegree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |monomial| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |monomial| (|#1| |#1| (|SingletonAsOrderedSet|) (|NonNegativeInteger|))) (SIGNATURE |minimumDegree| ((|List| (|NonNegativeInteger|)) |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |mainVariable| ((|Union| (|SingletonAsOrderedSet|) "failed") |#1|)) (SIGNATURE |degree| ((|List| (|NonNegativeInteger|)) |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |retract| ((|SingletonAsOrderedSet|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|SingletonAsOrderedSet|) "failed") |#1|)) (SIGNATURE |coerce| (|#1| (|SingletonAsOrderedSet|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|SingletonAsOrderedSet|) |#1|)) (SIGNATURE |eval| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| |#2|))) (SIGNATURE |eval| (|#1| |#1| (|SingletonAsOrderedSet|) |#2|)) (SIGNATURE |eval| (|#1| |#1| (|List| |#1|) (|List| |#1|))) (SIGNATURE |eval| (|#1| |#1| |#1| |#1|)) (SIGNATURE |eval| (|#1| |#1| (|Equation| |#1|))) (SIGNATURE |eval| (|#1| |#1| (|List| (|Equation| |#1|)))) (SIGNATURE |degree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |monomial| (|#1| |#2| (|NonNegativeInteger|))) (SIGNATURE |retract| ((|Integer|) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Integer|) "failed") |#1|)) (SIGNATURE |retract| ((|Fraction| (|Integer|)) |#1|)) (SIGNATURE |retractIfCan| ((|Union| (|Fraction| (|Integer|)) "failed") |#1|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |retractIfCan| ((|Union| |#2| "failed") |#1|)) (SIGNATURE |retract| (|#2| |#1|)) (SIGNATURE |minimumDegree| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |content| (|#2| |#1|)) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |differentiate| (|#1| |#1| (|SingletonAsOrderedSet|) (|NonNegativeInteger|))) (SIGNATURE |differentiate| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)))) (SIGNATURE |differentiate| (|#1| |#1| (|SingletonAsOrderedSet|))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) 219)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 109)) (|unvectorise| (($ (|Vector| |#1|)) 218)) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) 216)) (|univariate| (((|SparseUnivariatePolynomial| $) $ (|SingletonAsOrderedSet|)) 124) (((|SparseUnivariatePolynomial| |#1|) $) 123)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 85 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 86 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 88 (|has| |#1| (|IntegralDomain|)))) (|totalDegree| (((|NonNegativeInteger|) $) 111) (((|NonNegativeInteger|) $ (|List| (|SingletonAsOrderedSet|))) 110)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|subResultantGcd| (($ $ $) 203 (|has| |#1| (|IntegralDomain|)))) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 99 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|squareFreePart| (($ $) 97 (|has| |#1| (|GcdDomain|)))) (|squareFree| (((|Factored| $) $) 96 (|has| |#1| (|GcdDomain|)))) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 102 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|sizeLess?| (((|Boolean|) $ $) 188 (|has| |#1| (|Field|)))) (|shiftRight| (($ $ (|NonNegativeInteger|)) 211)) (|shiftLeft| (($ $ (|NonNegativeInteger|)) 210)) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) 198 (|has| |#1| (|GcdDomain|)))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 163) (((|Union| (|Fraction| (|Integer|)) "failed") $) 161 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|Integer|) "failed") $) 159 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|Union| (|SingletonAsOrderedSet|) "failed") $) 135)) (|retract| ((|#1| $) 164) (((|Fraction| (|Integer|)) $) 160 (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|))))) (((|Integer|) $) 158 (|has| |#1| (|RetractableTo| (|Integer|)))) (((|SingletonAsOrderedSet|) $) 134)) (|resultant| (($ $ $ (|SingletonAsOrderedSet|)) 107 (|has| |#1| (|CommutativeRing|))) ((|#1| $ $) 206 (|has| |#1| (|CommutativeRing|)))) (|rem| (($ $ $) 192 (|has| |#1| (|Field|)))) (|reductum| (($ $) 153)) (|reducedSystem| (((|Matrix| (|Integer|)) (|Matrix| $)) 133 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| (|Integer|))) (|:| |vec| (|Vector| (|Integer|)))) (|Matrix| $) (|Vector| $)) 132 (|has| |#1| (|LinearlyExplicitRingOver| (|Integer|)))) (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) 131) (((|Matrix| |#1|) (|Matrix| $)) 130)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 191 (|has| |#1| (|Field|)))) (|pseudoRemainder| (($ $ $) 209)) (|pseudoQuotient| (($ $ $) 200 (|has| |#1| (|IntegralDomain|)))) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) 199 (|has| |#1| (|IntegralDomain|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 186 (|has| |#1| (|Field|)))) (|primitivePart| (($ $) 175 (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) 104 (|has| |#1| (|GcdDomain|)))) (|primitiveMonomials| (((|List| $) $) 108)) (|prime?| (((|Boolean|) $) 95 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|pomopo!| (($ $ |#1| (|NonNegativeInteger|) $) 171)) (|patternMatch| (((|PatternMatchResult| (|Float|) $) $ (|Pattern| (|Float|)) (|PatternMatchResult| (|Float|) $)) 82 (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|))))) (((|PatternMatchResult| (|Integer|) $) $ (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) $)) 81 (AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $ $) 204 (|has| |#1| (|IntegralDomain|)))) (|one?| (((|Boolean|) $) 30)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 168)) (|nextItem| (((|Union| $ "failed") $) 184 (|has| |#1| (|StepThrough|)))) (|multivariate| (($ (|SparseUnivariatePolynomial| |#1|) (|SingletonAsOrderedSet|)) 116) (($ (|SparseUnivariatePolynomial| $) (|SingletonAsOrderedSet|)) 115)) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) 215)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 195 (|has| |#1| (|Field|)))) (|monomials| (((|List| $) $) 125)) (|monomial?| (((|Boolean|) $) 151)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 152) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) 118) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) 117)) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ (|SingletonAsOrderedSet|)) 119) (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 213)) (|minimumDegree| (((|NonNegativeInteger|) $) 169) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) 121) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) 120)) (|min| (($ $ $) 77 (|has| |#1| (|OrderedSet|)))) (|max| (($ $ $) 76 (|has| |#1| (|OrderedSet|)))) (|mapExponents| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) 170)) (|map| (($ (|Mapping| |#1| |#1|) $) 150)) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) 217)) (|mainVariable| (((|Union| (|SingletonAsOrderedSet|) "failed") $) 122)) (|leadingMonomial| (($ $) 148)) (|leadingCoefficient| ((|#1| $) 147)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 89 (|has| |#1| (|GcdDomain|)))) (|lcm| (($ (|List| $)) 93 (|has| |#1| (|GcdDomain|))) (($ $ $) 92 (|has| |#1| (|GcdDomain|)))) (|latex| (((|String|) $) 9)) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) 212)) (|isTimes| (((|Union| (|List| $) "failed") $) 113)) (|isPlus| (((|Union| (|List| $) "failed") $) 114)) (|isExpt| (((|Union| (|Record| (|:| |var| (|SingletonAsOrderedSet|)) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) 112)) (|integrate| (($ $) 196 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|init| (($) 183 (|has| |#1| (|StepThrough|)) CONST)) (|hash| (((|SingleInteger|) $) 10)) (|ground?| (((|Boolean|) $) 165)) (|ground| ((|#1| $) 166)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 94 (|has| |#1| (|GcdDomain|)))) (|gcd| (($ (|List| $)) 91 (|has| |#1| (|GcdDomain|))) (($ $ $) 90 (|has| |#1| (|GcdDomain|)))) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 101 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) 100 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|factor| (((|Factored| $) $) 98 (|has| |#1| (|PolynomialFactorizationExplicit|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 194 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 193 (|has| |#1| (|Field|)))) (|exquo| (((|Union| $ "failed") $ |#1|) 173 (|has| |#1| (|IntegralDomain|))) (((|Union| $ "failed") $ $) 84 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 187 (|has| |#1| (|Field|)))) (|eval| (($ $ (|List| (|Equation| $))) 144) (($ $ (|Equation| $)) 143) (($ $ $ $) 142) (($ $ (|List| $) (|List| $)) 141) (($ $ (|SingletonAsOrderedSet|) |#1|) 140) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#1|)) 139) (($ $ (|SingletonAsOrderedSet|) $) 138) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| $)) 137)) (|euclideanSize| (((|NonNegativeInteger|) $) 189 (|has| |#1| (|Field|)))) (|elt| ((|#1| $ |#1|) 237) (($ $ $) 236) (((|Fraction| $) (|Fraction| $) (|Fraction| $)) 205 (|has| |#1| (|IntegralDomain|))) ((|#1| (|Fraction| $) |#1|) 197 (|has| |#1| (|Field|))) (((|Fraction| $) $ (|Fraction| $)) 185 (|has| |#1| (|IntegralDomain|)))) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) 214)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 190 (|has| |#1| (|Field|)))) (|discriminant| (($ $ (|SingletonAsOrderedSet|)) 106 (|has| |#1| (|CommutativeRing|))) ((|#1| $) 207 (|has| |#1| (|CommutativeRing|)))) (|differentiate| (($ $ (|SingletonAsOrderedSet|)) 41) (($ $ (|List| (|SingletonAsOrderedSet|))) 40) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) 39) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) 38) (($ $ (|NonNegativeInteger|)) 234) (($ $) 232) (($ $ (|Symbol|)) 231 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 230 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 229 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 228 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 221) (($ $ (|Mapping| |#1| |#1|)) 220) (($ $ (|Mapping| |#1| |#1|) $) 208)) (|degree| (((|NonNegativeInteger|) $) 149) (((|NonNegativeInteger|) $ (|SingletonAsOrderedSet|)) 129) (((|List| (|NonNegativeInteger|)) $ (|List| (|SingletonAsOrderedSet|))) 128)) (|convert| (((|Pattern| (|Float|)) $) 80 (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|)))))) (((|Pattern| (|Integer|)) $) 79 (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|)))))) (((|InputForm|) $) 78 (AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))))) (|content| ((|#1| $) 174 (|has| |#1| (|GcdDomain|))) (($ $ (|SingletonAsOrderedSet|)) 105 (|has| |#1| (|GcdDomain|)))) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) 103 (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))))) (|composite| (((|Union| $ "failed") $ $) 202 (|has| |#1| (|IntegralDomain|))) (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) 201 (|has| |#1| (|IntegralDomain|)))) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 162) (($ (|SingletonAsOrderedSet|)) 136) (($ (|Fraction| (|Integer|))) 70 (OR (|has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (($ $) 83 (|has| |#1| (|IntegralDomain|)))) (|coefficients| (((|List| |#1|) $) 167)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 154) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) 127) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) 126)) (|charthRoot| (((|Union| $ "failed") $) 71 (OR (|and| (|has| $ (|CharacteristicNonZero|)) (|has| |#1| (|PolynomialFactorizationExplicit|))) (|has| |#1| (|CharacteristicNonZero|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) 172 (|has| |#1| (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) 87 (|has| |#1| (|IntegralDomain|)))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|SingletonAsOrderedSet|)) 37) (($ $ (|List| (|SingletonAsOrderedSet|))) 36) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) 35) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) 34) (($ $ (|NonNegativeInteger|)) 235) (($ $) 233) (($ $ (|Symbol|)) 227 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|))) 226 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 225 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 224 (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) 223) (($ $ (|Mapping| |#1| |#1|)) 222)) (>= (((|Boolean|) $ $) 74 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 73 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 6)) (<= (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 72 (|has| |#1| (|OrderedSet|)))) (/ (($ $ |#1|) 155 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 157 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ (|Fraction| (|Integer|)) $) 156 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ |#1| $) 146) (($ $ |#1|) 145))) 
+(((|UnivariatePolynomialCategory| |#1|) (|Category|) (|Ring|)) (T |UnivariatePolynomialCategory|)) 
+((|vectorise| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)))) (|unvectorise| (*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)))) (|makeSUP| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) (|unmakeSUP| (*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)))) (|multiplyExponents| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|divideExponents| (*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|monicDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)))) (|karatsubaDivide| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4)))) (|shiftRight| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|shiftLeft| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|pseudoRemainder| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|differentiate| (*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|discriminant| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|)))) (|resultant| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|)))) (|elt| (*1 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) (|order| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|subResultantGcd| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) (|composite| (*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) (|composite| (*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) (|pseudoQuotient| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) (|pseudoDivide| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)))) (|separate| (*1 *2 *1 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |primePart| *1) (|:| |commonPart| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)))) (|elt| (*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|integrate| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|))))))) 
+(|Join| (|PolynomialCategory| |t#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) (|Eltable| |t#1| |t#1|) (|Eltable| $ $) (|DifferentialRing|) (|DifferentialExtension| |t#1|) (CATEGORY |domain| (SIGNATURE |vectorise| ((|Vector| |t#1|) $ (|NonNegativeInteger|))) (SIGNATURE |unvectorise| ($ (|Vector| |t#1|))) (SIGNATURE |makeSUP| ((|SparseUnivariatePolynomial| |t#1|) $)) (SIGNATURE |unmakeSUP| ($ (|SparseUnivariatePolynomial| |t#1|))) (SIGNATURE |multiplyExponents| ($ $ (|NonNegativeInteger|))) (SIGNATURE |divideExponents| ((|Union| $ "failed") $ (|NonNegativeInteger|))) (SIGNATURE |monicDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $)) (SIGNATURE |karatsubaDivide| ((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|))) (SIGNATURE |shiftRight| ($ $ (|NonNegativeInteger|))) (SIGNATURE |shiftLeft| ($ $ (|NonNegativeInteger|))) (SIGNATURE |pseudoRemainder| ($ $ $)) (SIGNATURE |differentiate| ($ $ (|Mapping| |t#1| |t#1|) $)) (IF (|has| |t#1| (|StepThrough|)) (ATTRIBUTE (|StepThrough|)) |noBranch|) (IF (|has| |t#1| (|CommutativeRing|)) (PROGN (SIGNATURE |discriminant| (|t#1| $)) (SIGNATURE |resultant| (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (|IntegralDomain|)) (PROGN (ATTRIBUTE (|Eltable| (|Fraction| $) (|Fraction| $))) (SIGNATURE |elt| ((|Fraction| $) (|Fraction| $) (|Fraction| $))) (SIGNATURE |order| ((|NonNegativeInteger|) $ $)) (SIGNATURE |subResultantGcd| ($ $ $)) (SIGNATURE |composite| ((|Union| $ "failed") $ $)) (SIGNATURE |composite| ((|Union| (|Fraction| $) "failed") (|Fraction| $) $)) (SIGNATURE |pseudoQuotient| ($ $ $)) (SIGNATURE |pseudoDivide| ((|Record| (|:| |coef| |t#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $))) |noBranch|) (IF (|has| |t#1| (|GcdDomain|)) (SIGNATURE |separate| ((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (|Field|)) (PROGN (ATTRIBUTE (|EuclideanDomain|)) (ATTRIBUTE |additiveValuation|) (SIGNATURE |elt| (|t#1| (|Fraction| $) |t#1|))) |noBranch|) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|NonNegativeInteger|)) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|ConvertibleTo| (|InputForm|)) AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|InputForm|))) (|has| |#1| (|ConvertibleTo| (|InputForm|)))) ((|ConvertibleTo| (|Pattern| (|Float|))) AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Float|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Float|))))) ((|ConvertibleTo| (|Pattern| (|Integer|))) AND (|has| (|SingletonAsOrderedSet|) (|ConvertibleTo| (|Pattern| (|Integer|)))) (|has| |#1| (|ConvertibleTo| (|Pattern| (|Integer|))))) ((|DifferentialExtension| |#1|) . T) ((|DifferentialRing|) . T) ((|Eltable| (|Fraction| $) (|Fraction| $)) |has| |#1| (|IntegralDomain|)) ((|Eltable| |#1| |#1|) . T) ((|Eltable| $ $) . T) ((|EntireRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|))) ((|EuclideanDomain|) |has| |#1| (|Field|)) ((|Evalable| $) . T) ((|FiniteAbelianMonoidRing| |#1| (|NonNegativeInteger|)) . T) ((|FullyLinearlyExplicitRingOver| |#1|) . T) ((|FullyRetractableTo| |#1|) . T) ((|GcdDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|))) ((|InnerEvalable| (|SingletonAsOrderedSet|) |#1|) . T) ((|InnerEvalable| (|SingletonAsOrderedSet|) $) . T) ((|InnerEvalable| $ $) . T) ((|IntegralDomain|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|))) ((|LinearlyExplicitRingOver| (|Integer|)) |has| |#1| (|LinearlyExplicitRingOver| (|Integer|))) ((|LinearlyExplicitRingOver| |#1|) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|))) ((|Monoid|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|PartialDifferentialRing| (|SingletonAsOrderedSet|)) . T) ((|PartialDifferentialRing| (|Symbol|)) |has| |#1| (|PartialDifferentialRing| (|Symbol|))) ((|PatternMatchable| (|Float|)) AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Float|))) (|has| |#1| (|PatternMatchable| (|Float|)))) ((|PatternMatchable| (|Integer|)) AND (|has| (|SingletonAsOrderedSet|) (|PatternMatchable| (|Integer|))) (|has| |#1| (|PatternMatchable| (|Integer|)))) ((|PolynomialCategory| |#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T) ((|PolynomialFactorizationExplicit|) |has| |#1| (|PolynomialFactorizationExplicit|)) ((|PrincipalIdealDomain|) |has| |#1| (|Field|)) ((|RetractableTo| (|Fraction| (|Integer|))) |has| |#1| (|RetractableTo| (|Fraction| (|Integer|)))) ((|RetractableTo| (|Integer|)) |has| |#1| (|RetractableTo| (|Integer|))) ((|RetractableTo| (|SingletonAsOrderedSet|)) . T) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|PolynomialFactorizationExplicit|)) (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|GcdDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|StepThrough|) |has| |#1| (|StepThrough|)) ((|UniqueFactorizationDomain|) |has| |#1| (|PolynomialFactorizationExplicit|))) 
+((|variables| (((|List| (|SingletonAsOrderedSet|)) $) 28)) (|reductum| (($ $) 25)) (|monomial| (($ |#2| |#3|) NIL) (($ $ (|SingletonAsOrderedSet|) |#3|) 22) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#3|)) 20)) (|leadingMonomial| (($ $) 14)) (|leadingCoefficient| ((|#2| $) 12)) (|degree| ((|#3| $) 10))) 
+(((|UnivariatePowerSeriesCategory&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |variables| ((|List| (|SingletonAsOrderedSet|)) |#1|)) (SIGNATURE |monomial| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| |#3|))) (SIGNATURE |monomial| (|#1| |#1| (|SingletonAsOrderedSet|) |#3|)) (SIGNATURE |reductum| (|#1| |#1|)) (SIGNATURE |monomial| (|#1| |#2| |#3|)) (SIGNATURE |degree| (|#3| |#1|)) (SIGNATURE |leadingMonomial| (|#1| |#1|)) (SIGNATURE |leadingCoefficient| (|#2| |#1|))) (|UnivariatePowerSeriesCategory| |#2| |#3|) (|Ring|) (|OrderedAbelianMonoid|)) (T |UnivariatePowerSeriesCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |variables| ((|List| (|SingletonAsOrderedSet|)) |#1|)) (SIGNATURE |monomial| (|#1| |#1| (|List| (|SingletonAsOrderedSet|)) (|List| |#3|))) (SIGNATURE |monomial| (|#1| |#1| (|SingletonAsOrderedSet|) |#3|)) (SIGNATURE |reductum| (|#1| |#1|)) (SIGNATURE |monomial| (|#1| |#2| |#3|)) (SIGNATURE |degree| (|#3| |#1|)) (SIGNATURE |leadingMonomial| (|#1| |#1|)) (SIGNATURE |leadingCoefficient| (|#2| |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 70)) (|variable| (((|Symbol|) $) 98)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (|terms| (((|Stream| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|pole?| (((|Boolean|) $) 69)) (|order| ((|#2| $) 95) ((|#2| $ |#2|) 94)) (|one?| (((|Boolean|) $) 30)) (|multiplyExponents| (($ $ (|PositiveInteger|)) 96)) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| |#2|) 60) (($ $ (|SingletonAsOrderedSet|) |#2|) 72) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| |#2|)) 71)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|extend| (($ $ |#2|) 90)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|eval| (((|Stream| |#1|) $ |#1|) 89 (|has| |#1| (SIGNATURE ** (|#1| |#1| |#2|))))) (|elt| ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 83 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|List| (|Symbol|))) 82 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|Symbol|)) 81 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|NonNegativeInteger|)) 79 (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (|degree| ((|#2| $) 63)) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|))) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|)))) (|coefficient| ((|#1| $ |#2|) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 97)) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (|approximate| ((|#1| $ |#2|) 91 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| |#2|))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 87 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|List| (|Symbol|))) 86 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|Symbol|)) 85 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (($ $ (|NonNegativeInteger|)) 80 (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariatePowerSeriesCategory| |#1| |#2|) (|Category|) (|Ring|) (|OrderedAbelianMonoid|)) (T |UnivariatePowerSeriesCategory|)) 
+((|terms| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| *4) (|:| |c| *3)))))) (|elt| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) (|variable| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Symbol|)))) (|center| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) (|multiplyExponents| (*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) (|order| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|order| (*1 *2 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|truncate| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|truncate| (*1 *1 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|approximate| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|has| *2 (SIGNATURE ** (*2 *2 *3))) (|has| *2 (SIGNATURE |coerce| (*2 (|Symbol|)))) (|ofCategory| *2 (|Ring|)))) (|extend| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) (|eval| (*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|has| *3 (SIGNATURE ** (*3 *3 *4))) (|isDomain| *2 (|Stream| *3))))) 
+(|Join| (|PowerSeriesCategory| |t#1| |t#2| (|SingletonAsOrderedSet|)) (CATEGORY |domain| (SIGNATURE |terms| ((|Stream| (|Record| (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (SIGNATURE |elt| (|t#1| $ |t#2|)) (SIGNATURE |variable| ((|Symbol|) $)) (SIGNATURE |center| (|t#1| $)) (SIGNATURE |multiplyExponents| ($ $ (|PositiveInteger|))) (SIGNATURE |order| (|t#2| $)) (SIGNATURE |order| (|t#2| $ |t#2|)) (SIGNATURE |truncate| ($ $ |t#2|)) (SIGNATURE |truncate| ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (SIGNATURE |coerce| (|t#1| (|Symbol|)))) (IF (|has| |t#1| (SIGNATURE ** (|t#1| |t#1| |t#2|))) (SIGNATURE |approximate| (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (SIGNATURE |extend| ($ $ |t#2|)) (IF (|has| |t#2| (|SemiGroup|)) (ATTRIBUTE (|Eltable| $ $)) |noBranch|) (IF (|has| |t#1| (SIGNATURE * (|t#1| |t#2| |t#1|))) (PROGN (ATTRIBUTE (|DifferentialRing|)) (IF (|has| |t#1| (|PartialDifferentialRing| (|Symbol|))) (ATTRIBUTE (|PartialDifferentialRing| (|Symbol|))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (SIGNATURE ** (|t#1| |t#1| |t#2|))) (SIGNATURE |eval| ((|Stream| |t#1|) $ |t#1|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| |#2|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|DifferentialRing|) |has| |#1| (SIGNATURE * (|#1| |#2| |#1|))) ((|Eltable| $ $) |has| |#2| (|SemiGroup|)) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| |#2| |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PowerSeriesCategory| |#1| |#2| (|SingletonAsOrderedSet|)) . T) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((|squareFreePart| ((|#2| |#2|) 12)) (|squareFree| (((|Factored| |#2|) |#2|) 14)) (|BumInSepFFE| (((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))) 30))) 
+(((|UnivariatePolynomialSquareFree| |#1| |#2|) (CATEGORY |package| (SIGNATURE |squareFree| ((|Factored| |#2|) |#2|)) (SIGNATURE |squareFreePart| (|#2| |#2|)) (SIGNATURE |BumInSepFFE| ((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))))) (|IntegralDomain|) (|Join| (|UnivariatePolynomialCategory| |#1|) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (T |UnivariatePolynomialSquareFree|)) 
+((|BumInSepFFE| (*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (|Integer|)))) (|ofCategory| *4 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *4)))) (|squareFreePart| (*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *2)) (|ofCategory| *2 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))))) (|squareFree| (*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *4 *3)) (|ofCategory| *3 (|Join| (|UnivariatePolynomialCategory| *4) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)))))))) 
+(CATEGORY |package| (SIGNATURE |squareFree| ((|Factored| |#2|) |#2|)) (SIGNATURE |squareFreePart| (|#2| |#2|)) (SIGNATURE |BumInSepFFE| ((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))))) 
+((|map| (((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)) 23))) 
+(((|UnivariatePuiseuxSeriesFunctions2| |#1| |#2| |#3| |#4| |#5| |#6|) (CATEGORY |package| (SIGNATURE |map| ((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)))) (|Ring|) (|Ring|) (|Symbol|) (|Symbol|) |#1| |#2|) (T |UnivariatePuiseuxSeriesFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariatePuiseuxSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariatePuiseuxSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariatePuiseuxSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|))))) 
+(CATEGORY |package| (SIGNATURE |map| ((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 70)) (|variable| (((|Symbol|) $) 98)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) 93) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) 92)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) 100)) (|tanh| (($ $) 127 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 110 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 155 (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) 156 (|has| |#1| (|Field|)))) (|sqrt| (($ $) 109 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) 146 (|has| |#1| (|Field|)))) (|sinh| (($ $) 126 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) 165)) (|sech| (($ $) 125 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 112 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) 16 T CONST)) (|rem| (($ $ $) 150 (|has| |#1| (|Field|)))) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 149 (|has| |#1| (|Field|)))) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 144 (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) 157 (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) 69)) (|pi| (($) 137 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) 95) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) 94)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 108 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 96) (($ $ (|Fraction| (|Integer|))) 164)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 153 (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) 60) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) 72) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) 71)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|log| (($ $) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 138 (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) 142 (|has| |#1| (|Field|))) (($ $ $) 141 (|has| |#1| (|Field|)))) (|latex| (((|String|) $) 9)) (|inv| (($ $) 158 (|has| |#1| (|Field|)))) (|integrate| (($ $) 163 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 162 (OR (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))))) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 143 (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) 140 (|has| |#1| (|Field|))) (($ $ $) 139 (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) 154 (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 151 (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) 90)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 145 (|has| |#1| (|Field|)))) (|exp| (($ $) 135 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 89 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) 147 (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) 99) (($ $ $) 76 (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 148 (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 83 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|List| (|Symbol|))) 82 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|)) 81 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|NonNegativeInteger|)) 79 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 77 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (|degree| (((|Fraction| (|Integer|)) $) 63)) (|csch| (($ $) 124 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 113 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 114 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 115 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|))) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 97)) (|atanh| (($ $) 133 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 120 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 131 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) 91 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 118 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 129 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 116 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 159 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 87 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|List| (|Symbol|))) 86 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|)) 85 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|NonNegativeInteger|)) 80 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 78 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|))) (($ $ $) 161 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 160 (|has| |#1| (|Field|))) (($ $ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariatePuiseuxSeriesCategory| |#1|) (|Category|) (|Ring|)) (T |UnivariatePuiseuxSeriesCategory|)) 
+((|series| (*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *4)))) (|multiplyExponents| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|integrate| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) (|integrate| (*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))))))) 
+(|Join| (|UnivariatePowerSeriesCategory| |t#1| (|Fraction| (|Integer|))) (CATEGORY |domain| (SIGNATURE |series| ($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |t#1|))))) (SIGNATURE |multiplyExponents| ($ $ (|Fraction| (|Integer|)))) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $)) (IF (|has| |t#1| (SIGNATURE |integrate| (|t#1| |t#1| (|Symbol|)))) (IF (|has| |t#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |t#1|))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|TranscendentalFunctionCategory|)) (IF (|has| |t#1| (|PrimitiveFunctionCategory|)) (IF (|has| |t#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|) |noBranch|) |noBranch|) (ATTRIBUTE (|RadicalCategory|)) (ATTRIBUTE (|TranscendentalFunctionCategory|))) |noBranch|) (IF (|has| |t#1| (|Field|)) (ATTRIBUTE (|Field|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|Fraction| (|Integer|))) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|DifferentialRing|) |has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) ((|DivisionRing|) |has| |#1| (|Field|)) ((|ElementaryFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Eltable| $ $) |has| (|Fraction| (|Integer|)) (|SemiGroup|)) ((|EntireRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|EuclideanDomain|) |has| |#1| (|Field|)) ((|Field|) |has| |#1| (|Field|)) ((|GcdDomain|) |has| |#1| (|Field|)) ((|HyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|IntegralDomain|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) |has| |#1| (|Field|)) ((|Module| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PowerSeriesCategory| |#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T) ((|PrincipalIdealDomain|) |has| |#1| (|Field|)) ((|RadicalCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|TranscendentalFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|TrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|UniqueFactorizationDomain|) |has| |#1| (|Field|)) ((|UnivariatePowerSeriesCategory| |#1| (|Fraction| (|Integer|))) . T)) 
+((|zero?| (((|Boolean|) $) 12)) (|retractIfCan| (((|Union| |#3| "failed") $) 17)) (|retract| ((|#3| $) 14))) 
+(((|UnivariatePuiseuxSeriesConstructorCategory&| |#1| |#2| |#3|) (CATEGORY |domain| (SIGNATURE |retract| (|#3| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|))) (|UnivariatePuiseuxSeriesConstructorCategory| |#2| |#3|) (|Ring|) (|UnivariateLaurentSeriesCategory| |#2|)) (T |UnivariatePuiseuxSeriesConstructorCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |retract| (|#3| |#1|)) (SIGNATURE |retractIfCan| ((|Union| |#3| "failed") |#1|)) (SIGNATURE |zero?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 70)) (|variable| (((|Symbol|) $) 98)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) 93) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) 92)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) 100)) (|tanh| (($ $) 127 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 110 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 155 (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) 156 (|has| |#1| (|Field|)))) (|sqrt| (($ $) 109 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) 146 (|has| |#1| (|Field|)))) (|sinh| (($ $) 126 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) 165)) (|sech| (($ $) 125 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 112 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) 173)) (|retract| ((|#2| $) 172)) (|rem| (($ $ $) 150 (|has| |#1| (|Field|)))) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|rationalPower| (((|Fraction| (|Integer|)) $) 170)) (|quo| (($ $ $) 149 (|has| |#1| (|Field|)))) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) 171)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 144 (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) 157 (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) 69)) (|pi| (($) 137 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) 95) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) 94)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 108 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 96) (($ $ (|Fraction| (|Integer|))) 164)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 153 (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) 60) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) 72) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) 71)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|log| (($ $) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 138 (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) 142 (|has| |#1| (|Field|))) (($ $ $) 141 (|has| |#1| (|Field|)))) (|laurentRep| ((|#2| $) 169)) (|laurentIfCan| (((|Union| |#2| "failed") $) 167)) (|laurent| ((|#2| $) 168)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 158 (|has| |#1| (|Field|)))) (|integrate| (($ $) 163 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 162 (OR (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))))) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 143 (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) 140 (|has| |#1| (|Field|))) (($ $ $) 139 (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) 154 (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 151 (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) 90)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 145 (|has| |#1| (|Field|)))) (|exp| (($ $) 135 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 89 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) 147 (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) 99) (($ $ $) 76 (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 148 (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 83 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|List| (|Symbol|))) 82 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|)) 81 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|NonNegativeInteger|)) 79 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 77 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (|degree| (((|Fraction| (|Integer|)) $) 63)) (|csch| (($ $) 124 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 113 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 114 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 115 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|))) (($ |#2|) 174) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 97)) (|atanh| (($ $) 133 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 120 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 131 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) 91 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 118 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 129 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 116 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 159 (|has| |#1| (|Field|)))) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 87 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|List| (|Symbol|))) 86 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|Symbol|)) 85 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (($ $ (|NonNegativeInteger|)) 80 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 78 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|))) (($ $ $) 161 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 160 (|has| |#1| (|Field|))) (($ $ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariatePuiseuxSeriesConstructorCategory| |#1| |#2|) (|Category|) (|Ring|) (|UnivariateLaurentSeriesCategory| |t#1|)) (T |UnivariatePuiseuxSeriesConstructorCategory|)) 
+((|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) (|puiseux| (*1 *1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateLaurentSeriesCategory| *4)))) (|rationalPower| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) (|laurentRep| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) (|laurent| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) (|laurentIfCan| (*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(|Join| (|UnivariatePuiseuxSeriesCategory| |t#1|) (|RetractableTo| |t#2|) (CATEGORY |domain| (SIGNATURE |puiseux| ($ (|Fraction| (|Integer|)) |t#2|)) (SIGNATURE |rationalPower| ((|Fraction| (|Integer|)) $)) (SIGNATURE |laurentRep| (|t#2| $)) (SIGNATURE |degree| ((|Fraction| (|Integer|)) $)) (SIGNATURE |coerce| ($ |t#2|)) (SIGNATURE |laurent| (|t#2| $)) (SIGNATURE |laurentIfCan| ((|Union| |t#2| "failed") $)))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|Fraction| (|Integer|))) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|DifferentialRing|) |has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) ((|DivisionRing|) |has| |#1| (|Field|)) ((|ElementaryFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Eltable| $ $) |has| (|Fraction| (|Integer|)) (|SemiGroup|)) ((|EntireRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|EuclideanDomain|) |has| |#1| (|Field|)) ((|Field|) |has| |#1| (|Field|)) ((|GcdDomain|) |has| |#1| (|Field|)) ((|HyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|IntegralDomain|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|LeftModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) |has| |#1| (|Field|)) ((|Module| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|))) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PowerSeriesCategory| |#1| (|Fraction| (|Integer|)) (|SingletonAsOrderedSet|)) . T) ((|PrincipalIdealDomain|) |has| |#1| (|Field|)) ((|RadicalCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RetractableTo| |#2|) . T) ((|RightModule| (|Fraction| (|Integer|))) OR (|has| |#1| (|Field|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|Field|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|TranscendentalFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|TrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|UniqueFactorizationDomain|) |has| |#1| (|Field|)) ((|UnivariatePowerSeriesCategory| |#1| (|Fraction| (|Integer|))) . T) ((|UnivariatePuiseuxSeriesCategory| |#1|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 96)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) 106) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) 108)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) 51)) (|tanh| (($ $) 179 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 155 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) 175 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 151 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) 61)) (|sech| (($ $) 183 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 159 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL)) (|retract| ((|#2| $) NIL)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) 79)) (|rationalPower| (((|Fraction| (|Integer|)) $) 12)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) 10)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) 68)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) 103) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) 104)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 120) (($ $ (|Fraction| (|Integer|))) 118)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) 31) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) 115)) (|log| (($ $) 149 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|laurentRep| ((|#2| $) 11)) (|laurentIfCan| (((|Union| |#2| "failed") $) 41)) (|laurent| ((|#2| $) 42)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) 93 (|has| |#1| (|Field|)))) (|integrate| (($ $) 135 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 140 (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) 112)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) 147 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 90 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) 100) (($ $ $) 86 (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) 127 (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 124 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (|degree| (((|Fraction| (|Integer|)) $) 16)) (|csch| (($ $) 185 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 161 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 181 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 157 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 177 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 153 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 110)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 35) (($ |#1|) 27 (|has| |#1| (|CommutativeRing|))) (($ |#2|) 32) (($ (|Fraction| (|Integer|))) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) 99)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 117)) (|center| ((|#1| $) 98)) (|atanh| (($ $) 191 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 167 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 187 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 163 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 195 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 171 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) NIL (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 197 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 173 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 193 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 169 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 189 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 165 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 21 T CONST)) (|One| (($) 17 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (= (((|Boolean|) $ $) 66)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) 92 (|has| |#1| (|Field|)))) (- (($ $) 131) (($ $ $) 72)) (+ (($ $ $) 70)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 76) (($ $ (|Integer|)) 144 (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 145 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariatePuiseuxSeriesConstructor| |#1| |#2|) (|UnivariatePuiseuxSeriesConstructorCategory| |#1| |#2|) (|Ring|) (|UnivariateLaurentSeriesCategory| |#1|)) (T |UnivariatePuiseuxSeriesConstructor|)) 
+NIL 
+(|UnivariatePuiseuxSeriesConstructorCategory| |#1| |#2|) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 11)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|Fraction| (|Integer|))) NIL) (($ $ (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) NIL)) (|terms| (((|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|))) $) NIL)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|squareFreePart| (($ $) NIL (|has| |#1| (|Field|)))) (|squareFree| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sizeLess?| (((|Boolean|) $ $) NIL (|has| |#1| (|Field|)))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|UnivariateLaurentSeries| |#1| |#2| |#3|) "failed") $) 19) (((|Union| (|UnivariateTaylorSeries| |#1| |#2| |#3|) "failed") $) 22)) (|retract| (((|UnivariateLaurentSeries| |#1| |#2| |#3|) $) NIL) (((|UnivariateTaylorSeries| |#1| |#2| |#3|) $) NIL)) (|rem| (($ $ $) NIL (|has| |#1| (|Field|)))) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|rationalPower| (((|Fraction| (|Integer|)) $) 57)) (|quo| (($ $ $) NIL (|has| |#1| (|Field|)))) (|puiseux| (($ (|Fraction| (|Integer|)) (|UnivariateLaurentSeries| |#1| |#2| |#3|)) NIL)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) NIL (|has| |#1| (|Field|)))) (|prime?| (((|Boolean|) $) NIL (|has| |#1| (|Field|)))) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|Fraction| (|Integer|)) $) NIL) (((|Fraction| (|Integer|)) $ (|Fraction| (|Integer|))) NIL)) (|one?| (((|Boolean|) $) NIL)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) NIL) (($ $ (|Fraction| (|Integer|))) NIL)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|Fraction| (|Integer|))) 29) (($ $ (|SingletonAsOrderedSet|) (|Fraction| (|Integer|))) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|Fraction| (|Integer|)))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) NIL (|has| |#1| (|Field|)))) (|lcm| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|laurentRep| (((|UnivariateLaurentSeries| |#1| |#2| |#3|) $) 60)) (|laurentIfCan| (((|Union| (|UnivariateLaurentSeries| |#1| |#2| |#3|) "failed") $) NIL)) (|laurent| (((|UnivariateLaurentSeries| |#1| |#2| |#3|) $) NIL)) (|latex| (((|String|) $) NIL)) (|inv| (($ $) NIL (|has| |#1| (|Field|)))) (|integrate| (($ $) 38 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) NIL (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 39 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) NIL (|has| |#1| (|Field|)))) (|gcd| (($ (|List| $)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (|factor| (((|Factored| $) $) NIL (|has| |#1| (|Field|)))) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (|Field|))) (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) NIL (|has| |#1| (|Field|)))) (|extend| (($ $ (|Fraction| (|Integer|))) NIL)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) NIL (|has| |#1| (|Field|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) NIL (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))))) (|euclideanSize| (((|NonNegativeInteger|) $) NIL (|has| |#1| (|Field|)))) (|elt| ((|#1| $ (|Fraction| (|Integer|))) NIL) (($ $ $) NIL (|has| (|Fraction| (|Integer|)) (|SemiGroup|)))) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) NIL (|has| |#1| (|Field|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) 36 (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $ (|Variable| |#2|)) 37)) (|degree| (((|Fraction| (|Integer|)) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) NIL)) (|coerce| (((|OutputForm|) $) 87) (($ (|Integer|)) NIL) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|))) (($ (|UnivariateLaurentSeries| |#1| |#2| |#3|)) 16) (($ (|UnivariateTaylorSeries| |#1| |#2| |#3|)) 17) (($ (|Variable| |#2|)) 35) (($ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|coefficient| ((|#1| $ (|Fraction| (|Integer|))) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 12)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|Fraction| (|Integer|))) 62 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|))))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|)))) (|Zero| (($) 31 T CONST)) (|One| (($) 26 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|Fraction| (|Integer|)) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 33)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|Integer|)) NIL (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) (|Join| (|UnivariatePuiseuxSeriesConstructorCategory| |#1| (|UnivariateLaurentSeries| |#1| |#2| |#3|)) (|RetractableTo| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |UnivariatePuiseuxSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariatePuiseuxSeriesConstructorCategory| |#1| (|UnivariateLaurentSeries| |#1| |#2| |#3|)) (|RetractableTo| (|UnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 32)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL)) (|unitCanonical| (($ $) NIL)) (|unit?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| (|Integer|) "failed") $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|RetractableTo| (|Integer|)))) (((|Union| (|Fraction| (|Integer|)) "failed") $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|Union| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) "failed") $) 20)) (|retract| (((|Integer|) $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|RetractableTo| (|Integer|)))) (((|Fraction| (|Integer|)) $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|RetractableTo| (|Fraction| (|Integer|))))) (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL)) (|reductum| (($ $) 33)) (|recip| (((|Union| $ "failed") $) 25)) (|primitivePart| (($ $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|GcdDomain|)))) (|pomopo!| (($ $ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) 11)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) 23)) (|minimumDegree| (((|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL)) (|mapExponents| (($ (|Mapping| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) $) NIL)) (|map| (($ (|Mapping| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) $) NIL)) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) 72)) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $) 18)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|ground?| (((|Boolean|) $) NIL)) (|ground| (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL)) (|exquo| (((|Union| $ "failed") $ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|IntegralDomain|))) (((|Union| $ "failed") $ $) NIL)) (|dominantTerm| (((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $) 55)) (|degree| (((|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|) $) 14)) (|content| (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|GcdDomain|)))) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (|Fraction| (|Integer|))) NIL (OR (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|)))) (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|RetractableTo| (|Fraction| (|Integer|))))))) (|coefficients| (((|List| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) $) NIL)) (|coefficient| (((|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $ (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) NIL)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|CommutativeRing|)))) (|associates?| (((|Boolean|) $ $) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 60 T CONST)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (/ (($ $ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) NIL) (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariatePuiseuxSeriesWithExponentialSingularity| |#1| |#2| |#3| |#4|) (|Join| (|FiniteAbelianMonoidRing| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |limitPlus| ((|Union| (|OrderedCompletion| |#2|) "failed") $)) (SIGNATURE |dominantTerm| ((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $)))) (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|)) (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| |#1|)) (|Symbol|) |#2|) (T |UnivariatePuiseuxSeriesWithExponentialSingularity|)) 
+((|limitPlus| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) (|dominantTerm| (*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))))) (|:| |%type| (|String|)))) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
+(|Join| (|FiniteAbelianMonoidRing| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|) (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |limitPlus| ((|Union| (|OrderedCompletion| |#2|) "failed") $)) (SIGNATURE |dominantTerm| ((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $)))) 
+((|value| ((|#2| $) 28)) (|third| ((|#2| $) 18)) (|tail| (($ $) 35)) (|split!| (($ $ (|Integer|)) 63)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 32)) (|setvalue!| ((|#2| $ |#2|) 60)) (|setlast!| ((|#2| $ |#2|) 58)) (|setelt| ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (|setchildren!| (($ $ (|List| $)) 59)) (|second| ((|#2| $) 17)) (|rest| (($ $) NIL) (($ $ (|NonNegativeInteger|)) 41)) (|nodes| (((|List| $) $) 25)) (|node?| (((|Boolean|) $ $) 49)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 31)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 30)) (|leaf?| (((|Boolean|) $) 27)) (|last| ((|#2| $) 23) (($ $ (|NonNegativeInteger|)) 45)) (|elt| ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (|cyclic?| (((|Boolean|) $) 21)) (|cycleTail| (($ $) 38)) (|cycleSplit!| (($ $) 64)) (|cycleLength| (((|NonNegativeInteger|) $) 40)) (|cycleEntry| (($ $) 39)) (|concat| (($ $ $) 57) (($ |#2| $) NIL)) (|children| (((|List| $) $) 26)) (= (((|Boolean|) $ $) 47)) (|#| (((|NonNegativeInteger|) $) 34))) 
+(((|UnaryRecursiveAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |split!| (|#1| |#1| (|Integer|))) (SIGNATURE |setelt| (|#2| |#1| "last" |#2|)) (SIGNATURE |setlast!| (|#2| |#1| |#2|)) (SIGNATURE |setelt| (|#1| |#1| "rest" |#1|)) (SIGNATURE |setelt| (|#2| |#1| "first" |#2|)) (SIGNATURE |cycleSplit!| (|#1| |#1|)) (SIGNATURE |cycleTail| (|#1| |#1|)) (SIGNATURE |cycleLength| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |cycleEntry| (|#1| |#1|)) (SIGNATURE |third| (|#2| |#1|)) (SIGNATURE |second| (|#2| |#1|)) (SIGNATURE |tail| (|#1| |#1|)) (SIGNATURE |last| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "last")) (SIGNATURE |last| (|#2| |#1|)) (SIGNATURE |rest| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#1| |#1| "rest")) (SIGNATURE |rest| (|#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| "first")) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |setvalue!| (|#2| |#1| |#2|)) (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |setchildren!| (|#1| |#1| (|List| |#1|))) (SIGNATURE |node?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |value| (|#2| |#1|)) (SIGNATURE |leaf?| ((|Boolean|) |#1|)) (SIGNATURE |nodes| ((|List| |#1|) |#1|)) (SIGNATURE |children| ((|List| |#1|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|)))) (|UnaryRecursiveAggregate| |#2|) (|Type|)) (T |UnaryRecursiveAggregate&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |split!| (|#1| |#1| (|Integer|))) (SIGNATURE |setelt| (|#2| |#1| "last" |#2|)) (SIGNATURE |setlast!| (|#2| |#1| |#2|)) (SIGNATURE |setelt| (|#1| |#1| "rest" |#1|)) (SIGNATURE |setelt| (|#2| |#1| "first" |#2|)) (SIGNATURE |cycleSplit!| (|#1| |#1|)) (SIGNATURE |cycleTail| (|#1| |#1|)) (SIGNATURE |cycleLength| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |cycleEntry| (|#1| |#1|)) (SIGNATURE |third| (|#2| |#1|)) (SIGNATURE |second| (|#2| |#1|)) (SIGNATURE |tail| (|#1| |#1|)) (SIGNATURE |last| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#2| |#1| "last")) (SIGNATURE |last| (|#2| |#1|)) (SIGNATURE |rest| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |elt| (|#1| |#1| "rest")) (SIGNATURE |rest| (|#1| |#1|)) (SIGNATURE |elt| (|#2| |#1| "first")) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |setvalue!| (|#2| |#1| |#2|)) (SIGNATURE |setelt| (|#2| |#1| "value" |#2|)) (SIGNATURE |setchildren!| (|#1| |#1| (|List| |#1|))) (SIGNATURE |node?| ((|Boolean|) |#1| |#1|)) (SIGNATURE |cyclic?| ((|Boolean|) |#1|)) (SIGNATURE |elt| (|#2| |#1| "value")) (SIGNATURE |value| (|#2| |#1|)) (SIGNATURE |leaf?| ((|Boolean|) |#1|)) (SIGNATURE |nodes| ((|List| |#1|) |#1|)) (SIGNATURE |children| ((|List| |#1|) |#1|)) (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) |#1|)) (SIGNATURE |size?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |more?| ((|Boolean|) |#1| (|NonNegativeInteger|))) (SIGNATURE |less?| ((|Boolean|) |#1| (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|value| ((|#1| $) 45)) (|third| ((|#1| $) 62)) (|tail| (($ $) 64)) (|split!| (($ $ (|Integer|)) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setvalue!| ((|#1| $ |#1|) 36 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setrest!| (($ $ $) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setlast!| ((|#1| $ |#1|) 51 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setfirst!| ((|#1| $ |#1|) 55 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setelt| ((|#1| $ "value" |#1|) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "first" |#1|) 54 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ "rest" $) 52 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ "last" |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|setchildren!| (($ $ (|List| $)) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|second| ((|#1| $) 63)) (|sample| (($) 7 T CONST)) (|rest| (($ $) 70) (($ $ (|NonNegativeInteger|)) 68)) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|nodes| (((|List| $) $) 47)) (|node?| (((|Boolean|) $ $) 39 (|has| |#1| (|SetCategory|)))) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|leaves| (((|List| |#1|) $) 42)) (|leaf?| (((|Boolean|) $) 46)) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|last| ((|#1| $) 67) (($ $ (|NonNegativeInteger|)) 65)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 73) (($ $ (|NonNegativeInteger|)) 71)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (|distance| (((|Integer|) $ $) 41)) (|cyclic?| (((|Boolean|) $) 43)) (|cycleTail| (($ $) 59)) (|cycleSplit!| (($ $) 56 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|cycleLength| (((|NonNegativeInteger|) $) 60)) (|cycleEntry| (($ $) 61)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copy| (($ $) 13)) (|concat!| (($ $ $) 58 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $ |#1|) 57 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|concat| (($ $ $) 75) (($ |#1| $) 74)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|children| (((|List| $) $) 48)) (|child?| (((|Boolean|) $ $) 40 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|UnaryRecursiveAggregate| |#1|) (|Category|) (|Type|)) (T |UnaryRecursiveAggregate|)) 
+((|concat| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat| (*1 *1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|first| (*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 "first") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|first| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|rest| (*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *1 *1 *2) (AND (|isDomain| *2 "rest") (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|rest| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|last| (*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|elt| (*1 *2 *1 *3) (AND (|isDomain| *3 "last") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|last| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|tail| (*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|second| (*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|third| (*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|cycleEntry| (*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|cycleLength| (*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|cycleTail| (*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|concat!| (*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|cycleSplit!| (*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setfirst!| (*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *3 "first") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setrest!| (*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setelt| (*1 *1 *1 *2 *1) (AND (|isDomain| *2 "rest") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) (|setlast!| (*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|setelt| (*1 *2 *1 *3 *2) (AND (|isDomain| *3 "last") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) (|split!| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(|Join| (|RecursiveAggregate| |t#1|) (CATEGORY |domain| (SIGNATURE |concat| ($ $ $)) (SIGNATURE |concat| ($ |t#1| $)) (SIGNATURE |first| (|t#1| $)) (SIGNATURE |elt| (|t#1| $ "first")) (SIGNATURE |first| ($ $ (|NonNegativeInteger|))) (SIGNATURE |rest| ($ $)) (SIGNATURE |elt| ($ $ "rest")) (SIGNATURE |rest| ($ $ (|NonNegativeInteger|))) (SIGNATURE |last| (|t#1| $)) (SIGNATURE |elt| (|t#1| $ "last")) (SIGNATURE |last| ($ $ (|NonNegativeInteger|))) (SIGNATURE |tail| ($ $)) (SIGNATURE |second| (|t#1| $)) (SIGNATURE |third| (|t#1| $)) (SIGNATURE |cycleEntry| ($ $)) (SIGNATURE |cycleLength| ((|NonNegativeInteger|) $)) (SIGNATURE |cycleTail| ($ $)) (IF (|has| $ (ATTRIBUTE |shallowlyMutable|)) (PROGN (SIGNATURE |concat!| ($ $ $)) (SIGNATURE |concat!| ($ $ |t#1|)) (SIGNATURE |cycleSplit!| ($ $)) (SIGNATURE |setfirst!| (|t#1| $ |t#1|)) (SIGNATURE |setelt| (|t#1| $ "first" |t#1|)) (SIGNATURE |setrest!| ($ $ $)) (SIGNATURE |setelt| ($ $ "rest" $)) (SIGNATURE |setlast!| (|t#1| $ |t#1|)) (SIGNATURE |setelt| (|t#1| $ "last" |t#1|)) (SIGNATURE |split!| ($ $ (|Integer|)))) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) |has| |#1| (|SetCategory|)) ((|CoercibleTo| (|OutputForm|)) |has| |#1| (|SetCategory|)) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|HomogeneousAggregate| |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|RecursiveAggregate| |#1|) . T) ((|SetCategory|) |has| |#1| (|SetCategory|)) ((|Type|) . T)) 
+((|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) 17))) 
+(((|UnivariateTaylorSeriesFunctions2| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#2| |#1|) |#3|))) (|Ring|) (|Ring|) (|UnivariateTaylorSeriesCategory| |#1|) (|UnivariateTaylorSeriesCategory| |#2|)) (T |UnivariateTaylorSeriesFunctions2|)) 
+((|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5))))) 
+(CATEGORY |package| (SIGNATURE |map| (|#4| (|Mapping| |#2| |#1|) |#3|))) 
+((|zero?| (((|Boolean|) $) 15)) (|tanh| (($ $) 90)) (|tan| (($ $) 66)) (|sinh| (($ $) 86)) (|sin| (($ $) 62)) (|sech| (($ $) 94)) (|sec| (($ $) 70)) (|log| (($ $) 60)) (|exp| (($ $) 58)) (|csch| (($ $) 96)) (|csc| (($ $) 72)) (|coth| (($ $) 92)) (|cot| (($ $) 68)) (|cosh| (($ $) 88)) (|cos| (($ $) 64)) (|coerce| (((|OutputForm|) $) 46) (($ (|Integer|)) NIL) (($ (|Fraction| (|Integer|))) NIL) (($ $) NIL) (($ |#2|) NIL)) (|atanh| (($ $) 102)) (|atan| (($ $) 78)) (|asinh| (($ $) 98)) (|asin| (($ $) 74)) (|asech| (($ $) 106)) (|asec| (($ $) 82)) (|acsch| (($ $) 108)) (|acsc| (($ $) 84)) (|acoth| (($ $) 104)) (|acot| (($ $) 80)) (|acosh| (($ $) 100)) (|acos| (($ $) 76)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (|Fraction| (|Integer|))) 56))) 
+(((|UnivariateTaylorSeriesCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |tan| (|#1| |#1|)) (SIGNATURE |sin| (|#1| |#1|)) (SIGNATURE |sec| (|#1| |#1|)) (SIGNATURE |csc| (|#1| |#1|)) (SIGNATURE |cot| (|#1| |#1|)) (SIGNATURE |cos| (|#1| |#1|)) (SIGNATURE |acos| (|#1| |#1|)) (SIGNATURE |acot| (|#1| |#1|)) (SIGNATURE |acsc| (|#1| |#1|)) (SIGNATURE |asec| (|#1| |#1|)) (SIGNATURE |asin| (|#1| |#1|)) (SIGNATURE |atan| (|#1| |#1|)) (SIGNATURE |cosh| (|#1| |#1|)) (SIGNATURE |coth| (|#1| |#1|)) (SIGNATURE |csch| (|#1| |#1|)) (SIGNATURE |sech| (|#1| |#1|)) (SIGNATURE |sinh| (|#1| |#1|)) (SIGNATURE |tanh| (|#1| |#1|)) (SIGNATURE |acosh| (|#1| |#1|)) (SIGNATURE |acoth| (|#1| |#1|)) (SIGNATURE |acsch| (|#1| |#1|)) (SIGNATURE |asech| (|#1| |#1|)) (SIGNATURE |asinh| (|#1| |#1|)) (SIGNATURE |atanh| (|#1| |#1|)) (SIGNATURE |log| (|#1| |#1|)) (SIGNATURE |exp| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| |#1|)) (SIGNATURE ** (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) (|UnivariateTaylorSeriesCategory| |#2|) (|Ring|)) (T |UnivariateTaylorSeriesCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE ** (|#1| |#1| (|Fraction| (|Integer|)))) (SIGNATURE |tan| (|#1| |#1|)) (SIGNATURE |sin| (|#1| |#1|)) (SIGNATURE |sec| (|#1| |#1|)) (SIGNATURE |csc| (|#1| |#1|)) (SIGNATURE |cot| (|#1| |#1|)) (SIGNATURE |cos| (|#1| |#1|)) (SIGNATURE |acos| (|#1| |#1|)) (SIGNATURE |acot| (|#1| |#1|)) (SIGNATURE |acsc| (|#1| |#1|)) (SIGNATURE |asec| (|#1| |#1|)) (SIGNATURE |asin| (|#1| |#1|)) (SIGNATURE |atan| (|#1| |#1|)) (SIGNATURE |cosh| (|#1| |#1|)) (SIGNATURE |coth| (|#1| |#1|)) (SIGNATURE |csch| (|#1| |#1|)) (SIGNATURE |sech| (|#1| |#1|)) (SIGNATURE |sinh| (|#1| |#1|)) (SIGNATURE |tanh| (|#1| |#1|)) (SIGNATURE |acosh| (|#1| |#1|)) (SIGNATURE |acoth| (|#1| |#1|)) (SIGNATURE |acsch| (|#1| |#1|)) (SIGNATURE |asech| (|#1| |#1|)) (SIGNATURE |asinh| (|#1| |#1|)) (SIGNATURE |atanh| (|#1| |#1|)) (SIGNATURE |log| (|#1| |#1|)) (SIGNATURE |exp| (|#1| |#1|)) (SIGNATURE ** (|#1| |#1| |#1|)) (SIGNATURE ** (|#1| |#1| |#2|)) (SIGNATURE |coerce| (|#1| |#2|)) (SIGNATURE |coerce| (|#1| |#1|)) (SIGNATURE |coerce| (|#1| (|Fraction| (|Integer|)))) (SIGNATURE |coerce| (|#1| (|Integer|))) (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE ** (|#1| |#1| (|PositiveInteger|))) (SIGNATURE |zero?| ((|Boolean|) |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) 70)) (|variable| (((|Symbol|) $) 98)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 50 (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) 51 (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 53 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|NonNegativeInteger|)) 93) (($ $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 92)) (|terms| (((|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|))) $) 100)) (|tanh| (($ $) 127 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) 110 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sqrt| (($ $) 109 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) 126 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) 111 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) 147) (($ (|Stream| |#1|)) 145)) (|sech| (($ $) 125 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) 112 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) 16 T CONST)) (|reductum| (($ $) 59)) (|recip| (((|Union| $ "failed") $) 33)) (|quoByVar| (($ $) 144)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) 142) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 141)) (|pole?| (((|Boolean|) $) 69)) (|pi| (($) 137 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $) 95) (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) 94)) (|one?| (((|Boolean|) $) 30)) (|nthRoot| (($ $ (|Integer|)) 108 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multiplyExponents| (($ $ (|PositiveInteger|)) 96)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 143)) (|monomial?| (((|Boolean|) $) 61)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 60) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) 72) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) 71)) (|map| (($ (|Mapping| |#1| |#1|) $) 62)) (|log| (($ $) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) 64)) (|leadingCoefficient| ((|#1| $) 65)) (|latex| (((|String|) $) 9)) (|integrate| (($ $) 139 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 138 (OR (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|)) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))))) (|hash| (((|SingleInteger|) $) 10)) (|extend| (($ $ (|NonNegativeInteger|)) 90)) (|exquo| (((|Union| $ "failed") $ $) 49 (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) 135 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|eval| (((|Stream| |#1|) $ |#1|) 89 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))))) (|elt| ((|#1| $ (|NonNegativeInteger|)) 99) (($ $ $) 76 (|has| (|NonNegativeInteger|) (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 84 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 83 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|List| (|Symbol|))) 82 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|Symbol|)) 81 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|NonNegativeInteger|)) 79 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) 77 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (|degree| (((|NonNegativeInteger|) $) 63)) (|csch| (($ $) 124 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) 113 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) 123 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) 114 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) 122 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) 115 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 68)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ (|Fraction| (|Integer|))) 56 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) 48 (|has| |#1| (|IntegralDomain|))) (($ |#1|) 46 (|has| |#1| (|CommutativeRing|)))) (|coefficients| (((|Stream| |#1|) $) 146)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 58)) (|charthRoot| (((|Union| $ "failed") $) 47 (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|center| ((|#1| $) 97)) (|atanh| (($ $) 133 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) 121 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) 52 (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) 132 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) 120 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) 131 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) 119 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|NonNegativeInteger|)) 91 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) 130 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) 118 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) 129 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) 117 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) 128 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) 116 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) 88 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) 87 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|List| (|Symbol|))) 86 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|Symbol|)) 85 (AND (|has| |#1| (|PartialDifferentialRing| (|Symbol|))) (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (($ $ (|NonNegativeInteger|)) 80 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) 78 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 57 (|has| |#1| (|Field|)))) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ |#1|) 140 (|has| |#1| (|Field|))) (($ $ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 107 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (|Fraction| (|Integer|)) $) 55 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) 54 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateTaylorSeriesCategory| |#1|) (|Category|) (|Ring|)) (T |UnivariateTaylorSeriesCategory|)) 
+((|series| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) (|coefficients| (*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Stream| *3)))) (|series| (*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) (|quoByVar| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)))) (|multiplyCoefficients| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) (|polynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4)))) (|polynomial| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4)))) (** (*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) (|integrate| (*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) (|integrate| (*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))))))) 
+(|Join| (|UnivariatePowerSeriesCategory| |t#1| (|NonNegativeInteger|)) (CATEGORY |domain| (SIGNATURE |series| ($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |t#1|))))) (SIGNATURE |coefficients| ((|Stream| |t#1|) $)) (SIGNATURE |series| ($ (|Stream| |t#1|))) (SIGNATURE |quoByVar| ($ $)) (SIGNATURE |multiplyCoefficients| ($ (|Mapping| |t#1| (|Integer|)) $)) (SIGNATURE |polynomial| ((|Polynomial| |t#1|) $ (|NonNegativeInteger|))) (SIGNATURE |polynomial| ((|Polynomial| |t#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (IF (|has| |t#1| (|Field|)) (SIGNATURE ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $)) (IF (|has| |t#1| (SIGNATURE |integrate| (|t#1| |t#1| (|Symbol|)))) (IF (|has| |t#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |t#1|))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|) |noBranch|) (IF (|has| |t#1| (|TranscendentalFunctionCategory|)) (IF (|has| |t#1| (|PrimitiveFunctionCategory|)) (IF (|has| |t#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (SIGNATURE |integrate| ($ $ (|Symbol|))) |noBranch|) |noBranch|) |noBranch|) (ATTRIBUTE (|RadicalCategory|)) (ATTRIBUTE (|TranscendentalFunctionCategory|))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianMonoidRing| |#1| (|NonNegativeInteger|)) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|Algebra| $) |has| |#1| (|IntegralDomain|)) ((|ArcHyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|ArcTrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) |has| |#1| (|CharacteristicNonZero|)) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|DifferentialRing|) |has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) ((|ElementaryFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Eltable| $ $) |has| (|NonNegativeInteger|) (|SemiGroup|)) ((|EntireRing|) |has| |#1| (|IntegralDomain|)) ((|HyperbolicFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|IntegralDomain|) |has| |#1| (|IntegralDomain|)) ((|LeftModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Module| $) |has| |#1| (|IntegralDomain|)) ((|Monoid|) . T) ((|PartialDifferentialRing| (|Symbol|)) AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|)))) ((|PowerSeriesCategory| |#1| (|NonNegativeInteger|) (|SingletonAsOrderedSet|)) . T) ((|RadicalCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| (|Fraction| (|Integer|))) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|RightModule| |#1|) . T) ((|RightModule| $) OR (|has| |#1| (|IntegralDomain|)) (|has| |#1| (|CommutativeRing|))) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|TranscendentalFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|TrigonometricFunctionCategory|) |has| |#1| (|Algebra| (|Fraction| (|Integer|)))) ((|UnivariatePowerSeriesCategory| |#1| (|NonNegativeInteger|)) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 86)) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) 73)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 135 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|NonNegativeInteger|)) 120) (($ $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 122)) (|terms| (((|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|))) $) 42)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) 53) (($ (|Stream| |#1|)) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|revert| (($ $) 126)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quoByVar| (($ $) 133)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) 63) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 65)) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|oddlambert| (($ $) 110)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multisect| (($ (|Integer|) (|Integer|) $) 128)) (|multiplyExponents| (($ $ (|PositiveInteger|)) 132)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 104)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 15) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) 92)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|lambert| (($ $) 108)) (|lagrange| (($ $) 106)) (|invmultisect| (($ (|Integer|) (|Integer|) $) 130)) (|integrate| (($ $) 143 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 149 (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 144 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|generalLambert| (($ $ (|Integer|) (|Integer|)) 114)) (|extend| (($ $ (|NonNegativeInteger|)) 116)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|evenlambert| (($ $) 112)) (|eval| (((|Stream| |#1|) $ |#1|) 94 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))))) (|elt| ((|#1| $ (|NonNegativeInteger|)) 89) (($ $ $) 124 (|has| (|NonNegativeInteger|) (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) 101 (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) 96 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $ (|Variable| |#2|)) 97)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 118)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 24) (($ (|Fraction| (|Integer|))) 141 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) 23 (|has| |#1| (|CommutativeRing|))) (($ (|UnivariatePolynomial| |#2| |#1|)) 79) (($ (|Variable| |#2|)) 20)) (|coefficients| (((|Stream| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 88)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 87)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|NonNegativeInteger|)) 85 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 17 T CONST)) (|One| (($) 13 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) 100)) (+ (($ $ $) 18)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ |#1|) 138 (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateTaylorSeries| |#1| |#2| |#3|) (|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (SIGNATURE |lagrange| ($ $)) (SIGNATURE |lambert| ($ $)) (SIGNATURE |oddlambert| ($ $)) (SIGNATURE |evenlambert| ($ $)) (SIGNATURE |generalLambert| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |revert| ($ $)) (SIGNATURE |multisect| ($ (|Integer|) (|Integer|) $)) (SIGNATURE |invmultisect| ($ (|Integer|) (|Integer|) $)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|) |#1|) (T |UnivariateTaylorSeries|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)))) (|univariatePolynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) (|lagrange| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) (|lambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) (|oddlambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) (|evenlambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) (|generalLambert| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) (|revert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) (|multisect| (*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) (|invmultisect| (*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3)))) 
+(|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (SIGNATURE |lagrange| ($ $)) (SIGNATURE |lambert| ($ $)) (SIGNATURE |oddlambert| ($ $)) (SIGNATURE |evenlambert| ($ $)) (SIGNATURE |generalLambert| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |revert| ($ $)) (SIGNATURE |multisect| ($ (|Integer|) (|Integer|) $)) (SIGNATURE |invmultisect| ($ (|Integer|) (|Integer|) $)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((|stFuncN| (((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|))) 24)) (|stFunc2| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|)) 16)) (|stFunc1| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|)) 13)) (|ode2| ((|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|) 48)) (|ode1| ((|#2| (|Mapping| |#2| |#2|) |#1|) 46)) (|ode| ((|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|)) 54)) (|mpsode| (((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))) 61)) (|fixedPointExquo| ((|#2| |#2| |#2|) 43))) 
+(((|UnivariateTaylorSeriesODESolver| |#1| |#2|) (CATEGORY |package| (SIGNATURE |stFunc1| ((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|))) (SIGNATURE |stFunc2| ((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|))) (SIGNATURE |stFuncN| ((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|)))) (SIGNATURE |fixedPointExquo| (|#2| |#2| |#2|)) (SIGNATURE |ode1| (|#2| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |ode2| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |ode| (|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|))) (SIGNATURE |mpsode| ((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))))) (|Algebra| (|Fraction| (|Integer|))) (|UnivariateTaylorSeriesCategory| |#1|)) (T |UnivariateTaylorSeriesODESolver|)) 
+((|mpsode| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|Mapping| *6 (|List| *6)))) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *6)))) (|ode| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|List| *2))) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *2)))) (|ode2| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))))) (|ode1| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))))) (|fixedPointExquo| (*1 *2 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) (|stFuncN| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 (|List| *5))) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|List| (|Stream| *4)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5)))) (|stFunc2| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5)))) (|stFunc1| (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |stFunc1| ((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|))) (SIGNATURE |stFunc2| ((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|))) (SIGNATURE |stFuncN| ((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|)))) (SIGNATURE |fixedPointExquo| (|#2| |#2| |#2|)) (SIGNATURE |ode1| (|#2| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |ode2| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |ode| (|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|))) (SIGNATURE |mpsode| ((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))))) 
+((UTS2UP ((|#2| |#4| (|NonNegativeInteger|)) 30)) (UP2UTS ((|#4| |#2|) 25)) (RF2UTS ((|#4| (|Fraction| |#2|)) 51 (|has| |#1| (|IntegralDomain|)))) (LODO2FUN (((|Mapping| |#4| (|List| |#4|)) |#3|) 45))) 
+(((|UTSodetools| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE UP2UTS (|#4| |#2|)) (SIGNATURE UTS2UP (|#2| |#4| (|NonNegativeInteger|))) (SIGNATURE LODO2FUN ((|Mapping| |#4| (|List| |#4|)) |#3|)) (IF (|has| |#1| (|IntegralDomain|)) (SIGNATURE RF2UTS (|#4| (|Fraction| |#2|))) |noBranch|)) (|Ring|) (|UnivariatePolynomialCategory| |#1|) (|LinearOrdinaryDifferentialOperatorCategory| |#2|) (|UnivariateTaylorSeriesCategory| |#1|)) (T |UTSodetools|)) 
+((RF2UTS (*1 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *5 *6 *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) (LODO2FUN (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Mapping| *6 (|List| *6))) (|isDomain| *1 (|UTSodetools| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *4)))) (UTS2UP (*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|UTSodetools| *5 *2 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *5)))) (UP2UTS (*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *3 *5 *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(CATEGORY |package| (SIGNATURE UP2UTS (|#4| |#2|)) (SIGNATURE UTS2UP (|#2| |#4| (|NonNegativeInteger|))) (SIGNATURE LODO2FUN ((|Mapping| |#4| (|List| |#4|)) |#3|)) (IF (|has| |#1| (|IntegralDomain|)) (SIGNATURE RF2UTS (|#4| (|Fraction| |#2|))) |noBranch|)) 
+((|seriesSolve| ((|#2| (|Mapping| |#3| |#3|) (|List| |#1|)) 67))) 
+(((|TaylorSolve| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |seriesSolve| (|#2| (|Mapping| |#3| |#3|) (|List| |#1|)))) (|Field|) (|UnivariateTaylorSeriesCategory| |#1|) (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| |#1|))) (T |TaylorSolve|)) 
+((|seriesSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *5))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|TaylorSolve| *5 *2 *6))))) 
+(CATEGORY |package| (SIGNATURE |seriesSolve| (|#2| (|Mapping| |#3| |#3|) (|List| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|variables| (((|List| (|SingletonAsOrderedSet|)) $) NIL)) (|variable| (((|Symbol|) $) 79)) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) 68)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) NIL (|has| |#1| (|IntegralDomain|)))) (|unitCanonical| (($ $) NIL (|has| |#1| (|IntegralDomain|)))) (|unit?| (((|Boolean|) $) 128 (|has| |#1| (|IntegralDomain|)))) (|truncate| (($ $ (|NonNegativeInteger|)) 113) (($ $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 115)) (|terms| (((|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|))) $) 38)) (|tanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|tan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sqrt| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|series| (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) 51) (($ (|Stream| |#1|)) NIL)) (|sech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|sample| (($) NIL T CONST)) (|revert| (($ $) 119)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quoByVar| (($ $) 126)) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) 59) (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 61)) (|pole?| (((|Boolean|) $) NIL)) (|pi| (($) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|order| (((|NonNegativeInteger|) $) NIL) (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) NIL)) (|one?| (((|Boolean|) $) NIL)) (|oddlambert| (($ $) 103)) (|nthRoot| (($ $ (|Integer|)) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|multisect| (($ (|Integer|) (|Integer|) $) 121)) (|multiplyExponents| (($ $ (|PositiveInteger|)) 125)) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) 97)) (|monomial?| (((|Boolean|) $) NIL)) (|monomial| (($ |#1| (|NonNegativeInteger|)) 12) (($ $ (|SingletonAsOrderedSet|) (|NonNegativeInteger|)) NIL) (($ $ (|List| (|SingletonAsOrderedSet|)) (|List| (|NonNegativeInteger|))) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) 85)) (|log| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|leadingMonomial| (($ $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|lambert| (($ $) 101)) (|lagrange| (($ $) 99)) (|invmultisect| (($ (|Integer|) (|Integer|) $) 123)) (|integrate| (($ $) 136 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Symbol|)) 139 (OR (AND (|has| |#1| (SIGNATURE |integrate| (|#1| |#1| (|Symbol|)))) (|has| |#1| (SIGNATURE |variables| ((|List| (|Symbol|)) |#1|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (AND (|has| |#1| (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (|has| |#1| (|PrimitiveFunctionCategory|)) (|has| |#1| (|TranscendentalFunctionCategory|))))) (($ $ (|Variable| |#2|)) 137 (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|hash| (((|SingleInteger|) $) NIL)) (|generalLambert| (($ $ (|Integer|) (|Integer|)) 107)) (|extend| (($ $ (|NonNegativeInteger|)) 109)) (|exquo| (((|Union| $ "failed") $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|exp| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|evenlambert| (($ $) 105)) (|eval| (((|Stream| |#1|) $ |#1|) 87 (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))))) (|elt| ((|#1| $ (|NonNegativeInteger|)) 82) (($ $ $) 117 (|has| (|NonNegativeInteger|) (|SemiGroup|)))) (|differentiate| (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) 92 (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) 89 (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $ (|Variable| |#2|)) 90)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|csch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|csc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|coth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|cos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|complete| (($ $) 111)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) 18) (($ (|Fraction| (|Integer|))) 134 (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $) NIL (|has| |#1| (|IntegralDomain|))) (($ |#1|) 17 (|has| |#1| (|CommutativeRing|))) (($ (|UnivariatePolynomial| |#2| |#1|)) 73) (($ (|Variable| |#2|)) 14)) (|coefficients| (((|Stream| |#1|) $) NIL)) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) 81)) (|charthRoot| (((|Union| $ "failed") $) NIL (|has| |#1| (|CharacteristicNonZero|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|center| ((|#1| $) 80)) (|atanh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|atan| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|associates?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|asinh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asin| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asech| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|asec| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|approximate| ((|#1| $ (|NonNegativeInteger|)) 78 (AND (|has| |#1| (SIGNATURE ** (|#1| |#1| (|NonNegativeInteger|)))) (|has| |#1| (SIGNATURE |coerce| (|#1| (|Symbol|))))))) (|acsch| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acsc| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acoth| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acot| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acosh| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (|acos| (($ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 44 T CONST)) (|One| (($) 9 T CONST)) (D (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|) (|NonNegativeInteger|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|List| (|Symbol|))) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|Symbol|)) NIL (AND (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))) (|has| |#1| (|PartialDifferentialRing| (|Symbol|))))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|)))) (($ $) NIL (|has| |#1| (SIGNATURE * (|#1| (|NonNegativeInteger|) |#1|))))) (= (((|Boolean|) $ $) NIL)) (/ (($ $ |#1|) NIL (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) 94)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL) (($ $ |#1|) 131 (|has| |#1| (|Field|))) (($ $ $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))))) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (|Fraction| (|Integer|)) $) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))) (($ $ (|Fraction| (|Integer|))) NIL (|has| |#1| (|Algebra| (|Fraction| (|Integer|))))))) 
+(((|UnivariateTaylorSeriesCZero| |#1| |#2|) (|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (SIGNATURE |lagrange| ($ $)) (SIGNATURE |lambert| ($ $)) (SIGNATURE |oddlambert| ($ $)) (SIGNATURE |evenlambert| ($ $)) (SIGNATURE |generalLambert| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |revert| ($ $)) (SIGNATURE |multisect| ($ (|Integer|) (|Integer|) $)) (SIGNATURE |invmultisect| ($ (|Integer|) (|Integer|) $)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) (|Ring|) (|Symbol|)) (T |UnivariateTaylorSeriesCZero|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)))) (|univariatePolynomial| (*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)))) (|differentiate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)))) (|lagrange| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)))) (|lambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)))) (|oddlambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)))) (|evenlambert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)))) (|generalLambert| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)))) (|revert| (*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)))) (|multisect| (*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)))) (|invmultisect| (*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)))) (|integrate| (*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|UnivariateTaylorSeriesCategory| |#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|UnivariatePolynomial| |#2| |#1|))) (SIGNATURE |univariatePolynomial| ((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (SIGNATURE |lagrange| ($ $)) (SIGNATURE |lambert| ($ $)) (SIGNATURE |oddlambert| ($ $)) (SIGNATURE |evenlambert| ($ $)) (SIGNATURE |generalLambert| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |revert| ($ $)) (SIGNATURE |multisect| ($ (|Integer|) (|Integer|) $)) (SIGNATURE |invmultisect| ($ (|Integer|) (|Integer|) $)) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|variable| (((|Symbol|)) 12)) (|latex| (((|String|) $) 17)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 11) (((|Symbol|) $) 8)) (= (((|Boolean|) $ $) 14))) 
+(((|Variable| |#1|) (|Join| (|SetCategory|) (|CoercibleTo| (|Symbol|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Symbol|) $)) (SIGNATURE |variable| ((|Symbol|))))) (|Symbol|)) (T |Variable|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2))) (|variable| (*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2)))) 
+(|Join| (|SetCategory|) (|CoercibleTo| (|Symbol|)) (CATEGORY |domain| (SIGNATURE |coerce| ((|Symbol|) $)) (SIGNATURE |variable| ((|Symbol|))))) 
+((|zero| (($ (|NonNegativeInteger|)) 16)) (|outerProduct| (((|Matrix| |#2|) $ $) 37)) (|magnitude| ((|#2| $) 46)) (|length| ((|#2| $) 45)) (|dot| ((|#2| $ $) 33)) (|cross| (($ $ $) 42)) (- (($ $) 20) (($ $ $) 26)) (+ (($ $ $) 13)) (* (($ (|Integer|) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
+(((|VectorCategory&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |magnitude| (|#2| |#1|)) (SIGNATURE |length| (|#2| |#1|)) (SIGNATURE |cross| (|#1| |#1| |#1|)) (SIGNATURE |outerProduct| ((|Matrix| |#2|) |#1| |#1|)) (SIGNATURE |dot| (|#2| |#1| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE |zero| (|#1| (|NonNegativeInteger|))) (SIGNATURE + (|#1| |#1| |#1|))) (|VectorCategory| |#2|) (|Type|)) (T |VectorCategory&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |magnitude| (|#2| |#1|)) (SIGNATURE |length| (|#2| |#1|)) (SIGNATURE |cross| (|#1| |#1| |#1|)) (SIGNATURE |outerProduct| ((|Matrix| |#2|) |#1| |#1|)) (SIGNATURE |dot| (|#2| |#1| |#1|)) (SIGNATURE * (|#1| |#1| |#2|)) (SIGNATURE * (|#1| |#2| |#1|)) (SIGNATURE * (|#1| (|Integer|) |#1|)) (SIGNATURE - (|#1| |#1| |#1|)) (SIGNATURE - (|#1| |#1|)) (SIGNATURE |zero| (|#1| (|NonNegativeInteger|))) (SIGNATURE + (|#1| |#1| |#1|))) 
+((~= (((|Boolean|) $ $) 18 (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) 105 (|has| |#1| (|AbelianMonoid|)))) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) 37 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) 91) (((|Boolean|) $) 85 (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 82 (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) 81 (AND (|has| |#1| (|OrderedSet|)) (|has| $ (ATTRIBUTE |shallowlyMutable|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) 8)) (|setelt| ((|#1| $ (|Integer|) |#1|) 49 (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) 53 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) 70 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) 7 T CONST)) (|reverse!| (($ $) 83 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) 93)) (|removeDuplicates| (($ $) 73 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|remove| (($ |#1| $) 72 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) (($ (|Mapping| (|Boolean|) |#1|) $) 69 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) 71 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) 67 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) 50 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) 48)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) 90) (((|Integer|) |#1| $) 89 (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) 88 (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) 30 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| |#1|) $ $) 98 (|has| |#1| (|Ring|)))) (|new| (($ (|NonNegativeInteger|) |#1|) 64)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) 9)) (|minIndex| (((|Integer|) $) 40 (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) 80 (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) 29 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) 27 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|maxIndex| (((|Integer|) $) 41 (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) 79 (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) 34 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) 35) (($ (|Mapping| |#1| |#1| |#1|) $ $) 59)) (|magnitude| ((|#1| $) 95 (AND (|has| |#1| (|Ring|)) (|has| |#1| (|RadicalCategory|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) 10)) (|length| ((|#1| $) 96 (AND (|has| |#1| (|Ring|)) (|has| |#1| (|RadicalCategory|))))) (|latex| (((|String|) $) 22 (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) 55) (($ $ $ (|Integer|)) 54)) (|indices| (((|List| (|Integer|)) $) 43)) (|index?| (((|Boolean|) (|Integer|) $) 44)) (|hash| (((|SingleInteger|) $) 21 (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) 39 (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) 66)) (|fill!| (($ $ |#1|) 38 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 32 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) 26 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) 25 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) 24 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) 23 (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) 14)) (|entry?| (((|Boolean|) |#1| $) 42 (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) 45)) (|empty?| (((|Boolean|) $) 11)) (|empty| (($) 12)) (|elt| ((|#1| $ (|Integer|) |#1|) 47) ((|#1| $ (|Integer|)) 46) (($ $ (|UniversalSegment| (|Integer|))) 58)) (|dot| ((|#1| $ $) 99 (|has| |#1| (|Ring|)))) (|delete| (($ $ (|Integer|)) 57) (($ $ (|UniversalSegment| (|Integer|))) 56)) (|cross| (($ $ $) 97 (|has| |#1| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) 31 (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) 28 (AND (|has| |#1| (|SetCategory|)) (|has| $ (ATTRIBUTE |finiteAggregate|))))) (|copyInto!| (($ $ $ (|Integer|)) 84 (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) 13)) (|convert| (((|InputForm|) $) 74 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 65)) (|concat| (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (|List| $)) 60)) (|coerce| (((|OutputForm|) $) 20 (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) 33 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) 77 (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) 76 (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) 19 (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) 78 (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) 75 (|has| |#1| (|OrderedSet|)))) (- (($ $) 104 (|has| |#1| (|AbelianGroup|))) (($ $ $) 103 (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) 106 (|has| |#1| (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) 102 (|has| |#1| (|AbelianGroup|))) (($ |#1| $) 101 (|has| |#1| (|Monoid|))) (($ $ |#1|) 100 (|has| |#1| (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) 6 (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|VectorCategory| |#1|) (|Category|) (|Type|)) (T |VectorCategory|)) 
+((+ (*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianSemiGroup|)))) (|zero| (*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofCategory| *3 (|Type|)))) (- (*1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) (- (*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) (* (*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|AbelianGroup|)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) (* (*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) (|dot| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) (|outerProduct| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Matrix| *3)))) (|cross| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) (|length| (*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|)))) (|magnitude| (*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
+(|Join| (|OneDimensionalArrayAggregate| |t#1|) (CATEGORY |domain| (IF (|has| |t#1| (|AbelianSemiGroup|)) (SIGNATURE + ($ $ $)) |noBranch|) (IF (|has| |t#1| (|AbelianMonoid|)) (SIGNATURE |zero| ($ (|NonNegativeInteger|))) |noBranch|) (IF (|has| |t#1| (|AbelianGroup|)) (PROGN (SIGNATURE - ($ $)) (SIGNATURE - ($ $ $)) (SIGNATURE * ($ (|Integer|) $))) |noBranch|) (IF (|has| |t#1| (|Monoid|)) (PROGN (SIGNATURE * ($ |t#1| $)) (SIGNATURE * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (|Ring|)) (PROGN (SIGNATURE |dot| (|t#1| $ $)) (SIGNATURE |outerProduct| ((|Matrix| |t#1|) $ $)) (SIGNATURE |cross| ($ $ $))) |noBranch|) (IF (|has| |t#1| (|RadicalCategory|)) (IF (|has| |t#1| (|Ring|)) (PROGN (SIGNATURE |length| (|t#1| $)) (SIGNATURE |magnitude| (|t#1| $))) |noBranch|) |noBranch|))) 
+(((|Aggregate|) . T) ((|BasicType|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|CoercibleTo| (|OutputForm|)) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Collection| |#1|) . T) ((|ConvertibleTo| (|InputForm|)) |has| |#1| (|ConvertibleTo| (|InputForm|))) ((|Eltable| (|Integer|) |#1|) . T) ((|EltableAggregate| (|Integer|) |#1|) . T) ((|Evalable| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|FiniteLinearAggregate| |#1|) . T) ((|HomogeneousAggregate| |#1|) . T) ((|IndexedAggregate| (|Integer|) |#1|) . T) ((|InnerEvalable| |#1| |#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))) ((|LinearAggregate| |#1|) . T) ((|OneDimensionalArrayAggregate| |#1|) . T) ((|OrderedSet|) |has| |#1| (|OrderedSet|)) ((|SetCategory|) OR (|has| |#1| (|SetCategory|)) (|has| |#1| (|OrderedSet|))) ((|Type|) . T)) 
+((|scan| (((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) 13)) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) 15)) (|map| (((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)) 28) (((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|)) 18))) 
+(((|VectorFunctions2| |#1| |#2|) (CATEGORY |package| (SIGNATURE |scan| ((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|)) (SIGNATURE |map| ((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|))) (SIGNATURE |map| ((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)))) (|Type|) (|Type|)) (T |VectorFunctions2|)) 
+((|map| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *6 "failed") *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) (|map| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) (|reduce| (*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|VectorFunctions2| *5 *2)))) (|scan| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|Vector| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|VectorFunctions2| *6 *5))))) 
+(CATEGORY |package| (SIGNATURE |scan| ((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|)) (SIGNATURE |map| ((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|))) (SIGNATURE |map| ((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)))) 
+((~= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (|zero| (($ (|NonNegativeInteger|)) NIL (|has| |#1| (|AbelianMonoid|)))) (|vector| (($ (|List| |#1|)) 9)) (|swap!| (((|Void|) $ (|Integer|) (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (((|Boolean|) $) NIL (|has| |#1| (|OrderedSet|)))) (|sort!| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) (($ $) NIL (AND (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|has| |#1| (|OrderedSet|))))) (|sort| (($ (|Mapping| (|Boolean|) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (|OrderedSet|)))) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|setelt| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|))) ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|sample| (($) NIL T CONST)) (|reverse!| (($ $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|reverse| (($ $) NIL)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|remove| (($ |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|)))) ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#1| (|Mapping| |#1| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|qsetelt!| ((|#1| $ (|Integer|) |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|qelt| ((|#1| $ (|Integer|)) NIL)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) NIL) (((|Integer|) |#1| $) NIL (|has| |#1| (|SetCategory|))) (((|Integer|) |#1| $ (|Integer|)) NIL (|has| |#1| (|SetCategory|)))) (|parts| (((|List| |#1|) $) 15 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|outerProduct| (((|Matrix| |#1|) $ $) NIL (|has| |#1| (|Ring|)))) (|new| (($ (|NonNegativeInteger|) |#1|) NIL)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|minIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|min| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|merge| (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|members| (((|List| |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|maxIndex| (((|Integer|) $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|max| (($ $ $) NIL (|has| |#1| (|OrderedSet|)))) (|map!| (($ (|Mapping| |#1| |#1|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#1| |#1|) $) NIL) (($ (|Mapping| |#1| |#1| |#1|) $ $) NIL)) (|magnitude| ((|#1| $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|Ring|))))) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|length| ((|#1| $) NIL (AND (|has| |#1| (|RadicalCategory|)) (|has| |#1| (|Ring|))))) (|latex| (((|String|) $) NIL (|has| |#1| (|SetCategory|)))) (|insert| (($ |#1| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) NIL)) (|indices| (((|List| (|Integer|)) $) NIL)) (|index?| (((|Boolean|) (|Integer|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL (|has| |#1| (|SetCategory|)))) (|first| ((|#1| $) NIL (|has| (|Integer|) (|OrderedSet|)))) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) NIL)) (|fill!| (($ $ |#1|) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| (|Equation| |#1|))) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|Equation| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ |#1| |#1|) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) (($ $ (|List| |#1|) (|List| |#1|)) NIL (AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|entry?| (((|Boolean|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|entries| (((|List| |#1|) $) NIL)) (|empty?| (((|Boolean|) $) NIL)) (|empty| (($) NIL)) (|elt| ((|#1| $ (|Integer|) |#1|) NIL) ((|#1| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|dot| ((|#1| $ $) NIL (|has| |#1| (|Ring|)))) (|delete| (($ $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) NIL)) (|cross| (($ $ $) NIL (|has| |#1| (|Ring|)))) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|NonNegativeInteger|) |#1| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#1| (|SetCategory|))))) (|copyInto!| (($ $ $ (|Integer|)) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) 19 (|has| |#1| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#1|)) 8)) (|concat| (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (|List| $)) NIL)) (|coerce| (((|OutputForm|) $) NIL (|has| |#1| (|SetCategory|)))) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (>= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (> (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (= (((|Boolean|) $ $) NIL (|has| |#1| (|SetCategory|)))) (<= (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (< (((|Boolean|) $ $) NIL (|has| |#1| (|OrderedSet|)))) (- (($ $) NIL (|has| |#1| (|AbelianGroup|))) (($ $ $) NIL (|has| |#1| (|AbelianGroup|)))) (+ (($ $ $) NIL (|has| |#1| (|AbelianSemiGroup|)))) (* (($ (|Integer|) $) NIL (|has| |#1| (|AbelianGroup|))) (($ |#1| $) NIL (|has| |#1| (|Monoid|))) (($ $ |#1|) NIL (|has| |#1| (|Monoid|)))) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|Vector| |#1|) (|Join| (|VectorCategory| |#1|) (CATEGORY |domain| (SIGNATURE |vector| ($ (|List| |#1|))))) (|Type|)) (T |Vector|)) 
+((|vector| (*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Vector| *3))))) 
+(|Join| (|VectorCategory| |#1|) (CATEGORY |domain| (SIGNATURE |vector| ($ (|List| |#1|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|write| (((|String|) $ (|String|)) 87) (((|String|) $ (|String|) (|String|)) 85) (((|String|) $ (|String|) (|List| (|String|))) 84)) (|viewport2D| (($) 56)) (|update| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) 42)) (|units| (((|Void|) $ (|PositiveInteger|) (|String|)) 70) (((|Void|) $ (|PositiveInteger|) (|Palette|)) 71)) (|translate| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) 45)) (|title| (((|Void|) $ (|String|)) 66)) (|show| (((|Void|) $ (|PositiveInteger|) (|String|)) 75)) (|scale| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) 46)) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) 43)) (|reset| (((|Void|) $) 67)) (|region| (((|Void|) $ (|PositiveInteger|) (|String|)) 74)) (|putGraph| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) 30)) (|points| (((|Void|) $ (|PositiveInteger|) (|String|)) 73)) (|options| (((|List| (|DrawOption|)) $) 22) (($ $ (|List| (|DrawOption|))) 23)) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 40)) (|makeViewport2D| (($ $) 57) (($ (|GraphImage|) (|List| (|DrawOption|))) 58)) (|latex| (((|String|) $) NIL)) (|key| (((|Integer|) $) 37)) (|hash| (((|SingleInteger|) $) NIL)) (|graphs| (((|Vector| (|Union| (|GraphImage|) "undefined")) $) 36)) (|graphStates| (((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $) 35)) (|graphState| (((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|)) 65)) (|getPickedPoints| (((|List| (|Point| (|DoubleFloat|))) $) NIL)) (|getGraph| (((|GraphImage|) $ (|PositiveInteger|)) 32)) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) 39)) (|controlPanel| (((|Void|) $ (|String|)) 76)) (|connect| (((|Void|) $ (|PositiveInteger|) (|String|)) 72)) (|coerce| (((|OutputForm|) $) 82)) (|close| (((|Void|) $) 77)) (|axes| (((|Void|) $ (|PositiveInteger|) (|String|)) 68) (((|Void|) $ (|PositiveInteger|) (|Palette|)) 69)) (= (((|Boolean|) $ $) NIL))) 
+(((|TwoDimensionalViewport|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |getPickedPoints| ((|List| (|Point| (|DoubleFloat|))) $)) (SIGNATURE |viewport2D| ($)) (SIGNATURE |makeViewport2D| ($ $)) (SIGNATURE |options| ((|List| (|DrawOption|)) $)) (SIGNATURE |options| ($ $ (|List| (|DrawOption|)))) (SIGNATURE |makeViewport2D| ($ (|GraphImage|) (|List| (|DrawOption|)))) (SIGNATURE |graphState| ((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|))) (SIGNATURE |graphStates| ((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $)) (SIGNATURE |graphs| ((|Vector| (|Union| (|GraphImage|) "undefined")) $)) (SIGNATURE |title| ((|Void|) $ (|String|))) (SIGNATURE |putGraph| ((|Void|) $ (|GraphImage|) (|PositiveInteger|))) (SIGNATURE |getGraph| ((|GraphImage|) $ (|PositiveInteger|))) (SIGNATURE |axes| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |axes| ((|Void|) $ (|PositiveInteger|) (|Palette|))) (SIGNATURE |units| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |units| ((|Void|) $ (|PositiveInteger|) (|Palette|))) (SIGNATURE |points| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |region| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |connect| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |controlPanel| ((|Void|) $ (|String|))) (SIGNATURE |close| ((|Void|) $)) (SIGNATURE |dimensions| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |scale| ((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|))) (SIGNATURE |translate| ((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|))) (SIGNATURE |show| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |move| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |update| ((|Void|) $ (|GraphImage|) (|PositiveInteger|))) (SIGNATURE |resize| ((|Void|) $ (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |write| ((|String|) $ (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|List| (|String|)))) (SIGNATURE |reset| ((|Void|) $)) (SIGNATURE |key| ((|Integer|) $)) (SIGNATURE |coerce| ((|OutputForm|) $))))) (T |TwoDimensionalViewport|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|getPickedPoints| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|viewport2D| (*1 *1) (|isDomain| *1 (|TwoDimensionalViewport|))) (|makeViewport2D| (*1 *1 *1) (|isDomain| *1 (|TwoDimensionalViewport|))) (|options| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|options| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|makeViewport2D| (*1 *1 *2 *3) (AND (|isDomain| *2 (|GraphImage|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|graphState| (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|graphStates| (*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|))))) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|graphs| (*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Union| (|GraphImage|) "undefined"))) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|title| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|putGraph| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|getGraph| (*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|axes| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|axes| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|units| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|units| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|points| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|region| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|connect| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|controlPanel| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|close| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|dimensions| (*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|scale| (*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|translate| (*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|show| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|move| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|update| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|resize| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|write| (*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|write| (*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|write| (*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|reset| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) (|key| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |getPickedPoints| ((|List| (|Point| (|DoubleFloat|))) $)) (SIGNATURE |viewport2D| ($)) (SIGNATURE |makeViewport2D| ($ $)) (SIGNATURE |options| ((|List| (|DrawOption|)) $)) (SIGNATURE |options| ($ $ (|List| (|DrawOption|)))) (SIGNATURE |makeViewport2D| ($ (|GraphImage|) (|List| (|DrawOption|)))) (SIGNATURE |graphState| ((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|))) (SIGNATURE |graphStates| ((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $)) (SIGNATURE |graphs| ((|Vector| (|Union| (|GraphImage|) "undefined")) $)) (SIGNATURE |title| ((|Void|) $ (|String|))) (SIGNATURE |putGraph| ((|Void|) $ (|GraphImage|) (|PositiveInteger|))) (SIGNATURE |getGraph| ((|GraphImage|) $ (|PositiveInteger|))) (SIGNATURE |axes| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |axes| ((|Void|) $ (|PositiveInteger|) (|Palette|))) (SIGNATURE |units| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |units| ((|Void|) $ (|PositiveInteger|) (|Palette|))) (SIGNATURE |points| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |region| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |connect| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |controlPanel| ((|Void|) $ (|String|))) (SIGNATURE |close| ((|Void|) $)) (SIGNATURE |dimensions| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |scale| ((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|))) (SIGNATURE |translate| ((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|))) (SIGNATURE |show| ((|Void|) $ (|PositiveInteger|) (|String|))) (SIGNATURE |move| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |update| ((|Void|) $ (|GraphImage|) (|PositiveInteger|))) (SIGNATURE |resize| ((|Void|) $ (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |write| ((|String|) $ (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|List| (|String|)))) (SIGNATURE |reset| ((|Void|) $)) (SIGNATURE |key| ((|Integer|) $)) (SIGNATURE |coerce| ((|OutputForm|) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zoom| (((|Void|) $ (|Float|)) 138) (((|Void|) $ (|Float|) (|Float|) (|Float|)) 139)) (|write| (((|String|) $ (|String|)) 146) (((|String|) $ (|String|) (|String|)) 144) (((|String|) $ (|String|) (|List| (|String|))) 143)) (|viewport3D| (($) 49)) (|viewpoint| (((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|)) 114) (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $) 112) (((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) 113) (((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|)) 115) (((|Void|) $ (|Float|) (|Float|)) 116) (((|Void|) $ (|Float|) (|Float|) (|Float|)) 123)) (|viewZoomDefault| (((|Float|)) 96) (((|Float|) (|Float|)) 97)) (|viewThetaDefault| (((|Float|)) 91) (((|Float|) (|Float|)) 93)) (|viewPhiDefault| (((|Float|)) 94) (((|Float|) (|Float|)) 95)) (|viewDeltaYDefault| (((|Float|)) 100) (((|Float|) (|Float|)) 101)) (|viewDeltaXDefault| (((|Float|)) 98) (((|Float|) (|Float|)) 99)) (|translate| (((|Void|) $ (|Float|) (|Float|)) 140)) (|title| (((|Void|) $ (|String|)) 124)) (|subspace| (((|ThreeSpace| (|DoubleFloat|)) $) 50) (($ $ (|ThreeSpace| (|DoubleFloat|))) 51)) (|showRegion| (((|Void|) $ (|String|)) 152)) (|showClipRegion| (((|Void|) $ (|String|)) 153)) (|rotate| (((|Void|) $ (|Float|) (|Float|)) 122) (((|Void|) $ (|Integer|) (|Integer|)) 137)) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) 130)) (|reset| (((|Void|) $) 110)) (|perspective| (((|Void|) $ (|String|)) 151)) (|outlineRender| (((|Void|) $ (|String|)) 107)) (|options| (((|List| (|DrawOption|)) $) 52) (($ $ (|List| (|DrawOption|))) 53)) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) 129)) (|modifyPointData| (((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|))) 158)) (|makeViewport3D| (($ $) 56) (($ (|ThreeSpace| (|DoubleFloat|)) (|String|)) 57) (($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) 58)) (|lighting| (((|Void|) $ (|Float|) (|Float|) (|Float|)) 104)) (|latex| (((|String|) $) NIL)) (|key| (((|Integer|) $) 102)) (|intensity| (((|Void|) $ (|Float|)) 141)) (|hitherPlane| (((|Void|) $ (|Float|)) 156)) (|hash| (((|SingleInteger|) $) NIL)) (|eyeDistance| (((|Void|) $ (|Float|)) 155)) (|drawStyle| (((|Void|) $ (|String|)) 109)) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) 128)) (|diagonals| (((|Void|) $ (|String|)) 106)) (|controlPanel| (((|Void|) $ (|String|)) 108)) (|colorDef| (((|Void|) $ (|Color|) (|Color|)) 127)) (|coerce| (((|OutputForm|) $) 135)) (|close| (((|Void|) $) 111)) (|clipSurface| (((|Void|) $ (|String|)) 154)) (|axes| (((|Void|) $ (|String|)) 105)) (= (((|Boolean|) $ $) NIL))) 
+(((|ThreeDimensionalViewport|) (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |viewThetaDefault| ((|Float|))) (SIGNATURE |viewThetaDefault| ((|Float|) (|Float|))) (SIGNATURE |viewPhiDefault| ((|Float|))) (SIGNATURE |viewPhiDefault| ((|Float|) (|Float|))) (SIGNATURE |viewZoomDefault| ((|Float|))) (SIGNATURE |viewZoomDefault| ((|Float|) (|Float|))) (SIGNATURE |viewDeltaXDefault| ((|Float|))) (SIGNATURE |viewDeltaXDefault| ((|Float|) (|Float|))) (SIGNATURE |viewDeltaYDefault| ((|Float|))) (SIGNATURE |viewDeltaYDefault| ((|Float|) (|Float|))) (SIGNATURE |viewport3D| ($)) (SIGNATURE |makeViewport3D| ($ $)) (SIGNATURE |makeViewport3D| ($ (|ThreeSpace| (|DoubleFloat|)) (|String|))) (SIGNATURE |makeViewport3D| ($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |subspace| ((|ThreeSpace| (|DoubleFloat|)) $)) (SIGNATURE |subspace| ($ $ (|ThreeSpace| (|DoubleFloat|)))) (SIGNATURE |modifyPointData| ((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|)))) (SIGNATURE |options| ((|List| (|DrawOption|)) $)) (SIGNATURE |options| ($ $ (|List| (|DrawOption|)))) (SIGNATURE |move| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |resize| ((|Void|) $ (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |title| ((|Void|) $ (|String|))) (SIGNATURE |dimensions| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |viewpoint| ((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|))) (SIGNATURE |viewpoint| ((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $)) (SIGNATURE |viewpoint| ((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))))) (SIGNATURE |viewpoint| ((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|))) (SIGNATURE |viewpoint| ((|Void|) $ (|Float|) (|Float|))) (SIGNATURE |viewpoint| ((|Void|) $ (|Float|) (|Float|) (|Float|))) (SIGNATURE |controlPanel| ((|Void|) $ (|String|))) (SIGNATURE |axes| ((|Void|) $ (|String|))) (SIGNATURE |diagonals| ((|Void|) $ (|String|))) (SIGNATURE |outlineRender| ((|Void|) $ (|String|))) (SIGNATURE |drawStyle| ((|Void|) $ (|String|))) (SIGNATURE |rotate| ((|Void|) $ (|Float|) (|Float|))) (SIGNATURE |rotate| ((|Void|) $ (|Integer|) (|Integer|))) (SIGNATURE |zoom| ((|Void|) $ (|Float|))) (SIGNATURE |zoom| ((|Void|) $ (|Float|) (|Float|) (|Float|))) (SIGNATURE |translate| ((|Void|) $ (|Float|) (|Float|))) (SIGNATURE |perspective| ((|Void|) $ (|String|))) (SIGNATURE |eyeDistance| ((|Void|) $ (|Float|))) (SIGNATURE |hitherPlane| ((|Void|) $ (|Float|))) (SIGNATURE |showRegion| ((|Void|) $ (|String|))) (SIGNATURE |showClipRegion| ((|Void|) $ (|String|))) (SIGNATURE |clipSurface| ((|Void|) $ (|String|))) (SIGNATURE |lighting| ((|Void|) $ (|Float|) (|Float|) (|Float|))) (SIGNATURE |intensity| ((|Void|) $ (|Float|))) (SIGNATURE |reset| ((|Void|) $)) (SIGNATURE |colorDef| ((|Void|) $ (|Color|) (|Color|))) (SIGNATURE |write| ((|String|) $ (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|List| (|String|)))) (SIGNATURE |close| ((|Void|) $)) (SIGNATURE |key| ((|Integer|) $))))) (T |ThreeDimensionalViewport|)) 
+((|viewThetaDefault| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewThetaDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewPhiDefault| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewPhiDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewZoomDefault| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewZoomDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewDeltaXDefault| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewDeltaXDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewDeltaYDefault| (*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewDeltaYDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewport3D| (*1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|))) (|makeViewport3D| (*1 *1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|))) (|makeViewport3D| (*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|makeViewport3D| (*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|subspace| (*1 *2 *1) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|subspace| (*1 *1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|modifyPointData| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|options| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|options| (*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|move| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|resize| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|title| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|dimensions| (*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewpoint| (*1 *2 *1 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewpoint| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewpoint| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewpoint| (*1 *2 *1 *3 *3 *4 *4 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewpoint| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|viewpoint| (*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|controlPanel| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|axes| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|diagonals| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|outlineRender| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|drawStyle| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|rotate| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|rotate| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|zoom| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|zoom| (*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|translate| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|perspective| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|eyeDistance| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|hitherPlane| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|showRegion| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|showClipRegion| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|clipSurface| (*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|lighting| (*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|intensity| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|reset| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|colorDef| (*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Color|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|write| (*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|write| (*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|write| (*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|close| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) (|key| (*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE |viewThetaDefault| ((|Float|))) (SIGNATURE |viewThetaDefault| ((|Float|) (|Float|))) (SIGNATURE |viewPhiDefault| ((|Float|))) (SIGNATURE |viewPhiDefault| ((|Float|) (|Float|))) (SIGNATURE |viewZoomDefault| ((|Float|))) (SIGNATURE |viewZoomDefault| ((|Float|) (|Float|))) (SIGNATURE |viewDeltaXDefault| ((|Float|))) (SIGNATURE |viewDeltaXDefault| ((|Float|) (|Float|))) (SIGNATURE |viewDeltaYDefault| ((|Float|))) (SIGNATURE |viewDeltaYDefault| ((|Float|) (|Float|))) (SIGNATURE |viewport3D| ($)) (SIGNATURE |makeViewport3D| ($ $)) (SIGNATURE |makeViewport3D| ($ (|ThreeSpace| (|DoubleFloat|)) (|String|))) (SIGNATURE |makeViewport3D| ($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|)))) (SIGNATURE |subspace| ((|ThreeSpace| (|DoubleFloat|)) $)) (SIGNATURE |subspace| ($ $ (|ThreeSpace| (|DoubleFloat|)))) (SIGNATURE |modifyPointData| ((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|)))) (SIGNATURE |options| ((|List| (|DrawOption|)) $)) (SIGNATURE |options| ($ $ (|List| (|DrawOption|)))) (SIGNATURE |move| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|))) (SIGNATURE |resize| ((|Void|) $ (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |title| ((|Void|) $ (|String|))) (SIGNATURE |dimensions| ((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |viewpoint| ((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|))) (SIGNATURE |viewpoint| ((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $)) (SIGNATURE |viewpoint| ((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))))) (SIGNATURE |viewpoint| ((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|))) (SIGNATURE |viewpoint| ((|Void|) $ (|Float|) (|Float|))) (SIGNATURE |viewpoint| ((|Void|) $ (|Float|) (|Float|) (|Float|))) (SIGNATURE |controlPanel| ((|Void|) $ (|String|))) (SIGNATURE |axes| ((|Void|) $ (|String|))) (SIGNATURE |diagonals| ((|Void|) $ (|String|))) (SIGNATURE |outlineRender| ((|Void|) $ (|String|))) (SIGNATURE |drawStyle| ((|Void|) $ (|String|))) (SIGNATURE |rotate| ((|Void|) $ (|Float|) (|Float|))) (SIGNATURE |rotate| ((|Void|) $ (|Integer|) (|Integer|))) (SIGNATURE |zoom| ((|Void|) $ (|Float|))) (SIGNATURE |zoom| ((|Void|) $ (|Float|) (|Float|) (|Float|))) (SIGNATURE |translate| ((|Void|) $ (|Float|) (|Float|))) (SIGNATURE |perspective| ((|Void|) $ (|String|))) (SIGNATURE |eyeDistance| ((|Void|) $ (|Float|))) (SIGNATURE |hitherPlane| ((|Void|) $ (|Float|))) (SIGNATURE |showRegion| ((|Void|) $ (|String|))) (SIGNATURE |showClipRegion| ((|Void|) $ (|String|))) (SIGNATURE |clipSurface| ((|Void|) $ (|String|))) (SIGNATURE |lighting| ((|Void|) $ (|Float|) (|Float|) (|Float|))) (SIGNATURE |intensity| ((|Void|) $ (|Float|))) (SIGNATURE |reset| ((|Void|) $)) (SIGNATURE |colorDef| ((|Void|) $ (|Color|) (|Color|))) (SIGNATURE |write| ((|String|) $ (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|String|))) (SIGNATURE |write| ((|String|) $ (|String|) (|List| (|String|)))) (SIGNATURE |close| ((|Void|) $)) (SIGNATURE |key| ((|Integer|) $)))) 
+((|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) 94) (((|List| (|String|))) 89)) (|viewWriteAvailable| (((|List| (|String|))) 87)) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) 62) (((|List| (|PositiveInteger|))) 59)) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) 56) (((|List| (|NonNegativeInteger|))) 52)) (|viewDefaults| (((|Void|)) 64)) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) 80) (((|PositiveInteger|)) 79)) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) 78) (((|PositiveInteger|)) 77)) (|unitsColorDefault| (((|Palette|) (|Palette|)) 74) (((|Palette|)) 73)) (|tubeRadiusDefault| (((|DoubleFloat|)) 84) (((|DoubleFloat|) (|Float|)) 86)) (|tubePointsDefault| (((|PositiveInteger|)) 81) (((|PositiveInteger|) (|PositiveInteger|)) 82)) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) 76) (((|PositiveInteger|)) 75)) (|pointColorDefault| (((|Palette|) (|Palette|)) 68) (((|Palette|)) 66)) (|lineColorDefault| (((|Palette|) (|Palette|)) 70) (((|Palette|)) 69)) (|axesColorDefault| (((|Palette|) (|Palette|)) 72) (((|Palette|)) 71))) 
+(((|ViewDefaultsPackage|) (CATEGORY |package| (SIGNATURE |pointColorDefault| ((|Palette|))) (SIGNATURE |pointColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |lineColorDefault| ((|Palette|))) (SIGNATURE |lineColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |axesColorDefault| ((|Palette|))) (SIGNATURE |axesColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |unitsColorDefault| ((|Palette|))) (SIGNATURE |unitsColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |pointSizeDefault| ((|PositiveInteger|))) (SIGNATURE |pointSizeDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |viewPosDefault| ((|List| (|NonNegativeInteger|)))) (SIGNATURE |viewPosDefault| ((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |viewSizeDefault| ((|List| (|PositiveInteger|)))) (SIGNATURE |viewSizeDefault| ((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|)))) (SIGNATURE |viewDefaults| ((|Void|))) (SIGNATURE |viewWriteDefault| ((|List| (|String|)))) (SIGNATURE |viewWriteDefault| ((|List| (|String|)) (|List| (|String|)))) (SIGNATURE |viewWriteAvailable| ((|List| (|String|)))) (SIGNATURE |var1StepsDefault| ((|PositiveInteger|))) (SIGNATURE |var2StepsDefault| ((|PositiveInteger|))) (SIGNATURE |var1StepsDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |var2StepsDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |tubePointsDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |tubePointsDefault| ((|PositiveInteger|))) (SIGNATURE |tubeRadiusDefault| ((|DoubleFloat|) (|Float|))) (SIGNATURE |tubeRadiusDefault| ((|DoubleFloat|))))) (T |ViewDefaultsPackage|)) 
+((|tubeRadiusDefault| (*1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|tubeRadiusDefault| (*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|tubePointsDefault| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|tubePointsDefault| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|var2StepsDefault| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|var1StepsDefault| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|var2StepsDefault| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|var1StepsDefault| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewWriteAvailable| (*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewWriteDefault| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewWriteDefault| (*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewDefaults| (*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewSizeDefault| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewSizeDefault| (*1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewPosDefault| (*1 *2 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|viewPosDefault| (*1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|pointSizeDefault| (*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|pointSizeDefault| (*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|unitsColorDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|unitsColorDefault| (*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|axesColorDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|axesColorDefault| (*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|lineColorDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|lineColorDefault| (*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|pointColorDefault| (*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) (|pointColorDefault| (*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(CATEGORY |package| (SIGNATURE |pointColorDefault| ((|Palette|))) (SIGNATURE |pointColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |lineColorDefault| ((|Palette|))) (SIGNATURE |lineColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |axesColorDefault| ((|Palette|))) (SIGNATURE |axesColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |unitsColorDefault| ((|Palette|))) (SIGNATURE |unitsColorDefault| ((|Palette|) (|Palette|))) (SIGNATURE |pointSizeDefault| ((|PositiveInteger|))) (SIGNATURE |pointSizeDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |viewPosDefault| ((|List| (|NonNegativeInteger|)))) (SIGNATURE |viewPosDefault| ((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|)))) (SIGNATURE |viewSizeDefault| ((|List| (|PositiveInteger|)))) (SIGNATURE |viewSizeDefault| ((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|)))) (SIGNATURE |viewDefaults| ((|Void|))) (SIGNATURE |viewWriteDefault| ((|List| (|String|)))) (SIGNATURE |viewWriteDefault| ((|List| (|String|)) (|List| (|String|)))) (SIGNATURE |viewWriteAvailable| ((|List| (|String|)))) (SIGNATURE |var1StepsDefault| ((|PositiveInteger|))) (SIGNATURE |var2StepsDefault| ((|PositiveInteger|))) (SIGNATURE |var1StepsDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |var2StepsDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |tubePointsDefault| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |tubePointsDefault| ((|PositiveInteger|))) (SIGNATURE |tubeRadiusDefault| ((|DoubleFloat|) (|Float|))) (SIGNATURE |tubeRadiusDefault| ((|DoubleFloat|)))) 
+((|graphCurves| (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) 17) (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|))))) 16) (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) 15)) (|drawCurves| (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) 23) (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) 22)) (|coerce| (((|TwoDimensionalViewport|) (|GraphImage|)) 34))) 
+(((|ViewportPackage|) (CATEGORY |package| (SIGNATURE |graphCurves| ((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|)))) (SIGNATURE |graphCurves| ((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))))) (SIGNATURE |graphCurves| ((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|)))) (SIGNATURE |drawCurves| ((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|)))) (SIGNATURE |drawCurves| ((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|)))) (SIGNATURE |coerce| ((|TwoDimensionalViewport|) (|GraphImage|))))) (T |ViewportPackage|)) 
+((|coerce| (*1 *2 *3) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) (|drawCurves| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) (|drawCurves| (*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) (|graphCurves| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) (|graphCurves| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) (|graphCurves| (*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(CATEGORY |package| (SIGNATURE |graphCurves| ((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|)))) (SIGNATURE |graphCurves| ((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))))) (SIGNATURE |graphCurves| ((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|)))) (SIGNATURE |drawCurves| ((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|)))) (SIGNATURE |drawCurves| ((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|)))) (SIGNATURE |coerce| ((|TwoDimensionalViewport|) (|GraphImage|)))) 
+((|void| (($) 7)) (|coerce| (((|OutputForm|) $) 10))) 
+(((|Void|) (CATEGORY |domain| (SIGNATURE |void| ($)) (SIGNATURE |coerce| ((|OutputForm|) $)))) (T |Void|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Void|)))) (|void| (*1 *1) (|isDomain| *1 (|Void|)))) 
+(CATEGORY |domain| (SIGNATURE |void| ($)) (SIGNATURE |coerce| ((|OutputForm|) $))) 
+((/ (($ $ |#2|) 10))) 
+(((|VectorSpace&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE / (|#1| |#1| |#2|))) (|VectorSpace| |#2|) (|Field|)) (T |VectorSpace&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE / (|#1| |#1| |#2|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|dimension| (((|CardinalNumber|)) 25)) (|coerce| (((|OutputForm|) $) 11)) (|Zero| (($) 17 T CONST)) (= (((|Boolean|) $ $) 6)) (/ (($ $ |#1|) 26)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((|VectorSpace| |#1|) (|Category|) (|Field|)) (T |VectorSpace|)) 
+((/ (*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorSpace| *2)) (|ofCategory| *2 (|Field|)))) (|dimension| (*1 *2) (AND (|ofCategory| *1 (|VectorSpace| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|CardinalNumber|))))) 
+(|Join| (|Module| |t#1|) (CATEGORY |domain| (SIGNATURE / ($ $ |t#1|)) (SIGNATURE |dimension| ((|CardinalNumber|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|Module| |#1|) . T) ((|RightModule| |#1|) . T) ((|SetCategory|) . T)) 
+((|weierstrass| (((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|)) 78)) (|sts2stst| (((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|))) 57)) (|qqq| (((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))) 68)) (|crest| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) 59)) (|clikeUniv| (((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|)) 27)) (|cfirst| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) 58))) 
+(((|WeierstrassPreparation| |#1|) (CATEGORY |package| (SIGNATURE |crest| ((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|))) (SIGNATURE |cfirst| ((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|))) (SIGNATURE |sts2stst| ((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|)))) (SIGNATURE |clikeUniv| ((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |weierstrass| ((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|))) (SIGNATURE |qqq| ((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))))) (|Field|)) (T |WeierstrassPreparation|)) 
+((|qqq| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *4 (|TaylorSeries| *6)) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|WeierstrassPreparation| *6)) (|isDomain| *5 (|Stream| *4)))) (|weierstrass| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|TaylorSeries| *5))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|TaylorSeries| *5)))) (|clikeUniv| (*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| *4)) (|Polynomial| *4))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|)))) (|sts2stst| (*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Stream| (|Stream| (|Polynomial| *5)))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|Stream| (|Polynomial| *5))))) (|cfirst| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|)))) (|crest| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(CATEGORY |package| (SIGNATURE |crest| ((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|))) (SIGNATURE |cfirst| ((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|))) (SIGNATURE |sts2stst| ((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|)))) (SIGNATURE |clikeUniv| ((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|))) (SIGNATURE |weierstrass| ((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|))) (SIGNATURE |qqq| ((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))))) 
+((|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) 74)) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) 73))) 
+(((|WildFunctionFieldIntegralBasis| |#1| |#2| |#3| |#4|) (CATEGORY |package| (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|))) (|FiniteFieldCategory|) (|UnivariatePolynomialCategory| |#1|) (|UnivariatePolynomialCategory| |#2|) (|FramedAlgebra| |#2| |#3|)) (T |WildFunctionFieldIntegralBasis|)) 
+((|localIntegralBasis| (*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *3 *5)))) (|integralBasis| (*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5))))) 
+(CATEGORY |package| (SIGNATURE |integralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))))) (SIGNATURE |localIntegralBasis| ((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 41)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|coerce| (((|OutputForm|) $) 62) (($ (|Integer|)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (|CommutativeRing|)))) (|characteristic| (((|NonNegativeInteger|)) NIL)) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) 16)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 26 T CONST)) (|One| (($) 65 T CONST)) (= (((|Boolean|) $ $) 67)) (/ (((|Union| $ "failed") $ $) NIL (|has| |#1| (|Field|)))) (- (($ $) 69) (($ $ $) NIL)) (+ (($ $ $) 45)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (|CommutativeRing|))) (($ $ |#1|) NIL (|has| |#1| (|CommutativeRing|))))) 
+(((|WeightedPolynomials| |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (|Join| (|Ring|) (CATEGORY |domain| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (SIGNATURE |coerce| (|#4| $)) (IF (|has| |#1| (|Field|)) (SIGNATURE / ((|Union| $ "failed") $ $)) |noBranch|) (SIGNATURE |coerce| ($ |#4|)) (SIGNATURE |changeWeightLevel| ((|Void|) (|NonNegativeInteger|))))) (|Ring|) (|OrderedSet|) (|OrderedAbelianMonoidSup|) (|PolynomialCategory| |#1| |#3| |#2|) (|List| |#2|) (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) (T |WeightedPolynomials|)) 
+((|coerce| (*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) (/ (*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *3)) (|isDomain| *1 (|WeightedPolynomials| *2 *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) (|changeWeightLevel| (*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofType| *8 (|List| *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|WeightedPolynomials| *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofType| *9 (|List| *3)) (|ofType| *10 *3)))) 
+(|Join| (|Ring|) (CATEGORY |domain| (IF (|has| |#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |#1|)) |noBranch|) (SIGNATURE |coerce| (|#4| $)) (IF (|has| |#1| (|Field|)) (SIGNATURE / ((|Union| $ "failed") $ $)) |noBranch|) (SIGNATURE |coerce| ($ |#4|)) (SIGNATURE |changeWeightLevel| ((|Void|) (|NonNegativeInteger|))))) 
+((~= (((|Boolean|) $ $) NIL)) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) NIL)) (|zeroSetSplit| (((|List| $) (|List| |#4|)) 87)) (|variables| (((|List| |#3|) $) NIL)) (|trivialIdeal?| (((|Boolean|) $) NIL)) (|triangular?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|stronglyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|stronglyReduce| ((|#4| |#4| $) NIL)) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) NIL)) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|select| (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) (((|Union| |#4| "failed") $ |#3|) NIL)) (|sample| (($) NIL T CONST)) (|roughUnitIdeal?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughSubIdeal?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughEqualIdeals?| (((|Boolean|) $ $) NIL (|has| |#1| (|IntegralDomain|)))) (|roughBase?| (((|Boolean|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 27)) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) 24 (|has| |#1| (|IntegralDomain|)))) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) NIL (|has| |#1| (|IntegralDomain|)))) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) NIL)) (|retract| (($ (|List| |#4|)) NIL)) (|rest| (((|Union| $ "failed") $) 69)) (|removeZero| ((|#4| |#4| $) 74)) (|removeDuplicates| (($ $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|remove| (($ |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (($ (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|reduceByQuasiMonic| ((|#4| |#4| $) NIL)) (|reduce| ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4| |#4|) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) ((|#4| (|Mapping| |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| (|Mapping| |#4| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))) ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) NIL)) (|parts| (((|List| |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|normalized?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|mvar| ((|#3| $) 75)) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|members| (((|List| |#4|) $) 28 (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|member?| (((|Boolean|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|))))) (|medialSet| (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) 31) (((|Union| $ "failed") (|List| |#4|)) 34)) (|map!| (($ (|Mapping| |#4| |#4|) $) NIL (|has| $ (ATTRIBUTE |shallowlyMutable|)))) (|map| (($ (|Mapping| |#4| |#4|) $) NIL)) (|mainVariables| (((|List| |#3|) $) NIL)) (|mainVariable?| (((|Boolean|) |#3| $) NIL)) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) NIL)) (|latex| (((|String|) $) NIL)) (|last| (((|Union| |#4| "failed") $) NIL)) (|initials| (((|List| |#4|) $) 49)) (|initiallyReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|initiallyReduce| ((|#4| |#4| $) 73)) (|infRittWu?| (((|Boolean|) $ $) 84)) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (|IntegralDomain|)))) (|headReduced?| (((|Boolean|) |#4| $) NIL) (((|Boolean|) $) NIL)) (|headReduce| ((|#4| |#4| $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|first| (((|Union| |#4| "failed") $) 68)) (|find| (((|Union| |#4| "failed") (|Mapping| (|Boolean|) |#4|) $) NIL)) (|extendIfCan| (((|Union| $ "failed") $ |#4|) NIL)) (|extend| (($ $ |#4|) NIL)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|eval| (($ $ (|List| |#4|) (|List| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ |#4| |#4|) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|Equation| |#4|)) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|)))) (($ $ (|List| (|Equation| |#4|))) NIL (AND (|has| |#4| (|Evalable| |#4|)) (|has| |#4| (|SetCategory|))))) (|eq?| (((|Boolean|) $ $) NIL)) (|empty?| (((|Boolean|) $) 66)) (|empty| (($) 41)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|count| (((|NonNegativeInteger|) |#4| $) NIL (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|has| |#4| (|SetCategory|)))) (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|copy| (($ $) NIL)) (|convert| (((|InputForm|) $) NIL (|has| |#4| (|ConvertibleTo| (|InputForm|))))) (|construct| (($ (|List| |#4|)) NIL)) (|collectUpper| (($ $ |#3|) NIL)) (|collectUnder| (($ $ |#3|) NIL)) (|collectQuasiMonic| (($ $) NIL)) (|collect| (($ $ |#3|) NIL)) (|coerce| (((|OutputForm|) $) NIL) (((|List| |#4|) $) 56)) (|coHeight| (((|NonNegativeInteger|) $) NIL (|has| |#3| (|Finite|)))) (|characteristicSet| (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) 39) (((|Union| $ "failed") (|List| |#4|)) 40)) (|characteristicSerie| (((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) 64) (((|List| $) (|List| |#4|)) 65)) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) 23) (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) NIL)) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) NIL)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#4|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|)))) (|algebraicVariables| (((|List| |#3|) $) NIL)) (|algebraic?| (((|Boolean|) |#3| $) NIL)) (= (((|Boolean|) $ $) NIL)) (|#| (((|NonNegativeInteger|) $) NIL (|has| $ (ATTRIBUTE |finiteAggregate|))))) 
+(((|WuWenTsunTriangularSet| |#1| |#2| |#3| |#4|) (|Join| (|TriangularSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |medialSet| ((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |medialSet| ((|Union| $ "failed") (|List| |#4|))) (SIGNATURE |characteristicSet| ((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |characteristicSet| ((|Union| $ "failed") (|List| |#4|))) (SIGNATURE |characteristicSerie| ((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |characteristicSerie| ((|List| $) (|List| |#4|))))) (|IntegralDomain|) (|OrderedAbelianMonoidSup|) (|OrderedSet|) (|RecursivePolynomialCategory| |#1| |#2| |#3|)) (T |WuWenTsunTriangularSet|)) 
+((|medialSet| (*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8)))) (|medialSet| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) (|characteristicSet| (*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8)))) (|characteristicSet| (*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) (|characteristicSerie| (*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *6 *7 *8 *9))) (|isDomain| *1 (|WuWenTsunTriangularSet| *6 *7 *8 *9)))) (|characteristicSerie| (*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *4 *5 *6 *7))) (|isDomain| *1 (|WuWenTsunTriangularSet| *4 *5 *6 *7))))) 
+(|Join| (|TriangularSetCategory| |#1| |#2| |#3| |#4|) (CATEGORY |domain| (SIGNATURE |medialSet| ((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |medialSet| ((|Union| $ "failed") (|List| |#4|))) (SIGNATURE |characteristicSet| ((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |characteristicSet| ((|Union| $ "failed") (|List| |#4|))) (SIGNATURE |characteristicSerie| ((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|))) (SIGNATURE |characteristicSerie| ((|List| $) (|List| |#4|))))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sample| (($) 16 T CONST)) (|recip| (((|Union| $ "failed") $) 33)) (|one?| (((|Boolean|) $) 30)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#1|) 37)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
+(((|XAlgebra| |#1|) (|Category|) (|Ring|)) (T |XAlgebra|)) 
+((|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|XAlgebra| *2)) (|ofCategory| *2 (|Ring|))))) 
+(|Join| (|Ring|) (|BiModule| |t#1| |t#1|) (CATEGORY |domain| (SIGNATURE |coerce| ($ |t#1|)) (IF (|has| |t#1| (|CommutativeRing|)) (ATTRIBUTE (|Algebra| |t#1|)) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#1|) |has| |#1| (|CommutativeRing|)) ((|BasicType|) . T) ((|BiModule| |#1| |#1|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|Module| |#1|) |has| |#1| (|CommutativeRing|)) ((|Monoid|) . T) ((|RightModule| |#1|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|varList| (((|List| |#1|) $) 45)) (|trunc| (($ $ (|NonNegativeInteger|)) 39)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sh| (($ $ (|NonNegativeInteger|)) 17 (|has| |#2| (|CommutativeRing|))) (($ $ $) 18 (|has| |#2| (|CommutativeRing|)))) (|sample| (($) NIL T CONST)) (|rquo| (($ $ $) 61) (($ $ (|OrderedFreeMonoid| |#1|)) 48) (($ $ |#1|) 52)) (|retractIfCan| (((|Union| (|OrderedFreeMonoid| |#1|) "failed") $) NIL)) (|retract| (((|OrderedFreeMonoid| |#1|) $) NIL)) (|reductum| (($ $) 32)) (|recip| (((|Union| $ "failed") $) NIL)) (|quasiRegular?| (((|Boolean|) $) NIL)) (|quasiRegular| (($ $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) 31)) (|mirror| (($ $) 33)) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) 11)) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) NIL)) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) 34)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|lquo| (($ $ $) 60) (($ $ (|OrderedFreeMonoid| |#1|)) 50) (($ $ |#1|) 54)) (|listOfTerms| (((|List| (|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|))) $) NIL)) (|leadingTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) NIL)) (|leadingMonomial| (((|OrderedFreeMonoid| |#1|) $) 28)) (|leadingCoefficient| ((|#2| $) 30)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) 36)) (|constant?| (((|Boolean|) $) 40)) (|constant| ((|#2| $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|OrderedFreeMonoid| |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (|Integer|)) NIL)) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|OrderedFreeMonoid| |#1|)) NIL)) (|coef| ((|#2| $ $) 63) ((|#2| $ (|OrderedFreeMonoid| |#1|)) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (|Zero| (($) 12 T CONST)) (|One| (($) 14 T CONST)) (= (((|Boolean|) $ $) 38)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 21)) (** (($ $ (|NonNegativeInteger|)) NIL) (($ $ (|PositiveInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (|OrderedFreeMonoid| |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
+(((|XDistributedPolynomial| |#1| |#2|) (|Join| (|FreeModuleCat| |#2| (|OrderedFreeMonoid| |#1|)) (|XPolynomialsCat| |#1| |#2|)) (|OrderedSet|) (|Ring|)) (T |XDistributedPolynomial|)) 
+NIL 
+(|Join| (|FreeModuleCat| |#2| (|OrderedFreeMonoid| |#1|)) (|XPolynomialsCat| |#1| |#2|)) 
+((|log| ((|#3| |#3| (|NonNegativeInteger|)) 23)) (|exp| ((|#3| |#3| (|NonNegativeInteger|)) 28)) (|Hausdorff| ((|#3| |#3| |#3| (|NonNegativeInteger|)) 29))) 
+(((|XExponentialPackage| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |exp| (|#3| |#3| (|NonNegativeInteger|))) (SIGNATURE |log| (|#3| |#3| (|NonNegativeInteger|))) (SIGNATURE |Hausdorff| (|#3| |#3| |#3| (|NonNegativeInteger|)))) (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|)))) (|OrderedSet|) (|XPolynomialsCat| |#2| |#1|)) (T |XExponentialPackage|)) 
+((|Hausdorff| (*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) (|log| (*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) (|exp| (*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4))))) 
+(CATEGORY |package| (SIGNATURE |exp| (|#3| |#3| (|NonNegativeInteger|))) (SIGNATURE |log| (|#3| |#3| (|NonNegativeInteger|))) (SIGNATURE |Hausdorff| (|#3| |#3| |#3| (|NonNegativeInteger|)))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|varList| (((|List| |#1|) $) 39)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sh| (($ $ $) 42 (|has| |#2| (|CommutativeRing|))) (($ $ (|NonNegativeInteger|)) 41 (|has| |#2| (|CommutativeRing|)))) (|sample| (($) 16 T CONST)) (|rquo| (($ $ |#1|) 53) (($ $ (|OrderedFreeMonoid| |#1|)) 52) (($ $ $) 51)) (|retractIfCan| (((|Union| (|OrderedFreeMonoid| |#1|) "failed") $) 63)) (|retract| (((|OrderedFreeMonoid| |#1|) $) 62)) (|recip| (((|Union| $ "failed") $) 33)) (|quasiRegular?| (((|Boolean|) $) 44)) (|quasiRegular| (($ $) 43)) (|one?| (((|Boolean|) $) 30)) (|monomial?| (((|Boolean|) $) 49)) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) 50)) (|mirror| (($ $) 48)) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) 59)) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) 60)) (|map| (($ (|Mapping| |#2| |#2|) $) 40)) (|lquo| (($ $ |#1|) 56) (($ $ (|OrderedFreeMonoid| |#1|)) 55) (($ $ $) 54)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|constant?| (((|Boolean|) $) 46)) (|constant| ((|#2| $) 45)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#2|) 67) (($ (|OrderedFreeMonoid| |#1|)) 64) (($ |#1|) 47)) (|coef| ((|#2| $ (|OrderedFreeMonoid| |#1|)) 58) ((|#2| $ $) 57)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((|XFreeAlgebra| |#1| |#2|) (|Category|) (|OrderedSet|) (|Ring|)) (T |XFreeAlgebra|)) 
+((* (*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) (* (*1 *1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|mindeg| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) (|mindegTerm| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |k| (|OrderedFreeMonoid| *3)) (|:| |c| *4))))) (|coef| (*1 *2 *1 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *1 (|XFreeAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) (|coef| (*1 *2 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) (|lquo| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|lquo| (*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|lquo| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|rquo| (*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|rquo| (*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|rquo| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|monom| (*1 *1 *2 *3) (AND (|isDomain| *2 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *1 (|XFreeAlgebra| *4 *3)) (|ofCategory| *3 (|Ring|)))) (|monomial?| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|mirror| (*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|coerce| (*1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|constant?| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|constant| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) (|quasiRegular?| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) (|quasiRegular| (*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|sh| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|CommutativeRing|)))) (|sh| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|CommutativeRing|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|varList| (*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| *3))))) 
+(|Join| (|Ring|) (|XAlgebra| |t#2|) (|RetractableTo| (|OrderedFreeMonoid| |t#1|)) (CATEGORY |domain| (SIGNATURE * ($ |t#1| $)) (SIGNATURE * ($ $ |t#2|)) (SIGNATURE |mindeg| ((|OrderedFreeMonoid| |t#1|) $)) (SIGNATURE |mindegTerm| ((|Record| (|:| |k| (|OrderedFreeMonoid| |t#1|)) (|:| |c| |t#2|)) $)) (SIGNATURE |coef| (|t#2| $ (|OrderedFreeMonoid| |t#1|))) (SIGNATURE |coef| (|t#2| $ $)) (SIGNATURE |lquo| ($ $ |t#1|)) (SIGNATURE |lquo| ($ $ (|OrderedFreeMonoid| |t#1|))) (SIGNATURE |lquo| ($ $ $)) (SIGNATURE |rquo| ($ $ |t#1|)) (SIGNATURE |rquo| ($ $ (|OrderedFreeMonoid| |t#1|))) (SIGNATURE |rquo| ($ $ $)) (SIGNATURE |monom| ($ (|OrderedFreeMonoid| |t#1|) |t#2|)) (SIGNATURE |monomial?| ((|Boolean|) $)) (SIGNATURE |mirror| ($ $)) (SIGNATURE |coerce| ($ |t#1|)) (SIGNATURE |constant?| ((|Boolean|) $)) (SIGNATURE |constant| (|t#2| $)) (SIGNATURE |quasiRegular?| ((|Boolean|) $)) (SIGNATURE |quasiRegular| ($ $)) (IF (|has| |t#2| (|CommutativeRing|)) (PROGN (SIGNATURE |sh| ($ $ $)) (SIGNATURE |sh| ($ $ (|NonNegativeInteger|)))) |noBranch|) (SIGNATURE |map| ($ (|Mapping| |t#2| |t#2|) $)) (SIGNATURE |varList| ((|List| |t#1|) $)) (IF (|has| |t#2| (ATTRIBUTE |noZeroDivisors|)) (ATTRIBUTE |noZeroDivisors|) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#2|) |has| |#2| (|CommutativeRing|)) ((|BasicType|) . T) ((|BiModule| |#2| |#2|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#2|) . T) ((|LeftModule| $) . T) ((|Module| |#2|) |has| |#2| (|CommutativeRing|)) ((|Monoid|) . T) ((|RetractableTo| (|OrderedFreeMonoid| |#1|)) . T) ((|RightModule| |#2|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|XAlgebra| |#2|) . T)) 
+((|transcendent?| (((|Boolean|) $) 13)) (|algebraic?| (((|Boolean|) $) 12)) (|Frobenius| (($ $) 17) (($ $ (|NonNegativeInteger|)) 18))) 
+(((|ExtensionField&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |Frobenius| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |Frobenius| (|#1| |#1|)) (SIGNATURE |transcendent?| ((|Boolean|) |#1|)) (SIGNATURE |algebraic?| ((|Boolean|) |#1|))) (|ExtensionField| |#2|) (|Field|)) (T |ExtensionField&|)) 
+NIL 
+(CATEGORY |domain| (SIGNATURE |Frobenius| (|#1| |#1| (|NonNegativeInteger|))) (SIGNATURE |Frobenius| (|#1| |#1|)) (SIGNATURE |transcendent?| ((|Boolean|) |#1|)) (SIGNATURE |algebraic?| ((|Boolean|) |#1|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) 40)) (|unitCanonical| (($ $) 39)) (|unit?| (((|Boolean|) $) 37)) (|transcendent?| (((|Boolean|) $) 92)) (|transcendenceDegree| (((|NonNegativeInteger|)) 88)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|squareFreePart| (($ $) 73)) (|squareFree| (((|Factored| $) $) 72)) (|sizeLess?| (((|Boolean|) $ $) 58)) (|sample| (($) 16 T CONST)) (|retractIfCan| (((|Union| |#1| "failed") $) 99)) (|retract| ((|#1| $) 98)) (|rem| (($ $ $) 54)) (|recip| (((|Union| $ "failed") $) 33)) (|quo| (($ $ $) 55)) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) 50)) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) 85 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|)))) (($ $) 84 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|prime?| (((|Boolean|) $) 71)) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) 82 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|one?| (((|Boolean|) $) 30)) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) 51)) (|lcmCoef| (((|Record| (|:| |llcmres| $) (|:| |coeff1| $) (|:| |coeff2| $)) $ $) 48)) (|lcm| (($ $ $) 45) (($ (|List| $)) 44)) (|latex| (((|String|) $) 9)) (|inv| (($ $) 70)) (|inGroundField?| (((|Boolean|) $) 91)) (|hash| (((|SingleInteger|) $) 10)) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) 43)) (|gcd| (($ $ $) 47) (($ (|List| $)) 46)) (|factor| (((|Factored| $) $) 74)) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) 89)) (|extendedEuclidean| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) 53) (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 52)) (|exquo| (((|Union| $ "failed") $ $) 41)) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) 49)) (|euclideanSize| (((|NonNegativeInteger|) $) 57)) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) 56)) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) 83 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|dimension| (((|CardinalNumber|)) 97)) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) 90)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ $) 42) (($ (|Fraction| (|Integer|))) 65) (($ |#1|) 100)) (|charthRoot| (((|Union| $ "failed") $) 81 (OR (|has| |#1| (|CharacteristicNonZero|)) (|has| |#1| (|Finite|))))) (|characteristic| (((|NonNegativeInteger|)) 28)) (|associates?| (((|Boolean|) $ $) 38)) (|algebraic?| (((|Boolean|) $) 93)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32) (($ $ (|Integer|)) 69)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (|Frobenius| (($ $) 87 (|has| |#1| (|Finite|))) (($ $ (|NonNegativeInteger|)) 86 (|has| |#1| (|Finite|)))) (= (((|Boolean|) $ $) 6)) (/ (($ $ $) 64) (($ $ |#1|) 96)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31) (($ $ (|Integer|)) 68)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ $ (|Fraction| (|Integer|))) 67) (($ (|Fraction| (|Integer|)) $) 66) (($ $ |#1|) 95) (($ |#1| $) 94))) 
+(((|ExtensionField| |#1|) (|Category|) (|Field|)) (T |ExtensionField|)) 
+((|algebraic?| (*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|transcendent?| (*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|inGroundField?| (*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) (|extensionDegree| (*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) (|transcendenceDegree| (*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|Frobenius| (*1 *1 *1) (AND (|ofCategory| *1 (|ExtensionField| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Finite|)))) (|Frobenius| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|))))) 
+(|Join| (|Field|) (|RetractableTo| |t#1|) (|VectorSpace| |t#1|) (CATEGORY |domain| (IF (|has| |t#1| (|CharacteristicZero|)) (ATTRIBUTE (|CharacteristicZero|)) |noBranch|) (IF (|has| |t#1| (|CharacteristicNonZero|)) (ATTRIBUTE (|FieldOfPrimeCharacteristic|)) |noBranch|) (SIGNATURE |algebraic?| ((|Boolean|) $)) (SIGNATURE |transcendent?| ((|Boolean|) $)) (SIGNATURE |inGroundField?| ((|Boolean|) $)) (SIGNATURE |degree| ((|OnePointCompletion| (|PositiveInteger|)) $)) (SIGNATURE |extensionDegree| ((|OnePointCompletion| (|PositiveInteger|)))) (SIGNATURE |transcendenceDegree| ((|NonNegativeInteger|))) (IF (|has| |t#1| (|Finite|)) (PROGN (ATTRIBUTE (|FieldOfPrimeCharacteristic|)) (SIGNATURE |Frobenius| ($ $)) (SIGNATURE |Frobenius| ($ $ (|NonNegativeInteger|)))) |noBranch|))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| (|Fraction| (|Integer|))) . T) ((|Algebra| $) . T) ((|BasicType|) . T) ((|BiModule| (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) . T) ((|BiModule| |#1| |#1|) . T) ((|BiModule| $ $) . T) ((|CancellationAbelianMonoid|) . T) ((|CharacteristicNonZero|) OR (|has| |#1| (|Finite|)) (|has| |#1| (|CharacteristicNonZero|))) ((|CharacteristicZero|) |has| |#1| (|CharacteristicZero|)) ((|CoercibleTo| (|OutputForm|)) . T) ((|CommutativeRing|) . T) ((|DivisionRing|) . T) ((|EntireRing|) . T) ((|EuclideanDomain|) . T) ((|Field|) . T) ((|FieldOfPrimeCharacteristic|) OR (|has| |#1| (|Finite|)) (|has| |#1| (|CharacteristicNonZero|))) ((|GcdDomain|) . T) ((|IntegralDomain|) . T) ((|LeftModule| (|Fraction| (|Integer|))) . T) ((|LeftModule| |#1|) . T) ((|LeftModule| $) . T) ((|LeftOreRing|) . T) ((|Module| (|Fraction| (|Integer|))) . T) ((|Module| |#1|) . T) ((|Module| $) . T) ((|Monoid|) . T) ((|PrincipalIdealDomain|) . T) ((|RetractableTo| |#1|) . T) ((|RightModule| (|Fraction| (|Integer|))) . T) ((|RightModule| |#1|) . T) ((|RightModule| $) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|UniqueFactorizationDomain|) . T) ((|VectorSpace| |#1|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|varList| (((|List| |#1|) $) 84)) (|trunc| (($ $ (|NonNegativeInteger|)) 87)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sh| (($ $ $) NIL (|has| |#2| (|CommutativeRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#2| (|CommutativeRing|)))) (|sample| (($) NIL T CONST)) (|rquo| (($ $ |#1|) NIL) (($ $ (|OrderedFreeMonoid| |#1|)) NIL) (($ $ $) NIL)) (|retractIfCan| (((|Union| (|OrderedFreeMonoid| |#1|) "failed") $) NIL) (((|Union| (|PoincareBirkhoffWittLyndonBasis| |#1|) "failed") $) NIL)) (|retract| (((|OrderedFreeMonoid| |#1|) $) NIL) (((|PoincareBirkhoffWittLyndonBasis| |#1|) $) NIL)) (|reductum| (($ $) 86)) (|recip| (((|Union| $ "failed") $) NIL)) (|quasiRegular?| (((|Boolean|) $) 75)) (|quasiRegular| (($ $) 79)) (|product| (($ $ $ (|NonNegativeInteger|)) 88)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) NIL) (($ (|PoincareBirkhoffWittLyndonBasis| |#1|) |#2|) 25)) (|mirror| (($ $) 101)) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) NIL)) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) NIL)) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) NIL)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL)) (|lquo| (($ $ |#1|) NIL) (($ $ (|OrderedFreeMonoid| |#1|)) NIL) (($ $ $) NIL)) (|log| (($ $ (|NonNegativeInteger|)) 95 (|has| |#2| (|Module| (|Fraction| (|Integer|)))))) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) NIL)) (|leadingTerm| (((|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|)) $) NIL)) (|leadingMonomial| (((|PoincareBirkhoffWittLyndonBasis| |#1|) $) 69)) (|leadingCoefficient| ((|#2| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|exp| (($ $ (|NonNegativeInteger|)) 92 (|has| |#2| (|Module| (|Fraction| (|Integer|)))))) (|degree| (((|NonNegativeInteger|) $) 85)) (|constant?| (((|Boolean|) $) 70)) (|constant| ((|#2| $) 74)) (|coerce| (((|OutputForm|) $) 56) (($ (|Integer|)) NIL) (($ |#2|) 50) (($ (|OrderedFreeMonoid| |#1|)) NIL) (($ |#1|) 58) (($ (|PoincareBirkhoffWittLyndonBasis| |#1|)) NIL) (($ (|LiePolynomial| |#1| |#2|)) 42) (((|XDistributedPolynomial| |#1| |#2|) $) 63) (((|XRecursivePolynomial| |#1| |#2|) $) 68)) (|coefficients| (((|List| |#2|) $) NIL)) (|coefficient| ((|#2| $ (|PoincareBirkhoffWittLyndonBasis| |#1|)) NIL)) (|coef| ((|#2| $ (|OrderedFreeMonoid| |#1|)) NIL) ((|#2| $ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 21 T CONST)) (|One| (($) 24 T CONST)) (|LiePolyIfCan| (((|Union| (|LiePolynomial| |#1| |#2|) "failed") $) 100)) (= (((|Boolean|) $ $) 64)) (- (($ $) 94) (($ $ $) 93)) (+ (($ $ $) 20)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (|PoincareBirkhoffWittLyndonBasis| |#1|)) NIL))) 
+(((|XPBWPolynomial| |#1| |#2|) (|Join| (|XPolynomialsCat| |#1| |#2|) (|FreeModuleCat| |#2| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|LiePolynomial| |#1| |#2|))) (SIGNATURE |coerce| ((|XDistributedPolynomial| |#1| |#2|) $)) (SIGNATURE |coerce| ((|XRecursivePolynomial| |#1| |#2|) $)) (SIGNATURE |LiePolyIfCan| ((|Union| (|LiePolynomial| |#1| |#2|) "failed") $)) (SIGNATURE |product| ($ $ $ (|NonNegativeInteger|))) (IF (|has| |#2| (|Module| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |exp| ($ $ (|NonNegativeInteger|))) (SIGNATURE |log| ($ $ (|NonNegativeInteger|)))) |noBranch|))) (|OrderedSet|) (|CommutativeRing|)) (T |XPBWPolynomial|)) 
+((|coerce| (*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|LiePolyIfCan| (*1 *2 *1) (|partial| AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|product| (*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|exp| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) (|log| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(|Join| (|XPolynomialsCat| |#1| |#2|) (|FreeModuleCat| |#2| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|LiePolynomial| |#1| |#2|))) (SIGNATURE |coerce| ((|XDistributedPolynomial| |#1| |#2|) $)) (SIGNATURE |coerce| ((|XRecursivePolynomial| |#1| |#2|) $)) (SIGNATURE |LiePolyIfCan| ((|Union| (|LiePolynomial| |#1| |#2|) "failed") $)) (SIGNATURE |product| ($ $ $ (|NonNegativeInteger|))) (IF (|has| |#2| (|Module| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |exp| ($ $ (|NonNegativeInteger|))) (SIGNATURE |log| ($ $ (|NonNegativeInteger|)))) |noBranch|))) 
+((~= (((|Boolean|) $ $) 7)) (|zero?| (((|Boolean|) $) 15)) (|varList| (((|List| |#1|) $) 39)) (|trunc| (($ $ (|NonNegativeInteger|)) 68)) (|subtractIfCan| (((|Union| $ "failed") $ $) 18)) (|sh| (($ $ $) 42 (|has| |#2| (|CommutativeRing|))) (($ $ (|NonNegativeInteger|)) 41 (|has| |#2| (|CommutativeRing|)))) (|sample| (($) 16 T CONST)) (|rquo| (($ $ |#1|) 53) (($ $ (|OrderedFreeMonoid| |#1|)) 52) (($ $ $) 51)) (|retractIfCan| (((|Union| (|OrderedFreeMonoid| |#1|) "failed") $) 63)) (|retract| (((|OrderedFreeMonoid| |#1|) $) 62)) (|recip| (((|Union| $ "failed") $) 33)) (|quasiRegular?| (((|Boolean|) $) 44)) (|quasiRegular| (($ $) 43)) (|one?| (((|Boolean|) $) 30)) (|monomial?| (((|Boolean|) $) 49)) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) 50)) (|mirror| (($ $) 48)) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) 59)) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) 60)) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) 70)) (|map| (($ (|Mapping| |#2| |#2|) $) 40)) (|lquo| (($ $ |#1|) 56) (($ $ (|OrderedFreeMonoid| |#1|)) 55) (($ $ $) 54)) (|latex| (((|String|) $) 9)) (|hash| (((|SingleInteger|) $) 10)) (|degree| (((|NonNegativeInteger|) $) 69)) (|constant?| (((|Boolean|) $) 46)) (|constant| ((|#2| $) 45)) (|coerce| (((|OutputForm|) $) 11) (($ (|Integer|)) 27) (($ |#2|) 67) (($ (|OrderedFreeMonoid| |#1|)) 64) (($ |#1|) 47)) (|coef| ((|#2| $ (|OrderedFreeMonoid| |#1|)) 58) ((|#2| $ $) 57)) (|characteristic| (((|NonNegativeInteger|)) 28)) (^ (($ $ (|PositiveInteger|)) 25) (($ $ (|NonNegativeInteger|)) 32)) (|Zero| (($) 17 T CONST)) (|One| (($) 29 T CONST)) (= (((|Boolean|) $ $) 6)) (- (($ $) 21) (($ $ $) 20)) (+ (($ $ $) 13)) (** (($ $ (|PositiveInteger|)) 24) (($ $ (|NonNegativeInteger|)) 31)) (* (($ (|PositiveInteger|) $) 12) (($ (|NonNegativeInteger|) $) 14) (($ (|Integer|) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((|XPolynomialsCat| |#1| |#2|) (|Category|) (|OrderedSet|) (|Ring|)) (T |XPolynomialsCat|)) 
+((|maxdeg| (*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) (|degree| (*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) (|trunc| (*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|XFreeAlgebra| |t#1| |t#2|) (CATEGORY |domain| (SIGNATURE |maxdeg| ((|OrderedFreeMonoid| |t#1|) $)) (SIGNATURE |degree| ((|NonNegativeInteger|) $)) (SIGNATURE |trunc| ($ $ (|NonNegativeInteger|))))) 
+(((|AbelianGroup|) . T) ((|AbelianMonoid|) . T) ((|AbelianSemiGroup|) . T) ((|Algebra| |#2|) |has| |#2| (|CommutativeRing|)) ((|BasicType|) . T) ((|BiModule| |#2| |#2|) . T) ((|CancellationAbelianMonoid|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|LeftModule| |#2|) . T) ((|LeftModule| $) . T) ((|Module| |#2|) |has| |#2| (|CommutativeRing|)) ((|Monoid|) . T) ((|RetractableTo| (|OrderedFreeMonoid| |#1|)) . T) ((|RightModule| |#2|) . T) ((|Ring|) . T) ((|Rng|) . T) ((|SemiGroup|) . T) ((|SetCategory|) . T) ((|XAlgebra| |#2|) . T) ((|XFreeAlgebra| |#1| |#2|) . T)) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|varList| (((|List| (|Symbol|)) $) NIL)) (|unexpand| (($ (|XDistributedPolynomial| (|Symbol|) |#1|)) NIL)) (|trunc| (($ $ (|NonNegativeInteger|)) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sh| (($ $ $) NIL (|has| |#1| (|CommutativeRing|))) (($ $ (|NonNegativeInteger|)) NIL (|has| |#1| (|CommutativeRing|)))) (|sample| (($) NIL T CONST)) (|rquo| (($ $ (|Symbol|)) NIL) (($ $ (|OrderedFreeMonoid| (|Symbol|))) NIL) (($ $ $) NIL)) (|retractIfCan| (((|Union| (|OrderedFreeMonoid| (|Symbol|)) "failed") $) NIL)) (|retract| (((|OrderedFreeMonoid| (|Symbol|)) $) NIL)) (|recip| (((|Union| $ "failed") $) NIL)) (|quasiRegular?| (((|Boolean|) $) NIL)) (|quasiRegular| (($ $) NIL)) (|one?| (((|Boolean|) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ (|OrderedFreeMonoid| (|Symbol|)) |#1|) NIL)) (|mirror| (($ $) NIL)) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| (|Symbol|))) (|:| |c| |#1|)) $) NIL)) (|mindeg| (((|OrderedFreeMonoid| (|Symbol|)) $) NIL)) (|maxdeg| (((|OrderedFreeMonoid| (|Symbol|)) $) NIL)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|lquo| (($ $ (|Symbol|)) NIL) (($ $ (|OrderedFreeMonoid| (|Symbol|))) NIL) (($ $ $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|expand| (((|XDistributedPolynomial| (|Symbol|) |#1|) $) NIL)) (|degree| (((|NonNegativeInteger|) $) NIL)) (|constant?| (((|Boolean|) $) NIL)) (|constant| ((|#1| $) NIL)) (|coerce| (((|OutputForm|) $) NIL) (($ (|Integer|)) NIL) (($ |#1|) NIL) (($ (|OrderedFreeMonoid| (|Symbol|))) NIL) (($ (|Symbol|)) NIL)) (|coef| ((|#1| $ (|OrderedFreeMonoid| (|Symbol|))) NIL) ((|#1| $ $) NIL)) (|characteristic| (((|NonNegativeInteger|)) NIL)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) NIL T CONST)) (|RemainderList| (((|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| $))) $) NIL)) (|One| (($) NIL T CONST)) (= (((|Boolean|) $ $) NIL)) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) NIL)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (|Symbol|) $) NIL))) 
+(((|XPolynomial| |#1|) (|Join| (|XPolynomialsCat| (|Symbol|) |#1|) (CATEGORY |domain| (SIGNATURE |expand| ((|XDistributedPolynomial| (|Symbol|) |#1|) $)) (SIGNATURE |unexpand| ($ (|XDistributedPolynomial| (|Symbol|) |#1|))) (SIGNATURE |RemainderList| ((|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| $))) $)))) (|Ring|)) (T |XPolynomial|)) 
+((|expand| (*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) (|unexpand| (*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomial| *3)))) (|RemainderList| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| (|XPolynomial| *3))))) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|))))) 
+(|Join| (|XPolynomialsCat| (|Symbol|) |#1|) (CATEGORY |domain| (SIGNATURE |expand| ((|XDistributedPolynomial| (|Symbol|) |#1|) $)) (SIGNATURE |unexpand| ($ (|XDistributedPolynomial| (|Symbol|) |#1|))) (SIGNATURE |RemainderList| ((|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| $))) $)))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sample| (($) NIL T CONST)) (|retractIfCan| (((|Union| |#2| "failed") $) NIL)) (|retract| ((|#2| $) NIL)) (|reductum| (($ $) NIL)) (|recip| (((|Union| $ "failed") $) 34)) (|quasiRegular?| (((|Boolean|) $) 29)) (|quasiRegular| (($ $) 30)) (|one?| (((|Boolean|) $) NIL)) (|numberOfMonomials| (((|NonNegativeInteger|) $) NIL)) (|monomials| (((|List| $) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ |#2| |#1|) NIL)) (|mindeg| ((|#2| $) 19)) (|maxdeg| ((|#2| $) 16)) (|map| (($ (|Mapping| |#1| |#1|) $) NIL)) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (|leadingMonomial| ((|#2| $) NIL)) (|leadingCoefficient| ((|#1| $) NIL)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|constant?| (((|Boolean|) $) 27)) (|constant| ((|#1| $) 28)) (|coerce| (((|OutputForm|) $) 53) (($ (|Integer|)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (|coefficients| (((|List| |#1|) $) NIL)) (|coefficient| ((|#1| $ |#2|) NIL)) (|coef| ((|#1| $ |#2|) 24)) (|characteristic| (((|NonNegativeInteger|)) 14)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 25 T CONST)) (|One| (($) 11 T CONST)) (= (((|Boolean|) $ $) 26)) (/ (($ $ |#1|) 55 (|has| |#1| (|Field|)))) (- (($ $) NIL) (($ $ $) NIL)) (+ (($ $ $) 42)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 44)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (|#| (((|NonNegativeInteger|) $) 15))) 
+(((|XPolynomialRing| |#1| |#2|) (|Join| (|Ring|) (|XAlgebra| |#1|) (|FreeModuleCat| |#1| |#2|) (CATEGORY |domain| (SIGNATURE * ($ $ |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |maxdeg| (|#2| $)) (SIGNATURE |mindeg| (|#2| $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coef| (|#1| $ |#2|)) (SIGNATURE |constant?| ((|Boolean|) $)) (SIGNATURE |constant| (|#1| $)) (SIGNATURE |quasiRegular?| ((|Boolean|) $)) (SIGNATURE |quasiRegular| ($ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|Field|)) (SIGNATURE / ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |noZeroDivisors|)) (ATTRIBUTE |noZeroDivisors|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |unitsKnown|)) (ATTRIBUTE |unitsKnown|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|))) (|Ring|) (|OrderedMonoid|)) (T |XPolynomialRing|)) 
+((* (*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|)))) (|reductum| (*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|)))) (|map| (*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *4 (|OrderedMonoid|)))) (|coerce| (*1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedMonoid|)))) (|#| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|)))) (|maxdeg| (*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) (|mindeg| (*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) (|coef| (*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|)))) (|constant?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|)))) (|constant| (*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|)))) (|quasiRegular?| (*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|)))) (|quasiRegular| (*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|)))) (/ (*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(|Join| (|Ring|) (|XAlgebra| |#1|) (|FreeModuleCat| |#1| |#2|) (CATEGORY |domain| (SIGNATURE * ($ $ |#1|)) (SIGNATURE |#| ((|NonNegativeInteger|) $)) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |maxdeg| (|#2| $)) (SIGNATURE |mindeg| (|#2| $)) (SIGNATURE |reductum| ($ $)) (SIGNATURE |coef| (|#1| $ |#2|)) (SIGNATURE |constant?| ((|Boolean|) $)) (SIGNATURE |constant| (|#1| $)) (SIGNATURE |quasiRegular?| ((|Boolean|) $)) (SIGNATURE |quasiRegular| ($ $)) (SIGNATURE |map| ($ (|Mapping| |#1| |#1|) $)) (IF (|has| |#1| (|Field|)) (SIGNATURE / ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |noZeroDivisors|)) (ATTRIBUTE |noZeroDivisors|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |unitsKnown|)) (ATTRIBUTE |unitsKnown|) |noBranch|) (IF (|has| |#1| (ATTRIBUTE |canonicalUnitNormal|)) (ATTRIBUTE |canonicalUnitNormal|) |noBranch|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) NIL)) (|varList| (((|List| |#1|) $) 119)) (|unexpand| (($ (|XDistributedPolynomial| |#1| |#2|)) 43)) (|trunc| (($ $ (|NonNegativeInteger|)) 31)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|sh| (($ $ $) 47 (|has| |#2| (|CommutativeRing|))) (($ $ (|NonNegativeInteger|)) 45 (|has| |#2| (|CommutativeRing|)))) (|sample| (($) NIL T CONST)) (|rquo| (($ $ |#1|) 101) (($ $ (|OrderedFreeMonoid| |#1|)) 102) (($ $ $) 25)) (|retractIfCan| (((|Union| (|OrderedFreeMonoid| |#1|) "failed") $) NIL)) (|retract| (((|OrderedFreeMonoid| |#1|) $) NIL)) (|recip| (((|Union| $ "failed") $) 109)) (|quasiRegular?| (((|Boolean|) $) 104)) (|quasiRegular| (($ $) 105)) (|one?| (((|Boolean|) $) NIL)) (|monomial?| (((|Boolean|) $) NIL)) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) 19)) (|mirror| (($ $) NIL)) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) NIL)) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) 110)) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) 113)) (|map| (($ (|Mapping| |#2| |#2|) $) 118)) (|lquo| (($ $ |#1|) 99) (($ $ (|OrderedFreeMonoid| |#1|)) 100) (($ $ $) 55)) (|latex| (((|String|) $) NIL)) (|hash| (((|SingleInteger|) $) NIL)) (|expand| (((|XDistributedPolynomial| |#1| |#2|) $) 83)) (|degree| (((|NonNegativeInteger|) $) 116)) (|constant?| (((|Boolean|) $) 69)) (|constant| ((|#2| $) 27)) (|coerce| (((|OutputForm|) $) 62) (($ (|Integer|)) 76) (($ |#2|) 73) (($ (|OrderedFreeMonoid| |#1|)) 17) (($ |#1|) 72)) (|coef| ((|#2| $ (|OrderedFreeMonoid| |#1|)) 103) ((|#2| $ $) 26)) (|characteristic| (((|NonNegativeInteger|)) 107)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 14 T CONST)) (|RemainderList| (((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $) 52)) (|One| (($) 28 T CONST)) (= (((|Boolean|) $ $) 13)) (- (($ $) 87) (($ $ $) 90)) (+ (($ $ $) 54)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 48)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) 46) (($ (|Integer|) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
+(((|XRecursivePolynomial| |#1| |#2|) (|Join| (|XPolynomialsCat| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |expand| ((|XDistributedPolynomial| |#1| |#2|) $)) (SIGNATURE |unexpand| ($ (|XDistributedPolynomial| |#1| |#2|))) (SIGNATURE |RemainderList| ((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $)))) (|OrderedSet|) (|Ring|)) (T |XRecursivePolynomial|)) 
+((|expand| (*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|unexpand| (*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)))) (|RemainderList| (*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| *3) (|:| |c| (|XRecursivePolynomial| *3 *4))))) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|XPolynomialsCat| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |expand| ((|XDistributedPolynomial| |#1| |#2|) $)) (SIGNATURE |unexpand| ($ (|XDistributedPolynomial| |#1| |#2|))) (SIGNATURE |RemainderList| ((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $)))) 
+((Y (((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)) 15) (((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|))) 11))) 
+(((|ParadoxicalCombinatorsForStreams| |#1|) (CATEGORY |package| (SIGNATURE Y ((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|)))) (SIGNATURE Y ((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)))) (|Type|)) (T |ParadoxicalCombinatorsForStreams|)) 
+((Y (*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| (|Stream| *5)) (|List| (|Stream| *5)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Stream| *5))) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *5)) (|ofCategory| *5 (|Type|)))) (Y (*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *4)) (|ofCategory| *4 (|Type|))))) 
+(CATEGORY |package| (SIGNATURE Y ((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|)))) (SIGNATURE Y ((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)))) 
+((|univariateSolve| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) 145) (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) 144) (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) 143) (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) 142) (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|)) 127)) (|triangSolve| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|))) 70) (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|)) 69) (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) 68)) (|squareFree| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|)) 59)) (|realSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) 112) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) 111) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) 110) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) 109) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) 104)) (|positiveSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) 117) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) 116) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) 115) (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) 114)) (|convert| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) 96) (((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|)) 87) (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) 94) (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|)) 92) (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) 32))) 
+(((|ZeroDimensionalSolvePackage| |#1| |#2| |#3|) (CATEGORY |package| (SIGNATURE |triangSolve| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |triangSolve| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |triangSolve| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |squareFree| ((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|))) (SIGNATURE |convert| ((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (SIGNATURE |convert| ((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|))) (SIGNATURE |convert| ((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (SIGNATURE |convert| ((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |convert| ((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))))) (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|)) (|List| (|Symbol|)) (|List| (|Symbol|))) (T |ZeroDimensionalSolvePackage|)) 
+((|convert| (*1 *2 *3) (AND (|isDomain| *3 (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) (|convert| (*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) (|squareFree| (*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) (|positiveSolve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) (|positiveSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|positiveSolve| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|positiveSolve| (*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) (|realSolve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) (|realSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|realSolve| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|realSolve| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|realSolve| (*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) (|univariateSolve| (*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) (|univariateSolve| (*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|univariateSolve| (*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|univariateSolve| (*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|univariateSolve| (*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) (|triangSolve| (*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *4 *5))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) (|triangSolve| (*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) (|triangSolve| (*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|)))))) 
+(CATEGORY |package| (SIGNATURE |triangSolve| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |triangSolve| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |triangSolve| ((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |univariateSolve| ((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |realSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|))) (SIGNATURE |positiveSolve| ((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)))) (SIGNATURE |squareFree| ((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|))) (SIGNATURE |convert| ((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (SIGNATURE |convert| ((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|))) (SIGNATURE |convert| ((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (SIGNATURE |convert| ((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|))) (SIGNATURE |convert| ((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))))) 
+((|solveLinearlyOverQ| (((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|) 17)) (|linearlyDependentOverZ?| (((|Boolean|) (|Vector| |#1|)) 11)) (|linearDependenceOverZ| (((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|)) 14))) 
+(((|IntegerLinearDependence| |#1|) (CATEGORY |package| (SIGNATURE |linearlyDependentOverZ?| ((|Boolean|) (|Vector| |#1|))) (SIGNATURE |linearDependenceOverZ| ((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|))) (SIGNATURE |solveLinearlyOverQ| ((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|))) (|LinearlyExplicitRingOver| (|Integer|))) (T |IntegerLinearDependence|)) 
+((|solveLinearlyOverQ| (*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Fraction| (|Integer|)))) (|isDomain| *1 (|IntegerLinearDependence| *4)))) (|linearDependenceOverZ| (*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *1 (|IntegerLinearDependence| *4)))) (|linearlyDependentOverZ?| (*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(CATEGORY |package| (SIGNATURE |linearlyDependentOverZ?| ((|Boolean|) (|Vector| |#1|))) (SIGNATURE |linearDependenceOverZ| ((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|))) (SIGNATURE |solveLinearlyOverQ| ((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|))) 
+((~= (((|Boolean|) $ $) NIL)) (|zero?| (((|Boolean|) $) 11)) (|subtractIfCan| (((|Union| $ "failed") $ $) NIL)) (|size| (((|NonNegativeInteger|)) 8)) (|sample| (($) NIL T CONST)) (|recip| (((|Union| $ "failed") $) 43)) (|random| (($) 36)) (|one?| (((|Boolean|) $) NIL)) (|nextItem| (((|Union| $ "failed") $) 29)) (|lookup| (((|PositiveInteger|) $) 15)) (|latex| (((|String|) $) NIL)) (|init| (($) 25 T CONST)) (|index| (($ (|PositiveInteger|)) 37)) (|hash| (((|SingleInteger|) $) NIL)) (|enumerate| (((|List| $)) NIL)) (|convert| (((|Integer|) $) 13)) (|coerce| (((|OutputForm|) $) 22) (($ (|Integer|)) 19)) (|characteristic| (((|NonNegativeInteger|)) 9)) (^ (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) NIL)) (|Zero| (($) 23 T CONST)) (|One| (($) 24 T CONST)) (= (((|Boolean|) $ $) 27)) (- (($ $) 38) (($ $ $) 35)) (+ (($ $ $) 26)) (** (($ $ (|PositiveInteger|)) NIL) (($ $ (|NonNegativeInteger|)) 40)) (* (($ (|PositiveInteger|) $) NIL) (($ (|NonNegativeInteger|) $) NIL) (($ (|Integer|) $) 32) (($ $ $) 31))) 
+(((|IntegerMod| |#1|) (|Join| (|CommutativeRing|) (|Finite|) (|ConvertibleTo| (|Integer|)) (|StepThrough|)) (|PositiveInteger|)) (T |IntegerMod|)) 
+NIL 
+(|Join| (|CommutativeRing|) (|Finite|) (|ConvertibleTo| (|Integer|)) (|StepThrough|)) 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+((|Category| 5935623 5935628 5935633 "NIL" NIL T NIL (NIL) NIL NIL NIL) (|Union| 5935608 5935613 5935618 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Record| 5935593 5935598 5935603 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Mapping| 5935578 5935583 5935588 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Enumeration| 5935563 5935568 5935573 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|IntegerMod| 5934293 5935323 5935471 "ZMOD" 5935476 NIL ZMOD (NIL NIL) |domain| NIL NIL) (|IntegerLinearDependence| 5932647 5932910 5933315 "ZLINDEP" 5933996 NIL ZLINDEP (NIL T) |package| NIL NIL) (|ZeroDimensionalSolvePackage| 5912797 5915901 5919605 "ZDSOLVE" 5929153 NIL ZDSOLVE (NIL T NIL NIL) |package| NIL NIL) (|ParadoxicalCombinatorsForStreams| 5911656 5911836 5912143 "YSTREAM" 5912584 NIL YSTREAM (NIL T) |package| NIL NIL) (|XRecursivePolynomial| 5908313 5910431 5910786 "XRPOLY" 5911391 NIL XRPOLY (NIL T T) |domain| NIL NIL) (|XPolynomialRing| 5902952 5904679 5905589 "XPR" 5907486 NIL XPR (NIL T T) |domain| NIL NIL) (|XPolynomial| 5899583 5901840 5902181 "XPOLY" 5902663 NIL XPOLY (NIL T) |domain| NIL NIL) (|XPolynomialsCat| 5896294 5898190 5898284 "XPOLYC" 5898804 NIL XPOLYC (NIL T T) |category| NIL 5899013) (|XPBWPolynomial| 5890402 5893604 5894290 "XPBWPOLY" 5895697 NIL XPBWPOLY (NIL T T) |domain| NIL NIL) (|ExtensionField| 5883747 5887124 5887197 "XF" 5888350 NIL XF (NIL T) |category| NIL 5889130) (|ExtensionField&| 5883101 5883238 5883535 "XF-" 5883540 NIL XF- (NIL T T) |domain| NIL NIL) (|XFreeAlgebra| 5875823 5877585 5877673 "XFALG" 5881339 NIL XFALG (NIL T T) |category| NIL 5882564) (|XExponentialPackage| 5874306 5874464 5874824 "XEXPPKG" 5875631 NIL XEXPPKG (NIL T T T) |package| NIL NIL) (|XDistributedPolynomial| 5871562 5874027 5874211 "XDPOLY" 5874216 NIL XDPOLY (NIL T T) |domain| NIL NIL) (|XAlgebra| 5869982 5870773 5870833 "XALG" 5870925 NIL XALG (NIL T) |category| NIL 5871100) (|WuWenTsunTriangularSet| 5859952 5866303 5867133 "WUTSET" 5869341 NIL WUTSET (NIL T T T T) |domain| NIL NIL) (|WeightedPolynomials| 5856506 5857568 5858139 "WP" 5859629 NIL WP (NIL T T T T NIL NIL NIL) |domain| NIL NIL) (|WildFunctionFieldIntegralBasis| 5854662 5854917 5855425 "WFFINTBS" 5856222 NIL WFFINTBS (NIL T T T T) |package| NIL NIL) (|WeierstrassPreparation| 5850960 5851669 5852502 "WEIER" 5853904 NIL WEIER (NIL T) |package| NIL NIL) (|VectorSpace| 5849739 5850259 5850326 "VSPACE" 5850546 NIL VSPACE (NIL T) |category| NIL 5850664) (|VectorSpace&| 5849526 5849549 5849682 "VSPACE-" 5849687 NIL VSPACE- (NIL T T) |domain| NIL NIL) (|Void| 5849150 5849205 5849313 "VOID" 5849442 T VOID (NIL) |domain| NIL NIL) (|ViewportPackage| 5845735 5846367 5847141 "VIEW" 5848422 T VIEW (NIL) |package| NIL NIL) (|ViewDefaultsPackage| 5838439 5839615 5841247 "VIEWDEF" 5844157 T VIEWDEF (NIL) |package| NIL NIL) (|ThreeDimensionalViewport| 5820972 5824092 5827667 "VIEW3D" 5834928 T VIEW3D (NIL) |domain| NIL NIL) (|TwoDimensionalViewport| 5808206 5810638 5813287 "VIEW2D" 5818383 T VIEW2D (NIL) |domain| NIL NIL) (|Vector| 5801844 5807862 5807997 "VECTOR" 5808113 NIL VECTOR (NIL T) |domain| NIL NIL) (|VectorFunctions2| 5799814 5800136 5800581 "VECTOR2" 5801475 NIL VECTOR2 (NIL T T) |package| NIL NIL) (|VectorCategory| 5790508 5796405 5796477 "VECTCAT" 5798151 NIL VECTCAT (NIL T) |category| NIL 5798934) (|VectorCategory&| 5789214 5789506 5790049 "VECTCAT-" 5790054 NIL VECTCAT- (NIL T T) |domain| NIL NIL) (|Variable| 5788455 5788666 5788859 "VARIABLE" 5789069 NIL VARIABLE (NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCZero| 5776222 5784656 5785509 "UTSZ" 5787702 NIL UTSZ (NIL T NIL) |domain| NIL NIL) (|TaylorSolve| 5775464 5775531 5775807 "UTSSOL" 5776131 NIL UTSSOL (NIL T T T) |package| NIL NIL) (|UTSodetools| 5773289 5773492 5773947 "UTSODETL" 5775206 NIL UTSODETL (NIL T T T T) |package| NIL NIL) (|UnivariateTaylorSeriesODESolver| 5769061 5769657 5770477 "UTSODE" 5772634 NIL UTSODE (NIL T T) |package| NIL NIL) (|UnivariateTaylorSeries| 5756629 5765067 5765920 "UTS" 5768308 NIL UTS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCategory| 5742755 5750576 5750680 "UTSCAT" 5752793 NIL UTSCAT (NIL T) |category| NIL 5754039) (|UnivariateTaylorSeriesCategory&| 5739242 5740055 5741471 "UTSCAT-" 5741476 NIL UTSCAT- (NIL T T) |domain| NIL NIL) (|UnivariateTaylorSeriesFunctions2| 5738550 5738600 5738872 "UTS2" 5739168 NIL UTS2 (NIL T T T T) |package| NIL NIL) (|UnaryRecursiveAggregate| 5729719 5733320 5733410 "URAGG" 5737029 NIL URAGG (NIL T) |category| NIL 5738116) (|UnaryRecursiveAggregate&| 5725390 5726494 5728162 "URAGG-" 5728167 NIL URAGG- (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesWithExponentialSingularity| 5718111 5722747 5723679 "UPXSSING" 5724813 NIL UPXSSING (NIL T T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeries| 5706369 5716601 5717097 "UPXS" 5717717 NIL UPXS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructor| 5696460 5706104 5706306 "UPXSCONS" 5706311 NIL UPXSCONS (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructorCategory| 5681547 5691140 5691315 "UPXSCCA" 5692754 NIL UPXSCCA (NIL T T) |category| NIL 5693168) (|UnivariatePuiseuxSeriesConstructorCategory&| 5680904 5681014 5681390 "UPXSCCA-" 5681395 NIL UPXSCCA- (NIL T T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesCategory| 5666088 5675375 5675481 "UPXSCAT" 5676716 NIL UPXSCAT (NIL T) |category| NIL 5677688) (|UnivariatePuiseuxSeriesFunctions2| 5665116 5665242 5665554 "UPXS2" 5665938 NIL UPXS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariatePolynomialSquareFree| 5662959 5663276 5663844 "UPSQFREE" 5664765 NIL UPSQFREE (NIL T T) |package| NIL NIL) (|UnivariatePowerSeriesCategory| 5653547 5657681 5657813 "UPSCAT" 5660008 NIL UPSCAT (NIL T T) |category| NIL 5661099) (|UnivariatePowerSeriesCategory&| 5652196 5652509 5653110 "UPSCAT-" 5653115 NIL UPSCAT- (NIL T T T) |domain| NIL NIL) (|UnivariatePolynomialCategory| 5628240 5641125 5641225 "UPOLYC" 5645342 NIL UPOLYC (NIL T) |category| NIL 5647435) (|UnivariatePolynomialCategory&| 5612859 5617006 5622686 "UPOLYC-" 5622691 NIL UPOLYC- (NIL T T) |domain| NIL NIL) (|UnivariatePolynomialCategoryFunctions2| 5612157 5612207 5612487 "UPOLYC2" 5612785 NIL UPOLYC2 (NIL T T T T) |package| NIL NIL) (|UnivariatePolynomial| 5598378 5611401 5611654 "UP" 5611990 NIL UP (NIL NIL T) |domain| NIL NIL) (|UnivariatePolynomialMultiplicationPackage| 5597063 5597226 5597578 "UPMP" 5598181 NIL UPMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDivisionPackage| 5596259 5596370 5596658 "UPDIVP" 5596928 NIL UPDIVP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDecompositionPackage| 5593432 5593822 5594451 "UPDECOMP" 5595825 NIL UPDECOMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialCommonDenominator| 5591907 5592065 5592450 "UPCDEN" 5593240 NIL UPCDEN (NIL T T T) |package| NIL NIL) (|UnivariatePolynomialFunctions2| 5591067 5591177 5591447 "UP2" 5591773 NIL UP2 (NIL NIL T NIL T) |package| NIL NIL) (|UniversalSegment| 5588985 5589818 5590253 "UNISEG" 5590694 NIL UNISEG (NIL T) |domain| NIL NIL) (|UniversalSegmentFunctions2| 5587682 5587874 5588215 "UNISEG2" 5588740 NIL UNISEG2 (NIL T T) |package| NIL NIL) (|UnivariateFactorize| 5586124 5586372 5586758 "UNIFACT" 5587400 NIL UNIFACT (NIL T) |package| NIL NIL) (|UnivariateLaurentSeries| 5561973 5584736 5585171 "ULS" 5585791 NIL ULS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructor| 5545115 5561709 5561910 "ULSCONS" 5561915 NIL ULSCONS (NIL T T) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructorCategory| 5519566 5536222 5536396 "ULSCCAT" 5537976 NIL ULSCCAT (NIL T T) |category| NIL 5538466) (|UnivariateLaurentSeriesConstructorCategory&| 5518027 5518350 5519067 "ULSCCAT-" 5519072 NIL ULSCCAT- (NIL T T T) |domain| NIL NIL) (|UnivariateLaurentSeriesCategory| 5502862 5511959 5512065 "ULSCAT" 5513727 NIL ULSCAT (NIL T) |category| NIL 5514889) (|UnivariateLaurentSeriesFunctions2| 5501890 5502016 5502328 "ULS2" 5502712 NIL ULS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariateFormalPowerSeries| 5489860 5498356 5499228 "UFPS" 5501102 NIL UFPS (NIL T) |domain| NIL NIL) (|UnivariateFormalPowerSeriesFunctions| 5489134 5489268 5489528 "UFPS1" 5489702 NIL UFPS1 (NIL T) |package| NIL NIL) (|UniqueFactorizationDomain| 5486553 5487968 5488048 "UFD" 5488453 T UFD (NIL) |category| NIL 5488653) (|UniqueFactorizationDomain&| 5486176 5486241 5486446 "UFD-" 5486451 NIL UFD- (NIL T) |domain| NIL NIL) (|UserDefinedVariableOrdering| 5484624 5484883 5485272 "UDVO" 5485857 T UDVO (NIL) |package| NIL NIL) (|UserDefinedPartialOrdering| 5481221 5481745 5482453 "UDPO" 5484005 NIL UDPO (NIL T) |package| NIL NIL) (|U8Vector| 5475064 5481092 5481170 "U8VEC" 5481175 T U8VEC (NIL) |domain| NIL NIL) (|U8Matrix| 5469345 5474675 5474841 "U8MAT" 5474930 T U8MAT (NIL) |domain| NIL NIL) (|U32Vector| 5463186 5469214 5469294 "U32VEC" 5469299 T U32VEC (NIL) |domain| NIL NIL) (|U32Matrix| 5457448 5462790 5462960 "U32MAT" 5463050 T U32MAT (NIL) |domain| NIL NIL) (|U16Vector| 5451289 5457317 5457397 "U16VEC" 5457402 T U16VEC (NIL) |domain| NIL NIL) (|U16Matrix| 5445551 5450893 5451063 "U16MAT" 5451153 T U16MAT (NIL) |domain| NIL NIL) (|Type| 5445454 5445459 5445497 "TYPE" 5445502 T TYPE (NIL) |category| NIL NIL) (|TwoFactorize| 5442838 5443366 5443997 "TWOFACT" 5444892 NIL TWOFACT (NIL T) |package| NIL NIL) (|Tuple| 5441375 5441838 5442171 "TUPLE" 5442545 NIL TUPLE (NIL T) |domain| NIL NIL) (|TubePlotTools| 5437389 5438261 5439239 "TUBETOOL" 5440439 T TUBETOOL (NIL) |package| NIL NIL) (|TubePlot| 5435454 5435740 5436144 "TUBE" 5437054 NIL TUBE (NIL T) |domain| NIL NIL) (|TaylorSeries| 5427811 5433737 5434207 "TS" 5435038 NIL TS (NIL T) |domain| NIL NIL) (|TriangularSetCategory| 5408093 5413892 5414096 "TSETCAT" 5424875 NIL TSETCAT (NIL T T T T) |category| NIL 5427289) (|TriangularSetCategory&| 5400325 5402490 5405409 "TSETCAT-" 5405414 NIL TSETCAT- (NIL T T T T T) |domain| NIL NIL) (|TranscendentalManipulations| 5390044 5391125 5392584 "TRMANIP" 5399051 NIL TRMANIP (NIL T T) |package| NIL NIL) (|TriangularMatrixOperations| 5388955 5389045 5389367 "TRIMAT" 5389925 NIL TRIMAT (NIL T T T T) |package| NIL NIL) (|TrigonometricManipulations| 5384533 5384827 5385511 "TRIGMNIP" 5388554 NIL TRIGMNIP (NIL T T) |package| NIL NIL) (|TrigonometricFunctionCategory| 5383729 5383842 5383930 "TRIGCAT" 5384359 T TRIGCAT (NIL) |category| NIL NIL) (|TrigonometricFunctionCategory&| 5383248 5383327 5383583 "TRIGCAT-" 5383588 NIL TRIGCAT- (NIL T) |domain| NIL NIL) (|Tree| 5378701 5381414 5381882 "TREE" 5382825 NIL TREE (NIL T) |domain| NIL NIL) (|TranscendentalFunctionCategory| 5377571 5378122 5378212 "TRANFUN" 5378283 T TRANFUN (NIL) |category| NIL 5378501) (|TranscendentalFunctionCategory&| 5376583 5376788 5377236 "TRANFUN-" 5377241 NIL TRANFUN- (NIL T) |domain| NIL NIL) (|TopLevelThreeSpace| 5376174 5376235 5376373 "TOPSP" 5376497 T TOPSP (NIL) |package| NIL NIL) (|ToolsForSign| 5375177 5375332 5375575 "TOOLSIGN" 5375985 NIL TOOLSIGN (NIL T) |package| NIL NIL) (|TextFile| 5373160 5373859 5374255 "TEXTFILE" 5374813 T TEXTFILE (NIL) |domain| NIL NIL) (|TexFormat| 5369969 5370647 5371336 "TEX" 5372505 T TEX (NIL) |domain| NIL NIL) (|TexFormat1| 5369615 5369655 5369776 "TEX1" 5369905 NIL TEX1 (NIL T) |package| NIL NIL) (|TemplateUtilities| 5368954 5369059 5369243 "TEMUTL" 5369481 T TEMUTL (NIL) |package| NIL NIL) (|TabulatedComputationPackage| 5365688 5366081 5366655 "TBCMPPK" 5368492 NIL TBCMPPK (NIL T T) |package| NIL NIL) (|TableAggregate| 5354485 5362817 5362917 "TBAGG" 5363585 NIL TBAGG (NIL T T) |category| NIL 5363885) (|TableAggregate&| 5347780 5349696 5352149 "TBAGG-" 5352154 NIL TBAGG- (NIL T T T) |domain| NIL NIL) (|TangentExpansions| 5346736 5346893 5347149 "TANEXP" 5347589 NIL TANEXP (NIL T) |package| NIL NIL) (|Table| 5338067 5346483 5346641 "TABLE" 5346646 NIL TABLE (NIL T T) |domain| NIL NIL) (|Tableau| 5337168 5337297 5337511 "TABLEAU" 5337904 NIL TABLEAU (NIL T) |domain| NIL NIL) (|TableauxBumpers| 5329892 5331365 5332988 "TABLBUMP" 5335611 NIL TABLBUMP (NIL T) |package| NIL NIL) (|SystemSolvePackage| 5323978 5325066 5326364 "SYSSOLP" 5328670 NIL SYSSOLP (NIL T) |package| NIL NIL) (|SymbolTable| 5319497 5320382 5321413 "SYMTAB" 5322985 T SYMTAB (NIL) |domain| NIL NIL) (|TheSymbolTable| 5311752 5313062 5314722 "SYMS" 5317881 T SYMS (NIL) |domain| NIL NIL) (|SymmetricPolynomial| 5307648 5310786 5311191 "SYMPOLY" 5311415 NIL SYMPOLY (NIL T) |domain| NIL NIL) (|SymmetricFunctions| 5306874 5306974 5307181 "SYMFUNC" 5307507 NIL SYMFUNC (NIL T) |package| NIL NIL) (|Symbol| 5300938 5302648 5303949 "SYMBOL" 5305601 T SYMBOL (NIL) |domain| NIL NIL) (|Switch| 5291964 5294262 5296678 "SWITCH" 5298550 T SWITCH (NIL) |domain| NIL NIL) (|SparseUnivariateTaylorSeries| 5281728 5289885 5290433 "SUTS" 5291528 NIL SUTS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePuiseuxSeries| 5269871 5280164 5280684 "SUPXS" 5281322 NIL SUPXS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePolynomial| 5256106 5269125 5269390 "SUP" 5269688 NIL SUP (NIL T) |domain| NIL NIL) (|SupFractionFactorizer| 5254309 5254574 5255041 "SUPFRACF" 5255812 NIL SUPFRACF (NIL T T T T) |package| NIL NIL) (|SparseUnivariatePolynomialExpressions| 5238986 5253840 5254124 "SUPEXPR" 5254129 NIL SUPEXPR (NIL T) |domain| NIL NIL) (|SparseUnivariatePolynomialFunctions2| 5238204 5238316 5238568 "SUP2" 5238850 NIL SUP2 (NIL T T) |package| NIL NIL) (|RationalFunctionSum| 5235409 5235859 5236504 "SUMRF" 5237691 NIL SUMRF (NIL T) |package| NIL NIL) (|FunctionSpaceSum| 5234042 5234122 5234536 "SUMFS" 5235292 NIL SUMFS (NIL T T) |package| NIL NIL) (|SparseUnivariateLaurentSeries| 5209145 5232612 5233065 "SULS" 5233703 NIL SULS (NIL T NIL NIL) |domain| NIL NIL) (|SuchThat| 5208160 5208399 5208611 "SUCH" 5209007 NIL SUCH (NIL T T) |domain| NIL NIL) (|SubSpace| 5197713 5199291 5201052 "SUBSPACE" 5206470 NIL SUBSPACE (NIL NIL T) |domain| NIL NIL) (|SubResultantPackage| 5196648 5196788 5197094 "SUBRESP" 5197528 NIL SUBRESP (NIL T T) |package| NIL NIL) (|StreamTranscendentalFunctions| 5186727 5188252 5190047 "STTF" 5194969 NIL STTF (NIL T) |package| NIL NIL) (|StreamTranscendentalFunctionsNonCommutative| 5177542 5178851 5180458 "STTFNC" 5185264 NIL STTFNC (NIL T) |package| NIL NIL) (|StreamTaylorSeriesOperations| 5164508 5166907 5169443 "STTAYLOR" 5175092 NIL STTAYLOR (NIL T) |package| NIL NIL) (|StringTable| 5155308 5164252 5164407 "STRTBL" 5164412 NIL STRTBL (NIL T) |domain| NIL NIL) (|String| 5148178 5155235 5155283 "STRING" 5155288 T STRING (NIL) |domain| NIL NIL) (|StringCategory| 5140009 5146980 5147038 "STRICAT" 5147134 T STRICAT (NIL) |category| |String| 5147250) (|Stream| 5129245 5136062 5137056 "STREAM" 5139057 NIL STREAM (NIL T) |domain| NIL NIL) (|StreamFunctions3| 5128540 5128633 5128840 "STREAM3" 5129128 NIL STREAM3 (NIL T T T) |package| NIL NIL) (|StreamFunctions2| 5127081 5127304 5127637 "STREAM2" 5128283 NIL STREAM2 (NIL T T) |package| NIL NIL) (|StreamFunctions1| 5126610 5126674 5126824 "STREAM1" 5126993 NIL STREAM1 (NIL T) |package| NIL NIL) (|StreamTensor| 5126074 5126161 5126326 "STNSR" 5126499 NIL STNSR (NIL T) |package| NIL NIL) (|StreamInfiniteProduct| 5124276 5124553 5124983 "STINPROD" 5125758 NIL STINPROD (NIL T) |package| NIL NIL) (|StepThrough| 5123667 5123892 5123944 "STEP" 5124066 T STEP (NIL) |category| NIL 5124194) (|SparseTable| 5115096 5123512 5123632 "STBL" 5123637 NIL STBL (NIL T T NIL) |domain| NIL NIL) (|StreamAggregate| 5108079 5113833 5113907 "STAGG" 5114180 NIL STAGG (NIL T) |category| NIL 5114366) (|StreamAggregate&| 5104973 5105704 5106935 "STAGG-" 5106940 NIL STAGG- (NIL T T) |domain| NIL NIL) (|Stack| 5094976 5097138 5098848 "STACK" 5103310 NIL STACK (NIL T) |domain| NIL NIL) (|SquareFreeRegularTriangularSet| 5083912 5091498 5092307 "SREGSET" 5094367 NIL SREGSET (NIL T T T T) |domain| NIL NIL) (|SquareFreeRegularSetDecompositionPackage| 5071288 5073120 5075410 "SRDCMPK" 5081910 NIL SRDCMPK (NIL T T T T T) |package| NIL NIL) (|StringAggregate| 5059834 5066808 5066868 "SRAGG" 5069112 T SRAGG (NIL) |category| NIL 5070183) (|StringAggregate&| 5058327 5058690 5059296 "SRAGG-" 5059301 NIL SRAGG- (NIL T) |domain| NIL NIL) (|SquareMatrix| 5050132 5056582 5057263 "SQMATRIX" 5057728 NIL SQMATRIX (NIL NIL T) |domain| NIL NIL) (|SplittingTree| 5040226 5044557 5045742 "SPLTREE" 5049077 NIL SPLTREE (NIL T T) |domain| NIL NIL) (|SplittingNode| 5033780 5034627 5035630 "SPLNODE" 5039353 NIL SPLNODE (NIL T T) |domain| NIL NIL) (|SpecialFunctionCategory| 5032226 5032494 5032570 "SPFCAT" 5033411 T SPFCAT (NIL) |category| NIL NIL) (|SpecialOutputPackage| 5029985 5030298 5030796 "SPECOUT" 5031784 T SPECOUT (NIL) |package| NIL NIL) (|ThreeSpaceCategory| 5017129 5019581 5019661 "SPACEC" 5027012 NIL SPACEC (NIL T) |category| |ThreeSpace| 5029903) (|ThreeSpace| 5014550 5017016 5017095 "SPACE3" 5017100 NIL SPACE3 (NIL T) |domain| NIL NIL) (|SortPackage| 5012389 5012619 5013105 "SORTPAK" 5014250 NIL SORTPAK (NIL T T) |package| NIL NIL) (|TransSolvePackage| 5008927 5009385 5010119 "SOLVETRA" 5011848 NIL SOLVETRA (NIL T) |package| NIL NIL) (|TransSolvePackageService| 5006793 5007271 5007890 "SOLVESER" 5008420 NIL SOLVESER (NIL T) |package| NIL NIL) (|RadicalSolvePackage| 4998439 4999806 5001532 "SOLVERAD" 5005193 NIL SOLVERAD (NIL T) |package| NIL NIL) (|PolynomialSolveByFormulas| 4991791 4992497 4993543 "SOLVEFOR" 4997592 NIL SOLVEFOR (NIL T T) |package| NIL NIL) (|SquareFreeNormalizedTriangularSetCategory| 4983561 4990646 4990885 "SNTSCAT" 4990890 NIL SNTSCAT (NIL T T T T) |category| NIL 4991027) (|SparseMultivariateTaylorSeries| 4974709 4980528 4981184 "SMTS" 4983079 NIL SMTS (NIL T T T) |domain| NIL NIL) (|SparseMultivariatePolynomial| 4966100 4974478 4974644 "SMP" 4974649 NIL SMP (NIL T T) |domain| NIL NIL) (|SmithNormalForm| 4963173 4963543 4964139 "SMITH" 4965686 NIL SMITH (NIL T T T T) |package| NIL NIL) (|SquareMatrixCategory| 4952128 4958161 4958359 "SMATCAT" 4960901 NIL SMATCAT (NIL NIL T T T) |category| NIL 4961741) (|SquareMatrixCategory&| 4947351 4948501 4950428 "SMATCAT-" 4950433 NIL SMATCAT- (NIL T NIL T T T) |domain| NIL NIL) (|StackAggregate| 4944104 4946210 4946282 "SKAGG" 4946700 NIL SKAGG (NIL T) |category| NIL 4946923) (|SingleInteger| 4938613 4942729 4943169 "SINT" 4943706 T SINT (NIL) |domain| NIL NIL) (|SimplifyAlgebraicNumberConvertPackage| 4938095 4938165 4938349 "SIMPAN" 4938519 T SIMPAN (NIL) |package| NIL NIL) (|RationalFunctionSign| 4936149 4936495 4936968 "SIGNRF" 4937697 NIL SIGNRF (NIL T) |package| NIL NIL) (|ElementaryFunctionSign| 4933934 4934140 4934692 "SIGNEF" 4935891 NIL SIGNEF (NIL T T) |package| NIL NIL) (|SturmHabichtPackage| 4929448 4930291 4931286 "SHP" 4933040 NIL SHP (NIL T NIL) |package| NIL NIL) (|SplitHomogeneousDirectProduct| 4920724 4929206 4929406 "SHDP" 4929411 NIL SHDP (NIL NIL NIL T) |domain| NIL NIL) (|SemiGroup| 4919963 4920207 4920255 "SGROUP" 4920493 T SGROUP (NIL) |category| NIL 4920642) (|SemiGroup&| 4919601 4919675 4919844 "SGROUP-" 4919849 NIL SGROUP- (NIL T) |domain| NIL NIL) (|SymmetricGroupCombinatoricFunctions| 4913848 4914991 4916318 "SGCF" 4918360 T SGCF (NIL) |package| NIL NIL) (|SquareFreeRegularTriangularSetCategory| 4905825 4912910 4913143 "SFRTCAT" 4913148 NIL SFRTCAT (NIL T T T T) |category| |SquareFreeRegularTriangularSet| 4913215) (|SquareFreeRegularTriangularSetGcdPackage| 4893838 4895275 4897145 "SFRGCD" 4904233 NIL SFRGCD (NIL T T T T T) |package| NIL NIL) (|SquareFreeQuasiComponentPackage| 4881595 4883092 4884980 "SFQCMPK" 4892210 NIL SFQCMPK (NIL T T T T T) |package| NIL NIL) (|SimpleFortranProgram| 4880892 4881027 4881252 "SFORT" 4881474 NIL SFORT (NIL T T) |domain| NIL NIL) (|SExpressionOf| 4879806 4880640 4880837 "SEXOF" 4880842 NIL SEXOF (NIL T T T T T) |domain| NIL NIL) (|SExpression| 4878641 4879583 4879711 "SEX" 4879716 T SEX (NIL) |domain| NIL NIL) (|SExpressionCategory| 4869604 4870432 4870605 "SEXCAT" 4877633 NIL SEXCAT (NIL T T T T T) |category| NIL 4878559) (|Set| 4865608 4869498 4869570 "SET" 4869575 NIL SET (NIL T) |domain| NIL NIL) (|SetOfMIntegersInOneToN| 4862403 4863160 4863784 "SETMN" 4865094 NIL SETMN (NIL NIL NIL) |domain| NIL NIL) (|SetCategory| 4861799 4861955 4862007 "SETCAT" 4862192 T SETCAT (NIL) |category| NIL 4862343) (|SetCategory&| 4861459 4861527 4861691 "SETCAT-" 4861696 NIL SETCAT- (NIL T) |domain| NIL NIL) (|SetCategoryWithDegree| 4860907 4861103 4861175 "SETCATD" 4861286 T SETCATD (NIL) |category| NIL 4861377) (|SetAggregate| 4855511 4858424 4858499 "SETAGG" 4859942 NIL SETAGG (NIL T) |category| NIL 4860473) (|SetAggregate&| 4854741 4854882 4855239 "SETAGG-" 4855244 NIL SETAGG- (NIL T T) |domain| NIL NIL) (|SegmentExpansionCategory| 4853528 4853850 4853980 "SEGXCAT" 4854513 NIL SEGXCAT (NIL T T) |category| NIL 4854692) (|Segment| 4852269 4853011 4853289 "SEG" 4853294 NIL SEG (NIL T) |domain| NIL NIL) (|SegmentCategory| 4850711 4850941 4851015 "SEGCAT" 4851927 NIL SEGCAT (NIL T) |category| NIL 4852251) (|SegmentBinding| 4849323 4849751 4850057 "SEGBIND" 4850463 NIL SEGBIND (NIL T) |domain| NIL NIL) (|SegmentBindingFunctions2| 4848673 4848761 4848965 "SEGBIND2" 4849211 NIL SEGBIND2 (NIL T T) |package| NIL NIL) (|SegmentFunctions2| 4847522 4847685 4847979 "SEG2" 4848457 NIL SEG2 (NIL T T) |package| NIL NIL) (|SequentialDifferentialVariable| 4846698 4847343 4847478 "SDVAR" 4847483 NIL SDVAR (NIL T) |domain| NIL NIL) (|SequentialDifferentialPolynomial| 4833383 4846117 4846452 "SDPOL" 4846457 NIL SDPOL (NIL T) |domain| NIL NIL) (|StochasticDifferential| 4826142 4827690 4828921 "SD" 4832260 NIL SD (NIL T) |domain| NIL NIL) (|StructuralConstantsPackage| 4823750 4824142 4824704 "SCPKG" 4825663 NIL SCPKG (NIL T) |package| NIL NIL) (|SortedCache| 4822495 4822673 4822967 "SCACHE" 4823515 NIL SCACHE (NIL T) |package| NIL NIL) (|SingletonAsOrderedSet| 4821694 4822061 4822226 "SAOS" 4822388 T SAOS (NIL) |domain| NIL NIL) (|SAERationalFunctionAlgFactor| 4820818 4820862 4821236 "SAERFFC" 4821626 NIL SAERFFC (NIL T T T) |package| NIL NIL) (|SimpleAlgebraicExtension| 4811995 4820607 4820781 "SAE" 4820786 NIL SAE (NIL T T NIL) |domain| NIL NIL) (|SimpleAlgebraicExtensionAlgFactor| 4811164 4811208 4811562 "SAEFACT" 4811927 NIL SAEFACT (NIL T T T) |package| NIL NIL) (|RationalUnivariateRepresentationPackage| 4808093 4808626 4809385 "RURPK" 4810581 NIL RURPK (NIL T NIL) |package| NIL NIL) (|Ruleset| 4805919 4806267 4806765 "RULESET" 4807843 NIL RULESET (NIL T T T) |domain| NIL NIL) (|RewriteRule| 4801311 4801949 4802685 "RULE" 4805439 NIL RULE (NIL T T T) |domain| NIL NIL) (|RuleCalled| 4800803 4800992 4801124 "RULECOLD" 4801231 NIL RULECOLD (NIL NIL) |domain| NIL NIL) (|RegularTriangularSetGcdPackage| 4791717 4792806 4794283 "RSETGCD" 4799584 NIL RSETGCD (NIL T T T T T) |package| NIL NIL) (|RegularTriangularSetCategory| 4773710 4780795 4781008 "RSETCAT" 4789442 NIL RSETCAT (NIL T T T T) |category| NIL 4791143) (|RegularTriangularSetCategory&| 4770660 4771363 4772662 "RSETCAT-" 4772667 NIL RSETCAT- (NIL T T T T T) |domain| NIL NIL) (|RegularSetDecompositionPackage| 4758259 4760103 4762375 "RSDCMPK" 4768646 NIL RSDCMPK (NIL T T T T T) |package| NIL NIL) (|RealRootCharacterizationCategory| 4754670 4755247 4755425 "RRCC" 4757645 NIL RRCC (NIL T T) |category| |RightOpenIntervalRootCharacterization| 4758177) (|RealRootCharacterizationCategory&| 4753639 4753870 4754376 "RRCC-" 4754381 NIL RRCC- (NIL T T T) |domain| NIL NIL) (|RecursivePolynomialCategory| 4708545 4722850 4723001 "RPOLCAT" 4744331 NIL RPOLCAT (NIL T T T) |category| NIL 4749486) (|RecursivePolynomialCategory&| 4695625 4698881 4703806 "RPOLCAT-" 4703811 NIL RPOLCAT- (NIL T T T T) |domain| NIL NIL) (|RoutinesTable| 4682196 4692231 4693183 "ROUTINE" 4694715 T ROUTINE (NIL) |domain| NIL NIL) (|RomanNumeral| 4677512 4681405 4681687 "ROMAN" 4681954 T ROMAN (NIL) |domain| NIL NIL) (|RightOpenIntervalRootCharacterization| 4674514 4675261 4675751 "ROIRC" 4677195 NIL ROIRC (NIL T T) |domain| NIL NIL) (|RealNumberSystem| 4668876 4672070 4672132 "RNS" 4672662 T RNS (NIL) |category| NIL 4673153) (|RealNumberSystem&| 4666476 4667031 4667914 "RNS-" 4668069 NIL RNS- (NIL T) |domain| NIL NIL) (|Rng| 4665670 4666182 4666218 "RNG" 4666223 T RNG (NIL) |category| NIL 4666264) (|RightModule| 4664806 4665250 4665315 "RMODULE" 4665405 NIL RMODULE (NIL T) |category| NIL 4665478) (|RectangularMatrixCategoryFunctions2| 4662724 4662835 4663430 "RMCAT2" 4664666 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) |package| NIL NIL) (|RectangularMatrix| 4657851 4661312 4661865 "RMATRIX" 4662291 NIL RMATRIX (NIL NIL NIL T) |domain| NIL NIL) (|RectangularMatrixCategory| 4645974 4649095 4649331 "RMATCAT" 4655763 NIL RMATCAT (NIL NIL NIL T T T) |category| NIL 4657279) (|RectangularMatrixCategory&| 4644864 4645095 4645672 "RMATCAT-" 4645677 NIL RMATCAT- (NIL T NIL NIL T T T) |domain| NIL NIL) (|RationalInterpolation| 4644068 4644201 4644447 "RINTERP" 4644707 NIL RINTERP (NIL NIL T) |package| NIL NIL) (|Ring| 4642652 4643397 4643435 "RING" 4643620 T RING (NIL) |category| NIL 4643802) (|Ring&| 4642339 4642399 4642543 "RING-" 4642548 NIL RING- (NIL T) |domain| NIL NIL) (|RandomIntegerDistributions| 4640391 4640739 4641196 "RIDIST" 4641950 T RIDIST (NIL) |package| NIL NIL) (|RegularChain| 4621870 4639272 4639716 "RGCHAIN" 4640031 NIL RGCHAIN (NIL T NIL) |domain| NIL NIL) (|RootsFindingPackage| 4619765 4620157 4620658 "RFP" 4621438 NIL RFP (NIL T) |package| NIL NIL) (|RationalFunction| 4614500 4615516 4616695 "RF" 4618658 NIL RF (NIL T) |package| NIL NIL) (|RationalFunctionFactorizer| 4613801 4613909 4614134 "RFFACTOR" 4614368 NIL RFFACTOR (NIL T) |package| NIL NIL) (|RationalFunctionFactor| 4613283 4613327 4613533 "RFFACT" 4613733 NIL RFFACT (NIL T) |package| NIL NIL) (|RandomFloatDistributions| 4609761 4610377 4611131 "RFDIST" 4612593 T RFDIST (NIL) |package| NIL NIL) (|RetractSolvePackage| 4608812 4608952 4609250 "RETSOL" 4609597 NIL RETSOL (NIL T T) |package| NIL NIL) (|RetractableTo| 4608190 4608291 4608361 "RETRACT" 4608663 NIL RETRACT (NIL T) |category| NIL NIL) (|RetractableTo&| 4607960 4607989 4608130 "RETRACT-" 4608135 NIL RETRACT- (NIL T T) |domain| NIL NIL) (|Result| 4597904 4607320 4607560 "RESULT" 4607748 T RESULT (NIL) |domain| NIL NIL) (|ResidueRing| 4595777 4596651 4596974 "RESRING" 4597749 NIL RESRING (NIL T T T T NIL) |domain| NIL NIL) (|ResolveLatticeCompletion| 4595193 4595248 4595422 "RESLATC" 4595681 NIL RESLATC (NIL T) |package| NIL NIL) (|RepeatedSquaring| 4594686 4594734 4594927 "REPSQ" 4595120 NIL REPSQ (NIL T) |package| NIL NIL) (|RadicalEigenPackage| 4590133 4591114 4592203 "REP" 4593651 T REP (NIL) |package| NIL NIL) (|RepeatedDoubling| 4589618 4589668 4589863 "REPDB" 4590058 NIL REPDB (NIL T) |package| NIL NIL) (|RepresentationPackage2| 4580141 4582009 4583862 "REP2" 4587839 NIL REP2 (NIL T) |package| NIL NIL) (|RepresentationPackage1| 4573803 4574858 4576293 "REP1" 4578780 NIL REP1 (NIL T) |package| NIL NIL) (|RegularTriangularSet| 4562880 4570465 4571244 "REGSET" 4573204 NIL REGSET (NIL T T T T) |domain| NIL NIL) (|Reference| 4561279 4561684 4562029 "REF" 4562583 NIL REF (NIL T) |domain| NIL NIL) (|ReductionOfOrder| 4560267 4560386 4560670 "REDORDER" 4561115 NIL REDORDER (NIL T T) |package| NIL NIL) (|RecurrenceOperator| 4554710 4555363 4556383 "RECOP" 4559561 NIL RECOP (NIL T T) |package| NIL NIL) (|RealClosure| 4548168 4553020 4553527 "RECLOS" 4554298 NIL RECLOS (NIL T) |domain| NIL NIL) (|RealSolvePackage| 4546641 4546908 4547267 "REALSOLV" 4547857 T REALSOLV (NIL) |package| NIL NIL) (|RealConstant| 4546376 4546433 4546487 "REAL" 4546492 T REAL (NIL) |category| NIL 4546564) (|RealZeroPackageQ| 4540761 4541959 4543370 "REAL0Q" 4545076 NIL REAL0Q (NIL T) |package| NIL NIL) (|RealZeroPackage| 4533687 4535170 4536861 "REAL0" 4539166 NIL REAL0 (NIL T) |package| NIL NIL) (|ReducedDivisor| 4532621 4532729 4533100 "RDIV" 4533555 NIL RDIV (NIL T T T T T) |package| NIL NIL) (|RandomDistributions| 4531127 4531369 4531720 "RDIST" 4532345 NIL RDIST (NIL T) |package| NIL NIL) (|TranscendentalRischDESystem| 4528940 4529325 4529929 "RDETRS" 4530713 NIL RDETRS (NIL T T) |package| NIL NIL) (|TranscendentalRischDE| 4525753 4526327 4527113 "RDETR" 4528332 NIL RDETR (NIL T T) |package| NIL NIL) (|ElementaryRischDESystem| 4523647 4523997 4524671 "RDEEFS" 4525379 NIL RDEEFS (NIL T T) |package| NIL NIL) (|ElementaryRischDE| 4521426 4521807 4522500 "RDEEF" 4523242 NIL RDEEF (NIL T T) |package| NIL NIL) (|RealClosedField| 4511854 4516166 4516226 "RCFIELD" 4518552 T RCFIELD (NIL) |category| NIL 4519965) (|RealClosedField&| 4508429 4509284 4510529 "RCFIELD-" 4510682 NIL RCFIELD- (NIL T) |domain| NIL NIL) (|RecursiveAggregate| 4502967 4505454 4505534 "RCAGG" 4507349 NIL RCAGG (NIL T) |category| NIL 4508029) (|RecursiveAggregate&| 4502456 4502561 4502812 "RCAGG-" 4502817 NIL RCAGG- (NIL T T) |domain| NIL NIL) (|RationalRetractions| 4501305 4501469 4501770 "RATRET" 4502257 NIL RATRET (NIL T) |package| NIL NIL) (|RationalFactorize| 4500482 4500577 4500814 "RATFACT" 4501181 NIL RATFACT (NIL T) |package| NIL NIL) (|RandomNumberSource| 4499346 4499506 4499774 "RANDSRC" 4500266 T RANDSRC (NIL) |package| NIL NIL) (|RadixUtilities| 4498899 4498963 4499096 "RADUTIL" 4499257 T RADUTIL (NIL) |package| NIL NIL) (|RadixExpansion| 4487745 4496751 4497314 "RADIX" 4498397 NIL RADIX (NIL NIL) |domain| NIL NIL) (|RadicalFunctionField| 4475041 4487415 4487698 "RADFF" 4487703 NIL RADFF (NIL T T T NIL NIL) |domain| NIL NIL) (|RadicalCategory| 4474481 4474577 4474637 "RADCAT" 4474900 T RADCAT (NIL) |category| NIL NIL) (|RadicalCategory&| 4474149 4474207 4474378 "RADCAT-" 4474383 NIL RADCAT- (NIL T) |domain| NIL NIL) (|Queue| 4463765 4465991 4467767 "QUEUE" 4472420 NIL QUEUE (NIL T) |domain| NIL NIL) (|Quaternion| 4458880 4463641 4463731 "QUAT" 4463736 NIL QUAT (NIL T) |domain| NIL NIL) (|QuaternionCategoryFunctions2| 4458204 4458254 4458516 "QUATCT2" 4458806 NIL QUATCT2 (NIL T T T T) |package| NIL NIL) (|QuaternionCategory| 4448570 4453269 4453360 "QUATCAT" 4454873 NIL QUATCAT (NIL T) |category| |Quaternion| 4456088) (|QuaternionCategory&| 4442719 4444117 4446298 "QUATCAT-" 4446501 NIL QUATCAT- (NIL T T) |domain| NIL NIL) (|QueueAggregate| 4439150 4441312 4441384 "QUAGG" 4442001 NIL QUAGG (NIL T) |category| NIL 4442291) (|QuadraticForm| 4437527 4438124 4438419 "QFORM" 4438937 NIL QFORM (NIL NIL T) |domain| NIL NIL) (|QuotientFieldCategory| 4423265 4431168 4431264 "QFCAT" 4432597 NIL QFCAT (NIL T) |category| NIL 4434242) (|QuotientFieldCategory&| 4416244 4417953 4420565 "QFCAT-" 4420773 NIL QFCAT- (NIL T T) |domain| NIL NIL) (|QuotientFieldCategoryFunctions2| 4415551 4415601 4415873 "QFCAT2" 4416170 NIL QFCAT2 (NIL T T T T) |package| NIL NIL) (|QueryEquation| 4414695 4414840 4415065 "QEQUAT" 4415368 T QEQUAT (NIL) |domain| NIL NIL) (|QuasiComponentPackage| 4402652 4404149 4406017 "QCMPACK" 4413067 NIL QCMPACK (NIL T T T T T) |package| NIL NIL) (|QuasiAlgebraicSet| 4398324 4398905 4399636 "QALGSET" 4402086 NIL QALGSET (NIL T T T T) |domain| NIL NIL) (|QuasiAlgebraicSet2| 4396585 4396995 4397534 "QALGSET2" 4397890 NIL QALGSET2 (NIL NIL NIL) |package| NIL NIL) (|PAdicWildFunctionFieldIntegralBasis| 4394275 4394571 4395138 "PWFFINTB" 4396255 NIL PWFFINTB (NIL T T T T) |package| NIL NIL) (|PushVariables| 4391300 4391495 4392048 "PUSHVAR" 4394012 NIL PUSHVAR (NIL T T T T) |package| NIL NIL) (|PartialTranscendentalFunctions| 4384112 4385480 4385610 "PTRANFN" 4389706 NIL PTRANFN (NIL T) |category| NIL NIL) (|PointPackage| 4381808 4382154 4382618 "PTPACK" 4383702 NIL PTPACK (NIL T) |package| NIL NIL) (|PointFunctions2| 4381257 4381327 4381495 "PTFUNC2" 4381714 NIL PTFUNC2 (NIL T T) |package| NIL NIL) (|PointCategory| 4373409 4379423 4379493 "PTCAT" 4380094 NIL PTCAT (NIL T) |category| |Point| 4380347) (|PolynomialSquareFree| 4372765 4372813 4373056 "PSQFR" 4373337 NIL PSQFR (NIL T T T T) |package| NIL NIL) (|PseudoLinearNormalForm| 4370590 4371006 4371531 "PSEUDLIN" 4372315 NIL PSEUDLIN (NIL T) |package| NIL NIL) (|PolynomialSetUtilitiesPackage| 4346480 4349938 4353743 "PSETPK" 4366988 NIL PSETPK (NIL T T T T) |package| NIL NIL) (|PolynomialSetCategory| 4334602 4338483 4338677 "PSETCAT" 4344740 NIL PSETCAT (NIL T T T T) |category| NIL 4346010) (|PolynomialSetCategory&| 4331358 4332235 4333531 "PSETCAT-" 4333536 NIL PSETCAT- (NIL T T T T T) |domain| NIL NIL) (|PlottableSpaceCurveCategory| 4330178 4330426 4330510 "PSCURVE" 4331023 T PSCURVE (NIL) |category| |Plot3D| 4331318) (|PowerSeriesCategory| 4324454 4326507 4326639 "PSCAT" 4328251 NIL PSCAT (NIL T T T) |category| NIL 4328633) (|PowerSeriesCategory&| 4323147 4323411 4324012 "PSCAT-" 4324017 NIL PSCAT- (NIL T T T T) |domain| NIL NIL) (|Partition| 4321176 4321957 4322331 "PRTITION" 4322807 T PRTITION (NIL) |domain| NIL NIL) (|ProjectiveSpaceCategory| 4316322 4317219 4317310 "PRSPCAT" 4320101 NIL PRSPCAT (NIL T) |category| NIL 4321062) (|PseudoRemainderSequence| 4297715 4300878 4304308 "PRS" 4313021 NIL PRS (NIL T T) |package| NIL NIL) (|PriorityQueueAggregate| 4294634 4296693 4296787 "PRQAGG" 4297119 NIL PRQAGG (NIL T) |category| |Heap| 4297287) (|ProjectiveSpace| 4293568 4294472 4294595 "PROJSP" 4294600 NIL PROJSP (NIL NIL T) |domain| NIL NIL) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| 4291976 4293262 4293489 "PROJPLPS" 4293494 NIL PROJPLPS (NIL T) |domain| NIL NIL) (|ProjectivePlane| 4290916 4291842 4291937 "PROJPL" 4291942 NIL PROJPL (NIL T) |domain| NIL NIL) (|Product| 4281940 4288167 4289373 "PRODUCT" 4289782 NIL PRODUCT (NIL T T) |domain| NIL NIL) (|PolynomialRing| 4277965 4280997 4281395 "PR" 4281630 NIL PR (NIL T T) |domain| NIL NIL) (|ProjectiveAlgebraicSetPackage| 4275212 4275451 4276013 "PRJALGPK" 4277687 NIL PRJALGPK (NIL T NIL T T T) |package| NIL NIL) (|PrintPackage| 4274874 4274917 4275025 "PRINT" 4275144 T PRINT (NIL) |package| NIL NIL) (|IntegerPrimesPackage| 4273761 4273903 4274169 "PRIMES" 4274693 NIL PRIMES (NIL T) |package| NIL NIL) (|PrimitiveElement| 4270483 4271115 4271918 "PRIMELT" 4273053 NIL PRIMELT (NIL T) |package| NIL NIL) (|PrimitiveFunctionCategory| 4269985 4270053 4270133 "PRIMCAT" 4270363 T PRIMCAT (NIL) |category| NIL NIL) (|PrimitiveArray| 4264557 4269844 4269941 "PRIMARR" 4269946 NIL PRIMARR (NIL T) |domain| NIL NIL) (|PrimitiveArrayFunctions2| 4262898 4263161 4263550 "PRIMARR2" 4264260 NIL PRIMARR2 (NIL T T) |package| NIL NIL) (|PrecomputedAssociatedEquations| 4262118 4262214 4262491 "PREASSOC" 4262778 NIL PREASSOC (NIL T T) |package| NIL NIL) (|PlottablePlaneCurveCategory| 4261161 4261361 4261445 "PPCURVE" 4261836 T PPCURVE (NIL) |category| NIL 4262078) (|U32VectorPolynomialOperations| 4251091 4252987 4255135 "POLYVEC" 4259087 T POLYVEC (NIL) |package| NIL NIL) (|PolynomialRoots| 4246681 4247283 4248238 "POLYROOT" 4250434 NIL POLYROOT (NIL T T T T T) |package| NIL NIL) (|Polynomial| 4237269 4246035 4246293 "POLY" 4246473 NIL POLY (NIL T) |domain| NIL NIL) (|PolynomialCategoryLifting| 4236221 4236293 4236703 "POLYLIFT" 4237173 NIL POLYLIFT (NIL T T T T T) |package| NIL NIL) (|PolynomialCategoryQuotientFunctions| 4229714 4230375 4231443 "POLYCATQ" 4235481 NIL POLYCATQ (NIL T T T T T) |package| NIL NIL) (|PolynomialCategory| 4207404 4215600 4215733 "POLYCAT" 4222629 NIL POLYCAT (NIL T T T) |category| NIL 4225883) (|PolynomialCategory&| 4196933 4199753 4203658 "POLYCAT-" 4203663 NIL POLYCAT- (NIL T T T T) |domain| NIL NIL) (|PolynomialToUnivariatePolynomial| 4196159 4196272 4196519 "POLY2UP" 4196796 NIL POLY2UP (NIL NIL T) |package| NIL NIL) (|PolynomialFunctions2| 4195553 4195633 4195821 "POLY2" 4196055 NIL POLY2 (NIL T T) |package| NIL NIL) (|RealPolynomialUtilitiesPackage| 4193063 4193438 4193957 "POLUTIL" 4195168 NIL POLUTIL (NIL T T) |package| NIL NIL) (|PolToPol| 4189598 4190225 4190972 "POLTOPOL" 4192387 NIL POLTOPOL (NIL NIL T) |package| NIL NIL) (|Point| 4183411 4189505 4189569 "POINT" 4189574 NIL POINT (NIL T) |domain| NIL NIL) (|PolynomialNumberTheoryFunctions| 4179463 4180187 4181053 "PNTHEORY" 4182623 T PNTHEORY (NIL) |package| NIL NIL) (|PatternMatchTools| 4176700 4177199 4177917 "PMTOOLS" 4178935 NIL PMTOOLS (NIL T T T) |package| NIL NIL) (|PatternMatchSymbol| 4175950 4176083 4176313 "PMSYM" 4176543 NIL PMSYM (NIL T) |package| NIL NIL) (|PatternMatchQuotientFieldCategory| 4174970 4175085 4175457 "PMQFCAT" 4175811 NIL PMQFCAT (NIL T T T) |package| NIL NIL) (|AttachPredicates| 4173867 4174040 4174317 "PMPRED" 4174755 NIL PMPRED (NIL T) |package| NIL NIL) (|FunctionSpaceAttachPredicates| 4172816 4172933 4173228 "PMPREDFS" 4173708 NIL PMPREDFS (NIL T T T) |package| NIL NIL) (|PatternMatchPolynomialCategory| 4170292 4170641 4171353 "PMPLCAT" 4172405 NIL PMPLCAT (NIL T T T T T) |package| NIL NIL) (|PatternMatchListAggregate| 4169403 4169536 4169839 "PMLSAGG" 4170135 NIL PMLSAGG (NIL T T T) |package| NIL NIL) (|PatternMatchKernel| 4168437 4168563 4168907 "PMKERNEL" 4169253 NIL PMKERNEL (NIL T T) |package| NIL NIL) (|PatternMatchIntegerNumberSystem| 4167640 4167776 4168043 "PMINS" 4168277 NIL PMINS (NIL T) |package| NIL NIL) (|PatternMatchFunctionSpace| 4166540 4166655 4167084 "PMFS" 4167501 NIL PMFS (NIL T T T) |package| NIL NIL) (|PatternMatchPushDown| 4165111 4165308 4165695 "PMDOWN" 4166314 NIL PMDOWN (NIL T T T) |package| NIL NIL) (|PatternMatchAssertions| 4163638 4163882 4164225 "PMASS" 4164828 T PMASS (NIL) |package| NIL NIL) (|FunctionSpaceAssertions| 4162415 4162547 4162828 "PMASSFS" 4163467 NIL PMASSFS (NIL T T) |package| NIL NIL) (|PolynomialPackageForCurve| 4158068 4158417 4159129 "PLPKCRV" 4161952 NIL PLPKCRV (NIL T T T NIL T) |package| NIL NIL) (|PlotTools| 4157490 4157596 4157760 "PLOTTOOL" 4157938 T PLOTTOOL (NIL) |package| NIL NIL) (|Plot| 4148092 4150123 4152272 "PLOT" 4155365 T PLOT (NIL) |domain| NIL NIL) (|Plot3D| 4140626 4142417 4144189 "PLOT3D" 4146348 T PLOT3D (NIL) |domain| NIL NIL) (|PlotFunctions1| 4138859 4139102 4139488 "PLOT1" 4140321 NIL PLOT1 (NIL T) |package| NIL NIL) (|ParametricLinearEquations| 4099952 4106347 4113341 "PLEQN" 4132122 NIL PLEQN (NIL T T T T) |package| NIL NIL) (|Plcs| 4098930 4099809 4099917 "PLCS" 4099922 NIL PLCS (NIL T T) |domain| NIL NIL) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| 4097365 4098498 4098779 "PLACESPS" 4098784 NIL PLACESPS (NIL T) |domain| NIL NIL) (|Places| 4096212 4097185 4097294 "PLACES" 4097299 NIL PLACES (NIL T) |domain| NIL NIL) (|PlacesCategory| 4090748 4091621 4091734 "PLACESC" 4095235 NIL PLACESC (NIL T T) |category| NIL 4096098) (|PolynomialInterpolation| 4089543 4089738 4090071 "PINTERP" 4090508 NIL PINTERP (NIL NIL T) |package| NIL NIL) (|PolynomialInterpolationAlgorithms| 4088929 4088998 4089231 "PINTERPA" 4089450 NIL PINTERPA (NIL T T) |package| NIL NIL) (|PositiveInteger| 4087870 4088552 4088733 "PI" 4088794 T PI (NIL) |domain| NIL NIL) (|PrincipalIdealDomain| 4085349 4086793 4086863 "PID" 4087170 T PID (NIL) |category| NIL 4087389) (|PiCoercions| 4084887 4084935 4085093 "PICOERCE" 4085277 NIL PICOERCE (NIL T) |package| NIL NIL) (|PolyGroebner| 4083779 4083985 4084280 "PGROEB" 4084651 NIL PGROEB (NIL T) |package| NIL NIL) (|PermutationGroupExamples| 4074892 4076412 4078305 "PGE" 4081950 T PGE (NIL) |package| NIL NIL) (|PolynomialGcdPackage| 4071140 4071585 4072316 "PGCD" 4074338 NIL PGCD (NIL T T T T) |package| NIL NIL) (|PartialFractionPackage| 4069894 4070055 4070382 "PFRPAC" 4070930 NIL PFRPAC (NIL T) |package| NIL NIL) (|PartialFraction| 4064428 4067178 4067828 "PFR" 4069315 NIL PFR (NIL T) |domain| NIL NIL) (|PointsOfFiniteOrderTools| 4061503 4061837 4062414 "PFOTOOLS" 4064034 NIL PFOTOOLS (NIL T T) |package| NIL NIL) (|PackageForPoly| 4051981 4052965 4054274 "PFORP" 4060382 NIL PFORP (NIL T T T NIL) |package| NIL NIL) (|PointsOfFiniteOrderRational| 4049221 4049602 4050272 "PFOQ" 4051566 NIL PFOQ (NIL T T T) |package| NIL NIL) (|PointsOfFiniteOrder| 4046405 4046726 4047386 "PFO" 4048866 NIL PFO (NIL T T T T T) |package| NIL NIL) (|PrimeField| 4041000 4046139 4046300 "PF" 4046305 NIL PF (NIL NIL) |domain| NIL NIL) (|PolynomialFactorizationExplicit| 4036036 4038147 4038239 "PFECAT" 4039580 T PFECAT (NIL) |category| NIL 4040483) (|PolynomialFactorizationExplicit&| 4034749 4035098 4035625 "PFECAT-" 4035630 NIL PFECAT- (NIL T) |domain| NIL NIL) (|PolynomialFactorizationByRecursionUnivariate| 4031173 4031750 4032557 "PFBRU" 4034130 NIL PFBRU (NIL T T) |package| NIL NIL) (|PolynomialFactorizationByRecursion| 4026182 4026951 4027987 "PFBR" 4030358 NIL PFBR (NIL T T T T) |package| NIL NIL) (|Permutation| 4019943 4021859 4022938 "PERM" 4025162 NIL PERM (NIL T) |domain| NIL NIL) (|PermutationGroup| 4011956 4013308 4014801 "PERMGRP" 4018519 NIL PERMGRP (NIL T) |domain| NIL NIL) (|PermutationCategory| 4009307 4010484 4010573 "PERMCAT" 4011336 NIL PERMCAT (NIL T) |category| |Permutation| 4011749) (|Permanent| 4008724 4008780 4008995 "PERMAN" 4009227 NIL PERMAN (NIL NIL T) |package| NIL NIL) (|PendantTree| 4005094 4008022 4008241 "PENDTREE" 4008564 NIL PENDTREE (NIL T) |domain| NIL NIL) (|PartialDifferentialRing| 4002013 4003054 4003151 "PDRING" 4004364 NIL PDRING (NIL T) |category| NIL 4004813) (|PartialDifferentialRing&| 4000643 4000943 4001537 "PDRING-" 4001542 NIL PDRING- (NIL T T) |domain| NIL NIL) (|NumericalPDEProblem| 3996436 3997482 3998527 "PDEPROB" 3999652 T PDEPROB (NIL) |domain| NIL NIL) (|AnnaPartialDifferentialEquationPackage| 3992157 3992968 3993962 "PDEPACK" 3995534 T PDEPACK (NIL) |package| NIL NIL) (|PolynomialDecomposition| 3990199 3990488 3990950 "PDECOMP" 3991815 NIL PDECOMP (NIL T T) |package| NIL NIL) (|PartialDifferentialEquationsSolverCategory| 3986581 3987728 3987842 "PDECAT" 3989069 T PDECAT (NIL) |category| NIL 3990117) (|PolynomialComposition| 3986143 3986180 3986356 "PCOMP" 3986520 NIL PCOMP (NIL T T) |package| NIL NIL) (|PoincareBirkhoffWittLyndonBasis| 3983113 3983870 3984421 "PBWLB" 3985684 NIL PBWLB (NIL T) |domain| NIL NIL) (|Pattern| 3971620 3973709 3975813 "PATTERN" 3981047 NIL PATTERN (NIL T) |domain| NIL NIL) (|PatternFunctions2| 3971019 3971093 3971283 "PATTERN2" 3971522 NIL PATTERN2 (NIL T T) |package| NIL NIL) (|PatternFunctions1| 3967396 3967945 3968677 "PATTERN1" 3970372 NIL PATTERN1 (NIL T T) |package| NIL NIL) (|PatternMatchResult| 3963299 3964012 3964758 "PATRES" 3966744 NIL PATRES (NIL T T) |domain| NIL NIL) (|PatternMatchResultFunctions2| 3962483 3962589 3962854 "PATRES2" 3963169 NIL PATRES2 (NIL T T T) |package| NIL NIL) (|PatternMatch| 3959181 3959702 3960301 "PATMATCH" 3962016 NIL PATMATCH (NIL T T T) |package| NIL NIL) (|PatternMatchable| 3958405 3958664 3958747 "PATMAB" 3958942 NIL PATMAB (NIL T) |category| NIL 3959099) (|PatternMatchListResult| 3955839 3956265 3956735 "PATLRES" 3958065 NIL PATLRES (NIL T T T) |domain| NIL NIL) (|Patternable| 3955111 3955296 3955362 "PATAB" 3955367 NIL PATAB (NIL T) |category| NIL 3955646) (|PartitionsAndPermutations| 3950960 3951738 3952695 "PARTPERM" 3954220 T PARTPERM (NIL) |package| NIL NIL) (|ParametricSurface| 3950320 3950410 3950593 "PARSURF" 3950841 NIL PARSURF (NIL T) |domain| NIL NIL) (|ParametricSurfaceFunctions2| 3949637 3949731 3949947 "PARSU2" 3950202 NIL PARSU2 (NIL T T) |package| NIL NIL) (|ParametricSpaceCurve| 3948993 3949081 3949268 "PARSCURV" 3949520 NIL PARSCURV (NIL T) |domain| NIL NIL) (|ParametricSpaceCurveFunctions2| 3948277 3948377 3948605 "PARSC2" 3948869 NIL PARSC2 (NIL T T) |package| NIL NIL) (|ParametricPlaneCurve| 3947651 3947734 3947916 "PARPCURV" 3948165 NIL PARPCURV (NIL T) |domain| NIL NIL) (|ParametricPlaneCurveFunctions2| 3946935 3947035 3947263 "PARPC2" 3947527 NIL PARPC2 (NIL T T) |package| NIL NIL) (|ParametrizationPackage| 3944138 3944271 3944834 "PARAMP" 3946715 NIL PARAMP (NIL T NIL T T T T T) |package| NIL NIL) (|PolynomialAN2Expression| 3943153 3943318 3943585 "PAN2EXPR" 3943933 T PAN2EXPR (NIL) |package| NIL NIL) (|Palette| 3941454 3941836 3942184 "PALETTE" 3942835 T PALETTE (NIL) |domain| NIL NIL) (|PackageForAlgebraicFunctionField| 3917300 3921225 3925452 "PAFF" 3937377 NIL PAFF (NIL T NIL T) |package| NIL NIL) (|PackageForAlgebraicFunctionFieldOverFiniteField| 3884535 3890410 3896306 "PAFFFF" 3911598 NIL PAFFFF (NIL T NIL T) |package| NIL NIL) (|PAdicRationalConstructor| 3874925 3883058 3883463 "PADICRC" 3884246 NIL PADICRC (NIL NIL T) |domain| NIL NIL) (|PAdicRational| 3863839 3873711 3874076 "PADICRAT" 3874619 NIL PADICRAT (NIL NIL) |domain| NIL NIL) (|PAdicInteger| 3861382 3863715 3863803 "PADIC" 3863808 NIL PADIC (NIL NIL) |domain| NIL NIL) (|PAdicIntegerCategory| 3856890 3859163 3859250 "PADICCT" 3860304 NIL PADICCT (NIL NIL) |category| NIL 3860815) (|PadeApproximantPackage| 3854943 3855321 3855838 "PADEPAC" 3856474 NIL PADEPAC (NIL T NIL NIL) |package| NIL NIL) (|PadeApproximants| 3853424 3853656 3854068 "PADE" 3854682 NIL PADE (NIL T T T) |package| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumber| 3847602 3852445 3852790 "PACRAT" 3853171 T PACRAT (NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumberCategory| 3841186 3845877 3845999 "PACRATC" 3846004 T PACRATC (NIL) |category| NIL 3846203) (|PseudoAlgebraicClosureOfPerfectFieldCategory| 3834126 3837061 3837179 "PACPERC" 3839433 T PACPERC (NIL) |category| NIL 3840326) (|PseudoAlgebraicClosureOfFiniteField| 3828814 3833552 3833813 "PACOFF" 3833980 NIL PACOFF (NIL T) |domain| NIL NIL) (|PseudoAlgebraicClosureOfFiniteFieldCategory| 3823449 3827530 3827646 "PACFFC" 3827651 T PACFFC (NIL) |category| NIL 3827734) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| 3816345 3822506 3822869 "PACEXT" 3823242 NIL PACEXT (NIL NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| 3807749 3813790 3813928 "PACEXTC" 3813933 T PACEXTC (NIL) |category| NIL 3814117) (|OrdinaryWeightedPolynomials| 3804698 3805801 3806328 "OWP" 3807396 NIL OWP (NIL T NIL NIL NIL) |domain| NIL NIL) (|OrderedVariableList| 3803323 3803984 3804311 "OVAR" 3804450 NIL OVAR (NIL NIL) |domain| NIL NIL) (|OutputPackage| 3802167 3802328 3802593 "OUT" 3803100 T OUT (NIL) |package| NIL NIL) (|OutputForm| 3786417 3788966 3792157 "OUTFORM" 3799012 T OUTFORM (NIL) |domain| NIL NIL) (|OrdSetInts| 3785600 3785969 3786123 "OSI" 3786299 T OSI (NIL) |domain| NIL NIL) (|OrthogonalPolynomialFunctions| 3783136 3783523 3784088 "ORTHPOL" 3785134 NIL ORTHPOL (NIL T) |package| NIL NIL) (|UnivariateSkewPolynomial| 3779385 3782520 3782783 "OREUP" 3783021 NIL OREUP (NIL NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariateSkewPolynomial| 3775597 3778757 3779032 "ORESUP" 3779254 NIL ORESUP (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateSkewPolynomialCategoryOps| 3771390 3772112 3773023 "OREPCTO" 3774833 NIL OREPCTO (NIL T T) |package| NIL NIL) (|UnivariateSkewPolynomialCategory| 3761316 3764362 3764470 "OREPCAT" 3768948 NIL OREPCAT (NIL T) |category| NIL 3770693) (|UnivariateSkewPolynomialCategory&| 3757109 3758170 3759812 "OREPCAT-" 3759817 NIL OREPCAT- (NIL T T) |domain| NIL NIL) (|OrderedSet| 3755986 3756294 3756344 "ORDSET" 3756799 T ORDSET (NIL) |category| NIL 3757027) (|OrderedSet&| 3755382 3755509 3755774 "ORDSET-" 3755779 NIL ORDSET- (NIL T) |domain| NIL NIL) (|OrderedRing| 3753331 3754347 3754399 "ORDRING" 3754729 T ORDRING (NIL) |category| NIL 3754942) (|OrderedRing&| 3752793 3752915 3753151 "ORDRING-" 3753156 NIL ORDRING- (NIL T) |domain| NIL NIL) (|OrderedMonoid| 3751969 3752556 3752612 "ORDMON" 3752617 T ORDMON (NIL) |category| NIL 3752653) (|OrderingFunctions| 3750556 3750752 3751090 "ORDFUNS" 3751739 NIL ORDFUNS (NIL NIL T) |package| NIL NIL) (|OrderedFinite| 3749861 3750339 3750395 "ORDFIN" 3750400 T ORDFIN (NIL) |category| NIL 3750436) (|OrderedCompletion| 3744393 3747316 3748028 "ORDCOMP" 3749220 NIL ORDCOMP (NIL T) |domain| NIL NIL) (|OrderedCompletionFunctions2| 3742973 3743204 3743584 "ORDCOMP2" 3744125 NIL ORDCOMP2 (NIL T T) |package| NIL NIL) (|NumericalOptimizationProblem| 3737253 3738608 3740012 "OPTPROB" 3741641 T OPTPROB (NIL) |domain| NIL NIL) (|AnnaNumericalOptimizationPackage| 3731498 3732551 3733840 "OPTPACK" 3736044 T OPTPACK (NIL) |package| NIL NIL) (|NumericalOptimizationCategory| 3727672 3728808 3728896 "OPTCAT" 3730331 T OPTCAT (NIL) |category| NIL 3731416) (|OperationsQuery| 3727245 3727308 3727442 "OPQUERY" 3727584 T OPQUERY (NIL) |package| NIL NIL) (|Operator| 3722857 3724475 3725302 "OP" 3726464 NIL OP (NIL T) |domain| NIL NIL) (|OnePointCompletion| 3717880 3720728 3721357 "ONECOMP" 3722301 NIL ONECOMP (NIL T) |domain| NIL NIL) (|OnePointCompletionFunctions2| 3716521 3716730 3717090 "ONECOMP2" 3717634 NIL ONECOMP2 (NIL T T) |package| NIL NIL) (|OpenMathServerPackage| 3715431 3715608 3715877 "OMSERVER" 3716310 T OMSERVER (NIL) |package| NIL NIL) (|OrderedMultisetAggregate| 3710901 3714475 3714573 "OMSAGG" 3714684 NIL OMSAGG (NIL T) |category| NIL 3714803) (|OpenMathPackage| 3708560 3708957 3709459 "OMPKG" 3710445 T OMPKG (NIL) |package| NIL NIL) (|OpenMath| 3707644 3707793 3707839 "OM" 3708324 T OM (NIL) |category| NIL NIL) (|OppositeMonogenicLinearOperator| 3705390 3706799 3707127 "OMLO" 3707446 NIL OMLO (NIL T T) |domain| NIL NIL) (|ExpressionToOpenMath| 3703529 3703754 3704161 "OMEXPR" 3705090 NIL OMEXPR (NIL T) |package| NIL NIL) (|OpenMathError| 3702402 3702716 3702970 "OMERR" 3703317 T OMERR (NIL) |domain| NIL NIL) (|OpenMathErrorKind| 3700996 3701333 3701642 "OMERRK" 3702143 T OMERRK (NIL) |domain| NIL NIL) (|OpenMathEncoding| 3700044 3700321 3700551 "OMENC" 3700814 T OMENC (NIL) |domain| NIL NIL) (|OpenMathDevice| 3690187 3691854 3693800 "OMDEV" 3698142 T OMDEV (NIL) |domain| NIL NIL) (|OpenMathConnection| 3688430 3688722 3689116 "OMCONN" 3689845 T OMCONN (NIL) |domain| NIL NIL) (|OrderedIntegralDomain| 3686430 3687688 3687760 "OINTDOM" 3687765 T OINTDOM (NIL) |category| NIL 3687810) (|OrderedFreeMonoid| 3679812 3681386 3682526 "OFMONOID" 3685360 NIL OFMONOID (NIL T) |domain| NIL NIL) (|OrderlyDifferentialVariable| 3678993 3679639 3679768 "ODVAR" 3679773 NIL ODVAR (NIL T) |domain| NIL NIL) (|OrdinaryDifferentialRing| 3674932 3678115 3678437 "ODR" 3678804 NIL ODR (NIL T T NIL) |domain| NIL NIL) (|OrderlyDifferentialPolynomial| 3661779 3674369 3674692 "ODPOL" 3674697 NIL ODPOL (NIL T) |domain| NIL NIL) (|OrderedDirectProduct| 3653039 3661522 3661737 "ODP" 3661742 NIL ODP (NIL NIL T NIL) |domain| NIL NIL) (|ODETools| 3650884 3651196 3651671 "ODETOOLS" 3652668 NIL ODETOOLS (NIL T T) |package| NIL NIL) (|SystemODESolver| 3646569 3647394 3648392 "ODESYS" 3650004 NIL ODESYS (NIL T T) |package| NIL NIL) (|RationalRicDE| 3636628 3638308 3640254 "ODERTRIC" 3644828 NIL ODERTRIC (NIL T T) |package| NIL NIL) (|ReduceLODE| 3635604 3635706 3636076 "ODERED" 3636502 NIL ODERED (NIL T T T T T) |package| NIL NIL) (|RationalLODE| 3629816 3630749 3632003 "ODERAT" 3634553 NIL ODERAT (NIL T T) |package| NIL NIL) (|PrimitiveRatRicDE| 3624121 3624775 3625806 "ODEPRRIC" 3629095 NIL ODEPRRIC (NIL T T T T) |package| NIL NIL) (|NumericalODEProblem| 3620883 3621686 3622489 "ODEPROB" 3623372 T ODEPROB (NIL) |domain| NIL NIL) (|PrimitiveRatDE| 3614333 3614966 3616068 "ODEPRIM" 3620085 NIL ODEPRIM (NIL T T T T) |package| NIL NIL) (|PureAlgebraicLODE| 3612955 3613111 3613606 "ODEPAL" 3614153 NIL ODEPAL (NIL T T T T) |package| NIL NIL) (|AnnaOrdinaryDifferentialEquationPackage| 3606656 3607825 3609231 "ODEPACK" 3611643 T ODEPACK (NIL) |package| NIL NIL) (|ODEIntegration| 3604709 3604836 3605305 "ODEINT" 3606495 NIL ODEINT (NIL T T) |package| NIL NIL) (|ODEIntensityFunctionsTable| 3596257 3598226 3600312 "ODEIFTBL" 3602691 T ODEIFTBL (NIL) |domain| NIL NIL) (|ElementaryFunctionODESolver| 3588266 3589304 3590805 "ODEEF" 3595090 NIL ODEEF (NIL T T) |package| NIL NIL) (|ConstantLODE| 3586985 3587095 3587590 "ODECONST" 3588132 NIL ODECONST (NIL T T T) |package| NIL NIL) (|OrdinaryDifferentialEquationsSolverCategory| 3584089 3584994 3585110 "ODECAT" 3586097 T ODECAT (NIL) |category| NIL 3586903) (|Octonion| 3579735 3583569 3583789 "OCT" 3583926 NIL OCT (NIL T) |domain| NIL NIL) (|OctonionCategoryFunctions2| 3579073 3579123 3579377 "OCTCT2" 3579661 NIL OCTCT2 (NIL T T T T) |package| NIL NIL) (|OctonionCategory| 3571191 3574454 3574541 "OC" 3576603 NIL OC (NIL T) |category| |Octonion| 3577875) (|OctonionCategory&| 3567107 3568082 3569590 "OC-" 3569789 NIL OC- (NIL T T) |domain| NIL NIL) (|OrderedCancellationAbelianMonoid| 3566159 3566688 3566782 "OCAMON" 3566787 T OCAMON (NIL) |category| NIL 3566852) (|OrderedAbelianSemiGroup| 3565402 3565881 3565957 "OASGP" 3565962 T OASGP (NIL) |category| NIL 3566005) (|OrderedAbelianMonoidSup| 3564314 3564864 3564940 "OAMONS" 3565011 T OAMONS (NIL) |category| NIL 3565104) (|OrderedAbelianMonoid| 3563516 3563995 3564065 "OAMON" 3564070 T OAMON (NIL) |category| NIL 3564126) (|OrderedAbelianGroup| 3562478 3563058 3563126 "OAGROUP" 3563131 T OAGROUP (NIL) |category| NIL 3563195) (|NumericTubePlot| 3561921 3561991 3562168 "NUMTUBE" 3562384 NIL NUMTUBE (NIL T) |package| NIL NIL) (|NumericalQuadrature| 3552538 3554674 3556928 "NUMQUAD" 3559721 T NUMQUAD (NIL) |package| NIL NIL) (|NumericalOrdinaryDifferentialEquations| 3546244 3547608 3549131 "NUMODE" 3551107 T NUMODE (NIL) |package| NIL NIL) (|NumericalIntegrationCategory| 3542043 3543312 3543398 "NUMINT" 3544945 T NUMINT (NIL) |category| NIL 3546162) (|NumberFormats| 3540060 3540409 3540849 "NUMFMT" 3541645 T NUMFMT (NIL) |package| NIL NIL) (|Numeric| 3516442 3520953 3525346 "NUMERIC" 3535730 NIL NUMERIC (NIL T) |package| NIL NIL) (|NormalizedTriangularSetCategory| 3508433 3515518 3515737 "NTSCAT" 3515742 NIL NTSCAT (NIL T T T T) |category| NIL 3515809) (|NumberTheoreticPolynomialFunctions| 3506897 3507161 3507542 "NTPOLFN" 3508161 NIL NTPOLFN (NIL T) |package| NIL NIL) (|NewSparseUnivariatePolynomial| 3486507 3500923 3502336 "NSUP" 3505572 NIL NSUP (NIL T) |domain| NIL NIL) (|NewSparseUnivariatePolynomialFunctions2| 3485692 3485810 3486074 "NSUP2" 3486365 NIL NSUP2 (NIL T T) |package| NIL NIL) (|NewSparseMultivariatePolynomial| 3470477 3485179 3485489 "NSMP" 3485494 NIL NSMP (NIL T T) |domain| NIL NIL) (|NeitherSparseOrDensePowerSeries| 3453691 3469729 3470045 "NSDPS" 3470254 NIL NSDPS (NIL T) |domain| NIL NIL) (|NumericRealEigenPackage| 3450971 3451440 3452079 "NREP" 3453154 NIL NREP (NIL T) |package| NIL NIL) (|NewtonPolygon| 3446561 3447271 3448221 "NPOLYGON" 3450207 NIL NPOLYGON (NIL T T T NIL) |package| NIL NIL) (|NPCoef| 3444227 3444593 3445180 "NPCOEF" 3446166 NIL NPCOEF (NIL T T T T T) |package| NIL NIL) (|NottinghamGroup| 3443133 3443782 3443960 "NOTTING" 3444124 NIL NOTTING (NIL T) |domain| NIL NIL) (|NormRetractPackage| 3441157 3441348 3441809 "NORMRETR" 3442908 NIL NORMRETR (NIL T T T T NIL) |package| NIL NIL) (|NormalizationPackage| 3437827 3438198 3438851 "NORMPK" 3440742 NIL NORMPK (NIL T T T T T) |package| NIL NIL) (|NormInMonogenicAlgebra| 3437222 3437251 3437505 "NORMMA" 3437774 NIL NORMMA (NIL T T T T) |package| NIL NIL) (|None| 3436999 3437159 3437200 "NONE" 3437205 T NONE (NIL) |domain| NIL NIL) (|NoneFunctions1| 3436668 3436702 3436819 "NONE1" 3436940 NIL NONE1 (NIL T) |package| NIL NIL) (|NonLinearFirstOrderODESolver| 3435582 3435665 3436108 "NODE1" 3436561 NIL NODE1 (NIL T T) |package| NIL NIL) (|NonNegativeInteger| 3433139 3434199 3434619 "NNI" 3435214 T NNI (NIL) |domain| NIL NIL) (|NonLinearSolvePackage| 3430500 3430970 3431588 "NLINSOL" 3432603 NIL NLINSOL (NIL T) |package| NIL NIL) (|NumericalIntegrationProblem| 3424399 3425851 3427350 "NIPROB" 3429071 T NIPROB (NIL) |domain| NIL NIL) (|NumberFieldIntegralBasis| 3422297 3422637 3423165 "NFINTBAS" 3424025 NIL NFINTBAS (NIL T T) |package| NIL NIL) (|NewtonInterpolation| 3421769 3421840 3422013 "NEWTON" 3422202 NIL NEWTON (NIL T) |package| NIL NIL) (|NonCommutativeOperatorDivision| 3419538 3419839 3420318 "NCODIV" 3421419 NIL NCODIV (NIL T T) |package| NIL NIL) (|NumericContinuedFraction| 3419002 3419073 3419261 "NCNTFRAC" 3419443 NIL NCNTFRAC (NIL T) |package| NIL NIL) (|NumericComplexEigenPackage| 3415808 3416391 3417150 "NCEP" 3418351 NIL NCEP (NIL T) |package| NIL NIL) (|NonAssociativeRing| 3414094 3415108 3415174 "NASRING" 3415387 T NASRING (NIL) |category| NIL 3415548) (|NonAssociativeRing&| 3413739 3413799 3413985 "NASRING-" 3413990 NIL NASRING- (NIL T) |domain| NIL NIL) (|NonAssociativeRng| 3412430 3413088 3413152 "NARNG" 3413369 T NARNG (NIL) |category| NIL 3413531) (|NonAssociativeRng&| 3411942 3412034 3412269 "NARNG-" 3412274 NIL NARNG- (NIL T) |domain| NIL NIL) (|NAGLinkSupportPackage| 3409842 3410182 3410651 "NAGSP" 3411531 T NAGSP (NIL) |package| NIL NIL) (|NagSpecialFunctionsPackage| 3394520 3397196 3400149 "NAGS" 3406957 T NAGS (NIL) |package| NIL NIL) (|NagLapack| 3392125 3392618 3393184 "NAGF07" 3393988 T NAGF07 (NIL) |package| NIL NIL) (|NagLinearEquationSolvingPackage| 3382799 3384932 3387217 "NAGF04" 3389918 T NAGF04 (NIL) |package| NIL NIL) (|NagEigenPackage| 3371155 3373783 3376567 "NAGF02" 3380061 T NAGF02 (NIL) |package| NIL NIL) (|NagMatrixOperationsPackage| 3363020 3364831 3366779 "NAGF01" 3369275 T NAGF01 (NIL) |package| NIL NIL) (|NagOptimisationPackage| 3352415 3355031 3357766 "NAGE04" 3360345 T NAGE04 (NIL) |package| NIL NIL) (|NagFittingPackage| 3337018 3340710 3344561 "NAGE02" 3348614 T NAGE02 (NIL) |package| NIL NIL) (|NagInterpolationPackage| 3329827 3331475 3333254 "NAGE01" 3335301 T NAGE01 (NIL) |package| NIL NIL) (|NagPartialDifferentialEquationsPackage| 3325875 3326814 3327879 "NAGD03" 3328854 T NAGD03 (NIL) |package| NIL NIL) (|NagOrdinaryDifferentialEquationsPackage| 3312737 3315732 3318896 "NAGD02" 3322805 T NAGD02 (NIL) |package| NIL NIL) (|NagIntegrationPackage| 3302603 3304900 3307334 "NAGD01" 3310361 T NAGD01 (NIL) |package| NIL NIL) (|NagSeriesSummationPackage| 3296070 3297404 3298883 "NAGC06" 3301190 T NAGC06 (NIL) |package| NIL NIL) (|NagRootFindingPackage| 3293588 3294097 3294698 "NAGC05" 3295527 T NAGC05 (NIL) |package| NIL NIL) (|NagPolynomialRootsPackage| 3292482 3292669 3292951 "NAGC02" 3293372 T NAGC02 (NIL) |package| NIL NIL) (|NonAssociativeAlgebra| 3291024 3291762 3291859 "NAALG" 3292020 NIL NAALG (NIL T) |category| NIL 3292142) (|NonAssociativeAlgebra&| 3290687 3290738 3290939 "NAALG-" 3290944 NIL NAALG- (NIL T T) |domain| NIL NIL) (|MyUnivariatePolynomial| 3276053 3289183 3289664 "MYUP" 3290296 NIL MYUP (NIL NIL T) |domain| NIL NIL) (|MyExpression| 3261819 3273346 3274031 "MYEXPR" 3275481 NIL MYEXPR (NIL NIL T) |domain| NIL NIL) (|MultivariateSquareFree| 3250419 3252334 3254523 "MULTSQFR" 3259811 NIL MULTSQFR (NIL T T T T) |package| NIL NIL) (|MultivariateFactorize| 3249010 3249146 3249533 "MULTFACT" 3250243 NIL MULTFACT (NIL T T T T) |package| NIL NIL) (|MultivariateTaylorSeriesCategory| 3238050 3243467 3243595 "MTSCAT" 3245707 NIL MTSCAT (NIL T T) |category| NIL 3246687) (|MergeThing| 3237592 3237664 3237816 "MTHING" 3237954 NIL MTHING (NIL T) |package| NIL NIL) (|MoreSystemCommands| 3237220 3237267 3237391 "MSYSCMD" 3237520 T MSYSCMD (NIL) |package| NIL NIL) (|Multiset| 3231468 3235160 3235697 "MSET" 3236736 NIL MSET (NIL T) |domain| NIL NIL) (|MultisetAggregate| 3227279 3230762 3230847 "MSETAGG" 3230852 NIL MSETAGG (NIL T) |category| |Multiset| 3230911) (|MonoidRing| 3221001 3223134 3224277 "MRING" 3226202 NIL MRING (NIL T T) |domain| NIL NIL) (|MonoidRingFunctions2| 3220311 3220401 3220615 "MRF2" 3220887 NIL MRF2 (NIL T T T) |package| NIL NIL) (|MRationalFactorize| 3219587 3219631 3219917 "MRATFAC" 3220243 NIL MRATFAC (NIL T T T T) |package| NIL NIL) (|MPolyCatRationalFunctionFactorizer| 3215125 3215553 3216333 "MPRFF" 3219105 NIL MPRFF (NIL T T T T) |package| NIL NIL) (|MultivariatePolynomial| 3205272 3214805 3215012 "MPOLY" 3215017 NIL MPOLY (NIL NIL T) |domain| NIL NIL) (|MPolyCatPolyFactorizer| 3204350 3204394 3204781 "MPCPF" 3205204 NIL MPCPF (NIL T T T T) |package| NIL NIL) (|MPolyCatFunctions3| 3203484 3203534 3203866 "MPC3" 3204276 NIL MPC3 (NIL T T T T T T T) |package| NIL NIL) (|MPolyCatFunctions2| 3202091 3202185 3202559 "MPC2" 3203362 NIL MPC2 (NIL T T T T T T T) |package| NIL NIL) (|MonomialExtensionTools| 3199400 3199856 3200469 "MONOTOOL" 3201596 NIL MONOTOOL (NIL T T) |package| NIL NIL) (|Monoid| 3198115 3198550 3198592 "MONOID" 3199016 T MONOID (NIL) |category| NIL 3199298) (|Monoid&| 3197171 3197404 3197780 "MONOID-" 3197785 NIL MONOID- (NIL T) |domain| NIL NIL) (|MonogenicAlgebra| 3183145 3191735 3191866 "MONOGEN" 3193242 NIL MONOGEN (NIL T T) |category| NIL 3193999) (|MonogenicAlgebra&| 3178725 3179742 3181396 "MONOGEN-" 3181645 NIL MONOGEN- (NIL T T T) |domain| NIL NIL) (|MonadWithUnit| 3176906 3177492 3177548 "MONADWU" 3178222 T MONADWU (NIL) |category| NIL 3178627) (|MonadWithUnit&| 3175793 3176058 3176513 "MONADWU-" 3176518 NIL MONADWU- (NIL T) |domain| NIL NIL) (|Monad| 3174826 3175126 3175166 "MONAD" 3175501 T MONAD (NIL) |category| NIL 3175711) (|Monad&| 3174286 3174416 3174640 "MONAD-" 3174645 NIL MONAD- (NIL T) |domain| NIL NIL) (|MoebiusTransform| 3171747 3172569 3173000 "MOEBIUS" 3173918 NIL MOEBIUS (NIL T) |domain| NIL NIL) (|Module| 3170906 3171366 3171433 "MODULE" 3171438 NIL MODULE (NIL T) |category| NIL 3171473) (|Module&| 3170263 3170393 3170685 "MODULE-" 3170690 NIL MODULE- (NIL T T) |domain| NIL NIL) (|ModularRing| 3166851 3167741 3168217 "MODRING" 3170012 NIL MODRING (NIL T T NIL NIL NIL) |domain| NIL NIL) (|ModuleOperator| 3162047 3163639 3164503 "MODOP" 3166070 NIL MODOP (NIL T T) |domain| NIL NIL) (|ModuleMonomial| 3159383 3159910 3160426 "MODMONOM" 3161749 NIL MODMONOM (NIL T T NIL) |domain| NIL NIL) (|ModMonic| 3142706 3156297 3156970 "MODMON" 3158799 NIL MODMON (NIL T T) |domain| NIL NIL) (|ModularField| 3138524 3140910 3141320 "MODFIELD" 3142523 NIL MODFIELD (NIL T T NIL NIL NIL) |domain| NIL NIL) (|MathMLFormat| 3136941 3137311 3137640 "MMLFORM" 3138235 T MMLFORM (NIL) |domain| NIL NIL) (|MultipleMap| 3136028 3136078 3136436 "MMAP" 3136867 NIL MMAP (NIL T T T T T T) |package| NIL NIL) (|MonogenicLinearOperator| 3133144 3134225 3134315 "MLO" 3135132 NIL MLO (NIL T) |category| NIL 3135566) (|MultivariateLifting| 3128283 3129199 3130324 "MLIFT" 3132194 NIL MLIFT (NIL T T T T) |package| NIL NIL) (|MakeUnaryCompiledFunction| 3127194 3127321 3127608 "MKUCFUNC" 3128127 NIL MKUCFUNC (NIL T T T) |package| NIL NIL) (|MakeRecord| 3126641 3126724 3126896 "MKRECORD" 3127086 NIL MKRECORD (NIL T T) |package| NIL NIL) (|MakeFunction| 3125159 3125363 3125723 "MKFUNC" 3126358 NIL MKFUNC (NIL T) |package| NIL NIL) (|MakeFloatCompiledFunction| 3123918 3124104 3124444 "MKFLCFN" 3124922 NIL MKFLCFN (NIL T) |package| NIL NIL) (|MakeCachableSet| 3123104 3123553 3123717 "MKCHSET" 3123821 NIL MKCHSET (NIL T) |domain| NIL NIL) (|MakeBinaryCompiledFunction| 3121861 3122010 3122335 "MKBCFUNC" 3122926 NIL MKBCFUNC (NIL T T T T) |package| NIL NIL) (|MachineInteger| 3116985 3120947 3121249 "MINT" 3121603 T MINT (NIL) |domain| NIL NIL) (|ModularHermitianRowReduction| 3114971 3115306 3115782 "MHROWRED" 3116606 NIL MHROWRED (NIL T) |package| NIL NIL) (|MachineFloat| 3107345 3111992 3112865 "MFLOAT" 3114138 T MFLOAT (NIL) |domain| NIL NIL) (|MultFiniteFactorize| 3106027 3106164 3106519 "MFINFACT" 3107169 NIL MFINFACT (NIL T T T T) |package| NIL NIL) (|MeshCreationRoutinesForThreeDimensions| 3098516 3100206 3102068 "MESH" 3104257 T MESH (NIL) |package| NIL NIL) (|ModularDistinctDegreeFactorizer| 3095808 3096223 3096815 "MDDFACT" 3098052 NIL MDDFACT (NIL T) |package| NIL NIL) (|MultiDictionary| 3091114 3094435 3094516 "MDAGG" 3094979 NIL MDAGG (NIL T) |category| NIL 3095241) (|MachineComplex| 3072946 3089842 3090237 "MCMPLX" 3090763 T MCMPLX (NIL) |domain| NIL NIL) (|MatrixCommonDenominator| 3071410 3071622 3071991 "MCDEN" 3072699 NIL MCDEN (NIL T T) |package| NIL NIL) (|MultiVariableCalculusFunctions| 3067296 3067681 3068387 "MCALCFN" 3070971 NIL MCALCFN (NIL T T T T) |package| NIL NIL) (|StorageEfficientMatrixOperations| 3063481 3064200 3065088 "MATSTOR" 3066502 NIL MATSTOR (NIL T) |package| NIL NIL) (|Matrix| 3057655 3062537 3062905 "MATRIX" 3063155 NIL MATRIX (NIL T) |domain| NIL NIL) (|MatrixLinearAlgebraFunctions| 3050071 3051062 3052221 "MATLIN" 3056704 NIL MATLIN (NIL T T T T) |package| NIL NIL) (|MatrixCategory| 3032287 3036859 3037005 "MATCAT" 3047179 NIL MATCAT (NIL T T T) |category| NIL 3049618) (|MatrixCategory&| 3026463 3027983 3030218 "MATCAT-" 3030223 NIL MATCAT- (NIL T T T T) |domain| NIL NIL) (|MatrixCategoryFunctions2| 3024060 3024247 3024790 "MATCAT2" 3026234 NIL MATCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|MappingPackage4| 3022099 3022476 3022973 "MAPPKG4" 3023644 NIL MAPPKG4 (NIL T T) |package| NIL NIL) (|MappingPackage3| 3019011 3019460 3020067 "MAPPKG3" 3021601 NIL MAPPKG3 (NIL T T T) |package| NIL NIL) (|MappingPackage2| 3017358 3017590 3017949 "MAPPKG2" 3018740 NIL MAPPKG2 (NIL T T) |package| NIL NIL) (|MappingPackage1| 3014859 3015273 3015825 "MAPPKG1" 3016873 NIL MAPPKG1 (NIL T) |package| NIL NIL) (|MappingPackageInternalHacks3| 3014194 3014267 3014499 "MAPHACK3" 3014762 NIL MAPHACK3 (NIL T T T) |package| NIL NIL) (|MappingPackageInternalHacks2| 3013522 3013585 3013793 "MAPHACK2" 3014100 NIL MAPHACK2 (NIL T T) |package| NIL NIL) (|MappingPackageInternalHacks1| 3012456 3012624 3012915 "MAPHACK1" 3013324 NIL MAPHACK1 (NIL T) |package| NIL NIL) (|MatrixManipulation| 3000111 3001534 3003417 "MAMA" 3010751 NIL MAMA (NIL T T T T) |package| NIL NIL) (|Magma| 2997313 2998029 2998516 "MAGMA" 2999670 NIL MAGMA (NIL T) |domain| NIL NIL) (|ModularAlgebraicGcdOperations| 2994471 2994974 2995090 "MAGCDOC" 2996719 NIL MAGCDOC (NIL T T) |category| NIL NIL) (|ThreeDimensionalMatrix| 2988417 2991052 2991972 "M3D" 2993632 NIL M3D (NIL T) |domain| NIL NIL) (|LazyStreamAggregate| 2979681 2985667 2985749 "LZSTAGG" 2987137 NIL LZSTAGG (NIL T) |category| NIL 2987656) (|LazyStreamAggregate&| 2973681 2975280 2977530 "LZSTAGG-" 2977535 NIL LZSTAGG- (NIL T T) |domain| NIL NIL) (|LyndonWord| 2968900 2969963 2970828 "LWORD" 2972872 NIL LWORD (NIL T) |domain| NIL NIL) (|LieSquareMatrix| 2958714 2968459 2968725 "LSQM" 2968730 NIL LSQM (NIL NIL T) |domain| NIL NIL) (|LinearSystemPolynomialPackage| 2957467 2957648 2958047 "LSPP" 2958509 NIL LSPP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage| 2953667 2954055 2954811 "LSMP" 2957025 NIL LSMP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage1| 2949014 2949885 2950923 "LSMP1" 2952712 NIL LSMP1 (NIL T) |package| NIL NIL) (|ListAggregate| 2940373 2947715 2947785 "LSAGG" 2947880 NIL LSAGG (NIL T) |category| NIL 2948033) (|ListAggregate&| 2935708 2936916 2938685 "LSAGG-" 2938690 NIL LSAGG- (NIL T T) |domain| NIL NIL) (|LiePolynomial| 2932077 2934163 2934607 "LPOLY" 2935351 NIL LPOLY (NIL T T) |domain| NIL NIL) (|LinearPolynomialEquationByFractions| 2931002 2931202 2931553 "LPEFRAC" 2931853 NIL LPEFRAC (NIL T) |package| NIL NIL) (|LocalParametrizationOfSimplePointPackage| 2926408 2926746 2927526 "LPARSPT" 2930601 NIL LPARSPT (NIL T NIL T T T T T) |package| NIL NIL) (|LeftOreRing| 2924889 2925720 2925772 "LORER" 2925923 T LORER (NIL) |category| NIL 2926059) (|LinesOpPack| 2922487 2922952 2923519 "LOP" 2924375 NIL LOP (NIL T) |package| NIL NIL) (|Localize| 2920199 2921136 2921500 "LO" 2922241 NIL LO (NIL T T T) |domain| NIL NIL) (|Logic| 2919763 2919874 2919914 "LOGIC" 2920060 T LOGIC (NIL) |category| NIL 2920176) (|Logic&| 2919580 2919603 2919702 "LOGIC-" 2919707 NIL LOGIC- (NIL T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorsOps| 2917977 2918184 2918589 "LODOOPS" 2919339 NIL LODOOPS (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperator| 2914332 2917741 2917919 "LODO" 2917924 NIL LODO (NIL T NIL) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorFactorizer| 2910939 2911476 2912307 "LODOF" 2913768 NIL LODOF (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperatorCategory| 2905414 2908760 2908888 "LODOCAT" 2909810 NIL LODOCAT (NIL T) |category| NIL 2910166) (|LinearOrdinaryDifferentialOperatorCategory&| 2904930 2905000 2905291 "LODOCAT-" 2905296 NIL LODOCAT- (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator2| 2901120 2904557 2904841 "LODO2" 2904846 NIL LODO2 (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator1| 2897479 2900897 2901062 "LODO1" 2901067 NIL LODO1 (NIL T) |domain| NIL NIL) (|ElementaryFunctionLODESolver| 2895345 2895540 2896166 "LODEEF" 2897246 NIL LODEEF (NIL T T T) |package| NIL NIL) (|LocalPowerSeriesCategory| 2884115 2889993 2890086 "LOCPOWC" 2892765 NIL LOCPOWC (NIL T) |category| |NeitherSparseOrDensePowerSeries| 2893735) (|LinearAggregate| 2877102 2881150 2881224 "LNAGG" 2882792 NIL LNAGG (NIL T) |category| NIL 2883489) (|LinearAggregate&| 2875897 2876163 2876676 "LNAGG-" 2876681 NIL LNAGG- (NIL T T) |domain| NIL NIL) (|ListMonoidOps| 2869654 2870689 2871730 "LMOPS" 2874952 NIL LMOPS (NIL T T NIL) |domain| NIL NIL) (|LeftModule| 2868793 2869237 2869300 "LMODULE" 2869389 NIL LMODULE (NIL T) |category| NIL 2869462) (|ListMultiDictionary| 2864703 2868126 2868369 "LMDICT" 2868625 NIL LMDICT (NIL T) |domain| NIL NIL) (|LinearSystemFromPowerSeriesPackage| 2863040 2863262 2863656 "LISYSER" 2864447 NIL LISYSER (NIL T T) |package| NIL NIL) (|List| 2853524 2861477 2861909 "LIST" 2862646 NIL LIST (NIL T) |domain| NIL NIL) (|ListFunctions3| 2852849 2852936 2853133 "LIST3" 2853413 NIL LIST3 (NIL T T T) |package| NIL NIL) (|ListFunctions2| 2851440 2851653 2851972 "LIST2" 2852602 NIL LIST2 (NIL T T) |package| NIL NIL) (|ListToMap| 2848796 2849169 2849710 "LIST2MAP" 2850968 NIL LIST2MAP (NIL T T) |package| NIL NIL) (|LinearlyExplicitRingOver| 2846871 2847770 2847862 "LINEXP" 2848291 NIL LINEXP (NIL T) |category| NIL 2848515) (|LinearDependence| 2844637 2844986 2845475 "LINDEP" 2846493 NIL LINDEP (NIL T T) |package| NIL NIL) (|RationalFunctionLimitPackage| 2838862 2840094 2841498 "LIMITRF" 2843324 NIL LIMITRF (NIL T) |package| NIL NIL) (|PowerSeriesLimitPackage| 2835661 2836126 2836910 "LIMITPS" 2838355 NIL LIMITPS (NIL T T) |package| NIL NIL) (|AssociatedLieAlgebra| 2826179 2834681 2835148 "LIE" 2835311 NIL LIE (NIL T T) |domain| NIL NIL) (|LieAlgebra| 2824842 2825372 2825447 "LIECAT" 2825684 NIL LIECAT (NIL T) |category| NIL 2825883) (|LieAlgebra&| 2824622 2824645 2824785 "LIECAT-" 2824790 NIL LIECAT- (NIL T T) |domain| NIL NIL) (|Library| 2814222 2823678 2823961 "LIB" 2824369 T LIB (NIL) |domain| NIL NIL) (|LinGroebnerPackage| 2804555 2806579 2808782 "LGROBP" 2812115 NIL LGROBP (NIL NIL T) |package| NIL NIL) (|LiouvillianFunction| 2799966 2800364 2801048 "LF" 2804065 NIL LF (NIL T T) |package| NIL NIL) (|LiouvillianFunctionCategory| 2797967 2798747 2798831 "LFCAT" 2799394 T LFCAT (NIL) |category| NIL 2799689) (|LexTriangularPackage| 2791118 2792539 2794131 "LEXTRIPK" 2796475 NIL LEXTRIPK (NIL T NIL) |package| NIL NIL) (|LieExponentials| 2785683 2786844 2787686 "LEXP" 2790437 NIL LEXP (NIL T T NIL) |domain| NIL NIL) (|LeadingCoefDetermination| 2783122 2783559 2784210 "LEADCDET" 2785217 NIL LEADCDET (NIL T T T T) |package| NIL NIL) (|LazardSetSolvingPackage| 2781544 2781647 2782091 "LAZM3PK" 2782990 NIL LAZM3PK (NIL T T T T T T) |package| NIL NIL) (|LaurentPolynomial| 2773318 2777904 2778873 "LAUPOL" 2780692 NIL LAUPOL (NIL T T) |domain| NIL NIL) (|LaplaceTransform| 2772400 2772454 2772844 "LAPLACE" 2773240 NIL LAPLACE (NIL T T) |package| NIL NIL) (|LocalAlgebra| 2769572 2771050 2771408 "LA" 2772169 NIL LA (NIL T T T) |domain| NIL NIL) (|LeftAlgebra| 2768238 2769013 2769079 "LALG" 2769174 NIL LALG (NIL T) |category| NIL 2769265) (|LeftAlgebra&| 2767804 2767879 2768096 "LALG-" 2768101 NIL LALG- (NIL T T) |domain| NIL NIL) (|Kovacic| 2765773 2766081 2766642 "KOVACIC" 2767455 NIL KOVACIC (NIL T T) |package| NIL NIL) (|ConvertibleTo| 2765515 2765543 2765613 "KONVERT" 2765711 NIL KONVERT (NIL T) |category| NIL NIL) (|CoercibleTo| 2765266 2765293 2765359 "KOERCE" 2765454 NIL KOERCE (NIL T) |category| NIL NIL) (|Kernel| 2761697 2762747 2763408 "KERNEL" 2764653 NIL KERNEL (NIL T) |domain| NIL NIL) (|KernelFunctions2| 2760844 2760959 2761191 "KERNEL2" 2761553 NIL KERNEL2 (NIL T T) |package| NIL NIL) (|KeyedDictionary| 2752261 2758462 2758564 "KDAGG" 2759209 NIL KDAGG (NIL T T) |category| NIL 2759495) (|KeyedDictionary&| 2751597 2751747 2752064 "KDAGG-" 2752069 NIL KDAGG- (NIL T T T) |domain| NIL NIL) (|KeyedAccessFile| 2742209 2751019 2751290 "KAFILE" 2751393 NIL KAFILE (NIL T) |domain| NIL NIL) (|AssociatedJordanAlgebra| 2732718 2741220 2741693 "JORDAN" 2741859 NIL JORDAN (NIL T T) |domain| NIL NIL) (|IndexedAggregate| 2727241 2729879 2729976 "IXAGG" 2731598 NIL IXAGG (NIL T T) |category| NIL 2732253) (|IndexedAggregate&| 2725815 2726167 2726762 "IXAGG-" 2726767 NIL IXAGG- (NIL T T T) |domain| NIL NIL) (|IndexedVector| 2719698 2725687 2725785 "IVECTOR" 2725790 NIL IVECTOR (NIL T NIL) |domain| NIL NIL) (|InfiniteTuple| 2717736 2718067 2718506 "ITUPLE" 2719315 NIL ITUPLE (NIL T) |domain| NIL NIL) (|InnerTrigonometricManipulations| 2714691 2714907 2715488 "ITRIGMNP" 2717477 NIL ITRIGMNP (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions3| 2712697 2712989 2713435 "ITFUN3" 2714349 NIL ITFUN3 (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions2| 2712058 2712144 2712344 "ITFUN2" 2712587 NIL ITFUN2 (NIL T T) |package| NIL NIL) (|InnerTaylorSeries| 2708692 2710153 2710658 "ITAYLOR" 2711617 NIL ITAYLOR (NIL T) |domain| NIL NIL) (|InnerSparseUnivariatePowerSeries| 2691112 2698368 2700227 "ISUPS" 2706927 NIL ISUPS (NIL T) |domain| NIL NIL) (|InnerPolySum| 2689733 2689899 2690262 "ISUMP" 2690909 NIL ISUMP (NIL T T T T) |package| NIL NIL) (|IndexedString| 2682343 2689393 2689537 "ISTRING" 2689648 NIL ISTRING (NIL NIL) |domain| NIL NIL) (|InternalRationalUnivariateRepresentationPackage| 2680741 2680841 2681310 "IRURPK" 2682214 NIL IRURPK (NIL T T T T T) |package| NIL NIL) (|IrrRepSymNatPackage| 2678619 2678980 2679494 "IRSN" 2680281 T IRSN (NIL) |package| NIL NIL) (|IntegrationResultRFToFunction| 2674820 2675440 2676280 "IRRF2F" 2677967 NIL IRRF2F (NIL T) |package| NIL NIL) (|IrredPolyOverFiniteField| 2674197 2674285 2674490 "IRREDFFX" 2674708 NIL IRREDFFX (NIL T) |package| NIL NIL) (|IntegerRoots| 2671657 2672072 2672629 "IROOT" 2673709 NIL IROOT (NIL T) |package| NIL NIL) (|IntegrationResult| 2666565 2667974 2669040 "IR" 2670656 NIL IR (NIL T) |domain| NIL NIL) (|IntegrationResultFunctions2| 2663197 2663828 2664622 "IR2" 2665871 NIL IR2 (NIL T T) |package| NIL NIL) (|IntegrationResultToFunction| 2661191 2661381 2661880 "IR2F" 2662973 NIL IR2F (NIL T T) |package| NIL NIL) (|InternalPrintPackage| 2660840 2660881 2661002 "IPRNTPK" 2661126 T IPRNTPK (NIL) |package| NIL NIL) (|InnerPrimeField| 2655456 2660564 2660735 "IPF" 2660740 NIL IPF (NIL NIL) |domain| NIL NIL) (|InnerPAdicInteger| 2652997 2655305 2655420 "IPADIC" 2655425 NIL IPADIC (NIL NIL NIL) |domain| NIL NIL) (|InverseLaplaceTransform| 2651907 2651987 2652445 "INVLAPLA" 2652893 NIL INVLAPLA (NIL T T) |package| NIL NIL) (|TranscendentalIntegration| 2636372 2639640 2643105 "INTTR" 2648566 NIL INTTR (NIL T T) |package| NIL NIL) (|IntegrationTools| 2630600 2631676 2632943 "INTTOOLS" 2635201 NIL INTTOOLS (NIL T T) |package| NIL NIL) (|IntegerSolveLinearPolynomialEquation| 2629583 2629793 2630115 "INTSLPE" 2630366 T INTSLPE (NIL) |package| NIL NIL) (|Interval| 2626898 2629419 2629551 "INTRVL" 2629556 NIL INTRVL (NIL T) |domain| NIL NIL) (|RationalFunctionIntegration| 2622749 2623565 2624576 "INTRF" 2626043 NIL INTRF (NIL T) |package| NIL NIL) (|IntegerRetractions| 2621745 2621880 2622137 "INTRET" 2622579 NIL INTRET (NIL T) |package| NIL NIL) (|RationalIntegration| 2618479 2619030 2619794 "INTRAT" 2621155 NIL INTRAT (NIL T T) |package| NIL NIL) (|PatternMatchIntegration| 2613647 2614530 2615557 "INTPM" 2617729 NIL INTPM (NIL T T) |package| NIL NIL) (|PureAlgebraicIntegration| 2608181 2608976 2610150 "INTPAF" 2612796 NIL INTPAF (NIL T T T) |package| NIL NIL) (|AnnaNumericalIntegrationPackage| 2599711 2601269 2603128 "INTPACK" 2606400 T INTPACK (NIL) |package| NIL NIL) (|Integer| 2595223 2599176 2599432 "INT" 2599485 T INT (NIL) |domain| NIL NIL) (|TranscendentalHermiteIntegration| 2594025 2594231 2594599 "INTHERTR" 2594993 NIL INTHERTR (NIL T T) |package| NIL NIL) (|AlgebraicHermiteIntegration| 2593013 2593123 2593487 "INTHERAL" 2593891 NIL INTHERAL (NIL T T T T) |package| NIL NIL) (|IntegerNumberTheoryFunctions| 2588996 2589721 2590602 "INTHEORY" 2592204 T INTHEORY (NIL) |package| NIL NIL) (|GenusZeroIntegration| 2573513 2576012 2578935 "INTG0" 2586388 NIL INTG0 (NIL T T T) |package| NIL NIL) (|IntegrationFunctionsTable| 2550803 2556294 2561910 "INTFTBL" 2567963 T INTFTBL (NIL) |domain| NIL NIL) (|InterpolateFormsPackage| 2547092 2547417 2548156 "INTFRSP" 2550439 NIL INTFRSP (NIL T NIL T T T T T T) |package| NIL NIL) (|IntegerFactorizationPackage| 2545719 2545913 2546245 "INTFACT" 2546859 NIL INTFACT (NIL T) |package| NIL NIL) (|InterfaceGroebnerPackage| 2545006 2545057 2545332 "INTERGB" 2545644 NIL INTERGB (NIL T NIL T T T) |package| NIL NIL) (|ElementaryIntegration| 2540558 2541144 2542068 "INTEF" 2544378 NIL INTEF (NIL T T) |package| NIL NIL) (|IntegralDomain| 2538277 2539264 2539322 "INTDOM" 2539809 T INTDOM (NIL) |category| NIL 2540144) (|IntegralDomain&| 2537355 2537586 2537964 "INTDOM-" 2537969 NIL INTDOM- (NIL T) |domain| NIL NIL) (|IntersectionDivisorPackage| 2534758 2534910 2535620 "INTDIVP" 2537174 NIL INTDIVP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|IntervalCategory| 2529089 2531567 2531702 "INTCAT" 2533410 NIL INTCAT (NIL T) |category| |Interval| 2533956) (|IntegerBits| 2528201 2528358 2528589 "INTBIT" 2528896 T INTBIT (NIL) |package| NIL NIL) (|AlgebraicIntegrate| 2525579 2525819 2526431 "INTALG" 2527930 NIL INTALG (NIL T T T T T) |package| NIL NIL) (|AlgebraicIntegration| 2524462 2524631 2524994 "INTAF" 2525386 NIL INTAF (NIL T T) |package| NIL NIL) (|InnerTable| 2515689 2524105 2524367 "INTABL" 2524372 NIL INTABL (NIL T T T) |domain| NIL NIL) (|IntegerNumberSystem| 2507597 2511352 2511420 "INS" 2513183 T INS (NIL) |category| NIL 2514443) (|IntegerNumberSystem&| 2503152 2504289 2505905 "INS-" 2506066 NIL INS- (NIL T) |domain| NIL NIL) (|InnerPolySign| 2501167 2501492 2501980 "INPSIGN" 2502763 NIL INPSIGN (NIL T T) |package| NIL NIL) (|InfiniteProductPrimeField| 2499412 2499601 2500005 "INPRODPF" 2500939 NIL INPRODPF (NIL T T) |package| NIL NIL) (|InfiniteProductFiniteField| 2497152 2497341 2497826 "INPRODFF" 2499184 NIL INPRODFF (NIL T T T T) |package| NIL NIL) (|InnerMultFact| 2494968 2495299 2495864 "INNMFACT" 2496782 NIL INNMFACT (NIL T T T T) |package| NIL NIL) (|InnerModularGcd| 2493534 2493664 2494002 "INMODGCD" 2494804 NIL INMODGCD (NIL T T NIL NIL) |package| NIL NIL) (|InnerNumericFloatSolvePackage| 2491018 2491367 2491919 "INFSP" 2493130 NIL INFSP (NIL T T T) |package| NIL NIL) (|InfiniteProductCharacteristicZero| 2489251 2489440 2489851 "INFPROD0" 2490790 NIL INFPROD0 (NIL T T) |package| NIL NIL) (|InputForm| 2484769 2486249 2487063 "INFORM" 2488458 T INFORM (NIL) |domain| NIL NIL) (|InputFormFunctions1| 2484076 2484167 2484355 "INFORM1" 2484649 NIL INFORM1 (NIL T) |package| NIL NIL) (|Infinity| 2483121 2483295 2483536 "INFINITY" 2483867 T INFINITY (NIL) |package| NIL NIL) (|InfinitlyClosePoint| 2479017 2480541 2481176 "INFCLSPT" 2482883 NIL INFCLSPT (NIL T NIL T T T T T T T) |domain| NIL NIL) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| 2473886 2476690 2477561 "INFCLSPS" 2478362 NIL INFCLSPS (NIL T NIL T) |domain| NIL NIL) (|InfinitlyClosePointCategory| 2458998 2460414 2460850 "INFCLCT" 2472353 NIL INFCLCT (NIL T NIL T T T T T T T) |category| NIL 2473772) (|InnerNumericEigenPackage| 2456572 2456975 2457546 "INEP" 2458561 NIL INEP (NIL T T T) |package| NIL NIL) (|IndexedExponents| 2455486 2456301 2456468 "INDE" 2456473 NIL INDE (NIL T) |domain| NIL NIL) (|IncrementingMaps| 2454716 2454812 2455031 "INCRMAPS" 2455361 NIL INCRMAPS (NIL T) |package| NIL NIL) (|InnerNormalBasisFieldFunctions| 2446421 2447787 2449377 "INBFF" 2453231 NIL INBFF (NIL T) |package| NIL NIL) (|IndexedMatrix| 2441231 2446164 2446335 "IMATRIX" 2446340 NIL IMATRIX (NIL T NIL NIL) |domain| NIL NIL) (|InnerMatrixQuotientFieldFunctions| 2438763 2438930 2439511 "IMATQF" 2441014 NIL IMATQF (NIL T T T T T T T T) |package| NIL NIL) (|InnerMatrixLinearAlgebraFunctions| 2435403 2435734 2436343 "IMATLIN" 2438362 NIL IMATLIN (NIL T T T T) |package| NIL NIL) (|IndexedList| 2427880 2435281 2435374 "ILIST" 2435379 NIL ILIST (NIL T NIL) |domain| NIL NIL) (|InnerIndexedTwoDimensionalArray| 2424937 2427581 2427827 "IIARRAY2" 2427832 NIL IIARRAY2 (NIL T NIL NIL T T) |domain| NIL NIL) (|InnerFiniteField| 2417403 2424714 2424872 "IFF" 2424877 NIL IFF (NIL NIL NIL) |domain| NIL NIL) (|IndexedFlexibleArray| 2410086 2416048 2416439 "IFARRAY" 2417099 NIL IFARRAY (NIL T NIL) |domain| NIL NIL) (|InnerFreeAbelianMonoid| 2408971 2409873 2410040 "IFAMON" 2410045 NIL IFAMON (NIL T T NIL) |domain| NIL NIL) (|InnerEvalable| 2408359 2408429 2408520 "IEVALAB" 2408849 NIL IEVALAB (NIL T T) |category| NIL NIL) (|InnerEvalable&| 2407927 2408000 2408233 "IEVALAB-" 2408238 NIL IEVALAB- (NIL T T T) |domain| NIL NIL) (|IndexedDirectProductObject| 2407396 2407725 2407878 "IDPO" 2407883 NIL IDPO (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoidSup| 2406332 2407074 2407310 "IDPOAMS" 2407315 NIL IDPOAMS (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoid| 2405355 2406025 2406249 "IDPOAM" 2406254 NIL IDPOAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductCategory| 2403755 2404078 2404205 "IDPC" 2405029 NIL IDPC (NIL T T) |category| NIL 2405273) (|IndexedDirectProductAbelianMonoid| 2402978 2403483 2403679 "IDPAM" 2403684 NIL IDPAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductAbelianGroup| 2402097 2402711 2402903 "IDPAG" 2402908 NIL IDPAG (NIL T T) |domain| NIL NIL) (|IdealDecompositionPackage| 2393635 2395562 2397651 "IDECOMP" 2400127 NIL IDECOMP (NIL NIL NIL) |package| NIL NIL) (|PolynomialIdeals| 2381545 2382890 2384499 "IDEAL" 2392185 NIL IDEAL (NIL T T T T) |domain| NIL NIL) (|InfClsPt| 2378105 2379998 2380518 "ICP" 2381127 NIL ICP (NIL T NIL T) |domain| NIL NIL) (|InnerCommonDenominator| 2376497 2376655 2377039 "ICDEN" 2377913 NIL ICDEN (NIL T T T T) |package| NIL NIL) (|IndexCard| 2375253 2375693 2375926 "ICARD" 2376298 T ICARD (NIL) |domain| NIL NIL) (|IntegralBasisPolynomialTools| 2371403 2371962 2372769 "IBPTOOLS" 2374632 NIL IBPTOOLS (NIL T T T T) |package| NIL NIL) (|IndexedBits| 2364938 2370838 2371015 "IBITS" 2371281 NIL IBITS (NIL NIL) |domain| NIL NIL) (|IntegralBasisTools| 2359425 2360228 2361330 "IBATOOL" 2364062 NIL IBATOOL (NIL T T T) |package| NIL NIL) (|ChineseRemainderToolsForIntegralBases| 2355660 2356347 2357273 "IBACHIN" 2358704 NIL IBACHIN (NIL T T T) |package| NIL NIL) (|IndexedTwoDimensionalArray| 2352497 2355299 2355535 "IARRAY2" 2355540 NIL IARRAY2 (NIL T NIL NIL) |domain| NIL NIL) (|IndexedOneDimensionalArray| 2347032 2352315 2352453 "IARRAY1" 2352458 NIL IARRAY1 (NIL T NIL) |domain| NIL NIL) (|InnerAlgebraicNumber| 2337297 2343745 2344759 "IAN" 2346074 T IAN (NIL) |domain| NIL NIL) (|InnerAlgFactor| 2336406 2336485 2336811 "IALGFACT" 2337194 NIL IALGFACT (NIL T T T T) |package| NIL NIL) (|HyperbolicFunctionCategory| 2335608 2335727 2335809 "HYPCAT" 2336226 T HYPCAT (NIL) |category| NIL NIL) (|HyperbolicFunctionCategory&| 2334960 2335083 2335396 "HYPCAT-" 2335401 NIL HYPCAT- (NIL T) |domain| NIL NIL) (|HTMLFormat| 2333391 2333761 2334086 "HTMLFORM" 2334671 T HTMLFORM (NIL) |domain| NIL NIL) (|HomogeneousAggregate| 2328426 2330304 2330388 "HOAGG" 2332125 NIL HOAGG (NIL T) |category| NIL 2333027) (|HomogeneousAggregate&| 2326343 2326886 2327707 "HOAGG-" 2327712 NIL HOAGG- (NIL T T) |domain| NIL NIL) (|HexadecimalExpansion| 2316502 2325308 2325632 "HEXADEC" 2326075 T HEXADEC (NIL) |domain| NIL NIL) (|HeuGcd| 2314505 2314788 2315198 "HEUGCD" 2316170 NIL HEUGCD (NIL T) |package| NIL NIL) (|HyperellipticFiniteDivisor| 2313257 2314178 2314453 "HELLFDIV" 2314458 NIL HELLFDIV (NIL T T T T) |domain| NIL NIL) (|Heap| 2303583 2305702 2307364 "HEAP" 2311639 NIL HEAP (NIL T) |domain| NIL NIL) (|HomogeneousDirectProduct| 2294897 2303379 2303541 "HDP" 2303546 NIL HDP (NIL NIL T) |domain| NIL NIL) (|HomogeneousDistributedMultivariatePolynomial| 2284483 2294152 2294494 "HDMP" 2294698 NIL HDMP (NIL NIL T) |domain| NIL NIL) (|HallBasis| 2283298 2283535 2283841 "HB" 2284211 T HB (NIL) |package| NIL NIL) (|HashTable| 2274612 2283021 2283203 "HASHTBL" 2283208 NIL HASHTBL (NIL T T NIL) |domain| NIL NIL) (|Pi| 2271223 2273875 2274233 "HACKPI" 2274274 T HACKPI (NIL) |domain| NIL NIL) (|GuessUnivariatePolynomial| 2239027 2245809 2253088 "GUESSUP" 2264026 NIL GUESSUP (NIL NIL) |package| NIL NIL) (|GuessPolynomial| 2184309 2197428 2210194 "GUESSP" 2226307 T GUESSP (NIL) |package| NIL NIL) (|Guess| 2125013 2134089 2143670 "GUESS" 2175290 NIL GUESS (NIL T T T T NIL NIL) |package| NIL NIL) (|GuessInteger| 2075560 2087299 2098859 "GUESSINT" 2113493 T GUESSINT (NIL) |package| NIL NIL) (|GuessFinite| 2030022 2039836 2050083 "GUESSF" 2065419 NIL GUESSF (NIL T) |package| NIL NIL) (|GuessFiniteFunctions| 2029496 2029548 2029748 "GUESSF1" 2029946 NIL GUESSF1 (NIL T) |package| NIL NIL) (|GuessAlgebraicNumber| 1981395 1992469 2003866 "GUESSAN" 2018155 T GUESSAN (NIL) |package| NIL NIL) (|GeneralTriangularSet| 1975239 1981111 1981343 "GTSET" 1981348 NIL GTSET (NIL T T T T) |domain| NIL NIL) (|GeneralSparseTable| 1966624 1975036 1975204 "GSTBL" 1975209 NIL GSTBL (NIL T T T NIL) |domain| NIL NIL) (|GeneralUnivariatePowerSeries| 1955429 1964973 1965433 "GSERIES" 1966276 NIL GSERIES (NIL T NIL NIL) |domain| NIL NIL) (|Group| 1954086 1954658 1954698 "GROUP" 1955068 T GROUP (NIL) |category| NIL 1955310) (|Group&| 1952825 1953128 1953626 "GROUP-" 1953631 NIL GROUP- (NIL T) |domain| NIL NIL) (|GroebnerSolve| 1949609 1950248 1951026 "GROEBSOL" 1952152 NIL GROEBSOL (NIL NIL T T) |package| NIL NIL) (|GradedModule| 1947932 1948220 1948322 "GRMOD" 1949298 NIL GRMOD (NIL T T) |category| NIL 1949527) (|GradedModule&| 1947617 1947649 1947849 "GRMOD-" 1947854 NIL GRMOD- (NIL T T T) |domain| NIL NIL) (|GraphImage| 1940110 1941607 1943271 "GRIMAGE" 1945989 T GRIMAGE (NIL) |domain| NIL NIL) (|GraphicsDefaults| 1937327 1937729 1938359 "GRDEF" 1939528 T GRDEF (NIL) |package| NIL NIL) (|GrayCode| 1936334 1936532 1936791 "GRAY" 1937100 T GRAY (NIL) |package| NIL NIL) (|GradedAlgebra| 1935221 1935649 1935753 "GRALG" 1936042 NIL GRALG (NIL T T) |category| NIL 1936190) (|GradedAlgebra&| 1934749 1934823 1935082 "GRALG-" 1935087 NIL GRALG- (NIL T T T) |domain| NIL NIL) (|GeneralPolynomialSet| 1929992 1933942 1934294 "GPOLSET" 1934572 NIL GPOLSET (NIL T T T T) |domain| NIL NIL) (|GeneralPackageForAlgebraicFunctionField| 1895275 1897477 1900278 "GPAFF" 1927746 NIL GPAFF (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|GosperSummationMethod| 1894147 1894226 1894682 "GOSPER" 1895172 NIL GOSPER (NIL T T T T T) |package| NIL NIL) (|GuessOption| 1888084 1889331 1890605 "GOPT" 1892911 T GOPT (NIL) |domain| NIL NIL) (|GuessOptionFunctions0| 1880017 1881648 1883320 "GOPT0" 1886470 T GOPT0 (NIL) |domain| NIL NIL) (|GeneralModulePolynomial| 1872864 1873722 1874599 "GMODPOL" 1879537 NIL GMODPOL (NIL NIL T T T NIL T) |domain| NIL NIL) (|GeneralHenselPackage| 1871189 1871437 1871843 "GHENSEL" 1872582 NIL GHENSEL (NIL T T) |package| NIL NIL) (|GenerateUnivariatePowerSeries| 1859693 1861049 1862900 "GENUPS" 1869632 NIL GENUPS (NIL T T) |package| NIL NIL) (|GenUFactorize| 1859041 1859147 1859344 "GENUFACT" 1859563 NIL GENUFACT (NIL T) |package| NIL NIL) (|GeneralPolynomialGcdPackage| 1857693 1857853 1858249 "GENPGCD" 1858852 NIL GENPGCD (NIL T T T T) |package| NIL NIL) (|GeneralizedMultivariateFactorize| 1856709 1856753 1857168 "GENMFACT" 1857625 NIL GENMFACT (NIL T T T T T) |package| NIL NIL) (|GenExEuclid| 1854324 1854673 1855172 "GENEEZ" 1856316 NIL GENEEZ (NIL T T) |package| NIL NIL) (|GnuDraw| 1851910 1852355 1852905 "GDRAW" 1853804 T GDRAW (NIL) |package| NIL NIL) (|GeneralDistributedMultivariatePolynomial| 1841918 1851149 1851490 "GDMP" 1851769 NIL GDMP (NIL NIL T T) |domain| NIL NIL) (|GenericNonAssociativeAlgebra| 1823172 1830255 1832333 "GCNAALG" 1840019 NIL GCNAALG (NIL T NIL NIL NIL) |domain| NIL NIL) (|GcdDomain| 1820671 1821950 1821998 "GCDDOM" 1822399 T GCDDOM (NIL) |category| NIL 1822711) (|GcdDomain&| 1819489 1819785 1820253 "GCDDOM-" 1820258 NIL GCDDOM- (NIL T) |domain| NIL NIL) (|GroebnerPackage| 1817330 1817553 1818018 "GB" 1819185 NIL GB (NIL T T T T) |package| NIL NIL) (|GroebnerInternalPackage| 1799778 1802808 1806154 "GBINTERN" 1814161 NIL GBINTERN (NIL T T T T) |package| NIL NIL) (|GroebnerFactorizationPackage| 1795854 1796231 1796972 "GBF" 1799262 NIL GBF (NIL T T T T) |package| NIL NIL) (|EuclideanGroebnerBasisPackage| 1793584 1793802 1794298 "GBEUCLID" 1795553 NIL GBEUCLID (NIL T T T T) |package| NIL NIL) (|GaussianFactorizationPackage| 1792407 1792598 1792895 "GAUSSFAC" 1793359 T GAUSSFAC (NIL) |package| NIL NIL) (|GaloisGroupUtilities| 1789045 1789639 1790321 "GALUTIL" 1791795 NIL GALUTIL (NIL T) |package| NIL NIL) (|GaloisGroupPolynomialUtilities| 1785863 1786277 1786883 "GALPOLYU" 1788572 NIL GALPOLYU (NIL T T) |package| NIL NIL) (|GaloisGroupFactorizationUtilities| 1780298 1780715 1781522 "GALFACTU" 1785332 NIL GALFACTU (NIL T T T) |package| NIL NIL) (|GaloisGroupFactorizer| 1764548 1767096 1770155 "GALFACT" 1777347 NIL GALFACT (NIL T) |package| NIL NIL) (|FortranVectorFunctionCategory| 1760019 1760993 1761081 "FVFUN" 1763249 T FVFUN (NIL) |category| NIL 1764460) (|FortranVectorCategory| 1758773 1759037 1759109 "FVC" 1759619 T FVC (NIL) |category| NIL 1759931) (|FunctionCalled| 1758253 1758442 1758582 "FUNCTION" 1758693 NIL FUNCTION (NIL NIL) |domain| NIL NIL) (|FortranType| 1754321 1755141 1756013 "FT" 1757419 T FT (NIL) |domain| NIL NIL) (|FortranTemplate| 1752314 1753004 1753404 "FTEM" 1753967 T FTEM (NIL) |domain| NIL NIL) (|FunctionSpaceUnivariatePolynomialFactor| 1748824 1749338 1750150 "FSUPFACT" 1751745 NIL FSUPFACT (NIL T T T) |package| NIL NIL) (|FortranScalarType| 1746198 1746590 1747159 "FST" 1748305 T FST (NIL) |domain| NIL NIL) (|FunctionSpaceReduce| 1744650 1744817 1745192 "FSRED" 1745983 NIL FSRED (NIL T T) |package| NIL NIL) (|FunctionSpacePrimitiveElement| 1742228 1742650 1743311 "FSPRMELT" 1744162 NIL FSPRMELT (NIL T T) |package| NIL NIL) (|FunctionalSpecialFunction| 1734394 1735250 1736402 "FSPECF" 1741218 NIL FSPECF (NIL T T) |package| NIL NIL) (|FunctionSpace| 1706651 1718851 1718927 "FS" 1725704 NIL FS (NIL T) |category| NIL 1729412) (|FunctionSpace&| 1689813 1693988 1700081 "FS-" 1700650 NIL FS- (NIL T T) |domain| NIL NIL) (|FunctionSpaceIntegration| 1688785 1688855 1689276 "FSINT" 1689720 NIL FSINT (NIL T T) |package| NIL NIL) (|FourierSeries| 1686156 1687071 1687560 "FSERIES" 1688455 NIL FSERIES (NIL T T) |domain| NIL NIL) (|FunctionSpaceComplexIntegration| 1683945 1684142 1684685 "FSCINT" 1685925 NIL FSCINT (NIL T T) |package| NIL NIL) (|FiniteSetAggregate| 1678332 1682177 1682264 "FSAGG" 1682962 NIL FSAGG (NIL T) |category| NIL 1683358) (|FiniteSetAggregate&| 1674966 1675767 1677009 "FSAGG-" 1677198 NIL FSAGG- (NIL T T) |domain| NIL NIL) (|FiniteSetAggregateFunctions2| 1673358 1673526 1673908 "FSAGG2" 1674764 NIL FSAGG2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToUnivariatePowerSeries| 1669138 1669487 1670491 "FS2UPS" 1672976 NIL FS2UPS (NIL T T T T T NIL) |package| NIL NIL) (|FunctionSpaceFunctions2| 1668445 1668495 1668763 "FS2" 1669064 NIL FS2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToExponentialExpansion| 1666445 1666667 1667244 "FS2EXPXP" 1668195 NIL FS2EXPXP (NIL T T NIL NIL) |package| NIL NIL) (|FactoredFunctionUtilities| 1665433 1665603 1665892 "FRUTIL" 1666246 NIL FRUTIL (NIL T) |package| NIL NIL) (|Factored| 1652350 1658223 1660325 "FR" 1663387 NIL FR (NIL T) |domain| NIL NIL) (|FramedNonAssociativeAlgebra| 1643848 1647803 1647912 "FRNAALG" 1650840 NIL FRNAALG (NIL T) |category| NIL 1651926) (|FramedNonAssociativeAlgebra&| 1636343 1637866 1640056 "FRNAALG-" 1641797 NIL FRNAALG- (NIL T T) |domain| NIL NIL) (|FramedNonAssociativeAlgebraFunctions2| 1635604 1635654 1635952 "FRNAAF2" 1636269 NIL FRNAAF2 (NIL T T T T) |package| NIL NIL) (|FramedModule| 1632979 1633607 1634072 "FRMOD" 1635337 NIL FRMOD (NIL T T T T NIL) |domain| NIL NIL) (|FractionalIdeal| 1629128 1629962 1630492 "FRIDEAL" 1632664 NIL FRIDEAL (NIL T T T T) |domain| NIL NIL) (|FractionalIdealFunctions2| 1627650 1627770 1628318 "FRIDEAL2" 1628984 NIL FRIDEAL2 (NIL T T T T T T T T) |package| NIL NIL) (|FullyRetractableTo| 1626475 1627076 1627156 "FRETRCT" 1627161 NIL FRETRCT (NIL T) |category| NIL 1627446) (|FullyRetractableTo&| 1625105 1625415 1625993 "FRETRCT-" 1625998 NIL FRETRCT- (NIL T T) |domain| NIL NIL) (|FramedAlgebra| 1620562 1622174 1622299 "FRAMALG" 1624062 NIL FRAMALG (NIL T T) |category| NIL 1624535) (|FramedAlgebra&| 1617576 1618187 1619222 "FRAMALG-" 1619672 NIL FRAMALG- (NIL T T T) |domain| NIL NIL) (|Fraction| 1608428 1616785 1617206 "FRAC" 1617211 NIL FRAC (NIL T) |domain| NIL NIL) (|FractionFunctions2| 1607804 1607880 1608080 "FRAC2" 1608328 NIL FRAC2 (NIL T T) |package| NIL NIL) (|FactoredFunctions2| 1607180 1607256 1607456 "FR2" 1607704 NIL FR2 (NIL T T) |package| NIL NIL) (|FloatingPointSystem| 1598309 1602575 1602643 "FPS" 1604756 T FPS (NIL) |category| NIL 1605792) (|FloatingPointSystem&| 1597240 1597426 1597760 "FPS-" 1598060 NIL FPS- (NIL T) |domain| NIL NIL) (|FieldOfPrimeCharacteristic| 1593039 1595488 1595570 "FPC" 1596048 T FPC (NIL) |category| NIL 1596348) (|FieldOfPrimeCharacteristic&| 1592609 1592676 1592908 "FPC-" 1592913 NIL FPC- (NIL T) |domain| NIL NIL) (|FullyPatternMatchable| 1590800 1591748 1591834 "FPATMAB" 1591839 NIL FPATMAB (NIL T) |category| NIL 1592091) (|FullPartialFractionExpansion| 1586664 1587316 1588076 "FPARFRAC" 1590202 NIL FPARFRAC (NIL T T) |domain| NIL NIL) (|FortranProgram| 1579204 1580003 1581193 "FORTRAN" 1585649 NIL FORTRAN (NIL NIL NIL NIL NIL) |domain| NIL NIL) (|FortranPackage| 1575759 1576457 1577280 "FORT" 1578425 T FORT (NIL) |package| NIL NIL) (|FortranFunctionCategory| 1571728 1572570 1572646 "FORTFN" 1574592 T FORTFN (NIL) |category| NIL 1575671) (|FortranProgramCategory| 1571302 1571376 1571450 "FORTCAT" 1571560 T FORTCAT (NIL) |category| NIL 1571673) (|ScriptFormulaFormat| 1568261 1568895 1569544 "FORMULA" 1570707 T FORMULA (NIL) |domain| NIL NIL) (|ScriptFormulaFormat1| 1567837 1567887 1568038 "FORMULA1" 1568187 NIL FORMULA1 (NIL T) |package| NIL NIL) (|FindOrderFinite| 1566935 1567016 1567347 "FORDER" 1567732 NIL FORDER (NIL T T T T) |package| NIL NIL) (|FortranOutputStackPackage| 1565106 1565389 1565814 "FOP" 1566576 T FOP (NIL) |package| NIL NIL) (|FreeNilpotentLie| 1562722 1563652 1564033 "FNLA" 1564854 NIL FNLA (NIL NIL NIL T) |domain| NIL NIL) (|FileNameCategory| 1560646 1561147 1561209 "FNCAT" 1562177 T FNCAT (NIL) |category| |FileName| 1562640) (|FileName| 1560060 1560565 1560619 "FNAME" 1560624 T FNAME (NIL) |domain| NIL NIL) (|FortranMachineTypeCategory| 1558153 1559403 1559485 "FMTC" 1559490 T FMTC (NIL) |category| NIL 1559564) (|FreeMonoid| 1552618 1554187 1555170 "FMONOID" 1557227 NIL FMONOID (NIL T) |domain| NIL NIL) (|FreeModule| 1551547 1552195 1552439 "FM" 1552444 NIL FM (NIL T T) |domain| NIL NIL) (|FortranMatrixFunctionCategory| 1547018 1547992 1548080 "FMFUN" 1550248 T FMFUN (NIL) |category| NIL 1551459) (|FortranMatrixCategory| 1545772 1546036 1546108 "FMC" 1546618 T FMC (NIL) |category| NIL 1546930) (|FreeModuleCat| 1541451 1542524 1542615 "FMCAT" 1544655 NIL FMCAT (NIL T T) |category| NIL 1545420) (|FreeModule1| 1539970 1541082 1541240 "FM1" 1541365 NIL FM1 (NIL T T) |domain| NIL NIL) (|FloatingRealPackage| 1536283 1536918 1537740 "FLOATRP" 1539242 NIL FLOATRP (NIL T) |package| NIL NIL) (|Float| 1526212 1532102 1533325 "FLOAT" 1535086 T FLOAT (NIL) |domain| NIL NIL) (|FloatingComplexPackage| 1521813 1522602 1523608 "FLOATCP" 1525306 NIL FLOATCP (NIL T) |package| NIL NIL) (|FullyLinearlyExplicitRingOver| 1519936 1521100 1521202 "FLINEXP" 1521207 NIL FLINEXP (NIL T) |category| NIL 1521397) (|FullyLinearlyExplicitRingOver&| 1518633 1518949 1519507 "FLINEXP-" 1519512 NIL FLINEXP- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateSort| 1516994 1517191 1517599 "FLASORT" 1518402 NIL FLASORT (NIL T T) |package| NIL NIL) (|FreeLieAlgebra| 1512392 1513508 1513611 "FLALG" 1515908 NIL FLALG (NIL T T) |category| |LiePolynomial| 1516672) (|FiniteLinearAggregate| 1503081 1508291 1508377 "FLAGG" 1510613 NIL FLAGG (NIL T) |category| NIL 1511593) (|FiniteLinearAggregate&| 1501219 1501666 1502426 "FLAGG-" 1502431 NIL FLAGG- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateFunctions2| 1499628 1499796 1500176 "FLAGG2" 1501017 NIL FLAGG2 (NIL T T T T) |package| NIL NIL) (|FiniteRankAlgebra| 1494466 1495840 1495973 "FINRALG" 1498269 NIL FINRALG (NIL T T) |category| NIL 1499096) (|FiniteRankAlgebra&| 1493164 1493482 1494050 "FINRALG-" 1494055 NIL FINRALG- (NIL T T T) |domain| NIL NIL) (|Finite| 1492061 1492387 1492429 "FINITE" 1492841 T FINITE (NIL) |category| NIL 1493082) (|Finite&| 1491777 1491832 1491967 "FINITE-" 1491972 NIL FINITE- (NIL T) |domain| NIL NIL) (|FiniteRankNonAssociativeAlgebra| 1477505 1480812 1480929 "FINAALG" 1488778 NIL FINAALG (NIL T) |category| NIL 1491400) (|FiniteRankNonAssociativeAlgebra&| 1468333 1470062 1472230 "FINAALG-" 1475488 NIL FINAALG- (NIL T T) |domain| NIL NIL) (|File| 1467471 1467945 1468108 "FILE" 1468215 NIL FILE (NIL T) |domain| NIL NIL) (|FileCategory| 1465207 1465603 1465699 "FILECAT" 1467043 NIL FILECAT (NIL T T) |category| NIL 1467389) (|Field| 1461881 1464090 1464130 "FIELD" 1464179 T FIELD (NIL) |category| NIL 1464363) (|Field&| 1459940 1460449 1461184 "FIELD-" 1461189 NIL FIELD- (NIL T) |domain| NIL NIL) (|FreeGroup| 1456696 1457752 1458299 "FGROUP" 1459448 NIL FGROUP (NIL T) |domain| NIL NIL) (|FGLMIfCanPackage| 1455196 1455444 1455818 "FGLMICPK" 1456414 NIL FGLMICPK (NIL T NIL) |package| NIL NIL) (|FiniteFieldExtension| 1448910 1455001 1455151 "FFX" 1455156 NIL FFX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldSquareFreeDecomposition| 1448016 1448098 1448365 "FFSQFR" 1448799 NIL FFSQFR (NIL T T) |package| NIL NIL) (|FiniteFieldSolveLinearPolynomialEquation| 1447154 1447250 1447581 "FFSLPE" 1447896 NIL FFSLPE (NIL T T T) |package| NIL NIL) (|FiniteFieldPolynomialPackage| 1437548 1439348 1441366 "FFPOLY" 1445237 NIL FFPOLY (NIL T) |package| NIL NIL) (|FiniteFieldPolynomialPackage2| 1436489 1436566 1437011 "FFPOLY2" 1437447 NIL FFPOLY2 (NIL T T) |package| NIL NIL) (|FiniteFieldExtensionByPolynomial| 1430189 1436254 1436444 "FFP" 1436449 NIL FFP (NIL T NIL) |domain| NIL NIL) (|FiniteField| 1422980 1429986 1430129 "FF" 1430134 NIL FF (NIL NIL NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtension| 1415234 1421548 1421985 "FFNBX" 1422675 NIL FFNBX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtensionByPolynomial| 1407107 1413399 1413968 "FFNBP" 1414929 NIL FFNBP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasis| 1398369 1405628 1406088 "FFNB" 1406757 NIL FFNB (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldIntegralBasis| 1396491 1396746 1397272 "FFINTBAS" 1398085 NIL FFINTBAS (NIL T T T) |package| NIL NIL) (|FiniteFieldCategory| 1390164 1393503 1393571 "FFIELDC" 1394762 T FFIELDC (NIL) |category| NIL 1395496) (|FiniteFieldCategory&| 1387729 1388366 1389305 "FFIELDC-" 1389310 NIL FFIELDC- (NIL T) |domain| NIL NIL) (|FiniteFieldHomomorphisms| 1386853 1386901 1387170 "FFHOM" 1387641 NIL FFHOM (NIL T T T) |package| NIL NIL) (|FiniteFieldFunctions| 1382425 1383301 1384311 "FFF" 1385928 NIL FFF (NIL T) |package| NIL NIL) (|FractionFreeFastGaussian| 1373666 1375140 1376900 "FFFG" 1380831 NIL FFFG (NIL T T) |package| NIL NIL) (|FractionFreeFastGaussianFractions| 1370907 1371328 1372067 "FFFGF" 1373191 NIL FFFGF (NIL T T T) |package| NIL NIL) (|FiniteFieldFactorizationWithSizeParseBySideEffect| 1368220 1368529 1369073 "FFFACTSE" 1370549 NIL FFFACTSE (NIL T T) |package| NIL NIL) (|FiniteFieldFactorization| 1365733 1366042 1366536 "FFFACTOR" 1367862 NIL FFFACTOR (NIL T T) |package| NIL NIL) (|FiniteFieldCyclicGroupExtension| 1358955 1365108 1365376 "FFCGX" 1365597 NIL FFCGX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroupExtensionByPolynomial| 1352135 1358264 1358572 "FFCGP" 1358819 NIL FFCGP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroup| 1344451 1351519 1351780 "FFCG" 1351984 NIL FFCG (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldCategory| 1312541 1326163 1326371 "FFCAT" 1337919 NIL FFCAT (NIL T T T) |category| NIL 1340423) (|FunctionFieldCategory&| 1304023 1305554 1307792 "FFCAT-" 1310543 NIL FFCAT- (NIL T T T T) |domain| NIL NIL) (|FunctionFieldCategoryFunctions2| 1302799 1302849 1303361 "FFCAT2" 1303949 NIL FFCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranExpression| 1285680 1290816 1292806 "FEXPR" 1300945 NIL FEXPR (NIL NIL NIL T) |domain| NIL NIL) (|FullyEvalableOver| 1284323 1284851 1284936 "FEVALAB" 1285078 NIL FEVALAB (NIL T) |category| NIL 1285434) (|FullyEvalableOver&| 1283224 1283463 1283943 "FEVALAB-" 1283948 NIL FEVALAB- (NIL T T) |domain| NIL NIL) (|FiniteDivisor| 1281062 1282061 1282431 "FDIV" 1283056 NIL FDIV (NIL T T T T) |domain| NIL NIL) (|FiniteDivisorCategory| 1275894 1276796 1277033 "FDIVCAT" 1280227 NIL FDIVCAT (NIL T T T T) |category| NIL 1280870) (|FiniteDivisorCategory&| 1275449 1275488 1275824 "FDIVCAT-" 1275829 NIL FDIVCAT- (NIL T T T T T) |domain| NIL NIL) (|FiniteDivisorFunctions2| 1274030 1274146 1274668 "FDIV2" 1275309 NIL FDIV2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranCodePackage1| 1271501 1271977 1272566 "FCPAK1" 1273495 T FCPAK1 (NIL) |package| NIL NIL) (|FourierComponent| 1270253 1270672 1270906 "FCOMP" 1271335 NIL FCOMP (NIL T) |domain| NIL NIL) (|FortranCode| 1245771 1250482 1255845 "FC" 1264928 T FC (NIL) |domain| NIL NIL) (|FiniteAlgebraicExtensionField| 1233168 1239179 1239282 "FAXF" 1242954 NIL FAXF (NIL T) |category| NIL 1244301) (|FiniteAlgebraicExtensionField&| 1227778 1228939 1230587 "FAXF-" 1231655 NIL FAXF- (NIL T T) |domain| NIL NIL) (|FlexibleArray| 1220600 1226589 1226949 "FARRAY" 1227474 NIL FARRAY (NIL T) |domain| NIL NIL) (|FiniteAbelianMonoidRing| 1213052 1215934 1216054 "FAMR" 1218090 NIL FAMR (NIL T T) |category| NIL 1218820) (|FiniteAbelianMonoidRing&| 1211430 1211822 1212510 "FAMR-" 1212515 NIL FAMR- (NIL T T T) |domain| NIL NIL) (|FiniteAbelianMonoidRingFunctions2| 1210671 1210721 1211021 "FAMR2" 1211356 NIL FAMR2 (NIL T T T T T) |package| NIL NIL) (|FreeAbelianMonoid| 1209434 1210477 1210607 "FAMONOID" 1210612 NIL FAMONOID (NIL T) |domain| NIL NIL) (|FreeAbelianMonoidCategory| 1205676 1206565 1206701 "FAMONC" 1208642 NIL FAMONC (NIL T T) |category| NIL 1209236) (|FreeAbelianGroup| 1203862 1205224 1205482 "FAGROUP" 1205487 NIL FAGROUP (NIL T) |domain| NIL NIL) (|FactoringUtilities| 1199332 1199967 1200818 "FACUTIL" 1203173 NIL FACUTIL (NIL T T T T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| 1197824 1198049 1198485 "FACTRN" 1199078 NIL FACTRN (NIL T) |package| NIL NIL) (|FactoredFunctions| 1196355 1196627 1197002 "FACTFUNC" 1197523 NIL FACTFUNC (NIL T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| 1194791 1195016 1195476 "FACTEXT" 1196101 NIL FACTEXT (NIL T) |package| NIL NIL) (|ExponentialOfUnivariatePuiseuxSeries| 1183606 1193309 1193761 "EXPUPXS" 1194492 NIL EXPUPXS (NIL T NIL NIL) |domain| NIL NIL) (|ExpressionTubePlot| 1178766 1179803 1180975 "EXPRTUBE" 1182486 T EXPRTUBE (NIL) |package| NIL NIL) (|ExpressionSolve| 1177093 1177235 1177692 "EXPRSOL" 1178595 NIL EXPRSOL (NIL T T T T) |package| NIL NIL) (|ExpressionSpaceODESolver| 1170427 1171299 1172556 "EXPRODE" 1176008 NIL EXPRODE (NIL T T) |package| NIL NIL) (|Expression| 1148188 1167659 1168549 "EXPR" 1169593 NIL EXPR (NIL T) |domain| NIL NIL) (|ExpressionToUnivariatePowerSeries| 1137217 1138004 1139391 "EXPR2UPS" 1147098 NIL EXPR2UPS (NIL T T) |package| NIL NIL) (|ExpressionFunctions2| 1136587 1136667 1136867 "EXPR2" 1137113 NIL EXPR2 (NIL T T) |package| NIL NIL) (|ExponentialExpansion| 1119624 1134790 1135420 "EXPEXPAN" 1136254 NIL EXPEXPAN (NIL T T NIL NIL) |domain| NIL NIL) (|Export3D| 1119158 1119232 1119362 "EXP3D" 1119526 T EXP3D (NIL) |package| NIL NIL) (|Exit| 1118935 1119095 1119136 "EXIT" 1119141 T EXIT (NIL) |domain| NIL NIL) (|EvaluateCycleIndicators| 1118235 1118337 1118567 "EVALCYC" 1118809 NIL EVALCYC (NIL T) |package| NIL NIL) (|Evalable| 1117569 1117704 1117771 "EVALAB" 1118041 NIL EVALAB (NIL T) |category| NIL 1118198) (|Evalable&| 1116889 1117030 1117336 "EVALAB-" 1117341 NIL EVALAB- (NIL T T) |domain| NIL NIL) (|EuclideanDomain| 1112971 1114856 1114916 "EUCDOM" 1115819 T EUCDOM (NIL) |category| NIL 1116377) (|EuclideanDomain&| 1110766 1111337 1112188 "EUCDOM-" 1112193 NIL EUCDOM- (NIL T) |domain| NIL NIL) (|ExpertSystemToolsPackage| 1091294 1095257 1099504 "ESTOOLS" 1106583 T ESTOOLS (NIL) |package| NIL NIL) (|ExpertSystemToolsPackage2| 1090705 1090777 1090967 "ESTOOLS2" 1091198 NIL ESTOOLS2 (NIL T T) |package| NIL NIL) (|ExpertSystemToolsPackage1| 1090277 1090327 1090488 "ESTOOLS1" 1090631 NIL ESTOOLS1 (NIL T) |package| NIL NIL) (|ExpressionSpace| 1080735 1083079 1083139 "ES" 1087814 T ES (NIL) |category| NIL 1090049) (|ExpressionSpace&| 1073400 1075174 1077834 "ES-" 1078148 NIL ES- (NIL T) |domain| NIL NIL) (|ExpertSystemContinuityPackage| 1066564 1067905 1069410 "ESCONT" 1071969 T ESCONT (NIL) |package| NIL NIL) (|ExpertSystemContinuityPackage1| 1066081 1066127 1066315 "ESCONT1" 1066494 NIL ESCONT1 (NIL NIL NIL) |package| NIL NIL) (|ExpressionSpaceFunctions2| 1065511 1065572 1065773 "ES2" 1065996 NIL ES2 (NIL T T) |package| NIL NIL) (|ExpressionSpaceFunctions1| 1064900 1064972 1065173 "ES1" 1065415 NIL ES1 (NIL T T) |package| NIL NIL) (|ErrorFunctions| 1063725 1063886 1064160 "ERROR" 1064670 T ERROR (NIL) |package| NIL NIL) (|EqTable| 1055052 1063468 1063630 "EQTBL" 1063635 NIL EQTBL (NIL T T) |domain| NIL NIL) (|Equation| 1044367 1048248 1050254 "EQ" 1053092 NIL EQ (NIL T) |domain| NIL NIL) (|EquationFunctions2| 1043783 1043859 1044039 "EQ2" 1044267 NIL EQ2 (NIL T T) |package| NIL NIL) (|EigenPackage| 1035730 1037442 1039328 "EP" 1041956 NIL EP (NIL T) |package| NIL NIL) (|EntireRing| 1034516 1035261 1035311 "ENTIRER" 1035316 T ENTIRER (NIL) |category| NIL 1035402) (|EuclideanModularRing| 1029003 1031090 1031670 "EMR" 1034222 NIL EMR (NIL T T T NIL NIL NIL) |domain| NIL NIL) (|EltableAggregate| 1027720 1027952 1028049 "ELTAGG" 1028690 NIL ELTAGG (NIL T T) |category| NIL 1028972) (|EltableAggregate&| 1027322 1027390 1027613 "ELTAGG-" 1027618 NIL ELTAGG- (NIL T T T) |domain| NIL NIL) (|Eltable| 1027022 1027051 1027130 "ELTAB" 1027258 NIL ELTAB (NIL T T) |category| NIL NIL) (|EllipticFunctionsUnivariateTaylorSeries| 1025544 1025698 1026045 "ELFUTS" 1026829 NIL ELFUTS (NIL T T) |package| NIL NIL) (|ElementaryFunctionCategory| 1025098 1025154 1025236 "ELEMFUN" 1025443 T ELEMFUN (NIL) |category| NIL NIL) (|ElementaryFunctionCategory&| 1024860 1024881 1025040 "ELEMFUN-" 1025045 NIL ELEMFUN- (NIL T) |domain| NIL NIL) (|ExtensibleLinearAggregate| 1017142 1021685 1021779 "ELAGG" 1023482 NIL ELAGG (NIL T) |category| NIL 1024203) (|ExtensibleLinearAggregate&| 1014693 1015249 1016254 "ELAGG-" 1016259 NIL ELAGG- (NIL T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariatePuiseuxSeries| 1001088 1003239 1004500 "EFUPXS" 1013727 NIL EFUPXS (NIL T T T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariateLaurentSeries| 989147 991300 992515 "EFULS" 1000122 NIL EFULS (NIL T T T) |domain| NIL NIL) (|ElementaryFunctionStructurePackage| 984218 984680 985533 "EFSTRUC" 988598 NIL EFSTRUC (NIL T T) |package| NIL NIL) (|ElementaryFunction| 966134 967892 970093 "EF" 982174 NIL EF (NIL T T) |package| NIL NIL) (|ExtAlgBasis| 964760 965235 965506 "EAB" 965901 T EAB (NIL) |domain| NIL NIL) (|e04ucfAnnaType| 963495 964641 964720 "E04UCFA" 964725 T E04UCFA (NIL) |domain| NIL NIL) (|e04nafAnnaType| 962230 963376 963455 "E04NAFA" 963460 T E04NAFA (NIL) |domain| NIL NIL) (|e04mbfAnnaType| 960965 962111 962190 "E04MBFA" 962195 T E04MBFA (NIL) |domain| NIL NIL) (|e04jafAnnaType| 959700 960846 960925 "E04JAFA" 960930 T E04JAFA (NIL) |domain| NIL NIL) (|e04gcfAnnaType| 958437 959581 959660 "E04GCFA" 959665 T E04GCFA (NIL) |domain| NIL NIL) (|e04fdfAnnaType| 957174 958318 958397 "E04FDFA" 958402 T E04FDFA (NIL) |domain| NIL NIL) (|e04dgfAnnaType| 955909 957055 957134 "E04DGFA" 957139 T E04DGFA (NIL) |domain| NIL NIL) (|e04AgentsPackage| 945587 947895 950361 "E04AGNT" 953491 T E04AGNT (NIL) |package| NIL NIL) (|DifferentialVariableCategory| 943352 943979 944085 "DVARCAT" 945076 NIL DVARCAT (NIL T) |category| NIL 945455) (|DifferentialVariableCategory&| 942084 942372 942928 "DVARCAT-" 942933 NIL DVARCAT- (NIL T T) |domain| NIL NIL) (|DesingTreePackage| 928627 929344 930681 "DTP" 941258 NIL DTP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|DesingTree| 924887 927613 927895 "DSTREE" 928402 NIL DSTREE (NIL T) |domain| NIL NIL) (|DesingTreeCategory| 921207 923765 923852 "DSTRCAT" 924226 NIL DSTRCAT (NIL T) |category| |DesingTree| 924453) (|DifferentialSparseMultivariatePolynomial| 910070 920735 921055 "DSMP" 921060 NIL DSMP (NIL T T T) |domain| NIL NIL) (|DrawOption| 901644 903314 905124 "DROPT" 908296 T DROPT (NIL) |domain| NIL NIL) (|DrawOptionFunctions1| 901104 901184 901358 "DROPT1" 901540 NIL DROPT1 (NIL T) |package| NIL NIL) (|DrawOptionFunctions0| 892845 894633 896576 "DROPT0" 899217 T DROPT0 (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForPoints| 889605 890217 890999 "DRAWPT" 892139 T DRAWPT (NIL) |package| NIL NIL) (|TopLevelDrawFunctions| 878873 880686 882874 "DRAW" 887537 NIL DRAW (NIL T) |package| NIL NIL) (|DrawNumericHack| 878179 878268 878503 "DRAWHACK" 878760 NIL DRAWHACK (NIL T) |package| NIL NIL) (|DrawComplex| 875644 876174 876786 "DRAWCX" 877605 T DRAWCX (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForAlgebraicCurves| 874690 874800 875134 "DRAWCURV" 875510 NIL DRAWCURV (NIL T T) |package| NIL NIL) (|TopLevelDrawFunctionsForCompiledFunctions| 855402 859207 863485 "DRAWCFUN" 870510 T DRAWCFUN (NIL) |package| NIL NIL) (|DequeueAggregate| 850751 853323 853399 "DQAGG" 854469 NIL DQAGG (NIL T) |category| |Dequeue| 854914) (|DifferentialPolynomialCategory| 830981 841264 841465 "DPOLCAT" 845549 NIL DPOLCAT (NIL T T T T) |category| NIL 846543) (|DifferentialPolynomialCategory&| 823062 824926 828075 "DPOLCAT-" 828080 NIL DPOLCAT- (NIL T T T T T) |domain| NIL NIL) (|DirectProductModule| 812922 822804 822991 "DPMO" 822996 NIL DPMO (NIL NIL T T) |domain| NIL NIL) (|DirectProductMatrixModule| 802621 812519 812831 "DPMM" 812836 NIL DPMM (NIL NIL T T T) |domain| NIL NIL) (|DistributedMultivariatePolynomial| 792339 801931 802240 "DMP" 802433 NIL DMP (NIL NIL T) |domain| NIL NIL) (|DiscreteLogarithmPackage| 791540 791652 791948 "DLP" 792203 NIL DLP (NIL T) |package| NIL NIL) (|DataList| 782565 790152 790493 "DLIST" 791251 NIL DLIST (NIL T) |domain| NIL NIL) (|DoublyLinkedAggregate| 777937 780735 780821 "DLAGG" 781778 NIL DLAGG (NIL T) |category| NIL 782131) (|DivisionRing| 775968 776884 776938 "DIVRING" 777170 T DIVRING (NIL) |category| NIL 777341) (|DivisionRing&| 774414 774787 775407 "DIVRING-" 775412 NIL DIVRING- (NIL T) |domain| NIL NIL) (|Divisor| 772260 773760 773980 "DIV" 774255 NIL DIV (NIL T) |domain| NIL NIL) (|DivisorCategory| 768399 769785 769866 "DIVCAT" 771315 NIL DIVCAT (NIL T) |category| |Divisor| 771847) (|DisplayPackage| 765520 765988 766613 "DISPLAY" 767818 T DISPLAY (NIL) |package| NIL NIL) (|DirichletRing| 761632 763314 763970 "DIRRING" 764920 NIL DIRRING (NIL T) |domain| NIL NIL) (|DirectProduct| 753010 761469 761590 "DIRPROD" 761595 NIL DIRPROD (NIL NIL T) |domain| NIL NIL) (|DirectProductFunctions2| 751138 751421 751856 "DIRPROD2" 752693 NIL DIRPROD2 (NIL NIL T T) |package| NIL NIL) (|DirectProductCategory| 735676 744110 744224 "DIRPCAT" 744933 NIL DIRPCAT (NIL NIL T) |category| NIL 746280) (|DirectProductCategory&| 731282 732199 733680 "DIRPCAT-" 734338 NIL DIRPCAT- (NIL T NIL T) |domain| NIL NIL) (|DiophantineSolutionPackage| 730109 730351 730685 "DIOSP" 731016 T DIOSP (NIL) |package| NIL NIL) (|DictionaryOperations| 725180 728329 728420 "DIOPS" 729217 NIL DIOPS (NIL T) |category| NIL 729578) (|DictionaryOperations&| 724482 724625 724957 "DIOPS-" 724962 NIL DIOPS- (NIL T T) |domain| NIL NIL) (|DifferentialRing| 722746 723603 723665 "DIFRING" 724008 T DIFRING (NIL) |category| NIL 724201) (|DifferentialRing&| 722152 722267 722542 "DIFRING-" 722547 NIL DIFRING- (NIL T) |domain| NIL NIL) (|DifferentialExtension| 718594 720503 720589 "DIFEXT" 721232 NIL DIFEXT (NIL T) |category| NIL 721725) (|DifferentialExtension&| 715927 716553 717626 "DIFEXT-" 717631 NIL DIFEXT- (NIL T T) |domain| NIL NIL) (|Dictionary| 712094 715243 715314 "DIAGG" 715319 NIL DIAGG (NIL T) |category| NIL 715360) (|Dictionary&| 711202 711401 711787 "DIAGG-" 711792 NIL DIAGG- (NIL T T) |domain| NIL NIL) (|DenavitHartenbergMatrix| 704328 709336 709793 "DHMATRIX" 710866 NIL DHMATRIX (NIL T) |domain| NIL NIL) (|DoubleFloatVector| 696589 703983 704133 "DFVEC" 704228 T DFVEC (NIL) |domain| NIL NIL) (|DoubleFloatSpecialFunctions| 683790 686356 689335 "DFSFUN" 693680 T DFSFUN (NIL) |package| NIL NIL) (|DoubleFloatMatrix| 677582 683330 683536 "DFMAT" 683634 T DFMAT (NIL) |domain| NIL NIL) (|DoubleFloat| 668940 674784 675616 "DFLOAT" 676788 T DFLOAT (NIL) |domain| NIL NIL) (|DefiniteIntegrationTools| 665365 665857 666674 "DFINTTLS" 668392 NIL DFINTTLS (NIL T T) |package| NIL NIL) (|DeRhamComplex| 660551 661961 662692 "DERHAM" 664739 NIL DERHAM (NIL T NIL) |domain| NIL NIL) (|Dequeue| 647482 650095 652331 "DEQUEUE" 658366 NIL DEQUEUE (NIL T) |domain| NIL NIL) (|DegreeReductionPackage| 645993 646228 646614 "DEGRED" 647218 NIL DEGRED (NIL T T) |package| NIL NIL) (|RationalFunctionDefiniteIntegration| 639758 640931 642414 "DEFINTRF" 644739 NIL DEFINTRF (NIL T) |package| NIL NIL) (|ElementaryFunctionDefiniteIntegration| 635367 636051 637137 "DEFINTEF" 639026 NIL DEFINTEF (NIL T T) |package| NIL NIL) (|DecimalExpansion| 625534 634344 634664 "DECIMAL" 635095 T DECIMAL (NIL) |domain| NIL NIL) (|DistinctDegreeFactorize| 621039 621718 622595 "DDFACT" 624791 NIL DDFACT (NIL T T) |package| NIL NIL) (|DoubleResultantPackage| 620251 620313 620619 "DBLRESP" 620953 NIL DBLRESP (NIL T T T T) |package| NIL NIL) (|Database| 616740 617162 617742 "DBASE" 619870 NIL DBASE (NIL T) |domain| NIL NIL) (|d03fafAnnaType| 615439 616595 616687 "D03FAFA" 616692 T D03FAFA (NIL) |domain| NIL NIL) (|d03eefAnnaType| 614139 615294 615386 "D03EEFA" 615391 T D03EEFA (NIL) |domain| NIL NIL) (|d03AgentsPackage| 610783 611517 612338 "D03AGNT" 613366 T D03AGNT (NIL) |package| NIL NIL) (|d02ejfAnnaType| 609723 610636 610729 "D02EJFA" 610734 T D02EJFA (NIL) |domain| NIL NIL) (|d02cjfAnnaType| 608663 609576 609669 "D02CJFA" 609674 T D02CJFA (NIL) |domain| NIL NIL) (|d02bhfAnnaType| 607603 608516 608609 "D02BHFA" 608614 T D02BHFA (NIL) |domain| NIL NIL) (|d02bbfAnnaType| 606543 607456 607549 "D02BBFA" 607554 T D02BBFA (NIL) |domain| NIL NIL) (|d02AgentsPackage| 595662 598106 600699 "D02AGNT" 603998 T D02AGNT (NIL) |package| NIL NIL) (|d01WeightsPackage| 591890 592748 593690 "D01WGTS" 594770 T D01WGTS (NIL) |package| NIL NIL) (|d01TransformFunctionType| 590474 591753 591851 "D01TRNS" 591856 T D01TRNS (NIL) |domain| NIL NIL) (|d01gbfAnnaType| 589078 590357 590435 "D01GBFA" 590440 T D01GBFA (NIL) |domain| NIL NIL) (|d01fcfAnnaType| 587682 588961 589039 "D01FCFA" 589044 T D01FCFA (NIL) |domain| NIL NIL) (|d01asfAnnaType| 586286 587565 587643 "D01ASFA" 587648 T D01ASFA (NIL) |domain| NIL NIL) (|d01aqfAnnaType| 584890 586169 586247 "D01AQFA" 586252 T D01AQFA (NIL) |domain| NIL NIL) (|d01apfAnnaType| 583494 584773 584851 "D01APFA" 584856 T D01APFA (NIL) |domain| NIL NIL) (|d01anfAnnaType| 582098 583377 583455 "D01ANFA" 583460 T D01ANFA (NIL) |domain| NIL NIL) (|d01amfAnnaType| 580702 581981 582059 "D01AMFA" 582064 T D01AMFA (NIL) |domain| NIL NIL) (|d01alfAnnaType| 579306 580585 580663 "D01ALFA" 580668 T D01ALFA (NIL) |domain| NIL NIL) (|d01akfAnnaType| 577910 579189 579267 "D01AKFA" 579272 T D01AKFA (NIL) |domain| NIL NIL) (|d01ajfAnnaType| 576514 577793 577871 "D01AJFA" 577876 T D01AJFA (NIL) |domain| NIL NIL) (|d01AgentsPackage| 566637 568816 571117 "D01AGNT" 574261 T D01AGNT (NIL) |package| NIL NIL) (|CyclotomicPolynomialPackage| 565101 565383 565769 "CYCLOTOM" 566321 T CYCLOTOM (NIL) |package| NIL NIL) (|CycleIndicators| 558827 560160 561623 "CYCLES" 563684 T CYCLES (NIL) |package| NIL NIL) (|CoerceVectorMatrixPackage| 557664 557855 558166 "CVMP" 558607 NIL CVMP (NIL T) |package| NIL NIL) (|ComplexTrigonometricManipulations| 553188 553526 554245 "CTRIGMNP" 557218 NIL CTRIGMNP (NIL T T) |package| NIL NIL) (|CyclicStreamTools| 552048 552202 552488 "CSTTOOLS" 553000 NIL CSTTOOLS (NIL T T) |package| NIL NIL) (|ComplexRootFindingPackage| 544851 545711 546919 "CRFP" 551001 NIL CRFP (NIL T T) |package| NIL NIL) (|CRApackage| 543362 543599 543957 "CRAPACK" 544554 NIL CRAPACK (NIL T) |package| NIL NIL) (|ComplexPatternMatch| 542239 542408 542782 "CPMATCH" 543153 NIL CPMATCH (NIL T T T) |package| NIL NIL) (|CharacteristicPolynomialInMonogenicalAlgebra| 541576 541625 541906 "CPIMA" 542166 NIL CPIMA (NIL T T T) |package| NIL NIL) (|CoordinateSystems| 535272 536220 537392 "COORDSYS" 540533 NIL COORDSYS (NIL T) |package| NIL NIL) (|ContinuedFraction| 528665 531665 532519 "CONTFRAC" 534493 NIL CONTFRAC (NIL T) |domain| NIL NIL) (|CommutativeRing| 527438 528183 528243 "COMRING" 528248 T COMRING (NIL) |category| NIL 528337) (|SubSpaceComponentProperty| 525951 526300 526630 "COMPPROP" 527174 T COMPPROP (NIL) |domain| NIL NIL) (|ComplexPattern| 525357 525401 525633 "COMPLPAT" 525883 NIL COMPLPAT (NIL T T T) |package| NIL NIL) (|Complex| 509683 525051 525229 "COMPLEX" 525234 NIL COMPLEX (NIL T) |domain| NIL NIL) (|ComplexFunctions2| 509066 509140 509338 "COMPLEX2" 509585 NIL COMPLEX2 (NIL T T) |package| NIL NIL) (|ComplexFactorization| 508536 508580 508784 "COMPFACT" 508998 NIL COMPFACT (NIL T T) |package| NIL NIL) (|ComplexCategory| 482561 498732 498817 "COMPCAT" 500767 NIL COMPCAT (NIL T) |category| NIL 503112) (|ComplexCategory&| 466019 470250 476087 "COMPCAT-" 476827 NIL COMPCAT- (NIL T T) |domain| NIL NIL) (|Comparable| 465511 465703 465753 "COMPAR" 465850 T COMPAR (NIL) |category| NIL 465937) (|CommuteUnivariatePolynomialCategory| 464961 464990 465229 "COMMUPC" 465458 NIL COMMUPC (NIL T T T) |package| NIL NIL) (|CommonOperators| 464581 464633 464755 "COMMONOP" 464885 T COMMONOP (NIL) |package| NIL NIL) (|Commutator| 463969 464175 464323 "COMM" 464469 T COMM (NIL) |domain| NIL NIL) (|CombinatorialOpsCategory| 462635 462896 462974 "COMBOPC" 463609 T COMBOPC (NIL) |category| NIL 463926) (|IntegerCombinatoricFunctions| 460731 460988 461400 "COMBINAT" 462324 NIL COMBINAT (NIL T) |package| NIL NIL) (|CombinatorialFunction| 454330 455049 456050 "COMBF" 459864 NIL COMBF (NIL T T) |package| NIL NIL) (|Color| 452520 452938 453326 "COLOR" 453968 T COLOR (NIL) |domain| NIL NIL) (|ComplexRootPackage| 451876 451939 452180 "CMPLXRT" 452433 NIL CMPLXRT (NIL T T) |package| NIL NIL) (|TwoDimensionalPlotClipping| 444933 446454 448143 "CLIP" 450255 T CLIP (NIL) |package| NIL NIL) (|CliffordAlgebra| 442400 443419 443825 "CLIF" 444646 NIL CLIF (NIL NIL T NIL) |domain| NIL NIL) (|Collection| 436788 439538 439602 "CLAGG" 441132 NIL CLAGG (NIL T) |category| NIL 441923) (|Collection&| 434434 435074 435967 "CLAGG-" 435972 NIL CLAGG- (NIL T T) |domain| NIL NIL) (|ComplexIntegerSolveLinearPolynomialEquation| 433329 433518 433892 "CINTSLPE" 434221 NIL CINTSLPE (NIL T T) |package| NIL NIL) (|ChangeOfVariable| 429129 429773 430648 "CHVAR" 432636 NIL CHVAR (NIL T T T) |package| NIL NIL) (|CharacteristicZero| 428013 428758 428824 "CHARZ" 428829 T CHARZ (NIL) |category| NIL 428848) (|CharacteristicPolynomialPackage| 427492 427557 427749 "CHARPOL" 427924 NIL CHARPOL (NIL T) |package| NIL NIL) (|CharacteristicNonZero| 426177 426967 427039 "CHARNZ" 427122 T CHARNZ (NIL) |category| NIL 427211) (|Character| 423147 424038 424601 "CHAR" 425648 T CHAR (NIL) |domain| NIL NIL) (|CombinatorialFunctionCategory| 422613 422693 422781 "CFCAT" 423022 T CFCAT (NIL) |category| NIL NIL) (|ComplexDoubleFloatVector| 413009 421973 422211 "CDFVEC" 422439 T CDFVEC (NIL) |domain| NIL NIL) (|ComplexDoubleFloatMatrix| 405720 412476 412722 "CDFMAT" 412827 T CDFMAT (NIL) |domain| NIL NIL) (|CommonDenominator| 404324 404481 404819 "CDEN" 405528 NIL CDEN (NIL T T T) |package| NIL NIL) (|CharacterClass| 397862 402786 403306 "CCLASS" 403848 T CCLASS (NIL) |domain| NIL NIL) (|CartesianTensor| 389762 390999 392236 "CARTEN" 396741 NIL CARTEN (NIL NIL NIL T) |domain| NIL NIL) (|CartesianTensorFunctions2| 388205 388418 388821 "CARTEN2" 389520 NIL CARTEN2 (NIL NIL NIL T T) |package| NIL NIL) (|CardinalNumber| 385363 386547 387073 "CARD" 387723 T CARD (NIL) |domain| NIL NIL) (|CachableSet| 384401 384811 384863 "CACHSET" 385103 T CACHSET (NIL) |category| NIL 385260) (|CancellationAbelianMonoid| 383615 383992 384072 "CABMON" 384165 T CABMON (NIL) |category| NIL 384268) (|BinaryTree| 380150 383089 383276 "BTREE" 383485 NIL BTREE (NIL T) |domain| NIL NIL) (|BinaryTournament| 376527 379493 379732 "BTOURN" 379979 NIL BTOURN (NIL T) |domain| NIL NIL) (|BinaryTreeCategory| 372844 375694 375781 "BTCAT" 375894 NIL BTCAT (NIL T) |category| NIL 376053) (|BinaryTreeCategory&| 372326 372429 372688 "BTCAT-" 372693 NIL BTCAT- (NIL T T) |domain| NIL NIL) (|BitAggregate| 365009 370774 370828 "BTAGG" 371220 T BTAGG (NIL) |category| NIL 371494) (|BitAggregate&| 364315 364452 364760 "BTAGG-" 364765 NIL BTAGG- (NIL T) |domain| NIL NIL) (|BinarySearchTree| 359996 363062 363441 "BSTREE" 364004 NIL BSTREE (NIL T) |domain| NIL NIL) (|BasicStochasticDifferential| 357468 358134 358649 "BSD" 359551 T BSD (NIL) |domain| NIL NIL) (|BrillhartTests| 355619 355855 356275 "BRILL" 357142 NIL BRILL (NIL T) |package| NIL NIL) (|BinaryRecursiveAggregate| 350771 353594 353686 "BRAGG" 354811 NIL BRAGG (NIL T) |category| NIL 355185) (|BinaryRecursiveAggregate&| 348774 349257 350071 "BRAGG-" 350076 NIL BRAGG- (NIL T T) |domain| NIL NIL) (|BalancedPAdicRational| 336816 347496 347885 "BPADICRT" 348460 NIL BPADICRT (NIL NIL) |domain| NIL NIL) (|BalancedPAdicInteger| 334343 336676 336780 "BPADIC" 336785 NIL BPADIC (NIL NIL) |domain| NIL NIL) (|BoundIntegerRoots| 333769 333813 334041 "BOUNDZRO" 334275 NIL BOUNDZRO (NIL T T) |package| NIL NIL) (|BasicOperator| 326469 328003 329489 "BOP" 332325 T BOP (NIL) |domain| NIL NIL) (|BasicOperatorFunctions1| 322244 322960 323888 "BOP1" 325624 NIL BOP1 (NIL T) |package| NIL NIL) (|Boolean| 320040 320866 321302 "BOOLEAN" 321838 T BOOLEAN (NIL) |domain| NIL NIL) (|BiModule| 319129 319589 319663 "BMODULE" 319668 NIL BMODULE (NIL T T) |category| NIL 319795) (|BlowUpPackage| 312783 313854 315191 "BLUPPACK" 318012 NIL BLUPPACK (NIL T NIL T T T) |package| NIL NIL) (|BlowUpWithQuadTrans| 311905 312546 312689 "BLQT" 312694 T BLQT (NIL) |domain| NIL NIL) (|BlowUpMethodCategory| 309451 310082 310152 "BLMETCT" 311246 T BLMETCT (NIL) |category| NIL 311823) (|BlowUpWithHamburgerNoether| 308566 309204 309359 "BLHN" 309364 T BLHN (NIL) |domain| NIL NIL) (|BlasLevelOne| 298333 300640 303091 "BLAS1" 306155 T BLAS1 (NIL) |package| NIL NIL) (|Bits| 292070 297975 298104 "BITS" 298228 T BITS (NIL) |domain| NIL NIL) (|BinaryFile| 290593 291224 291513 "BINFILE" 291817 T BINFILE (NIL) |domain| NIL NIL) (|BinaryExpansion| 280774 289582 289898 "BINARY" 290323 T BINARY (NIL) |domain| NIL NIL) (|BagAggregate| 277681 279671 279739 "BGAGG" 280146 NIL BGAGG (NIL T) |category| NIL 280374) (|BagAggregate&| 277439 277473 277616 "BGAGG-" 277621 NIL BGAGG- (NIL T T) |domain| NIL NIL) (|BasicFunctions| 276083 276456 276796 "BFUNCT" 277143 T BFUNCT (NIL) |domain| NIL NIL) (|BezoutMatrix| 273749 274005 274487 "BEZOUT" 275809 NIL BEZOUT (NIL T T T T T) |package| NIL NIL) (|Bezier| 272242 272538 272910 "BEZIER" 273419 NIL BEZIER (NIL T) |package| NIL NIL) (|BalancedBinaryTree| 267076 270286 270847 "BBTREE" 271754 NIL BBTREE (NIL T) |domain| NIL NIL) (|BasicType| 266705 266761 266809 "BASTYPE" 266981 T BASTYPE (NIL) |category| NIL NIL) (|BasicType&| 266495 266525 266640 "BASTYPE-" 266645 NIL BASTYPE- (NIL T) |domain| NIL NIL) (|BalancedFactorisation| 265390 265498 265813 "BALFACT" 266332 NIL BALFACT (NIL T T) |package| NIL NIL) (|AxiomServer| 264347 264529 264784 "AXSERV" 265173 T AXSERV (NIL) |package| NIL NIL) (|Automorphism| 262654 263408 263705 "AUTOMOR" 264104 NIL AUTOMOR (NIL T) |domain| NIL NIL) (|UnitsKnownAttribute| 262527 262532 262600 "ATUNIKN" 262605 T ATUNIKN (NIL) |category| NIL NIL) (|AttributeRegistry| 261869 261874 261938 "ATTREG" 261943 T ATTREG (NIL) |category| NIL NIL) (|AttributeButtons| 258975 259559 260194 "ATTRBUT" 261282 T ATTRBUT (NIL) |domain| NIL NIL) (|ShallowlyMutableAttribute| 258836 258841 258921 "ATSHMUT" 258926 T ATSHMUT (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory| 257990 258109 258203 "ATRIG" 258656 T ATRIG (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory&| 257652 257695 257902 "ATRIG-" 257907 NIL ATRIG- (NIL T) |domain| NIL NIL) (|PartiallyOrderedSetAttribute| 257507 257512 257598 "ATPOSET" 257603 T ATPOSET (NIL) |category| NIL NIL) (|NoZeroDivisorsAttribute| 257372 257377 257453 "ATNZDIV" 257458 T ATNZDIV (NIL) |category| NIL NIL) (|NullSquareAttribute| 257245 257250 257318 "ATNULSQ" 257323 T ATNULSQ (NIL) |category| NIL NIL) (|NotherianAttribute| 257120 257125 257191 "ATNOTHR" 257196 T ATNOTHR (NIL) |category| NIL NIL) (|MultiplicativeValuationAttribute| 256967 256972 257066 "ATMULVA" 257071 T ATMULVA (NIL) |category| NIL NIL) (|LeftUnitaryAttribute| 256838 256843 256913 "ATLUNIT" 256918 T ATLUNIT (NIL) |category| NIL NIL) (|LazyRepresentationAttribute| 256695 256700 256784 "ATLR" 256789 T ATLR (NIL) |category| NIL NIL) (|JacobiIdentityAttribute| 256560 256565 256641 "ATJACID" 256646 T ATJACID (NIL) |category| NIL NIL) (|FiniteAggregateAttribute| 256423 256428 256506 "ATFINAG" 256511 T ATFINAG (NIL) |category| NIL NIL) (|CanonicalUnitNormalAttribute| 256278 256283 256369 "ATCUNOR" 256374 T ATCUNOR (NIL) |category| NIL NIL) (|CommutativeStarAttribute| 256141 256146 256224 "ATCS" 256229 T ATCS (NIL) |category| NIL NIL) (|CentralAttribute| 256020 256025 256087 "ATCENRL" 256092 T ATCENRL (NIL) |category| NIL NIL) (|CanonicalAttribute| 255895 255900 255966 "ATCANON" 255971 T ATCANON (NIL) |category| NIL NIL) (|CanonicalClosedAttribute| 255758 255763 255841 "ATCANCL" 255846 T ATCANCL (NIL) |category| NIL NIL) (|ArbitraryPrecisionAttribute| 255615 255620 255704 "ATARBPR" 255709 T ATARBPR (NIL) |category| NIL NIL) (|ArbitraryExponentAttribute| 255474 255479 255561 "ATARBEX" 255566 T ATARBEX (NIL) |category| NIL NIL) (|ApproximateAttribute| 255345 255350 255420 "ATAPPRO" 255425 T ATAPPRO (NIL) |category| NIL NIL) (|AdditiveValuationAttribute| 255204 255209 255291 "ATADDVA" 255296 T ATADDVA (NIL) |category| NIL NIL) (|ArrayStack| 245017 247184 248909 "ASTACK" 253536 NIL ASTACK (NIL T) |domain| NIL NIL) (|AssociatedEquations| 242420 242868 243501 "ASSOCEQ" 244519 NIL ASSOCEQ (NIL T T) |package| NIL NIL) (|Asp9| 240912 241853 242063 "ASP9" 242250 NIL ASP9 (NIL NIL) |domain| NIL NIL) (|Asp8| 240546 240813 240880 "ASP8" 240885 NIL ASP8 (NIL NIL) |domain| NIL NIL) (|Asp80| 238781 239886 240130 "ASP80" 240344 NIL ASP80 (NIL NIL) |domain| NIL NIL) (|Asp7| 237080 238169 238396 "ASP7" 238594 NIL ASP7 (NIL NIL) |domain| NIL NIL) (|Asp78| 235417 236495 236714 "ASP78" 236903 NIL ASP78 (NIL NIL) |domain| NIL NIL) (|Asp77| 233753 234832 235051 "ASP77" 235240 NIL ASP77 (NIL NIL) |domain| NIL NIL) (|Asp74| 232049 233138 233367 "ASP74" 233566 NIL ASP74 (NIL NIL) |domain| NIL NIL) (|Asp73| 230347 231434 231663 "ASP73" 231862 NIL ASP73 (NIL NIL) |domain| NIL NIL) (|Asp6| 228686 229765 229982 "ASP6" 230170 NIL ASP6 (NIL NIL) |domain| NIL NIL) (|Asp55| 227016 228101 228320 "ASP55" 228509 NIL ASP55 (NIL NIL) |domain| NIL NIL) (|Asp50| 225347 226428 226648 "ASP50" 226838 NIL ASP50 (NIL NIL) |domain| NIL NIL) (|Asp4| 223879 224810 225010 "ASP4" 225187 NIL ASP4 (NIL NIL) |domain| NIL NIL) (|Asp49| 222408 223339 223541 "ASP49" 223719 NIL ASP49 (NIL NIL) |domain| NIL NIL) (|Asp42| 220552 221663 221938 "ASP42" 222207 NIL ASP42 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp41| 218705 219813 220086 "ASP41" 220353 NIL ASP41 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp35| 217038 218120 218339 "ASP35" 218528 NIL ASP35 (NIL NIL) |domain| NIL NIL) (|Asp34| 216670 216937 217006 "ASP34" 217011 NIL ASP34 (NIL NIL) |domain| NIL NIL) (|Asp33| 216222 216314 216455 "ASP33" 216571 NIL ASP33 (NIL NIL) |domain| NIL NIL) (|Asp31| 214515 215607 215836 "ASP31" 216035 NIL ASP31 (NIL NIL) |domain| NIL NIL) (|Asp30| 214147 214414 214483 "ASP30" 214488 NIL ASP30 (NIL NIL) |domain| NIL NIL) (|Asp29| 213697 213791 213932 "ASP29" 214048 NIL ASP29 (NIL NIL) |domain| NIL NIL) (|Asp28| 213329 213596 213665 "ASP28" 213670 NIL ASP28 (NIL NIL) |domain| NIL NIL) (|Asp27| 212961 213228 213297 "ASP27" 213302 NIL ASP27 (NIL NIL) |domain| NIL NIL) (|Asp24| 211486 212418 212621 "ASP24" 212800 NIL ASP24 (NIL NIL) |domain| NIL NIL) (|Asp20| 209768 210862 211094 "ASP20" 211296 NIL ASP20 (NIL NIL) |domain| NIL NIL) (|Asp1| 208300 209231 209431 "ASP1" 209608 NIL ASP1 (NIL NIL) |domain| NIL NIL) (|Asp19| 206625 207712 207932 "ASP19" 208122 NIL ASP19 (NIL NIL) |domain| NIL NIL) (|Asp12| 206177 206269 206410 "ASP12" 206526 NIL ASP12 (NIL NIL) |domain| NIL NIL) (|Asp10| 204411 205514 205759 "ASP10" 205974 NIL ASP10 (NIL NIL) |domain| NIL NIL) (|TwoDimensionalArray| 201270 204024 204249 "ARRAY2" 204254 NIL ARRAY2 (NIL T) |domain| NIL NIL) (|OneDimensionalArray| 195159 200535 200789 "ARRAY1" 201084 NIL ARRAY1 (NIL T) |domain| NIL NIL) (|OneDimensionalArrayFunctions2| 193375 193663 194087 "ARRAY12" 194837 NIL ARRAY12 (NIL T T) |package| NIL NIL) (|TwoDimensionalArrayCategory| 183671 186279 186451 "ARR2CAT" 191766 NIL ARR2CAT (NIL T T T) |category| NIL 192975) (|TwoDimensionalArrayCategory&| 179838 180860 182368 "ARR2CAT-" 182373 NIL ARR2CAT- (NIL T T T T) |domain| NIL NIL) (|ApplyRules| 177722 177928 178437 "APPRULE" 179583 NIL APPRULE (NIL T T T) |package| NIL NIL) (|ApplyUnivariateSkewPolynomial| 177093 177150 177391 "APPLYORE" 177641 NIL APPLYORE (NIL T T T) |package| NIL NIL) (|ApplicationProgramInterface| 175651 175869 176201 "API" 176831 T API (NIL) |package| NIL NIL) (|Any| 174083 174471 174795 "ANY" 175349 T ANY (NIL) |domain| NIL NIL) (|AnyFunctions1| 172933 173099 173360 "ANY1" 173878 NIL ANY1 (NIL T) |package| NIL NIL) (|AntiSymm| 169143 170384 170948 "ANTISYM" 172440 NIL ANTISYM (NIL T NIL) |domain| NIL NIL) (|AnonymousFunction| 168892 169054 169121 "ANON" 169126 T ANON (NIL) |domain| NIL NIL) (|AlgebraicNumber| 159460 165887 166849 "AN" 167976 T AN (NIL) |domain| NIL NIL) (|AbelianMonoidRing| 153584 155485 155593 "AMR" 157017 NIL AMR (NIL T T) |category| NIL 157953) (|AbelianMonoidRing&| 152263 152558 153135 "AMR-" 153140 NIL AMR- (NIL T T T) |domain| NIL NIL) (|AssociationList| 131828 152090 152218 "ALIST" 152223 NIL ALIST (NIL T T) |domain| NIL NIL) (|AlgebraGivenByStructuralConstants| 127001 131087 131416 "ALGSC" 131678 NIL ALGSC (NIL T NIL NIL NIL) |domain| NIL NIL) (|AlgebraPackage| 120277 121187 122332 "ALGPKG" 125966 NIL ALGPKG (NIL T T) |package| NIL NIL) (|AlgebraicMultFact| 118768 118962 119357 "ALGMFACT" 120043 NIL ALGMFACT (NIL T T T) |package| NIL NIL) (|AlgebraicManipulations| 111091 112039 113114 "ALGMANIP" 118067 NIL ALGMANIP (NIL T T) |package| NIL NIL) (|AlgebraicFunctionField| 97882 110316 110634 "ALGFF" 110957 NIL ALGFF (NIL T T T NIL) |domain| NIL NIL) (|AlgFactor| 96410 96599 96930 "ALGFACT" 97643 NIL ALGFACT (NIL T) |package| NIL NIL) (|Algebra| 94976 95767 95836 "ALGEBRA" 95938 NIL ALGEBRA (NIL T) |category| NIL 96025) (|Algebra&| 94543 94618 94834 "ALGEBRA-" 94839 NIL ALGEBRA- (NIL T T) |domain| NIL NIL) (|AssociationListAggregate| 70289 91056 91176 "ALAGG" 91399 NIL ALAGG (NIL T T) |category| |AssociationList| 91625) (|ArcHyperbolicFunctionCategory| 69449 69574 69662 "AHYP" 70103 T AHYP (NIL) |category| NIL NIL) (|Aggregate| 67687 68056 68104 "AGG" 68958 T AGG (NIL) |category| NIL 69431) (|Aggregate&| 66746 66993 67365 "AGG-" 67370 NIL AGG- (NIL T) |domain| NIL NIL) (|AffineSpaceCategory| 62636 63427 63510 "AFSPCAT" 65807 NIL AFSPCAT (NIL T) |category| NIL 66632) (|AlgebraicFunction| 58425 59087 59831 "AF" 62018 NIL AF (NIL T T) |package| NIL NIL) (|AffineSpace| 57480 58279 58390 "AFFSP" 58395 NIL AFFSP (NIL NIL T) |domain| NIL NIL) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| 56013 57190 57405 "AFFPLPS" 57410 NIL AFFPLPS (NIL T) |domain| NIL NIL) (|AffinePlane| 55078 55895 55978 "AFFPL" 55983 NIL AFFPL (NIL T) |domain| NIL NIL) (|AffineAlgebraicSetComputeWithResultant| 48512 49389 50647 "AFALGRES" 54122 NIL AFALGRES (NIL T NIL T T T) |package| NIL NIL) (|AffineAlgebraicSetComputeWithGroebnerBasis| 45978 46239 46844 "AFALGGRO" 48217 NIL AFALGGRO (NIL T NIL T T T) |package| NIL NIL) (|PlaneAlgebraicCurvePlot| 44687 45081 45400 "ACPLOT" 45721 T ACPLOT (NIL) |domain| NIL NIL) (|AlgebraicallyClosedFunctionSpace| 28628 39906 40048 "ACFS" 41463 NIL ACFS (NIL T) |category| |Expression| 41846) (|AlgebraicallyClosedFunctionSpace&| 25328 26092 27446 "ACFS-" 27451 NIL ACFS- (NIL T T) |domain| NIL NIL) (|AlgebraicallyClosedField| 18951 21835 21913 "ACF" 23646 T ACF (NIL) |category| NIL 24442) (|AlgebraicallyClosedField&| 16600 17188 18117 "ACF-" 18122 NIL ACF- (NIL T) |domain| NIL NIL) (|AbelianSemiGroup| 15981 16189 16251 "ABELSG" 16410 T ABELSG (NIL) |category| NIL 16518) (|AbelianSemiGroup&| 15728 15766 15909 "ABELSG-" 15914 NIL ABELSG- (NIL T) |domain| NIL NIL) (|AbelianMonoid| 14733 15060 15116 "ABELMON" 15417 T ABELMON (NIL) |category| NIL 15619) (|AbelianMonoid&| 14172 14295 14545 "ABELMON-" 14550 NIL ABELMON- (NIL T) |domain| NIL NIL) (|AbelianGroup| 13194 13622 13676 "ABELGRP" 13869 T ABELGRP (NIL) |category| NIL 14003) (|AbelianGroup&| 12401 12575 12914 "ABELGRP-" 12919 NIL ABELGRP- (NIL T) |domain| NIL NIL) (|OneDimensionalArrayAggregate| 6156 11366 11466 "A1AGG" 11471 NIL A1AGG (NIL T) |category| NIL 11565) (|OneDimensionalArrayAggregate&| 30 1630 3956 "A1AGG-" 3961 NIL A1AGG- (NIL T T) |domain| NIL NIL)) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
index 579f94f..9fce78f 100644
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,3297 +1,3297 @@
 
-(843383 . 3613822958)        
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-851))))) 
-(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4627 "*"))) (-4 *5 (-399 *2)) (-4 *6 (-399 *2)) (-4 *2 (-1075)) (-5 *1 (-128 *2 *3 *4 *5 *6)) (-4 *3 (-1255 *2)) (-4 *4 (-704 *2 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-658 (-658 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-658 (-658 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-658 *3))) (-5 *1 (-1198 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-193))) ((*1 *1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-4 *1 (-574))) ((*1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-617 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-433 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *4 (-388)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141))))) 
-(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *3 (-582))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-658 (-1191))))) ((*1 *1 *1) (-12 (-5 *1 (-235 *2 *3)) (-4 *2 (-13 (-1075) (-869))) (-14 *3 (-658 (-1191))))) ((*1 *1 *1) (-12 (-5 *1 (-258 *2)) (-4 *2 (-1117)))) ((*1 *1 *1) (-12 (-4 *1 (-408 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-1119)))) ((*1 *1 *1) (-12 (-14 *2 (-658 (-1191))) (-4 *3 (-194)) (-4 *5 (-252 (-1699 *2) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *4) (|:| -3215 *5)) (-2 (|:| -1825 *4) (|:| -3215 *5)))) (-5 *1 (-487 *2 *3 *4 *5 *6 *7)) (-4 *4 (-869)) (-4 *7 (-977 *3 *5 (-879 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-542 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-869)))) ((*1 *1 *1) (-12 (-4 *2 (-582)) (-5 *1 (-639 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-725 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-752 *2 *3)) (-4 *3 (-869)) (-4 *2 (-1075)) (-4 *3 (-743)))) ((*1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-865))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1171 *2)) (-4 *2 (-1225))))) 
-(((*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-778))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1063))))) 
-(((*1 *1) (-5 *1 (-1282)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-980 *5)) (-5 *1 (-972 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-1116 *3)))) ((*1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034)))) ((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -4249 *5) (|:| -2042 *3)))) (-5 *1 (-831 *5 *6 *3 *7)) (-4 *3 (-670 *6)) (-4 *7 (-670 (-433 *6)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-55 *2 *3)) (-14 *3 (-658 (-1191))))) ((*1 *2 *1) (-12 (-5 *2 (-332 *3)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) ((*1 *2 *1) (-12 (-4 *1 (-408 *2 *3)) (-4 *3 (-1119)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *5 (-252 (-1699 *3) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *4) (|:| -3215 *5)) (-2 (|:| -1825 *4) (|:| -3215 *5)))) (-4 *2 (-194)) (-5 *1 (-487 *3 *2 *4 *5 *6 *7)) (-4 *4 (-869)) (-4 *7 (-977 *2 *5 (-879 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-542 *2 *3)) (-4 *3 (-869)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *2 (-582)) (-5 *1 (-639 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-725 *2)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-752 *2 *3)) (-4 *3 (-869)) (-4 *3 (-743)))) ((*1 *2 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-4 *1 (-1002 *2 *3 *4)) (-4 *3 (-814)) (-4 *4 (-869)) (-4 *2 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)) (-4 *2 (-1211)))) ((*1 *2 *1) (-12 (-5 *1 (-351 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-631 *3)) (-4 *3 (-869))))) 
-(((*1 *1 *1) (-5 *1 (-877))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1172)))) ((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1191))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) ((*1 *2 *1) (-12 (-4 *1 (-408 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *6 (-252 (-1699 *3) (-790))) (-14 *7 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *6)) (-2 (|:| -1825 *5) (|:| -3215 *6)))) (-5 *2 (-730 *5 *6 *7)) (-5 *1 (-487 *3 *4 *5 *6 *7 *8)) (-4 *5 (-869)) (-4 *8 (-977 *4 *6 (-879 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-743)) (-4 *2 (-869)) (-5 *1 (-752 *3 *2)) (-4 *3 (-1075)))) ((*1 *1 *1) (-12 (-4 *1 (-1002 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *4 (-869))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-661 *5)) (-4 *5 (-1075)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-871 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-706 *3)) (-4 *1 (-443 *3)) (-4 *3 (-194)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-121 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1075)) (-5 *1 (-872 *2 *3)) (-4 *3 (-871 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-643 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-323)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-412 *3)) (|:| |rm| (-412 *3)))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2230 (-790)) (|:| -3027 (-790)))) (-5 *1 (-790)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-841 *3) "failed")) (|:| |rm| (-3 (-841 *3) "failed")))) (-5 *1 (-841 *3)) (-4 *3 (-869)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1801 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477))))) 
-(((*1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3191 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-433 *7)) (|:| |a0| *6)) (-2 (|:| -3191 (-433 *7)) (|:| |coeff| (-433 *7))) "failed")) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-944))) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-639 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1954 *4) (|:| |sol?| (-141))) (-592) *4)) (-4 *4 (-388)) (-4 *5 (-1255 *4)) (-5 *1 (-602 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1121 (-1121 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-4 *1 (-131 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-518 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1028 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1161 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-456 *3)) (-4 *3 (-869)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-760 *3 *4)) (-14 *3 (-1191)) (-4 *4 (-13 (-1075) (-869) (-582))))) ((*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1075)) (-5 *1 (-340 *4 *5 *2 *6)) (-4 *6 (-977 *2 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-193)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-592)) (-5 *1 (-597 *3)) (-4 *3 (-1065 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *2 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *1 *1) (-4 *1 (-260))) ((*1 *1 *1) (-12 (-4 *2 (-194)) (-5 *1 (-306 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-3836 (-12 (-5 *1 (-310 *2)) (-4 *2 (-388)) (-4 *2 (-1225))) (-12 (-5 *1 (-310 *2)) (-4 *2 (-502)) (-4 *2 (-1225))))) ((*1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-373)) (-5 *1 (-556 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)) (-4 *2 (-388))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-761 *4 *3)) (-14 *4 (-1191)) (-4 *3 (-1075)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-804 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-992 *3 *2)) (-4 *2 (-158)) (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *2 (-814)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1187 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-1000)) (-4 *2 (-158)) (-5 *1 (-1193 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1252 *4 *3)) (-14 *4 (-1191)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1040)) (-5 *2 (-877))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-698 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-4 *1 (-301))) ((*1 *2 *3) (-12 (-5 *3 (-444 *4)) (-4 *4 (-582)) (-5 *2 (-658 (-2 (|:| -1487 (-790)) (|:| |logand| *4)))) (-5 *1 (-338 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *1) (-12 (-5 *2 (-681 *3 *4)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-1075) (-734 (-433 (-592))))) (-4 *5 (-869)) (-5 *1 (-1294 *4 *5 *2)) (-4 *2 (-1299 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1298 *3 *4)) (-4 *4 (-734 (-433 (-592)))) (-4 *3 (-869)) (-4 *4 (-194))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $)))))))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1187 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-405)) (-5 *1 (-1087))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-592)) (-5 *3 (-944)) (-4 *1 (-430)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-430)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *2 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-658 *1)) (-4 *1 (-943))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-610 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *13)) (-4 *13 (-280 *12)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) *2)) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-5 *2 (-790)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-143))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-1171 (-980 *4)) (-1171 (-980 *4)))) (-5 *1 (-1288 *4)) (-4 *4 (-388))))) 
-(((*1 *2 *3 *4) (-12 (-4 *6 (-582)) (-4 *2 (-977 *3 *5 *4)) (-5 *1 (-749 *5 *4 *6 *2)) (-5 *3 (-433 (-980 *6))) (-4 *5 (-815)) (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)))))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1187 (-433 (-1187 *2)))) (-5 *4 (-631 *2)) (-4 *2 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-588 *5 *2 *6)) (-4 *6 (-1119)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-977 *4 *5 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1187 *4)) (-4 *4 (-1075)) (-4 *1 (-977 *4 *5 *3)) (-4 *5 (-815)) (-4 *3 (-869)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-1187 *2))) (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-1075)) (-4 *2 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))) (-5 *1 (-978 *5 *4 *6 *7 *2)) (-4 *7 (-977 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-1187 (-433 (-980 *5))))) (-5 *4 (-1191)) (-5 *2 (-433 (-980 *5))) (-5 *1 (-1070 *5)) (-4 *5 (-582))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-350)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-350))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-698 *2)) (-4 *2 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-658 *5) (-658 *5))) (-5 *4 (-592)) (-5 *2 (-658 *5)) (-5 *1 (-698 *5)) (-4 *5 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)))) ((*1 *2 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-388)))) ((*1 *2 *1) (-12 (-4 *1 (-396 *2 *3)) (-4 *3 (-1255 *2)) (-4 *2 (-194)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-944)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 (-631 *4))) (-4 *4 (-456 *3)) (-4 *3 (-869)) (-5 *1 (-601 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-911 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-658 (-944))) (-5 *1 (-176 *4 *2 *5)) (-14 *4 (-944)) (-4 *2 (-388)) (-14 *5 (-1022 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-730 *5 *6 *7)) (-4 *5 (-869)) (-4 *6 (-252 (-1699 *4) (-790))) (-14 *7 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *6)) (-2 (|:| -1825 *5) (|:| -3215 *6)))) (-14 *4 (-658 (-1191))) (-4 *2 (-194)) (-5 *1 (-487 *4 *2 *5 *6 *7 *8)) (-4 *8 (-977 *2 *6 (-879 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-542 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-869)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-4 *2 (-582)) (-5 *1 (-639 *2 *4)) (-4 *4 (-1255 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-725 *2)) (-4 *2 (-1075)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-752 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-743)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *5)) (-5 *3 (-658 (-790))) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *2)) (-4 *4 (-1075)) (-4 *2 (-869)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-871 *2)) (-4 *2 (-1075)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *6)) (-5 *3 (-658 (-790))) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-977 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *2 (-869)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *6)) (-5 *3 (-658 *5)) (-4 *1 (-1002 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-814)) (-4 *6 (-869)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-1002 *4 *3 *2)) (-4 *4 (-1075)) (-4 *3 (-814)) (-4 *2 (-869))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) ((*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-592)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-293)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *8)) (-5 *4 (-658 *6)) (-4 *6 (-869)) (-4 *8 (-977 *7 *5 *6)) (-4 *5 (-815)) (-4 *7 (-1075)) (-5 *2 (-658 (-790))) (-5 *1 (-340 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-944)))) ((*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-499 *3 *2)) (-4 *3 (-194)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-582)) (-5 *2 (-592)) (-5 *1 (-639 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *2 *3) (-12 (-4 *1 (-692 *3 *4)) (-4 *3 (-1225)) (-4 *4 (-1225)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-725 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-871 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-1075)) (-4 *6 (-252 *7 *2)) (-14 *7 *2) (-5 *2 (-790)) (-5 *1 (-935 *5 *3 *6 *7)) (-4 *3 (-346 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 (-790))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-977 *4 *5 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-790)))) ((*1 *2 *3) (-12 (-5 *3 (-1229)) (-5 *2 (-592)) (-5 *1 (-982)))) ((*1 *2 *1) (-12 (-4 *1 (-1002 *3 *2 *4)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *2 (-814)))) ((*1 *2 *1) (-12 (-4 *1 (-1117)) (-5 *2 (-944)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-1241 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1270 *3)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1239 *3)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-855 (-944))))) ((*1 *2 *1) (-12 (-4 *1 (-1299 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-5 *2 (-706 *4)) (-5 *1 (-836 *4 *5)) (-4 *5 (-670 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-836 *5 *6)) (-4 *6 (-670 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-925 *3))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-609 *3) *3 (-1191))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1191))) (-4 *3 (-301)) (-4 *3 (-644)) (-4 *3 (-1065 *4)) (-4 *3 (-456 *7)) (-5 *4 (-1191)) (-4 *7 (-633 (-914 (-592)))) (-4 *7 (-477)) (-4 *7 (-908 (-592))) (-4 *7 (-869)) (-5 *2 (-609 *3)) (-5 *1 (-601 *7 *3))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-658 *6)) (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-1200 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *3)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 *4)))) (-5 *1 (-911 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) ((*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-658 *1)) (-4 *1 (-1122 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -3027 *1))) (-4 *1 (-1089 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -3027 *1))) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *2 (-141)) (-5 *1 (-224))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-790)) (-4 *5 (-388)) (-5 *2 (-195 *6)) (-5 *1 (-888 *5 *4 *6)) (-4 *4 (-1270 *5)) (-4 *6 (-1255 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-1225)) (-4 *1 (-252 *3 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-405))) (-5 *1 (-278)))) ((*1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-582)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1016 (-433 (-592)) (-879 *3) (-254 *4 (-790)) (-264 *3 (-433 (-592))))) (-14 *3 (-658 (-1191))) (-14 *4 (-790)) (-5 *1 (-1015 *3 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) *4)) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *3 (-257 *11)) (-4 *12 (-560 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-137)) (-5 *2 (-658 *7)) (-5 *1 (-491 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-658 *5)) (-4 *5 (-977 *6 *8 (-879 *7))) (-4 *8 (-252 (-1699 *7) *4)) (-5 *4 (-790)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *10 (-665 *6)) (-4 *11 (-947 *6 *10)) (-5 *1 (-586 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-999 *6)) (-4 *3 (-257 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 (-264 *6 *5))) (-5 *1 (-894 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-948 *5))) (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-658 (-264 *6 *5))) (-5 *1 (-895 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-332 *4)) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3)))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-841 *3)) (-4 *3 (-869)) (-5 *1 (-688 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-191 (-237)) (-191 (-237)))) (-5 *4 (-1113 (-237))) (-5 *2 (-1282)) (-5 *1 (-272))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-137)) (-4 *2 (-999 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-53))) (-5 *2 (-444 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-53))) (-4 *5 (-869)) (-4 *6 (-815)) (-5 *2 (-444 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-977 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-53))) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *7 (-977 (-53) *6 *5)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1187 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-189 *4 *3)) (-4 *3 (-1255 (-191 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-141)) (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-881)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-337 *4)) (-5 *3 (-1187 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-886)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-339 *4)) (-5 *3 (-1187 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-790))) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3) (-12 (-5 *2 (-444 (-191 (-592)))) (-5 *1 (-471)) (-5 *3 (-191 (-592))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *5 (-815)) (-4 *7 (-582)) (-5 *2 (-444 *3)) (-5 *1 (-482 *4 *5 *6 *7 *3)) (-4 *6 (-582)) (-4 *3 (-977 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-323)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-484 *4)) (-5 *3 (-1187 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-4 *7 (-13 (-388) (-171) (-741 *5 *6))) (-5 *2 (-444 *3)) (-5 *1 (-527 *5 *6 *7 *3)) (-4 *3 (-1255 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 (-1187 *7)) (-1187 *7))) (-4 *7 (-13 (-323) (-171))) (-4 *5 (-869)) (-4 *6 (-815)) (-5 *2 (-444 *3)) (-5 *1 (-569 *5 *6 *7 *3)) (-4 *3 (-977 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 (-1187 *7)) (-1187 *7))) (-4 *7 (-13 (-323) (-171))) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *8 (-977 *7 *6 *5)) (-5 *2 (-444 (-1187 *8))) (-5 *1 (-569 *5 *6 *7 *8)) (-5 *3 (-1187 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-585 *3)) (-4 *3 (-574)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-667 (-433 *6)))) (-5 *1 (-671 *5 *6)) (-5 *3 (-667 (-433 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-667 (-433 *5)))) (-5 *1 (-671 *4 *5)) (-5 *3 (-667 (-433 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-841 *4)) (-4 *4 (-869)) (-5 *2 (-658 (-688 *4))) (-5 *1 (-688 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-658 *3)) (-5 *1 (-712 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-714 *4 *5 *6 *3)) (-4 *3 (-977 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-373)) (-4 *7 (-977 *6 *5 *4)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-714 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-747 *4 *5 *6 *3)) (-4 *3 (-977 (-980 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *6 (-582)) (-5 *2 (-444 *3)) (-5 *1 (-749 *4 *5 *6 *3)) (-4 *3 (-977 (-433 (-980 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-13 (-323) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-750 *4 *5 *6 *3)) (-4 *3 (-977 (-433 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-13 (-323) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-758 *4 *5 *6 *3)) (-4 *3 (-977 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-977 *6 *5 *4)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-758 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1035 *3)) (-4 *3 (-1255 (-433 (-592)))))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1068 *3)) (-4 *3 (-1255 (-433 (-980 (-592))))))) ((*1 *2 *3) (-12 (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-13 (-388) (-171) (-741 (-433 (-592)) *4))) (-5 *2 (-444 *3)) (-5 *1 (-1100 *4 *5 *3)) (-4 *3 (-1255 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1255 (-433 (-980 (-592))))) (-4 *5 (-13 (-388) (-171) (-741 (-433 (-980 (-592))) *4))) (-5 *2 (-444 *3)) (-5 *1 (-1102 *4 *5 *3)) (-4 *3 (-1255 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-477)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-444 (-1187 (-433 *7)))) (-5 *1 (-1186 *4 *5 *6 *7)) (-5 *3 (-1187 (-433 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-444 *1)) (-4 *1 (-1235)))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1244 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *2 (-141)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1123)) (-5 *2 (-1285)) (-5 *1 (-122))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-706 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-631 *1)) (-4 *1 (-456 *4)) (-4 *4 (-869)) (-4 *4 (-582)) (-5 *2 (-433 (-1187 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-631 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-1187 (-433 (-1187 *3)))) (-5 *1 (-588 *6 *3 *7)) (-5 *5 (-1187 *3)) (-4 *7 (-1119)))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-1187 *4)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1276 *5)) (-14 *5 (-1191)) (-4 *6 (-1075)) (-5 *2 (-1252 *5 (-980 *6))) (-5 *1 (-975 *5 *6)) (-5 *3 (-980 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-1187 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-1187 *1)) (-4 *1 (-977 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *5 *4)) (-5 *2 (-433 (-1187 *3))) (-5 *1 (-978 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))) (-4 *7 (-977 *6 *5 *4)) (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-1075)) (-5 *1 (-978 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-582)) (-5 *2 (-433 (-1187 (-433 (-980 *5))))) (-5 *1 (-1070 *5)) (-5 *3 (-433 (-980 *5)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-399 *2)) (-4 *2 (-1225)) (-4 *2 (-869)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (-4 *1 (-399 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-1179 *3 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 *6 *5)) (-5 *1 (-723 *4 *5 *6)) (-4 *4 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-323)) (-4 *6 (-399 *5)) (-4 *4 (-399 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-1141 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *2)) (-4 *2 (-977 (-433 (-980 *6)) *5 *4)) (-5 *1 (-749 *5 *4 *6 *2)) (-4 *5 (-815)) (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *6 (-582))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-631 *1))) (-4 *1 (-318))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-4 *7 (-977 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-141)) (|:| |z0| (-658 *7)) (|:| |n0| (-658 *7)))) (-5 *1 (-951 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1544 *3) (|:| |coef1| (-804 *3)) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-444 *3)) (-5 *1 (-937 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-869)) (-4 *3 (-1065 (-592))) (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-456 *3)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $)))))))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-191 (-405))) (-5 *1 (-807 *3)) (-4 *3 (-633 (-405))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-191 (-405))) (-5 *1 (-807 *3)) (-4 *3 (-633 (-405))))) ((*1 *2 *3) (-12 (-5 *3 (-191 *4)) (-4 *4 (-194)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-191 *5)) (-5 *4 (-944)) (-4 *5 (-194)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-980 (-191 *4))) (-4 *4 (-194)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-980 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-194)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-433 (-980 (-191 *4)))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-191 *5)))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-332 (-191 *4))) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-477)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-592))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 *6)) (-4 *6 (-977 *2 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-14 *5 (-658 (-1191))) (-4 *8 (-999 *2)) (-4 *9 (-665 *2)) (-4 *4 (-947 *2 *9)) (-4 *10 (-257 *4)) (-4 *11 (-560 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-944)) (-5 *2 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-5 *1 (-370 *4)) (-4 *4 (-373))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-592)) (-5 *5 (-1173)) (-5 *6 (-706 (-237))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-414)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-381 *3)) (-4 *3 (-373))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-754 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1161 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-4 *1 (-175 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -3215 (-790)) (|:| -2838 *4) (|:| |num| *4)))) (-4 *4 (-1255 *3)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-141)) (-5 *1 (-463)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *3 (-658 (-1191))) (-5 *4 (-141)) (-5 *1 (-463)))) ((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-622 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-194)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-5 *1 (-681 *3 *4)) (-4 *4 (-194)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-5 *1 (-681 *3 *4)) (-4 *4 (-194)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-5 *1 (-681 *3 *4)) (-4 *4 (-194)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-658 *3)))) (-4 *3 (-1119)) (-5 *1 (-691 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-730 *2 *3 *4)) (-4 *2 (-869)) (-4 *3 (-1119)) (-14 *4 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *3)) (-2 (|:| -1825 *2) (|:| -3215 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 *4)))) (-4 *4 (-1119)) (-5 *1 (-911 *3 *4)) (-4 *3 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 *5)) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-658 (-1154 *3 *5))) (-5 *1 (-1154 *3 *5)) (-4 *3 (-13 (-1119) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |val| *4) (|:| -2165 *5)))) (-4 *4 (-13 (-1119) (-39))) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-658 (-1154 *4 *5))) (-5 *1 (-1154 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -2165 *4))) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1154 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-141)) (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-13 (-1119) (-39))) (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-658 (-1154 *2 *3))) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))) (-5 *1 (-1155 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-658 (-1155 *2 *3))) (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1180 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-896)) (-5 *3 (-658 (-278))) (-5 *1 (-276))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 (-1171 *7))) (-4 *6 (-869)) (-4 *7 (-977 *5 (-558 *6) *6)) (-4 *5 (-1075)) (-5 *2 (-1 (-1171 *7) *7)) (-5 *1 (-1143 *5 *6 *7))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1040)) (-5 *2 (-877))))) 
-(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-690 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-141) *4)) (-5 *3 (-592)) (-4 *4 (-1119)) (-5 *1 (-754 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-754 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-433 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-582)) (-4 *4 (-1075)) (-4 *2 (-1270 *4)) (-5 *1 (-1273 *4 *5 *6 *2)) (-4 *6 (-670 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-793)) (-5 *1 (-57))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-592)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1075)) (-4 *7 (-252 *8 (-790))) (-14 *8 (-790)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-799 *6 *3 *7 *8)) (-4 *3 (-346 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-194)) (-4 *2 (-1075)) (-5 *1 (-731 *2 *3)) (-4 *3 (-661 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-856 *2)) (-4 *2 (-194)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1063)) (-5 *1 (-768)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-414)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1173)) (-5 *3 (-793)) (-5 *1 (-143))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-342 *2 *4)) (-4 *4 (-158)) (-4 *2 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-386 *2)) (-4 *2 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-1119)) (-5 *1 (-662 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-841 *2)) (-4 *2 (-869))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-163)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-168))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-205)) (-5 *3 (-592)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-805 *2)) (-4 *2 (-194)))) ((*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-885)) (-5 *2 (-658 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-388)) (-5 *2 (-2 (|:| |zeros| (-658 *4)) (|:| -2378 (-592)))) (-5 *1 (-1071 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1000))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1171 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1075)) (-5 *3 (-433 (-592))) (-5 *1 (-1175 *4))))) 
-(((*1 *2) (-12 (-4 *1 (-373)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-954))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *3 *4) (-12 (-4 *2 (-1255 *4)) (-5 *1 (-829 *4 *2 *3 *5)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *5 (-670 (-433 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1255 *4)) (-5 *1 (-829 *4 *2 *5 *3)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-670 *2)) (-4 *3 (-670 (-433 *2)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1221 *3)) (-4 *3 (-1003))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-444 *4)) (-4 *4 (-582))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-256)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1285)) (-5 *1 (-256))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1233))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-141)) (-5 *1 (-315 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1113 (-862 (-237)))) (-5 *3 (-237)) (-5 *2 (-141)) (-5 *1 (-321)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| (-1191)) (|:| |c| (-1300 *3))))) (-5 *1 (-1300 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| *3) (|:| |c| (-1302 *3 *4))))) (-5 *1 (-1302 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-879 *5))) (-14 *5 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-658 (-658 (-264 *5 *6)))) (-5 *1 (-500 *5 *6 *7)) (-5 *3 (-658 (-264 *5 *6))) (-4 *7 (-477))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-790)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) ((*1 *2) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-790)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-815)) (-4 *4 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *7 (-869)) (-5 *1 (-474 *5 *6 *7 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-444 *5)) (-4 *5 (-582)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *5) (|:| |radicand| (-658 *5)))) (-5 *1 (-338 *5)) (-5 *4 (-790)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1030)) (-5 *2 (-592))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1131)) (-4 *3 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-456 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-658 *3)) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-386 (-143))) (-4 *2 (-1075)) (-5 *1 (-731 *2 *4)) (-4 *4 (-661 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-386 (-143))) (-5 *1 (-856 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-150))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-846)) (-5 *1 (-847))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *5 (-141)) (-4 *8 (-1089 *6 *7 *4)) (-4 *9 (-1094 *6 *7 *4 *8)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *4 (-869)) (-5 *2 (-658 (-2 (|:| |val| *8) (|:| -2165 *9)))) (-5 *1 (-1095 *6 *7 *4 *8 *9))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-141) *7 (-658 *7))) (-4 *1 (-1219 *4 *5 *6 *7)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-429 *3)) (-4 *3 (-430)))) ((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-429 *3)) (-4 *3 (-430)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (|has| *1 (-6 -4616)) (-4 *1 (-430)))) ((*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) ((*1 *2 *1) (-12 (-4 *1 (-890 *3)) (-5 *2 (-1171 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) ((*1 *2 *1) (-12 (-5 *2 (-1280 (-3 (-497) "undefined"))) (-5 *1 (-1281))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| *7) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 *7))))) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-790)) (-5 *1 (-951 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-141))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-33 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))))) ((*1 *1 *1) (-5 *1 (-405))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-795 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1137)) (-5 *2 (-141)) (-5 *1 (-843))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-191 (-237))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *7) "failed" "Infinite" (-592))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *7) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 (-1187 *4))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *8 (-999 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-389 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-658 (-2 (|:| |func| *2) (|:| |pole| (-141))))) (-4 *2 (-13 (-456 *4) (-1030))) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-294 *4 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1171 *3)) (-4 *3 (-1119)) (-4 *3 (-1225))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-446 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1211) (-456 *3))) (-14 *4 (-1191)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *2 (-13 (-27) (-1211) (-456 *3) (-10 -8 (-15 -1683 ($ *4))))) (-4 *4 (-867)) (-4 *5 (-13 (-1257 *2 *4) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $))))) (-5 *1 (-448 *3 *2 *4 *5 *6 *7)) (-4 *6 (-1012 *5)) (-14 *7 (-1191))))) 
-(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *3 (-257 *11)) (-4 *12 (-560 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-137)) (-5 *2 (-2 (|:| -2016 (-592)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-592)))) (-5 *1 (-491 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-592)) (-4 *13 (-280 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-258 (-949 *5))) (-4 *5 (-373)) (-5 *2 (-2 (|:| -2016 (-592)) (|:| |num| (-264 *6 *5)) (|:| |den| (-264 *6 *5)) (|:| |upTo| (-592)))) (-5 *1 (-894 *5 *6 *7)) (-5 *4 (-592)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-258 (-948 *5))) (-4 *5 (-388)) (-5 *2 (-2 (|:| -2016 (-592)) (|:| |num| (-264 *6 *5)) (|:| |den| (-264 *6 *5)) (|:| |upTo| (-592)))) (-5 *1 (-895 *5 *6 *7)) (-5 *4 (-592)) (-14 *6 (-658 (-1191))) (-4 *7 (-137))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-658 (-143)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-528))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-179)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1040)) (-5 *2 (-877))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-947 *5 *8)) (-5 *1 (-679 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-977 *5 *7 (-879 *6))) (-4 *3 (-999 *5)) (-4 *8 (-665 *5))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1221 *2)) (-4 *2 (-1003))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-143)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-456 *6) (-23) (-1065 (-592)) (-1065 *4) (-922 *4) (-182))) (-5 *4 (-1191)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1187 (-592))) (-5 *2 (-592)) (-5 *1 (-970))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-264 *3 *4)) (-14 *3 (-658 (-1191))) (-4 *4 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-14 *3 (-658 (-1191))) (-5 *1 (-479 *3 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-252 (-1699 *3) (-790))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-516 *3 *4)) (-14 *3 (-658 (-1191))) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *5)) (-4 *5 (-388)) (-5 *2 (-658 *6)) (-5 *1 (-559 *5 *6 *4)) (-4 *6 (-388)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2) (-12 (-5 *2 (-862 (-592))) (-5 *1 (-563)))) ((*1 *1) (-12 (-5 *1 (-862 *2)) (-4 *2 (-1119))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1171 *3)) (-4 *3 (-1119)) (-4 *3 (-1225))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-1075)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| -1487 *4) (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1089 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -1487 *3) (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1255 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-405)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-592)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 *2)) (-14 *4 (-658 *2)) (-4 *5 (-413)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-332 *5)) (-4 *5 (-413)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-433 (-980 (-592))))) (-4 *1 (-410)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-433 (-980 (-405))))) (-4 *1 (-410)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-980 (-592)))) (-4 *1 (-410)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-980 (-405)))) (-4 *1 (-410)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-332 (-592)))) (-4 *1 (-410)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-706 (-332 (-405)))) (-4 *1 (-410)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-592)))) (-4 *1 (-422)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-433 (-980 (-405)))) (-4 *1 (-422)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-592))) (-4 *1 (-422)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-405))) (-4 *1 (-422)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-592))) (-4 *1 (-422)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-332 (-405))) (-4 *1 (-422)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-433 (-980 (-592))))) (-4 *1 (-466)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-433 (-980 (-405))))) (-4 *1 (-466)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-980 (-592)))) (-4 *1 (-466)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-980 (-405)))) (-4 *1 (-466)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-332 (-592)))) (-4 *1 (-466)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1280 (-332 (-405)))) (-4 *1 (-466)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-373)) (-4 *5 (-349 *4)) (-4 *6 (-1255 *5)) (-5 *2 (-1187 (-1187 *4))) (-5 *1 (-796 *4 *5 *6 *3 *7)) (-4 *3 (-1255 *6)) (-14 *7 (-944)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *1 (-1005 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1065 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (|partial| -3836 (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-3252 (-4 *3 (-43 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-574))) (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-1021 (-592)))) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))))) ((*1 *1 *2) (|partial| -3836 (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-980 (-433 (-592)))) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-718 *3 *5 *6 *7)) (-4 *3 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225)) (-4 *7 (-1225)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 *6 *5)) (-5 *1 (-723 *3 *5 *6)) (-4 *3 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225))))) 
-(((*1 *2) (-12 (-5 *2 (-862 (-592))) (-5 *1 (-563)))) ((*1 *1) (-12 (-5 *1 (-862 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-790)) (-4 *5 (-388)) (-5 *2 (-433 *6)) (-5 *1 (-888 *5 *4 *6)) (-4 *4 (-1270 *5)) (-4 *6 (-1255 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-790)) (-5 *4 (-1271 *5 *6 *7)) (-4 *5 (-388)) (-14 *6 (-1191)) (-14 *7 *5) (-5 *2 (-433 (-1252 *6 *5))) (-5 *1 (-889 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-790)) (-5 *4 (-1271 *5 *6 *7)) (-4 *5 (-388)) (-14 *6 (-1191)) (-14 *7 *5) (-5 *2 (-433 (-1252 *6 *5))) (-5 *1 (-889 *5 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1120 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1278 *3)) (-4 *3 (-1225)) (-4 *3 (-1075)) (-5 *2 (-706 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-1137)) (-4 *4 (-373)) (-5 *1 (-556 *4))))) 
-(((*1 *1) (-5 *1 (-163)))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1255 *6)) (-4 *6 (-13 (-388) (-171) (-1065 *4))) (-5 *4 (-592)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-141)))) (|:| -2042 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1043 *6 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-914 *4)) (-5 *3 (-1 (-141) *5)) (-4 *4 (-1119)) (-4 *5 (-1225)) (-5 *1 (-912 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-914 *4)) (-5 *3 (-658 (-1 (-141) *5))) (-4 *4 (-1119)) (-4 *5 (-1225)) (-5 *1 (-912 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-914 *5)) (-5 *3 (-658 (-1191))) (-5 *4 (-1 (-141) (-658 *6))) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *1 (-912 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *5)) (-4 *5 (-1225)) (-4 *4 (-869)) (-5 *1 (-965 *4 *2 *5)) (-4 *2 (-456 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-1 (-141) *5))) (-4 *5 (-1225)) (-4 *4 (-869)) (-5 *1 (-965 *4 *2 *5)) (-4 *2 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-1 (-141) *5)) (-4 *5 (-1225)) (-5 *2 (-332 (-592))) (-5 *1 (-966 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-658 (-1 (-141) *5))) (-4 *5 (-1225)) (-5 *2 (-332 (-592))) (-5 *1 (-966 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-1 (-141) (-658 *6))) (-4 *6 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1097 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-565))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1173)) (-5 *5 (-706 (-237))) (-5 *6 (-237)) (-5 *7 (-706 (-592))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 *4) (-790)))) (-658 (-489)))) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 (-1191))) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) (-1191) *6)) (|:| C (-1 (-658 *5) (-790)))) (-658 (-489)))) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-658 (-489)))) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 (-1191))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-57))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-706 *11)) (-5 *4 (-658 (-433 (-980 *8)))) (-5 *5 (-790)) (-5 *6 (-1173)) (-4 *8 (-13 (-323) (-171))) (-4 *11 (-977 *8 *10 *9)) (-4 *9 (-13 (-869) (-633 (-1191)))) (-4 *10 (-815)) (-5 *2 (-2 (|:| |rgl| (-658 (-2 (|:| |eqzro| (-658 *11)) (|:| |neqzro| (-658 *11)) (|:| |wcond| (-658 (-980 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *8)))) (|:| -2195 (-658 (-1280 (-433 (-980 *8)))))))))) (|:| |rgsz| (-592)))) (-5 *1 (-951 *8 *9 *10 *11)) (-5 *7 (-592))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *6 (-237)) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-790)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-284 *3)) (-4 *3 (-869)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-944)))) ((*1 *2 *3) (-12 (-5 *3 (-356 *4 *5 *6 *7)) (-4 *4 (-13 (-394) (-388))) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-4 *7 (-362 *4 *5 *6)) (-5 *2 (-790)) (-5 *1 (-418 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-428)) (-5 *2 (-855 (-944))))) ((*1 *2 *1) (-12 (-4 *1 (-430)) (-5 *2 (-592)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-4 *3 (-582)) (-5 *2 (-592)) (-5 *1 (-639 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-592)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-790)) (-4 *1 (-757 *4 *3)) (-4 *4 (-1075)) (-4 *3 (-869)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-757 *4 *3)) (-4 *4 (-1075)) (-4 *3 (-869)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-890 *3)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-356 *5 *6 *7 *8)) (-4 *5 (-456 *4)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-790)) (-5 *1 (-933 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-356 (-433 (-592)) *4 *5 *6)) (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 (-433 (-592)) *4 *5)) (-5 *2 (-790)) (-5 *1 (-934 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-356 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-4 *4 (-1255 (-433 *7))) (-4 *8 (-362 *6 *7 *4)) (-4 *9 (-13 (-394) (-388))) (-5 *2 (-790)) (-5 *1 (-1046 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-4 *3 (-582)) (-5 *2 (-790)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) ((*1 *2 *1) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-790)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-96 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-234 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-518 *4)) (-4 *4 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1028 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1161 *4)) (-4 *4 (-1119)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-141)) (-5 *1 (-1232 *3)) (-4 *3 (-869)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1482 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-790)))) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-389 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-1285))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1173)) (-5 *5 (-706 (-237))) (-5 *6 (-237)) (-5 *7 (-706 (-592))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-944)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-278))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-658 (-980 *3))) (-4 *3 (-477)) (-5 *1 (-385 *3 *4)) (-14 *4 (-658 (-1191))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-658 (-802 *3 (-879 *4)))) (-4 *3 (-477)) (-14 *4 (-658 (-1191))) (-5 *1 (-643 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-592)) (-5 *1 (-597 *3)) (-4 *3 (-1065 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-815)) (-4 *3 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-219)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-405))) (-5 *2 (-405)) (-5 *1 (-219))))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1264 *3 *4 *5)) (-4 *3 (-13 (-388) (-869))) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-336 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-405))) (-5 *1 (-1067)) (-5 *3 (-405))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-160))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -2781 (-658 *3)) (|:| -2369 (-658 *3)))) (-5 *1 (-1232 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-264 *6 *5)) (-5 *4 (-995 *5)) (-4 *5 (-373)) (-14 *6 (-658 (-1191))) (-5 *2 (-264 *6 (-884 *5))) (-5 *1 (-894 *5 *6 *7)) (-4 *7 (-137)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-388)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *1 (-956 *5 *2 *6 *7 *3)) (-4 *2 (-346 *5 *6)) (-4 *3 (-999 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-956 *4 *2 *5 *6 *3)) (-4 *2 (-346 *4 *5)) (-4 *3 (-999 *4))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-980 (-592))) (-5 *5 (-658 (-1191))) (-4 *1 (-692 *2 *6)) (-4 *6 (-1225)) (-5 *4 (-1191)) (-4 *2 (-1225))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1143 *4 *3 *5))) (-4 *4 (-43 (-433 (-592)))) (-4 *4 (-1075)) (-4 *3 (-869)) (-5 *1 (-1143 *4 *3 *5)) (-4 *5 (-977 *4 (-558 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1220 *4))) (-5 *3 (-1191)) (-5 *1 (-1220 *4)) (-4 *4 (-43 (-433 (-592)))) (-4 *4 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-150))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-2 (|:| |glbase| (-658 (-264 *4 *5))) (|:| |glval| (-658 (-592))))) (-5 *1 (-646 *4 *5)) (-5 *3 (-658 (-264 *4 *5)))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283))))) 
-(((*1 *2) (-12 (-4 *3 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-658 *4)) (-5 *1 (-935 *3 *4 *5 *6)) (-4 *4 (-346 *3 *5))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-141)) (-5 *1 (-851))))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) ((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-4 *1 (-269 *3)))) ((*1 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-302 *3 *2)) (-4 *2 (-1270 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *6 *7 *8 *3 *4)) (-4 *4 (-1128 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *5 *6 *7 *3 *4)) (-4 *4 (-1128 *5 *6 *7 *3))))) 
-(((*1 *1) (-5 *1 (-845)))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-896)) (-5 *3 (-658 (-278))) (-5 *1 (-276))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)))) ((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-143)) (-4 *4 (-1075)) (-5 *1 (-731 *4 *2)) (-4 *2 (-661 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-143)) (-5 *1 (-856 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1270 *4)) (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-1 (-1171 *4) (-1171 *4) (-1171 *4))) (-5 *1 (-1272 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 *1)) (|has| *1 (-6 -4626)) (-4 *1 (-1038 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |deg| (-790)) (|:| -1975 *5)))) (-4 *5 (-1255 *4)) (-4 *4 (-373)) (-5 *2 (-658 *5)) (-5 *1 (-229 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| -4500 *5) (|:| -4525 (-592))))) (-5 *4 (-592)) (-4 *5 (-1255 *4)) (-5 *2 (-658 *5)) (-5 *1 (-712 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-790))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373)))) ((*1 *1) (-4 *1 (-394))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373)))) ((*1 *1 *1) (-4 *1 (-574))) ((*1 *1) (-4 *1 (-574))) ((*1 *1 *1) (-5 *1 (-592))) ((*1 *1 *1) (-5 *1 (-790))) ((*1 *2 *1) (-12 (-5 *2 (-927 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-927 *4)) (-5 *1 (-926 *4)) (-4 *4 (-1119)))) ((*1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-574)) (-4 *2 (-582))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1087))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-993 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1171 *3))) (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1285)) (-5 *1 (-474 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-658 (-2 (|:| |deg| (-790)) (|:| -1975 *3)))) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-631 *4)) (-4 *4 (-869)) (-4 *2 (-869)) (-5 *1 (-630 *2 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-877))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) ((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-597 *3)) (-4 *3 (-1065 (-592))))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1154 *4 *5)) (-4 *4 (-13 (-1119) (-39))) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1155 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1113 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1159 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-592))) (-5 *4 (-927 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-613)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-613)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-592))) (-5 *4 (-658 (-927 (-592)))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-613))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-388)) (-5 *2 (-658 (-1171 *4))) (-5 *1 (-302 *4 *5)) (-5 *3 (-1171 *4)) (-4 *5 (-1270 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 (-706 *4))) (-4 *4 (-194)) (-5 *2 (-1280 (-706 (-980 *4)))) (-5 *1 (-203 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *2 (-790)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-790)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1291 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-658 *8)) (-5 *3 (-1 (-141) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1291 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-790))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1121 (-1191))) (-5 *1 (-58)) (-5 *3 (-1191))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-565))) (-5 *1 (-565))))) 
-(((*1 *1) (-12 (-4 *1 (-494 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-565))) ((*1 *1) (-4 *1 (-739))) ((*1 *1) (-4 *1 (-743))) ((*1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-869))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-58))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) ((*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-983)) (-5 *2 (-1113 (-237))))) ((*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-1113 (-237)))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *9 (-665 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-658 (-592))))) (-5 *1 (-679 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-592)) (-4 *3 (-977 *6 *8 (-879 *7))) (-4 *4 (-999 *6)) (-4 *10 (-947 *6 *9))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-582)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1216 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1644 (-592)) (|:| -2033 (-658 *3)))) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954)) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-954)) (-5 *4 (-433 (-592))) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1119)) (-5 *2 (-1 *5 *4)) (-5 *1 (-699 *4 *5)) (-4 *4 (-1119)))) ((*1 *2 *3) (-12 (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-4 *2 (-1075)) (-5 *1 (-935 *2 *3 *4 *5)) (-4 *3 (-346 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-869)) (-5 *1 (-957 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-332 (-592))) (-5 *1 (-958)))) ((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *2)) (-4 *3 (-869)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-1301 *2 *3)) (-4 *3 (-865))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-388)) (-5 *1 (-677 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-587))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-155 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1063)) (-5 *1 (-765))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-869)) (-4 *3 (-1065 (-592))) (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-456 *3)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $)))))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-790)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-815)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877))))) (-5 *1 (-1191))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-141)) (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-444 *3)) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4)))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-954))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-592))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) ((*1 *1 *1) (-4 *1 (-574))) ((*1 *2 *1) (-12 (-5 *2 (-944)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-944)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-841 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-4 *1 (-1023 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1223 *3)) (-4 *3 (-1225)))) ((*1 *2 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1030)) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3))))) 
-(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-764))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1106 *2)) (-4 *2 (-13 (-869) (-582)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-1191)) (-4 *6 (-456 *5)) (-4 *5 (-869)) (-5 *2 (-658 (-631 *6))) (-5 *1 (-601 *5 *6))))) 
-(((*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) ((*1 *1) (-4 *1 (-574))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) ((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-764))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405)))) (-5 *1 (-219))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) (-141))) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-944) (-141))) (-5 *1 (-489))))) 
-(((*1 *1) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1179 3 (-237))) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-328))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-373)) (-5 *3 (-592)) (-5 *2 (-1199 (-944) (-790)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1051 *3)) (-4 *3 (-13 (-867) (-388) (-1049))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1091 *2 *3)) (-4 *2 (-13 (-867) (-388))) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-658 (-1187 *7))) (-5 *3 (-1187 *7)) (-4 *7 (-977 *5 *6 *4)) (-4 *5 (-931)) (-4 *6 (-815)) (-4 *4 (-869)) (-5 *1 (-928 *5 *6 *4 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-658 *8)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-999 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *2 (-658 *4)) (-5 *1 (-800 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-587)))) ((*1 *2 *1) (-12 (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-658 *4))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-346 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) ((*1 *2 *1) (-12 (-4 *1 (-725 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-871 *3)) (-4 *3 (-1075)) (-5 *2 (-790)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 (-790))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-977 *4 *5 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-790))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *5)) (-4 *5 (-477)) (-5 *2 (-658 *6)) (-5 *1 (-567 *5 *6 *4)) (-4 *6 (-388)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-980 *5)) (-4 *5 (-477)) (-5 *2 (-658 *6)) (-5 *1 (-567 *5 *6 *4)) (-4 *6 (-388)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 *4)) (-5 *1 (-1155 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1171 *2)) (-4 *2 (-323)) (-5 *1 (-195 *2))))) 
-(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-388))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-58))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-706 *2)) (-4 *2 (-194)) (-5 *1 (-170 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-194)) (-4 *2 (-1255 *4)) (-5 *1 (-197 *4 *2 *3)) (-4 *3 (-741 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-980 *5)))) (-5 *4 (-1191)) (-5 *2 (-980 *5)) (-5 *1 (-308 *5)) (-4 *5 (-477)))) ((*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 *4)))) (-5 *2 (-980 *4)) (-5 *1 (-308 *4)) (-4 *4 (-477)))) ((*1 *2 *1) (-12 (-4 *1 (-396 *3 *2)) (-4 *3 (-194)) (-4 *2 (-1255 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *2 (-980 (-191 (-433 (-592))))) (-5 *1 (-783 *4)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *4 (-1191)) (-5 *2 (-980 (-191 (-433 (-592))))) (-5 *1 (-783 *5)) (-4 *5 (-13 (-388) (-867))))) ((*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *2 (-980 (-433 (-592)))) (-5 *1 (-800 *4)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *4 (-1191)) (-5 *2 (-980 (-433 (-592)))) (-5 *1 (-800 *5)) (-4 *5 (-13 (-388) (-867)))))) 
-(((*1 *1 *1) (-5 *1 (-237))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *1) (-5 *1 (-405))) ((*1 *1) (-5 *1 (-405)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *2 (-1280 (-332 (-405)))) (-5 *1 (-321))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 *3)) (|:| |logand| (-1187 *3))))) (-5 *1 (-609 *3)) (-4 *3 (-388))))) 
-(((*1 *1) (-5 *1 (-1285)))) 
-(((*1 *2) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-1 *4 (-592) (-592))) (-4 *4 (-1075)) (-4 *1 (-704 *4 *5 *6)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-877)))) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-5 *2 (-1156 *3 *4)) (-5 *1 (-1022 *3 *4)) (-14 *3 (-944)) (-4 *4 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *5))) (-4 *5 (-1075)) (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5))))) 
-(((*1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-843)) (-5 *2 (-57)) (-5 *1 (-853))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-444 *3)) (-4 *3 (-574)) (-4 *3 (-582)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-819 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-855 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-862 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1025 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-433 (-592))) (-5 *1 (-1036 *3)) (-4 *3 (-1065 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-917)) (-5 *3 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *2 (-1063))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1237 *3)) (-4 *3 (-1075)) (-5 *1 (-1236 *3))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-477)) (-4 *3 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *3 *5 *6)) (-4 *6 (-977 *4 *3 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 *2) (-4 *5 (-194)))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-944)) (-5 *1 (-187 *3 *4)) (-4 *3 (-188 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-944)))) ((*1 *2) (-12 (-4 *1 (-396 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-944)))) ((*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-553 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)) (-4 *5 (-388)) (-5 *2 (-790)) (-5 *1 (-684 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-790)) (-5 *1 (-685 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-582)) (-5 *2 (-790)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-4 *5 (-582)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1280 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-388)) (-4 *1 (-741 *5 *6)) (-4 *5 (-194)) (-4 *6 (-1255 *5)) (-5 *2 (-706 *5))))) 
-(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-658 (-516 *4 *5))) (-5 *3 (-879 *4)) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *1 (-646 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *2 (-2 (|:| |mval| (-706 *4)) (|:| |invmval| (-706 *4)) (|:| |genIdeal| (-538 *4 *5 *6 *7)))) (-5 *1 (-538 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-141)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-667 (-433 *7))) (-5 *4 (-1 (-658 *6) *7)) (-5 *5 (-1 (-444 *7) *7)) (-4 *6 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *7 (-1255 *6)) (-5 *2 (-658 (-433 *7))) (-5 *1 (-834 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-668 *7 (-433 *7))) (-5 *4 (-1 (-658 *6) *7)) (-5 *5 (-1 (-444 *7) *7)) (-4 *6 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *7 (-1255 *6)) (-5 *2 (-658 (-433 *7))) (-5 *1 (-834 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-667 (-433 *5))) (-4 *5 (-1255 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *5))) (-5 *1 (-834 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-668 *5 (-433 *5))) (-4 *5 (-1255 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *5))) (-5 *1 (-834 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-433 *6))) (-5 *1 (-834 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1207))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-332 *3)) (-4 *3 (-582)) (-4 *3 (-869))))) 
-(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1154 *5 *6)) (-5 *4 (-1 (-141) *6 *6)) (-4 *5 (-13 (-1119) (-39))) (-4 *6 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1155 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *5)) (-4 *5 (-388)) (-5 *3 (-790)) (-14 *6 (-658 (-1191))) (-4 *8 (-252 (-1699 *6) *3)) (-5 *1 (-139 *5 *6 *7 *8 *4)) (-4 *7 (-346 *5 *8)) (-4 *4 (-137))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-592)) (-5 *3 (-944)) (-5 *1 (-715)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-706 *5)) (-5 *3 (-121 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-388)) (-5 *1 (-1007 *5))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-658 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-594 *6 *3 *7)) (-4 *7 (-1119))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-759 *5 *4 *6 *3)) (-4 *3 (-977 *6 *5 *4))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-631 *1)) (-4 *1 (-318))))) 
-(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-323)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2934 *1))) (-4 *1 (-323))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) ((*1 *1 *1) (|partial| -4 *1 (-739)))) 
-(((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-706 *2)) (-5 *4 (-592)) (-4 *2 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *5 (-1255 *2)) (-5 *1 (-532 *2 *5 *6)) (-4 *6 (-435 *2 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-474 *5 *6 *7 *3))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *2 (-137))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *5 (-1089 *3 *4 *2))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-272))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-658 (-1229))) (-5 *1 (-982)) (-5 *3 (-1229))))) 
-(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-877) (-877) (-877))) (-5 *4 (-592)) (-5 *2 (-877)) (-5 *1 (-662 *5 *6 *7)) (-4 *5 (-1119)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-121 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-877)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-877)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-877)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-1187 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-141)) (-5 *1 (-539 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1179 3 *3)) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) ((*1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-141) *5 *5)) (-5 *4 (-1 (-141) *6 *6)) (-4 *5 (-13 (-1119) (-39))) (-4 *6 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1154 *5 *6))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-141)) (-5 *5 (-1121 (-790))) (-5 *6 (-790)) (-5 *2 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (|has| *1 (-6 -4626)) (-4 *1 (-1267 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1146 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1146 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 *5)))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1146 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-310 (-433 (-980 *4)))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1146 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 *4)))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *4))))) (-5 *1 (-1146 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-310 (-433 (-980 *5))))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-310 (-433 (-980 *4))))) (-4 *4 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *4))))) (-5 *1 (-1146 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1104 *3)) (-4 *3 (-159))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-778))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-971 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-658 (-971 *4)))) (-5 *3 (-141)) (-4 *4 (-1075)) (-4 *1 (-1151 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-971 *3)))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-658 (-658 *4)))) (-5 *3 (-141)) (-4 *1 (-1151 *4)) (-4 *4 (-1075)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-658 (-971 *4)))) (-5 *3 (-141)) (-4 *1 (-1151 *4)) (-4 *4 (-1075)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-658 (-658 *5)))) (-5 *3 (-658 (-193))) (-5 *4 (-193)) (-4 *1 (-1151 *5)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-658 (-971 *5)))) (-5 *3 (-658 (-193))) (-5 *4 (-193)) (-4 *1 (-1151 *5)) (-4 *5 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-131 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1293 (-1191) *3)) (-4 *3 (-1075)) (-5 *1 (-1300 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1293 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *1 (-1302 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-13 (-388) (-171))) (-5 *2 (-658 (-2 (|:| -3215 (-790)) (|:| -2838 *4) (|:| |num| *4)))) (-5 *1 (-425 *3 *4)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-388)) (-4 *6 (-1255 (-433 *2))) (-4 *2 (-1255 *5)) (-5 *1 (-228 *5 *2 *6 *3)) (-4 *3 (-362 *5 *2 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-310 (-855 *3))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-855 *3)) (-5 *1 (-651 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 (-855 (-980 *5)))) (-4 *5 (-477)) (-5 *2 (-855 (-433 (-980 *5)))) (-5 *1 (-652 *5)) (-5 *3 (-433 (-980 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 (-433 (-980 *5)))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-477)) (-5 *2 (-855 *3)) (-5 *1 (-652 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-141)) (-5 *1 (-316))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-160))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1187 *6)) (-5 *3 (-592)) (-4 *6 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-759 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-249 *3)) (-4 *3 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-299 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-658 (-2 (|:| |totdeg| (-790)) (|:| -3489 *3)))) (-5 *4 (-790)) (-4 *3 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-474 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-1084)) (-4 *3 (-1211)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 *6)) (-4 *5 (-1235)) (-4 *6 (-1255 *5)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *3) (|:| |radicand| *6))) (-5 *1 (-172 *5 *6 *7)) (-5 *4 (-790)) (-4 *7 (-1255 *3))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-790)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-815)) (-4 *4 (-977 *5 *6 *7)) (-4 *5 (-477)) (-4 *7 (-869)) (-5 *1 (-474 *5 *6 *7 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1280 (-1280 (-592)))) (-5 *3 (-944)) (-5 *1 (-495))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-278)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1225)) (-5 *1 (-201 *3 *2)) (-4 *2 (-690 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1246 (-592))) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-299 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-433 (-592))) (-5 *1 (-321))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1123)) (-5 *3 (-793)) (-5 *1 (-57))))) 
-(((*1 *2) (-12 (-5 *2 (-855 (-592))) (-5 *1 (-563)))) ((*1 *1) (-12 (-5 *1 (-855 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-323)) (-5 *1 (-199 *3))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1028 *3))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-425 *3 *2)) (-4 *3 (-13 (-388) (-171)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-400 *2 *3)) (-4 *2 (-869)) (-4 *3 (-194)))) ((*1 *1 *1) (-12 (-5 *1 (-642 *2 *3 *4)) (-4 *2 (-869)) (-4 *3 (-13 (-194) (-734 (-433 (-592))))) (-14 *4 (-944)))) ((*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-986 (-1137))) (-5 *1 (-370 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-953))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-877)) (-5 *1 (-36 *4 *5))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-907 *3 *4 *5)) (-4 *3 (-1119)) (-4 *5 (-683 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-911 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-5 *4 (-706 *12)) (-5 *5 (-658 (-433 (-980 *9)))) (-5 *6 (-658 (-658 *12))) (-5 *7 (-790)) (-5 *8 (-592)) (-4 *9 (-13 (-323) (-171))) (-4 *12 (-977 *9 *11 *10)) (-4 *10 (-13 (-869) (-633 (-1191)))) (-4 *11 (-815)) (-5 *2 (-2 (|:| |eqzro| (-658 *12)) (|:| |neqzro| (-658 *12)) (|:| |wcond| (-658 (-980 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *9)))) (|:| -2195 (-658 (-1280 (-433 (-980 *9))))))))) (-5 *1 (-951 *9 *10 *11 *12))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-388)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-4 *1 (-355 *4 *3 *5 *2)) (-4 *2 (-362 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *2 (-388)) (-4 *4 (-1255 *2)) (-4 *5 (-1255 (-433 *4))) (-4 *1 (-355 *2 *4 *5 *6)) (-4 *6 (-362 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-388)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))) (-4 *1 (-355 *2 *3 *4 *5)) (-4 *5 (-362 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *1 (-355 *3 *4 *5 *2)) (-4 *2 (-362 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-439 *4 (-433 *4) *5 *6)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-4 *3 (-388)) (-4 *1 (-355 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-143)))) ((*1 *2 *1) (-12 (-4 *1 (-389 *2 *3)) (-4 *3 (-1119)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-464 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1096 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1191)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-2 (|:| |num| (-1280 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141))))) 
-(((*1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-1209))))) 
-(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-121 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1075)) (-5 *1 (-872 *5 *2)) (-4 *2 (-871 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-610 *2)) (-4 *2 (-574))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1191)) (-5 *1 (-350))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-944)) (-5 *4 (-405)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-658 (-1191))) (-5 *1 (-285)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *7)) (-4 *7 (-977 *6 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-5 *2 (-658 *5)) (-5 *1 (-340 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-359 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-413)))) ((*1 *2 *1) (-12 (-4 *1 (-456 *3)) (-4 *3 (-869)) (-5 *2 (-658 (-1191))))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-658 *5)) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-1002 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-814)) (-4 *5 (-869)) (-5 *2 (-658 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-658 (-1191))) (-5 *1 (-1070 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-388)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-785 *3 *4)) (-4 *3 (-725 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373))))) 
-(((*1 *1) (-5 *1 (-179)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) ((*1 *1 *1 *1) (-4 *1 (-815)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-610 *3)) (-4 *3 (-574))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-399 *3)) (-4 *3 (-1225)) (-4 *3 (-869)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *1 (-399 *4)) (-4 *4 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790)) (-4 *5 (-194))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-1225)) (-5 *1 (-201 *3 *2)) (-4 *2 (-690 *3))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-944)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-790)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-658 (-790))) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-944)) (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *6 (-141)) (-5 *1 (-467 *2)) (-4 *2 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-444 *2)) (-4 *2 (-1255 *5)) (-5 *1 (-469 *5 *2)) (-4 *5 (-1075))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-592)) (-5 *1 (-1208 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-373)) (-4 *2 (-1075)) (-5 *1 (-729 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 (-332 (-237)))) (-5 *2 (-405)) (-5 *1 (-219))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-790)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-815)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *6))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-249 *3)) (-4 *3 (-1119)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-249 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-629 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-141) *4)) (-5 *3 (-592)) (-4 *4 (-1119)) (-5 *1 (-754 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *1 (-754 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-4 *3 (-194))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-658 *3))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-1137)) (-5 *2 (-141)) (-5 *1 (-843))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-1280 (-706 *4))))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1280 (-706 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) ((*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-1280 (-706 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1191))) (-4 *5 (-388)) (-5 *2 (-1280 (-706 (-433 (-980 *5))))) (-5 *1 (-1105 *5)) (-5 *4 (-706 (-433 (-980 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1191))) (-4 *5 (-388)) (-5 *2 (-1280 (-706 (-980 *5)))) (-5 *1 (-1105 *5)) (-5 *4 (-706 (-980 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-706 *4))) (-4 *4 (-388)) (-5 *2 (-1280 (-706 *4))) (-5 *1 (-1105 *4))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-916 *2 *3)) (-4 *2 (-1255 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-602 *5 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *7 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-582)) (-4 *8 (-977 *7 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *3) (|:| |radicand| *3))) (-5 *1 (-981 *5 *6 *7 *8 *3)) (-5 *4 (-790)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1448 (*8 $)) (-15 -1456 (*8 $)) (-15 -1683 ($ *8)))))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1264 *4 *5 *6)) (|:| |%expon| (-336 *4 *5 *6)) (|:| |%expTerms| (-658 (-2 (|:| |k| (-433 (-592))) (|:| |c| *4)))))) (|:| |%type| (-1173)))) (-5 *1 (-1265 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4)))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-141)) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *3 (-13 (-27) (-1211) (-456 *6) (-10 -8 (-15 -1683 ($ *7))))) (-4 *7 (-867)) (-4 *8 (-13 (-1257 *3 *7) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173)))))) (-5 *1 (-448 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1173)) (-4 *9 (-1012 *8)) (-14 *10 (-1191))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1270 *4)) (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-1 (-1171 *4) (-1171 *4))) (-5 *1 (-1272 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869))) (-4 *2 (-13 (-456 *4) (-1030) (-1211))) (-5 *1 (-621 *4 *2 *3)) (-4 *3 (-13 (-456 (-191 *4)) (-1030) (-1211)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *8 (-999 *5)) (-4 *9 (-665 *5)) (-4 *10 (-947 *5 *9)) (-4 *11 (-560 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *10)) (-5 *1 (-282 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-280 *11))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-141) *2)) (-4 *1 (-175 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1191)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1171 *3))) (-5 *1 (-1171 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944)) (|has| *1 (-6 -4616)) (-4 *1 (-430)))) ((*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715)))) ((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-715))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-592)) (-5 *1 (-474 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *6 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-1284)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-1284))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-444 (-1187 *1))) (-5 *1 (-332 *4)) (-5 *3 (-1187 *1)) (-4 *4 (-477)) (-4 *4 (-582)) (-4 *4 (-869)))) ((*1 *2 *3) (-12 (-4 *1 (-931)) (-5 *2 (-444 (-1187 *1))) (-5 *3 (-1187 *1))))) 
-(((*1 *1 *1 *1) (-4 *1 (-167))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-592))) (-5 *1 (-1073)) (-5 *3 (-592))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869))))) 
-(((*1 *1) (-5 *1 (-163)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-2 (|:| |deg| (-790)) (|:| -2042 *5)))) (-5 *1 (-831 *4 *5 *3 *6)) (-4 *3 (-670 *5)) (-4 *6 (-670 (-433 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-230))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1544 *3) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592)))))))))) (-5 *1 (-1195))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)) (-5 *1 (-697 *5 *6 *2))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-444 *4) *4)) (-4 *4 (-582)) (-5 *2 (-444 *4)) (-5 *1 (-445 *4)))) ((*1 *1 *1) (-5 *1 (-953))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *1) (-5 *1 (-954))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *4 (-433 (-592))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *4 (-433 (-592))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 (-433 (-592)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-401 *4 *2)) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-1 *4 (-592))) (-4 *4 (-1075)) (-5 *1 (-1175 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-568 *4 *2 *5 *6)) (-4 *4 (-323)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-790)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-2 (|:| -1495 (-1171 *4)) (|:| -1501 (-1171 *4)))) (-5 *1 (-1177 *4)) (-5 *3 (-1171 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-374 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1255 (-592))) (-5 *2 (-2 (|:| -2195 (-706 (-592))) (|:| |basisDen| (-592)) (|:| |basisInv| (-706 (-592))))) (-5 *1 (-787 *3 *4)) (-4 *4 (-435 (-592) *3)))) ((*1 *2) (-12 (-4 *3 (-373)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -2195 (-706 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-706 *4)))) (-5 *1 (-1014 *3 *4 *5 *6)) (-4 *6 (-741 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-373)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -2195 (-706 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-706 *4)))) (-5 *1 (-1289 *3 *4 *5 *6)) (-4 *6 (-435 *4 *5))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-193)))))) 
-(((*1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-237)) (-5 *3 (-790)) (-5 *1 (-239)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-191 (-237))) (-5 *3 (-790)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-589)) (-5 *3 (-592)))) ((*1 *2 *3) (-12 (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 *3) (|:| -3552 *4)))) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *1 (-1202 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1202 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-658 *10)) (-5 *5 (-141)) (-4 *10 (-1094 *6 *7 *8 *9)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *10) (|:| |ineq| (-658 *9))))) (-5 *1 (-1017 *6 *7 *8 *9 *10)) (-5 *3 (-658 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-658 *10)) (-5 *5 (-141)) (-4 *10 (-1094 *6 *7 *8 *9)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *10) (|:| |ineq| (-658 *9))))) (-5 *1 (-1126 *6 *7 *8 *9 *10)) (-5 *3 (-658 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-706 (-980 *4))) (-5 *1 (-1056 *4)) (-4 *4 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-518 *3))))) 
-(((*1 *1 *1) (-5 *1 (-141)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-1075)) (-4 *2 (-1255 *4)) (-5 *1 (-469 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-433 (-1187 (-332 *5)))) (-5 *3 (-1280 (-332 *5))) (-5 *4 (-592)) (-4 *5 (-13 (-582) (-869))) (-5 *1 (-1147 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1075)) (-4 *1 (-1255 *3))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-790)) (-5 *1 (-187 *3 *4)) (-4 *3 (-188 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1225)) (-5 *2 (-790)) (-5 *1 (-251 *3 *4 *5)) (-4 *3 (-252 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-869)) (-5 *2 (-790)) (-5 *1 (-455 *3 *4)) (-4 *3 (-456 *4)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-573 *3)) (-4 *3 (-574)))) ((*1 *2) (-12 (-4 *1 (-782)) (-5 *2 (-790)))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-790)) (-5 *1 (-818 *3 *4)) (-4 *3 (-819 *4)))) ((*1 *2) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-1020 *3 *4)) (-4 *3 (-1021 *4)))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-790)) (-5 *1 (-1024 *3 *4)) (-4 *3 (-1025 *4)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1039 *3)) (-4 *3 (-1040)))) ((*1 *2) (-12 (-4 *1 (-1075)) (-5 *2 (-790)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1083 *3)) (-4 *3 (-1084))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1119)) (-4 *4 (-1225)) (-5 *2 (-141)) (-5 *1 (-1171 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 (-980 *6))) (-4 *6 (-582)) (-4 *2 (-977 (-433 (-980 *6)) *5 *4)) (-5 *1 (-749 *5 *4 *6 *2)) (-4 *5 (-815)) (-4 *4 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)))))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-565) (-658 (-565)))) (-5 *1 (-143)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-565) (-658 (-565)))) (-5 *1 (-143))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-658 (-310 (-980 *4))))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-310 (-433 (-980 (-592)))))) (-5 *2 (-658 (-658 (-310 (-980 *4))))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-592)))) (-5 *2 (-658 (-310 (-980 *4)))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 (-592))))) (-5 *2 (-658 (-310 (-980 *4)))) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1191)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-4 *4 (-13 (-29 *6) (-1211) (-987))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2195 (-658 *4)))) (-5 *1 (-666 *6 *4 *3)) (-4 *3 (-670 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-666 *6 *2 *3)) (-4 *3 (-670 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5))))) (-5 *1 (-684 *5)) (-5 *4 (-1280 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 *5))) (-4 *5 (-388)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5))))) (-5 *1 (-684 *5)) (-5 *4 (-1280 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-4 *5 (-388)) (-5 *2 (-658 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5)))))) (-5 *1 (-684 *5)) (-5 *4 (-658 (-1280 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 *5))) (-4 *5 (-388)) (-5 *2 (-658 (-2 (|:| |particular| (-3 (-1280 *5) "failed")) (|:| -2195 (-658 (-1280 *5)))))) (-5 *1 (-684 *5)) (-5 *4 (-658 (-1280 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-685 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *7 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-658 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -2195 (-658 *7))))) (-5 *1 (-685 *5 *6 *7 *3)) (-5 *4 (-658 *7)) (-4 *3 (-704 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-789 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-789 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-791 *5 *2)) (-4 *2 (-13 (-29 *5) (-1211) (-987))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-706 *7)) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-2 (|:| |particular| (-1280 *7)) (|:| -2195 (-658 (-1280 *7))))) (-5 *1 (-824 *6 *7)) (-5 *4 (-1280 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-706 *6)) (-5 *4 (-1191)) (-4 *6 (-13 (-29 *5) (-1211) (-987))) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-1280 *6))) (-5 *1 (-824 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-658 (-310 *7))) (-5 *4 (-658 (-143))) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-2 (|:| |particular| (-1280 *7)) (|:| -2195 (-658 (-1280 *7))))) (-5 *1 (-824 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-658 *7)) (-5 *4 (-658 (-143))) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-2 (|:| |particular| (-1280 *7)) (|:| -2195 (-658 (-1280 *7))))) (-5 *1 (-824 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-310 *7)) (-5 *4 (-143)) (-5 *5 (-1191)) (-4 *7 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -2195 (-658 *7))) *7 "failed")) (-5 *1 (-824 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-143)) (-5 *5 (-1191)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -2195 (-658 *3))) *3 "failed")) (-5 *1 (-824 *6 *3)) (-4 *3 (-13 (-29 *6) (-1211) (-987))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-310 *2)) (-5 *4 (-143)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-29 *6) (-1211) (-987))) (-5 *1 (-824 *6 *2)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-310 *2)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-29 *6) (-1211) (-987))) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-824 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-830)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-830)) (-5 *4 (-1087)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1280 (-332 (-405)))) (-5 *4 (-405)) (-5 *5 (-658 *4)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1280 (-332 (-405)))) (-5 *4 (-405)) (-5 *5 (-658 *4)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1280 (-332 *4))) (-5 *5 (-658 (-405))) (-5 *6 (-332 (-405))) (-5 *4 (-405)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1280 (-332 (-405)))) (-5 *4 (-405)) (-5 *5 (-658 *4)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1280 (-332 *4))) (-5 *5 (-658 (-405))) (-5 *6 (-332 (-405))) (-5 *4 (-405)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1280 (-332 *4))) (-5 *5 (-658 (-405))) (-5 *6 (-332 (-405))) (-5 *4 (-405)) (-5 *2 (-1063)) (-5 *1 (-827)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -2195 (-658 *6))) "failed") *7 *6)) (-4 *6 (-388)) (-4 *7 (-670 *6)) (-5 *2 (-2 (|:| |particular| (-1280 *6)) (|:| -2195 (-706 *6)))) (-5 *1 (-835 *6 *7)) (-5 *3 (-706 *6)) (-5 *4 (-1280 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-920)) (-5 *2 (-1063)) (-5 *1 (-919)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-920)) (-5 *4 (-1087)) (-5 *2 (-1063)) (-5 *1 (-919)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-790)) (-5 *6 (-658 (-658 (-332 *3)))) (-5 *7 (-1173)) (-5 *8 (-237)) (-5 *5 (-658 (-332 (-405)))) (-5 *3 (-405)) (-5 *2 (-1063)) (-5 *1 (-919)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-790)) (-5 *6 (-658 (-658 (-332 *3)))) (-5 *7 (-1173)) (-5 *5 (-658 (-332 (-405)))) (-5 *3 (-405)) (-5 *2 (-1063)) (-5 *1 (-919)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-980 (-433 (-592)))) (-5 *2 (-658 (-405))) (-5 *1 (-1050)) (-5 *4 (-405)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-980 (-592))) (-5 *2 (-658 (-405))) (-5 *1 (-1050)) (-5 *4 (-405)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1148 *4)) (-5 *3 (-332 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *4)))) (-5 *1 (-1148 *4)) (-5 *3 (-310 (-332 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1148 *5)) (-5 *3 (-310 (-332 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-310 (-332 *5)))) (-5 *1 (-1148 *5)) (-5 *3 (-332 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-658 (-658 (-310 (-332 *5))))) (-5 *1 (-1148 *5)) (-5 *3 (-658 (-310 (-332 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-1196 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-1196 *5)) (-5 *3 (-658 (-310 (-433 (-980 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 *4)))) (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-1196 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-1196 *4)) (-5 *3 (-658 (-310 (-433 (-980 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *5))))) (-5 *1 (-1196 *5)) (-5 *3 (-433 (-980 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *5))))) (-5 *1 (-1196 *5)) (-5 *3 (-310 (-433 (-980 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *4))))) (-5 *1 (-1196 *4)) (-5 *3 (-433 (-980 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 (-310 (-433 (-980 *4))))) (-5 *1 (-1196 *4)) (-5 *3 (-310 (-433 (-980 *4))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-658 *3)) (-5 *1 (-1161 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-141)) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *3 (-13 (-27) (-1211) (-456 *6) (-10 -8 (-15 -1683 ($ *7))))) (-4 *7 (-867)) (-4 *8 (-13 (-1257 *3 *7) (-388) (-1211) (-10 -8 (-15 -3644 ($ $)) (-15 -3162 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173)))))) (-5 *1 (-448 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1173)) (-4 *9 (-1012 *8)) (-14 *10 (-1191))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-790))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-4 *1 (-925 *3))))) 
-(((*1 *1) (-5 *1 (-845)))) 
-(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *1 (-1251 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-332 *4)) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-582)) (-4 *2 (-194))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1280 *4)) (-5 *3 (-706 *4)) (-4 *4 (-388)) (-5 *1 (-684 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-388)) (-4 *5 (-13 (-399 *4) (-10 -7 (-6 -4626)))) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626)))) (-5 *1 (-685 *4 *5 *2 *3)) (-4 *3 (-704 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-658 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-388)) (-5 *1 (-836 *2 *3)) (-4 *3 (-670 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *3 (-1255 *4)) (-4 *2 (-1270 *4)) (-5 *1 (-1273 *4 *3 *5 *2)) (-4 *5 (-670 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-4 *1 (-1260 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-869)) (-5 *1 (-518 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4626)) (-4 *1 (-523 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-1028 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4626)) (-4 *3 (-1119)) (-5 *1 (-1161 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4)))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1063)) (-5 *3 (-1191)) (-5 *1 (-206))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-284 *2)) (-4 *2 (-869)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-879 *3)) (-14 *3 (-658 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1018)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1111 *3)) (-4 *3 (-1225)))) ((*1 *2 *1) (-12 (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-1191)))) ((*1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1276 *3)) (-14 *3 *2)))) 
-(((*1 *2) (-12 (-5 *2 (-1161 (-1173))) (-5 *1 (-417))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-582)) (-5 *1 (-998 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *1 *1) (-4 *1 (-890 *2)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-851)) (-5 *3 (-1173))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *5 (-582)) (-5 *1 (-749 *4 *3 *5 *2)) (-4 *2 (-977 (-433 (-980 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-5 *1 (-1013 *4 *5 *3 *2)) (-4 *2 (-977 (-980 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *4 (-1075)) (-4 *5 (-815)) (-5 *1 (-1013 *4 *5 *6 *2)) (-4 *2 (-977 (-980 *4) *5 *6))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-790)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1280 *6)) (-5 *4 (-1280 (-592))) (-5 *5 (-592)) (-4 *6 (-1119)) (-5 *2 (-1 *6)) (-5 *1 (-1045 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *2)) (-4 *2 (-977 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-489)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 (-1187 *6)) (|:| -3215 (-592))))) (-4 *6 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-759 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1151 *2)) (-4 *2 (-1075))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-592) (-592))) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-790) (-790))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119))))) 
-(((*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-658 (-658 *4))) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *3 (-394)) (-5 *2 (-658 (-658 *3))))) ((*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *7)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-658 (-995 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-658 (-994 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-658 *8)) (-5 *1 (-991 *5 *6 *3 *7 *8)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-470 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-869)) (-4 *5 (-815)) (-4 *6 (-582)) (-4 *7 (-977 *6 *5 *3)) (-5 *1 (-490 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1065 (-433 (-592))) (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *2))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-658 *8)) (-5 *3 (-1 (-141) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1006 *5 *6 *7 *8))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1017 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1126 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-999 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-999 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-399 *2)) (-4 *2 (-1225)) (-4 *2 (-869)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (-4 *1 (-399 *3)) (-4 *3 (-1225)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *6 (-1089 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2039 *1) (|:| |upper| *1))) (-4 *1 (-1005 *4 *5 *3 *6))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *2 *6 *7)) (-4 *6 (-252 *5 *2)) (-4 *7 (-252 *4 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-4 *7 (-1255 (-433 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -4192 *3))) (-5 *1 (-590 *5 *6 *7 *3)) (-4 *3 (-362 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |answer| (-433 *6)) (|:| -4192 (-433 *6)) (|:| |specpart| (-433 *6)) (|:| |polypart| *6))) (-5 *1 (-591 *5 *6)) (-5 *3 (-433 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| (-688 *3)) (|:| |c| *4)))) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-5 *4 (-433 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-832 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-667 (-433 *6))) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| -2195 (-658 (-433 *6))) (|:| -3253 (-706 *5)))) (-5 *1 (-832 *5 *6)) (-5 *4 (-658 (-433 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-5 *4 (-433 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-832 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-668 *6 (-433 *6))) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-2 (|:| -2195 (-658 (-433 *6))) (|:| -3253 (-706 *5)))) (-5 *1 (-832 *5 *6)) (-5 *4 (-658 (-433 *6)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-971 (-237))) (-5 *2 (-1285)) (-5 *1 (-497))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-412 *3)) (|:| |mm| (-412 *3)) (|:| |rm| (-412 *3)))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-841 *3)) (|:| |mm| (-841 *3)) (|:| |rm| (-841 *3)))) (-5 *1 (-841 *3)) (-4 *3 (-869))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1285)) (-5 *1 (-227 *4)) (-4 *4 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 (*2 $)) (-15 -3948 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-227 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 (*2 $)) (-15 -3948 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-535))))) 
-(((*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-986 (-237))) (-5 *3 (-1137)) (-5 *4 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-1 (-658 *4) *4)) (-5 *1 (-127 *4)) (-5 *3 (-658 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 *1)) (-5 *4 (-1280 *1)) (-4 *1 (-654 *5)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -3253 (-706 *5)) (|:| |vec| (-1280 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-706 *1)) (-4 *1 (-654 *4)) (-4 *4 (-1075)) (-5 *2 (-706 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-980 (-592))) (-5 *3 (-1191)) (-5 *4 (-1113 (-433 (-592)))) (-5 *1 (-30))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1121 *4)) (-4 *4 (-1119)) (-5 *2 (-1 *4)) (-5 *1 (-1045 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-405))) (-5 *1 (-1067)) (-5 *3 (-405)))) ((*1 *2 *3) (-12 (-5 *3 (-1113 (-592))) (-5 *2 (-1 (-592))) (-5 *1 (-1073))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-867)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-927 *3)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-592)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-582) (-869) (-1065 *2) (-654 *2) (-477))) (-5 *2 (-592)) (-5 *1 (-1134 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-862 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 *2) (-654 *2) (-477))) (-5 *2 (-592)) (-5 *1 (-1134 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-1173)) (-4 *6 (-13 (-582) (-869) (-1065 *2) (-654 *2) (-477))) (-5 *2 (-592)) (-5 *1 (-1134 *6 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-477)) (-5 *2 (-592)) (-5 *1 (-1135 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-862 (-433 (-980 *6)))) (-5 *3 (-433 (-980 *6))) (-4 *6 (-477)) (-5 *2 (-592)) (-5 *1 (-1135 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-433 (-980 *6))) (-5 *4 (-1191)) (-5 *5 (-1173)) (-4 *6 (-477)) (-5 *2 (-592)) (-5 *1 (-1135 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-592)) (-5 *1 (-1208 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-433 (-980 *4))) (-5 *1 (-951 *4 *5 *6 *3)) (-4 *3 (-977 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-706 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-706 (-433 (-980 *4)))) (-5 *1 (-951 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-433 (-980 *4)))) (-5 *1 (-951 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-516 *4 *5))) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-658 (-264 *4 *5))) (-5 *1 (-646 *4 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4))))))) (-5 *3 (-658 *7)) (-4 *4 (-13 (-323) (-171))) (-4 *7 (-977 *4 *6 *5)) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *1 (-951 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-37 *2)) (-4 *2 (-388)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1225)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4626)) (-4 *1 (-148 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4626)) (-4 *1 (-148 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1191)) (-5 *1 (-647)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1246 (-592))) (|has| *1 (-6 -4626)) (-4 *1 (-664 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-999 *2)) (-4 *2 (-388)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4626)) (-4 *1 (-1038 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1202 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4626)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-658 *11)) (|:| |todo| (-658 (-2 (|:| |val| *3) (|:| -2165 *11)))))) (-5 *6 (-790)) (-5 *2 (-658 (-2 (|:| |val| (-658 *10)) (|:| -2165 *11)))) (-5 *3 (-658 *10)) (-5 *4 (-658 *11)) (-4 *10 (-1089 *7 *8 *9)) (-4 *11 (-1094 *7 *8 *9 *10)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-5 *1 (-1092 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-658 *11)) (|:| |todo| (-658 (-2 (|:| |val| *3) (|:| -2165 *11)))))) (-5 *6 (-790)) (-5 *2 (-658 (-2 (|:| |val| (-658 *10)) (|:| -2165 *11)))) (-5 *3 (-658 *10)) (-5 *4 (-658 *11)) (-4 *10 (-1089 *7 *8 *9)) (-4 *11 (-1128 *7 *8 *9 *10)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-5 *1 (-1159 *7 *8 *9 *10 *11))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-57))) (-5 *2 (-1285)) (-5 *1 (-878))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-790)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-489))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2 *3) (-12 (-5 *3 (-1000)) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-37 *2)) (-4 *2 (-388)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1225)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-148 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-148 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 (-592))) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 (-592)) (-14 *5 (-790)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-194)) (-5 *1 (-162 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-790)))) ((*1 *2 *1) (-12 (-4 *2 (-194)) (-5 *1 (-162 *3 *4 *2)) (-14 *3 (-592)) (-14 *4 (-790)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-262 (-1173))) (-5 *1 (-227 *4)) (-4 *4 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ *3)) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1018)) (-5 *1 (-227 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-790)) (-5 *1 (-262 *4)) (-4 *4 (-869)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-262 *3)) (-4 *3 (-869)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-262 *3)) (-4 *3 (-869)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-303 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-194)) (-5 *1 (-306 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1255 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 *1)) (-4 *1 (-318)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-362 *2 *3 *4)) (-4 *2 (-1235)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-443 *2)) (-4 *2 (-194)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1173)) (-5 *1 (-535)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-57)) (-5 *1 (-647)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1246 (-592))) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-790)) (-5 *1 (-691 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 (-914 *4))) (-5 *1 (-914 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-925 *2)) (-4 *2 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-927 *4)) (-5 *1 (-926 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-947 *2 *4)) (-4 *4 (-665 *2)) (-4 *2 (-388)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-999 *2)) (-4 *2 (-388)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-254 *4 *2)) (-14 *4 (-944)) (-4 *2 (-388)) (-5 *1 (-1022 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1038 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *2 *6 *7)) (-4 *2 (-1075)) (-4 *6 (-252 *5 *2)) (-4 *7 (-252 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *2 *6 *7)) (-4 *6 (-252 *5 *2)) (-4 *7 (-252 *4 *2)) (-4 *2 (-1075)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1097 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1098 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)))) ((*1 *1 *1 *1) (-4 *1 (-1158))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-433 *1)) (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-433 *1)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-4 *3 (-582)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1257 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 (-631 *6))) (-5 *4 (-1191)) (-5 *2 (-631 *6)) (-4 *6 (-456 *5)) (-4 *5 (-869)) (-5 *1 (-601 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-1285))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-926 *4)) (-4 *4 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-592))) (-5 *1 (-1073))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-1165)))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405))))))) (-5 *1 (-825))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) *2)) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-790)) (-5 *1 (-282 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-790)) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-790)))) ((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-790)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-171)) (-4 *3 (-323)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-4 *3 (-582)) (-5 *2 (-1187 *3))))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-193))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-1195)) (-5 *1 (-1194))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-971 (-237)))) (-5 *1 (-1281))))) 
-(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 (-914 *6))) (-5 *5 (-1 (-911 *6 *8) *8 (-914 *6) (-911 *6 *8))) (-4 *6 (-1119)) (-4 *8 (-13 (-1075) (-633 (-914 *6)) (-1065 *7))) (-5 *2 (-911 *6 *8)) (-4 *7 (-13 (-1075) (-869))) (-5 *1 (-969 *6 *7 *8))))) 
-(((*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-150)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-980 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-869) (-582))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-869) (-582))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *2)) (-5 *4 (-1191)) (-4 *2 (-456 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-869) (-582))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1187 *1)) (-5 *3 (-944)) (-4 *1 (-1040)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1187 *1)) (-5 *3 (-944)) (-5 *4 (-877)) (-4 *1 (-1040)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-944)) (-4 *4 (-13 (-867) (-388))) (-4 *1 (-1091 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-516 *5 *6))) (-5 *4 (-879 *5)) (-14 *5 (-658 (-1191))) (-5 *2 (-516 *5 *6)) (-5 *1 (-646 *5 *6)) (-4 *6 (-477)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-516 *5 *6))) (-5 *4 (-879 *5)) (-14 *5 (-658 (-1191))) (-5 *2 (-516 *5 *6)) (-5 *1 (-646 *5 *6)) (-4 *6 (-477))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-582)) (-4 *3 (-977 *7 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *3) (|:| |radicand| (-658 *3)))) (-5 *1 (-981 *5 *6 *7 *3 *8)) (-5 *4 (-790)) (-4 *8 (-13 (-388) (-10 -8 (-15 -1448 (*3 $)) (-15 -1456 (*3 $)) (-15 -1683 ($ *3)))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-980 *3))) (-4 *3 (-477)) (-5 *1 (-385 *3 *4)) (-14 *4 (-658 (-1191))))) ((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-475 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-475 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-475 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-977 *3 *5 *6)) (-4 *3 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-584 *3 *4 *5 *6 *7)) (-14 *4 (-658 (-1191))))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-802 *3 (-879 *4)))) (-4 *3 (-477)) (-14 *4 (-658 (-1191))) (-5 *1 (-643 *3 *4))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *3))) (-5 *1 (-1055 *5 *6 *7 *3)) (-4 *3 (-1089 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-658 *6)) (-4 *1 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *2)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *3))) (-5 *1 (-1160 *5 *6 *7 *3)) (-4 *3 (-1089 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (-5 *2 (-658 (-658 (-237)))) (-5 *1 (-1222))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-1285))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *2 (-13 (-430) (-1065 *5) (-388) (-1211) (-301))) (-5 *1 (-468 *5 *3 *2)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-206)))) ((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-316)))) ((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-557 *3)) (-4 *3 (-13 (-743) (-25)))))) 
-(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-592)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-790)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-944)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-237)) (-5 *1 (-179)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-944)) (-5 *1 (-179)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211))) (-5 *1 (-241 *3)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-252 *3 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-252 *3 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1131)) (-4 *2 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1131)) (-4 *2 (-1225)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-342 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-158)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-386 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-386 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-407 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-869)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-408 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *6 (-252 (-1699 *3) (-790))) (-14 *7 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *6)) (-2 (|:| -1825 *5) (|:| -3215 *6)))) (-5 *1 (-487 *3 *4 *5 *6 *7 *2)) (-4 *5 (-869)) (-4 *2 (-977 *4 *6 (-879 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-373)) (-5 *1 (-556 *3)))) ((*1 *1 *1 *1) (-5 *1 (-565))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-618 *2)) (-4 *2 (-1075)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-618 *2)) (-4 *2 (-1075)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-661 *2)) (-4 *2 (-1082)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-1 *7 *5)) (-5 *1 (-700 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1119)) (-4 *4 (-1075)) (-5 *1 (-701 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-704 *3 *2 *4)) (-4 *3 (-1075)) (-4 *2 (-399 *3)) (-4 *4 (-399 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-704 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *2 (-399 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *1 *1) (-4 *1 (-737))) ((*1 *1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-592)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-258 *1)) (-4 *1 (-947 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-582)) (-5 *1 (-998 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1081 *2)) (-4 *2 (-1082)))) ((*1 *1 *1 *1) (-4 *1 (-1131))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1140 *3 *4 *2 *5)) (-4 *4 (-1075)) (-4 *2 (-252 *3 *4)) (-4 *5 (-252 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1140 *3 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *2 (-252 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-869)) (-5 *1 (-1143 *3 *4 *2)) (-4 *2 (-977 *3 (-558 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-971 (-237))) (-5 *3 (-237)) (-5 *1 (-1222)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-743)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-1278 *3)) (-4 *3 (-1225)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1295 *3 *2)) (-4 *3 (-869)) (-4 *2 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-865))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1187 *7)) (-4 *7 (-977 *6 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-5 *2 (-1187 *6)) (-5 *1 (-340 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-141))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-1285)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-5 *1 (-679 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *9 (-947 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-5 *2 (-141)) (-5 *1 (-679 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *9 (-947 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *4 (-790)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-1285)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *4 (-790)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-1285)) (-5 *1 (-1159 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-1251 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-790)) (-5 *1 (-412 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-23)) (-5 *1 (-662 *4 *2 *5)) (-4 *4 (-1119)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-790)) (-5 *1 (-841 *4)) (-4 *4 (-869))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-944)) (-5 *1 (-1058 *2)) (-4 *2 (-13 (-1119) (-10 -8 (-15 -3300 ($ $ $)))))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-1191))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-176 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-388)) (-14 *5 (-1022 *3 *4))))) 
-(((*1 *1) (-5 *1 (-163)))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-638 *4 *2)) (-4 *2 (-13 (-1211) (-987) (-29 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-179))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-1187 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-433 (-1187 *3))) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *5)) (-4 *5 (-1255 *3)) (-4 *3 (-323)) (-5 *2 (-141)) (-5 *1 (-481 *3 *5))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *6)) (-5 *1 (-356 *3 *4 *5 *6)) (-4 *6 (-362 *3 *4 *5))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-497)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-592)) (-5 *5 (-141)) (-5 *6 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-658 (-658 (-658 *5)))) (-5 *3 (-1 (-141) *5 *5)) (-5 *4 (-658 *5)) (-4 *5 (-869)) (-5 *1 (-1197 *5))))) 
-(((*1 *1 *1 *1) (-4 *1 (-167))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1191))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1163 *3)) (-4 *3 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-414)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) ((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-585 *3)) (-4 *3 (-574))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-725 *3)) (-5 *1 (-849 *2 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *1)) (-5 *4 (-1191)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-980 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-658 (-1191))) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-316))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-141)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *8))) (-5 *1 (-1055 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *8))) (-5 *1 (-1160 *5 *6 *7 *8))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869))) (-5 *2 (-191 *5)) (-5 *1 (-621 *4 *5 *3)) (-4 *5 (-13 (-456 *4) (-1030) (-1211))) (-4 *3 (-13 (-456 (-191 *4)) (-1030) (-1211)))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-141)) (-5 *5 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-132)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-230)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-521)))) ((*1 *1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-323)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) ((*1 *1 *1) (-4 *1 (-1084)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-971 *4)) (-4 *4 (-1075)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944))))) 
-(((*1 *2 *3 *2) (-12 (-5 *1 (-696 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-433 *2)) (-4 *2 (-1255 *5)) (-5 *1 (-829 *5 *2 *3 *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *6 (-670 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-433 *2))) (-4 *2 (-1255 *5)) (-5 *1 (-829 *5 *2 *3 *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *6 (-670 (-433 *2)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-179)))) ((*1 *2 *1) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) ((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *2 *3) (-12 (-5 *1 (-696 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1173)) (-5 *1 (-206)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-592)) (-5 *5 (-191 (-237))) (-5 *6 (-1173)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-444 *3)) (-4 *3 (-582)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 *4) (|:| -4525 (-592))))) (-4 *4 (-1255 (-592))) (-5 *2 (-790)) (-5 *1 (-467 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) ((*1 *1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-310 *2)) (-4 *2 (-743)) (-4 *2 (-1225))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-844)) (-5 *1 (-843))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-3 (-150) (-592))) (-5 *1 (-150))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-658 *3)) (|:| |image| (-658 *3)))) (-5 *1 (-927 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194))))) 
-(((*1 *1 *1) (-5 *1 (-1190))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-516 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-980 *5)) (-5 *1 (-972 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-776))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-667 (-433 *5)))) (-5 *1 (-671 *4 *5)) (-5 *3 (-667 (-433 *5)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *2 (-2 (|:| -3479 *3) (|:| |nconst| *3))) (-5 *1 (-595 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) ((*1 *2 *3) (-12 (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1173)) (-5 *5 (-706 (-237))) (-5 *6 (-706 (-592))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-776))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *2 (-977 *3 *5 (-879 *4))) (-4 *5 (-252 (-1699 *4) (-790))) (-4 *6 (-999 *3)) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-560 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-137)) (-5 *1 (-491 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-264 *4 *3)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-5 *1 (-894 *3 *4 *5)) (-4 *5 (-137)))) ((*1 *2 *2) (-12 (-5 *2 (-264 *4 *3)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-5 *1 (-895 *3 *4 *5)) (-4 *5 (-137))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *3 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-658 *3)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-280 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-1171 *4) (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1303 *4)) (-4 *4 (-1225)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-658 (-1171 *5)) (-658 (-1171 *5)))) (-5 *4 (-592)) (-5 *2 (-658 (-1171 *5))) (-5 *1 (-1303 *5)) (-4 *5 (-1225))))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)) (-4 *5 (-388)) (-5 *2 (-141)) (-5 *1 (-684 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4626)))) (-5 *2 (-141)) (-5 *1 (-685 *5 *6 *4 *3)) (-4 *3 (-704 *5 *6 *4))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-776))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-171)) (-4 *3 (-323)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1187 *9)) (-5 *4 (-658 *7)) (-4 *7 (-869)) (-4 *9 (-977 *8 *6 *7)) (-4 *6 (-815)) (-4 *8 (-323)) (-5 *2 (-658 (-790))) (-5 *1 (-759 *6 *7 *8 *9)) (-5 *5 (-790))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-776))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *1) (-4 *1 (-373)))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *2 (-999 *3)) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-137))))) 
-(((*1 *1) (-5 *1 (-350)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239))))) 
-(((*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-790)) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-507 *3)) (-4 *3 (-13 (-373) (-633 (-592))))))) 
-(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1173)) (-5 *1 (-1281)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1281)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1281)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-1173)) (-5 *1 (-1282)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1282)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-862 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -3191 (-433 *5)) (|:| |coeff| (-433 *5)))) (-5 *1 (-596 *4 *5)) (-5 *3 (-433 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-350))))) 
-(((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *2)) (-5 *4 (-1 (-141) *2 *2)) (-5 *1 (-1232 *2)) (-4 *2 (-1119)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-869)) (-5 *1 (-1232 *2))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-206))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-146 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-146 *2)) (-14 *2 (-592)))) ((*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-892 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-892 *2)) (-14 *2 (-592)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-14 *3 *2) (-5 *1 (-893 *3 *4)) (-4 *4 (-890 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-592)) (-5 *1 (-893 *2 *3)) (-4 *3 (-890 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-1241 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1270 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1241 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-1270 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-118))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-323)) (-5 *2 (-790)) (-5 *1 (-481 *5 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |%expansion| (-329 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1173)) (|:| |prob| (-1173)))))) (-5 *1 (-446 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-14 *6 (-1191)) (-14 *7 *3)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))) (-5 *4 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))) (-5 *4 (-433 (-592))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-433 (-592))) (-5 *2 (-658 (-2 (|:| -1961 *5) (|:| -1954 *5)))) (-5 *1 (-1047 *3)) (-4 *3 (-1255 (-592))) (-5 *4 (-2 (|:| -1961 *5) (|:| -1954 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 (-433 (-592)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 (-433 (-592)))) (-5 *4 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-433 (-592))) (-5 *2 (-658 (-2 (|:| -1961 *4) (|:| -1954 *4)))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-433 (-592))) (-5 *2 (-658 (-2 (|:| -1961 *5) (|:| -1954 *5)))) (-5 *1 (-1048 *3)) (-4 *3 (-1255 *5)) (-5 *4 (-2 (|:| -1961 *5) (|:| -1954 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-1280 *3)) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-497)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1 *1) (-4 *1 (-153)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075)))) ((*1 *2 *3) (-12 (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-194)) (-5 *1 (-705 *2 *4 *5 *3)) (-4 *3 (-704 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-589)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *1) (-5 *1 (-163))) ((*1 *1 *1) (-5 *1 (-168))) ((*1 *1 *1) (-4 *1 (-1158)))) 
-(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-141)) (-5 *1 (-617 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-143)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-143)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-284 *3)) (-4 *3 (-869)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-611 *4)) (-4 *4 (-373))))) 
-(((*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *6 (-908 *5)) (-5 *2 (-907 *5 *6 (-658 *6))) (-5 *1 (-909 *5 *6 *4)) (-5 *3 (-658 *6)) (-4 *4 (-633 (-914 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-658 (-310 *3))) (-5 *1 (-909 *5 *3 *4)) (-4 *3 (-1065 (-1191))) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-658 (-310 (-980 *3)))) (-5 *1 (-909 *5 *3 *4)) (-4 *3 (-1075)) (-3252 (-4 *3 (-1065 (-1191)))) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-911 *5 *3)) (-5 *1 (-909 *5 *3 *4)) (-3252 (-4 *3 (-1065 (-1191)))) (-3252 (-4 *3 (-1075))) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *3)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-658 *7) (-658 *7))) (-5 *2 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-347 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-549 *3 *4)) (-14 *4 (-592))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1255 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-281 *3)) (-4 *3 (-1119)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-281 *3)) (-4 *3 (-1119)))) ((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-561 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-561 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-5 *2 (-141)) (-5 *1 (-562 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-5 *1 (-562 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *10 (-257 *9)) (-4 *11 (-137)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-882 *3)) (-14 *3 (-887)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-884 *3)) (-4 *3 (-373)))) ((*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-877)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-887))))) 
-(((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-5 *1 (-1246 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1 (-237) (-237) (-237) (-237))) (-5 *2 (-1 (-971 (-237)) (-237) (-237))) (-5 *1 (-713))))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-862 *4)) (-5 *3 (-631 *4)) (-5 *5 (-141)) (-4 *4 (-13 (-1211) (-29 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-236 *6 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 (-592))) (-5 *2 (-1280 (-592))) (-5 *1 (-1305 *4))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-5 *1 (-677 *3))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1054 (-862 (-592)))) (-5 *3 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *4)))) (-4 *4 (-1075)) (-5 *1 (-617 *4))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-193))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-592)) (-5 *1 (-1208 *4)) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-405))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-453 *3 *2)) (-4 *3 (-13 (-194) (-43 (-433 (-592))))) (-4 *2 (-13 (-869) (-21)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-1235)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-362 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-3 (-1187 *4) (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137))))))) (-5 *1 (-370 *4)) (-4 *4 (-373))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *2 (-2 (|:| |additions| (-592)) (|:| |multiplications| (-592)) (|:| |exponentiations| (-592)) (|:| |functionCalls| (-592)))) (-5 *1 (-321))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-977 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *1)))) (-4 *1 (-1094 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1235))) ((*1 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-1258 *3 *2)) (-4 *2 (-13 (-1255 *3) (-582) (-10 -8 (-15 -3548 ($ $ $)))))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-1255 *4)) (-5 *1 (-831 *4 *2 *3 *5)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-670 *2)) (-4 *5 (-670 (-433 *2)))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-980 (-592))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) ((*1 *2 *3) (-12 (-5 *3 (-980 (-433 (-592)))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) ((*1 *2 *3) (-12 (-5 *3 (-980 *1)) (-4 *1 (-1040)) (-5 *2 (-658 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 (-592))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 (-433 (-592)))) (-5 *2 (-658 *1)) (-4 *1 (-1040)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-1040)) (-5 *2 (-658 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-658 *1)) (-4 *1 (-1091 *4 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-2 (|:| -1575 (-1171 *4)) (|:| -1581 (-1171 *4)))) (-5 *1 (-1177 *4)) (-5 *3 (-1171 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1137)) (-5 *2 (-1285)) (-5 *1 (-853))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1282)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-944)) (-4 *5 (-869)) (-5 *2 (-658 (-688 *5))) (-5 *1 (-688 *5))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-3 (-141) (-658 *1))) (-4 *1 (-1094 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-141)) (-5 *6 (-237)) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *2 (-855 (-237))) (-5 *1 (-239)) (-5 *4 (-237))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-700 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-141)) (-5 *2 (-1173)) (-5 *1 (-57))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-658 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |k| (-915 *3)) (|:| |c| *4)))) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-688 *3))) (-5 *1 (-915 *3)) (-4 *3 (-869))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-867) (-388))) (-5 *2 (-141)) (-5 *1 (-1085 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *3 (-658 (-592))) (-5 *1 (-905))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-582)) (-4 *2 (-1075)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *1)))) (-4 *1 (-1094 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-75 APROD)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-775))))) 
-(((*1 *2) (-12 (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-790)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-790)) (-5 *4 (-944)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-658 *6)) (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-986 (-237))) (-5 *1 (-135)) (-5 *3 (-237))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1212 *3))) (-5 *1 (-1212 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-1249 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-162 *5 *6 *7)) (-14 *5 (-592)) (-14 *6 (-790)) (-4 *7 (-194)) (-4 *8 (-194)) (-5 *2 (-162 *5 *6 *8)) (-5 *1 (-161 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *9)) (-4 *9 (-1075)) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *8 (-1075)) (-4 *2 (-977 *9 *7 *5)) (-5 *1 (-745 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-815)) (-4 *4 (-977 *8 *6 *5))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *2 (-257 *9)) (-4 *10 (-137))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-625 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1225)) (-5 *2 (-658 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1544 *3) (|:| |coef1| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-658 *4)))) (-5 *2 (-658 (-658 *4))) (-5 *1 (-1197 *4)) (-4 *4 (-869))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) ((*1 *1) (-4 *1 (-1165)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1191)) (|:| |arrayIndex| (-658 (-980 (-592)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1191)) (|:| |rand| (-877)) (|:| |ints2Floats?| (-141)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1190)) (|:| |thenClause| (-350)) (|:| |elseClause| (-350)))) (|:| |returnBranch| (-2 (|:| -2943 (-141)) (|:| -2324 (-2 (|:| |ints2Floats?| (-141)) (|:| -1564 (-877)))))) (|:| |blockBranch| (-658 (-350))) (|:| |commentBranch| (-658 (-1173))) (|:| |callBranch| (-1173)) (|:| |forBranch| (-2 (|:| -2166 (-1111 (-980 (-592)))) (|:| |span| (-980 (-592))) (|:| |body| (-350)))) (|:| |labelBranch| (-1137)) (|:| |loopBranch| (-2 (|:| |switch| (-1190)) (|:| |body| (-350)))) (|:| |commonBranch| (-2 (|:| -4095 (-1191)) (|:| |contents| (-658 (-1191))))) (|:| |printBranch| (-658 (-877))))) (-5 *1 (-350))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-944)) (-4 *5 (-869)) (-5 *2 (-64 (-658 (-688 *5)))) (-5 *1 (-688 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *1 (-139 *4 *5 *2 *6 *3)) (-4 *2 (-346 *4 *6)) (-4 *3 (-137))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 (-706 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-5 *1 (-918 *2 *4)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-658 *4))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-5 *2 (-658 *3)) (-5 *1 (-973 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-658 (-191 *4))) (-5 *1 (-178 *3 *4)) (-4 *3 (-1255 (-191 (-592)))) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4)))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-444 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-1075)) (-5 *2 (-658 *6)) (-5 *1 (-469 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-405))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-405))) (-5 *1 (-497)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-405))) (-5 *1 (-497)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-896)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)) (-4 *2 (-456 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1111 *1)) (-4 *1 (-182)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-182)) (-5 *2 (-1191)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-494 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *1 (-278)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-592)) (-5 *4 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *2 (-1285)) (-5 *1 (-1282)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-237)) (|:| |phi| (-237)) (|:| -4086 (-237)) (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |scaleZ| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)))) (-5 *1 (-1282)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-5 *1 (-481 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-5 *1 (-486 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-790))) (-5 *1 (-568 *3 *2 *4 *5)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-658 *3)) (-5 *5 (-944)) (-4 *3 (-1255 *4)) (-4 *4 (-323)) (-5 *1 (-486 *4 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-658 (-592)))) (-5 *1 (-1000)) (-5 *3 (-658 (-592)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-141)) (-5 *1 (-134)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (|has| *1 (-6 -4616)) (-4 *1 (-430)))) ((*1 *2) (-12 (-4 *1 (-430)) (-5 *2 (-944))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-582)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-1250 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1187 *4))) (-4 *4 (-388)) (-5 *2 (-2 (|:| |zeros| (-658 *4)) (|:| -2378 (-592)))) (-5 *1 (-1071 *4))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-780)))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-664 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-191 (-237)))) (-5 *1 (-166)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-1280 *3))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-658 (-1280 *4))) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-4 *3 (-582)) (-5 *2 (-658 (-1280 *3)))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1173)) (-5 *2 (-793)) (-5 *1 (-143))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1119)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-2 (|:| -3489 (-1187 *4)) (|:| |deg| (-944)))) (-5 *1 (-233 *4 *5)) (-5 *3 (-1187 *4)) (-4 *5 (-13 (-582) (-869))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-254 *5 *6)) (-14 *5 (-790)) (-4 *6 (-1225)) (-4 *2 (-1225)) (-5 *1 (-253 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-194)) (-5 *1 (-306 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1255 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-332 *2)) (-4 *2 (-582)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-4 *1 (-355 *2 *3 *4 *5)) (-4 *2 (-388)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))) (-4 *5 (-362 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-397 *5 *4 *2 *6)) (-4 *4 (-399 *5)) (-4 *6 (-399 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1119)) (-4 *2 (-1119)) (-5 *1 (-449 *5 *4 *2 *6)) (-4 *4 (-451 *5)) (-4 *6 (-451 *2)))) ((*1 *1 *1) (-5 *1 (-528))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-658 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-656 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1075)) (-4 *2 (-1075)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-4 *8 (-399 *2)) (-4 *9 (-399 *2)) (-5 *1 (-702 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-704 *5 *6 *7)) (-4 *10 (-704 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-728 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-729 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-433 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-388)) (-4 *3 (-194)) (-4 *1 (-741 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-194)) (-4 *1 (-741 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-947 *4 *5)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-258 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-986 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-985 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1062 *3 *4 *5 *2 *6)) (-4 *2 (-977 *3 *4 *5)) (-14 *6 (-658 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1075)) (-4 *2 (-1075)) (-14 *5 (-790)) (-14 *6 (-790)) (-4 *8 (-252 *6 *7)) (-4 *9 (-252 *5 *7)) (-4 *10 (-252 *6 *2)) (-4 *11 (-252 *5 *2)) (-5 *1 (-1080 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1078 *5 *6 *7 *8 *9)) (-4 *12 (-1078 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1171 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-1169 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-141) *2 *2)) (-4 *1 (-1219 *5 *6 *7 *2)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *2 (-1089 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1280 *5)) (-4 *5 (-1225)) (-4 *2 (-1225)) (-5 *1 (-1279 *5 *2))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1119)) (-4 *4 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *5)) (-5 *1 (-700 *5 *4 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-928 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-1255 *4)) (-5 *2 (-444 (-1187 *5))) (-5 *1 (-929 *4 *5)) (-5 *3 (-1187 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-323)) (-5 *2 (-141))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-405)))) ((*1 *1 *1 *1) (-4 *1 (-574))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-790))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-631 *6)) (-4 *6 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-1187 (-433 (-1187 *6)))) (-5 *1 (-588 *5 *6 *7)) (-5 *3 (-1187 *6)) (-4 *7 (-1119)))) ((*1 *2 *1) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-729 *3 *2)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-4 *1 (-741 *3 *2)) (-4 *3 (-194)) (-4 *2 (-1255 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1187 *11)) (-5 *6 (-658 *10)) (-5 *7 (-658 (-790))) (-5 *8 (-658 *11)) (-4 *10 (-869)) (-4 *11 (-323)) (-4 *9 (-815)) (-4 *5 (-977 *11 *9 *10)) (-5 *2 (-658 (-1187 *5))) (-5 *1 (-759 *9 *10 *11 *5)) (-5 *3 (-1187 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) ((*1 *2 *1) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) ((*1 *2 *1) (-12 (-4 *2 (-977 *3 *4 *5)) (-5 *1 (-1062 *3 *4 *5 *2 *6)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-14 *6 (-658 *2))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-790)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-971 *5)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-516 *3 *4))) (-14 *3 (-658 (-1191))) (-4 *4 (-477)) (-5 *1 (-646 *3 *4))))) 
-(((*1 *1) (-5 *1 (-168))) ((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-790)) (-4 *1 (-245 *4)) (-4 *4 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-245 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-247)) (-5 *2 (-790)))) ((*1 *1 *1) (-4 *1 (-247))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-284 *3)) (-4 *3 (-869)))) ((*1 *1 *1) (-12 (-4 *1 (-284 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-388) (-171))) (-5 *1 (-425 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-503 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-388)) (-4 *2 (-922 *3)) (-5 *1 (-609 *2)) (-5 *3 (-1191)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-609 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-877)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 (-790))) (-4 *1 (-922 *4)) (-4 *4 (-1119)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-922 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-922 *3)) (-4 *3 (-1119)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-922 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1229)) (-5 *3 (-790)) (-5 *4 (-592)) (-5 *1 (-982)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1181 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1188 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1189 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 (QUOTE |x|))) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1243 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1264 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-1191))) (-5 *2 (-658 (-658 *5))) (-5 *1 (-406 *5)) (-4 *5 (-13 (-867) (-388))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-592)))) (-5 *2 (-658 *4)) (-5 *1 (-406 *4)) (-4 *4 (-13 (-867) (-388)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-171))) (-5 *2 (-658 *3)) (-5 *1 (-1249 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1128 *5 *6 *7 *8)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-614 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-5 *2 (-497)) (-5 *1 (-1281))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *2 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))) (-5 *1 (-1097 *3 *4 *2)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-1180 *2 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-237))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *7)) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-5 *2 (-658 (-1280 *5))) (-5 *1 (-586 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-999 *5)) (-4 *3 (-257 *11))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-164 *4 *5 *3)) (-4 *3 (-399 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-536 *4 *5 *6 *3)) (-4 *6 (-399 *4)) (-4 *3 (-399 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-706 *5)) (-4 *5 (-1021 *4)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |num| (-706 *4)) (|:| |den| *4))) (-5 *1 (-709 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-2 (|:| -2042 *7) (|:| |rh| (-658 (-433 *6))))) (-5 *1 (-829 *5 *6 *7 *3)) (-5 *4 (-658 (-433 *6))) (-4 *7 (-670 *6)) (-4 *3 (-670 (-433 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1248 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-1129))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-405))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 G)))) (-5 *2 (-1063)) (-5 *1 (-767))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4509 *1) (|:| -4612 *1) (|:| |associate| *1))) (-4 *1 (-582))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-261 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-867)) (-4 *4 (-388)) (-5 *2 (-790)) (-5 *1 (-973 *4 *5)) (-4 *5 (-1255 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 (-706 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-188 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-346 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *2 (-582)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-582))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-582)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-790))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-582)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-582)) (-5 *1 (-998 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1078 *3 *4 *2 *5 *6)) (-4 *2 (-1075)) (-4 *5 (-252 *4 *2)) (-4 *6 (-252 *3 *2)) (-4 *2 (-582)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1158)) (-5 *3 (-168)) (-5 *2 (-141))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-885)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-885)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1187 (-887))) (-5 *3 (-944)) (-5 *4 (-1191)) (-5 *1 (-887))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-700 *4 *5 *6)) (-4 *5 (-1119))))) 
-(((*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1095 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1127 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1191)) (-5 *6 (-141)) (-4 *7 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-4 *3 (-13 (-1211) (-987) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-862 *3)) (|:| |f2| (-658 (-862 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-231 *7 *3)) (-5 *5 (-862 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-706 (-237))) (-5 *6 (-706 (-592))) (-5 *3 (-592)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-658 *8))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-1113 (-237))) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3548 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-658 (-433 *7))) (-4 *7 (-1255 *6)) (-5 *3 (-433 *7)) (-4 *6 (-388)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-602 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-1187 (-1187 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-790)) (-5 *1 (-613))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-278))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-5 *2 (-2 (|:| A (-706 *5)) (|:| |eqs| (-658 (-2 (|:| C (-706 *5)) (|:| |g| (-1280 *5)) (|:| -2042 *6) (|:| |rh| *5)))))) (-5 *1 (-835 *5 *6)) (-5 *3 (-706 *5)) (-5 *4 (-1280 *5)) (-4 *6 (-670 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-670 *5)) (-5 *2 (-2 (|:| -3253 (-706 *6)) (|:| |vec| (-1280 *5)))) (-5 *1 (-835 *5 *6)) (-5 *3 (-706 *6)) (-5 *4 (-1280 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-881)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-337 *4)) (-5 *3 (-1187 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-886)) (-5 *2 (-444 (-1187 *4))) (-5 *1 (-339 *4)) (-5 *3 (-1187 *4))))) 
-(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-67 *3)) (-14 *3 (-1191)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-74 *3)) (-14 *3 (-1191)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-77 *3)) (-14 *3 (-1191)))) ((*1 *2 *1) (-12 (-4 *1 (-421)) (-5 *2 (-1285)))) ((*1 *2 *3) (-12 (-5 *3 (-414)) (-5 *2 (-1285)) (-5 *1 (-423)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-877))) (-5 *2 (-1285)) (-5 *1 (-1152))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *6 (-658 (-278))) (-5 *2 (-1285)) (-5 *1 (-480)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *2 (-1285)) (-5 *1 (-480)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *6 (-658 (-278))) (-5 *2 (-1285)) (-5 *1 (-480)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-405))) (-5 *5 (-1173)) (-5 *2 (-1285)) (-5 *1 (-480))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-808))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-373)) (-5 *2 (-2 (|:| |cont| *5) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-229 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-452 *4 *2)) (-4 *2 (-13 (-1211) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-171)) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-332 *5)) (-5 *1 (-612 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-417))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-880 *4 *5 *6 *7)) (-4 *4 (-1075)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-4 *5 (-869)) (-4 *6 (-815)) (-14 *8 (-658 *5)) (-5 *2 (-1285)) (-5 *1 (-1290 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-977 *4 *6 *5)) (-14 *9 (-658 *3)) (-14 *10 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-658 *2))) (-4 *4 (-388)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))) (-5 *2 (-1063)) (-5 *1 (-321))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-472 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-323)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-472 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-1173)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-323)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-472 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-415))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-790)) (-5 *1 (-474 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-1280 (-658 (-2 (|:| -2324 (-932 *3)) (|:| -1825 (-1137)))))) (-5 *1 (-375 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) ((*1 *2) (-12 (-5 *2 (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137)))))) (-5 *1 (-376 *3 *4)) (-4 *3 (-373)) (-14 *4 (-3 (-1187 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137)))))) (-5 *1 (-377 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-877))) (-5 *2 (-1285)) (-5 *1 (-1152))))) 
-(((*1 *1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1 *1) (-4 *1 (-153))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-414)) (-5 *2 (-1285)) (-5 *1 (-417)))) ((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-417))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1113 (-862 (-237)))) (-5 *1 (-321))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-191 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1225)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-592)) (-5 *1 (-282 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-141)) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-1191)) (|:| -3552 (-463))))) (-5 *1 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1198 (-658 *4))) (-4 *4 (-869)) (-5 *2 (-658 (-658 *4))) (-5 *1 (-1197 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-160)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-855 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-862 *3)) (-4 *3 (-1119))))) 
-(((*1 *2) (|partial| -12 (-4 *4 (-1235)) (-4 *5 (-1255 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-361 *3 *4 *2 *5)) (-4 *3 (-362 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-362 *3 *2 *4)) (-4 *3 (-1235)) (-4 *4 (-1255 (-433 *2))) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-237)) (-5 *1 (-1283)))) ((*1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-1283))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-739)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-743)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3) (-12 (|has| *6 (-6 -4626)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-658 *6)) (-5 *1 (-553 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4626)) (-4 *4 (-582)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-4 *7 (-1021 *4)) (-4 *8 (-399 *7)) (-4 *9 (-399 *7)) (-5 *2 (-658 *6)) (-5 *1 (-554 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-704 *4 *5 *6)) (-4 *10 (-704 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-582)) (-5 *2 (-658 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-658 *6)) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-4 *5 (-582)) (-5 *2 (-658 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1065 (-592))) (-4 *1 (-318)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-927 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-587))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1) (-12 (-4 *3 (-1119)) (-5 *1 (-907 *2 *3 *4)) (-4 *2 (-1119)) (-4 *4 (-683 *3)))) ((*1 *1) (-12 (-5 *1 (-911 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-814)) (-5 *2 (-141)) (-5 *1 (-864 *4 *5)) (-14 *4 (-790))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-477)))) ((*1 *1 *1 *1) (-4 *1 (-477))) ((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-520 *2)) (-4 *2 (-1255 (-592))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-712 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *1 *1) (-5 *1 (-790))) ((*1 *2 *2 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *2)) (-4 *2 (-977 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *6 *4 *5)) (-5 *1 (-939 *4 *5 *6 *2)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1187 *6)) (-4 *6 (-977 *5 *3 *4)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-1187 *7))) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-1187 *7)) (-5 *1 (-939 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-944))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-986 (-1229))) (-5 *4 (-592)) (-5 *2 (-1229)) (-5 *1 (-982)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-841 *3)) (-4 *3 (-869))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-944)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-944)) (-5 *1 (-556 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2)))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-191 (-237)) (-191 (-237)))) (-5 *4 (-1113 (-237))) (-5 *5 (-141)) (-5 *2 (-1282)) (-5 *1 (-272))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-814)) (-5 *2 (-141)) (-5 *1 (-864 *4 *5)) (-14 *4 (-790))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-1179 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-1282)))) ((*1 *2 *1) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2 *2 *3) (-12 (-4 *1 (-692 *2 *3)) (-4 *2 (-1225)) (-4 *3 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-862 (-237)))) (-5 *4 (-237)) (-5 *2 (-658 *4)) (-5 *1 (-285))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-877) (-877))) (-5 *1 (-143)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-877) (-658 (-877)))) (-5 *1 (-143)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-877) (-658 (-877)))) (-5 *1 (-143)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-227 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 (*2 $)) (-15 -3948 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-420)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-420)))) ((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-524)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-535)))) ((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-727)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1206)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1206))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3548 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-405)) (-5 *1 (-1067))))) 
-(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-631 *3)) (-5 *5 (-1187 *3)) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-631 *3)) (-5 *5 (-433 (-1187 *3))) (-4 *3 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-588 *6 *3 *7)) (-4 *7 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-5 *4 (-592)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-141)) (-5 *1 (-1057 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-706 *4))) (-4 *4 (-388)) (-4 *4 (-1075)) (-5 *2 (-141)) (-5 *1 (-1057 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *5))) (-5 *3 (-1187 *5)) (-4 *5 (-188 *4)) (-4 *4 (-574)) (-5 *1 (-173 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-373)) (-5 *1 (-382 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 (-592)))) (-5 *3 (-1187 (-592))) (-5 *1 (-600)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *1))) (-5 *3 (-1187 *1)) (-4 *1 (-931))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *6 (-1255 *5)) (-5 *2 (-1187 (-1187 *7))) (-5 *1 (-534 *5 *6 *4 *7)) (-4 *4 (-1255 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *6))) (-5 *4 (-658 (-1191))) (-4 *6 (-13 (-582) (-1065 *5))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *6)))))) (-5 *1 (-1066 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1063))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) ((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-565))) ((*1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-141)) (-5 *1 (-851))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-860)) (-5 *4 (-1087)) (-5 *2 (-1063)) (-5 *1 (-859)))) ((*1 *2 *3) (-12 (-5 *3 (-860)) (-5 *2 (-1063)) (-5 *1 (-859)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-658 (-405))) (-5 *5 (-658 (-862 (-405)))) (-5 *6 (-658 (-332 (-405)))) (-5 *3 (-332 (-405))) (-5 *2 (-1063)) (-5 *1 (-859)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-405))) (-5 *5 (-658 (-862 (-405)))) (-5 *2 (-1063)) (-5 *1 (-859)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-405))) (-5 *2 (-1063)) (-5 *1 (-859)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-332 (-405)))) (-5 *4 (-658 (-405))) (-5 *2 (-1063)) (-5 *1 (-859))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-193)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-815)) (-4 *2 (-977 *4 *5 *6)) (-5 *1 (-474 *4 *5 *6 *2)) (-4 *4 (-477)) (-4 *6 (-869))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 (-237) (-237))) (-5 *1 (-720 *3)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1191)) (-5 *2 (-1 (-237) (-237) (-237))) (-5 *1 (-720 *3)) (-4 *3 (-633 (-565)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-790)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-332 (-237))) (-5 *1 (-285))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-5 *2 (-1187 *1)) (-4 *1 (-349 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-1187 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-396 *3 *2)) (-4 *3 (-194)) (-4 *3 (-388)) (-4 *2 (-1255 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-1187 *4)) (-5 *1 (-556 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-151 *3))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-5 *2 (-1 (-141) *5)) (-5 *1 (-912 *4 *5)) (-4 *5 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-658 *11)) (-5 *5 (-658 (-1187 *9))) (-5 *6 (-658 *9)) (-5 *7 (-658 *12)) (-5 *8 (-658 (-790))) (-4 *11 (-869)) (-4 *9 (-323)) (-4 *12 (-977 *9 *10 *11)) (-4 *10 (-815)) (-5 *2 (-658 (-1187 *12))) (-5 *1 (-724 *10 *11 *9 *12)) (-5 *3 (-1187 *12))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-143))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1299 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-841 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-865)) (-5 *1 (-1301 *3 *2)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-126 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-1187 *4)) (-5 *1 (-556 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-118))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-1075)) (-4 *6 (-252 *7 *3)) (-14 *7 *3) (-5 *2 (-658 *5)) (-5 *1 (-935 *4 *5 *6 *7)) (-4 *5 (-346 *4 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-980 *5)))) (-5 *1 (-1196 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-383 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-462))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1005 *4 *5 *6 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-699 *4 *3)) (-4 *4 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -2033 (-658 (-2 (|:| |irr| *10) (|:| -1777 (-592))))))) (-5 *6 (-658 *3)) (-5 *7 (-658 *8)) (-4 *8 (-869)) (-4 *3 (-323)) (-4 *10 (-977 *3 *9 *8)) (-4 *9 (-815)) (-5 *2 (-2 (|:| |polfac| (-658 *10)) (|:| |correct| *3) (|:| |corrfact| (-658 (-1187 *3))))) (-5 *1 (-641 *8 *9 *3 *10)) (-5 *4 (-658 (-1187 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-1129))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1280 (-1191))) (-5 *3 (-1280 (-478 *4 *5 *6 *7))) (-5 *1 (-478 *4 *5 *6 *7)) (-4 *4 (-194)) (-14 *5 (-944)) (-14 *6 (-658 (-1191))) (-14 *7 (-1280 (-706 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-478 *4 *5 *6 *7))) (-5 *1 (-478 *4 *5 *6 *7)) (-4 *4 (-194)) (-14 *5 (-944)) (-14 *6 (-658 *2)) (-14 *7 (-1280 (-706 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-478 *3 *4 *5 *6))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-1191))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 *2)) (-14 *6 (-1280 (-706 *3))))) ((*1 *1) (-12 (-5 *1 (-478 *2 *3 *4 *5)) (-4 *2 (-194)) (-14 *3 (-944)) (-14 *4 (-658 (-1191))) (-14 *5 (-1280 (-706 *2)))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-229 *4 *2)) (-4 *2 (-1255 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-712 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-388)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-944)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) ((*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-855 (-944))) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) ((*1 *2) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-944)))) ((*1 *2) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-855 (-944)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-718 *4 *5 *6 *7)) (-4 *4 (-633 (-565))) (-4 *5 (-1225)) (-4 *6 (-1225)) (-4 *7 (-1225))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *3 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *9)) (-5 *1 (-491 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-995 *4)) (-4 *4 (-373)) (-5 *2 (-658 (-949 *4))) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-994 *4)) (-4 *4 (-388)) (-5 *2 (-658 (-948 *4))) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-191 (-237))) (-5 *5 (-592)) (-5 *6 (-1173)) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-777))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-126 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-126 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1137)) (-5 *1 (-133)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-390 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1173)) (-5 *1 (-1207))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592))))) (-4 *4 (-1255 (-433 *2))) (-5 *2 (-592)) (-5 *1 (-936 *4 *5)) (-4 *5 (-1255 (-433 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-141)) (-5 *1 (-56 *4)) (-4 *4 (-1225)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-915 *3)) (-4 *3 (-869))))) 
-(((*1 *2) (-12 (-4 *3 (-1075)) (-5 *2 (-986 (-729 *3 *4))) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-869)) (-5 *1 (-1197 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-521))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *7))) (-5 *3 (-1187 *7)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-931)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-928 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *5))) (-5 *3 (-1187 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-931)) (-5 *1 (-929 *4 *5))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-234 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-869)) (-5 *2 (-790)) (-5 *1 (-518 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-790)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| *1 (-6 -4625)) (-4 *1 (-523 *4)) (-4 *4 (-1225)) (-5 *2 (-790)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-1028 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-1161 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1156 *3 *4)) (-14 *3 (-944)) (-4 *4 (-388)) (-5 *1 (-1022 *3 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-592)) (-5 *1 (-256))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-2 (|:| |zeros| (-1171 (-237))) (|:| |ones| (-1171 (-237))) (|:| |singularities| (-1171 (-237))))) (-5 *1 (-129))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-57))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-971 *4)) (-4 *1 (-1151 *4)) (-4 *4 (-1075)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-971 (-237))) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-592)) (-5 *3 (-141)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-137))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1138 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1161 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 *3)) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-1280 *6)) (-5 *1 (-356 *3 *4 *5 *6)) (-4 *6 (-362 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-14 *6 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *2)) (-2 (|:| -1825 *5) (|:| -3215 *2)))) (-4 *2 (-252 (-1699 *3) (-790))) (-5 *1 (-487 *3 *4 *5 *2 *6 *7)) (-4 *5 (-869)) (-4 *7 (-977 *4 *2 (-879 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-332 *3)) (-4 *3 (-13 (-1075) (-869))) (-5 *1 (-235 *3 *4)) (-14 *4 (-658 (-1191)))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1203 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-927 *3))) (-4 *3 (-1119)) (-5 *1 (-926 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-658 *6) "failed") (-592) *6 *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-2 (|:| |answer| (-609 (-433 *7))) (|:| |a0| *6))) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-323)) (-5 *2 (-658 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-151 *2)) (-4 *2 (-869))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-252 (-1699 *4) (-790))) (-4 *6 (-999 *3)) (-4 *7 (-665 *3)) (-4 *8 (-947 *3 *7)) (-4 *9 (-257 *8)) (-4 *10 (-560 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-137)) (-4 *2 (-977 *3 *5 (-879 *4))) (-5 *1 (-491 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2) (-12 (-5 *2 (-264 *4 *3)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-264 *4 *3)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-631 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2))))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-658 (-1187 *13))) (-5 *3 (-1187 *13)) (-5 *4 (-658 *12)) (-5 *5 (-658 *10)) (-5 *6 (-658 *13)) (-5 *7 (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| *13))))) (-5 *8 (-658 (-790))) (-5 *9 (-1280 (-658 (-1187 *10)))) (-4 *12 (-869)) (-4 *10 (-323)) (-4 *13 (-977 *10 *11 *12)) (-4 *11 (-815)) (-5 *1 (-724 *11 *12 *10 *13))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1280 *5)) (-4 *5 (-654 *4)) (-4 *4 (-582)) (-5 *2 (-1280 *4)) (-5 *1 (-653 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-5 *1 (-1071 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-790)) (-5 *5 (-658 *3)) (-4 *3 (-323)) (-4 *6 (-869)) (-4 *7 (-815)) (-5 *2 (-141)) (-5 *1 (-641 *6 *7 *3 *8)) (-4 *8 (-977 *3 *7 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-373)) (-4 *4 (-349 *3)) (-4 *5 (-1255 *4)) (-5 *1 (-796 *3 *4 *5 *2 *6)) (-4 *2 (-1255 *5)) (-14 *6 (-944)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-4 *3 (-394)))) ((*1 *1 *1) (-12 (-4 *1 (-1297 *2)) (-4 *2 (-388)) (-4 *2 (-394))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1255 (-433 *3))) (-5 *2 (-944)) (-5 *1 (-936 *4 *5)) (-4 *5 (-1255 (-433 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *2 (-658 (-237))) (-5 *1 (-321))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *3 (-188 *6)) (-4 (-980 *6) (-908 *5)) (-4 *6 (-13 (-908 *5) (-194))) (-5 *1 (-198 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-911 *4 *1)) (-5 *3 (-914 *4)) (-4 *1 (-908 *4)) (-4 *4 (-1119)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *6)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-13 (-1119) (-1065 *3))) (-4 *3 (-908 *5)) (-5 *1 (-959 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-4 *5 (-1119)) (-4 *3 (-13 (-456 *6) (-633 *4) (-908 *5) (-1065 (-631 $)))) (-5 *4 (-914 *5)) (-4 *6 (-13 (-582) (-869) (-908 *5))) (-5 *1 (-960 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 (-592) *3)) (-5 *4 (-914 (-592))) (-4 *3 (-574)) (-5 *1 (-961 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *6)) (-5 *3 (-631 *6)) (-4 *5 (-1119)) (-4 *6 (-13 (-869) (-1065 (-631 $)) (-633 *4) (-908 *5))) (-5 *4 (-914 *5)) (-5 *1 (-962 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-907 *5 *6 *3)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-908 *5)) (-4 *3 (-683 *6)) (-5 *1 (-963 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-911 *6 *3) *8 (-914 *6) (-911 *6 *3))) (-4 *8 (-869)) (-5 *2 (-911 *6 *3)) (-5 *4 (-914 *6)) (-4 *6 (-1119)) (-4 *3 (-13 (-977 *9 *7 *8) (-633 *4))) (-4 *7 (-815)) (-4 *9 (-13 (-1075) (-869) (-908 *6))) (-5 *1 (-964 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-4 *5 (-1119)) (-4 *3 (-13 (-977 *8 *6 *7) (-633 *4))) (-5 *4 (-914 *5)) (-4 *7 (-908 *5)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-13 (-1075) (-869) (-908 *5))) (-5 *1 (-964 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 *3)) (-4 *5 (-1119)) (-4 *3 (-1021 *6)) (-4 *6 (-13 (-582) (-908 *5) (-633 *4))) (-5 *4 (-914 *5)) (-5 *1 (-967 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-911 *5 (-1191))) (-5 *3 (-1191)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-5 *1 (-968 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-658 (-914 *7))) (-5 *5 (-1 *9 (-658 *9))) (-5 *6 (-1 (-911 *7 *9) *9 (-914 *7) (-911 *7 *9))) (-4 *7 (-1119)) (-4 *9 (-13 (-1075) (-633 (-914 *7)) (-1065 *8))) (-5 *2 (-911 *7 *9)) (-5 *3 (-658 *9)) (-4 *8 (-13 (-1075) (-869))) (-5 *1 (-969 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-194))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-388)) (-4 *2 (-867)) (-5 *1 (-973 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-658 (-1191))) (-4 *5 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *5)))))) (-5 *1 (-789 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-658 (-658 (-310 (-433 (-980 *4)))))) (-5 *1 (-789 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -2195 (-658 *6))) *7 *6)) (-4 *6 (-388)) (-4 *7 (-670 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 *6) "failed")) (|:| -2195 (-658 (-1280 *6))))) (-5 *1 (-835 *6 *7)) (-5 *4 (-1280 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-362 *4 *5 *6)) (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-2 (|:| |num| (-706 *5)) (|:| |den| *5)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-665 *4)) (-4 *3 (-947 *4 *8)) (-4 *9 (-257 *3)) (-4 *10 (-560 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-137)) (-4 *2 (-999 *4)) (-5 *1 (-491 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-665 *4)) (-4 *2 (-999 *4)) (-5 *1 (-679 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *3 (-947 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-949 *4)) (-4 *4 (-373)) (-5 *2 (-995 *4)) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-948 *4)) (-4 *4 (-388)) (-5 *2 (-994 *4)) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1171 (-592))) (-5 *1 (-1175 *4)) (-4 *4 (-1075)) (-5 *3 (-592))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-386 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-412 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-662 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 (-706 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-592)) (-4 *5 (-1075)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *1 (-935 *5 *2 *6 *7)) (-4 *2 (-346 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-944)) (-5 *4 (-405)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *2 *1) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-237))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 *5 *4)) (-5 *1 (-1189 *4 *5 *6)) (-4 *4 (-1075)) (-14 *5 (-1191)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 (QUOTE |x|) *4)) (-5 *1 (-1237 *4)) (-4 *4 (-1075)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 *5 *4)) (-5 *1 (-1271 *4 *5 *6)) (-4 *4 (-1075)) (-14 *5 (-1191)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1252 *5 *4)) (-5 *1 (-1275 *4 *5)) (-4 *4 (-1075)) (-14 *5 (-1191))))) 
-(((*1 *2) (-12 (-5 *2 (-1199 (-1106 *3) (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-766))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1280 (-2 (|:| |scaleX| (-237)) (|:| |scaleY| (-237)) (|:| |deltaX| (-237)) (|:| |deltaY| (-237)) (|:| -2190 (-592)) (|:| -2180 (-592)) (|:| |spline| (-592)) (|:| -1436 (-592)) (|:| |axesColor| (-896)) (|:| -3682 (-592)) (|:| |unitsColor| (-896)) (|:| |showing| (-592))))) (-5 *1 (-1281))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1065 (-592))) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-36 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1187 *4)) (-5 *1 (-187 *3 *4)) (-4 *3 (-188 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1075)) (-4 *1 (-318)))) ((*1 *2) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-1187 *3)))) ((*1 *2) (-12 (-4 *1 (-741 *3 *2)) (-4 *3 (-194)) (-4 *2 (-1255 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) ((*1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-885)))) ((*1 *2 *1) (-12 (-4 *1 (-1091 *3 *2)) (-4 *3 (-13 (-867) (-388))) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-388)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-475 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-388)) (-5 *2 (-2 (|:| R (-706 *6)) (|:| A (-706 *6)) (|:| |Ainv| (-706 *6)))) (-5 *1 (-1007 *6)) (-5 *3 (-706 *6))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-389 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *4 *3 *5)) (-4 *3 (-1255 *4)) (-4 *5 (-13 (-430) (-1065 *4) (-388) (-1211) (-301)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-69 -3958)))) (-5 *2 (-1063)) (-5 *1 (-765))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-658 (-658 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-658 (-3 (|:| |array| (-658 *3)) (|:| |scalar| (-1191))))) (-5 *6 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1123)) (-5 *1 (-423)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-658 (-658 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-658 (-3 (|:| |array| (-658 *3)) (|:| |scalar| (-1191))))) (-5 *6 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1123)) (-5 *1 (-423)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-658 (-1191))) (-5 *5 (-1194)) (-5 *3 (-1191)) (-5 *2 (-1123)) (-5 *1 (-423))))) 
-(((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1067))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-592))))) (-5 *1 (-444 *3)) (-4 *3 (-582)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-790)) (-4 *3 (-373)) (-4 *5 (-1255 *3)) (-5 *2 (-658 (-1187 *3))) (-5 *1 (-531 *3 *5 *6)) (-4 *6 (-1255 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1063)) (-5 *1 (-765))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1158)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1801 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-141) "failed")) (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4))))) 
-(((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *3 (-1229)) (-5 *1 (-982))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 *7)) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *12 (-257 *11)) (-4 *13 (-560 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-280 *13))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-977 *4 *6 *5)) (-4 *4 (-477)) (-4 *5 (-869)) (-4 *6 (-815)) (-5 *1 (-1016 *4 *5 *6 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1065 (-592))) (-4 *1 (-318)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-927 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-176 *2 *3 *4)) (-14 *2 (-944)) (-4 *3 (-388)) (-14 *4 (-1022 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-194)) (-5 *1 (-306 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *1) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *1 *1) (|partial| -4 *1 (-739))) ((*1 *1 *1) (|partial| -4 *1 (-743))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-795 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1091 *3 *2)) (-4 *3 (-13 (-867) (-388))) (-4 *2 (-1255 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-234 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-869)) (-5 *2 (-141)) (-5 *1 (-518 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| *1 (-6 -4625)) (-4 *1 (-523 *4)) (-4 *4 (-1225)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1028 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1161 *4))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-1191))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *2 (-1119)) (-5 *1 (-1203 *3 *2)) (-4 *3 (-1119))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-143)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-869)) (-5 *1 (-957 *4 *2)) (-4 *2 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-1173)) (-5 *2 (-332 (-592))) (-5 *1 (-958))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1270 *4)) (-5 *1 (-1272 *4 *2)) (-4 *4 (-43 (-433 (-592))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 *4) (|:| -4525 (-592))))) (-4 *4 (-1255 (-592))) (-5 *2 (-754 (-790))) (-5 *1 (-467 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-444 *5)) (-4 *5 (-1255 *4)) (-4 *4 (-1075)) (-5 *2 (-754 (-790))) (-5 *1 (-469 *4 *5))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-592)) (-4 *1 (-692 *5 *4)) (-4 *5 (-1225)) (-4 *4 (-1225)) (-5 *2 |SortedExponentVector|)))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *2) (-12 (-4 *3 (-194)) (-5 *2 (-1280 *1)) (-4 *1 (-392 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-582)) (-4 *7 (-977 *3 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *8) (|:| |radicand| *8))) (-5 *1 (-981 *5 *6 *3 *7 *8)) (-5 *4 (-790)) (-4 *8 (-13 (-388) (-10 -8 (-15 -1448 (*7 $)) (-15 -1456 (*7 $)) (-15 -1683 ($ *7)))))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-247)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-1 *1 (-790))) (-4 *1 (-268 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-1 *1 (-790))) (-4 *1 (-268 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-284 *2)) (-4 *2 (-869))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-583 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-822)) (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-1063))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-658 (-1252 *5 *4))) (-5 *1 (-1133 *4 *5)) (-5 *3 (-1252 *5 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-844)) (-5 *1 (-843))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1027 *3)) (-4 *3 (-194)) (-5 *1 (-821 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *6) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 *6)) (-4 *6 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *7) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 *7)) (-4 *7 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 *8) (|:| -4346 (-790)))) (-658 *6) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 *6)) (-4 *6 (-388)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-869) (-582))) (-14 *10 (-1 *6 *9)) (-5 *2 (-658 (-2 (|:| -1325 *8) (|:| -4346 (-790))))) (-5 *1 (-510 *6 *7 *8 *9 *10 *11)) (-4 *7 (-477)) (-4 *8 (-13 (-456 (-592)) (-582) (-1065 *9) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 *9) (|:| -4346 (-790)))) (-658 *7) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 *7)) (-4 *7 (-388)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-869) (-582))) (-14 *11 (-1 *7 *10)) (-5 *2 (-658 (-2 (|:| -1325 *9) (|:| -4346 (-790))))) (-5 *1 (-510 *7 *8 *9 *10 *11 *12)) (-4 *8 (-477)) (-4 *9 (-13 (-456 (-592)) (-582) (-1065 *10) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-760 *6 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *6 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *3 (-658 (-433 (-761 *6 (-592))))) (-14 *6 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *6 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-658 (-1 (-658 (-2 (|:| -1325 (-760 *7 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *7 (-592)))) (-658 (-489))))) (-5 *5 (-658 (-1191))) (-5 *6 (-658 (-489))) (-5 *3 (-658 (-433 (-761 *7 (-592))))) (-14 *7 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *7 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *7))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-790)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-658 (-1252 *5 *4))) (-5 *1 (-1133 *4 *5)) (-5 *3 (-1252 *5 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-790)) (-4 *5 (-373)) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -2195 (-706 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-706 *6))))) (-5 *1 (-531 *5 *6 *7)) (-5 *3 (-2 (|:| -2195 (-706 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-706 *6)))) (-4 *7 (-1255 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *3 *2)) (-4 *2 (-13 (-456 *3) (-23) (-1065 (-592)) (-1065 (-1191)) (-922 (-1191)) (-182)))))) 
-(((*1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-394)) (-4 *2 (-388))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-237))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-444 (-1187 *1))) (-5 *1 (-332 *4)) (-5 *3 (-1187 *1)) (-4 *4 (-477)) (-4 *4 (-582)) (-4 *4 (-869)))) ((*1 *2 *3) (-12 (-4 *1 (-931)) (-5 *2 (-444 (-1187 *1))) (-5 *3 (-1187 *1))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-640 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *2 (-1128 *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-944)) (-5 *1 (-1060 *2)) (-4 *2 (-13 (-1119) (-10 -8 (-15 * ($ $ $)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-96 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-592))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1954 *7) (|:| |sol?| (-141))) (-592) *7)) (-5 *6 (-658 (-433 *8))) (-4 *7 (-388)) (-4 *8 (-1255 *7)) (-5 *3 (-433 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-602 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-1113 (-237)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-444 *2)) (-4 *2 (-323)) (-5 *1 (-937 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-171))) (-5 *2 (-57)) (-5 *1 (-938 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-444 (-980 *6))) (-5 *5 (-1191)) (-5 *3 (-980 *6)) (-4 *6 (-13 (-323) (-171))) (-5 *2 (-57)) (-5 *1 (-938 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1075)) (-5 *2 (-1280 *4)) (-5 *1 (-1192 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-1280 *3)) (-5 *1 (-1192 *3)) (-4 *3 (-1075))))) 
-(((*1 *1) (-5 *1 (-141)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1158)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1154 *4 *5))) (-5 *3 (-1 (-141) *5 *5)) (-4 *4 (-13 (-1119) (-39))) (-4 *5 (-13 (-1119) (-39))) (-5 *1 (-1155 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-658 (-1154 *3 *4))) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))) (-5 *1 (-1155 *3 *4))))) 
-(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *3 (-658 (-896))) (-5 *4 (-658 (-944))) (-5 *5 (-658 (-278))) (-5 *1 (-497)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *3 (-658 (-896))) (-5 *4 (-658 (-944))) (-5 *1 (-497)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-497)))) ((*1 *1 *1) (-5 *1 (-497)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1194)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1194)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-463)) (-5 *3 (-658 (-1191))) (-5 *4 (-1191)) (-5 *1 (-1194)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1194)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-463)) (-5 *3 (-1191)) (-5 *1 (-1195)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-463)) (-5 *3 (-658 (-1191))) (-5 *1 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-658 *8))) (-5 *3 (-658 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *5 *6 *7 *8))))) 
-(((*1 *1) (-12 (-4 *1 (-430)) (-3252 (|has| *1 (-6 -4616))) (-3252 (|has| *1 (-6 -4608))))) ((*1 *2 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-1119)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-4 *1 (-869))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-869)))) ((*1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1267 *3)) (-4 *3 (-1225)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-1 (-658 *4) *4)) (-5 *1 (-127 *4)) (-5 *3 (-658 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-769))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *2 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *1 (-491 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-264 *5 *4)) (-5 *3 (-592)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-5 *1 (-894 *4 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-264 *5 *4)) (-5 *3 (-592)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *1 (-895 *4 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-999 *3)) (-4 *3 (-388))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-237)))) ((*1 *1 *1 *1) (-3836 (-12 (-5 *1 (-310 *2)) (-4 *2 (-388)) (-4 *2 (-1225))) (-12 (-5 *1 (-310 *2)) (-4 *2 (-502)) (-4 *2 (-1225))))) ((*1 *1 *1 *1) (-4 *1 (-388))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-405)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1142 *3 (-631 *1))) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) ((*1 *1 *1 *1) (-4 *1 (-502))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-373)) (-5 *1 (-556 *3)))) ((*1 *1 *1 *1) (-5 *1 (-565))) ((*1 *1 *2 *3) (-12 (-4 *4 (-194)) (-5 *1 (-637 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-743) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-194)) (-5 *1 (-637 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-743) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-649 *2)) (-4 *2 (-194)) (-4 *2 (-388)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-194)) (-5 *1 (-676 *2 *4 *3)) (-4 *2 (-734 *4)) (-4 *3 (|SubsetCategory| (-743) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-194)) (-5 *1 (-676 *3 *4 *2)) (-4 *3 (-734 *4)) (-4 *2 (|SubsetCategory| (-743) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-332 (-592)) *3)) (-4 *3 (-1119)) (-5 *1 (-701 *3 *4)) (-4 *4 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-880 *2 *3 *4 *5)) (-4 *2 (-388)) (-4 *2 (-1075)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-790))) (-14 *5 (-790)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1078 *3 *4 *2 *5 *6)) (-4 *2 (-1075)) (-4 *5 (-252 *4 *2)) (-4 *6 (-252 *3 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-332 *3)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-1106 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1287 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-388)) (-4 *2 (-1075)) (-4 *3 (-869)) (-4 *4 (-815)) (-14 *6 (-658 *3)) (-5 *1 (-1290 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-977 *2 *4 *3)) (-14 *7 (-658 (-790))) (-14 *8 (-790)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-388)) (-4 *2 (-1075)) (-4 *3 (-865))))) 
-(((*1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1194))))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-235 *2 *3)) (-4 *2 (-13 (-1075) (-869))) (-14 *3 (-658 (-1191)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-237)) (-5 *4 (-592)) (-5 *5 (-1173)) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1063)) (-5 *1 (-769))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-456 *3) (-1030))) (-5 *1 (-294 *3 *2)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-160))) ((*1 *1 *1 *1) (-12 (-5 *1 (-227 *2)) (-4 *2 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1119)) (-4 *4 (-1075)) (-5 *1 (-701 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-21))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1302 *3 *4)) (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-841 *3)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-141)) (-5 *1 (-236 *4 *5)) (-4 *5 (-13 (-1211) (-29 *4)))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-691 (-237))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-769))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-971 (-237)) (-971 (-237)))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-971 (-237)) (-971 (-237)))) (-5 *1 (-278)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-516 *5 *6))) (-5 *3 (-516 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-1280 *6)) (-5 *1 (-646 *5 *6))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-658 (-433 *6))) (-5 *3 (-433 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-596 *5 *6))))) 
-(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-179))) ((*1 *1 *1 *1) (-12 (-5 *1 (-227 *2)) (-4 *2 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-25)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-25)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-158)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-499 *2 *3)) (-4 *2 (-194)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-565))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1119)) (-4 *4 (-1075)) (-5 *1 (-701 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-258 *1)) (-4 *1 (-947 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-25))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-658 (-658 *4)))) (-5 *2 (-658 (-658 *4))) (-4 *4 (-869)) (-5 *1 (-1197 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-869)) (-5 *2 (-658 (-681 *4 *5))) (-5 *1 (-642 *4 *5 *6)) (-4 *5 (-13 (-194) (-734 (-433 (-592))))) (-14 *6 (-944))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *1 (-64 *3)) (-4 *3 (-1225)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-64 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -1430 (-592)))) (-5 *1 (-258 *3)) (-4 *3 (-1117)))) ((*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1173)) (-5 *3 (-845)) (-5 *1 (-844))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-143)) (-5 *4 (-1191)) (-4 *5 (-13 (-869) (-582) (-633 (-565)))) (-4 *2 (-456 *5)) (-5 *1 (-334 *5 *2 *6 *7)) (-4 *6 (-1270 *2)) (-4 *7 (-1270 (-1185 *2)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-381 *4))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *5 (-582)) (-5 *1 (-749 *4 *3 *5 *2)) (-4 *2 (-977 (-433 (-980 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-5 *1 (-1013 *4 *5 *3 *2)) (-4 *2 (-977 (-980 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-4 *4 (-1075)) (-4 *5 (-815)) (-5 *1 (-1013 *4 *5 *6 *2)) (-4 *2 (-977 (-980 *4) *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-609 *3)) (-4 *3 (-388))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-168)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-168))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1158)) (-5 *3 (-592)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1270 *4)) (-5 *1 (-1272 *4 *2)) (-4 *4 (-43 (-433 (-592))))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2190 (-790)) (|:| |curves| (-790)) (|:| |polygons| (-790)) (|:| |constructs| (-790))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1054 (-862 (-592)))) (-5 *1 (-617 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-841 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-865)) (-5 *1 (-1301 *3 *2)) (-4 *3 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-318)))) ((*1 *1 *1) (-4 *1 (-318))) ((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *5 *6)) (-4 *6 (-633 (-1191))) (-4 *4 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1180 (-658 (-980 *4)) (-658 (-310 (-980 *4))))) (-5 *1 (-538 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1191)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-658 *1)) (-4 *1 (-456 *4)) (-4 *4 (-869)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *6 (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-944)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-278))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-869)) (-5 *2 (-141)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *2 *1 *1) (-12 (-4 *1 (-925 *3)) (-4 *3 (-1119)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1116 *3)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-887)) (-5 *1 (-882 *3)) (-14 *3 *2)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-631 *5))) (-4 *4 (-869)) (-5 *2 (-631 *5)) (-5 *1 (-601 *4 *5)) (-4 *5 (-456 *4))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-592)) (-5 *5 (-1173)) (-5 *6 (-706 (-237))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-414)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-237)) (-5 *2 (-1063)) (-5 *1 (-768))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *2 (-477)))) ((*1 *1 *1) (-12 (-4 *1 (-362 *2 *3 *4)) (-4 *2 (-1235)) (-4 *3 (-1255 *2)) (-4 *4 (-1255 (-433 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-477)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-477)))) ((*1 *1 *1) (-12 (-4 *1 (-977 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-323)) (-4 *3 (-582)) (-5 *1 (-1178 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-1089 *3 *4 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-658 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-658 *6))) (-4 *6 (-977 *3 *5 *4)) (-4 *3 (-13 (-323) (-171))) (-4 *4 (-13 (-869) (-633 (-1191)))) (-4 *5 (-815)) (-5 *1 (-951 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-310 *2)) (-4 *2 (-743)) (-4 *2 (-1225))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-125)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1054 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-1075)) (-4 *6 (-977 *5 *4 *2)) (-4 *2 (-869)) (-5 *1 (-978 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *6)) (-15 -1448 (*6 $)) (-15 -1456 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *2 (-1191)) (-5 *1 (-1070 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-237))) (-5 *4 (-790)) (-5 *2 (-706 (-237))) (-5 *1 (-321))))) 
-(((*1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1) (-4 *1 (-153))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-4 *1 (-947 *4 *5)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-1285))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-582))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1255 (-592))) (-5 *1 (-520 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1239 *4)) (-4 *4 (-1075)) (-4 *4 (-582)) (-5 *2 (-433 (-980 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1239 *4)) (-4 *4 (-1075)) (-4 *4 (-582)) (-5 *2 (-433 (-980 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-444 (-1187 (-592)))) (-5 *1 (-205)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-927 (-592))) (-5 *4 (-592)) (-5 *2 (-706 *4)) (-5 *1 (-1056 *5)) (-4 *5 (-1075)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-1056 *4)) (-4 *4 (-1075)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-927 (-592)))) (-5 *4 (-592)) (-5 *2 (-658 (-706 *4))) (-5 *1 (-1056 *5)) (-4 *5 (-1075)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-592)))) (-5 *2 (-658 (-706 (-592)))) (-5 *1 (-1056 *4)) (-4 *4 (-1075))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-869)) (-5 *1 (-957 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-332 (-592))) (-5 *1 (-958))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-790)) (-4 *3 (-1225)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1) (-5 *1 (-193))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-415)))) ((*1 *1) (-5 *1 (-420))) ((*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) ((*1 *1) (-12 (-4 *3 (-1119)) (-5 *1 (-907 *2 *3 *4)) (-4 *2 (-1119)) (-4 *4 (-683 *3)))) ((*1 *1) (-12 (-5 *1 (-911 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) ((*1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075)))) ((*1 *1 *1) (-5 *1 (-1191))) ((*1 *1) (-5 *1 (-1191))) ((*1 *1) (-5 *1 (-1206)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1191)) (-5 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *2 (-1285)) (-5 *1 (-1194))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) ((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-869)) (-5 *1 (-957 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-332 (-592))) (-5 *1 (-958))))) 
-(((*1 *1) (-5 *1 (-845)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-141) (-143) (-143))) (-5 *1 (-143))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1194))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-658 *1)) (-4 *1 (-1151 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *3 (-658 (-278))) (-5 *1 (-276))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-332 (-237)))) (-5 *2 (-141)) (-5 *1 (-285))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-1075) (-734 (-433 (-592))))) (-4 *5 (-869)) (-5 *1 (-1294 *4 *5 *2)) (-4 *2 (-1299 *5 *4))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-592)) (-5 *6 (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405)))) (-5 *7 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-592)) (-5 *6 (-2 (|:| |try| (-405)) (|:| |did| (-405)) (|:| -3314 (-405)))) (-5 *7 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1212 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-433 (-592))) (-5 *1 (-321))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1187 *1)) (-5 *3 (-1191)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-980 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-869) (-582))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-869) (-582)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1075)) (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-860)) (-5 *2 (-1063)) (-5 *1 (-859)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-332 (-405)))) (-5 *4 (-658 (-405))) (-5 *2 (-1063)) (-5 *1 (-859))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-199 *2)) (-4 *2 (-323)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-658 (-658 *4))) (-5 *2 (-658 *4)) (-4 *4 (-323)) (-5 *1 (-199 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 (-2 (|:| -2195 (-706 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-706 *7))))) (-5 *5 (-790)) (-4 *8 (-1255 *7)) (-4 *7 (-1255 *6)) (-4 *6 (-373)) (-5 *2 (-2 (|:| -2195 (-706 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-706 *7)))) (-5 *1 (-531 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |ir| (-609 (-433 *6))) (|:| |specpart| (-433 *6)) (|:| |polypart| *6))) (-5 *1 (-602 *5 *6)) (-5 *3 (-433 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-582)) (-4 *4 (-869)) (-5 *1 (-601 *4 *2)) (-4 *2 (-456 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 (-1187 (-1187 *4)))) (-5 *1 (-1224 *4)) (-5 *3 (-1187 (-1187 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1264 *3 *4 *5)) (-5 *1 (-336 *3 *4 *5)) (-4 *3 (-13 (-388) (-869))) (-14 *4 (-1191)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-430)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-444 *3)) (-4 *3 (-582)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) ((*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-730 *3 *2 *4)) (-4 *3 (-869)) (-14 *4 (-1 (-141) (-2 (|:| -1825 *3) (|:| -3215 *2)) (-2 (|:| -1825 *3) (|:| -3215 *2))))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-533 *2)) (-14 *2 (-592)))) ((*1 *1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-128 *4 *3 *2 *5 *6)) (-4 *3 (-1255 *4)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-473 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-658 (-658 *8))) (-5 *1 (-473 *5 *6 *7 *8)) (-5 *3 (-658 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-473 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-658 (-658 *8))) (-5 *1 (-473 *5 *6 *7 *8)) (-5 *3 (-658 *8))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1246 (-592))) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-664 *3)) (-4 *3 (-1225))))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-717)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-717))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-658 *3)) (-4 *3 (-323)) (-5 *1 (-199 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-977 *2 *5 (-879 *3))) (-4 *5 (-252 (-1699 *3) (-790))) (-4 *6 (-999 *2)) (-4 *7 (-665 *2)) (-4 *8 (-947 *2 *7)) (-4 *9 (-257 *8)) (-4 *10 (-137)) (-4 *2 (-388))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350))))) 
-(((*1 *1 *1) (-4 *1 (-1158)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-631 *3)) (-4 *3 (-869))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-658 (-278))) (-5 *4 (-1191)) (-5 *1 (-277 *2)) (-4 *2 (-1225)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-658 (-278))) (-5 *4 (-1191)) (-5 *2 (-57)) (-5 *1 (-278)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-658 (-489))) (-5 *4 (-1191)) (-5 *2 (-57)) (-5 *1 (-489))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-268 *2 *3 *4 *5)) (-4 *2 (-1075)) (-4 *3 (-869)) (-4 *4 (-284 *3)) (-4 *5 (-815))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-57)) (-5 *1 (-851))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-143)) (-5 *1 (-1052 *4 *3)) (-4 *3 (-13 (-456 *4) (-23) (-1065 (-592)) (-1065 (-1191)) (-922 (-1191)) (-182)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-565)) (-5 *1 (-564 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-565))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-609 *2)) (-4 *2 (-388))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-261 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) ((*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-141)) (-5 *1 (-951 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-141)) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-592))) (-5 *4 (-592)) (-5 *2 (-57)) (-5 *1 (-1033))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-553 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-582)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-4 *7 (-1021 *4)) (-4 *2 (-704 *7 *8 *9)) (-5 *1 (-554 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-704 *4 *5 *6)) (-4 *8 (-399 *7)) (-4 *9 (-399 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-388)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-388)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-706 *2)) (-4 *2 (-388)) (-4 *2 (-1075)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1140 *2 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-252 *2 *3)) (-4 *5 (-252 *2 *3)) (-4 *3 (-388)))) ((*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-1197 *3))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-986 (-191 (-405)))) (-5 *1 (-135))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-658 (-1191))) (-4 *2 (-194)) (-4 *4 (-252 (-1699 *5) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *3) (|:| -3215 *4)) (-2 (|:| -1825 *3) (|:| -3215 *4)))) (-5 *1 (-487 *5 *2 *3 *4 *6 *7)) (-4 *3 (-869)) (-4 *7 (-977 *2 *4 (-879 *5)))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-553 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-582)) (-5 *2 (-790)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-790)) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-4 *5 (-582)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-582)) (-5 *2 (-2 (|:| -3253 (-706 *5)) (|:| |vec| (-1280 (-658 (-944)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-944)) (-4 *3 (-670 *5))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-592)) (-5 *6 (-1 (-1285) (-1280 *5) (-1280 *5) (-405))) (-5 *3 (-1280 (-405))) (-5 *5 (-405)) (-5 *2 (-1285)) (-5 *1 (-810))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1017 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1126 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-700 *4 *5 *6)) (-4 *4 (-1119))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-141)) (-5 *1 (-539 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-141)) (-5 *1 (-578))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-565))))) 
-(((*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-256))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *12)) (-5 *1 (-282 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *12)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-658 (-281 (-561 *3 *4 *5)))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-658 (-281 (-537 *3 *4 *5)))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-661 *3)) (-4 *3 (-1075)) (-5 *1 (-731 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-856 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-585 *3)) (-4 *3 (-574)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-759 *4 *5 *6 *3)) (-4 *3 (-977 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-759 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-477)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-444 *1)) (-4 *1 (-977 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-869)) (-4 *5 (-815)) (-4 *6 (-477)) (-5 *2 (-444 *3)) (-5 *1 (-1008 *4 *5 *6 *3)) (-4 *3 (-977 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-477)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-444 (-1187 (-433 *7)))) (-5 *1 (-1186 *4 *5 *6 *7)) (-5 *3 (-1187 (-433 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-444 *1)) (-4 *1 (-1235)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-444 *3)) (-5 *1 (-1258 *4 *3)) (-4 *3 (-13 (-1255 *4) (-582) (-10 -8 (-15 -3548 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-1160 *4 (-558 (-879 *6)) (-879 *6) (-802 *4 (-879 *6))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191)))))) 
-(((*1 *1 *1) (-4 *1 (-675))) ((*1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-862 *3))) (-4 *3 (-13 (-1211) (-987) (-29 *5))) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 *3)) (|:| |f2| (-658 (-862 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-231 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1111 (-862 *3))) (-5 *5 (-1173)) (-4 *3 (-13 (-1211) (-987) (-29 *6))) (-4 *6 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 *3)) (|:| |f2| (-658 (-862 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-231 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1111 (-862 (-332 *5)))) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *5))) (|:| |f2| (-658 (-862 (-332 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-433 (-980 *6))) (-5 *4 (-1111 (-862 (-332 *6)))) (-5 *5 (-1173)) (-4 *6 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *6))) (|:| |f2| (-658 (-862 (-332 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-862 (-433 (-980 *5))))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *5))) (|:| |f2| (-658 (-862 (-332 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1111 (-862 (-433 (-980 *6))))) (-5 *5 (-1173)) (-5 *3 (-433 (-980 *6))) (-4 *6 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (|:| |f1| (-862 (-332 *6))) (|:| |f2| (-658 (-862 (-332 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-232 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 *3 (-658 *3))) (-5 *1 (-454 *5 *3)) (-4 *3 (-13 (-1211) (-987) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-503 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *5 (-405)) (-5 *6 (-1087)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3) (-12 (-5 *3 (-788)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-1113 (-862 (-405)))) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *5 (-405)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-332 (-405))) (-5 *4 (-658 (-1113 (-862 (-405))))) (-5 *5 (-405)) (-5 *6 (-1087)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-862 (-405)))) (-5 *5 (-1173)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-332 (-405))) (-5 *4 (-1111 (-862 (-405)))) (-5 *5 (-1191)) (-5 *2 (-1063)) (-5 *1 (-593)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-609 (-433 *5))) (-5 *1 (-596 *4 *5)) (-5 *3 (-433 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-171)) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-3 (-332 *5) (-658 (-332 *5)))) (-5 *1 (-612 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-757 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-869)) (-4 *3 (-43 (-433 (-592)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-980 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-4 *2 (-869)) (-5 *1 (-1143 *3 *2 *4)) (-4 *4 (-977 *3 (-558 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1181 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1188 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1189 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *1 (-1220 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 (QUOTE |x|))) (-5 *1 (-1237 *3)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-3836 (-12 (-5 *2 (-1191)) (-4 *1 (-1239 *3)) (-4 *3 (-1075)) (-12 (-4 *3 (-29 (-592))) (-4 *3 (-987)) (-4 *3 (-1211)) (-4 *3 (-43 (-433 (-592)))))) (-12 (-5 *2 (-1191)) (-4 *1 (-1239 *3)) (-4 *3 (-1075)) (-12 (|has| *3 (-15 -4085 ((-658 *2) *3))) (|has| *3 (-15 -3162 (*3 *3 *2))) (-4 *3 (-43 (-433 (-592)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1239 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1243 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) ((*1 *1 *1 *2) (-3836 (-12 (-5 *2 (-1191)) (-4 *1 (-1260 *3)) (-4 *3 (-1075)) (-12 (-4 *3 (-29 (-592))) (-4 *3 (-987)) (-4 *3 (-1211)) (-4 *3 (-43 (-433 (-592)))))) (-12 (-5 *2 (-1191)) (-4 *1 (-1260 *3)) (-4 *3 (-1075)) (-12 (|has| *3 (-15 -4085 ((-658 *2) *3))) (|has| *3 (-15 -3162 (*3 *3 *2))) (-4 *3 (-43 (-433 (-592)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1260 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1264 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-3836 (-12 (-5 *2 (-1191)) (-4 *1 (-1270 *3)) (-4 *3 (-1075)) (-12 (-4 *3 (-29 (-592))) (-4 *3 (-987)) (-4 *3 (-1211)) (-4 *3 (-43 (-433 (-592)))))) (-12 (-5 *2 (-1191)) (-4 *1 (-1270 *3)) (-4 *3 (-1075)) (-12 (|has| *3 (-15 -4085 ((-658 *2) *3))) (|has| *3 (-15 -3162 (*3 *3 *2))) (-4 *3 (-43 (-433 (-592)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1075)) (-4 *2 (-43 (-433 (-592)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-43 (-433 (-592)))) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-869)) (-5 *3 (-658 *6)) (-5 *5 (-658 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-658 *5)) (|:| |f3| *5) (|:| |f4| (-658 *5)))) (-5 *1 (-1197 *6)) (-5 *4 (-658 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-477)) (-4 *4 (-869)) (-5 *1 (-601 *4 *2)) (-4 *2 (-301)) (-4 *2 (-456 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-473 *4 *5 *6 *7)) (-5 *3 (-658 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-658 (-658 *8))) (-5 *1 (-473 *5 *6 *7 *8)) (-5 *3 (-658 *8))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-477))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-229 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) (-141))) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-944) (-141))) (-5 *1 (-489))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-790)) (-4 *2 (-1119)) (-5 *1 (-695 *2))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1171 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-143))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-896)))) ((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-2 (|:| -1350 *3) (|:| -3552 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *9)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-790)) (-5 *1 (-1159 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-318)) (-4 *2 (-1225)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-631 *1))) (-5 *3 (-658 *1)) (-4 *1 (-318)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-310 *1))) (-4 *1 (-318)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-310 *1)) (-4 *1 (-318))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))))) ((*1 *2) (|partial| -12 (-4 *4 (-1235)) (-4 *5 (-1255 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-361 *3 *4 *2 *5)) (-4 *3 (-362 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-362 *3 *2 *4)) (-4 *3 (-1235)) (-4 *4 (-1255 (-433 *2))) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *4 (-658 (-1191))) (-5 *2 (-706 (-332 (-237)))) (-5 *1 (-219)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *6 (-922 *5)) (-5 *2 (-706 *6)) (-5 *1 (-708 *5 *6 *3 *4)) (-4 *3 (-399 *6)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-722 *3 *4)) (-4 *3 (-1225)) (-4 *4 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-879 *5))) (-14 *5 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-2 (|:| |dpolys| (-658 (-264 *5 *6))) (|:| |coords| (-658 (-592))))) (-5 *1 (-500 *5 *6 *7)) (-5 *3 (-658 (-264 *5 *6))) (-4 *7 (-477))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-323)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1141 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-592)) (-5 *1 (-256)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-592)) (-5 *1 (-256))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-523 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-927 *4)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-926 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-944)) (-5 *2 (-141)) (-5 *1 (-1120 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-489))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-141) *6)) (-4 *6 (-13 (-1119) (-1065 *5))) (-4 *5 (-908 *4)) (-4 *4 (-1119)) (-5 *2 (-1 (-141) *5)) (-5 *1 (-959 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1017 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1126 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-1161 (-1173))) (-5 *1 (-417))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-754 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-754 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-754 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *3 (-13 (-582) (-477))) (-5 *2 (-658 *3)) (-5 *1 (-369 *3 *5)) (-4 *5 (-52 *3 *4))))) 
-(((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *2)) (-4 *2 (-977 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1187 *6)) (-4 *6 (-977 *5 *3 *4)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-323)) (-5 *1 (-939 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *6 *4 *5)) (-5 *1 (-939 *4 *5 *6 *2)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-589)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3191 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-2 (|:| |answer| (-609 (-433 *7))) (|:| |a0| *6))) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-5 *2 (-141)) (-5 *1 (-255 *4)) (-4 *4 (-1075))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (|has| *1 (-6 -4625)) (-4 *1 (-175 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *1 (-690 *3)) (-4 *3 (-1225)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1219 *4 *5 *3 *2)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *2 (-1089 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-1223 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 *7)) (-4 *7 (-869)) (-4 *8 (-977 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-5 *2 (-2 (|:| |particular| (-3 (-1280 (-433 *8)) "failed")) (|:| -2195 (-658 (-1280 (-433 *8)))))) (-5 *1 (-686 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| |poly| *6) (|:| -2042 *3)))) (-5 *1 (-831 *5 *6 *3 *7)) (-4 *3 (-670 *6)) (-4 *7 (-670 (-433 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-658 *5) *6)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-5 *2 (-658 (-2 (|:| |poly| *6) (|:| -2042 (-668 *6 (-433 *6)))))) (-5 *1 (-834 *5 *6)) (-5 *3 (-668 *6 (-433 *6)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-405)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-405))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-658 *1)) (-4 *1 (-408 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-752 *3 *4))) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-658 *3)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1120 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-141)) (-5 *1 (-285))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1280 (-790))) (-5 *1 (-691 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954)) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-954)) (-5 *4 (-433 (-592))) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)) (-5 *3 (-658 (-971 (-237)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 (-237))))) (|:| |xValues| (-1113 (-237))) (|:| |yValues| (-1113 (-237))))) (-5 *1 (-177)) (-5 *3 (-658 (-658 (-971 (-237))))))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-278))))) 
-(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *6 (-13 (-582) (-869))) (-5 *2 (-658 (-332 *6))) (-5 *1 (-233 *5 *6)) (-5 *3 (-332 *6)) (-4 *5 (-1075)))) ((*1 *2 *1) (-12 (-5 *1 (-444 *2)) (-4 *2 (-582)))) ((*1 *2 *3) (-12 (-5 *3 (-609 *5)) (-4 *5 (-13 (-29 *4) (-1211))) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-658 *5)) (-5 *1 (-607 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-609 (-433 (-980 *4)))) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-658 (-332 *4))) (-5 *1 (-612 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2)) (-4 *3 (-867)) (-4 *2 (-1163 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1114 *4 *2)) (-4 *4 (-867)) (-4 *2 (-1163 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211))))) ((*1 *2 *1) (-12 (-5 *2 (-1293 (-1191) *3)) (-5 *1 (-1300 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-1293 *3 *4)) (-5 *1 (-1302 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-706 (-332 (-592))))) (-5 *1 (-1059))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1119)) (-5 *2 (-911 *3 *4)) (-5 *1 (-907 *3 *4 *5)) (-4 *3 (-1119)) (-4 *5 (-683 *4))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *5 (-252 (-1699 *3) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *5)) (-2 (|:| -1825 *2) (|:| -3215 *5)))) (-4 *2 (-869)) (-5 *1 (-487 *3 *4 *2 *5 *6 *7)) (-4 *7 (-977 *4 *5 (-879 *3)))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-557 *3)) (-4 *3 (-13 (-743) (-25)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 *4) (-790))))) (-5 *1 (-508 *4)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 *4) (-790)))) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 (-1191))) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) (-1191) *6)) (|:| C (-1 (-658 *5) (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 *3)) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) *3 *6)) (|:| C (-1 (-658 *5) (-790)))) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 HPSPEC) (-5 *1 (-512 *4)) (-14 *4 (-1191)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 HPSPEC (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-381 *3)) (-4 *3 (-373))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1173)) (|:| -4095 (-1173)))) (-5 *1 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-878)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-878)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-877)) (-5 *2 (-1285)) (-5 *1 (-878)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1171 *4)) (-4 *4 (-1119)) (-4 *4 (-1225))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1280 (-658 (-592)))) (-5 *1 (-515)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-706 (-332 (-592)))) (-5 *1 (-1059))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-706 *4)) (-4 *4 (-1075)) (-5 *1 (-1156 *3 *4)) (-14 *3 (-790))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-790))) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-790))) (-5 *5 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-790)) (-5 *2 (-444 *3)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1035 *3)) (-4 *3 (-1255 (-433 (-592)))))) ((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-1244 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-977 *4 *5 *6)) (-5 *2 (-444 (-1187 *7))) (-5 *1 (-928 *4 *5 *6 *7)) (-5 *3 (-1187 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-1255 *4)) (-5 *2 (-444 (-1187 *5))) (-5 *1 (-929 *4 *5)) (-5 *3 (-1187 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1155 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39)))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-592))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1113 (-592))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-256)) (-5 *3 (-1173)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-256)))) ((*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-141)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *3 (-658 (-896))) (-5 *1 (-497))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-347 *3)) (-4 *3 (-1225)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-549 *3 *4)) (-4 *3 (-1225)) (-14 *4 (-592))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-332 *5))) (-5 *1 (-1146 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 *5)))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-658 (-658 (-332 *5)))) (-5 *1 (-1146 *5))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *3 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *6 (-1089 *4 *5 *3)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-953))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-566 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-4 *4 (-1255 *3)) (-4 *5 (-741 *3 *4)) (-5 *1 (-570 *3 *4 *5 *2)) (-4 *2 (-1270 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-5 *1 (-571 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1166 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -2324 *4) (|:| -3775 (-592))))) (-4 *4 (-1119)) (-5 *2 (-1 *4)) (-5 *1 (-1045 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-565))) (-5 *2 (-1191)) (-5 *1 (-565))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-790)) (-4 *6 (-1119)) (-4 *7 (-922 *6)) (-5 *2 (-706 *7)) (-5 *1 (-708 *6 *7 *3 *4)) (-4 *3 (-399 *7)) (-4 *4 (-13 (-399 *6) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-841 *4)) (-4 *4 (-869)) (-5 *2 (-141)) (-5 *1 (-688 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-5 *2 (-658 (-2 (|:| C (-706 *5)) (|:| |g| (-1280 *5))))) (-5 *1 (-1007 *5)) (-5 *3 (-706 *5)) (-5 *4 (-1280 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-141)) (-5 *1 (-361 *3 *4 *5 *6)) (-4 *3 (-362 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1173)) (-5 *1 (-206)))) ((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1173)) (-5 *1 (-316)))) ((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1173)) (-5 *1 (-321))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *2 (-658 *6)) (-5 *1 (-935 *4 *5 *6 *7)) (-4 *5 (-346 *4 *6))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-143)) (-5 *2 (-592)) (-5 *4 (-1191)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *6 *5)) (-4 *5 (-13 (-456 *6) (-23) (-1065 *2) (-1065 *4) (-922 *4) (-182)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(((*1 *1 *2 *1) (|partial| -12 (-5 *2 (-150)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1301 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-865))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-553 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-4 *7 (-1021 *4)) (-4 *2 (-704 *7 *8 *9)) (-5 *1 (-554 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-704 *4 *5 *6)) (-4 *8 (-399 *7)) (-4 *9 (-399 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-323)))) ((*1 *2 *2) (-12 (-4 *3 (-323)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1078 *2 *3 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *6 (-252 *2 *4)) (-4 *4 (-323))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| *8) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 *8))))) (-5 *1 (-951 *5 *6 *7 *8)) (-5 *4 (-790))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39)))))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1038 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2) (-12 (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-658 (-706 *4))) (-5 *2 (-706 *4)) (-4 *4 (-1075)) (-5 *1 (-1057 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-388)) (-5 *1 (-673 *4 *2)) (-4 *2 (-670 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-36 *4 *5)) (-4 *5 (-456 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-180 *4 *5)) (-4 *5 (-456 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-294 *4 *5)) (-4 *5 (-13 (-456 *4) (-1030))))) ((*1 *2 *3) (-12 (-5 *3 (-143)) (-5 *2 (-141)) (-5 *1 (-317 *4)) (-4 *4 (-318)))) ((*1 *2 *3) (-12 (-4 *1 (-318)) (-5 *3 (-143)) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-455 *4 *5)) (-4 *4 (-456 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-457 *4 *5)) (-4 *5 (-456 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-143)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-645 *4 *5)) (-4 *5 (-13 (-456 *4) (-1030) (-1211)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-804 *3)) (|:| |polden| *3) (|:| -3116 (-790)))) (-5 *1 (-804 *3)) (-4 *3 (-1075)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3116 (-790)))) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-456 *3) (-1030))) (-5 *1 (-294 *3 *2)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-3 (-1 (-237) (-237) (-237) (-237)) "undefined")) (-5 *5 (-1113 (-237))) (-5 *6 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-237))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1150 (-237))) (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-237))) (-5 *5 (-658 (-278))) (-5 *1 (-713))))) 
-(((*1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-658 *1)) (-4 *1 (-947 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-2 (|:| |k| (-841 *3)) (|:| |c| *4)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 *7)) (-4 *1 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *2)) (-4 *2 (-194)))) ((*1 *2) (-12 (-4 *2 (-194)) (-5 *1 (-442 *3 *2)) (-4 *3 (-443 *2)))) ((*1 *2) (-12 (-4 *1 (-443 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-877)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-990))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-944)) (-4 *5 (-582)) (-5 *2 (-706 *5)) (-5 *1 (-984 *5 *3)) (-4 *3 (-670 *5))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1005 *4 *5 *6 *3)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-2 (|:| |start| *3) (|:| -2033 (-444 *3)))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-553 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 (-1187 (-1187 *4)))) (-5 *1 (-1224 *4)) (-5 *3 (-1187 (-1187 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1171 (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1175 *4)) (-4 *4 (-43 (-433 (-592)))) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-1 (-658 *4) *4)) (-5 *1 (-127 *4)) (-5 *3 (-658 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-332 (-237))) (-5 *1 (-285))))) 
-(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-310 *6)) (-5 *4 (-143)) (-4 *6 (-456 *5)) (-4 *5 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-310 *7)) (-5 *4 (-143)) (-5 *5 (-658 *7)) (-4 *7 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-658 (-310 *7))) (-5 *4 (-658 (-143))) (-5 *5 (-310 *7)) (-4 *7 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 (-310 *8))) (-5 *4 (-658 (-143))) (-5 *5 (-310 *8)) (-5 *6 (-658 *8)) (-4 *8 (-456 *7)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-658 *7)) (-5 *4 (-658 (-143))) (-5 *5 (-310 *7)) (-4 *7 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *8)) (-5 *4 (-658 (-143))) (-5 *6 (-658 (-310 *8))) (-4 *8 (-456 *7)) (-5 *5 (-310 *8)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-310 *5)) (-5 *4 (-143)) (-4 *5 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-143)) (-5 *5 (-310 *3)) (-4 *3 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-143)) (-5 *5 (-310 *3)) (-4 *3 (-456 *6)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-143)) (-5 *5 (-310 *3)) (-5 *6 (-658 *3)) (-4 *3 (-456 *7)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-57)) (-5 *1 (-333 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-143)) (-5 *5 (-1191)) (-5 *6 (-658 *3)) (-4 *3 (-456 *7)) (-4 *7 (-13 (-869) (-582) (-633 (-565)))) (-4 *2 (-1270 *3)) (-5 *1 (-334 *7 *3 *2 *8)) (-4 *8 (-1270 (-1185 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-658 *5)) (-4 *5 (-388)) (-4 *6 (-1270 (-1185 *5))) (-4 *2 (-1270 *5)) (-5 *1 (-1274 *5 *2 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 *5)) (-4 *5 (-13 (-582) (-477))) (-5 *4 (-790)) (-5 *2 (-433 (-1187 *5))) (-5 *1 (-369 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-433 *5))) (-4 *5 (-13 (-582) (-477))) (-5 *4 (-790)) (-5 *2 (-433 (-1187 *5))) (-5 *1 (-369 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1252 *4 *5)) (-5 *3 (-658 *5)) (-14 *4 (-1191)) (-4 *5 (-388)) (-5 *1 (-946 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-388)) (-5 *2 (-1187 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-1191)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-790)) (-4 *6 (-388)) (-5 *2 (-433 (-980 *6))) (-5 *1 (-1076 *5 *6)) (-14 *5 (-1191))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-141)) (-5 *1 (-143)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-318)) (-5 *3 (-1191)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-318)) (-5 *3 (-143)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-141)) (-5 *1 (-631 *4)) (-4 *4 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-141)) (-5 *1 (-631 *4)) (-4 *4 (-869)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-5 *2 (-141)) (-5 *1 (-909 *5 *3 *4)) (-4 *3 (-908 *5)) (-4 *4 (-633 (-914 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-4 *6 (-908 *5)) (-4 *5 (-1119)) (-5 *2 (-141)) (-5 *1 (-909 *5 *6 *4)) (-4 *4 (-633 (-914 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-137)) (-4 *2 (-257 *9))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-388)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3)) (-4 *3 (-1225)) (-5 *2 (-592))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-658 (-1191))) (-5 *2 (-658 (-658 (-405)))) (-5 *1 (-1050)) (-5 *5 (-405)))) ((*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *5))))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-658 (-1051 (-433 *4))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1187 (-980 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) ((*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-4 *3 (-388)) (-5 *2 (-1187 (-980 *3))))) ((*1 *2) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-237))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-234 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-869)) (-5 *2 (-141)) (-5 *1 (-518 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| *1 (-6 -4625)) (-4 *1 (-523 *4)) (-4 *4 (-1225)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1028 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (|has| $ (-6 -4625)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-1161 *4))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) ((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1) (-4 *1 (-743))) ((*1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) ((*1 *1) (-5 *1 (-1191)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-163)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-168))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *1) (-5 *1 (-497)))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-582)) (-5 *1 (-998 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-1191)) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-206)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-1191)) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-316))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| |radicand| (-433 *5)) (|:| |deg| (-790)))) (-5 *1 (-172 *4 *5 *3)) (-4 *3 (-1255 (-433 *5)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-658 *8))) (-5 *3 (-658 *8)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-141)) (-5 *1 (-951 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-592)) (-4 *6 (-665 *5)) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-659 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-698 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)) (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -1487 *3) (|:| -1493 *4)))) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) ((*1 *2 *1) (-12 (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-1171 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-5 *1 (-520 *2)) (-4 *2 (-1255 (-592)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *2 (-141)) (-5 *1 (-538 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *1)))) (-4 *1 (-1094 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *4 (-1075)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-867))) (-5 *1 (-200 *3 *2)) (-4 *2 (-1255 (-191 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-350))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-658 (-790)))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *7)) (-4 *7 (-869)) (-4 *5 (-931)) (-4 *6 (-815)) (-4 *8 (-977 *5 *6 *7)) (-5 *2 (-444 (-1187 *8))) (-5 *1 (-928 *5 *6 *7 *8)) (-5 *4 (-1187 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-931)) (-4 *5 (-1255 *4)) (-5 *2 (-444 (-1187 *5))) (-5 *1 (-929 *4 *5)) (-5 *3 (-1187 *5))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-582)) (-5 *1 (-639 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1129)) (-5 *3 (-592))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1219 *2 *3 *4 *5)) (-4 *2 (-582)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-1089 *2 *3 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-592)))) (-4 *4 (-13 (-1255 *3) (-582) (-10 -8 (-15 -3548 ($ $ $))))) (-4 *3 (-582)) (-5 *1 (-1258 *3 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-444 (-1187 (-433 (-592))))) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1285)) (-5 *1 (-474 *4 *5 *6 *3)) (-4 *3 (-977 *4 *5 *6))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-388)) (-5 *2 (-658 *3)) (-5 *1 (-973 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-790) (-790) *7)) (-5 *4 (-1280 *7)) (-5 *5 (-790)) (-5 *6 (-1280 (-1187 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *7))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(((*1 *2 *3) (-12 (|has| *2 (-6 (-4627 "*"))) (-4 *5 (-399 *2)) (-4 *6 (-399 *2)) (-4 *2 (-1075)) (-5 *1 (-128 *2 *3 *4 *5 *6)) (-4 *3 (-1255 *2)) (-4 *4 (-704 *2 *5 *6))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-237)) (-5 *2 (-2 (|:| |brans| (-658 (-658 (-971 *4)))) (|:| |xValues| (-1113 *4)) (|:| |yValues| (-1113 *4)))) (-5 *1 (-177)) (-5 *3 (-658 (-658 (-971 *4))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1163 *3)) (-4 *3 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *3 (-706 (-592))) (-5 *1 (-1129))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1280 (-658 *3))) (-4 *4 (-323)) (-5 *2 (-658 *3)) (-5 *1 (-481 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-141)) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-141)) (-5 *1 (-1215 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-237)))) ((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *1 *1) (-4 *1 (-574))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-615 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1119)) (-5 *2 (-1137)))) ((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-430)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-715))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-148 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-456 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-977 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-658 *3)) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 (-971 *4))) (-4 *1 (-1151 *4)) (-4 *4 (-1075)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *3)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)) (-4 *2 (-456 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-182)) (-5 *2 (-1191)))) ((*1 *1 *1) (-4 *1 (-182)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *2 (-141)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1154 *3 *4)) (-4 *3 (-13 (-1119) (-39))) (-4 *4 (-13 (-1119) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-587))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *5 (-349 *4)) (-4 *6 (-1255 *5)) (-5 *2 (-658 *3)) (-5 *1 (-796 *4 *5 *6 *3 *7)) (-4 *3 (-1255 *6)) (-14 *7 (-944))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-1187 (-980 *4)) (-980 *4))) (-5 *1 (-1288 *4)) (-4 *4 (-388))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-980 (-237))) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-658 (-141))) (-5 *7 (-706 (-237))) (-5 *8 (-706 (-592))) (-5 *3 (-592)) (-5 *4 (-237)) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-658 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592)))))) (-5 *1 (-539 *4 *5)) (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) ((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) ((*1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-394)) (-4 *2 (-388)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-355 *3 *4 *5 *2)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *2 (-362 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-194)))) ((*1 *1) (-12 (-4 *2 (-194)) (-4 *1 (-741 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) ((*1 *2 *2) (-12 (-4 *3 (-388)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-694 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1075)) (-5 *1 (-706 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *4)) (-4 *4 (-1075)) (-4 *1 (-1140 *3 *4 *5 *6)) (-4 *5 (-252 *3 *4)) (-4 *6 (-252 *3 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-179)))) ((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *2) (-12 (-4 *3 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-1285)) (-5 *1 (-459 *3 *4)) (-4 *4 (-456 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-439 *3 *4 *5 *6)) (-4 *6 (-1065 *4)) (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-4 *6 (-435 *4 *5)) (-14 *7 (-1280 *6)) (-5 *1 (-440 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *6)) (-4 *6 (-435 *4 *5)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-4 *3 (-323)) (-5 *1 (-440 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-706 (-592))) (-5 *5 (-141)) (-5 *7 (-706 (-237))) (-5 *3 (-592)) (-5 *6 (-237)) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *5)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-388)) (-5 *2 (-658 *5)) (-5 *1 (-659 *5 *3)) (-4 *3 (-665 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-658 (-141))) (-5 *5 (-706 (-237))) (-5 *6 (-706 (-592))) (-5 *7 (-237)) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-444 *2)) (-4 *2 (-977 *7 *5 *6)) (-5 *1 (-759 *5 *6 *7 *2)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-323))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1038 *3)) (-4 *3 (-1225)) (-5 *2 (-592))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1241 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1270 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-658 *3)) (-5 *1 (-989 *3)) (-4 *3 (-574))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-1200 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-629 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *2) (-12 (-5 *2 (-706 (-932 *3))) (-5 *1 (-375 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) ((*1 *2) (-12 (-5 *2 (-706 *3)) (-5 *1 (-376 *3 *4)) (-4 *3 (-373)) (-14 *4 (-3 (-1187 *3) (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137))))))))) ((*1 *2) (-12 (-5 *2 (-706 *3)) (-5 *1 (-377 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944))))) 
-(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-658 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *2)) (-4 *2 (-159)) (-5 *1 (-1104 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-592) *2 *2)) (-4 *2 (-159)) (-5 *1 (-1104 *2))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-477)) (-4 *3 (-869)) (-4 *3 (-1065 (-592))) (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-456 *3)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $)))))))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-582)) (-5 *2 (-1187 *4)) (-5 *1 (-786 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-790)) (-4 *3 (-13 (-743) (-394) (-10 -7 (-15 ** (*3 *3 (-592)))))) (-5 *1 (-263 *3))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-851))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-160))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-497))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-193)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-143)) (-4 *2 (-1119)) (-4 *2 (-869)) (-5 *1 (-142 *2))))) 
-(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1) (-5 *1 (-877))) ((*1 *1) (-12 (-4 *2 (-477)) (-4 *3 (-869)) (-4 *4 (-815)) (-5 *1 (-1016 *2 *3 *4 *5)) (-4 *5 (-977 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) ((*1 *1) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39))))) ((*1 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) ((*1 *1) (-5 *1 (-1194))) ((*1 *1) (-5 *1 (-1195)))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-658 (-631 *2))) (-5 *4 (-1191)) (-4 *2 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *5 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-927 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-971 (-237)) (-237) (-237))) (-5 *3 (-1 (-237) (-237) (-237) (-237))) (-5 *1 (-270))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-433 (-592))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-5 *5 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-592))) (-5 *4 (-310 *6)) (-4 *6 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-592))) (-5 *4 (-310 *7)) (-5 *5 (-1246 (-592))) (-4 *7 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-433 (-592)))) (-5 *4 (-310 *8)) (-5 *5 (-1246 (-433 (-592)))) (-5 *6 (-433 (-592))) (-4 *8 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-433 (-592)))) (-5 *7 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *8))) (-4 *8 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-4 *3 (-1075)) (-5 *1 (-617 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-618 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-592)) (-4 *1 (-665 *3)) (-4 *3 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-4 *3 (-1075)) (-4 *1 (-1239 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *3 (-1171 (-2 (|:| |k| (-433 (-592))) (|:| |c| *4)))) (-4 *4 (-1075)) (-4 *1 (-1260 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-4 *1 (-1270 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-790)) (|:| |c| *3)))) (-4 *3 (-1075)) (-4 *1 (-1270 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-302 *3 *2)) (-4 *2 (-1270 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-1195))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-841 *3)) (-4 *3 (-869)) (-5 *1 (-688 *3))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-4 *2 (-1119)) (-5 *1 (-911 *4 *2))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-163)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-168))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *2 (-1063)) (-5 *1 (-321)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) (-5 *2 (-1063)) (-5 *1 (-321))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1173)) (-5 *4 (-592)) (-5 *5 (-706 (-191 (-237)))) (-5 *2 (-1063)) (-5 *1 (-773))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-944)) (-5 *4 (-237)) (-5 *5 (-592)) (-5 *6 (-896)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-5 *4 (-1280 *5)) (-4 *5 (-323)) (-4 *5 (-1075)) (-5 *2 (-706 *5)) (-5 *1 (-1057 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *10)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-280 *11))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-658 (-1187 *11))) (-5 *3 (-1187 *11)) (-5 *4 (-658 *10)) (-5 *5 (-658 *8)) (-5 *6 (-658 (-790))) (-5 *7 (-1280 (-658 (-1187 *8)))) (-4 *10 (-869)) (-4 *8 (-323)) (-4 *11 (-977 *8 *9 *10)) (-4 *9 (-815)) (-5 *1 (-724 *9 *10 *8 *11))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-195 (-433 (-592)))) (-5 *1 (-146 *3)) (-14 *3 (-592)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1171 *2)) (-4 *2 (-323)) (-5 *1 (-195 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-433 *3)) (-4 *3 (-323)) (-5 *1 (-195 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-195 (-592))) (-5 *1 (-784 *3)) (-4 *3 (-430)))) ((*1 *2 *1) (-12 (-5 *2 (-195 (-433 (-592)))) (-5 *1 (-892 *3)) (-14 *3 (-592)))) ((*1 *2 *1) (-12 (-14 *3 (-592)) (-5 *2 (-195 (-433 (-592)))) (-5 *1 (-893 *3 *4)) (-4 *4 (-890 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1173)) (-5 *1 (-321))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-755))))) 
-(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-592)) (-5 *5 (-141)) (-5 *6 (-706 (-237))) (-5 *7 (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1272 *3 *2)) (-4 *2 (-1270 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-1175 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-1191))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1119)) (-5 *2 (-1285)) (-5 *1 (-1232 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1119)) (-5 *2 (-1285)) (-5 *1 (-1232 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-790)) (-5 *6 (-141)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-4 *3 (-1089 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *7 *8 *9 *3 *4)) (-4 *4 (-1094 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-790)) (-5 *6 (-141)) (-4 *7 (-477)) (-4 *8 (-815)) (-4 *9 (-869)) (-4 *3 (-1089 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *7 *8 *9 *3 *4)) (-4 *4 (-1128 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *6 *7 *8 *3 *4)) (-4 *4 (-1128 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *5 *6 *7 *3 *4)) (-4 *4 (-1128 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-847))))) 
-(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 (-1191))) (-4 *6 (-388)) (-5 *2 (-658 (-310 (-980 *6)))) (-5 *1 (-567 *5 *6 *7)) (-4 *5 (-477)) (-4 *7 (-13 (-388) (-867)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-538 *3 *4 *5 *6))) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 *7)) (-4 *1 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 (-433 *3))) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-582)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-1119) (-39))) (-5 *1 (-1154 *3 *2)) (-4 *3 (-13 (-1119) (-39)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3548 (-804 *3)) (|:| |coef1| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -3548 *1) (|:| |coef1| *1))) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-4 *1 (-780)))) 
-(((*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-150))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *5)) (-5 *1 (-139 *5 *6 *3 *7 *4)) (-4 *3 (-346 *5 *7)) (-4 *4 (-137))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-3 (|:| |fn| (-414)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-5 *1 (-587)))) ((*1 *2 *1) (-12 (-4 *1 (-629 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))) (-5 *1 (-825))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-4 *4 (-373)) (-5 *2 (-706 *4)) (-5 *1 (-370 *4))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-592)) (-5 *1 (-256)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-658 (-1173))) (-5 *3 (-592)) (-5 *4 (-1173)) (-5 *1 (-256)))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-4 *1 (-1257 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075))))) 
-(((*1 *1 *1) (-4 *1 (-885)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-280 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-280 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-280 *2)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *1 (-1212 *2)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1212 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-658 (-1212 *2))) (-5 *1 (-1212 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-405)) (-5 *1 (-1087))))) 
-(((*1 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-394)) (-4 *2 (-388)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-141)) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-399 *2)) (-4 *2 (-1225)) (-4 *2 (-869)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (|has| *1 (-6 -4626)) (-4 *1 (-399 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *2))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-706 (-237))) (-5 *6 (-141)) (-5 *7 (-706 (-592))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-592)) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-894 *3 *4 *5)) (-4 (-884 *3) (-394)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-1187 (-592))) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-1187 (-592))) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-894 *3 *4 *5)) (-4 (-884 *3) (-394)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 (-592))) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 (-592))) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-389 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-141)) (-5 *6 (-237)) (-5 *7 (-706 (-592))) (-5 *8 (-3 (|:| |fn| (-414)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-414)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *1 *1 *1) (-4 *1 (-318))) ((*1 *1 *1) (-4 *1 (-318)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-867))) (-5 *1 (-200 *3 *2)) (-4 *2 (-1255 (-191 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-658 *2))) (-5 *4 (-658 *5)) (-4 *5 (-43 (-433 (-592)))) (-4 *2 (-1270 *5)) (-5 *1 (-1272 *5 *2))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3548 *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-1 *6 (-658 *6)))) (-4 *5 (-43 (-433 (-592)))) (-4 *6 (-1270 *5)) (-5 *2 (-658 *6)) (-5 *1 (-1272 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1255 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-1014 *4 *2 *3 *5)) (-4 *4 (-373)) (-4 *5 (-741 *2 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-772))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 *5)) (-4 *5 (-388)) (-4 *5 (-582)) (-5 *2 (-1280 *5)) (-5 *1 (-653 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 *5)) (-3252 (-4 *5 (-388))) (-4 *5 (-582)) (-5 *2 (-1280 (-433 *5))) (-5 *1 (-653 *5 *4))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1063)) (-5 *1 (-321))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-401 *4 *2)) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626))))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-195 *3)) (-4 *3 (-323)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-690 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-757 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-869)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-1009 *3)) (-4 *3 (-1075)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 *7)) (-4 *1 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-433 *5)) (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *1 (-172 *4 *5 *2)) (-4 *2 (-1255 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1193 (-433 (-592)))) (-5 *2 (-433 (-592))) (-5 *1 (-204)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-706 (-332 (-237)))) (-5 *3 (-658 (-1191))) (-5 *4 (-1280 (-332 (-237)))) (-5 *1 (-219)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-310 *3))) (-4 *3 (-325 *3)) (-4 *3 (-1119)) (-4 *3 (-1225)) (-5 *1 (-310 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-325 *2)) (-4 *2 (-1119)) (-4 *2 (-1225)) (-5 *1 (-310 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *1 *1)) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *1 (-658 *1))) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-143))) (-5 *3 (-658 (-1 *1 (-658 *1)))) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-143))) (-5 *3 (-658 (-1 *1 *1))) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1 *1 *1)) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1 *1 (-658 *1))) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-1 *1 (-658 *1)))) (-4 *1 (-318)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-1 *1 *1))) (-4 *1 (-318)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-310 *3))) (-4 *1 (-325 *3)) (-4 *3 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-310 *3)) (-4 *1 (-325 *3)) (-4 *3 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-592))) (-5 *4 (-1193 (-433 (-592)))) (-5 *1 (-326 *2)) (-4 *2 (-43 (-433 (-592)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 *1)) (-4 *1 (-400 *4 *5)) (-4 *4 (-869)) (-4 *5 (-194)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-400 *2 *3)) (-4 *2 (-869)) (-4 *3 (-194)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-790)) (-5 *4 (-1 *1 *1)) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-790)) (-5 *4 (-1 *1 (-658 *1))) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-790))) (-5 *4 (-658 (-1 *1 (-658 *1)))) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-658 (-790))) (-5 *4 (-658 (-1 *1 *1))) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-1075)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-658 (-143))) (-5 *3 (-658 *1)) (-5 *4 (-1191)) (-4 *1 (-456 *5)) (-4 *5 (-869)) (-4 *5 (-633 (-565))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1191)) (-4 *1 (-456 *4)) (-4 *4 (-869)) (-4 *4 (-633 (-565))))) ((*1 *1 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)) (-4 *2 (-633 (-565))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-1191))) (-4 *1 (-456 *3)) (-4 *3 (-869)) (-4 *3 (-633 (-565))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-456 *3)) (-4 *3 (-869)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-658 (-1191))) (-4 *3 (-977 *2 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *2)) (-4 *8 (-665 *2)) (-4 *4 (-947 *2 *8)) (-4 *9 (-257 *4)) (-4 *10 (-560 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 *6)) (-4 *6 (-977 *2 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-14 *5 (-658 (-1191))) (-4 *8 (-999 *2)) (-4 *9 (-665 *2)) (-4 *4 (-947 *2 *9)) (-4 *10 (-257 *4)) (-4 *11 (-560 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-137)) (-4 *2 (-388)) (-5 *1 (-491 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-547 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1225)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 *5)) (-4 *1 (-547 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1225)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-855 *3)) (-4 *3 (-388)) (-5 *1 (-735 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-735 *2)) (-4 *2 (-388)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-949 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-373)) (-5 *1 (-894 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-264 *5 *2)) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-264 *5 *2))) (-5 *4 (-948 *2)) (-14 *5 (-658 (-1191))) (-4 *2 (-388)) (-5 *1 (-895 *2 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-925 *2)) (-4 *2 (-1119)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *2 (-388)) (-5 *1 (-956 *2 *3 *5 *6 *4)) (-4 *3 (-346 *2 *5)) (-4 *4 (-999 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-433 (-980 *4))) (-5 *3 (-1191)) (-4 *4 (-582)) (-5 *1 (-1070 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 (-1191))) (-5 *4 (-658 (-433 (-980 *5)))) (-5 *2 (-433 (-980 *5))) (-4 *5 (-582)) (-5 *1 (-1070 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-310 (-433 (-980 *4)))) (-5 *2 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *1 (-1070 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-310 (-433 (-980 *4))))) (-5 *2 (-433 (-980 *4))) (-4 *4 (-582)) (-5 *1 (-1070 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1257 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1171 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1255 *5)) (-5 *1 (-744 *5 *2)) (-4 *5 (-388))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-191 (-592))) (-5 *2 (-141)) (-5 *1 (-471)))) ((*1 *2 *3) (-12 (-5 *3 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *2 (-141)) (-5 *1 (-539 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-989 *3)) (-4 *3 (-574)))) ((*1 *2 *1) (-12 (-4 *1 (-1235)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *2 (-658 (-237))) (-5 *1 (-497))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 (-332 (-237)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-405)) (|:| |stabilityFactor| (-405)))) (-5 *1 (-219))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-556 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-477)) (-5 *2 (-658 (-2 (|:| |eigval| (-3 (-433 (-980 *4)) (-1180 (-1191) (-980 *4)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 (-706 (-433 (-980 *4)))))))) (-5 *1 (-308 *4)) (-5 *3 (-706 (-433 (-980 *4))))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *5 (-706 (-237))) (-5 *4 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *1) (-5 *1 (-179)))) 
-(((*1 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-706 *4)) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) ((*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-631 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-631 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-53))) (-5 *3 (-658 (-631 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-53))) (-5 *3 (-631 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)))) ((*1 *2 *1) (-12 (-4 *1 (-349 *2)) (-4 *2 (-388)))) ((*1 *2 *1) (-12 (-4 *1 (-396 *2 *3)) (-4 *3 (-1255 *2)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-1021 *3)) (-5 *1 (-439 *3 *2 *4 *5)) (-4 *3 (-323)) (-4 *5 (-13 (-435 *2 *4) (-1065 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-1021 *3)) (-5 *1 (-440 *3 *2 *4 *5 *6)) (-4 *3 (-323)) (-4 *5 (-435 *2 *4)) (-14 *6 (-1280 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *2 (-13 (-430) (-1065 *5) (-388) (-1211) (-301))) (-5 *1 (-468 *5 *3 *2)) (-4 *3 (-1255 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-631 (-528)))) (-5 *1 (-528)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-631 (-528))) (-5 *1 (-528)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-528))) (-5 *3 (-658 (-631 (-528)))) (-5 *1 (-528)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1187 (-528))) (-5 *3 (-631 (-528))) (-5 *1 (-528)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-944)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-741 *4 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-794 *4 *2 *5 *3)) (-4 *3 (-1255 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)))) ((*1 *1 *1) (-4 *1 (-1084)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-790)) (-4 *6 (-1119)) (-4 *3 (-922 *6)) (-5 *2 (-706 *3)) (-5 *1 (-708 *6 *3 *7 *4)) (-4 *7 (-399 *3)) (-4 *4 (-13 (-399 *6) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-36 *3 *4)) (-4 *4 (-456 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-790)) (-5 *1 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-143)))) ((*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *4)) (-4 *4 (-456 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-143)) (-5 *1 (-184)))) ((*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *4)) (-4 *4 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-5 *2 (-143)) (-5 *1 (-317 *3)) (-4 *3 (-318)))) ((*1 *2 *2) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) ((*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *4 (-869)) (-5 *1 (-455 *3 *4)) (-4 *3 (-456 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *4)) (-4 *4 (-456 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-143)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) ((*1 *2 *2) (-12 (-5 *2 (-143)) (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *4)) (-4 *4 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *2))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-592))))) (-4 *2 (-582)) (-5 *1 (-444 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *4) (|:| -1777 (-592))))))) (-4 *4 (-1255 (-592))) (-5 *2 (-444 *4)) (-5 *1 (-467 *4))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-433 (-1187 (-332 *3)))) (-4 *3 (-13 (-582) (-869))) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-3 (|:| |overq| (-1187 (-433 (-592)))) (|:| |overan| (-1187 (-53))) (|:| -3550 (-141)))) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1075)) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-444 *3)) (-5 *1 (-383 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-456 *2)) (-4 *2 (-869)) (-4 *2 (-582)))) ((*1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) ((*1 *1 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *5 (-237)) (-5 *2 (-1063)) (-5 *1 (-771))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-5 *1 (-350))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1225)) (-5 *2 (-658 *1)) (-4 *1 (-1038 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1 *1) (-4 *1 (-153))) ((*1 *1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-631 *4)) (-5 *6 (-1187 *4)) (-4 *4 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-588 *7 *4 *3)) (-4 *3 (-670 *4)) (-4 *3 (-1119)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-631 *4)) (-5 *6 (-433 (-1187 *4))) (-4 *4 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-588 *7 *4 *3)) (-4 *3 (-670 *4)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-323)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-927 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1085 (-1051 *4) (-1187 (-1051 *4)))) (-5 *3 (-877)) (-5 *1 (-1051 *4)) (-4 *4 (-13 (-867) (-388) (-1049)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1255 (-592))) (-5 *1 (-520 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-516 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-264 *4 *5)) (-5 *1 (-972 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2) (-12 (-5 *2 (-986 (-1137))) (-5 *1 (-363 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) ((*1 *2) (-12 (-5 *2 (-986 (-1137))) (-5 *1 (-364 *3 *4)) (-4 *3 (-373)) (-14 *4 (-1187 *3)))) ((*1 *2) (-12 (-5 *2 (-986 (-1137))) (-5 *1 (-365 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-1251 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-911 *4 *5)) (-5 *3 (-911 *4 *6)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-683 *5)) (-5 *1 (-907 *4 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-129))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-1075)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-470 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-350))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-237)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-237)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-405)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-433 (-592))) (-5 *1 (-405))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1301 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-865))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-452 *5 *3)) (-4 *3 (-13 (-1211) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-1065 (-592)) (-171))) (-5 *2 (-609 (-433 (-980 *5)))) (-5 *1 (-598 *5)) (-5 *3 (-433 (-980 *5)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-477)))) ((*1 *1 *1 *1) (-4 *1 (-477))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-986 (-1229))) (-5 *4 (-592)) (-5 *2 (-1229)) (-5 *1 (-982))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *3 (-592)) (-4 *1 (-890 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1255 *6)) (-4 *6 (-13 (-27) (-456 *5))) (-4 *5 (-13 (-869) (-582) (-1065 (-592)))) (-4 *8 (-1255 (-433 *7))) (-5 *2 (-609 *3)) (-5 *1 (-577 *5 *6 *7 *8 *3)) (-4 *3 (-362 *6 *7 *8))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1225)) (-4 *5 (-399 *4)) (-4 *2 (-399 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *6 *2 *7)) (-4 *6 (-1075)) (-4 *7 (-252 *4 *6)) (-4 *2 (-252 *5 *6))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1009 *2)) (-4 *2 (-1075)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1075))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-574)))) ((*1 *1 *1) (-4 *1 (-1084)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-658 *10)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-944)) (-5 *5 (-658 *9)) (-4 *9 (-999 *6)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *4 (-977 *6 *8 (-879 *7))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *10 (-665 *6)) (-4 *11 (-947 *6 *10)) (-4 *12 (-257 *11)) (-4 *13 (-560 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-137)) (-5 *2 (-1285)) (-5 *1 (-580 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-280 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-658 (-949 *4))) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-658 (-948 *4))) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3253 (-706 (-433 (-980 *4)))) (|:| |vec| (-658 (-433 (-980 *4)))) (|:| -4175 (-790)) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592))))) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4))))))) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-1187 *4))) (-5 *3 (-1187 *4)) (-4 *4 (-931)) (-5 *1 (-680 *4))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 (-264 *5 *6))) (-4 *6 (-477)) (-5 *2 (-264 *5 *6)) (-14 *5 (-658 (-1191))) (-5 *1 (-646 *5 *6))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-388)) (-5 *1 (-677 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-1221 *3)) (-4 *3 (-1003))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-658 (-658 (-237)))) (-5 *4 (-237)) (-5 *2 (-658 (-971 *4))) (-5 *1 (-1222)) (-5 *3 (-971 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-658 (-790))) (-5 *1 (-798 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *6)) (-4 *7 (-977 *6 *4 *5))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-191 (-405)))) (-5 *1 (-350)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-405))) (-5 *1 (-350)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-592))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-191 (-405))))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-405)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-592)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-191 (-405))))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-405)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-592)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-191 (-405)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-405))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-592))) (-5 *1 (-350)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-710))) (-5 *1 (-350)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-715))) (-5 *1 (-350)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-332 (-717))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-710)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-715)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-332 (-717)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-710)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-715)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-332 (-717)))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-710))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-715))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1280 (-717))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-710))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-715))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-706 (-717))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-710))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-715))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-332 (-717))) (-5 *1 (-350)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1173)) (-5 *1 (-350)))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1173)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-278))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-55 *3 *4)) (-14 *4 (-658 (-1191))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-162 *5 *6 *7)) (-14 *5 (-592)) (-14 *6 (-790)) (-4 *7 (-194)) (-4 *8 (-194)) (-5 *2 (-162 *5 *6 *8)) (-5 *1 (-161 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-191 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-5 *2 (-191 *6)) (-5 *1 (-190 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-234 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-332 *3) (-332 *3))) (-4 *3 (-13 (-1075) (-869))) (-5 *1 (-235 *3 *4)) (-14 *4 (-658 (-1191))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-254 *5 *6)) (-14 *5 (-790)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-5 *2 (-254 *5 *7)) (-5 *1 (-253 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-310 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-310 *6)) (-5 *1 (-309 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-310 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1173)) (-5 *5 (-631 *6)) (-4 *6 (-318)) (-4 *2 (-1225)) (-5 *1 (-313 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-631 *5)) (-4 *5 (-318)) (-4 *2 (-318)) (-5 *1 (-314 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-631 *1)) (-4 *1 (-318)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-706 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-706 *6)) (-5 *1 (-320 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-332 *5)) (-4 *5 (-869)) (-4 *6 (-869)) (-5 *2 (-332 *6)) (-5 *1 (-330 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1075)) (-4 *7 (-1075)) (-4 *5 (-814)) (-4 *2 (-346 *7 *5)) (-5 *1 (-344 *5 *6 *4 *7 *2)) (-4 *4 (-346 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-356 *5 *6 *7 *8)) (-4 *5 (-388)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *9 (-388)) (-4 *10 (-1255 *9)) (-4 *11 (-1255 (-433 *10))) (-5 *2 (-356 *9 *10 *11 *12)) (-5 *1 (-353 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-362 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-358 *3)) (-4 *3 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1235)) (-4 *8 (-1235)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *9 (-1255 *8)) (-4 *2 (-362 *8 *9 *10)) (-5 *1 (-360 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-362 *5 *6 *7)) (-4 *10 (-1255 (-433 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-4 *2 (-399 *6)) (-5 *1 (-397 *5 *4 *6 *2)) (-4 *4 (-399 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-444 *5)) (-4 *5 (-582)) (-4 *6 (-582)) (-5 *2 (-444 *6)) (-5 *1 (-431 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-433 *5)) (-4 *5 (-582)) (-4 *6 (-582)) (-5 *2 (-433 *6)) (-5 *1 (-432 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-439 *5 *6 *7 *8)) (-4 *5 (-323)) (-4 *6 (-1021 *5)) (-4 *7 (-1255 *6)) (-4 *8 (-13 (-435 *6 *7) (-1065 *6))) (-4 *9 (-323)) (-4 *10 (-1021 *9)) (-4 *11 (-1255 *10)) (-5 *2 (-439 *9 *10 *11 *12)) (-5 *1 (-438 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-435 *10 *11) (-1065 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-4 *2 (-443 *6)) (-5 *1 (-441 *4 *5 *2 *6)) (-4 *4 (-443 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-582)) (-5 *1 (-444 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1075) (-869))) (-4 *6 (-13 (-1075) (-869))) (-4 *2 (-456 *6)) (-5 *1 (-447 *5 *4 *6 *2)) (-4 *4 (-456 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-451 *6)) (-5 *1 (-449 *5 *4 *6 *2)) (-4 *4 (-451 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-869)) (-5 *1 (-518 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-523 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-542 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-869)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-609 *5)) (-4 *5 (-388)) (-4 *6 (-388)) (-5 *2 (-609 *6)) (-5 *1 (-608 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3191 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-388)) (-4 *6 (-388)) (-5 *2 (-2 (|:| -3191 *6) (|:| |coeff| *6))) (-5 *1 (-608 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-388)) (-4 *2 (-388)) (-5 *1 (-608 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-388)) (-4 *6 (-388)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-608 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-622 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-622 *6)) (-5 *1 (-619 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-622 *6)) (-5 *5 (-622 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-622 *8)) (-5 *1 (-620 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1171 *6)) (-5 *5 (-622 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-1171 *8)) (-5 *1 (-620 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-622 *6)) (-5 *5 (-1171 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-1171 *8)) (-5 *1 (-620 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1225)) (-5 *1 (-622 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-658 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-658 *6)) (-5 *1 (-656 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-658 *6)) (-5 *5 (-658 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-658 *8)) (-5 *1 (-657 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1075)) (-4 *8 (-1075)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-4 *2 (-704 *8 *9 *10)) (-5 *1 (-702 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-704 *5 *6 *7)) (-4 *9 (-399 *8)) (-4 *10 (-399 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1075)) (-4 *8 (-1075)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-4 *2 (-704 *8 *9 *10)) (-5 *1 (-702 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-704 *5 *6 *7)) (-4 *9 (-399 *8)) (-4 *10 (-399 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-582)) (-4 *7 (-582)) (-4 *6 (-1255 *5)) (-4 *2 (-1255 (-433 *8))) (-5 *1 (-726 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1255 (-433 *6))) (-4 *8 (-1255 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1075)) (-4 *9 (-1075)) (-4 *5 (-869)) (-4 *6 (-815)) (-4 *2 (-977 *9 *7 *5)) (-5 *1 (-745 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-815)) (-4 *4 (-977 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-869)) (-4 *6 (-869)) (-4 *7 (-815)) (-4 *9 (-1075)) (-4 *2 (-977 *9 *8 *6)) (-5 *1 (-746 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-815)) (-4 *4 (-977 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-752 *5 *7)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-4 *7 (-743)) (-5 *2 (-752 *6 *7)) (-5 *1 (-751 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-752 *3 *4)) (-4 *4 (-743)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-804 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-804 *6)) (-5 *1 (-803 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-4 *2 (-819 *6)) (-5 *1 (-820 *4 *5 *2 *6)) (-4 *4 (-819 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-855 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-855 *6)) (-5 *1 (-854 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-855 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-855 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *1 (-854 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-862 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-862 *6)) (-5 *1 (-861 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-862 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-862 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *1 (-861 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-900 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-900 *6)) (-5 *1 (-899 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-902 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-902 *6)) (-5 *1 (-901 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-904 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-904 *6)) (-5 *1 (-903 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-911 *5 *6)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-911 *5 *7)) (-5 *1 (-910 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-914 *6)) (-5 *1 (-913 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-980 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-980 *6)) (-5 *1 (-974 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-869)) (-4 *8 (-1075)) (-4 *6 (-815)) (-4 *2 (-13 (-1119) (-10 -8 (-15 -3300 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-790)))))) (-5 *1 (-979 *6 *7 *8 *5 *2)) (-4 *5 (-977 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-986 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-986 *6)) (-5 *1 (-985 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-971 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-971 *6)) (-5 *1 (-1010 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-980 *4))) (-4 *4 (-1075)) (-4 *2 (-977 (-980 *4) *5 *6)) (-4 *5 (-815)) (-4 *6 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $)) (-15 -3983 ((-3 $ "failed") (-1191)))))) (-5 *1 (-1013 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-582)) (-4 *6 (-582)) (-4 *2 (-1021 *6)) (-5 *1 (-1019 *5 *6 *4 *2)) (-4 *4 (-1021 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-194)) (-4 *6 (-194)) (-4 *2 (-1025 *6)) (-5 *1 (-1026 *4 *5 *2 *6)) (-4 *4 (-1025 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-1028 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1075)) (-4 *10 (-1075)) (-14 *5 (-790)) (-14 *6 (-790)) (-4 *8 (-252 *6 *7)) (-4 *9 (-252 *5 *7)) (-4 *2 (-1078 *5 *6 *10 *11 *12)) (-5 *1 (-1080 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1078 *5 *6 *7 *8 *9)) (-4 *11 (-252 *6 *10)) (-4 *12 (-252 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1113 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1113 *6)) (-5 *1 (-1109 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1113 *5)) (-4 *5 (-867)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-658 *6)) (-5 *1 (-1109 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1111 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1111 *6)) (-5 *1 (-1110 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1114 *4 *2)) (-4 *4 (-867)) (-4 *2 (-1163 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1119)) (-5 *1 (-1161 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1171 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1171 *6)) (-5 *1 (-1169 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1171 *6)) (-5 *5 (-1171 *7)) (-4 *6 (-1225)) (-4 *7 (-1225)) (-4 *8 (-1225)) (-5 *2 (-1171 *8)) (-5 *1 (-1170 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1187 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-5 *2 (-1187 *6)) (-5 *1 (-1184 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1202 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1243 *5 *7 *9)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-14 *7 (-1191)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1243 *6 *8 *10)) (-5 *1 (-1238 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1191)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1246 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1246 *6)) (-5 *1 (-1245 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1246 *5)) (-4 *5 (-867)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1171 *6)) (-5 *1 (-1245 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1252 *5 *6)) (-14 *5 (-1191)) (-4 *6 (-1075)) (-4 *8 (-1075)) (-5 *2 (-1252 *7 *8)) (-5 *1 (-1247 *5 *6 *7 *8)) (-14 *7 (-1191)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-4 *2 (-1255 *6)) (-5 *1 (-1253 *5 *4 *6 *2)) (-4 *4 (-1255 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1264 *5 *7 *9)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-14 *7 (-1191)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1264 *6 *8 *10)) (-5 *1 (-1259 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1191)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1075)) (-4 *6 (-1075)) (-4 *2 (-1270 *6)) (-5 *1 (-1268 *5 *6 *4 *2)) (-4 *4 (-1270 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1280 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1280 *6)) (-5 *1 (-1279 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1280 *5)) (-4 *5 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1280 *6)) (-5 *1 (-1279 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-1301 *3 *4)) (-4 *4 (-865))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *5 (-1065 (-53))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-444 (-1187 (-53)))) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *4 (-1173)) (-4 *5 (-13 (-323) (-171))) (-4 *8 (-977 *5 *7 *6)) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-658 (-631 *3))) (|:| |vals| (-658 *3)))) (-5 *1 (-295 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(((*1 *2 *3 *3 *3 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1191)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1173)) (-5 *1 (-1018)))) ((*1 *2 *3 *1) (|partial| -12 (-5 *2 (-310 (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) ((*1 *2 *1 *3) (|partial| -12 (-5 *2 (-310 (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-1113 *4)) (-4 *4 (-1225)) (-5 *1 (-1111 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-944)) (-4 *4 (-1075)) (-5 *1 (-1056 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 (-706 *4))) (-5 *3 (-944)) (-4 *4 (-1075)) (-5 *1 (-1056 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-790)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |det| *8) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (-5 *1 (-951 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-143))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-658 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1073))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)) (-4 *2 (-869)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-141) *3 *3)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-869))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1113 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-433 (-980 *4)))) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-631 *5)) (-4 *5 (-456 *4)) (-4 *4 (-1065 (-592))) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-1187 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-631 *1)) (-4 *1 (-1075)) (-4 *1 (-318)) (-5 *2 (-1187 *1))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1207)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1207))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1193 (-433 (-592)))) (-5 *2 (-433 (-592))) (-5 *1 (-204))))) 
-(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 (-433 *3))) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-715)) (-5 *1 (-321))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-37 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-5 *1 (-935 *3 *2 *4 *5)) (-4 *2 (-346 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-388)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-956 *4 *2 *5 *6 *3)) (-4 *2 (-346 *4 *5)) (-4 *3 (-999 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-388)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-5 *1 (-956 *5 *2 *6 *7 *3)) (-4 *2 (-346 *5 *6)) (-4 *3 (-999 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-417))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-463)) (-5 *1 (-1195))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-993 *2 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-1187 *3)) (-5 *1 (-1200 *3)) (-4 *3 (-388))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-1075)) (-5 *2 (-516 *4 *5)) (-5 *1 (-972 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-477)) (-5 *2 (-658 (-2 (|:| |eigval| (-3 (-433 (-980 *4)) (-1180 (-1191) (-980 *4)))) (|:| |geneigvec| (-658 (-706 (-433 (-980 *4)))))))) (-5 *1 (-308 *4)) (-5 *3 (-706 (-433 (-980 *4))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-658 (-1191))) (-5 *1 (-224)) (-5 *3 (-1191)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-790)) (-5 *2 (-658 (-1191))) (-5 *1 (-285)))) ((*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-841 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-658 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-497)) (-5 *3 (-658 (-278))) (-5 *1 (-1281)))) ((*1 *1 *1) (-5 *1 (-1281)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-389 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-1173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-332 (-592)))) (-5 *1 (-1059))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-658 (-1097 *4 *5 *2))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-658 (-1097 *5 *6 *2))) (-5 *4 (-944)) (-4 *5 (-1119)) (-4 *6 (-13 (-1075) (-908 *5) (-869) (-633 (-914 *5)))) (-4 *2 (-13 (-456 *6) (-908 *5) (-633 (-914 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-1065 (-592))) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-36 *4 *2)) (-4 *2 (-456 *4)))) ((*1 *1 *1 *1) (-5 *1 (-160))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1 *1) (-5 *1 (-237))) ((*1 *1 *1 *2) (-12 (-4 *1 (-260)) (-5 *2 (-592)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-388)) (-4 *4 (-43 *3)) (-4 *5 (-1270 *4)) (-5 *1 (-296 *4 *5 *2)) (-4 *2 (-1241 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-388)) (-4 *4 (-43 *3)) (-4 *5 (-1239 *4)) (-5 *1 (-297 *4 *5 *2 *6)) (-4 *2 (-1262 *4 *5)) (-4 *6 (-1012 *5)))) ((*1 *1 *1 *1) (-4 *1 (-301))) ((*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-386 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *1) (-5 *1 (-405))) ((*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-456 *3)) (-4 *3 (-869)) (-4 *3 (-1131)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-502)) (-5 *2 (-592)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-592)) (-4 *4 (-373)) (-5 *1 (-556 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-565)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-565)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-790)) (-4 *4 (-1119)) (-5 *1 (-698 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-4 *3 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *1 (-707 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *3 (-1075)) (-5 *1 (-731 *3 *4)) (-4 *4 (-661 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-592)) (-4 *4 (-1075)) (-5 *1 (-731 *4 *5)) (-4 *5 (-661 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-737)) (-5 *2 (-944)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-739)) (-5 *2 (-790)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-743)) (-5 *2 (-790)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-760 *2 *3)) (-14 *2 (-1191)) (-4 *3 (-13 (-1075) (-869) (-582))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-790)) (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-856 *3)) (-4 *3 (-1075)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-592)) (-5 *1 (-856 *4)) (-4 *4 (-1075)))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1030)) (-5 *2 (-433 (-592))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1131)) (-5 *2 (-944)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1140 *3 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *6 (-252 *3 *4)) (-4 *4 (-388)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *1) (-5 *1 (-350)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1119)) (-5 *2 (-1173)))) ((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1129)) (-5 *3 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1285)) (-5 *1 (-1233)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1285)) (-5 *1 (-1233))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-737)) (-5 *2 (-944)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-739)) (-5 *2 (-790))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-141) (-143) (-143))) (-5 *1 (-143))))) 
-(((*1 *1) (-5 *1 (-141)))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-706 (-592))) (-5 *1 (-1129))))) 
-(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1255 *9)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-323)) (-4 *10 (-977 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-658 (-1187 *10))) (|:| |dterm| (-658 (-658 (-2 (|:| -3336 (-790)) (|:| |pcoef| *10))))) (|:| |nfacts| (-658 *6)) (|:| |nlead| (-658 *10)))) (-5 *1 (-798 *6 *7 *8 *9 *10)) (-5 *3 (-1187 *10)) (-5 *4 (-658 *6)) (-5 *5 (-658 *10))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-790))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1280 *5)) (-5 *3 (-790)) (-5 *4 (-1137)) (-4 *5 (-373)) (-5 *1 (-556 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-252 *3 *4)) (-4 *4 (-1075)) (-4 *4 (-1225)))) ((*1 *1 *2) (-12 (-14 *3 (-658 (-1191))) (-4 *4 (-194)) (-4 *5 (-252 (-1699 *3) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *5)) (-2 (|:| -1825 *2) (|:| -3215 *5)))) (-5 *1 (-487 *3 *4 *2 *5 *6 *7)) (-4 *2 (-869)) (-4 *7 (-977 *4 *5 (-879 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222))))) 
-(((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-999 *3)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-995 *3))) (-4 *3 (-373)) (-5 *1 (-894 *3 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-994 *3))) (-4 *3 (-388)) (-5 *1 (-895 *3 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1237 *2)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1271 *2 *3 *4)) (-4 *2 (-1075)) (-14 *3 (-1191)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1275 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-1191))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3))))) 
-(((*1 *1) (-4 *1 (-373))) ((*1 *2 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-456 *4)) (-4 *4 (-13 (-582) (-869) (-171))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-658 (-1187 *5))) (|:| |prim| (-1187 *5)))) (-5 *1 (-458 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-582) (-869) (-171))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1187 *3)) (|:| |pol2| (-1187 *3)) (|:| |prim| (-1187 *3)))) (-5 *1 (-458 *4 *3)) (-4 *3 (-27)) (-4 *3 (-456 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-980 *5)) (-5 *4 (-1191)) (-4 *5 (-13 (-388) (-171))) (-5 *2 (-2 (|:| |coef1| (-592)) (|:| |coef2| (-592)) (|:| |prim| (-1187 *5)))) (-5 *1 (-988 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-658 (-1191))) (-4 *5 (-13 (-388) (-171))) (-5 *2 (-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 *5))) (|:| |prim| (-1187 *5)))) (-5 *1 (-988 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-980 *6))) (-5 *4 (-658 (-1191))) (-5 *5 (-1191)) (-4 *6 (-13 (-388) (-171))) (-5 *2 (-2 (|:| -1487 (-658 (-592))) (|:| |poly| (-658 (-1187 *6))) (|:| |prim| (-1187 *6)))) (-5 *1 (-988 *6))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-241 *2)) (-4 *2 (-13 (-388) (-1211)))))) 
-(((*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2) (-12 (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-894 *3 *4 *5)) (-4 (-884 *3) (-394)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2) (-12 (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1275 (-592) -4132)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-706 *2)) (-5 *4 (-790)) (-4 *2 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *5 (-1255 *2)) (-5 *1 (-532 *2 *5 *6)) (-4 *6 (-435 *2 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *2 (-137))))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-582)) (-4 *2 (-194))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-658 (-2 (|:| -3511 *1) (|:| -1774 (-658 *7))))) (-5 *3 (-658 *7)) (-4 *1 (-1219 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *6)))) (-5 *4 (-1054 (-862 (-592)))) (-5 *5 (-1191)) (-5 *7 (-433 (-592))) (-4 *6 (-1075)) (-5 *2 (-877)) (-5 *1 (-617 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-160))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-582)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-388)) (-5 *1 (-677 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-658 *4))) (-5 *3 (-658 *4)) (-4 *4 (-388)) (-5 *1 (-677 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-885)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-1255 *4)) (-4 *4 (-1075)) (-5 *2 (-1280 *4))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *3 (-582))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-592)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1173)) (-5 *1 (-321))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1005 *4 *5 *3 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-4 *6 (-1089 *4 *5 *3)) (-5 *2 (-141))))) 
-(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-658 (-1191))) (-4 *2 (-194)) (-4 *3 (-252 (-1699 *4) (-790))) (-14 *6 (-1 (-141) (-2 (|:| -1825 *5) (|:| -3215 *3)) (-2 (|:| -1825 *5) (|:| -3215 *3)))) (-5 *1 (-487 *4 *2 *5 *3 *6 *7)) (-4 *5 (-869)) (-4 *7 (-977 *2 *3 (-879 *4)))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-146 *4)) (-14 *4 *3) (-5 *3 (-592)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-892 *4)) (-14 *4 *3) (-5 *3 (-592)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-433 (-592))) (-5 *1 (-893 *4 *5)) (-5 *3 (-592)) (-4 *5 (-890 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1040)) (-5 *2 (-433 (-592))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1091 *2 *3)) (-4 *2 (-13 (-867) (-388))) (-4 *3 (-1255 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1257 *2 *3)) (-4 *3 (-814)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -1683 (*2 (-1191)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-582)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-658 *7)) (|:| |badPols| (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-691 *3)) (-4 *3 (-1075)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 *4)) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-1161 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1156 *4 *2)) (-14 *4 (-944)) (-4 *2 (-13 (-1075) (-10 -7 (-6 (-4627 "*"))))) (-5 *1 (-924 *4 *2))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-13 (-869) (-10 -8 (-15 -1778 ((-1191) $))))) (-4 *6 (-582)) (-5 *2 (-2 (|:| -4079 (-980 *6)) (|:| -1817 (-980 *6)))) (-5 *1 (-749 *4 *5 *6 *3)) (-4 *3 (-977 (-433 (-980 *6)) *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1087)) (-5 *3 (-1173))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-658 (-980 *4))) (-5 *3 (-658 (-1191))) (-4 *4 (-477)) (-5 *1 (-941 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-351 *3)) (-4 *3 (-869))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-606))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -1608 (-143)) (|:| |arg| (-658 (-914 *3))))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-143)) (-5 *2 (-658 (-914 *4))) (-5 *1 (-914 *4)) (-4 *4 (-1119))))) 
-(((*1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-477) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-123 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-13 (-477) (-171))) (-5 *2 (-444 *3)) (-5 *1 (-123 *5 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-141) *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |goodPols| (-658 *8)) (|:| |badPols| (-658 *8)))) (-5 *1 (-1006 *5 *6 *7 *8)) (-5 *4 (-658 *8))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1171 (-592))) (-5 *1 (-1175 *4)) (-4 *4 (-1075)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-1235)) (-4 *5 (-1255 *3)) (-4 *6 (-1255 (-433 *5))) (-5 *2 (-141)) (-5 *1 (-361 *4 *3 *5 *6)) (-4 *4 (-362 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-4 *5 (-1255 *4)) (-5 *2 (-1285)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1255 (-433 *5))) (-14 *7 *6)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-788)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) (-5 *1 (-593)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-788)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))) (|:| |extra| (-1063)))) (-5 *1 (-593)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-809)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-809)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)) (|:| |extra| (-1063)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-822)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) ((*1 *2 *3) (-12 (-5 *3 (-830)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-827)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-830)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-827)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-858)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-858)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) ((*1 *2 *3) (-12 (-5 *3 (-860)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-859)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-860)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-859)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-917)) (-5 *3 (-1087)) (-5 *4 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *2 (-2 (|:| -2617 (-405)) (|:| |explanations| (-1173)))))) ((*1 *2 *3) (-12 (-5 *3 (-920)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-919)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-920)) (-5 *4 (-1087)) (-5 *2 (-2 (|:| -2617 (-405)) (|:| -4095 (-1173)) (|:| |explanations| (-658 (-1173))))) (-5 *1 (-919))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-141) *6 *6)) (-4 *6 (-869)) (-5 *4 (-658 *6)) (-5 *2 (-2 (|:| |fs| (-141)) (|:| |sd| *4) (|:| |td| (-658 *4)))) (-5 *1 (-1197 *6)) (-5 *5 (-658 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-405)))) (-5 *2 (-1113 (-862 (-237)))) (-5 *1 (-321))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *5 (-1089 *3 *4 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-843))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-658 *2) *2 *2 *2)) (-4 *2 (-1119)) (-5 *1 (-126 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1119)) (-5 *1 (-126 *2))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-356 *5 *6 *7 *8)) (-4 *5 (-456 *4)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-2 (|:| -4346 (-790)) (|:| -1325 *8))) (-5 *1 (-933 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-356 (-433 (-592)) *4 *5 *6)) (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 (-433 (-592)) *4 *5)) (-5 *2 (-2 (|:| -4346 (-790)) (|:| -1325 *6))) (-5 *1 (-934 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-389 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119)))) ((*1 *1 *1) (-5 *1 (-647)))) 
-(((*1 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-931)) (-5 *1 (-483 *3 *4 *2 *5)) (-4 *5 (-977 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-931)) (-5 *1 (-928 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-931)) (-5 *1 (-929 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815)) (-5 *2 (-658 *6)) (-5 *1 (-1016 *3 *4 *5 *6)) (-4 *6 (-977 *3 *5 *4))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-582)) (-4 *3 (-194)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2195 (-658 *1)))) (-4 *1 (-392 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-478 *3 *4 *5 *6)) (|:| -2195 (-658 (-478 *3 *4 *5 *6))))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-706 (-237))) (-5 *4 (-592)) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-2 (|:| -2838 *5) (|:| -2724 *5)))) (-5 *1 (-829 *4 *5 *3 *6)) (-4 *3 (-670 *5)) (-4 *6 (-670 (-433 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *4 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -2838 *4) (|:| -2724 *4)))) (-5 *1 (-829 *5 *4 *3 *6)) (-4 *3 (-670 *4)) (-4 *6 (-670 (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-2 (|:| -2838 *5) (|:| -2724 *5)))) (-5 *1 (-829 *4 *5 *6 *3)) (-4 *6 (-670 *5)) (-4 *3 (-670 (-433 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *4 (-1255 *5)) (-5 *2 (-658 (-2 (|:| -2838 *4) (|:| -2724 *4)))) (-5 *1 (-829 *5 *4 *6 *3)) (-4 *6 (-670 *4)) (-4 *3 (-670 (-433 *4)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *1 (-532 *3 *4 *5)) (-4 *5 (-435 *3 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1095 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1127 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-658 *8)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-631 *3)) (-4 *3 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-594 *5 *3 *6)) (-4 *6 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-4 *4 (-373)) (-5 *2 (-1285)) (-5 *1 (-556 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-592))) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-582)) (-4 *8 (-977 *7 *5 *6)) (-5 *2 (-2 (|:| -3215 (-790)) (|:| -1487 *9) (|:| |radicand| *9))) (-5 *1 (-981 *5 *6 *7 *8 *9)) (-5 *4 (-790)) (-4 *9 (-13 (-388) (-10 -8 (-15 -1448 (*8 $)) (-15 -1456 (*8 $)) (-15 -1683 ($ *8)))))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-1119)) (-4 *2 (-922 *4)) (-5 *1 (-708 *4 *2 *5 *3)) (-4 *5 (-399 *2)) (-4 *3 (-13 (-399 *4) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *7)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-658 (-995 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-658 (-994 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-252 (-1699 *5) (-790))) (-5 *2 (-658 *7)) (-5 *1 (-991 *4 *5 *3 *6 *7)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *7 (-999 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-691 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))) (-5 *1 (-1095 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-4 *4 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-374 *3 *4 *5)) (-4 *5 (-435 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-787 *4 *5)) (-4 *5 (-435 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-1014 *4 *3 *5 *6)) (-4 *6 (-741 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 *3)) (-5 *2 (-2 (|:| -2195 (-706 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-706 *3)))) (-5 *1 (-1289 *4 *3 *5 *6)) (-4 *6 (-435 *3 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-141)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-477)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-1006 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-790)) (|:| -3489 *4))) (-5 *5 (-790)) (-4 *4 (-977 *6 *7 *8)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-474 *6 *7 *8 *4))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-141)) (-5 *3 (-980 *6)) (-5 *4 (-1191)) (-5 *5 (-862 *7)) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-4 *7 (-13 (-1211) (-29 *6))) (-5 *1 (-236 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-141)) (-5 *3 (-1187 *6)) (-5 *4 (-862 *6)) (-4 *6 (-13 (-1211) (-29 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-236 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-790)) (-5 *1 (-143))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *2 (-582)) (-5 *1 (-998 *2 *4)) (-4 *4 (-1255 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *9)) (-5 *6 (-658 (-790))) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-346 *7 (-790))) (-4 *9 (-346 (-433 *7) (-790))) (-5 *2 (-706 (-1187 *7))) (-5 *1 (-368 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *9)) (-5 *6 (-790)) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-346 *7 *6)) (-4 *9 (-346 (-433 *7) *6)) (-5 *2 (-1171 (-706 (-1187 *7)))) (-5 *1 (-368 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *8)) (-5 *6 (-658 (-790))) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-52 *7 (-790))) (-5 *2 (-706 (-1187 *7))) (-5 *1 (-369 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-658 *7)) (-5 *4 (-1 *7 (-790) (-790) *8)) (-5 *5 (-1280 *8)) (-5 *6 (-790)) (-4 *7 (-13 (-582) (-477))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1171 (-706 (-1187 *7)))) (-5 *1 (-369 *7 *8))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1160 *5 (-558 (-879 *6)) (-879 *6) (-802 *5 (-879 *6))))) (-5 *1 (-643 *5 *6))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-191 (-237)))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-658 (-332 (-237)))) (-5 *3 (-237)) (-5 *2 (-141)) (-5 *1 (-224))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-633 (-914 (-592)))) (-4 *5 (-908 (-592))) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-595 *5 *3)) (-4 *3 (-644)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1191)) (-5 *4 (-862 *2)) (-4 *2 (-1153)) (-4 *2 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-633 (-914 (-592)))) (-4 *5 (-908 (-592))) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *1 (-595 *5 *2))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-258 (-949 *4))) (-4 *4 (-373)) (-5 *2 (-706 *4)) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-658 (-949 *5))) (-4 *5 (-373)) (-5 *2 (-706 *5)) (-5 *1 (-894 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-258 (-948 *4))) (-4 *4 (-388)) (-5 *2 (-706 *4)) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-948 *5))) (-5 *4 (-658 (-948 *5))) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-895 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-954))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-150))) (-5 *1 (-150))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1191)) (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *1 (-1194))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-658 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-592)) (-5 *4 (-706 (-237))) (-5 *2 (-1063)) (-5 *1 (-774))))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-790)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-96 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-234 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-518 *4)) (-4 *4 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1028 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1161 *4)) (-4 *4 (-1119)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-141)) (-5 *1 (-1232 *3)) (-4 *3 (-1119)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-141) *3 *3)) (-4 *3 (-1119)) (-5 *2 (-141)) (-5 *1 (-1232 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-278))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-405)) (-5 *1 (-285)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *2 (-405)) (-5 *1 (-321))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-350))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 (-1 *4 (-658 *4)))) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-143)) (-5 *2 (-658 (-1 *4 (-658 *4)))) (-5 *1 (-142 *4)) (-4 *4 (-1119))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-4 *4 (-194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)) (-4 *3 (-194))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-592)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1225)) (-4 *3 (-399 *4)) (-4 *5 (-399 *4))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-405)) (-5 *3 (-1173)) (-5 *1 (-118)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-405)) (-5 *3 (-1173)) (-5 *1 (-118))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-1149 *4 *2)) (-4 *2 (-13 (-625 (-592) *4) (-10 -7 (-6 -4625) (-6 -4626)))))) ((*1 *2 *2) (-12 (-4 *3 (-869)) (-4 *3 (-1225)) (-5 *1 (-1149 *3 *2)) (-4 *2 (-13 (-625 (-592) *3) (-10 -7 (-6 -4625) (-6 -4626))))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-583 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-790)) (-4 *4 (-1075)) (-5 *1 (-707 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592)))) ((*1 *2 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-592))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-5 *1 (-610 *2)) (-4 *2 (-574))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-627 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-5 *1 (-647)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-582)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-477)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1187 *6)) (-4 *6 (-977 *5 *3 *4)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-931)) (-5 *1 (-483 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1187 *1)) (-4 *1 (-931))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-269 *3)) (-4 *3 (-1225)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-790)))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-877))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-790)) (-4 *6 (-388)) (-5 *4 (-1220 *6)) (-5 *2 (-1 (-1171 *4) (-1171 *4))) (-5 *1 (-1288 *6)) (-5 *5 (-1171 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1255 *6)) (-4 *6 (-13 (-27) (-456 *5))) (-4 *5 (-13 (-869) (-582) (-1065 (-592)))) (-4 *8 (-1255 (-433 *7))) (-5 *2 (-609 *3)) (-5 *1 (-577 *5 *6 *7 *8 *3)) (-4 *3 (-362 *6 *7 *8))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1283))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-944) "arbitrary")) (-5 *1 (-489))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-433 *5)) (|:| |c2| (-433 *5)) (|:| |deg| (-790)))) (-5 *1 (-172 *4 *5 *3)) (-4 *3 (-1255 (-433 *5)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-1249 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-4 *2 (-1255 *4)) (-5 *1 (-945 *4 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-574)) (-5 *1 (-181 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-293))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-631 *3)) (-5 *5 (-1 (-1187 *3) (-1187 *3))) (-4 *3 (-13 (-27) (-456 *6))) (-4 *6 (-13 (-869) (-582))) (-5 *2 (-609 *3)) (-5 *1 (-576 *6 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-658 (-804 *3))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1191)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-658 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3191 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1211) (-27) (-456 *8))) (-4 *8 (-13 (-477) (-869) (-171) (-1065 *3) (-654 *3))) (-5 *3 (-592)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1954 *4) (|:| |sol?| (-141)))) (-5 *1 (-1041 *8 *4))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-912 *4 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-433 (-592))) (-5 *1 (-459 *4 *3)) (-4 *3 (-456 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-631 *3)) (-4 *3 (-456 *5)) (-4 *5 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-459 *5 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-132)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-565))) (-5 *1 (-565))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-399 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1212 *2)) (-4 *2 (-1119))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1291 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-658 *8)) (-5 *3 (-1 (-141) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1291 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1187 *7)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *2 (-1255 *5)) (-5 *1 (-534 *5 *2 *6 *7)) (-4 *6 (-1255 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-592)) (|:| |c| *4))) (-5 *1 (-801 *4)) (-4 *4 (-388)) (-5 *3 (-592))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1005 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *5 (-1089 *3 *4 *2))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *9 (-665 *6)) (-5 *2 (-658 *9)) (-5 *1 (-679 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-977 *6 *8 (-879 *7))) (-4 *3 (-999 *6)) (-4 *10 (-947 *6 *9))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-927 *4)) (-4 *4 (-1119)) (-5 *2 (-658 (-790))) (-5 *1 (-926 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-1280 *2)) (-4 *5 (-323)) (-4 *6 (-1021 *5)) (-4 *2 (-13 (-435 *6 *7) (-1065 *6))) (-5 *1 (-439 *5 *6 *7 *2)) (-4 *7 (-1255 *6))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-392 *2)) (-4 *2 (-194)) (-4 *2 (-582)))) ((*1 *1 *1) (|partial| -4 *1 (-739)))) 
-(((*1 *1) (-5 *1 (-463)))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1239 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-237)) (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1191)) (-4 *4 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-603 *4 *2)) (-4 *2 (-13 (-1211) (-987) (-1153) (-29 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-310 *3))) (-5 *1 (-310 *3)) (-4 *3 (-582)) (-4 *3 (-1225))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-706 (-592))) (-5 *3 (-658 (-592))) (-5 *1 (-1129))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592)))))) (-5 *2 (-658 (-433 (-592)))) (-5 *1 (-1047 *4)) (-4 *4 (-1255 (-592)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1225)) (-5 *2 (-658 *1)) (-4 *1 (-1038 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1179 *3 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-658 *9)) (-5 *3 (-1 (-141) *9)) (-5 *4 (-1 (-141) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1089 *6 *7 *8)) (-4 *6 (-582)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *1 (-1006 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-141)) (|:| -2165 *4)))) (-5 *1 (-795 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) ((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-986 (-237))) (-5 *1 (-135))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1138 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *2 (-1 *5 *5)) (-5 *1 (-826 *4 *5)) (-4 *5 (-13 (-29 *4) (-1211) (-987)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1255 *4)) (-4 *4 (-1235)) (-4 *1 (-362 *4 *3 *5)) (-4 *5 (-1255 (-433 *3)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *1 (-335)) (-5 *3 (-237))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| |radval| (-332 (-592))) (|:| |radmult| (-592)) (|:| |radvect| (-658 (-706 (-332 (-592)))))))) (-5 *1 (-1059))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1072 *4 *5)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *4)) (|:| -2231 (-658 (-980 *4)))))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1304 *5 *6 *7)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1304 *5 *6 *7)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1304 *5 *6 *7)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *4)) (|:| -2231 (-658 (-980 *4)))))) (-5 *1 (-1304 *4 *5 *6)) (-5 *3 (-658 (-980 *4))) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-515))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1195))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1150 (-237))) (-5 *3 (-658 (-278))) (-5 *1 (-1282)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1150 (-237))) (-5 *3 (-1173)) (-5 *1 (-1282)))) ((*1 *1 *1) (-5 *1 (-1282)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-592)) (-5 *4 (-1 (-1285) (-1123))) (-5 *2 (-1285)) (-5 *1 (-122))))) 
-(((*1 *2) (-12 (-4 *3 (-394)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *9)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-658 (-949 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-658 (-948 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-477)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1116 *3)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) ((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-592))) (-5 *1 (-1073))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-592)) (-4 *3 (-194)) (-4 *5 (-399 *3)) (-4 *6 (-399 *3)) (-5 *1 (-705 *3 *5 *6 *2)) (-4 *2 (-704 *3 *5 *6))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *3)) (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-658 (-658 *4))) (-5 *1 (-1197 *4)) (-5 *3 (-658 *4))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-566 *4 *2)) (-4 *2 (-1270 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-13 (-388) (-394) (-633 *3))) (-4 *5 (-1255 *4)) (-4 *6 (-741 *4 *5)) (-5 *1 (-570 *4 *5 *6 *2)) (-4 *2 (-1270 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-13 (-388) (-394) (-633 *3))) (-5 *1 (-571 *4 *2)) (-4 *2 (-1270 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-592)) (-4 *4 (-13 (-582) (-171))) (-5 *1 (-1166 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-566 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-4 *4 (-1255 *3)) (-4 *5 (-741 *3 *4)) (-5 *1 (-570 *3 *4 *5 *2)) (-4 *2 (-1270 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-5 *1 (-571 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1166 *3))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1249 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-658 (-706 *6))) (-5 *4 (-141)) (-5 *5 (-592)) (-5 *2 (-706 *6)) (-5 *1 (-1057 *6)) (-4 *6 (-388)) (-4 *6 (-1075)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-706 *4))) (-5 *2 (-706 *4)) (-5 *1 (-1057 *4)) (-4 *4 (-388)) (-4 *4 (-1075)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-5 *4 (-592)) (-5 *2 (-706 *5)) (-5 *1 (-1057 *5)) (-4 *5 (-388)) (-4 *5 (-1075))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-790)) (-4 *4 (-373)) (-5 *1 (-229 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *1 *2 *3) (-12 (-4 *4 (-388)) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-665 *4)) (-4 *8 (-947 *4 *7)) (-4 *1 (-560 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *2 (-999 *4)) (-4 *9 (-257 *8)) (-4 *10 (-137)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1191)) (-4 *8 (-388)) (-5 *5 (-790)) (-4 *12 (-252 (-1699 *10) *5)) (-4 *13 (-665 *8)) (-4 *14 (-947 *8 *13)) (-4 *1 (-560 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-977 *8 *12 (-879 *10))) (-4 *2 (-999 *8)) (-4 *7 (-257 *14)) (-4 *6 (-137)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-4 *3 (-388)) (-4 *1 (-947 *3 *4)) (-4 *4 (-665 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-947 *3 *4)) (-4 *4 (-665 *3)))) ((*1 *1) (-5 *1 (-1103)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *1 (-285))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |val| (-658 *6)) (|:| -2165 *7)))) (-4 *6 (-1089 *3 *4 *5)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1017 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-2 (|:| |val| (-658 *6)) (|:| -2165 *7)))) (-4 *6 (-1089 *3 *4 *5)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1126 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-191 (-237)))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-706 *5))) (-4 *5 (-323)) (-4 *5 (-1075)) (-5 *2 (-1280 (-1280 *5))) (-5 *1 (-1057 *5)) (-5 *4 (-1280 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-191 (-332 *4))) (-5 *1 (-202 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 (-191 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-191 *3)) (-5 *1 (-1215 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-814)) (-5 *2 (-141)) (-5 *1 (-864 *4 *5)) (-14 *4 (-790))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1075)) (-5 *1 (-469 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-37 *4)) (-4 *4 (-388)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-444 *3)) (-4 *3 (-574)) (-4 *3 (-582)))) ((*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-819 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-855 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-862 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-999 *4)) (-4 *4 (-388)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-1036 *3)) (-4 *3 (-1065 (-433 (-592))))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-582)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-705 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-592)) (-4 *5 (-867)) (-4 *5 (-388)) (-5 *2 (-790)) (-5 *1 (-973 *5 *6)) (-4 *6 (-1255 *5))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-582)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1216 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1225)) (-5 *2 (-790)) (-5 *1 (-201 *4 *3)) (-4 *3 (-690 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *5)) (-4 *5 (-654 *4)) (-4 *4 (-582)) (-5 *2 (-141)) (-5 *1 (-653 *4 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1075)) (-4 *3 (-869)) (-5 *2 (-2 (|:| |val| *1) (|:| -3215 (-592)))) (-4 *1 (-456 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-914 *3)) (|:| -3215 (-914 *3)))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3215 (-592)))) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) ((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-239)))) ((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2934 *1))) (-4 *1 (-871 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-373)) (-5 *2 (-444 (-1187 (-1187 *5)))) (-5 *1 (-1224 *5)) (-5 *3 (-1187 (-1187 *5)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *2 (-922 *5)) (-5 *1 (-708 *5 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-237)) (-5 *1 (-844))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-141) *5 *5)) (-4 *5 (-13 (-1119) (-39))) (-5 *2 (-141)) (-5 *1 (-1154 *4 *5)) (-4 *4 (-13 (-1119) (-39)))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-658 (-980 *6))) (-5 *4 (-658 (-1191))) (-4 *6 (-477)) (-5 *2 (-658 (-658 *7))) (-5 *1 (-567 *6 *7 *5)) (-4 *7 (-388)) (-4 *5 (-13 (-388) (-867)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 *2)) (-14 *6 *2) (-5 *2 (-790)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1112 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1954 *6) (|:| |sol?| (-141))) (-592) *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-2 (|:| |answer| (-609 (-433 *7))) (|:| |a0| *6))) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1191)) (-5 *3 (-460)) (-4 *5 (-869)) (-5 *1 (-1125 *5 *4)) (-4 *4 (-456 *5))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1221 *3)) (-4 *3 (-1003))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1173)) (-5 *3 (-845)) (-5 *1 (-844))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-980 (-191 *4))) (-4 *4 (-194)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-980 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-194)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 (-191 *4)))) (-4 *4 (-582)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-980 (-191 *5)))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-332 (-191 *4))) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-332 (-191 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 (-405))) (-5 *2 (-191 (-405))) (-5 *1 (-807 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 (-1280 *4))) (-4 *4 (-1075)) (-5 *2 (-706 *4)) (-5 *1 (-1057 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-405)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-405))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-592)))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-359 *3 *4 *5)) (-4 *5 (-1065 (-592))) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 *2)) (-14 *4 (-658 *2)) (-4 *5 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-332 *5)) (-4 *5 (-413)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-433 (-980 (-592))))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-433 (-980 (-405))))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-980 (-592)))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-980 (-405)))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-332 (-592)))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-332 (-405)))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-592)))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-405)))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-405))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-433 (-980 (-592))))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-433 (-980 (-405))))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-980 (-592)))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-980 (-405)))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-332 (-592)))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-332 (-405)))) (-4 *1 (-466)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-761 *3 *4))) (-5 *1 (-760 *3 *4)) (-14 *3 (-1191)) (-4 *4 (-13 (-1075) (-869) (-582))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) (-5 *1 (-788)))) ((*1 *1 *2) (-12 (-5 *2 (-1237 *3)) (-4 *3 (-373)) (-5 *1 (-797 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-830)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) (-5 *1 (-860)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *1 (-920)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *1 (-1005 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1065 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-3836 (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-3252 (-4 *3 (-43 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-574))) (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 *3)) (-12 (-3252 (-4 *3 (-1021 (-592)))) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869))))) ((*1 *1 *2) (-3836 (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-433 (-592)))) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-1187 *3))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-629 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1283))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790)) (-4 *5 (-194))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3191 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-658 (-433 *8))) (-4 *7 (-388)) (-4 *8 (-1255 *7)) (-5 *3 (-433 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-602 *7 *8))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-706 *7)) (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *1 (-951 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-5 *2 (-1 *5 *4)) (-5 *1 (-699 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-332 (-237)))) (-5 *1 (-285))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-592)) (|has| *1 (-6 -4626)) (-4 *1 (-399 *3)) (-4 *3 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-980 *5)) (-4 *5 (-1075)) (-5 *2 (-516 *4 *5)) (-5 *1 (-972 *4 *5)) (-14 *4 (-658 (-1191)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-302 *3 *2)) (-4 *2 (-1270 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1187 *2)) (-4 *2 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-36 *4 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-944)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-278))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4175 (-790)) (|:| |eqns| (-658 (-2 (|:| |det| *7) (|:| -4274 (-658 (-592))) (|:| |cols| (-658 (-592)))))) (|:| |fgb| (-658 *7))))) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-790)) (-5 *1 (-951 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-885)) (-5 *2 (-944))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1191)) (-4 *6 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-4 *4 (-13 (-29 *6) (-1211) (-987))) (-5 *2 (-2 (|:| |particular| *4) (|:| -2195 (-658 *4)))) (-5 *1 (-823 *6 *4 *3)) (-4 *3 (-670 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1191)) (-5 *6 (-658 (-631 *3))) (-5 *5 (-631 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-583 *7 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -3220 (-658 (-877))) (|:| -4079 (-658 (-877))) (|:| |presup| (-658 (-877))) (|:| -3589 (-658 (-877))) (|:| |args| (-658 (-877))))) (-5 *1 (-1191)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 (-877)))) (-5 *1 (-1191))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1085 (-1051 *3) (-1187 (-1051 *3)))) (-5 *1 (-1051 *3)) (-4 *3 (-13 (-867) (-388) (-1049)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-667 *4)) (-4 *4 (-362 *5 *6 *7)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-828 *5 *6 *7 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-778))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *1) (-5 *1 (-168))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-1150 (-237))) (-5 *1 (-278))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-332 (-237)))) (-5 *2 (-141)) (-5 *1 (-285)))) ((*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-141)) (-5 *1 (-285)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-332 (-191 (-405)))) (-5 *1 (-350)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-350)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-5 *1 (-350)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-710))) (-5 *1 (-350)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-717))) (-5 *1 (-350)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-715))) (-5 *1 (-350)))) ((*1 *1) (-5 *1 (-350)))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-658 *4)) (-4 *4 (-388)) (-5 *2 (-1280 *4)) (-5 *1 (-836 *4 *3)) (-4 *3 (-670 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-665 *2)) (-4 *2 (-388))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-654 (-592))) (-5 *2 (-141)) (-5 *1 (-1305 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1232 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *1 (-935 *4 *2 *5 *6)) (-4 *2 (-346 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-900 *2)) (-4 *2 (-1225)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-902 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-971 *3))) (-4 *1 (-1151 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *3 (-257 *10)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-137)) (-5 *2 (-2 (|:| |num| (-658 *6)) (|:| |den| *6))) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 (-433 (-264 *6 *5)))) (-5 *1 (-894 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-258 (-949 *4))) (-4 *4 (-373)) (-5 *2 (-2 (|:| |num| (-658 (-264 *5 *4))) (|:| |den| (-264 *5 *4)))) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-948 *5))) (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-658 (-433 (-264 *6 *5)))) (-5 *1 (-895 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-4 *7 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-258 (-948 *4))) (-4 *4 (-388)) (-5 *2 (-2 (|:| |num| (-658 (-264 *5 *4))) (|:| |den| (-264 *5 *4)))) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-5 *1 (-463))))) 
-(((*1 *1 *1 *1) (|partial| -4 *1 (-158)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-855 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-862 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (-5 *1 (-237))) ((*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1) (-4 *1 (-1153))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1219 *4 *5 *6 *3)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1482 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-1187 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-815)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-5 *2 (-658 *5)) (-5 *1 (-912 *4 *5)) (-4 *5 (-1225))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 *5)) (-4 *1 (-947 *4 *5)) (-4 *4 (-388)) (-4 *5 (-665 *4)) (-5 *2 (-1285))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *4 *3 *5)) (-4 *3 (-1255 *4)) (-4 *5 (-13 (-430) (-1065 *4) (-388) (-1211) (-301)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1239 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-937 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-350))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-50 (-1173) (-793))) (-5 *1 (-143))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-592))) (-4 *3 (-1075)) (-5 *1 (-121 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-121 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-121 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-705 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-194)) (-4 *2 (-1075)) (-5 *1 (-731 *2 *3)) (-4 *3 (-661 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-194)) (-4 *2 (-1075)) (-5 *1 (-731 *2 *3)) (-4 *3 (-661 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-856 *2)) (-4 *2 (-194)) (-4 *2 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-856 *2)) (-4 *2 (-194)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-3 (-1 (-237) (-237) (-237) (-237)) "undefined")) (-5 *5 (-1113 (-237))) (-5 *6 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-347 *3)) (-4 *3 (-1225)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-549 *3 *4)) (-4 *3 (-1225)) (-14 *4 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-1106 *4)))) (-5 *2 (-141)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582))))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-1106 *4))) (-5 *2 (-141)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582))))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-1187 (-592)))) (-5 *1 (-205)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1063)) (-5 *3 (-1191)) (-5 *1 (-285))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-876)))) ((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-1018)))) ((*1 *2 *1) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1119) (-39))) (-5 *1 (-1154 *2 *3)) (-4 *3 (-13 (-1119) (-39)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *3 (-1255 *4)) (-5 *1 (-831 *4 *3 *2 *5)) (-4 *2 (-670 *3)) (-4 *5 (-670 (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-433 *5)) (-4 *4 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *1 (-831 *4 *5 *2 *6)) (-4 *2 (-670 *5)) (-4 *6 (-670 *3))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1191)) (-5 *1 (-150))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-143)) (-5 *1 (-142 *3)) (-4 *3 (-869)) (-4 *3 (-1119))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) ((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 *3)) (-5 *1 (-951 *4 *5 *6 *3)) (-4 *3 (-977 *4 *6 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) ((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-980 *5))) (-5 *4 (-141)) (-4 *5 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-1304 *5 *6 *7)) (-14 *6 (-658 (-1191))) (-14 *7 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-658 (-1072 *4 *5))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191)))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-953))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-194)) (-5 *1 (-306 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1255 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-728 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *2 (-194)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-5 *2 (-141)) (-5 *1 (-610 *3)) (-4 *3 (-574))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-355 *3 *4 *5 *6)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-5 *2 (-439 *4 (-433 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *6)) (-4 *6 (-13 (-435 *4 *5) (-1065 *4))) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-4 *3 (-323)) (-5 *1 (-439 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1030)) (-4 *2 (-1075))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-658 *1)) (-4 *1 (-323))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -3191 (-433 *6)) (|:| |coeff| (-433 *6)))) (-5 *1 (-602 *5 *6)) (-5 *3 (-433 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-193)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1221 *3)) (-4 *3 (-1003))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-350))))) 
-(((*1 *1 *1) (-4 *1 (-1084))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1257 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-814))))) 
-(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-388) (-867))) (-5 *1 (-200 *2 *3)) (-4 *3 (-1255 (-191 *2)))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-356 *5 *6 *7 *8)) (-4 *5 (-456 *4)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-4 *8 (-362 *5 *6 *7)) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-5 *2 (-141)) (-5 *1 (-933 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-356 (-433 (-592)) *4 *5 *6)) (-4 *4 (-1255 (-433 (-592)))) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 (-433 (-592)) *4 *5)) (-5 *2 (-141)) (-5 *1 (-934 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282)))) ((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1282))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-323)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1141 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3191 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-388)) (-5 *1 (-602 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1173)) (-5 *1 (-808))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-1191))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-122)))) ((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-227 (-535))) (-5 *1 (-857))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-1198 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-463))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *5))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-5 *2 (-658 (-1191))) (-5 *1 (-1097 *3 *4 *5)) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 (-914 *3))))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-706 *1)) (-4 *1 (-373)) (-5 *2 (-1280 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-706 *1)) (-4 *1 (-169)) (-4 *1 (-931)) (-5 *2 (-1280 *1))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-433 (-980 *5)) (-1180 (-1191) (-980 *5)))) (-4 *5 (-477)) (-5 *2 (-658 (-706 (-433 (-980 *5))))) (-5 *1 (-308 *5)) (-5 *4 (-706 (-433 (-980 *5))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *2 (-1075)) (-5 *1 (-935 *2 *3 *5 *6)) (-4 *3 (-346 *2 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 (-592))) (-5 *4 (-592)) (-5 *2 (-1229)) (-5 *1 (-982))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-660 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (-4 *1 (-167))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-180 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) (-5 *2 (-658 (-1173))) (-5 *1 (-285))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1173)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *4 (-1089 *6 *7 *8)) (-5 *2 (-1285)) (-5 *1 (-795 *6 *7 *8 *4 *5)) (-4 *5 (-1094 *6 *7 *8 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| -1608 (-143)) (|:| |w| (-237)))) (-5 *1 (-218))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-944))) (-5 *1 (-1283))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-4 *1 (-1002 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-814)) (-4 *5 (-869)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *1 (-692 *3 *4)) (-4 *3 (-1225)) (-4 *4 (-1225)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-171)) (-4 *3 (-323)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-188 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-444 *3)) (-4 *3 (-574)) (-4 *3 (-582)))) ((*1 *2 *1) (-12 (-4 *1 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (-12 (-4 *1 (-819 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-855 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-862 *3)) (-4 *3 (-574)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *3)) (-4 *3 (-194)) (-4 *3 (-574)) (-5 *2 (-433 (-592))))) ((*1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1036 *3)) (-4 *3 (-1065 *2))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *10)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-280 *11)))) ((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-560 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *9)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2) (-12 (-5 *2 (-258 (-949 *3))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-258 (-948 *3))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *4)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-658 (-658 (-790)))) (-5 *1 (-139 *4 *5 *6 *7 *8)) (-4 *6 (-346 *4 *7)) (-4 *8 (-137))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-658 (-980 (-592)))) (-5 *4 (-658 (-1191))) (-5 *5 (-592)) (-4 *1 (-692 *6 *2)) (-4 *6 (-1225)) (-4 *2 (-1225))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-257 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1063)) (-5 *1 (-321)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-1063))) (-5 *2 (-1063)) (-5 *1 (-321)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-664 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-664 *2)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-664 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-664 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *1) (-5 *1 (-1087))) ((*1 *2 *3) (-12 (-5 *3 (-1171 (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1168 *4)) (-4 *4 (-1225)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-401 *4 *2)) (-4 *2 (-13 (-399 *4) (-10 -7 (-6 -4626))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 *4)) (-4 *4 (-388)) (-5 *2 (-1187 *4)) (-5 *1 (-559 *4 *5 *6)) (-4 *5 (-388)) (-4 *6 (-13 (-388) (-867)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-1065 (-433 *2)))) (-5 *2 (-592)) (-5 *1 (-144 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1158)) (-5 *2 (-1246 (-592)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-625 *2 *3)) (-4 *3 (-1225)) (-4 *2 (-1119)) (-4 *2 (-869))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-825))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1283))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1191)) (-4 *4 (-1075)) (-4 *4 (-869)) (-5 *2 (-2 (|:| |var| (-631 *1)) (|:| -3215 (-592)))) (-4 *1 (-456 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-143)) (-4 *4 (-1075)) (-4 *4 (-869)) (-5 *2 (-2 (|:| |var| (-631 *1)) (|:| -3215 (-592)))) (-4 *1 (-456 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1131)) (-4 *3 (-869)) (-5 *2 (-2 (|:| |var| (-631 *1)) (|:| -3215 (-592)))) (-4 *1 (-456 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-914 *3)) (|:| -3215 (-790)))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| |var| *5) (|:| -3215 (-790)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-4 *7 (-977 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3215 (-592)))) (-5 *1 (-978 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-388) (-10 -8 (-15 -1683 ($ *7)) (-15 -1448 (*7 $)) (-15 -1456 (*7 $)))))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-592)) (-4 *4 (-373)) (-5 *1 (-556 *4))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-625 *4 *3)) (-4 *4 (-1119)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-272))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-394)) (-4 *1 (-349 *3)) (-4 *3 (-388))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1154 *3 *2)) (-4 *3 (-13 (-1119) (-39))) (-4 *2 (-13 (-1119) (-39)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 *10)) (-5 *1 (-640 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *10 (-1128 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-643 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1160 *5 (-558 (-879 *6)) (-879 *6) (-802 *5 (-879 *6))))) (-5 *1 (-643 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *8))) (-5 *1 (-1055 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1055 *5 *6 *7 *8))) (-5 *1 (-1055 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 (-802 *5 (-879 *6)))) (-5 *4 (-141)) (-4 *5 (-477)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-1072 *5 *6))) (-5 *1 (-1072 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1094 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *8))) (-5 *1 (-1160 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-658 (-1160 *5 *6 *7 *8))) (-5 *1 (-1160 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 *1)) (-4 *1 (-1219 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-206)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-316)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-658 *3))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-790)) (-4 *5 (-194)))) ((*1 *1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194)))) ((*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-704 *3 *2 *4)) (-4 *2 (-399 *3)) (-4 *4 (-399 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1156 *2 *3)) (-14 *2 (-790)) (-4 *3 (-1075))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-318)))) ((*1 *1 *1) (-4 *1 (-318))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-592)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1225)) (-4 *5 (-399 *4)) (-4 *3 (-399 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-191 (-592)))))) (-5 *2 (-658 (-658 (-310 (-980 (-191 *4)))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-310 (-433 (-980 (-191 (-592))))))) (-5 *2 (-658 (-658 (-310 (-980 (-191 *4)))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-191 (-592))))) (-5 *2 (-658 (-310 (-980 (-191 *4))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 (-191 (-592)))))) (-5 *2 (-658 (-310 (-980 (-191 *4))))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-516 *4 *5)) (-5 *1 (-646 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-592)) (-5 *2 (-141)) (-5 *1 (-515))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 *2)) (-4 *4 (-1255 *2)) (-4 *2 (-13 (-323) (-10 -8 (-15 -3164 ((-444 $) $))))) (-5 *1 (-532 *2 *4 *5)) (-4 *5 (-435 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1187 *1)) (-4 *1 (-1040))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237) (-237) (-237))) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237) (-237))) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *1 (-278))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-971 (-237)) (-971 (-237)))) (-5 *1 (-278)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-349 *4)) (-4 *4 (-388)) (-5 *2 (-706 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-5 *2 (-1280 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-1280 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-435 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-1280 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-443 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-1280 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-706 *5))) (-5 *3 (-706 *5)) (-4 *5 (-388)) (-5 *2 (-1280 *5)) (-5 *1 (-1105 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *2)) (-4 *2 (-977 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-388)) (-4 *3 (-815)) (-4 *4 (-869)) (-5 *1 (-538 *2 *3 *4 *5)) (-4 *5 (-977 *2 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-191 *5)) (-4 *5 (-13 (-456 *4) (-1030) (-1211))) (-4 *4 (-13 (-582) (-869))) (-4 *2 (-13 (-456 (-191 *4)) (-1030) (-1211))) (-5 *1 (-621 *4 *5 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-971 *3) (-971 *3))) (-5 *1 (-196 *3)) (-4 *3 (-13 (-388) (-1211) (-1030)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-37 *3)) (-4 *3 (-388)))) ((*1 *1 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)))) ((*1 *1 *1 *1) (-4 *1 (-502))) ((*1 *1 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *1 *1) (-4 *1 (-885))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-905)))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-388)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-999 *3)) (-4 *3 (-388)))) ((*1 *1 *1) (-5 *1 (-1000))) ((*1 *1 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *3 (-257 *10)) (-4 *11 (-560 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-137)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-5 *1 (-586 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-999 *4)) (-4 *3 (-257 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-258 (-949 *5))) (-5 *4 (-658 (-264 *6 *5))) (-4 *5 (-373)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-264 *6 (-884 *5)))) (-5 *1 (-894 *5 *6 *7)) (-4 *7 (-137)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-264 *5 *4))) (-5 *3 (-258 (-948 *4))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *1 (-895 *4 *5 *6)) (-4 *6 (-137))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-1116 *3)))) ((*1 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-143)) (-5 *4 (-790)) (-4 *5 (-477)) (-4 *5 (-869)) (-4 *5 (-1065 (-592))) (-4 *5 (-582)) (-5 *1 (-46 *5 *2)) (-4 *2 (-456 *5)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *5 (-631 $)) $)) (-15 -1456 ((-1142 *5 (-631 $)) $)) (-15 -1683 ($ (-1142 *5 (-631 $)))))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-1075)) (-4 *2 (-1255 *5)) (-5 *1 (-1273 *5 *2 *6 *3)) (-4 *6 (-670 *2)) (-4 *3 (-1270 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-4 *2 (-13 (-428) (-10 -7 (-15 -1683 (*2 *4)) (-15 -3546 ((-944) *2)) (-15 -2195 ((-1280 *2) (-944))) (-15 -3417 (*2 *2))))) (-5 *1 (-380 *2 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-582)) (-4 *4 (-1021 *3)) (-5 *1 (-164 *3 *4 *2)) (-4 *2 (-399 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-1021 *4)) (-4 *2 (-399 *4)) (-5 *1 (-536 *4 *5 *2 *3)) (-4 *3 (-399 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-706 *5)) (-4 *5 (-1021 *4)) (-4 *4 (-582)) (-5 *2 (-706 *4)) (-5 *1 (-709 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-582)) (-4 *4 (-1021 *3)) (-5 *1 (-1248 *3 *4 *2)) (-4 *2 (-1255 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-843))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-592)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-592)) (-5 *7 (-1173)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-237)) (-5 *7 (-592)) (-5 *2 (-1221 (-953))) (-5 *1 (-335)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-237)) (-5 *7 (-592)) (-5 *8 (-1173)) (-5 *2 (-1221 (-953))) (-5 *1 (-335))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1187 *7)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *2 (-1255 *5)) (-5 *1 (-534 *5 *2 *6 *7)) (-4 *6 (-1255 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1075)) (-4 *7 (-1075)) (-4 *4 (-1255 *5)) (-5 *2 (-1187 *7)) (-5 *1 (-534 *5 *4 *6 *7)) (-4 *6 (-1255 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-631 *7)) (-4 *7 (-13 (-456 *6) (-23) (-1065 *2) (-1065 *5) (-922 *5) (-182))) (-5 *5 (-1191)) (-4 *6 (-1075)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-592)) (-5 *1 (-1052 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *3 (-922 *5)) (-5 *2 (-706 *3)) (-5 *1 (-708 *5 *3 *6 *4)) (-4 *6 (-399 *3)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 *5)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)) (-4 *5 (-194))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1137)) (-5 *1 (-133))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-706 (-237))) (-5 *5 (-706 (-592))) (-5 *6 (-237)) (-5 *3 (-592)) (-5 *2 (-1063)) (-5 *1 (-770))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-5 *2 (-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-799 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *5)) (-4 *5 (-346 *4 *6)) (-4 *6 (-252 *7 (-790))) (-14 *7 (-790)) (-4 *4 (-1075)) (-5 *2 (-2 (|:| -2535 (-592)) (|:| -4226 (-592)) (|:| -2230 (-592)) (|:| |reste| (-592)) (|:| -4039 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-799 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-237))))) 
-(((*1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-658 (-310 *4))) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-578))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *1) (-4 *1 (-1158)))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-171) (-27) (-1065 (-592)) (-1065 (-433 (-592))))) (-4 *5 (-1255 *4)) (-5 *2 (-1187 (-433 *5))) (-5 *1 (-634 *4 *5)) (-5 *3 (-433 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-171) (-27) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-1187 (-433 *6))) (-5 *1 (-634 *5 *6)) (-5 *3 (-433 *6))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -1487 *3) (|:| |gap| (-790)) (|:| -2230 (-804 *3)) (|:| -3027 (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-1075)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1089 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -1487 *1) (|:| |gap| (-790)) (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1194)) (-5 *3 (-1191))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1280 *4)) (-4 *4 (-443 *3)) (-4 *3 (-323)) (-4 *3 (-582)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-5 *2 (-1280 *1)) (-4 *1 (-349 *4)))) ((*1 *2) (-12 (-4 *3 (-388)) (-5 *2 (-1280 *1)) (-4 *1 (-349 *3)))) ((*1 *2) (-12 (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-1280 *1)) (-4 *1 (-435 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *6)) (-5 *1 (-439 *3 *4 *5 *6)) (-4 *6 (-13 (-435 *4 *5) (-1065 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *6)) (-5 *1 (-440 *3 *4 *5 *6 *7)) (-4 *6 (-435 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-194)) (-5 *2 (-1280 *1)) (-4 *1 (-443 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 (-1280 *4))) (-5 *1 (-556 *4)) (-4 *4 (-373))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239)) (-5 *3 (-237))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-756 *3))))) 
-(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-252 *6 *2)) (-14 *6 *2) (-5 *2 (-790)) (-5 *1 (-935 *4 *3 *5 *6)) (-4 *3 (-346 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-790))))) 
-(((*1 *2) (-12 (-5 *2 (-658 *3)) (-5 *1 (-1104 *3)) (-4 *3 (-159))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-658 (-592)))) (-5 *1 (-951 *4 *5 *6 *7)) (-5 *3 (-592)) (-4 *7 (-977 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-869) (-582))) (-5 *2 (-141)) (-5 *1 (-294 *4 *3)) (-4 *3 (-13 (-456 *4) (-1030)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-278))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-1119)) (-4 *2 (-394))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-542 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-869))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1173) (-793))) (-5 *1 (-143))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-971 (-237))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *2 (-1285)) (-5 *1 (-497)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-971 (-237))) (-5 *2 (-1285)) (-5 *1 (-497)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-658 (-971 (-237)))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *2 (-1285)) (-5 *1 (-497))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1129)) (-5 *3 (-592))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)) (-4 *2 (-456 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-456 *4)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-180 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1111 *1)) (-4 *1 (-182)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-182)) (-5 *2 (-1191))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-790)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-428)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-433 *4)) (-4 *4 (-1255 *3)) (-4 *3 (-13 (-388) (-171) (-1065 (-592)))) (-5 *1 (-596 *3 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-323)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1141 *4 *5 *6 *3)) (-4 *3 (-704 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-658 *1)) (-4 *1 (-1089 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-141) *3 *3)) (-4 *1 (-1219 *5 *6 *7 *3)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-141))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-783 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-237))) ((*1 *2 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067)))) ((*1 *1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-195 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1544 *4))) (-5 *1 (-998 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-433 (-592))))) (-5 *1 (-278)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-278))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-631 *1))) (-4 *1 (-318))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *1 (-1175 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *4)) (-5 *1 (-1145 *3 *4)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-658 *3)) (-5 *1 (-1145 *4 *3)) (-4 *4 (-1255 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 *2))) (-5 *2 (-914 *3)) (-5 *1 (-1097 *3 *4 *5)) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *2 (-658 (-1113 (-237)))) (-5 *1 (-955))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-336 *3 *4 *5)) (-4 *3 (-13 (-388) (-869))) (-14 *4 (-1191)) (-14 *5 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-219))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-846)) (-5 *3 (-658 (-1191))) (-5 *1 (-847))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *5 *3 *6)) (-4 *3 (-1255 *5)) (-4 *6 (-13 (-430) (-1065 *5) (-388) (-1211) (-301))))) ((*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-468 *4 *3 *5)) (-4 *3 (-1255 *4)) (-4 *5 (-13 (-430) (-1065 *4) (-388) (-1211) (-301)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1075)) (-5 *1 (-469 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-986 (-191 (-237)))) (-5 *3 (-1137)) (-5 *4 (-191 (-237))) (-5 *1 (-135))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-366 *5 *3)) (-4 *3 (-1255 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-373)) (-5 *2 (-658 *3)) (-5 *1 (-367 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-21)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-143)) (-5 *4 (-1191)) (-4 *6 (-1075)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *2 (-2 (|:| -3319 (-3 (-592) "failed")) (|:| -2016 (-3 (-592) "failed")) (|:| |ker| (-631 *5)))) (-5 *1 (-1052 *6 *5)) (-4 *5 (-13 (-456 *6) (-23) (-1065 (-592)) (-1065 *4) (-922 *4) (-182)))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-989 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-877))))) 
-(((*1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-778))))) 
-(((*1 *2) (-12 (-5 *2 (-658 (-790))) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-790))) (-5 *1 (-1283))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *9 (-252 (-1699 *7) (-790))) (-5 *2 (-2 (|:| |mult| (-790)) (|:| |subMult| (-790)) (|:| |blUpRec| (-658 (-2 (|:| |recTransStr| (-264 (-4466 (QUOTE X) (QUOTE -3820)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-139 *6 *7 *8 *9 *5)) (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-346 *6 *9)) (-4 *5 (-137))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-191 (-237)))) (-5 *2 (-592)) (-5 *1 (-135))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1302 *3 *4)) (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-412 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-841 *3)) (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-195 *2)) (-4 *2 (-323))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-229 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-366 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-367 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) *2)) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-790))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869))) (-4 *2 (-13 (-456 (-191 *4)) (-1030) (-1211))) (-5 *1 (-621 *4 *3 *2)) (-4 *3 (-13 (-456 *4) (-1030) (-1211)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-565)) (-5 *1 (-564 *4)) (-4 *4 (-1225))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-658 (-631 *2))) (-5 *4 (-658 (-1191))) (-4 *2 (-13 (-456 (-191 *5)) (-1030) (-1211))) (-4 *5 (-13 (-582) (-869))) (-5 *1 (-621 *5 *6 *2)) (-4 *6 (-13 (-456 *5) (-1030) (-1211)))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-261 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-582))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *1 *1 *1) (-4 *1 (-502))) ((*1 *1 *1 *1) (-4 *1 (-780)))) 
-(((*1 *2) (-12 (-5 *2 (-658 *3)) (-5 *1 (-1071 *3)) (-4 *3 (-388))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *7)) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-5 *2 (-658 (-1280 *5))) (-5 *1 (-586 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-999 *5)) (-4 *3 (-257 *11))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-156 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1086)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1086))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-790)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-96 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-234 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-518 *4)) (-4 *4 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1028 *4)) (-4 *4 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-141)) (-5 *1 (-1161 *4)) (-4 *4 (-1119))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1173)) (-5 *1 (-1207))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1000)) (-5 *1 (-927 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-4 *5 (-388)) (-5 *2 (-658 (-1220 *5))) (-5 *1 (-1288 *5)) (-5 *4 (-1220 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-1187 (-980 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) ((*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-4 *3 (-388)) (-5 *2 (-1187 (-980 *3))))) ((*1 *2) (-12 (-5 *2 (-1187 (-433 (-980 *3)))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-691 *2)) (-4 *2 (-1075)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-1255 *4)) (-5 *2 (-1 *6 (-658 *6))) (-5 *1 (-1273 *4 *5 *3 *6)) (-4 *3 (-670 *5)) (-4 *6 (-1270 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-884 *4))) (-4 *4 (-373)) (-5 *2 (-995 *4)) (-5 *1 (-894 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-5 *2 (-994 *4)) (-5 *1 (-895 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-999 *3))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-971 *5)) (-5 *3 (-790)) (-4 *5 (-1075)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-141)) (-5 *5 (-592)) (-4 *6 (-388)) (-4 *6 (-394)) (-4 *6 (-1075)) (-5 *2 (-658 (-658 (-706 *6)))) (-5 *1 (-1057 *6)) (-5 *3 (-658 (-706 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *4 (-394)) (-4 *4 (-1075)) (-5 *2 (-658 (-658 (-706 *4)))) (-5 *1 (-1057 *4)) (-5 *3 (-658 (-706 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-388)) (-4 *5 (-394)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *5 (-394)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-381 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *4)) (-4 *4 (-373)) (-5 *2 (-141)) (-5 *1 (-556 *4))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-131 *2)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-151 *2)) (-4 *2 (-869)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-156 *2)) (-4 *2 (-869)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-299 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-299 *2)) (-4 *2 (-1225)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1350 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1171 (-237))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -2166 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-587)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-711 *2)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1350 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| -3552 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))))) (-5 *1 (-825)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-5 *2 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-5 *2 (-2 (|:| |contp| (-592)) (|:| -2033 (-658 (-2 (|:| |irr| *3) (|:| -1777 (-592))))))) (-5 *1 (-1244 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-737)) (-5 *2 (-944)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-739)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-433 (-592))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-295 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-592))) (-5 *5 (-1 (-1171 *4))) (-4 *4 (-388)) (-4 *4 (-1075)) (-5 *2 (-1171 *4)) (-5 *1 (-1175 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-706 (-1187 *8))) (-4 *5 (-1075)) (-4 *8 (-1075)) (-4 *6 (-1255 *5)) (-5 *2 (-706 *6)) (-5 *1 (-534 *5 *6 *7 *8)) (-4 *7 (-1255 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-131 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-5 *1 (-518 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-5 *1 (-1161 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-362 *4 *3 *5)) (-4 *4 (-1235)) (-4 *3 (-1255 *4)) (-4 *5 (-1255 (-433 *3))) (-5 *2 (-141)))) ((*1 *2 *3) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-191 (-433 (-592))))) (-5 *2 (-658 (-2 (|:| |outval| (-191 *4)) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 (-191 *4))))))) (-5 *1 (-783 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-691 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1121 (-1191))) (-5 *1 (-58)) (-5 *3 (-1191))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-944))) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *3 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *3 *5 *6)) (-4 *6 (-977 *4 *3 *5))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *3 (-582)) (-5 *1 (-998 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-346 *4 *5)) (-4 *5 (-252 *6 (-790))) (-14 *6 (-790)) (-4 *4 (-1075)) (-5 *1 (-799 *4 *3 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| |outval| *4) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 *4)))))) (-5 *1 (-800 *4)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-332 (-592))) (-5 *4 (-1 (-237) (-237))) (-5 *5 (-1113 (-237))) (-5 *6 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-713))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -1947 (-444 *3)) (|:| |special| (-444 *3)))) (-5 *1 (-744 *5 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1113 *3)) (-4 *3 (-977 *7 *6 *4)) (-4 *6 (-815)) (-4 *4 (-869)) (-4 *7 (-582)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-592)))) (-5 *1 (-616 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-815)) (-4 *4 (-869)) (-4 *6 (-582)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-592)))) (-5 *1 (-616 *5 *4 *6 *3)) (-4 *3 (-977 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1182 *4 *2)) (-4 *2 (-13 (-456 *4) (-182) (-27) (-1211))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-13 (-456 *4) (-182) (-27) (-1211))) (-4 *4 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1182 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-433 (-980 *5))) (-5 *1 (-1183 *5)) (-5 *3 (-980 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-3 (-433 (-980 *5)) (-332 *5))) (-5 *1 (-1183 *5)) (-5 *3 (-433 (-980 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-980 *5))) (-5 *3 (-980 *5)) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-433 *3)) (-5 *1 (-1183 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-433 (-980 *5)))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-3 *3 (-332 *5))) (-5 *1 (-1183 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-164 *2 *4 *3)) (-4 *3 (-399 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-536 *2 *4 *5 *3)) (-4 *5 (-399 *2)) (-4 *3 (-399 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-706 *4)) (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-709 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-1021 *2)) (-4 *2 (-582)) (-5 *1 (-1248 *2 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-914 *4)) (-4 *4 (-1119)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-13 (-430) (-1065 *4) (-388) (-1211) (-301))) (-5 *1 (-468 *4 *3 *2)) (-4 *3 (-1255 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1187 *3)) (-4 *3 (-1075)) (-4 *1 (-1255 *3))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-790)) (-4 *2 (-13 (-582) (-477))) (-5 *1 (-369 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *4 (-388)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2))))) 
-(((*1 *1) (-5 *1 (-179)))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-914 *4)) (-4 *4 (-1119)) (-5 *2 (-141)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-5 *2 (-141)) (-5 *1 (-912 *5 *3)) (-4 *3 (-1225)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-914 *5)) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *2 (-141)) (-5 *1 (-912 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-180 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-143)) (-5 *5 (-658 *2)) (-4 *2 (-13 (-456 *6) (-23) (-1065 (-592)) (-1065 *4) (-922 *4) (-182))) (-5 *4 (-1191)) (-4 *6 (-13 (-869) (-582) (-633 (-565)))) (-5 *1 (-1052 *6 *2))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1229)) (-5 *5 (-592)) (-4 *1 (-692 *3 *6)) (-4 *3 (-1225)) (-4 *6 (-1225)) (-5 *2 (-1285))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-342 *4 *2)) (-4 *4 (-1119)) (-4 *2 (-158))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-272))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-877))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-237)) (-5 *5 (-592)) (-5 *2 (-1221 *3)) (-5 *1 (-812 *3)) (-4 *3 (-1003)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-141)) (-5 *1 (-1221 *2)) (-4 *2 (-1003))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-688 *3)) (-4 *3 (-869)) (-4 *1 (-400 *3 *4)) (-4 *4 (-194))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-565))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-5 *2 (-1187 *3))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-927 *3)) (-4 *3 (-394)) (-4 *3 (-1119))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1111 (-980 (-592)))) (-5 *3 (-980 (-592))) (-5 *1 (-350)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1111 (-980 (-592)))) (-5 *1 (-350))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-1280 (-706 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-706 *4)) (-4 *5 (-670 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-927 *4)) (-4 *4 (-1119)) (-5 *2 (-658 (-790))) (-5 *1 (-926 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1195))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-310 (-862 *3))) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-3 (-862 *3) (-2 (|:| |leftHandLimit| (-3 (-862 *3) "failed")) (|:| |rightHandLimit| (-3 (-862 *3) "failed"))) "failed")) (-5 *1 (-651 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-310 *3)) (-5 *5 (-1173)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-862 *3)) (-5 *1 (-651 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 (-862 (-980 *5)))) (-4 *5 (-477)) (-5 *2 (-3 (-862 (-433 (-980 *5))) (-2 (|:| |leftHandLimit| (-3 (-862 (-433 (-980 *5))) "failed")) (|:| |rightHandLimit| (-3 (-862 (-433 (-980 *5))) "failed"))) "failed")) (-5 *1 (-652 *5)) (-5 *3 (-433 (-980 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 (-433 (-980 *5)))) (-5 *3 (-433 (-980 *5))) (-4 *5 (-477)) (-5 *2 (-3 (-862 *3) (-2 (|:| |leftHandLimit| (-3 (-862 *3) "failed")) (|:| |rightHandLimit| (-3 (-862 *3) "failed"))) "failed")) (-5 *1 (-652 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-310 (-433 (-980 *6)))) (-5 *5 (-1173)) (-5 *3 (-433 (-980 *6))) (-4 *6 (-477)) (-5 *2 (-862 *3)) (-5 *1 (-652 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-592)) (-5 *1 (-470 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1187 *9)) (-5 *4 (-658 *7)) (-5 *5 (-658 (-658 *8))) (-4 *7 (-869)) (-4 *8 (-323)) (-4 *9 (-977 *8 *6 *7)) (-4 *6 (-815)) (-5 *2 (-2 (|:| |upol| (-1187 *8)) (|:| |Lval| (-658 *8)) (|:| |Lfact| (-658 (-2 (|:| -4500 (-1187 *8)) (|:| -3215 (-592))))) (|:| |ctpol| *8))) (-5 *1 (-759 *6 *7 *8 *9))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-587))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-347 *3)) (-4 *3 (-1225)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-549 *3 *4)) (-4 *3 (-1225)) (-14 *4 *2)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1280 *5))) (-5 *4 (-592)) (-5 *2 (-1280 *5)) (-5 *1 (-1057 *5)) (-4 *5 (-388)) (-4 *5 (-394)) (-4 *5 (-1075))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-658 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-583 *6 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 *7)) (-5 *5 (-658 (-658 *8))) (-4 *7 (-869)) (-4 *8 (-323)) (-4 *6 (-815)) (-4 *9 (-977 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-658 (-2 (|:| -4500 (-1187 *9)) (|:| -3215 (-592))))))) (-5 *1 (-759 *6 *7 *8 *9)) (-5 *3 (-1187 *9))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-706 *3)) (|:| |invmval| (-706 *3)) (|:| |genIdeal| (-538 *3 *4 *5 *6)))) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3548 (-804 *3)) (|:| |coef1| (-804 *3)) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -3548 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-141))))) 
-(((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1067))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-323)) (-5 *2 (-444 *3)) (-5 *1 (-759 *4 *5 *6 *3)) (-4 *3 (-977 *6 *4 *5))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-592) "failed") *5)) (-4 *5 (-1075)) (-5 *2 (-592)) (-5 *1 (-572 *5 *3)) (-4 *3 (-1255 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-592) "failed") *4)) (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-572 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-592) "failed") *4)) (-4 *4 (-1075)) (-5 *2 (-592)) (-5 *1 (-572 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-433 (-592))) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-711 *3)) (-4 *3 (-1119)) (-5 *2 (-658 (-2 (|:| -3552 *3) (|:| -3452 (-790)))))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-927 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1255 (-433 (-592)))) (-5 *1 (-936 *3 *2)) (-4 *2 (-1255 (-433 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-574)))) ((*1 *1 *1) (-4 *1 (-1084)))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1191)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-658 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3191 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1211) (-27) (-456 *8))) (-4 *8 (-13 (-477) (-869) (-171) (-1065 *3) (-654 *3))) (-5 *3 (-592)) (-5 *2 (-658 *4)) (-5 *1 (-1042 *8 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1171 (-1171 *4))) (-5 *2 (-1171 *4)) (-5 *1 (-1175 *4)) (-4 *4 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-989 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 (-592))))) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 (-790))))) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| -4500 *3) (|:| -3215 (-592))))) (-5 *1 (-444 *3)) (-4 *3 (-582)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 (-790))))) (-5 *1 (-841 *3)) (-4 *3 (-869))))) 
-(((*1 *1) (-12 (-5 *1 (-255 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-609 *3)) (-4 *3 (-388))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)) (-4 *5 (-194))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-592)) (-4 *4 (-194)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-705 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-617 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-4 *3 (-582)) (-5 *2 (-141)) (-5 *1 (-639 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) ((*1 *2 *1) (-12 (-4 *1 (-1295 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-790)) (-5 *1 (-1120 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1255 (-433 (-592)))) (-5 *2 (-2 (|:| |den| (-592)) (|:| |gcdnum| (-592)))) (-5 *1 (-936 *3 *4)) (-4 *4 (-1255 (-433 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1255 (-433 *2))) (-5 *2 (-592)) (-5 *1 (-936 *4 *3)) (-4 *3 (-1255 (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-4 *5 (-456 *4)) (-5 *2 (-444 *3)) (-5 *1 (-461 *4 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-805 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-194))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-658 (-631 *5))) (-5 *3 (-1191)) (-4 *5 (-456 *4)) (-4 *4 (-869)) (-5 *1 (-601 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-310 (-980 (-592)))) (-5 *2 (-2 (|:| |varOrder| (-658 (-1191))) (|:| |inhom| (-3 (-658 (-1280 (-790))) "failed")) (|:| |hom| (-658 (-1280 (-790)))))) (-5 *1 (-250))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-405)) (-5 *1 (-1087))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-658 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1113 (-944))) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-516 *4 *5))) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *2 (-2 (|:| |gblist| (-658 (-264 *4 *5))) (|:| |gvlist| (-658 (-592))))) (-5 *1 (-646 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-332 (-433 (-592)))) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-168))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-310 (-433 (-980 *5)))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-1180 (-658 (-332 *5)) (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171))) (-5 *2 (-1180 (-658 (-332 *5)) (-658 (-310 (-332 *5))))) (-5 *1 (-1146 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 *4)))) (-4 *4 (-477)) (-5 *2 (-658 (-3 (-433 (-980 *4)) (-1180 (-1191) (-980 *4))))) (-5 *1 (-308 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-4 *3 (-582)) (-5 *2 (-1187 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)) (-5 *2 (-980 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)) (-5 *2 (-980 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-790)) (-4 *1 (-1270 *4)) (-4 *4 (-1075)) (-5 *2 (-980 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-1270 *4)) (-4 *4 (-1075)) (-5 *2 (-980 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *5 (-1235)) (-4 *6 (-1255 *5)) (-4 *7 (-1255 (-433 *6))) (-5 *2 (-658 (-980 *5))) (-5 *1 (-361 *4 *5 *6 *7)) (-4 *4 (-362 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *1 (-362 *4 *5 *6)) (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-4 *6 (-1255 (-433 *5))) (-4 *4 (-388)) (-5 *2 (-658 (-980 *4)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-183))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-183))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *1 (-951 *5 *6 *7 *8)) (-5 *4 (-658 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-658 (-1191))) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *1 (-951 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-706 *7)) (-4 *7 (-977 *4 *6 *5)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *7)) (|:| |neqzro| (-658 *7)) (|:| |wcond| (-658 (-980 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4)))))))))) (-5 *1 (-951 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *5 (-944)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *9)) (|:| |neqzro| (-658 *9)) (|:| |wcond| (-658 (-980 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *6)))) (|:| -2195 (-658 (-1280 (-433 (-980 *6)))))))))) (-5 *1 (-951 *6 *7 *8 *9)) (-5 *4 (-658 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-658 (-1191))) (-5 *5 (-944)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *9)) (|:| |neqzro| (-658 *9)) (|:| |wcond| (-658 (-980 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *6)))) (|:| -2195 (-658 (-1280 (-433 (-980 *6)))))))))) (-5 *1 (-951 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-944)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *8)) (|:| |neqzro| (-658 *8)) (|:| |wcond| (-658 (-980 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *5)))) (|:| -2195 (-658 (-1280 (-433 (-980 *5)))))))))) (-5 *1 (-951 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-658 *9)) (-5 *5 (-1173)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-658 (-1191))) (-5 *5 (-1173)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-706 *8)) (-5 *4 (-1173)) (-4 *8 (-977 *5 *7 *6)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-13 (-869) (-633 (-1191)))) (-4 *7 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-706 *10)) (-5 *4 (-658 *10)) (-5 *5 (-944)) (-5 *6 (-1173)) (-4 *10 (-977 *7 *9 *8)) (-4 *7 (-13 (-323) (-171))) (-4 *8 (-13 (-869) (-633 (-1191)))) (-4 *9 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-706 *10)) (-5 *4 (-658 (-1191))) (-5 *5 (-944)) (-5 *6 (-1173)) (-4 *10 (-977 *7 *9 *8)) (-4 *7 (-13 (-323) (-171))) (-4 *8 (-13 (-869) (-633 (-1191)))) (-4 *9 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *9)) (-5 *4 (-944)) (-5 *5 (-1173)) (-4 *9 (-977 *6 *8 *7)) (-4 *6 (-13 (-323) (-171))) (-4 *7 (-13 (-869) (-633 (-1191)))) (-4 *8 (-815)) (-5 *2 (-592)) (-5 *1 (-951 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-855 (-237))) (-5 *1 (-239))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-1187 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *4 (-631 $)) $)) (-15 -1456 ((-1142 *4 (-631 $)) $)) (-15 -1683 ($ (-1142 *4 (-631 $)))))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-658 *3)) (-5 *1 (-614 *5 *6 *7 *8 *3)) (-4 *3 (-1128 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1099 *5 *6)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-323) (-171))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *4)) (|:| -2231 (-658 (-980 *4)))))) (-5 *1 (-1099 *4 *5)) (-5 *3 (-658 (-980 *4))) (-14 *5 (-658 (-1191))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-323) (-171))) (-5 *2 (-658 (-2 (|:| -1666 (-1187 *5)) (|:| -2231 (-658 (-980 *5)))))) (-5 *1 (-1099 *5 *6)) (-5 *3 (-658 (-980 *5))) (-14 *6 (-658 (-1191)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-237)) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-5 *2 (-191 (-237))) (-5 *1 (-239)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-433 (-592))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-5 *5 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-433 (-592)))) (-5 *4 (-310 *8)) (-5 *5 (-1246 (-433 (-592)))) (-5 *6 (-433 (-592))) (-4 *8 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-433 (-592)))) (-5 *7 (-433 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *8))) (-4 *8 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-433 (-592))) (-4 *4 (-1075)) (-4 *1 (-1262 *4 *3)) (-4 *3 (-1239 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1225)) (-4 *5 (-399 *4)) (-4 *2 (-399 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *1 (-1078 *4 *5 *6 *7 *2)) (-4 *6 (-1075)) (-4 *7 (-252 *5 *6)) (-4 *2 (-252 *4 *6))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *2 (-1089 *4 *5 *6)) (-5 *1 (-795 *4 *5 *6 *2 *3)) (-4 *3 (-1094 *4 *5 *6 *2))))) 
-(((*1 *1 *1) (-5 *1 (-237))) ((*1 *1 *1) (-5 *1 (-405))) ((*1 *1) (-5 *1 (-405)))) 
-(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-986 (-237))) (-5 *3 (-1137)) (-5 *1 (-135))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1212 *3))) (-5 *1 (-1212 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *5 (-13 (-477) (-869) (-1065 *4) (-654 *4))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 *5) (-654 *5))) (-5 *5 (-592)) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-592))) (-5 *4 (-310 *7)) (-5 *5 (-1246 (-592))) (-4 *7 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-592))) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-592)) (-4 *4 (-1075)) (-4 *1 (-1241 *4 *3)) (-4 *3 (-1270 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1239 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-804 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-4 *1 (-692 *2 *3)) (-4 *2 (-1225)) (-4 *3 (-1225))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-350))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-971 *3)))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-953))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *5)) (-4 *5 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *4 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-310 *3)) (-5 *5 (-790)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-331 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-592))) (-5 *4 (-310 *6)) (-4 *6 (-13 (-27) (-1211) (-456 *5))) (-4 *5 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-592))) (-5 *4 (-310 *7)) (-5 *5 (-1246 (-790))) (-4 *7 (-13 (-27) (-1211) (-456 *6))) (-4 *6 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1191)) (-5 *5 (-310 *3)) (-5 *6 (-1246 (-790))) (-4 *3 (-13 (-27) (-1211) (-456 *7))) (-4 *7 (-13 (-582) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-57)) (-5 *1 (-485 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1241 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1270 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) ((*1 *1 *1) (-12 (-5 *1 (-1301 *2 *3)) (-4 *2 (-1075)) (-4 *3 (-865))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1235)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -1487 (-433 *5)) (|:| |poly| *3))) (-5 *1 (-172 *4 *5 *3)) (-4 *3 (-1255 (-433 *5)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-914 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-808))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-986 (-405))) (-5 *1 (-135))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1 (-141) *8))) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |goodPols| (-658 *8)) (|:| |badPols| (-658 *8)))) (-5 *1 (-1006 *5 *6 *7 *8)) (-5 *4 (-658 *8))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1179 *2 *3)) (-14 *2 (-944)) (-4 *3 (-1075))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-388)) (-5 *1 (-1053 *3 *2)) (-4 *2 (-670 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-5 *2 (-2 (|:| -2042 *3) (|:| -1608 (-658 *5)))) (-5 *1 (-1053 *5 *3)) (-5 *4 (-658 *5)) (-4 *3 (-670 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-944))) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 *3)) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-1006 *4 *5 *6 *3)) (-4 *3 (-1089 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-444 *3)) (-4 *3 (-582))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-191 *4)) (-5 *1 (-200 *4 *3)) (-4 *4 (-13 (-388) (-867))) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-592)) (-5 *1 (-405))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1285)) (-5 *1 (-1152)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-877))) (-5 *2 (-1285)) (-5 *1 (-1152))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2) (-12 (-4 *1 (-373)) (-5 *2 (-658 (-2 (|:| -4500 (-592)) (|:| -3215 (-592)))))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-269 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-667 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-832 *4 *2)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))))) ((*1 *2 *3) (-12 (-5 *3 (-668 *2 (-433 *2))) (-4 *2 (-1255 *4)) (-5 *1 (-832 *4 *2)) (-4 *4 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592)))))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-944)) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-658 (-944))) (-5 *5 (-944)) (-4 *6 (-388)) (-4 *7 (-399 *6)) (-4 *8 (-399 *6)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *6 *7 *8 *3)) (-4 *3 (-704 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-658 (-944))) (-5 *4 (-944)) (-4 *6 (-388)) (-4 *7 (-399 *6)) (-4 *8 (-399 *6)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *6 *7 *8 *3)) (-4 *3 (-704 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-658 (-944))) (-4 *5 (-388)) (-4 *6 (-399 *5)) (-4 *7 (-399 *5)) (-5 *2 (-658 (-658 *3))) (-5 *1 (-694 *5 *6 *7 *3)) (-4 *3 (-704 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-1280 *3)) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-148 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (-5 *1 (-688 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-1067))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-592)) (-5 *1 (-1133 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-609 *2)) (-4 *2 (-13 (-29 *4) (-1211))) (-5 *1 (-607 *4 *2)) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-609 (-433 (-980 *4)))) (-4 *4 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *2 (-332 *4)) (-5 *1 (-612 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-57)) (-5 *1 (-1204))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-148 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-12 (-5 *1 (-688 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-877)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-332 (-237)))) (-5 *1 (-285))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-706 *4)) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) ((*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-388)) (-5 *1 (-677 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-405))) (-5 *1 (-1067)) (-5 *3 (-405))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-977 *4 *5 *6)) (-4 *4 (-323)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-472 *4 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1171 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-206)))) ((*1 *2 *3) (-12 (-5 *3 (-1171 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-316)))) ((*1 *2 *3) (-12 (-5 *3 (-1171 (-237))) (-5 *2 (-658 (-1173))) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-592)) (-5 *1 (-218))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-980 *5)) (-4 *5 (-1075)) (-5 *2 (-264 *4 *5)) (-5 *1 (-972 *4 *5)) (-14 *4 (-658 (-1191)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-790)) (-4 *1 (-245 *4)) (-4 *4 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-245 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-247)) (-5 *2 (-790)))) ((*1 *1 *1) (-4 *1 (-247))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *3 (-13 (-388) (-171))) (-5 *1 (-425 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-388) (-171))) (-5 *1 (-425 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *4)) (-5 *3 (-658 (-790))) (-4 *1 (-922 *4)) (-4 *4 (-1119)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-922 *2)) (-4 *2 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-922 *3)) (-4 *3 (-1119)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-922 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-706 *4)) (-5 *3 (-944)) (|has| *4 (-6 (-4627 "*"))) (-4 *4 (-1075)) (-5 *1 (-1056 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 (-706 *4))) (-5 *3 (-944)) (|has| *4 (-6 (-4627 "*"))) (-4 *4 (-1075)) (-5 *1 (-1056 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1095 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-1285)) (-5 *1 (-1127 *4 *5 *6 *7 *8)) (-4 *8 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1075)) (-5 *1 (-55 *2 *3)) (-14 *3 (-658 (-1191))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 (-944))) (-4 *2 (-388)) (-5 *1 (-176 *4 *2 *5)) (-14 *4 (-944)) (-14 *5 (-1022 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-332 *3)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-342 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-158)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-408 *2 *3)) (-4 *3 (-1119)) (-4 *2 (-1075)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-592)) (-4 *2 (-582)) (-5 *1 (-639 *2 *4)) (-4 *4 (-1255 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-725 *2)) (-4 *2 (-1075)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1075)) (-5 *1 (-752 *2 *3)) (-4 *3 (-743)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *5)) (-5 *3 (-658 (-790))) (-4 *1 (-757 *4 *5)) (-4 *4 (-1075)) (-4 *5 (-869)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-757 *4 *2)) (-4 *4 (-1075)) (-4 *2 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *1 (-871 *2)) (-4 *2 (-1075)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 *6)) (-5 *3 (-658 (-790))) (-4 *1 (-977 *4 *5 *6)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *6 (-869)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-790)) (-4 *1 (-977 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *2 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-150)) (-5 *2 (-332 *4)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *2 (-977 *4 (-558 *5) *5)) (-5 *1 (-1143 *4 *5 *2)) (-4 *4 (-1075)) (-4 *5 (-869)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *2 (-980 *4)) (-5 *1 (-1220 *4)) (-4 *4 (-1075))))) 
-(((*1 *2) (-12 (-14 *4 (-790)) (-4 *5 (-1225)) (-5 *2 (-160)) (-5 *1 (-251 *3 *4 *5)) (-4 *3 (-252 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-160)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-416 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-194)))) ((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-592)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *2 (-592)) (-5 *1 (-538 *4 *5 *6 *7)) (-4 *7 (-977 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1009 *3)) (-4 *3 (-1075)) (-5 *2 (-944)))) ((*1 *2) (-12 (-4 *1 (-1287 *3)) (-4 *3 (-388)) (-5 *2 (-160))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-13 (-323) (-171))) (-4 *2 (-977 *4 *6 *5)) (-5 *1 (-951 *4 *5 *6 *2)) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815))))) 
-(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-944)) (-5 *1 (-1120 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1954 *6) (|:| |sol?| (-141))) (-592) *6)) (-4 *6 (-388)) (-4 *7 (-1255 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-433 *7)) (|:| |a0| *6)) (-2 (|:| -3191 (-433 *7)) (|:| |coeff| (-433 *7))) "failed")) (-5 *1 (-602 *6 *7)) (-5 *3 (-433 *7))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1092 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-658 *4)) (|:| |todo| (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))))) (-5 *1 (-1159 *5 *6 *7 *3 *4)) (-4 *4 (-1128 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-582)) (-5 *2 (-986 *3)) (-5 *1 (-1178 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-405)) (-5 *1 (-239)))) ((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-706 (-332 (-592)))) (-5 *1 (-1059))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1187 *6)) (-4 *6 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-1187 *7)) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-5 *1 (-935 *3 *2 *4 *5)) (-4 *2 (-346 *3 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-625 *3 *2)) (-4 *3 (-1119)) (-4 *3 (-869)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-688 *3)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) ((*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1297 *3)) (-4 *3 (-388)) (-5 *2 (-141))))) 
-(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1191)) (-5 *3 (-141)) (-5 *1 (-914 *4)) (-4 *4 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-206)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-332 (-237))) (-5 *4 (-658 (-1191))) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-316)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1280 (-332 (-237)))) (-5 *4 (-658 (-1191))) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-1171 (-237))) (-5 *1 (-316))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-844)) (-5 *2 (-57)) (-5 *1 (-851))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-977 *3 *5 *4)) (-5 *1 (-1016 *3 *4 *5 *2)) (-4 *3 (-477)) (-4 *4 (-869)) (-4 *5 (-815))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-582) (-171))) (-5 *2 (-2 (|:| -1961 *3) (|:| -1954 *3))) (-5 *1 (-1249 *4 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-1280 (-715))) (-5 *1 (-321))))) 
-(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-355 *3 *4 *5 *6)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-5 *2 (-2 (|:| -4547 (-439 *4 (-433 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| |poly| *6) (|:| -1947 (-433 *6)) (|:| |special| (-433 *6)))) (-5 *1 (-744 *5 *6)) (-5 *3 (-433 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-388)) (-5 *2 (-658 *3)) (-5 *1 (-918 *3 *4)) (-4 *3 (-1255 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-790)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -1961 *3) (|:| -1954 *3))) (-5 *1 (-918 *3 *5)) (-4 *3 (-1255 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1094 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1092 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1159 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-658 *9)) (-5 *3 (-658 *8)) (-5 *4 (-141)) (-4 *8 (-1089 *5 *6 *7)) (-4 *9 (-1128 *5 *6 *7 *8)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *1 (-1159 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-1255 *3)) (-5 *1 (-185 *3 *4 *2)) (-4 *2 (-1255 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-658 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-141) *8 *8)) (-4 *1 (-1219 *5 *6 *7 *8)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-1199 (-1191) (-150))) (-5 *1 (-150))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-262 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-944)) (-5 *1 (-808))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-423))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1225)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (-4 *1 (-1078 *3 *4 *5 *6 *7)) (-4 *5 (-1075)) (-4 *6 (-252 *4 *5)) (-4 *7 (-252 *3 *5)) (-5 *2 (-592))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1281)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1281)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1282)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-278))) (-5 *1 (-1282))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1113 *3)) (-5 *1 (-1111 *3)) (-4 *3 (-1225)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-5 *1 (-1246 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592)))) ((*1 *2 *2) (-12 (-4 *3 (-323)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *1 (-1141 *3 *4 *5 *2)) (-4 *2 (-704 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1225)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-625 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 (-1280 (-592)))) (-5 *1 (-495))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *5)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *2 (-346 *5 *7)) (-5 *1 (-139 *5 *6 *2 *7 *4)) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *4 (-137))))) 
-(((*1 *1) (-12 (-5 *1 (-162 *2 *3 *4)) (-14 *2 (-592)) (-14 *3 (-790)) (-4 *4 (-194))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-633 (-914 *3))) (-4 *3 (-908 *3)) (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-633 (-914 *3))) (-4 *2 (-908 *3)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-268 *2 *3 *4 *5)) (-4 *2 (-1075)) (-4 *3 (-869)) (-4 *4 (-284 *3)) (-4 *5 (-815))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-658 *7) *7 (-1187 *7))) (-5 *5 (-1 (-444 *7) *7)) (-4 *7 (-1255 *6)) (-4 *6 (-13 (-388) (-171) (-1065 (-433 (-592))))) (-5 *2 (-658 (-2 (|:| |frac| (-433 *7)) (|:| -2042 *3)))) (-5 *1 (-831 *6 *7 *3 *8)) (-4 *3 (-670 *7)) (-4 *8 (-670 (-433 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-444 *6) *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)) (-1065 (-433 (-592))))) (-5 *2 (-658 (-2 (|:| |frac| (-433 *6)) (|:| -2042 (-668 *6 (-433 *6)))))) (-5 *1 (-834 *5 *6)) (-5 *3 (-668 *6 (-433 *6)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1187 *9)) (-5 *4 (-658 *7)) (-5 *5 (-658 *8)) (-4 *7 (-869)) (-4 *8 (-1075)) (-4 *9 (-977 *8 *6 *7)) (-4 *6 (-815)) (-5 *2 (-1187 *8)) (-5 *1 (-340 *6 *7 *8 *9))))) 
-(((*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589)))) ((*1 *2 *3) (-12 (-5 *2 (-1187 (-433 (-592)))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-658 *3)) (-5 *6 (-1187 *3)) (-4 *3 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-588 *7 *3 *8)) (-4 *8 (-1119)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-631 *3)) (-5 *5 (-658 *3)) (-5 *6 (-433 (-1187 *3))) (-4 *3 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-588 *7 *3 *8)) (-4 *8 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-706 (-332 (-592))))) (-5 *1 (-1059)) (-5 *3 (-332 (-592)))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-373)) (-5 *2 (-986 (-1187 *4))) (-5 *1 (-381 *4)) (-5 *3 (-1187 *4))))) 
-(((*1 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-394)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *2)) (-4 *2 (-194)))) ((*1 *2) (-12 (-4 *2 (-194)) (-5 *1 (-442 *3 *2)) (-4 *3 (-443 *2)))) ((*1 *2) (-12 (-4 *1 (-443 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-137)) (-5 *2 (-592))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1280 *1)) (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-5 *2 (-1 *5)) (-5 *1 (-699 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-658 (-706 *3))) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-1056 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-658 (-706 *3))) (-4 *3 (-1075)) (-5 *1 (-1056 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *1 (-609 *2)) (-4 *2 (-1065 *3)) (-4 *2 (-388)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-609 *2)) (-4 *2 (-388)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-645 *4 *2)) (-4 *2 (-13 (-456 *4) (-1030) (-1211))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1111 *2)) (-4 *2 (-13 (-456 *4) (-1030) (-1211))) (-4 *4 (-13 (-869) (-582))) (-5 *1 (-645 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-987)) (-5 *2 (-1191)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1111 *1)) (-4 *1 (-987))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (|has| *1 (-6 -4616)) (-4 *1 (-430)) (-5 *2 (-944))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-489))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-264 *4 *5))) (-5 *2 (-264 *4 *5)) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *1 (-646 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| |ans| (-433 *5)) (|:| |nosol| (-141)))) (-5 *1 (-1043 *4 *5)) (-5 *3 (-433 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1191)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-489))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-658 *5))) (-4 *5 (-1270 *4)) (-4 *4 (-43 (-433 (-592)))) (-5 *2 (-1 (-1171 *4) (-658 (-1171 *4)))) (-5 *1 (-1272 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-4 *2 (-456 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1065 *4)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1017 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-658 *7)) (-4 *7 (-1094 *3 *4 *5 *6)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *1 (-1126 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *5 (-394)) (-5 *2 (-790))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-592)) (-5 *1 (-520 *4)) (-4 *4 (-1255 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-257 *3)) (-4 *3 (-1119)) (-5 *2 (-658 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-350))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-323)) (-4 *3 (-194)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-705 *3 *4 *5 *6)) (-4 *6 (-704 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-716 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-947 *3 *4)) (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-1285))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-171)) (-4 *2 (-323)) (-4 *2 (-477)) (-4 *3 (-869)) (-4 *4 (-815)) (-5 *1 (-1016 *2 *3 *4 *5)) (-4 *5 (-977 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-332 (-592))) (-5 *1 (-1136)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-414)) (-5 *1 (-647))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-323)) (-4 *3 (-1021 *2)) (-4 *4 (-1255 *3)) (-5 *1 (-439 *2 *3 *4 *5)) (-4 *5 (-13 (-435 *3 *4) (-1065 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-1255 *4)) (-5 *1 (-568 *4 *2 *5 *6)) (-4 *4 (-323)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-790)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-871 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121 *5)) (-4 *5 (-582)) (-4 *5 (-1075)) (-5 *2 (-2 (|:| -2230 *3) (|:| -3027 *3))) (-5 *1 (-872 *5 *3)) (-4 *3 (-871 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) ((*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-453 *3 *2)) (-4 *3 (-13 (-194) (-43 (-433 (-592))))) (-4 *2 (-13 (-869) (-21)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-592)) (-5 *1 (-712 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1246 *3)) (-4 *3 (-1225))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1155 *2 *3)) (-4 *2 (-13 (-1119) (-39))) (-4 *3 (-13 (-1119) (-39)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204))))) 
-(((*1 *1) (-12 (-4 *1 (-430)) (-3252 (|has| *1 (-6 -4616))) (-3252 (|has| *1 (-6 -4608))))) ((*1 *2 *1) (-12 (-4 *1 (-451 *2)) (-4 *2 (-1119)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-4 *1 (-852 *2)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-4 *1 (-869))) ((*1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-332 (-237))) (-5 *1 (-224))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-763 *3)) (-4 *3 (-194))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-971 (-237))) (-5 *4 (-896)) (-5 *2 (-1285)) (-5 *1 (-497)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1075)) (-4 *1 (-1009 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-971 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-1075)) (-4 *1 (-1151 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-971 *3)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-971 (-237))) (-5 *1 (-1222)) (-5 *3 (-237))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1255 (-433 *2))) (-5 *2 (-592)) (-5 *1 (-936 *4 *3)) (-4 *3 (-1255 (-433 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *2 (-2 (|:| |solns| (-658 *5)) (|:| |maps| (-658 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1145 *3 *5)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-186)) (-5 *2 (-141))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-1191))))) 
-(((*1 *1) (-5 *1 (-1281)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-944)) (-4 *1 (-394)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1280 *4)) (-5 *1 (-556 *4)) (-4 *4 (-373)))) ((*1 *2 *1) (-12 (-4 *2 (-869)) (-5 *1 (-730 *2 *3 *4)) (-4 *3 (-1119)) (-14 *4 (-1 (-141) (-2 (|:| -1825 *2) (|:| -3215 *3)) (-2 (|:| -1825 *2) (|:| -3215 *3))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-790))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-444 *3)) (-4 *3 (-582)) (-5 *1 (-445 *3))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-658 *8)) (|:| |towers| (-658 (-1055 *5 *6 *7 *8))))) (-5 *1 (-1055 *5 *6 *7 *8)) (-5 *3 (-658 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-141)) (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-1089 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-658 *8)) (|:| |towers| (-658 (-1160 *5 *6 *7 *8))))) (-5 *1 (-1160 *5 *6 *7 *8)) (-5 *3 (-658 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-433 (-980 *6)) (-1180 (-1191) (-980 *6)))) (-5 *5 (-790)) (-4 *6 (-477)) (-5 *2 (-658 (-706 (-433 (-980 *6))))) (-5 *1 (-308 *6)) (-5 *4 (-706 (-433 (-980 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-433 (-980 *5)) (-1180 (-1191) (-980 *5)))) (|:| |eigmult| (-790)) (|:| |eigvec| (-658 *4)))) (-4 *5 (-477)) (-5 *2 (-658 (-706 (-433 (-980 *5))))) (-5 *1 (-308 *5)) (-5 *4 (-706 (-433 (-980 *5))))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1252 *5 *4)) (-4 *4 (-842)) (-14 *5 (-1191)) (-5 *2 (-658 *4)) (-5 *1 (-1133 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-323)) (-5 *1 (-716 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) ((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-235 *3 *4)) (-4 *3 (-13 (-1075) (-869))) (-14 *4 (-658 (-1191)))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-218))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-625 *2 *3)) (-4 *3 (-1225)) (-4 *2 (-1119)) (-4 *2 (-869))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1191)) (-5 *5 (-658 (-433 (-980 *6)))) (-5 *3 (-433 (-980 *6))) (-4 *6 (-13 (-582) (-1065 (-592)) (-171))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-658 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-598 *6))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-578))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-538 (-433 (-592)) (-254 *4 (-790)) (-879 *3) (-264 *3 (-433 (-592))))) (-14 *3 (-658 (-1191))) (-14 *4 (-790)) (-5 *1 (-539 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-53))) (-1237 (-53)))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-53)))) (-1237 (-1187 (-53))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-53) (-790) (-790) (-1187 (-53)))) (|:| AF (-1 (-1187 (-53)) (-790) (-790) (-1237 (-1187 (-53))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-53)) (-790)))) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 *4) (-790))))) (-5 *1 (-508 *4)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 *4 (-790) (-790) (-1187 *4))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 *4) (-790)))) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-592)))) (-1237 (-433 (-592))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-592))))) (-1237 (-1187 (-433 (-592)))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-592) (-790) (-790) (-1187 (-592)))) (|:| AF (-1 (-1187 (-433 (-592))) (-790) (-790) (-1237 (-1187 (-433 (-592)))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-592)) (-790)))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 (-1191))) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) (-1191) *6)) (|:| C (-1 (-658 *5) (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 *4)) (-1237 *4))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 *4))) (-1237 (-1187 *4)))) (|:| |exprStream| (-1 (-1171 *6) *6 *3)) (|:| A (-1 *5 (-790) (-790) (-1187 *5))) (|:| AF (-1 (-1187 *4) (-790) (-790) (-1237 (-1187 *4)))) (|:| AX (-1 *6 (-790) *3 *6)) (|:| C (-1 (-658 *5) (-790)))) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) (-1191))) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) (-1191) (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1171 (-1237 (-433 (-980 (-592))))) (-1237 (-433 (-980 (-592)))))) (|:| |degreeStream| (-1171 (-790))) (|:| |testStream| (-1 (-1171 (-1237 (-1187 (-433 (-980 (-592)))))) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| |exprStream| (-1 (-1171 (-332 (-592))) (-332 (-592)) *3)) (|:| A (-1 (-980 (-592)) (-790) (-790) (-1187 (-980 (-592))))) (|:| AF (-1 (-1187 (-433 (-980 (-592)))) (-790) (-790) (-1237 (-1187 (-433 (-980 (-592))))))) (|:| AX (-1 (-332 (-592)) (-790) *3 (-332 (-592)))) (|:| C (-1 (-658 (-980 (-592))) (-790)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 HPSPEC) (-5 *1 (-512 *4)) (-14 *4 (-1191)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 HPSPEC (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-592)) (-5 *1 (-470 *3)) (-4 *3 (-430)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-405)) (-5 *1 (-807 *3)) (-4 *3 (-633 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-944)) (-5 *2 (-405)) (-5 *1 (-807 *3)) (-4 *3 (-633 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-278)))) ((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496)))) ((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-496))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-706 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-706 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-582)) (-4 *2 (-477)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *4 *5)) (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)))) ((*1 *2) (-12 (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-706 *4)) (-5 *1 (-434 *3 *4 *5)) (-4 *3 (-435 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-706 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-706 *6)) (-5 *5 (-1 (-444 (-1187 *6)) (-1187 *6))) (-4 *6 (-388)) (-5 *2 (-658 (-2 (|:| |outval| *7) (|:| |outmult| (-592)) (|:| |outvect| (-658 (-706 *7)))))) (-5 *1 (-559 *6 *7 *4)) (-4 *7 (-388)) (-4 *4 (-13 (-388) (-867)))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-462))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-5 *4 (-592)) (-4 *6 (-665 *5)) (-4 *5 (-388)) (-5 *2 (-706 *5)) (-5 *1 (-659 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-980 (-237))) (-5 *2 (-332 (-405))) (-5 *1 (-321))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (-4 *2 (-1075)) (-4 *2 (-194))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) ((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-496)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-658 (-658 *4)))) (-5 *3 (-658 *4)) (-4 *4 (-869)) (-5 *1 (-1197 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-704 *4 *5 *6)) (-5 *1 (-128 *4 *3 *2 *5 *6)) (-4 *3 (-1255 *4)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-1 (-141) *8))) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |goodPols| (-658 *8)) (|:| |badPols| (-658 *8)))) (-5 *1 (-1006 *5 *6 *7 *8)) (-5 *4 (-658 *8))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-875 *2)) (-4 *2 (-194)))) ((*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-790)) (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1) (-5 *1 (-565)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1187 *3)) (-5 *1 (-937 *3)) (-4 *3 (-323))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-254 *6 *7)) (-14 *6 (-790)) (-4 *7 (-1225)) (-4 *5 (-1225)) (-5 *2 (-254 *6 *5)) (-5 *1 (-253 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-4 *2 (-399 *5)) (-5 *1 (-397 *6 *4 *5 *2)) (-4 *4 (-399 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1119)) (-4 *5 (-1119)) (-4 *2 (-451 *5)) (-5 *1 (-449 *6 *4 *5 *2)) (-4 *4 (-451 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-658 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-658 *5)) (-5 *1 (-656 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-986 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-986 *5)) (-5 *1 (-985 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1171 *6)) (-4 *6 (-1225)) (-4 *3 (-1225)) (-5 *2 (-1171 *3)) (-5 *1 (-1169 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1280 *6)) (-4 *6 (-1225)) (-4 *5 (-1225)) (-5 *2 (-1280 *5)) (-5 *1 (-1279 *6 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-150)))) ((*1 *2 *3) (-12 (-4 *5 (-13 (-633 *2) (-194))) (-5 *2 (-914 *4)) (-5 *1 (-192 *4 *5 *3)) (-4 *4 (-1119)) (-4 *3 (-188 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-1113 (-862 (-405))))) (-5 *2 (-658 (-1113 (-862 (-237))))) (-5 *1 (-321)))) ((*1 *1 *2) (-12 (-5 *2 (-237)) (-5 *1 (-405)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-877)) (-5 *3 (-592)) (-5 *1 (-420)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-435 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-435 *3 *4)) (-4 *3 (-194)) (-4 *4 (-1255 *3)) (-5 *2 (-1280 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-443 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-1280 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-444 *1)) (-4 *1 (-456 *3)) (-4 *3 (-582)) (-4 *3 (-869)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-492 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1123)) (-5 *1 (-565)))) ((*1 *2 *1) (-12 (-4 *1 (-633 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-4 *3 (-194)) (-4 *1 (-741 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-914 *3))) (-5 *1 (-914 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1075)) (-4 *1 (-1009 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1086)))) ((*1 *1 *2) (-12 (-5 *2 (-980 *3)) (-4 *3 (-1075)) (-4 *1 (-1089 *3 *4 *5)) (-4 *5 (-633 (-1191))) (-4 *4 (-815)) (-4 *5 (-869)))) ((*1 *1 *2) (-3836 (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-3252 (-4 *3 (-43 (-433 (-592))))) (-4 *3 (-43 (-592))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))) (-12 (-5 *2 (-980 (-592))) (-4 *1 (-1089 *3 *4 *5)) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191)))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869))))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-433 (-592)))) (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-43 (-433 (-592)))) (-4 *5 (-633 (-1191))) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1094 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1173)) (-5 *1 (-1092 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1103)))) ((*1 *1 *2) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *2)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-4 *1 (-1122 *3 *4 *5 *2 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *2 (-1119)) (-4 *6 (-1119)))) ((*1 *1 *2) (-12 (-4 *1 (-1122 *3 *4 *2 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *2 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) ((*1 *1 *2) (-12 (-4 *1 (-1122 *3 *2 *4 *5 *6)) (-4 *3 (-1119)) (-4 *2 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) ((*1 *1 *2) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *2 (-1119)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-658 *7)) (|:| -2165 *8))) (-4 *7 (-1089 *4 *5 *6)) (-4 *8 (-1128 *4 *5 *6 *7)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1173)) (-5 *1 (-1159 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-877)) (-5 *3 (-592)) (-5 *1 (-1206)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-877)) (-5 *3 (-592)) (-5 *1 (-1206)))) ((*1 *2 *3) (-12 (-5 *3 (-802 *4 (-879 *5))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *5 (-658 (-1191))) (-5 *2 (-802 *4 (-879 *6))) (-5 *1 (-1304 *4 *5 *6)) (-14 *6 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-980 *4)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-980 (-1051 (-433 *4)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-802 *4 (-879 *6))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *6 (-658 (-1191))) (-5 *2 (-980 (-1051 (-433 *4)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-5 *2 (-1187 (-1051 (-433 *4)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191))) (-14 *6 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-1160 *4 (-558 (-879 *6)) (-879 *6) (-802 *4 (-879 *6)))) (-4 *4 (-13 (-867) (-323) (-171) (-1049))) (-14 *6 (-658 (-1191))) (-5 *2 (-658 (-802 *4 (-879 *6)))) (-5 *1 (-1304 *4 *5 *6)) (-14 *5 (-658 (-1191)))))) 
-(((*1 *2) (-12 (-4 *3 (-1075)) (-5 *2 (-986 (-729 *3 *4))) (-5 *1 (-729 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-1229)) (-5 *3 (-944)) (-5 *4 (-790)) (-5 *5 (-592)) (-5 *1 (-982))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1191)) (-4 *5 (-13 (-323) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-609 *3)) (-5 *1 (-452 *5 *3)) (-4 *3 (-13 (-1211) (-29 *5)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-980 (-433 (-592)))) (-5 *4 (-1191)) (-5 *5 (-1113 (-862 (-237)))) (-5 *2 (-658 (-237))) (-5 *1 (-316))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1173)) (-4 *1 (-389 *2 *4)) (-4 *2 (-1119)) (-4 *4 (-1119)))) ((*1 *1 *2) (-12 (-4 *1 (-389 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-971 *4)) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-252 *5 (-790))) (-14 *5 (-790)) (-5 *1 (-935 *3 *2 *4 *5)) (-4 *2 (-346 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (-5 *2 (-1285)) (-5 *1 (-1034))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-790)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-998 *5 *3)) (-4 *3 (-1255 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-168))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-790)) (-4 *5 (-194)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-790)) (-4 *5 (-194)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-538 (-433 (-592)) (-254 *5 (-790)) (-879 *4) (-264 *4 (-433 (-592))))) (-5 *3 (-658 (-879 *4))) (-14 *4 (-658 (-1191))) (-14 *5 (-790)) (-5 *1 (-539 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-388)) (-5 *1 (-785 *2 *3)) (-4 *2 (-725 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-1089 *4 *5 *6)) (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-658 (-1291 *4 *5 *6 *7))) (-5 *1 (-1291 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *9)) (-5 *4 (-1 (-141) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1089 *6 *7 *8)) (-4 *6 (-582)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *2 (-658 (-1291 *6 *7 *8 *9))) (-5 *1 (-1291 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-388)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-137)) (-5 *2 (-264 (-4466 (QUOTE X) (QUOTE -3820)) *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-405)) (-5 *1 (-206))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-5 *1 (-617 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *1 *2) (-12 (-5 *1 (-1054 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-261 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1) (-4 *1 (-1084)))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-460)) (-5 *2 (-658 (-3 (|:| -4095 (-1191)) (|:| |bounds| (-658 (-3 (|:| S (-1191)) (|:| P (-980 (-592))))))))) (-5 *1 (-1195))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-206))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *2)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *2 (-1089 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1199 (-1106 *3) (-1106 *3))) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-826 *4 *2)) (-4 *2 (-13 (-29 *4) (-1211) (-987))))) ((*1 *1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1 *1) (-5 *1 (-877))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *2 *3) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-658 *5))) (-4 *5 (-346 *4 *6)) (-4 *6 (-252 *7 *2)) (-14 *7 *2) (-4 *4 (-1075)) (-5 *2 (-790)) (-5 *1 (-799 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *6 (-252 *7 *2)) (-14 *7 *2) (-5 *2 (-790)) (-5 *1 (-956 *5 *3 *6 *7 *4)) (-4 *3 (-346 *5 *6)) (-4 *4 (-999 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-388)) (-4 *7 (-252 *8 *2)) (-14 *8 *2) (-5 *2 (-790)) (-5 *1 (-956 *6 *3 *7 *8 *4)) (-4 *3 (-346 *6 *7)) (-4 *4 (-999 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *14)) (-4 *14 (-280 *13)) (-4 *13 (-560 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-137)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-977 *5 *8 (-879 *6))) (-4 *8 (-252 (-1699 *6) *3)) (-4 *9 (-999 *5)) (-4 *10 (-665 *5)) (-4 *11 (-947 *5 *10)) (-4 *12 (-257 *11)) (-5 *3 (-790)) (-5 *2 (-592)) (-5 *1 (-282 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-790)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-489))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-444 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-181 *2)) (-4 *2 (-574)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1000))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-168))) (-5 *1 (-163)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-163))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-658 (-516 *4 *5))) (-5 *3 (-658 (-879 *4))) (-14 *4 (-658 (-1191))) (-4 *5 (-477)) (-5 *1 (-500 *4 *5 *6)) (-4 *6 (-477))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *6)) (-5 *4 (-1 *6 (-790) (-1280 (-1187 *6)))) (-5 *5 (-658 (-790))) (-4 *6 (-13 (-582) (-477))) (-5 *2 (-706 (-1187 *6))) (-5 *1 (-369 *6 *7)) (-4 *7 (-52 *6 (-790)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-790)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-815)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *6 (-869)) (-5 *2 (-141)) (-5 *1 (-474 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-471)) (-5 *3 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-592)) (|has| *1 (-6 -4616)) (-4 *1 (-430)) (-5 *2 (-944))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-323) (-1065 (-592)) (-654 (-592)) (-171))) (-5 *1 (-826 *4 *2)) (-4 *2 (-13 (-29 *4) (-1211) (-987)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-281 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-537 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-561 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2 *1) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-5 *2 (-877)) (-5 *1 (-562 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *7 (-999 *3)) (-4 *10 (-257 *9)) (-4 *11 (-137))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-670 *3)) (-4 *3 (-1075)) (-4 *3 (-388)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-790)) (-5 *4 (-1 *5 *5)) (-4 *5 (-388)) (-5 *1 (-673 *5 *2)) (-4 *2 (-670 *5))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-993 *3 *2)) (-4 *3 (-1119))))) 
-(((*1 *2) (-12 (-4 *3 (-582)) (-5 *2 (-658 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-443 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1 *1) (-4 *1 (-153))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-592)) (-5 *3 (-790)) (-5 *1 (-589))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-157 *2)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *1 (-157 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-252 *3 *2)) (-4 *2 (-1225)) (-4 *2 (-1075)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-877)))) ((*1 *1 *1) (-5 *1 (-877))) ((*1 *2 *3 *3) (-12 (-5 *3 (-971 (-237))) (-5 *2 (-237)) (-5 *1 (-1222)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1278 *2)) (-4 *2 (-1225)) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-790)) (-4 *4 (-323)) (-4 *6 (-1255 *4)) (-5 *2 (-1280 (-658 *6))) (-5 *1 (-481 *4 *6)) (-5 *5 (-658 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-141)) (|:| -3989 (-790)) (|:| |period| (-790)))) (-5 *1 (-1171 *4)) (-4 *4 (-1225)) (-5 *3 (-790))))) 
-(((*1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1194))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-944)) (-4 *5 (-323)) (-4 *3 (-1255 *5)) (-5 *2 (-2 (|:| |plist| (-658 *3)) (|:| |modulo| *5))) (-5 *1 (-486 *5 *3)) (-5 *4 (-658 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *2 (-862 *4)) (-5 *1 (-329 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *2 (-862 *4)) (-5 *1 (-1265 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1137)) (-5 *1 (-133)))) ((*1 *2 *1) (-12 (-4 *1 (-159)) (-5 *2 (-790)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-399 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-399 *3)) (-4 *3 (-1225)) (-4 *3 (-1119)) (-5 *2 (-592)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-141) *4)) (-4 *1 (-399 *4)) (-4 *4 (-1225)) (-5 *2 (-592)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-592)) (-5 *3 (-163)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1158)) (-5 *2 (-592))))) 
-(((*1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1203 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-1119))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *2 (-2 (|:| |stiffness| (-405)) (|:| |stability| (-405)) (|:| |expense| (-405)) (|:| |accuracy| (-405)) (|:| |intermediateResults| (-405)))) (-5 *1 (-825))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-57)) (-5 *1 (-914 *4)) (-4 *4 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-790) *2)) (-5 *4 (-790)) (-4 *2 (-1119)) (-5 *1 (-695 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-790) *3)) (-4 *3 (-1119)) (-5 *1 (-698 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-729 *3 *2)) (-4 *2 (-1255 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 *4)))) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *6))))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-433 *6)) (|:| |h| *6) (|:| |c1| (-433 *6)) (|:| |c2| (-433 *6)) (|:| -4132 *6))) (-5 *1 (-1044 *5 *6)) (-5 *3 (-433 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-27) (-456 *4))) (-4 *4 (-13 (-869) (-582) (-1065 (-592)))) (-4 *7 (-1255 (-433 *6))) (-5 *1 (-577 *4 *5 *6 *7 *2)) (-4 *2 (-362 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-971 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-141)) (-5 *1 (-954))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1173)) (-5 *1 (-808))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-926 (-592))) (-5 *1 (-940)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-592))) (-5 *2 (-926 (-592))) (-5 *1 (-940))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-194)) (-4 *2 (-23)) (-5 *1 (-306 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1255 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-728 *3 *2 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-729 *3 *2)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-732 *3 *2 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-477))) (-5 *2 (-658 *4)) (-5 *1 (-369 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-790)) (-5 *1 (-126 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-237)) (-5 *2 (-332 (-405))) (-5 *1 (-321))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-195 *2)) (-4 *2 (-323)))) ((*1 *2 *3) (-12 (-5 *2 (-1193 (-433 (-592)))) (-5 *1 (-204)) (-5 *3 (-592)))) ((*1 *1 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225)))) ((*1 *1 *1) (-4 *1 (-890 *2))) ((*1 *1 *1) (-12 (-4 *1 (-1002 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-814)) (-4 *4 (-869))))) 
-(((*1 *2 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-39)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-96 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-234 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-518 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-592)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4625)) (-5 *2 (-790)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-1301 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-865))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-790) "arbitrary")) (-5 *1 (-489))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *7)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *2 (-1285)) (-5 *1 (-474 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-165)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-166)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-238)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-240)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1226)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1228)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1230))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1075)) (-14 *3 (-658 (-1191))))) ((*1 *1 *1) (-12 (-5 *1 (-235 *2 *3)) (-4 *2 (-13 (-1075) (-869))) (-14 *3 (-658 (-1191)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *2 *5)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-815)) (-4 *2 (-284 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-867)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-141))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-433 (-980 *4))) (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-1065 (-592)) (-171))) (-5 *1 (-598 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *4 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *4)))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-332 (-237))) (-5 *1 (-321)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-914 *3)) (|:| |den| (-914 *3)))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-658 (-1191))) (|:| |pred| (-57)))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *4 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *3 (-999 *5)) (-4 *8 (-665 *5)) (-4 *9 (-947 *5 *8)) (-4 *10 (-257 *9)) (-4 *12 (-137)) (-4 *2 (-280 *11)) (-5 *1 (-282 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-560 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1280 *4)) (-4 *4 (-654 (-592))) (-5 *2 (-1280 (-433 (-592)))) (-5 *1 (-1305 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-194)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-388)) (-14 *6 (-1280 (-706 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))))) ((*1 *1 *2) (-12 (-5 *2 (-1142 (-592) (-631 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1225)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-4466) (-715)))) (-5 *1 (-66 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715)))) (-5 *1 (-68 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-359 (-4466 (QUOTE X)) (-4466) (-715))) (-5 *1 (-69 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466) (-4466 (QUOTE X) (QUOTE HESS)) (-715)))) (-5 *1 (-70 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-359 (-4466) (-4466 (QUOTE XC)) (-715))) (-5 *1 (-71 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))) (-5 *1 (-76 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) (-5 *1 (-79 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X) (QUOTE EPS)) (-4466 (QUOTE -3820)) (-715)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1191)) (-14 *4 (-1191)) (-14 *5 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE EPS)) (-4466 (QUOTE YA) (QUOTE YB)) (-715)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1191)) (-14 *4 (-1191)) (-14 *5 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-359 (-4466) (-4466 (QUOTE X)) (-715))) (-5 *1 (-82 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-359 (-4466) (-4466 (QUOTE X)) (-715))) (-5 *1 (-83 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE XC)) (-715)))) (-5 *1 (-84 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) (-5 *1 (-85 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466) (-4466 (QUOTE X)) (-715)))) (-5 *1 (-86 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715)))) (-5 *1 (-87 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466 (QUOTE X) (QUOTE -3820)) (-4466) (-715)))) (-5 *1 (-88 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466 (QUOTE X)) (-4466) (-715)))) (-5 *1 (-89 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X)) (-4466) (-715)))) (-5 *1 (-90 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715)))) (-5 *1 (-91 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-359 (-4466 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-4466) (-715)))) (-5 *1 (-92 *3)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-359 (-4466 (QUOTE X)) (-4466 (QUOTE -3820)) (-715))) (-5 *1 (-94 *3)) (-14 *3 (-1191)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1032 2)) (-5 *1 (-132)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-132)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-4 *1 (-137)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-162 *3 *4 *5))) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)) (-4 *5 (-194)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *5)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)) (-14 *4 (-790)))) ((*1 *1 *2) (-12 (-5 *2 (-1156 *4 *5)) (-14 *4 (-790)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)))) ((*1 *1 *2) (-12 (-5 *2 (-254 *4 *5)) (-14 *4 (-790)) (-4 *5 (-194)) (-5 *1 (-162 *3 *4 *5)) (-14 *3 (-592)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 (-706 *4))) (-4 *4 (-194)) (-5 *2 (-1280 (-706 (-433 (-980 *4))))) (-5 *1 (-203 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-13 (-869) (-10 -8 (-15 -3927 ((-1173) $ (-1191))) (-15 -3536 ((-1285) $)) (-15 -3948 ((-1285) $))))) (-5 *1 (-227 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1032 10)) (-5 *1 (-230)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-230)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-255 *3)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-1075)) (-5 *1 (-255 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-944))) (-5 *1 (-255 *3)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-944))) (-4 *3 (-1075)) (-5 *1 (-255 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-262 *3)) (-4 *3 (-869)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-869)) (-5 *1 (-262 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1111 (-332 *4))) (-4 *4 (-13 (-869) (-582) (-633 (-405)))) (-5 *2 (-1111 (-405))) (-5 *1 (-273 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-284 *2)) (-4 *2 (-869)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-293)))) ((*1 *2 *1) (-12 (-4 *2 (-1255 *3)) (-5 *1 (-306 *3 *2 *4 *5 *6 *7)) (-4 *3 (-194)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1264 *4 *5 *6)) (-4 *4 (-13 (-27) (-1211) (-456 *3))) (-14 *5 (-1191)) (-14 *6 *4) (-4 *3 (-13 (-869) (-1065 (-592)) (-654 (-592)) (-477))) (-5 *1 (-329 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-350)))) ((*1 *2 *1) (-12 (-5 *2 (-332 *5)) (-5 *1 (-359 *3 *4 *5)) (-14 *3 (-658 (-1191))) (-14 *4 (-658 (-1191))) (-4 *5 (-413)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *2 (-349 *4)) (-5 *1 (-371 *3 *4 *2)) (-4 *3 (-349 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-373)) (-4 *2 (-349 *4)) (-5 *1 (-371 *2 *4 *3)) (-4 *3 (-349 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-1302 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *2 (-1293 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-400 *2 *3)) (-4 *2 (-869)) (-4 *3 (-194)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-409)))) ((*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-409)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-409)))) ((*1 *1 *2) (-12 (-5 *2 (-706 (-715))) (-4 *1 (-409)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-410)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-410)))) ((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-4 *1 (-415)))) ((*1 *2 *3) (-12 (-5 *2 (-420)) (-5 *1 (-419 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-420)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-422)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-191 (-405))))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-405)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-592)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-191 (-405)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-405))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-592))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-710)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-715)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-310 (-332 (-717)))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-710))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-715))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-332 (-717))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-350)) (-5 *1 (-424 *3 *4 *5 *6)) (-14 *3 (-1191)) (-14 *4 (-3 (|:| |fst| (-460)) (|:| -4191 "void"))) (-14 *5 (-658 (-1191))) (-14 *6 (-1195)))) ((*1 *1 *2) (-12 (-5 *2 (-351 *4)) (-4 *4 (-13 (-869) (-21))) (-5 *1 (-453 *3 *4)) (-4 *3 (-13 (-194) (-43 (-433 (-592))))))) ((*1 *1 *2) (-12 (-5 *1 (-453 *2 *3)) (-4 *2 (-13 (-194) (-43 (-433 (-592))))) (-4 *3 (-13 (-869) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-980 (-433 *3)))) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-980 (-433 *3))) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-433 *3)) (-4 *3 (-582)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1142 *3 (-631 *1))) (-4 *3 (-1075)) (-4 *3 (-869)) (-4 *1 (-456 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1123)) (-5 *1 (-460)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-460)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-460)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-460)))) ((*1 *1 *2) (-12 (-5 *2 (-460)) (-5 *1 (-463)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-463)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-715))) (-4 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1195)) (|:| -3702 (-658 (-350))))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-350)) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-350))) (-4 *1 (-466)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 (-433 (-980 *3)))) (-4 *3 (-194)) (-14 *6 (-1280 (-706 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 (-971 (-237))))) (-5 *1 (-497)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-497)))) ((*1 *1 *2) (-12 (-5 *2 (-1264 *3 *4 *5)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-503 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-503 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-1032 16)) (-5 *1 (-521)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-521)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-524)))) ((*1 *1 *2) (-12 (-5 *2 (-1142 (-592) (-631 (-528)))) (-5 *1 (-528)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-535)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-194)) (-5 *1 (-626 *3 *2)) (-4 *2 (-763 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-632 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-4 *1 (-636 *2)) (-4 *2 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-1298 *3 *4)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) ((*1 *2 *1) (-12 (-5 *2 (-1293 *3 *4)) (-5 *1 (-642 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-14 *5 (-944)))) ((*1 *1 *2) (-12 (-4 *3 (-194)) (-5 *1 (-650 *3 *2)) (-4 *2 (-763 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-665 *3)) (-4 *3 (-388)) (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1171 (-2 (|:| |k| (-592)) (|:| |c| *3)))) (-4 *3 (-388)) (-4 *1 (-665 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-693 *3)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-841 *3)) (-5 *1 (-688 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-986 (-986 (-986 *3)))) (-5 *1 (-691 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-986 (-986 (-986 *3)))) (-4 *3 (-1119)) (-5 *1 (-691 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-841 *3)) (-5 *1 (-693 *3)) (-4 *3 (-869)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-698 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *2)) (-4 *4 (-399 *3)) (-4 *2 (-399 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-191 (-405))) (-5 *1 (-710)))) ((*1 *1 *2) (-12 (-5 *2 (-191 (-717))) (-5 *1 (-710)))) ((*1 *1 *2) (-12 (-5 *2 (-191 (-715))) (-5 *1 (-710)))) ((*1 *1 *2) (-12 (-5 *2 (-191 (-592))) (-5 *1 (-710)))) ((*1 *1 *2) (-12 (-5 *2 (-191 (-405))) (-5 *1 (-710)))) ((*1 *1 *2) (-12 (-5 *2 (-717)) (-5 *1 (-715)))) ((*1 *2 *1) (-12 (-5 *2 (-405)) (-5 *1 (-715)))) ((*1 *2 *3) (-12 (-5 *3 (-332 (-592))) (-5 *2 (-332 (-717))) (-5 *1 (-717)))) ((*1 *1 *2) (-12 (-5 *1 (-719 *2)) (-4 *2 (-1119)))) ((*1 *2 *3) (-12 (-5 *3 (-877)) (-5 *2 (-1173)) (-5 *1 (-727)))) ((*1 *2 *1) (-12 (-4 *2 (-194)) (-5 *1 (-728 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-729 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1825 *3) (|:| -3215 *4))) (-5 *1 (-730 *3 *4 *5)) (-4 *3 (-869)) (-4 *4 (-1119)) (-14 *5 (-1 (-141) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1825 *3) (|:| -3215 *4))) (-4 *3 (-869)) (-4 *4 (-1119)) (-5 *1 (-730 *3 *4 *5)) (-14 *5 (-1 (-141) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-194)) (-5 *1 (-732 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| -1487 *3) (|:| -1493 *4)))) (-4 *3 (-1075)) (-4 *4 (-743)) (-5 *1 (-752 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-761 *3 *4))) (-14 *3 (-1191)) (-4 *4 (-13 (-1075) (-869) (-582))) (-5 *1 (-760 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-980 *4)) (-4 *4 (-1075)) (-5 *1 (-761 *3 *4)) (-14 *3 (-1191)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *3)) (-14 *3 (-1191)) (-5 *1 (-761 *3 *4)) (-4 *4 (-1075)))) ((*1 *1 *2) (-12 (-5 *1 (-761 *3 *2)) (-14 *3 (-1191)) (-4 *2 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-782)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (|:| |mdnia| (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) (-5 *1 (-788)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-788)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-788)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-788)))) ((*1 *2 *3) (-12 (-5 *2 (-793)) (-5 *1 (-792 *3)) (-4 *3 (-1225)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-237)) (|:| |xend| (-237)) (|:| |fn| (-1280 (-332 (-237)))) (|:| |yinit| (-658 (-237))) (|:| |intvals| (-658 (-237))) (|:| |g| (-332 (-237))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))) (-5 *1 (-830)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-830)))) ((*1 *2 *1) (-12 (-4 *2 (-922 *3)) (-5 *1 (-839 *3 *2 *4)) (-4 *3 (-1119)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1119)) (-14 *4 *3) (-5 *1 (-839 *3 *2 *4)) (-4 *2 (-922 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-846)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (|:| |lsa| (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))))) (-5 *1 (-860)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *1 (-860)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *1 (-860)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-860)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *3)) (-14 *3 (-1191)) (-5 *1 (-874 *3 *4 *5 *6)) (-4 *4 (-1075)) (-14 *5 (-121 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-876)))) ((*1 *1 *2) (-12 (-5 *2 (-980 *3)) (-4 *3 (-1075)) (-5 *1 (-880 *3 *4 *5 *6)) (-14 *4 (-658 (-1191))) (-14 *5 (-658 (-790))) (-14 *6 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-980 *3)) (-5 *1 (-880 *3 *4 *5 *6)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))) (-14 *5 (-658 (-790))) (-14 *6 (-790)))) ((*1 *1 *2) (-12 (-5 *2 (-179)) (-5 *1 (-896)))) ((*1 *2 *3) (-12 (-5 *3 (-980 (-53))) (-5 *2 (-332 (-592))) (-5 *1 (-897)))) ((*1 *2 *3) (-12 (-5 *3 (-433 (-980 (-53)))) (-5 *2 (-332 (-592))) (-5 *1 (-897)))) ((*1 *1 *2) (-12 (-5 *1 (-915 *2)) (-4 *2 (-869)))) ((*1 *2 *1) (-12 (-5 *2 (-841 *3)) (-5 *1 (-915 *3)) (-4 *3 (-869)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-658 (-332 (-237)))) (|:| |constraints| (-658 (-2 (|:| |start| (-237)) (|:| |finish| (-237)) (|:| |grid| (-790)) (|:| |boundaryType| (-592)) (|:| |dStart| (-706 (-237))) (|:| |dFinish| (-706 (-237)))))) (|:| |f| (-658 (-658 (-332 (-237))))) (|:| |st| (-1173)) (|:| |tol| (-237)))) (-5 *1 (-920)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-920)))) ((*1 *2 *1) (-12 (-5 *2 (-1212 *3)) (-5 *1 (-923 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-927 *3))) (-4 *3 (-1119)) (-5 *1 (-926 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-927 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-658 *3))) (-4 *3 (-1119)) (-5 *1 (-927 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-444 *3))) (-4 *3 (-323)) (-5 *1 (-937 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-433 *3)) (-5 *1 (-937 *3)) (-4 *3 (-323)))) ((*1 *2 *3) (-12 (-5 *3 (-513)) (-5 *2 (-332 *4)) (-5 *1 (-942 *4)) (-4 *4 (-13 (-869) (-582))))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-388)) (-4 *1 (-999 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1000)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-433 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592)))) ((*1 *2 *3) (-12 (-5 *2 (-1285)) (-5 *1 (-1061 *3)) (-4 *3 (-1225)))) ((*1 *2 *3) (-12 (-5 *3 (-327)) (-5 *1 (-1061 *2)) (-4 *2 (-1225)))) ((*1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1062 *3 *4 *5 *2 *6)) (-4 *2 (-977 *3 *4 *5)) (-14 *6 (-658 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1065 *2)) (-4 *2 (-1225)))) ((*1 *2 *3) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-1070 *3)) (-4 *3 (-582)))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-706 *5)) (-5 *1 (-1079 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790)) (-4 *5 (-1075)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-869)) (-5 *1 (-1143 *3 *4 *2)) (-4 *2 (-977 *3 (-558 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *2 (-869)) (-5 *1 (-1143 *3 *2 *4)) (-4 *4 (-977 *3 (-558 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-877)))) ((*1 *2 *1) (-12 (-5 *2 (-706 *4)) (-5 *1 (-1156 *3 *4)) (-14 *3 (-790)) (-4 *4 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-168)) (-4 *1 (-1158)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1225)) (-5 *1 (-1171 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1181 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1188 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1189 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1252 *4 *3)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-1189 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1190)))) ((*1 *1 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1191)))) ((*1 *2 *1) (-12 (-5 *2 (-1199 (-1191) (-463))) (-5 *1 (-1195)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1198 *3)) (-4 *3 (-1119)))) ((*1 *2 *3) (-12 (-5 *2 (-1206)) (-5 *1 (-1205 *3)) (-4 *3 (-1119)))) ((*1 *1 *2) (-12 (-5 *2 (-877)) (-5 *1 (-1206)))) ((*1 *1 *2) (-12 (-5 *2 (-980 *3)) (-4 *3 (-1075)) (-5 *1 (-1220 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-1220 *3)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-986 *3)) (-4 *3 (-1225)) (-5 *1 (-1223 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 (QUOTE |x|))) (-5 *1 (-1237 *3)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-1252 (QUOTE |x|) *3)) (-4 *3 (-1075)) (-5 *1 (-1237 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-1241 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1243 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1113 *3)) (-4 *3 (-1225)) (-5 *1 (-1246 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *3)) (-14 *3 (-1191)) (-5 *1 (-1252 *3 *4)) (-4 *4 (-1075)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *1 (-1262 *3 *2)) (-4 *2 (-1239 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1264 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1271 *3 *4 *5)) (-4 *3 (-1075)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1252 *4 *3)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-14 *5 *3) (-5 *1 (-1271 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1276 *4)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-1075)))) ((*1 *1 *2) (-12 (-5 *2 (-1252 *4 *3)) (-4 *3 (-1075)) (-14 *4 (-1191)) (-5 *1 (-1275 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1191)) (-5 *1 (-1276 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1281)))) ((*1 *2 *3) (-12 (-5 *3 (-497)) (-5 *2 (-1281)) (-5 *1 (-1284)))) ((*1 *2 *1) (-12 (-5 *2 (-877)) (-5 *1 (-1285)))) ((*1 *1 *2) (-12 (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-815)) (-14 *6 (-658 *4)) (-5 *1 (-1290 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-977 *3 *5 *4)) (-14 *7 (-658 (-790))) (-14 *8 (-790)))) ((*1 *2 *1) (-12 (-4 *2 (-977 *3 *5 *4)) (-5 *1 (-1290 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-815)) (-14 *6 (-658 *4)) (-14 *7 (-658 (-790))) (-14 *8 (-790)))) ((*1 *1 *2) (-12 (-4 *1 (-1292 *2)) (-4 *2 (-1075)))) ((*1 *1 *2) (-12 (-4 *1 (-1295 *2 *3)) (-4 *2 (-869)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-1302 *3 *4)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) ((*1 *2 *1) (-12 (-5 *2 (-1293 *3 *4)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) ((*1 *1 *2) (-12 (-5 *2 (-681 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *1 (-1298 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1301 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-865))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-1191))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-57))) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *5 (-582)) (-5 *2 (-2 (|:| |minor| (-658 (-944))) (|:| -2042 *3) (|:| |minors| (-658 (-658 (-944)))) (|:| |ops| (-658 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-944)) (-4 *3 (-670 *5))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-923 *2)) (-4 *2 (-1119)))) ((*1 *1 *2) (-12 (-5 *1 (-923 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-381 *3)) (-4 *3 (-373))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-658 *7)) (-5 *3 (-592)) (-4 *7 (-977 *4 *5 *6)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-5 *1 (-474 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *1) (-5 *1 (-1194)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-2 (|:| |gen| *3) (|:| -1430 *4)))) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-662 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-310 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *2 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))) (-5 *1 (-1097 *3 *4 *2)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1119)) (-5 *1 (-1180 *3 *2)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-631 *4)) (-5 *1 (-630 *3 *4)) (-4 *3 (-869)) (-4 *4 (-869))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-631 *4)) (-5 *6 (-1191)) (-4 *4 (-13 (-456 *7) (-27) (-1211))) (-4 *7 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -2195 (-658 *4)))) (-5 *1 (-594 *7 *4 *3)) (-4 *3 (-670 *4)) (-4 *3 (-1119))))) 
-(((*1 *1) (-5 *1 (-587)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-278))) (-5 *4 (-1191)) (-5 *2 (-141)) (-5 *1 (-278))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1119)) (-5 *2 (-911 *3 *5)) (-5 *1 (-907 *3 *4 *5)) (-4 *3 (-1119)) (-4 *5 (-683 *4))))) 
-(((*1 *1) (-5 *1 (-237))) ((*1 *1) (-5 *1 (-405)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-433 (-980 (-191 (-592))))) (-5 *2 (-658 (-191 *4))) (-5 *1 (-404 *4)) (-4 *4 (-13 (-388) (-867))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-433 (-980 (-191 (-592)))))) (-5 *4 (-658 (-1191))) (-5 *2 (-658 (-658 (-191 *5)))) (-5 *1 (-404 *5)) (-4 *5 (-13 (-388) (-867)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-477)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *3 (-1089 *5 *6 *7)) (-5 *2 (-658 (-2 (|:| |val| (-658 *3)) (|:| -2165 *4)))) (-5 *1 (-1127 *5 *6 *7 *3 *4)) (-4 *4 (-1094 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-592)) (-4 *1 (-704 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-355 *3 *4 *5 *6)) (-4 *3 (-388)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-4 *6 (-362 *3 *4 *5)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-1187 *4)) (-5 *1 (-381 *4)) (-4 *4 (-373))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-1235)) (-5 *1 (-172 *2 *4 *3)) (-4 *3 (-1255 (-433 *4)))))) 
-(((*1 *1) (-5 *1 (-163)))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-592)) (-4 *3 (-194)) (-4 *5 (-399 *3)) (-4 *6 (-399 *3)) (-5 *1 (-705 *3 *5 *6 *2)) (-4 *2 (-704 *3 *5 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-585 *2)) (-4 *2 (-574))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-843)) (-5 *4 (-57)) (-5 *2 (-1285)) (-5 *1 (-853))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-582)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-505 *4 *5 *6 *7)) (|:| -3349 (-658 *7)))) (-5 *1 (-1006 *4 *5 *6 *7)) (-5 *3 (-658 *7))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-332 *3)) (-4 *3 (-582)) (-4 *3 (-869))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-4 *1 (-249 *3)))) ((*1 *1) (-12 (-4 *1 (-249 *2)) (-4 *2 (-1119))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -2369 (-658 (-1191))) (|:| -2781 (-658 (-1191))))) (-5 *1 (-1233))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1293 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)) (-5 *1 (-681 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-681 *3 *4)) (-5 *1 (-1298 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -1487 (-592)) (|:| |var| (-631 *1)))) (-4 *1 (-456 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1129))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-346 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-814)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-408 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1119)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1171 *3)) (-5 *1 (-618 *3)) (-4 *3 (-1075)))) ((*1 *2 *1) (-12 (-5 *2 (-658 *3)) (-5 *1 (-752 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-743)))) ((*1 *2 *1) (-12 (-4 *1 (-871 *3)) (-4 *3 (-1075)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-1075)) (-5 *2 (-1171 *3))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-143)) (-5 *4 (-658 *2)) (-5 *1 (-142 *2)) (-4 *2 (-1119)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *4 (-658 *4))) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1119)) (-5 *1 (-142 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-143)) (-5 *2 (-1 *4 (-658 *4))) (-5 *1 (-142 *4)) (-4 *4 (-1119)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-661 *3)) (-4 *3 (-1075)) (-5 *1 (-731 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1075)) (-5 *1 (-856 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-2 (|:| |num| (-1280 *4)) (|:| |den| *4)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-877)))) ((*1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-2 (|:| -3511 (-658 *6)) (|:| -1774 (-658 *6))))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-96 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-125)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-234 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-518 *3)) (-4 *3 (-1119)) (-4 *3 (-869)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1028 *3)) (-4 *3 (-1119)) (-4 *3 (-1119)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1161 *3)) (-4 *3 (-1119)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-690 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-4 *2 (-252 *5 (-790))) (-5 *1 (-935 *4 *3 *2 *5)) (-4 *3 (-346 *4 *2)) (-14 *5 (-790))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-631 *3)) (-4 *3 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-594 *5 *3 *6)) (-4 *6 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 *4)) (-4 *4 (-13 (-850) (-869) (-1075))) (-5 *2 (-1173)) (-5 *1 (-848 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-332 *5)) (-5 *4 (-141)) (-4 *5 (-13 (-850) (-869) (-1075))) (-5 *2 (-1173)) (-5 *1 (-848 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-844)) (-5 *4 (-332 *5)) (-4 *5 (-13 (-850) (-869) (-1075))) (-5 *2 (-1285)) (-5 *1 (-848 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-844)) (-5 *4 (-332 *6)) (-5 *5 (-141)) (-4 *6 (-13 (-850) (-869) (-1075))) (-5 *2 (-1285)) (-5 *1 (-848 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-850)) (-5 *2 (-1173)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-850)) (-5 *3 (-141)) (-5 *2 (-1173)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-850)) (-5 *3 (-844)) (-5 *2 (-1285)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-850)) (-5 *3 (-844)) (-5 *4 (-141)) (-5 *2 (-1285))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-414)) (-5 *1 (-462)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-414)) (-5 *1 (-462))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-141))))) 
-(((*1 *1) (-5 *1 (-163))) ((*1 *1 *1) (-5 *1 (-168))) ((*1 *1 *1) (-4 *1 (-1158)))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-159)) (-5 *3 (-790)) (-5 *2 (-1285))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-867)) (-5 *1 (-319 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-388)) (-4 *1 (-349 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-1255 *4)) (-4 *4 (-1235)) (-4 *1 (-362 *4 *3 *5)) (-4 *5 (-1255 (-433 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-1280 *1)) (-4 *4 (-194)) (-4 *1 (-392 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1280 *4)) (-5 *3 (-1280 *1)) (-4 *4 (-194)) (-4 *1 (-396 *4 *5)) (-4 *5 (-1255 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-435 *3 *4)) (-4 *4 (-1255 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1280 *3)) (-4 *3 (-194)) (-4 *1 (-443 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-388)) (-5 *1 (-553 *2 *4 *5 *3)) (-4 *3 (-704 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075)))) ((*1 *2 *3) (-12 (-4 *4 (-399 *2)) (-4 *5 (-399 *2)) (-4 *2 (-194)) (-5 *1 (-705 *2 *4 *5 *3)) (-4 *3 (-704 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *2 *4 *5)) (-4 *4 (-252 *3 *2)) (-4 *5 (-252 *3 *2)) (|has| *2 (-6 (-4627 "*"))) (-4 *2 (-1075))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *1 *1) (-4 *1 (-675))) ((*1 *1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-1187 (-1187 *4)))) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-3 (-658 *8) "failed" "Infinite" (-592))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *8 (-999 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-980 (-592))) (-5 *2 (-350)) (-5 *1 (-352)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-1111 (-980 (-592)))) (-5 *2 (-350)) (-5 *1 (-352)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-790)) (-5 *1 (-691 *3)) (-4 *3 (-1075)) (-4 *3 (-1119))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1212 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-342 *2 *3)) (-4 *2 (-1119)) (-4 *3 (-158)) (-4 *3 (-814))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-4 *4 (-13 (-323) (-171))) (-4 *5 (-13 (-869) (-633 (-1191)))) (-4 *6 (-815)) (-5 *2 (-658 (-2 (|:| |eqzro| (-658 *7)) (|:| |neqzro| (-658 *7)) (|:| |wcond| (-658 (-980 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1280 (-433 (-980 *4)))) (|:| -2195 (-658 (-1280 (-433 (-980 *4)))))))))) (-5 *1 (-951 *4 *5 *6 *7)) (-4 *7 (-977 *4 *6 *5))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *1 *1) (-4 *1 (-675))) ((*1 *1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-312)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-1173))) (-5 *2 (-327)) (-5 *1 (-312)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-312)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1173))) (-5 *3 (-1173)) (-5 *2 (-327)) (-5 *1 (-312))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-790)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-983)) (-5 *2 (-658 (-658 (-971 (-237))))))) ((*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-658 (-658 (-971 (-237)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-1032 *3)) (-14 *3 (-592))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-582) (-477))) (-5 *2 (-658 *4)) (-5 *1 (-369 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-4 *1 (-526))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-849 *2 *3)) (-4 *2 (-725 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-631 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1191))) (-5 *5 (-1187 *2)) (-4 *2 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-588 *6 *2 *7)) (-4 *7 (-1119)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-631 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1191))) (-5 *5 (-433 (-1187 *2))) (-4 *2 (-13 (-456 *6) (-27) (-1211))) (-4 *6 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-588 *6 *2 *7)) (-4 *7 (-1119))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-633 (-914 (-592)))) (-4 *5 (-908 (-592))) (-4 *5 (-13 (-869) (-1065 (-592)) (-477) (-654 (-592)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-595 *5 *3)) (-4 *3 (-644)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-388)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2934 *1))) (-4 *1 (-871 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-388)) (-4 *5 (-399 *4)) (-4 *6 (-399 *4)) (-5 *1 (-694 *4 *5 *6 *2)) (-4 *2 (-704 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-4 *1 (-526))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *6)) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *2 (-1 *6 *5)) (-5 *1 (-655 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *2)) (-4 *5 (-1119)) (-4 *2 (-1225)) (-5 *1 (-655 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 *6)) (-5 *4 (-658 *5)) (-4 *6 (-1119)) (-4 *5 (-1225)) (-5 *2 (-1 *5 *6)) (-5 *1 (-655 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *2)) (-4 *5 (-1119)) (-4 *2 (-1225)) (-5 *1 (-655 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-658 *5)) (-5 *4 (-658 *6)) (-4 *5 (-1119)) (-4 *6 (-1225)) (-5 *1 (-655 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1119)) (-4 *2 (-1225)) (-5 *1 (-655 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1158)) (-5 *3 (-168)) (-5 *2 (-790))))) 
-(((*1 *1 *1 *1) (-4 *1 (-323))) ((*1 *1 *1 *1) (-5 *1 (-790))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1283))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-658 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-944)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-137)) (-5 *2 (-592)) (-5 *1 (-491 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-280 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-894 *4 *5 *6)) (-4 (-884 *4) (-394)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-944)) (-5 *2 (-592)) (-5 *1 (-895 *4 *5 *6)) (-4 *4 (-394)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-137))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-4 *1 (-526))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-980 *4)) (-4 *4 (-1075)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-980 *5)) (-5 *4 (-944)) (-4 *5 (-1075)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-582)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-433 (-980 *5))) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-332 *4)) (-4 *4 (-582)) (-4 *4 (-869)) (-4 *4 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-332 *5)) (-5 *4 (-944)) (-4 *5 (-582)) (-4 *5 (-869)) (-4 *5 (-633 *2)) (-5 *2 (-405)) (-5 *1 (-807 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-778))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1173)) (-5 *1 (-281 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *1) (-4 *1 (-526))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *3 (-977 *4 *6 (-879 *5))) (-4 *6 (-252 (-1699 *5) (-790))) (-4 *7 (-999 *4)) (-4 *8 (-665 *4)) (-4 *9 (-947 *4 *8)) (-4 *10 (-560 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-137)) (-4 *2 (-257 *9)) (-5 *1 (-491 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-658 *13)) (-5 *5 (-658 *9)) (-4 *9 (-999 *6)) (-4 *13 (-280 *12)) (-4 *6 (-388)) (-4 *12 (-560 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-137)) (-14 *7 (-658 (-1191))) (-4 *3 (-977 *6 *8 (-879 *7))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *10 (-665 *6)) (-4 *11 (-947 *6 *10)) (-4 *2 (-257 *11)) (-5 *1 (-580 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-264 *5 *4)) (-4 *4 (-373)) (-14 *5 (-658 (-1191))) (-5 *2 (-258 (-949 *4))) (-5 *1 (-894 *4 *5 *6)) (-4 *6 (-137)))) ((*1 *2 *3) (-12 (-5 *3 (-264 *5 *4)) (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-5 *2 (-258 (-948 *4))) (-5 *1 (-895 *4 *5 *6)) (-4 *6 (-137))))) 
-(((*1 *1 *1 *1) (-4 *1 (-323))) ((*1 *1 *1 *1) (-5 *1 (-790))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-2 (|:| -4500 (-1187 *6)) (|:| -3215 (-592))))) (-4 *6 (-323)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-592)) (-5 *1 (-759 *4 *5 *6 *7)) (-4 *7 (-977 *6 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-589))))) 
-(((*1 *1) (-5 *1 (-845)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-1187 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *1) (-4 *1 (-526))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-790))) (-5 *3 (-141)) (-5 *1 (-1179 *4 *5)) (-14 *4 (-944)) (-4 *5 (-1075))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-5 *2 (-1 *6 *5)) (-5 *1 (-700 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-456 *4)) (-5 *1 (-457 *4 *2)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *1) (-4 *1 (-526))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-704 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-399 *2)) (-4 *4 (-399 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-141)) (-5 *2 (-1285)) (-5 *1 (-58))))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-631 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1191))) (-4 *2 (-13 (-456 *5) (-27) (-1211))) (-4 *5 (-13 (-477) (-1065 (-592)) (-869) (-171) (-654 (-592)))) (-5 *1 (-594 *5 *2 *6)) (-4 *6 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-706 (-433 (-980 (-592))))) (-5 *2 (-658 (-706 (-332 (-592))))) (-5 *1 (-1059))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-658 *1)) (-4 *1 (-1151 *3))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-658 (-592))) (-5 *3 (-141)) (-5 *1 (-1129))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-1207))))) 
-(((*1 *1 *1) (-4 *1 (-116))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-5 *2 (-658 (-1097 *3 *4 *5))) (-5 *1 (-1098 *3 *4 *5)) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 (-914 *3))))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *2 (-1119)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *2)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-582)) (-4 *3 (-194)) (-5 *2 (-2 (|:| |particular| *1) (|:| -2195 (-658 *1)))) (-4 *1 (-392 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-478 *3 *4 *5 *6)) (|:| -2195 (-658 (-478 *3 *4 *5 *6))))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-433 (-980 *4))) (-4 *4 (-323)) (-5 *2 (-433 (-444 (-980 *4)))) (-5 *1 (-1069 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-885))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-467 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *1 *1) (-4 *1 (-116))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1122 *2 *3 *4 *5 *6)) (-4 *2 (-1119)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-815)) (-4 *7 (-869)) (-4 *8 (-323)) (-4 *9 (-977 *8 *6 *7)) (-5 *2 (-2 (|:| -3489 (-1187 *9)) (|:| |polval| (-1187 *8)))) (-5 *1 (-759 *6 *7 *8 *9)) (-5 *3 (-1187 *9)) (-5 *4 (-1187 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1203 *4 *5)) (-4 *4 (-1119)) (-4 *5 (-1119))))) 
-(((*1 *1 *1) (-4 *1 (-582)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-346 *2 *3)) (-4 *3 (-814)) (-4 *2 (-1075)) (-4 *2 (-477)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-1255 (-592))) (-5 *2 (-658 (-592))) (-5 *1 (-520 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-477)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-477))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 (-237))) (-5 *2 (-332 (-405))) (-5 *1 (-321))))) 
-(((*1 *1 *1) (-4 *1 (-116))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-658 *6)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-927 *3))) (-5 *1 (-926 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-206)))) ((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-316)))) ((*1 *2 *3) (-12 (-5 *3 (-1113 (-862 (-237)))) (-5 *2 (-237)) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *4 *5 *6 *7)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *7 (-1119)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141)) (-5 *1 (-538 *3 *4 *5 *6)) (-4 *6 (-977 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *1 *1) (-4 *1 (-116))) ((*1 *1 *1 *1) (-5 *1 (-237))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *1 *1) (-5 *1 (-405))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-1285)) (-5 *1 (-488))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-194)))) ((*1 *2 *3 *3 *2) (-12 (-5 *2 (-592)) (-5 *3 (-1229)) (-5 *1 (-982)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-582)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-194))))) 
-(((*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1095 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-5 *2 (-1285)) (-5 *1 (-1127 *3 *4 *5 *6 *7)) (-4 *7 (-1094 *3 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))))) ((*1 *1 *2) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-579 *2)) (-4 *2 (-13 (-430) (-1211)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388))))) 
-(((*1 *1 *1) (-4 *1 (-116))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-4 *7 (-1255 *5)) (-4 *4 (-741 *5 *7)) (-5 *2 (-2 (|:| -3253 (-706 *6)) (|:| |vec| (-1280 *5)))) (-5 *1 (-833 *5 *6 *7 *4 *3)) (-4 *6 (-670 *5)) (-4 *3 (-670 *4))))) 
-(((*1 *2 *3 *2) (-12 (-4 *1 (-809)) (-5 *2 (-1063)) (-5 *3 (-2 (|:| |fn| (-332 (-237))) (|:| -2166 (-658 (-1113 (-862 (-237))))) (|:| |abserr| (-237)) (|:| |relerr| (-237)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-809)) (-5 *2 (-1063)) (-5 *3 (-2 (|:| |var| (-1191)) (|:| |fn| (-332 (-237))) (|:| -2166 (-1113 (-862 (-237)))) (|:| |abserr| (-237)) (|:| |relerr| (-237))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-971 *3)) (-4 *3 (-13 (-388) (-1211) (-1030))) (-5 *1 (-196 *3))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-986 (-237))) (-5 *3 (-1137)) (-5 *4 (-237)) (-5 *1 (-135))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-658 *1)) (-5 *3 (-658 (-790))) (-5 *4 (-592)) (-4 *1 (-665 *5)) (-4 *5 (-388))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-477))) (-5 *1 (-1217 *3 *2)) (-4 *2 (-13 (-456 *3) (-1211)))))) 
-(((*1 *1 *1) (-4 *1 (-116))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-1097 *3 *4 *5))) (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-4 *5 (-13 (-456 *4) (-908 *3) (-633 (-914 *3)))) (-5 *1 (-1098 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-790)) (-5 *1 (-805 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-194))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-332 (-237)))) (-5 *4 (-790)) (-5 *2 (-706 (-237))) (-5 *1 (-285))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1005 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-582)) (-5 *2 (-141))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-1151 *3)) (-4 *3 (-1075)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-433 *1)) (-4 *1 (-1255 *3)) (-4 *3 (-1075)) (-4 *3 (-582)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-582))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1) (-4 *1 (-1214)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-428)) (-5 *2 (-790)))) ((*1 *1 *1) (-4 *1 (-428)))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982))))) 
-(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1137)) (-5 *5 (-237)) (-5 *2 (-658 (-986 *5))) (-5 *1 (-135)) (-5 *4 (-986 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-954))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1) (-4 *1 (-1214)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-869) (-1065 (-592)))) (-5 *1 (-202 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 (-191 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-477) (-869) (-1065 (-592)) (-654 (-592)))) (-5 *1 (-1215 *3 *2)) (-4 *2 (-13 (-27) (-1211) (-456 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-169))) ((*1 *1 *1) (-4 *1 (-373))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-169)) (-4 *1 (-931))))) 
-(((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-141)) (-5 *1 (-391 *3 *4)) (-4 *3 (-392 *4)))) ((*1 *2) (-12 (-4 *1 (-392 *3)) (-4 *3 (-194)) (-5 *2 (-141))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1) (-4 *1 (-1214)))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1187 *1)) (-4 *1 (-1040))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-845)) (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-4 *4 (-1119)) (-4 *5 (-13 (-1075) (-908 *4) (-869) (-633 (-914 *4)))) (-5 *1 (-1097 *4 *5 *2)) (-4 *2 (-13 (-456 *5) (-908 *4) (-633 (-914 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1119)) (-4 *4 (-13 (-1075) (-908 *3) (-869) (-633 (-914 *3)))) (-5 *1 (-1097 *3 *4 *2)) (-4 *2 (-13 (-456 *4) (-908 *3) (-633 (-914 *3))))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1280 (-592))) (-5 *3 (-592)) (-5 *1 (-1129)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1280 (-592))) (-5 *3 (-658 (-592))) (-5 *4 (-592)) (-5 *1 (-1129))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-658 *6)) (-4 *6 (-346 *5 *7)) (-4 *7 (-252 *8 (-790))) (-14 *8 (-790)) (-4 *5 (-388)) (-5 *2 (-141)) (-5 *1 (-956 *5 *6 *7 *8 *4)) (-4 *4 (-999 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1) (-4 *1 (-1214)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-323) (-171))) (-4 *4 (-13 (-869) (-633 (-1191)))) (-4 *5 (-815)) (-5 *1 (-951 *3 *4 *5 *2)) (-4 *2 (-977 *3 *5 *4))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-195 *2)) (-4 *2 (-323)))) ((*1 *2 *1) (-12 (-5 *1 (-937 *2)) (-4 *2 (-323)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582)) (-4 *2 (-323)))) ((*1 *2 *1) (-12 (-4 *1 (-1084)) (-5 *2 (-592))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-4 *4 (-582)) (-4 *5 (-1255 *4)) (-5 *2 (-2 (|:| -4104 (-639 *4 *5)) (|:| -4134 (-433 *5)))) (-5 *1 (-639 *4 *5)) (-5 *3 (-433 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1179 *3 *4))) (-5 *1 (-1179 *3 *4)) (-14 *3 (-944)) (-4 *4 (-1075)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-477)) (-4 *3 (-1075)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1255 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1173)) (-5 *1 (-1204))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-193))))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-351 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1) (-4 *1 (-1214)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-53))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-53))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-4 (-53) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-53)) (-658 (-489)))) (-5 *1 (-506)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-13 (-373) (-633 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-508 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-508 *4)) (-4 *4 (-1065 *3)) (-4 *4 (-13 (-373) (-633 (-592)))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-592)))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-4 (-433 (-592)) (-1065 *3)) (-4 (-592) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-592))) (-658 (-489)))) (-5 *1 (-509)))) ((*1 *2 *3) (-12 (-5 *3 (-658 *4)) (-4 *4 (-388)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790))))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 *5)) (-5 *4 (-658 (-489))) (-4 *5 (-388)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-869) (-582))) (-14 *9 (-1 *5 *8)) (-5 *2 (-658 (-2 (|:| -1325 *7) (|:| -4346 (-790))))) (-5 *1 (-510 *5 *6 *7 *8 *9 *10)) (-4 *6 (-477)) (-4 *7 (-13 (-456 (-592)) (-582) (-1065 *8) (-1065 (-1191)) (-1065 (-592)) (-182) (-922 (-1191)) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-4 *7 (-13 (-869) (-582))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-658 (-2 (|:| -1325 *6) (|:| -4346 (-790)))) (-658 *4) (-658 (-489)))) (-5 *1 (-510 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1065 *3)) (-4 *5 (-1065 *3)) (-4 *4 (-388)) (-4 *5 (-477)) (-4 *6 (-13 (-456 (-592)) (-582) (-1065 *7) (-1065 *3) (-1065 (-592)) (-182) (-922 *3) (-10 -8 (-15 * ($ $ $)) (-15 -3313 ($ $ $)) (-15 ** ($ $ $)) (-15 -3838 ($ $)) (-15 -2782 ($ $)) (-15 -4559 ((-141) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-980 (-592))))) (-5 *4 (-658 (-489))) (-5 *2 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790))))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-4 (-433 (-980 (-592))) (-1065 *3)) (-4 (-980 (-592)) (-1065 *3)) (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-332 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-980 (-592)))) (-658 (-489)))) (-5 *1 (-511)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-433 (-761 *4 (-592))))) (-14 *4 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-433 (-761 *5 (-592))))) (-5 *4 (-658 (-489))) (-14 *5 (-1191)) (-5 *2 (-658 (-2 (|:| -1325 (-760 *5 (-592))) (|:| -4346 (-790))))) (-5 *1 (-512 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1 (-658 (-2 (|:| -1325 (-760 *4 (-592))) (|:| -4346 (-790)))) (-658 (-433 (-761 *4 (-592)))) (-658 (-489)))) (-5 *1 (-512 *4)) (-14 *4 *3)))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1255 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *3 (-1089 *6 *7 *8)) (-5 *2 (-658 (-2 (|:| |val| *3) (|:| -2165 *4)))) (-5 *1 (-1127 *6 *7 *8 *3 *4)) (-4 *4 (-1094 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-658 (-2 (|:| |val| (-658 *8)) (|:| -2165 *9)))) (-5 *5 (-141)) (-4 *8 (-1089 *6 *7 *4)) (-4 *9 (-1094 *6 *7 *4 *8)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *4 (-869)) (-5 *2 (-658 (-2 (|:| |val| *8) (|:| -2165 *9)))) (-5 *1 (-1127 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1017 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *7 (-1089 *4 *5 *6)) (-5 *2 (-141)) (-5 *1 (-1126 *4 *5 *6 *7 *3)) (-4 *3 (-1094 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-351 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *1 *1) (-4 *1 (-1214)))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1089 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-408 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1119)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-1171 *3)) (-5 *1 (-1175 *3)) (-4 *3 (-1075)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-841 *4)) (-4 *4 (-869)) (-4 *1 (-1295 *4 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-1187 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-349 *3)) (-4 *3 (-388)) (-4 *3 (-394)) (-5 *2 (-1187 *3))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-943)) (-5 *2 (-2 (|:| -1487 (-658 *1)) (|:| -2934 *1))) (-5 *3 (-658 *1))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-13 (-477) (-869) (-171) (-1065 (-592)) (-654 (-592)))) (-5 *2 (-2 (|:| -3191 *3) (|:| |coeff| *3))) (-5 *1 (-583 *5 *3)) (-4 *3 (-13 (-27) (-1211) (-456 *5)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-1113 (-237))) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1191)) (-5 *5 (-1113 (-237))) (-5 *2 (-954)) (-5 *1 (-952 *3)) (-4 *3 (-633 (-565))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-953)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-658 (-1 (-237) (-237)))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-658 (-1 (-237) (-237)))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-237) (-237))) (-5 *3 (-1113 (-237))) (-5 *1 (-954))))) 
-(((*1 *2) (-12 (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-977 *3 *6 (-879 *4))) (-4 *6 (-252 (-1699 *4) (-790))) (-4 *7 (-999 *3)) (-4 *8 (-665 *3)) (-4 *9 (-947 *3 *8)) (-4 *10 (-257 *9)) (-4 *11 (-560 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-137)) (-5 *2 (-658 *12)) (-5 *1 (-491 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-280 *11)))) ((*1 *2) (-12 (-5 *2 (-658 (-281 (-561 *3 *4 *5)))) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-658 (-281 (-537 *3 *4 *5)))) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1302 *4 *2)) (-4 *1 (-400 *4 *2)) (-4 *4 (-869)) (-4 *2 (-194)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1295 *3 *2)) (-4 *3 (-869)) (-4 *2 (-1075)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-841 *4)) (-4 *1 (-1295 *4 *2)) (-4 *4 (-869)) (-4 *2 (-1075)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1075)) (-5 *1 (-1301 *2 *3)) (-4 *3 (-865))))) 
-(((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-862 (-405))) (-5 *2 (-862 (-237))) (-5 *1 (-321))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-451 *3)) (-4 *3 (-1119)) (-5 *2 (-790))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-658 *3)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-5 *2 (-658 *8)) (-5 *1 (-991 *5 *6 *3 *7 *8)) (-4 *8 (-999 *5))))) 
-(((*1 *2) (-12 (-4 *2 (-194)) (-5 *1 (-187 *3 *2)) (-4 *3 (-188 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-396 *2 *4)) (-4 *4 (-1255 *2)) (-4 *2 (-194)))) ((*1 *2) (-12 (-4 *4 (-1255 *2)) (-4 *2 (-194)) (-5 *1 (-434 *3 *2 *4)) (-4 *3 (-435 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-435 *2 *3)) (-4 *3 (-1255 *2)) (-4 *2 (-194)))) ((*1 *2) (-12 (-4 *3 (-1255 *2)) (-5 *2 (-592)) (-5 *1 (-787 *3 *4)) (-4 *4 (-435 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-977 *3 *4 *2)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *2 (-869)) (-4 *3 (-194)))) ((*1 *2 *3) (-12 (-4 *2 (-582)) (-5 *1 (-998 *2 *3)) (-4 *3 (-1255 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1255 *2)) (-4 *2 (-1075)) (-4 *2 (-194))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *4) (|:| |ineq| (-658 *9)))) (-5 *1 (-1017 *6 *7 *8 *9 *4)) (-5 *3 (-658 *9)) (-4 *4 (-1094 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-141)) (-4 *6 (-477)) (-4 *7 (-815)) (-4 *8 (-869)) (-4 *9 (-1089 *6 *7 *8)) (-5 *2 (-2 (|:| -2042 (-658 *9)) (|:| -2165 *4) (|:| |ineq| (-658 *9)))) (-5 *1 (-1126 *6 *7 *8 *9 *4)) (-5 *3 (-658 *9)) (-4 *4 (-1094 *6 *7 *8 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-980 *4))) (-4 *4 (-477)) (-5 *2 (-141)) (-5 *1 (-385 *4 *5)) (-14 *5 (-658 (-1191))))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-802 *4 (-879 *5)))) (-4 *4 (-477)) (-14 *5 (-658 (-1191))) (-5 *2 (-141)) (-5 *1 (-643 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *7 (-252 (-1699 *5) (-790))) (-4 *8 (-999 *4)) (-4 *9 (-665 *4)) (-4 *10 (-947 *4 *9)) (-4 *11 (-257 *10)) (-4 *12 (-560 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-137)) (-5 *2 (-1285)) (-5 *1 (-282 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-280 *12))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-270)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-902 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1111 (-405))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1150 (-237))) (-5 *1 (-274 *5))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-871 *2)) (-4 *2 (-1075)) (-4 *2 (-388))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1119)))) ((*1 *2 *1) (-12 (-4 *1 (-1023 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1119))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-574)))) 
-(((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-894 *3 *4 *5)) (-4 *3 (-373)) (-14 *4 (-658 (-1191))) (-4 *5 (-137)))) ((*1 *2) (-12 (-5 *2 (-1285)) (-5 *1 (-895 *3 *4 *5)) (-4 *3 (-388)) (-14 *4 (-658 (-1191))) (-4 *5 (-137))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 *1)) (-4 *1 (-392 *4)) (-4 *4 (-194)) (-5 *2 (-658 (-980 *4))))) ((*1 *2) (-12 (-4 *4 (-194)) (-5 *2 (-658 (-980 *4))) (-5 *1 (-442 *3 *4)) (-4 *3 (-443 *4)))) ((*1 *2) (-12 (-4 *1 (-443 *3)) (-4 *3 (-194)) (-5 *2 (-658 (-980 *3))))) ((*1 *2) (-12 (-5 *2 (-658 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1280 (-478 *4 *5 *6 *7))) (-5 *2 (-658 (-980 *4))) (-5 *1 (-478 *4 *5 *6 *7)) (-4 *4 (-582)) (-4 *4 (-194)) (-14 *5 (-944)) (-14 *6 (-658 (-1191))) (-14 *7 (-1280 (-706 *4)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-270)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1281)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-900 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-270)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-900 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1281)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-902 (-1 (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-237) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-971 (-237)) (-237) (-237))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 (-1 (-237) (-237) (-237)))) (-5 *4 (-1113 (-405))) (-5 *2 (-1282)) (-5 *1 (-270)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-310 *7)) (-5 *4 (-1191)) (-5 *5 (-658 (-278))) (-4 *7 (-456 *6)) (-4 *6 (-13 (-582) (-869) (-1065 (-592)))) (-5 *2 (-1281)) (-5 *1 (-271 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1111 (-405))) (-5 *2 (-1281)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-900 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1281)) (-5 *1 (-274 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-900 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1281)) (-5 *1 (-274 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-902 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-902 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1111 (-405))) (-5 *2 (-1282)) (-5 *1 (-274 *3)) (-4 *3 (-13 (-633 (-565)) (-1119))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-904 *6)) (-5 *4 (-1111 (-405))) (-5 *5 (-658 (-278))) (-4 *6 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-904 *5)) (-5 *4 (-1111 (-405))) (-4 *5 (-13 (-633 (-565)) (-1119))) (-5 *2 (-1282)) (-5 *1 (-274 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-1281)) (-5 *1 (-275)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-658 (-237))) (-5 *4 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-275)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-971 (-237)))) (-5 *2 (-1281)) (-5 *1 (-275)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-971 (-237)))) (-5 *4 (-658 (-278))) (-5 *2 (-1281)) (-5 *1 (-275)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-658 (-237))) (-5 *2 (-1282)) (-5 *1 (-275)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-658 (-237))) (-5 *4 (-658 (-278))) (-5 *2 (-1282)) (-5 *1 (-275))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-405)) (-5 *1 (-118))))) 
-(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-3 *3 (-658 *1))) (-4 *1 (-1094 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1075)) (-5 *2 (-141)) (-5 *1 (-469 *4 *3)) (-4 *3 (-1255 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1089 *3 *4 *5)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-1075)) (-4 *4 (-1239 *3)) (-5 *2 (-433 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-971 *2)) (-5 *1 (-1011 *2)) (-4 *2 (-1075))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-937 *3)) (-4 *3 (-323))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-332 (-592))) (|:| -3958 (-332 (-405))) (|:| CF (-332 (-191 (-405)))) (|:| |switch| (-1190)))) (-5 *1 (-1190))))) 
-(((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715)))) ((*1 *2 *2) (-12 (-5 *2 (-592)) (-5 *1 (-715))))) 
-(((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-143)) (-5 *3 (-658 *1)) (-4 *1 (-318)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-318)) (-5 *2 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-631 *3)) (-4 *3 (-869)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-143)) (-5 *3 (-658 *5)) (-5 *4 (-790)) (-4 *5 (-869)) (-5 *1 (-631 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-299 *2)) (-4 *2 (-1225)) (-4 *2 (-1119)))) ((*1 *1 *1) (-12 (-4 *1 (-711 *2)) (-4 *2 (-1119))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-877))) (-5 *1 (-877)))) ((*1 *1 *1 *1) (-5 *1 (-877)))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-706 *3)) (-4 *3 (-1075)) (-5 *1 (-707 *3))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-420)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1173))) (-5 *1 (-1206))))) 
-(((*1 *1 *1) (-4 *1 (-644))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-645 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030) (-1211)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-1021 *2)) (-4 *4 (-1255 *3)) (-4 *2 (-323)) (-5 *1 (-439 *2 *3 *4 *5)) (-4 *5 (-13 (-435 *3 *4) (-1065 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-582)) (-4 *3 (-869)) (-5 *2 (-1142 *3 (-631 *1))) (-4 *1 (-456 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-528)))) (-5 *1 (-528)))) ((*1 *2 *1) (-12 (-4 *4 (-194)) (-4 *2 (|SubsetCategory| (-743) *4)) (-5 *1 (-637 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-194)) (-4 *2 (|SubsetCategory| (-743) *4)) (-5 *1 (-676 *3 *4 *2)) (-4 *3 (-734 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-405)) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-405)) (-5 *1 (-278))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-944)) (-5 *2 (-141)) (-5 *1 (-255 *4)) (-4 *4 (-1075))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3548 (-804 *3)) (|:| |coef2| (-804 *3)))) (-5 *1 (-804 *3)) (-4 *3 (-582)) (-4 *3 (-1075)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-582)) (-4 *3 (-1075)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *2 (-2 (|:| -3548 *1) (|:| |coef2| *1))) (-4 *1 (-1089 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-790)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-815)) (-4 *6 (-977 *4 *3 *5)) (-4 *4 (-477)) (-4 *5 (-869)) (-5 *1 (-474 *4 *3 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-388)) (-14 *5 (-658 (-1191))) (-4 *7 (-252 (-1699 *5) (-790))) (-5 *2 (-658 (-658 (-1187 (-1187 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-658 (-1187 (-1187 *4)))) (-4 *6 (-977 *4 *7 (-879 *5))) (-4 *8 (-999 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-1171 (-980 *4)) (-1171 (-980 *4)))) (-5 *1 (-1288 *4)) (-4 *4 (-388))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *8 (-999 *5)) (-4 *4 (-947 *5 *2)) (-4 *9 (-257 *4)) (-4 *10 (-560 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-137)) (-4 *2 (-665 *5)) (-5 *1 (-491 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-280 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-264 *6 *5)) (-5 *4 (-949 *5)) (-4 *5 (-373)) (-14 *6 (-658 (-1191))) (-5 *2 (-801 (-884 *5))) (-5 *1 (-894 *5 *6 *7)) (-4 *7 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-264 *6 *5)) (-5 *4 (-948 *5)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-5 *2 (-801 *5)) (-5 *1 (-895 *5 *6 *7)) (-4 *7 (-137)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 *2)) (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-665 *5)) (-5 *1 (-898 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)) (-4 *9 (-947 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-665 *5)) (-5 *1 (-898 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)) (-4 *4 (-947 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-388)) (-14 *6 (-658 (-1191))) (-4 *7 (-252 (-1699 *6) (-790))) (-4 *2 (-665 *5)) (-5 *1 (-898 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-977 *5 *7 (-879 *6))) (-4 *8 (-999 *5)) (-4 *4 (-947 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-592)) (-4 *6 (-388)) (-14 *7 (-658 (-1191))) (-4 *8 (-252 (-1699 *7) (-790))) (-4 *2 (-665 *6)) (-5 *1 (-898 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-977 *6 *8 (-879 *7))) (-4 *9 (-999 *6)) (-4 *4 (-947 *6 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-323)) (-4 *4 (-1021 *3)) (-4 *5 (-1255 *4)) (-5 *2 (-1280 *6)) (-5 *1 (-439 *3 *4 *5 *6)) (-4 *6 (-13 (-435 *4 *5) (-1065 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1075)) (-4 *3 (-869)) (-5 *2 (-1142 *3 (-631 *1))) (-4 *1 (-456 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1142 (-592) (-631 (-528)))) (-5 *1 (-528)))) ((*1 *2 *1) (-12 (-4 *3 (-194)) (-4 *2 (-43 *3)) (-5 *1 (-637 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-743) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-194)) (-4 *2 (-734 *3)) (-5 *1 (-676 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-743) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1021 *2)) (-4 *2 (-582))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-533 *2)) (-14 *2 (-592)))) ((*1 *1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1075)) (-4 *5 (-815)) (-4 *3 (-869)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-977 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1075)) (-5 *2 (-2 (|:| -2230 *1) (|:| -3027 *1))) (-4 *1 (-1255 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1190)) (-5 *1 (-350))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1241 *3 *2)) (-4 *3 (-1075)) (-4 *2 (-1270 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *3 (-658 (-278))) (-5 *1 (-276)))) ((*1 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-278)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-497)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1113 (-405)))) (-5 *1 (-497))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-890 *3)) (-5 *2 (-592)))) ((*1 *1 *1) (-4 *1 (-1030))) ((*1 *1 *2) (-12 (-5 *2 (-592)) (-4 *1 (-1040)))) ((*1 *1 *2) (-12 (-5 *2 (-433 (-592))) (-4 *1 (-1040)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1040)) (-5 *2 (-790)))) ((*1 *1 *1) (-4 *1 (-1040)))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-658 (-980 *4))) (-5 *3 (-658 (-1191))) (-4 *4 (-477)) (-5 *1 (-941 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1171 *4)) (-5 *3 (-1 (-658 *4) *4)) (-4 *4 (-1225)) (-5 *1 (-1167 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1187 *3)) (-4 *3 (-373)) (-5 *1 (-381 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1094 *4 *5 *6 *3)) (-4 *4 (-477)) (-4 *5 (-815)) (-4 *6 (-869)) (-4 *3 (-1089 *4 *5 *6)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-896)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-944)) (-5 *4 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1281)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-456 *3) (-1030))) (-5 *1 (-294 *3 *2)) (-4 *3 (-13 (-869) (-582))))) ((*1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1) (-5 *1 (-513))) ((*1 *1) (-4 *1 (-1211)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-2 (|:| |f1| (-658 *4)) (|:| |f2| (-658 (-658 (-658 *4)))) (|:| |f3| (-658 (-658 *4))) (|:| |f4| (-658 (-658 (-658 *4)))))) (-5 *1 (-1197 *4)) (-5 *3 (-658 (-658 (-658 *4))))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *2 (-658 (-986 (-237)))) (-5 *1 (-135)) (-5 *4 (-986 (-237)))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-858)) (-5 *3 (-2 (|:| |fn| (-332 (-237))) (|:| -3703 (-658 (-237))) (|:| |lb| (-658 (-862 (-237)))) (|:| |cf| (-658 (-332 (-237)))) (|:| |ub| (-658 (-862 (-237)))))) (-5 *2 (-1063)))) ((*1 *2 *3) (-12 (-4 *1 (-858)) (-5 *3 (-2 (|:| |lfn| (-658 (-332 (-237)))) (|:| -3703 (-658 (-237))))) (-5 *2 (-1063))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392 *2)) (-4 *2 (-194))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 (-592))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1075)) (-14 *4 (-658 (-1191))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1270 *3)) (-5 *1 (-296 *3 *4 *2)) (-4 *2 (-1241 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-433 (-592)))) (-4 *4 (-1239 *3)) (-5 *1 (-297 *3 *4 *2 *5)) (-4 *2 (-1262 *3 *4)) (-4 *5 (-1012 *4)))) ((*1 *1 *1) (-4 *1 (-301))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *1 *2) (-12 (-5 *2 (-681 *3 *4)) (-4 *3 (-869)) (-4 *4 (-13 (-194) (-734 (-433 (-592))))) (-5 *1 (-642 *3 *4 *5)) (-14 *5 (-944)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1176 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-43 (-433 (-592)))) (-5 *1 (-1177 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-790)) (-4 *4 (-13 (-1075) (-734 (-433 (-592))))) (-4 *5 (-869)) (-5 *1 (-1294 *4 *5 *2)) (-4 *2 (-1299 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-1298 *3 *4)) (-4 *4 (-734 (-433 (-592)))) (-4 *3 (-869)) (-4 *4 (-194))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-405) (-405))) (-5 *4 (-405)) (-5 *2 (-2 (|:| -2324 *4) (|:| -1615 *4) (|:| |totalpts| (-592)) (|:| |success| (-141)))) (-5 *1 (-811)) (-5 *5 (-592))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-293))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-592)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1225)) (-4 *4 (-399 *2)) (-4 *5 (-399 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-305 *3 *2)) (-4 *3 (-1119)) (-4 *2 (-1225))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-977 *3 *4 *5)) (-4 *3 (-477)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-474 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1) (-4 *1 (-153))) ((*1 *1 *1 *2) (-12 (-4 *1 (-260)) (-5 *2 (-592)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-502)) (-5 *2 (-592)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-743)) (-5 *2 (-790)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-944)) (-5 *1 (-1106 *3)) (-4 *3 (-13 (-869) (-582))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1131)) (-5 *2 (-944))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-582)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *3 (-631 $)) $)) (-15 -1456 ((-1142 *3 (-631 $)) $)) (-15 -1683 ($ (-1142 *3 (-631 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 *2)) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *4 (-631 $)) $)) (-15 -1456 ((-1142 *4 (-631 $)) $)) (-15 -1683 ($ (-1142 *4 (-631 $))))))) (-4 *4 (-582)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-658 (-631 *2))) (-4 *2 (-13 (-388) (-318) (-10 -8 (-15 -1448 ((-1142 *4 (-631 $)) $)) (-15 -1456 ((-1142 *4 (-631 $)) $)) (-15 -1683 ($ (-1142 *4 (-631 $))))))) (-4 *4 (-582)) (-5 *1 (-46 *4 *2))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-533 *2)) (-14 *2 (-592)))) ((*1 *1 *1) (-5 *1 (-1137)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194))))) 
-(((*1 *1) (-5 *1 (-179)))) 
-(((*1 *1 *1 *1) (-5 *1 (-141))) ((*1 *1 *1 *1) (-4 *1 (-153)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1285)) (-5 *1 (-844))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-790)) (-4 *3 (-1075)) (-4 *1 (-704 *3 *4 *5)) (-4 *4 (-399 *3)) (-4 *5 (-399 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1278 *3)) (-4 *3 (-23)) (-4 *3 (-1225))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-931)) (-5 *2 (-444 (-1187 *1))) (-5 *3 (-1187 *1))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-141)) (-4 *5 (-13 (-388) (-867))) (-5 *2 (-658 (-2 (|:| -2033 (-658 *3)) (|:| -1615 *5)))) (-5 *1 (-200 *5 *3)) (-4 *3 (-1255 (-191 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-388) (-867))) (-5 *2 (-658 (-2 (|:| -2033 (-658 *3)) (|:| -1615 *4)))) (-5 *1 (-200 *4 *3)) (-4 *3 (-1255 (-191 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-983)) (-5 *2 (-1113 (-237))))) ((*1 *2 *1) (-12 (-4 *1 (-1003)) (-5 *2 (-1113 (-237)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-658 (-237)))) (-5 *1 (-953))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-790)) (-5 *1 (-610 *2)) (-4 *2 (-574)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -4226 *3) (|:| -3215 (-790)))) (-5 *1 (-610 *3)) (-4 *3 (-574))))) 
-(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-660 *2)) (-4 *2 (-1119))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-489))) (-5 *2 (-141)) (-5 *1 (-488)))) ((*1 *1 *2) (-12 (-5 *2 (-141)) (-5 *1 (-489))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1961 (-433 (-592))) (|:| -1954 (-433 (-592))))) (-5 *2 (-433 (-592))) (-5 *1 (-1047 *4)) (-4 *4 (-1255 (-592)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-658 (-980 (-592)))) (-5 *1 (-463)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-706 (-237))) (-5 *2 (-1123)) (-5 *1 (-778)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-5 *4 (-706 (-592))) (-5 *2 (-1123)) (-5 *1 (-778))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-1198 (-658 *4))) (-5 *1 (-1197 *4)) (-5 *3 (-658 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-394)))) ((*1 *2) (-12 (-5 *2 (-1280 (-1120 *3 *4))) (-5 *1 (-1120 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-592)) (-5 *2 (-658 (-2 (|:| -4500 *3) (|:| -4525 *4)))) (-5 *1 (-712 *3)) (-4 *3 (-1255 *4))))) 
-(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1225)) (-5 *2 (-790)) (-5 *1 (-251 *3 *4 *5)) (-4 *3 (-252 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-342 *3 *4)) (-4 *3 (-1119)) (-4 *4 (-158)) (-5 *2 (-790)))) ((*1 *2) (-12 (-4 *4 (-388)) (-5 *2 (-790)) (-5 *1 (-348 *3 *4)) (-4 *3 (-349 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-386 *3)) (-4 *3 (-1119)))) ((*1 *2) (-12 (-4 *1 (-394)) (-5 *2 (-790)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-412 *3)) (-4 *3 (-1119)))) ((*1 *2) (-12 (-4 *4 (-1119)) (-5 *2 (-790)) (-5 *1 (-450 *3 *4)) (-4 *3 (-451 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-662 *3 *4 *5)) (-4 *3 (-1119)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-194)) (-4 *5 (-1255 *4)) (-5 *2 (-790)) (-5 *1 (-740 *3 *4 *5)) (-4 *3 (-741 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-790)) (-5 *1 (-841 *3)) (-4 *3 (-869)))) ((*1 *2) (-12 (-5 *2 (-592)) (-5 *1 (-1034)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-867) (-388))) (-5 *1 (-1085 *2 *3)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *2 *1) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-927 *3)) (-4 *3 (-1119))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1151 *3)) (-4 *3 (-1075)) (-5 *2 (-658 (-658 (-658 (-971 *3)))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-268 *4 *3 *5 *6)) (-4 *4 (-1075)) (-4 *3 (-869)) (-4 *5 (-284 *3)) (-4 *6 (-815)) (-5 *2 (-658 (-790))))) ((*1 *2 *1) (-12 (-4 *1 (-268 *3 *4 *5 *6)) (-4 *3 (-1075)) (-4 *4 (-869)) (-4 *5 (-284 *4)) (-4 *6 (-815)) (-5 *2 (-658 (-790)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1122 *3 *2 *4 *5 *6)) (-4 *3 (-1119)) (-4 *4 (-1119)) (-4 *5 (-1119)) (-4 *6 (-1119)) (-4 *2 (-1119))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-1225))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1187 *7)) (-5 *3 (-592)) (-4 *7 (-977 *6 *4 *5)) (-4 *4 (-815)) (-4 *5 (-869)) (-4 *6 (-1075)) (-5 *1 (-340 *4 *5 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-658 *3)) (-4 *3 (-1119)) (-5 *1 (-927 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-400 *3 *4)) (-4 *3 (-869)) (-4 *4 (-194)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1299 *3 *4)) (-4 *3 (-869)) (-4 *4 (-1075))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-944)) (-5 *1 (-808))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-188 *2)) (-4 *2 (-194)) (-4 *2 (-1084)))) ((*1 *1 *1) (-12 (-5 *1 (-359 *2 *3 *4)) (-14 *2 (-658 (-1191))) (-14 *3 (-658 (-1191))) (-4 *4 (-413)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-457 *3 *2)) (-4 *2 (-456 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-819 *2)) (-4 *2 (-194)) (-4 *2 (-1084)))) ((*1 *1 *1) (-4 *1 (-867))) ((*1 *2 *1) (-12 (-4 *1 (-1025 *2)) (-4 *2 (-194)) (-4 *2 (-1084)))) ((*1 *1 *1) (-4 *1 (-1084))) ((*1 *1 *1) (-4 *1 (-1153)))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1137)) (-5 *4 (-986 (-237))) (-5 *2 (-237)) (-5 *1 (-135))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-415)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (-4 *1 (-678))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-141) *9)) (-5 *5 (-1 (-141) *9 *9)) (-4 *9 (-1089 *6 *7 *8)) (-4 *6 (-582)) (-4 *7 (-815)) (-4 *8 (-869)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3349 (-658 *9)))) (-5 *3 (-658 *9)) (-4 *1 (-1219 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-141) *8 *8)) (-4 *8 (-1089 *5 *6 *7)) (-4 *5 (-582)) (-4 *6 (-815)) (-4 *7 (-869)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3349 (-658 *8)))) (-5 *3 (-658 *8)) (-4 *1 (-1219 *5 *6 *7 *8))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-57)) (-5 *1 (-851))))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-433 (-980 *3))) (-5 *1 (-478 *3 *4 *5 *6)) (-4 *3 (-582)) (-4 *3 (-194)) (-14 *4 (-944)) (-14 *5 (-658 (-1191))) (-14 *6 (-1280 (-706 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1187 (-592))) (-5 *1 (-970)) (-5 *3 (-592))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-388)) (-5 *1 (-918 *2 *3)) (-4 *2 (-1255 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1119)) (-4 *2 (-1225))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-665 *2)) (-4 *2 (-388))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-388) (-171) (-1065 (-592)))) (-4 *5 (-1255 *4)) (-5 *2 (-658 (-433 *5))) (-5 *1 (-1044 *4 *5)) (-5 *3 (-433 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-592))) (-4 *3 (-1075)) (-5 *1 (-617 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-592))) (-4 *1 (-1239 *3)) (-4 *3 (-1075)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-592))) (-4 *1 (-1270 *3)) (-4 *3 (-1075))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-141) *4 *4)) (-4 *4 (-1225)) (-5 *1 (-1149 *4 *2)) (-4 *2 (-13 (-625 (-592) *4) (-10 -7 (-6 -4625) (-6 -4626)))))) ((*1 *2 *2) (-12 (-4 *3 (-869)) (-4 *3 (-1225)) (-5 *1 (-1149 *3 *2)) (-4 *2 (-13 (-625 (-592) *3) (-10 -7 (-6 -4625) (-6 -4626))))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-904 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-399 *2)) (-4 *2 (-1225)))) ((*1 *2 *2) (-12 (-4 *3 (-1075)) (-5 *1 (-469 *3 *2)) (-4 *2 (-1255 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-662 *2 *3 *4)) (-4 *2 (-1119)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1187 *4)) (-4 *4 (-373)) (-5 *2 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-5 *1 (-370 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1119)) (-4 *3 (-922 *5)) (-5 *2 (-1280 *3)) (-5 *1 (-708 *5 *3 *6 *4)) (-4 *6 (-399 *3)) (-4 *4 (-13 (-399 *5) (-10 -7 (-6 -4625))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-790)) (-5 *2 (-1 (-405))) (-5 *1 (-1067))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-944)) (-5 *1 (-1120 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *1 *1) (-12 (-4 *2 (-477)) (-4 *3 (-869)) (-4 *4 (-815)) (-5 *1 (-1016 *2 *3 *4 *5)) (-4 *5 (-977 *2 *4 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283)))) ((*1 *2 *2) (-12 (-5 *2 (-896)) (-5 *1 (-1283))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-693 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-841 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-869)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1219 *2 *3 *4 *5)) (-4 *2 (-582)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *5 (-1089 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-790)) (-4 *1 (-1267 *3)) (-4 *3 (-1225)))) ((*1 *1 *1) (-12 (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-900 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-902 *2)) (-4 *2 (-1225)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-5 *1 (-904 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *1 (-294 *3 *2)) (-4 *2 (-13 (-456 *3) (-1030)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-925 *3)) (-4 *3 (-1119)) (-5 *2 (-1121 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1119)) (-5 *2 (-1121 (-658 *4))) (-5 *1 (-926 *4)) (-5 *3 (-658 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1119)) (-5 *2 (-1121 (-1121 *4))) (-5 *1 (-926 *4)) (-5 *3 (-1121 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1121 *3)) (-5 *1 (-926 *3)) (-4 *3 (-1119)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-790)) (-4 *4 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-999 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-388)) (-5 *2 (-658 *1)) (-4 *1 (-999 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-665 *3)) (-5 *2 (-658 *1)) (-4 *1 (-947 *3 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-914 *3)) (-4 *3 (-1119))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4625)) (-4 *1 (-175 *2)) (-4 *2 (-1225)) (-4 *2 (-1119))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1191)) (-4 *5 (-13 (-582) (-1065 (-592)) (-171))) (-5 *2 (-2 (|:| -3191 (-433 (-980 *5))) (|:| |coeff| (-433 (-980 *5))))) (-5 *1 (-598 *5)) (-5 *3 (-433 (-980 *5)))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1229)) (-5 *4 (-592)) (-5 *2 (-1285)) (-5 *1 (-982))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-141)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-141)) (-5 *1 (-149 *3)) (-4 *3 (-1255 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-444 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1255 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-151 *3)) (|:| |greater| (-151 *3)))) (-5 *1 (-151 *3)) (-4 *3 (-869)))) ((*1 *2 *1) (-12 (-4 *3 (-1119)) (-5 *2 (-658 *1)) (-4 *1 (-257 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-609 *4)) (-4 *4 (-13 (-29 *3) (-1211))) (-4 *3 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *1 (-607 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-609 (-433 (-980 *3)))) (-4 *3 (-13 (-477) (-1065 (-592)) (-869) (-654 (-592)))) (-5 *1 (-612 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1255 *5)) (-4 *5 (-388)) (-5 *2 (-2 (|:| -1947 *3) (|:| |special| *3))) (-5 *1 (-744 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1280 *5)) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1280 (-1280 *5))) (-4 *5 (-388)) (-4 *5 (-1075)) (-5 *2 (-658 (-658 (-706 *5)))) (-5 *1 (-1057 *5)) (-5 *3 (-658 (-706 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-163)) (-5 *2 (-658 *1)) (-4 *1 (-1158)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-168)) (-5 *2 (-658 *1)) (-4 *1 (-1158))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-332 (-405))) (-5 *2 (-332 (-237))) (-5 *1 (-321))))) 
-(((*1 *1) (-5 *1 (-168)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-582) (-171))) (-5 *1 (-566 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-4 *4 (-1255 *3)) (-4 *5 (-741 *3 *4)) (-5 *1 (-570 *3 *4 *5 *2)) (-4 *2 (-1270 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-388) (-394) (-633 (-592)))) (-5 *1 (-571 *3 *2)) (-4 *2 (-1270 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1171 *3)) (-4 *3 (-13 (-582) (-171))) (-5 *1 (-1166 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-658 (-592))))) ((*1 *2 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-658 (-592)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1280 (-658 (-2 (|:| -2324 *4) (|:| -1825 (-1137)))))) (-4 *4 (-373)) (-5 *2 (-790)) (-5 *1 (-370 *4)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-375 *3 *4)) (-14 *3 (-944)) (-14 *4 (-944)))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-376 *3 *4)) (-4 *3 (-373)) (-14 *4 (-3 (-1187 *3) (-1280 (-658 (-2 (|:| -2324 *3) (|:| -1825 (-1137))))))))) ((*1 *2) (-12 (-5 *2 (-790)) (-5 *1 (-377 *3 *4)) (-4 *3 (-373)) (-14 *4 (-944))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-497)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1281)))) ((*1 *2 *1) (-12 (-5 *2 (-592)) (-5 *1 (-1282))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-1012 *2)) (-4 *2 (-1211))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-148 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-869)) (-5 *2 (-658 (-658 (-658 *4)))) (-5 *1 (-1197 *4)) (-5 *3 (-658 (-658 *4)))))) 
-(((*1 *2) (-12 (-4 *1 (-362 *3 *4 *5)) (-4 *3 (-1235)) (-4 *4 (-1255 *3)) (-4 *5 (-1255 (-433 *4))) (-5 *2 (-706 (-433 *4)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-141)) (-5 *1 (-143))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-658 *6)) (-4 *6 (-1089 *3 *4 *5)) (-4 *3 (-477)) (-4 *3 (-582)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-1006 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-670 *2)) (-4 *2 (-1075)) (-4 *2 (-388)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-388)) (-5 *1 (-673 *4 *2)) (-4 *2 (-670 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1089 *2 *3 *4)) (-4 *2 (-1075)) (-4 *3 (-815)) (-4 *4 (-869)) (-4 *2 (-582))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-460))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-658 (-1191))) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-658 (-1191))) (-5 *3 (-1191)) (-5 *2 (-1285)) (-5 *1 (-1194))))) 
-(((*1 *1) (-5 *1 (-825)))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1171 (-658 (-592)))) (-5 *1 (-905)) (-5 *3 (-658 (-592)))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4626)) (-4 *1 (-1267 *2)) (-4 *2 (-1225))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-658 (-2 (|:| |scalar| (-433 (-592))) (|:| |coeff| (-1187 *2)) (|:| |logand| (-1187 *2))))) (-5 *4 (-658 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-388)) (-5 *1 (-609 *2))))) 
-(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-388) (-10 -8 (-15 ** ($ $ (-433 (-592))))))) (-5 *1 (-1145 *3 *2)) (-4 *3 (-1255 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1173)) (-5 *2 (-1285)) (-5 *1 (-462))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-683 *2)) (-4 *2 (-1225)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-388)) (-5 *2 (-658 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-658 (-1191))) (-5 *1 (-1191))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1140 *3 *4 *2 *5)) (-4 *4 (-1075)) (-4 *5 (-252 *3 *4)) (-4 *2 (-252 *3 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-405)) (-5 *2 (-1285)) (-5 *1 (-1282))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-896)) (-5 *5 (-944)) (-5 *6 (-658 (-278))) (-5 *2 (-497)) (-5 *1 (-1284)))) ((*1 *2 *3) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *2 (-497)) (-5 *1 (-1284)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-658 (-658 (-971 (-237))))) (-5 *4 (-658 (-278))) (-5 *2 (-497)) (-5 *1 (-1284))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-658 *6)) (-4 *6 (-869)) (-4 *4 (-388)) (-4 *5 (-815)) (-5 *1 (-538 *4 *5 *6 *2)) (-4 *2 (-977 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-388)) (-4 *4 (-815)) (-4 *5 (-869)) (-5 *1 (-538 *3 *4 *5 *2)) (-4 *2 (-977 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-37 *3)) (-4 *3 (-388)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 *1)) (-5 *3 (-790)) (-4 *1 (-37 *4)) (-4 *4 (-388)))) ((*1 *2 *2) (-12 (-5 *2 (-658 *1)) (-4 *1 (-999 *3)) (-4 *3 (-388)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-658 *1)) (-5 *3 (-790)) (-4 *1 (-999 *4)) (-4 *4 (-388))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1191)) (-4 *5 (-388)) (-5 *2 (-1171 (-1171 (-980 *5)))) (-5 *1 (-1288 *5)) (-5 *4 (-1171 (-980 *5)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-706 *5)) (-4 *5 (-1075)) (-5 *1 (-1079 *3 *4 *5)) (-14 *3 (-790)) (-14 *4 (-790))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-658 (-1191))) (-5 *3 (-1191)) (-5 *1 (-565)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-658 (-1191))) (-5 *2 (-1191)) (-5 *1 (-721 *3)) (-4 *3 (-633 (-565)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-579 *3)) (-4 *3 (-13 (-430) (-1211))) (-5 *2 (-141)))) ((*1 *2 *1) (-12 (-4 *1 (-867)) (-5 *2 (-141)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1091 *4 *3)) (-4 *4 (-13 (-867) (-388))) (-4 *3 (-1255 *4)) (-5 *2 (-141))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-690 *3)) (-4 *3 (-1225)) (-5 *2 (-141))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-582)) (-5 *2 (-658 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-443 *4))))) 
-(((*1 *2 *2 *2 *3 *3) (-12 (-5 *2 (-1229)) (-5 *3 (-592)) (-5 *1 (-982))))) 
-(((*1 *1 *1) (-5 *1 (-1087)))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-318)) (-5 *3 (-1191)) (-5 *2 (-141)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-318)) (-5 *2 (-141)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-150)) (-5 *2 (-141)) (-5 *1 (-1106 *4)) (-4 *4 (-13 (-869) (-582)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-658 *2)) (-4 *2 (-1225))))) 
-(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1255 *5)) (-4 *5 (-13 (-388) (-171) (-1065 (-592)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-433 *6)) (|:| |c| (-433 *6)) (|:| -4132 *6))) (-5 *1 (-1043 *5 *6)) (-5 *3 (-433 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1187 *1)) (-5 *4 (-1191)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1187 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-980 *1)) (-4 *1 (-27)) (-5 *2 (-658 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1191)) (-4 *4 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-869) (-582))) (-5 *2 (-658 *1)) (-4 *1 (-29 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-141)) (-5 *1 (-846))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-617 *2)) (-4 *2 (-43 (-433 (-592)))) (-4 *2 (-1075))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-582)) (-5 *2 (-141))))) 
-(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1173)) (-5 *3 (-592)) (-5 *1 (-1087))))) 
-((-1312 . 843298) (-1313 . 843246) (-1314 . 843162) (-1315 . 843110) (-1316 . 842696) (-1317 . 842456) (-1318 . 842397) (-1319 . 842175) (-1320 . 842143) (-1321 . 842066) (-1322 . 841973) (-1323 . 841902) (-1324 . 841663) (-1325 . 841234) (-1326 . 841121) (-1327 . 840986) (-1328 . 840669) (-1329 . 840409) (-1330 . 840059) (-1331 . 839987) (-1332 . 839879) (-1333 . 839626) (-1334 . 839557) (-1335 . 839423) (-1336 . 839203) (-1337 . 839124) (-1338 . 839032) (-1339 . 839004) (-1340 . 838738) (-1341 . 838686) (-1342 . 838578) (-1343 . 838406) (-1344 . 838250) (-1345 . 838179) (-1346 . 838050) (-1347 . 837937) (-1348 . 837856) (-1349 . 837789) (-1350 . 837637) (-1351 . 837190) (-1352 . 837012) (-1353 . 836589) (-1354 . 836561) (-1355 . 836480) (-1356 . 835352) (-1357 . 835196) (-1358 . 835016) (-1359 . 834803) (-1360 . 834709) (-1361 . 834638) (-1362 . 834547) (-1363 . 833878) (-1364 . 833775) (-1365 . 833559) (-1366 . 833147) (-1367 . 833047) (-1368 . 832928) (-1369 . 832832) (-1370 . 832759) (-1371 . 832592) (-1372 . 832455) (-1373 . 832239) (-1374 . 832177) (-1375 . 831892) (-1376 . 831650) (-1377 . 831485) (-1378 . 831430) (-1379 . 831355) (-1380 . 831265) (-1381 . 831190) (-1382 . 831016) (-1383 . 830984) (-1384 . 830917) (-1385 . 830842) (-1386 . 830739) (-1387 . 830262) (-1388 . 830184) (-1389 . 830076) (-1390 . 830024) (-1391 . 829922) (-1392 . 829436) (-1393 . 829368) (-1394 . 829187) (-1395 . 829113) (-1396 . 828957) (-1397 . 828882) (-1398 . 828749) (-1399 . 828479) (-1400 . 828427) (-1401 . 828331) (-1402 . 828184) (-1403 . 827226) (-1404 . 827099) (-1405 . 826947) (-1406 . 826847) (-1407 . 826599) (-1408 . 826448) (-1409 . 826325) (-1410 . 826263) (-1411 . 826081) (-1412 . 826015) (-1413 . 825897) (-1414 . 825568) (-1415 . 825501) (-1416 . 825419) (-1417 . 825220) (-1418 . 825167) (-1419 . 825102) (-1420 . 825074) (-1421 . 825004) (-1422 . 824919) (-1423 . 824068) (-1424 . 823716) (-1425 . 823580) (-1426 . 823359) (-1427 . 823256) (-1428 . 823204) (-1429 . 823002) (-1430 . 821851) (-1431 . 821796) (-1432 . 821461) (-1433 . 821345) (-1434 . 821125) (-1435 . 820871) (-1436 . 820623) (-1437 . 820485) (-1438 . 820433) (-1439 . 820349) (-1440 . 820244) (-1441 . 820138) (-1442 . 819756) (-1443 . 819469) (-1444 . 819390) (-1445 . 819334) (-1446 . 819093) (-1447 . 819002) (-1448 . 818328) (-1449 . 816762) (-1450 . 816642) (-1451 . 816395) (-1452 . 816182) (-1453 . 815896) (-1454 . 815807) (-1455 . 815681) (-1456 . 815027) (-1457 . 814888) (-1458 . 814764) (-1459 . 814684) (-1460 . 814594) (-1461 . 814469) (-1462 . 814170) (-1463 . 814031) (-1464 . 813933) (-1465 . 813778) (-1466 . 813705) (-1467 . 813630) (-1468 . 813529) (-1469 . 813331) (-1470 . 813179) (-1471 . 813043) (-1472 . 809177) (-1473 . 808541) (-1474 . 808318) (-1475 . 808281) (-1476 . 808117) (-1477 . 808033) (-1478 . 805798) (-1479 . 805446) (-1480 . 805195) (-1481 . 804622) (-1482 . 803948) (-1483 . 803736) (-1484 . 803665) (-1485 . 803584) (-1486 . 803445) (-1487 . 803104) (-1488 . 802490) (-1489 . 801371) (-1490 . 801149) (-1491 . 801044) (-1492 . 800856) (-1493 . 800594) (-1494 . 800402) (-1495 . 799696) (-1496 . 799361) (-1497 . 798857) (-1498 . 798782) (-1499 . 798590) (-1500 . 794666) (-1501 . 793960) (-1502 . 793874) (-1503 . 793820) (-1504 . 793420) (-1505 . 793195) (-1506 . 793043) (-1507 . 792389) (-1508 . 792296) (-1509 . 792113) (-1510 . 792046) (-1511 . 791863) (-1512 . 791494) (-1513 . 791423) (-1514 . 791356) (-1515 . 790808) (-1516 . 790656) (-1517 . 790528) (-1518 . 790473) (-1519 . 790206) (-1520 . 790035) (-1521 . 789487) (-1522 . 789435) (-1523 . 789306) (-1524 . 789232) (-1525 . 789149) (-1526 . 789056) (-1527 . 788508) (-1528 . 788251) (-1529 . 788100) (-1530 . 787994) (-1531 . 787893) (-1532 . 787691) (-1533 . 787038) (-1534 . 786934) (-1535 . 786818) (-1536 . 786713) (-1537 . 786618) (-1538 . 786250) (-1539 . 786046) (-1540 . 785393) (-1541 . 785338) (-1542 . 785112) (-1543 . 784787) (-1544 . 784346) (-1545 . 784271) (-1546 . 783556) (-1547 . 783522) (-1548 . 783389) (-1549 . 783241) (-1550 . 783001) (-1551 . 782787) (-1552 . 782240) (-1553 . 782159) (-1554 . 781795) (-1555 . 781764) (-1556 . 781656) (-1557 . 781417) (-1558 . 781284) (-1559 . 780737) (-1560 . 780659) (-1561 . 780604) (-1562 . 780491) (-1563 . 780133) (-1564 . 780000) (-1565 . 779867) (-1566 . 779665) (-1567 . 779118) (-1568 . 779065) (-1569 . 778984) (-1570 . 778909) (-1571 . 778799) (-1572 . 778548) (-1573 . 778481) (-1574 . 778383) (-1575 . 777730) (-1576 . 777623) (-1577 . 777485) (-1578 . 777401) (-1579 . 777282) (-1580 . 777207) (-1581 . 776554) (-1582 . 776480) (-1583 . 776452) (-1584 . 776397) (-1585 . 776202) (-1586 . 776106) (-1587 . 775107) (-1588 . 774454) (-1589 . 774382) (-1590 . 774332) (-1591 . 773551) (-1592 . 773517) (-1593 . 773433) (-1594 . 772886) (-1595 . 772212) (-1596 . 772074) (-1597 . 771872) (-1598 . 771772) (-1599 . 771676) (-1600 . 770839) (-1601 . 770292) (-1602 . 770150) (-1603 . 770014) (-1604 . 769943) (-1605 . 769657) (-1606 . 769104) (-1607 . 769051) (-1608 . 768974) (-1609 . 768427) (-1610 . 768303) (-1611 . 768224) (-1612 . 768149) (-1613 . 768005) (-1614 . 767915) (-1615 . 767616) (-1616 . 767550) (-1617 . 767004) (-1618 . 766632) (-1619 . 766540) (-1620 . 766465) (-1621 . 766178) (-1622 . 765922) (-1623 . 765856) (-1624 . 765310) (-1625 . 764809) (-1626 . 764237) (-1627 . 764164) (-1628 . 764080) (-1629 . 763996) (-1630 . 763450) (-1631 . 763361) (-1632 . 763290) (-1633 . 763205) (-1634 . 763086) (-1635 . 762982) (-1636 . 762436) (-1637 . 761661) (-1638 . 761415) (-1639 . 761288) (-1640 . 761232) (-1641 . 760742) (-1642 . 760196) (-1643 . 760019) (-1644 . 759936) (-1645 . 759778) (-1646 . 759214) (-1647 . 758727) (-1648 . 758671) (-1649 . 758538) (-1650 . 758471) (-1651 . 758264) (-1652 . 758162) (-1653 . 758038) (-1654 . 757950) (-1655 . 757736) (-1656 . 757651) (-1657 . 757586) (-1658 . 757438) (-1659 . 757265) (-1660 . 757237) (-1661 . 757127) (-1662 . 757038) (-1663 . 756890) (-1664 . 756771) (-1665 . 756557) (-1666 . 756256) (-1667 . 756203) (-1668 . 756086) (-1669 . 755993) (-1670 . 755965) (-1671 . 755666) (-1672 . 755575) (-1673 . 755279) (-1674 . 755141) (-1675 . 755112) (-1676 . 755081) (-1677 . 754924) (-1678 . 754854) (-1679 . 754742) (-1680 . 754520) (-1681 . 754443) (-1682 . 754392) (-1683 . 730883) (-1684 . 730758) (-1685 . 730423) (-1686 . 730386) (-1687 . 730271) (-1688 . 730082) (-1689 . 729513) (-1690 . 729376) (-1691 . 729137) (-1692 . 729024) (-1693 . 728849) (-1694 . 728774) (-1695 . 728410) (-1696 . 728335) (-1697 . 728183) (-1698 . 728026) (-1699 . 727276) (-1700 . 726968) (-1701 . 726894) (-1702 . 726820) (-1703 . 726696) (-1704 . 726016) (-1705 . 725864) (-1706 . 725796) (-1707 . 725744) (-1708 . 725643) (-1709 . 725417) (-1710 . 725314) (-1711 . 725036) (-1712 . 724898) (-1713 . 724760) (-1714 . 724682) (-1715 . 724500) (-1716 . 724336) (-1717 . 724237) (-1718 . 723832) (-1719 . 723743) (-1720 . 723655) (-1721 . 723155) (-1722 . 722755) (-1723 . 722581) (-1724 . 722172) (-1725 . 722121) (-1726 . 721970) (-1727 . 721936) (-1728 . 721784) (-1729 . 721478) (-1730 . 721363) (-1731 . 721293) (-1732 . 721197) (-1733 . 721107) (-1734 . 721032) (-1735 . 720830) (-1736 . 720262) (-1737 . 720098) (-1738 . 720009) (-1739 . 719935) (-1740 . 719714) (-1741 . 719505) (-1742 . 719339) (-1743 . 719230) (-1744 . 719118) (-1745 . 719063) (-1746 . 718940) (-1747 . 718550) (-1748 . 718065) (-1749 . 717735) (-1750 . 717631) (-1751 . 717415) (-1752 . 716911) (-1753 . 716750) (-1754 . 716718) (-1755 . 716686) (-1756 . 716605) (-1757 . 716502) (-1758 . 716442) (-1759 . 716335) (-1760 . 716147) (-1761 . 715860) (-1762 . 715463) (-1763 . 715313) (-1764 . 714905) (-1765 . 714848) (-1766 . 714796) (-1767 . 714658) (-1768 . 714489) (-1769 . 714420) (-1770 . 714290) (-1771 . 714182) (-1772 . 714088) (-1773 . 714017) (-1774 . 713851) (-1775 . 713711) (-1776 . 713536) (-1777 . 713329) (-1778 . 708870) (-1779 . 707739) (-1780 . 707387) (-1781 . 707310) (-1782 . 707250) (-1783 . 707219) (-1784 . 707134) (-1785 . 707030) (-1786 . 706952) (-1787 . 706807) (-1788 . 706570) (-1789 . 706495) (-1790 . 706343) (-1791 . 706193) (-1792 . 706084) (-1793 . 705940) (-1794 . 705827) (-1795 . 705475) (-1796 . 705394) (-1797 . 705264) (-1798 . 705214) (-1799 . 704950) (-1800 . 704634) (-1801 . 704539) (-1802 . 704374) (-1803 . 704158) (-1804 . 703937) (-1805 . 703804) (-1806 . 702925) (-1807 . 702792) (-1808 . 702706) (-1809 . 696317) (-1810 . 696154) (-1811 . 696099) (-1812 . 695827) (-1813 . 695737) (-1814 . 695532) (-1815 . 695327) (-1816 . 695254) (-1817 . 695185) (-1818 . 695066) (-1819 . 694992) (-1820 . 694536) (-1821 . 694461) (-1822 . 693992) (-1823 . 693916) (-1824 . 693808) (-1825 . 693502) (-1826 . 693473) (-1827 . 693410) (-1828 . 693355) (-1829 . 693119) (-1830 . 693009) (-1831 . 692394) (-1832 . 692301) (-1833 . 692228) (-1834 . 692169) (-1835 . 689732) (-1836 . 689594) (-1837 . 689323) (-1838 . 689253) (-1839 . 689153) (-1840 . 689081) (-1841 . 689004) (-1842 . 688890) (-1843 . 688745) (-1844 . 688472) (-1845 . 688265) (-1846 . 688125) (-1847 . 687985) (-1848 . 687933) (-1849 . 687612) (-1850 . 687520) (-1851 . 687467) (-1852 . 687184) (-1853 . 687131) (-1854 . 687057) (-1855 . 686961) (-1856 . 686858) (-1857 . 686708) (-1858 . 686674) (-1859 . 686339) (-1860 . 686255) (-1861 . 686130) (-1862 . 685971) (-1863 . 685846) (-1864 . 685663) (-1865 . 685529) (-1866 . 685469) (-1867 . 685380) (-1868 . 684866) (-1869 . 684811) (-1870 . 684500) (-1871 . 684387) (-1872 . 684261) (-1873 . 684209) (-1874 . 684016) (-1875 . 683948) (-1876 . 683848) (-1877 . 683656) (-1878 . 683521) (-1879 . 682826) (-1880 . 682692) (-1881 . 682589) (-1882 . 682489) (-1883 . 682290) (-1884 . 681746) (-1885 . 681633) (-1886 . 681443) (-1887 . 681353) (-1888 . 681140) (-1889 . 681064) (-1890 . 680997) (-1891 . 680914) (-1892 . 680717) (-1893 . 680520) (-1894 . 680467) (-1895 . 680414) (-1896 . 680227) (-1897 . 679990) (-1898 . 679755) (-1899 . 679695) (-1900 . 679627) (-1901 . 679554) (-1902 . 679489) (-1903 . 679294) (-1904 . 679242) (-1905 . 679089) (-1906 . 677599) (-1907 . 677506) (-1908 . 677424) (-1909 . 677280) (-1910 . 677161) (-1911 . 677070) (-1912 . 676970) (-1913 . 676904) (-1914 . 676424) (-1915 . 676367) (-1916 . 676271) (-1917 . 676200) (-1918 . 675683) (-1919 . 675610) (-1920 . 675480) (-1921 . 675344) (-1922 . 675187) (-1923 . 675120) (-1924 . 675007) (-1925 . 674944) (-1926 . 672507) (-1927 . 672319) (-1928 . 672220) (-1929 . 671701) (-1930 . 671383) (-1931 . 671279) (-1932 . 671176) (-1933 . 671121) (-1934 . 671022) (-1935 . 670852) (-1936 . 670147) (-1937 . 668526) (-1938 . 668151) (-1939 . 667905) (-1940 . 667109) (-1941 . 667033) (-1942 . 666911) (-1943 . 666723) (-1944 . 666670) (-1945 . 666427) (-1946 . 666288) (-1947 . 666212) (-1948 . 666139) (-1949 . 666049) (-1950 . 665996) (-1951 . 665749) (-1952 . 665683) (-1953 . 665593) (-1954 . 665265) (-1955 . 665197) (-1956 . 665123) (-1957 . 664830) (-1958 . 664714) (-1959 . 664611) (-1960 . 664561) (-1961 . 664233) (-1962 . 664136) (-1963 . 664081) (-1964 . 663359) (-1965 . 663055) (-1966 . 662946) (-1967 . 662854) (-1968 . 662706) (-1969 . 662564) (-1970 . 662509) (-1971 . 662401) (-1972 . 662328) (-1973 . 662226) (-1974 . 662091) (-1975 . 661995) (-1976 . 661671) (-1977 . 661446) (-1978 . 661370) (-1979 . 661133) (-1980 . 661053) (-1981 . 660985) (-1982 . 660929) (-1983 . 660771) (-1984 . 660624) (-1985 . 660590) (-1986 . 658856) (-1987 . 658807) (-1988 . 658725) (-1989 . 658621) (-1990 . 658153) (-1991 . 658069) (-1992 . 657981) (-1993 . 657922) (-1994 . 656492) (-1995 . 656419) (-1996 . 656336) (-1997 . 656249) (-1998 . 656165) (-1999 . 656012) (-2000 . 655771) (-2001 . 654309) (-2002 . 654086) (-2003 . 654034) (-2004 . 653226) (-2005 . 653005) (-2006 . 652914) (-2007 . 652855) (-2008 . 649117) (-2009 . 649034) (-2010 . 648699) (-2011 . 648646) (-2012 . 648243) (-2013 . 648154) (-2014 . 648004) (-2015 . 647646) (-2016 . 647594) (-2017 . 647506) (-2018 . 647319) (-2019 . 646895) (-2020 . 646820) (-2021 . 646625) (-2022 . 646505) (-2023 . 646404) (-2024 . 646260) (-2025 . 646000) (-2026 . 645896) (-2027 . 645391) (-2028 . 645339) (-2029 . 645194) (-2030 . 645076) (-2031 . 645006) (-2032 . 644953) (-2033 . 644524) (-2034 . 644416) (-2035 . 644363) (-2036 . 644308) (-2037 . 644205) (-2038 . 643788) (-2039 . 643688) (-2040 . 643589) (-2041 . 643508) (-2042 . 643357) (-2043 . 643247) (-2044 . 643173) (-2045 . 642738) (-2046 . 642602) (-2047 . 642552) (-2048 . 642480) (-2049 . 642153) (-2050 . 641937) (-2051 . 641649) (-2052 . 641546) (-2053 . 641469) (-2054 . 641174) (-2055 . 641024) (-2056 . 640864) (-2057 . 640814) (-2058 . 640741) (-2059 . 640410) (-2060 . 640321) (-2061 . 639137) (-2062 . 639076) (-2063 . 639009) (-2064 . 638910) (-2065 . 638817) (-2066 . 638698) (-2067 . 638536) (-2068 . 638446) (-2069 . 638382) (-2070 . 638306) (-2071 . 638243) (-2072 . 638152) (-2073 . 637930) (-2074 . 637877) (-2075 . 637793) (-2076 . 637741) (-2077 . 637649) (-2078 . 637518) (-2079 . 637295) (-2080 . 637188) (-2081 . 636833) (-2082 . 636805) (-2083 . 636565) (-2084 . 636450) (-2085 . 636374) (-2086 . 636239) (-2087 . 636140) (-2088 . 635737) (-2089 . 635653) (-2090 . 634256) (-2091 . 634096) (-2092 . 633927) (-2093 . 633733) (-2094 . 633578) (-2095 . 633477) (-2096 . 633341) (-2097 . 633260) (-2098 . 633184) (-2099 . 633081) (-2100 . 633003) (-2101 . 632921) (-2102 . 632706) (-2103 . 632656) (-2104 . 632565) (-2105 . 632324) (-2106 . 632003) (-2107 . 631927) (-2108 . 631718) (-2109 . 631574) (-2110 . 631411) (-2111 . 631304) (-2112 . 630960) (-2113 . 628833) (-2114 . 628576) (-2115 . 627934) (-2116 . 627816) (-2117 . 627470) (-2118 . 627322) (-2119 . 627068) (-2120 . 626706) (-2121 . 626586) (-2122 . 626513) (-2123 . 626441) (-2124 . 626338) (-2125 . 626274) (-2126 . 625775) (-2127 . 625671) (-2128 . 625598) (-2129 . 625306) (-2130 . 625235) (-2131 . 625170) (-2132 . 624968) (-2133 . 624893) (-2134 . 624812) (-2135 . 624597) (-2136 . 624510) (-2137 . 624349) (-2138 . 624098) (-2139 . 623828) (-2140 . 623773) (-2141 . 623236) (-2142 . 623165) (-2143 . 623113) (-2144 . 623010) (-2145 . 622553) (-2146 . 622439) (-2147 . 622389) (-2148 . 622320) (-2149 . 622265) (-2150 . 621952) (-2151 . 621882) (-2152 . 621659) (-2153 . 621592) (-2154 . 621473) (-2155 . 621392) (-2156 . 621169) (-2157 . 620854) (-2158 . 620776) (-2159 . 620511) (-2160 . 620386) (-2161 . 620283) (-2162 . 620109) (-2163 . 619826) (-2164 . 619732) (-2165 . 619670) (-2166 . 619532) (-2167 . 619390) (-2168 . 619316) (-2169 . 619249) (-2170 . 618910) (-2171 . 618778) (-2172 . 618377) (-2173 . 618287) (-2174 . 618089) (-2175 . 617956) (-2176 . 617849) (-2177 . 617735) (-2178 . 617410) (-2179 . 617329) (-2180 . 617238) (-2181 . 616925) (-2182 . 616856) (-2183 . 616782) (-2184 . 616711) (-2185 . 616610) (-2186 . 616492) (-2187 . 616293) (-2188 . 616222) (-2189 . 615859) (-2190 . 615768) (-2191 . 615705) (-2192 . 615580) (-2193 . 615504) (-2194 . 615430) (-2195 . 614605) (-2196 . 614521) (-2197 . 614441) (-2198 . 613948) (-2199 . 613550) (-2200 . 613518) (-2201 . 613446) (-2202 . 613394) (-2203 . 613247) (-2204 . 613213) (-2205 . 613160) (-2206 . 612576) (-2207 . 612425) (-2208 . 612369) (-2209 . 612258) (-2210 . 612092) (-2211 . 612010) (-2212 . 611759) (-2213 . 611680) (-2214 . 611363) (-2215 . 610644) (-2216 . 610540) (-2217 . 610487) (-2218 . 610414) (-2219 . 609993) (-2220 . 609790) (-2221 . 609650) (-2222 . 609341) (-2223 . 609260) (-2224 . 609134) (-2225 . 608177) (-2226 . 608054) (-2227 . 607508) (-2228 . 607398) (-2229 . 607219) (-2230 . 606980) (-2231 . 605846) (-2232 . 605639) (-2233 . 605572) (-2234 . 605517) (-2235 . 605450) (-2236 . 605186) (-2237 . 605134) (-2238 . 605058) (-2239 . 604934) (-2240 . 604830) (-2241 . 604213) (-2242 . 604095) (-2243 . 603928) (-2244 . 603805) (-2245 . 603342) (-2246 . 603268) (-2247 . 603028) (-2248 . 601159) (-2249 . 601068) (-2250 . 600965) (-2251 . 600850) (-2252 . 600758) (-2253 . 600706) (-2254 . 600575) (-2255 . 600451) (-2256 . 600359) (-2257 . 599397) (-2258 . 599346) (-2259 . 599268) (-2260 . 599218) (-2261 . 599128) (-2262 . 599061) (-2263 . 598945) (-2264 . 598804) (-2265 . 598672) (-2266 . 598002) (-2267 . 597844) (-2268 . 597605) (-2269 . 596709) (-2270 . 596034) (-2271 . 595866) (-2272 . 595492) (-2273 . 595316) (-2274 . 595173) (-2275 . 595094) (-2276 . 594980) (-2277 . 594748) (-2278 . 594693) (-2279 . 594502) (-2280 . 594267) (-2281 . 593954) (-2282 . 593713) (-2283 . 593544) (-2284 . 593473) (-2285 . 593379) (-2286 . 593234) (-2287 . 593049) (-2288 . 592869) (-2289 . 592676) (-2290 . 592537) (-2291 . 592485) (-2292 . 592403) (-2293 . 592275) (-2294 . 592022) (-2295 . 591955) (-2296 . 591887) (-2297 . 591735) (-2298 . 591575) (-2299 . 591401) (-2300 . 591301) (-2301 . 591228) (-2302 . 591063) (-2303 . 590652) (-2304 . 590554) (-2305 . 590360) (-2306 . 590175) (-2307 . 590122) (-2308 . 590001) (-2309 . 589812) (-2310 . 589744) (-2311 . 589655) (-2312 . 589199) (-2313 . 589111) (-2314 . 588513) (-2315 . 588415) (-2316 . 588366) (-2317 . 587757) (-2318 . 587657) (-2319 . 587487) (-2320 . 587343) (-2321 . 587257) (-2322 . 587194) (-2323 . 586858) (-2324 . 586604) (-2325 . 586524) (-2326 . 586452) (-2327 . 586370) (-2328 . 586059) (-2329 . 585901) (-2330 . 585827) (-2331 . 585618) (-2332 . 585057) (-2333 . 584828) (-2334 . 584762) (-2335 . 584709) (-2336 . 584639) (-2337 . 584560) (-2338 . 584410) (-2339 . 584258) (-2340 . 584145) (-2341 . 584034) (-2342 . 583816) (-2343 . 583727) (-2344 . 583605) (-2345 . 583538) (-2346 . 583034) (-2347 . 582892) (-2348 . 582520) (-2349 . 582381) (-2350 . 582337) (-2351 . 582249) (-2352 . 581963) (-2353 . 580844) (-2354 . 580404) (-2355 . 580332) (-2356 . 580187) (-2357 . 580118) (-2358 . 580021) (-2359 . 579869) (-2360 . 579796) (-2361 . 579667) (-2362 . 579296) (-2363 . 579225) (-2364 . 579122) (-2365 . 578838) (-2366 . 578674) (-2367 . 578597) (-2368 . 578526) (-2369 . 578469) (-2370 . 578416) (-2371 . 578141) (-2372 . 578008) (-2373 . 577918) (-2374 . 577663) (-2375 . 577395) (-2376 . 577306) (-2377 . 577061) (-2378 . 577009) (-2379 . 576688) (-2380 . 576562) (-2381 . 576452) (-2382 . 576310) (-2383 . 576230) (-2384 . 576108) (-2385 . 576009) (-2386 . 575943) (-2387 . 575827) (-2388 . 575636) (-2389 . 575533) (-2390 . 575174) (-2391 . 575066) (-2392 . 575014) (-2393 . 574943) (-2394 . 574891) (-2395 . 574775) (-2396 . 574682) (-2397 . 574608) (-2398 . 574454) (-2399 . 574397) (-2400 . 569333) (-2401 . 569231) (-2402 . 569178) (-2403 . 567447) (-2404 . 567376) (-2405 . 567301) (-2406 . 567187) (-2407 . 566930) (-2408 . 566855) (-2409 . 566721) (-2410 . 566664) (-2411 . 566478) (-2412 . 566331) (-2413 . 566282) (-2414 . 566230) (-2415 . 566131) (-2416 . 566064) (-2417 . 566012) (-2418 . 565864) (-2419 . 565760) (-2420 . 565625) (-2421 . 565572) (-2422 . 565488) (-2423 . 565352) (-2424 . 565164) (-2425 . 565107) (-2426 . 565007) (-2427 . 564496) (-2428 . 564386) (-2429 . 564294) (-2430 . 564166) (-2431 . 564020) (-2432 . 563961) (-2433 . 563812) (-2434 . 563701) (-2435 . 562769) (-2436 . 562688) (-2437 . 562577) (-2438 . 562267) (-2439 . 562121) (-2440 . 562018) (-2441 . 561605) (-2442 . 561408) (-2443 . 560602) (-2444 . 560504) (-2445 . 560102) (-2446 . 559998) (-2447 . 559575) (-2448 . 559076) (-2449 . 558977) (-2450 . 558687) (-2451 . 558539) (-2452 . 558430) (-2453 . 558326) (-2454 . 558274) (-2455 . 558191) (-2456 . 558087) (-2457 . 557968) (-2458 . 557811) (-2459 . 557711) (-2460 . 557577) (-2461 . 557502) (-2462 . 557371) (-2463 . 556769) (-2464 . 556669) (-2465 . 556566) (-2466 . 556374) (-2467 . 556222) (-2468 . 556020) (-2469 . 555959) (-2470 . 555904) (-2471 . 555852) (-2472 . 554629) (-2473 . 554549) (-2474 . 554359) (-2475 . 554307) (-2476 . 554234) (-2477 . 554155) (-2478 . 554088) (-2479 . 553584) (-2480 . 553531) (-2481 . 553423) (-2482 . 553294) (-2483 . 553037) (-2484 . 552963) (-2485 . 552783) (-2486 . 552567) (-2487 . 552460) (-2488 . 552380) (-2489 . 552280) (-2490 . 552073) (-2491 . 551855) (-2492 . 551653) (-2493 . 551476) (-2494 . 551381) (-2495 . 551216) (-2496 . 551128) (-2497 . 551032) (-2498 . 550847) (-2499 . 550776) (-2500 . 550541) (-2501 . 550452) (-2502 . 550424) (-2503 . 550306) (-2504 . 550129) (-2505 . 550030) (-2506 . 549771) (-2507 . 549594) (-2508 . 549478) (-2509 . 549294) (-2510 . 548947) (-2511 . 548890) (-2512 . 548621) (-2513 . 548545) (-2514 . 548427) (-2515 . 548366) (-2516 . 548088) (-2517 . 547932) (-2518 . 547766) (-2519 . 547638) (-2520 . 547601) (-2521 . 547152) (-2522 . 547053) (-2523 . 546872) (-2524 . 546813) (-2525 . 546737) (-2526 . 546639) (-2527 . 546569) (-2528 . 546450) (-2529 . 546234) (-2530 . 546077) (-2531 . 546019) (-2532 . 545785) (-2533 . 545726) (-2534 . 545576) (-2535 . 545094) (-2536 . 544842) (-2537 . 544787) (-2538 . 544703) (-2539 . 544630) (-2540 . 544563) (-2541 . 544314) (-2542 . 544213) (-2543 . 544039) (-2544 . 543754) (-2545 . 543661) (-2546 . 543519) (-2547 . 543401) (-2548 . 543334) (-2549 . 543136) (-2550 . 542828) (-2551 . 542775) (-2552 . 542572) (-2553 . 542446) (-2554 . 541764) (-2555 . 541736) (-2556 . 541631) (-2557 . 541557) (-2558 . 541449) (-2559 . 541393) (-2560 . 541344) (-2561 . 540719) (-2562 . 540608) (-2563 . 540495) (-2564 . 539954) (-2565 . 539852) (-2566 . 539749) (-2567 . 539541) (-2568 . 539436) (-2569 . 538489) (-2570 . 538153) (-2571 . 538050) (-2572 . 537952) (-2573 . 537890) (-2574 . 537785) (-2575 . 537681) (-2576 . 537440) (-2577 . 537391) (-2578 . 536972) (-2579 . 536647) (-2580 . 536495) (-2581 . 536225) (-2582 . 535904) (-2583 . 535098) (-2584 . 534884) (-2585 . 534785) (-2586 . 534702) (-2587 . 534649) (-2588 . 534565) (-2589 . 533790) (-2590 . 533723) (-2591 . 533615) (-2592 . 533467) (-2593 . 533152) (-2594 . 533099) (-2595 . 532962) (-2596 . 532756) (-2597 . 532651) (-2598 . 532393) (-2599 . 532018) (-2600 . 531856) (-2601 . 531015) (-2602 . 530944) (-2603 . 530842) (-2604 . 530484) (-2605 . 530347) (-2606 . 530049) (-2607 . 529946) (-2608 . 529451) (-2609 . 529318) (-2610 . 529219) (-2611 . 529044) (-2612 . 528991) (-2613 . 528867) (-2614 . 528770) (-2615 . 528580) (-2616 . 528471) (-2617 . 525516) (-2618 . 525365) (-2619 . 525091) (-2620 . 524996) (-2621 . 524766) (-2622 . 524529) (-2623 . 524476) (-2624 . 524243) (-2625 . 524174) (-2626 . 524086) (-2627 . 524016) (-2628 . 523945) (-2629 . 523839) (-2630 . 523759) (-2631 . 523531) (-2632 . 523402) (-2633 . 523327) (-2634 . 523223) (-2635 . 523054) (-2636 . 522882) (-2637 . 522795) (-2638 . 522591) (-2639 . 522384) (-2640 . 522276) (-2641 . 522003) (-2642 . 521361) (-2643 . 521156) (-2644 . 520886) (-2645 . 520747) (-2646 . 520679) (-2647 . 520491) (-2648 . 520373) (-2649 . 520287) (-2650 . 520158) (-2651 . 520008) (-2652 . 519907) (-2653 . 519824) (-2654 . 519685) (-2655 . 519330) (-2656 . 519278) (-2657 . 519189) (-2658 . 518987) (-2659 . 518849) (-2660 . 518654) (-2661 . 518577) (-2662 . 518549) (-2663 . 518314) (-2664 . 518134) (-2665 . 516763) (-2666 . 516694) (-2667 . 515628) (-2668 . 515509) (-2669 . 515216) (-2670 . 515187) (-2671 . 514591) (-2672 . 514452) (-2673 . 514044) (-2674 . 513933) (-2675 . 513861) (-2676 . 513768) (-2677 . 513661) (-2678 . 513290) (-2679 . 513205) (-2680 . 513177) (-2681 . 513103) (-2682 . 512996) (-2683 . 512842) (-2684 . 512761) (-2685 . 512282) (-2686 . 512254) (** . 509104) (-2688 . 508683) (-2689 . 508580) (-2690 . 508489) (-2691 . 508382) (-2692 . 507599) (-2693 . 507380) (-2694 . 507255) (-2695 . 507162) (-2696 . 507087) (-2697 . 507015) (-2698 . 506948) (-2699 . 506896) (-2700 . 506846) (-2701 . 506407) (-2702 . 506303) (-2703 . 506231) (-2704 . 506164) (-2705 . 506084) (-2706 . 506003) (-2707 . 505886) (-2708 . 505794) (-2709 . 505686) (-2710 . 505451) (-2711 . 505244) (-2712 . 504948) (-2713 . 504679) (-2714 . 504617) (-2715 . 504172) (-2716 . 504020) (-2717 . 503968) (-2718 . 503911) (-2719 . 503739) (-2720 . 503686) (-2721 . 503410) (-2722 . 503220) (-2723 . 503068) (-2724 . 502637) (-2725 . 502381) (-2726 . 502285) (-2727 . 502046) (-2728 . 501611) (-2729 . 501221) (-2730 . 501034) (-2731 . 487192) (-2732 . 487064) (-2733 . 484398) (-2734 . 484236) (-2735 . 484099) (-2736 . 484006) (-2737 . 483926) (-2738 . 483812) (-2739 . 483657) (-2740 . 483544) (-2741 . 483137) (-2742 . 482045) (-2743 . 481986) (-2744 . 481886) (-2745 . 481765) (-2746 . 481572) (-2747 . 481331) (-2748 . 481097) (-2749 . 480957) (-2750 . 480774) (-2751 . 480443) (-2752 . 480198) (-2753 . 479893) (-2754 . 479834) (-2755 . 479698) (-2756 . 479504) (-2757 . 479447) (-2758 . 479306) (-2759 . 479224) (-2760 . 479165) (-2761 . 478884) (-2762 . 478777) (-2763 . 478652) (-2764 . 478571) (-2765 . 478430) (-2766 . 478359) (-2767 . 478211) (-2768 . 478090) (-2769 . 478038) (-2770 . 477421) (-2771 . 476852) (-2772 . 476768) (-2773 . 476671) (-2774 . 476596) (-2775 . 476537) (-2776 . 476417) (-2777 . 476324) (-2778 . 476191) (-2779 . 476107) (-2780 . 472183) (-2781 . 472126) (-2782 . 471910) (-2783 . 471793) (-2784 . 471698) (-2785 . 471601) (-2786 . 471378) (-2787 . 471270) (-2788 . 470940) (-2789 . 470799) (-2790 . 470691) (-2791 . 469694) (-2792 . 469510) (-2793 . 467795) (-2794 . 467548) (-2795 . 467496) (-2796 . 467468) (-2797 . 467342) (-2798 . 467103) (-2799 . 467011) (-2800 . 466870) (-2801 . 466775) (-2802 . 466409) (-2803 . 466317) (-2804 . 466185) (-2805 . 466068) (-2806 . 460236) (-2807 . 459090) (-2808 . 458958) (-2809 . 458145) (-2810 . 457998) (-2811 . 457702) (-2812 . 457576) (-2813 . 457452) (-2814 . 457289) (-2815 . 457164) (-2816 . 457026) (-2817 . 456929) (-2818 . 456867) (-2819 . 456489) (-2820 . 456395) (-2821 . 455060) (-2822 . 454950) (-2823 . 454800) (-2824 . 454621) (-2825 . 454005) (-2826 . 453739) (-2827 . 453600) (-2828 . 453428) (-2829 . 453264) (-2830 . 453116) (-2831 . 452919) (-2832 . 452841) (-2833 . 452694) (-2834 . 452541) (-2835 . 452469) (-2836 . 452059) (-2837 . 452028) (-2838 . 451708) (-2839 . 451572) (-2840 . 451048) (-2841 . 450879) (-2842 . 450666) (-2843 . 450600) (-2844 . 450566) (-2845 . 450280) (-2846 . 449945) (-2847 . 449845) (-2848 . 449765) (-2849 . 449602) (-2850 . 449521) (-2851 . 449418) (-2852 . 448503) (-2853 . 448323) (-2854 . 448201) (-2855 . 448141) (-2856 . 446536) (-2857 . 446373) (-2858 . 446289) (-2859 . 446107) (-2860 . 445730) (-2861 . 445646) (-2862 . 445552) (-2863 . 445439) (-2864 . 445222) (-2865 . 445153) (-2866 . 445085) (-2867 . 444594) (-2868 . 444303) (-2869 . 443970) (-2870 . 443833) (-2871 . 443680) (-2872 . 443546) (-2873 . 443245) (-2874 . 443136) (-2875 . 443030) (-2876 . 442957) (-2877 . 442903) (-2878 . 442823) (-2879 . 442680) (-2880 . 442512) (-2881 . 439673) (-2882 . 439555) (-2883 . 439480) (-2884 . 439273) (-2885 . 439151) (-2886 . 439042) (-2887 . 438989) (-2888 . 438908) (-2889 . 438713) (-2890 . 438152) (-2891 . 438056) (-2892 . 437510) (-2893 . 437383) (-2894 . 437148) (-2895 . 437057) (-2896 . 436984) (-2897 . 436931) (-2898 . 436882) (-2899 . 436825) (-2900 . 436689) (-2901 . 436557) (-2902 . 436466) (-2903 . 436218) (-2904 . 436126) (-2905 . 436070) (-2906 . 435891) (-2907 . 435789) (-2908 . 435516) (-2909 . 435297) (-2910 . 435133) (-2911 . 435042) (-2912 . 434911) (-2913 . 434663) (-2914 . 434539) (-2915 . 434206) (-2916 . 434118) (-2917 . 434044) (-2918 . 433968) (-2919 . 433879) (-2920 . 433804) (-2921 . 433650) (-2922 . 433471) (-2923 . 433359) (-2924 . 433203) (-2925 . 433074) (-2926 . 432963) (-2927 . 432892) (-2928 . 432833) (-2929 . 432655) (-2930 . 432309) (-2931 . 432192) (-2932 . 432068) (-2933 . 431384) (-2934 . 430807) (-2935 . 430557) (-2936 . 430466) (-2937 . 430269) (-2938 . 430195) (-2939 . 430082) (-2940 . 429846) (-2941 . 429689) (-2942 . 428728) (-2943 . 428094) (-2944 . 427819) (-2945 . 427678) (-2946 . 427578) (-2947 . 427042) (-2948 . 423118) (-2949 . 423037) (-2950 . 422936) (-2951 . 422316) (-2952 . 421970) (-2953 . 421833) (-2954 . 421745) (-2955 . 421673) (-2956 . 421472) (-2957 . 421297) (-2958 . 421217) (-2959 . 421023) (-2960 . 420939) (-2961 . 420841) (-2962 . 420707) (-2963 . 420534) (-2964 . 420319) (-2965 . 420199) (-2966 . 420132) (-2967 . 420051) (-2968 . 420002) (-2969 . 419751) (-2970 . 419674) (-2971 . 419371) (-2972 . 419278) (-2973 . 419126) (-2974 . 419073) (-2975 . 418976) (-2976 . 418734) (-2977 . 418562) (-2978 . 418250) (-2979 . 417966) (-2980 . 417862) (-2981 . 417781) (-2982 . 417417) (-2983 . 417365) (-2984 . 417293) (-2985 . 417163) (-2986 . 416950) (-2987 . 416774) (-2988 . 416623) (-2989 . 416556) (-2990 . 416293) (-2991 . 416195) (-2992 . 416081) (-2993 . 416007) (-2994 . 415900) (-2995 . 415842) (-2996 . 415687) (-2997 . 415659) (-2998 . 415575) (-2999 . 415466) (-3000 . 415409) (-3001 . 414970) (-3002 . 414276) (-3003 . 414180) (-3004 . 413818) (-3005 . 413583) (-3006 . 412383) (-3007 . 412331) (-3008 . 412206) (-3009 . 412135) (-3010 . 411999) (-3011 . 411764) (-3012 . 411712) (-3013 . 411077) (-3014 . 410391) (-3015 . 410334) (-3016 . 408223) (-3017 . 408154) (-3018 . 408048) (-3019 . 407917) (-3020 . 407807) (-3021 . 407690) (-3022 . 407599) (-3023 . 407475) (-3024 . 407326) (-3025 . 407274) (-3026 . 407163) (-3027 . 406962) (-3028 . 406840) (-3029 . 406722) (-3030 . 406529) (-3031 . 406422) (-3032 . 405831) (-3033 . 405710) (-3034 . 405619) (-3035 . 405097) (-3036 . 404997) (-3037 . 404702) (-3038 . 403835) (-3039 . 403663) (-3040 . 403574) (-3041 . 403545) (-3042 . 403492) (-3043 . 403403) (-3044 . 403300) (-3045 . 403166) (-3046 . 403019) (-3047 . 402937) (-3048 . 402855) (-3049 . 402827) (-3050 . 402724) (-3051 . 402382) (-3052 . 401604) (-3053 . 401427) (-3054 . 401330) (-3055 . 401239) (-3056 . 401029) (-3057 . 400869) (-3058 . 400671) (-3059 . 400409) (-3060 . 400254) (-3061 . 400199) (-3062 . 400111) (-3063 . 399924) (-3064 . 399849) (-3065 . 399722) (-3066 . 399299) (-3067 . 399208) (-3068 . 399156) (-3069 . 398950) (-3070 . 398642) (-3071 . 398484) (-3072 . 398386) (-3073 . 398089) (-3074 . 397907) (-3075 . 397611) (-3076 . 397346) (-3077 . 397294) (-3078 . 397183) (-3079 . 397073) (-3080 . 396923) (-3081 . 396641) (-3082 . 395700) (-3083 . 395606) (-3084 . 395539) (-3085 . 394925) (-3086 . 394619) (-3087 . 394297) (-3088 . 394208) (-3089 . 394138) (-3090 . 387749) (-3091 . 387663) (-3092 . 387540) (-3093 . 387276) (-3094 . 387159) (-3095 . 387075) (-3096 . 386868) (-3097 . 386794) (-3098 . 385835) (-3099 . 385757) (-3100 . 384914) (-3101 . 384835) (-3102 . 384736) (-3103 . 384574) (-3104 . 384500) (-3105 . 384402) (-3106 . 384312) (-3107 . 384138) (-3108 . 383697) (-3109 . 383535) (-3110 . 383420) (-3111 . 382930) (-3112 . 382672) (-3113 . 382208) (-3114 . 382119) (-3115 . 382047) (-3116 . 381953) (-3117 . 381849) (-3118 . 381603) (-3119 . 381529) (-3120 . 381293) (-3121 . 381000) (-3122 . 380609) (-3123 . 380457) (-3124 . 380426) (-3125 . 380299) (-3126 . 380122) (-3127 . 380064) (-3128 . 379739) (-3129 . 379580) (-3130 . 379423) (-3131 . 379219) (-3132 . 378996) (-3133 . 378157) (-3134 . 378017) (-3135 . 377865) (-3136 . 377740) (-3137 . 377585) (-3138 . 377352) (-3139 . 377227) (-3140 . 377174) (-3141 . 377102) (-3142 . 376817) (-3143 . 376458) (-3144 . 376235) (-3145 . 375993) (-3146 . 375940) (-3147 . 375666) (-3148 . 375259) (-3149 . 375129) (-3150 . 375005) (-3151 . 374949) (-3152 . 374917) (-3153 . 374760) (-3154 . 374664) (-3155 . 374517) (-3156 . 374366) (-3157 . 374268) (-3158 . 374160) (-3159 . 373797) (-3160 . 373672) (-3161 . 373464) (-3162 . 366624) (-3163 . 366564) (-3164 . 365349) (-3165 . 365175) (-3166 . 364211) (-3167 . 364161) (-3168 . 364108) (-3169 . 364038) (-3170 . 363947) (-3171 . 363769) (-3172 . 363496) (-3173 . 363361) (-3174 . 363026) (-3175 . 362849) (-3176 . 362687) (-3177 . 362535) (-3178 . 361982) (-3179 . 361811) (-3180 . 361541) (-3181 . 361412) (-3182 . 361325) (-3183 . 360424) (-3184 . 360367) (-3185 . 360275) (-3186 . 359901) (-3187 . 359819) (-3188 . 359619) (-3189 . 359467) (-3190 . 359433) (-3191 . 359378) (-3192 . 359224) (-3193 . 359105) (-3194 . 358886) (-3195 . 358616) (-3196 . 358432) (-3197 . 358365) (-3198 . 358252) (-3199 . 357947) (-3200 . 357866) (-3201 . 357791) (-3202 . 357759) (-3203 . 357703) (-3204 . 357468) (-3205 . 357364) (-3206 . 357288) (-3207 . 357190) (-3208 . 357037) (-3209 . 356970) (-3210 . 356241) (-3211 . 356091) (-3212 . 355984) (-3213 . 355924) (-3214 . 355833) (-3215 . 355375) (-3216 . 355258) (-3217 . 355148) (-3218 . 354943) (-3219 . 354405) (-3220 . 354371) (-3221 . 354282) (-3222 . 354110) (-3223 . 353889) (-3224 . 353565) (-3225 . 353495) (-3226 . 353415) (-3227 . 353334) (-3228 . 353193) (-3229 . 352687) (-3230 . 352539) (-3231 . 352458) (-3232 . 352381) (-3233 . 352306) (-3234 . 352188) (-3235 . 352114) (-3236 . 352086) (-3237 . 351938) (-3238 . 351847) (-3239 . 351696) (-3240 . 351596) (-3241 . 351246) (-3242 . 350641) (-3243 . 350493) (-3244 . 350409) (-3245 . 349958) (-3246 . 349876) (-3247 . 349646) (-3248 . 349565) (-3249 . 349481) (-3250 . 349221) (-3251 . 349111) (-3252 . 348995) (-3253 . 348896) (-3254 . 348474) (-3255 . 347773) (-3256 . 347692) (-3257 . 347515) (-3258 . 347444) (-3259 . 347233) (-3260 . 347196) (-3261 . 347168) (-3262 . 346603) (-3263 . 346295) (-3264 . 346176) (-3265 . 346109) (-3266 . 345809) (-3267 . 345683) (-3268 . 345593) (-3269 . 345359) (-3270 . 344965) (-3271 . 344869) (-3272 . 344778) (-3273 . 344692) (-3274 . 344321) (-3275 . 344196) (-3276 . 343957) (-3277 . 343731) (-3278 . 343515) (-3279 . 343287) (-3280 . 343176) (-3281 . 343011) (-3282 . 342882) (-3283 . 342796) (-3284 . 342635) (-3285 . 342531) (-3286 . 342445) (-3287 . 342326) (-3288 . 342252) (-3289 . 342150) (-3290 . 342083) (-3291 . 341969) (-3292 . 341369) (-3293 . 341231) (-3294 . 341039) (-3295 . 340965) (-3296 . 340719) (-3297 . 340576) (-3298 . 340411) (-3299 . 340295) (-3300 . 338788) (-3301 . 338527) (-3302 . 338199) (-3303 . 338003) (-3304 . 337841) (-3305 . 337304) (-3306 . 335705) (-3307 . 335605) (-3308 . 335529) (-3309 . 335294) (-3310 . 335198) (-3311 . 335166) (-3312 . 335115) (-3313 . 332731) (-3314 . 332675) (-3315 . 331787) (-3316 . 331655) (-3317 . 331552) (-3318 . 331480) (-3319 . 331157) (-3320 . 330976) (-3321 . 330508) (-3322 . 330401) (-3323 . 330029) (-3324 . 329733) (-3325 . 329440) (-3326 . 329384) (-3327 . 329356) (-3328 . 329171) (-3329 . 329118) (-3330 . 328775) (-3331 . 328714) (-3332 . 328344) (-3333 . 328264) (-3334 . 328154) (-3335 . 328081) (-3336 . 327975) (-3337 . 327794) (-3338 . 327658) (-3339 . 327449) (-3340 . 327353) (-3341 . 327269) (-3342 . 327202) (-3343 . 327033) (-3344 . 326742) (-3345 . 326612) (-3346 . 326489) (-3347 . 326407) (-3348 . 326323) (-3349 . 326107) (-3350 . 325995) (-3351 . 319464) (-3352 . 319314) (-3353 . 319262) (-3354 . 319194) (-3355 . 319064) (-3356 . 318798) (-3357 . 318616) (-3358 . 318262) (-3359 . 317969) (-3360 . 317898) (-3361 . 317870) (-3362 . 317743) (-3363 . 317489) (-3364 . 317438) (-3365 . 317325) (-3366 . 317086) (-3367 . 317000) (-3368 . 316623) (-3369 . 315929) (-3370 . 315823) (-3371 . 314684) (-3372 . 314492) (-3373 . 314352) (-3374 . 314204) (-3375 . 313478) (-3376 . 313401) (-3377 . 313250) (-3378 . 313110) (-3379 . 313054) (-3380 . 312882) (-3381 . 312811) (-3382 . 312508) (-3383 . 312316) (-3384 . 312266) (-3385 . 311692) (-3386 . 311540) (-3387 . 311390) (-3388 . 311312) (-3389 . 310972) (-3390 . 310392) (-3391 . 310073) (-3392 . 309974) (-3393 . 309895) (-3394 . 309791) (-3395 . 309313) (-3396 . 309254) (-3397 . 309137) (-3398 . 309038) (-3399 . 308493) (-3400 . 308396) (-3401 . 308043) (-3402 . 307948) (-3403 . 307802) (-3404 . 307706) (-3405 . 306894) (-3406 . 306718) (-3407 . 306158) (-3408 . 306066) (-3409 . 305965) (-3410 . 305869) (-3411 . 305816) (-3412 . 303668) (-3413 . 303537) (-3414 . 303387) (-3415 . 303262) (-3416 . 303135) (-3417 . 302842) (-3418 . 302730) (-3419 . 302651) (-3420 . 302479) (-3421 . 302405) (-3422 . 302281) (-3423 . 302157) (-3424 . 301768) (-3425 . 301609) (-3426 . 301502) (-3427 . 300944) (-3428 . 300823) (-3429 . 300765) (-3430 . 300634) (-3431 . 300405) (-3432 . 300324) (-3433 . 300213) (-3434 . 300092) (-3435 . 299978) (-3436 . 299714) (-3437 . 299562) (-3438 . 299464) (-3439 . 299120) (-3440 . 299018) (-3441 . 298872) (-3442 . 298701) (-3443 . 298511) (-3444 . 298459) (-3445 . 298360) (-3446 . 298284) (-3447 . 298232) (-3448 . 298072) (-3449 . 297747) (-3450 . 297676) (-3451 . 297579) (-3452 . 296236) (-3453 . 296140) (-3454 . 295832) (-3455 . 295722) (-3456 . 295663) (-3457 . 295582) (-3458 . 295487) (-3459 . 295391) (-3460 . 295288) (-3461 . 294801) (-3462 . 294630) (-3463 . 294443) (-3464 . 294275) (-3465 . 294142) (-3466 . 293510) (-3467 . 293482) (-3468 . 293247) (-3469 . 293090) (-3470 . 292774) (-3471 . 292641) (-3472 . 292535) (-3473 . 292357) (-3474 . 291408) (-3475 . 291320) (-3476 . 291234) (-3477 . 290845) (-3478 . 290691) (-3479 . 290597) (-3480 . 290415) (-3481 . 290044) (-3482 . 289958) (-3483 . 289889) (-3484 . 289794) (-3485 . 289648) (-3486 . 289496) (-3487 . 289444) (-3488 . 289358) (-3489 . 289265) (-3490 . 289206) (-3491 . 288941) (-3492 . 288864) (-3493 . 288778) (-3494 . 288613) (-3495 . 288475) (-3496 . 288423) (-3497 . 288118) (-3498 . 288032) (-3499 . 287916) (-3500 . 287712) (-3501 . 287571) (-3502 . 287498) (-3503 . 287412) (-3504 . 287055) (-3505 . 286996) (-3506 . 286837) (-3507 . 282913) (-3508 . 282690) (-3509 . 282604) (-3510 . 282401) (-3511 . 282244) (-3512 . 281595) (-3513 . 281524) (-3514 . 281356) (-3515 . 281192) (-3516 . 281094) (-3517 . 280939) (-3518 . 280853) (-3519 . 280800) (-3520 . 280677) (-3521 . 280489) (-3522 . 280321) (-3523 . 280235) (-3524 . 279782) (-3525 . 279689) (-3526 . 279450) (-3527 . 279346) (-3528 . 279260) (-3529 . 278791) (-3530 . 278723) (-3531 . 278671) (-3532 . 278546) (-3533 . 278454) (-3534 . 278359) (-3535 . 278284) (-3536 . 277495) (-3537 . 277393) (-3538 . 277312) (-3539 . 277226) (-3540 . 276959) (-3541 . 276848) (-3542 . 276707) (-3543 . 276610) (-3544 . 276524) (-3545 . 276372) (-3546 . 276234) (-3547 . 276021) (-3548 . 274802) (-3549 . 274691) (-3550 . 274529) (-3551 . 274443) (-3552 . 273510) (-3553 . 273458) (-3554 . 273266) (-3555 . 272425) (-3556 . 272322) (-3557 . 272236) (-3558 . 272005) (-3559 . 271890) (-3560 . 271638) (-3561 . 271450) (-3562 . 271366) (-3563 . 271280) (-3564 . 271173) (-3565 . 271076) (-3566 . 270702) (-3567 . 269792) (-3568 . 269564) (-3569 . 269491) (-3570 . 269398) (-3571 . 269331) (-3572 . 269197) (-3573 . 269101) (-3574 . 268959) (-3575 . 268543) (-3576 . 268410) (-3577 . 268351) (-3578 . 268256) (-3579 . 268197) (-3580 . 267754) (-3581 . 267556) (-3582 . 267407) (-3583 . 267047) (-3584 . 266955) (-3585 . 266905) (-3586 . 266577) (-3587 . 266395) (-3588 . 266317) (-3589 . 266283) (-3590 . 266191) (-3591 . 265664) (-3592 . 265124) (-3593 . 265038) (-3594 . 264835) (-3595 . 264425) (-3596 . 264324) (-3597 . 264235) (-3598 . 264163) (-3599 . 264089) (-3600 . 263890) (-3601 . 263811) (-3602 . 263556) (-3603 . 263470) (-3604 . 263328) (-3605 . 262489) (-3606 . 262126) (-3607 . 261871) (-3608 . 261699) (-3609 . 261380) (-3610 . 257456) (-3611 . 257131) (-3612 . 256996) (-3613 . 256746) (-3614 . 256672) (-3615 . 256586) (-3616 . 255769) (-3617 . 255672) (-3618 . 255547) (-3619 . 255196) (-3620 . 255095) (-3621 . 254802) (-3622 . 254645) (-3623 . 254611) (-3624 . 254496) (-3625 . 254407) (-3626 . 253583) (-3627 . 253494) (-3628 . 253408) (-3629 . 253116) (-3630 . 253045) (-3631 . 252986) (-3632 . 252934) (-3633 . 252771) (-3634 . 252475) (-3635 . 252140) (-3636 . 252069) (-3637 . 251870) (-3638 . 251784) (-3639 . 251694) (-3640 . 251585) (-3641 . 251443) (-3642 . 251170) (-3643 . 251010) (-3644 . 248611) (-3645 . 248555) (-3646 . 248445) (-3647 . 248095) (-3648 . 248043) (-3649 . 247885) (-3650 . 246977) (-3651 . 246662) (-3652 . 246607) (-3653 . 246325) (-3654 . 246187) (-3655 . 246061) (-3656 . 245875) (-3657 . 242265) (-3658 . 242061) (-3659 . 241970) (-3660 . 241911) (-3661 . 241858) (-3662 . 241772) (-3663 . 241691) (-3664 . 241502) (-3665 . 241364) (-3666 . 241213) (-3667 . 241176) (-3668 . 241035) (-3669 . 240901) (-3670 . 240743) (-3671 . 240556) (-3672 . 240467) (-3673 . 240348) (-3674 . 240069) (-3675 . 239983) (-3676 . 239931) (-3677 . 239842) (-3678 . 238605) (-3679 . 238023) (-3680 . 237865) (-3681 . 237710) (-3682 . 237336) (-3683 . 237088) (-3684 . 236956) (-3685 . 236872) (-3686 . 236776) (-3687 . 236643) (-3688 . 236273) (-3689 . 236178) (-3690 . 236122) (-3691 . 236055) (-3692 . 235922) (-3693 . 235828) (-3694 . 235657) (-3695 . 235562) (-3696 . 235412) (-3697 . 235326) (-3698 . 235229) (-3699 . 235066) (-3700 . 234914) (-3701 . 234792) (-3702 . 233834) (-3703 . 233715) (-3704 . 233629) (-3705 . 233516) (-3706 . 233382) (-3707 . 233256) (-3708 . 233163) (-3709 . 233077) (-3710 . 232839) (-3711 . 232458) (-3712 . 232336) (-3713 . 232253) (-3714 . 232180) (-3715 . 232094) (-3716 . 232011) (-3717 . 231889) (-3718 . 231732) (-3719 . 231543) (-3720 . 231420) (-3721 . 231225) (-3722 . 230793) (-3723 . 230701) (-3724 . 230592) (-3725 . 230225) (-3726 . 230083) (-3727 . 230016) (-3728 . 229878) (-3729 . 229786) (-3730 . 229676) (-3731 . 229414) (-3732 . 229261) (-3733 . 229145) (-3734 . 229045) (-3735 . 228898) (-3736 . 228747) (-3737 . 228675) (-3738 . 228572) (-3739 . 228425) (-3740 . 227857) (-3741 . 227731) (-3742 . 227570) (-3743 . 227147) (-3744 . 227022) (-3745 . 226917) (-3746 . 226721) (-3747 . 226572) (-3748 . 226366) (-3749 . 226248) (-3750 . 226115) (-3751 . 225958) (-3752 . 225844) (-3753 . 225729) (-3754 . 225642) (-3755 . 225537) (-3756 . 225449) (-3757 . 225320) (-3758 . 225265) (-3759 . 225125) (-3760 . 225023) (-3761 . 224944) (-3762 . 224829) (-3763 . 224745) (-3764 . 224541) (-3765 . 224379) (-3766 . 224206) (-3767 . 222852) (-3768 . 222734) (-3769 . 222570) (-3770 . 222468) (-3771 . 221742) (-3772 . 221064) (-3773 . 220964) (-3774 . 220875) (-3775 . 220451) (-3776 . 220364) (-3777 . 220279) (-3778 . 220161) (-3779 . 220087) (-3780 . 219994) (-3781 . 219614) (-3782 . 219549) (-3783 . 219459) (-3784 . 219362) (-3785 . 218027) (-3786 . 217721) (-3787 . 217608) (-3788 . 217536) (-3789 . 217481) (-3790 . 217431) (-3791 . 217379) (-3792 . 216682) (-3793 . 216240) (-3794 . 216156) (-3795 . 215965) (-3796 . 215516) (-3797 . 215463) (-3798 . 215360) (-3799 . 215165) (-3800 . 215107) (-3801 . 215035) (-3802 . 214650) (-3803 . 214553) (-3804 . 214222) (-3805 . 214114) (-3806 . 214086) (-3807 . 213848) (-3808 . 213816) (-3809 . 213788) (-3810 . 213699) (-3811 . 213575) (-3812 . 213495) (-3813 . 213404) (-3814 . 213206) (-3815 . 213035) (-3816 . 212920) (-3817 . 212619) (-3818 . 212555) (-3819 . 212455) (-3820 . 212197) (-3821 . 211844) (-3822 . 211277) (-3823 . 211128) (-3824 . 210997) (-3825 . 210794) (-3826 . 210596) (-3827 . 210544) (-3828 . 210445) (-3829 . 210323) (-3830 . 210142) (-3831 . 210087) (-3832 . 210035) (-3833 . 209915) (-3834 . 209835) (-3835 . 209783) (-3836 . 209628) (-3837 . 209547) (-3838 . 209330) (-3839 . 209131) (-3840 . 208995) (-3841 . 208939) (-12 . 208784) (-3843 . 208390) (-3844 . 208258) (-3845 . 208071) (-3846 . 207956) (-3847 . 207804) (-3848 . 207670) (-3849 . 207592) (-3850 . 207419) (-3851 . 207304) (-3852 . 207252) (-3853 . 206881) (-3854 . 206803) (-3855 . 206706) (-3856 . 206362) (-3857 . 206217) (-3858 . 206038) (-3859 . 205647) (-3860 . 205445) (-3861 . 205393) (-3862 . 205255) (-3863 . 204703) (-3864 . 204626) (-3865 . 204553) (-3866 . 204409) (-3867 . 203894) (-3868 . 203822) (-3869 . 203769) (-3870 . 203591) (-3871 . 203453) (-3872 . 203309) (-3873 . 203219) (-3874 . 203067) (-3875 . 202954) (-3876 . 202405) (-3877 . 202356) (-3878 . 202189) (-3879 . 202063) (-3880 . 202035) (-3881 . 201924) (-3882 . 201779) (-3883 . 201705) (-3884 . 201328) (-3885 . 201217) (-3886 . 201107) (-3887 . 200976) (-3888 . 200628) (-3889 . 200524) (-3890 . 200442) (-3891 . 199000) (-3892 . 198926) (-3893 . 198769) (* . 194116) (-3895 . 194033) (-3896 . 193793) (-3897 . 193508) (-3898 . 193389) (-3899 . 193337) (-3900 . 193255) (-3901 . 193206) (-3902 . 192575) (-3903 . 191639) (-3904 . 191339) (-3905 . 191035) (-3906 . 190290) (-3907 . 190190) (-3908 . 189924) (-3909 . 189857) (-3910 . 189784) (-3911 . 189729) (-3912 . 189572) (-3913 . 189497) (-3914 . 189445) (-3915 . 189413) (-3916 . 189324) (-3917 . 189156) (-3918 . 187995) (-3919 . 187572) (-3920 . 187227) (-3921 . 187185) (-3922 . 187102) (-3923 . 186994) (-3924 . 186832) (-3925 . 186779) (-3926 . 186638) (-3927 . 181538) (-3928 . 181385) (-3929 . 181262) (-3930 . 181188) (-3931 . 180445) (-3932 . 179060) (-3933 . 179004) (-3934 . 178796) (-3935 . 178692) (-3936 . 178421) (-3937 . 178283) (-3938 . 177708) (-3939 . 177613) (-3940 . 176343) (-3941 . 176100) (-3942 . 176013) (-3943 . 175897) (-3944 . 175823) (-3945 . 175580) (-3946 . 175471) (-3947 . 175372) (-3948 . 174992) (-3949 . 174726) (-3950 . 174648) (-3951 . 174412) (-3952 . 173439) (-3953 . 173335) (-3954 . 173163) (-3955 . 173091) (-3956 . 173023) (-3957 . 172601) (-3958 . 172525) (-3959 . 172203) (-3960 . 171789) (-3961 . 171312) (-3962 . 170609) (-3963 . 170540) (-3964 . 170348) (-3965 . 170209) (-3966 . 170136) (-3967 . 169874) (-3968 . 169805) (-3969 . 168703) (-3970 . 168427) (-3971 . 167987) (-3972 . 167897) (-3973 . 167692) (-3974 . 167574) (-3975 . 167522) (-3976 . 167386) (-3977 . 167274) (-3978 . 166674) (-3979 . 166598) (-3980 . 166564) (-3981 . 166466) (-3982 . 166408) (-3983 . 165999) (-3984 . 165924) (-3985 . 165798) (-3986 . 165764) (-3987 . 165068) (-3988 . 164697) (-3989 . 164635) (-3990 . 164391) (-3991 . 164269) (-3992 . 164175) (-3993 . 163636) (-3994 . 163559) (-3995 . 163470) (-3996 . 163028) (-3997 . 162925) (-3998 . 162897) (-3999 . 162816) (-4000 . 162715) (-4001 . 162657) (-4002 . 162205) (-4003 . 162094) (-4004 . 161426) (-4005 . 152533) (-4006 . 152240) (-4007 . 152088) (-4008 . 151888) (-4009 . 151779) (-4010 . 150954) (-4011 . 150638) (-4012 . 150607) (-4013 . 150534) (-4014 . 150437) (-4015 . 149850) (-4016 . 149654) (-4017 . 149501) (-4018 . 149236) (-4019 . 149129) (-4020 . 149044) (-4021 . 148965) (-4022 . 148875) (-4023 . 147956) (-4024 . 147809) (-4025 . 147669) (-4026 . 147567) (-4027 . 147435) (-4028 . 146423) (-4029 . 146099) (-4030 . 145961) (-4031 . 145811) (-4032 . 145685) (-4033 . 145595) (-4034 . 145359) (-4035 . 145300) (-4036 . 145038) (-4037 . 144823) (-4038 . 144719) (-4039 . 144621) (-4040 . 144593) (-4041 . 144479) (-4042 . 144172) (-4043 . 143963) (-4044 . 143697) (-4045 . 143623) (-4046 . 143490) (-4047 . 143275) (-4048 . 143126) (-4049 . 143001) (-4050 . 142909) (-4051 . 142819) (-4052 . 142483) (-4053 . 142322) (-4054 . 142177) (-4055 . 141725) (-4056 . 141042) (-4057 . 140675) (-4058 . 140367) (-4059 . 140217) (-4060 . 140060) (-4061 . 139397) (-4062 . 139307) (-4063 . 139232) (-4064 . 139122) (-4065 . 138411) (-4066 . 138198) (-4067 . 138117) (-4068 . 138024) (-4069 . 137957) (-4070 . 137923) (-4071 . 137841) (-4072 . 137140) (-4073 . 137053) (-4074 . 136919) (-4075 . 136811) (-4076 . 136628) (-4077 . 136483) (-4078 . 136413) (-4079 . 136313) (-4080 . 136285) (-4081 . 136196) (-4082 . 136143) (-4083 . 136087) (-4084 . 135695) (-4085 . 134476) (-4086 . 134204) (-4087 . 134125) (-4088 . 134070) (-4089 . 133967) (-4090 . 133844) (-4091 . 133786) (-4092 . 133752) (-4093 . 133680) (-4094 . 133522) (-4095 . 133119) (-4096 . 132396) (-4097 . 131830) (-4098 . 131632) (-4099 . 131542) (-4100 . 131421) (-4101 . 131369) (-4102 . 131272) (-4103 . 130907) (-4104 . 130817) (-4105 . 130742) (-4106 . 130590) (-4107 . 130514) (-4108 . 130410) (-4109 . 130304) (-4110 . 130234) (-4111 . 130182) (-4112 . 130108) (-4113 . 129955) (-4114 . 129900) (-4115 . 129820) (-4116 . 129552) (-4117 . 129466) (-4118 . 129230) (-4119 . 129027) (-4120 . 128899) (-4121 . 128703) (-4122 . 128636) (-4123 . 128347) (-4124 . 128263) (-4125 . 128080) (-4126 . 125643) (-4127 . 125488) (-4128 . 125436) (-4129 . 125248) (-4130 . 124874) (-4131 . 124406) (-4132 . 124333) (-4133 . 124178) (-4134 . 124019) (-4135 . 123749) (-4136 . 123571) (-4137 . 123250) (-4138 . 122484) (-4139 . 122431) (-4140 . 122382) (-4141 . 122313) (-4142 . 121096) (-4143 . 120999) (-4144 . 120782) (-4145 . 120606) (-4146 . 120477) (-4147 . 120408) (-4148 . 120230) (-4149 . 119683) (-4150 . 119586) (-4151 . 119534) (-4152 . 119410) (-4153 . 119172) (-4154 . 118988) (-4155 . 118805) (-4156 . 118635) (-4157 . 118496) (-4158 . 118378) (-4159 . 118179) (-4160 . 118114) (-4161 . 117975) (-4162 . 117919) (-4163 . 117600) (-4164 . 117410) (-4165 . 117183) (-4166 . 113259) (-4167 . 113090) (-4168 . 113005) (-4169 . 112951) (-4170 . 111256) (-4171 . 111222) (-4172 . 110985) (-4173 . 110851) (-4174 . 110700) (-4175 . 109513) (-4176 . 109371) (-4177 . 109292) (-4178 . 109167) (-4179 . 109003) (-4180 . 108646) (-4181 . 108543) (-4182 . 107788) (-4183 . 107722) (-4184 . 107667) (-4185 . 107636) (-4186 . 107077) (-4187 . 106948) (-4188 . 106732) (-4189 . 106637) (-4190 . 106469) (-4191 . 106440) (-4192 . 106285) (-4193 . 106218) (-4194 . 106066) (-4195 . 105979) (-4196 . 105882) (-4197 . 105692) (-4198 . 104663) (-4199 . 104614) (-4200 . 104563) (-4201 . 104486) (-4202 . 104412) (-4203 . 104294) (-4204 . 104010) (-4205 . 103919) (-4206 . 103470) (-4207 . 103367) (-4208 . 103300) (-4209 . 103217) (-4210 . 102166) (-4211 . 102048) (-4212 . 101995) (-4213 . 101786) (-4214 . 101607) (-4215 . 101493) (-4216 . 101203) (-4217 . 101121) (-4218 . 101024) (-4219 . 100953) (-4220 . 100887) (-4221 . 100740) (-4222 . 100645) (-4223 . 100320) (-4224 . 100206) (-4225 . 100097) (-4226 . 99857) (-4227 . 99719) (-4228 . 99553) (-4229 . 99484) (-4230 . 99370) (-4231 . 99268) (-4232 . 98988) (-4233 . 98196) (-4234 . 98126) (-4235 . 98008) (-4236 . 97956) (-4237 . 97848) (-4238 . 97597) (-4239 . 97353) (-4240 . 97235) (-4241 . 97101) (-4242 . 96891) (-4243 . 96618) (-4244 . 96443) (-4245 . 96381) (-4246 . 95438) (-4247 . 95365) (-4248 . 95312) (-4249 . 94789) (-4250 . 94426) (-4251 . 94309) (-4252 . 94181) (-4253 . 93866) (-4254 . 93748) (-4255 . 93439) (-4256 . 93390) (-4257 . 93147) (-4258 . 93069) (-4259 . 92993) (-4260 . 92891) (-4261 . 92544) (-4262 . 92394) (-4263 . 92047) (-4264 . 91944) (-4265 . 91885) (-4266 . 91771) (-4267 . 91642) (-4268 . 91517) (-4269 . 91209) (-4270 . 90802) (-4271 . 90712) (-4272 . 90610) (-4273 . 90528) (-4274 . 90232) (-4275 . 90076) (-4276 . 89936) (-4277 . 89664) (-4278 . 89612) (-4279 . 89507) (-4280 . 89272) (-4281 . 89171) (-4282 . 89116) (-4283 . 88985) (-4284 . 88862) (-4285 . 88713) (-4286 . 88582) (-4287 . 88504) (-4288 . 88447) (-4289 . 88339) (-4290 . 87716) (-4291 . 87682) (-4292 . 87447) (-4293 . 87152) (-4294 . 87052) (-4295 . 86893) (-4296 . 86785) (-4297 . 86619) (-4298 . 86384) (-4299 . 86189) (-4300 . 86112) (-4301 . 86039) (-4302 . 85940) (-4303 . 85912) (-4304 . 84877) (-4305 . 84797) (-4306 . 84707) (-4307 . 84602) (-4308 . 84452) (-4309 . 84207) (-4310 . 84057) (-4311 . 83989) (-4312 . 83915) (-4313 . 83798) (-4314 . 83656) (-4315 . 83556) (-4316 . 83503) (-4317 . 83380) (-4318 . 83194) (-4319 . 83103) (-4320 . 82802) (-4321 . 82657) (-4322 . 82175) (-4323 . 82052) (-4324 . 82000) (-4325 . 81864) (-4326 . 81756) (-4327 . 81645) (-4328 . 81528) (-4329 . 81414) (-4330 . 81362) (-4331 . 81164) (-4332 . 81028) (-4333 . 80996) (-4334 . 80867) (-4335 . 80698) (-4336 . 80485) (-4337 . 80401) (-4338 . 80160) (-4339 . 80034) (-4340 . 79981) (-4341 . 79787) (-4342 . 79696) (-4343 . 79611) (-4344 . 79472) (-4345 . 78886) (-4346 . 76602) (-4347 . 76433) (-4348 . 75924) (-4349 . 75720) (-4350 . 75669) (-4351 . 71988) (-4352 . 71921) (-4353 . 71742) (-4354 . 71689) (-4355 . 70588) (-4356 . 70535) (-4357 . 70232) (-4358 . 70094) (-4359 . 69995) (-4360 . 69967) (-4361 . 69871) (-4362 . 69579) (-4363 . 69485) (-4364 . 69387) (-4365 . 68889) (-4366 . 68783) (-4367 . 68485) (-4368 . 64308) (-4369 . 63904) (-4370 . 63851) (-4371 . 63699) (-4372 . 63614) (-4373 . 63485) (-4374 . 63379) (-4375 . 63235) (-4376 . 62860) (-4377 . 62506) (-4378 . 62431) (-4379 . 62208) (-4380 . 62149) (-4381 . 62092) (-4382 . 61871) (-4383 . 61806) (-4384 . 61731) (-4385 . 61668) (-4386 . 61593) (-4387 . 61538) (-4388 . 61479) (-4389 . 60547) (-4390 . 60060) (-4391 . 59972) (-4392 . 59800) (-4393 . 59725) (-4394 . 59038) (-4395 . 58964) (-4396 . 58906) (-4397 . 58835) (-4398 . 58315) (-4399 . 58061) (-4400 . 58027) (-4401 . 57899) (-4402 . 57828) (-4403 . 57714) (-4404 . 57393) (-4405 . 57236) (-4406 . 56925) (-4407 . 56873) (-4408 . 56702) (-4409 . 56618) (-4410 . 56114) (-4411 . 56062) (-4412 . 55999) (-4413 . 55947) (-4414 . 55760) (-4415 . 55580) (-4416 . 55372) (-4417 . 55317) (-4418 . 55255) (-4419 . 55173) (-4420 . 55074) (-4421 . 54536) (-4422 . 54318) (-4423 . 54085) (-4424 . 53932) (-4425 . 53828) (-4426 . 53644) (-4427 . 53571) (-4428 . 53380) (-4429 . 53135) (-4430 . 52808) (-4431 . 52757) (-4432 . 52659) (-4433 . 52517) (-4434 . 52402) (-4435 . 52330) (-4436 . 52005) (-4437 . 51848) (-4438 . 51583) (-4439 . 51411) (-4440 . 51325) (-4441 . 51207) (-4442 . 50703) (-4443 . 50650) (-4444 . 50597) (-4445 . 50389) (-4446 . 50172) (-4447 . 50063) (-4448 . 49780) (-4449 . 49303) (-4450 . 49251) (-4451 . 49136) (-4452 . 49062) (-4453 . 48542) (-4454 . 48382) (-4455 . 48145) (-4456 . 48094) (-4457 . 47939) (-4458 . 47686) (-4459 . 47116) (-4460 . 47060) (-4461 . 46877) (-4462 . 46789) (-4463 . 46712) (-4464 . 46519) (-4465 . 46416) (-4466 . 43878) (-4467 . 43251) (-4468 . 43199) (-4469 . 43129) (-4470 . 42758) (-4471 . 42698) (-4472 . 42555) (-4473 . 42462) (-4474 . 40498) (-4475 . 40428) (-4476 . 40300) (-4477 . 40266) (-4478 . 40061) (-4479 . 40005) (-4480 . 37968) (-4481 . 37695) (-4482 . 37622) (-4483 . 37472) (-4484 . 37419) (-4485 . 37170) (-4486 . 37108) (-4487 . 36921) (-4488 . 36728) (-4489 . 36529) (-4490 . 36394) (-4491 . 35818) (-4492 . 34353) (-4493 . 34144) (-4494 . 34077) (-4495 . 33995) (-4496 . 33913) (-4497 . 33844) (-4498 . 33740) (-4499 . 33484) (-4500 . 27902) (-4501 . 27667) (-4502 . 27614) (-4503 . 27491) (-4504 . 27388) (-4505 . 27305) (-4506 . 26968) (-4507 . 25981) (-4508 . 25816) (-4509 . 25631) (-4510 . 25546) (-4511 . 25457) (-4512 . 25379) (-4513 . 25326) (-4514 . 25191) (-4515 . 25040) (-4516 . 24684) (-4517 . 24368) (-4518 . 24090) (-4519 . 23937) (-4520 . 23863) (-4521 . 23706) (-4522 . 23355) (-4523 . 23281) (-4524 . 23042) (-4525 . 20599) (-4526 . 19049) (-4527 . 18924) (-4528 . 18574) (-4529 . 18166) (-4530 . 17492) (-4531 . 17295) (-4532 . 17185) (-4533 . 16369) (-4534 . 16184) (-4535 . 16064) (-4536 . 16012) (-4537 . 15641) (-4538 . 15576) (-4539 . 15508) (-4540 . 15253) (-4541 . 15178) (-4542 . 15089) (-4543 . 14955) (-4544 . 14847) (-4545 . 14645) (-4546 . 13468) (-4547 . 13412) (-4548 . 13356) (-4549 . 13203) (-4550 . 12631) (-4551 . 12265) (-4552 . 11559) (-4553 . 11355) (-4554 . 11236) (-4555 . 11101) (-4556 . 10897) (-4557 . 10824) (-4558 . 10690) (-4559 . 10377) (-4560 . 9948) (-4561 . 9917) (-4562 . 9834) (-4563 . 9645) (-4564 . 9321) (-4565 . 9195) (-4566 . 8888) (-4567 . 8807) (-4568 . 8699) (-4569 . 8542) (-4570 . 7982) (-4571 . 7818) (-4572 . 7441) (-4573 . 6835) (-4574 . 6573) (-4575 . 6380) (-4576 . 6291) (-4577 . 6056) (-4578 . 5937) (-4579 . 4821) (-4580 . 4581) (-4581 . 4497) (-4582 . 4404) (-4583 . 4304) (-4584 . 4133) (-4585 . 4023) (-4586 . 3813) (-4587 . 3691) (-4588 . 3662) (-4589 . 3609) (-4590 . 3546) (-4591 . 3496) (-4592 . 3380) (-4593 . 2247) (-4594 . 2115) (-4595 . 2043) (-4596 . 1803) (-4597 . 1695) (-4598 . 1597) (-4599 . 1014) (-4600 . 910) (-4601 . 575) (-4602 . 427) (-4603 . 279) (-4604 . 101) (-4605 . 30)) 
\ No newline at end of file
+(1566386 . 3614189654)       
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Permutation| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Permutation| (|Integer|)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|AffinePlane| *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |base| *3) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Character|))) (|isDomain| *1 (|CharacterClass|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|CharacterClass|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *2 (|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| *7)) (|:| |n0| (|List| *7)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Algebra| *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GenExEuclid| *3 *5))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *6 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|NonNegativeInteger|))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *4 *3 *5 *6)) (|ofCategory| *4 (|FunctionFieldCategory| *3 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|NewtonInterpolation| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |value| *4) (|:| |weight| (|Integer|))))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Hermite| *3) (|:| |eqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|GroebnerSolve| *4 *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|EuclideanModularRing| *3 *4 *2 *5 *6 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofType| *5 (|Mapping| *4 *4 *2)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *7 (|Mapping| (|Union| *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularField| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularRing| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AlgebraicFunctionField| *4 *5 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofType| *7 *6)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|IrredPolyOverFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|InputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| (|PrimeField| *3)) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) *2)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *7)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *7 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *7)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|)))) ((*1 *2 *3) (AND (|ofCategory| *5 (|Join| (|ConvertibleTo| *2) (|CommutativeRing|))) (|isDomain| *2 (|Pattern| *4)) (|isDomain| *1 (|ComplexPattern| *4 *5 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GeneralPolynomialSet| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ConvertibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SingletonAsOrderedSet|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|SquareFreeRegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|RecurrenceOperator| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PolynomialInterpolationAlgorithms| *4 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|))))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|TranscendentalIntegration| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Mapping| *6 (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *5 (|List| (|NonNegativeInteger|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *6))) (|isDomain| *1 (|FractionFreeFastGaussian| *6 *7)) (|ofCategory| *7 (|AbelianMonoidRing| *6 (|NonNegativeInteger|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|))))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |exponent| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Partition|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PrincipalIdealDomain|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *1) (|partial| |ofCategory| *1 (|StepThrough|)))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *5))))) 
+(((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *4 (|List| *6)) (|isDomain| *2 (|Record| (|:| |fs| (|Boolean|)) (|:| |sd| *4) (|:| |td| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *5 (|List| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Pattern| *5)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|isDomain| *1 (|IntegerCombinatoricFunctions| *2))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *6 *7 *4 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (|ofCategory| *14 (|DesingTreeCategory| *13)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Tableau| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|isDomain| *2 (|PatternMatchListResult| *5 *6 (|List| *6))) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|isDomain| *3 (|List| *6)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|RetractableTo| (|Symbol|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *3)))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|Ring|)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|not| (|ofCategory| *3 (|Ring|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|)))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BalancedBinaryTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)) (|isDomain| *1 (|InfiniteProductFiniteField| *4 *5 *6 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|isDomain| *1 (|InfiniteProductPrimeField| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|CharacterClass|)))) ((*1 *2 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Automorphism| *6)) (|isDomain| *5 (|Mapping| *6 *6)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| R (|Matrix| *6)) (|:| A (|Matrix| *6)) (|:| |Ainv| (|Matrix| *6)))) (|isDomain| *1 (|PseudoLinearNormalForm| *6)) (|isDomain| *3 (|Matrix| *6))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|FunctionSpace| *3)) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1 *2 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|)))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *3 *4)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| *4)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| *4)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *13)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *7) (|List| *7))) (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (AND (|isDomain| *3 (|Record| (|:| |det| *12) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|isDomain| *4 (|Matrix| *12)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *9)))) (|isDomain| *6 (|List| (|List| *12))) (|isDomain| *7 (|NonNegativeInteger|)) (|isDomain| *8 (|Integer|)) (|ofCategory| *9 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *12 (|PolynomialCategory| *9 *11 *10)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |eqzro| (|List| *12)) (|:| |neqzro| (|List| *12)) (|:| |wcond| (|List| (|Polynomial| *9))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *9)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *9))))))))) (|isDomain| *1 (|ParametricLinearEquations| *9 *10 *11 *12))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|Finite|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|SetOfMIntegersInOneToN| *3 *4))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5))))) (|isDomain| *1 (|PseudoLinearNormalForm| *5)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |num| (|Pattern| *3)) (|:| |den| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) ((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *4))) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|LinearPolynomialEquationByFractions| *4))))) 
+(((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *5))) (|isDomain| *1 (|Kovacic| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *6))) (|isDomain| *1 (|Kovacic| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Mapping| (|SparseUnivariatePolynomial| *3) (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegration| *6 *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|Algebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|AlgebraGivenByStructuralConstants| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp10| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp19| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) (|isDomain| *1 (|Asp1| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) (|isDomain| *1 (|Asp20| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) (|isDomain| *1 (|Asp24| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp31| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp35| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp41| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) (|isDomain| *1 (|Asp42| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp49| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp4| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp50| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp55| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp6| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp73| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp74| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp77| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp78| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp7| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp80| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) (|isDomain| *1 (|Asp9| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 2)) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|CartesianTensor| *3 *4 *5))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DirectProduct| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))) (|isDomain| *1 (|Database| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 10)) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| (|Expression| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|Float|)))) (|isDomain| *2 (|SegmentBinding| (|Float|))) (|isDomain| *1 (|DrawNumericHack| *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4) (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *3 *4 *2)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *2 *4 *3)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XRecursivePolynomial| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XDistributedPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|MachineFloat|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ScriptFormulaFormat|)) (|isDomain| *1 (|ScriptFormulaFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FourierComponent| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|AbelianGroup|))) (|isDomain| *1 (|FourierSeries| *3 *4)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierSeries| *2 *3)) (|ofCategory| *2 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|AbelianGroup|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Fraction| *3)))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| *3))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranScalarType|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|MachineFloat|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 16)) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedJordanAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CoercibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|LeftAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XPBWPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedLieAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Magma| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineInteger|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineFloat|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Integer|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|MachineInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|MachineInteger|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MakeCachableSet| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)) (|isDomain| *1 (|MonoidRing| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|MyExpression| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MyUnivariatePolynomial| *3 *2)) (|ofType| *3 (|Symbol|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|NonAssociativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|NoneFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3))) ((*1 *1 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *2 (|PartialDifferentialRing| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathErrorKind|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariateSkewPolynomial| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Automorphism| *4)) (|ofType| *6 (|Mapping| *4 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Polynomial| *3)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|AlgebraicNumber|))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Tree| *3)) (|isDomain| *1 (|PendantTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Factored| *3))) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Pi|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|PiCoercions| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ResolveLatticeCompletion| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Exit|)) (|isDomain| *1 (|ResolveLatticeCompletion| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|RationalFunction| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Character|)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Switch|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Table| (|Symbol|) (|FortranType|))) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|TexFormat|)) (|isDomain| *1 (|TexFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|TaylorSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Tuple| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Segment| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|UniversalSegment| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Void|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedMonoid|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 (|NonNegativeInteger|))) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 *6)) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Union| "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *3 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (*3 *3 (|Integer|)))))) (|isDomain| *1 (|DiscreteLogarithmPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|FlexibleArray| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| *3 (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|CommonOperators|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|ExpressionSpace&| *3)) (|ofCategory| *3 (|ExpressionSpace|)))) ((*1 *2 *2) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|NewSparseUnivariatePolynomial| *3))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|ExpressionTubePlot|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |logpart| *3))) (|isDomain| *1 (|AlgebraicHermiteIntegration| *5 *6 *7 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| (|Fraction| *6)) (|:| |logpart| (|Fraction| *6)) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalHermiteIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *6 *3) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *2) *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |degree| *4)))) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| *5)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *4)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Matrix| *6))) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|RepresentationPackage2| *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Ring|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *4 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|)))) (|isDomain| *1 (|ElementaryRischDE| *8 *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|PolynomialCategory| *4 (|IndexedExponents| *5) *5)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) ((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *5 *3)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
+(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 (|PseudoAlgebraicClosureOfRationalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfFiniteField| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|String|))) (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) ((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *7)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *2 *7 *4)) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|GuessFiniteFunctions| *3)) (|ofCategory| *3 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|))))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *8))) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *6))) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2) (AND (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|VectorSpace| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|CardinalNumber|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *2 (|Record| (|:| |part1| *3) (|:| |part2| *4))) (|isDomain| *1 (|MakeRecord| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Mapping| *4 (|Integer|) (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|isDomain| *1 (|QuadraticForm| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *5))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelThreeSpace|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|AxiomServer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Database| (|IndexCard|))) (|isDomain| *1 (|OperationsQuery|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|)))))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|MonogenicLinearOperator| *3)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|Point| *3)))))))) 
+(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Integer|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| *5) (|List| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|MappingPackage1| *5)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|LyndonWord| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *3 *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *6 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *6)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|Point| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *8 (|PlacesCategory| *4 *7)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *8)) (|isDomain| *4 (|AffinePlane| *8)) (|isDomain| *9 (|Symbol|)) (|ofCategory| *8 (|Field|)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *12 (|DirectProductCategory| (|#| *10) *5)) (|ofCategory| *13 (|LocalPowerSeriesCategory| *8)) (|ofCategory| *14 (|PlacesCategory| *8 *13)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *8 *10 *11 *12 *2 *13 *14 *7 *6)) (|ofCategory| *11 (|PolynomialCategory| *8 *12 (|OrderedVariableList| *10))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *8)) (|ofCategory| *7 (|DivisorCategory| *14)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1) (|isDomain| *1 (|SingletonAsOrderedSet|)))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HeuGcd| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|))))) 
+(((*1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *2)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *3 (|PatternMatchable| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *2 (|PatternMatchable| *3)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| AND (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *3 (|Kernel| *4)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *2 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|NPCoef| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *5))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SpecialFunctionCategory|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PatternMatchIntegration| *5 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|List| (|Expression| *6))) (|isDomain| *1 (|DegreeReductionPackage| *5 *6)) (|isDomain| *3 (|Expression| *6)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|IntegrationResultToFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| (|Expression| *4))) (|isDomain| *1 (|IntegrationResultRFToFunction| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentExpansionCategory| *3 *2)) (|ofCategory| *3 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|Void|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternFunctions1| *4 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Tableau| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6)))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Vector| (|List| (|Integer|)))) (|isDomain| *1 (|HallBasis|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *5)) (|:| |coeff| (|Fraction| *5)))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranType|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |cd| (|String|)) (|:| |name| (|String|)))) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|)))))) (|isDomain| *1 (|DiophantineSolutionPackage|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *9 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|:| |recPoint| (|AffinePlane| *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (|isDomain| *1 (|BlowUpPackage| *6 *7 *8 *9 *5)) (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|isDomain| *4 (|AffinePlane| *6)) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *6 *9)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U16Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U8Matrix|))))) 
+(((*1 *1 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Union| (|Boolean|) "failed")) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|StepThrough|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| (|List| *7) *7 (|SparseUnivariatePolynomial| *7))) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *7)) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *6 *7 *3 *8)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *7)) (|ofCategory| *8 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *7))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *6)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *6)) (|ofCategory| *6 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|ModularHermitianRowReduction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage1| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *8)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|FactoringUtilities| *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *3 *6 *7)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategoryWithDegree|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HallBasis|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|:| |coords| (|List| (|Integer|))))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *8)) (|isDomain| *1 (|FactoringUtilities| *6 *7 *8 *9))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|FunctionSpaceReduce| *4 *3)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceReduce| *5 *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *5 (|RetractableTo| (|AlgebraicNumber|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Complex| (|DoubleFloat|)))) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Vector| *3))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| (|XPolynomial| *3))))) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| *3) (|:| |c| (|XRecursivePolynomial| *3 *4))))) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *2)) (|ofCategory| *2 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|NonCommutativeOperatorDivision| *3 *4)) (|ofCategory| *3 (|MonogenicLinearOperator| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |mm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|OrderedFreeMonoid| *3)) (|:| |mm| (|OrderedFreeMonoid| *3)) (|:| |rm| (|OrderedFreeMonoid| *3)))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RationalFunction| *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (|ofCategory| *3 (|DesingTreeCategory| *13))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *2 *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *2 *4)) (|ofCategory| *4 (|EuclideanDomain|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|IntegrationResult| *2)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *4 (|String|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Vector| (|Vector| *5))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |gvlist| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| *3)))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| (|DistributedMultivariatePolynomial| *5 *6)))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *8))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Fraction| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Complex| (|Expression| *4))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Complex| *3)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |c| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDE| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|BasicOperatorFunctions1| *2))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|CharacteristicZero|)) (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|AlgebraicNumber|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|SimplifyAlgebraicNumberConvertPackage|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *4 *5 *6 *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| *1)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Vector| *1))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|ofCategory| *2 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |kers| (|List| (|Kernel| *3))) (|:| |vals| (|List| *3)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp12| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp29| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp33| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FortranProgramCategory|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3)))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Union| "left" "center" "right" "vertical" "horizontal"))))) 
+(((*1 *2 *3 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|TheSymbolTable|))) ((*1 *1) (|isDomain| *1 (|SymbolTable|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *7 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| *7 "failed")) (|:| |basis| (|List| *7))))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *7 *3)) (|isDomain| *4 (|List| *7)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|NonLinearFirstOrderODESolver| *5 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)) (|isDomain| *4 (|Vector| *7)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Vector| *6))) (|isDomain| *1 (|ElementaryFunctionODESolver| *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *7) (|:| |basis| (|List| *7))) *7 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *3) (|:| |basis| (|List| *3))) *3 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Equation| *2)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))))) ((*1 *2 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Equation| *2)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |particular| *6) (|:| |basis| (|List| *6))) "failed") *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *6)) (|:| |basis| (|Matrix| *6)))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *8 (|DoubleFloat|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Expression| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Expression| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Expression| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Expression| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Expression| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedAbelianMonoidSup|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|CliffordAlgebra| *2 *3 *4)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|QuadraticForm| *2 *3)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|Monoid|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *3))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|RationalFunctionIntegration| *4))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |integrand| *3) (|:| |intvar| *3)))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OrderedVariableList| *3)) (|ofType| *3 (|List| *2)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Fraction| (|Integer|))))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|OrderedRing|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|BinaryTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomial| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| *4)))) (|isDomain| *1 (|FactoredFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| (|List| *6))) (|isDomain| *1 (|GenExEuclid| *4 *6)) (|isDomain| *5 (|List| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *5) (|:| |radicand| (|List| *5)))) (|isDomain| *1 (|FactoredFunctions| *5)) (|isDomain| *4 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinesOpPack| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|AssociatedEquations| *4 *5)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Kernel| *4))) (|ofCategory| *4 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *3 *4)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *2)) (|ofCategory| *2 (|LeftModule| *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "right") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "left") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|Library|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|UniversalSegment| (|Integer|))) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "value") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|TableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "last") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "rest") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "first") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "right") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "left") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 (|Integer|)) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *2)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|DataList| (|String|))) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ *3)) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|QueryEquation|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "count") (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DataList| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "sort") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "unique") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Eltable| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Library|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PlacesCategory| *2 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|DirectProduct| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "value") (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|Ruleset| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "last") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "rest") (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "first") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FunctionSpaceReduce| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|List| *6) "failed") (|Integer|) *6 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|BasicOperatorFunctions1| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| AND (|isDomain| *4 (|List| *11)) (|isDomain| *5 (|List| (|SparseUnivariatePolynomial| *9))) (|isDomain| *6 (|List| *9)) (|isDomain| *7 (|List| *12)) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|ofCategory| *11 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *12 (|PolynomialCategory| *9 *10 *11)) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *12))) (|isDomain| *1 (|MultivariateLifting| *10 *11 *9 *12)) (|isDomain| *3 (|SparseUnivariatePolynomial| *12))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|)))) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *3 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Mapping| *5 *6)) (|isDomain| *1 (|ListToMap| *6 *5)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|isDomain| *6 (|Mapping| *2 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *7)) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV)))) (|isDomain| *10 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|DoubleResultantPackage| *5 *2 *6 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *2 *6))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |close| (|List| *6)) (|:| |open| (|List| *6))))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *8 (|FileName|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|isDomain| *1 (|GeneralDistributedMultivariatePolynomial| *3 *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HomogeneousDistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |f1| (|List| *4)) (|:| |f2| (|List| (|List| (|List| *4)))) (|:| |f3| (|List| (|List| *4))) (|:| |f4| (|List| (|List| (|List| *4)))))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| (|List| *4))))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *3)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *3) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Equation| (|OnePointCompletion| *3))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OnePointCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|List| *13)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *6 (|Field|)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *6 *7 *3 *8 *9 *10 *11 *2 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *2 (|DivisorCategory| *11)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *5)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *5) (|:| |degree| (|Integer|))))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *5))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Finite|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|List| (|Fraction| *7))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *3 (|Fraction| *7)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|CliffordAlgebra| *3 *4 *5)) (|ofType| *3 *2) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|QuadraticForm| *3 *4))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedDoubling| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)))))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|isDomain| *1 (|PackageForPoly| *4 *3 *2 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *2)) (|ofType| *5 (|NonNegativeInteger|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *4)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|List| (|PrimitiveArray| (|DoubleFloat|)))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| (|Stream| *5)) (|List| (|Stream| *5)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Stream| *5))) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|GraphImage|)))) 
+(((*1 *2 *3 *2) (|partial| AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *4)))) ((*1 *2 *3 *2) (|partial| AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *4 *5 *2 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *4 (|List| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|ODETools| *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianGroup|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianSemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Color|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|DenavitHartenbergMatrix| *3)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|FreeModule1| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LeftModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Mapping| *7 *5)) (|isDomain| *1 (|MappingPackage3| *5 *6 *7)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Monad|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RightModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SemiGroup|))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|AbelianGroup|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *4 *5))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *6)))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|BasicStochasticDifferential|) (|Integer|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Result|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericEigenPackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *6 (|PositiveInteger|)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |plist| (|List| *3)) (|:| |modulo| *5))) (|isDomain| *1 (|GeneralHenselPackage| *5 *3)) (|isDomain| *4 (|List| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *13))) (|isDomain| *3 (|SparseUnivariatePolynomial| *13)) (|isDomain| *4 (|List| *12)) (|isDomain| *5 (|List| *10)) (|isDomain| *6 (|List| *13)) (|isDomain| *7 (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *13))))) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|isDomain| *9 (|Vector| (|List| (|SparseUnivariatePolynomial| *10)))) (|ofCategory| *12 (|OrderedSet|)) (|ofCategory| *10 (|EuclideanDomain|)) (|ofCategory| *13 (|PolynomialCategory| *10 *11 *12)) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *11 *12 *10 *13))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *6 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|SuchThat| (|List| (|Polynomial| *4)) (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (|partial| |ofCategory| *1 (|CharacteristicNonZero|))) ((*1 *1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *6)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3 *1 *4) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *3 (|Integer|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *3 *5 *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Switch|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|HallBasis|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |upol| (|SparseUnivariatePolynomial| *8)) (|:| |Lval| (|List| *8)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *8)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| *8))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|RootsFindingPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *2 *3 *1) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *3)) (|Record| (|:| |index| *5) (|:| |exponent| *3)))) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *3 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *3 (|OrderedVariableList| *4)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LeadingCoefDetermination| *6 *7 *3 *8)) (|ofCategory| *8 (|PolynomialCategory| *3 *7 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Stream| *3))) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1) (|ofCategory| *1 (|Finite|))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (|isDomain| *1 (|Integer|))) ((*1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Permutation| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|isDomain| *1 (|IntegralBasisTools| *2 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *3)) (|ofCategory| *3 (|LocalPowerSeriesCategory| *5))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *4) (|SparseUnivariatePolynomial| (|RealClosure| *4)))) (|isDomain| *3 (|OutputForm|)) (|isDomain| *1 (|RealClosure| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (|ofCategory| *1 (|MonadWithUnit|))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormRetractPackage| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|ofType| *6 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensionField| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Finite|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *1 (|MultivariateSquareFree| *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 *2)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef| *4) (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Vector| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| A (|Matrix| *5)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5)) (|:| |eq| *6) (|:| |rh| *5)))))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootPackage| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| (|Integer|)))) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *2 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|Places| *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *9)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *6)) (|isDomain| *1 (|ParametrizationPackage| *6 *7 *3 *8 *9 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *4 (|PlacesCategory| *6 *2))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|RationalIntegration| *3 *4))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *3)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Any|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *3 *5 *6 *7)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *3 *5 *6)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|ElementaryIntegration| *6 *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *3)))) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Multiset| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|RealNumberSystem|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|isDomain| *2 (|Record| (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|BalancedPAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|PAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofType| *3 *2) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3)))) ((*1 *1 *1) (AND (|ofType| *2 (|Integer|)) (|isDomain| *1 (|PAdicRationalConstructor| *2 *3)) (|ofCategory| *3 (|PAdicIntegerCategory| *2)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *2))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *2)) (|:| |logand| (|SparseUnivariatePolynomial| *2))))) (|isDomain| *4 (|List| (|Record| (|:| |integrand| *2) (|:| |intvar| *2)))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResult| *2))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroup| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|PseudoAlgebraicClosureOfRationalNumber|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 *2)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *6))) (|isDomain| *1 (|ChangeOfVariable| *5 *6 *7)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *6)) (|ofCategory| (|Polynomial| *6) (|PatternMatchable| *5)) (|ofCategory| *6 (|Join| (|PatternMatchable| *5) (|CommutativeRing|))) (|isDomain| *1 (|ComplexPatternMatch| *5 *6 *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|PatternMatchResult| *4 *1)) (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *1 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *3))) (|ofCategory| *3 (|PatternMatchable| *5)) (|isDomain| *1 (|PatternMatchPushDown| *5 *3 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|ConvertibleTo| *4) (|PatternMatchable| *5) (|RetractableTo| (|Kernel| $)))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchFunctionSpace| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| (|Integer|) *3)) (|isDomain| *4 (|Pattern| (|Integer|))) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *1 (|PatternMatchIntegerNumberSystem| *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *3 (|Kernel| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|ConvertibleTo| *4) (|PatternMatchable| *5))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchKernel| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchListResult| *5 *6 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *3 (|ListAggregate| *6)) (|isDomain| *1 (|PatternMatchListAggregate| *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *3) *8 (|Pattern| *6) (|PatternMatchResult| *6 *3))) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|PatternMatchResult| *6 *3)) (|isDomain| *4 (|Pattern| *6)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *9 *7 *8) (|ConvertibleTo| *4))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *6))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *8 *6 *7) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *7 (|PatternMatchable| *5)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|QuotientFieldCategory| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|PatternMatchable| *5) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchQuotientFieldCategory| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *1 (|PatternMatchSymbol| *5)))) ((*1 *2 *3 *4 *5 *2 *6) (AND (|isDomain| *4 (|List| (|Pattern| *7))) (|isDomain| *5 (|Mapping| *9 (|List| *9))) (|isDomain| *6 (|Mapping| (|PatternMatchResult| *7 *9) *9 (|Pattern| *7) (|PatternMatchResult| *7 *9))) (|ofCategory| *7 (|SetCategory|)) (|ofCategory| *9 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *7)) (|RetractableTo| *8))) (|isDomain| *2 (|PatternMatchResult| *7 *9)) (|isDomain| *3 (|List| *9)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *7 *8 *9))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|KernelFunctions2| *2 *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *3)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Matrix| *5))) (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|StructuralConstantsPackage| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedRing|)) (|isDomain| *1 (|ExpertSystemToolsPackage1| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *6))))) 
+(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |unitPart| *9) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *9)) (|:| |exponent| (|Integer|))))))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 (|NonNegativeInteger|) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *5))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Kernel| *5)) (|isDomain| *1 (|IntegrationTools| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ConstantLODE| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|SubResultantPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |radicand| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *3)) (|:| |invmval| (|Matrix| *3)) (|:| |genIdeal| (|PolynomialIdeals| *3 *4 *5 *6)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|PatternMatchResult| *4 *5)) (|isDomain| *3 (|PatternMatchResult| *4 *6)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|ListAggregate| *5)) (|isDomain| *1 (|PatternMatchListResult| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *6)) (|:| |coeff| (|Fraction| *6)))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2)))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Fraction| (|Factored| (|Polynomial| *4)))) (|isDomain| *1 (|RationalFunctionFactorizer| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|OrderedRing|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Stream| *7))) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *5 (|IndexedExponents| *6) *6)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Mapping| (|Stream| *7) *7)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *5 *6 *7))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GenExEuclid| *5 *3))))) 
+(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)) (|isDomain| *3 (|String|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Matrix| (|PrimeField| *3))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|SingleInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|BasicFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|List| (|Kernel| *3))) (|isDomain| *5 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *7 *3))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |particular| (|Union| *6 "failed")) (|:| |basis| (|List| *6))) *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *6) "failed")) (|:| |basis| (|List| (|Vector| *6))))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *4 (|Vector| *6))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |%expansion| (|ExponentialExpansion| *5 *3 *6 *7)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *5 *3 *6 *7)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofType| *6 (|Symbol|)) (|ofType| *7 *3)))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PrincipalIdealDomain|)) (|isDomain| *2 (|Record| (|:| |coef| (|List| *1)) (|:| |generator| *1))) (|isDomain| *3 (|List| *1))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4))))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)))) ((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (|isDomain| *1 (|Partition|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *6))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| (|FortranCode|)) (|:| |elseClause| (|FortranCode|)))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| (|FortranCode|))) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| (|FortranCode|)))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| (|FortranCode|)))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|))))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *5 *6 *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *6))) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *5)) (|:| |den| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Fraction| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) ((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *4) (|:| |right| *4)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|IntegralDomain|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks3| *5 *6 *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |sup| (|Polynomial| *6)) (|:| |inf| (|Polynomial| *6)))) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |cont| *5) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|DistinctDegreeFactorize| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| *6)) (|isDomain| *4 (|Vector| (|Integer|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6)) (|isDomain| *1 (|RandomDistributions| *6))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *9)) (|:| |polval| (|SparseUnivariatePolynomial| *8)))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8))))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |h| *6) (|:| |c1| (|Fraction| *6)) (|:| |c2| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDESystem| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Factored| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Factored| (|Polynomial| *6))) (|isDomain| *5 (|Symbol|)) (|isDomain| *3 (|Polynomial| *6)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *5)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *7 *5)) (|isDomain| *4 (|DirectProduct| *6 *7)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|DirectProduct| *6 *5)) (|isDomain| *1 (|DirectProductFunctions2| *6 *7 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *5)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *5)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ListFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|PrimitiveArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *5)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *3 *6 *3)) (|isDomain| *5 (|Stream| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamFunctions2| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|Vector| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|VectorFunctions2| *6 *5))))) 
+(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *3 (|PlacesCategory| *4 *8)) (|ofCategory| *9 (|DivisorCategory| *3)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *2 *8 *3 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *4 *5 *6 *7 *2 *8 *3)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *3 (|PlacesCategory| *4 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Places| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *3) (|SparseUnivariatePolynomial| (|RealClosure| *3)))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|isDomain| *1 (|InterpolateFormsPackage| *4 *5 *6 *7 *8 *9 *10 *3)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *3 (|DivisorCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Fraction| (|Integer|))))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|IntegrationResultRFToFunction| *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| *4))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Union| (|:| |ans| (|Record| (|:| |ans| *3) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (|isDomain| *1 (|TranscendentalRischDE| *6 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|NewtonPolygon| *6 *3 *7 *8)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| *4) (|:| |c| *3))))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OnePointCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| *4)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicLODE| *5 *6 *7 *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *1 (|XFreeAlgebra| *4 *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|SymmetricFunctions| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|SymmetricFunctions| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *2 *3 *5)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|MonogenicAlgebra| *2 *3))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|XRecursivePolynomial| *4 *2)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *1 (|XFreeAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|UTSodetools| *5 *2 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *4 *5 *6 *7)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| *3)) (|ofType| *7 *3))) ((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofType| *8 (|List| *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|WeightedPolynomials| *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofType| *9 (|List| *3)) (|ofType| *10 *3)))) 
+(((*1 *2 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *2 *2) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GenExEuclid| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofType| *4 *3) (|ofType| *5 (|Mapping| *3 *3 (|NonNegativeInteger|))) (|isDomain| *1 (|InnerModularGcd| *3 *2 *4 *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *1 *4) (AND (|isDomain| *3 (|SplittingNode| *5 *6)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *5 *6))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForAlgebraicCurves| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Integer|) *2 *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|Kernel| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Record| (|:| |under| *1) (|:| |floor| *1) (|:| |upper| *1))) (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|LinearDependence| *5 *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|not| (|ofCategory| *5 (|Field|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Fraction| *5))) (|isDomain| *1 (|LinearDependence| *5 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *5 *2)) (|ofCategory| *2 (|FunctionSpace| *5)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *5 (|Kernel| $)))))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (*2 *4)) (SIGNATURE |lookup| ((|PositiveInteger|) *2)) (SIGNATURE |basis| ((|Vector| *2) (|PositiveInteger|))) (SIGNATURE |Frobenius| (*2 *2))))) (|isDomain| *1 (|FiniteFieldPolynomialPackage2| *2 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Algebra| *3)) (|isDomain| *1 (|LocalAlgebra| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Module| *3)) (|isDomain| *1 (|Localize| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| *4)))) (|:| |xValues| (|Segment| *4)) (|:| |yValues| (|Segment| *4)))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| *4))))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *2 *4 *5) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *4 *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *4 *5 *6 *7)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (AND (|ofCategory| *6 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *9 *7 *8)) (|isDomain| *2 (|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| *10))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *10))))) (|:| |nfacts| (|List| *6)) (|:| |nlead| (|List| *10)))) (|isDomain| *1 (|NPCoef| *6 *7 *8 *9 *10)) (|isDomain| *3 (|SparseUnivariatePolynomial| *10)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *10))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *4 *5)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|SplittingNode| *3 *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) ((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Expression| *5))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|CommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *2 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|)))))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *7 *8 *4)) (|ofCategory| *7 (|FiniteAbelianMonoidRing| *5 *8)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|Partition|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2 *3 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *1) (|isDomain| *1 (|GraphImage|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|isDomain| *5 (|Mapping| (|Stream| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2 *2 *1) (AND (|isDomain| *1 (|ListMultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PseudoLinearNormalForm| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteSetAggregate&| *3 *4)) (|ofCategory| *3 (|FiniteSetAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonogenicAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *1 (|FileCategory| *2 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|ofType| *9 (|Mapping| *6 *4)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |outval| *4) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *4)))))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *8)) (|isDomain| *4 (|Matrix| (|SparseUnivariatePolynomial| *8))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *7 *8)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SubSpace| 3 (|DoubleFloat|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Export3D|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *5 (|List| (|Symbol|))) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *6)) (|ofCategory| *6 (|Type|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|PureAlgebraicIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Boolean|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *3 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlane| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNumericEigenPackage| *4 *5 *6)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *6 *7 *5)) (|ofCategory| *7 (|Field|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Vector| (|List| *3))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|GenExEuclid| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Factored| *4) *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|FactoredFunctionUtilities| *4)))) ((*1 *1 *1) (|isDomain| *1 (|Plot3D|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1) (|isDomain| *1 (|Plot|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|SparseMultivariateTaylorSeries| *4 *3 *5))) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *3 *5)) (|ofCategory| *5 (|PolynomialCategory| *4 (|IndexedExponents| *3) *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|TaylorSeries| *4))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *8 (|FileName|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 *3 *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *1 (|BalancedBinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Field|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *2 *4 *3)) (|ofCategory| *2 (|Algebra| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *2 *4 *3)) (|ofCategory| *2 (|Module| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| (|Expression| (|Integer|)) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage4| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrdinaryWeightedPolynomials| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|StochasticDifferential| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorSpace| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *3)) (|isDomain| *1 (|WeightedPolynomials| *2 *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BalancedPAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofType| *4 *3) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRationalConstructor| *4 *5)) (|isDomain| *3 (|Integer|)) (|ofCategory| *5 (|PAdicIntegerCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|has| *2 (SIGNATURE ** (*2 *2 *3))) (|has| *2 (SIGNATURE |coerce| (*2 (|Symbol|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| (|Factored| *3)) (|:| |special| (|Factored| *3)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *2)) (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|MonomialExtensionTools| *5 *2)) (|ofCategory| *5 (|Field|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|CardinalNumber|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *7 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *8 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianSemiGroup|))) ((*1 *1 *1 *1) (|isDomain| *1 (|Color|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianSemiGroup|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|ListAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Vector| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|SingleInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *5))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *1 (|File| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Table| (|PositiveInteger|) (|NonNegativeInteger|)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Complex| (|DoubleFloat|))) (|isDomain| *6 (|String|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *4 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Divisor| *2)) (|ofCategory| *2 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofType| *2 (|List| (|Symbol|))) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *2) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *2 *3 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *2))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|RetractableTo| (|Fraction| *2)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BoundIntegerRoots| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3))))) ((*1 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|BasicOperator|))) ((*1 *1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *2 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|CommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|InnerCommonDenominator| *2 *4 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|MatrixCommonDenominator| *2 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaussianFactorizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UniqueFactorizationDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stream| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *2 (|ModuleMonomial| *5 *6 *7)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|MonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |glval| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Reference| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|UniversalSegment| (|Integer|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *1) (|isDomain| *1 (|ScriptFormulaFormat|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|TexFormat|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *2 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AnyFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|DrawOptionFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|LeftModule| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|ApplyUnivariateSkewPolynomial| *5 *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3 *2 *2 *4 *5) (AND (|isDomain| *4 (|Automorphism| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *2))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|DivisionRing|))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Kernel| *7)) (|ofCategory| *7 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *5) (|PartialDifferentialRing| *5) (|CombinatorialOpsCategory|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RecurrenceOperator| *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *6 *4)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *4 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|ComplexCategory| *4)) (|ofCategory| *4 (|IntegerNumberSystem|)) (|isDomain| *1 (|ComplexIntegerSolveLinearPolynomialEquation| *4 *5)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldSolveLinearPolynomialEquation| *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|IntegerSolveLinearPolynomialEquation|)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sin| (|Stream| *4)) (|:| |cos| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
+(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *2)))) (|isDomain| *4 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *2)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunction| *5)) (|ofCategory| *5 (|IntegralDomain|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|ModuleMonomial| *5 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *6 *7 *8)) (|ofCategory| *8 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *4))))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PowerSeriesCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|PowerSeriesCategory| *4 *3 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|Type|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|isDomain| *1 (|ChangeOfVariable| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DesingTreeCategory| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tree| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Tree| *2))) (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|CommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *6) (|:| |den| *4))) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *6 *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *4)) (|:| |den| *4))) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |eq| *7) (|:| |rh| (|List| (|Fraction| *6))))) (|isDomain| *1 (|PrimitiveRatDE| *5 *6 *7 *3)) (|isDomain| *4 (|List| (|Fraction| *6))) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| (|Integer|) *3)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|Complex| (|Integer|)))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Complex| (|Integer|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GeneralizedMultivariateFactorize| *4 *5 *6 *7 *3)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|GenUFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| *5 *6))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerAlgFactor| *5 *6 *7 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *7 *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *8)) (|isDomain| *3 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *4))) (|isDomain| *1 (|LyndonWord| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatPolyFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Polynomial| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MRationalFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFunctionFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SimpleAlgebraicExtensionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SAERationalFunctionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *1))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Variable| *5)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *5 (|Polynomial| *6))) (|isDomain| *1 (|PolynomialToUnivariatePolynomial| *5 *6)) (|isDomain| *3 (|Polynomial| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunction| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PackageForPoly| *3 *4 *5 *6)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *3 *5))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Set| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|List| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|List| *4)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|Set| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|Set| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *4 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|List| (|Record| (|:| |func| *2) (|:| |pole| (|Boolean|))))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *4 *2))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Point| *4))) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *6)))))) (|isDomain| *1 (|RetractSolvePackage| *5 *6))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Multiset| *3)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
+(((*1 *2 *3 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalFunctionIntegration| *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|SubSpaceComponentProperty|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *9)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
+(((*1 *2 *3 *4 *3 *3) (AND (|isDomain| *3 (|Equation| *6)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *5 *6)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| (|Equation| *8))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *8)) (|isDomain| *6 (|List| *8)) (|ofCategory| *8 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *6 (|List| (|Equation| *8))) (|ofCategory| *8 (|FunctionSpace| *7)) (|isDomain| *5 (|Equation| *8)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *5)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *5 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *5)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ExpressionSolve| *7 *3 *2 *8)) (|ofCategory| *8 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *5))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|TaylorSolve| *5 *2 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |poly| *3) (|:| |mult| *5))) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tableau| *3))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *3 *2 *4 *5)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *2))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3) (CATEGORY |domain| (SIGNATURE |coerce| ($ *4))))) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *5 (|Join| (|UnivariatePowerSeriesCategory| *2 *4) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *3 *2 *4 *5 *6 *7)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)) (|ofType| *7 (|Symbol|))))) 
+(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *5) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *5)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *3) (|:| |pol1| (|SparseUnivariatePolynomial| *3)) (|:| |pol2| (|SparseUnivariatePolynomial| *3)) (|:| |prim| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *3)) (|ofCategory| *3 (|AlgebraicallyClosedField|)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *6))) (|:| |prim| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|PrimitiveElement| *6))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *5)) (|isDomain| *3 (|List| *5)) (|ofType| *4 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Fraction| (|Polynomial| *6))) (|isDomain| *1 (|RationalInterpolation| *5 *6)) (|ofType| *5 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |unit| *1) (|:| |canonical| *1) (|:| |associate| *1))) (|ofCategory| *1 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Vector| *4))) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |adjMat| *3) (|:| |detMat| *4))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *4 *5)) (|ofCategory| *5 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|QuadraticForm| *3 *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|NonNegativeInteger|)))))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3 *4 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|isDomain| *4 (|Integer|)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *3 *2 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *2 *4) (|RetractableTo| *2))))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FramedModule| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)) (|ofType| *6 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|MonogenicAlgebra| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormInMonogenicAlgebra| *4 *2 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| *5))) (|:| |coeff| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|Equation| *4))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerFactorizationPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DefiniteIntegrationTools| *4 *5)) (|ofCategory| *5 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *1 *1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *3 *7 *4)) (|ofCategory| *7 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|List| (|BasicOperator|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|RetractableTo| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofType| *7 *2)))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|U32Vector|))) (|isDomain| *1 (|U32VectorPolynomialOperations|)) (|isDomain| *3 (|U32Vector|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *4 (|Any|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SubSpace| 3 *3)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9))))) 
+(((*1 *2 *1 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ListMonoidOps| *5 *6 *7)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|AbelianMonoid|)) (|ofType| *7 *6))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariateSkewPolynomial| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Automorphism| *3)) (|ofType| *5 (|Mapping| *3 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *6)))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealNumberSystem|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|List| (|Fraction| *6))) (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalIntegration| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|))))) (|isDomain| *1 (|BasicFunctions|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerAlgebraicNumber|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|U32Vector|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *6)) (|ofCategory| *3 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |bas| (|GeneralTriangularSet| *4 *5 *6 *7)) (|:| |top| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|Polynomial| *4))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PolynomialIdeals| *3 *4 *5 *6))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (|Integer|))))) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *4) (|:| |pow| (|Integer|))))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *5 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|IndexedAggregate| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |polyPart| (|LaurentPolynomial| *4 *5)) (|:| |fracPart| (|Fraction| *5)))) (|isDomain| *1 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |primePart| *1) (|:| |commonPart| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *4 *2)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Color|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LiePolynomial| *4 *5))) (|isDomain| *1 (|LieExponentials| *4 *5 *6)) (|ofCategory| *5 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *6 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *2 (|DivisorCategory| *9)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|FortranType|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|OutputForm|))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *3)))) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *2) (|:| |polj| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|List| (|PrimitiveArray| *5))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| (|NewSparseUnivariatePolynomial| *3)) (|:| |remainder| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *5)))) (|isDomain| *3 (|Vector| (|Expression| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SubSpace| 3 *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *2 *3 *1 *4) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|PseudoAlgebraicClosureOfRationalNumber|))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OneDimensionalArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|OneDimensionalArray| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *4)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| *4)) (|Polynomial| *4))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |close| *1) (|:| |open| (|List| *7))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *6 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|StochasticDifferential| *4)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|StochasticDifferential| *4))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberSystem&| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|NonAssociativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OctonionCategory&| *3 *4)) (|ofCategory| *3 (|OctonionCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuotientFieldCategory&| *3 *4)) (|ofCategory| *3 (|QuotientFieldCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuaternionCategory&| *3 *4)) (|ofCategory| *3 (|QuaternionCategory| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealClosedField&| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofCategory| *1 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealNumberSystem&| *3)) (|ofCategory| *3 (|RealNumberSystem|))))) 
+(((*1 *2 *1 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|)))) (|isDomain| *1 (|Divisor| *3)) (|ofCategory| *3 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|SubSpaceComponentProperty|))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Float|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *4))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Set| (|NonNegativeInteger|))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *1 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *6)))) (|isDomain| *4 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LiePolynomial| *3 *4)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|TubePlot| *3)) (|isDomain| *1 (|NumericTubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraPackage| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 *2))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| *4))) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|RadixUtilities|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *6))) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|List| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|ExpressionSolve| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *7 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *2)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|ODETools| *4 *5)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|ODETools| *5 *6)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *1 *2 *2 *2 *2) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *3 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Evalable| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|Equation| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *3)) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|Integer|))) (|isDomain| *4 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|EvaluateCycleIndicators| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 *1)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2 *1 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|InnerEvalable| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|InnerEvalable| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OnePointCompletion| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|MoebiusTransform| *3)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PolynomialPackageForCurve| *2 *3 *5 *6 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *2)))) ((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|has| *3 (SIGNATURE ** (*3 *3 *4))) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Float|)))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *5 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SquareMatrix| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (|isDomain| *1 (|Permanent| *4 *2))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|MergeThing| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|Complex| *5)) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *3)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)) (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| *1)))) (|ofCategory| *1 (|FunctionSpace| *3))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|PlacesCategory| *5 *8)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *5 *6 *4 *7 *3 *8 *2)) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CharacteristicPolynomialPackage| *2)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|CharacteristicPolynomialInMonogenicalAlgebra| *4 *2 *3)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|EigenPackage| *5)) (|ofCategory| *5 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|EigenPackage| *4)) (|ofCategory| *4 (|GcdDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *2)) (|Record| (|:| |index| *5) (|:| |exponent| *2)))) (|ofCategory| *2 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *2 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *2 (|OrderedVariableList| *3)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| (|List| *4) *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|StreamTensor| *4))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2 *1 *1 *3) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *6)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *7)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Complex| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|isDomain| *2 (|Complex| *6)) (|isDomain| *1 (|ComplexFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Expression| *3) (|Expression| *3))) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|isDomain| *2 (|DirectProduct| *5 *7)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Equation| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Equation| *6)) (|isDomain| *1 (|EquationFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Kernel| *6)) (|ofCategory| *6 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ExpressionSpaceFunctions1| *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Kernel| *5)) (|ofCategory| *5 (|ExpressionSpace|)) (|ofCategory| *2 (|ExpressionSpace|)) (|isDomain| *1 (|ExpressionSpaceFunctions2| *5 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *1 *1)) (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|ExpertSystemToolsPackage2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Expression| *6)) (|isDomain| *1 (|ExpressionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *7 *5)) (|isDomain| *1 (|FiniteAbelianMonoidRingFunctions2| *5 *6 *4 *7 *2)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *9 (|Field|)) (|ofCategory| *10 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| (|Fraction| *10))) (|isDomain| *2 (|FiniteDivisor| *9 *10 *11 *12)) (|isDomain| *1 (|FiniteDivisorFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|FunctionFieldCategory| *9 *10 *11)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FullyEvalableOver| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *8 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *9 (|UnivariatePolynomialCategory| *8)) (|ofCategory| *2 (|FunctionFieldCategory| *8 *9 *10)) (|isDomain| *1 (|FunctionFieldCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *10 (|UnivariatePolynomialCategory| (|Fraction| *9))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *6)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *6)) (|isDomain| *1 (|FactoredFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Fraction| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|FractionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FractionalIdeal| *5 *6 *7 *8)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *8 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|QuotientFieldCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| *10)) (|isDomain| *2 (|FractionalIdeal| *9 *10 *11 *12)) (|isDomain| *1 (|FractionalIdealFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|Join| (|FramedAlgebra| *10 *11) (|RetractableTo| *10))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|FramedNonAssociativeAlgebra| *6)) (|isDomain| *1 (|FramedNonAssociativeAlgebraFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *6 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *2 (|FunctionSpace| *6)) (|isDomain| *1 (|FunctionSpaceFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *6)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|IntegrationResult| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|IntegrationResult| *6)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |ratpart| *5) (|:| |coeff| *5)) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| *6) (|:| |coeff| *6))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Union| *5 "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *2)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |mainpart| *5) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *6) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *6) (|:| |logand| *6)))))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|InfiniteTuple| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *6)) (|isDomain| *1 (|InfiniteTupleFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|ListFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ListFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *8 "failed") *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *8))) (|isDomain| *1 (|MultipleMap| *5 *6 *4 *7 *8 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *8)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *8 *6)) (|isDomain| *1 (|MPolyCatFunctions3| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *9 *7 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|MonoidRing| *5 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Monoid|)) (|isDomain| *2 (|MonoidRing| *6 *7)) (|isDomain| *1 (|MonoidRingFunctions2| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|NewSparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|NewSparseUnivariatePolynomial| *6)) (|isDomain| *1 (|NewSparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|OctonionCategory| *6)) (|isDomain| *1 (|OctonionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|OctonionCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2 *2) (AND (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricPlaneCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricPlaneCurve| *6)) (|isDomain| *1 (|ParametricPlaneCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSpaceCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSpaceCurve| *6)) (|isDomain| *1 (|ParametricSpaceCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSurface| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSurface| *6)) (|isDomain| *1 (|ParametricSurfaceFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|PatternMatchResult| *5 *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *7)) (|isDomain| *1 (|PatternMatchResultFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Pattern| *6)) (|isDomain| *1 (|PatternFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Polynomial| *6)) (|isDomain| *1 (|PolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *7)) (|isDomain| *4 (|Mapping| *2 *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|)))))) (|isDomain| *1 (|PolynomialCategoryLifting| *6 *7 *8 *5 *2)) (|ofCategory| *5 (|PolynomialCategory| *8 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *6)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Point| *6)) (|isDomain| *1 (|PointFunctions2| *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *2 (|Polynomial| *4))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|QuotientFieldCategory| *6)) (|isDomain| *1 (|QuotientFieldCategoryFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|QuotientFieldCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|QuaternionCategory| *6)) (|isDomain| *1 (|QuaternionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|QuaternionCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *5 *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *10 *7)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *10 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *2 (|RectangularMatrixCategory| *5 *6 *10 *11 *12)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *11 (|DirectProductCategory| *6 *10)) (|ofCategory| *12 (|DirectProductCategory| *5 *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Segment| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SegmentBinding| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|SegmentBinding| *6)) (|isDomain| *1 (|SegmentBindingFunctions2| *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|StreamFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|StreamFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|SparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *4 *4 *4)) (|ofCategory| *1 (|TableAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariateLaurentSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariateLaurentSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariateLaurentSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|UniversalSegment| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *6)) (|isDomain| *4 (|UnivariatePolynomial| *5 *6)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *7 *8)) (|isDomain| *1 (|UnivariatePolynomialFunctions2| *5 *6 *7 *8)) (|ofType| *7 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *6)) (|isDomain| *1 (|UnivariatePolynomialCategoryFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariatePuiseuxSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariatePuiseuxSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariatePuiseuxSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *6 "failed") *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Matrix| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|SquareMatrixCategory| *2 *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *2 *3)) (|ofCategory| *5 (|DirectProductCategory| *2 *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|Mapping| (|IntegrationResult| *3) *3 (|Symbol|))) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (|Symbol|))) (|ofCategory| *3 (|ElementaryFunctionCategory|)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|FunctionSpace| *7)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *7 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *7 (|PatternMatchable| (|Integer|))) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|IntegrationTools| *7 *3))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|LazardSetSolvingPackage| *5 *6 *7 *8 *9 *10)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *10 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|RegularChain| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *3 *1) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Segment| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SegmentBinding| *4))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|ReductionOfOrder| *3 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |eq| *3) (|:| |op| (|List| *5)))) (|isDomain| *1 (|ReductionOfOrder| *5 *3)) (|isDomain| *4 (|List| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|FramedAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Point| *3)))))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixManipulation| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Matrix| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *3 *2 *5)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *2 *6)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinarySearchTree| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SymbolTable|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|OneDimensionalArray| (|List| (|LyndonWord| *5)))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *7))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *7 *3)) (|isDomain| *5 (|OrderedCompletion| *3))))) 
+(((*1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *5 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *6)) (|SparseUnivariatePolynomial| *6))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |outval| *7) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *7)))))) (|isDomain| *1 (|InnerNumericEigenPackage| *6 *7 *4)) (|ofCategory| *7 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Complex| (|Float|)))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |constant| *5) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *8))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|PrimitiveArray| *3)) (|isDomain| *1 (|SubResultantPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Bits|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *3 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FunctionCalled| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RuleCalled| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Fraction| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|List| *2)) (|isDomain| *1 (|BasicOperatorFunctions1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 (|List| *4))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Mapping| *4 (|List| *4))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *7) (|:| |coeff| *7)) "failed") *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
+(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *3 *2)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Pattern| *6))) (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *8) *8 (|Pattern| *6) (|PatternMatchResult| *6 *8))) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *8 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *6)) (|RetractableTo| *7))) (|isDomain| *2 (|PatternMatchResult| *6 *8)) (|ofCategory| *7 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *6 *7 *8))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *4 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *4)) (|Record| (|:| |index| *3) (|:| |exponent| *4)))) (|isDomain| *1 (|GeneralModulePolynomial| *5 *2 *3 *4 *6 *7)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *4 (|OrderedVariableList| *5)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SquareMatrix| *2 *3)) (|ofType| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *2 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *3 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|ThreeDimensionalMatrix| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|CardinalNumber|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *4 *5 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateLaurentSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *5)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SemiGroup|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InputForm|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)) (|ofCategory| *4 (|LeftModule| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *5)) (|ofCategory| *5 (|LeftModule| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Operator| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Operator| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Character|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
+(((*1 *1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *5)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *5 *6 *2)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|has| *6 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3) (AND (|has| *9 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *10)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *10 (|MatrixCategory| *7 *8 *9)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |k| (|Integer|)) (|:| |c| *4))) (|isDomain| *1 (|NeitherSparseOrDensePowerSeries| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|Symbol|)))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|AlgebraicFunction| *5 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|OutputForm|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *5))) (|ofCategory| *5 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternMatchPushDown| *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|ContinuedFraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (|ofCategory| *1 (|LeftOreRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DesingTreeCategory| *11)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| *4)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *4 *8 *3 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *2) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *2)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| (|List| *3)))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *3 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*3 $)) (SIGNATURE |denom| (*3 $)) (SIGNATURE |coerce| ($ *3)))))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|)))))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Fraction| (|Integer|)))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *5 *4)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 |SortedExponentVector|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UniversalSegment| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| (|NonNegativeInteger|)) (|:| |remainder| (|NonNegativeInteger|)))) (|isDomain| *1 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|Union| (|OrderedFreeMonoid| *3) "failed")) (|:| |rm| (|Union| (|OrderedFreeMonoid| *3) "failed")))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|InterfaceGroebnerPackage| *3 *4 *5 *6 *7)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RootsFindingPackage| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Mapping| *4 (|List| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Mapping| *4 (|List| *4)))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Vector| *2)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *2 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|isDomain| *1 (|FractionalIdeal| *5 *6 *7 *2)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *9)) (|isDomain| *5 (|Mapping| (|Boolean|) *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *9)))) (|isDomain| *3 (|List| *9)) (|ofCategory| *1 (|TriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *8)))) (|isDomain| *3 (|List| *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CyclicStreamTools| *4 *3)) (|ofCategory| *3 (|LazyStreamAggregate| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FractionFreeFastGaussian| *3 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *3 *4))))) 
+(((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Union| (|SparseUnivariatePolynomial| *4) (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|))))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinaryTournament| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
+(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModMonic| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *8) (|:| |radicand| *8))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *3 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)) (SIGNATURE |coerce| ($ *7)))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *4)) (|ofCategory| *4 (|LeftModule| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|)))))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|DifferentialRing|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerTaylorSeries| *3)))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|TubePlotTools|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *4 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NormalizationPackage| *6 *7 *8 *4 *5)) (|ofCategory| *5 (|RegularTriangularSetCategory| *6 *7 *8 *4))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |val| *1) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *2 *3) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *4 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *3 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *3 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|FortranScalarType|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SimpleFortranProgram| *5 *4)) (|ofCategory| *4 (|FunctionSpace| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| *3) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| *3)))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)) (|isDomain| *3 (|String|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| *3) (|DirectProduct| *4 (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|QuasiAlgebraicSet2| *3 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *2 (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *1 *3 *3) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *4)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) *4)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|isDomain| *1 (|InterpolateFormsPackage| *6 *7 *5 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *3 (|DivisorCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1) (|ofCategory| *1 (|UniqueFactorizationDomain|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *2)) (|ofCategory| *2 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CombinatorialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpressionSpace&| *4)) (|ofCategory| *4 (|ExpressionSpace|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionSpace&| *4 *5)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LiouvillianFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PrintPackage|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|)))) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|List| (|PositiveInteger|))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Mapping| (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|))) (|Integer|) *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|TranscendentalIntegration| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Partition|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *6 *7 *8 *4)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *2 *3 *1 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |polnum| (|NewSparseUnivariatePolynomial| *3)) (|:| |polden| *3) (|:| |power| (|NonNegativeInteger|)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |polnum| *1) (|:| |polden| *1) (|:| |power| (|NonNegativeInteger|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2 *3 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|InverseLaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *11 (|Mapping| *8 *6)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *10 (|Mapping| *6 *9)) (|isDomain| *2 (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *6 *7 *8 *9 *10 *11)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *9) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Field|)) (|ofType| *12 (|Mapping| *9 *7)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *11 (|Mapping| *7 *10)) (|isDomain| *2 (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *7 *8 *9 *10 *11 *12)) (|ofCategory| *8 (|GcdDomain|)) (|ofCategory| *9 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *10) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|))))) (|ofType| *6 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|))))) (|ofType| *7 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| (|Set| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|NonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |preimage| (|List| *3)) (|:| |image| (|List| *3)))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|StochasticDifferential| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|Equation| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|TaylorSeries| *5))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|TaylorSeries| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Quaternion| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|Octonion| *3))))) 
+(((*1 *1) (|isDomain| *1 (|TheSymbolTable|)))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (AND (|isDomain| *6 (|List| (|Boolean|))) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *8 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sinh| (|Stream| *4)) (|:| |cosh| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (AND (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *3 (|Integer|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (AND (|isDomain| *4 (|List| (|Boolean|))) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *7 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *2 *3 *4 *4 *5) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *3) (|:| |polj| *3)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3))))) 
+(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *2))))) 
+(((*1 *2 *3 *4 *3 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|BagAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *7 (|List| *7))) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Float|))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|MachineFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|Kernel| *6))) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|Fraction| (|Integer|)))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Mapping| *6 (|List| *6))) (|isDomain| *1 (|UTSodetools| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *4))))) 
+(((*1 *2 *2 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *2 *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|Record| (|:| |solns| (|List| *5)) (|:| |maps| (|List| (|Record| (|:| |arg| *5) (|:| |res| *5)))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MoreSystemCommands|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *3 *4))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *3 *4))))) 
+(((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|TranscendentalRischDESystem| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |k| (|OrderedFreeMonoid| *3)) (|:| |c| *4)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|TwoFactorize| *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Comparable|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Stream| (|Integer|)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Boolean|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Kernel| *4)) (|isDomain| *1 (|KernelFunctions2| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *4 *3 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *4 *3 *5)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *2 *4 *5)))) ((*1 *1 *2 *2) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| *2))) (|isDomain| *2 (|Pattern| *3)) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| *2)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Point| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SExpression|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Union| (|GraphImage|) "undefined"))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| *5))) (|isDomain| *1 (|FloatingRealPackage| *5)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *5)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *1 *1) (|isDomain| *1 (|AlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *2)))) ((*1 *2 *3 *1 *2 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *4)) (|:| |deg| (|PositiveInteger|)))) (|isDomain| *1 (|DegreeReductionPackage| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *6 *2)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *2)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *4 *2 *3 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *3)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Expression| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteSetAggregate| *5)) (|ofCategory| *6 (|FiniteSetAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|InnerAlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListFunctions2| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *8 (|FiniteLinearAggregate| *2)) (|ofCategory| *9 (|FiniteLinearAggregate| *2)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *2 *8 *9 *10)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *10 (|MatrixCategory| *2 *8 *9)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *7 *2)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *10 (|DirectProductCategory| *6 *2)) (|ofCategory| *11 (|DirectProductCategory| *5 *2)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *12 (|RectangularMatrixCategory| *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|StreamFunctions2| *5 *2)))) ((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *2)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|VectorFunctions2| *5 *2))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Finite|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *6)))) (|isDomain| *1 (|RepresentationPackage2| *6)) (|isDomain| *3 (|List| (|Matrix| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *4)))) (|isDomain| *1 (|RepresentationPackage2| *4)) (|isDomain| *3 (|List| (|Matrix| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Symbol|)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *6)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| AND (|isDomain| *4 (|SparseUnivariatePolynomial| *11)) (|isDomain| *6 (|List| *10)) (|isDomain| *7 (|List| (|NonNegativeInteger|))) (|isDomain| *8 (|List| *11)) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *11 (|EuclideanDomain|)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|PolynomialCategory| *11 *9 *10)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|MultivariateSquareFree| *9 *10 *11 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofType| *6 (|List| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *5))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1) (|isDomain| *1 (|IntegrationFunctionsTable|)))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| (|Boolean|) (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTournament| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PrecomputedAssociatedEquations| *5 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DictionaryOperations| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariatePolynomialDivisionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |low| (|List| *3)) (|:| |high| (|List| *3)))) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|FactoredFunctionUtilities| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Point| *4)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|RegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |less| (|BinarySearchTree| *3)) (|:| |greater| (|BinarySearchTree| *3)))) (|isDomain| *1 (|BinarySearchTree| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|DivisorCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| *4)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *3) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultToFunction| *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| *3) (|:| |special| *3))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| (|Vector| *5))) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|CharacterClass|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Character|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| *8)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *11))) (|isDomain| *3 (|SparseUnivariatePolynomial| *11)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|List| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|isDomain| *7 (|Vector| (|List| (|SparseUnivariatePolynomial| *8)))) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *11 (|PolynomialCategory| *8 *9 *10)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *9 *10 *8 *11))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)) (|isDomain| *3 (|Expression| (|Integer|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *4 *7)) (|ofCategory| *8 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *1)) (|isDomain| *4 (|Vector| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| *5)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *4 (|MonogenicAlgebra| *5 *7)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|ReduceLODE| *5 *6 *7 *4 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *4 (|DoubleFloat|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|DequeueAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Mapping| (|Void|) (|SExpression|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|DirichletRing| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Matrix| *11)) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *8)))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *8 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *11 (|PolynomialCategory| *8 *10 *9)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| *11)) (|:| |neqzro| (|List| *11)) (|:| |wcond| (|List| (|Polynomial| *8))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *8)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *8)))))))))) (|:| |rgsz| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *8 *9 *10 *11)) (|isDomain| *7 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4))))) (|isDomain| *1 (|EigenPackage| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ContinuedFraction| (|Integer|))) (|isDomain| *1 (|NumericContinuedFraction| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *1) (AND (|ofType| *3 (|Integer|)) (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *5)))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Polynomial| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|StructuralConstantsPackage| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Stream| (|Stream| (|Polynomial| *5)))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|Stream| (|Polynomial| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateLaurentSeriesCategory| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *6 *2)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5 *4)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *4) (|LinearlyExplicitRingOver| *4))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *5) (|LinearlyExplicitRingOver| *5))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Complex| *5)))) (|isDomain| *1 (|FloatingComplexPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedCompletion| (|Float|))) (|isDomain| *2 (|OrderedCompletion| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *6)) (|SuchThat| (|Symbol|) (|Polynomial| *6)))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *6))))) (|isDomain| *1 (|EigenPackage| *6)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *6)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| *4)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *4 *5 *6 *7)) (|ofCategory| *4 (|Join| (|Finite|) (|Field|))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *7 (|FunctionFieldCategory| *4 *5 *6)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FindOrderFinite| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|FiniteDivisor| *6 *7 *4 *8)) (|isDomain| *5 (|Mapping| *9 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|ofCategory| *8 (|FunctionFieldCategory| *6 *7 *4)) (|ofCategory| *9 (|Join| (|Finite|) (|Field|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ReducedDivisor| *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *1) (|isDomain| *1 (|Character|)))) 
+(((*1 *1 *2 *3 *3 *4 *4) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Segment| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|AffinePlane| *3))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|PolynomialComposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|CRApackage| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|List| *4))) (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7))))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7)))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Vector| *4))) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Vector| *3)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Record| (|:| |start| *3) (|:| |factors| (|Factored| *3)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |polypart| *3))) (|isDomain| *1 (|TranscendentalIntegration| *5 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ir| (|IntegrationResult| (|Fraction| *6))) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *9) (|:| |radicand| *9))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *9)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *9 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|LyndonWord| *3))) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|List| (|Polynomial| *5))) (|isDomain| *1 (|FunctionFieldCategory&| *4 *5 *6 *7)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Polynomial| *4)))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Set| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *3))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *3)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *4)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *4 *2 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Commutator|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Commutator|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|NonNegativeInteger|)))))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|ODETools| *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))))) (|:| |%type| (|String|)))) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)) (|isDomain| *4 (|List| *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| *9)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|String|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| *3) (|:| |entry| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *1 (|TableAggregate| *3 *4)))) ((*1 *1) (AND (|ofCategory| *1 (|TableAggregate| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *2 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *2)) (|Record| (|:| |index| *3) (|:| |exponent| *2))))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *7))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1 *1) (|isDomain| *1 (|PositiveInteger|))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *2 *6 *7)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *7 *8)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *3)) (|:| |logand| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedMultisetAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Point| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|Finite|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3))))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|AlgebraicManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $)))))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|AssociationListAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |key| *3) (|:| |entry| *4)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| *4)))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3))))) 
+(((*1 *2 *1 *3 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *4 (|NonNegativeInteger|)) (|OrderedVariableList| *3) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *3 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *4 *5)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5 *4)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *5 *4 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6))))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *5 *6 *7)) (|isDomain| *3 (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *4 *5 *6 *7))) (|isDomain| *1 (|WuWenTsunTriangularSet| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *6 *7 *8 *9))) (|isDomain| *1 (|WuWenTsunTriangularSet| *6 *7 *8 *9))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *2 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|NumberFieldIntegralBasis| *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *3 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *3 *5))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|RetractableTo| *3)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PrimitiveFunctionCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|PrimitiveFunctionCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|NottinghamGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ComplexCategory&| *3 *2)) (|ofCategory| *3 (|ComplexCategory| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedAlgebra&| *3 *2 *4)) (|ofCategory| *3 (|FramedAlgebra| *2 *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| *2 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *10 (|PlacesCategory| *5 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (|ofCategory| *4 (|DesingTreeCategory| *11))))) 
+(((*1 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|List| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|FortranType|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *2)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *7 *2)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *5 *6)) (|ofCategory| *2 (|DirectProductCategory| *4 *6))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *4))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *4 (|PolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (|isDomain| *1 (|GroebnerInternalPackage| *6 *7 *8 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|NormalizationPackage| *4 *5 *6 *2 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *2))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FGLMIfCanPackage| *4 *5)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5)))) (|ofCategory| *4 (|GcdDomain|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LexTriangularPackage| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| *6)) (|:| |den| *6))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|TangentExpansions| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (|Integer|)))) (|ofCategory| *4 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|DifferentialVariableCategory| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *3)) (|ofType| *7 *3) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *1)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Stream| *3))) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2 *3 *4 *5 *5 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|Polynomial| *6)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *7)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *7 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|isDomain| *4 (|OrderedCompletion| *6)) (|ofCategory| *6 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *5)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ans| (|Fraction| *5)) (|:| |nosol| (|Boolean|)))) (|isDomain| *1 (|TranscendentalRischDE| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Polynomial| *5)))) (|isDomain| *1 (|SystemSolvePackage| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Result|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|LazardSetSolvingPackage| *3 *4 *5 *6 *7 *2)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *2 (|SquareFreeRegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|d03AgentsPackage|)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 (|List| *5))) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|List| (|Stream| *4)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) 
+(((*1 *2 *2 *3) (|partial| AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedSquaring| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)))))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|GraphImage|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeriesFunctions| *3))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *4) (AND (|isDomain| *4 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *4)) (|isDomain| *1 (|MappingPackage2| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|Ruleset| *3 *4 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| *1)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *1 (|MonogenicAlgebra| *5 *6)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *5))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *2 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|RewriteRule| *4 *5 *2))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| (|RewriteRule| *5 *6 *2))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|Ring|) (|PatternMatchable| *5) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *5)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|PatternMatchable| *5) (|ConvertibleTo| (|Pattern| *5)))) (|isDomain| *1 (|ApplyRules| *5 *6 *2))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |outval| (|Complex| *4)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| *4))))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|CancellationAbelianMonoid|)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|OrderedVariableList| *4)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *7) (|:| |right| *7) (|:| |sol?| (|Boolean|))) (|Integer|) *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| AND (|isDomain| *5 (|Record| (|:| |contp| *3) (|:| |factors| (|List| (|Record| (|:| |irr| *10) (|:| |pow| (|Integer|))))))) (|isDomain| *6 (|List| *3)) (|isDomain| *7 (|List| *8)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *3 *9 *8)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |polfac| (|List| *10)) (|:| |correct| *3) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|LeadingCoefDetermination| *8 *9 *3 *10)) (|isDomain| *4 (|List| (|SparseUnivariatePolynomial| *3)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RadicalCategory|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealClosedField|)))) 
+(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PolynomialSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *4 *3)) (|ofCategory| *3 (|Join| (|UnivariatePolynomialCategory| *4) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1) (|isDomain| *1 (|Pi|))) ((*1 *1) (|ofCategory| *1 (|TranscendentalFunctionCategory|)))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *4)) (|:| |invmval| (|Matrix| *4)) (|:| |genIdeal| (|PolynomialIdeals| *4 *5 *6 *7)))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|IntegrationResultToFunction| *4 *2)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|IntegrationResultRFToFunction| *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|List| *2))) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) (|NonNegativeInteger|) *7)) (|isDomain| *4 (|Vector| *7)) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Vector| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *7 (|AbelianMonoidRing| *2 *5)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *5)))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *6)))) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *6))))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|List| *3))) (|isDomain| *1 (|FunctionSpaceIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|IntegrationResult| (|Fraction| *5))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|Expression| *5) (|List| (|Expression| *5)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) ((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Polynomial| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| *5)))) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *7 (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *5 (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|FortranScalarType|)) (|isDomain| *2 (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|KeyedAccessFile| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedString| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|SingleInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| *2)) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| *2)) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1) (AND (|isDomain| *1 (|GenericNonAssociativeAlgebra| *2 *3 *4 *5)) (|ofCategory| *2 (|CommutativeRing|)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|Vector| (|Matrix| *2)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Segment| *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *6 *4 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Polynomial| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| (|Fraction| (|Polynomial| *5)) (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Polynomial| *5))) (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|RationalFunctionSum| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |coef| (|Fraction| *5)) (|:| |poly| *3))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ListMonoidOps| *4 *2 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 *2))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|isDomain| *1 (|Ruleset| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (AND (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *3 (|List| *6)) (|isDomain| *5 (|List| *3)) (|isDomain| *2 (|Record| (|:| |f1| *3) (|:| |f2| (|List| *5)) (|:| |f3| *5) (|:| |f4| (|List| *5)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *4 (|List| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |const| *3) (|:| |nconst| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *2 *3 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| *8)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| *8)))))) (|isDomain| *1 (|LinearSystemPolynomialPackage| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|Mapping| *6 (|List| *6)))) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|Mapping| (|Boolean|) *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *6 *7 *8 *9))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |id| (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |poly| *6) (|:| |normal| (|Fraction| *6)) (|:| |special| (|Fraction| *6)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialDecomposition| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *4) (|partial| AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|PolynomialDecomposition| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|ElementaryFunctionCategory|)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|RoutinesTable|)) (|isDomain| *3 (|String|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
+(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Union| (|Integer|) "failed") *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|CommuteUnivariatePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|PolynomialCategory| *5 *4 *2)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *2 *5 *6 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *6)) (SIGNATURE |numer| (*6 $)) (SIGNATURE |denom| (*6 $))))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RationalFunction| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|RegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *10 *11))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *4 (|TaylorSeries| *6)) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|WeierstrassPreparation| *6)) (|isDomain| *5 (|Stream| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MyUnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *1 (|PolynomialRing| *3 *2)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Partition|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|isDomain| *1 (|SymmetricPolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|UnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |entry| *3) (|:| |count| (|NonNegativeInteger|)))))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Any|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *3 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|MonoidRing| *3 *4))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|StringCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *3 *6 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|DirectProductCategory| *8 *2)) (|ofType| *8 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *6 *3 *7 *8 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| *8 *8 *8)) (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FourierComponent| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeGroup| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeMonoid| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *1 (|AlgebraicIntegrate| *4 *5 *6 *7 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *3 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *2))) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *2 *3 *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *8 (|PlacesCategory| *2 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *14)) (|ofCategory| *14 (|DesingTreeCategory| *13)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|Symbol|) (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4)))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *4 *5 *6)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PAdicIntegerCategory| *4))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *5)))) (|isDomain| *1 (|ComplexRootFindingPackage| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *5))))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *4)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *2 *2 *2 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InternalPrintPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Segment| (|DoubleFloat|)))) (|isDomain| *1 (|PlotTools|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Permutation| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|List| (|Permutation| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Partition|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|Record| (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (|List| (|Integer|))))) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *3 *8 *4 *9 *10)) (|isDomain| *5 (|Integer|)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Integer|) (|Integer|))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *2 *3) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|SmithNormalForm| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Segment| *3)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| (|Pattern| *3))))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|LaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Mapping| *5 *5)) (|isDomain| *1 (|ODEIntegration| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegralDomain|)))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Stream| *4))) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *4 *5)) (|isDomain| *3 (|Stream| *4)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Kernel| *6)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *5 *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|Collection| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InfiniteTuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *3 *5))) (|isDomain| *1 (|SplittingNode| *3 *5)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| *4) (|:| |tower| *5)))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *1 (|SplittingNode| *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |tower| *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingNode| *2 *3))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingTree| *2 *3))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *4)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *2 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|ElementaryRischDESystem| *8 *4))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *2 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *2 *7)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *4 *6)) (|ofCategory| *2 (|DirectProductCategory| *5 *6))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|List| (|List| *5))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (|Fraction| *5)) (|:| |c2| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HeuGcd| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *2))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|Library|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LieExponentials| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *4)))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *4)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *5 (|NonNegativeInteger|))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *3)) (|isDomain| *1 (|GosperSummationMethod| *5 *3 *6 *7 *2)) (|ofCategory| *2 (|Join| (|RetractableTo| (|Fraction| (|Integer|))) (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PointCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|))))) 
+((|say| . 1566162) (|iExquo| . 1566013) (|divOfPole| . 1565916) (|cross| . 1565611) (|GospersMethod| . 1565137) (|myDegree| . 1564722) (|palgextint0| . 1563637) (|jordanAdmissible?| . 1563297) (|Ei2| . 1563172) (|cyclotomic| . 1562700) (|univariatePolynomial| . 1561824) (|debug| . 1561540) (|addiag| . 1561368) (|factorUsingYun| . 1560944) (|mathieu23| . 1560681) (|repeating| . 1560574) (|coerceP| . 1560368) (|DiffC| . 1560122) (|setLegalFortranSourceExtensions| . 1560029) (|mirror| . 1559385) (|selectPolynomials| . 1558968) (|library| . 1558889) (|euclideanNormalForm| . 1558607) (|setTower!| . 1558493) (|sec2cos| . 1558278) (|FormatRoman| . 1558159) (|content| . 1557460) (|cyclotomicFactorization| . 1557290) (|rightRemainder| . 1557152) (|chvar| . 1556764) (|listOfLists| . 1556171) (|region| . 1556012) (|tValues| . 1555913) (|accuracyIF| . 1555506) (|fillPascalTriangle| . 1555391) (|quadratic?| . 1555257) (|setrest!| . 1555004) (|unitNormalize| . 1554913) (|upperCase| . 1554771) (|clipSurface| . 1554649) (|row| . 1554176) (|rischDEsys| . 1553481) (|removeIrreducibleRedundantFactors| . 1553112) (|numberOfHues| . 1553031) (|setParam!| . 1552832) (|integerDecode| . 1552741) (|nthFactor| . 1551894) (|genericRightMinimalPolynomial| . 1551551) (|construct| . 1547231) (|balancedFactorisation| . 1546760) (|pushdterm| . 1546358) (|primitivePart!| . 1546139) (|ksec| . 1545900) (|prefixRagits| . 1545777) (|euclideanGroebner| . 1544883) (|polyPart| . 1544692) (|rationalFunction| . 1544250) (|hasSolution?| . 1543661) (|rowEchWoZeroLines| . 1543546) (|upperCase!| . 1543492) (|lowerCase?| . 1543412) (|sncndn| . 1543168) (|unitCanonical| . 1543115) (|rationalPoints| . 1540800) (|ScanArabic| . 1540681) (|maxSubst| . 1540409) (|string?| . 1540132) (|setAdaptive3D| . 1540055) (|setAdaptive| . 1539980) (|exponentialOrder| . 1539757) (|floor| . 1539557) (|diff| . 1539145) (|iter| . 1538958) (|increase| . 1538734) (|palgintegrate| . 1538238) (|divisors| . 1538102) (|yRange| . 1537873) (|laplace| . 1537487) (|isOp| . 1537127) (|elements| . 1536943) (|segment| . 1536649) (|safety| . 1536415) (|hspace| . 1536334) (|rightRegularRepresentation| . 1536014) (|tRange| . 1535833) (|gcdcofactprim| . 1535690) (|diophantineSystem| . 1535345) (|rootSplit| . 1534940) (|badValues| . 1534754) (|zCoord| . 1534640) (|rootSimp| . 1534083) (|recoverAfterFail| . 1533956) (|mapExpon| . 1533462) (|pop!| . 1533120) (|basisOfCenter| . 1532942) (|repeatUntilLoop| . 1532858) (|iflist2Result| . 1532590) (|geometric| . 1532448) (|localize| . 1531859) (|startStats!| . 1531663) (|polyred| . 1531447) (|hconcat| . 1531307) (|viewWriteAvailable| . 1531212) (|youngGroup| . 1530916) (|algebraic?| . 1530517) (|irreducibleRepresentation| . 1529988) (|calcRanges| . 1529823) (|iprint| . 1529708) (|moebius| . 1529609) (|lastSubResultantEuclidean| . 1529358) (|float?| . 1529081) (|divisorCascade| . 1528499) (|root| . 1528250) (|nextPrimitiveNormalPoly| . 1528074) (|unaryFunction| . 1527832) (|hexDigit| . 1527784) (|conditionsForIdempotents| . 1526560) (|pointData| . 1526404) (|basisOfRightNucloid| . 1526215) (|check| . 1525459) (|copyIto| . 1525323) (|rename!| . 1525229) (|genusTreeNeg| . 1524479) (|comment| . 1524311) (|torsion?| . 1523466) (|jordanAlgebra?| . 1523126) (|coerceListOfPairs| . 1522998) (|iiBesselI| . 1522796) (|OMgetEndBind| . 1522714) (|critT| . 1522332) (|unit?| . 1522245) (|entry| . 1521156) (|exactQuotient!| . 1520705) (|float| . 1520233) (|usingTable?| . 1520064) (|genericRightTraceForm| . 1519749) (|algintegrate| . 1519253) (|actualExtensionV| . 1518748) (|blockConcat| . 1518470) (|id| . 1518375) (|quadratic| . 1517854) (|subResultantGcd| . 1517324) (|var1StepsDefault| . 1517134) (|trace2PowMod| . 1516921) (|maxMixedDegree| . 1516687) (|internalIntegrate| . 1515963) (|KrullNumber| . 1515108) (|symbolTable| . 1514965) (|integer| . 1514588) (|basisOfLeftNucleus| . 1514410) (|merge| . 1513459) (|replaceVarByZero| . 1513173) (|bezoutResultant| . 1512836) (|pushFortranOutputStack| . 1512597) (|palginfieldint| . 1512132) (|mapGen| . 1511504) (|sin?| . 1511381) (|rewriteSetWithReduction| . 1511008) (|probablyZeroDim?| . 1510693) (|multiplicity| . 1509736) (|modTree| . 1509611) (|atrapezoidal| . 1509308) (|idamax| . 1509168) (|rightTraceMatrix| . 1508662) (|linearAssociatedOrder| . 1508478) (|mapdiv| . 1508316) (|string| . 1507866) (|eq| . 1507586) (|monomials| . 1506792) (|pile| . 1506699) (|simplifyExp| . 1506484) (|constant?| . 1506069) (|setDegree!| . 1505862) (|blowUp| . 1505170) (|mainSquareFreePart| . 1504951) (|outputList| . 1504837) (|integers| . 1504669) (|mat| . 1504476) (|regularRepresentation| . 1504070) (|rightQuotient| . 1503932) (|OMunhandledSymbol| . 1503819) (|htrigs| . 1503604) (|duplicates| . 1503417) (|writable?| . 1503328) (|fmecg| . 1502263) (|int| . 1501613) (|tower| . 1501514) (|symmetricSquare| . 1501369) (|viewDeltaYDefault| . 1501189) (|linearPart| . 1501074) (|semiDiscriminantEuclidean| . 1500843) (|rationalApproximation| . 1500310) (|hMonic| . 1500071) (|outputGeneral| . 1499892) (|qqq| . 1499629) (|multiEuclideanTree| . 1499504) (|fi2df| . 1499364) (|setCurve| . 1498161) (|factorGroebnerBasis| . 1497439) (|upDateBranches| . 1496156) (|lexGroebner| . 1495984) (|sinhIfCan| . 1495843) (|invmultisect| . 1495214) (|copyDrift| . 1495002) (|mainVariable| . 1494239) (|swap| . 1493939) (|integral?| . 1493123) (|cotIfCan| . 1492982) (|setScreenResolution| . 1492907) (|normInvertible?| . 1492516) (|kroneckerDelta| . 1492351) (|rubiksGroup| . 1492238) (|signAround| . 1491494) (|polyRicDE| . 1490515) (|gcdPolynomial| . 1489967) (|fullDesTree| . 1489519) (|getExplanations| . 1489397) (|euler| . 1489127) (|mkPrim| . 1488879) (|initiallyReduce| . 1488436) (|key| . 1488173) (|leftOne| . 1488053) (|elementary| . 1487902) (|aCubic| . 1487662) (|initiallyReduced?| . 1486642) (|decompose| . 1483782) (|defineProperty| . 1483564) (|bezoutDiscriminant| . 1483230) (|number?| . 1483076) (|rewriteSetByReducingWithParticularGenerators| . 1482654) (|interpretString| . 1482543) (|stoseInvertible?sqfreg| . 1482132) (|mpsode| . 1481830) (|linSolve| . 1481379) (|associates?| . 1481289) (|functionIsContinuousAtEndPoints| . 1480668) (EQ . 1480450) (|exptMod| . 1480072) (|splitConstant| . 1479669) (|maxrow| . 1479375) (|aRow| . 1479095) (|readLine!| . 1479017) (|rules| . 1478661) (|setlast!| . 1478518) (|nthExpon| . 1477898) (|times!| . 1477757) (|mkIntegral| . 1477448) (|copyslice| . 1477284) (|quadraticNorm| . 1476970) (|coth2trigh| . 1476755) (|sum| . 1474078) (|semiSubResultantGcdEuclidean1| . 1473853) (|romberg| . 1473553) (|rightLcm| . 1473415) (|addmod| . 1473351) (|Not| . 1473221) (|generic| . 1471535) (|hash| . 1470455) (|symbol| . 1470206) (|pack!| . 1470070) (|typeList| . 1469828) (|ricDsolve| . 1466369) (|leadingCoefficientRicDE| . 1465906) (|integrate| . 1452996) (|Gamma| . 1452272) (|one| . 1452060) (|quasiRegular| . 1451813) (|matrixConcat3D| . 1451678) (|tan2trig| . 1451463) (|generalCoefficient| . 1451065) (|latex| . 1450262) (|ode| . 1449997) (|zero| . 1449605) (|quasiMonicPolynomials| . 1449234) (|redpps| . 1448736) (|Or| . 1448600) (|zRange| . 1448484) (|coleman| . 1448324) (^ . 1447724) (|complexExpand| . 1447076) (|front| . 1446821) (|generalPosition| . 1446428) (|removeCoshSq| . 1446213) (|exp| . 1443946) (|approxNthRoot| . 1443804) (|selectFiniteRoutines| . 1443754) (|setfirst!| . 1443611) (|zag| . 1443561) (|pi| . 1443092) (|squareFree| . 1440579) (|infinite?| . 1440331) (|graeffe| . 1440138) (|stop| . 1440093) (|sqrt| . 1439427) (|cCsch| . 1439267) (|distFact| . 1438625) (|explimitedint| . 1438070) (|totolex| . 1437788) (|digit| . 1437740) (|intcompBasis| . 1437478) (|li| . 1437183) (|subtractIfCan| . 1437106) (|erf| . 1436811) (|numFunEvals3D| . 1436737) (|complexEigenvectors| . 1436400) (|round| . 1436345) (|distribute| . 1436237) (|applyRules| . 1435477) (|sylvesterSequence| . 1435285) (|roughSubIdeal?| . 1434974) (|orderIfNegative| . 1434836) (|dmp2rfi| . 1433672) (|rule| . 1433010) (|dilog| . 1432715) (|derivationCoordinates| . 1432431) (|hclf| . 1432242) (|setnext!| . 1432101) (|seed| . 1432015) (|lp| . 1431884) (|sin| . 1430414) (|reopen!| . 1430253) (|radicalEigenvalues| . 1430072) (|cos| . 1428602) (|ruleset| . 1428246) (|bipolarCylindrical| . 1428037) (|const| . 1427871) (|tan| . 1426493) (|critB| . 1426217) (|binomial| . 1425643) (|cot| . 1424448) (|makeTerm| . 1424293) (|coth2tanh| . 1424078) (|sec| . 1422883) (|iomode| . 1422725) (|LPolynomial| . 1419845) (|csc| . 1418650) (|arrayStack| . 1418532) (|ravel| . 1418336) (|headRemainder| . 1417996) (|asin| . 1416615) (|hadamard| . 1416452) (|acos| . 1415071) (|squareFreePolynomial| . 1414614) (|cAcsch| . 1414454) (|atan| . 1412983) (|makeViewport2D| . 1412788) (|set| . 1412578) (|internalInfRittWu?| . 1411829) (|acot| . 1410631) (|expt| . 1410445) (|semiResultantEuclideannaif| . 1410214) (|asec| . 1409016) (|drawCurves| . 1408538) (|canonicalIfCan| . 1408391) (|showTheIFTable| . 1408331) (|acsc| . 1407133) (|result| . 1406889) (|cosh2sech| . 1406674) (|sinh| . 1405299) (|stFuncN| . 1405000) (|fortranLiteral| . 1404890) (|cosh| . 1403515) (|varList| . 1402140) (|normalizeIfCan| . 1401750) (|rotate!| . 1401495) (|tanh| . 1400120) (|numerators| . 1399989) (|lazyPseudoRemainder| . 1399884) (|coth| . 1398692) (|branchPoint?| . 1398151) (|variableName| . 1397941) (|sech| . 1396749) (|Musser| . 1396538) (|concat| . 1395429) (|csch| . 1394237) (|argumentList!| . 1393826) (|generalizedEigenvectors| . 1393475) (|PDESolve| . 1392918) (|asinh| . 1391723) (|groebnerIdeal| . 1391467) (|perspective| . 1391345) (|acosh| . 1390150) (|lepol| . 1389883) (|maxPoints3D| . 1389809) (|atanh| . 1388614) (|complex?| . 1388526) (|triangularSystems| . 1388278) (|acoth| . 1387083) (|iilog| . 1386887) (|asech| . 1385692) (|baseRDE| . 1385362) (|lists| . 1385136) (|cyclicParents| . 1385015) (|dmpToHdmp| . 1384766) (|checkForZero| . 1383875) (|factorPolynomial| . 1383418) (|ptree| . 1383236) (|rationalIfCan| . 1381836) (|delay| . 1381587) (|listAllMono| . 1381305) (|choosemon| . 1381040) (|leader| . 1380793) (|dcopy| . 1380641) (|primPartElseUnitCanonical!| . 1380417) (|BumInSepFFE| . 1380054) (|#| . 1378673) (|closedCurve| . 1378153) (|setref| . 1378068) (|tanAn| . 1377888) (|setAttributeButtonStep| . 1377803) (|dnrm2| . 1377625) (|lBasis| . 1375281) (|find| . 1375140) (|OMreceive| . 1375013) (|modifyPoint| . 1374415) (|log2| . 1374292) (|functionNames| . 1374202) (|getStream| . 1374024) (|zeroDimensional?| . 1373571) (|semiIndiceSubResultantEuclidean| . 1373295) (|directSum| . 1372927) (|pol| . 1372729) (|selectfirst| . 1372605) (|curve| . 1371896) (|cCot| . 1371736) (|compactFraction| . 1371637) (|collectQuasiMonic| . 1371384) (|basisOfRightNucleus| . 1371206) (|normalizedAssociate| . 1370892) (|hexDigit?| . 1370812) (|increasePrecision| . 1370640) (|makeCrit| . 1370181) (|branchIfCan| . 1369192) (|functionIsOscillatory| . 1368889) (|inc| . 1368831) (|removeRedundantFactorsInContents| . 1368509) (|createNormalElement| . 1368378) (|column| . 1367905) (|OMputString| . 1367793) (|univariatePolynomialsGcds| . 1367127) (|coshIfCan| . 1366986) (|fortranTypeOf| . 1366870) (|sizeLess?| . 1366779) (|null| . 1366674) (|maxint| . 1366494) (|aQuartic| . 1366251) (|divisorAtDesingTree| . 1365586) (|e01sff| . 1365366) (|discriminant| . 1363989) (|has?| . 1363875) (|atanIfCan| . 1363734) (|retract| . 1354526) (|curveV| . 1353928) (|digamma| . 1353485) (|replaceVarByOne| . 1353199) (|integral| . 1352214) (|localIntegralBasis| . 1350755) (|getEq| . 1350402) (|unrankImproperPartitions0| . 1350253) (D . 1348698) (FG2F . 1348336) (|symbol?| . 1347947) (|factorSquareFreeByRecursion| . 1347251) (|inverseIntegralMatrix| . 1346967) (|formula| . 1346869) (|pastel| . 1346793) (|singularPointsWithRestriction| . 1346386) (|leftTrace| . 1346269) (|prepareSubResAlgo| . 1345865) (|characteristicSerie| . 1345091) (|groebnerFactorize| . 1343644) (|removeCosSq| . 1343429) (|userOrdered?| . 1343298) (|parabolicCylindrical| . 1343114) (|listConjugateBases| . 1342609) (|minPoints3D| . 1342535) (|curryRight| . 1342292) (|numeric| . 1340715) (|rur| . 1339095) (|stFunc1| . 1338814) (|cardinality| . 1338675) (|radical| . 1338331) (|setelt!| . 1338178) (|tensorProduct| . 1337663) (|sylvesterMatrix| . 1337369) (|leftRemainder| . 1337075) (|tab1| . 1336898) (|assoc| . 1336683) (|branchPointAtInfinity?| . 1336414) (|genericLeftDiscriminant| . 1336105) (|linearlyDependentOverZ?| . 1335919) (|ratPoly| . 1335464) (|setsubmult!| . 1334935) (|index| . 1334400) (|SturmHabichtSequence| . 1334157) (|normalizeAtInfinity| . 1333883) (|OMclose| . 1333801) (|point| . 1332785) (|exprToUPS| . 1331906) (|setleft!| . 1331762) (|iidprod| . 1331564) (|min| . 1331075) (|contract| . 1330293) (|alternative?| . 1329953) (|logpart| . 1329689) (|curry| . 1329489) (|maxLevel| . 1329211) (|extractClosed| . 1329065) (|trailingCoefficient| . 1328908) (|checkExtraValues| . 1328696) (|cSinh| . 1328536) (|toseSquareFreePart| . 1328144) (|upperCase?| . 1328064) (|pseudoRemainder| . 1327958) (|numberPlacesDegExtDeg| . 1326540) (|f2df| . 1326415) (|reduceBasisAtInfinity| . 1326141) (|findCoef| . 1326010) (|rem| . 1325851) (|Ei5| . 1325726) (|factorSFBRlcUnit| . 1324999) (|acscIfCan| . 1324858) (|translate| . 1323835) (|rightMult| . 1323680) (|singularPoints| . 1322067) (|gcd| . 1319647) (|viewDeltaXDefault| . 1319467) (|quo| . 1319308) (|powerSum| . 1319157) (|exponent| . 1318373) (|wordsForStrongGenerators| . 1318220) (|table| . 1317892) (|psolve| . 1311224) (|interReduce| . 1310937) (|dominantTerm| . 1310263) (|excepCoord| . 1310170) (|acschIfCan| . 1310029) (|variationOfParameters| . 1309802) (|third| . 1309704) (|sizeMultiplication| . 1308795) (|generalTwoFactor| . 1308520) (|lllip| . 1308361) (|Ei4| . 1308236) (|sign| . 1305818) (|semiLastSubResultantEuclidean| . 1305584) (|height| . 1304650) (|mkcomm| . 1304522) (|cAtan| . 1304362) (|discriminantEuclidean| . 1304114) (|returns| . 1303478) (|functionName| . 1303268) (|laplacian| . 1302943) (|froot| . 1302388) (|lieAlgebra?| . 1302048) (|removeConstantTerm| . 1301844) (|first| . 1300876) (|rightDiscriminant| . 1300460) (|normal| . 1300326) (|indiceSubResultantEuclidean| . 1300033) (|uniform| . 1299599) (|sequences| . 1299293) (|generalizedInverse| . 1299037) (|f02awf| . 1298866) (|nonSingularModel| . 1298158) (|subset?| . 1298033) (|OMgetEndError| . 1297951) (|f02akf| . 1297774) (|listOfTerms| . 1297125) (|ShiftAction| . 1296901) (|qroot| . 1296337) (|more?| . 1295281) (|f02ajf| . 1295110) (|normalize| . 1294011) (|printCode| . 1293932) (|monomialIntegrate| . 1293578) (|monomialIntPoly| . 1293320) (|f02agf| . 1293149) (|rightGcd| . 1293011) (|universe| . 1292885) (|contains?| . 1292704) (|reseed| . 1292590) (|subNode?| . 1292334) (|generic?| . 1292219) (|right| . 1291638) (|OMputObject| . 1291556) (|infiniteProduct| . 1290670) (|startPolynomial| . 1290401) (|f02aff| . 1290236) (|iiBesselK| . 1290034) (|left| . 1289453) (|OMputEndBVar| . 1289371) (|SturmHabichtMultiple| . 1289124) (|showTypeInOutput| . 1289023) (|f02aef| . 1288849) (|associatorDependence| . 1288450) (|chineseRemainder| . 1287531) (|compose| . 1287246) (|localPointV| . 1286704) (|f02adf| . 1286533) (|palgint0| . 1285518) (|makeSketch| . 1285317) (|escape| . 1285274) (|order| . 1280649) (|generalizedEigenvector| . 1279881) (|f02abf| . 1279713) (|numberOfComputedEntries| . 1279580) (|ocf2ocdf| . 1279411) (|leftMinimalPolynomial| . 1279207) (|reducedQPowers| . 1278972) (|f02aaf| . 1278807) (|screenResolution3D| . 1278733) (|complexRoots| . 1278215) (|setFieldInfo| . 1277973) (|subs2ndVar| . 1277715) (|taylor| . 1273864) (|rationalPlaces| . 1272613) (|measure| . 1267703) (|subHeight| . 1267622) (|chiSquare| . 1267478) (|iicos| . 1267282) (|laurent| . 1264135) (|sub| . 1264085) (|supRittWu?| . 1263867) (|twist| . 1263624) (|packModulus| . 1263358) (|reciprocalPolynomial| . 1263165) (|puiseux| . 1259989) (|sts2stst| . 1259762) (|structuralConstants| . 1258546) (|delta| . 1258360) (|postfix| . 1258310) (|continuedFraction| . 1257381) (|partialNumerators| . 1257250) (|ef2edf| . 1257095) (|associator| . 1257033) (|thetaCoord| . 1256919) (|chiSquare1| . 1256787) (|eigenvalues| . 1256531) (|bsolve| . 1255688) (|polynomial| . 1254891) (|pquo| . 1254511) (|zeta| . 1254428) (|OMgetFloat| . 1254339) (|identity| . 1254201) (|getGraph| . 1254066) (|axServer| . 1253903) (|palgint| . 1253454) (|curryLeft| . 1253211) (|dequeue| . 1252814) (|e01sbf| . 1252555) (|mainCoefficients| . 1252340) (|exp1| . 1252259) (|trivialIdeal?| . 1251988) (|iifact| . 1251818) (|imagI| . 1251615) (|extractSplittingLeaf| . 1251429) (|En| . 1251241) (|gradient| . 1250886) (|reduceLODE| . 1250473) (|reducedSystem| . 1250076) (|OMconnectTCP| . 1249920) (|linear?| . 1249362) (|isobaric?| . 1249087) (|newtonPolySlope| . 1248635) (|rightPower| . 1248449) (|mapExponents| . 1247979) (|contractSolve| . 1247323) (|radicalEigenvector| . 1247085) (|oblateSpheroidal| . 1246876) (|corrPoly| . 1246316) (|checkRur| . 1245871) (|setlocalParam!| . 1245333) (|distinguishedCommonRootsOf| . 1245095) (|split| . 1243022) (|lambda| . 1242931) (|preprocess| . 1242076) (|transCoord| . 1241983) (|imagJ| . 1241780) (|iiacosh| . 1241584) (|goodnessOfFit| . 1241246) (|stoseSquareFreePart| . 1240844) (|vectoraddmul| . 1240674) (|Somos| . 1240402) (|henselFact| . 1239829) (|space| . 1239542) (|leaves| . 1239421) (|remainder| . 1239062) (|option?| . 1238911) (|tanhIfCan| . 1238770) (|palglimint0| . 1237511) (|extractPoint| . 1237364) (|multiple?| . 1237249) (|createMultiplicationTable| . 1236995) (|radicalOfLeftTraceForm| . 1236817) (|toseInvertibleSet| . 1236465) (|makeViewport3D| . 1236109) (|mergeFactors| . 1235966) (|adjunctionDivisor| . 1234110) (|getOrder| . 1233931) (|factorByRecursion| . 1233235) (|divideIfCan| . 1232979) (|dictionary| . 1232753) (|asinhIfCan| . 1232612) (|inBetweenExcpDiv| . 1231950) (|posExpnPart| . 1231850) (|domainOf| . 1231773) (|binomThmExpt| . 1231546) (|firstUncouplingMatrix| . 1231283) (|semiSubResultantGcdEuclidean2| . 1231058) (|insert!| . 1228088) (|cAsech| . 1227928) (|legendre| . 1227655) (|invertibleElseSplit?| . 1227347) (|spherical| . 1227163) (|setMaxPoints| . 1227088) (|lieAdmissible?| . 1226748) (|desingTreeWoFullParam| . 1225468) (|hcrf| . 1225279) (|showTheFTable| . 1225220) (|monicCompleteDecompose| . 1224980) (|mdeg| . 1224754) (|surface| . 1224658) (|difference| . 1224467) (|moebiusMu| . 1224368) (|rational| . 1223048) (|normal?| . 1222522) (|leftDiscriminant| . 1222106) (|standardBasisOfCyclicSubmodule| . 1221871) (|topFortranOutputStack| . 1221779) (|LyndonWordsList| . 1221580) (|parabolic| . 1221396) (|resultantEuclidean| . 1221148) (|countable?| . 1221063) (|maxrank| . 1220495) (|stiffnessAndStabilityOfODEIF| . 1220019) (|lift| . 1218118) (|palgLODE| . 1217515) (|viewport2D| . 1217459) (|lcm| . 1217144) (|meatAxe| . 1216062) (|reduce| . 1209477) (|divergence| . 1209152) (|irreducibleFactors| . 1208786) (|minimalForm| . 1207862) (|iiBeta| . 1207660) (|e02bcf| . 1207455) (|bubbleSort!| . 1206912) (|realRoots| . 1206448) (|additive?| . 1206295) (|e02bbf| . 1206093) (|var2StepsDefault| . 1205903) (|graphState| . 1205650) (|exponential| . 1205287) (|factor1| . 1204807) (|e02baf| . 1204631) (|graphs| . 1204354) (|useEisensteinCriterion?| . 1204199) (|stopTableInvSet!| . 1203506) (|multiServ| . 1203395) (|e02akf| . 1203184) (|superscript| . 1203092) (|extractBottom!| . 1202917) (|addPointLast| . 1202722) (|ldf2vmf| . 1202570) (|pattern| . 1202253) (|divisor| . 1200755) (|e02ajf| . 1200538) (|csc2sin| . 1200323) (|constantKernel| . 1200162) (|cos2sec| . 1199947) (|fullParamInit| . 1199257) (|children| . 1198977) (|e04ycf| . 1198761) (|cache| . 1198645) (|augment| . 1197454) (|multiplyCoefficients| . 1197006) (|quote| . 1196919) (|intensity| . 1196798) (|e04ucf| . 1196254) (|rotate| . 1196007) (|zero?| . 1195291) (|element?| . 1195032) (|dark| . 1194956) (|e04naf| . 1194547) (|digits| . 1193926) (|measure2Result| . 1193480) (|resultant| . 1192597) (|tan2cot| . 1192382) (|karatsubaOnce| . 1192208) (|smaller?| . 1192122) (|datalist| . 1192007) (|e04mbf| . 1191774) (|finiteBound| . 1191589) (|projectivePoint| . 1190848) (|irreducibleFactor| . 1190726) (|monicDecomposeIfCan| . 1190444) (|center| . 1189903) (|e04jaf| . 1189638) (|twoFactor| . 1189332) (|base| . 1188889) (|affinePoint| . 1188766) (|paraboloidal| . 1188582) (|SturmHabicht| . 1188367) (|e04gcf| . 1188108) (|mindegTerm| . 1187910) (|baseRDEsys| . 1187601) (|computeBasis| . 1187388) (|power| . 1187226) (|tanIfCan| . 1187085) (|e04fdf| . 1186826) (|OMserve| . 1186700) (|rhs| . 1186190) (|rectangularMatrix| . 1185990) (|hdmpToP| . 1185767) (|evaluateInverse| . 1185489) (|systemCommand| . 1185376) (|e04dgf| . 1185033) (|superHeight| . 1184952) (|pole?| . 1184633) (|selectOptimizationRoutines| . 1184583) (|pointV| . 1184078) (|denominators| . 1183947) (|f01ref| . 1183720) (|mapSolve| . 1183336) (|trim| . 1183148) (|checkOptions| . 1183018) (|definingInequation| . 1182785) (|ran| . 1182528) (|f01rdf| . 1182292) (|OMgetEndApp| . 1182210) (|pseudoRem| . 1182070) (LODO2FUN . 1181756) (|midpoints| . 1181469) (|iisech| . 1181273) (|f01rcf| . 1181082) (|setFoundPlacesToEmpty| . 1180914) (|vark| . 1180680) (|df2mf| . 1180548) (|csch2sinh| . 1180333) (|partitions| . 1179898) (|/\\| . 1179801) (|iicosh| . 1179605) (|f01qef| . 1179390) (|makeMulti| . 1179172) (|combineFeatureCompatibility| . 1178964) (|imagj| . 1178862) (|desingTree| . 1176893) (|\\/| . 1176796) (|f01qdf| . 1176572) (|autoReduced?| . 1176233) (|removeFirstZeroes| . 1176133) (|plus| . 1175694) (|OMgetAttr| . 1175612) (|lowerPolynomial| . 1175283) (|f01qcf| . 1175104) (|doubleDisc| . 1174869) (|controlPanel| . 1174630) (|withPredicates| . 1174507) (|numberOfChildren| . 1174350) (|bag| . 1173680) (|cAcoth| . 1173520) (|f01mcf| . 1173302) (|getMatch| . 1173123) (|critBonD| . 1172757) (|search| . 1172610) (|nextColeman| . 1172450) (|normal01| . 1172360) (~= . 1171535) (|meshPar2Var| . 1170504) (|f01maf| . 1170199) (|safetyMargin| . 1169857) (|rightRankPolynomial| . 1169090) (|primintegrate| . 1168671) (|power!| . 1168485) (|f01bsf| . 1168183) (|sinhcosh| . 1167942) (|leftFactor| . 1167775) (|convergents| . 1167631) (|dim| . 1167555) (|newLine| . 1167474) (|cCos| . 1167314) (|f01brf| . 1166978) (|showTheSymbolTable| . 1166930) (|octon| . 1166681) (|drawComplexVectorField| . 1166448) (|increment| . 1166296) (|zeroSquareMatrix| . 1166129) (|rowEchelonLocal| . 1165981) (|integerIfCan| . 1165840) (|setEmpty!| . 1165664) (|mask| . 1165606) (|rightExtendedGcd| . 1165386) (|lyndon| . 1165256) (|weierstrass| . 1165049) (|dom| . 1164971) (|factorAndSplit| . 1164812) (|An| . 1164644) (|iisqrt2| . 1164451) (|pureLex| . 1164244) (|nextsubResultant2| . 1164011) (|harmonic| . 1163871) (|lfinfieldint| . 1163499) (|allRootsOf| . 1162457) (|drift| . 1162328) (|OMconnOutDevice| . 1162232) (|listRepresentation| . 1162059) (|parse| . 1161980) (|internalLastSubResultant| . 1161054) (|dec| . 1160996) (|fglmIfCan| . 1160579) (|iitanh| . 1160383) (|gethi| . 1159897) (|plenaryPower| . 1159751) (|laguerre| . 1159590) (|rarrow| . 1159540) (|OMread| . 1159423) (|orbits| . 1159292) (|guess| . 1147793) (|fresnelS| . 1147405) (|viewSizeDefault| . 1147197) (|outlineRender| . 1147075) (|inverseLaplace| . 1146644) (|coefOfFirstNonZeroTerm| . 1146544) (|lazyResidueClass| . 1146018) (|newTypeLists| . 1145932) (|cap| . 1145765) (|square?| . 1145311) (|insertionSort!| . 1144768) (|denomRicDE| . 1144390) (|drawComplex| . 1144126) (|outputSpacing| . 1144014) (|OMconnInDevice| . 1143918) (|leftTrim| . 1143730) (|bitTruth| . 1143617) (|errorKind| . 1143523) (|addMatchRestricted| . 1143348) (|var2Steps| . 1143120) (|lyndonIfCan| . 1142980) (|bombieriNorm| . 1142316) (|gbasis| . 1142015) (|pointInIdeal?| . 1141637) (|cyclePartition| . 1141516) (LE . 1141298) (|singularitiesOf| . 1140433) (|value| . 1140009) (|expintfldpoly| . 1139685) (|subscriptedVariables| . 1139579) (|genericLeftTraceForm| . 1139264) (|writeLine!| . 1139108) (|OMputFloat| . 1138991) (|blockSplit| . 1137621) (|deref| . 1137539) (|exprHasWeightCosWXorSinWX| . 1137169) (|subresultantSequence| . 1136926) (|properties| . 1136814) (BY . 1136693) (|lagrange| . 1136200) (|divide!| . 1136036) (|print| . 1135850) (|cn| . 1135675) (|belong?| . 1133967) (|heap| . 1133856) (|OMgetVariable| . 1133772) (|rightOne| . 1133652) (|middle| . 1133459) (|squareFreePart| . 1132624) (|setErrorBound| . 1132431) (|groebner?| . 1132175) (|interpolateForms| . 1130145) (|swap!| . 1129944) (|getSmgl| . 1129837) (|lastNonNull| . 1129710) (|iicsc| . 1129514) (|patternVariable| . 1129363) (|horizSplit| . 1128741) (|minPoly| . 1128283) (|acoshIfCan| . 1128142) (|numberOfNormalPoly| . 1127990) (|script| . 1127626) (|besselK| . 1127171) (|indicialEquationAtInfinity| . 1126531) (|guessHolo| . 1122196) (|selectIntegrationRoutines| . 1122146) (|ODESolve| . 1121709) (|gcdPrimitive| . 1120905) (|setButtonValue| . 1120675) (|viewZoomDefault| . 1120495) (|imagE| . 1120393) (|flush| . 1120237) (|numerator| . 1119860) (|zeroDimPrime?| . 1119488) (|declare| . 1119370) (|symmetricProduct| . 1119002) (|genericRightDiscriminant| . 1118693) (|pair?| . 1118416) (|infClsPt?| . 1118323) (|radicalSimplify| . 1117985) (|bright| . 1117702) (|semiResultantEuclidean1| . 1117471) (|commutative?| . 1117131) (|readLineIfCan!| . 1117043) (|transcendent?| . 1116925) (|primextendedint| . 1116433) (|OMUnknownSymbol?| . 1116345) (|setStatus!| . 1116138) (|se2rfi| . 1115729) (|laurentIfCan| . 1115542) (|bottom!| . 1115367) (|output| . 1114845) (|associatedEquations| . 1114444) (|nextPartition| . 1114108) (|lfintegrate| . 1113705) (|fortran| . 1113493) (|setRow!| . 1113257) (|symmetricGroup| . 1112955) (|declare!| . 1112196) (|purelyTranscendental?| . 1111910) (|OMreadFile| . 1111801) (|size?| . 1110912) (|numberOfFactors| . 1110535) (|rightDivide| . 1110025) (|isPower| . 1109177) (|outputArgs| . 1108805) (|columns| . 1108227) (|unit| . 1107893) (|cosSinInfo| . 1107759) (|iidigamma| . 1107585) (|series| . 1101717) (|makeVariable| . 1100931) (|primeFactor| . 1100809) (|statusIto| . 1100652) (|numberOfOperations| . 1100364) (|lookup| . 1100096) (|sparsityIF| . 1099953) (|fortranCharacter| . 1099908) (|factorsOfCyclicGroupSize| . 1099755) (|makeop| . 1099449) (|parametric?| . 1099374) (|roman| . 1099212) (|overbar| . 1099165) (|logIfCan| . 1099024) (|OMsetEncoding| . 1098902) (|iiasec| . 1098706) (|merge!| . 1098235) (|divOfZero| . 1098138) (|constantLeft| . 1097898) (|cup| . 1097772) (|assert| . 1097353) (|predicates| . 1097233) (|rroot| . 1096710) (|divideExponents| . 1096555) (|numFunEvals| . 1096483) (|linearlyDependent?| . 1096273) (|besselY| . 1095818) (|frobenius| . 1095638) (|subs1stVar| . 1095380) (|mainPrimitivePart| . 1095161) (|routines| . 1095114) (|leadingIdeal| . 1094886) (|binaryTournament| . 1094763) (|rightRecip| . 1094540) (|list?| . 1094263) (|createLowComplexityNormalBasis| . 1093979) (|lexico| . 1093623) (|ridHack1| . 1093517) (|qShiftC| . 1093268) (|sh| . 1092904) (|pleskenSplit| . 1092420) (|stoseInvertible?reg| . 1092009) (|someBasis| . 1091865) (GE . 1091647) (|pointPlot| . 1090981) (|algebraicSort| . 1090294) (|mainValue| . 1090174) (|optAttributes| . 1089670) (|asechIfCan| . 1089529) (|iiGamma| . 1089355) (|internalAugment| . 1088094) (^= . 1088044) (|updateStatus!| . 1087868) (|resetNew| . 1087797) (|affineRationalPoints| . 1086906) (|decrease| . 1086682) (|resultantReduitEuclidean| . 1086396) (|computeCycleLength| . 1086219) (|basicSet| . 1085364) (|basisOfInterpolateForms| . 1084803) (|randomLC| . 1084450) (|outputAsTex| . 1084206) (|OMgetEndObject| . 1084124) (|selectPDERoutines| . 1084074) (|fortranDoubleComplex| . 1084029) (|commaSeparate| . 1083817) (|derivative| . 1083258) (|algSplitSimple| . 1082886) (|yCoord| . 1082772) (|presuper| . 1082722) (|OMgetEndAtp| . 1082640) (|rk4a| . 1082347) (|padicFraction| . 1082248) (|reverseLex| . 1082041) (|foundZeroes| . 1081923) (|brillhartIrreducible?| . 1081621) (|groebner| . 1079870) (|associative?| . 1079530) (|epilogue| . 1079347) (|flexible?| . 1079007) (|raisePolynomial| . 1078678) (|divide| . 1077719) (|hasHi| . 1077602) (|noLinearFactor?| . 1077451) (|packExps| . 1077244) (|wordInStrongGenerators| . 1077062) (|relerror| . 1076983) (|ramified?| . 1076442) (|LowTriBddDenomInv| . 1076181) (|interpret| . 1075986) (|nonQsign| . 1075863) (|showFortranOutputStack| . 1075761) (|setLabelValue| . 1075673) (|printStats!| . 1075507) (|solveLinearlyOverQ| . 1075284) (|nary?| . 1075200) (|factorUsingMusser| . 1074776) (|associatedSystem| . 1074459) (|degreePartition| . 1073955) (|prologue| . 1073772) (|stoseIntegralLastSubResultant| . 1073367) (|tex| . 1073279) (|bivariate?| . 1072992) (|nthr| . 1072460) (|supersub| . 1072364) (|cycleSplit!| . 1072224) (|factorOfDegree| . 1070803) (|sinIfCan| . 1070662) (|lexTriangular| . 1070357) (|linears| . 1070195) (|vspace| . 1070114) (|rombergo| . 1069814) (|localParamOfSimplePt| . 1069292) (|schwerpunkt| . 1069080) (|lazyVariations| . 1068784) (|mathieu24| . 1068521) (|ref| . 1068439) (|delete| . 1068179) (|stopTable!| . 1067504) (|expenseOfEvaluation| . 1067154) (|createRandomElement| . 1066987) (|desingTreeAtPoint| . 1066323) (|objectOf| . 1066246) (|leftAlternative?| . 1065906) (|dihedralGroup| . 1065604) (|maxDerivative| . 1065326) (|lcmCoef| . 1065185) (|cycleElt| . 1065037) (|padecf| . 1064732) (|minPol| . 1064072) (|fractRadix| . 1063946) (|factorial| . 1063598) (|pseudoQuotient| . 1063455) (|eigenMatrix| . 1063262) (|argument| . 1062906) (|recolor| . 1062641) (|makeSin| . 1062433) (|stoseInvertibleSetreg| . 1062071) (|level| . 1061914) (|collect| . 1061574) (|nthExponent| . 1061452) (|iCompose| . 1061344) (|even?| . 1061003) (|ode1| . 1060775) (|fixPredicate| . 1060477) (|toScale| . 1060265) (|mathieu22| . 1060002) (|critMTonD1| . 1059639) (|mathieu11| . 1059376) (|janko2| . 1059113) (|nullity| . 1057937) (|makeCos| . 1057729) (|exists?| . 1057640) (|setprevious!| . 1057499) (|elliptic?| . 1056969) (|rootOf| . 1055473) (|submod| . 1055409) (|extension| . 1055321) (|SFunction| . 1055161) (|argscript| . 1055069) (|d02cjf| . 1054577) (|sample| . 1053848) (|duplicates?| . 1053721) (|extractIfCan| . 1053567) (|basisOfLeftNucloid| . 1053378) (|findTerm| . 1053180) (|vectorcombination| . 1053007) (|d02bhf| . 1052622) (|OMputApp| . 1052540) (|shallowExpand| . 1052329) (|maxPower| . 1052057) (|d02bbf| . 1051667) (|less?| . 1050451) (|fixedDivisor| . 1050290) (|nullSpace| . 1048583) (|trigs2explogs| . 1048140) (|iiacsch| . 1047944) (|hue| . 1047684) (|rk4f| . 1047397) (|e02ahf| . 1047183) (|rootPower| . 1046626) (|ParCond| . 1046118) (|lazyPremWithDefault| . 1045540) (|substring?| . 1045418) (|alterQuadVar!| . 1045225) (|stoseInternalLastSubResultant| . 1044279) (|ddot| . 1044095) (|multisect| . 1043466) (|guessAlg| . 1039131) (|minRowIndex| . 1038664) (|finiteSeries2LinSys| . 1038414) (|topPredicate| . 1038247) (|sorted?| . 1037920) (|mapUnivariateIfCan| . 1037559) (|multiplicative?| . 1037406) (|restorePrecision| . 1037320) (|char| . 1037164) (|packageCall| . 1037015) (|fortranLogical| . 1036970) (** . 1031126) (|linearPolynomials| . 1030755) (|d03faf| . 1030416) (|every?| . 1029221) (|integralCoordinates| . 1028909) (|symmetricTensors| . 1028575) (|quotValuation| . 1028482) (|applyTransform| . 1028175) (|univariate?| . 1027888) (|d03eef| . 1027511) (|transpose| . 1026659) (|any?| . 1025464) (|next| . 1025368) (|build| . 1024889) (|squareFreeFactors| . 1024570) (|d03edf| . 1024332) (|evalRec| . 1023891) (|keys| . 1023040) (|element| . 1022757) (|fresnelC| . 1022369) (|patternMatchTimes| . 1021899) (|dasum| . 1021721) (|univariatePolynomials| . 1021350) (|antiAssociative?| . 1021010) (|singularAtInfinity?| . 1020741) (|medialSet| . 1020075) (|suffix?| . 1019984) (|fortranCarriageReturn| . 1019904) (|cPower| . 1019741) (F2FG . 1019379) (|airyAi| . 1018936) (|prod| . 1018792) (|primlimitedint| . 1018251) (|evaluate| . 1017260) (|perfectSquare?| . 1017132) (|denomLODE| . 1016309) (|suppOfPole| . 1016184) (|numericIfCan| . 1014816) (|suppOfZero| . 1014691) (|name| . 1014048) (|polyRingToBlUpRing| . 1013650) (|tanSum| . 1013531) (|subResultantChain| . 1013276) (|noncommutativeJordanAlgebra?| . 1012936) (|convertIfCan| . 1012829) (|bits| . 1012477) (|subresultantVector| . 1012277) (|getPickedPoints| . 1012161) (|lazyPseudoQuotient| . 1012056) (|invertibleSet| . 1011770) (|localParamV| . 1011235) (|cyclicCopy| . 1011151) (|constantCoefficientRicDE| . 1010657) (|deepExpand| . 1010446) (|vedf2vef| . 1010269) (|Ei| . 1009852) (|true| . 1009811) (|member?| . 1008342) (|icamax| . 1008196) (|innerEigenvectors| . 1007745) (|introduce!| . 1007635) (|innerint| . 1006995) (|addPoint2| . 1006845) (|vertSplit| . 1006223) (|leftRankPolynomial| . 1005456) (|ldf2lst| . 1005033) (|nextNormalPoly| . 1004857) (|rewriteIdealWithRemainder| . 1004546) (|returnTypeOf| . 1004379) (|LyndonWordsList1| . 1004156) (|coefficients| . 1003313) (|dot| . 1002802) (|algebraicDecompose| . 1001854) (|symbolTableOf| . 1001735) (|getCurve| . 1001631) (|binarySearchTree| . 1001508) (|changeVar| . 1000730) (|reverse!| . 1000271) (|cAcot| . 1000111) (|chartCoord| . 1000018) (|log10| . 999712) (|diagonalMatrix| . 998439) (|mesh| . 997151) (|implies| . 997104) (|sayLength| . 996874) (|copyBSD| . 996750) (|shiftLeft| . 996605) (|numberOfImproperPartitions| . 996496) (|curveColorPalette| . 996362) (|palgRDE| . 995868) (|traceMatrix| . 995244) (|c05nbf| . 994961) (|ReduceOrder| . 994544) (|fractionPart| . 993930) (|prefix?| . 993839) (|equation| . 993104) (|zeroSetSplit| . 989406) (|genericRightNorm| . 989094) (|aLinear| . 988860) (|positiveRemainder| . 988799) (|intPatternMatch| . 988125) (|c05adf| . 987887) (|inverse| . 986158) (|map| . 960750) (|antiCommutator| . 960691) (|binaryTree| . 960508) (|guessRat| . 953455) (|bit?| . 953360) (|expextendedint| . 952854) (|c06gsf| . 952679) (|maxColIndex| . 952212) (|minimalPolynomial| . 951457) (|tensorMap| . 951296) (|leadingExponent| . 950823) (|zeroVector| . 950656) (|deriv| . 950525) (|c06gqf| . 950350) (|bat1| . 950173) (|characteristicPolynomial| . 948228) (|rightScalarTimes!| . 948087) (|displayKind| . 948006) (|antiCommutative?| . 947666) (|pointToPlace| . 947205) (|removeDuplicates!| . 946977) (|c06gcf| . 946805) (|isMult| . 946584) (|primaryDecomp| . 946032) (|squareTop| . 945843) (|explogs2trigs| . 945450) (|c06gbf| . 945278) (|shallowCopy| . 945160) (|lazyPrem| . 944780) (|leftMult| . 944625) (|guessBinRat| . 937572) (|mergeDifference| . 937452) (|makeSUP| . 937299) (|filterUpTo| . 937168) (|c06fuf| . 936954) (|cycle| . 936825) (|adaptive?| . 936753) (|resultantReduit| . 936555) (|halfExtendedSubResultantGcd1| . 936003) (|permanent| . 935783) (|low| . 935693) (|generalizedContinuumHypothesisAssumed| . 935608) (|explicitlyEmpty?| . 935486) (|cot2trig| . 935271) (|cycleEntry| . 935173) (|c06frf| . 934962) (|splitLinear| . 934856) (|sumOfKthPowerDivisors| . 934715) (|finiteBasis| . 934415) (|primitive?| . 934132) (|origin| . 934040) (|maxShift| . 933762) (|binary| . 933572) (|c06fqf| . 933364) (|realSolve| . 931263) (|permutation| . 930906) (|totalGroebner| . 930734) (|radicalSolve| . 928469) (|lambert| . 927976) (E1 . 927819) (|c06fpf| . 927611) (|smith| . 927363) (|randnum| . 927191) (|mathieu12| . 926928) (|atanhIfCan| . 926787) (|changeNameToObjf| . 926671) (|eval| . 915683) (|LiePoly| . 915513) (|minimumExponent| . 915353) (|internalZeroSetSplit| . 914592) (|c06ekf| . 914414) (|quatern| . 914301) (|setCondition!| . 914122) (|child?| . 913964) (|denominator| . 913577) (|createPrimitiveNormalPoly| . 913375) (|guessExpRat| . 906322) (|wronskianMatrix| . 905861) (|selectAndPolynomials| . 905435) (|c06ecf| . 905260) (|subTriSet?| . 904567) (|stopTableGcd!| . 903874) (|chainSubResultants| . 903680) (|replaceDiffs| . 903257) (|leftRegularRepresentation| . 902937) (|goppaCode| . 901637) (|c06ebf| . 901465) (|leastPower| . 901146) (|OMencodingBinary| . 901096) (|split!| . 900925) (|pushucoef| . 900508) (|numberOfDivisors| . 900409) (|radix| . 900256) (|c06eaf| . 900084) (|reducedContinuedFraction| . 899950) (|setMinPoints| . 899875) (|basis| . 898245) (|tube| . 897841) (|s17def| . 897602) (|xCoord| . 897488) (|light| . 897412) (|LiePolyIfCan| . 897039) (|basisOfMiddleNucleus| . 896861) (|Yun| . 896650) (|seriesToOutputForm| . 896297) (|genericRightTrace| . 895985) (|s17dcf| . 895746) (|halfExtendedResultant1| . 895505) (|insertTop!| . 895324) (|cyclotomicDecomposition| . 895158) (|createHN| . 894945) (|OMopenFile| . 894818) (|useSingleFactorBound?| . 894663) (|nthFractionalTerm| . 894533) (|s17akf| . 894374) (|resultantnaif| . 894208) (|ranges| . 893761) (|btwFact| . 893380) (|repeating?| . 893208) (|isamax| . 893074) (|s17ajf| . 892915) (|color| . 892728) (|llprop| . 892571) (|guessRec| . 885518) (|pdf2df| . 885372) (|cLog| . 885212) (|message| . 885132) (|conical| . 884920) (|condition| . 884744) (|s17ahf| . 884585) (|headReduce| . 884142) (|leastAffineMultiple| . 883976) (|constantRight| . 883736) (|UnVectorise| . 883568) (|purelyAlgebraicLeadingMonomial?| . 883282) (|genericLeftTrace| . 882970) (|s17agf| . 882811) (|viewWriteDefault| . 882621) (|getVariableOrder| . 882462) (|transcendentalDecompose| . 880547) (|head| . 880107) (|stack| . 879994) (|s17aff| . 879835) (|OMputInteger| . 879722) (|linearAssociatedExp| . 879535) (|selectsecond| . 879411) (|infLex?| . 879106) (|characteristic| . 877420) (|indices| . 877264) (|s17aef| . 877105) (|commutator| . 877002) (|approximants| . 876858) (|taylorRep| . 876682) (|UP2ifCan| . 876218) (|cAcosh| . 876058) (|makeFloatFunction| . 875620) (|s17adf| . 875461) (|uncorrelated?| . 874871) (|mainForm| . 874770) (|close| . 874495) (|optimize| . 873259) (|argumentListOf| . 873136) (|zeroSetSplitIntoTriangularSystems| . 872777) (|s17acf| . 872618) (|stripCommentsAndBlanks| . 872531) (|innerSolve1| . 872000) (|clikeUniv| . 871782) (|modifyPointData| . 871439) (|oneDimensionalArray| . 871188) (|adaptive| . 870811) (|s15aef| . 870652) (|setClipValue| . 870566) (|newElement| . 869985) (|create3Space| . 869771) (|unvectorise| . 869166) (|Zero| . 868865) (|key?| . 868700) (LT . 868482) (|s15adf| . 868323) (|iiasinh| . 868127) (|sn| . 867952) (|lazyPseudoDivide| . 867045) (|setImagSteps| . 866963) (|drot| . 866739) (|inRadical?| . 866480) (|s14baf| . 866315) (|sPol| . 865961) (|retractIfCan| . 858265) (|decomposeFunc| . 858050) (|rightUnit| . 857889) (|display| . 856617) (|scalarTypeOf| . 856483) (|setexcpDiv!| . 855975) (|s14abf| . 855816) (|minimumDegree| . 854924) (|weakBiRank| . 854732) (|character?| . 854644) (|LyndonBasis| . 854350) (|prinshINFO| . 854086) (|s14aaf| . 853927) (|colorDef| . 853803) (|simplifyPower| . 853646) (|whileLoop| . 853562) (|rotatey| . 853421) (|nthCoef| . 853232) (|polar| . 853048) (|s13adf| . 852889) (|separate| . 852203) (|entry?| . 851969) (|symmetricPower| . 851523) (|makeFR| . 851014) (|fortranDouble| . 850969) (|exprex| . 850748) (|s13acf| . 850589) (|intersect| . 848793) (|physicalLength| . 848510) (|deepCopy| . 848392) (|untab| . 848212) (|leftCharacteristicPolynomial| . 848045) (|s13aaf| . 847886) (|OMsupportsSymbol?| . 847770) (|diagonal?| . 847316) (|zeroDimPrimary?| . 846944) (|createGenericMatrix| . 846765) (|excpDivV| . 846260) (|s01eaf| . 846089) (|iisinh| . 845893) (|basisOfCentroid| . 845704) (|lowerCase!| . 845650) (|chartV| . 845145) (|s21bdf| . 844977) (|rightFactorIfCan| . 844710) (|roughBasicSet| . 844313) (|edf2df| . 844167) (|removeRoughlyRedundantFactorsInPol| . 843877) (|repack1| . 843651) (|trueEqual| . 843557) (|s21bcf| . 843392) (|setPrologue!| . 843203) (|mul| . 843067) (|bfEntry| . 842826) (|limitedint| . 842406) (|or| . 842261) (|s21bbf| . 842096) (|wholePart| . 841672) (|makeEq| . 841355) (|fullOut| . 840225) (|outputForm| . 839282) (|prepareDecompose| . 838255) (|coerceS| . 838034) (|s21baf| . 837872) (|normFactors| . 837529) (|width| . 837226) (|OMputVariable| . 837114) (|plot| . 835231) (|evalADE| . 834790) (|subspace| . 834326) (|s20adf| . 834167) (|roughEqualIdeals?| . 833856) (|cothIfCan| . 833715) (|monicDivide| . 833292) (|polygon| . 832772) (|matrixGcd| . 832420) (|fibonacci| . 832321) (|e02agf| . 832047) (|OMsend| . 831892) (|leftQuotient| . 831598) (|extendedgcd| . 831423) (|coord| . 830793) (|module| . 830132) (|s20acf| . 829973) (|match?| . 829849) (|cyclicEntries| . 829728) (|qPot| . 829549) (|sturmVariationsOf| . 829287) (|bitLength| . 829205) (|bernoulli| . 828894) (|operators| . 828791) (|d01aqf| . 828544) (|setsubMatrix!| . 828318) (|negative?| . 827841) (|bandedHessian| . 827444) (|iiperm| . 827246) (|safeCeiling| . 827083) (|s19adf| . 826924) (|maximumExponent| . 826764) (|primeFrobenius| . 826589) (|copies| . 826474) (|ZetaFunction| . 823564) (|d01apf| . 823311) (|cycleTail| . 823213) (|pomopo!| . 823060) (|fTable| . 821941) (|setRealSteps| . 821859) (|ignore?| . 821502) (|s19acf| . 821343) (|is?| . 820239) (|PollardSmallFactor| . 820114) (|meshFun2Var| . 819700) (|identification| . 819439) (|polygamma| . 818906) (|d01anf| . 818656) (|hermiteH| . 818501) (|extendedIntegrate| . 818120) (|concat!| . 817499) (|norm| . 813986) (|leftScalarTimes!| . 813845) (|d01amf| . 813601) (|findOrderOfDivisor| . 811803) (|isExpt| . 810177) (|deepestInitial| . 809990) (|quadraticForm| . 809827) (|satisfy?| . 809220) (|d01alf| . 808927) (|sqfree| . 808610) (|errorInfo| . 808518) (|empty?| . 807422) (|collectUnder| . 807176) (|rotatez| . 807035) (|label| . 806985) (|shiftHP| . 793761) (|s19abf| . 793602) (|showScalarValues| . 793525) (|adjoint| . 792490) (|leftTraceMatrix| . 791984) (|rquo| . 791076) (|insert| . 790831) (|d01akf| . 790587) (|completeEchelonBasis| . 790421) (|entries| . 789149) (|unitNormal| . 789005) (|symmetricRemainder| . 788944) (|ipow| . 788746) (|s19aaf| . 788587) (|interpolate| . 787298) (|allDegrees| . 787086) (|stopMusserTrials| . 786760) (|setchart!| . 786252) (|yellow| . 786213) (|drotg| . 786066) (|d01ajf| . 785822) (|elColumn2!| . 785524) (|composite| . 785071) (|solveLinearPolynomialEquationByRecursion| . 784357) (|primitiveElement| . 782417) (|localAbs| . 781354) (|s18def| . 781115) (|hasTopPredicate?| . 781000) (|morphism| . 780634) (|doubleFloatFormat| . 780553) (|iisqrt3| . 780360) (|s18dcf| . 780121) (GT . 779903) (|leastMonomial| . 779716) (|viewDefaults| . 779632) (|factorials| . 779109) (|imaginary| . 779011) (|makeUnit| . 778862) (|prolateSpheroidal| . 778653) (|bitCoef| . 778568) (|s18aff| . 778409) (|internalDecompose| . 775434) (|revert| . 774941) (|swapRows!| . 774718) (|tableau| . 774594) (|s18aef| . 774435) (|OMputBVar| . 774353) (|realEigenvalues| . 774148) (|OMsupportsCD?| . 774035) (|redPo| . 773706) (|horizConcat| . 773248) (|s18adf| . 773089) (|seriesSolve| . 769019) (|foundPlaces| . 768851) (|getCode| . 768765) (|blue| . 768726) (|diagonal| . 768522) (|reshape| . 767793) (|integralAtInfinity?| . 767521) (|s18acf| . 767362) (|enqueue!| . 767098) (|unprotectedRemoveRedundantFactors| . 766808) (|slope| . 765862) (|birth| . 765744) (|f04qaf| . 765427) (|showAllElements| . 765283) (|useEisensteinCriterion| . 765125) (|outputFixed| . 764946) (|hex| . 764842) (|lprop| . 764694) (|limitedIntegrate| . 764254) (|f04mcf| . 764013) (|cExp| . 763853) (|displayAsGF| . 763720) (|divideIfCan!| . 763376) (|exteriorDifferential| . 763229) (|multiset| . 762946) (|f04mbf| . 762526) (|complexNumericIfCan| . 759471) (|solveRetract| . 759139) (|roughBase?| . 758831) (|position!| . 758741) (|qShiftAction| . 758514) (|sumOfSquares| . 758398) (|f04maf| . 758148) (|OMgetBVar| . 758066) (|enterPointData| . 757893) (|eigenvectors| . 757506) (|oddlambert| . 757013) (|f04jgf| . 756788) (|rewriteIdealWithHeadRemainder| . 756477) (|alphabetic| . 756429) (|numberOfFractionalTerms| . 756302) (|lex| . 756171) (|basisOfCommutingElements| . 755993) (|specialTrigs| . 755707) (|mapBivariate| . 755344) (|f04faf| . 755157) (|complexNumeric| . 751470) (|status| . 750998) (|listYoungTableaus| . 750835) (|leftExactQuotient| . 750521) (|unmakeSUP| . 750368) (|kernels| . 750269) (|maxIndex| . 750108) (|f04axf| . 749876) (|orbit| . 748732) (|listVariable| . 748452) (|cartesian| . 748268) (|showTheRoutinesTable| . 748221) (|hessian| . 747866) (|f04atf| . 747679) (|clearTheIFTable| . 747588) (|OMopenString| . 747464) (|univariate| . 744517) (|laurentRep| . 744340) (~ . 744249) (|selectODEIVPRoutines| . 744199) (|quadraticBezier| . 744043) (|f04asf| . 743859) (|factor| . 732030) (|setOrder| . 731712) (|isPlus| . 730771) (|repSq| . 730581) (|integralBasis| . 728849) (|fortranLiteralLine| . 728739) (|homogeneous| . 728467) (|imag| . 727727) (|dimensions| . 727374) (|algebraicSet| . 726970) (|splitDenominator| . 725379) (|Ci| . 725084) (|tree| . 724420) (|goodPoint| . 724180) (SEGMENT . 723910) (|read!| . 723779) (|f04arf| . 723595) (|directProduct| . 723466) (|unitsColorDefault| . 723292) (|dihedral| . 723141) (|infinityNorm| . 722827) (|exprHasAlgebraicWeight| . 722498) (|linearMatrix| . 722298) (|iiacoth| . 722102) (|destruct| . 721617) (|stiffnessAndStabilityFactor| . 721405) (|setSingularPoints| . 720156) (|beauzamyBound| . 719814) (|f04adf| . 719609) (|setClosed| . 719474) (|minIndex| . 719313) (|monomial| . 716416) (|computePowers| . 716227) (|endSubProgram| . 716146) (|guessADE| . 709093) (|nlde| . 708866) (|generalLambert| . 708237) (|multivariate| . 706568) (|leftRecip| . 706345) (|sincos| . 706106) (|integralBasisAtInfinity| . 705835) (|solveLinearPolynomialEquation| . 704847) (|iiAiryBi| . 704673) (|extendedEuclidean| . 704394) (|vconcat| . 704254) (|affineSingularPoints| . 702894) (|digit?| . 702814) (|bivariateSLPEBR| . 702417) (|OMputEndAttr| . 702335) (|getShiftRec| . 701845) (|addMatch| . 701673) (|homogeneous?| . 701355) (|continue| . 701267) (|createNormalPrimitivePoly| . 701065) (|figureUnits| . 700911) (|bernoulliB| . 700696) (|inv| . 699490) (|apply| . 698747) (|product| . 697654) (|Si| . 697359) (|setright!| . 697215) (|initial| . 696968) (|option| . 696485) (|expintegrate| . 696052) (|coordinate| . 695656) (|ground?| . 695070) (|retractable?| . 694259) (|homogenize| . 692454) (|ellipticCylindrical| . 692245) (|ground| . 692010) (|new| . 690904) (|basisOfInterpolateFormsForFact| . 690343) (|brace| . 689999) (|replace| . 689884) (= . 688733) (|mapmult| . 688599) (|modularGcd| . 688337) (|dcabs1| . 688206) (|cTan| . 688046) (|groebgen| . 687714) (|f07fef| . 687519) (|lastSubResultant| . 686664) (|leadingMonomial| . 685572) (|cons| . 685413) (|prime?| . 684677) (|commonDenominator| . 683818) (|identitySquareMatrix| . 683651) (|f07fdf| . 683465) (|leadingCoefficient| . 681441) (|copy| . 680470) (< . 679962) (|And| . 679826) (|expandLog| . 679611) (|mix| . 679289) (|unitVector| . 678562) (|singular?| . 678021) (|rowEch| . 677879) (|top| . 677537) (|f07aef| . 677300) (|primitiveMonomials| . 677094) (|relativeApprox| . 676534) (> . 676401) (|mainKernel| . 676301) (|linearBezier| . 676148) (|integerBound| . 675929) (|mantissa| . 675757) (|f07adf| . 675598) (|degreeOfMinimalForm| . 675344) (|reductum| . 673309) (<= . 672927) (|mapUnivariate| . 672266) (|gderiv| . 672089) (|skewSFunction| . 671926) (|principal?| . 671618) (|generalSqFr| . 671343) (|explicitEntries?| . 671221) (>= . 671088) (|partition| . 670886) (|cAcos| . 670726) (|s17dlf| . 670484) (|shufflein| . 670328) (|tableForDiscreteLogarithm| . 670167) (|listSD| . 669981) (|readIfCan!| . 669708) (|dAndcExp| . 669481) (|stirling2| . 669362) (|monomial2series| . 669152) (|s17dhf| . 668948) (|multiple| . 668672) (|axesColorDefault| . 668498) (|list| . 668084) (|univcase| . 667805) (|cycleLength| . 667668) (|inf| . 667518) (|s17dgf| . 667314) (|extract!| . 666812) (|optional| . 666536) (|isAbsolutelyIrreducible?| . 666128) (+ . 663433) (|tubePlot| . 662142) (|quickSort| . 661884) (|f02xef| . 661655) (|real?| . 660906) (|quoByVar| . 660801) (|fixedPointExquo| . 660607) (- . 657787) (|normalDenom| . 657565) (|splitSquarefree| . 657285) (|machineFraction| . 657190) (|nil| . 657116) (|f02wef| . 656899) (|not| . 656716) (|optpair| . 656579) (|approximate| . 655448) (/ . 651355) (|mapUp!| . 651073) (|numberOfComposites| . 650941) (|f02fjf| . 650154) (|mightHaveRoots| . 649930) (|freeOf?| . 649519) (|fintegrate| . 648955) (|taylorQuoByVar| . 648850) (|max| . 648283) (|swapColumns!| . 648060) (|f02bjf| . 647820) (|OMbindTCP| . 647694) (|update| . 647531) (|daxpy| . 647344) (|expandPower| . 647129) (|refine| . 645357) (|removeDuplicates| . 645197) (|applyQuote| . 644543) (|f02bbf| . 644334) (|SturmHabichtCoefficients| . 644119) (|idealSimplify| . 643886) (|parent| . 643768) (|extend| . 641529) (|meshPar1Var| . 641199) (|solveid| . 640964) (|innerSolve| . 640645) (|f02axf| . 640468) (|charpol| . 640203) (|rest| . 639427) (|placesAbove| . 638079) (|deepestTail| . 637892) (|printInfo| . 634987) (|logical?| . 634899) (|countRealRoots| . 634687) (|reverse| . 634285) (|palglimint| . 633714) (|possiblyNewVariety?| . 633359) (|inR?| . 633244) (|setDifference| . 633130) (|tanh2trigh| . 632915) (|MPtoMPT| . 632666) (|setEpilogue!| . 632477) (|idealiser| . 631857) (|getBadValues| . 631737) (|writeObj| . 631584) (|mapMatrixIfCan| . 631182) (|setIntersection| . 631068) (|OMcloseConn| . 630982) (|iipolygamma| . 630780) (|invertible?| . 630162) (|incrementKthElement| . 630008) (|inverseColeman| . 629848) (|shellSort| . 629590) (|realEigenvectors| . 629292) (|guessHP| . 621825) (|setUnion| . 621711) (|stosePrepareSubResAlgo| . 621297) (|lhs| . 620787) (|fortranInteger| . 620742) (|iiBesselY| . 620540) (|open| . 620251) (|heapSort| . 619993) (|size| . 618054) (|translateToOrigin| . 616926) (|changeBase| . 616599) (|typeLists| . 616389) (|hasPredicate?| . 616274) (|cylindrical| . 616090) (|outputMeasure| . 615970) (|substitute| . 615865) (|drawStyle| . 615743) (|negAndPosEdge| . 615449) (|zeroDim?| . 614909) (|lazyGintegrate| . 614659) (|att2Result| . 613762) (|makeGraphImage| . 613160) (|powers| . 613025) (|index?| . 612866) (|explicitlyFinite?| . 612748) (|besselJ| . 612293) (|halfExtendedResultant2| . 612052) (|false| . 612011) (|asinIfCan| . 611870) (|insertBottom!| . 611689) (|supDimElseRittWu?| . 610996) (|quadTransform| . 610576) (|Lazard2| . 610365) (|polynomialZeros| . 610097) (|listBranches| . 609836) (|eulerPhi| . 609737) (|clearDenominator| . 608848) (|makeYoungTableau| . 608691) (|high| . 608601) (|radicalRoots| . 608037) (|numericalIntegration| . 607412) (|move| . 607143) (|splitNodeOf!| . 606635) (|sech2cosh| . 606420) (|minordet| . 605686) (|tanQ| . 605315) (|npcoef| . 604678) (|binaryFunction| . 604402) (|rightRank| . 604210) (|completeHensel| . 603976) (|setProperty| . 603862) (|clipWithRanges| . 603568) (|guessPRec| . 596515) (|critM| . 596245) (|unparse| . 596166) (|leftRank| . 595974) (|numer| . 594711) (|rootOfIrreduciblePoly| . 594299) (|comparison| . 594164) (|internalIntegrate0| . 593755) (|rootKerSimp| . 593119) (|cschIfCan| . 592978) (|denom| . 591735) (|solveLinear| . 591211) (|evenlambert| . 590718) (|sort| . 589994) (|aspFilename| . 589903) (|shrinkable| . 589642) (|clipPointsDefault| . 589474) (|kernel| . 588957) (|extensionDegree| . 588269) (|symmetric?| . 587815) (|gcdprim| . 587672) (|nand| . 587574) (|enterInCache| . 587300) (|draw| . 579270) (|subNodeOf?| . 578974) (|abelianGroup| . 578813) (|reduction| . 578263) (|conjug| . 577983) (|changeWeightLevel| . 577362) (|makeObject| . 572891) (|queue| . 572778) (UTS2UP . 572465) (|leftPower| . 572279) (|OMputBind| . 572197) (|rdregime| . 571575) (|doubleRank| . 571383) (|coef| . 570783) (|reducedDiscriminant| . 570498) (|symFunc| . 570192) (|pow| . 569792) (|strongGenerators| . 569652) (|iiatanh| . 569456) (|monom| . 569005) (|definingField| . 568814) (|decimal| . 568714) (|putColorInfo| . 568561) (|algDsolve| . 568026) (|infinity| . 567835) (|factorSquareFreePolynomial| . 567646) (|getDomains| . 567514) (|terms| . 566898) (|putGraph| . 566735) (|rootRadius| . 566349) (|laguerreL| . 566039) (|numberOfMonomials| . 565544) (|ramifMult| . 565451) (|newtonPolygon| . 565049) (|internal?| . 564903) (|setMinPoints3D| . 564826) (|setVariableOrder| . 564564) (|polyRDE| . 564101) (|highCommonTerms| . 563897) (|complexIntegrate| . 563178) (|range| . 562966) (|OMgetApp| . 562884) (|traverse| . 562715) (|lfextendedint| . 562277) (|interpolateFormsForFact| . 560267) (|alternating| . 560116) (|printStatement| . 560022) (|iisec| . 559826) (|mainCharacterization| . 559562) (|removeRoughlyRedundantFactorsInPols| . 558954) (|differentialVariables| . 558679) (|pointDominateBy| . 556925) (|subSet| . 556776) (|cond| . 556608) (|scan| . 554614) (|Vectorise| . 554446) (|OMputError| . 554364) (|df2fi| . 554224) (|partialFraction| . 553581) (|property| . 553460) (|OMgetInteger| . 553375) (|obj| . 553304) (|monomRDEsys| . 552853) (|consnewpol| . 552353) (|delete!| . 552073) (|iiabs| . 551899) (|cyclicEqual?| . 551784) (|truncate| . 551426) (|rdHack1| . 551193) (|expr| . 550944) (|crushedSet| . 550657) (|depth| . 550036) (|units| . 549409) (|removeZero| . 549153) (|distdfact| . 548836) (|resultantEuclideannaif| . 548588) (|totalfract| . 548152) (|initParLocLeaves| . 547462) (|comp| . 547206) (|rangePascalTriangle| . 546948) (|bandMatrix| . 546386) (|removeRedundantFactorsInPols| . 546064) (|exquo| . 544564) (|squareFreePrim| . 544288) (|nor| . 544190) (|count| . 541725) (|nullary| . 541599) (|realZeros| . 539328) (|integralDerivationMatrix| . 538982) (|div| . 538932) (|minset| . 538578) (|remainder!| . 538417) (RF2UTS . 538077) (|goto| . 537989) (|cSec| . 537829) (|removeConjugate| . 537254) (|code| . 536011) (|closeComponent| . 535811) (|zeroMatrix| . 535284) (|initials| . 535003) (|eisensteinIrreducible?| . 534845) (|DiffAction| . 534621) (|partialQuotients| . 534490) (|viewpoint| . 532565) (|conjugate| . 531535) (|subMultV| . 531009) (|saturate| . 530519) (|op| . 530363) (|alphanumeric| . 530315) (|expenseOfEvaluationIF| . 529908) (|ScanFloatIgnoreSpacesIfCan| . 529789) (|localUnquote| . 529441) (|uniform01| . 529351) (|principalIdeal| . 529185) (|exprToXXP| . 528625) (|nodeOf?| . 528378) (|solveInField| . 527441) (|mvar| . 527014) (|padicallyExpand| . 526862) (|rename| . 526768) (|green| . 526729) (|rspace| . 526645) (|pushdown| . 525541) (|lfextlimint| . 525031) (|affineAlgSetLocal| . 524514) (|listOfMonoms| . 524296) (|maxTower| . 524179) (|mulmod| . 524115) (|finiteSeries2LinSysWOVectorise| . 523865) (|bipolar| . 523656) (|closed?| . 523431) (|bfKeys| . 523341) (|point?| . 523220) (|expPot| . 523032) (|double?| . 522944) (|getMultiplicationMatrix| . 522287) (|powerAssociative?| . 522145) (|OMlistSymbols| . 522024) (|linearAssociatedLog| . 521646) (|compBound| . 521424) (|presub| . 521374) (|computeCycleEntry| . 521233) (|extendedSubResultantGcd| . 520613) (|nthRootIfCan| . 520430) (|csubst| . 520102) (|integer?| . 519603) (|boundOfCauchy| . 519408) (|tanh2coth| . 519193) (|createNormalPoly| . 518991) (|determinant| . 518004) (|setPoly| . 517866) (|factorFraction| . 517649) (|fortranReal| . 517604) (|overset?| . 517191) (GF2FG . 516798) (|newSubProgram| . 516689) (|Beta| . 516042) (|quotientByP| . 515980) (|leaf?| . 515548) (|mesh?| . 515427) (|primextintfrac| . 515100) (|makeResult| . 514826) (|backOldPos| . 514464) (|realElementary| . 513783) (|makingStats?| . 513614) (|tanNa| . 513492) (|legendreP| . 513282) (|degreeSubResultantEuclidean| . 512989) (|radPoly| . 512647) (|represents| . 511518) (|gnuDraw| . 510659) (|nextSubsetGray| . 510519) (|primitivePart| . 509352) (|failed| . 509045) (|simplifyLog| . 508830) (|quotient| . 508371) (|minColIndex| . 507904) (|OMUnknownCD?| . 507816) (|indiceSubResultant| . 507608) (|constDsolve| . 507080) (|toroidal| . 506871) (|ratDenom| . 505184) (|complexEigenvalues| . 504952) (|kmax| . 504746) (|OMputSymbol| . 504631) (|imagk| . 504529) (|recur| . 504170) (|noKaratsuba| . 503996) (|nsqfree| . 503471) (|pointColorPalette| . 503337) (|multiEuclidean| . 503236) (|factorsOfDegree| . 502977) (|checkPrecision| . 502888) (|clearCache| . 502775) (|OMgetEndAttr| . 502693) (|stoseInvertibleSetsqfreg| . 502331) (|setOfMinN| . 502147) (|neglist| . 502014) (|primes| . 501875) (|fprindINFO| . 501475) (|graphCurves| . 500875) (|rightCharacteristicPolynomial| . 500708) (|coordinates| . 498582) (|nextsousResultant2| . 498410) (|reduced?| . 497619) (|clearFortranOutputStack| . 497517) (|tryFunctionalDecomposition| . 497359) (|brillhartTrials| . 497041) (|constantIfCan| . 496870) (|Ei6| . 496745) (|iisin| . 496549) (|extDegree| . 496424) (|resetAttributeButtons| . 496343) (|basisOfRightAnnihilator| . 496162) (|patternMatch| . 492037) (|identityMatrix| . 491869) (|triangular?| . 491561) (|iiacsc| . 491365) (|minGbasis| . 491098) (|rootPoly| . 490697) (|retractToGrn| . 490529) (|cCoth| . 490369) (|colorFunction| . 489988) (|dequeue!| . 489733) (|leftUnits| . 489106) (|changeName| . 488987) (|pade| . 488072) (|genericLeftMinimalPolynomial| . 487729) (|magnitude| . 487575) (|basisOfNucleus| . 487397) (|copy!| . 487259) (|minrank| . 486691) (|cCosh| . 486531) (|taylorIfCan| . 486345) (|getZechTable| . 485724) (|bivariatePolynomials| . 485353) (|chebyshevU| . 485040) (|mkAnswer| . 484695) (|factorSqFree| . 484110) (|dflist| . 483889) (|tubePoints| . 483661) (|cosIfCan| . 483520) (|removeZeroes| . 482221) (|rightTrace| . 482104) (|polarCoordinates| . 481856) (|complementaryBasis| . 481582) (|infix| . 481436) (|members| . 480404) (|separateDegrees| . 480149) (|completeSmith| . 479814) (|lflimitedint| . 479289) (|compiledFunction| . 478765) (|cCsc| . 478605) (|qsetelt!| . 478193) (|iipow| . 477995) (|integralLastSubResultant| . 477600) (|summary| . 477508) (|var1Steps| . 477280) (|acotIfCan| . 477139) (|setTopPredicate| . 476986) (|musserTrials| . 476660) (|biRank| . 476468) (|ideal| . 475566) (|selectOrPolynomials| . 475140) (|classNumber| . 473852) (|show| . 473693) (|updatF| . 473320) (|over| . 473270) (|problemPoints| . 472768) (|rangeIsFinite| . 472209) (|distance| . 472085) (|infieldint| . 471831) (|parametrize| . 468548) (|complexZeros| . 467847) (|e02aef| . 467648) (|alphabetic?| . 467568) (|triangulate| . 466891) (|hdmpToDmp| . 466642) (|scanOneDimSubspaces| . 466390) (|pseudoDivide| . 465661) (|iiAiryAi| . 465487) (|lazy?| . 465365) (|getGoodPrime| . 465094) (|imagK| . 464891) (|tryFunctionalDecomposition?| . 464736) (|c02agf| . 464533) (|firstNumer| . 464434) (|iiexp| . 464238) (|expIfCan| . 464097) (|mapCoef| . 463902) (|inrootof| . 463683) (|c02aff| . 463480) (|redPol| . 463210) (|showIntensityFunctions| . 462635) (|iiBesselJ| . 462433) (|map!| . 461218) (|e02adf| . 461042) (|degreeSubResultant| . 460834) (|cAsec| . 460674) (|perfectNthPower?| . 460504) (|gcdcofact| . 460361) (|physicalLength!| . 460103) (|numberOfPrimitivePoly| . 459951) (|c05pbf| . 459664) (|sturmSequence| . 459475) (|showAttributes| . 458376) (|coefChoose| . 458069) (|Frobenius| . 457480) (|monicLeftDivide| . 456952) (|OMputEndApp| . 456870) (|setPosition| . 456747) (|curveColor| . 456590) (|quartic| . 456063) (|root?| . 455917) (|credits| . 455825) (|iiacos| . 455629) (|prinb| . 455337) (|pointValue| . 455090) (|mainDefiningPolynomial| . 454970) (|compile| . 454849) (|endOfFile?| . 454770) (|subPolSet?| . 454021) (|Nul| . 453928) (|alternatingGroup| . 453626) (|stoseInvertibleSet| . 453264) (|discreteLog| . 453041) (|clearTheFTable| . 452951) (|cubic| . 452427) (|leadingTerm| . 452249) (|qfactor| . 451879) (|e01sef| . 451659) (|One| . 451214) (|largest| . 450867) (|initTable!| . 450701) (|algebraicOf| . 450413) (|crest| . 450192) (|previous| . 450096) (|e01saf| . 449920) (|symmetricDifference| . 449823) (|exQuo| . 448856) (|wholeRagits| . 448733) (|asimpson| . 448430) (|e01daf| . 448251) (|infix?| . 448170) (|monicModulo| . 447878) (|lowerCase| . 447736) (|finiteSeries2Vector| . 447516) (|nextPrimitivePoly| . 447340) (|internalSubPolSet?| . 446591) (|bezoutMatrix| . 446297) (|e01bhf| . 446083) (|diagonalProduct| . 445575) (|hitherPlane| . 445454) (|summation| . 444843) (|eyeDistance| . 444722) (|dn| . 444547) (|e01bgf| . 444365) (|random| . 443112) (|back| . 442857) (|lazyIntegrate| . 442626) (|numberOfCycles| . 442496) (|prefix| . 442400) (|partialDenominators| . 442269) (|e01bff| . 442087) (|createLowComplexityTable| . 441837) (|trapezoidalo| . 441537) (|polCase| . 441190) (|sqfrFactor| . 441068) (|e01bef| . 440895) (|asecIfCan| . 440754) (|ramifiedAtInfinity?| . 440485) (|printingInfo?| . 440316) (|select!| . 439984) (|multMonom| . 439505) (|e01baf| . 439326) (|showAll?| . 439188) (|setScreenResolution3D| . 439111) (|drawToScale| . 438943) (|unrankImproperPartitions1| . 438794) (|indexName| . 438584) (|iidsum| . 438386) (|e02zaf| . 438201) (|null?| . 437924) (|certainlySubVariety?| . 437606) (|atom?| . 437329) (|multiplyExponents| . 436851) (|integralMatrix| . 436567) (|e02gaf| . 436359) (|blankSeparate| . 436266) (|dimensionOfIrreducibleRepresentation| . 436128) (|setFoundZeroes| . 436007) (|cTanh| . 435847) (|call| . 435766) (|e02dff| . 435575) (|lazyPquo| . 435195) (|mainMonomial| . 435008) (|makeprod| . 434881) (|guessPade| . 430546) (|intChoose| . 429953) (|e02def| . 429771) (|bumptab1| . 429600) (|processTemplate| . 429426) (|integralMatrixAtInfinity| . 429142) (|connect| . 428983) (|mainVariable?| . 428709) (|inHallBasis?| . 428592) (|e02ddf| . 428327) (|pToHdmp| . 428104) (NOT . 427849) (|rightNorm| . 427732) (|printTypes| . 427547) (|moduleSum| . 427161) (|sort!| . 426806) (|e02dcf| . 426499) (|OMencodingSGML| . 426449) (OR . 426231) (|limitPlus| . 425391) (|linearDependence| . 425169) (UP2UTS . 424898) (|systemSizeIF| . 424491) (|e02daf| . 424220) (|localParam| . 424049) (AND . 423831) (|adaptive3D?| . 423757) (|normDeriv2| . 423432) (|numberRatPlacesExtDeg| . 422023) (|stirling1| . 421904) (|e02bef| . 421612) (|evalIfCan| . 417525) (|polyRing2UPUP| . 417087) (|rootsOf| . 416276) (|pascalTriangle| . 416113) (|e02bdf| . 415946) (|reset| . 415063) (|screenResolution| . 414826) (|OMwrite| . 413495) (|deleteRoutine!| . 413409) (|component| . 412891) (|f2st| . 412771) (|outerProduct| . 412622) (|copyInto!| . 412450) (|write| . 411805) (|minusInfinity| . 411616) (|transform| . 411352) (|charthRoot| . 411100) (|euclideanSize| . 411001) (|relationsIdeal| . 410602) (|save| . 410557) (|jacobi| . 410455) (|plusInfinity| . 410266) (|useSingleFactorBound| . 410108) (|unravel| . 409912) (|lifting1| . 409209) (|child| . 409049) (|genericLeftNorm| . 408737) (|setleaves!| . 408608) (|HenselLift| . 408303) (|Aleph| . 408207) (|algebraicVariables| . 407926) (|setProperties| . 407811) (|solve1| . 407545) (|lastNonNul| . 407418) (|numericalOptimization| . 406828) (|d| . 406661) (|limit| . 404444) (|nonLinearPart| . 404329) (|palgextint| . 403845) (|triangSolve| . 402763) (|rootNormalize| . 402403) (|printHeader| . 402109) (|moreAlgebraic?| . 401416) (|cot2tan| . 401201) (|wholeRadix| . 401078) (|palgLODE0| . 399815) (|box| . 399632) (|normalElement| . 399320) (|pfaffian| . 399093) (* . 390880) (|slash| . 390830) (|functionIsFracPolynomial?| . 390512) (|particularSolution| . 389500) (|graphImage| . 389456) (|maxdeg| . 389165) (|moduloP| . 389069) (|leadingSupport| . 388923) (|trapezoidal| . 388623) (Y . 388186) (|compdegd| . 387800) (|countRealRootsMultiple| . 387556) (|dswap| . 387344) (|complexElementary| . 386071) (|allPairsAmong| . 385525) (|d01gbf| . 385227) (|rightFactorCandidate| . 385031) (|firstExponent| . 384776) (|effective?| . 384651) (|iibinom| . 384453) (|externalList| . 384363) (|complexSolve| . 383270) (|d01gaf| . 383099) (|startTable!| . 382352) (|double| . 382166) (|eq?| . 381511) (|stoseInvertible?| . 380741) (|flagFactor| . 380561) (|e| . 380375) (|blowUpWithExcpDiv| . 379685) (|options| . 379264) (|d01fcf| . 378969) (|getMeasure| . 378857) (|viewPhiDefault| . 378677) (|nextNormalPrimitivePoly| . 378501) (|mindeg| . 378213) (|cAsinh| . 378053) (|d01bbf| . 377887) (|removeSquaresIfCan| . 377600) (|primlimintfrac| . 377199) (|complement| . 377070) (|leftUnit| . 376909) (|arg1| . 376761) (|diag| . 376558) (|d01asf| . 376311) (|super| . 376261) (|separateFactors| . 375710) (|theCurve| . 374516) (|pointSizeDefault| . 374326) (|arg2| . 374178) (|intersectionDivisor| . 372112) (|lazyEvaluate| . 372018) (|currentSubProgram| . 371937) (|complexLimit| . 370968) (|critMonD1| . 370602) (|rightTrim| . 370414) (|d02raf| . 369978) (|leftLcm| . 369684) (|setColumn!| . 369448) (|mr| . 369144) (|pointColor| . 368987) (|secIfCan| . 368846) (|operation| . 368348) (|reorder| . 367708) (|d02kef| . 366868) (|nullary?| . 366784) (|factorset| . 366439) (|xor| . 366291) (|safeFloor| . 366128) (|encode| . 366011) (|d02gbf| . 365605) (|aromberg| . 365302) (|semicolonSeparate| . 365209) (|insertRoot!| . 365111) (|getRef| . 364942) (|pdf2ef| . 364787) (|d02gaf| . 364465) (|quasiComponent| . 364134) (|subResultantGcdEuclidean| . 363892) (|doubleResultant| . 363576) (|createIrreduciblePoly| . 363374) (|d02ejf| . 362796) (|redmat| . 362418) (|setchildren!| . 362252) (|paren| . 361979) (|remove| . 361013) (|nextLatticePermutation| . 360864) (|match| . 359522) (|previousTower| . 359439) (|findCycle| . 359188) (|localReal?| . 358964) (|wordInGenerators| . 358782) (|lifting| . 358201) (|axes| . 357766) (|fracPart| . 357466) (|LazardQuotient| . 357197) (|prime| . 357058) (|minPoints| . 356821) (|nodes| . 356700) (|objects| . 356422) (|stronglyReduce| . 356166) (|positiveSolve| . 354678) (|columnSpace| . 354423) (|karatsuba| . 354204) (|createMultiplicationMatrix| . 353970) (|stFunc2| . 353672) (|composites| . 353551) (|aColumn| . 353271) (|predicate| . 353070) (|overlabel| . 353020) (|nextSublist| . 352626) (|basisOfLeftAnnihilator| . 352445) (|rightAlternative?| . 352105) (|algebraicCoefficients?| . 351819) (|block| . 351724) (|vectorise| . 351430) (|constantOperator| . 351260) (|tanintegrate| . 350861) (|removeSinhSq| . 350646) (|isTimes| . 349712) (|newReduc| . 349492) (|elt| . 340431) (|stronglyReduced?| . 339869) (|OMencodingUnknown| . 339819) (|trace| . 339002) (|chebyshevT| . 338689) (|setelt| . 336287) (|plotPolar| . 335658) (|orthonormalBasis| . 335466) (|leftExtendedGcd| . 335246) (|invertIfCan| . 334938) (|halfExtendedSubResultantGcd2| . 334386) (|opeval| . 334108) (|totalDegree| . 333395) (|union| . 332799) (|resize| . 332536) (|trigs| . 331928) (|mulbyscalar| . 331764) (|uncouplingMatrices| . 331520) (|outputFloating| . 331341) (|doubleComplex?| . 331253) (|permutationGroup| . 331113) (|reduceRowOnList| . 330960) (|nthRoot| . 330586) (|tablePow| . 330312) (|log| . 327978) (|unexpand| . 327662) (|ode2| . 327428) (|monicRightDivide| . 326900) (|points| . 326741) (|cycles| . 326603) (|iteratedInitials| . 326388) (|tomodpa| . 326196) (F . 326049) (|extendIfCan| . 325783) (|optional?| . 325668) (|setvalue!| . 325530) (|coercePreimagesImages| . 325402) (|printInfo!| . 325203) (|forLoop| . 324922) (|bracket| . 324785) (|iitan| . 324589) (|inspect| . 324087) (|quotVecSpaceBasis| . 323962) (|prindINFO| . 323565) (|node| . 323459) (|subscript| . 323367) (|conjugates| . 323251) (|stoseLastSubResultant| . 322846) (|abs| . 321916) (|cAsin| . 321756) (|exprToGenUPS| . 320877) (|rational?| . 319067) (|complexNormalize| . 317794) (|totalDifferential| . 317613) (|fixedPoints| . 317466) (|permutations| . 317322) (|degOneCoef| . 317028) (|variable| . 316337) (|fractionFreeGauss!| . 316039) (|parts| . 314893) (|input| . 314641) (|direction| . 314501) (|validExponential| . 314092) (|commutativeEquality| . 313909) (|notelem| . 313743) (|test| . 313699) (|transcendenceDegree| . 313378) (|one?| . 312963) (|setmult!| . 312434) (|mainMonomials| . 312219) (|append| . 312139) (|modularGcdPrimitive| . 311877) (|rowEchWoZeroLinesWOVectorise| . 311762) (|setsymbName!| . 311225) (|precision| . 310814) (|real| . 309874) (|setTex!| . 309783) (|function| . 309074) (|shiftRoots| . 308911) (|infieldIntegrate| . 308652) (|recip| . 306668) (|complex| . 306564) (|internalSubQuasiComponent?| . 305851) (|fortranComplex| . 305806) (|ScanRoman| . 305687) (|sup| . 305475) (|pushup| . 304371) (|inverseIntegralMatrixAtInfinity| . 304087) (|eigenvector| . 303770) (|irreducible?| . 303161) (|solve| . 286343) (|sinh2csch| . 286128) (|empty| . 285158) (|truncatedmuladd| . 284991) (|type| . 284852) (|cubicBezier| . 284693) (|minimize| . 284412) (|rightExactQuotient| . 284264) (|tubeRadiusDefault| . 284056) (|odd?| . 283715) (|filename| . 283621) (|generator| . 282537) (|ord| . 282457) (|totalLex| . 282250) (|OMputEndObject| . 282168) (|red| . 282129) (|popFortranOutputStack| . 282039) (|reducedForm| . 281938) (|setValue!| . 281759) (|positive?| . 281282) (|startTableInvSet!| . 280517) (|outputAsFortran| . 279645) (|solid| . 279546) (|trunc| . 279203) (|rischNormalize| . 278742) (|scalarMatrix| . 278310) (|directory| . 278222) (|nilFactor| . 278100) (|conditionP| . 277779) (|quasiAlgebraicSet| . 277515) (|dscal| . 277334) (|simplify| . 276654) (|constantOpIfCan| . 276474) (|createPrimitivePoly| . 276272) (|monomRDE| . 275871) (|complexForm| . 275186) (|hyperelliptic| . 274632) (|lquo| . 273724) (|edf2efi| . 273554) (|ParCondList| . 272953) (|clipParametric| . 272375) (|subCase?| . 271546) (|idealiserMatrix| . 271236) (|factorSquareFree| . 269272) (|zeroOf| . 268601) (|makeSeries| . 268356) (|leadingBasisTerm| . 268094) (|subsInVar| . 267805) (|any| . 267699) (|remove!| . 266449) (|groebSolve| . 266084) (|modularFactor| . 265873) (|rst| . 265779) (|fullDisplay| . 265172) (|iicot| . 264976) (|itsALeaf!| . 264808) (|coerceImages| . 264689) (|inGroundField?| . 264571) (|linGenPos| . 264227) (|simpson| . 263927) (|lo| . 263837) (|indicialEquations| . 262044) (|cyclicSubmodule| . 261798) (|quotedOperators| . 261452) (|wrregime| . 260799) (|differentiate| . 256443) (|squareMatrix| . 256288) (|incr| . 256076) (|wreath| . 255950) (|rowEchelon| . 254324) (|acsch| . 253129) (|initializeParamOfPlaces| . 251717) (|updatD| . 251351) (|variables| . 249135) (|hi| . 249045) (|reduceLineOverLine| . 248926) (|overlap| . 248488) (|finite?| . 248158) (|leftDivide| . 247424) (|lineColorDefault| . 247250) (|times| . 247002) (|alphanumeric?| . 246922) (|RemainderList| . 246536) (|truncatedmultiplication| . 246397) (|subMatrix| . 245587) (|vector| . 245363) (|parametersOf| . 245273) (|iiacot| . 245077) (|dzasum| . 244887) (|normalDeriv| . 244577) (|anfactor| . 244156) (|getButtonValue| . 244041) (|normalise| . 243925) (|bringDown| . 243386) (|interval| . 242898) (|OMgetType| . 242814) (|phiCoord| . 242700) (|evalat| . 242561) (|setPredicates| . 242438) (|completeEval| . 242047) (|genericPosition| . 241629) (|quasiRegular?| . 241326) (|mainVariables| . 241055) (|scale| . 240573) (|appendPoint| . 240450) (|lfunc| . 240367) (|simpsono| . 240067) (|izamax| . 239881) (|linearDependenceOverZ| . 239674) (|besselI| . 239219) (|infRittWu?| . 237974) (|changeMeasure| . 237859) (|title| . 237413) (|degree| . 232610) (|in?| . 231988) (|cSin| . 231828) (|style| . 231618) (|rightUnits| . 230991) (|iicoth| . 230795) (|imagi| . 230693) (|normalizedDivide| . 230143) (|UpTriBddDenomInv| . 229882) (|common| . 229762) (|edf2fi| . 229607) (|singRicDE| . 228514) (|removeRoughlyRedundantFactorsInContents| . 228192) (|init| . 227961) (|weights| . 227371) (|removeSuperfluousCases| . 226586) (|OMReadError?| . 226498) (|setStatus| . 226215) (|antisymmetric?| . 225761) (|t| . 225617) (|OMgetBind| . 225535) (|inconsistent?| . 224777) (|alterDrift!| . 224587) (|qnew| . 223985) (|stepBlowUp| . 223228) (|dioSolve| . 222908) (|OMgetSymbol| . 222778) (|sumOfDivisors| . 222679) (|solid?| . 222583) (|external?| . 222501) (|extendedint| . 222155) (|cAtanh| . 221995) (|shift| . 221464) (|assign| . 217002) (|definingEquations| . 216741) (|semiResultantEuclidean2| . 216510) (|generate| . 216028) (|dmpToP| . 215816) (|separant| . 215569) (|resetVariableOrder| . 215477) (|extractProperty| . 215313) (|semiResultantReduitEuclidean| . 215044) (|cyclic?| . 214814) (|incrementBy| . 214659) (|replaceKthElement| . 214502) (|ScanFloatIgnoreSpaces| . 214393) (|supp| . 214268) (|approxSqrt| . 214168) (|ratDsolve| . 212361) (|bat| . 212190) (|addBadValue| . 211918) (|univariateSolve| . 209677) (|void| . 209639) (|expand| . 207747) (|pmintegrate| . 206616) (|cyclic| . 206465) (|sortConstraints| . 206132) (|numberOfIrreduciblePoly| . 205980) (|readable?| . 205891) (|viewPosDefault| . 205677) (|varselect| . 205471) (|curve?| . 205350) (|filterWhile| . 205096) (|rank| . 202617) (|zerosOf| . 201539) (|node?| . 201381) (|shiftRight| . 201236) (|listexp| . 200903) (|randomR| . 200180) (|sbt| . 200077) (|filterUntil| . 199823) (|selectNonFiniteRoutines| . 199773) (|computeInt| . 199350) (|pointLists| . 199237) (|rk4qc| . 198451) (|quoted?| . 198336) (|numberOfPlacesOfDegree| . 196927) (|expandTrigProducts| . 196526) (|select| . 195708) (|viewport3D| . 195650) (|nthFlag| . 195473) (|toseInvertible?| . 194723) (|iiasin| . 194527) (|sin2csc| . 194312) (|plus!| . 194171) (|pr2dmp| . 193820) (|rCoord| . 193706) (|reportInstantiations| . 193583) (|lintgcd| . 193412) (|xRange| . 193183) (|fortranLinkerArgs| . 193095) (|eulerE| . 192880) (|diffHP| . 179656) (|aQuadratic| . 179419) (|central?| . 179238) (|leviCivitaSymbol| . 179073) (|tubeRadius| . 178865) (|create| . 177260) (|prinpolINFO| . 176968) (|loopPoints| . 176751) (|close!| . 176579) (|whatInfinity| . 176448) (|jacobian| . 175882) (|factorList| . 175320) (|LyndonCoordinates| . 175026) (|fixedPoint| . 174694) (|numberOfValuesNeeded| . 174268) (|lllp| . 174119) (|conditions| . 173915) (|Hausdorff| . 173650) (|car| . 173401) (|po| . 173245) (|resetBadValues| . 173158) (|ptFunc| . 172814) (|radicalEigenvectors| . 172516) (|cdr| . 172267) (|getDatabase| . 172058) (|createThreeSpace| . 171953) (|matrix| . 170936) (|length| . 169416) (|makeRecord| . 169239) (|rightMinimalPolynomial| . 169035) (|ffactor| . 168728) (|open?| . 168596) (|OMputEndError| . 168514) (|messagePrint| . 168409) (|reduceByQuasiMonic| . 168153) (|scripts| . 167797) (|dimension| . 166439) (|tail| . 166064) (|iicsch| . 165868) (|genusNeg| . 164019) (|listLoops| . 163855) (|torsionIfCan| . 162878) (F2EXPRR . 162688) (|powmod| . 162624) (|showArrayValues| . 162547) (|tracePowMod| . 162334) (|getAncestors| . 162202) (|prem| . 161822) (|simpleBounds?| . 161679) (|biringToPolyRing| . 161281) (|elliptic| . 160521) (|rationalPower| . 160303) (|listAllMonoExp| . 159992) (|maxDegree| . 159714) (|invmod| . 159653) (|qinterval| . 159500) (|setMaxPoints3D| . 159423) (|BasicMethod| . 159276) (|dznrm2| . 159086) (|error| . 158608) (|fullOutput| . 155833) (|movedPoints| . 155595) (|nextPrime| . 155487) (|badNum| . 154961) (|leadingIndex| . 154488) (|pushuconst| . 154117) (|semiDegreeSubResultantEuclidean| . 153841) (|indicialEquation| . 153088) (|symbNameV| . 152554) (|reduceRow| . 152432) (|coerceL| . 152211) (|numberOfComponents| . 151470) (|coefficient| . 148447) (|lazyIrreducibleFactors| . 148081) (|generalizedContinuumHypothesisAssumed?| . 147999) (|coHeight| . 147678) (|clipBoolean| . 147544) (|exponential1| . 147454) (|setFormula!| . 147353) (|rowEchLocal| . 147208) (|rischDE| . 146476) (|constant| . 145510) (|areEquivalent?| . 144838) (|push!| . 144484) (|closedCurve?| . 144363) (|sizePascalTriangle| . 144234) (|showRegion| . 144112) (|fullInfClsPt| . 143664) (|monic?| . 143264) (|df2st| . 142895) (|schema| . 142681) (|atoms| . 142455) (|shiftInfoRec| . 141885) (|monomial?| . 140969) (|linear| . 140451) (|maxPoints| . 140214) (|expint| . 139833) (|karatsubaDivide| . 139620) (|ddFact| . 139386) (|hypergeometric0F1| . 139167) (|mapDown!| . 138876) (|logGamma| . 138663) (|cfirst| . 138442) (|squareFreeLexTriangular| . 137981) (|intermediateResultsIF| . 137574) (|acothIfCan| . 137433) (|linkToFortran| . 136586) (|components| . 136465) (|sechIfCan| . 136324) (|startTableGcd!| . 135559) (|ratpart| . 135468) (|removeSuperfluousQuasiComponents| . 134781) (|complete| . 134209) (|yCoordinates| . 133897) (|HermiteIntegrate| . 133140) (|constantToUnaryFunction| . 132987) (|subResultantsChain| . 132783) (|genus| . 130321) (|leftFactorIfCan| . 130096) (|OMlistCDs| . 130005) (|rightZero| . 129889) (|OMParseError?| . 129801) (|cAcsc| . 129641) (|useNagFunctions| . 129219) (|fortranCompilerName| . 129131) (|absolutelyIrreducible?| . 128541) (|operator| . 126623) (|shuffle| . 126467) (|anticoord| . 126171) (|OMmakeConn| . 126076) (|setpoint!| . 125568) (|possiblyInfinite?| . 125450) (|lastSubResultantElseSplit| . 125148) (|last| . 124560) (|flexibleArray| . 124299) (|diagonals| . 124177) (|rootBound| . 123835) (|clearTheSymbolTable| . 123650) (|frst| . 123556) (|unary?| . 123472) (|decreasePrecision| . 123300) (|shanksDiscLogAlgorithm| . 123070) (|factorCantorZassenhaus| . 122570) (|representationType| . 122444) (|characteristicSet| . 121778) (|firstSubsetGray| . 121641) (|qelt| . 121034) (|rows| . 120456) (|antisymmetricTensors| . 120036) (|generalInterpolation| . 118069) (|coerce| . 77707) (|algint| . 77324) (|cSech| . 77164) (|kovacic| . 76371) (|solveLinearPolynomialEquationByFractions| . 76114) (|elRow1!| . 75819) (|cscIfCan| . 75678) (|minus!| . 75402) (|isQuotient| . 75103) (|evenInfiniteProduct| . 74217) (|df2ef| . 74077) (|write!| . 73943) (|collectUpper| . 73697) (|toseLastSubResultant| . 73302) (|OMputEndAtp| . 73220) (|iFTable| . 72625) (|equality| . 72490) (|companionBlocks| . 72249) (|enumerate| . 71980) (|regime| . 71063) (|selectMultiDimensionalRoutines| . 71013) (|nrows| . 70524) (|scripted?| . 70447) (|LazardQuotient2| . 70175) (|affineAlgSet| . 69264) (|removeRedundantFactors| . 67774) (|FormatArabic| . 67655) (|acosIfCan| . 67514) (|rootProduct| . 66957) (|ncols| . 66468) (|genusTree| . 65750) (|sumSquares| . 65614) (|powern| . 65406) (|dfRange| . 65273) (|B1solve| . 64569) (|reindex| . 64361) (|fill!| . 63986) (|doublyTransitive?| . 63832) (|zoom| . 63303) (|iroot| . 63067) (|leftGcd| . 62773) (|normalForm| . 62186) (|socf2socdf| . 61993) (|normalized?| . 60973) (|exponents| . 60882) (|exactQuotient| . 60431) (|position| . 59549) (|generalInfiniteProduct| . 58545) (|balancedBinaryTree| . 58405) (|failed?| . 58036) (|OMencodingXML| . 57986) (|gramschmidt| . 57861) (|subst| . 57416) (|rk4| . 56839) (|leftNorm| . 56722) (|jacobiIdentity?| . 56382) (|zaxpy| . 56171) (|subQuasiComponent?| . 54732) (|createPrimitiveElement| . 54677) (|perfectSqrt| . 54567) (|polygon?| . 54446) (|Is| . 53229) (|tab| . 53067) (|placesOfDegree| . 50824) (|elem?| . 50705) (|firstDenom| . 50574) (|pToDmp| . 50362) (|critpOrder| . 49977) (|multinomial| . 49830) (|suchThat| . 47898) (|headReduced?| . 46878) (|outputAsScript| . 46634) (|definingPolynomial| . 45390) (|bumprow| . 45101) (|hermite| . 44695) (|iiasech| . 44499) (|and| . 44354) (|slex| . 44195) (|extractIndex| . 44038) (|copyfirst| . 43877) (|roughUnitIdeal?| . 43569) (|OMputAtp| . 43487) (|numberOfVariables| . 42632) (|purelyAlgebraic?| . 42066) (|lyndon?| . 41908) (|addPoint| . 41313) (|getlo| . 40827) (|rotatex| . 40686) (|lighting| . 40559) (|bumptab| . 40339) (|nextItem| . 40279) (|pointColorDefault| . 40105) (|ShiftC| . 39859) (|scaleRoots| . 39696) (|top!| . 39521) (|clearTable!| . 39355) (|expressIdealMember| . 39249) (|vertConcat| . 38791) (|pdct| . 38711) (|dimensionsOf| . 38277) (|Ei3| . 38152) (|factors| . 37465) (|extendedResultant| . 37173) (|exprHasLogarithmicWeights| . 36867) (|fffg| . 36426) (|pmComplexintegrate| . 35847) (|primintfldpoly| . 35578) (|graphStates| . 35129) (|tubePointsDefault| . 34939) (|OMgetAtp| . 34857) (|LagrangeInterpolation| . 34662) (|Lazard| . 34454) (|droot| . 34229) (|setcurve!| . 33628) (|multV| . 33102) (|primPartElseUnitCanonical| . 32878) (|rewriteIdealWithQuasiMonicGenerators| . 32502) (|second| . 32404) (|shade| . 32215) (|getOp| . 31828) (|convert| . 23254) (|bandedJacobian| . 22854) (|getMultiplicationTable| . 22076) (|generators| . 21683) (|quasiMonic?| . 21468) (|clip| . 20126) (|lSpaceBasis| . 19826) (|poisson| . 19684) (|flatten| . 19638) (|generateIrredPoly| . 19440) (|iiatan| . 19244) (|cycleRagits| . 19121) (|knownInfBasis| . 18814) (|fractRagits| . 18689) (|changeThreshhold| . 18574) (|fullPartialFraction| . 18351) (|OMgetString| . 18267) (|modulus| . 17117) (|airyBi| . 16674) (|returnType!| . 16131) (|OMgetObject| . 16049) (|OMgetError| . 15967) (|testDim| . 15659) (|palgRDE0| . 14560) (|midpoint| . 14291) (|ceiling| . 14091) (|credPol| . 13821) (|OMgetEndBVar| . 13739) (|mulbybinomial| . 13417) (|arity| . 13312) (|elRow2!| . 13014) (|completeHermite| . 12703) (|debug3D| . 12626) (|OMputEndBind| . 12544) (|integralRepresents| . 12267) (|leftZero| . 12151) (|OMreadStr| . 12042) (|weighted| . 11832) (|newton| . 11652) (|edf2ef| . 11497) (|rationalPoint?| . 10895) (|matrixDimensions| . 10743) (|deleteProperty!| . 10657) (|mainContent| . 10438) (|weight| . 9534) (|virtualDegree| . 9256) (|singleFactorBound| . 8533) (|nextIrreduciblePoly| . 8357) (|isList| . 8220) (|testModulus| . 8009) (|cRationalPower| . 7827) (|distinguishedRootsOf| . 7431) (|Ei1| . 7306) (|RittWuCompare| . 7078) (|showClipRegion| . 6956) (|hasoln| . 6509) (|xn| . 6302) (|charClass| . 6125) (|OMputAttr| . 6043) (|perfectNthRoot| . 5711) (|copyQuadVar| . 5499) (|prevPrime| . 5391) (|maxRowIndex| . 4924) (|sdf2lst| . 4495) (|symbolIfCan| . 4373) (|extractTop!| . 4198) (|cyclicGroup| . 3896) (|createZechTable| . 3685) (|oddintegers| . 3517) (|setlocalPoint!| . 2972) (|monicRightFactorIfCan| . 2708) (|initializeGroupForWordProblem| . 2435) (|oddInfiniteProduct| . 1549) (|viewThetaDefault| . 1369) (|omError| . 1236) (|permutationRepresentation| . 467) (|insertMatch| . 295) (|selectSumOfSquaresRoutines| . 245) (|removeSinSq| . 30)) 
\ No newline at end of file
